Washington (CNN) -- One day after the fourth case of Ebola was diagnosed in the United States, lawmakers met with administration and public health officials in an already-scheduled congressional hearing to hash out some concerns about the handling of the deadly virus.

Here are four concerns raised in the hearing:

1. Why hire a lawyer? Ebola czar Ron Klain was invited to attend the hearing, but having started the job just this past week, he did not accept the invitation. In his absence, a few Republicans tweaked President Obama for choosing Klain, a lawyer with managerial experience, over someone with expertise in medicine.

"Why in the world did the president pick a dadgum lawyer?" Rep. Trey Gowdy, R-South Carolina, asked at the hearing, pointing out that Klain doesn't have a background in communicable disease, infectious disease, or West Africa.

"If this were an outbreak of people who don't have wills in West Africa, or if this were an outbreak on contested elections in West Africa, then I'd say yeah, go hire Mr. Klain," Gowdy conintued. "But it's not. It's a medical crisis."

GOP slams Klain pick as Ebola czar

Nicole Lurie, a medical doctor and assistant secretary at the Department of Health and Human Services, emphasized that the job entails coordinating the multiple agencies that are dealing with the crisis, and a medical background isn't necessary.

Gowdy then challenged her to take notice if the president ever appoints a doctor to the Supreme Court, arguing that it's unlikely because that person doesn't have experience in the law.

After their exchange, Democratic Rep. Gerry Connolly of Virginia jokingly chimed in to support the idea of appointing a non-lawyer to the Supreme Court, saying it would be "the healthiest damn thing we've had in the last 50 years."

2. Longer quarantine time for troops in Africa? By the end of the year, the U.S. military will have deployed about 3,000 troops to help with humanitarian efforts on the ground in West Africa. Defense officials at the hearing said soldiers will be held for 10 days at the end of their service, isolated from exposure to Ebola.

Who is the new Ebola czar?

If they fall into a low-risk category, they'll then be transferred to the United States to be monitored for another 21 days. But multiple lawmakers at the hearing took issue with bringing the troops back to the U.S. after only 10 days.

"Is there any reason why we wouldn't just want to use a 21-day waiting period in West Africa before we bring people back to the United States?" asked Rep. Matt Cartwright, a Democrat from Pennsylvania.

Major Gen. James Lariviere, deputy director of political-military affairs in Africa with the Defense Department, said the 21-day monitoring period in the U.S. is a standard procedure recommended by the CDC. And the initial 10-day period in West Africa is an extra buffer of time to make sure soldiers aren't exposed to Ebola before they travel to the U.S. and start the three-week monitoring.

Timeline of first Ebola patient in New York City

Facing more pushback from Cartwright and others, the Defense officials at the hearing promised to consult with military leaders about extending the 10-day period in Africa to the full 21 days.

3. Nurses need better materials, training: Deborah Burger, co-president of National Nurses United, spelled out what she believed was a dire need of equipment and better education to protect nurses while treating Ebola patients. According to a survey done by the group of 3,000 nurses at more than 1,000 hospitals in the U.S., 85% of nurses say they haven't been adequately trained.

Gowns and material worn by nurses in Dallas who treated the first Ebola patient in the U.S. still had their necks and wrists exposed, Burger said. Two of them contracted Ebola.

"This is what happens when guidelines are inefficient and voluntary," she said, asking that Congress pass legislation or the president issue an executive order that mandates the kind of equipment medical professional should wear.

4. The CDC should have been more careful: The Centers for Disease Control and Prevention initially said that the U.S. was prepared and ready to prevent the spread of Ebola. But after the two nurses came down with the virus, the organization was forced to admit that it made mistakes and began to issue more caution about the virus.

Connolly said he was frustrated with how the CDC tried to educate the public about the Ebola virus, saying you should "never reassure the public when you don't know."

"Never do that because when you do that, you damage your credibility," he said.

Rep. Doug Collins, R-Georgia, argued Americans are tired of hearing officials take extra steps out of "an abundance of caution" after an Ebola scare.

"The American people need to see the abundance of caution beforehand," Rep. Collins said.

Lurie, the HHS official, said, "We see that it is a work in progress and what you're seeing is we're taking constant steps to adjust as we learn more."

@highlight

Ron Klain is President Barack Obama's 'Ebola czar,' who started Wednesday

@highlight

The House is holding a hearing on the U.S. response to the Ebola outbreak

@highlight

Rep. Darrell Issa, the committee's chairman, said Klein declined to attend