(CNN) -- My mother and stepfather both held full-time jobs and it wasn't unusual for them to work overtime. Sometimes days would go by when I wouldn't see my stepfather because he was working a double shift on consecutive days.

And yet, despite all their hard work, my family struggled to make ends meet.

Sometimes I would have to hurry home to get my homework done before nightfall and an unpaid electric bill put the house in the dark. We depended on the cinder blocks of cheese, powdered milk and canned meats encased in saturated fat that the government distributed. School clothes shopping typically began and ended at Goodwill. None of this was unusual in my neighborhood on the east side of Detroit, so I didn't know then what I know now. We were poor. My friends were poor. My cousins who lived nearby were poor. Most everyone I encountered on my block was poor.

True, a few of them were lazy and leaned too heavily on the welfare system, while others turned to crime to survive. The first time I was mugged I was in elementary school. And yes, by saying "the first time," I am also saying it was not the only time.

But most adults were like my folks. They were sacrificing, hardworking people who wanted one thing: a better life. Better for themselves, better for their children. My story is very similar to that of my partner, whose mother worked hard to feed him and his sister, and that meant peanut butter and jelly sandwiches everyday. Our stories are similar to that of Starbucks president Howard Schultz who grew up in the projects in Brooklyn and whose father never made more than $20,000 a year, or to that of William Jefferson Clinton, who started off as a poor kid from Arkansas and 46 years later was in the White House.

It is because of all of this that when I think of what it means to be poor in this country, I don't see a bunch of parasites looking for tax-subsidized handouts. I see hardworking people who could use a helping hand. I see my mother, who to this day shops at the Goodwill, even though her children can now buy her clothes whenever she wants. None of us is rich, but we are the fruit of her years of nonstop labor and inherited the work ethic we saw all around us. And if you scan through the biographies of some of this nation's greatest success stories across every conceivable demographic, you will find people with humble beginnings like mine. Perhaps you yourself came from little.

But more important, some people start from humble beginnings and die that way, which is no indication of how hard they did or didn't work, or how good or bad a person they were.

As we begin the painful work of tightening the belt of a nation that has gotten fat on credit, it is important that we don't forget: Those stories are the reason we are such a great nation. The middle class doesn't comprise a bunch of affluent people who fell on hard times, but is made up of children and grandchildren of poor people who busted their ass to pull their families up.

Newt Gingrich and others say the work ethic is absent in neighborhoods like the one I grew up in. That's just wrong. Gingrich and his like have their collective noses too high up in the air to see this country isn't great in spite of the poor. It is great because of the poor.

I'm not saying that the richest country in the world should celebrate millions of her children going to bed hungry each night. But it should celebrate that so many of these children make it out of poverty and reach back to help those behind. They remember what it is like to be hungry. To be cold. To only be recognized for what they don't have, if they are recognized at all.

I was walking along the boardwalk in Santa Monica, California, this past weekend enjoying the view of the ocean, while pretending I didn't see the homeless people lying on the beach. How ironic to be in southern California to attend "CNN Heroes" and too afraid to look another human being in the eye. Growing up, I didn't do that.

Now that I have a little money in my pocket to make donations and the luxury of time so I can volunteer, I rationalize that I am doing my part. And in a way, maybe I am. But that should not excuse me, excuse us from having enough decency to simply look another person in the eye.

Or to remember there are faces behind the issues of unemployment benefits and Medicare. To remember with 14 million people looking for work, compassion is our greatest weapon against despair.

When you hear politicians talk about deficits, it's all about finances. But culturally we seem to be in an deficit of empathy as well. We have equated the American Dream with being rich, and now that resources are scarce, the rhetoric has a "kill or be killed" tone to it.

When I was growing up in Detroit, it never occurred to me to equate a person's net worth with his or her worth as a person, or look at it as a snapshot of a value system. No one around me did. That's because we saw so many people working hard for a better life. With that as your backdrop, it is hard to see poor as a four-letter word.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson didn't know it growing up, but his family and neighborhood were poor

@highlight

Granderson's neighborhood's work ethic was strong and his parents worked long, hard hours

@highlight

Granderson: This country is great because of poor who worked hard and helped others

@highlight

Gingrich says work ethic is absent in poor neighborhoods, he writes, but that's just wrong