NAZARETH, Pennsylvania (CNN) -- Traveling through the rolling hills of Pennsylvania's farmland, one can almost hear the music of days gone by.

The factory of C.F. Martin Guitars in Pennsylvania produces instruments used all over the world.

The sounds of an old guitar seem fitting for the rustic buildings and small towns that you pass through. It's almost as if you're being drawn in, closer and closer to where the sound originates: C.F. Martin Guitars in Nazareth, Pennsylvania.

Walking through the front doors of the factory, nicely tucked into a residential neighborhood, the floors are shiny, the smell of "newness" in the air, but somehow it feels old. It feels like you're stepping into a part of history. And you have.

Martin Guitars was established in 1833 when C.F. Martin, along with his family, immigrated to New York from Germany. Upon visiting some friends in Pennsylvania's Lehigh Valley, the Martin family decided to trade in the hustle and bustle of New York for the open space and German heritage of rural Pennsylvania.

The story of Martin Guitars is not just one of building acoustic instruments, but also one of family. The company has passed the business down from one Martin to the next. While many guitar makers have been sold to corporations, Christian Martin IV, the company's current owner, speaks of the responsibility he feels as the fourth-generation family owner.

"Although other guitar makers may have the name, and they certainly do appreciate the history and the heritage, in my case, it's in my blood."

Chris Martin describes the business as "focused on one thing, and we don't get distracted easily." The one thing is perfecting the art of guitar making, and, musicians say, Martin Guitars has done it better than most.

Christian Martin says that what makes his family's line of guitars so popular is the firm belief that the "guitar is really meant to complement the singer, not to overshadow the person playing it." This idea has been the catalyst for some of America's most beloved singer/songwriters for choosing Martin Guitars. Among the artists who have chosen Martin Guitars as their "tool" are Bob Dylan, Eric Clapton, David Crosby and John Mayer. Country music icons Hank Williams and Johnny Cash also were Martin men.

"You never know if six months from now Eric Clapton or somebody will be playing the guitar you just worked on," says George Molchany, a final inspector at Martin Guitars.  Watch how the guitars are crafted »

A tour of the new 84,000-square-foot factory is overwhelming, to say the least. Each stop on the tour is a mix between old and new, hands-on craftsmanship and machined process. The hand sanding of the body of a guitar has been replaced with a belt driven sander; the cutting of the edges of the guitar is done with a router that fills the building with so much noise it is often hard to hear the person talking right next to you.

It's a sign that Martin Guitars has changed with the times. Automation has provided the company with more productivity, but if you look in certain corners of the factory, it is still a very hands-on process.

"It's tedious. Very much so," says Willard "Buddy" Silvius, a neck fitter at Martin who has been with the company for more than 43 years.

"You have to get the feel of the wood. You have to know exactly how much you have to chisel off to get the neck to where you want it to fit."

Chris Martin says that although the plant has been modernized to produce more guitars, "there are factories in Asia that make as many guitars in one month as we do in one year."

According to Chris Martin, the reason that Martin Guitars has been able to hold off the effects of the troubled economy is because of detailed records that date back nearly two centuries.

"Every time we celebrated a 25th anniversary, within a year or two, the economy was in shambles. I use that as a way to communicate with my colleagues to say that 'the odds are that we're going to survive this one, too, because we've survived all the others.'"

Martin Guitars celebrated its 175th anniversary in 2008.

He jokingly adds that "within a year or two of our 200th anniversary, the economy's going to be in shambles."

There is a sense of community within the walls of the factory. Each station that you visit is one in which pride is a shared commodity mostly due to the fact that Martin Guitars employs more than 500 people locally. It's a place where it's hard to find someone who doesn't know your name and, furthermore, exactly what part of the guitar you're building.

Perhaps it is that sense of heritage and community that makes Martin Guitars one of the premier guitar builders. It could be the responsibility of the family name, the desire for perfection on every instrument. What Chris Martin will tell you is that each instrument that comes out of the factory is unique.

"People choose Martins because they're reliable, they're durable, they have a richness of sound that most other guitars do not. I can't tell you the number of people that tell me the Martin guitar that they own is the best one we ever made."

@highlight

C.F. Martin Guitars has been producing instruments since 1833

@highlight

Guitars have been played by icons from Hank Williams to Eric Clapton

@highlight

"You have to get the feel of the wood," veteran employee says

@highlight

Owner says that each guitar coming out of the factory is unique