(CNN) -- New Hampshire is all about the independents. And that's why it's the best test of general election electability.

While Iowa's caucuses are disproportionately dominated by social conservatives, in New Hampshire's open primary, independents can vote -- and they make up more than 40% of the local electorate.

That's right -- in New Hampshire, registered independents outnumber Republicans or Democrats.

It's a libertarian instinct reflected in the state's motto, "Live Free or Die." It's captured in the wonderful fact that in the northern town named "Freedom," independents make up the bulk of the 1,000-plus voters.

It's also reflected in the fact that New Hampshire is one of the least religious states in the nation.

Likewise, a Pew Research Center poll conducted before the 2008 primary found that 55% of New Hampshire Republican primary voters believed that abortion should be always or mostly legal, while just 13% of New Hampshire GOP primary voters said abortion should be always illegal -- posing a problem for fundamentalists like Rick Santorum who support a constitutional ban on abortion.

Fiscal conservatives rule the roost in the New Hampshire Republican Party, which is committed to the state's anti-income tax tradition with a focus on balanced budgets and a concurrent aversion to deficit spending.

While President Obama won the state by 9 percentage points in 2008, his in-state approval rating is just 41% today.

To add to its relevance, New Hampshire is a general election swing state, unlike, say, South Carolina. Decades ago the Granite State was considered rock-ribbed Republican, but as the national Republican Party moved further right, especially on social issues, New Hampshire -- like much of the Northeast -- started to declare its independence.

Bill Clinton won the state twice in the 1990s, George W. Bush won it in 2000 and John Kerry in 2004.

Follow developments on the CNN Political Ticker's live blog

To add to the portrait of swing state diversity, the state's two senators are split between Republicans and Democrats -- Kelly Ayotte and Jean Shaheen. The state's governor, John Lynch, is a centrist Democrat who was re-elected by a 75-25 margin and is serving his fourth term. He is not running for re-election in 2012.

Mitt Romney has enjoyed a double-digit lead in New Hampshire for months. It's not surprising -- the former Massachusetts governor came in second to John McCain there in 2008. Romney holds the distinction of being the only statewide elected official from Massachusetts who failed to win the New Hampshire primary.

John McCain's endorsement of Romney is intended to solidify the front-runner's status as the candidate of the responsible center-right. But even with the two-time New Hampshire primary winner's benediction, Romney could see tightening margins in the final days before Tuesday's vote.

Jon Huntsman has been camped out in New Hampshire for the past six months, trying to rally Granite Staters around his center-right campaign, promising fiscal conservatism alongside a healthy critique of absolutism on social issues.

Likewise, Ron Paul, whose campaign doubled his 2008 totals in Iowa on Tuesday night, is poised for a strong showing in the Live Free or Die State. If Huntsman and Paul continue to gain support with New Hampshire independent voters, they will eat into Romney's lead, helping Rick Santorum close the gap with Romney. To get a sense of Santorum's potential base in the state, remember that Mike Huckabee came in third in 2008.

New Hampshire is a very healthy stop for the GOP during the January gantlet, positioned between Iowa and South Carolina. It gives the Republican Party a primary electorate that is representative of the audience the nominee will need to appeal to in November. Florida is a broadly diverse state, but it still has a closed primary. Open primaries offer the broadest choice and the best test of national electability, focusing on fiscal issues rather than social issues.

New Hampshire offers the antidote to a polarized Republican Party whose primaries are too often distorted by the fringe blurring with the base.

It is a state where centrist candidates are rewarded, reinforcing the wisdom that presidential elections are won by the candidate who connects best with moderates and the middle class.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: The "live free or die" state is deeply committed to independent thinking

@highlight

He says it's a good place for GOP to test candidates for national electability

@highlight

Voters in New Hampshire concerned with freedom, fiscal conservatism, Avlon says

@highlight

Avlon: Obama won state by 9 percentage points in 2008 but is less popular there now