(CNN) -- The winter of 1609 to 1610 was treacherous for early American settlers. Some 240 of the 300 colonists at Jamestown, in Virginia, died during this period, called the "Starving Time," when they were under siege and had no way to get food.

Desperate times led to desperate measures. New evidence suggests that includes eating the flesh of fellow colonists who had already died.

Archaeologists revealed Wednesday their analysis of 17th century skeletal remains suggesting that settlers practiced cannibalism to survive.

Researchers unearthed an incomplete human skull and tibia (shin bone) in 2012 that contain several features suggesting that this particular person had been cannibalized. The remains come from a 14-year-old girl of English origin, whom historians are calling "Jane."

There are about half a dozen accounts that mention cannibalistic behaviors at that time, although the record is limited, said Douglas Owsley, division head of physical anthropology at the Smithsonian National Museum of National History.

The newly analyzed remains support these accounts, providing the first forensic evidence of cannibalism in the American colonies.

What we know from the bones

Jane's remains were found in a 17th-century trash deposit at the former site of James Fort. William Kelso, chief archaeologist at the Jamestown Rediscovery Project said at a briefing Wednesday that the fort was built in 1607, but has been washed away. Kelso and colleagues began digging in 1994 and have been excavating the site on Jamestown Island ever since.

Owsley and colleagues can tell quite a bit about what happened to Jane when at least one starving settler in the fort apparently tried to feed off of her. 
If it's any consolation, it appears that she was already dead at the time.

Researchers say it looks like someone had tried, but failed to open the skull with four shallow chops to the forehead.

The back of the skull contains markings that could have been made by a small hatchet or cleaver striking it. The cranium cracked open from the last hit. Forensic experts say it appears the person striking the skull was right-handed.

The skull's mandible contains cuts all over it and inside, which experts say reflect an attempt to take tissue off of the face and throat with a tool such as a knife. The cheek area reflects a "sawing action" of a tool going back and forth, Owsley said. There are also sharp passages of a knife.

At some point in the process, the head was removed, Owsley said.

The damage done to these remains indicates that whoever inflicted it was not a skilled butcher, he said.

"Instead, what we see is hesitancy, trial, tentativeness and an absolute total lack of experience."

The shin bone that archaeologists recovered also appeared to have been chopped, but in a way that more resembles classic butchering techniques, Owsley said.

"The person doing this was clearly interested in, based on what would have been accepted cuisine in the 17th century, in cheek meat, muscles of the face -- that area -- and tongue, and also in terms of 17th century traditional cuts, would also include the brain," he said.

It is possible that more than one person was involved in this, given the disparity in butchering practices seen in the head compared to the shin bone.

What we know about the colonists

In the summer of 1609, the settlers experienced two significant setbacks, said James Horn, vice president of research and historical interpretation at Colonial Williamsburg.

The first was that a large fleet bringing supplies and settlers to Virginia was scattered. It had been carrying 500 settlers from Plymouth along with provisions.

"The fleet represented a new beginning for Jamestown, which had struggled over the previous two years," Horn said.

A hurricane scattered the ships a week before they were supposed to arrive. The flagship with the leaders of this pack ended up in Bermuda. Shakespeare's play "The Tempest" takes its inspiration from this event.

Six ships reached Jamestown in August 1609, with spoiled or depleted food, and many settlers in poor health. "On one of those ships was Jane," Horn said.

At the same time, the relationship between the Jamestown colonists and the native Powhatan Indians had broken down. The existing settlers were already experiencing disease and a shortage of food, and the demands they made on the Powhatans strained their relations.

That was the environment into which 300 additional settlers arrived at the James Fort.

One of the leaders of the group, Captain John Smith -- the same one who was famously friends with Pocahontas -- returned to England in October 1609 because he was injured, Owsley said, leaving a leadership vacuum.

In the fall, the Powhatans waged war against these colonists, and launched a siege against the fort.

With no way to get food from the outside, the colonists resorted to eating horses, dogs, cats, rats, mice and snakes, Horn said, according to the accounts of George Percy, who was the president of Jamestown during this time. There are even accounts of people eating their shoes and any other leather that could be found. Anyone who left to try to scrounge for roots in the woods was killed by the Powhatans.

Percy wrote, according to the Smithsonian, "thatt notheinge was Spared to mainteyne Lyfe and to doe those things which seame incredible, as to digge upp deade corpes outt of graves and to eate them. And some have Licked upp the Bloode which hathe fallen from their weake fellowes." In other words, cannibalism.

It's not clear how many deceased colonists were cannibalized. Only 60 of 300 of the original colonists survived, described as "looking like skeletons," Horn said.

In May of 1610, the settlers finally arrived who had been shipwrecked in Bermuda, effectively saving the colony. Lord Delaware brought even more colonists and enough provisions to last a year.

There are still more pits at the fort to be excavated, and only 10% of Jane's body has been recovered, Owsley said.

"I think there's going to be other examples," Owsley said. "Whether that will be found -- with archeology you never know what's going to be under the next shovel."

A special exhibition will begin at the Smithsonian about Jamestown and Jane's story on Friday.

More space and science news from CNN Light Years

@highlight

Remains of 14-year-old girl "Jane" found from 17th century

@highlight

Researchers say she was cannibalized, based on forensic analysis

@highlight

This supports the accounts that historians have that cannibalism was used for survival