(Wired) -- Like a professional location scout for Grimm fairy tale movies, photographer Kilian Schönberger seeks out and explores the less-traveled regions of Europe, searching for places that test the boundaries of fantasy and reality. The results are haunting photographs that look like they were smuggled out of a dream.

"Tolkien's books, like Lord of the Rings and The Hobbit, were inspired by the old European myths, legends and fairy tales," says Schönberger. "The movies featured the wild landscapes of New Zealand -- but I wanted to find out if there are similar wild landscapes left in the populous region of Middle Europe, too. Therefore, I visited places in Germany, Czech Republic, Luxembourg and Austria."

The resulting series is called Brothers Grimm Homeland, for which Schönberger expertly uses framing, fog and lighting to subtly suggest the fairy tales of The Brothers Grimm. He lets our imaginations do the rest.

Beginning with Children's and Household Tales, published in 1812, Jacob Ludwig Carl Grimm and Wilhelm Carl Grimm collected and published folklore; specifically the stories that they believed reflected and preserved aspects of their own Germanic culture and faith. Stories such as Little Red Riding Hood, Hansel and Gretel, Snow White, and Sleeping Beauty all originated in European folk tales. Thanks to their research, these fables held enough appeal to survive the centuries.

"As a kid I was deeply fascinated by the magic of those stories," says Schönberger. "Now -- grown up and living in a rather big city (Cologne) -- this magic has disappeared in my everyday life ... I try to restore this world in my pictures."

Schönberger is a geographer as well as a photographer, and he combines both disciplines to communicate more than just the scenic beauty of a landscape. He does a considerable amount of research both ahead of time and in the field, taking into account landscape genesis, culture, and history. The locations he seeks are often rural and remote, and he uses fables and local fairy tales as a source when searching for new and lesser-known photo locations in Europe. Once he's finally found the right spot, the weather conditions have to match up perfectly.

"Fog is an essential ingredient for the otherworldly look I am searching for," Schönberger says. "I would say I have 'mastered' my personal 'fog forecast' abilities, but it's still more often than not a game of pure chance whether the fog has the right density or not. Sometimes it lasts years until you'll get the desired conditions."

Schönberger actively began pursuing photography in 2003, starting with a compact Ricoh Caplio RR30. The following year, he spent his alternative service (Germany's version of mandatory military service) near the Alps, which took him to some amazing landscapes.

"This was the time I started to reflect on composition and light control," he says. "One year later I unfortunately dropped the Ricoh camera down a waterfall -- seems like my photographic passion for landscapes was present from the beginning."

The sudden loss of his only camera eventually pushed him to purchase a DSLR in 2006, but his work didn't become what he considers truly ambitious for another three years. While on a six-month trip in Norway, he became drawn to scenes that characterize what he now describes as the "melancholic and harsh beauty" of his remote surroundings.

"In technology-driven urban environments, it's principally hard to find resting places untouched by disturbing visual, olfactory, or audible noise," Schönberger says. "These kinds of places are endangered in today's world."

Along with the long hikes and inclement weather, Schönberger has the added challenge of being colorblind. The blindness affects several tones, rendering him incapable of distinguishing green from red, magenta from grey, or violet from blue. Rather than be detrimental to his work, over the years he's learned to transform it into a source of strength. By ignoring color, he's free to focus more on the composition, which can be difficult to tame in chaotic forest environments.

Ultimately it's Schönberger's instincts, vision and editing that infuse his photos with fantasy and elevate them above simply beautiful landscapes.

"I don't want to show just portrayals of natural scenes," Schönberger says. "I want to create visually accessible places where the visitor can put his mind at rest and make up his own stories."

Read more from WIRED:

A Room That Wrecks Your Perspective

Creepy Portraits of Ventriloquist Dummies

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Kilian Schönberger explores wild landscapes in the region of Middle Europe

@highlight

He recreates the magic of the old myths that inspired Tolkien and The Brothers Grimm

@highlight

Fog is the essential ingredient for the haunting pictures of the colorblind photographer