It's largely devoid of human life, dark and viciously cold at times and frequently subject to dangerous levels of geological volatility -- the Arctic is surely the worst possible destination for an arts festival.

That hasn't put off the organizers of SALT -- an event aimed at bringing entertainment to remote regions while showcasing the bleak but beautiful landscapes to new audiences.

If that doesn't sound tough enough -- the event is due to last for eight years.

And it gets underway as winter approaches.

"Ninety percent of festivals are in the summer when the weather is hopefully nice," says Erlend Mogard-Larsen, a veteran festival organizer who, with Norwegian curator Helga-Marie Nordby, is SALT's driving force.

"We're interested in the possibilities across the year in these regions, especially when the light dwindles in December. We want to use nature to make this event."

Nordby says the festival is an attempt to explore the "Arctic state of mind" using landscapes as a gateway into local lifestyles.

The program features performances from the Arctic Philharmonic Orchestra, Norwegian DJ Are Mokkelbost, and Ensemble Ylajali, a female vocal group from Bodo, Norway.

The headline act -- at least until February 2015 -- is an outdoor film installation by Chinese filmmaker and artist Yang Fudong, the first of what Nordby hopes will be numerous international contributions.

Supersized sauna

Although SALT kicks off on August 29 on Sandhornoya Island, in northern Norway, just as the last warmth of summer evaporates, the festival has a steamy secret weapon up its sleeve.

It'll debut "Amfi," a giant insulated amphitheater that will host film screenings, seminars and larger concerts.

When the weather gets particularly rough, the facility transforms into a sauna, releasing enough sweltering heat for 120 people.

SALT will spend a year on Sandhornoya before moving to destinations including Greenland, Alaska, Ireland, Scotland, the Faroe Islands and Iceland.

Wooden structures have already begun to populate the island.

Along a two-kilometer beach strip, colossal fish racks mirroring the region's age-old trading culture will double as a performance arenas for artists.

Festival-goers will also be invited to exchange their tents with a "njalla," a tiny mobile hut kitted out with a glass roof to view the northern lights.

Instead of the usual festival unhealthy fast food selection, there'll be fresh fish and ethically sourced meat.

Well-equipped cabins

Nordby says one of SALT's goals is to show participants how the Arctic's peripatetic population has traditionally lived in harmony with its environment.

"Nature is quite vulnerable in these regions and this was of course the knowledge that the nomads had," she says.

"Their way of living was really about 'living with this' and using nature in a very sustainable and careful way."

Of course, unlike festival-goers, these nomads weren't residing in cabins equipped with comfy bunks and wood-burning stoves.

"The idea behind the project is to embrace the philosophy of movement here, when we are moving around to Greenland, Iceland or wherever we are going, we want make as few footprints as possible," says Nordby.

"People living up here have always brought their houses and belongings with them on a constant basis -- they had to move," says Mogard-Larsen. "It's actually very hard to see the people who have been living here ... footprints are few."

The roughness of the weather coupled with the scenery's beauty make for an experience that's sure to astound and revitalize bored metropolitans -- provided their huts don't get blown to pieces.

Nordby says that city dwellers can learn a lot from the living conditions of Arctic territories.

She says that swapping their worlds of dwindling leisure time and excessive working hours for lands where elk and deer populations far exceed humans will help them gain a new sense of perspective.

"Most of us who live in big cities have this feeling of fragmentation, this loss of something to hold on to," she says.

"When you reach this beach and come to this place ... there is something happening with you, you get the feeling that you're part of something so much bigger than yourself."

The SALT festival comes at a particularly significant time for the Arctic.

Several countries are eyeing the untapped resources that lie dormant under its mounds of ice and rocky land, while climate change is affecting the region at twice the rate of the rest of the world.

Climate fluctuation

Trekking across Norway throughout 2011 and 2012, Nordby and Mogard-Larsen were astounded by the climate's fluctuations.

Nordby recalls the sensitive landscapes.

"When it comes to climate change and environmental challenges you can see this very clearly in the Arctic. We have these huge ice mountains that are melting, every year huge parts of these areas are gone," she says.

"We also see it in the extreme weather -- northern Norway is usually quite rough in the summer season, but now, it's been 30 degrees (86F) almost all summer. It's crazy, it shouldn't be 30 degrees up here!"

The pair say the planet's northern reaches act as a true barometer for global warming, and as the region is exposed to a wider audience, its changing landscape won't be so easily ignored.

"The way we live today across the world means that we're shortening the future," says Nordby. "This landscape is reminding us of something that we need to be reminded of."

SALT Festival will debut on the island of Sandhornoya, Norway, running from August 29, 2014 to September 6, 2015.

@highlight

SALT Festival to kick off on the Norwegian island of Sandhornoya from August 29

@highlight

Organizers hope the eight-year event will draw attention to the beauty and fragility of Arctic region

@highlight

Events will move from Norway to Greenland, the Faroe Islands and Alaska