Hong Kong (CNN)"We'll be back" banners and posters proclaimed on the 75th and final day of the pro-democracy protests that have upended Hong Kong.

Whether that's a threat or a wan hope depends on who you ask right now.

The students that formed the "Umbrella Movement" -- named for the humble umbrella used to protect against tear gas and pepper spray -- are morose but defiant, and more alienated than ever.

Pro-government supporters have transformed from being rather passionless parrots of the Beijing line into fire-breathing zealots demanding Hong Kong police bash the heads of anyone stepping into the streets.

Emotions are clearly raw, and probably will continue to be into 2015.

The "Occupy Central" protests make the upcoming annual policy address by the city's leader, Chief Executive C.Y. Leung, in mid January the most critical since Hong Kong reunified with China in 1997.

Continuing to stand firm and largely ignore protesters won't fix the sources of so much "turmoil" -- a term associated with the 1989 Tiananmen Square massacre and controversially used in the South China Morning Post's headline on Occupy Central's ending.

The governments in Hong Kong and Beijing must demonstrate clear understanding of what drove so many to protest so long.

Unless the diagnosis is correct, prescriptions of "medicines" will do more harm than good.

PHOTOS: Hong Kong protesters bid camp farewell

Demand to be heard

Demands for democracy are in reality demands to be heard.

Leung must show he listens to everyone, that he cares, and that he will take action—decisive, but fair action.

And that's the rub.

Research shows one crucial value—belief in a level playing field—has become deeply damaged.

Hong Kongers once widely believed with hard work, some sacrifice and good education, anyone could improve their circumstances and achieve a good livelihood.

Tycoons like Li Ka-Shing were adulated because they started with nothing and worked their way up.

Today many fewer than before think hard work, sacrifice and good education can lead to better lives.  Indeed, many more believe government policy-making is unfair.

As proof this is one major cause of unrest, the protest movement caught fire when local government officials refused to meet students demanding to be heard.

Instead, they escorted 70 of the richest Hong Kongers to Beijing for private audiences with national leaders.

Talking with students, on the other hand, helped to reduce numbers of protestors.  They demanded fair treatment, equal to that given the tycoons.

The promise of a new platform for exchanging views with youth must be fleshed out in the address.

Leung needs to schedule regular question and answer sessions with students like he already does with the city's chambers of commerce.

Until those presently excluded from consultation are included, the belief the city's leader unfairly heeds business interests over everyone else will continue to undermine government legitimacy.

Causes of unrest

Other fundamental causes of unrest stem from unintended consequences of previous decisions.

A 2010 policy decision privatizing commercial space in public housing estates removed cheap rental access for younger and poorer entrepreneurs making Hong Kong's tycoon-dominated crony capitalism even tougher to break through.

A real competition policy with teeth that makes sure tycoons compete equally with everyone else for business is essential.

Rationalizing the hodgepodge of retirement ages and pension provisions into something simplified, consistent and fair is a must.

Many youth resent being unfairly burdened with aging family members, and government shows very little awareness or sense of urgency.

A proposal this year to extend the retirement age for civil servants to 65 prompted demands from unions to raise it immediately.

People must be truly desperate.  Elsewhere, proposing to raise the retirement age sparks protests.  Here, it sparks demands for immediate implementation.

People don't want handouts; they want fair treatment, whatever their age.

Another source of unrest is the sheer press of numbers on our limited space.

I strongly supported the decision to finally extend easier entry for mainland Chinese visitors in 2003.

However, from a too low number of 8.5 million mainland tourists arriving in 2003, we now very likely have too many for our infrastructure to handle.

With 40.7 million mainland Chinese visitors, we are likely hitting capacity.

Chauffeured cars

Hong Kong needs central and local government officials who understand life's daily pressures and stress points.

Perhaps Hong Kong should imitate what President Xi Jinping's anti-corruption policies have unleashed on the mainland:

Officials getting out of their chauffeured cars, giving up their maid service and joining the rest of us standing in long lines.

It would only be fair.

And that is why Occupy Central demanded that the next election for the city chief executive be fair.

Everything else is not; and the tycoons and top officials don't get it.

Until they do, Occupy Central's promise/threat of "we'll be back" is probably right.

@highlight

The main pro-democracy protest camp was cleared on Thursday

@highlight

Banners and posters proclaimed "We'll be back,"

@highlight

Hong Kong and Beijing need to understand why so many demonstrated