New Orleans (CNN) -- A control unit on the Deepwater Horizon's blowout preventer was leaking hydraulic fluid before the explosion that unleashed the worst oil spill in U.S. history, a BP official testified Tuesday.

Ronald Sepulvado, one of BP's well site leaders -- "company men," in rig jargon -- told the Coast Guard-Interior Department board investigating the drill platform's sinking that there were "off and on" problems with valves that directed hydraulic fluid inside the mechanism. He said he reported the problem to his superiors, but the rig continued to operate despite the problem.

Federal regulations require that drilling work halt if a control "pod" is inoperable. Sepulvado said the unit was still functional, but his team leader should have reported the issue to the Minerals Management Service, the recently reorganized Interior Department agency that regulated offshore drilling.

"I guess we assumed that everything was OK, since I reported it to the team leader and he should have reported it to the MMS," Sepulvado said. His team leader, BP executive John Guide, is scheduled to testify before the investigative board Thursday.

Deepwater Horizon's blowout preventer failed to shut down the runaway well at the heart of the Gulf of Mexico oil spill after the April 20 explosion aboard the rig. The resulting fire sank the platform, leaving 11 workers dead and releasing an undersea gusher that engineers were unable to contain until last week.

Sepulvado and Donald Vidrine were the two "company men" who worked aboard the rig, but Sepulvado was ashore at the time of the blast for additional training on blowout preventers. He was replaced on the rig by Robert Kaluza, who invoked his Fifth Amendment right against self-incrimination Tuesday when called to testify.

Vidrine has been excused from testifying for medical reasons, the company said Monday night.

The board released a list of more than 20 reported anomalies with the well in the 18 hours before the explosion, ranging from low pressure readings and larger-than-expected returns of "mud," the drilling fluid used as a counterweight and lubricant aboard the rig. Both Vidrine and Kaluza were involved in discussions about the anomalous pressure readings in the hours before the explosion, the according to the list.

BP, rig owner Transocean and well cementing contractor Halliburton all blamed each other for the disaster. Previous hearings have included testimony about maintenance backlogs aboard the rig and disputes between BP and Transocean managers about procedures as they prepared to shut in the well, which was already behind schedule.

Ross Skidmore, a subsea supervisor for BP contractor Swift, testified Tuesday he questioned why BP was waiting to install a "lockdown sleeve" -- a fitting placed atop the well to secure the casing -- after drilling fluid was replaced with seawater for pressure tests.

"I asked why couldn't we go ahead and do this in mud," he said. In response, Skidmore said he was told "It wasn't going to happen. We were going to go through the sequence we were given."

Skidmore said he's "selective" about questioning his orders. But he added, "If I would have seen something and recognized it as being unsafe or a threat, I would have taken it all the way into town."

This week's hearings come as scientists continue testing pressure in BP's ruptured deepwater well and weighing options for permanently sealing it. Even as lawyers and witnesses resist some questions before the panel, the hearings are providing dramatic details of what happened on the rig, and could form the basis for criminal charges down the line.

A sworn statement from Deepwater Horizon Chief Engineer Steven Bertone sparked particularly heated debate Monday. In it, Bertone described the rig's captain screaming at a crew member who issued a distress call and ordering an injured man left behind.

Lawyers repeatedly attempted to ask Bertone about the document, which has not been publicly released. But his lawyer, Steven London, said the statement was made while his client was "detained" aboard a rescue ship and told Bertone not to answer questions about it.

"This statement was obtained from him while he was held 26 hours right immediately after this incident, which was extremely traumatic to say the least," London said. "It is what it is. We're not going to be cross-examined on something that occurred, that was written down at that time."

An attorney for rig captain Curt Kutcha criticized lawyers for introducing the statement. It was "an attempt to assassinate his character in one aspect of what's being done where all their lives were at risk," attorney Kyle Schonekas said.

But BP lawyer Richard Godfrey seized on the statement, saying it showed "a complete loss of command and control aboard the bridge" after the explosions.

Bertone also testified Monday that the rig's bridge crew was unsure who had the authority to activate the rig's emergency disconnection from the well. When it was activated, it failed to work despite indications on the control panel that it had been activated, he said.

CNN Correspondent Mary Snow contributed to this report.

@highlight

NEW:  Subsea supervisor questioned delay in installing "lockdown sleeve"

@highlight

A control unit on the rig's blowout preventer leaked hydraulic fluid, BP exec says

@highlight

MMS regulations require drilling to stop if control units don't function

@highlight

A BP "company man" takes the Fifth for a second time