Kiev, Ukraine (CNN) -- Undeterred by an overnight crackdown by authorities, protesters in the center of the Ukrainian capital, Kiev, rebuilt barricades Wednesday that had been torn down hour earlier by riot police.

As the day continued, police pulled back from the city's Independence Square, or Maidan, and the country's leaders sought to play down fears of a further clampdown.

Earlier, hundreds of officers used chainsaws to pull down the barriers, which had been manned by pro-Western demonstrators. Clashes led to reports of injuries on both sides.

Angry about the refusal of Ukraine's Russian-allied President Viktor Yanukovych to sign an agreement that would strengthen cooperation with the European Union, thousands of demonstrators have been camped out for days in Independence Square.

They also continue to occupy Kiev's City Hall.

Wednesday's predawn crackdown on protesters brought condemnation from Western leaders.

But U.S. Assistant Secretary of State Victoria Nuland, after a two-hour meeting with Yanukovych on Wednesday, said there was still "a way out" for his government.

"It was a tough conversation, but it was a realistic one," she told reporters in Kiev. "I made it absolutely clear to him that what happened last night, what has been happening in security terms here, is absolutely impermissible in a European state, in a democratic state.

"But we also made clear that we believe there is a way out for Ukraine, that it is still possible to save Ukraine's European future and that ... we want to see the President lead."

A picture posted to Twitter by the U.S. ambassador to Ukraine, Geoff Pyatt, showed Nuland handing food earlier Wednesday to security forces and protesters in the square.

Talks

Yanukovych called for talks.

"I invite representatives of all political forces, priests, public figures to hold the nationwide dialogue," he said on the official presidency website.

"Personally I am ready to take part in such panel discussion. In order to achieve compromise, I urge the opposition not to refuse, not to choose the path of confrontation and ultimatums."

But his jailed chief political opponent, Yulia Tymoshenko, dismissed any call for negotiations, urging Ukrainians to "stand up," and repeating previous opposition calls for early elections.

"No negotiations or roundtables with bandits -- only the immediate resignation of Yanukovych and his entourage," a statement posted on her official website said.

"I also appeal to the leaders of the democratic world. Every time a Berkut (riot police) baton strikes a blow on a peaceful protester defending Maidan it is a blow to the universal values that you are trying to make the foundation of human life."

Tymoshenko has been in jail for two years after being convicted of abuse of power in 2011. The verdict was decried by the EU and other critics as a sham.

During allies in Independence Square, protesters have carried her picture.

Interior minister: 'No crackdown'

Earlier, Ukrainian Interior Minister Vitaliy Zakharchenko said there would be no attempt to disperse the protesters and that police were just trying to keep the roads clear.

"I want to reassure everyone -- there will be no crackdown of the Maidan," he said, according to the official Ukrinform news agency.

"Nobody is infringing on citizens' right to peaceful protests. However, one cannot ignore the rights and lawful interests of other citizens."

Before that, the Interior Ministry said 10 policemen were injured between 1 a.m. and 4 a.m. while acting on a court order to dislodge protesters from the city center and restore the free movement of traffic.

It was not clear how many protesters were hurt in the clashes. City officials put the number at 30, while Health Minister Raisa Bogatyryova said 13 were hurt.

Footage from the scene showed black-helmeted, heavily armored riot police advancing toward the protesters, who were wearing orange hard hats.

Ukrainian opposition leader Vitali Klitschko, a former heavyweight boxing champion, said Yanukovych had "burned the bridge to a civilized resolution of the political crisis," according to his Ukrainian Democratic Alliance for Reform party.

Klitschko said the demonstrators' goals were "a full reload of the government and punishment for those guilty in clearing up the protests."

Meanwhile, Ukrainian Prime Minister Mykola Azarov told a government meeting Wednesday that Ukraine was still open to signing the European integration deal if the European Union would agree to providing financial assistance to Ukraine of around 20 billion euros ($27.5 billion).

He suggested European officials were more interested in monitoring the protests than in discussing a financial deal that would benefit the Ukrainian people, according to a government news release.

U.S. 'disgust' at crackdown

In Washington, State Department spokeswoman Jen Psaki told reporters that "all options" were under consideration in Ukraine, including sanctions.

U.S. Secretary of State John Kerry condemned the crackdown on protesters.

"The United States expresses its disgust with the decision of Ukrainian authorities to meet the peaceful protest in ... Maidan Square with riot police, bulldozers, and batons, rather than with respect for democratic rights and human dignity," he said in a statement. "This response is neither acceptable, nor does it befit a democracy."

Kerry urged the "utmost restraint" by authorities, saying "human life must be protected."

UK Foreign Secretary William Hague said he was "deeply concerned" about the Ukraine government's decision to send in riot police against peaceful protesters.

"The concerns of protesters should be met with dialogue, not violence," he said.

The police crackdown came hours after EU foreign policy chief Catherine Ashton met with Yanukovych and visited the protest site in the central square.

"The moves that were made to try and clear the blockades were done in a way that was unacceptable," Ashton told CNN in Kiev on Wednesday.

"And when I spoke with (Yanukovych) for three-and-a-half hours yesterday, one of the things we talked about was the importance of dialogue and the importance of convening what the three former presidents have described as ... a roundtable. ... It's harder to convene a dialogue when people have seen what they believe has been inappropriate action."

Ashton had met Tuesday with opposition leaders.

The scenes of protest are reminiscent of the uprising that swept Yanukovych from office nine years ago during the Orange Revolution, when he was prime minister.

East vs. West

Yanukovych's refusal to sign the EU deal represents a U-turn in the country's advance toward closer relations with the West.

An EU agreement would have opened borders to trade and set the stage for modernization and inclusion, protesters say. They accuse Yanukovych of preparing to take the country into a Moscow-led customs union.

Moscow has leverage that may have affected Yanukovych's decision to backpedal on the EU talks because Russia supplies Ukraine with natural gas.

Yanukovych said Tuesday that he was "strongly against opposing relations with Europe in favor of relations with Russia and vice versa."

The EU is also pressuring Yanukovych to free Tymoshenko

The Orange Revolution that swept Yanukovych from office in 2004 also brought the pro-Western Tymoshenko to power.

CNN's Diana Magnay and journalist Victoria Butenko reported from Kiev, and CNN's Laura Smith-Spark wrote in London. CNN's Tom Watkins, Zahra Ullah and Zarifmo Aslamshoyeva contributed to this report.

@highlight

Chief opponent dismisses President Viktor Yanukovych's call for negotiations

@highlight

Yanukovych invites "all political forces, priests, public figures" to hold a "dialogue"

@highlight

Interior minister says there will be no crackdown on protest, state media reports

@highlight

U.S. Secretary of State John Kerry voices U.S. "disgust" with overnight crackdown