Islamabad, Pakistan (CNN) -- When Barack Obama won the U.S. presidential election in 2008, people in Islamabad exchanged congratulatory text messages.

As he delivered his famous "yes we can" victory speech in Chicago, people in Islamabad eagerly watched the entire live telecast, cheering or exclaiming every sentence. Some ended up crying tears of joy.

Pakistan's melodramatic response to American politics was exclusive to that time. It was, and still is, an exception rather than the rule.

Postcard: Baghdad places little faith in election

So far, this year's U.S. election has only featured in the international news segment of flagship bulletins, the inside pages of English-language newspapers, and the occasional mention on late-night current affairs programs. It is not something people discuss with friends and colleagues. Some feel compelled, because of the nature of their work, to stay informed of world events. There are some whose interests are tied to the decisions made in Washington, D.C. These are the only people who follow the U.S. election story.

The people of whom I speak can loosely be termed the "civil society" of Islamabad. They are well-meaning people, but people who mean different things. There are students and teachers among them, leftists, modern Islamists, artists and writers, business people and professionals, people who want a revolution in Pakistan now and people who are resigned to the fact that it's not happening in their lifetime -- and they are very few in number.

Postcard: "Ignore us at your peril," Afghans say

For the middle and lower middle-class majority of Islamabad, the U.S. presidential race is only of marginal interest.

The man on Islamabad's streets is fairly clear in his conviction that the United States is one, or several, of the following: the Satan, the bully, the flag carrier of brutal capitalism, the enemy of Islam, the friend and benefactor of Israel, the blinding light of modernity, the abyss of moral depravity, the ugly face of imperialism, and other epithets given from the pulpit of mosques, pronounced on street banners and graffiti, and echoed in Op-Ed pages of Urdu-language newspapers.

It is a measure of success for the anti-U.S. agenda that the public hatred for America overrides facts as conveniently today as it did in the 1980s.

Postcard: Athenians fear what follows U.S. election

When Salman Rushdie's novel "The Satanic Verses" came out -- and was promptly banned by Pakistan -- thousands of people vented their anger against the British author of Indian ancestry (whose book was published in England) by demonstrating at the U.S. mission in Islamabad.

When some "hurtful" cartoons are published in Norway, a few Pizza Huts will be burnt down in Karachi and Lahore. When a man purported to be a Coptic Christian based in the United States makes a cheap spoof of a film about Islam -- presumably to stoke the fire of religious hatred in Middle East -- two dozen Pakistanis die during the ensuing protests, trying to reach American diplomatic and cultural missions in the country.

Pakistanis are also quite resigned to the fact that the government in Islamabad -- which is led alternately by the right-leaning Muslim League or the "progressive" Pakistan Peoples Party (PPP) -- is always more loyal to the United States than its own people, and that every U.S. government -- be it Democrat or Republican -- always supports the military or civilian despots in Islamabad and is therefore always pitted against the common Pakistani.

But then 2008 was different.

Postcard: Should U.S. raise fist to Cuba?

Pakistanis had just gotten rid of General Pervez Musharraf, and had voted in a PPP-led coalition government. Politicians of all shades were speaking as one for the common man; reconciliation, consensus, and change were the buzzwords. Democracy was being touted as the best revenge against undemocratic forces.

A mass movement, led by lawyers, sought the restoration to office of nearly 60 superior court judges who had been placed under house arrest by Musharraf. The movement was gaining momentum and it seemed only a matter of days before the rule of law was established.

Come the election in November and the wind of change blew in the faraway United States as well. The unthinkable happened. Obama -- a black, first generation immigrant -- had been elected to lead the sole superpower.

For Pakistanis, the timing and the lead-up to Obama's victory was too tempting to be ignored as just a coincidence. Pakistan was changing, and the U.S. was changing -- for the better.

More: Get latest news at CNN Election HQ

The world was finally going to be peaceful and prosperous for all. And what Obama said in Chicago, addressed exclusively to Americans, was taken as spoken to Pakistanis: "This is our moment. This is our time -- to put our people back to work and open doors of opportunity for our kids, to restore prosperity and promote the cause of peace."

Fast forward to 2012. Pakistan remains in tatters and without hope. Rampant corruption, pathetic incompetence and callousness towards the plight of the people are the defining attributes of the last episode of Pakistan's "return to democracy," renewing the public's cyclical appetite for military rule.

Across seven seas, Obama's presidency too has brought disillusionment. In the minds of many Pakistanis, the U.S. has proved to be the same two-faced hypocrite they always thought it was -- defending free speech when it comes to anti-Muslim propaganda like the Mohammed film, yet at the same time condemning anti-Semitism and coming down hard on government whistleblowing website WikiLeaks.

Postcard: Why India longs for U.S. election

At the same time, U.S-Pakistan relations are at an all-time low. Here in Islamabad, we are where we have always been: A state living on the edge of being labeled a failure, with a population that largely believes America is indeed the Satan, the bully, the oppressor, working in league with our government and our military, against us.

Change is a mirage, as they say. Hope is dope. Life is miserable and death comes cheaply.

Interest in U.S. elections? Pakistani politicians will have a hard time getting people interested in their own elections, due in a few months time. Obama can win or lose for all Pakistanis care, against ... what's the name of his opponent?

@highlight

Alam: Islamabad's "civil society" keeping tabs on upcoming U.S. election

@highlight

Alam: Average Pakistani has a negative view of America

@highlight

Alam: Many believe Pakistani government is more loyal to U.S. than its own people