(CNN) -- As 2013 comes to a close, the conventional wisdom is grim: Immigration reform is dead.

Expectations ran high; this was supposed to be the year. The President promised action, and the 2012 elections drove home the political imperative. But then, after struggling mightily, Congress failed to get it done -- again. It hardly matters whether you blame the President, House Republicans or the immigration-reform movement. There's still nothing to show for the year.

â€ŽBut once again, as so often with immigration, the conventional wisdom is wrong. Politics isn't baseball. The end of the year isn't the end of an inning, wiping out all gains that don't deliver a man across home plate. Passing landmark legislation is more like long-distance running: Momentum builds over the long haul, and progress is cumulative. From that perspective, 2013 was a banner year for immigration reform, and we could still win. Congress could pass a far-reaching immigration overhaul -- in 2014.

Start with the progress made in 2013. Most important was the sea change in the Republican Party. It started with the 2012 election and the difference Latino voters made for President Barack Obama, but the ferment spread and deepened as the truth sunk in among party regulars over the course of the year. Marquee figures like New Jersey Gov. Chris Christie showed that the GOP can appeal to Latinos. He won 51% of their vote is his reelection bid in November.

Many, if not most, Republicans in Congress now grasp that they need to be part of the solution on immigration -- for the good of the party and the country. Just look at pronouncements in recent months by House Speaker John Boehner, House Majority Leader Eric Cantor, House GOP favorite Paul Ryan and many others, including some of Congress' most conservative Republicans.

The pro-immigration-reform movement also looks completely different today than it looked just 12 months ago. A Who's Who of American business leaders has come forward to endorse change: from Facebook's Mark Zuckerberg to the Wall Street Journal's blue chip CEO Council.

Unlike in years past, when most employers hid from the debate, or at best worked the issue quietly behind the scenes, many companies are now eager to link their names with immigration reform: well-known national companies like Caterpillar, Marriott and State Farm Insurance, but also local mom-and-pop businesses like the 100 small business owners from Clark County Washington who organized this summer to post pro-reform flyers in their shop windows.

Along with business, there has been an outpouring of support from evangelical ministers. One Washington-based group, the Evangelical Immigration Table, claims to have more than 200,000 Christian "prayer partners" lined up nationwide. The broader immigration-reform movement doesn't always act in its own self-interest: why, for example, the recent Capitol Hill protest aimed at Eric Cantor -- one of the leading Republican champions of an immigration overhaul? But together, business and faith voices make a powerful case for reform that combines the economic rationale with a moral imperative.

Most important, neither of these changes -- in the Republican Party or the pro-reform movement -- is reversible. This is a shifting of tectonic plates. When much of the national GOP, the business establishment and the evangelical movement want something done, it's probably going to get done eventually. The question isn't if, it's when.

So what's blocking reform? The obstacles have little to do with immigration. The problem is the same-old-same-old that's been blocking virtually all movement in Washington this year. It falls under the general rubric of partisan gridlock, but the real sticking points are more localized: bitter mistrust between House Republicans and the White House, and a divide within the GOP driven by a relatively small handful of lawmakers and outside groups who oppose compromise of any kind on any issue.

The good news is that this month's budget deal suggests that the logjam may be breaking up. Together, Speaker Boehner and Rep. Ryan defied the "Hell no" holdout wing of their party and delivered a compromise budget, even at a time of peak Republican mistrust and antipathy for the president. This doesn't mean the GOP divide has healed -- there were plenty of Republicans who opposed the budget deal or went along despite their better judgment. But the vote has raised hope among immigration reformers. Can Speaker Boehner and Rep. Ryan pull off a similar deal next year on immigration?

Many signs suggest they could, including what's going on behind the scenes among House Republicans. It's well known that two different GOP lawmakers are working, separately, on bills that would create a path to citizenship for young people brought to the U.S. illegally as children, the "Dreamers."

And several other Republicans are working on proposals that would grant legal status to the Dreamers' parents. In other words, more than a half dozen GOP congressmen are preparing to sponsor -- or compete to sponsor -- what many in the party would once have called "amnesty" bills.

Some caveats: House leadership is not going to pass immigration reform over the heads of conservative Republicans. It will pass it only with them -- with their support. The House is not going to take up the Senate immigration bill. Any movement in the House will be piecemeal, smaller measure by smaller measure, each addressing a different aspect of what's wrong with the immigration system. Leadership is not going to waive what's known as the Hastert rule, under which every bill that passes must command a majority of the majority -- at least 118 Republican votes. And there will be no path to citizenship for most unauthorized immigrant adults -- it's going to be enough of a stretch for the House to deliver a path to legal status that stops short of citizenship.

Even this will be difficult in an election year. The windows to act will be narrow. Members will be even more cautious and calculating than usual. And getting reform over the finish line will be a test for Democrats as well as Republicans. The challenge for the GOP will be to pass a package of bills out of the House. The challenge for Democrats, in Congress and the White House, will be coming together for a deal on legal status rather than citizenship for most unauthorized immigrants.

It's going to be a long year. Nothing is guaranteed. But what makes me optimistic is a growing sense of momentum. It's still slow and low-key, more apparent behind the scenes than in public or in the media. But there's no question: Momentum is building in the House -- 2014 could be the year.

The opinions expressed in this commentary are solely those of Tamar Jacoby.

@highlight

Tamar Jacoby: At 2013 end, immigration reform seems dead, but it's not

@highlight

She says the year brought big progress, support from CEOs, evangelicals, even GOP

@highlight

She says change slow, but tectonic, likely won't include citizenship, but legal status

@highlight

Jacoby: Can House GOP, Dems compromise? It will be tricky, but momentum building