(CNN) -- The Soviet-made Mi-8 helicopter turns slowly in the blue autumn sky. It appears to be at an altitude of 3,000-4,000 feet, circling above the province of Aleppo in northwestern Syria. Suddenly, there's a streak of white and then an explosion -- as its engine bursts into flames.

Off camera, there are yelps of joy. It is a rare success for the Free Syrian Army: a precious ground-to-air missile has found its target. Trailing black smoke, the helicopter makes a hard landing. It's not known what happened to the crew.

In the last week, the rebels claim to have shot down one plane and two helicopters in Aleppo province. CNN's Arwa Damon went to the crash site of the plane Wednesday, and saw chunks of metal being carted off by locals.

U.S. still weighing whether to arm Syrian rebels

At least one of the pilots appears to have been found unconscious by the rebels after ejecting from the plane. Videos uploaded to YouTube appear to show the pilot with a bandaged head wound.

It's a sign that the rebels are beginning to use the weapons they've seized from military bases to good effect, and are gradually beginning to challenge Bashar al-Assad government's dominance of the skies.

Damon reported Thursday: "The FSA controls vast chunks of territory in Aleppo [province]. In a span of 24 hours they brought down a fighter jet and helicopter and took over a major base" in the province.

"What was striking driving through Aleppo, and we were not too far from the city itself, was seeing villages and towns that two months ago one couldn't drive through," Damon reported. "They now have children playing in the streets and shops opening."

"There are some Free Syria Army checkpoints," Damon reported. "This is significant; you see where Assad forces might have been and were but are no longer."

Rebels who recently seized the base of the 46th Regiment some 15 miles (25 kilometers) west of Aleppo told Damon they had captured as many as 300 MANPADs (man-portable air-defense systems), about half of which were in working condition.

There is no way of confirming the number. Videos uploaded after the rebels overran the base showed at least 10 large crates of anti-air missiles, each of which would hold two MANPADs.

Eliot Higgins, who tracks the Syrian conflict through dozens of YouTube channels on his blog Brown Moses, says that when the rebels capture "a couple of dozen [MANPADs] it gets exciting; 100 would be quite amazing"

Rebels also showed off captured tanks and artillery pieces, as well as Chinese-made multiple rocket launchers, seized at the 46th Regiment base.

As rebels appear to gain ground, Internet shuts down in Syria

Free Syrian Army brigades are producing "instructional videos" for handling and arming their newly acquired hardware. One video shows a rebel on a rocky hillside opening a large packing crate, assembling a SA-7. Inside, there are two long olive-green tubes with Cyrillic lettering. Over the next three minutes, the rebel assembles the tube and points it skyward.

It is just one of dozens of anti-air missiles or MANPADs that the rebels are thought to have seized. They are mainly Russian-made SAMs -- some manufactured before the young fighters were born.

Videos uploaded to YouTube and evidence gathered on the ground suggest most of the MANPADs in rebel hands are SA-7s, which the Russians call Strela 2s. It is hardly state-of-the-art, having been developed in the 1960s. There have also been occasional sightings of more advanced SA-16s in rebel hands, which Higgins says has a much better targeting system than the SA-7.

But he notes that often these missile systems lack the all-important grip-stock or battery cooling unit, making them inoperable.

Despite the rebels' gradual acquisition of heavy weaponry, much of it is in poor shape and of a certain age. There is no sign that rebel units have been using more advanced anti-aircraft missiles such as the Stinger.

The Washington Post reported this week that rebels had acquired some 40 shoulder-fired missile systems in recent weeks, and some had been supplied by Qatar. CNN has been unable to confirm that.

But, in October, a diplomatic source told CNN's Senior International Correspondent Nic Robertson that some rebel groups had a few Western-made anti-aircraft missiles under "close control."

Even so, the government retains vast superiority in firepower. And opposition sources say it's using that firepower in ever more indiscriminate ways.

Syrian rebels down jet, take video of bloodied pilot

Higgins notes from the hundreds of videos he has analyzed that "rather than deploying all their most powerful weapons at once the air force appears to have escalated the air war."

He says "L-39s [a Czech-made jet trainer that can also fly combat missions] and OFAB 100-120 bombs [Russian-made fragmentation munitions] appeared after the battle for Aleppo began, and cluster munitions appeared after the Idlib highway was closed."

On Thursday, videos emerged from the city of Aleppo of an airstrike against a neighborhood in rebel hands. They showed the bodies of men, women and children, caked in white dust and blood, being pulled from piles of rubble by frantic rescuers. Above, the top floors of an apartment block have been sheared off, raining lumps of concrete on the street below. Opposition activists estimated at least 15 people were killed.

Other videos uploaded by opposition activists this week show the town of Maarat al Numan, captured by rebels in October, enduring a fourth week of air-raids. The town sits on the main highway linking Damascus with the north, an important artery that is no longer under government control.

Fawaz Gerges, Professor of Middle Eastern politics and international relations at the London School of Economics, tells CNN: "I think the opposition is chipping away at the government's position. I think the opposition strategy is a war of attrition to exhaust the government's forces."

After spending several days among rebel fighters, Damon says that "On the one hand there's a certain sense of anger and frustration with the international community because they feel they have been abandoned. At the same time they haven't lost. They are making major progress and there is a sense of determination and belief that they can do this on their own."

Turkey, NATO scout locations for missile protection from Syria

Arwa Damon reported from Syria and Tim Lister from Atlanta. CNN's Nic Robertson, Ashley Fantz, Raja Razek, Yousuf Basil, Hamdi Alkhshali and Brian Walker contributed to this report.

@highlight

Rebels make progress against Syrian air might

@highlight

Still, much of their weaponry is outdated

@highlight

They are producing instructional videos for use of military hardware