(CNN) -- With lessons learned from previous titles and a sense of finality to the franchise, "Uncharted 3: Drake's Deception" exceeds expectations with a wonderful storyline, dynamic action and witty dialogue from its characters.

The latest in the franchise from Naughty Dog, "Uncharted 3" returns to follow hero Nathan Drake on yet another historical adventure that promises fortune and glory but invariably involves a lot of danger. As in games past, Nathan is a treasure hunter who follows clues to find lost riches in far-off lands and gets help from other characters in his missions.

The game's storyline follows the path of "Seven Pillars of Wisdom," the T.E. Lawrence book that inspired the epic movie "Lawrence of Arabia." Amy Henning, the writer for the "Uncharted" series, pulls elements from Lawrence's book and weaves them into a stunning narrative about Nathan's search for a lost city called Iram of the Pillars.

Keith Guerrette, lead visual effects artist from Naughty Dog, said Henning really opened up the characters in the game and delves deeply into Nathan's past as well as his connections to his companions. While some of the story is told in flashbacks, it never feels disjointed or out of place and flows with the action in the game.

The pace, for the most part, is quick and occurs over several different types of environments. From a vast desert to historical chateaus, the scenes are beautifully rendered and help deepen the moment. There were a couple of missions that bogged down the story in places, but those were few and far between.

Many times, I felt like I was in an "Indiana Jones" movie. There were moments when the gameplay was very similar to what I've seen on the big screen. For example, one mission had me chasing after a caravan transporting my longtime friend, Victor Sullivan, through a narrow cavern in a scene that was reminiscent of "Raiders of the Lost Ark."

Like Dr. Jones, Nathan has to solve puzzles and use his journal to reference solutions. The puzzles were not extremely challenging once the clues in the journal were deciphered. There are other little touches that are Jones-esque, but they add to the story rather than taking away from it. The action is high adventure with a twist of humor and whimsy along the way.

The dialogue helps keep the mood light as character banter flows naturally and feels like what it is -- conversations between people who don't take themselves too seriously but have experienced life-changing events. There is humor, caring, concern and sarcasm that one would expect from longtime friends. It feels natural and gets the player emotionally involved.

"We've been building up to this one," Guerrette said. "We went in thinking, 'How can we take our tech and art and make them even better?' "

There are subtle effects in the environment, like shadows from a fire, ripples in water and disappearing footprints in sand. But the most dynamic action fills the screen during intense missions in which Nathan takes on his enemies while the background moves.

Much of Nathan's movement occurs along the sides and rooftops of buildings, like the "Assassin's Creed" games. That motion becomes more challenging when floors and walls are also moving around.

The game's combat has been fine-tuned but still seemed uneven at times. Guerrette said the development team worked hard to eliminate some of the cover problems that were evident in previous titles. Melee was improved (I enjoyed getting up close and personal with my enemies) and moving while firing is nearly mandatory.

Stealth has become a more effective tool in some missions. There was one mission, however, where I used stealth to eliminate all the bad guys and avoid raising the alarm -- only to discover two bandits guarding a door that I could not stealth kill. It was a little bit frustrating to work so hard on being stealthy when there was no way to avoid having to be obvious to advance.

Targeting specific areas on enemies also didn't seem to matter. There were times when I shot an enemy multiple times in the head before he would fall down. Yet it would take the same number of shots to an enemy's arm to get him to collapse.

Nathan can also throw back grenades that are tossed his way. The audio is funny, but the effects are devastating.

A split-screen co-op version (a fan request) offers a unique story with the chance to unlock multiplayer bonuses and skills. This version can be played either on or offline.

The multiplayer version also features improved cinematic techniques, boosters and the ability to upload great (or not-so-great) gameplay moments into social media platforms. A buddy system can be used for cooperative play in multiplayer mode, or you can go it alone during competitive play.

"Uncharted 3" is an outstanding adventure game that gives you a feature-film feeling. The environments are open and interactive. The story is unique and fresh. And the characters are portrayed in ways that make them feel real and emotional.

While developers wouldn't say if this was the final act for Nathan Drake, there are moments in the game that answer lingering questions from previous games. Those are the "aha" moments that put an extra shine on a wonderful game.

If this is the end, "Uncharted 3" provides a fitting conclusion with an immersive game that keeps players invested until the final treasure is obtained. Popcorn not included.

@highlight

"Uncharted 3" follows Nathan Drake on another adventure that promises fortune and glory

@highlight

The game's pace is quick and occurs over several different types of environments

@highlight

Its combat has been fine-tuned but still seems uneven at times

@highlight

Puzzles in the game are not that challenging, but they add to the story