(CNN)The moment he stepped aboard the North Korean airliner, Bernie Leighton felt like he'd entered a Cold War time machine.

For an aviation enthusiast like Leighton, it was nothing short of thrilling. After years of anticipation, Leighton, a real estate investor, finally snagged a seat on a rare 1980s Soviet-built Ilyushin IL-62 airliner.

Patriotic military music filled the cabin. Flight attendants handed out communist propaganda magazines. As Leighton put it, that 2012 flight on Air Koryo airlines from Beijing to Pyongyang was an experience "beyond belief."

That's high praise. Leighton may rank among the most accomplished "avgeeks" in the world. He said he's flown on at least 50 kinds of aircraft and racked up an estimated 2 million air miles.

"The IL-62, by Western standards, was quite old, but it was actually one of the newer planes I flew on while I was there," Leighton said. Only a handful still fly in commercial service worldwide, he said.

Its interior decor might have been inspired by a waiting room inside a 1970s Soviet doctor's office, Leighton joked. Upholstery: saggy and blue. Walls: a kind of speckled linoleum. Odd, yes. But also spectacular and well-kept.

The 28-year-old Canadian native who lives in Redmond, Washington, has Rain-Man-like avgeek skills, which he'll show you -- if you prompt him. "When I get on a plane, I can not only tell you where it was manufactured, I can also tell you when it was produced," Leighton said.

His expertise has earned him appearances as an aviation analyst on Canada's CTV, the BBC and the Fox News Channel. Leighton also shares his avgeek adventures as a correspondent for airlinereporter.com.

How to travel to North Korea

A police state that's largely cut off from the world may run its national airline a bit ... differently from the West.

Crew members appeared to be "thoroughly inspected before they get on the plane," Leighton said. Neither a hair nor a button out of place. Leighton was surprised when the flight attendants began speaking to him in English.

"You got the feeling that -- in North Korean society -- aviation ranks among the most prestigious career paths," he said. "It allows them the extremely rare experience to explore their own country and to experience a bit of the world outside their borders."

Flight attendant says 'nut rage' ex-airline exec cursed and shoved

After barreling down the Beijing runway, the powerful IL-62 rocketed into the sky like a fighter jet, Leighton said. When it leveled off, it was time for meal service -- North Korean style.

Entree: cold chicken, warm potato curry, cold ham and a bun

Dessert: fruit salad

"It wasn't terrible," Leighton said.

At other times during Leighton's North Korean tour, in-flight meals may have been served with a side of paranoia. He and other passengers said they saw "metallic glints a couple hundred feet above or below" their plane. They suspected these "glints" were reflections from unseen military aircraft shadowing them nearby.

"You can't really be too scared," Leighton said. "But you realize that if the pilot ever went crazy enough to make a run for the South with you on board, the aircraft wouldn't be airborne for very long. That's only mildly disconcerting."

Fear is relative, he reminds himself. "I mean, remember, you're on a 30-year-old Russian aircraft in North Korea," Leighton joked. "You kind of get weirdness fatigue after a certain point."

Opinions about Air Koryo have been mixed. A 2014 review by UK-based Skytrax gave it only one star out of five, for poor service. But flying enthusiast Sam Chui, who said he's traveled on Air Koryo a dozen times, disagrees.

"They provide decent service," Chui said. "They're just using some different equipment, which, as a flight enthusiast, you totally enjoy."

Just like its airplanes, North Korea's airline roots are planted in Soviet Russia. In 1950, authorities formed an airline called Sokao, which linked Pyongyang and Moscow, according to Flight Global. In 1955, North Korea's national carrier Chosonminhang formed, according to Air Koryo's website. The government renamed it Air Koryo in 1992.

Efforts to modernize Air Koryo's fleet have been stymied by longstanding international economic sanctions against North Korea.

Among jet-setting avgeeks, Chui reigns as the "arch-Duke of aviation photography," Leighton said. Chui said he has flown 111 types of aircraft and logged more than 2.4 million miles.

He fell in love with aviation while growing up in Hong Kong, watching spectacular takeoffs and landings at the now-defunct airport known as Kai Tak.

Years later, Chui had turned into a full-fledged avgeek, flying on the world's rarest aircraft and scoring seats on new types of planes. This hobby is expensive. To pay the bills, Chui, 34, works as a financial markets investor from his home base in the United Arab Emirates. He figures the money he's spent over the years would have bought him "a couple more houses."

Chui's bragging list includes:

• farewell commercial flights on a DC-8 and a Boeing 707

• one of the last flights of the supersonic Concorde

• first test flight of the world's biggest airliner, the Airbus A380

• inaugural flight of the sleek new Airbus A350

Bragging rights create "a healthy element of friendly rivalry" among his fellow avgeeks, Chui admits. "But aviation is big enough for everyone to enjoy."

Enthusiasts gather at conventions like a Seattle-area event co-sponsored by airlinereporter.com called AvgeekFest, which has quickly gained popularity since it launched in 2009. A self-described "Super Bowl" for enthusiasts is Airliners International, hosted this June in Atlanta.

These are the places where avgeeks will be writing their bucket lists of planes they most want to fly on.

For Leighton, there seems to be no shortage of determination. His holy grail is a four-engined Russian bomber nicknamed "The Bear," many of which are still in service at Russian and Indian military bases.

"There has to be some sort of quasi-legal way to get on one," Leighton said. "So I'm gonna keep working at it."

@highlight

Aviation enthusiasts love North Korea's Cold War-era airliners

@highlight

North Korean airline Air Koryo flies decades-old Soviet-built planes

@highlight

Travelers reveal what it's like to fly in North Korea