(CNN) -- Mechanical problems aboard Boeing's new Dreamliner 787 airliner seem to be happening far too often for some. Fliers are concerned.

"They transport people, you, me, our loved ones... I think some of the strategies (how fast they are built and how thoroughly they are tested) should be more carefully examined," wrote CNN.com commenter disqus_L4S9enTRgr.

The Federal Aviation Administration is worried, too. On Wednesday, the FAA announced plans to ground U.S.-registered Dreamliners until they pass an emergency airworthiness inspection addressing the potential risk of battery fire. The Japanese government also ordered them out of service, and other nations where 787s were in service have followed suit.

United Airlines is the only U.S. carrier operating the 787, with six Dreamliners

Since September, the growing list of reported troubles aboard the Dreamliner include a fuel leak, an oil leak, two cracked engines, a damaged cockpit window and a battery problem.

FAA grounds Dreamliners

In the most serious incident so far, a battery alarm prompted an emergency landing in Japan on Wednesday of an ANA 787 carrying 129 passengers.

Those on board reported a burning smell in the cabin, officials said, and the alarm indicated smoke in a forward electrical compartment. A few hours later, ANA and JAL airlines announced they were grounding their Dreamliners pending an investigation.

The incident comes about a week after the FAA announced a broad safety review of the aircraft.

Related: Japan carriers ground 787s

Consumer concerns are legitimate and understandable, say airline safety and engineering experts, but most of the troubles are relatively minor.

However, they say, if the Dreamliner has a battery system design problem, that would raise larger concerns.

Lithium ion batteries

"Any time you've got smoke or fire or odor of smoke and fire on an aircraft, that's a very serious situation," said Kevin Hiatt, a veteran airline pilot and head of the Flight Safety Foundation. "You've got very little time to get an aircraft on the ground safely if something like that occurs in flight."

The batteries are critical to the plane because the 787 is thirsty for electrical power. The Dreamliner uses electricity to run more systems than any other Boeing airliner, said University of Dayton professor Raul Ordonez, an aircraft electrical and computer engineer who spent time observing Dreamliner development at Boeing's Seattle headquarters.

It takes lots of battery power to run electricity through those systems.

The 787 is unique because its batteries are lithium ion batteries. The batteries hold more energy for longer periods than the standard nickel cadmium airliner batteries. "These kinds of batteries," Ordonez says, "are slightly more likely to cause problems."

It's unclear whether the Dreamliner battery trouble in Japan was a charging problem or a battery overheating problem, says John Goglia, a former airline mechanic and former member of the National Transportation Safety Board. A charging problem wouldn't require an immediate landing, "but if I had a battery overheating -- given the history -- I'd be looking for the nearest place to put my butt on the ground."

Cracked engines and windshields, oil and fuel leaks

Other problems linked to the Dreamliner -- such as oil and fuel leaks or damaged cockpit windows -- are operational issues that occur aboard "every airliner out there flying today," says Hiatt. "It just so happens that this aircraft is under such intense scrutiny."

For an oil leak in flight, a pilot responds depending on how much oil is leaking. "If it's a problem, you've got procedures to either put the engine in idle and land the aircraft or continue and monitor the amount of oil on board until you reach your destination."

"Fuel leaks -- whether they happen in the wing or near the engine or near the fuel tank area, those happen every day."

When mechanical problems occur, pilots rely on what's known as the Quick Reference Handbook -- an electronic checklist for troubleshooting.

"One guy flies while the other guy fixes, and then you make a decision," says Justin Schlechter, a 13-year airline pilot.

Schlechter remembers a problem aboard his aircraft in 2004 when a passenger looking out a window spotted a minor fuel leak near the wing. After referring to the checklist, Schlechter diverted the airliner and landed in nearby Richmond, Virginia, as a precaution.

Another time, a crack appeared in Schlechter's cockpit windshield. "It was a complete nonevent," he says. The flight continued to its scheduled destination.

"Windshields crack all the time," says Goglia. Measuring inches thick and multilayered, airliner windshields are designed to take a beating from weather and the occasional bird.

The cracked engines reported on Dreamliners in 2012 were likely isolated incidents, Ordonez says. As for random window cracks and fuel and oil leaks, Boeing can solve these kinds of problems without much difficulty, he says.

Worldwide, Dreamliners fly 150 flights daily, Boeing said last week. In a statement released Wednesday, Boeing reacted to the FAA grounding.

"We are confident the 787 is safe and we stand behind its overall integrity. We will be taking every necessary step in the coming days to assure our customers and the traveling public of the 787's safety and to return the airplanes to service," said Boeing Chairman, President and CEO Jim McNerney.

"I still would get on the airplane," Hiatt says. It may be the most watched airliner in the world now. "That airplane is being looked at so closely both before and after every flight that it borders on the ridiculous."

"Now, I guess people should be a little concerned," says Ordonez. But bottom line, he says, "I'd fly it."

@highlight

NEW: FAA grounds all U.S. Dreamliners over battery fire concern

@highlight

Boeing: "We will be taking every necessary step"

@highlight

After Japan grounded the 787, experts worry most about Dreamliner's lithium ion batteries