Washington (CNN) -- Retired Justice John Paul Stevens had harsh words for his former conservative colleagues Wednesday, saying they have inconsistently applied the law two years after a sweeping ruling dealing with campaign finance reform.

That controversial decision, known as Citizens United, gave corporations -- individuals, unions, businesses and advocacy groups -- greater power to spend unlimited amounts of money to support or oppose federal election candidates. Stevens issued a bitter dissent in that case, months before stepping down from the high court after 35 years on the bench. He said Congress had long imposed reasonable limits on corporate spending as a way to curb the potentially corrupting influence by the wealthy, whose voices would be heard above those of others in the crowded political landscape.

Stevens, at an evening speech at the University of Arkansas, said the five conservatives who gave corporations greater power in the name of free speech may now be rethinking, even regretting, their decision, based on related cases since that 2010 decision.

In particular, he noted the Citizens United decision, which struck down the McCain-Feingold campaign finance reform law, said the First Amendment "generally prohibits the suppression of political speech based on the speaker's identity."

The 92-year-old former justice said the court will soon have to confront the question of whether the ruling applies to the ability of foreign corporations, potentially even terror groups, to spend freely. He predicted the justices would decide it does not.

"The court must then explain its abandonment of, or at least qualify reliance upon, the proposition that the identity of the speaker is an impermissible basis for regulating campaign speech," he told the audience. "It will be necessary to explain why the First Amendment provides greater protection for some nonvoters than that of other nonvoters.

He said American corporations, unlike individuals, were in that broad category of nonvoters. Stevens predicted creating an exception for the foreign corporations "will create a crack in the foundation of the Citizens United majority" led by the conservatives under Chief Justice John Roberts.

President Obama, just days after the Citizens United opinion, said in his State of the Union address that it would "open the floodgates for special interests, including foreign corporations, to spend without limits in our elections."

Justice Samuel Alito, named to the court by President Bush in 2006, was in the audience at the time and famously mouthed the words "not true" to Obama's remarks. But Stevens said that while he has not talked with Alito about it, the mouthed words indicated "there will not be five votes" to sustain a majority if and when the court confronts the foreign spending question.

Stevens also noted time and logic has borne out the president's warnings.

The high court earlier this year upheld a lower court ruling preventing noncitizens from contributing to federal political candidates. That, said Stevens, showed the justices clearly believe "the identity of some speakers may provide a legally acceptable basis for restricting speech" in election contributions.

"I think it likely when the court begins to spell out which categories of nonvoters should receive the same protections" enjoyed by U.S. corporations, "It will not only exclude terrorist organizations and foreign agents, but also all corporations owned or controlled by noncitizens, and possibly even those in which noncitizens have a substantial ownership interest."

Stevens' pointed remarks come in the midst of a presidential campaign season that is already breaking records for spending by outside groups, many of them so-called super PACs now unencumbered by previous spending limits.

The justice on Tuesday received the Presidential Medal of Freedom from Obama in a White House ceremony. The president praised Stevens for his independent, rigorous approach to the law, "favoring a pragmatic solution over an ideological one." Critics of Stevens said he had abandoned his earlier conservative leanings to become a liberal on the high court.

In his retirement, Stevens has been outspoken about his former colleagues, criticizing rulings issued before and after he left the court.

@highlight

Retired Justice John Paul Stevens shares thoughts in University of Arkansas speech

@highlight

He opposes Citizens United ruling, on which he wrote a dissenting opinion

@highlight

He says the question of foreign contributors to campaigns may derail ruling