(CNN) -- The political gridlock that has impeded progress on Japan's myriad policy challenges may be broken at long last.

With their thumping victory in the Upper House of Japan's parliament -- known as the Diet -- the ruling coalition, led by the Liberal Democratic Party (LDP), now effectively controls the country's legislative body.

But now there are no excuses; power brings responsibility and Prime Minister Shinzo Abe has to deliver on all the promises and pledges that have piled up over the past several months.

Abe is credited with helping the Japanese economy regain its mojo after two decades of stagnation, but it's not time for any "mission accomplished" complacency. So-called "Abenomics" involves three policy "arrows" -- extreme monetary easing, massive fiscal stimulus and sweeping structural reforms. The first two arrows represent the low-hanging fruit because quantitative flooding and ratcheting up public works spending face no organized opposition. Igniting the stock market, however, is the easy part and remains a fragile success; when Fed Chairman Ben Bernanke mentioned "tapering" global markets, including Japan's Nikkei, swooned.

Abe's recovery strategy aims to reflate the economy and boost consumption, but structural reforms are the key to a sustainable growth strategy. This third arrow remains a work in progress. When Team Abe unveiled a beta version of its structural reforms in June, markets reacted badly because there was nothing sweeping about the tentative measures.

There is widespread and justifiable concern that Abe will have a tough time enacting bold structural reforms and anything less than audacious will disappoint markets and undermine positive trends and perceptions. Abe needs to take on the vested interests in Japan that have much to lose, but they are well represented in his LDP. Can he maintain party discipline and provide the leadership that Japan has lacked since Junichiro Koizumi's tenure as premier (2001-2006)? Back in the driver's seat, the LDP may no longer feel the same sense of urgency about structural reforms and powerful constituents will lobby the party to water down or abandon aggressive revamping.

Japan is participating in the Trans Pacific Partnership (TPP), a market-opening deal that involves the United States and several smaller economies in the Asia-Pacific region. The farming lobby opposes opening Japan's agricultural market and last year when former Prime Minister Yoshihiko Noda proposed joining the TPP, he was handed a "forget about it!" petition with eleven million signatures. That's a lot of reasons to believe that the TPP's "no sacred cows" approach to market opening may prove a deal breaker for Japan. Agriculture may generate only 1% of Japan's GDP, but its aging, part-time farmers are overrepresented in the Diet and are loyal supporters of the LDP.

Market opening enjoys the support of Japan's leading exporters, the global marquee firms that are industry leaders, but exports represent only about 13% of Japan's GDP. Domestic firms are not as competitive and are very anxious about the prospects of market opening measures, while the medical lobby is painting Armageddon scenarios about the consequences for national health care insurance, something that Japan's aging society wants to protect from the vagaries of impersonal market forces.

Structural reforms face other serious headwinds. Can the LDP push through comprehensive deregulation of the electricity market against the regional monopolies? Why does Japan pay 4-5 times the global price for LNG imports?

Abe also faces stiff public opposition over his plans to restart the nation's idled nuclear reactors. He is seen to be in the "nuclear village's" pocket, the vested interests in business and bureaucratic circles that advocate nuclear energy. But some 70% of the Japanese public favors phasing out nuclear power because of lingering safety concerns; 150,000 people remain displaced by the three reactor meltdowns in 2011. Moreover, TEPCO's ongoing clean-up at the crippled Fukushima nuclear plant has been marred by a series of screw-ups worthy of the Keystone cops and there are concerns that new safety guidelines may be trumped by political expediency.

Abe also wants to push ahead with tax and social welfare reforms that will prove divisive. He favors a big corporate tax cut, but the Ministry of Finance is worried about fiscal rehabilitation; Japan's public debt to GDP ratio is 240%. He is also undecided about proceeding with a planned hike of the sales tax for fear it will stifle the nascent recovery.

Plans to cut social welfare benefits reinforce growing perceptions that Abenomics is welfare for the wealthy and that labor market deregulation will lead to a hollowing out of the middle class. While Abe says that battling deflation requires increased consumption, a recent poll shows that 90% of Japanese don't think they benefit from Abenomics, according to Japanese broadcaster, NHK TV news. After all, 38% of the entire workforce is engaged in low paid, dead-end jobs with no job security, doubling the rate two decades ago. Improving conditions for this precariat is crucial to battling deflation. Critics believe that Abe's trickle-down economics will leave the most vulnerable high and dry. Increasing productivity and wages of these workers is key to Japan's recovery.

Women also remain marginalized in the workforce, where the gender-wage gap is double the OECD average and there are very few become managers. Aside from providing more day care, Abe has been vague about how he plans to make it happen for Japanese women -- but as they fare so fares Japan.

All the reasons cited above reinforce the adage: "It's the economy stupid!" But can Abe resist his ideological and nationalist inclinations? Abe's pet project is Constitutional revision; he wants to jettison the war-renouncing Article 9 -- signed in the wake of Japan's World War II defeat to outlaw war as a means of settling future disputes -- and curtail civil liberties. But he doesn't have the votes to get it done.

Opinion: Japanese politicians struggle with wartime past

So there is considerable speculation about whether Abe plans to visit the controversial Yasukuni Shrine in mid-August when Japan's surrender is commemorated. Since 1978, when 14 Class A war criminals were enshrined there, Emperor Showa and Emperor Akihito never visited this sacred site. Yasukuni is indelibly tarnished by associations with wartime Shinto and an unrepentant view of Japan's Asian rampage 1931-45. Abe has long supported patriotic education and an airbrushed history, one that is featured at the adjacent Yushukan Museum. There one encounters a valorizing and exonerating version of Japanese imperialism and what Indian writer Pankaj Mishra terms "aggressive self-pity."

The national cemetery is Chidorgafuchi and that is where he and his ministers should honor the war dead. Abe has found redemption in victory and need not sully Japan's international image by trying to rehabilitate a shabby chapter in Japan's history. After all, there is much Japanese can take pride in, and the world admires about, post-war Japan as a cornerstone of regional peace and prosperity.

Can the "real" Abe be kept under wraps? His spin-doctors offer reassurances, but Abe expresses regret that he didn't visit during his first tenure as premier (2006-2007). That was because he was busy fence-mending with China and South Korea following Koizumi's repeated visits to Yasukuni that sent Japan's regional relations into a tailspin. Abe has demonstrated that history is not his forte, but this is one lesson he ignores at his peril.

Japan's most important strategic imperative is forging better ties with China and given his conservative nationalist credentials, Abe is in a good position to build a future oriented relationship. Regarding the territorial dispute with Beijing over the Senkaku/Diaoyu islands, Tokyo's claim that there is no dispute is a diplomatic dead-end that impedes hammering out a modus vivendi. Its time for confidence building measures, not counterproductive gestures about history; the 2008 agreement for joint development of hydrocarbon resources in the East China Sea that shelves issues of sovereignty could be a useful step forward.

Is Abe up to the job or will he lurch backward?

The opinions expressed in this commentary are solely those of Jeff Kingston.

@highlight

Shinzo Abe's recovery strategy aims to reflate the economy and boost consumption

@highlight

There is widespread concern that Abe will have a tough time enacting bold structural reforms

@highlight

But anything less than audacious will disappoint markets, says Kingston

@highlight

Kingston says Abe must also tread carefully with his ideological, nationalist inclinations