(CNN) -- Let's say that you're the Federal Aviation Administration.

(Unlikely, granted. But, just for the purpose of this exercise, try to envision yourself as a government agency).

You're about to make a decision that will affect millions of travelers. Your decision may please them or it may infuriate them. Most of them have no idea right now that you're contemplating the decision, but as soon as you make it, all of them will become aware, and they will respond, likely in a visceral manner.

You're the FAA. What do you do?

What the real FAA is pondering concerns expanding the permitted use of tablets, personal communication devices and other electronic gadgets on commercial flights.

Last month, The Hill reported, Federal Communications Commission Chairman Julius Genachowski wrote in a letter to FAA Acting Administrator Michael Huerta:

"I write to urge the FAA to enable greater use of tablets, e-readers, and other portable electronic devices during flight, consistent with public safety ... mobile devices are increasingly interwoven in our daily lives. They empower people to stay informed and connected with friends and family, and they enable both large and small businesses to be more productive and efficient, helping drive economic growth and boost U.S. competitiveness."

For many years, passengers have been told that some electronic devices, including cell phones, can interfere with aircraft navigation and communication signals. But as technology advances, ways around this are being developed. Many airlines already sell in-flight Wi-Fi connections for laptop computers and tablets, so the logical next step would be to allow airborne passengers to use their cell phones to connect to the world below.

A few thoughts:

In terms of written communication from passengers on the plane to people down below -- e-mail, text messages sent from cell phones, social network posts -- the more the better. Anything the digital traffic will bear.

If you've been on flights with Wi-Fi enabled, you may have noticed that the passengers using it seem to be contented, almost docile -- the tension level seems to have been lowered. Like it or not, we've become hooked on being constantly connected, and passengers who are able to maintain that connection while six miles in the air appear to be traveling in a state of something close to silent, electronically-sated, tunnel-vision bliss.

But there should be one exception to this:

Technical and connectivity issues aside, the FAA and FCC should never extend their digital-era permission slip to voice calls on cell phones.

The result of allowing phone calls in the air would produce the opposite of the tranquilizing effect of permitting other forms of electronic communication. The anger level of travelers who become incensed by the yammering in the next seat would rise to the level of a public safety concern. Passengers would be demanding to be moved, would ask flight attendants to referee disputes, would probably engage in fistfights. Allowing jousting matches or bullfights in airplane aisles wouldn't be much more disruptive than allowing voice calls on planes.

(But what about the idea of passengers voluntarily exercising restraint and courtesy in those close quarters, limiting the length and loudness of their calls out of respect for their fellow citizens? All right, stop laughing and rolling around on the floor -- get up. This is the United States in the 21st century. We know that voluntary phone courtesy is not going to happen).

You may recall Airfone, the air-to-ground pay phone service that debuted on commercial flights in the 1980s. It required a credit card for each call, and was expensive -- $7.50 in '80s dollars for the first three minutes, when the service was introduced. It never become all that popular, and eventually it faded away.

But that was before the advent of personal cell phones. Talking on the phone anywhere, at any time, is today seen not as an exotic and costly luxury but as an entitlement. The FAA is reportedly not considering voice-call permission on flights; if and when that day comes, walking across the country may feel like a more palatable option than flying.

There's one decision the FAA is evaluating that probably says more about us than it does about in-flight safety:

Those two brief stretches of time when all electronic devices must be turned off -- after the doors to the plane close until it is at cruising altitude, and then again on approach for landing -- are being questioned.

If it can be determined that signals do not interfere with the pilots' transmissions, should passengers now be allowed to use their electronic gadgets even in those few minutes? Some contend that, in those crucial parts of a flight, passengers should not be distracted, and should be alert to instructions from the cabin crew. But reading a magazine or a book can lure a passenger's attention from the crew, and those are not prohibited.

So the question would seem to be:

Has the addiction to the gadgets become so powerful that we are unwilling to disconnect and look away even for that paltry handful of minutes? Has the agitation from withdrawal gotten to that level? Because if it has, then this is an issue considerably more profound and far-reaching than anything having to do with the rules of travel.

Regardless of what the FAA decides, there is one option for in-flight diversion that will still be available, something ancient kings and monarchs could only dream of:

Looking out the window, high above the clouds.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: FAA looks at letting passengers use gadgets on takeoff, landing

@highlight

He says the more texting, e-mailing and surfing are allowed, the better

@highlight

Cell phone calls are the opposite, though: They raise anxiety

@highlight

Greene: Are we that unwilling to disconnect from our gadgets for a few minutes?