(Travel + Leisure) -- Alice Temperley likes to camp. Which is why the British fashion designer, who escapes her London workshop to rusticate in a tepee on her Somerset country estate, was recently commissioned by One & Only Le Saint Géran to erect a similar structure on their beach in Mauritius.

"It's escapism to the nth degree," says designer Bill Bensley of the tents at the Four Seasons Tented Camp, in Thailand's Golden Triangle.

The 17-foot-high tepee is decked out with beads, streaming ribbons, and embroidered patches -- a look Temperley likens to "a jewelry box that glistens in the sand." The resort offers cookouts by the tent -- marshmallows included -- served by a liveried butler.

By any definition, this is an indulgent experience, but given its availability in a structure originally designed for the life nomadic, it signals a shift in our perception of both luxury and escapism. Suddenly, a heightened sense of well-being may owe less to four sheltering walls than to a temporary shedding, not just of our inhibitions but also of all the weighty paraphernalia that clutters up a sedentary life.

Tents pitched in far-flung locales have always had romantic cachet -- who could forget Meryl Streep and Robert Redford in "Out of Africa." And now there's a trend of textile pleasure domes being adapted for use in diverse settings across the globe.

"They provide an experience that you could miss in an ordinary concrete box," says designer Bill Bensley of the tents at the Four Seasons Tented Camp, in Thailand's Golden Triangle. "Guests can hear the sound of elephants munching their way through the jungle. It's escapism to the nth degree." Travel + Leisure: See the world's best tented camps

That sentiment is evident in Bensley's design for the resort. He drew inspiration from northern Thailand's hill-tribe villages as well as camps he visited in Botswana, and he filled the 15 tents with metal craftwork from local artisans, along with explorer-themed antiques (an old compass, rifles, primitive fishing tools).

Like Temperley, Nairobi-based fashion designer Anna Trzebinski is also dabbling in the world of hotels, opening the tented Lemarti's Camp near Kenya's Laikipia Plateau last year. She stitches tents of locally loomed cotton in the same workshop where she creates beaded tunics and accessories inspired by indigenous Kenyan designs.

Set on platforms above a river bend, the camp's tents are furnished with tables and beds built with wood from dhow boats, and decorated with African-themed found objets d'art: crocodile skulls, elephant shoulder blades, beaded walking sticks and clubs.

"For me, a tent should be the veil between you and Mother Africa, a sheer shield to protect but not in any way disconnect you from her presence. To be under canvas on a comfortable bed, with the smell of acacia blossoms -- in the old safari days this was intoxicating enough, but now we have the ability to improve on the concept."

And that's exactly what Banyan Tree is doing with one of its latest resorts, the Banyan Tree Maldives Madivaru, on a coral atoll in the Maldives. Created by Dharmali Kusumadi, one of the group's head designers, it's by far the most cosseting tented property available today.

Only 18 guests at a time can stay on the private island. Rooms come in the form of three conjoined tents facing a cobalt-blue lagoon: a king-size platform bed dominates the air-conditioned sleeping tent, while the bathing pavilion has a claw-foot tub. A butler and massage therapist are at guests' beck and call.

Spas, too, are employing tents to help travelers abandon worldly cares. In Arizona's Sonoran Desert, Miraval Tucson Resort & Spa guests take treatments in one of six new tents styled by Irish-born designer Clodagh.

"For me, a tent evokes impermanence," she says. "It reflects the impermanence of the spa treatment as well."

Set in a botanical garden shaded by paloverde trees, each of the tents has natural cleft-stone flooring, an acacia-wood bench, and walls made of saguaro and ocotillo cacti.

Tipping the indulgence scale, Taj Hotels' Rambagh Palace, in Jaipur, has put up two new spa suite tents patterned after a 16th-century Mughal encampment. When India's royalty went camping, their tasseled tents were made of velvet and embroidered silk. Devised by husband-and-wife hotel design team Amit and Shalini Gehlot, the billowing pavilions contain handwoven carpets, royal pennants, and love swings made from salvaged shesham wood.

And if that's not adequate escapism, this month Taj opens Banjaar Tola, a safari lodge with 18 tented suites in the bamboo forests of Madhya Pradesh, a four-hour drive from Jabalpur. Created by one of India's top architects, Sanjay Prakash, each tent has bamboo floors, solar-powered heated pools, and traditional artwork from nearby Chattisgarh. Definitely fit for a mogul on the move.

Planning a beach getaway? Don't miss Travel + Leisure's guide to Affordable Beach Resorts.

Copyright 2009 American Express Publishing Corporation. All rights reserved.

Shane Mitchell is a special correspondent for Travel + Leisure.

@highlight

A resort in Mauritius commissioned a 17-foot-high tepee from a fashion designer

@highlight

Textile shelters are being adapted for use in diverse settings across the globe

@highlight

The tented Lemarti's Camp near Kenya's Laikipia Plateau opened last year