(CNN) -- Youths have rioted on the streets of Athens and other Greek cities for the past three days. Stores and cars have been torched, barricades erected and rioters have fought running battles with police.

Athens riot police come under attack near the capital's main police station Sunday.

The unrest came after police shot dead teenager Alexandros Grigoropoulos, 15, who they allege was about to throw a fuel-filled device at them, as a gang of youths pelted a patrol vehicle.

What has been the political reaction to the unrest?

The Greek government, led by Prime Minister Kostas Karamanlis' center-right New Democracy party since 2004, has appealed for calm. Interior minister Prokopis Pavlopoulos and his deputy tendered their resignations, but this offer was rejected by Karamanlis.

The government has been quick to condemn the death of Grigoropoulos in a bid to defuse the crisis. Two police officers have been arrested.  Watch youths riot in Greece »

"An investigation is under way and those found responsible with be punished," said Pavlopoulos Sunday. "Measures will also be taken to avoid such incidents again in the future."

Much of the violence have been blamed on self-styled anarchists -- although opposition parties have been quick to blame the Greek government for the crisis. The Communist party has announced that a rally will take place in Athens Monday.  See images of anarchy on Greek streets »

Is there a wider political context to the unrest?  Greece has endured a tumultuous 18 months. Karamanlis called a snap election in mid-2007 to back his proposals for reforming Greece's social and economic system, including the privatization of ailing public institutions such as Olympic Airlines.

He has argued that such reforms are necessary if Greece is to compete with the rest of Europe and the wider world.

Karamanlis assured workers -- one in five of whom lives below the poverty line according to government statistics -- that massive layoffs would not result from the reforms.

What happened?

Just weeks before the September election, forest fires ravaged much of Greece, leaving at least 70 people dead.

Many blamed Greece's slow bureaucracy for not responding quickly enough to the disaster. For his part Karamanlis suggested that the blazes might have been set by political extremists ahead of the vote -- a claim that his left-wing rivals claimed was made to destabilize the nation.

Karamanlis was re-elected for a second term -- but only by a slim majority.

How have the reform plans fared?

Not well. Union leaders -- who represent around half the Greek workforce to a union -- have argued that planned pensions reforms, which would end most forms of early retirement, fail to protect workers.

"It is unjust and unfair to all categories of workers, mainly working mothers and young people entering the labor force," Yiannis Panagopoulos, head of GSEE, one of the two main labor unions, said in March.

The government has argued that such reforms are especially necessary, given how the nation's low birthrate will likely impose a burden on future generations.

There have been several strikes during the past year that at various times have hit all transport networks, including international airports, schools, courts, banks, public offices, hospitals, utilities and media organizations. At times garbage has been left uncollected and homes and offices have suffered power blackouts.

A demonstration in Athens during the latest general strike during October descended into skirmishes as protesters confronted police, who responded with tear gas.

The worldwide financial crisis has hit Greece hard as well. The government has been forced to cut ambitious growth targets, despite a projected GDP growth of about 3 percent -- above fellow Eurozone nations.

Flagging revenues have also forced the government to impose new taxes on capital gains and the self-employed, and also to bring forward plans for privatization.

Is there a history of unrest in Greece?

Greece gave the world the word and ideal "democracy" and has itself enjoyed a period of political stability since the mid 1970s.

A member of NATO and the European Union, it became a parliamentary democracy in 1952 following civil unrest after the end of World War II.

But a coup in 1967 saw the army take control, ban elections and institute a repressive right-wing junta that eventually abolished the monarchy in 1973.

Civil unrest saw the overthrow of the regime and the introduction of a republic in 1975.

Since then Greece has gradually sought to redefine and modernize its image, especially during the past decade, staging the Olympics in 2004 and attempting to forge stronger ties with Turkey, its traditional rival.

But Greece has not been without civil strike beyond street demonstrations.

For more than two decades the November 17 terror group carried out at least 25 murders against Greeks and other nationals, including the assassinations of U.S. CIA Athens chief Richard Welch in 1975 and British diplomat Brigadier Stephen Saunders in 2000. The remaining members of the group were eventually caught in 2002.

What next for Greece?  Even if the street violence subsides, the political pressure on Karamanlis is unlikely to subside -- more so given how he has staked his name on economic reform.

His administration survived a turbulent 2007 -- and 2008 has given Greece more of the same.

@highlight

Greece has endured unrest with youths battling police on the streets

@highlight

Government has endured a rocky year as it tries to introduce economic reform

@highlight

Opposition parties, unions, argue planned changes will harm workers

@highlight

Greece has had a period of democracy since military junta overthrown in 1970s