(CNN) -- "Waiting for Sunrise," the new novel from acclaimed British author William Boyd, is an evocative mix of sex, spies and psychoanalysis.

The story opens in Vienna in 1913. English actor Lysander Rief is seeking treatment from a psychoanalyst for an odd sexual ailment. While in the Austrian capital he begins a passionate affair with another patient and it seems Lysander is cured. When the secret tryst takes a dark turn, Lysander is forced to escape Vienna with help from the British consulate.

He's not long in London when war breaks out and Lysander enlists in the army. Soon after, he's approached by the men who helped him escape Austria with a proposition he is in no position to refuse. Morphing from actor to patient to soldier to spy, Lysander is plunged into the dangerous world of wartime intelligence as a covert operative.

Fans of the author will love and recognize all the hallmarks of Boyd's best books: a historical thriller, rife with espionage, set in the not-too-distant past, featuring an exotic and exquisitely drawn locale and a cameo from a famous historical figure, in this case Sigmund Freud.

Boyd also made headlines last week when he was offered the chance to write the next James Bond novel. Boyd is no stranger to the spy thriller genre and an admitted Bond enthusiast and Ian Fleming fan. Accepting the job was, as he puts it, a "no-brainer."

While Boyd is keeping many details of the superspy's next adventure top secret, in an interview with CNN from his home in London he did give a few hints on what he has in store for 007 and talked at length about his new novel. The following is an edited transcript.

CNN: What was the spark behind "Waiting for Sunrise"?

Boyd: It's an odd accumulation of things. I was sort of obsessed with Vienna, particularly at the beginning of the 20th century. I'd written a short story and a bit of a novel set there, and I was very interested in that period. Then I got a chance to go there to write an article about Egon Schiele, the tormented artist who died very young.

So I went to Vienna for a few days and wandered around, and very early one morning I found myself at the Freud museum, which is his old apartment house, and I had this strange kind of Proustian shiver as I stood outside the front door waiting to be admitted, because it's been kept exactly as it was pretty much.

I thought I could have been here 100 years ago coming to seek psychiatric aid to cure whatever problem I had. I suddenly thought what must that have been like to have come to a psychoanalyst all those years ago, and that was the beginning of the novel. It was a good moment.

CNN: You invented your own psychotherapy for the novel; tell me a little more about "parallelism."

Boyd: I thought, should I just use one of the recognized therapies that Freud and Freudian analysts use? And I thought no, it would be much more fun to think up my own. So I came up with this idea of parallelism, which is surprisingly plausible, I think. We do it all the time, we have false memories, we misremember our past. The past is a very vague and blurry place for us.

So it seemed to me to be possible to go back into your memories and reinvent them. To replace bad memories with highly detailed new memories, trying to erase the trauma and the neuroses and leave you with something benign. That's a very simplified version of it and you would need to be guided by a therapist but fundamentally parallelism is creating a parallel life for yourself where the bad things didn't happen and only good things took place.

See William Boyd discuss "parallelism" in his new novel

CNN: You've included a number of real people in your novels, Sigmund Freud, Ernest Hemingway and Ian Fleming among others. What draws you to these historical figures?

Boyd: All these people I've written about, like Virginia Woolf, Picasso and Chekhov are all people I'm very intrigued by, sometimes in a good way, sometimes in a slightly malicious way.

I've become quite interested in the New Zealand writer Katherine Mansfield, so she may appear in one of my fictions. I've often invented fictitious events in real people's lives. Wherever my interest takes me, I'm capable of imagining aspects of these people's lives or imagining a portrait of them that is very much mine rather than something handed down by biographers or history. It's very much a capricious way for me to get some of my prejudices or fan worship on the page.

CNN: You've been asked to write the next James Bond novel; what was your reaction when they approached you?

Boyd: What an opportunity, particularly as I'm sort of steeped in Ian Fleming's world and the world of espionage. I'm relatively at home in it and I know a lot about Fleming and his life and his circle.

I read all the Bond novels as a younger person but now I'm furiously re-reading them with great intent. So it was a great serendipitous opportunity that came my way because you can't audition for it, you can't volunteer to do it. You either get asked or you don't. So when they said, "Would you be interested?" I said, "You bet."

I'm really looking forward to it. It's going to be great fun, but I'm also going to take it extremely seriously. I'm going to try to write the very best Bond novel I possibly can and take the character to places and situations he hasn't been before.

CNN: What do you have in store for the super spy?

Boyd: I'm going to be annoyingly tight-lipped about it. I can tell you it's going to be set in 1969. Ian Fleming died in 1964 at the very young age of 56. So it's quite conceivable if Ian Fleming had looked after himself a bit better, he might have been alive in 1969 and writing a Bond novel. By setting it then you're very much in the world of Fleming's Bond. The resonances of the Bond that Fleming created still would influence the Bond that I would write about. That to me is the real appeal.

Somehow you're imagining a kind of vicarious life for Ian Fleming, whereby he might have been able to pen another James Bond novel. It's very much tapping into the world we're familiar with. The Cold War was alive and well and in some ways that's the great age of spying, and I know a lot about that period of espionage history. So to be able to plonk down an iconic figure like Bond in the late '60s is a wonderful bonus.

Read an excerpt from "Waiting for Sunrise"

@highlight

"Waiting for Sunrise" is a new novel from acclaimed British author William Boyd

@highlight

The story, set in Vienna in 1913, goes from an analyst's office to the middle of war

@highlight

Boyd, on being asked to write the next James Bond novel: "I'm furiously re-reading them"