(CNN) -- Division Street runs across Chicago, separating the city more than just geographically.

Teddy Williams knows this well. He grew up in the 1980s in Chicago's infamous Cabrini Green housing project on Division, a street he said stays true to its name.

Though the neighborhood was notorious for its gang-infested streets and violence, Williams, now 40, remembers the neighborhood differently. He remembers playing with his childhood friends, running up and down hallways of his apartment building, and listening to Slick Rick on big boom boxes.

"It was a village," said Williams. "We all knew each other, we were all there for each other. There were people who do bad things, but that's everywhere."

Sam Spitz knew a very different side of Division Street. He went to school in the 1990s and 2000s, just a few blocks away, where he attended Near North Montessori School on West Division. He described his childhood as relatively safe and comfortable.

He still plays basketball on Mondays with his old classmates and passes Cabrini Green to get there.

"I used to pass by there everyday," said Spitz, 23. "But all I knew about the neighborhood was what I'd seen on TV. It didn't seem like a place I wanted to go."

In 2011, a crane reduced to rubble the building Williams once called home, a high-rise that was part of the Cabrini Green housing project.

He watched as the crane's steel teeth ripped into the 15-story building, floor by floor, eventually reaching his own 12th floor unit, crumbling it in a cloud of dust.

Just a few months before, Williams and thousands of others had been evicted from the Cabrini Green housing project.

"It was sudden, all of it was sudden," he said. "We got a notice for a few months and out of nowhere, we all had to get out."

He said the empty feeling still remains.

"It's like a part of your body is missing, like a leg or something."

"I will always know Cabrini as home."

'A refugee in my own city'

Chicago has demolished dozens of public housing high rises -- including those in Cabrini Green -- as part of its "Plan for Transformation," a $1.5 billion project launched in 2000 to renovate or construct 25,000 public housing family units.

Chicago once had the second largest stock of public housing in the nation, with 43,000 units housing hundreds of thousands of people.

When the units became overrun with gangs and crime, the city embarked on an overhaul.

The plan aims "to build and strengthen communities by integrating public housing and its leaseholders into the larger social, economic and physical fabric of Chicago," according to the Chicago Housing Authority.

Chicago wanted stop managing public housing and become what the housing authority called "a facilitator of housing opportunities." Some residents of housing slated for demolition were given vouchers to rent apartments in the private market or moved into rehabbed public housing on the far south and west sides away from the city center.

Teddy Williams had a difficult time finding stable housing after his eviction in 2011.

"I felt something like a refugee in my own city," he said.

He turned to alcohol to cope with his pain and looked to friends and family to find a place to stay.

He finally stopped smoking and drinking "cold turkey," but his living situation became more difficult. For a time, Williams made his home on one of Chicago's "L" trains, which run the longest north-south route across the city.

He carried clothes and a brick from his old building as he patiently searched for a new chapter in his life.

Even today, he has trouble finding words to describe that experience, only saying it was "rough at times."

'A different world'

As he struggled to find a place to live, Williams found a job as a barber on the city's north side. He had only been in the barber shop for a couple of weeks in the fall of 2012 when college student Sam Spitz walked in, looking for a back-to-school haircut.

"He came in as a walk-in. From there we connected," Williams recalled. "He was reading a book and I was interested in knowing what it was and he told me that it was for a class. From there I started to get nosy in his business and he told me he was in school for film, so I decided to tell him a bit of my story and it went from there."

Spitz remembers the meeting.

"When I told Teddy I was in a film class he said, 'Man, you gotta make a movie about me!'" Spitz said, laughing. "At first I thought, 'Damn, I just want a haircut. Now this guy's got me trapped in his chair for 45 minutes and I have to listen to a pitch!'"

As Spitz and Williams talked over that haircut, they realized they had Division Street in common.

"I told him my dad and I used to drive by his building on the way home from school," Spitz said. "He asked if I ever got out of the car and I had to tell him the truth: 'No, I was scared.'"

Williams offered to take Spitz for a walk down his side of Division Street, a journey they documented in their film, "The Greens."

In the documentary, which took about a year to make, Williams introduces Spitz to Lonza C. Harris Jr., a former Gangster Disciples member known as "Batman" whose story complicates the narratives that Spitz saw as a child on TV.

"I'll never forget our first walk down Division," Spitz said. He remembers Teddy telling him about the time he chipped his tooth running a race through his buildings with other children.

"Teddy and Batman's stories made me question what I'd seen on TV," Spitz said. "I'd never thought of the high rises as homes."

Spitz hopes that his film, which was completed last fall, will encourage audiences to think critically about the stories they see on TV, especially those concerning Chicago. He and Williams are using the 20-minute film to start conversations on college campuses, an opportunity Williams said he could have never imagined.

"We hope others will take the time to learn from each other no matter how different we seem," Williams said.

Williams now lives in a suburb on the city's west side in his own apartment. Despite the lack of a police presence and the frequent sound of gunshots, Williams said he sees it as a symbol of his own progress. Yet, he still longs for his home in Cabrini Green.

"It was a village. We were a community," he said.

Today, Cabrini Green is infused with chic dining spots, expensive town homes and a growing shopping district. Just blocks away from the city's Magnificent Mile, some are calling it Chicago's "neighborhood of the future."

Williams said he would love to help instill that sense of community back into his old neighborhood.

"I want to recreate a place that I knew once, and provide that for someone else," he said. "I can help because I know what it needs."

@highlight

Teddy Williams and Sam Spitz spent their lives a few blocks from each other in Chicago

@highlight

They never met until a chance encounter years later

@highlight

Williams took Spitz on a tour of his old neighborhood

@highlight

Their journey is documented in Spitz's film, "The Greens"