(CNN) -- Defeat could be near for Syria's embattled regime, NATO and Syrian ally Russia said Thursday.

"I think now it's only a question of time," NATO Secretary-General Anders Fogh Rasmussen said in Brussels, Belgium, where he and Dutch Prime Minister Mark Rutte announced the deployment of two Patriot air-defense batteries to Turkey's border with Syria.

The al-Assad government is "approaching collapse," Rasmussen said. "I urge the regime to stop violence, to realize what is the actual situation and initiate a process that leads to the accommodation of the legitimate aspirations of the Syrian people."

Russian Deputy Foreign Minister Mikhail Bogdanov offered a similar view from Moscow, noting what he said were rebel reports that victory was imminent.

"We need to look the facts in the eye," the state-run RIA Novosti news service quoted Bogdanov as saying. "Unfortunately, we can't exclude a victory by the opposition."

His comments came as opposition groups said they had seized a military base near Damascus and amid calls by the Local Coordination Committees for rebels to push for the fall of the capital.

"We all know that the battle is not going to be easy and that the regime will defend its existence by the most brutal means, as we have become accustomed to seeing," the opposition group said. "We know that the regime will spare no resources in destroying any hold it may have before its collapse, as we have witnessed in all other Syrian cities."

Diplomatic efforts to help end the 21-month conflict, which opposition activists say has claimed more than 42,000 lives, have so far failed.

A rebel victory would unleash a host of complications for the shattered country, including the need to quickly assemble a functioning government; to provide humanitarian assistance as winter approaches; and to address the status of the chemical weapons currently held by regime forces.

U.S. official: Syria uses Scud missiles against rebels

The regime has shown no signs of backing down. On Thursday, the LCC reported that 138 people had been killed by government forces, including seven children and four women. Sixty-nine of the deaths occurred in Damascus and its suburbs, it said.

Syrian state TV, citing a foreign ministry official, denied Thursday Western accusations that the government has used Scud missiles against rebels inside the country, a move analysts and world leaders have described as a dangerous escalation in President Bashar al-Assad's campaign against the rebellion.

A U.S. official said Syrian forces in Damascus loyal to al-Assad had fired at least four short-range Scud missiles from the capital into northern Syria, presumably at rebel groups.

Rasmussen said NATO also had detected launches this week.

"We can't confirm details of the missiles, but some of the information indicates they were Scud-type missiles," Rasmussen said. "The use of such indiscriminate weapons shows utter disregard for the lives of the Syrian people. It is reckless, and I strongly condemn it."

Aleppo Today TV becomes vital news source amid Syria's chaos

The predictions of defeat for al-Assad and his forces come amid rising international recognition of the Syrian opposition.

On Tuesday, President Barack Obama extended U.S. recognition to the rebel coalition. The more than 100 nations in the Friends of Syria group followed suit on Wednesday and pledged at least $110 million in humanitarian aid.

Coalition Vice President George Sabra said rebels were pleased with the gestures, but had hoped the United States would go further by naming the group not just as a legitimate representative of the Syrian people but as their sole legitimate representative.

Syrian officials belittled the declarations. Information Minister Omran al-Zoebi said the recognition was comparable to Syria recognizing "Liverpool Football Club as the sole representative of the British people while in fact it represented very little," Britain's Independent newspaper said.

As fighting subsides, Aleppo residents find little left

Also Thursday, Amnesty International urged rebel leaders to free a Ukrainian journalist accused of working with Syrian government officials and to respect international accords on human rights.

"There are increasing reports of opposition forces carrying out horrific abuses of captured government soldiers, journalists and some other civilians," Amnesty said Thursday. "The coalition must condemn these grave abuses in the strongest possible terms and do its utmost to prevent them."

The LCC called on rebels to deliver a knockout punch to the regime while protecting civilians, religious sites and the nation's cultural heritage.

It also urged rebels to preserve any documents found in offices of state security services seized by rebels in preparation for possible war crimes trials.

"These documents contain massive amounts of incriminating evidence against the regime and its symbols and will be required to hold the regime accountable, compensate victims and retain a historical record of decades of state behavior," the group said.

State Department spokeswoman Victoria Nuland said U.S. government-trained medical workers have reached an estimated 410,000 patients in Syria, performed 22,370 surgeries and had partnered with a group -- which she would not identify for security reasons -- that has set up 20 field hospitals in the country.

"I don't think any of us has a crystal ball as to exactly how this is going to go, but we do believe that the Assad regime's days are numbered," Nuland said. "The opposition in recent days and weeks has made a number of significant captures, in particular major military facility outside of Aleppo with the last Sheik Suleiman base and other important military installations."

She urged Russian officials to withdraw support for the al-Assad regime.

An afternoon with a Syrian bombmaker

CNN's Barbara Starr, Tom Watkins, Jill Dougherty, Mike Mount, Ben Brumfield and David Ariosto contributed to this report.

@highlight

Rights group urges rebels to abide by international accords amid report of "horrible abuses"

@highlight

Collapse of Syrian regime appears inevitable, NATO chief says

@highlight

Syria's apparent use of Scud missiles is "reckless," Anders Fogh Rasmussen says

@highlight

Opposition group calls for rebels to protect religious, cultural sites