(CNN) -- Look, up in the sky! It's a bird! It's a plane! It's Superman! What the heck was that flaming thing streaking across Australian skies?

Australians in cities from Melbourne to Brisbane reported -- and, in some cases, filmed -- a large, burning object crossing the sky last week. Unlike the meteor that hit Russia in February 2013, this sky phenomenon was manmade.

Scientists quickly realized that it was the third stage of a Russian Soyuz rocket used to launch a weather satellite July 8. Some, like Jonathan McDowell (@planet4589) of the Harvard Smithsonian Center for Astrophysics and Nobel Prize-winning Australian astronomer Brian Schmidt (@cosmicpinot), spread the news on Twitter.

Although the Down Under fireworks were spectacular enough to be alarming, most space debris falls harmlessly to Earth, completely unnoticed.

Some spacecraft parts fall within days of launch but most over considerably longer time scales. In the nearly six decades since Sputnik became the first satellite to orbit the Earth in 1957, humans have launched 7,500 satellites into orbit, according to McDowell.

Those in low Earth orbit -- about 300 miles up -- travel through a very thin atmosphere that acts as a gradual brake on the satellite trajectory. Absent any human intervention, those satellites slowly spiral toward Earth over 10 or 20 years, depending on their exact orbit and the spacecraft shape.

The Hubble Space Telescope has been in low Earth orbit for 24 years and counting only because astronauts boosted it back to a higher orbit at every space shuttle servicing visit.

More than a thousand active satellites are orbiting the Earth right now. Slightly more than half are in low Earth orbit, including Hubble and the space station. Almost all the rest are in geosynchronous orbit, meaning they circle the Earth at the same rate it rotates. For a telecommunications company serving the U.S., it's obviously a big advantage to have a satellite hovering above the country all the time.

A geosynchronous 24-hour orbital period requires a very high-altitude orbit. According to Newton's 400-year-old law of gravity, orbital speed depends only on the mass of the body being orbited (in this case, the Earth) and the radius of the orbit (the radius of the Earth plus the height of the satellite above the Earth). That's why Hubble, the much larger space station, the much smaller early satellites like Sputnik and Explorer I, and any other low Earth-orbit satellite take only 90 minutes to circle the globe.

Geosynchronous satellites are way, way up there. Those orbits won't decay anytime soon. It's the low Earth orbit satellites that will fall down. Or rather, the dead satellite and related debris that can't be controlled by engineers at space agencies. Active satellites can be controlled from the ground; for example, Hubble is continually repointed from one part of the sky to another as it observes this galaxy or that star.

As the blockbuster movie "Gravity" showed us, uncontrolled space debris can be very dangerous. In the movie, a Russian missile destroys a defunct satellite, starting a destructive and deadly chain reaction of debris destroying other satellites destroying still more satellites -- and, ultimately, destroying the space station in which the astronauts were based.

In 1985, the U.S. demonstrated anti-missile Star Wars capabilities by blowing up a solar observatory named P78. Not only did this halt the science, it created a swarm of tiny pieces of debris. China did a similar thing in 2007. As physics tells us, blowing something up doesn't make it vanish; it just makes lots of tiny pieces moving more quickly. And smaller pieces are much harder to spot and track.

The U.S. Strategic Command tracks space objects. Its Joint Space Operations Center has catalogued more than 39,000 manmade objects in orbit. About 60% have re-entered the atmosphere; 16,000 remain in orbit today. Of these, only about 5% are functioning satellites or payloads that can be controlled, while 95% is inactive space junk, including rocket bodies.

NASA estimates that there are half a million pieces of space junk floating around the Earth, most too small to be tracked. But even bits of debris no bigger than a gumdrop can cause serious damage.

Satellite technology has made it easy to phone around the globe, to a metropolis or even to Mount Everest. The downside is, pieces of satellites are going to fall back onto Earth.

Thankfully, only the largest solid hunks fail to burn up before reaching the ground. In 1979, NASA's Skylab (a much earlier version of the space station) famously fell to Earth amid nail-biting worry. A few scraps were recovered in Australia (poor Australia, again!). Bits of ROSAT (a German X-ray astronomy observatory) and other satellites have also fallen to Earth.

It is easy to calculate the path of the re-entering spacecraft because it is along the track of the orbit. But how quickly it descends depends on details that are much harder to predict. It makes a big difference how the structure burns and how it falls apart. Bigger pieces continue to hurtle downward while smaller pieces burn completely high up in the atmosphere. That's why predictions of where space debris will land are notoriously uncertain.

The good news is that only one-quarter of the surface of the Earth is land, and most of that is uninhabited. So damage to people and property is rare. Most falling space debris lands harmlessly and with no witnesses.

The likelihood of serious damage is very low. But a big hunk of metal -- or a large asteroid -- falling in the wrong place could be catastrophic.

It's definitely a good idea to keep the Skylab-sized space junk controllable and to catalog asteroids that will pass near the Earth. But in the end, whether we go the way of the dinosaurs might just be down to luck.

@highlight

A piece of space junk from a Russian rocket flew through the Australian sky

@highlight

Meg Urry: Space debris falls to Earth all the time; most is harmless

@highlight

But a big hunk of metal -- or a large asteroid -- could be catastrophic, she says

@highlight

Urry: It's definitely a good idea to keep the Skylab-sized space junk controllable