Beheira Province, Egypt (CNN) -- Amre Moussa sweeps through chaotic crowds in Egypt's Beheira province, hailed in the pandemonium by his supporters as "ar-rayis," the president.

In the nation's first democratic presidential election, Moussa is one of a few candidates who can boast of any practical government experience. He served as foreign minister under Hosni Mubarak and headed the Arab League. Now, he's one of the top contenders in the voting to be held Wednesday and Thursday.

Experience, however, can be a thorn in a nation where 18 days of fervent, anti-government uprising last year toppled Mubarak's decades-long dictatorship.

Moussa, 75, is intent on turning that liability into gain.

"They have to select and elect a president who can do the job, not a president beginner who will just get into learning or quarreling with others," Moussa says between campaign stops through Egypt's Nile Delta region.

And he has been trying to reassure Egyptians that a vote for him is not a betrayal of the revolution.

"We want to ensure that every citizen in all of Egypt -- in the north, south, east and west -- that the state is moving in the right way to progress and to respond to people's requirements," he said in a televised debate earlier this month.

Moussa's message has been resonating with Egyptians in all sectors of society. Among them the wealthy industrialists and Coptic Christians who believe Moussa can help stem the tide of Islamism.

But Moussa also has support in poorer, more densely populated provinces, where people long for the stability associated with the old regime.

"We need a leader to steer this ship and Amre Moussa can do it," says Suhair, a nurse in the Delta. "He's a diplomat. He's been around the world and can work with other countries to help Egypt."

Campaign manager Hisham Youssef says supporters see Moussa as a healing force in a turbulent time.

"He has been working on issues pertaining to reconciliation all over the Arab world for the last decade or two," Youssef told NPR. "So this is one of the reasons why he can be instrumental in trying to achieve the objective of reconciliation and healing at a time when Egypt needs that most."

Moussa graduated in 1957 from Cairo University with a law degree. The following year, he joined Egypt's foreign ministry, launching a long career in diplomacy.

He served as Egypt's ambassador to the United Nations as well as to India before Mubarak named him foreign minister in 1991.

Moussa was popular in that role, channeling anger at Egypt's peace treaty with Israel in his favor with vociferous criticism of his Jewish neighbors. He was even the subject of a popular song in 2000 with these lyrics: "I hate Israel but I love Amre Moussa."

"You might think that such Israel-bashing lyrics would cause some discomfort for an official whose job at the time involved his country's ultra-sensitive diplomatic relations with the Jewish state," says a 2001 Time magazine story. But not for Moussa apparently.

"I was kind of gratified," Moussa told Time, while puffing on a Cuban cigar. "Why should it bother me? It is a message: We can't accept injustice done to the Palestinians."

The Washington Report on Middle East Affairs described him as "no ordinary Egyptian government official" who "has achieved enormous popularity because of the charismatic style with which he has dealt with the Israelis."

Moussa says his goal now is to reclaim his homeland's position as the Arab world's most influential nation.

"My point of reference is Egypt. Nothing else," he says in between Delta campaign stops in hot, stuffy tents.

He begins to talk about ways to deal with international treaties but celebratory gunfire drowns his voice, interrupting his thoughts.

But he has made it clear that his opinions are not those of Mubarak's, including on Israel.

"Mubarak had a certain policy, it was his own policy and I don't think we have to follow this," Moussa recently told The Wall Street Journal. "We want to be a friend of Israel, but it has to have two parties, it is not on Egypt to be a friend. Israel has to be a friend, too."

He has frequently been cited as the civilian figure Egyptians would elect as president if they had a real choice, according to The Wall Street Journal article.

Mubarak sent off Moussa to become secretary-general of the Arab League in 2001, a move rife with rumors that the dictator felt threatened by his minister's popular standing.

Now, with Egypt's political landscape vastly changed, Moussa is poised to take the helm.

But not everyone wants to see him assume the nation's top job and Moussa finds himself in a delicate dance with Egypt's new kingmakers -- the ruling Supreme Council of the Armed Forces and the Islamists. Both are certain to demand concessions in exchange for support.

Moussa is likely the military's choice, according to Isobel Coleman, senior fellow for U.S. foreign policy at the Council on Foreign Relations.

He has "vowed to give the military a voice in key policy decisions through a national security council that would include top military officers," Coleman wrote in a CNN.com commentary.

In many ways, the election is a battle between an Islamic vision of Egypt and a more secular, nationalist one. A chunk of Egyptians favor a stronger role for Islam. Moussa is not their man.

Moussa runs into some of his opposition in the Delta, where some accuse him of being a "faloul," a derogatory term for a holdover from the Mubarak regime. One young man defiantly displays a poster of Mohamed Morsi, the candidate of the formerly banned Muslim Brotherhood.

Above, on a balcony, a veiled woman and her children show their disapproval with a thumbs down.

Campaigning is a new thing for people in the Delta, and for that matter, everywhere in Egypt, and Moussa is determined to meet voters, go places where Mubarak never did.

He has visited each of Egypt's 27 governorates during his presidential campaign. On some of his campaign stops, the voices of the people are louder than his. They demand youth employment, relief for indebted farmers and an end to corruption.

Moussa carries on amid a cacophony of fireworks, horns, loudspeakers and the distinct roar of the crowd. And hopes that it will pay off at the polls.

CNN's Ben Wedeman reported from Beheira province, Egypt, and Moni Basu reported from Atlanta.

@highlight

Amre Moussa has had a long diplomatic career

@highlight

He gained popularity by criticizing Israel when he was Hosni Mubarak's foreign minister

@highlight

He appeals to a wide spectrum of Egyptian voters

@highlight

He says Egypt needs a leader with experience but some see him as a regime holdover