Washington (CNN) -- Impassioned wrangling over changing the way the military prosecutes sex assaults pits the 20 women in the Senate against each other in a thorny political battle over an institution where chain of command is sacred.

A bipartisan measure championed by Sen. Kirsten Gillibrand that would have removed military commanders from decisions on whether to prosecute subordinates for rape, sexual assault and other serious crimes fell short in a procedural vote on Thursday.

Gillibrand, of New York, argued that commanders too often are biased in their decisions on such matters, and proposed placing the responsibility with "non-biased, professionally trained military prosecutors."

Efforts to defeat Gillibrand's bill were led by fellow Democrat and Armed Services Committee member, Sen. Claire McCaskill of Missouri.

By the numbers: Women in the U.S. military

Gillibrand and McCaskill have fought for months over how best to reform the prosecution process for military sexual assaults.

Gillibrand would go outside of the traditional military command structure to force change; McCaskill's approach is to reform from within.

Both spoke with sexual assault victims, members of the military and fellow lawmakers.

Their competing measures also divided the newly expanded female caucus of senators with most of them, including fellow Armed Services Committee member Sen. Kay Hagan of North Carolina, siding with Gillibrand.

A number of women's rights groups also backed her bill.

"Forty five U.S. senators blocked all justice for survivors of sexual assault in the military, and that is a travesty. Today's results show just how pervasive rape culture in America has become, and how hard we will have to fight to overcome it," Shaunna Thomas, co-founder of UltraViolet, a women's rights group, said in a statement Thursday following the vote. "We won't stop fighting, and the 45 Senators who voted in support of rape culture today should be ashamed for not fighting with us."

Gillibrand's bill also had the support of several veterans groups.

"This was a missed opportunity for Senate leaders to overhaul the military's broken system of combating sexual trauma. They have turned their back on veterans and service members who pushed for reform," said Paul Rieckhoff, chief executive and founder of Iraq and Afghanistan Veterans of America, a military advocacy group.

"Instead, the Senate has chosen to keep the status quo. Our lawmakers should be able to provide a fair and effective military justice system worthy of our veterans and service members," he said.

Senate blocks military sexual assault bill

Gillibrand's bill also had the support of the majority of the Senate, including potential 2016 Republican presidential contenders Sen. Rand Paul of Kentucky and Sen. Ted Cruz of Texas.

Supporters cite a recent Pentagon study that showed an estimated 26,000 incidents of sex assault and unwanted sexual contact in 2012, but just over 10% of those were reported.

"The definition of insanity is doing the same thing over and over again and expecting a different result," Paul said of the argument that that military commanders should be allowed to decide whether to prosecute rapes and sexual assault.

However, Gillibrand's measure was staunchly opposed by both the Pentagon and the bipartisan leaders of the Armed Services Committee including South Carolina Republican Sen. Lindsay Graham who had choice words for Republican presidential hopefuls who backed the bill.

Rape victims say military labels them 'crazy'

McCaskill argued that reforms that became law last year will increase sexual assault prosecutions.

Those reforms include: removing the authority of commanders to overturn convictions; providing attorneys to victims; making it a crime to retaliate against a victim; and requiring a dishonorable discharge for anyone convicted of sexual assault.

The Senate did pass a separate bill Thursday authored by McCaskill that adds to new changes to the reforms adopted last year.

The measure, which passed easily with Gillibrand's support, nixes the so-called "good soldier" defense, which allows defendants to present evidence of their good military character at sexual assault trials.

McCaskill has a measure, co-sponsored by Republican Sens. Kelly Ayotte of New Hampshire and Deb Fischer of Nebraska, who also sit on the Armed Services Committee that would allow an outside civilian review to weigh in if a military commander and prosecutor disagree on sexual assault prosecution.

A vote on that bill is expected next week.

Groping allegation against Army officer who helps fight sex crime

The political showdown over the sexual assault measure unfolded on the same day Army Brig. Gen. Jeffrey A. Sinclair, who had been accused of "forcible sodomy," plead guilty to having an affair with that service member -- a military crime -- and to improper sexual conduct with two other subordinates.

Additionally on Thursday, news broke the Army was investigating an officer whose job it was to train prosecutors on sexual assault for allegedly groping an Army lawyer in 2011 at a conference.

CNN Senior Congressional Producer Ted Barrett contributed to this report.

@highlight

Female senators engaged in political back-and-forth over how military handles sex assault

@highlight

Democratic Sens. Kirsten Gillibrand, Claire McCaskill differ on how to handle the issue

@highlight

Gillibrand wants more external oversight; McCaskill advocates internal military reforms

@highlight

Though they differ on nuance, both lawmakers agree that major reforms are needed