(CNN) -- Hyperbolic North Korean threats of war are not new. What is new is the intensity and persistence of those threats this time around.

Add to that an untested 29-year-old leader who is suddenly a four-star general with lots to prove. How does this end? Consider these three possibilities:

1. What Kim Jong Un hopes:  North Korean threats continue to escalate. Pyongyang renews earlier threats to transfer its "nuclear deterrent capability" to third parties in the Middle East and declares South Korean waters west of the peninsula an open fire zone.

The South Korean stock market plummets. Chinese leaders begin to panic about instability on their border. Washington is desperate to set aside the North Korea problem while dealing with a parallel crisis in Iran. The North proposes negotiations on a peace treaty formally ending the Korean War, but only if international sanctions imposed on the regime after their previous nuclear and missile tests are suspended.

Washington, Seoul and Tokyo reluctantly agree to the North's terms to avoid further escalation. Meanwhile, the North continues miniaturizing uranium-based nuclear weapons in underground facilities.

One year later, they test a more sophisticated warhead design and improved missiles payload. The North then demands the end of remaining international sanctions, recognition as a legitimate nuclear weapons state and a summit meeting in Pyongyang between Kim and President Barack Obama.

To back up its threat, the North shells several South Korean islands and threatens to use its newly enhanced nuclear capability if the South retaliates. The crisis resumes, but with the North more dangerous.

This has more or less been the pattern thus far.

2. What Washington, Seoul and Tokyo hope:  Kim's unpredictability finally turns the North's erstwhile ally, China, firmly against the regime.

Intensifying U.S.-Japan-South Korean defense cooperation demonstrates how North Korean actions are isolating China within the region. Beijing vows to step up pressure on the regime and stops all inbound North Korean ships and planes for inspections based on U.N. Security Council resolutions.

Opinion: Why North Korea worries Dick Cheney

When Kim tries to escalate again, Beijing cuts oil shipments to the North by 50% (China's food and fuel shipments keep the small North Korean economy afloat).

The North agrees to a moratorium on testing of missiles and nuclear weapons and to resume earlier negotiations on denuclearization. Those talks move at a glacial pace because the North sees nuclear weapons as its only means of regime survival. But Kim's obvious mismanagement of the confrontation has discredited him in front of his generals.

Fissures open, and the regime begins slowly to unravel. Careful U.S. and South Korean coordination with China throughout the crisis lays the basis for a managed unification of the peninsula, removal of the North's nuclear and WMD arsenal, and freedom for millions of North Koreans.

3. What everyone fears most:  Kim's escalation strategy fails to cause the other powers to recognize the North as a legitimate nuclear weapons state or to ease sanctions.

The young leader and his advisers continue searching for threats that will terrify the South and cause China to provide further bribes for good behavior, but without provoking a massive U.S. attack on the North. The exuberant but inexperienced Kim approves live artillery fire on uninhabited mountains just outside the South Korean capital of Seoul.

The South responds with limited counterbattery fire against the North Korean artillery units.

Opinion: Does N. Korea think U.S. is soft?

Aware that it cannot surrender or win, the North opens broader and deadlier artillery and missile broadsides against the South. Knowing that these forward deployed artillery and missile forces pose the greatest threat to the South if not taken out, U.S. and South Korean forces hammer North Korean emplacements north of the DMZ.

The conflict ends with defeat of North Korean forces and decapitation of the North Korean leadership through massive airstrikes, but the damage to South Korea and Japan, which is within missile range, is appalling.

How does this end?

Right now we are somewhere between the first two scenarios -- and could remain ambiguously so for some time. The third scenario remains highly unlikely, though not impossible.

The first scenario is tempting for some, because it would temporarily ease tensions, but in the long run it makes the third scenario more likely and much more lethal.

That means that U.S. policy has to focus on realizing scenario two. The North's brazen actions make that more possible than ever. But it means not blinking.

The opinions expressed in this commentary are solely those of Michael Green.

@highlight

Michael Green: North Korea more threatening than usual; three scenarios may play out

@highlight

1. Nuke threats grow; regime will get U.S. to lift sanctions; regime returns to same tactics

@highlight

2. China will turn on North, cut it off; Kim will lose power; North and South reunite sans nukes

@highlight

3. Kim will fire on South; U.S. will get involved; North will fall; Japan, South Korea ravaged