(CNN) -- Myanmar opposition leader Aung San Suu Kyi was sworn in Wednesday as a lawmaker for the first time, a key step in the country's recent shift toward democracy after decades of repressive military rule.

Suu Kyi, a pro-democracy campaigner who spent years under house arrest, traveled to the parliament in the capital, Naypyidaw, to take up the seat she won in elections last month.

It was a historic moment for the Nobel laureate, who has spent decades campaigning for, and being deprived of, human rights in Myanmar.

Suu Kyi led her party to a landslide victory the previous time Myanmar held multiparty elections, in 1990. But the military junta ignored the results and kept her under house arrest.

She and 33 other newly elected members of her party, the National League for Democracy, took an oath of office for the lower house of parliament that they had initially refused to accept because of its wording, which called for protection of the country's constitution.

The NLD considers the constitution undemocratic and has said it wants to change it.

The party had asked the Myanmar authorities to adjust the wording of the oath to say that lawmakers would "abide by" the constitution rather than "protect" it.

Suu Kyi and the other recently elected NLD members delayed their debuts in parliament over the issue, but the government of President Thein Sein, a former military official, made no sign of moving to accommodate the request.

On Monday, Suu Kyi and the NLD backed down from the demand to have the wording changed, ending the impasse.

Suu Kyi said she would take the oath "for the country and for the people." She added that her decision had been encouraged by voters, parliament members and representatives of Myanmar's ethnic minority groups.

During a visit to Myanmar this week, U.N. Secretary-General Ban Ki-moon expressed support for Suu Kyi's climbdown over the oath. "Real leaders demonstrate flexibility for the greater cause," he said after meeting with her at her lakeside residence in Yangon.

U.S. Secretary of State Hillary Clinton congratulated Suu Kyi and her party on the occasion of their swearing-in.

"This is an important moment for Burma's future. A genuine transition toward multi-party democracy leading to general elections in 2015 will help build a more prosperous society," Clinton said in a statement, using the other name for Myanmar. "I encourage all political parties, civil society representatives and ethnic minority leaders to work together to address challenges and seize new opportunities for a more democratic, free, peaceful, and prosperous future."

Myanmar's authoritarian military rulers are loosening their grip on power after decades of stifling dissent and limiting freedoms.

Thein Sein's civilian government was sworn in just over a year ago.

In the past 12 months, the government has pardoned hundreds of political prisoners, secured a cease-fire with Karen rebels and agreed to negotiate with other ethnic rebel groups.

The success of Suu Kyi and her party at the by-elections last month -- the NLD won 43 seats, 34 of them in the lower house -- was welcomed by the United States and European Union as a sign of progress toward democracy.

Her presence in parliament Wednesday illustrates the pace at which Myanmar is changing: She was released from house arrest less than a year and a half ago.

Next month, she will make her first trip overseas in more than two decades. She plans to visit Norway to make a belated acceptance speech for the Nobel Peace Prize she was prevented from collecting in 1991 because she was in detention.

She took her seat in the chamber Wednesday alongside incumbent legislators, many of whom are former military officials.

Myanmar's legislature has 664 seats, more than 80% of which are still held by lawmakers aligned with the military-backed ruling group, the Union Solidarity and Development Party.

Control of parliament will not change, but the entry of the NLD members nonetheless gives the party a notable presence.

Many Western governments have taken steps to ease sanctions on Myanmar, also known as Burma, in response to its political reforms. But international officials have also cautioned that the country still has a long way to go.

Speaking last week ahead of his trip, the United Nations' Ban said that Myanmar's "fresh start is still fragile."

CNN's Kocha Olarn, Paula Hancocks and Jethro Mullen contributed to this report.

@highlight

Suu Kyi and 33 other members of her party were elected to the lower house

@highlight

They had delayed their parliamentary debuts over the wording of the oath of office

@highlight

The oath of office is a historic moment in Myanmar's recent reforms

@highlight

A previous election success by Suu Kyi's party in 1990 was ignored by the military rulers