(CNN)"Why aren't you dead?"

"You should die."

"Wait a minute, why are you still alive?"

"Go kill yourself."

It's impossible to comprehend another human being, let alone a child, sending such hateful messages to another person, but according to Polk County Sheriff Grady Judd in Lakeland, Florida, these messages are all too real.

They were sent to 12-year-old Rebecca Sedwick, who ultimately jumped to her death in September, he said. The messages didn't come via the social networking sites many of us are familiar with: Facebook, Twitter or Instagram. They were sent via newer, lesser-known social applications called Ask.fm and Kik, according to Judd.

"These apps are free, and as a result ... you can either go up anonymously or create a fictitious identification, and you can torment other children, and it is frightening to see that occur," the sheriff said.

Sheriff: Taunting post leads to arrests in Rebecca Sedwick bullying

And now, two girls, ages 12 and 14, are charged with felony aggravated stalking in the case, the sheriff told CNN Tuesday. "We take bullying and cyberbullying exceptionally serious in this county and always have," he said in an earlier interview.

Tricia Norman, Sedwick's mother, thought she was doing everything she could to protect her daughter from the bullying she was experiencing. She sent her to a different school and closed down her Facebook page, according to The New York Times.

She had no idea her daughter was using apps such as Ask.fm and Kik, and was being tormented on the new platforms. "I had never even heard of them; I did go through her phone but didn't even know," she told the Times.

"Even though (Rebecca) was separated from the bullies because she was in a different school ... ultimately they were able to get back and I don't know if it's pick at each other but certainly say hateful things," said Judd, whose office is investigating the case.

Share your bullying story

'Parents don't know about them'

In conversations with law enforcement, educators, bullying experts and parents, it's clear that while parents may be getting up to speed on some social networking sites such as Facebook, Twitter and Instagram, there are plenty of other platforms popular with tweens and teens that parents don't know.

In addition to Ask.fm and Kik, there's Voxer, which is a walkie-talkie-type app for messaging, and Snapchat, which allows the sender to set a time limit for how long recipients can view their photo, text or video messages. (Check out our gallery above for other sites your teen might be using!)

"The biggest part of these sites is parents don't know about them," said Sue Scheff, author of the book "Wit's End: Advice and Resources for Saving Your Out-of-control Teen."

Are we too quick to cry 'bully'?

"What happens is a new site, we won't find out about it until a tragedy happens but the kids know about it," Scheff said. "It's as simple as that. No one really knew a lot about Ask.fm until Rebecca died."

How children are using the sites is a concern for parents and educators across the country. Brian Lidle, the principal at Ann Simpson Davis Middle School in Dublin, Ohio, said he's seen as many as a dozen cases of student harassment on Kik during the past several months.

"It's just a very difficult thing to see, a child being harassed by nameless, faceless people and feel ganged up on," Lidle said. He said that  the school has gone to the authorities but that Kik has not shared information about who is behind the harassing accounts.

"We were very frustrated at that point, so what we decided to do is really get the parents in the mix," Lidle said. "And as we get information in, I've been sharing that with our parents through our e-mail list service and just to make sure they know what apps are out there, what's happening to them."

In response to an interview request from CNN, a Kik spokesman said the Canada-based company "actively cooperates with law enforcement agencies all over the world to help ensure the safety of our users."

Hanna Smith suicide fuels calls for action on Ask.fm cyberbullying

"The safety and well-being of our users is extremely important to us," spokesman Bob Patterson said. He said the site has added new features over the past few years, such as the ability to block other users without revealing they've been blocked. The company also developed a parent guide to provide information about "how parents can help their teens ... have a great (and safe) experience on Kik."

"Kik has policies in place to help us respond in the best way possible when something is reported to us by one of our users, or if we are contacted by law enforcement," Patterson added.

As for Ask.fm, in a statement, a spokesman said that in light of recent events, the Latvia-based company is working with online child safety expert Annie Mullins to review and update its safety and privacy policies to ensure that its "abuse and inappropriate content reporting systems are among the most effective in the industry."

"We are committed to doing everything we can to protect our users and stamp out bullying or any other kind of abuse. Sadly bullying can take place anywhere -- on or offline -- so it is important we, parents and users work together to fight it," the statement said.

"If a user sees something that isn't appropriate before we do, we would ask that they help us stand up to bullies by reporting it. Any complaints made about this kind of abuse are prioritised automatically and will be dealt with immediately."

Coach suspends entire football team after bullying

Teens want to be 'validated'

Why are kids downloading these apps? Sameer Hinduja, criminology professor at Florida Atlantic University and co-director of the Cyberbullying Research Center, says part of the appeal of platforms like Ask.fm -- where you create a profile and allow people to ask you questions -- is the need for affirmation.

"You need to be validated when you're a teenager because you are wondering if you're turning out OK, and so these sites completely meet that need," Hinduja said. "Because it's like, 'This is so great. Someone asked me a question. Someone took the time to visit my profile ... and like my picture and leave a comment.'

"I understand why kids do it, but there's way more negatives than positives that could possibly come out of it, and if I were raising a son or daughter, I would be like, 'Why do you care so much about people asking you these questions and demonstrating interest in you this way, because it opens you up for more harassment,' " said Hinduja, co-author of "Words Wound: Delete Cyberbullying and Make Kindness Go Viral," a book for teens to be released in December.

If you are a parent and you are slightly freaked right now, I can relate. I can't even imagine what apps, sites and platforms will be around when my kids, who are 5 and 7, are in the middle and high school years.

But Hinduja, whose site has numerous resources for parents, says parents can feel empowered rather than overwhelmed by being as actively involved in their kids' online lives as they are in their offline lives. That means being familiar with the technology but not necessarily declaring sites like Ask.fm and Kik off-limits.

"Kids don't want to hear us preach and lecture about all of (technology's) evils. They will immediately tune out," Hinduja said.

The better approach, he said, is to embrace the latest technology and strike up conversations with your kids about it, asking them about stories of bullying and harassment in the news.

"Constantly having these conversations with kids so that they know their parent is not oblivious to these issues goes such a long way," he said.

Advertisers pull out after social media suicide

Lidle, the middle school principal, agrees and encourages parents to plunge fully into their kids' online world.

"This is not our world that kids are operating in," Lidle said. "They call us digital immigrants. We have to immerse ourselves in what's going on in their world, as uncomfortable as it is. Our kids are at stake, and we cannot drop the vigilance of knowing what's going on in their worlds."

Polk County Sheriff Grady Judd said parents should also keep open communication with their kids' friends.

"A lot of times, you'll hear from your children's friends before you hear from your own child," he said.

Join us October 29 for a Google Hangout on bullying

'Say those few kind words'

Scheff, the parent advocate and author, believes parents and educators can also teach our kids to be "cybershields" for other children.

She wonders what might have happened if any of the 15 or so kids believed to have been cyberbullying Rebecca Sedwick decided to protect her instead.

"Wonder if they decided ... 'Hey listen, we can do something to be kind to this girl. Let's say ... your hair looks nice today. You look pretty today. Don't listen to these girls. You have a reason to live. You don't have to do this. ... Don't think you have to end your life,' " Scheff said.

"All it would take is a few words in the opposite way, and that's what (kids) need to learn, how to say those few kind words."

Follow Kelly Wallace on Twitter and like CNN Living on Facebook.

@highlight

Arrests made after 12-year-old Florida girl killed herself following hateful messages on Ask.fm and Kik

@highlight

Two girls, ages 12 and 14, now charged with felony aggravated stalking in the case

@highlight

"Why aren't you dead?" was just one of the messages Rebecca Sedwick received

@highlight

Parents might know Facebook and Twitter, but kids have moved to other social sites