London (CNN) -- After four nights of violence, an eerie calm descended Wednesday and continued into Thursday in Britain, where a massive police presence backed by strong words from the prime minister and vigilante efforts appeared to be having their intended effect.

"A fightback is under way," Prime Minister David Cameron said Wednesday after meeting with his crisis-response committee.

Cameron said police have been authorized to use whatever means necessary to combat "despicable violence," with plastic bullets permitted and plans in place for water cannon to be available if needed.

Speaking outside 10 Downing Street on Wednesday, Cameron said those involved in the unrest would be held accountable, and he stressed that the "pockets of our society that are not just broken, but are frankly sick," must regain a sense of personal responsibility.

It was "all too clear we have a big problem with gangs," he said, adding that authorities would not "let any phony concerns about human rights" prevent police from trying to identify suspects.

For a second consecutive night, 16,000 police blanketed London's streets Wednesday into Thursday.

Some residents weren't depending on them: In West London, young Sikhs stood guard outside their temple. North of the city, in Enfield, local residents chased after suspected looters. Riot police faced off not with looters but with local residents whose anger verged on mob violence.

Such efforts were not always appreciated by police. "My officers need to focus on rioters and looters, not those vigilantes," said Steve Kavanagh, deputy assistant for the London Metropolitan Police. "The ones that help us are the community representatives who go and speak to people from their community and get them away and get them home, not people who threaten violence on anyone coming into their community."

Police said residents could help them by identifying photographs of looting suspects on Facebook pages like catchalooter.

In Birmingham, police were treating a hit-and-run incident in which three men died as a murder inquiry. The men -- British Pakistanis -- were returning at 1 a.m. Wednesday from prayers to a gas station they were protecting when they were hit by the car.

They have been identified as Shazad Hussein, 31; his brother Munir Hussein, 30; and Haroon Jahan, 20.

One man has been arrested, and a vehicle was recovered, police said.

Though police had not announced any link between the rioting and the incident, it heightened already high tensions in the area. Afterward, about 1,000 police flooded the neighborhood, where the father of one of the dead men tried to calm area residents.

"I lost my son," Tarik Jahan said. "Blacks, Asians, whites. We all live in the same community. Why do we have to kill one another? What started these riots, and what's escalated them? Why are we doing this? I lost my son. Step forward if you want to lose your sons. Otherwise, calm down and go home. Please!"

Also Wednesday, police identified a 26-year-old man who had been discovered shot in the head Monday night in a vehicle in the south London town of Croydon as Trevor Ellis. He was taken to a hospital, where he died Tuesday.

Initial inquiries indicate he had traveled earlier Monday with friends to the Croydon area, where they became involved in a dispute with a group of some nine other people, police said. The dispute led to a pursuit involving three vehicles, after which Ellis was shot, said police, who appealed to any witnesses to come forward.

Two men were arrested at the scene on suspicion of handling stolen goods and were released on bail, a police statement said.

Some people were using social media to get the city back on its feet. @RiotCleanUp was organizing neighbors and giving them brooms in the hope that community solidarity would keep the violence at bay.

Hundreds of people took to London streets to clean up broken glass and debris left by looters.

Sarah Driver-Jowitt, 37, who lives in an 18th-floor apartment in the Clapham Junction area, said she saw fires across south London from Clapham to Croydon on Monday night -- and joined the cleanup.

"I feel really strongly that the only way to respond to disorder is with civil order," she said. "They're just a bunch of people who find it exciting to be destructive."

London's Metropolitan Police Service said it had arrested 820 people in connection with violence, disorder and looting, of whom 279 have been charged with crimes. More than 100 police officers have been injured.

Greater Manchester Police said Wednesday that 113 people -- ages 15 to 58 -- had been arrested after a night of unrest in Manchester and Salford.

Assistant Chief Constable Garry Shewan said he was appalled by the rioters' "shameful actions" in Salford and Manchester.

"These people have nothing to protest against -- there is no sense of injustice or any spark that has led to this. It is, pure and simple, acts of criminal behavior which are the worst I have seen on this scale," he said.

The violence comes against a backdrop of austerity measures and budget cuts. But Cameron, community leaders and police have repeatedly pointed to a criminal, rather than political, motivation for the looting.

The violence began Saturday after a protest over the August 4 shooting death of a man in an incident involving police in north London.

Officers from Operation Trident -- a Metropolitan Police unit that deals with gun crime in the black community -- stopped a cab carrying 29-year-old Mark Duggan, a black man, in the working-class, predominantly Afro-Caribbean district of Tottenham during an attempted arrest, the Independent Police Complaints Commission (IPCC) said.

Soon after, shots were fired and Duggan, a father of four, was killed. Shooting deaths are rare in England.

The man's family and friends, who blamed police for the death, gathered peacefully Saturday outside the Tottenham police station to protest.

The protest soon devolved into violence as demonstrators -- including whites and blacks -- tossed petrol bombs, looted stores and burned police cars.

On subsequent nights, the violence spread to other areas of Britain. Police characterized the disorder as "copycat criminal activity" by people intent on looting and destruction.

Analysts say a mix of economic and social tensions has been at play in the unrest, with deprivation a key factor. Those seen taking part in rioting and looting have been from diverse ethnic backgrounds and span a wide range of ages, and many are young.

CNN's Laura Smith-Spark, Dan Rivers, Jonathan Wald, Atika Shubert, Carol Jordan, David Wilkinson, Anna Stewart, Ed Payne and Bharati Naik contributed to this report.

@highlight

NEW: At least 820 people have been arrested in London

@highlight

"Why do we have to kill one another?" a grieving father asks

@highlight

Manchester police chief says criminals used social media to organize violence

@highlight

PM says police are authorized to use whatever means necessary to restore order