The Supreme Court's decision Thursday to uphold the Affordable Care Act means that the predictions about how it will affect Americans remain in place.

Obama: Supreme Court ruling on health care a victory for all Americans

The court did rule that a part of the law involving Medicaid must change.  The law calls for an expansion of eligibility for Medicaid, which involves spending by the federal government and the states.  The law threatens to remove existing Medicaid funding from states that don't participate in the expansion.  The high court said the government must remove that threat.

Several groups that follow the health care law closely said they were concerned about the high court's ruling on the Medicaid portion of the law.

Read the court ruling (.PDF)

Here are some highlights:

The uninsured

The decision leaves in place the so-called individual mandate -- the requirement on Americans to have or buy health insurance beginning in 2014 or face a penalty -- although many are exempt from that provision.

In 2014, the penalty will be $285 per family or 1% of income, whichever is greater. By 2016, it goes up to $2,085 per family or 2.5% of income.

Health care exchanges, which are designed to offer cheaper health care plans, remain in place as well.

American Cancer Society CEO John Seffrin said his organization was looking at the ruling on Medicaid, and is "concerned that the decision may limit the expansion of quality coverage to some of our nation's most vulnerable citizens."

The group Health Care for America Now, which spent tens of millions of dollars on ads supporting the health care plan, said it was "disappointed" and will work to make sure no states "choose to exclude the lowest-income uninsured adults from their Medicaid programs."

Medicaid Health Plans of America, the trade group representing Medicaid health plans, praised the court "for keeping in place key elements of this historic legislation" and said it remains "committed to a strong partnership with the states and CMS (Centers for Medicare and Medicaid Services) to find a way to cover this population in need."

Rep. Phil Gingrey, R-Georgia, a physician who staunchly opposed the health care law, told CNN he believes many who would have received Medicaid will now enter the health care exchanges, which offer subsidized plans.  That, he argued, could cost taxpayers billions of dollars across the country.

Breaking down the court's decision

The insured

Because the requirement remains for people to have or buy insurance, the revenue stream designed to help pay for the law remains in place.  So insured Americans may be avoiding a spike in premiums that could have resulted if the high court had tossed out the individual mandate but left other requirements on insurers in place.

Young adults

Millions of young adults up to age 26 who have gained health insurance due to the law will be able to keep it.  The law requires insurers to cover the children of those they insure up to age 26.  About 2.5 million young adults from age 19 to 25 obtained health coverage as a result of the Affordable Care Act, according to the U.S. Department of Health and Human Services.

Two of the nation's largest insurers, United Healthcare and Humana, recently announced they would voluntarily maintain some aspects of health care reform, including coverage of adult dependents up to age 26, even if the law was scrapped.

People with pre-existing conditions

Since the law remains in place, the requirement that insurers cover people with pre-existing medical conditions remains active.

The law also established that children under the age of 19 could no longer have limited benefits or be denied benefits because they had a pre-existing condition.

Starting in 2014, the law makes it illegal for any health insurance plan to use pre-existing conditions to exclude, limit or set unrealistic rates on coverage.

It also established national high-risk pools that people with such conditions could join sooner to get health insurance.  As of April, a total of only about 67,000 people were enrolled in federally-funded pools established by the health care law, according to the National Conference of State Legislatures.

More than 13 million American non-elderly adults have been denied insurance specifically because of their medical conditions, according to the Commonwealth Fund.  The Kaiser Family Foundation says 21% of people who apply for health insurance on their own get turned down, are charged a higher price, or offered a plan that excludes coverage for their pre-existing condition.

Photos: Who is John Roberts?

All taxpayers

No matter what the Supreme Court had decided, it would have been a mixed bag for all Americans when it comes to federal spending.  There is heated dispute over what impact the health care law will have on the country over the long term.

The federal government is set to spend more than $1 trillion over the next decade to subsidize coverage and expand eligibility for Medicaid.

It is not immediately clear how the high court's ruling on the part of the law dealing with the expansion of Medicaid eligibility could affect spending.

The nonpartisan Congressional Budget Office estimated that the law could reduce deficits modestly in the first 10 years and then much more significantly in the second decade.

The CBO said a repeal of the mandate could reduce deficits by $282 billion over 10 years, because the government would be subsidizing insurance for fewer people.  But the nation faces costs in various ways for having people who are uninsured.  The Urban Institute's Health Policy Center estimated that without a mandate, 40 million Americans would remain uninsured.

Meanwhile, the Flexible Spending Accounts that millions of Americans use to save money tax-free for medical expenses will be sliced under the law.  FSAs often allow people to put aside up to $5,000 pre-tax; as of 2013, they were to face an annual limit of $2,500.

Opinion: Are voters ready to move on?

Small business owners

The rules and benefits small business owners face as a result of the health care law remain in place.

As CNN has chronicled, the law brought a mix of both.  The director of the National Federation of Independent Business is one of the plaintiffs who pushed the court to strike down the law.  Meanwhile, a group called Small Business Majority fought to protect the law, saying its loss could be a nightmare.

As of 2014, under the law, small firms with more than 50 full-time employees would have to provide coverage or face expensive fines.

All Americans, in lesser known ways

The massive health care law requires doctors to report goodies they get from medical supply companies; demands more breastfeeding rooms; requires all chain restaurants to list calories under every menu item, and includes numerous other provisions, which now remain in place.

Doctors and other health care providers

Health care providers have already begun making changes based on the 2010 law, and in preparation for what will go into effect in 2014.  Those plans continue.

In the short term, doctors avoid "chaos" that may have resulted from the law suddenly being dropped or changed, according to Bob Doherty, senior vice president of governmental affairs at the American College of Physicians, who wrote a blog post on the website kevinmd.com this spring.

Medical groups have disagreed over the law.

How the Supreme Court Justices voted

Opinion: A health care victory that's only a start

Ruling plays into campaign narrative for both sides

@highlight

Groups express concerns about the Medicaid ruling

@highlight

The requirement to have health insurance by 2014 remains in place

@highlight

Insurance companies must cover people with pre-existing conditions

@highlight

Small business owners and medical groups disagree over the impacts of the law