When I was 13, I was sold.

Friends of my father worked for a corrupt adoption agency operating in my homeland of Ethiopia -- friends my father trusted. In 2006 they coerced him into believing he was sending my younger sisters and me to America for an educational program during which we would come home every summer and on school breaks.

Little did my father know that his "friends" were being paid to recruit children for an American adoption agency. In fact, he didn't even know what "adoption" meant. Instead of an educational program, we found ourselves caught up in an international adoption scandal.

We weren't the only ones lied to. The family who adopted us, who lived in the southwestern United States, were told that they were taking into their family three AIDS orphans, the oldest of whom was nine years old. The truth was that our mother had died from complications during childbirth, and our father was alive and well. Instead of nine, I was 13 years old; my sisters were 11 and six.

Our new "parents" changed our names and told us we could no longer speak to each other in our own languages; we were punished if we disobeyed. Eventually, we forgot how to speak our native languages, Amarigna and Wolaytta.

I was so young and naïve. I actually believed that if I ran away, I could walk back to Ethiopia. I wanted to escape from the people I felt had kidnapped us from our homeland, our culture, and our family. I was angry, hurt and grieving.

After eight months, I was "re-homed," without my sisters, to live with my adoptive mother's parents in the Midwest. I have only seen my sisters a handful of times since.

Living in the Midwest was difficult. I had been taken from my family in Ethiopia, and then separated from my sisters. But instead of getting caught up in my depression, I threw myself into finding ways to let the world know the hard truths about corruption in international adoption.

My second adoption placement did not work out either, and at 18, while still in high school, I found myself staying on a friend's floor.  A family in Maine, who I met through adoption reform work, offered to take me in. So I moved my few possessions and myself across the country again.

Supporters of international adoption frequently mention the enormous numbers of orphans in the world -- UNICEF estimates there are 151 million orphans. What most people don't realize is that when the United Nations determines the figures for orphans, they include children who have lost just one parent (the U.N. estimates only 18 million have lost both parents).

I assure you that I did not consider myself an orphan. My sisters and I had a father, a brother and older sisters, plus a large extended family that cared for us and loved us. We were middle class by Ethiopian standards, not poor.  We, and many other adoptees like us, should never have been placed for adoption.

All the lies and deception comes down to money. I have discovered since my adoption, the price paid by adoptive parents is exorbitant and feeds the corruption. Had my father's friends not made money from the placement of my sisters and me for adoption, none of this ever would have happened. They were basically paid to create orphans. Depending upon the country, an adoption can cost upwards of $50,000.  Imagine what that kind of money could do to help struggling families in developing nations keep their children!

Adding the horror of being sold for profit, I now know that parents pay far more to adopt a white child than an African-American child. A 2010 study by Caltech, the London School of Economics, and New York University showed that parents are willing to pay an average of $38,000 more for a non-African American baby. Let me call that what it is: Racism.

In spite of everything I have suffered, I am determined to make something good out of my life. I just started college and I am writing a book about my experiences. I am fighting to change the way adoption agencies do business. I am fighting to make sure that families and adoptive families know the truth about the possibilities of fraud and human trafficking in adoption.

I am fighting to make sure that no other child will have to endure what I have been through.  And I am saving up money so that I can reunite with my family in Ethiopia, whom I haven't seen for seven years.

And I went to court and got my real name back.

@highlight

Tarikuwa Lemma: When she was 13, she went to the U.S. thinking she would be studying abroad

@highlight

Inside a few weeks, it became clear her family had been misled about her American "adoption"

@highlight

Lemma: "All the lies and deception comes down to money"

@highlight

Now a college student, she hasn't seen her family in Ethiopia for seven years