(CNN)There is no precedent in contemporary weather records for the kinds of droughts the country's West will face, if greenhouse gas emissions stay on course, a NASA study said.

No precedent even in the past 1,000 years.

The feared droughts would cover most of the western half of the United States -- the Central Plains and the Southwest.

Those regions have suffered severe drought in recent years. But it doesn't compare in the slightest to the 'megadroughts' likely to hit them before the century is over due to global warming.

These will be epochal, worthy of a chapter in Earth's natural history.

Even if emissions drop moderately, droughts in those regions will get much worse than they are now, NASA said.

The space agency's study conjures visions of the sun scorching cracked earth that is baked dry of moisture for feet below the surface, across vast landscapes, for decades. Great lake reservoirs could dwindle to ponds, leaving cities to ration water to residents who haven't fled east.

"Our projections for what we are seeing is that, with climate change, many of these types of droughts will likely last for 20, 30, even 40 years," said NASA climate scientist Ben Cook.

That's worse and  longer than the historic Dust Bowl of the 1930s, when "black blizzards" -- towering, blustery dust walls -- buried Southern Plains homes, buggies and barns in dirt dunes.

It lasted about 10 years. Though long, it  was within the framework of a contemporary natural drought.

To find something almost as extreme as what looms, one must go back to Medieval times.

Nestled in the shade of Southwestern mountain rock, earthen Ancestral Pueblo housing offers a foreshadowing. The tight, lively villages emptied out in the 13th century's Great Drought that lasted more than 30 years.

No water. No crops. Starvation drove populations out to the east and south.

If NASA's worst case scenario plays out, what's to come could be worse.

Its computations are based on greenhouse gas emissions continuing on their current course. And they produce an 80% chance of at least one drought that could last for decades.

One "even exceeding the duration of the long term intense 'megadroughts' that characterized the really arid time period known as the Medieval Climate Anomaly," Cook said.

That was a period of heightened global temperatures that lasted from about 1100 to 1300 -- when those Ancestral Pueblos dispersed. Global average temperatures are already higher now than they were then, the study said.

The NASA team's study was very data heavy.

It examined past wet and dry periods using tree rings going back 1,000 years and compared them with soil moisture from 17 climate models, NASA said in the study published in Science Advances.

Scientists used super computers to calculate the models forward along the lines of human induced global warming scenarios. The models all showed a much drier planet.

Some Southwestern areas that are currently drought-stricken are filling up with more people, creating more demand for water while reservoirs are already strained.

The predicted megadroughts will wrack water supplies much harder, NASA Goddard Space Flight Center said.

"These droughts really represent events that nobody in the history of the United States has ever had to deal with," Cook said.

Compared with the last millennium, the dryness will be unprecedented. Adapting to it will be tough.

@highlight

The current drought is bad, but it's no megadrought

@highlight

NASA: If greenhouse gas emissions don't drastically drop, the nation's West faces droughts that could last decades