WASHINGTON (CNN) -- A key Senate negotiator said Sunday that President Obama should drop his push for a government-funded public health insurance option because the Senate will never pass it.

President Obama at a town hall meeting earlier this week pushing his health care reform plan.

Democratic Sen. Kent Conrad of North Dakota said it was futile to continue to "chase that rabbit" due to the lack of 60 Senate votes needed to overcome a filibuster.

"The fact of the matter is there are not the votes in the United States Senate for a public option. There never have been," Conrad said on "Fox News Sunday."

His comment signaled a shift in the health care debate, with Obama and senior advisers softening their support for a public option by saying final form of the legislation is less important than the principle of affordable coverage available to all.

At a town hall meeting Saturday in Colorado, Obama said the public option is just one of many issues critical to successfully overhauling the ailing health care system.

"All I'm saying is ... that the public option, whether we have it or we don't have it, is not the entirety of health care reform. This is just one sliver of it," the president said.

Asked Sunday if Obama would accept a bill lacking a public option, White House spokesman Robert Gibbs said the president insists on more competition in the health insurance marketplace to offer consumers better choices.

"The bottom line ... is: Do individuals looking for health insurance in the private market have choice and competition?" Gibbs said on the CBS program "Face the Nation." "If we have that, the president will be satisfied."

Health and Human Services Secretary Kathleen Sebelius echoed Gibbs, telling CNN's "State of the Union" on Sunday that a final health care bill will include competitive choices for consumers in one form or another.

"There will be a competitor to private insurers," she said. "You don't turn over the whole new marketplace to private insurance companies and trust them to do the right thing. We need some choices and we need some competition."

Opponents of overhauling the health care system argue the Democratic proposals under consideration by Congress go too far and will lead to a government takeover of the health care system.

"We have the best health care system in the world," Republican Sen. Richard Shelby of Alabama told "Fox News Sunday." "We need to expand it. We do not need to destroy it."

At issue is how to provide coverage for an estimated 46 million uninsured people while reversing a climb in health care costs.

Democratic proposals passed so far by House and Senate committees include a public insurance option, mandates for people to be insured and employers to provide coverage, and an end to insurance companies refusing to cover pre-existing conditions.

Most Republicans oppose the public option and requirements for employers to provide coverage. They also call for limits on medical malpractice lawsuits -- something Democrats generally don't favor. However, the two parties generally agree on a number of provisions contained in the Democratic bills, including increased efficiency in Medicare and Medicaid and focusing on preventive health programs.

Conrad is one of six Senate Finance Committee members -- three Democrats and three Republicans -- who are negotiating a compromise health care bill that would be the only bipartisan proposal so far.

Instead of a public option, the negotiators are considering a plan proposed by Conrad to create nonprofit health insurance cooperatives that could negotiate coverage as a collective for their members.

Conrad said such cooperatives would provide the competition sought by Obama and Democratic leaders to force private insurers to hold down costs and improve practices. The government would put up initial funding to provide required reserves but would have no other role, he said.

"It's not a public plan at all in terms of government running it," Conrad said.

Shelby called the cooperative idea a "step in the right direction" and "a far cry" from other proposals, adding that Obama and Democratic leaders have "read the tea leaves" from town hall meetings around the country.

However, Democratic Rep. Eddie Bernice Johnson of Texas told CNN it would be "very, very difficult" to support a bill that lacked a public health insurance option.

"Without the public option, we'll have the same number of people uninsured," Johnson said in a "State of the Union" interview. "If the insurance companies wanted to insure these people now, they'd be insured."

She added that "an option that would give the private insurance companies a little competition" is "the only way" to be sure that insurance is available to low-income people and people without employer-provided coverage.

Meanwhile, leaders of organizations representing America's doctors and senior citizens defended the proposed health care overhaul that their groups had opposed in past years.

Dr. J. James Rohack, president of the American Medical Association, and John Rother of AARP -- formerly the American Association of Retired Persons -- told "Fox News Sunday" a comprehensive overhaul sought by Democrats was necessary.

"There are some moving parts that if you just do one and don't do the other, you're going to have unintended consequences," said Rohack, head of the nation's largest doctors' advocacy group.

Rother, executive vice president of policy and strategy for the largest senior citizens' advocacy group, said properly addressing excessive health care costs and waste requires addressing both health insurance coverage and how health care treatment is delivered.

Both men rejected accusations that a health care overhaul would bring rationing of health treatment based on bureaucratic measures such as cost and economic productivity of patients.

"There's a myth that rationing doesn't occur right now," Rohack said, noting that some companies currently deny coverage for pregnancy as a pre-existing condition.

"That's why this bill is so important," Rohack said. "It gets rid of rationing happening right now" and leaves decisions to patients and doctors.

Rohack also condemned claims by some Republicans that a provision in one House bill would lead to so-called "death panels" encouraging euthanasia of senior citizens.

"That's absolutely wrong, it's a falsehood," he said, adding that the provision was intended to provide government support for consultations between patients and their doctors.

Spreading of the "death panel" rumor by some conservative commentators and some Republican politicians prompted emotional opposition at town hall meetings across the country. Senate negotiators on a compromise bill say they have dropped the provision from their proposal due to potential misinterpretation of the intent.

@highlight

Democratic senator from North Dakota: Not enough votes to filibuster

@highlight

Sen. Kent Conrad: President Obama should not "chase that rabbit"

@highlight

Conrad, working on bipartisan proposal, suggests nonprofit insurance co-ops

@highlight

Obama has been campaigning for a government-backed health care option