(CNN) -- The Balkans are enduring the worst floods since records began 120 years ago. The situation is being exacerbated by the risk of landmines from the Bosnia war resurfacing.

Already 26 bodies have been recovered, and rescuers expect to find more as flood waters recede. Even though the intense rainfall subsided Monday, the disaster is far from over. CNN meteorologist Pedram Javaheri said flooding in the region will last at least another week -- and in some places, it could get worse.

Southern Europe is no stranger to heavy rain events: the low pressure system currently drenching the Balkan Peninsula was detached from the main weather pattern and is known as a "cutoff low." This meteorological event has slowly dumped more than 100 millimeters of rain in only a few days, leaving rivers swollen and towns underwater.

A cutoff low is similar to an eddy in the curve of a river that becomes isolated from the main current. Like a curve in a river, a cutoff low begins as a dip (trough) in the winds known as the westerlies. When one of these eddies becomes cut off from the main westerly flow, the closed circulation can last for two to three days on average. In the case of last week, the cutoff low lasted up to four days and dumped two months' worth of rain.

During the first stage of a cutoff low, a deep trough of cold air will dip south resembling an upside-down Omega-type shape in the jetstream.

Cold air will then start to encircle the low on the west side, as the warm humid air moves north along the east side of the low. Eventually the warm air will wrap completely around, creating a pocket of cold air within the core of the low pressure system.

The low will now drift slower than if it was a part of the main jetstream. Over the course of an average of two to three days -- occasionally as much as 10 or more -- the low-pressure system will merge back with the jetstream as the next dip (trough) digs southward and picks up the cutoff low.

The existence of a cutoff low pattern occurs most commonly in Southern Europe, according to a 2004 study of cutoff low systems in the Northern Hemisphere. Other areas also mentioned in the study were the eastern Atlantic coast, the North Pacific and the Northern China-Siberian region.

The effect of this weather system is exacerbated in the Balkans, where rivers are used to move trade and goods.

CNN Weather Anchor Mari Ramos explained how the region is affected. "Serbia, for example, is landlocked. Historically, the Sava and Danube rivers are the main commerce line to the Black Sea in the east and to the rest of Europe in the west.

"Rivers also supply hydrolectric power. You might think, more water means more power, but that is not necessarily the case. Excessively high water levels -- just like extremely low levels -- affect the efficiency level and energy output. Many smaller power stations are flooded -- some temporarily, while others are permanently damaged."

Rivers in the Balkans also represent the main supply of fresh water. "High water levels contaminate water treatment plants leaving thousands without drinking water," Ramos explained. Water is also used for industry so factories, fisheries and agriculture are all affected by these floods, she added.

Read more: Epic flooding raises fears about landmines surfacing

@highlight

The Balkans are enduring the worst flooding in 120 years, since record keeping began

@highlight

26 bodies have been recovered, and rescuers expect to find more as waters recede

@highlight

The low pressure system drenching the peninsula is known as a "cutoff low"

@highlight

Last week, the cutoff low lasted up to four days and dumped two months' worth of rain