Mumbai (CNN) -- When I first heard that a nine-year-old boy had been found tied to a bus stop in Mumbai, I was surprised. He can't have been, I thought. In Mumbai?

When I found out where the bus stop in question was, I was even more surprised. I pass by that area often. I'd never seen a young boy chained to a pole.

Had I passed by and just not noticed?

Like me, thousands of Mumbaikars didn't see Lakhan Kale, who suffers from cerebral palsy, on the pavement.

According to the last census conducted in 2011, around 26.8 million people are in living with disabilities in India. That's 2.2% of the population of more than 1.2 billion. Other bodies, including the World Bank, say the figure is much higher.

However, many of disabled people, like Lakhan, are allowed to quietly fade into the background in a populous country wracked by poverty where the worth and survival of many depends on their ability to work.

Let me tell you Lakhan's story.

Life on the pavement

In addition to cerebral palsy, the general term for a group of neurological conditions that affect the body's movement and coordination, Lakhan is deaf and mute. "He was fine when he was born, in fact he was a chubby baby," his paternal grandmother Sakubai recalls. She says a few months later, Lakhan developed a high fever. "One night, he shook violently," she says. "He was never the same again."

Sakubai tears up when she talks to us about her grandson. We meet her at her home -- a grimy stretch of pavement, right behind the bus stop. Desperately poor, this is where she lives. She sleeps here on a sari she spreads onto the ground. She eats here, buying food from a street vendor when she can afford to.

She is Lakhan's only caretaker. She tells us his father passed away four years ago. His mother deserted them. His older sister ran away. For a long time, it was just Sakubai and her grandson living, eating, sleeping and surviving together on the pavement.

She may be in her 70s, but Sakubai still works to earn a meager living selling small toys and trinkets on Chowpatty, a popular beachfront in the heart of Mumbai.

She says she had no choice but to tie him to a pole. "He is deaf so he would not be able to hear traffic coming. If he ran onto the road, he'd get killed," she says. "See, it's a long rope," Sakubai says, as she shows me the frayed cloth she would use to tie Lakhan's leg. I notice many of them, tied to different poles.

Lakhan is not alone

There are many children like Lakhan in Mumbai, says Meena Mutha, a social worker. Mutha's been involved with his case since the end of May. Lakhan was taken into care after a photographer published his photo in the local newspaper. A police constable saw it and asked Mutha to intervene.

"When I saw him first, I did feel he needs help. He needs a home," Mutha recalls. Since his grandmother is already 70 years old, he could be without a caretaker in five or 10 years, she says. He needed somewhere secure to stay.

Unable to find a shelter that looks after children with special needs, Mutha took him to a government-run juvenile center in Mumbai. Lakhan is there now but Mutha isn't happy because it's not a home for children with special needs.

And that's the problem, Mutha says. There's a serious shortage of residential facilities for children with disabilities in Mumbai.

The superintendent of the facility, S. A. Jadhav says Lakhan is being well looked after but he too is trying to find him a more suitable home. According to Jadhav, there is only one shelter for children with special needs in Mumbai and he can't get Lakhan a spot there because that too is severely overcrowded.

CNN attempted several times to contact the minister responsible for women and children's affairs in Mumbai, Varsha Gaikwad, but received no response. Her office is a short walk away from bus stop 59 where Lakhan was found.

Poverty and disability are dangerous combinations, says Dr. Shabnam Rangwala, who works with Able Disable People Together (ADAPT), a nonprofit organization whose mission is to create an inclusive disability-friendly India.

Those who can afford to give their children or family members the care they need, do so. Those who can't, end up like Lakhan; on the streets, with no recourse to social services, invisible to the public.

For more information on how to directly help Lakhan, and people like him, go to manavfoundation.org.in.

@highlight

Deaf and mute, nine-year-old Lakhan Kale was being cared for by his grandmother

@highlight

She tied him to a pole while she went to work selling trinkets on a Mumbai beachfront

@highlight

He now lives in a juvenile center but it's not a home for children with special needs

@highlight

Mumbai's suffering a severe shortage of care homes for children with disabilities