Jerusalem (CNN) -- The United Nations body responsible for preserving the world's most important cultural sites voted Friday to grant "world heritage" status to the Church of the Nativity in the Palestinian city of Bethlehem.

The declaration by U.N. Educational, Scientific and Cultural Organization covers the West Bank church, venerated by Christians as the birthplace of Jesus, and the surrounding route taken by religious pilgrims.

It marks the Palestinians' first bid for inclusion on the prestigious list of sites deemed to hold "outstanding universal value" as part of the world's shared heritage.

It comes after Palestinians were granted membership of UNESCO last October, when the body's general assembly voted overwhelmingly to accept them.

The vote proved controversial within the United States, which holds the view that Palestinians must reach a peace deal with Israel before the Palestinian Territories can be granted full membership in international organizations.

The United States' and Israel's subsequent funding cut to the body caused UNESCO lose more than a fifth of its revenues.

Rebels burn Timbuktu tomb listed as U.N. World Heritage site

The declaration, announced in the Russian city of St. Petersburg, was backed by 13 of the body's 21 members. Two countries abstained, while six countries voted against the declaration.

Palestinian Foreign Minister Riyad Malki, in St. Petersburg for the vote, thanked all those who voted in favor of including Bethlehem's holiest sites on the world heritage list.

"The victory of Palestine in international organizations is the beginning of the end of the Israeli occupation," Malki said in a statement.

Hanan Ashrawi, a member of the Palestine Liberation Organization's executive committee who heads the group's Department of Culture and Information, told CNN from Ramallah that the vote affirms the Palestinian identity and is one step toward Palestinian self-determination.

"Now we are responsible for our cultural and historical sites as part of human civilization as a whole," Ashrawi said.

"Politically it is important, because it is the beginning of the loosening of the control of the Israeli occupation on our land, on our lives, on our culture and at all attempts of confiscation and distortion of our cultural heritage and reality," Ashrawi said.

Israeli Foreign Ministry spokesman Yigal Palmor told CNN that Israel was opposed to the move.

"This is a real theater of the absurd. The Palestinians have stepped over the regular procedure of UNESCO and distorted the usual proceeding in order to vote a decision that has nothing to do with world heritage sites and even less to do with this site, the Church of the Nativity," he said.

New Delhi's heritage sites

"The only purpose of this unprecedented voting procedure was to turn the commission into a propaganda tool against Israel. This should be denounced by all member countries of UNESCO, otherwise this will not be the Palestinians' last word."

The West Bank city of Bethlehem, about 8 kilometers (5 miles) south of Jerusalem, is considered the Palestinian Territories' top visitor destination, largely due to the religious significance of the church.

One of the oldest surviving Christian churches in the world, it drew 2 million visitors last year, according to Nada Atrash, an architect and head of the research and training unit at Bethlehem's Center for Cultural Heritage Preservation, which has been lobbying for the site's designation as a World Heritage destination.

Atrash said the center considers Bethlehem's inclusion on the list "as a Palestinian dream, and as a reward of 11 years of work in the field of preserving the cultural and natural heritage in Palestine."

Visitor numbers have hit record highs in recent years but, according to a report into developing tourism in the town, Bethlehem has yet to properly capitalize on its potential. The majority of the visitors were day-trippers on short visits, meaning the full economic benefits of tourism did not flow into the town.

Africa's heritage sites under threat

Atrash said it is hoped that gaining world heritage status will help efforts to boost Bethlehem's appeal as a destination and keep visitors in the town longer.

"We are mainly seeking to extend the stay of the visitors, who usually drop (in) to Bethlehem for few hours to visit the church and leave without visiting the town," she said. "We hope that this inscription would contribute to both the promotion of the site and its protection."

Concerns have been raised over the condition of the church, which has suffered extensive earthquake damage in its long history.

Another issues is that responsibility for its administration is shared among three religious authorities: the Greek Orthodox, Armenian and Roman Catholic churches.

On occasion, tensions among the groups have spilled over into violence; in December, about 100 Greek Orthodox and Armenian clerics fought with brooms when a tussle broke out while cleaning the church.

One of Christianity's most holy places, the site's focal point is the Grotto of the Nativity, a rectangular cavern beneath the church that has been considered the site of Christ's birth since at least the 2nd century.

A 14-point silver star set into the marble floor marks the precise spot where Jesus is said to have been born.

In the 4th century, Emperor Constantine founded a church on the site that was destroyed in the year 529, only to be replaced by larger structures, which form the basis of the church today.

UNESCO suspends year-end projects due to U.S. funding cut

@highlight

The Church of the Nativity in Bethlehem is now the first Palestinian world heritage site

@highlight

The vote signals a loosening of Israeli control on Palestinian land, a Palestinian official says

@highlight

"This is a real theater of the absurd," says an Israeli foreign office spokesman

@highlight

U.S. and Israeli funding to UNESCO was cut over Palestinian membership