MIAMI, Florida (CNN) -- Tropical Storm Gustav left 22 dead in Haiti and the Dominican Republic before it pulled away from the countries Wednesday, officials said.

A coffin is carried for one of eight people who was killed as Gustav hit the Dominican Republic on Wednesday.

The storm is expected to pass between Cuba and Jamaica before heading into the Gulf of Mexico.

The storm killed 14 people in Haiti, said Pierre Louis Pinchinat, deputy director of Haiti's Civil Protection Directorate. Authorities said eight more, including six children, were killed in a mudslide triggered by heavy rain in Santo Domingo, Dominican Republic.

Forecasters warned that Gustav, which was a Category 1 hurricane when it made landfall in Haiti on Tuesday, is likely to regain hurricane intensity by Friday.

The forecast shows Gustav entering the Gulf of Mexico on Saturday or Sunday as a Category 3 hurricane, with maximum sustained winds of at least 111 mph (179 kph). However, hurricane movements are erratic, and long-range forecasts are subject to change. iReport.com: Send us your photos, videos

Pinchinat said many areas of Haiti are cut off from aid workers because roads and bridges are washed out. At least 300 people are in a shelter in one region, he said, and others are in shelters across the country.

In the Dominican Republic, the mudslide occurred early Wednesday in the Guachupita neighborhood of Santo Domingo, officials said.  See flooding, damage caused by Gustav »

Marino Vasquez stood crying over the coffin of one of his children. iReport.com: Storm takes young lives in Santo Domingo

"I don't have anybody anymore," he said. "I lost my entire family. They're all dead there. I have seven dead there."

The dead included two women in their 30s and six children ages 2 to 15, according to government figures.

Photojournalist and iReporter Juan Fach documented the scene, not far from the main metropolitan area in a poor part of the neighborhood called Jarro Sucio, or Dirty Pot.  Watch vehicles stranded in flooding in Santo Domingo »

The children drowned in a river that ran alongside the settlement; the two women were killed when a mountain of rock and mud tumbled onto their wooden houses, he said.

The bodies were taken in a car to a nearby church, where counselors attempted to console their relatives.

More than 1,300 people were staying in shelters, and another 4,400 displaced people were staying elsewhere, the government said.

In all, 1,140 houses were damaged, and another five were destroyed, officials said.

As of 11 p.m. Wednesday, Gustav's center was about 205 miles (330 km) west of Port-au-Prince, Haiti, and 100 miles (161 km) south of Guantanamo, Cuba, according to the National Hurricane Center. It was moving west-southwest at about 8 mph (13 kph) and is expected to turn west on Thursday and west-northwest on Friday.

"On the forecast track, Gustav should pass between Jamaica and the southeastern coast of Cuba on Thursday," the hurricane center said. "However, any deviation to the left of the forecast track could bring the center of Gustav very near Jamaica."

Gustav's maximum sustained winds were near 45 mph (75 kph), with higher gusts.

"Slow strengthening is forecast once Gustav moves away from Haiti, and the storm could regain hurricane strength within the next day or two," the hurricane center said. A Category 1 hurricane has maximum sustained winds of at least 74 mph (119 kph). See projected path »

Michaele Gedeon, president of the Haitian Red Cross, said that 180 people were in a shelter set up in a mayor's office in southeast Haiti. The storm has destroyed the roofs of more than 100 homes, Gedeon said.

Gustav is expected to produce rainfall of 6 to 12 inches over Haiti, the Dominican Republic, Cuba, Jamaica and the Cayman Islands, with isolated amounts up to 25 inches possible, forecasters said. The heavy rain could trigger flash floods and additional mudslides.

Computer models show Gustav heading for the U.S. Gulf Coast, arriving anywhere from western Florida -- which is already waterlogged from last week's Tropical Storm Fay -- to Louisiana, where cleanup and repair efforts are ongoing three years after Hurricane Katrina.

Katrina killed more than 1,800 people when it slammed into the Gulf Coast on August 29, 2005, flattening towns on the Mississippi coast and flooding portions of New Orleans, Louisiana.

Louisiana Gov. Bobby Jindal, saying he wanted the state to be prepared in case Gustav hit the state, declared an emergency for Louisiana on Wednesday.

"We are going to hope for the best, but we're preparing for the worst," Jindal said.

The federal government said it is stepping up its preparations, ensuring that supplies will be ready for distribution along the Gulf Coast and readying disaster teams, among other actions.

Concerns about Gustav's approach were partially to blame for an increase in oil prices Wednesday, analysts said. Oil platforms in and around the Gulf account for more than one-fourth of U.S. oil production.

A tropical storm warning still was in effect Wednesday night for

Hurricane warnings remained in effect for parts of Cuba. Hurricane watches were in effect in Jamaica, the Cayman Islands and the Cuban provinces of Las Tunas and Holguin. Hurricane watches mean hurricane conditions are possible within the watch area in 36 hours.

U.S. troops on the American naval base at Guantanamo Bay, Cuba, were keeping an eye on Gustav and "reviewing destructive weather plans and procedures," said a statement from the Pentagon.

Facilities housing detainees on the base "are capable of withstanding hurricane force winds and rain," the statement said. "Safe and humane care and custody of the detainees includes protection from the elements of inclement weather."

CNN's Alanne Orjoux and CNNMoney's Kenneth Musante contributed to this report.

@highlight

Photojournalist says two women were killed when mud, rock hit houses

@highlight

Gustav kills 14 people in Haiti, eight in Dominican Republic, officials say

@highlight

Dominican man: "I lost my entire family. They're all dead there"

@highlight

Analysts say Gustav fears are partially to blame for oil price increase