Armed drones. Mass graves. Kirkuk's effective annexation. The Iraq crisis escalated Friday.

A U.S. official confirmed to CNN that armed American drones started flying over Baghdad in the previous 24 hours to provide additional protection for 180 U.S. military advisers in the area. Until now, U.S. officials had said all drone reconnaissance flights over Iraq were unarmed.

Using the drones for any offensive strikes against insurgent Islamic State in Iraq and Syria fighters would continue to require approval from U.S. President Barack Obama.

Also on Friday, Kurdish leader Masoud Barzani said disputed areas in northern Iraq, including the oil-rich city of Kirkuk, are part of the Kurdish autonomous region from now on after the Iraqi central government failed to hold a long-awaited referendum.

Earlier this month, the Iraqi army withdrew from Kirkuk and Kurdish Peshmerga forces took control of the city and small villages in the areas as ISIS carried out a lightning offensive and took several cities in northern Iraq.

Barzani: 'We have waited for more than 10 years'

The move could complicate efforts by the United States and its allies to get Iraqi leaders to form a new government representing all three major population groups -- Sunnis, Shias and Kurds.

Barzani, the President of the Kurdistan region, cited the failure by the Iraqi government to hold a constitutionally mandated referendum on the status of Kirkuk and nearby villages.

"We have waited for more than 10 years for the Iraqi federal government to address and solve the issue of these areas covered by Article 140, but it was of no avail," Barzani said at a joint appearance with British Foreign Secretary William Hague.

According to Article 140 of the 2005 Iraqi Constitution, which was drawn up two years after the ouster of Iraqi leader Saddam Hussein, a referendum would determine the final status of several disputed areas such as Kirkuk and small villages in Nineveh, Diyala and Salaheddin claimed by the central government and the Kurdistan regional government. However, the vote never took place because of instability in most of the disputed areas.

MAPS: How to understand the Iraq crisis

The news came on the same day that Human Rights Watch said two mass graves believed to contain the bodies of Iraqi soldiers, police and civilians killed by the Sunni ISIS fighters and their militant allies have been discovered in Hussein's hometown of Tikrit.

Claims of atrocities by both sides have increased as the conflict widens in Iraq.

Reports of killings 'deeply alarming'

Earlier Friday, Amnesty International released a report saying it has evidence pointing to a pattern of "extrajudicial executions" of Sunni detainees by government forces and Shiite militias in the northern Iraqi cities of Tal Afar, Mosul and Baquba.

"Reports of multiple incidents where Sunni detainees have been killed in cold blood while in the custody of Iraqi forces are deeply alarming," said Donatella Rovera, Amnesty International's senior crisis response adviser, who is currently in northern Iraq. "The killings suggest a worrying pattern of reprisal attacks against Sunnis in retaliation for ISIS gains."

Meanwhile, witnesses said gunmen shot down an Iraqi military helicopter with an anti-aircraft weapon placed on a truck near Salaheddin University in Tikrit, about 160 kilometers (100 miles) north of Baghdad. The Iraqi Defense Ministry denied the helicopter was shot down.

Prime Minister: We needed U.S. jets

The developments follow news that Prime Minister Nuri al-Maliki told British broadcaster BBC that ISIS advances may have been avoided if Iraq had proper air cover in the form of fighter jets the country has been trying to secure from the United States for some time.

"I'll be frank and say that we were deluded when we signed the contract" with the United States, al-Maliki told the BBC in an interview this week that was released early Friday.

Iraq has now turned to Russia and Belarus to buy fighter jets, he said.

"God willing, within one week, this force will be effective and will destroy the terrorists' dens," he said.

Iraqi Ambassador Lukman Faily told CNN's "New Day" that his nation appreciated the help it has received from Washington but now faces "an immediate threat."

"We don't have the luxury of waiting; we need the support now," Faily said.

American and Arab diplomats tell CNN that the United States is unlikely to undertake any military strikes against ISIS and its allied fighters before a new government is formed in Iraq. But that is unlikely to happen quickly.

Parliament resumes Tuesday, and al-Maliki's political party controls 90 seats, the largest block of seats in parliament after April's elections. To form a government requires a majority of at least 165 seats.

Obama has promised Iraq the aid of 300 U.S. military personnel to advise and train Iraq's security forces after a near collapse in the face of the lightning ISIS advance in northern and western Iraq. But there have been no U.S. airstrikes, something that Iraq's military commanders have said is desperately needed.

Claims of prisoner executions

At the same time, disturbing claims have surfaced, with detainees and relatives of those killed providing graphic accounts that suggest Iraqi forces killed Sunni detainees before withdrawing from Tal Afar and Mosul. Both cities are under the control of ISIS, and Iraqi security forces and Shiite militias have been battling ISIS and militant allies in Baquba.

"Even in the midst of war there are rules that must never be transgressed." Rovera said. "Killing prisoners is a war crime. The government must immediately order an impartial and independent investigation into the killings, and ensure that those responsible are brought to justice."

Abdul-Sittar al-Birqdar, spokesman for Iraq's Supreme Judicial Council that oversees the country's judicial system, said the government knew of the Amnesty International allegations but had yet to see any evidence.

"At this stage, this is all just media reporting," he told CNN on Friday. "No witnesses have come forward, and no families have come forward with such claims. No one has officially asked for an investigation."

He called for the rights group to provide evidence, saying that "we are still monitoring and checking, and we will keep checking," adding that "under Iraqi law, we cannot move on it without claims and evidence."

Using satellite imagery and publicly available photographs purportedly released by ISIS, Human Rights Watch says it appeared that ISIS fighters in Tikrit executed three groups of men a short distance from former Iraqi leader Hussein's Water Palace on the banks of the Tigris River.

"The analysis suggests that ISIS killed between 160 and 190 men in at least two locations between June 11 and 14," the rights group said in its report. "The number of victims may well be much higher, but the difficulty of locating bodies and accessing the area has prevented a full investigation."

From the photographs posted online by ISIS, it appeared the fighters killed the men at the site in at least three groups.

"The photographs show one group of men lying in one trench and a second group of men lying on top of the first. A third group of men is seen lying in a second trench," the group said.

Human Rights Watch says the photographs show a third mass grave, but investigators have been unable to find it.

MAPS: How to understand the Iraq crisis

@highlight

Kurdish leader  Barzani effectively annexes Kirkuk

@highlight

Armed U.S. drones are protecting 180 American military advisers, source says

@highlight

Iraqi Prime Minister: We're buying fighter jets from Russia and Belarus

@highlight

Human Rights Watch says graves are thought to hold slain Iraqi soldiers, police and civilians