Tokyo, Japan (CNN) -- Touting himself as America's "first Pacific president," Barack Obama called on his own connections with Asia Saturday as he pledged a renewed engagement with Asia Pacific nations based on "an enduring and revitalized alliance between the United States and Japan."

The U.S. president, in his first Asia trip since taking office in January, told a packed house at Tokyo's Suntory Hall that all Americans should know that what happens in Asia "has a direct effect on our lives at home."

"This is where we engage in much of our commerce and buy many of our goods," he said. "And this is where we can export more of our own products and create jobs back home in the process.

"This is a place where the risk of a nuclear arms race threatens the security of the wider world, and where extremists who defile a great religion plan attacks on both our continents. And there can be no solution to our energy security and our climate challenge without the rising powers and developing nations of the Asia Pacific."

Obama met with new Japanese Prime Minister Yukio Hatoyama Friday after his arrival in Tokyo as well as with the Japanese emperor and empress.

Obama touched on nearly every part of the Asia Pacific region during his speech, and talked about a boyhood visit to Japan with his mother, his birth in Hawaii, a childhood spent partly in Indonesia and the United States' position as a Pacific nation.

"There must be no doubt: as America's first Pacific president, I promise you that this Pacific nation will strengthen and sustain our leadership in this vitally important part of the world," he said.

He stressed that the United States was not interested in containing the emerging economic growth in China.

"The rise of a strong, prosperous China can be a source of strength for the community of nations," he said. "And so, in Beijing and beyond, we will work to deepen our strategic and economic dialogue."

Obama also called on Myanmar to make more definitive moves toward democracy, including releasing all political prisoners; urged North Korea to return to the Six-Party Talks so that the reclusive nation could be reintegrated into the world stage and pledged America's support for eliminating nuclear weapons and efforts to reduce the global effects of climate change.

His trip is to include stops in Singapore, China and South Korea, during which Obama will hold formal talks with Asian leaders as a group and individually.

The president plans to meet with Chinese President Hu Jintao and Premier Wen Jiabao, Singapore Prime Minister Lee Hsien Loong, South Korean President Lee Myung-bak, Russia President Dmitry Medvedev and Indonesian President Susilo Bambang Yudhoyono, and will take part in the Asia-Pacific Economic Cooperation summit.

APEC's 21 member nations represent more than half of the world's economic output. The forum sees its goal as "facilitating economic growth, cooperation, trade and investment in the Asia-Pacific region."

During a busy day in Singapore, Obama also will become the first U.S. president to take part in a summit of the 10-member Association of Southeast Asian Nations (ASEAN) economic alliance.

In China, Obama will continue efforts to define and strengthen the United States' relationship with the world's largest emerging economy, which has a growing influence in Asia, said Jeffrey Bader, the National Security Council's senior director for East Asian affairs.

"We see it as a relationship where we're obviously going to have differences, where we are going to be competitors in certain respects," he said. "But we want to maximize areas where we can work together, because the global challenges will simply not be met if we don't."

Bader cited North Korea's nuclear weapons program, the economy, climate change, human rights and Afghanistan as among the top issues for the China swing. On human rights, Bader said Obama is likely to address "freedom of expression, access to information, freedom of religion, rule of law and, certainly, Tibet."

Obama will make clear to Hu that he intends to meet with the Dalai Lama, the exiled Tibetan spiritual leader, Bader said. China, which rejects Tibetan aspirations for autonomy, opposes such high-level contacts with the Dalai Lama.

On North Korea, the State Department announced Tuesday that U.S. officials will travel to the country by year's end to seek a resumption of broader talks on ending the Pyongyang government's nuclear program.

The Obama administration has claimed initial progress in its strategy of forging an international effort, including China and South Korea, to pressure North Korea to abandon its nuclear weapons ambitions.

Japan has been asking for a comprehensive solution to North Korea's missile tests and the abduction of Japanese citizens in the 1970s. Saturday morning, Obama made clear that both were necessary.

"The path for North Korea to realize this future is clear: a return to the Six-Party Talks; upholding previous commitments, including a return to the Nuclear Non-Proliferation Treaty; and the full and verifiable denuclearization of the Korean peninsula," he said.

"And full normalization with its neighbors can only come if Japanese families receive a full accounting of those who have been abducted. These are all steps that can be taken by the North Korean government, if they are interested in improving the lives of their people and joining the community of nations."

It won't be all diplomatic meetings, though. Obama's first trip to China will include a town hall-style meeting in Shanghai and sightseeing in Beijing, including a stop at the Great Wall.

@highlight

In speech, Obama renews U.S. ties with Japan, reaches out to China

@highlight

Obama: Rise "of a strong, prosperous China can be a source of strength"

@highlight

U.S. president urges North Korea to return to Six-Party denuclearization talks

@highlight

Obama's Asia tour includes Japan, Singapore, China and South Korea