(CNN) -- How can a Boeing 777-200ER passenger jet go missing for more than a day? Turns out, it's not so easy.

That's not just because the state-of-the-art jetliner has a wing span of nearly 200 feet and a length of more than 209 feet. It's also because it's bristling with communications gear, including radios, automatic beacons, GPS and computer communications systems, according to CNN aviation correspondent Richard Quest.

In addition to carrying UHF and VHF radios, the planes -- which cost more than $250 million apiece -- are equipped with Aircraft Communications and Reporting System technology. Embedded in the plane's computers, it tells the airline how the aircraft is performing -- speed, fuel, thrust. "If anything fails, it will send a signal to Malaysia Airlines," Quest said.

The deadliest commercial airline crashes

Though officials do not know what happened to Flight MH370, whatever it may have been must have been catastrophic, he said. "Planes don't fall out of the sky at 36,000 feet."

Asked to detail the communications devices aboard the missing jet, Boeing spokesman Doug Alder said, "It's not appropriate for us to discuss that right now."

Still, there is precedent for a modern jetliner to fall from the sky while "in the cruise" and lay hidden for months, Quest said.

On June 1, 2009, Air France flight 447 was en route from Rio De Janeiro to Paris' Charles de Gaulle International Airport when communications ended suddenly from the Airbus A330, another state-of-the-art aircraft.

"One of the first things we had was a series of ACARS messages that showed failure of the aircraft and degradation of the systems," Quest said. "What we didn't know was why. We knew what had gone wrong; we knew how it had gone wrong; we didn't know why it had gone wrong."

It took four searches over the course of nearly two years to locate the bulk of flight 447's wreckage and the majority of the 228 bodies in a mountain range deep under the ocean. It took even longer to find the cause of the disaster.

In May 2011, the aircraft's voice recorder and flight data recorder were recovered from the ocean floor after an extensive search using miniature submersible vehicles.

It was not until July 2012 that investigators published their report, which blamed the crash on a series of errors by the pilots and a failure to react effectively to technical problems.

France's Bureau of Investigation and Analysis detailed how the pilots failed to respond effectively to problems with the plane's speed sensors or to correct its trajectory when things started to go wrong.

When ice crystals blocked the plane's pitot tubes, which are part of a system used to determine air speed, the autopilot disconnected and the pilots did not know how to react, the report said.

"The occurrence of the failure in the context of flight in cruise completely surprised the crew of flight AF 447," the report said.

The crew responded by over-handling the aircraft, which destabilized its flight path and caused further confusing readings, the report said.

"In the first minute after the autopilot disconnection, the failure of the attempt to understand the situation and the disruption of crew cooperation had a multiplying effect, inducing total loss of cognitive control of the situation."

The Airbus A330 went into a sustained stall, signaled by a warning message and buffeting of the aircraft, the report said.

"Despite these persistent symptoms, the crew never understood they were in a stall situation and therefore never undertook any recovery maneuvers."

The pilots responded by pointing the nose upward, rather than downward, to recover.

"That rewrote our understanding of what happens in massive crashes like this," Quest said. "In 447, you had a minor malfunction of the aircraft, and the pilot flew the airplane in a way that caused it to crash."

Plane was 'at safest point' in flight

@highlight

The Boeing 777-200ER is bristling with communications gear

@highlight

In 2009, Air France 447 crashed into the ocean en route from Rio to Paris

@highlight

It took nearly two years to locate the bulk of the wreckage