Baltimore, Maryland (CNN) -- From her Baltimore kitchen, Rebecca Murphy is lobbying legislators, crafting signs and making phone calls as she wages a battle to allow gays and lesbians to marry in her state.

The married mother of two doesn't have a personal stake in the fight. Rather, Murphy represents the growing number of people nationwide who support gay rights regardless of their own sexual orientation.

"I have gay and lesbian friends and family who are raising children and creating lives, and they deserve to be treated fairly," she says.

As national polls show a shift in attitudes about same-sex marriage, Murphy's state of Maryland is one of three poised to put the issue to an up-or-down popular vote for the first time next month.

While support has grown, there are still many who oppose allowing gays to marry and are doing their part to strike the measure down. The Rev. Frank Reid and his wife, Marlaa, of Bethel AME Church in Baltimore run workshops for single African-Americans in an effort to encourage strong marriages and discourage sexual behaviors that can lead to HIV/AIDS.

"I do understand and accept that there are other patterns for families," Marlaa Reid says. "However, the basic prescription for marriage, I embrace it as a biblical prescription. A man and a woman."

Her husband is quick to point out that though the Reids support the traditional view of marriage, it "does not mean that we don't love our gay, lesbian and transgender brothers and sisters."

"It means that we don't take our direction from the president, whoever he or she may be. It is a reminder to us that God loves the sinner, but hates the sin," Frank Reid says.

What a difference

Voters have mostly agreed with the Reids' views. Thirty-eight states have passed bans on marriages between people of the same sex, mostly by amending their constitutions to define marriage as the union between a man and a woman.

In the six states -- Massachusetts, Connecticut, Iowa, Vermont, New Hampshire and New York -- and the District of Columbia where gays and lesbians have won marriage rights, it was because of actions taken by judges or legislators, not voters.

But what a difference an election cycle makes. Four years ago, three states -- Arizona, Florida and California -- joined the list of those with constitutional amendments banning same-sex marriage, while Arkansas banned same-sex couples from adopting. This year, Maryland, Maine and Washington could go the other way.

Maine could represent the biggest turnaround.

The state rejected their governor's decision to allow same-sex marriage in 2009, but recent polling suggests a shift.

The Pan Atlantic SMS Group of Portland released a poll October 10 saying "55% of Mainers plan to vote in support of same-sex marriage" and another 1.3% are leaning that way, the Press Herald reported.

Washington and Maryland, meanwhile, are voting on whether to affirm decisions made by their legislatures and supported by their governors.

"The biggest difference going into this election as opposed to the last election is that a majority of Americans now support the freedom to marry, we have a president of the United States that supports the freedom to marry, we have six states and the District of Columbia where gay people can share in the freedom to marry," says Evan Wolfson, founder of Freedom to Marry, a group supporting the right of gays to marry.

A CNN/ORC poll in June found that a majority of Americans support marriage rights for gays and lesbians, reflecting a dramatic shift in public opinion over the past two decades.

The number of Americans who say they have a close friend or family member who is gay or lesbian, meanwhile, has jumped from 49% in 2010 to 60% today, the first time in CNN polling that a majority of Americans have said that. In the 1990s, most Americans said they did not know anyone close to them who was gay.

Drew Tagliabue, the executive director of the New York City chapter of Parents and Friends of Lesbians and Gays, says ties with gay people have prompted non-gays to support gay rights causes in increasing numbers.

"When you come at something and you know someone who is gay, it takes the fear out of the issue and makes it clear that it's just a simple matter of equality," he says.

The November votes come as courts are moving to overturn the Defense of Marriage Act, one of the biggest obstacles to gay rights supporters. The divisive act, passed in 1996, bars federal recognition of marriages between people of the same sex and says states cannot be forced to recognize them.

Timeline: Same-sex marriage

On Thursday, a federal appeals court in New York became the nation's second to strike down the law, saying that it violates the Constitution's equal protection clause.

Read the ruling (PDF).

A federal appeals court in Boston made a similar ruling in May. The appellate court decisions mean the next step is likely to be a review by the U.S. Supreme Court.

Related: Federal court strikes down Defense of Marriage Act

Courting minority voters

In Maryland, gay rights advocates hope minorities will turn out to support the ballot measure -- known as Question 6.

Nearly 30% of voters in Maryland are black and 8.4% are Latino. Both communities have shown a surge of support since May, when President Obama came out in support of same-sex marriage.

Washington Post-ABC polls taken before and after Obama's announcement showed an 18-point jump in the number of African-Americans who support same-sex marriage. Also, 52% in a recent Pew Research Center national poll of Latinos said they support same-sex marriage, a significant increase from 2006 when 52% said they opposed it.

Partnerships with racial and ethnic minorities became more important to the gay and lesbian community after 2008, when California voters approved a ballot measure to ban same-sex marriages. Voter exit polls showed strong support for the measure by blacks and Latinos.

Wolfson, of Freedom to Marry, says that gay rights groups reacted by reaching out more aggressively to minority communities and encouraging gays and lesbians who are minorities to talk to their own friends and families about gay rights.

"I think it will be huge if the African-Americans of this state do what I think they're going to do, which is to recognize that everybody is entitled to equal protection under the law," says Murphy, who is black.

Also supporting allowing gays and lesbians to marry in Maryland is the NAACP, which has put the civil rights group at loggerheads with clergy such as Reid.

Reid accuses gay groups of forging convenient ties with black and Latino communities, while doing little to champion other minority causes. "Where is this money for education to pour out to Latino and African-American communities," Reid asks.

Kevin Nix, a spokesman for Marylanders for Marriage Equality, says the group is focused only on Question 6 right now and not other minority ballot issues like a local version of the Dream Act, which aims to protect undocumented young immigrants from deportation.

Derek McCoy, a married father of three from Prince Georges County, has turned his opposition to Question 6 into a full-time job. He sees the ballot measure as a threat to his own personal freedoms. "We are making a fundamental shift in what society sees as marriage," he says. "When we look at it, people are asking to change our religious and civil liberties."

Big money

Question 6 has attracted big money from supporters and opponents around the country.

A recent Washington Post poll showed the gay community winning the issue by a 9-point margin just days after New York Mayor Michael Bloomberg donated $250,000 to Marylanders for Marriage Equality.

Hedge fund manager Paul Singer donated the same amount. Former NFL commissioner Paul Tagliabue lives in the District of Columbia, but he and his family have donated $100,000 to Marylanders for Marriage Equality.

In past campaigns to expand marriage rights, little connection was made between dollars spent and outcome, and gay rights organizations were not always leading the way on collecting money from out of state. This time, if gay rights groups aren't outpacing opponents in raising out-of-state funds, they're close. Tagliabue, Bloomberg and Singer's combined donation of $600,000 is nearly as much as the entire budget of their opponents.
The National Organization for Marriage, which opposes allowing same-sex marriage, has a $2 million matching grant challenge on its website targeting the November initiatives. The Knights of Columbus, a Roman Catholic organization that opposes same-sex marriage, acknowledged last week that it has spent at least $6 million since 2005 on a variety of initiatives opposing the expansion of marriage rights.

In the Maryland race, gay rights groups appear to be leading in fund raising, with $3.2 million to $835,000 for their opponents.

According to the Washington Public Disclosure Commission, gay civil rights activists in that state are ahead $10.5 million to $1.8 million. Maine gay rights supporters have $3.35 million to their opponents' $430,000, according to the Maine Commission on Governmental Ethics and Practices.

"The top goal for the second half of 2012 is to win one of these ballot measures," Wolfson says. "We've shown that we can win the freedom to marry in public opinion. We've shown that we can win the freedom to marry in courts. We've shown that we can win the freedom to marry in legislatures. ... We've shown we can win the freedom to marry with the support of both Republican and Democratic legislatures. The last barrier we have to overcome is to show we can win the freedom to marry in an up-or-down vote on the ballot."

Watch CNN Newsroom weekdays 9am to 3pm ET and weekends. For the latest from the CNN Newsroom click here.

@highlight

Three states will put gay/lesbian marriages to a popular vote for the first time

@highlight

The votes could indicate shifting public opinion on same-sex marriage

@highlight

Pro-gay/lesbian marriage donors include NYC Mayor Bloomberg and ex-NFL chief Tagliabue