(CNN) -- In my first job in high school stocking the shelves with fresh produce at the grocery store, I often saw parents struggling with misbehaving children. Some would scream, while others would spank their kids.

It was always awkward to witness, because I felt sympathy for both sides. Were the children choosing to act out because the parents were busy and stressed buying food? But surely the parents could think of a better way to handle a defiant child?

I'm now a researcher at the Columbia School of Social Work and a specialist in child welfare, and I have just completed a study of this very issue. Columbia colleagues Eric Nicklas, Jane Waldfogel and Jeanne Brooks-Gunn and I published findings in the journal Pediatrics (PDF) this week showing that the children who are spanked by their parents are at greater risk for later problems in both vocabulary and behavior.

We found that children who were spanked by their mothers at age 5, even relatively infrequently, went on to have higher levels of behavior problems at age 9, even after taking into account other family risk factors that also affect child behavior. Given the chicken vs. egg cyclical nature of this, we also controlled for earlier problems with the children to ensure that it wasn't just that kids who acted out were simply being spanked more.

And 5-year-olds who were spanked frequently, defined as two or more times a week, by their fathers also went on to have lower vocabulary scores at age 9, even after controlling for an array of other risk factors and earlier child vocabulary. This is an important finding, because few studies in this area have examined effects on cognitive development.

A leading researcher on child spanking, Elizabeth Gershoff from the University of Texas at Austin, correctly suggests that some of these cognitive effects may be indirect rather than a result of spanking only. Parents who spank may not talk to their children as often, or kids with behavioral problems may be more distracted at school. To account for some of these possibilities, we did control for a host of other family factors, such as the mom's IQ, the child's earlier verbal intelligence, the child's behavioral problems as well as a measure of how cognitively stimulating the home environment was. So, it appears that spanking is having an effect on vocabulary above and beyond those other factors.

Changing people's minds about something they care about by presenting data is a tough thing to do, particularly around something so emotionally laden as spanking.

Thinking back to my times in that grocery store and what the parents were going through, spanking actually worked for immediate compliance: It gets the child to stop misbehaving. The child stops grabbing food off the shelves; at home, the child stops touching the outlet or breaking his sister's toy, providing parents with immediate feedback that what they are doing is working. But that makes it more difficult to see what is happening in the long term.

How parents discipline their kids is intimately tied to cultural, religious and family traditions, including the meaning parents attach to their own experiences. Many of us say to ourselves, "I was spanked as a kid, and it made me a good person. So what's wrong with spanking my own kids?"

This is a very sensitive topic. That might explain why, even though the evidence is mounting that spanking leads to the very acting-out behavior most parents want to stop and even hurts a child's development, many parents in the United States continue to spank. More than half of the parents we questioned reported spanking their kids at age 3 and at age 5, even though our question just focused on spanking in the past month. Studies that simply look at whether children have been spanked at all find that the vast majority of American children are still spanked today.

Parents who are interested in exploring alternatives to spanking that might be a good fit for their family can talk to their pediatrician about effective strategies. They can also check out healthychildren.org from the American Academy of Pediatrics, which has some guides for parents on communication and discipline techniques.

Perhaps we researchers need to get better at telling the story. Families sometimes think we are accusing them of abusing their kids and challenging who they are as parents, and in turn they dismiss our findings as coming from out-of-touch academics. Most parents are doing the best they can by their children and must contend with advice from many corners, whether solicited or not.

Researchers and health practitioners must not lose sight of the burden and stress faced by so many families today, particularly since the tools we hope to see replace spanking sometimes require more upfront effort and consistency in implementation, which can be difficult to maintain without support.

We also need to do a better job of conveying to parents what they could do instead of spanking. Parents have a host of tools they can use -- talking, using time-outs and so on -- and all of us who see young parents and children can help demonstrate how effective these other forms of discipline can be.

The opinions expressed in this commentary are solely those of Michael MacKenzie.

@highlight

Michael MacKenzie: Spanking gets results but can harm development

@highlight

He says kids who are spanked are at greater risk for behavior, speech problems

@highlight

MacKenzie: How parents discipline kids is tied to cultural, religious, family traditions

@highlight

He says researchers and health practitioners must teach parents alternatives to spanking