(CNN)Saudi and allied warplanes struck rebels in Yemen on Thursday, with Saudi Arabia threatening to send ground troops and inserting itself into its southern neighbor's civil war, potentially opening up a broader sectarian conflict in the Middle East.

The swift and sudden action involved 100 Saudi jets, 30 from the United Arab Emirates, 15 each from Kuwait and Bahrain, 10 from Qatar, and a handful from Jordan, Morocco and Sudan, plus naval help from Pakistan and Egypt, according to a Saudi adviser.

The Egyptian state news agency on Thursday quoted Egypt's Foreign Ministry as saying Egypt's support also could involve ground forces.

What do those countries have in common? They're all predominantly Sunni Muslim -- in contrast to the Houthi rebels, Shiite Muslims who have taken over Yemen's capital of Sanaa and on Wednesday captured parts of its second-largest city, Aden. The Saudis consider the Houthis proxies for the Shiite government of Iran and fear another Shiite-dominated state in the region.

"What they do not want is an Iranian-run state on their southern border," CNN military analyst Lt. Col. Rick Francona said of the Saudis.

The airstrikes did not include warplanes from the United States, which has worked with Yemeni governments -- including that of recently deposed but still battling President Abdu Rabu Mansour Hadi -- to go after al Qaeda in the Arabian Peninsula. In fact, a senior official in President Barack Obama's administration said "there will be no military intervention by the U.S."

But U.S. Secretary of State John Kerry on Thursday did tell foreign ministers from Saudi Arabia, the UAE, Qatar, Kuwait, Bahrain and Oman that the United States commends the military action and is supporting it through intelligence sharing, targeting assistance and logistical support, according to a senior State Department official.

How did Yemen get to this place?

Houthi supreme leader Abdul Malik al-Houthi spoke live Thursday night in Yemen on al-Masirah TV, saying, "If any army try to invade our country, we will prove that Yemen will be a grave for those who invade us."

He added, "We call on the invaders to stop the attacks and if the airstrikes do not end then we will escalate in the needed manner."

Iran denounced the military intervention. Marzieh Afkham, a spokeswoman for the country's Foreign Ministry, said the operation will throw an already complicated situation into further turmoil and disrupt chances at a peaceful resolution to Yemen's monthslong internal strife. It also won't help a region already facing terrorist threats from groups like ISIS and al Qaeda, she said.

"This is a dangerous action against international responsibilities to respect countries' national sovereignty," Afkham said, according to a report in Iran's state-run Islamic Republic News Agency.

Iraq -- 60% of whose citizens are Shiite, with about 20% being Sunnis -- offered similar, albeit a bit more muted opposition to what its Foreign Ministry called "the military interference of the Gulf Cooperation Council," which is made up of Bahrain, Kuwait, Oman, Qatar, Saudi Arabia and the UAE.

"We call on the Arab states to live up to their role to support national dialogue (that includes) all political forces to find a political solution for the crisis," the Iraqi ministry said.

The Houthis are a minority group that has emerged as the most powerful player in Yemen.

In addition to airstrikes, the Saudi adviser said 150,000 troops could take part in an operation in Yemen.

Just a day in, the coalition airstrikes are already costing the Houthis.

Hundreds of explosions ripped through Sanaa overnight, said journalist Hakim Almasmari, who is staying in the capital. The Health Ministry reported 18 dead and 24 wounded in Sanaa, the Houthi-run Saba news agency said.

While Sanaa was a focus -- airstrikes destroyed the Houthis' combat and control operations there, the Saudi adviser said -- it wasn't the only place struck. Compounds and military installations in Saada and Taiz also were targeted.

By Thursday afternoon, the Saudis controlled Yemeni airspace, the adviser said, and the military threatened to destroy any naval ships trying to enter Yemeni ports.

The military operation, dubbed al-Hazm Storm, was launched after the Houthis rebuffed an initiative by the Gulf Cooperation Council, Arab League chief Nabil al-Arabi said in a speech Thursday. It was done in accord with a joint Arab defense treaty, al-Arabi said.

Specifically, the strikes aim to support Hadi, who was ousted in January after talks with the Houthis faltered, but still claims to be Yemen's rightful leader.

"We are determined to protect the legitimate government of Yemen," said Adel al-Jubeir, the Saudi ambassador to the United States, in announcing the beginning of the military campaign. "Having Yemen fail cannot be an option for us or for our coalition partners."

Why is Saudi Arabia bombing Yemen?

Jubeir told CNN's "The Situation Room With Wolf Blitzer" that Saudi Arabia was concerned that the Houthis had control over Yemen's armed forces ballistic missiles and air force, and the fact that Iran backs the Houthis was troubling.

"This is really a war to defend the legitimate government of Yemen and protect the Yemeni people from takeover by a radical militant group aligned with Iran and Hezbollah," he said.

American military commanders said they didn't know about Saudi Arabia's action until the last minute.

"We have been discussing this matter with the United States in principle for many months," Jubeir said. "We have been discussing this matter in more detail as the time approached and the final decision to take action didn't really happen until the last minute, because of circumstances in Yemen."

Egyptian Foreign Minister Sameh Shoukry on Thursday proposed a joint Arab military "to deal with these challenges."

But at least one major player in Yemen besides the Houthis -- the General People's Congress, which is the party of longtime leader Ali Abdullah Saleh -- thinks the Saudis and their partners should stay out.

The GPC says the airstrikes have already led to civilian casualties. The best way to stop the bloodshed is to bring everyone to the negotiating table, the group said.

"The (party) expresses its rejection of the attack on the Republic of Yemen and the capital, Sanaa, considering what (is) happening is an internal affair," the GPC said. "... The General People's Congress (calls on all parties) to return to and accelerate the completion of a national, historic agreement that ... maintains unity and democracy."

Meanwhile, the last person to be elected president of Yemen -- even if he was the only one on the ballot -- is out of the country and will soon be headed to Egypt to petition Arab officials, according to Yemeni officials.

The location of Hadi had been a mystery for days, with conflicting reports about whether he'd left Yemen and where he'd gone.

Saudi Arabia's state news agency, SPA, reported that Hadi arrived Thursday in Riyadh, where he met with the Saudi defense minister and intelligence chief.

But two Yemeni officials close to Hadi said that the deposed president is in Oman. They said that his next stop, on Friday, will be an Arab League summit in Sharm el-Sheikh, Egypt.

Meanwhile, some 3,000 to 5,000 troops from the Saudi-led coalition are expected to reach Aden, the Yemeni city that was Hadi's last known location, in the next three days, according to the officials.

Their aim is to make that port city safe enough for Hadi to return after the Arab League summit.

Whether the rest of Yemen will be secure at that point is another matter. Unfortunately, there has been little in the last few months to inspire optimism that peace is around the corner.

Opinion: Why Yemen has come undone

CNN's Elise Labott, Becky Anderson, Nick Paton Walsh, Michael Pearson, Anas Hamdan, Salma Abdelaziz and Mustafa al-Arab contributed to this report.

@highlight

Saudi ambassador says Iran is interfering in Yemen, other countries

@highlight

Saudi adviser says the coalition controls the country's airspace

@highlight

Houthi leader says rebels will escalate response if airstrikes continue, make Yemen a grave for Saudis