In the space of two weeks, two different courts have come to two different results in evaluating the legality of two similar voter identification laws.

In Pennsylvania, a state trial judge upheld the newly enacted voter ID law under the state's constitution, while Thursday in Washington, a federal panel rejected Texas' similar ID law under the federal Voting Rights Act.

Despite their differences, both courts were quite right to agree on a central proposition:  We really don't know how large an impact these voter ID laws will have on elections.  In the end, the question, both legal and moral, often boils down to who should have the burden of proof: Should states be forced to show their laws are justified because they prevent demonstrable fraud or should opponents be forced to show that the law prevents large numbers of people from voting?

Voter ID cases often pit an invisible plaintiff against an imaginary problem.  It is difficult to find voters who absolutely cannot vote because of an ID law, just as it is challenging to find instances of the type of fraud such laws intend to prevent.

The plaintiffs are invisible because very few people have the means to bring the federal case to challenge such laws but don't have the ability to navigate the barriers at the Department of Motor Vehicles to get an actual ID. Also, although we do know about 10% of Americans might not have the ID necessary to vote, we don't know how many won't vote specifically because of this extra burden, how many will be motivated to get an ID or how many will resort to absentee ballots, which do not require ID.

In the Pennsylvania case, the lawyers had the perfect plaintiff, Viviette Applewhite, a 93-year-old, wheelchair-bound African-American woman who had no driver's license and no birth certificate because she was born at home.

For such people, getting the required documents can be burdensome and sometimes expensive.  For Applewhite, unlike most of us, exercising her right to vote was worth the fight in court. (Did I mention she also marched with Martin Luther King Jr.?)  It also turned out that once she lost her case, she was able and willing to get through the bureaucratic maze necessary to get her ID.

The moral of the story:  If you are one of those people who considers voting a right worth dying for, you'll most likely be able to do what is necessary to get to vote.  Such is not the case, however, if you are one of the unfortunate few who can never get the right documents you need. Or if you're one of the great many nonvoters for whom any additional hindrance makes you think it's not worth it -- that the added costs of registering and voting exceed the intangible benefit of knowing you have participated in the democracy.

Even after an election takes place, another reason makes plaintiffs difficult to find and the effect of voter ID laws uncertain: It's unclear whether the laws are actually enforced as intended.  For any number of election regulations, there's a huge gap between the law on the books and the practices in the polling place.

When the poll worker's neighbor shows up without an ID, the odds are that she might let him vote anyway -- that is, assuming he has been neighborly.  Of course, that might not happen if she doesn't recognize him or she has trouble understanding his accent. Indeed, political scientists find that huge numbers of voters in states even without ID laws report being asked for photo ID on Election Day.  And at least one election administrator in Pennsylvania has even pledged not to enforce the new law.

Against the invisible plaintiffs in these cases is the imaginary problem of voter impersonation fraud -- the kind of fraud where someone goes to the polling place and votes using the name of someone else.

Even though we have few documented cases and prosecutions, make no mistake about it:  Voter impersonation does happen.  It probably happens with the same frequency as voters collapsing in line while waiting to vote, or getting nauseous when they see the names on the ballot.  And yes, if every election were to be a replay of the 2000 election, then any mishap -- fraudulent or otherwise -- could determine the outcome.  As of yet, however, we have not required all polling places to be prepared with smelling salts.

The reason voter impersonation fraud is so rare is that it is an incredibly stupid and inefficient way to rig an election. Shepherding hordes of fraudsters from one polling place to the next to vote in other people's names would take a lot of time and effort and expose them to trouble with the law with little potential payoff.  Successful fraud  is usually perpetrated at the wholesale, rather than retail, level.

Absentee ballots, in particular, have proven to be the fraudster's method of choice.  They are cast in private out of the view of suspecting eyes of poll workers or fellow voters.  They are ripe for coercion and undue influence from whoever might be sitting next to the absentee voter -- think union or corporate bosses.  And multiple ballots can be collected over the course of several weeks, saving the expense and rush of a one-day voter impersonation campaign.

The greatest irony of the new crop of voter ID laws is that they do nothing to combat the more frequent problem of absentee ballot fraud.

In fact, they might even make such fraud more likely because the number of absentee voters might increase, given that absentee voters do not need to have a photo ID in order to vote.  Worse still, absentee votes are much more likely to be otherwise disqualified because of errors committed by either the voter or the vote counter. They present the perfect storm of fraud and mistakes that conjures up images of the cockeyed Florida vote counters in the 2000 election.

I happen to be in the camp that believes a state should provide a compelling justification for new election laws even if they have an admittedly uncertain effect on voters' rights.  But you do not need to be a fellow traveler or even to be preoccupied with voting rights to worry about the implications of these laws.

Enforcement of these laws will be spotty.  They will cause confusion in the polling place as relatively untrained, volunteer poll workers come up to speed with sometimes complicated new regulations.  Some voters will choose not to vote, while others will cast provisional ballots -- so-called because the legality of the vote will be determined after Election Day if the voter can come up with ID in time for the ballot to be counted.

This will all be done in the name of preventing voter fraud. Yet if these laws lead unwittingly to an increase in the number of voters casting absentee votes out of public view, then they will not even have addressed the fraud they intend to solve.  Indeed, they might even make it worse.

Follow @CNNOpinion on Twitter

@highlight

Voter ID laws recently have been upheld in Pennsylvania and rejected in Texas

@highlight

Nathaniel Persily: Nobody knows the impact of the laws or who will be affected and how

@highlight

It's hard to find plaintiffs, he says, and hard to find voters impersonating another person

@highlight

Persily: Upshot may be more fraud as voters without IDs turn to absentee ballots