(CNN) -- "Life is difficult," said the first line of the first self-help book I ever held in my hands.

"This is a great truth," it continued. "Because once we truly see this truth, we transcend it ... once it is accepted, the fact that life is difficult no longer matters."

Though I was a child and barely knew what they meant, the words spoke to me. They resonated because it was 1979, and I was fleeing a revolution. Suddenly I had no country and no home. Overnight, life had become unfathomably difficult.

An Iranian child refugee now living in America, I was a stranger in a strange new land. Now I'd fixated on some stranger's copy of "The Road Less Traveled," M. Scott Peck's classic.

Self-help books elicit extreme reactions, ranging from "can't stand them" to "make me want to vomit" and "poke my eyes out." As a whole, they're considered lowbrow, and not the cool kind of lowbrow either; they're often used in films as a device to mark the protagonist's lowest depths of desperation.

But to dismiss self-help is folly. This is not just because the genre sells loads of books, audio, video and online products, seminars and personal coaching services. In fact, the U.S. self-improvement market is an almost $11 billion industry, with projected annual gains of more than 5% over the next several years, according to Marketdata Enterprises.

The real reason to take it seriously is because here and there, amid the trite and banal, lies a gem that might shift your perception instantly, such as the drawing of the beautiful young woman that transforms in a blink into a haggard old crone in the late Stephen Covey's "The 7 Habits of Highly Effective People."

What do the books do for us? I asked folks to share their self-help experiences via social media; anecdotes ran from life-altering insights to guffaws prompted by sappy New Age advice.

"I have used them through bouts of depression as well as during happier, more stable times," wrote Wendy Maldonado. "If I hadn't stumbled across Lundy Bancroft's book, 'Why Does He Do That,' about women living in abusive relationships, I shudder to think of what my life would look like today."

Self-help books are like pep talks, said Beth Pilz. "I highlight them and copy favorite quotes into blank books."

"They're good for equipping yourself with skills and insights outside local sources of wisdom," said Jamie Craig. "If you were to leave me on a planet with my wife to reboot the human race, I would take 'Jonathan Livingston Seagull' with me."

"A lot cheaper than therapy!" said Jenny Dubner Coleman.

"Cheaper than therapy, but nowhere near as effective," replied LaToya Baldwin Clark. "I just don't like mass-produced advice for really serious issues like depression. I always think of this scene in 'Bridget Jones's Diary.' " The scene shows Bridget gulping wine as she sings along tearily to a Celine Dion song -- a self-help manual at her side.

Bronwen Safai pointed out: "Isn't the Bible like a big self-help book?!"

Faika's thinking ran along similar lines. "While divine guidance is free, people pay for superficial happiness," she wrote.

"The public library is free too!" retorted my cheeky friend, Joel Bass. "I think we're seeing the dawn of the science-based self-help book, and some of these have been really amazing." He recommended Sonja Lyubomirsky's "The How of Happiness" and Charles Duhigg's "The Power of Habit."

If you were to ask me earlier this week whether I am a reader of self-help books, I wouldn't have identified myself as such -- and certainly not in the secretly smug way I own up to having read scores of science fiction.

But as I stood before my bookshelf looking for my old copy of Covey's "7 Habits" the day I heard about his passing, I found it, along with a half-dozen other books that were unabashedly self-help.

I pulled them out and flipped through each one, noting the passages I had highlighted.

"People must face that which they fear," wrote Caroline Myss in "Anatomy of the Spirit."

"Resistance has no strength of its own. Every ounce of juice it possesses comes from us. We feed it with power by our fear of it. Master that fear and we conquer Resistance," wrote Steven Pressfield in "The War of Art."

"Apply ass to chair," wrote Richard Rhodes in "How to Write."

I even found an Oprah quote scribbled in the margins of an Eckhart Tolle book: "Let me tell you how the universe works: First you get a little whisper. Then you get a little thump on the head. Then you get a brick. Then you get a brick wall."

I recalled that when I wrote those words, I had indeed looked back and considered the whisper, the thump and the brick, right after I had hit the brick wall.

"Reading fiction is important," wrote the novelist Ann Patchett in a New York Times piece earlier this year. "It is a vital means of imagining a life other than our own, which in turn makes us more empathetic beings."

Maybe the same can be said about some self-help books. That they are not as much "self-help" as they are pilgrims' notes from the journey of life, to help us define and imagine new realities beyond our immediate perception. And the possibility of what could be, what might be and perhaps even what will be.

@highlight

Amanda Enayati discovered self-help books after moving to a new country as a child

@highlight

Author Stephen Covey died this week; Enayati says he offered valuable advice

@highlight

Many dismiss self-help products as trite, but they generate $11 billion in profits each year