(Lonely Planet) -- Life's not always a beach. The Caribbean may win hearts for its white-sand beaches on perfect turquoise coves and high-end villas with moored yachts, but there's another part of the story: its towns.

Some have histories that predate the Pilgrims, cobbled centers that gaze out at the water and enough attractions to justify carving a day or two away from those perfect stretches of sand.

San Juan, Puerto Rico

Did you know San Juan was nearly 100 when the Mayflower reached the Americas? Reached by frequent, direct (sometimes cheap) flights from the US, the historic Puerto Rican capital is a place that can fill a week's stay easily.

The cobblestoned lanes of Old San Juan are filled with cafes, restaurants, hotels and sites including two seriously old forts; most visitors see the six-floor, 16th-century El Morro, but don't overlook the Fuerte San Cristobal, which offers free spooky tunnel tours on weekends.

San Juan also has excellent art, free salsa lessons in clubs, fine dining in the ever-emerging SoFo district on Fortaleza St, and excellent beaches below the city walls. For a break from the city pulse, day trip to hike the rainforest at nearby El Yunque.

Havana, Cuba

Everyone knows about Havana, but that doesn't mean it's not fantastic. Wandering about the crumbling grandeur of 'Habana Vieja' feels like entering the world of a gritty 1950s movie. Vintage US and Soviet cars trundle past colonial tenements showing their age, and pick-up baseball games played with a stick.

Casa de la Musica is what one Lonely Planet author describes as 'hot hot hot salsa with young hot hot hot Cubans'. Locals drink tiny cups of homegrown coffee in a classic coffee house like Café de las Infusiones, fun spots to spend an hour or so.

All this doesn't come with lack of comfort. Restored colonial hotels like the Hostal Condes de Villanueva (tel 53-862-9293; Mercaderes No 202), where rooms with stained-glass windows over look a private courtyard.

Lonely Planet: How to choose a Caribbean island

Willemstad, Curaçao

A lively Dutch/Caribbean hybrid, the little capital of Curaçao is famed for its historic core -- a UNESCO World Heritage site of two neighborhoods split by a channel.

Boutique hotels made from 19th-century buildings (best is Hotel Kura Hulanda) make Willemstad a good base to explore the town's floating markets, atmospheric draw bridges names for Dutch queens, an excellent museum unflinchingly detailing the slave trade, and cafes that look plucked from an Amsterdam backstreet.

Beaches are good too. Grab a rental car and find hidden beach coves -- practically isolated -- to the north, along with a peek at Christoffel National Park's plantations.

Jacmel, Haiti

Haiti's not for everyone, but as the nation struggles to rebuild after the 2010 earthquake, tourism is starting to pick up and giving a bit of an economic boost to boot. Eighty miles south of the capital Port-au-Prince, Jacmel is a charming town that wasn't as damaged as the capital. It has many Victorian-era buildings from the city's coffee days, superb handicrafts including hand-painted boxes and animal toys, good beaches and a fun day trip to a grotto of cascades and cobalt-blue pools you can reach by horse for $20 or $25.

Set in a Victorian mansion, the damaged and rebuilt Hôtel Florita evokes a century-old vibe, with its period furniture and balconies in the rooms.

From Port-au-Prince you can bus three hours on good roads to Jacmel.

Cockburn Town, Grand Turk, Turks & Caicos

The capital of this multi-island nation, wee Cockburn is home to only 5500 people on an island just six miles long. Cruises dock for a few hours, but the fun rustic place warrants more time.

In town, you'll find colorful colonial buildings on narrow streets that still see donkey carts and historic sites, including the spot -- locals claim -- where Christopher Columbus made his first foot-fall of the New World in 1492.

Beaches to the north, like Pillory or Corktree, are frequently empty, while the best snorkeling and diving lies to the south (Oasis Divers offers dives or snorkel gear). The best place to stay is the Mediterranean-themed Island House, who offers free use of their car to guests. But on Grand Turk, a bike is really all you need.

Lonely Planet: Cracking the Caribbean on a budget

Santo Domingo, Dominican Republic

The Caribbean's largest city, Santo Domingo is a New World firsts-fest. You'll find the hemisphere's first hospital and monastery (lovelier than that might sound), and the oldest surviving fort and cathedral (built by Columbus' son, no less).

Its historic center easily fills a couple days of sightseeing before hitting DR's famed beaches. Best is just sitting over a long meal in the strip of outdoor restaurants set up in the 16th century buildings along Plaza España, or getting a drink in the cobbled alley El Conde's bar/café scene.

If you go in winter, February's Carnaval is legendary, but just as memorable is catching a baseball game during DR's 48-game winter season from November to February; you'll see major leaguers from the US playing, and seats at the Estadio Quisqueya start at US$6.

Roseau, Dominica

The Caribbean's most unique island -- the last to be colonized, the most mountainous of the Eastern islands -- Dominica is sometimes seen as the 'anti-Caribbean', considering its lack of sandy beaches or flashy resorts.

Unsurprisingly perhaps, visitors often consider it the friendliest. And because it's so small -- just 29 miles by 16 miles -- you can set up in its lively capital of 1500 residents living in cute stone-and-wood historic homes, Roseau (ROSE-oh) and day trip to waterfalls and open-air hot spring pools in the rainforest, or beaches with snorkeling spots that bubble like champagne from offshore volcanic vents (it's safe).

The best day trip involves a tough six-hour hike up to reach the Boiling Lake; it's best done with a guide (Mick Jagger went with Ken's Hinterland Adventure Tours).

There are no direct flights outside the region; the best gateways to Dominica are via Antigua, Sint Maarten or Barbados on American Eagle or LIAT.

Oranjestad, Sint Eustatius

Tiny, off-the-radar and rather unusual, the tiny island of Sint Eustatius (or 'Statia'; population 3400) has been home to Caribs, French, Dutch and British residents; in 1776, it became the first foreign 'power' to recognize the USA.

Now known for its diving, Statia has but one town, Oranjestad, memorable mostly for what it's lost. Ruins are everywhere. In town you can explore remnants of an 18th-century synagogue or collapsed Dutch church, then grab a snorkel to swim to offshore ruins of a part of town built on land-fill and since reclaimed by the sea.

Afterwards, plan a day trip hike up the nearby Quill, a once-active volcano with great views from its crater.

Lonely Planet: Caribbean DIY island-hopping

© 2011 Lonely Planet. All rights reserved.

@highlight

San Juan has excellent art, free salsa lessons in clubs and great fine dining

@highlight

Set in a Victorian mansion, the rebuilt Hôtel Florita in Haiti evokes a century-old vibe

@highlight

Dominica is the last Caribbean island to be colonized and the most mountainous