(CNN) -- It was once a game of luck using misshapen stones from Scotland's riverbeds first thought to be played out on frozen waters in the mid-16th Century.

In the four-and-a-half centuries since, a sport often referred to as "chess on ice" has become increasingly high tech, more reliant on the science behind the friction element of stone on ice that affects the outcome of every match.

For the most puzzling sport at the Winter Olympics, no stone is being is being left unturned in the pursuit of gold at Sochi in 2014.

In recent years, top scientists have been brought in to get a better understanding and investigate the subtle nuances of the game -- from how and why the curling stones turn to how the sweeping action of players with brooms in hand affects the distance it can travel.

Part of the Olympic program since 1998, curling is played out between two teams of four that slide 16 stones down a 30-metre stretch of ice. The dominant forces of the sport have been in North America, Scandinavia and Scotland.

And as each powerhouse of the sport tries to gain an advantage, it is not surprising where the research has tended to emanate from.

The most recent data comes from Sweden, whose women's team has won gold at the last two Olympics in Vancouver and previously Turin.

Harald Nyberg, a researcher at Uppsala University, was part of a team looking at 'The asymmetrical friction mechanism that puts the curl in the curling stone' after being approached by the Swedish Curling Federation.

"They wanted more information, they wanted to know more about how they should treat the stone to behave consistently over time," explains Nyberg, who published his paper earlier this year.

Nyberg and his team more typically work on friction and wear in more industrial and technical applications but used the same approach to working out how the stone curls.

They studied the surface to a high resolution to see its specific machinations and discovered the outcome was that the curved path was due to the microscopic roughness of the stone producing microscopic scratches in the ice

As the stone slides over the ice, its roughness leaves small scratches and, when the rear of the stone passes that area, it passes those original scratches in a different direction, leading them to follow those scratches, hence changing direction.

It is this scratch guiding that generates the sideway force necessary to cause the curl.

Nyberg is the first to admit: "It does seem quite simple doesn't it? We tried much more complex things first before coming up with this."

The research was handed to the Swedish Curling Federation, and has warranted interest from Britain but Nyberg admits that, while it gives players a better understanding of the science behind the sport, it is unlikely to revolutionize the sport.

"They know quite well how it behaves despite not understanding the science - that's how instinctive they are," he said. "I'm not sure it will change their approach, it doesn't necessarily change the way they play."

Sweepergometer

So what about the sweeping motion done by team members, which also affects the direction and distance a stone can travel, again through the use of friction?

John Bradley was brought in by the Scottish Institute of Sport in the wake of Britain's success at the Salt Lake City Olympics in 2002, when Scottish housewife Rhona Martin captained her team to gold.

The SIS wanted to look into ways to build on that success and improve the team's chances still further.

Bradley looked at two major aspects. One was the physical demands of the game bearing in mind teams can be competing on the ice for 25 to 35 hours in the Olympics en route to a podium position.

But, from a scientific sense, the other area -- the area of sweeping -- is more interesting when it comes down to the pure workings of the sport.

Using what is known as a Sweepergometer, which is effectively a normal curling broom with all manner of wires attached to it to measure movements of the sweeping strokes on the ice, Bradley sought to uncover what difference sweepers made to the direction of the stone.

Explaining the basis to the research, he said: "Curling is the only sport where you can do something with the projectile to affect its trajectory once you get rid of it.

"You can extend the path of the stone by half a meter in a straight line -- and that's quite a difference in a sport of fractions and centimeters in deciding matches despite it being a 30 meter rink."

He added: "It's been a case of is it better to sweep faster or sweep harder? We found it's better to sweep harder at certain points and sweep faster at others. Also, if you brush an area of ice more than you'll obviously get a much greater transfer of heat."

The research found a number of factors -- that players suffered fatigue, as a result meaning the downwards force of their sweeping onto the ice and their sweep rate declined considerably.

Among the other finds, said Bradley were: "Fast and hard sweeping is physically demanding but can be effective at influencing a stone's trajectory, and the heat transfer to the ice from the brush head is key to this.

"Also, depending on what side of the stone the sweeper stands and the handle of the stone, sweeping can help a stone stay straighter or curl more.

"Sweeping in pairs with each person sweeping vigorously next to the stone for 10 seconds then swapping will maintain the intensity of sweeping and can help steer the stone to some extent."

But how much difference can this research have had?

"There's the finest margins between success and failure so it will help if you get a better understanding of it," he said.

"So it's great if this gives them a bit more control and adds additional strategy to the game of curling.

"In a way it wasn't anything they didn't realise but it was putting a bit more logic behind it, it makes them smart with it. They can be more practical with their strategies for controlling the stone, and you can bring a higher level of sweeping coordination about."

Eve Muirhead is skip of the Great Britain team, among the favorites to win gold in the event in Sochi next year, for what will be her second Games as team leader at the tender age of 23.

Muirhead and her Scottish-based team work closely with the SIS and, as such, are kept up-to-date with the science of curling.

She explains: "You do read of things when they come up but the science side of things, that's what the SIS is there for. They'll have a look at any science or research and it's up to us athletes to get on with the job.

"There's obviously a lot of science behind curling but, first and foremost, as a player you have to go out there and play.

"It's not like I sit down and learn the science of the sport but I certainly recognize what people are trying to do and the science behind it all. Of course, you want to use every inch that will help you."

@highlight

Research this year explains for the first time how and why a curling stone curls

@highlight

Science teams from Sweden and Britain battle to get a cutting edge over each other

@highlight

Innovative devices, like the Sweepergometer, are used to track the nuances of the sport

@highlight

Sport once played in just Scotland grasping new technology