(CNN) -- If a measure of a successful society is its ability to prevent infant deaths, then there is an ugly truth in the United States today that public health officials know but the public largely does not: Too many of our babies are dying, and they don't have to.

Public health officials, doctors and researchers from around the world are gathering in Washington this week for the 139th annual meeting of the American Public Health Association to address the pressing public health issues of the day, and it is imperative that they focus their attention on protecting the most vulnerable members of our society.

The U.S. infant mortality rate is one of the highest among all developed countries. The disparity in rates within the United States is alarming as well, with black babies dying at more than twice the rate of white babies.

The most recent statistics from 2007 show that the U.S. rate of almost seven deaths per 1,000 live births ranked the U.S. behind the majority of other developed countries. Thirty developed countries have lower infant mortality rates, according to the Organization for Economic Cooperation and Development, all of them spending much less than we do on health care

Within the United States, infant mortality ranges from a high of almost 10 deaths per 1,000 in Mississippi and Alabama to about five deaths per 1,000 in Washington and Massachusetts. Although the overall rates have been slowly declining since 2000, the huge gap between whites and blacks continues to exist. American women who are most likely to lose their babies are non-Hispanic black women, with a rate almost 2 1/2 greater than that for non-Hispanic white women.

This is one of the greatest injustices in our country: that a baby's chance of having a healthy life is largely dependent on where he or she is born. States and local communities vary widely in what care their leaders choose to provide to women and children. But these higher rates can be lowered by implementing strong initiatives at the state and federal levels. And maternal and child health experts know what needs to happen, based on what's worked in places with lower rates.

Preventing infant mortality is not just about prenatal care. There are four key periods in the lives of women and their children, each vital in determining whether an infant lives or dies: before pregnancy, during pregnancy, at birth and during the first year of life.

Interventions that work during each of these periods must be consistently supported to reduce infant mortality. These include teen pregnancy prevention programs, such as the National Campaign to Prevent Teen and Unplanned Pregnancy; family planning services (the Women, Infants and Children -- or WIC -- nutrition program, which provides federal grants to states, is one good example); Back-to-Sleep education campaigns that help reduce the risk of Sudden Infant Death Syndrome; full coverage of prenatal care and child health; and cessation programs for pregnant women who use tobacco or other substances.

These are examples of services that should be available for all women and infants, regardless of where they live. Currently, the United States does not ensure that women have access to comprehensive health care services for the four key periods. Countries with universal health care that includes women's health coverage (including family planning) before and after pregnancy -- that is, prenatal care as well as infant and child health care -- have better outcomes than the United States.

We need it all. Prenatal care is necessary, but taken alone won't solve our scandalously high infant mortality rates. Policies and regulations are needed in all states and in all hospitals to make sure we give infants the best possible care. It will take a village of support to lower infant mortality and improve health and development of our nation's children.

Since 1935 the U.S. government has supported maternal and child health through Title V of the Social Security Act, which demands that states be a "point of accountability" to ensure the health of mothers, women, children and youth.

Healthy Start programs funded by the U.S. Department of Health and Human Services since the early 1990s have helped communities provide an array of services and support to pregnant women who face challenges getting access to quality medical care, housing, food and other services.

Both Title V and Healthy Start are regularly at risk in budget discussions. To do better as a nation, we must develop and sustain the political will to fund both programs fully as well as support all services and policies we know help prevent infant deaths. Continuing to provide a patchwork of fragmented services for mothers and infants across the country will do little to improve our infant mortality rates.

When it comes to the budget, Congress must prioritize services that will prevent poor and minority children from dying or suffering from other conditions that result from inadequate health care for mothers and their babies. Now is the time for our society to reflect its values. We can do better for our women and children. We must.

The opinions expressed in this commentary are solely those of Deborah Klein Walker.

@highlight

Deborah Klein Walker says infant mortality rates in U.S. remain unacceptably high

@highlight

The U.S. ranks 31st in developed nations for infant mortality

@highlight

Walker: Rate for blacks in U.S. highest; funds for prevention programs regularly face cuts

@highlight

She says policymakers must make funding for women and infant programs a policy priority