London (CNN) -- After generations of conflict, the clamor of the Israeli-Palestinian dispute has the tendency to drown out other voices and stories from the region.

The work of multimedia artist Dor Guez -- whose identity as a Palestinian Christian living in Israel makes him "a minority within a minority" -- aims to rectify this. Through the use of video, historical photographs and documents, the Jaffa-based Guez tells the narrative of a marginalized community.

"It's not about supporting one cause or another," he says. "It's about having this voice heard among other voices."

Guez, whose first solo show in the U.K., "40 Days," opens in London's Mosaic Rooms gallery on April 12, focuses on depicting the experiences of the Middle East's Palestinian Christian minorities, including his own family.

While his father is of Jewish-Tunisian descent, Guez's mother is a Christian Palestinian, her family hailing from Lod, known in Arabic as al-Lyddan, ancient city 15 kilometers (9 miles) southeast of Tel Aviv.

The city is home to the Church of St. George, a major shrine to the 4th-century Christian martyr.

"The cemetery is where my grandfather is buried, my great-grandfather, for many generations back," Guez says. "It can be under Israeli, Turkish, British regime; we have zero control over it, being a weak and small minority -- weak in numbers, not in education. But we have a connection to the place itself."

Read more: A great year for Middle East cinema

When the territory was claimed by the newly declared state of Israel in 1948, the Arabs were expelled, with only about 1,050 remaining. Some of Guez's family resettled in London, Oman and Cairo, but others remained, finding themselves in an "extremely complicated and difficult" situation, he says.

"We have pressure from both groups -- the Muslim Palestinians and the Israelis -- to identify with their goals," he says. "I think that in the case of the Christian Palestinians, we really got stuck in between sometimes."

Guez says the community had to negotiate their identity against two majority groups -- Israeli Jews and Muslim Arabs -- displaying a dual attitude towards both groups to protect their identity.

On the one hand, he says, they demonstrated their will to integrate, but they also had a clear desire to maintain a distinct cultural identity. "Both Jewish society and Muslim society fail to understand the versatility of the Christian minority, as well as its religious, social and cultural needs," he says.

Today, the majority of Palestinian Christians live outside Israel and the Palestinian territories. According to Israel's Ministry of Foreign Affairs, there are about 120,000 Christian Arabs in Israel.

Guez's art draws heavily on the Christian Palestinian Archive, an electronic database he started that catalogs photographs, passports, birth certificates and other documents from the community's history. It started out as a family archive but quickly snowballed to include members of the Palestinian Christian diaspora throughout the world, he says.

"I started thinking, 'Why don't we as a community have our own archive, when almost every culture around the world has one?' " he says. "Obviously, it's because of political reasons. A lot of Christians around the Middle East don't want to build an archive because it will be interpreted as a political act of separation."

Read more: Oman's love for the arts

Omar Al-Qattan, secretary of the board of trustees behind the Mosaic Rooms, said Guez's personal background informed his work.

"He is the product of two conflicting realities -- the creation of the state of Israel which made it possible for his father's Jewish Tunisian family to immigrate to Israel and the dispossession of his mother's family," he says.

Guez's focus on the fate of the region's minorities was particularly poignant "in a time of great sectarian tension -- in Egypt, Syria, Iraq and quite possibly elsewhere," Al-Qattan says.

Guez says his work had provoked strong reactions in Israel. "Some of them are very supportive, but a lot of them are like, 'You're a traitor -- why should a museum in Israel show the narrative of Palestinians?' " he says.

"I think that's a part of the dialogue with audience. I would have been surprised if it was received quietly -- not that I think of what I do as something provocative. I don't."

Rather, he says, his work is about asking "what is nationality" and "creating a community through individual voices."

"I think that what unifies people is a will," he says, adding that there are "many different voices within what we call Palestine. I think that's something that's very important to remember."

@highlight

Dor Guez is an artist who has dedicated himself to telling the story of Palestinian Christian communities

@highlight

He has launched a Christian Palestinian Archive which he draws on heavily for his work

@highlight

He says the community negotiates its identity against Jewish Israelis and Muslim Arabs