(CNN) -- Unprotected sexual behavior among men who have sex with men has risen steadily since 2005, according to a report from the Centers for Disease Control, released just before World AIDS Day.

The data, drawn from the National HIV Health Behavior Surveillance System, indicated a rise in unprotected anal intercourse by 20% in a one-year period and were seen by some as a call to arms.

Does this mean gay men are no longer worried about HIV? Many health commissioners and policy-makers on both the local and national levels, old-school activists, fellow academics and researchers and reporters used these data to augment their argument that HIV is no longer an issue of concern for gay men, whose primary route of transmission is unprotected anal sex.

It has been suggested that gay men, especially young gay men, no longer fear contracting the disease, that AIDS is perceived as an easily managed chronic condition and that infection holds little consequence for those newly diagnosed. And then the "blame game" begins, which does nothing to help deal with the issue.

Interactive: World AIDS Day 2013

The reality is that some of my peers and members of my own generation, the AIDS Generation -- those of us who lived through the most dismal and darkest moments of AIDS epidemic in the 1980s and 1990s, prior to the implementation of effective therapies in 1996 -- also expressed similar horror when I interviewed them for my book last year.

In fact, this very issue -- that of finger-pointing and assignment of blame and shame to gay men -- came through very clearly in the voices of the men during the course of our conversations and interviews.

What came across from most of these 15 men reflected many emotions including concern, confusion and anger.

But mostly what was obvious was a voice of disbelief among these men who became infected at time when we knew little about HIV/AIDS and who find it unfathomable that young gay men would place themselves at risk, given all that we know about the disease and its transmission three decades later.

I often pushed back in these interviews to help these older men, the elder statesmen of the gay population, develop some more compassion about the lives and experiences of young gay men.

For the past decade, I have been undertaking bio-behavioral studies of risk and resilience with young and emerging adult gay men. These studies include assessments of sexual behaviors and HIV testing.

More than 30 years on, slow-motion AIDS catastrophe continues

And what is clear to me and my team at the Center for Health, Identity, Behavior and Prevention Studies is this: The notion that young men do not fear HIV nor are worried about HIV is a myth that needs to be dispelled. It undermines the lives and struggles of a new generation of gay men trying to make their places in the world and coming of age in this, the fourth decade of AIDS.

It is obvious that the AIDS epidemic of my generation -- the loss and confusion and devastation that we witnessed for some two decades -- is not the same AIDS epidemic for new generation of young gay men. And for that I am eternally grateful.

I am relieved that these young men will not have to experience the loss and death and trauma that we experienced, I am comforted in the fact that there are effective treatments available to help maintain their infection, and I am joyful every time another state enacts marriage equality, which puts our loving relationships on equal footing with heterosexual couples.

The current state of affairs just makes the lives of a new generation of gay men different from those of the AIDS Generation, and we should celebrate that -- not let our anger, and the trauma and grief created by our own experiences, tarnish the progress we have made.

But mostly, I am not in any position to judge the choices these men make about their sexual behaviors. The truth is that HIV is no longer a death sentence, and to expect a new generation of gay men to perceive it in that manner is unreasonable, unwarranted and unrealistic and seems to be dictated by anger on the part of some that HIV is no longer front and center in the minds of many young gay men -- or older gay men, either.

Bill Gates: Where to put the smart money to end AIDS

The disease may not be front and center -- it may not be the primary presenting problem faced by young gay men, as it was for me at age 18 in 1981 -- but it is a concern. However, it's a concern that must be spoken about and dealt with differently for this "new" AIDS generation.

In the end, a major tool we have in our arsenal in the fight against HIV rests in our own experiences. The artificial divide that exists between my generation, the AIDS Generation, and new generation of gay men must be bridged.

As we emerge into these later stages of life, perhaps battle-scarred from 30 years of living through the AIDS crisis, we also have an obligation to act as mentors to a new generation of young gay men and share our stories of survival and resilience, as we learned from the generation that preceded us and lived through the Stonewall Riots and the onset of gay liberation.

If we want to truly protect young gay men from HIV, we must share our life experiences and struggles openly and honesty, and we must release our judgments and biases about their lives and loves in a new and very different culture and world. Together, as one group, older and young, positive and negative, we can battle the true enemy: the virus that has plagued us for way too long.

Opinion: Wrong time to reverse course on HIV/AIDS

The opinions expressed are solely those of Perry Halkitis.

@highlight

A new report shows that unprotected sex between men is on the rise

@highlight

Some have surmised younger gay men aren't concerned about HIV

@highlight

An "artificial divide" between generations must be bridged, Perry Halkitis says