Washington (CNN) -- Less than 48 hours before primaries in Arizona and Michigan, Mitt Romney received a key endorsement from Arizona's governor Sunday while his current main challenger, Rick Santorum, appeared to downplay his own chances of winning in the Grand Canyon State.

The two are leading the pack in the Republican presidential campaign that includes former House Speaker Newt Gingrich and Texas Rep. Ron Paul as it heads into a series of crucial contests in coming weeks, including Super Tuesday on March 6 when 437 delegates from 10 states will be at stake.

Michigan is emerging as a showdown between Romney and Santorum, with the outcome expected to significantly impact the campaign.

If Romney comes from behind in the polls to win the state considered home turf where his father was governor, he will cement his status as the lone front-runner and presumptive nominee.

A Santorum victory would raise further questions about Romney's ability to attract broad conservative support in the primaries or against President Barack Obama in November's general election.

The latest polls from Michigan and Arizona put Romney and Santorum in a virtual tie in both states, but the trends show Romney increasing his support as Tuesday's primary approaches.

Arizona Gov. Jan Brewer, a tea party conservative known for legal and public clashes with Obama over immigration policy, announced her endorsement of Romney on NBC's "Meet the Press" program Sunday.

"I think he has that pro-business background and he has that political history that I think he would serve America the best of all the candidates," Brewer said, adding that Romney also has the best chance of defeating Obama in November.

Santorum cited negative ads by the Romney campaign and super PAC supporters for the tightening poll numbers, and he sounded resigned to a second-place finish in Arizona.

"That's another tough state for us," Santorum told the NBC program. "Demographically, it doesn't work quite as well for us as maybe some other states."

Regardless, he said, the results of Tuesday's primaries would show the Republican nomination was down to a two-person race pitting him against Romney.

Santorum and Gingrich are vying to be the main conservative challenger against the more moderate Romney. Gingrich is banking on a strong Super Tuesday performance in the Southern states of Georgia, which represented in Congress, and neighboring Tennessee to revitalize his flagging campaign.

In his push for conservative support, Gingrich warned Sunday in remarks at a Georgia church that liberal elitism was threatening the country.

"You have elites in the bureaucracy, elites in the judgeship, frankly elites in the news media, elites in the academic world, and elites in politics -- and they would all like to impose on us an America that none of us believe in," Gingrich said.

Paul, the libertarian champion who has a devoted but limited support base among mostly young followers, has waged a strategic campaign aimed at accumulating delegates so he can assert influence at the Republican convention in August.

So far, Romney's advantage in money and organization have helped him fend off challenges from a succession of Republican contenders.

On Sunday, Romney surrogates appeared on talk shows to boost his chances ahead of the upcoming contests.

New Jersey Gov. Chris Christie, a strong Romney backer, declared on the CBS program "Face the Nation" that "Rick Santorum's not going to be the nominee," while Arizona Sen. John McCain told CNN's "State of the Union" that he was "confident Mitt will do well on Tuesday night in Arizona and in Michigan and hopefully that will move this process forward so we can concentrate on the real adversary."

Another veteran Senate Republican, Lindsey Graham of South Carolina, also told the CNN program that he expects Romney to win both states on Tuesday.

While Graham has yet to endorse a candidate, he praised Romney for "getting better and better" throughout the campaign season.

"Romney really has sharpened his skills, and I think that will pay dividends if he gets the nomination," Graham said.

Meanwhile, the senior adviser to Obama's re-election campaign did his best Sunday to encourage a drawn-out Republican nomination process.

Former White House Press Secretary Robert Gibbs, now advising Obama's campaign, told CNN that Santorum has a "legitimate chance" to become the GOP nominee and described the former Pennsylvania senator as a candidate with blue-collar appeal who is "clearly somebody who has a very different economic background than Mitt Romney."

Predicting Tuesday's contests in Michigan and Arizona will not be a "clarifying event," Gibbs said he expects the primary to go on for "weeks and weeks."

A tea party group also sought to boost Santorum's candidacy Sunday, urging Michigan conservatives to donate money and back Santorum even if they support Gingrich in order to damage Romney's chances.

"No matter who your preferred candidate might be down the road, if you want to stop Mitt Romney, Rick Santorum needs to stop Romney in Michigan," said an appeal from the Freedom's Defense Fund. "We're trying to make sure that happens."

Romney did a rare talk show appearance on "Fox News Sunday" in which he defended his stance against the auto industry bailout in 2008 and also parried questions about what critics call his inability as a wealthy businessman to connect with working-class Americans such as tea party conservatives.

Last week, Romney's comment that his family owns several cars kept at different residences, including two Cadillacs driven by his wife, came under media scrutiny.

"You know, I can't be perfect. I just am who I am," Romney said on the Fox program, later adding: "If people think that there is something wrong with being successful in America, then they better vote for the other guy, because I've been extraordinarily successful and I want to use that success and that know-how to help the American people."

Romney also pushed back against critics of his opposition to the government bailout of the auto industry when the recession hit in 2008. Democrats and their labor union supporters have highlighted the Romney stance in Michigan, saying he would have turned his back on workers in a time of need.

To Romney, the issue is about government fiscal intervention in a market-driven industry.

"You've seen all sorts of businesses go in bankruptcy. And they come out and are stronger," Romney said on Fox. "This is not the first time that an industry or a company has been in trouble."

He said he opposed "writing checks" when auto industry leaders asked for help, instead of forcing them into what he called a managed bankruptcy and then helping them recover.

"After bankruptcy, that was the time to give them the financial support, the guarantees to provide the help to get them out of bankruptcy," Romney added. "That's the way it would have been done best."

However, Romney didn't directly respond when asked if his plan would have forced the automakers into a more severe form of bankruptcy that would have resulted in greater job losses and a more difficult recovery.

Santorum went after Romney on the auto bailout issue, saying the former Massachusetts governor was ideologically inconsistent because he had supported the government bailout of Wall Street firms but opposed the help for the auto industry.

"Mitt Romney supported his friends on Wall Street and then turned his back on the people of Detroit," Santorum told the ABC program "This Week with George Stephanopoulos." "Now I say turned his back because he supports the concept of bailouts. I don't. And that's the difference between the two approaches."

Santorum also continued to wrestle with the increased attention to his campaign since he surged to the top of polls in recent weeks following his sweep of contests in Minnesota, Missouri and Colorado earlier this month.

In his appearances on ABC and NBC, he was questioned about comments last week that challenged Obama's push for students to attend college and the call more than 50 years ago by former President John F. Kennedy -- the nation's first Roman Catholic president -- for an absolute separation of church and state.

On ABC, Santorum said the Kennedy speech -- which sought to ease concerns about his faith interfering with his ability to govern -- made him sick.

"What kind of country do we live that says only people of non-faith can come into the public square and make their case?" Santorum said in seeking to link his interpretation of the Kennedy speech with his criticism of the Obama administration for what he calls impeding on religious freedom.

"That makes me throw up and it should make every American who has seen from the president, someone who is now trying to tell people of faith that you will do what the government says, we are going to impose our values on you," Santorum said, later adding that imposition of government values was "the next logical step when people of faith, at least according to John Kennedy, have no role in the public square."

On higher education, Santorum was asked about declaring calling Obama a snob for advocating that all American students go to college if possible.

After first responding on ABC that not everyone wants or needs a college education to succeed, noting that a trade school or a music career were examples of alternative options, Santorum characterized the majority of U.S. colleges and universities as liberal-biased institutions that are biased against conservative thinkers and religious believers.

"We have some real problems at our college campuses with political correctness, with an ideology that is forced upon people who, you know, who may not agree with the politically correct left doctrine," Santorum said. "And one of the things that I've spoken out on and will continue to speak out is to make sure that conservative and more mainstream, commonsense conservative and principles that have made this country great are reflected in our college courses and with college professors. And at many, many, and I would argue most institutions in this country, that simply isn't the case."

Some Republicans have warned that such strident conservative rhetoric would hurt the party's cause in the general election against Obama, when the GOP nominee will need the support of independents to win.

Christie took that stance Sunday, telling the CBS program that he believed declaring Obama a snob over the higher education issue was "probably over the line."

He also criticized Santorum for what he called "naked opportunism" in questioning Romney's conservative credentials, noting Santorum endorsed Romney in 2008.

CNN's Dana Bash, Ashley Killough and Rachel Streitfeld contributed to this report.

@highlight

NEW: Newt Gingrich warns that liberal elitism threatens the United States

@highlight

Mitt Romney gets a key endorsement from Arizona's conservative governor

@highlight

Rick Santorum appears to downplay his chances in Tuesday's Arizona primary

@highlight

The outcome of the Michigan primary will significantly impact the Republican race