(CNN) -- Luci Baines Johnson was just 16 years old when she approached her father, President Johnson, with what she considered a reasonable request.

Luci Baines Johnson, left, and her older sister, Lynda Bird, pose inside the White House in 1963.

"I asked my father if we could have the Beatles come to play at the White House," she recalled. "I was very excited about it."

His response? A decisive no, "without even any moment of trying to soften the blow," Johnson said in a recent phone interview.

The president thought the move would be viewed as self-serving. His daughter, however, saw it as a chance to honor "a great talent" and strengthen ties between the United States and Great Britain -- not to mention a golden opportunity for her and her friends.

"I could see how different sets of folks could have either perspective. And I suspect my father could see that too," she said.

Luci Baines Johnson learned quickly of the scrutiny that came from being a first daughter. Her family moved into the White House in 1963, following the assassination of President John F. Kennedy.

Johnson was catapulted into the exclusive fraternity of White House families and embraced what she describes as a role she landed simply by chance. That fraternity has most recently expanded to include President Obama's daughters, Sasha and Malia.

"I was an eyewitness to history, over and over, during my father's five years in the White House. And I wasn't elected to that option. I had no qualifications that provided me that privilege except an accident of birth," she said.  See famous first kids who grew up in the White House »

Johnson speaks fondly of the opportunity she was afforded to dine with kings and queens, meet the movers and shakers of her time, engage with the body of America and hold a front-row seat to history. While most of her memories fall into two categories -- "the fond personal memories" and "the fond memories of public privilege" -- there's one in particular that was a combination of both.

"My 17th birthday, I received a handwritten note from my father, the only handwritten note I have, telling me how much he loves me and how much he has delighted in having me as his daughter for all those 17 years," she said.

The note was dated noon, July 2, 1964.

Six hours later, in the East Room of the White House, Lyndon Johnson signed the Civil Rights Act of 1964, which banned discrimination based on race or gender in public places, schools and places of employment.

"Can you imagine ever receiving a more momentous, glorious, exciting, thrilling birthday present that lasted forever and ever than something like that, that would change the world for all time and make it a much more decent place? That took place on my birthday," she said.

Life in the White House, however, came at a cost. Johnson and the first children before and after her will always have to "pay a big price in terms of personal time," she said. More than 45 years after she moved into the White House, she still receives requests for interviews about the time she spent there.

But the public's interest in first daughters is nothing new. Fanny Hayes, for example, who was about the same age as Malia when she moved into the White House in 1877, was followed by the media until the day she died. "She was an American celebrity," said presidential historian Doug Wead.

While the interest in first daughters has stayed steady, the pressure on the children has intensified, said Wead, author of "All the Presidents' Children: Triumph and Tragedy in the Lives of America's First Families."

"It's like the Miss America contest -- it's a real dilemma for the daughter of a president. She's supposed to be gracious. She's mocked and ridiculed if she isn't pretty," he said.

When Chelsea Clinton was just 13 years old, for example, she was ridiculed in a 1993 "Saturday Night Live" sketch that declared her "not a babe." Actor Mike Myers later apologized, and the skit was cut from replays of the show.

Amy Carter, who was 9 when she moved into the White House, was also mocked for her appearance and for her poor manners, after she pulled out a book during a state dinner. Her parents enrolled her in public school, illuminating the already bright spotlight on her. An infamous photograph of her first day at school shows the young girl with her head hanging low, carrying a Snoopy book bag and surrounded by a swarm of paparazzi.

To this date, no other presidential children have attended public school.

But other presidential children have taken on power roles in their fathers' administrations. Anna Roosevelt, for example, was a "super aide" to Franklin D. Roosevelt during his last year in office, Wead said, describing her as a combination of a personal secretary and chief of staff, not to mention popular in the public eye.

And Alice Roosevelt, a fashion icon who was known to have quite the rebellious streak, also played a pivotal role for her father, Theodore Roosevelt. She went on an around-the-world junket for the purposes of American foreign policy -- a move that diverted attention from her father's efforts to bring about a peace treaty in the Russo-Japanese War, Wead said. The president later won a Nobel Peace Prize for his work on various peace treaties.

Under the administration that followed, William Taft's daughter became one of the unsung heroes of women's rights, Wead said. Taft credited his daughter, Helen, for helping to change his mind about women's suffrage.

But for all presidential children, Wead said, there remains a lifelong battle of seeking approval from their fathers while struggling to carve their own identities. Many presidential daughters have gone on to author books about their time in White House, in what Wead describes as an attempt to restore their fathers' reputations.

"It's like sitting in front of a big window ... and seeing a billboard with misspelled words on it. It's just irritating," he said. "And the writing of a book, if it doesn't change history, it is a purifying experience for the child."

Susan Ford Bales once told the San Francisco Chronicle that while in the White House, "I kept thinking, I want to be normal. But I can't be normal. .... Everyone was watching. It was like living out loud."

But Ford also cashed in on some of the perks of her high-profile position and took Alice Roosevelt's advice to "have one hell of a good time." Ford roller-skated through the White House, held her prom in the East Room and scored VIP treatment at concerts -- including a backstage pass to see Rod Stewart. (That move ignited the public's interest in her, sparking rumors that she and Stewart were engaged.)

Johnson said that some of the best advice she received while in the White House was to just recognize that she couldn't change things or make the attention go away.

"There are inevitably going to be moments when you feel like the pressures of the goldfish bowl seem unfair or more than you can bear, but so are the opportunities to learn, to understand, to grow, to love, to make friends, to witness," she said.

"I describe it as the best of times and sometimes the worst of times, but whatever the times, it was a time of extraordinary privilege."

@highlight

Luci Johnson describes being a first daughter as an "extraordinary privilege"

@highlight

It was "the best of times and sometimes the worst of times," she says

@highlight

First daughters often followed by media for remainder of their lives

@highlight

The pressure on first daughters has intensified over the years, historian says