Washington (CNN) -- President Obama met with the Dalai Lama -- the exiled Tibetan spiritual leader -- at the White House on Thursday despite strong objections from Chinese government officials.

The meeting has the potential to further complicate Sino-U.S. tensions, which have been rising in recent months. China has warned it would damage Beijing's ties to Washington.

"The Chinese side expresses strong dissatisfaction and resolute opposition to this meeting," a spokesman for China's Foreign Ministry said in a statement afterward. "China demands the U.S. seriously consider China's stance, immediately adopt measures to wipe out the adverse impact, [and] stop conniving and supporting anti-China separatist forces."

The Dalai Lama has said he favors genuine autonomy for Tibetans, not independence for Tibet. Beijing regards the Nobel Peace Prize laureate as a dangerous "separatist" who wishes to sever Tibet from China.

Obama's meeting with the Dalai Lama "runs against the repeated commitments by the U.S. government that the U.S. recognizes Tibet as part of China and gives no support to 'Tibet independence,' " Chinese Foreign Ministry spokesman Ma Zhaoxu said.

During the meeting, Obama stressed his "strong support for the preservation of Tibet's unique religious, cultural and linguistic identity and the protection of human rights for Tibetans," according to a White House statement.

The president praised the Dalai Lama's "commitment to nonviolence and his pursuit of dialogue with the Chinese government," the statement added. He also stressed the importance of having both sides "engage in direct dialogue to resolve differences, and was pleased to hear about the recent resumption of talks," it noted.

The Dalai Lama, while acknowledging that he raised concerns about Tibet during the meeting, did not provide further specifics about his home region's political situation while addressing reporters.

He said he admired America as a "champion of democracy and ... freedom," and he cited the need to promote "religious harmony" and "human value."

He also met with Secretary of State Hillary Clinton.

The meeting between the Dalai Lama and Obama could "seriously undermine the Sino-U.S. political relations," Zhu Weiqun, a senior Communist Party leader in charge of ethnic and religious affairs, warned recently.

"We will take corresponding action to make relevant countries see their mistakes."

On Thursday, China's Foreign Ministry spokesman said the meeting "grossly violated the norms governing ... international relations."

Obama did not meet with the Dalai Lama when the spiritual leader visited Washington in autumn, making it the first time since 1991 that such a meeting did not occur. Ahead of a summit with Chinese President Hu Jintao, Obama persuaded Tibetan representatives back then to postpone the meeting with the Dalai Lama.

Thursday's encounter took place against the backdrop of several contentious issues already threatening to sour the relationship between America and China, including trade disputes, a recent U.S. arms sales deal for Taiwan -- which China considers an illegitimate breakaway province -- and a censorship fight over Internet search engine Google Inc.

The meeting is "another event in the recent, one has to say, downward spiral in U.S.-China relations," China scholar David Shambaugh said.

It's also troublesome for the Chinese for one other important reason, Shambaugh said.

"He could have met him as a spiritual leader in a neutral place like a church," he said. But receiving him in the White House "is a political act. And that is going to irritate China very much."

The meeting did not take place in the formal, official setting of the Oval Office. It was instead held in the White House Map Room, which is considered part of the presidential residence. The choice of settings was considered by many observers to be a sign of Washington's acknowledgment of Beijing's political sensitivities.

Some analysts said the Chinese government could retaliate by cutting off political exchanges as it did after the Dalai Lama met with the heads of state of France and Germany. And Hu could turn down an invitation to visit Washington in April.

Neither China nor the United States can afford strained relations, said Douglas Paal, a diplomat and investment banker who has served as a presidential adviser on China.

"We both need each other," he said. "We need each other for a number of international security issues -- to deal with the global climate crisis, to deal with the global financial crisis."

Poll: Most Americans favor Tibetan independence

China is the largest-growing export market for U.S. companies, Paal said, expanding by 65 percent last year alone.

Nearly three-quarters of all Americans think that Tibet should be an independent country, according to a national CNN/Opinion Research Corporation poll.

But the survey, released Thursday, also indicates that most Americans think it is more important to maintain good relations with China than to take a stand on Tibet.

CNN's Emily Chang, Jill Dougherty, Jaime FlorCruz, Paul Steinhauser and Alan Silverleib contributed to this report.

@highlight

NEW: China "expresses strong dissatisfaction," Foreign Ministry spokesman says

@highlight

Dalai Lama is a Nobel Peace Prize laureate; Beijing regards him as a dangerous "separatist"

@highlight

Pair meet in White House Map Room, a choice some say is a bow to Beijing's sensitivities

@highlight

Analyst: U.S., China "need each other" to deal with global security, financial, climate issues