(CNN) -- A recent report from the U.S. National Oceanic and Atmospheric Administration provides hard data that the first six months of 2012 were the hottest since records began being kept in 1895.

According to NOAA: "The January-June period was the warmest first half of any year on record for the contiguous United States. The national temperature of 52.9Â°F was 4.5Â°F above the 20th century average."

While those of us who work in the field of environmental policy and sustainability management believe that human-induced climate change is partially responsible for these trends, let's ignore for a moment the causes of this problem and start thinking about what to do about the impact of extreme weather events.

Not only does NOAA report that we are experiencing more extreme weather events, but the UN's Internal Displacement Monitoring System reports that those events are having a greater impact than ever before. This is because the planet has more people than it used to. When I was growing up in the 1960s, we had about three billion people living on Earth. Today, we have more than seven billion.

People are living in places they did not live in before, and some of the places that we live are quite vulnerable to destructive weather. Additionally, with over half the planet residing in cities, we are living under conditions of higher population density. This means that when floods, fires, winds and earthquakes hit, more people are in harm's way.

Extreme weather: Expect to see more of it, scientists say

Even if the storms were not getting more intense, our growing population and patterns of development would guarantee that the costs of weather-related damage will continue to grow.

We see the impact of new patterns of land use out West where wildfires have been raging for weeks. Many of the homes that have been lost recently are in places where people didn't live a century ago.

In the beach community where I have a summer home on the south shore of Long Island, people are now building lavish homes close to the beach. In the old days, homes were built farther from the ocean to reduce the odds of damage from storms. We seem to think we are invulnerable to the forces of nature, at least until we learn the hard way that even modern buildings can be destroyed by storms, fires and earthquakes.

Think it's hot? Imagine living here

The policy implications of these trends are obvious.

We should pay more attention to natural processes when we decide where to build our homes, businesses and infrastructure. Here in New York, the parkways we built by streams and rivers flood and must be closed during many storms. (Commuters who drive on the Bronx River Parkway and the Saw Mill River Parkway know what I mean.)

We need to devote more public resources to pay for emergency response and reconstruction from weather-related catastrophes. In fact, we should no longer deal with these events as if they are emergencies, but start to see them as routine events, requiring standard, programmed responses. This includes setting aside funds for fires and floods each year, just as Northern cities budget for blizzard clean-up.

Extreme heat in your area? Share with us on CNN iReport

We will also need to require homeowners and businesses to purchase higher levels of insurance coverage for weather-related damage. In this era when people seek smaller government and lower taxes, private insurance will be needed to pay the costs of reconstruction.

These proposals and analyses do not require you to agree with the compelling scientific evidence that human activity is producing climate change. It could simply be a coincidence that the past six months were the hottest months on record.

On the other hand, even if you are not one of the more than 100 Ph.D. level climate scientists that work at Columbia University's Earth Institute and even if you do not understand the physics of climate change or the computer models predicting global warming, common sense alone might lead you to think that human beings and their machines are making the planet warmer.

News: Wildfire victims face more than one tragedy

If you doubt me, come to midtown Manhattan during an August heat wave and feel the blast of hot air from vents on buildings and the street. Feel the heat generated by the engines of a truck or car traveling down Broadway, and just multiply it by a billion, which according to Ward's Auto, is the number of motor vehicles now on the roads of our planet. Do you really think all these machines have no impact on this planet's resilient but still fragile ecosphere?

I do not want to turn off these machines. I like air conditioning, autos and digital media as much as anyone. But a prudent response to the extreme weather we are already experiencing would be to be to see it as a warning. We need to accelerate the transition to a sustainable, renewable economy. We need to build our communities' capacities to predict and respond to weather emergencies and to rebuild after they are over.

The opinions expressed in this commentary are solely those of Steven Cohen.

@highlight

NOAA reports the past 12 months were the hottest since record-keeping began

@highlight

Steven Cohen says effects of extreme weather are indisputable, whatever the cause

@highlight

More and more people live in places especially vulnerable to rough weather, he says

@highlight

Cohen: Government and industry must prepare for the inevitability of weather disasters