(CNN) -- It goes on every day, in every county in the United States.

It's absolutely free.

Usually there's no wait to get in.

And it can be as compelling as anything on television.

The Florida trial in which George Zimmerman stands accused of murdering Trayvon Martin is attracting large TV audiences. The O.J. Simpson trial got the country accustomed to watching high-profile court proceedings gavel-to-gavel; the trial of Jodi Arias drew big ratings before the Zimmerman trial.

Viewers return because they find the events almost hypnotic: something that thoroughly captures their attention.

But one of the so-omnipresent-that-we-seldom-think-about-it facts of American life is just how much human intrigue, how much tension, how much weakness and heroism and sadness and triumph are on continuous and ever-changing display in multiple and seemingly mundane settings all over the country, each day of the workweek.

And how relatively few people choose to sit in the first-come, first-served seats and take it all in.

The courtrooms of this nation, both criminal and civil, are bright stages upon which the theater of murder, deceit, heartbreak and duplicity are played out in excruciating and breathtaking detail.

In Zimmerman's trial, it's a jury of millions

If you're of a mind to, you can find on those stages narratives as spellbinding as any murder mystery in a bookstore or any crime drama in a movie theater. As a citizen, you can immerse yourself in the tale, day after day.

You have to have a little spare time on your hands -- maybe a few days away from work -- and you have to choose a case that most interests you from among the many that are going on at the same moment in the courthouse in your community. The clerk's office will have a calendar of the day's trials, and court employees can be helpful in explaining to you what is transpiring in the various rooms. Trials tend to have ebbs and flows, and there will be times when you have to be willing to sit through lulls.

But you will view and hear things more enthralling, more disturbing, more enlightening and more repellent than you might ever have imagined.

As a citizen in the seats, you will almost inevitably find yourself becoming a part of the cast of characters of the courtroom. A tangential part, to be sure. But after a few days the attorneys will begin to recognize you, as will the defendants, and the judge, and the bailiffs. You may begin to feel something close to a responsibility to show up -- a responsibility to yourself, not to miss a minute of the story you have started to follow.

Why don't more people, especially those who have the time, avail themselves of this opportunity?

Perhaps because they seldom stop to think it's there. When a big trial makes it to TV, the assumption is that it has some special quality to attract that spotlight.

That may be partially true. But although the sensational trials draw audiences because they're on television, there is so much to see and feel in the courtrooms of even the smallest cities and towns. The matters that bring people to trial -- whether acts of shattering violence, double-dealing in business transactions, any of the hundreds of variations of robbery and theft -- find their way to virtually every crossroads, and thus eventually into virtually every courthouse.

Mom vs. mom in the Zimmerman trial

You can be captivated by just how skilled some attorneys are -- and surprised by just how ill-prepared some others are. You'll study the judge -- his or her shifting moods -- as if he or she is the protagonist in a paperback potboiler. You'll make eye contact with the defendants and the jury members.

And there is nothing quite like the moment when that jury returns with its verdict. This is a country that somehow becomes giddy when two singers face off in a televised talent contest, and one goes on to the next round while the other goes home. That feeling pales compared to the sensation of sitting in a courtroom, your vital signs kicking into a higher gear as the judge asks the foreman if there is a decision, and the seconds drag on before the words are read aloud.

The best part of the experience is that it's not taking place on a cold screen in front of millions of distant, unseen viewers -- it is unfolding a few feet from your eyes. Most cases, even in medium-sized towns, aren't covered by the local newspapers; there are just too many courtrooms for that.

But the curtain rises every morning, in public buildings everywhere in the U.S.

And, beyond the raw fascination of what goes on, there is another, much more vital, reason to attend:

Because someone should bear witness.

Because this is American justice, carried out in all of our names.

And anyone who cares to be there is always cordially invited.

The opinions in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Zimmerman trial riveting, but why limit yourself to TV trials?

@highlight

He says in county and local courtrooms across U.S., trials constantly on display. Go watch!

@highlight

He says subjects are murder, robbery, financial shenanigans; it's free, tense, fascinating

@highlight

Greene: Beyond that, it's American justice carried out for us all; important to bear witness