Washington (CNN) -- President Barack Obama hailed steps forward for gay, lesbians and transgendered people on Thursday, asserting this community's fight for rights has reached a "turning point."

"We've becoming not just more accepting, we've become more loving as a country and as a people," he said. "Hearts and minds change with time; laws do, too."

His sense of satisfaction and optimism -- voiced at a White House gathering to mark Lesbian, Gay, Bisexual, and Transgender Pride Month -- follows milestone on gay marriage, the inclusion of openly gay U.S. military service members and boosting health insurance access for same-sex partners.

But as the president himself acknowledged, obstacles remain. So, too, do frustrations among some gays and lesbians who have been steadfast Obama supporters but had hoped for even more action during his first five years in office.

A CNN analysis of Obama's biggest fundraisers, known as bundlers, during the 2012 election cycle showed that at least 33 -- or about one in every 16 -- was openly gay. Together, they raised at least $8 million for the campaign between January and the end of March of last year.

Even with that backing, some have challenged the president over what they see as delays in implementing such promises as an executive order that would ban federal contractors from discrimination based on sexual orientation and gender identity.

That irritation erupted during a recent Democratic National Committee fundraiser when Ellen Sturtz of the gay rights group GetEQUAL heckled first lady Michelle Obama.

"I had planned to speak tonight with DNC officials but, as the First Lady was talking about our children's future and ensuring that they have everything they need to live happy and productive lives, I simply couldn't stay silent any longer," Sturtz said in a statement.

"I'm looking ahead at a generation of young people who could live full, honest, and open lives with the stroke of the president's pen, and I was hoping that the first lady would share my concern for all of our young people," Sturtz said.

Disappointment 'Obama 'hasn't moved quickly enough'

Both the president and the nation have evolved on the issue of gay rights.

As a presidential candidate in 2008, Obama enjoyed rock star status among the gay and lesbian community. High-profile, openly gay figures such as musician Melissa Etheridge and DreamWorks SKG mogul David Geffen joined a grassroots army of supporters at campaign rallies.

Once in the Oval Office, Obama's efforts at pressing the case for gay rights were more muted, activists said. Some in the community felt betrayed and thought the repeal of the military's "don't ask, don't tell" policy and his evolution on marriage took too long.

Obama tries to reset with gay community

But some saw hope in the repeal of "don't ask, don't tell," the ban on openly gay and lesbian members serving in the forces, Obama's biggest accomplishment in the gay rights cause.

Administration criticism of a measure in North Carolina last year that banned same-sex marriage and made civil unions illegal and a similar Minnesota proposal also boosted the community's confidence that Obama would help further their cause.

"By and large the LGBT community is quite pleased with what President Barack Obama has done, but there is no doubt that some are disappointed that he hasn't moved quickly enough on certain issues," said Craig Rimmerman, professor of public policy and political science at Hobart and William Smith Colleges and author of "From Identity to Politics: The Lesbian and Gay Movements in the United States."

Obama: 'America can change'

During his inaugural address this year, the president placed the gay community's struggle for equality alongside similar civil rights fights by women and African-Americans.

"Our journey is not complete until our gay brothers and sisters are treated like anyone else under the law, for if we are truly created equal, then surely the love we commit to one another must be equal, as well," Obama said in his address after being sworn in.

The president and the nation have evolved on same-sex marriage

Engaging, pushing and chiding the president doesn't take away from the appreciation for what the administration has done for the gay rights community, said Evan Wolfson, president of the non-partisan Freedom to Marry organization.

The gay rights community will be watching closely to see if Obama follows through on a promise to sign an executive order banning federal contractors from discriminating based on sexual orientation and gender identity.

And, should the U.S. Supreme Court decide gays and lesbian couples have a fundamental constitutional right to wed, the gay rights community will be looking to the Obama administration to act quickly to look at federal programs and make sure all couples are treated equally, Wolfson said.

"There is enormous support pride and appreciation for the president's extraordinary leadership and eloquent advocacy in ending discrimination against gay people," Wolfson said. "The president himself has noted there remains an enormous amount to be done to end legal decimation and gay people and the millions of Americans want to see the president do more."

Obama said as much, admitting "we're not done yet" and pointing specifically to a Senate bill aimed at sexual orientation discrimination in the workplace.

At the same time, he expressed confidence that the movement -- even in a capital oft defined by gridlock -- is in what he feels is a positive direction.

"Don't tell me that things can't happen when we put our minds to them," he said. "The genius of America is that America can change."

CNN's Greg Botelho and Jen Christensen contributed to this report.

@highlight

NEW: Talking about gay rights, President Obama says ''America can change'

@highlight

NEW: He touts achievements for gays and lesbians, admits there's more to be done

@highlight

Administration's repeal of "don't ask, don't tell" and support in other areas seen as promising

@highlight

But some in LGBT community are frustrated he hasn't acted quickly enough