(CNN) -- He grew up constantly on the move, the son of parents who were in the theater business in Australia.

His mother and his stepfather say from an early age, Julian Assange has been driven by a sense of fighting for justice.

Now, that battle applies to himself as well. Assange, the 40-year-old founder and public face of the website WikiLeaks, lost his battle Wednesday to stay in the United Kingdom and avoid extradition to Sweden to face questioning over sex charges.

"I have not been charged with any crime in any country," Assange noted.

It's the latest turn in a saga that has kept the often elusive, enigmatic figure in the international spotlight.

Since the summer of 2010, when WikiLeaks began releasing reams of classified U.S. intelligence documents, Assange has stoked the ire of top officials in the United States and around the world. Some want him and WikiLeaks punished for what they call irreparable damage to global security.

"WikiLeaks has ... ignored our requests not to release or disseminate any U.S. documents it may possess and has continued its well-established pattern of irresponsible, reckless, and frankly dangerous actions," U.S. State Department spokesman Victoria Nuland said in September.

Supporters contend Assange represents free speech at its finest. They say he is committed to outing injustices.

Assange himself has remained stalwart that the information WikiLeaks chooses to release serves the public by exposing truths about secretive government decisions.

Days ago, when WikiLeaks announced it was temporarily stopping publication to raise funds in order to stay afloat in the wake of a financial blockade by banks, Assange said, "If this financial attack stands unchallenged, a dangerous, oppressive and undemocratic precedent will have been set, the implications of which go far beyond WikiLeaks and its work."

His parents see the makings of his persona in his youth.

His mother, Christine, describes him as "highly intelligent."

He was just 16 when she bought him a Commodore 64 computer. It was 1987, and there were no websites. Assange attached a modem to his computer and began his journey through the growing world of computer networks.

"It's like chess," he once told New Yorker magazine. "Chess is very austere in that you don't have many rules, there is no randomness and the problem is very hard."

Though his mother raised him without any religious influence, she sensed that from a tender age, her son was led by a strong desire to do what he perceived as just.

"He was a lovely boy, very sensitive, good with animals, quiet and has a wicked sense of humor," she told the Melbourne, Australia, Herald Sun newspaper last year.

Brett Assange, who raised Julian from age one and gave him his surname, says he was "a very bright boy with a keen sense of right and wrong."

In an interview with CNN affiliate Seven News last year, he described his stepson as a "sharp kid who always fought for the underdog."

"Strangely enough, I always thought he would do something like this," Brett Assange said. "He was always very independent. And he certainly wouldn't take 'no' for an answer.

"He always stood up for the underdog. I remember that, like with his school friends. He was always very angry about people ganging up on other people. He had a really good sense of equality and equity."

Julian Assange would go on to study mathematics and physics at the University of Melbourne.

In interviews, his scientific precision shines through.

In a baritone voice, he speaks in measured pace, choosing each word carefully. He can be charming yet cagey about his private life and is rarely shaken by discussions of even the most controversial revelations on WikiLeaks.

He displays a broad range of interests, from computers to literature to his travels in Africa.

He's the kind of person who, he says, can hack into the most sophisticated computer system, but forget to show up for an interview, or cancel at the last minute.

Even when he walked out of a CNN interview last year after refusing to answer questions about the sex charges in Sweden, Assange remained cool and collected. He projected a stately demeanor helped by his profusion of gray hair -- which grew at an early age -- and an equally steely facial expression.

After his initial foray into computers as a teen, Assange delved into computer encryption and grew keen on computer security. He once relayed a story about how he set up an encryption puzzle based on the manipulation of prime numbers.

The New Yorker article, published last year, described how in 1991, Assange hacked into the master terminal of the telecom company Nortel, after which he developed a growing fear of arrest.

He had married and fathered a child when he was only 18, but the relationship fell apart and his wife left him, taking their infant son with her.

He was charged with 31 counts of hacking in Australia but in the end paid only a small sum in damages, according to the New Yorker.

The young hacker began to focus his attention away from network flaws to what he perceived as wrongdoings of governments.

In a 2007 blog post on IQ.org, he wrote:

"The whole universe or the structure that perceives it is a worthy opponent, but try as I may I can not escape the sound of suffering. Perhaps as an old man I will take great comfort in pottering around in a lab and gently talking to students in the summer evening and will accept suffering with insouciance. But not now; men in their prime, if they have convictions are tasked to act on them."

IQ.org is believed to be a blog created by Assange and is registered under the name "JA" by the same U.S. domain company as WikiLeaks. Its Australian postal address is also the same as a submissions address for WikiLeaks.

Driven by the conviction of an activist and the curiosity of a journalist, Assange founded WikiLeaks in 2006. He slept little and sometimes forgot to eat. He hired staff and enlisted the help of volunteers.

Always, he protected his sources, never discussing where information came from.

"People should understand that WikiLeaks has proven to be arguably the most trustworthy new source that exists, because we publish primary source material and analysis based on that primary source material," Assange told CNN. "Other organizations, with some exceptions, simply are not trustworthy."

Daniel Domscheit-Berg, a longtime volunteer and spokesman for WikiLeaks who quit his job last year, told CNN that Assange's personality was distracting from the group's original mission: to publish small leaks, not just huge, splashy ones like the Afghan War Diary.

Assange took issue.

"It is my role to be the lightning rod," Assange said. "That is a difficult role. On the other hand, I get undue credit."

Assange's mother told the Herald Sun that she feared her son had become "too smart for himself."

"I'm concerned it's gotten too big and the forces that he's challenging are too big," she said.

CNN's Moni Basu, Mia Aquino, Atika Shubert, Ashley Fantz, Paul Armstrong, Nick Thompson, and Josh Levs contributed to this report.

@highlight

"He always stood up for the underdog," Assange's stepfather says

@highlight

Assange's mother said she was concerned he had become "too smart for himself"

@highlight

The U.S. State Department recently slammed WikiLeak's "pattern of irresponsible," dangerous actions

@highlight

Assange: "It is my role to be the lightning rod"