Gaziantep, Turkey (CNN) -- For the past eight months, close to 300 U.S. soldiers have stood guard on a hillside overlooking one of Turkey's largest cities, scanning the skies for the threat of missiles fired from nearby Syria.

The American men and women, wearing full battle armor and helmets under the hot September sun, operate a series of Patriot missile launchers and radar stations, designed to hunt and shoot down incoming missiles.

Middle East reconfigured: Turkey vs. Iran vs. Saudi Arabia

It is a U.S. military "boots on the ground" deployment close to the Syrian border that has been largely overlooked during the furious debate in Washington over whether to attack the Syrian regime.

"We're protecting against any tactical ballistic missile or rocket attack that may come from the country of Syria," said Lt. Col. John Dawber, commander of the Patriot missile battalion originating from Fort Sill, Oklahoma.

"Our presence here is to deter such an attack, and if that attack does come, to defeat any attack on our asset."

The "asset" is Gaziantep, a fast-growing industrial city of 1.4 million inhabitants. This sprawling metropolis is about 30 miles from the Syrian border and barely a two-hour drive from the northern Syrian battlefield city of Aleppo, which has been the target of months of Syrian government airstrikes and Scud surface-to-surface missile attacks.

Late last year, at the request of the Turkish government, the U.S., Germany and the Netherlands agreed to send three Patriot missile battalions to their NATO ally, to protect the Turkish cities of Gaziantep, Adana and Kahramanmaras.

The decision was reached after a series of deadly cross-border incidents, during which the Turkish government accused Syrian government forces of killing Turkish citizens with artillery and small arms fire.

The possibility that chemical weapons were used on a massive scale in neighborhoods around Damascus last week has only escalated the potential threat along the border, especially after the Syrian government threatened retaliation against U.S. allies Turkey, Jordan and Israel if it was targeted by an American attack.

The U.S. troops stationed in Gaziantep say surface-to-surface missiles equipped with chemical warheads are weapons the Patriot missile systems are designed to combat.

"The nature of our branch (of the military), air defense artillery, is that there is always a chemical threat," said Capt. Tarik Jones, a native of Woodbridge, Virginia.

Lt. Col. Dawber added that the Patriot missiles' ability to destroy missiles armed with chemical weapons depended on many factors, including the quantity of poison on the warhead, the type of chemical agent and weather conditions.

But, he added, "I'm pretty sure we can mitigate most of that, if not all of that, based on certain conditions."

For laymen, Jones summed up the complicated advanced technology and physics behind the Patriot system with a Nintendo video game analogy. He called the Patriots "Duck Hunt."

"We are able to engage missiles that are coming into the city, by shooting missiles out that are able to intercept it in the middle of the air," he said.

There are ample reasons why the Syrian government would want to attack Gaziantep. Tens -- if not hundreds -- of thousands of Syrian refugees and exiles are believed to have settled here over the past two years. It is a key operations hub for international aid efforts to northern Syria.

But Gaziantep is also an important rear base of operations for Syrian opposition groups, who are supported and, in some cases, armed by the Turkish government.

The mission of the U.S. troops deployed here is unusual because from their vantage point, they can see the city they have been assigned to protect.

"This is the first time in my 18-year career that we can see the asset that we're defending," said Dawber, who gazed past rows of Patriot missile launchers at the cityscape below.

"It's a special reward to also enjoy the view, while protecting the asset that we cover."

@highlight

Close to 300 U.S. soldiers protect Gaziantep, an industrial city of 1.4 million people

@highlight

They operate Patriot missile launchers and radar stations near the Syrian border

@highlight

Commander: "We're protecting against" any Syrian "tactical ballistic missile or rocket attack"

@highlight

Last year, at Turkey's request, U.S., Germany, Netherlands agreed to send missiles