On Tuesday night, Texas Gov. Rick Perry -- long a public fan of Judaism -- marked the beginning of the Jewish festival of Hanukkah by comparing it to the Boston Tea Party, which was celebrating its 241st anniversary the same day.

There is a parallel to be drawn here -- but Perry chose the wrong tea party and the wrong lessons.

Let's back up.

The Hanukkah story, to which Perry's statement made reference, is a fairly straightforward one: In the second century B.C., a small band of faithful Jews, led by Judah Maccabee, rose up against the oppressive Seleucid Empire, which had taken control of the Temple in Jerusalem, and won a surprising victory.

The Maccabees recaptured the Temple and rededicated it to the God of Israel. They found, however, that they had only one day's worth of oil for the holy lamps, the menorah -- but miracle of miracles, that oil lasted for eight days. Hence the Hanukkah we know and love: eight days of candles.

It is this story that Perry had in mind when he said, "The same spirit of freedom that inspired the Maccabees to rise up against a foreign empire motivated our Founding Fathers to rebel against the Crown on that fateful night. They knew, as the Jewish people know, that the few can overcome the many, that right can defeat might, that faith can transcend persecution."

Now, if we're talking about the traditional Hanukkah story described above, there are some problems with Perry's analogy. The most prominent might be the definition of "freedom."

For the Maccabees, what was at stake was the very existence of Judaism: The Temple, the very seat of God's dwelling on earth, was in the hands of pagans who prohibited Jewish worship there.

The Boston Tea Party was a complaint about excessive taxes.

Now, it's true that some Republicans have exhibited something close to religious fervor about the question of taxation in America. But we should not confuse economic oppression with religious persecution.

That "faith can transcend persecution" is usually not one of the lessons associated with the Revolutionary War. (Though it is the sort of language that one hears from the far right these days, almost regardless of whether the topic actually has anything to do with religion.)

There's also a question of degree.

The Boston Tea Party may have been an important symbolic act, and one whose importance has only grown with time, but it was still a symbolic act. This was people dressed up in costumes tossing tea into the water, to make a point to a government 3,000 miles away. The Revolutionary War didn't start for another two years after the Tea Party.

The Maccabees took up swords -- swords! -- against an occupying imperial army.

Perhaps more important: the traditional Hanukkah story, charming though it is, isn't what actually happened, or why.

It's true, the Maccabees took up arms to retake the Temple. But their fight wasn't really with the Seleucids, it was with other Jews.

For decades a bitter debate had raged among the Jews of the Hellenistic Empire: to assimilate or not to assimilate. In Jerusalem, in the Temple, the assimilationists had gained the upper hand and collaborated closely with the imperial powers. This caused great dismay among the orthodox traditionalists, mostly living in the country, and a civil war seemed imminent. The Seleucids stepped in to prevent any violence -- but, naturally, they took the side of the assimilationists.

The Maccabees were country boys, on the side of the traditionalists. When they recaptured the Temple, they were taking it back not only from the Seleucids, but from the assimilationist Jews who had (in the minds of the Maccabees and their followers) corrupted the old ways of worship.

As for the miracle of the oil lasting for eight days: That part of the story wasn't invented until hundreds of years later. It appears for the first time in the Talmud, which was finished in around the sixth century A.D. The real miracle of the Hanukkah event was the military victory of a small guerrilla force against an imperial army, and that's what was celebrated for centuries thereafter.

In this light, Perry's analogy to the Tea Party seems somewhat more apt -- but the analogy should be to the modern tea party movement, not to the Boston Tea Party of 1773.

A small group, mostly originating outside the urban centers, which considers itself to be upholding the old customs and beliefs of its nation, and which is vigorously opposed to the inclusion of foreign elements in the national culture -- that could be either the Maccabees or the tea party.

Throw in the occasional language of secession or government overthrow and we're almost all the way there.

This would seem to be strong ground for Perry to stand on: the tea party as modern Maccabees. The problem is that the rule established by the Maccabees wasn't quite as glorious as their initial victory.

Within a century of taking power in Jerusalem, the dynasty established by the Maccabees had become as Hellenized and assimilationist as the one it had overthrown. (Meet the new boss, same as the old boss.)

Its leaders took on the imperial title of "king" and took Greek names, and fought among themselves just as the Jewish rulers had before the Maccabees took over. A little more than 100 years after the great victory of independence, Jerusalem was retaken by the Romans, and Herod the Great took command as king of the Jews.

It is thus something of a grave historical error for Perry's statement to take this as the lesson of Hanukkah: "Our Republic, like the light of the ancient Menorah, has lasted longer than anyone could have predicted."

The myth of the long-lasting menorah is a distraction from the historical reality of the short-lived Jewish independence that followed the rededication of the Temple.

Perhaps worse, Perry said: "Chanukah reminds us of the power of faith to sustain a nation and ensure the security of our ally, Israel."

As the Maccabees learned long ago, and as modern Israelis well know today, faith is never a guarantee of national security.

@highlight

Rick Perry compares Hanukkah to the Boston Tea Party

@highlight

There is a parallel -- but Perry chose the wrong tea party and the wrong lessons, Baden says

@highlight

The outgoing Texas governor also flubs a few historical facts