(CNN)They don't call journalists 'hacks' for nothing.

At large news agencies where speed is crucial, template-style stories have long been used for company results, allowing journalists to simply key in the relevant facts and numbers and fire off the dispatch.

Often disparagingly referred to as 'churnalism,' some of the larger media organisations -- including the L.A. Times and Associated Press -- have now turned to robots to take the grind out of formulaic dispatches.

The L.A. Times uses the algorithms in its in-house software -- called Quakebot - to produce reports on local earthquakes, using data provided by the US Geological Survey.

The reports typically hit the newspaper's website within three minutes of the tremor being recorded.

For data-rich stories such as finance stories, sports stories and breaking news where dry facts need to be collated and sent out quickly, robo-journalists are becoming increasingly common.

Narrative Science, a Chicago company set up in 2010 to commercialize technology developed at Northwestern University that crunches data into a narrative, markets its Quill software to television stations and to financial houses that generate earnings statements.

"A lot of people felt threatened by what we were doing, and we got a lot of coverage," Narrative Science CEO Stuart Frankel told MIT Technology Review. "It led to a lot of inquiries from all different industries and to the evolution to a different business."

Read this: Will nanotechnology soon allow you to 'swallow the doctor?'

Its algorithms now write up lengthy reports on the performance of mutual funds for the consumption of investors and regulators.

"It goes from the job of a small army of people over weeks to just a few seconds," Frankel said. "We do 10- to 15-page documents for some financial clients."

While the prose can seem stilted, chief scientist at the company Kris Hammond says the algorithm is growing in complexity.

"We know how to introduce an idea, how not to repeat ourselves, how to get shorter," he said.

Writing in the nuances can simply be a matter of setting the software's parameters: a devastating loss for a sports team can be written in a sympathetic style for the team's home audience while regulatory filings can be as exhaustive and granular as required for the client.

Known as 'natural language generation', the company -- which does not reveal exactly how its software operates - is tapping into years of research into how software can write in language that responds not just to the data but its context and its relevance.

Hammond, meanwhile, believes it is only a matter of time before a robo-journalist will write a Pulitzer Prize winning story as the software grows in sophistication. He said there is no reason for the algorithms to move from commodity news, to narrative journalism to complex long-form features.

Asked whether a computer would win a Pulitzer Prize within 20 years, he disagreed saying it would happen within five years.

"Humans are unbelievably rich and complex, but they are machines," Hammond told Wired. "In 20 years, there will be no area in which Narrative Science doesn't write stories."

While media organizations that use bots to crunch data say the software is merely an adjunct to the journalist's work, and will  never replace them, some commentators believe that mapping the way forward for artificial intelligence will be one of the most urgent tasks of the 21st century.

Professor Yuval Harari, Israeli historian and author of Sapiens: A Brief History of Humankind, believes it is not just journalism that is being challenged by machines.

"The conscious experiences of a flesh-and-blood taxi driver are infinitely richer than those of Google's self-driving car, which feels nothing," Harari told CNN.

"But what the system needs from a taxi driver is to bring passengers from point A to point B as quickly, safely and cheaply as possible.

"Google's self-driving car will soon be able to do that far better than a human driver. The same goes for mechanics, lawyers, soldiers, doctors, teachers -- and even computer engineers."

Read this: In a hurry? Let a robot valet park your car

He said that while machines may have replaced humans for the past 200 years since the Industrial Revolution, there has always been something that humans could do better than machines.

However, he said that this gap is likely to close over the next 100 years.

"(Since the Industrial Revolution) humans have focused more on performing cognitive tasks. But what will happen once computerized algorithms can outperform humans in that (area) too?

Some believe that artificial intelligence should be viewed as a threat to the human race.

Oxford philosopher and transhumanist Nick Bostrom is convinced that humanity will end up being "the biological boot loader for superintelligent AI".

Elon Musk, the superstar entrepreneur who founded PayPal, SpaceX and Tesla Motors, echoed this warning via his Twitter feed:

"The idea that humans will always have a unique ability beyond the reach of non-conscious algorithms is just wishful thinking. It is based on the traditional assumption that intelligence and consciousness are inextricably linked to one another. For millions of years of evolution, this may have been true. But no longer," says Harari.

Read more from Make, Create, Innovate:

Digital nose on a chip can sniff out cancer

Meet the world's first 1,000 mph car

Out of juice? Try a cardboard battery

@highlight

Software with increasingly complex algorithms are now writing news stories and financial reports

@highlight

The L.A. Times uses Quakebot to write about tremors, using data from the US Geological Survey.

@highlight

Chicago-based company Narrative Science markets its Quill software to media and financial houses

@highlight

The company's chief scientists believes a computer program could win a Pulitzer Prize within the next 5 years