(CNN) -- Some Iranian-Americans, watching the post-election unrest in Iran, say the tug-of-war between the people and their hardline government has come to a head after three decades.

Crowds demonstrated in Los Angeles, California on Monday, June 15 over the Iran election results.

"I am absolutely convinced that what we are witnessing is a turning point in the history of the Islamic Republic," said Dr. Hamid Dabashi, professor of Iranian Studies and Comparative Literature at Columbia University in New York City.

"Even if the Islamic Republic survives this crisis, it will no longer be as it used to be," added Dabashi.

The contentious election results between conservative incumbent President Mahmoud Ahmadinejad and reformist challenger Mir Hossein Moussavi sent many Iranians protesting in the streets, while others celebrated Ahmadinejad's apparent victory.

Kaveh Afrasiabi, who has taught at Tehran University and Boston University and identifies himself as an independent, told CNN that Ahmadinejad's widespread support in rural areas and small towns was the reason for his win. In results announced hours after the polls closed, Ahmadinejad received more than 62 percent of the vote, a figure hotly disputed by Moussavi's supporters.

With the credibility of Friday's election under scrutiny, how the Islamic Republic of Iran overcomes it and reclaims its legitimacy in the eyes of some of its own citizens and the international community remains to be seen.

"There is good reason to believe that many if not most of the pro-Moussavi demonstrators are gladly taking an opportunity to safely protest something bigger: their enormous discontent with the entire system as it stands," said Shirin Sadeghi, a Middle East analyst for the Huffington Post.

The unstable political, social and economic climate has some scholars questioning the future of the Islamic Republic.

"They are either going to crack down severely or they are going to cave in -- it could go either way," Dabashi said of the conservatives who now dominate Iran's government.

Many Iranian-Americans say they see this as their opportunity for change.

"This is the best chance Iranians have to evolve to a better situation," said Dr. Ali Nayeri, a professor at the University of California at Irvine.

That chance has sparked an unprecedented wave of spontaneous demonstrations not only within Iran but also thousands of miles away from Tehran --- scenes unparalleled since the 1979 revolution.

"Thirty years ago we had the war with Iraq. Now we have an internal war with our president and the fundamentalists," said Reza Goharzad, a political analyst who worked with Moussavi when he was prime minister of Iran.

Goharzad, of Southern California, was among thousands of voters to cast an absentee ballot.

"This was the first time I voted in 30 years," said Goharzad.

The enthusiasm that drove record numbers of Iranian-Americans to the voting booths was overshadowed by disappointment when a shortage of ballots prevented hundreds from voting. In addition, the election results were announced before many of the voting booths in the U.S. had closed.

Alex Vatanka, senior Middle East analyst at IHS Jane's, a provider of defense and security information, said Iran's supreme ruler, Ayatollah Ali Khamenei, may have miscalculated the mood of the country when he endorsed Ahmadinejad's victory before the country's election authority made the final call.  Khamenei has since asked the authority, the Guardian Council, to recount some of the votes. But Moussavi is asking for fresh elections.

Goharzad, like many other voters, questions the legitimacy of the election. He wants to know where his vote went.

A student activist in Dallas, Texas, echoed that sentiment.

"The election volunteer at my voting location said that they had 500 ballots, which was not enough for the thousand or so people that turned out to vote," said the activist, who wanted to remain anonymous because he plans to visit Iran soon.

For the first time, Iranian-Americans say, the post-revolution generation has seen the power of their unity unfold in masses. They say this has given Iranians at home and abroad hope that reform could be within their reach, if the ruling mullahs are willing to allow it.

"We are seeing a rise of a new generation of Iranians who are not taking it anymore," said Dabashi.

"This is no longer just about this election, this is full-fledged civil disobedience," he added.

The divide within the Islamic Republic has pitted the reformists against the conservatives.

"The big difference between these protests and the student riots of 1999 and 2001 is that we are seeing senior caliber officials like Mir Hossein Moussavi,  Mehdi Karrubi and Mohammad Khatami and Ayatollah Ali Akbar Hashemi Rafsanjani supporting the demonstrations," said Vatanka.

Karrubi is a former Parliament speaker. Khatami and Rafsanjani are former presidents.

Some experts say where Iran is headed actually has a lot to do with its past.

"Rafsanjani made no secret of his disdain for Ahmadinejad ahead of the election, and even back in 2005 when he lost the second round runoff to Ahmadinejad," said Sadeghi.

Rafsanjani is chairman of the Assembly of Experts and oversees the 86-member body, which is responsible for appointing the supreme leader and monitoring his performance.

Behind closed doors, Iran's political parties are caught in the middle of a power struggle between Supreme Leader Khamenei and Rafsanjani.

Rafsanjani's role as chairman of the assembly gives him the ability to influence that body's attitudes toward Khamenei, Vatanka said.

That could only add more fuel to the political fire and social unrest in the streets, analysts say.

Politics aside, at the end of the day, Iranian expatriates such as Mitra Gholami, who participated in the historic 1979 protests, feel a sense of deja vu.

Gholami, now an Atlanta resident, fled Iran with her three children 15 years ago. "I want people to have a normal life," said Gholami. "I want them to have freedom."

@highlight

Some Iranians-Americans believe the Islamic Republic possibly is eroding

@highlight

Protests in Iran continue after disputed presidential election

@highlight

Tensions between Iran's clergy could be a reason for the unrest, analyst says

@highlight

Iranian-Americans say they hope more freedom is result of unrest