(Oprah.com) -- When we found him, he was blind and soaking, slumped in an alleyway, clearly close to death.

He struggled to stand, then listed to one side and collapsed again. We watched him for a moment, horrified. And then, because we couldn't just leave him there to die, we picked him up and brought him inside.

We laid him gently on the white expanse of our kitchen counter. After the blurry dark of the monsoon outside, the kitchen felt as bright and quiet as an operating theater. My fiancé, Colin, placed him inside a robin's-egg-blue Tiffany box. We called him Tiffany, and then later, Mr. Tiffany—but most often, we called him Mr. T.

That night, while I lay in our bedroom, hiding from the creature's inevitable death, Colin nursed him once an hour with eyedroppers of milk and energy drinks.

He was a street rat, no more than a few days old. His life had begun in the grimy alley beside our apartment in Hong Kong, and to most people, he would have embodied filth and disease. But we saw instead a fragile, unknowable life, and in the three years that followed, we came to see him as no average soul.

Oprah.com: How to help a homeless animal

Mr. T entered our world during a time of transition. Our wedding was three months away, and I was working seven days a week, often long into the night. My job as a foreign correspondent kept me in constant motion and took me around the world; even owning furniture seemed like a big commitment.

I tried not to think about what that would mean for the future. Colin and I planned to have children someday, though some nights we could barely find time to have dinner. Taking in a half-dead rat that needed sustained attention just to survive hadn't been on my agenda.

Which was why, when Colin and I found that Mr. T was miraculously still breathing the next morning, we vowed to set the rat free as soon as he'd recovered fully. He had survived, but he was a wild animal who deserved to live among his own kind. Not to mention that we had both read up on the extensive roster of virulent diseases rodents carry.

Unwilling to get attached, I avoided him like, well, the plague.

Still, as he gained strength over the following weeks, we couldn't help celebrating Mr. T's tiny milestones: the moment a week after we found him when he opened his eyes in Colin's palm, the night he lost his fear of our shiny floor tiles, the day he turned a bicycle into a jungle gym, his little black shrimp's eyes flashing in excitement as he clambered over its pedals and wheels.

Oprah.com: 17 quotes that inspire us to change the world

Mr. T began to make himself at home, confiscating mail, pens, and whole pizza slices and dragging them under the sofa, then chewing a crawl space inside the sofa itself. It was clear he intended to settle in for the long haul. But could we really keep this animal? On the other hand, was it even feasible for Mr. T to reenter the wild?

We called a professor at Oxford University who specialized in rat behavior. He told us that domesticated rats set free in the forest begin acting like wild rats within a few hours. There was nothing stopping us from bidding Mr. T adieu and moving on with our lives.

Nothing except the fact that we couldn't resist his charms. Already, he'd begun to train us in his care.

By knocking over his dinner dishes or leaving them untouched, he made it clear that most vegetables—carrots, green beans, peppers—were inedible unless drenched in butter. He would eat peas, but only when shelled; the tops, but never the stalks, of broccoli; blueberries, but only if cut in half. His favorite foods were mushroom pâté, sushi, and scrambled eggs. A few drops of beer were always appreciated. We prepared him two hot meals a day, which he ate with surgical precision, extracting the fattiest morsels first. He was too cute to let go.

Oprah.com: 9 small dreams that can come true for anybody

Colin built Mr. T a five-story dwelling from wood and chicken wire, which we furnished with the cushions of the sofa he had destroyed. Mr. T compulsively redesigned his home, shredding the cushions and shoving bits of stuffing into the gaps in the chicken wire. Sometimes he would snuggle under my palm, pushing his nose into the V between my thumb and forefinger. If I tried to move away, he would grip my fingers with powder-pink, gummy-palmed paws.

I began to see Hong Kong as a place teeming with more than just human life: the giant hoary moth wrapped around the corner of an office building, the bird squatting on the pavement outside a watch shop, the feral dogs that patrolled the area behind our apartment building. One afternoon, after noticing one of Mr. T's grubbier cousins in the same alley where we had found him, I realized that the line we draw between animals that are socially acceptable and those we find repugnant can be awfully arbitrary.

As Mr. T steadily pawed his way into our hearts, Colin and I identified, for the first time in our lives, as parents. My husband was a rational and generous father, and I was a neurotic, fussy mom.

Colin tried to see the world through Mr. T's eyes, adding a solid wooden door to Mr. T's home when he realized how much he liked his privacy, or adhesive sandpaper when he saw Mr. T slip on his ramps. Meanwhile, I obsessed over Mr. T's health, fearing that every nap or failed attempt to mount the coffee table signaled terminal illness.

Oprah.com: One man, one mission: Rescuing mutts

I felt our world conforming to Mr. T's needs—and I loved it. Colin and I stopped going out to dinner as often and instead spent evenings in our living room, beaming proudly as Mr. T dragged apples and socks into his house with great seriousness. Some nights, we stayed up on the sofa until 2, 3, 4 in the morning, waiting for the nocturnal Mr. T to rouse himself and pad downstairs.

We stopped traveling together so one of us could always be home to keep him company, and when that was impossible, we enlisted house sitters and left an instruction manual nearly an inch thick. At parties we matched our friends' tales of their children with news of Mr. T's latest tricks, his most recent fascinations: wooden knives and forks, starchy restaurant napkins, salmon sashimi.

I posted photos on Facebook of Mr. T eating green beans, his tiny paws covered in tomato sauce, or Mr. T in repose, his whiskers a halo around his face.

Oprah.com: Puppy love: Why raising a dog changes you

And all the while, we grappled with the fact that Mr. T didn't have much time. On the streets, most rats die before their first birthday. In captivity, many die by 3.

Not long after he turned 2, Mr. T's once rapid pace slowed to a jog, then a waddle, and he began to sleep more solidly through the days. But he was determined to keep going. When, as I had often worried he might, he developed a tumor—it was as large as his head—we found a microsurgeon who removed it, and Mr. T sprinted across our living room the same day.

When a spinal condition paralyzed his back legs, he adapted by pulling himself up and down the ramps with his front paws.

One night Mr. T began to struggle to breathe. This time the surgeon couldn't save him. Mr. T died in Colin's hands.

We had him cremated, and held a small ceremony in which we scattered some of his ashes in the park behind our apartment building so he could rest near his family. We put the remainder of his ashes in an urn, which we placed beside a picture of him in our living room, and tried to adjust to the sad fact that we didn't get to be Mr. T's mom and dad anymore. But shortly after his passing, Colin and I became parents to a son, whom we named Louis T.

A few years earlier, we had struggled to find even a spare hour in the day—but Mr. T taught us how to make room in our lives for the future we wanted, to be more empathetic, more patient. He taught us to love unconditionally.

We'd found Mr. T in one of life's interstices, between dating and marriage, coupledom and parenthood. If it had been a dog or a cat slumped in our alleyway that night, there would be no story to tell. We would have brought the animal to a shelter. Knowing that nobody would do that for Mr. T made us bring him into our home, and doing so made all the difference.

Some of our friends and family just didn't get Mr. T. They never understood how we could love a rat. We never understood how, if you had the pleasure of meeting him, it was possible not to.
Alexandra Harney is the author of "The China Price" (Penguin) and an expert on economic issues in Asia. She lives in Hong Kong.

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 
Subscribe now!

TM & © 2011 Harpo Productions, Inc. All Rights Reserved.

@highlight

The most improbable pet, a baby street rat, became one couple's pride and joy

@highlight

Mr. T's charms -- his love of snuggling, finger-hugging and a love of pâté -- were irresistable

@highlight

The line humans draw between repugnant or socially acceptable animals can be arbitrary