WASHINGTON (CNN) -- A small religious group has lost its fight before the Supreme Court to erect a granite monument in a Utah park next to an existing Ten Commandments display.

Summum,a religious group,  wanted to place its own monument next to this Ten Commandments monument.

In the free-speech case involving competing faiths, politics and social norms, the justices voted unanimously on Wednesday that such privately donated displays on public property represent "government speech" subject to local officials' discretion.

Summum, a Salt Lake City-based group, wanted to put up a 3-foot granite slab on the "Seven Aphorisms of Summum" in the city of Pleasant Grove, at the group's expense. Local officials argued they should be allowed to decide which permanent displays can be erected, since they would claim ultimate ownership and control.

The justices agreed with the city's view.

"It is hard to imagine how a public park could be opened up for the installation of permanent monuments by every person or group wishing to engage in that form of expression," wrote Justice Samuel Alito.

At issue was whether donated monuments on public property represent private or government speech. The ruling could affect monuments nationwide, ranging from 9/11 victim tributes to battlefield markers.

"It is clear that the monuments in Pleasant Grove's Pioneer Park represent government speech," wrote Alito.

Summum argued that by denying it the necessary permit to erect the monument, it was being discriminated against because the existing Ten Commandments monument was placed there in 1971 by another private group, the Fraternal Order of Eagles.

The case dealt only with free speech constraints, not the Establishment Clause, which prohibits government endorsement of religious faith or doctrine. Both are contained in the Constitution's First Amendment.

Justice Antonin Scalia confidently stated that the current Ten Commandments display in Pleasant Grove does "not violate any part of the First Amendment... The city can safely exhale."

Not so fast, said Brian Barnard, Summum's lawyer. He notes the case now goes back to lower federal courts, where his group will make a new argument: The city violates the separation of church and state doctrine.

"We're going to say the city has adopted clearly religious tenets of theTen Commandments as their speech," Barnard told CNN, "and given this mounment has a prominent display in their public park, it's clearly in violation of the Establishment Clause." He heads the Utah Civil Rights and Liberties Foundation.

Two justices seemed to anticipate the upcoming legal fight.

"Even if the Free Speech Clause neither restricts nor protects government speech, government speakers are bound by the Constitution's other proscriptions, including those supplied by the Establishment and Equal Protection Clause," wrote Justices John Paul Stevens and Ruth Bader Ginsburg. "These constitutional safeguards ensure that the effect of today's decision will be limited."

A conservative legal group that represented the Utah city hailed the high court ruling. "The decision gives government the right to speak for itself and the ability to communicate on behalf of its citizens," said Jay Sekulow, chief counsel for the American Center for Law and Justice.

"It's a landmark decision that clears the way for government to express its views and its history through the selection of monuments -- including religious monuments and displays."

The ruling joins a series of decisions in which the Supreme Court has refused to offer a broad rule on religious monuments, taking a more case-specific approach. Ten Commandments displayed in public schools were banned in 1980.

But the justices in 2005 allowed a 57-year-old Ten Commandments granite monument to stay on the Texas statehouse grounds, where it stands amid a series of nonreligious symbols. A similar display in Kentucky was ordered removed after the high court concluded it violated the separation between church and state. Unlike Utah, those cases involved efforts to remove the monuments.

Summum was founded in 1975 by Summum "Corky" Ra, who claimed alien visitors-- or "advanced living beings"-- revealed the Summum concepts to him. He gathered several dozen members and launched a legal fight to erect monuments. He died earlier this year.

Classified as a tax-exempt church, Summum's members prefer to call it a philosophical group. They claim no over-arching doctrine or supreme being, but their movement is extensively laid out in pamphlets, a Web site and Internet radio broadcasts.

On its one-acre compound in Salt Lake City -- along with a 27-foot-tall copper-shelled pyramid -- is a building where the group uses resins and fiberglass in a lengthy rite of mummification, which the group's current leader, Su Menu, called a key aspect of Summum, central to the idea that "the soul moves forward." Both humans and pets undergo the procedure.

The Seven Aphorisms are psychokinesis, correspondence, vibration, opposition, rhythm, cause and effect and gender.

"All we want to do is share what we have with everyone else. I mean, it's not like proselytizing," said Menu, 53, who is a piano teacher. "Not everyone follows the Ten Commandments, so maybe people are looking for something else, and all we want to do is show them the possibility."

Pleasant Grove, with a population of 30,000, lies between Salt Lake City and Provo. Pioneer Park includes an old schoolhouse and wagons, along with the Ten Commandments monument, tucked back near a 9/11 memorial placed by a local Boy Scouts troop.

"This park is dedicated to the history of the people, the founding of the city and significant citizens who have lived and contributed to the community," said Mayor Mike Daniels.

He said the Ten Commandments display was allowed because the Fraternal Order of Eagles,  which has erected similar monuments in hundreds of other communities since the 1950s, has long-standing ties to the community and performs continuing charity work.

A federal appeals court had ruled for Summum, concluding parks are a "public forum" to which private groups have access under free-speech protections.

Alito in his ruling cited several pop-culture references to illustrate how monuments convey often-competing meanings. One included the ad slogan "Beef. It's What's for Dinner." Another included the lyrics to John Lennon's 1971 song "Imagine," which he said was made part of a mosaic honoring the late performer in New York's Central Park.

@highlight

Justices ruled park displays are government speech

@highlight

Religious group Summum wanted to erect monument in city park

@highlight

Group wanted its 'Seven Aphorisms' to join Ten Commandments monument

@highlight

City said no; group alleged discrimination, violation of free speech