(CNN) -- In 2013, events such as the U.S. government shutdown, hot-button issues such as marriage equality and ramped-up debates about privacy and surveillance made headlines and caught readers' attention. Many of the perspectives published by CNN Opinion were shared widely on social media. Here are some of the most shared op-eds from the year.

Dan Riffle: Marijuana is safer than alcohol

For more than 80 years, our government has spent tens of billions of taxpayer dollars fighting a war against marijuana. We arrest three-quarters of a million adults every year, 87% for simple possession rather than production or sales of marijuana. Courtrooms turn into assembly lines churning out probationers -- mostly minorities -- with convictions that will make it almost impossible to find employment.

The result? Marijuana is universally available, used by almost half of Americans at some point in their lives, and we've enriched murderous drug cartels fueling violence in Mexico that has claimed more than 60,000 lives. Read more...

Dan Riffle is a former assistant prosecutor and the director of federal policies at the Marijuana Policy Project, the primary financial backer of the 2012 campaign to regulate marijuana in Colorado.

(Note: On the subject of marijuana, Dr. Sanjay Gupta's opinion piece in the CNN Health section was hugely popular:)

Dr. Sanjay Gupta: Why I changed my mind on weed

I was too dismissive of the loud chorus of legitimate patients whose symptoms improved on cannabis.

Instead, I lumped them with the high-visibility malingerers, just looking to get high. I mistakenly believed the Drug Enforcement Agency listed marijuana as a schedule 1 substance because of sound scientific proof. Surely, they must have quality reasoning as to why marijuana is in the category of the most dangerous drugs that have "no accepted medicinal use and a high potential for abuse."

They didn't have the science to support that claim, and I now know that when it comes to marijuana neither of those things are true. It doesn't have a high potential for abuse, and there are very legitimate medical applications. Read more...

Dr. Sanjay Gupta, a practicing neurosurgeon, is the multiple EmmyÂ®-award winning chief medical correspondent for CNN.

LZ Granderson: The courage of teachers

Each day more than 55 million students attend the country's 130,000 schools. Each day, parents and guardians entrust some 7 million teachers with the education of our children.

And on a normal day, that is all we expect teachers to do -- teach.

But on those not-so normal days, we are reminded that for six hours a day and more, five days a week, teaching is not the only thing teachers are charged with doing. On those not-so-normal days, we are reminded that teachers are also asked to be surrogate parents, protectors, heroes. Read more...

LZ Granderson, who writes a weekly column for CNN.com, was named journalist of the year by the National Lesbian and Gay Journalists Association and was a 2011 Online Journalism Award finalist for commentary. He is a senior writer and columnist for ESPN the Magazine and ESPN.com. Follow him on Twitter @locs_n_laughs.

Bruce Schneier: The Internet is a surveillance state

Welcome to a world where Google knows exactly what sort of porn you all like, and more about your interests than your spouse does. Welcome to a world where your cell phone company knows exactly where you are all the time. Welcome to the end of private conversations, because increasingly your conversations are conducted by e-mail, text or social networking sites.

And welcome to a world where all of this, and everything else that you do or is done on a computer, is saved, correlated, studied, passed around from company to company without your knowledge or consent; and where the government accesses it at will without a warrant.

Welcome to an Internet without privacy, and we've ended up here with hardly a fight. Read more...

Bruce Schneier is a security technologist and author of "Liars and Outliers: Enabling the Trust Society Needs to Survive."

Hanna Rosin: Men dither while women lead in the world

The pictures in the news, day after day, tell the story: House Speaker John Boehner looks like he hasn't slept in weeks. Senate Minority Leader Mitch McConnell looks like he swallowed a lemon. Sen. Ted Cruz looks bizarrely smug while the world crumbles around him, and President Barack Obama can only shake his head and loosen his collar. The only Washington type who was smiling on the front page of the newspaper this week was Janet Yellen, newly nominated by Obama to be the chairwoman of the Federal Reserve, and anointed by one observer as the most powerful woman in world history.

Oh, and there was one other person smiling in Washington: Christine Lagarde, chief of the International Monetary Fund, who was in the U.S. capital for the organization's annual meeting and who said just about the only sensible thing anyone in town has said all week on the debt ceiling crisis: "I hope that in a few weeks' time, we will look back and say, 'What a waste of time that was.' " Read more...

Hanna Rosin is the author of "The End of Men: And the Rise of Women," now out in paperback. She is co-founder of Slate's DoubleX, a Web magazine about women issues.

John Sutter: The most unequal place in America

Many people in Lake Providence, Louisiana, never will climb out of poverty.

The tools simply aren't available.

Only 9% of kids from the bottom fifth of the earners in Lake Providence will make it into the top fifth, according to research from Harvard University and the University of California, Berkeley.

America has tried to create systems that are designed to ferry people from one side of the lake to the other, or to at least stop them from sinking further. Government programs help pay for health insurance and day care. Food stamps have kept families from going hungry.

And public schools have proved to be one of the best routes out of poverty.

In Lake Providence, however, the education system seems to underscore class divisions.

Kids from the north side of the lake go to Briarfield Academy. Mascot: the Rebels. Graduation rate: 100%. It has no formal scholarship program, its principal said.

On the south, there's only one public high school. Mascot: the Panthers. Graduation rate: 72.5%. Read more...

John D. Sutter is a columnist for CNN Opinion and head of CNN's Change the List project. Follow him on Twitter, Facebook or Google+. E-mail him at ctl@cnn.com.

Matt Bors: The generation we love to dump

Can we stop worrying about Millennials yet? Can we? Maybe? I know it's very scary to be reminded that you are aging, but older people can probably stop pretending young people are going to destroy the planet. We got this. (By the way, thanks for leaving it in tip-top shape.)

Those of us born between 1980 and 2000 are not nearly as God-awful as the writers who constantly profile our tech-addled, be-hipstered people would have you believe. Read more...

Matt Bors was born in 1983 and was a 2012 Pulitzer Prize finalist in editorial cartooning. He regularly tweets stuff on Twitter and has a new book out: "Life Begins at Incorporation."

David Rothkopf: President Hillary Clinton? If she wants it

Hillary Clinton is likely to be the next Democratic presidential nominee because she is the best-known active Democratic politician, because she has repeatedly triumphed over adversity and because she has made herself well-liked at a time that politicians are typically viewed with contempt.

But she is likely to be the next president, the first woman to be president of the United States, because of the quality of her character and her work on behalf of the American people. With some luck, she will use the next two years to restore her energy and prepare for what lies ahead. Because regardless of what political party in which you may find yourself, it is hard to deny that she elevates our political discourse in ways that few, if any, others do on the contemporary stage. Read more...

David Rothkopf writes regularly for CNN.com. He is CEO and editor-at-large of the FP Group, publishers of Foreign Policy magazine, and a visiting scholar at the Carnegie Endowment for International Peace. Follow him on Twitter at @djrothkopf.

Suze Orman: Gay Americans pay more taxes for fewer rights

We all have 83-year-old Edith Windsor to thank for in pushing the issue of same-sex marriage equality on to the national front.

Edie and her partner, Thea, were together for 40 years. How many marriages do you know that have lasted that long? But when Thea died in 2009, Edie was hit with a $363,000 federal estate tax bill because as a same-sex couple, they were not eligible for the unlimited marital deduction. Are we really a nation that says it is fair and just to demand Edie pay a $363,000 penalty because she is gay? Read more...

Suze Orman is a personal finance expert and hosts "The Suze Orman Show" on CNBC. She is a best-selling author of ten books, including "The Money Class."

Bob Greene: Taxpayers, you deserve your money back

We pay federal income tax with one solitary and bedrock expectation: We are handing our money over so that the federal government will run.

Some people may not like how the government operates; some may not care for a particular president or a particular member of Congress or a particular government program.

We accept that, as we pay our taxes. We pay those taxes because we have to. We know that we don't get to withhold those taxes just because we may dislike some of the people or programs the taxes are funding.

But when we are told that the government has been shut down-- that it has been closed for business -- that's different.

We paid for that service. We had no choice. Read more...

CNN contributor Bob Greene is a best-selling author whose 25 books include "Late Edition: A Love Story"; "Duty: A Father, His Son, and the Man Who Won the War"; and "Once Upon a Town: The Miracle of the North Platte Canteen."

The opinions expressed in this commentary are solely those of the authors.

@highlight

CNN Opinion rounds up ten of the most shared pieces of 2013

@highlight

LZ Granderson: On not-so normal days, teachers are also asked to be heroes

@highlight

Bruce Schneier: Welcome to an Internet without privacy; we're here with hardly a fight

@highlight

David Rothkopf: Hillary Clinton is likely to be the next president of the U.S.