(CNN) -- The results of the Saville Inquiry into the 1972 Bloody Sunday massacre in Northern Ireland were unveiled Tuesday. Here are some questions and answers about the inquiry, which is one of the longest in British legal history.

What is Bloody Sunday?

On Sunday, January 30, 1972, a large crowd took part in a banned civil rights march in the Northern Ireland city of Londonderry. (Even the name of the city is disputed, with pro-Irish nationalists calling it Derry and pro-British unionists calling it Londonderry.) After a disturbance, British Army paratroopers fired shots into the crowd, killing a total of 14 people. "Bloody Sunday," as it came to be known, was a major turning point in Northern Ireland's history and considered by many to be one of the greatest injustices of the Troubles.

Why is there so much controversy surrounding Bloody Sunday?

There was already simmering anger and distrust in Derry when the soldiers opened fire, and Bloody Sunday only served to increase the anti-British sentiment in the city. The soldiers said shots were fired before they shot at the crowd. An inquiry shortly after the shootings largely cleared the soldiers of wrongdoing and alleged some of the dead and wounded were gunmen or bombers. However, former Prime Minister Tony Blair said in 1998 there is no proof that the victims were handling any weapons or bombs. The shootings led to international condemnation and, according to analysts, hardened anti-British sentiments in Northern Ireland and led to many fresh recruits to the Irish Republican Army. The semi-autonomous Northern Irish government was suspended weeks later, which was followed by decades of rule from London.

This happened in 1972, so why hasn't there been an inquiry before now?

There was an inquiry that same year, and the report came out 11 weeks after Bloody Sunday. But because it happened so soon after the incident, the inquiry was not able to take all the evidence that was later available, including evidence from people who were still in hospitals.

Lord Chief Justice John Widgery, who led the 1972 inquiry, also did not consider substantial numbers of eyewitness accounts provided to his inquiry, former Prime Minister Tony Blair said when he launched the current inquiry in 1998. New material including new eyewitness accounts, new interpretation of ballistic material, and new medical evidence, has also come to light since 1972, Blair said. Blair ordered the inquiry to boost the struggling Northern Ireland peace process following a clamor by the victims' relatives, but Protestant political leaders and senior officers in the Parachute Regiment -- whose soldiers fired the fatal shots -- condemned the inquiry. It was, however, instrumental in bringing about the landmark Good Friday agreement, signed later that year, that led to relative peace in the process after 30 years of violence in which almost 3,000 people died.

When did the current inquiry begin?

The current inquiry began in 1998 after Blair decided there was enough new evidence to merit a fresh investigation. The families of those killed had presented a new dossier on Bloody Sunday to the British government the year before, in 1997, and the Irish government had also sent a detailed analysis of the new evidence and of Widgery's findings in light of the new material.

Who led the inquiry?

Mark Saville, a member of the British Supreme Court, chaired the inquiry. The other members were Canadian judge William Hoyt and Australian judge John Toohey.

Read Saville Inquiry report on Bloody Sunday

Why has it taken 12 years for the inquiry to finish?

The inquiry investigated a massive amount of evidence and testimony. Inquiry members interviewed and received statements from around 2,500 people and heard testimony from 922 of them. The first witness testified in November 2000 and the last testified in January 2005. The inquiry looked at a total of 160 volumes of evidence, including 13 volumes of photographs, 121 audiotapes and 110 videotapes. The inquiry has been criticized for taking so long and also for costing so much -- a total of £190 million ($280.3 million) as of February 2010.

Will anyone be prosecuted after the report comes out?

The inquiry was not a trial; it only sought the truth about what happened on Bloody Sunday. Its task was not to decide in favor of one side or the other, according to the inquiry. Witnesses who testified may be open to prosecution later, although any evidence they gave to the inquiry -- whether oral or written -- may not be used against them if they are prosecuted, the inquiry says.

What effect might the report have?

Victims' relatives will be pleased the report cleared the dead of blame, declared the killings unlawful, and will hope it leads to prosecutions of soldiers. But the report is also likely to test relations between pro-British unionists and nationalists, who now share power in Northern Ireland.

CNN's Melissa Gray and Peter Wilkinson in London, England, contributed to this report.

@highlight

Longest-running inquiry in British history looked into 1972 Northern Ireland killings

@highlight

13 people killed on the spot by British soldiers, while 1 died later

@highlight

Probe heard from thousands of witnesses over a dozen years, costing $280 million

@highlight

Investigation could reopen old wounds