Editor's note: Marian Salzman is chief marketing officer and a partner at Porter Novelli Worldwide and is co-author of "The Future of Men" and "Next Now." She was named among the "top five trendspotters" by VNU in 2004 and has been credited with popularizing the term "metrosexuality." She blogs at www.pnintelligentdialogue.com. See Salzman on American Morning and CNN.com Live Monday, December 29.

Marian Salzman says "cuspers" are staking out a separate identity from the baby boomer generation.

NEW YORK (CNN) -- Rarely has there been a year when so many things went out of style in such a short time: not just investment bankers, gas-guzzling vehicles, corporate jets, conspicuous consumption and political polarization, but also a whole generation.

After strutting and tub-thumping and preening their way across the high ground of politics, media, culture and finance for 30 years, baby boomers have gone from top dogs to scapegoats in barely a year.

As baby boomers lose their authority and appeal, generational power is shifting one notch down: to cuspers (born roughly 1954-1965), who arrived in style in 2008 with their first truly major figure, Barack Obama (born 1961).

George W. Bush, born in 1946 at the start of the postwar baby boom for which his generation is named, will leave office with the lowest approval ratings since Richard Nixon was president. As Thomas Friedman has written, Bush epitomizes what's now seen as "The Greediest Generation."

Who's to blame for the economy going into serious decline?

The short and easy answer is greedy boomers. This is the generation that knew better than their cautious, fuddy-duddy parents, the generation that protested, that had ideals and marched to the beat of defiant music: "Street Fighting Man," "We Want the World and We Want It Now," "Hope I Die Before I Get Old."

It's the generation that pursued pleasure, proclaimed "I can have it all" and refused to grow old -- "50 is the new 30," etc.

And now, after years of taking credit for changing the world, baby boomers are taking the rap for the reversal of fortune that's shaking the world.

Whatever history may decide, today's commentators and pundits of all ages have decided that boomers, the dominant cohort in many developed countries, are guilty. And whether they're really to blame, what counts is that they look like they are. Their profile fits.

Like a big-name Hollywood director who's lived on the edge too long, caused one too many scandals and made one too many turkeys, suddenly the boomers are the generation no one wants to be associated with.

Cuspers, the age cohort that have been living in the shadow of the boomers, now have even more reasons to stake out their own separate identity and values.

It's taken a long time for this rising demographic to be recognized as a distinct generation in its own right. They've been called "late boomers" because they missed the formative boomer experiences of the '60s, such as civil rights and anti-war protests.

They've been called tweeners or cuspers because they straddle the divide between Boomers and Gen X. American social commentator Jonathan Pontell has worked hard to establish their identity as Generation Jones.

There's still debate about whether cuspers are even a generation apart from boomers and where the generational boundaries lie. But those arguments miss the key point, which is that Americans want change.

In Obama, they see the hopeful prospect of a new generation taking over. And in these dark days, they're hoping against hope that his generation can usher in new, better values to guide the nation. His victory has been portrayed as the end of Vietnam War politics and the 1960s "culture wars."

About half those Obama named to major posts in the new administration are also cuspers including the proposed energy czar, education secretary, treasury secretary and U.N. ambassador. Cuspers may have another poster child if Caroline Kennedy, born in 1957, is named to the New York Senate seat that Hillary Clinton is expected to vacate.

Obama himself has made clear he thinks in terms of generational difference.

He has spoken of carrying on the work of the "Moses generation" -- the Martin Luther King Jr. generation --  whose successors he has referred to as the "Joshua generation." His activists rallied under the banner of Generation Obama, and his campaign's ability to mobilize the youth vote proved decisive in his victory.

Whether we call them cuspers, Generation Jones or Generation Obama, there are enigmas and paradoxes within this generation and its fans. They respond to Biblical imagery, but they're not dogmatic in their faith.

They value traditional notions of family but see men and women as equals in parenting. They go back to older American values -- civility, community, responsibility -- yet keenly embrace technology and use the Internet naturally.

In fact, embracing digital technology is one of the telling dividers between boomers and cuspers. It's no coincidence that leading-edge Cuspers such as Bill Gates, Steve Jobs and Tim-Berners Lee, all born in 1955, helped create the digital universe cuspers and younger generations now inhabit as a matter of course.

It's also telling that Gates and wife, Melinda, another cusper, are the parents of philanthro-capitalism.

For marketers and brand specialists, cuspers are a fast-emerging challenger brand that's fascinating to watch as it defines itself and attracts fans.

Brand attributes once seen as disadvantages -- living in the shadow of boomers, a lack of major formative experiences, no "heroic" narrative -- have turned out to be advantages as the boomer brand loses its sheen. The cusper brand can define itself by what it's not: greedy, selfish, confrontational, hung up on past battles.

The cusper generation is as much an ideal as it is a demographic group, and that appeal extends well beyond the birth years that define it. Watch out for tweets (messages on the Twitter platform) that proclaim "Ich bin ein cusper."

The opinions expressed in this commentary are solely those of Marian Salzman.

@highlight

Marian Salzman: For 30 years, baby boomers dominated politics, culture

@highlight

She says they've earned the title of the "greediest generation"

@highlight

Salzman says next generation of "cuspers" is taking over with Obama

@highlight

The cuspers are different and unlikely to repeat boomers' mistakes, she says