(CNN) -- It was certainly an unprecedented surprise when Saudi Arabia announced -- on 18 October, only a day after its election to one of the 10 rotating seats on the U.N. Security Council -- that it was turning down the chance to participate in the world's top forum for discussion of international issues.

After all, the last few years have, if anything, seen an increase in Saudi Arabia's international profile -- particularly as a member of the G20 -- and in its regional activism.

Traditionally, Saudis have preferred to work behind the scenes to promote their vision of regional stability, and to push back against what they see as the growing Iranian threat. They have been the leading proponent of greater Gulf Cooperation Council cohesion -- sometimes labelled as a "circling of the Sunni wagons" -- and they have recently ensured that a Saudi Arabian will take the top slot at the Jeddah-based Organisation of Islamic Cooperation.

Moreover, all the signs had been that they had seriously prepared for their role on the Security Council, including training their New York team in how best to make an impact.

So what happened?

The Saudi statement turning down the seat spoke of international double standards and the international community's failure to resolve key conflicts, homing in on the Syria crisis, the long-running sore of the Palestinian issue, and the failure to achieve a Middle East free of weapons of mass destruction. The Saudis demanded reforms to the Security Council, and said they would refrain from membership until that body was capable of discharging its responsibilities to maintain international peace and security.

Of course, many countries outside the magic circle of the Permanent Five (the UK, U.S., France, Russia and China) have wanted to see Security Council reform, and some of the P5 countries have themselves worried that the Council's failure to reflect changing patterns of world power -- and the wider ability to open up the government of international bodies to new players -- will inevitably eat into the legitimacy and credibility of the U.N.

And there is no mistaking the anger, however generally slow-burning, in Saudi Arabia and other parts of the Arab world about the international community's failure to resolve the Palestinian issue and achieve the establishment of the long talked about Palestinian state. That ire is particularly focused on the West, above all Washington, and is driven by a sharp sense of Western double standards.

How can it be, the Saudis ask, that the West supports self-determination and democracy everywhere except when it comes to the Palestinians? Given the extent of U.S. aid to Israel, surely if the Americans were serious the leverage exists to persuade the Israelis to make concessions? And how come Barack Obama talked such a good talk in his Cairo speech at the start of his first term, only to fail so spectacularly to deliver?

Not far below the surface there is also a sense of Saudi vulnerability. The Kingdom is, after all, an ally of the West, especially when it comes to anything connected with Iran. So they feel particularly uncomfortable when the Iranians claim to be the leading flag-wavers of the Palestinian cause, with the message to the Arab street that Arab leaders are in hock with the West and only playing lip service to that cause, or have even betrayed it. The Saudis may generally be pragmatic international players, but there is no doubt that the Palestinian cause is for them a sacred one, and that they care deeply about the fate of Jerusalem and the Haram al-Sharif in particular.

While one can also point to Saudi unhappiness with Western policy towards Egypt, it seems clear that it is above all the Saudi sense of Western failure over Syria which has driven their decision, as it did when Saudi Foreign Minister Prince Saud declined to address this year's U.N. General Assembly. At the start of the Syrian crisis, the Saudis hoped that President Bashar al-Assad would go far enough to meet the demands of the Syrian people so as to avoid a crisis. When Assad -- never in any case one of their heroes -- chose repression instead, there was no mistaking the note of genuine moral outrage which came from the very top of the Saudi system, from King Abdullah himself.

The Saudi argument that steps should be taken to arm the Syrian opposition was driven by a belief that those being oppressed had a right to self-defence. But they were also keen to prevent a further hardening of the "'Shia Crescent" stretching from Iran via Iraq and Syria to Lebanon and Hezbollah. I believe nevertheless that they have tried to target their assistance towards non-extremist groups, having learnt better than almost anyone else the lesson of Afghan resistance against the Soviets -- that arms in the wrong al Qaeda hands will one day become a threat to the Kingdom itself. It is however also hard to guarantee in whose hands weapons will end up in such murky situations.

From a Saudi perspective, the message the West and above all the Americans have sent through their handling of the chemical weapons crisis is that it is has lost the will to get tough (a message which they think will not have been lost on the Iranians); that it lacks consistency (not all that long ago Western spokesmen would say that Assad was toast, and now even Kerry is praising his government for its cooperation with the OPCW inspectors); that it is not concerned about the strategic consequences of the conflict and the risk of refugee flows and other pressures destabilizing Lebanon, Jordan and Iraq; and that it lacks morality. Surely, they would argue, the signal conveyed to Assad is that it is acceptable to shoot protesters, but not to use sarin against them. They remain to be convinced that the West will put in a serious effort to achieve a result at the Geneva II conference now scheduled for late November.

They worry too -- inevitably, and ironically like Israel -- that Western limpness on the Syrian agenda prefigures a willingness to accept a less than satisfactory deal with Iran, cutting Tehran too much slack in the regional strategic equation.

It could -- and I think should -- have been argued that the Saudis would have done better to make their voice heard in the Security Council. But the shock decision has certainly sent their allies a strong, and public, message about their feeling of betrayal. And it is a message to which the West should listen, if only in engaging with the Saudis in a more sustained and strategic way.

The opinions expressed in this commentary are solely those of Tom Phillips.

@highlight

Saudi Arabia blasts U.N. Security Council, rejects offer to join

@highlight

Phillips: Saudis are deeply dissatisfied with U.N.'s handling of regional issues

@highlight

Phillips: Saudis disappointed with U.N.'s failure to resolve Syria, Palestinian crisis

@highlight

Saudis also worried that limp response to Syria will lead to capitulation with Iran