(CNN) -- Have you ever wondered what is inside your dental plaque? Probably not. But this question is now being asked not only by dentists, but also by archaeologists.

As a molecular archaeologist, I research the origins and evolution of human disease by conducting genetic research on the skeletal and mummified remains of ancient peoples. By extracting DNA from ancient human bones, we can reconstruct the human genome at different times in the past and look for differences that might be related to adaptations, risk factors, or inherited diseases.

The aim is to better understand the evolutionary vulnerabilities of the human body so that we can better manage and improve our health in the future.

But this only tells us half of the story. Many of today's most important health challenges are not caused by simple mutations in the human genome, but result from a complex interplay between genetic variation, diet, microbes and parasites, and our own immune response.

Diseases and disorders such as periodontitis, heart disease, allergies, diabetes and irritable bowel syndrome, among others, have a strong evolutionary component directly related to the fact that we live in a very different environment than the one in which our bodies evolved.

To better understand these diseases, we need to move past studies of the human genome alone toward a more holistic approach that takes into account human health in the past.

But how do we do this, and, most importantly, where can we obtain this information?
Skeletons are ubiquitous and preserve for long periods of time. Of course, all of the soft tissues have decomposed. The skeleton alone gives us limited information. Mummies are another option, but they are very limited in number and geographical distribution. In the case of Egyptian mummies, they have had all their internal organs removed. Coprolites, or fossilized human feces, which can be found in dry caves, can provide detailed information about diet and intestinal disease. But they are generally quite rare.

Ted.com: Carl Schoonover: How to look inside the brain

To tackle this problem, I put together an international team of researchers in Switzerland, Denmark, and Britain to investigate a largely ignored and little-studied type of fossilized dental plaque that has recently shown promise in microscopy studies.

Its technical name is dental calculus, but many people know it by the term, tartar. It is a partially mineralized accretion of bacterial gunk and food debris that build up on teeth over time. At an average dental cleaning you may have about 10-30 mg removed, but in eras before modern dentistry, as much as 600 mg could build up on the teeth over a lifetime.

Dental calculus fossilizes just like the rest of the skeleton and can persist for tens of thousands of years. It is abundant in eras before dental hygiene, and it is ubiquitous. It is found in every human population, and it is even found among Neanderthals and animals.

Previously, microscopy studies had identified all sorts of things entrapped within ancient dental calculus, including plant microfossils (pollen, starches, phytoliths and fibers) and a diverse array of bacterial cells. Our team is taking this research a step further to ask whether we can also recover DNA and proteins that can tell us more about the health status and diets of ancient humans.

Ted.com: Louise Leakey digs for humanity's origins

What we have found so far is that we can identify many bacterial species that inhabited the mouth and nasal passages, immunological proteins associated with inflammation and infection, and biomolecular indicators of foods that were consumed.

Interestingly, we have also found bacteria that inhabit the lungs and gastrointestinal tract, thereby granting us virtual access to the previously inaccessible and long decomposed respiratory and digestive systems. Thus, the fossilized plaque can tell us about diet, immunity and pathogens not just in the mouth but throughout the body.

Ted.com :Alan Russell on regenerating our bodies

By applying advanced DNA sequencing and protein mass spectrometry technologies to ancient dental calculus, we can begin to reconstruct a detailed picture of the dynamic interplay between diet, infection and immunity that occurred thousands of years ago. This allows us to investigate the long-term evolutionary history of human health and disease, right down to the genetic code of individual pathogens, and it can teach us about how pathogens evolve and why they continue to make us sick.

Our research is ongoing, and we expect to recover even more health and dietary information as we continue to refine our methodology and investigate a broader range of ancient populations.

As final food for thought, I urge you to think twice the next time you brush your teeth. Your mouth is full of valuable information.

The opinions expressed in this commentary are solely those of Christina Warinner.

@highlight

Christina Warinner: Dental plaque contains valuable information

@highlight

Studying genome isn't enough; we need to study evolution of human diseases, she says

@highlight

Warinner: By extracting DNA from fossilized tartar, we learn about health of ancient humans

@highlight

She says understanding our evolutionary vulnerabilities will help us improve our health