(CNN) -- Grocery store shelves are bare. Food left in refrigerators has rotted in the absence of electricity. Houston and Galveston are hungry.

Ashia Turner and her family, from Galveston, wait at a shelter for a bus that will take them to a hotel on Tuesday.

The Houston Food Bank is "utterly overwhelmed with people asking for help," its president, Brian Greene, said Tuesday. The food bank needs 500,000 pounds of food a day for the next six weeks to satisfy the "staggering" needs of Texans who have no food or water after the storm, he said.

"People don't grasp just how many people live here," said Greene, who was executive director of New Orleans' Food Bank when Hurricane Katrina struck the Gulf Coast in 2005. He lost his home in Katrina, and lived at the New Orleans food bank for weeks using a garden hose as a shower.

Most of the Houston food bank's volunteers' homes were damaged and they don't have power.

"It's a very similar situation that I saw following Katrina: when the caregivers themselves [are] victims, it just becomes difficult on a far larger scale than you would think," he said. iReport.com: How are you getting by after Ike?

He pointed out that while Katrina's devastation was spread over a greater area, more people have been affected by Hurricane Ike.

Greene said the food bank normally distributes aid through local charities, churches and other faith-based organizations. But many were wiped out by the storm or are unable to function because of the lack of electricity or phone service.

The Federal Emergency Management Agency has said several times that they are constantly shipping two days' worth of food every day to make sure supplies do not wane. FEMA has established at least 60 distribution sites across the region to give away water, ice and food. There are long waiting lines at those stations crowded with thousands of people. iReport.com: Long lines for help

Gov. Rick Perry on Tuesday issued an emergency order that authorized public utilities to lay temporary power lines to restore electricity to 1.5 million customers.

Houston Mayor Bill White spoke at a 9 p.m. news conference about food distribution. "If we could figure out how to get a big block of ice on your doorstep, we'd do it," he said. The city is working to get people refrigerated food, but he cautioned, "There's a limited number of [FEMA] trucks" that contain supplies.

Fuel is being shipped back to the region, he said. Motorists should stop topping off their tank and only pump the amount of gas they need.

Thousands of people remain in shelters throughout the state. FEMA said it was instituting a transitional sheltering program, allowing some evacuees who are unable to return home to stay in hotels or motels. FEMA will pay for the lodging directly to hotels and motels, the agency said. iReport.com: Ike evacuees get help in Austin

Galveston was so ravaged that city officials told the 15,000 to 20,000 people who stayed on the island during Ike to leave. For those who evacuated, the message was: Stay away. There's not enough clean drinking water and if people came back it would result in a "downward spiral" that officials cannot handle right now, Galveston City Manager Steve LeBlanc said Monday.

"Sometimes the aftermath of the storm is worse than the storm itself," Galveston Mayor Lyda Ann Thomas said Monday. "There's nothing to come here for right now. ... Please leave."  Watch how Ike wiped out neighborhoods »

In Houston, a curfew remained in place, banning citizens from the streets from 9 p.m. to 6 a.m. iReport.com: Shattered Houston buildings

A bottled or boiled water advisory for the Houston area was not lifted as had been hoped -- with the exception of Bellaire, which gave the OK for its tap water Tuesday. Houston city officials said water in one location was being retested.

Harris County, which includes Houston, said it had crews working to clear roads in downtown Houston, and said most streets were passable, while some were blocked because of glass and debris.

"Businesses are reopening gradually, and the situation is returning to normal," said a statement from the Harris County Homeland Security and Emergency Management.

"It's a tough situation on the coast," President Bush told reporters in a hangar at Houston's Ellington Field, where he had arrived to tour Houston and Galveston. "It may be hard to imagine a better Galveston or a better Orange [County], or some of these other communities that have been affected, but I know, with proper help from the federal government and state government, there will be a better tomorrow."  Watch what the feds are doing to keep aid flowing »

Bush said the federal government will pay 100 percent for debris removal and emergency preparedness measures that state and local governments have put in place, without requiring matching funds from the state.

"People have been moved out of their homes, and I know a lot of people are anxious to get back in," he said. "I urge you to listen to state and local authorities before you come back." iReport.com: Facing the deadly storm

Leslie Johnson came home Tuesday to strewn boxes, water-stained walls and soggy, ruined furniture in her first-floor apartment in Bayou Vista, Texas.

"Nothing there is usable. Everything is damaged," she told CNN affiliate KTRK-TV in Houston, sitting on the steps outside her apartment in the small waterfront community in Galveston County.

Inside, a television remained where it had been thrown face down on the floor, its wires still connected to a cabinet.

"I didn't think this would really happen, you know," she said, inhaling deeply. "I thought it was just going to be like Rita, just a little bit of damage, everything will go back to normal. I never thought I would come back and it would look like this."

The Texas coast bore the bulk of Ike's power, and areas lay in ruins Tuesday. At Crystal Beach, a resort community on the Bolivar Peninsula, swaths of land where houses had stood were reduced to debris-laden beaches, with only a few houses dotting the flattened landscape.  See the aftermath of Ike »

Oak Island, north of the peninsula, looked like it had been "bombed," said former Chambers County Auditor Jimmie Moorhead, according to the Houston Chronicle.

"I doubt there are any homes that are livable, and some are just cratered. I even saw someone's little pet goat [dead] in a tree," Moorhead told the newspaper.

Chambers, which includes Oak Island, has sustained "widespread damage," a message on the county's emergency telephone line said. The area has "many unsafe things," no electricity and sewer problems, the message said, urging people not to return home.

Ike's trail stretched into the Midwest, where roads were flooded and thousands of people were without electricity Tuesday. Ike dumped as much as 8 inches of rain over the weekend, according to The Associated Press.

Some rivers in Missouri were more than 15 feet above flood stage and rising, and flooding already was occurring at several towns along the Missouri and Mississippi rivers, including St. Louis, Missouri, the AP reported.

Flooding had closed the street in front of the Gateway Arch and a casino on the St. Louis waterfront, the AP said.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

Houston food bank needs 500,000 pounds of food a day for next 6 weeks

@highlight

Thousands still in shelters, 1.5 million without power in Texas

@highlight

President inspects hurricane damage in Galveston, promises help

@highlight

Floodwaters rising on Missouri, Mississippi rivers from Ike's weekend deluge