(CNN) -- No one can deny that these are difficult days.

Ireland this week became the second Eurozone nation in six months to be bailed out by the International Monetary Fund.

The Organization for Economic Cooperation and Development predicted a slowing down of economic recovery through 2011, with more turbulence ahead if "global imbalances" and high levels of sovereign debt are not brought under control.

As currency speculators hover in search of easy pickings, Western nations rush to impose self-styled "austerity measures." No one wants to be the next economic basket case. Let's cross our fingers and pray to the gods that we escape the luck of the Irish.

The temptation for national governments to panic and retrench is powerful. But the instinct is misguided and damagingly regressive. Even the language of austerity, with its overtones of punishment, is painfully wrong. And the pain is inflicted first and foremost on the public sector -- where spending cuts abound and job losses are rife -- and on the poorest in society.

Frontline services evaporate and the most deprived communities are left hanging out to dry. Austerity comes from the Greek verb "to dry." It is sour and astringent. Self-flagellation is the order of the day.

TED.com: Bjorn Lomborg sets global priorities

Some at least of this new austerity is a form of ideological revenge. The UK is a striking case in point. Britain's Chancellor of the Exchequer George Osborne smiled all the way to the dispatches box as he delivered plans to cut the UK deficit to nothing in the space of five years. His was the moral high ground.

The finger of blame was pointed clearly at his predecessors who had been "profligate" with the nation's resources and built an "overblown" public sector. It's a tempting and convenient narrative. But it's also profoundly inaccurate and a damaging basis for economic renewal.

The first casualty in party warfare is a sense of perspective. For all his failings, one of Gordon Brown's most significant achievements as chancellor from 1997 to 2007 was to bring the national debt down below 40 percent of the gross domestic product and keep it there consistently for the longest period in UK history since World War I. That is, until the crisis struck -- and then all hell broke loose.

Public sector spending, having been stable in relative terms for decades, leapt from 40 percent to 50 percent of the GDP. The public deficit approached 12 percent of the GDP and the sovereign debt is set to double -- all in the space of a few short years.

Amidst the ideological bloodletting, the architecture of the crisis has been conveniently forgotten. This was not a crisis born from rampant socialism, but from unbridled capitalism. What collapsed was not the internal viability of the social economy but the structural integrity of capital markets.

And the biggest casualty of all has been our ability to invest meaningfully in the future. When the language is all about spending cuts, the mere mention of investment in public goods is seen as heretical. And one of the most vital tenets of economics -- that our future welfare depends on the services provided by capital assets -- is left waving in the ideological wind.

For one brief moment during early 2009, the political rhetoric around stimulus lingered tantalizingly on the need to invest in transition -- away from a carbon-intensive, fossil-fueled economy and toward a sustainable, green society. We missed the chance to take that opportunity seriously.

TED.com: John Hardy's green school dream

What we cannot afford to do now is to erase the lessons of the global financial crash from our minds in our desire to avoid a visit from the IMF. In fact, it is we who should pay a visit to the IMF. A global institution which has failed to protect global capitalism from itself is no longer fit for its purpose. Imposing austerity as a means to revive business as usual is a moribund strategy. If institutional reform is the order of the day, then the transformation of the IMF may not be a bad starting point. But beyond such reform, where should we turn for inspiration and renewal?

This is where frugality comes in.

Austerity is all about cutting back the public sector in an attempt to reinvigorate the private sector.

Frugality is about shifting our attention, and our income, away from restless consumption and toward long-term saving. Spending less, yes, but investing more -- both in the public and the private sphere. And in our rush to rebuild financial markets, we need to pause long enough to make them fit for the purpose.

Investing responsibly in social and ecological assets is the key design criterion. Creating robust vehicles to direct public and private savings toward long-term investment in low carbon technologies and infrastructures, in resource productivity, in social goods and public spaces, in land and water and ecosystem services -- here is the cornerstone for economic renewal.

TED.com: Saving the ocean one island at a time

Government must guide and lead this transition. This is not a time to dismantle the state. By all means let's question again the boundaries between the private and the public sectors. Let's explore new models of ownership and enterprise. Let's question the role of productivity and the meaning of welfare. Let's revisit the concept and function of public goods. But for goodness' sake, let's leave sufficient governance in place to have a decent chance at a new prosperity.

Frugality comes from the Latin. It speaks of bearing fruit. Of our ability to flourish, not through relentless material profligacy, but through a due attention to season and cycle and the processes of maturation. Austerity presents us with an arid world, stripped bare of meaning, devoid of hope. Frugality offers us a way to re-enchant the future.

The opinions expressed in this commentary are solely those of Tim Jackson.

@highlight

Tim Jackson: Nations are hoping to avoid bailouts like those of Greece, Ireland

@highlight

He says there's a rush to embrace austerity measures that inflict pain on the poor

@highlight

Jackson says we need to adopt frugal policies, spending less but investing more

@highlight

Government must lead; this is not a time to dismantle the state, he says