(Mental Floss) -- As midnight approaches on December 31st, more than a few of us will crack open a bottle or two of champagne to help toast in the New Year.

Many a glass of champagne will be raised during a toast to the New Year.

With a few choice facts about the bubbly stuff, you can look knowledgeable rather than just tipsy when you drain your flute. Here are a few little nuggets you can share with fellow revelers.

1. What exactly is champagne?

Strictly speaking, champagne is a sparkling wine that comes from the Champagne region of northeastern France.

If it's a bubbly wine from another region, it's sparkling wine, not champagne.

While many people use the term "champagne" generically for any sparkling wine, the French have maintained their legal right to call their wines champagne for over a century. The Treaty of Madrid, signed in 1891 established this rule, and the Treaty of Versailles reaffirmed it.

The European Union helps protect this exclusivity now, although certain American producers can still generically use "champagne" on their labels if they were using the term before early 2006.

2. How is champagne made?

Sparkling wines can be made in a variety of ways, but traditional champagne comes to life by a process called the methode Champenoise. Champagne starts its life like any normal wine. The grapes are harvested, pressed, and allowed to undergo a primary fermentation. The acidic results of this process are then blended and bottled with a bit of yeast and sugar so it can undergo a secondary fermentation in the bottle. (It's this secondary fermentation that gives champagne its bubbles.)

This new yeast starts doing its work on the sugar, and then dies and becomes what's known as lees. The bottles are then stored horizontally so the wine can "age on lees" for 15 months or more.

After this aging, winemakers turn the bottles upside down so the lees can settle to the bottom. Once the dead yeast has settled, producers open the bottles to remove the yeast, add a bit of sugar known as dosage to determine the sweetness of the champagne, and slip a cork onto the bottle. Mental Floss: Why is the drinking age 21?

3. What's so special about the Champagne region?

Several factors make the chardonnay, pinot noir, and pinot meunier grapes grown in the Champagne region particularly well suited for crafting delicious wines. The northern location makes it a bit cooler than France's other wine-growing regions, which gives the grapes the proper acidity for sparkling wine production. Moreover, the porous, chalky soil of the area -- the result of large earthquakes millions of years ago -- aids in drainage.

4. Do I have to buy champagne to get good sparkling wine?

Not at all. Although many champagnes are delightful, most the world's wine regions make tasty sparkling wines of their own. You can find highly regarded sparkling wines from California, Spain, Italy, Australia, and other areas without shelling out big bucks for Dom Perignon.

5. Speaking of Dom Perignon, who was this guy?

Contrary to popular misconception, the namesake of the famous brand didn't invent champagne. But Perignon, a Benedictine monk who worked as cellar master at an abbey near Epernay during the 17th and 18th centuries, did have quite an impact on the champagne industry.

In Perignon's day, sparkling wine wasn't a really sought-after beverage. In fact, the bubbles were considered to be something of a flaw, and early production methods made producing the wine somewhat dangerous. (Imprecise temperature controls could lead to fermentation starting again after the wine was in the bottle.

If one bottle in a cellar exploded and had its cork shoot out, a chain reaction would start.) Perignon helped standardize production methods to avoid these explosions, and he also added two safety features to his wines: thicker glass bottles that better withstood pressure and rope snare that helped keep corks in place. Mental Floss: The men behind your favorite liquors

6. What's the difference between brut and extra brut?

You'll see these terms on champagne labels to describe how sweet the good stuff in the bottle is. As mentioned above, a bit of sugar known as dosage is added to the bottle right before it's corked, and these terms describe exactly how much sugar went in. Extra brut has less than six grams of sugar per liter added, while brut contains less than 15 grams of additional sugar per liter. Several other classifications exist, but drier champagnes are more common.

7. Why do athletes spray each other with champagne after winning titles?

Throughout its history, champagne has been a celebratory drink that's made appearances at coronations of kings and the launching of ships. However, the bubbly-spraying throwdowns that now accompany athletic victories are a much more recent development.

When Dan Gurney and A.J. Foyt won the grueling 24 Hours of Le Mans race in 1967, they ascended the winner's podium with a bottle of champagne in hand. Gurney looked down and saw team owner Carroll Shelby and Ford Motors CEO Henry Ford II standing with some journalists and decided to have a bit of fun. Gurney gave the bottle a shake and sprayed the crowd, and a new tradition was born.

8. What's sabrage?

After the French Revolution, members of Napoleon's cavalry decided that the normal pop-and-foam ritual of opening a bottle of champagne just wasn't as visually impressive as it could be. They responded by popularizing a way of opening bottles using a sword.

The technique, known as sabrage, involved holding a bottle at arm's length while quickly running a saber down the bottle towards the neck. When the saber's blade struck the glass lip just beneath the cork, the glass breaks, shooting off the cork and neck of the bottle while leaving the rest of the vessel intact.

Ceremonial "champagne swords" are available for just this purpose, and if you can pull off this trick, you'll be the toast of your shindig. (Be careful, though. A flying champagne cork is already you'll-put-your-eye-out dangerous, and adding a ring of ragged broken glass to the equation doesn't make the whole endeavor any safer.) Mental Floss: Drinking stories that put yours to shame

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Champagne is a sparkling wine from Champagne region of N.E. France

@highlight

Most of the world's wine regions make tasty sparkling wines of their own

@highlight

Extra brut is less sweet than brut champagne

@highlight

Sabrage is technique of opening champagne bottler with a sword or saber