Washington (CNN) -- In the days immediately following the presidential election, Martin Mendez was in a blue funk.

A Latino Republican, he watched with dismay as poll after poll revealed that not only did President Barack Obama win a second term in office, but he did so with a sizable portion of the Hispanic vote.

The loss was especially painful for Mendez, who spent hours knocking on the doors of Hispanics around Denver in an effort to convince them to give the GOP a try.

"Out in the field in Denver, the comments I got ... the feedback was Mitt Romney's for the millionaires. We're these poor Hispanics, so we're going to vote for Obama because he's for the little guy," Mendez said, his voice full of exasperation.

"There is this class warfare game that Democrats play every single election cycle. We have to start now, reaching out now and not sit on the sidelines until the next cycle," he said.

The growing influence of Latinos, blacks, women and young people in America is not a new story. Demographers have known that at some point the country would become more non-white than white. Social scientists knew that the American landscape was changing, and that change would begin to have profound impact on the nation's shifting identity.

Seven ways religious diversity played in the election

Earlier this year, even Romney, in the secretly-recorded video where he attacked the so-called "47%," understood what was going on. "So we can capture women's votes, we're having a much harder time with Hispanic voters," he told a gathering of conservative donors.

"And if the Hispanic voting bloc becomes as committed to the Democrats as the African American voting bloc has in the past, why, we're in trouble as a party and, I think, as a nation."

For generations, those who knew politics predicted this change would happen one day.

On Tuesday, it did.

For several election cycles now, women have represented more than half of the electorate yet have been an under-appreciated voting bloc.

Add to that the explosive growth of and increased political activism among Latinos, many of whom are younger, under 35. Then there is the generations-long fight for political gains among African Americans, helping culminate in the re-election of the nation's first black president.

The growing political power among other minority groups and vocal youth vote has meant that the party these groups largely back -- Democrats -- netted huge gains during this election cycle.

The New America: What the election teaches us about ourselves

The new American electorate, it seems, has arrived. And it may be spelling big trouble for Republicans.

"The minority groups that carried President Obama to victory are on track to become a majority of the nation's population by 2050," researchers Paul Taylor and D'Vera Cohn wrote in an analysis piece for the Pew Research Center.

Taylor added that those groups account for 37% of the population, and cast "a record 28% of the votes in the 2012 presidential election."

For the first time in the nation's history, women and minorities will hold the majority of the Democratic Party's House seats, according to an analysis by Bloomberg News.

However, the Republican side of the aisle will remain largely white and male.

Opinion: GOP voter suppression fueled black turnout

More women voted for Obama than Romney

While it is too early to tell what type of long-term impact these newly powerful Americans will have on the nature of politics, exit polling suggests their impact was felt in both top of the ticket, down-ballot races and state initiatives across the country.

According to CNN's exit polls, 55% of women and 45% of men voted for Obama, while 44% of women and 52% of men voted for Romney. That level of female support for the president made an especially big impact in swing states like Ohio where the gender breakdown mirrored the national figures.

Obama garnered 44% of the Hispanic vote, numbers which likely helped him in places with high Hispanic populations such as Nevada, Colorado and Florida.

Over the next several generations, the wave of minority voters -- who, according to U.S. Census figures released earlier this year, now represent more than half of the nation's population born in the past year -- will become more of a power base in places like Alabama, Mississippi and Georgia. That hold will extend across the Southwest all the way to California, experts say.

The coming political revolution could result in a massive changing of the guard on nearly every level of government, potential cultural clashes from big cities to rural towns, and the type of political alliances that are now considered rare.

"I do think that the era that began with Ronald Regan where there was a conservative dominance powered by conservative voters and Southern whites. That era is over," said David Bositis, a senior political analyst, at the Joint Center for Political and Economic Studies. "Any candidate that wants to run a campaign [now] only at whites is going to lose."

GOP problem: 'Their voters are white, aging and dying off'

Obama failed to deliver on a first-term pledge to tackle comprehensive immigration reform. So moving forward, legislative battles over immigration will test the newfound political sway of minorities and the GOP's ability to redirect on the issue, said Andra Gillespie, an associate professor of political science at Emory University in Atlanta.

"This will be a test on whether or not Republicans get the message," Gillespie said, adding, "Strategically, Obama needs to identify pro-immigration Republicans and get them on board pretty quickly. He's got to figure out which Republicans are hip and realize the game has got to change on immigration and help protect them (so) they feel comfortable enough to defect."

Both parties will also work with a Congress that has seen more women added to its ranks.

How women ruled the 2012 election and where the GOP went wrong

In Congress, a record 20 women will hold U.S. Senate seats next yearâ€”including newly-elected Wisconsin Democrat Tammy Baldwin, the first openly lesbian senator. The New Hampshire congressional delegation will be all female and, in Obama's home state of Hawaii, Democrat Mazie Hirono will represent the islands in the Senate. In Nebraska, Republican Sen.-elect Debbie Fischer will represent that state.

However, there are still hurdles to overcome, said Jennifer Lawless, director of the Women and Politics Institute at American University. "Because of very clear and specific targeting, Democrats were able to win women," Lawless said. But, she continued, that "doesn't mean that is how they govern. Moving forward in the direction that will improve women's social, economic and political autonomy takes time."

Analysis: Obama's new Democratic majority

Changes at the local level, too

A mix of ballot initiatives across the country suggests that, despite the political power gains among women and minorities, those groups are not always united on issues. And in places where those groups are outnumbered, state and local laws may not always favor their causes.

In Florida, voters rejected a proposal that would have blocked state employees from using their health insurance for abortions except in cases of rape, incest or when the woman's life is threatened. In Montana, voters passed a measure requiring parental notification before a doctor can perform an abortion on a minor aged 16 or younger.

In Maryland, voters overwhelmingly passed a state version of the DREAM Act allowing undocumented immigrants to pay in-state tuition. In Montana, roughly 80% of voters approved blocking illegal immigrants from getting such state services as student aid and disability benefits. Maryland and Maine both passed marriage equality initiativesâ€”a topic that polling suggests is broadly supported among young voters in particular.

Opinion: How GOP can attract Latino voters

The League of Young Voters, a group which targets non-college, minority youth and encourages them to vote, is especially excited by the demographic sea change.

Over the next several election cycles, voters can expect to see topics such as immigration reform, climate change, marriage equality and improving juvenile incarceration rates become more of the public policy conversation, said the group's executive director Rob "Biko" Baker.

"Young people are extremely concerned about climate science and climate change .... a smart elected official will try and connect that with jobs packages, Baker said. "There needs to be a big conversation about marriage equality. Young people are more tolerant of marriage equality."

As for Mendez, he's feeling a bit better following Thursday night's Colorado Hispanic Republicans dinner designed to reach out to Latinos. After all, he was once a Democrat who switched to the GOP after realizing the party was most closely aligned with his own views on abortion, guns and taxes.

He's feeling a bit better that maybe others can be convinced to do likewise.

"The last two days, I've been down in the dumps about this election," he said. "But today I'm excited. We don't have to move a mountain here, we just have to move a little bit."

Carville: GOP routed by reality

@highlight

The demographic sea change in political power is here, experts say

@highlight

Political gains among women, youth, and minorities will help shape the political conversation

@highlight

Republicans say they will have to figure out how to work with, attract these newly powerful Americans