(Financial Times) -- Gold prices have suffered their sharpest fall since the 1980s, heightening fears among investors that the precious metal's decade-long bull run has ended.

Spot gold prices tumbled by more than $100 an ounce, or 8.7 per cent, in a few hours on Monday amid a rout in metals markets, while silver fell 11 per cent. Faltering European demand and weaker than expected Chinese economic data depressed oil prices, pushing Brent crude down by 3 per cent to $100.02 a barrel, a nine-month low.

The S&P 500 recorded its worst session in six months, closing 2.3 per cent lower as energy and materials companies tumbled.

Gold's drop since Friday to a two-year low of $1,355.80 a troy ounce is the sharpest two-day tumble since 1983, when the last gold bull market was unravelling. "This has really tested people's resolve," said David Rose, global head of metals trading at HSBC. "People who have said they want to be long are asking 'How much do we really want gold to be part of our portfolios?'"

Gold has enjoyed a stellar run over the past decade. Prices surged more than sevenfold since 2001 to an all-time high of $1,920 a troy ounce in 2011, as investors turned to the metal as a haven from turmoil in the rest of the financial world.

But as fears over the eurozone debt crisis recede and investors bet on a recovery in the US, sentiment towards gold has suffered. Credit Suisse, Société Générale and Goldman Sachs have all called the end of the bull market in recent months.

"This is a market that has only got one thing on its mind: get me out [of gold]," said David Govett, head of precious metals at brokerage Marex Spectron.

The collapse in prices will hurt investors with large gold holdings such as John Paulson, the hedge fund manager who made billions betting against the US housing market during the financial crisis.

In addition to Mr Paulson's $3.1bn holding of shares in a gold exchange traded fund, at the end of last year Mr Paulson's hedge funds controlled shares in at least nine gold miners worth almost $1.1bn at current prices, according to regulatory filings. More than half of that is in one stock, AngloGold Ashanti, where Paulson & Co is the largest holder with a 7.35 per cent stake.

AngloGold Ashanti shares have dropped 39.5 per cent so far this year.

John Reade, Paulson & Co partner and gold strategist, said that the fund had not changed its long-term thesis on gold, arguing that quantitative easing by the world's central banks would ultimately lead to higher inflation: "Federal governments have been printing money at an unprecedented rate creating demand for gold as an alternative currency. It is this expectation of global paper currency debasement which makes gold an attractive long-term investment."

More than half Paulson & Co assets are denominated in gold including the great majority of Mr Paulson's own fortune, according to people familiar with the firm.

Bill Gross of Pimco, the world's largest bond fund manager, in February described gold as a "decent hedge" "OK, so I made a bad call," he admitted in a tweet on Monday, but added that he "would still buy gold here".

In a New Year letter to investors, David Einhorn listed gold as one of his Greenlight fund's top five holdings along with stock in Apple, Cigna, General Motors and Vodafone. "We took some lumps as gold declined," he admitted in the letter. But Mr Einhorn has also been bearish on the yen since 2010, a position that started to work in the fourth quarter last year and has been one of the most successful hedge fund trades this year.

The Tudor hedge fund has been betting against the gold price this year, according to people familiar with the situation. Tudor declined to comment.

Nonetheless, traders said that investors had lost patience with arguments that higher inflation is inevitable. "QE is not inflating the world economies like governments have hoped," said Mr Rose at HSBC. "Commodities that have had inflation priced into them for a long time are struggling."

Traders added that Cyprus' decision last week to sell a portion of its gold reserves as part of a bail-out deal had dealt a sharp blow to confidence in the market, arousing fears that other eurozone countries with much larger gold reserves could follow suit.

Additional reporting by Emiko Terazono in Lausanne

© The Financial Times Limited 2013

@highlight

Gold hit a two-year low on Monday of $1,355 per troy ounce

@highlight

Investors fear gold's decade-long bull run is now over

@highlight

The precious metal hit a record price of $1,920 a troy ounce in 2011

@highlight

Better economic conditions in U.S. and Eurozone have stifled demand for gold as safe haven