(CNN)The United Kingdom may seem an unlikely candidate to lead a renewable energy revolution; it doesn't have much sun for solar power, it doesn't have much space for wind power and it doesn't have giant coursing rivers for hydro.

It does, however, have thousands of miles of coastline and a lowering and restless sea whose tides ebb and flow with tremendous force.

Energy companies in Scotland and Wales are seeing the potential from underwater turbines which tap a constant and predictable source of energy, are invisible and can produce as much electricity as a conventional wind turbine.

If a test project in the fast flowing marine waters of Pentland Firth in the far north of Scotland goes well, submerged turbines could eventually power as many as 400,000 Scottish homes, according to the Scottish-government backed scheme.

Predictable flow

"The demonstration array at the moment is 6MW or four turbines. Hopefully this will be the catalyst for further investment," MeyGen CEO Dan Pearson told CNN. "We are looking to complete construction of that in 2016."

Sea water is 832 times denser than air, which means the turbines can be smaller while producing a similar amount of energy to a wind turbine. The force of these tides also means the turbines can be placed closer together, taking up less space on the sea bed than an equivalent wind farm on land.

Apart from being invisible -- obviating a factor that has stalled many wind farm projects on land -- the marine turbines have the great advantage of tapping an energy source that does not rely on the weather.

Other renewables such as wind, wave, solar and even hydroelectricity depend in large part on seasonal and climatic features, tidal turbines, meanwhile, get two regular tide changes a day.

"We can forecast over the next 100 years pretty accurately -- we know when the power's coming," he said.

Scrap metal as an anchor

The plan is for the stands for the turbines to be lined up 525 feet (160m) apart and weighted to the sea bed with scrap metal. With a depth of 130ft (40m), Pearson says that vessels would have a clearance of about 8m, plenty, he says, for the small craft that ply the four mile region.

"These are really cut down versions of wind turbines, such that most of the electrical equipment is onshore so that if something goes wrong, we can get a Land Rover and drive to the substation rather than having to get a boat and pick them up.

"That's one of the core advantages of this technology."

Other issues such as maintenance and corrosion have been solved, in large part, by using the advances in other technologies.

"It makes use of a large knowledge base, for example the seals and solutions have been solved by propeller technologies on ships, problems of corrosion are well known from subsea structures like bridges or oil rigs.

"What you're seeing is nothing brand new, it's just a lot of components coming together and I think that's the beauty of it."

Safe for sea life?

Concerns over the impact on marine life were also raised during the planning process, but Pearson said the simple fact is the turbines move so slowly -- at between 12-18 RPM -- that experts believe most sea life would be able to either ignore or get out of the way of the blades with ease.

"We've been working closely with institutions such as Scottish Natural Heritage and the Royal Society for the Protection of Birds because we have diving birds in the area," Pearson said. "We have seals, we have whales, we have dolphins -- it's beautiful up there."

He said undersea monitors have been logging the wildlife in the region over the past five years and that various groups now have a clear baseline of which animals populate it.

"There has been a lot of work done in other parts of the world on how seals and whales interact with these turbines and they do actually get a bit curious.

"But these rotations of the blades are quite slow in comparison with wind turbines and the theory is that they can just get out of the way.

He said research had shown that most marine life avoids tidal surges when they are in full flow.

"I can imagine seals dancing around them, but the only time they'll be playing around them is when the flow is benign -- and that only lasts for about an hour and a half and at that time the blades aren't rotating.

"We don't want to be blasé about it, but at the same time we have a high degree of confidence."

The immediate future of the energy source, he said, was looking good, with leases around Scotland showing the potential to produce 1.2GW -- more than twice the energy produced by an average-sized nuclear power plant.

"The UK has a good chance to develop and manufacture these turbines for world consumption in a beautiful part of the world which currently has a low GDP," he said.

Read more from Tomorrow Transformed:

The first ever 3D-printer President

The hottest apps in tech right now

What can you buy off the Darknet?

@highlight

Energy companies in the UK see potential from underwater turbines that produce electricity

@highlight

The energy is consistent and predictable; companies can model output 100 years in the future

@highlight

Meygen has placed four turbines in the north of Scotland to tap the tidal power of Pentland Firth

@highlight

The energy source has the potential to produce 1.2GW, the equivalent of two nuclear power plants