(CNN) -- Let the naming and shaming begin.

China will start to point the finger at its top ten most air-polluted cities -- each and every month -- in the hopes that national humiliation will push positive environmental action. A parallel list of the nation's ten cities with best air qualities will also be published.

Beijing's political -- and very public -- pressure on its most polluted cities comes within a year of the capital reporting its worst air quality levels in recorded history and an Asian Development Bank study showing seven of the world's top ten most air-polluted cities were in China.

"We must put air quality control as an ecological red line for economic management and social development," said China's Vice Premier Zhang Gao Li, in a statement. On Wednesday, he announced the new policy at the 18th Air Pollution Control Conference in Beijing.

"Air pollution control is a long, arduous and complex mission. We need to highlight the control of major polluted cities and strengthen the reduction and management of various polluters," added Zhang.

Chinese officials did not say when the first list would be announced, but the northern megacities of Beijing and Tianjin, as well as the surrounding provinces of Hebei, Shanxi, Inner Mongolia and Shandong have signed onto an official plan to speed up air pollution control measures.

This past August, an official environmental assessment found these six regions to be China's most polluted.

"I think the policy is a very good inspirational mechanism, especially for those cities on the 'shaming' list, so that they can work to get off the list quicker," said Huang Wei, Climate and Energy Campaigner at Greenpeace China, to CNN.

"However, it is not enough to rank those cities. It's also important to control energy, especially coal consumption. Some cities didn't clarify how much they are going to reduce their coal consumption. The lack of a number makes us worried that there won't be any dramatic change in terms of air quality."

Earlier this month, the central government said it would stop approving coal-fired power plants in more heavily polluted industrial areas.

It also announced a national blueprint to lower the concentration of harmful particles in the air -- much of it caused by the burning of coal -- by at least 10% between 2012 and 2017 levels.

In heavily polluted areas, including China's north, targets will be more stringent. Beijing, Tianjin and Hebei, all signatories to this week's new air pollution control plan, aim to cut particles by 25%. In southern China's Pearl River Delta, across the border from Hong Kong, the goal is 15%.

"We know high-ranking officials really want to tackle the (air pollution) problem but in reality how much does this help?" said Sum Yin Kwong, CEO of the Clean Air Network in Hong Kong, to CNN.

"It all might be more symbolic because when you look at the regional or local level, growth is measured by GDP, not by how environmental the city has become. I'm not too optimistic," added Kwong.

China is the world's largest consumer of coal by volume and will continue to be for years, relying on the fossil fuel for 70-80% of its energy needs, according to various experts and the World Coal Association. Much of that energy goes towards electricity for factories and for winter heating. Beijing says it hopes to reduce the nation's coal consumption to 65% by 2017.

In comparison, Australia draws about 75% of its electricity from coal, according to the Australian Coal Association. The United States generated 37% of its electricity from coal in 2012, according to the U.S. Energy Information Administration.

As people in China have grown wealthier, they have increased demands on the government for a cleaner environment.

This past July, a landmark study by Chinese and international academics revealed that severe pollution and toxic air slashed an average of five and a half years of life expectancy for residents of northern China.

According to a recent Greenpeace report, 83,500 people died prematurely in 2011 from respiratory diseases in Shandong, Inner Mongolia and Shanxi -- China's top three coal-consuming provinces.

@highlight

China to name and shame top ten worst-polluting cities each month

@highlight

'Air quality control is ecological red line,' says Chinese vice-premier

@highlight

Beijing, Tianjin, cities in northern provinces have signed plan to speed up air pollution control

@highlight

Seven of world's top ten most air-polluted cities in China, says ADB report