Washington (CNN) -- As the Republican primary reaches its halfway point, the question of inevitability is a main topic of conversation. Is former Massachusetts Gov. Mitt Romney, who holds a sizable lead in delegates, destined to be the Republican nominee for president in 2012?

While Romney's campaign says yes, his three rivals argue otherwise.

Mathematically, former Sen. Rick Santorum, former House Speaker Newt Gingrich and Rep. Ron Paul all still have a chance to win the nomination. But the odds are quickly stacking against each one of them. One mishap now could cost them the chance of an outright win before the Republican National Convention in Tampa, Florida.

How to win the nomination

Every primary contest comes down to one thing: amassing as many delegates as possible. These delegates are elected to go to the national convention, where they will officially nominate the candidate to represent the Republican Party in the general election against President Barack Obama. It takes 1,144 delegates to win the GOP nomination.

As of Monday, CNN estimates that Romney has 519 delegates, Santorum has 239, Gingrich has 138, and Paul has 69.

Delegates are allocated based on primary and caucus results, per the state Republican Party's rules. The rules differ from state to state, but most are approved by the Republican National Committee.

Some states have a one-day primary, some have a multistep caucus system, and others have a mix of the two. New Hampshire, South Carolina, Florida, Michigan and Arizona were penalized for moving their primaries outside the window authorized by the national committee.

The road to 1,144

Romney's delegate total puts the odds in his favor. CNN estimates that there are 1,290 delegates up for grabs, meaning Romney would need 49% of the remaining delegates to win the nomination. His plan: Stay the course.

"We're going to the convention with more than 1,144 delegates," said Rich Beeson, Romney's political director. "We're going to do what we've always done. We've had a plan since day one."

Contests in Illinois, Maryland, Wisconsin and Washington appear to favor Romney.

But the way the rules read, most delegates are awarded in a proportional manner, making it almost impossible for one candidate to win them all in one contest.

There are some contests remaining in which delegates are winner-take-all: Washington, Delaware, New Jersey and Utah.

That does not mean Santorum can't catch up. He needs 70% of the remaining delegates to win the nomination before the convention. Santorum's focus: the May contests.

"We believe that May 8th is the beginning of the end for Mitt Romney and the date that puts Rick Santorum on a path to the nomination," John Patrick Yob, a Santorum strategist, wrote in a recent campaign memo. North Carolina, Indiana and West Virginia vote that day; a win in all three could be pivotal to changing the momentum of the race.

Santorum isn't the only one looking ahead to May. The Gingrich campaign believes those and other May contests such as Arkansas, Kentucky and Texas will be fertile ground for delegates as well.

The 152 delegates at stake in Texas could be a boon for all the candidates. Gingrich has the endorsement of Gov. Rick Perry, who unsuccessfully sought the GOP presidential nomination. Expect Gingrich to lean on Perry when the primary turns to Texas.

"With 4 candidates remaining, the GOP nomination now moves into unchartered waters with history in the making," wrote Randy Evans, senior adviser, and Martin Baker, political director to Gingrich, in a recent campaign memo. "The sequencing and pace of the second half favors Newt."

For Gingrich and Paul, the numbers are more difficult. They need 78% and 83% of the remaining delegates, respectively, to earn the nomination.

Paul's plan: unpledged delegates.

Delegates: Pledged, unplugged and the power to switch

Not all delegates are the same. "Pledged" delegates are required to vote for the candidate based on the results of their state's contests. "Unpledged" delegates are allowed to vote for any candidate they choose, regardless of the results in their state.

For Paul, this could mean picking up delegates in states that have already held their first round of voting.

In many caucus states, the first round usually has a nonbinding presidential straw poll and an election of delegates to another local convention. These delegates then go to a county, congressional district or state convention. At this second-stage convention, which could occur months after the initial vote, the actual delegates for Tampa are selected.

The process varies from state to state. In some states such as Iowa, delegate selections are done at different events. Congressional district delegates are elected at the district conventions, while at-large delegates are elected at the state convention.

This is where the Paul campaign sees an opening. The congressman is counting on his strong grass-roots organization to help him pick up delegates at these local conventions.

"Our campaign has continued to follow up and work the delegate selection processes in the states where contests have already been held, and we plan to work hard to collect delegates in upcoming states where the awarding of delegates is proportional," Gary Howard, Paul's national press secretary, said in a statement. "No one can afford to think too far ahead right now, it is still a wide open race so our campaign will continue to hunt for as many delegates as we can gain up until the convention."

Most of the delegate-selecting conventions in caucus states have yet to take place. In Wyoming, Paul did see a loss of a couple of delegates between the first straw poll and the county conventions. His supporters will have to rally stronger to make sure he maintains -- if not picks up -- delegates.

Unpledged delegates can also change their minds and vote for a different candidate. This is why it is extremely important for campaigns to have strong organization to try and pick up new delegates, while making sure they hold on to unpledged delegates who expressed support.

"The accumulation concept is analogous to attaining one's GPA -- harder to bring up than to start up -- so is the delegate horse trading," said Mary Matalin, a former campaign adviser for George H.W. Bush. "If you don't have good solid, 'political' ones and full slates from the get-go, it's harder, if even possible, to move them around."

The three most important delegates

Unpledged delegates will sometimes follow three key members of their state's delegation: the party chair and the two national committee members. Except in states where they've lost their vote due to a penalty, these three members are part of every voting delegation at the convention.

The three members are leaders in the party and often have contact and influence with the campaigns and their state's delegation. If the convention is brokered, they can advise delegates on possibly switching their vote on a second or third ballot.

"They become magnifying forces for other unpledged or second ballot switchers," Matalin said.

Most pledged delegates are bound only on the first vote, making it crucial for any candidate who does not want a floor fight at the convention to lock up their delegates ahead of time. The three committee members can help accomplish that.

While a brokered convention might not seem like a pressing issue, Republican leaders will want to avoid the chaos. It takes to time prepare to run a national campaign, which the winning candidate won't have if the nomination isn't decided until late August in Tampa.

If you're a Republican national delegate, that's the last thing you want, for one important reason.

"Essentially, what they're saying is that 'we have a nominee with 60 days to go against Obama, the most funded president in American history,' " said Beeson, Romney's political director. "My guess is, if you're a delegate to the RNC, you want to beat Barack Obama, and this is not how you're going to do it."

CNN Political Research Director Robert Yoon contributed to this report.

@highlight

It takes 1,144 delegates to win the GOP nomination

@highlight

CNN estimate: Romney has 519 delegates, Santorum has 239, Gingrich has 138, Paul has 69

@highlight

Mathematically, Santorum, Gingrich and Paul all still have a chance to win the nomination

@highlight

But the odds are quickly stacking against each of Mitt Romney's rivals