On July 17, 1984, President Ronald Reagan signed into law the National Minimum Drinking Age Act, which withheld a percentage of highway funds from any state that didn't raise the minimum drinking age to 21.

The week before, Reagan had declared ice cream a "nutritious" food.

Perhaps that's a hint that politicians don't always know what's best for your health.

Thirty years later, there is a group of people with Ph.Ds and MDs who take issue with the drinking age. They say, from a scientific standpoint, that the law may target the wrong teen behavior.

Solving one public health crisis

The law came into being to solve a serious public health problem.

Before the minimum drinking age law, 16- to 20-year-olds were the most common drunken drivers.

When the drinking age was raised, the number of fatal crashes involving a young driver dropped significantly, from 61% in 1982 to 31% in 1995. It went down more for that age group than any older age group.

But while the law did have a significant impact on drinking and driving, it did not stop kids from drinking.  In fact, it may have made drinking even more appealing to teens, whose brains naturally seek out risk more than adult brains do -- without considering what the consequences might be.

A survey of students at 56 colleges across the country just a couple years after the legislation passed found that "significantly more under-age students drank compared to those of legal age." This study concluded that "the increase in purchase age appears to have been not only ineffective but actually counter-productive, at least in the short run."

The definition of adulthood is not clear-cut when it comes to science.

"There's no magic that happens physically to someone when they are 21 as compared to age 18," said Dr. William Graf, a professor of pediatric neurology at Yale.

The American Psychological Association (PDF) says that drawing a single line between adolescence and adulthood under the law is at odds with developmental science. They say adolescence usually begins at about age 10 and ends around 19, but really it depends; maturity is based on an individual's experiences.

Developing brains

Current data from the National Survey on Drug Use and Health and Monitoring the Future, the two official surveys that monitor such topics, suggest that roughly 65% of college students (generally aged 18 to 22) drink alcohol in any given month.

Most of the college students who choose to drink are binge drinking, according to a study out of Harvard. Seven out of 10 are consuming five or more drinks in a row.

Binge drinking can have a damaging impact on a developing brain. Evidence suggests that heavy exposure to alcohol can cause irreversible brain damage and cognitive deficits, including memory problems.

Scientists say the teenage years are one of the most important times for brain development, next to infancy. Neurons in the brain are growing and strengthening, connections are developing to allow the brain to transmit information faster and allow the brain to process more complex thoughts, and the brain goes through a kind of pruning process to eliminates synapses that are infrequently used.

All this brain development has a huge impact on a person's development and mental well-being. It also means that young people have lapses in judgment during this time period as they try to figure out how to be adults.

The limbic system, the part of your brain that is involved in processing social and emotional information, develops early in adolescents. But the prefrontal cortex, the part of the brain that involves judgment, impulse control and abstract thought and the ability to anticipate the consequences of your actions, isn't fully shaped until your late 20s.

Mimicking behavior

Abigail A. Baird, associate professor of psychology at Vassar College, has spent her career trying to understand what happens with the typical adolescent brain.

Baird argues that if anything, in terms of biology, the age limits on driving and drinking should be flipped.

"If I were queen for the day, I would move the drinking age to 18 and maybe not let them drive until they were 21, at least not with other people besides your parents in the car," Baird said.

She likes the idea of graduated driver's license laws that slowly let young drivers have more responsibility as they get more practice in the car. This is based on the theory that they will learn how to avoid accidents as they gain experience.

The statistics back her up. Before states introduced graduated licensing systems during the first six months of solo driving, newly licensed drivers were about eight times more likely to be involved in fatal crashes than more experienced drivers.

"We all know adolescents are obsessed with learning from their peers. ... Adolescents learn based on experience. They are not good at learning abstractly; that's what changes a lot between 18 and 21.  When you get older, you can learn from reading stories about people and by really feeling for other people."

Baird believes that society could use the way young people learn, to help them learn how to drink responsibly at an earlier age. If drinking were less of a clandestine affair, perhaps a teen's peers could model more appropriate behavior for younger participants. She says it's important to learn how to behave around alcohol.

"Find me a business dinner that you will go to where you are not offered alcohol," Baird challenged. "In our society, you do need to know what do around it and how much you can handle."

Florida teens miss prom after passing Breathalyzer tests

Cohan: Get real, lower drinking age to 19

@highlight

Thirty years ago, Ronald Reagan signed the National Minimum Drinking Age Act

@highlight

Scientists say the law makes drinking more appealing to teens

@highlight

Younger drinkers binge drink more often, which can hurt developing brains