WASHINGTON (CNN)  -- Transportation investigators Wednesday discovered "anomalies" in an essential control circuit of a track where a fatal crash between two Washington subway trains killed nine people.

Investigators work Tuesday at the site of the Metro train crash in Washington.

Each section of the transit system's track contains a circuit that transmits and receives signals that generate speed commands for trains, said Debbie Hersman of the National Transportation Safety Board. She said the circuits are "vital providing information to the operators and the train itself when on automatic."

Investigators found no problems in five of the six circuits on the stretch of track in the crash area. But they found "anomalies" with the sixth circuit, Hersman said.

She would not say what those anomalies were but said simulated crash tests would be conducted to try and determine what caused the deadly accident.

The findings could mean that the striking train, which was on automatic, did not know to slow down because another train was stopped on the track ahead.

Hersman said investigators walked the tracks Wednesday, finding markings on the track that indicated emergency braking had taken place.

Investigators hoped Thursday to interview the operator of the struck train, who was released from a hospital Wednesday. The driver of the striking train was killed.

The crash, the worst in the history of Washington's transit system, known as the Metro, occurred along the congested Red Line just before 5 p.m. Monday on an above-ground track section near Takoma Park, Maryland.

Both cars were on the same track, traveling in the same direction -- southward from Fort Totten Metrorail station to the Shady Grove station. The struck train had stopped behind another train undergoing service and was awaiting directions to move ahead.

The striking train was pulling some of the oldest cars in the fleet of the Washington Metropolitan Area Transit Authority. On Wednesday, House Majority Leader Steny Hoyer said he plans to seek $3 billion for Metro transit capital improvements, some of which would likely be spent to replace some those old Series 1000 cars, purchased between 1974 and 1978.

Upon impact, the train pulling those Series 1000 cars jumped on top of the other train. All the fatalities were on the striking train, Train 112, Metro transit spokeswoman Angela Gates told CNN on Wednesday.

In the collision, the front car of the striking train was severely damaged, leaving minimal space for survivability, said Hersman. According to one report, 50 feet of the 75-foot length of that lead car were lost to the accident, leaving only one-third of the space after the crushing impact.  Watch Hersman talk about previous warnings »

The NTSB recommended in 2006 that Metro transit replace or retrofit all of its Series 1000 trains, to bring them up to current safety standards.

Metro transit responded that because it was constrained by tax-advantage leases, it intended to keep the 1000 Series until the end of 2014.

"Our recommendation was not addressed, so it [the case] has been closed in an unacceptable status," Hersman said.

The NTSB has no regulatory powers and can't force implementation.  Watch Hersman talk about the computer systems »

"The safety of our citizens is our highest priority and we must take every precaution that this loss of life does not occur again," said Hoyer, a Democratic congressman from Maryland.

He said he would soon introduce a final measure to authorize dedicated federal and local funding for Metro.

The Series 1000 cars comprise a quarter of Metro transit's 1,126 cars, or nearly 300 cars, Gates said.

At $3 million per car, the agency can't afford to replace them all at once, Gates said. Each car has a 40-year life and can last until fiscal year 2015, she added.

"So we've taken steps to keep them in good condition."

She said they have been phasing out the outdated cars as new cars are bought, she said. That plan hasn't gone as quickly as anticipated, however, because of an increase in ridership, Gates added.

The lead train in Monday's crash contained newer 5000-Series and 3000-Series cars. These have data recorders, which will aid the investigation a great deal if they aren't damaged, Hersman said. The recorders provide information on such things as speed, braking and emergency applications. She said there were no recorders on the rear train.

The rear train was being operated in automatic mode, which is the normal operating procedure during rush hour. Washington transit trains are being operated manually until the cause of the crash is determined, Hersman said.

She said there is no indication that any of the brakes on the rear train failed before it rear-ended the other train.

"Our investigators on scene yesterday did find some evidence of emergency brake application. They found the emergency mushroom, which is a button that was depressed in the control cab, and they also examined the wheels and the brakes, and they found that the rotors showed some bluing," Hersman said.

"That bluing is consistent with an emergency brake application," she said.

Bluing indicates the rotors have been subjected to extremely high temperatures, and this can be caused by hard stops.

@highlight

House majority leader to push for $3 billion in Metro transit funding

@highlight

The transit authority wants to replace its aging Series 1000 cars

@highlight

A train of Series 1000 cars rear-ended another train Monday, killing nine

@highlight

Investigators question why computerized emergency system failed