As education scandals go, the news that students at some of the best high schools on Long Island paid others to take their College Board tests seems mild. The Long Island scandal pales behind the sex scandal at Penn State.

Yet the fears driving the Long Island scandal come with much broader educational implications than those affecting Penn State. The cheating scandal reflects the tyranny that standardized testing has come to exercise over higher education in America.

Just before Thanksgiving, Nassau County district attorney Kathleen Rice leveled criminal charges against 13 students for their part in the Long Island testing scandal. Rice was right to treat as a criminal matter the testing fraud, which, after seven arrests in September, now includes 20 Long Island students.

Two more suspects turn themselves in

But if colleges and high schools sit back and regard the Long Island scandal as primarily a security issue to be corrected by better policing, they are failing in their mission. They bear a huge responsibility for the degree to which a high score on a standardized test has become disproportionately important for college admission.

The Long Island testing scandal reflects the extent to which high school students across the country are responding to what their teachers and colleges are telling them will bring success. They are acting on the premise that in the race to gain admission to the nation's most prestigious schools, getting a high score on the ACT or College Board tests is the equivalent of winning the lottery.

This obsessive focus is exactly the opposite of the generous ideal that in 1934 led Harvard president James Bryant Conant to pioneer the use of the SAT, Scholastic Aptitude Test, for admission to Harvard. Conant's aim was to find worthy students in schools across the country who were not part of the elite private school system from which Harvard traditionally drew most of its students.

Today, Conant's approach to the SAT is an anachronism. As Thomas Espenshade and Alexandria Radford show in their study of race and class in college admissions, "No Longer Separate, Not Yet Equal," selective colleges give blacks a 310-point bonus and Hispanics a 130-point bonus on the SAT test in order to achieve a measure of diversity. But that practice has not changed colleges' overall reliance on the SAT test as a guide to admissions.

Colleges vie with one another to get the highest testers they can find, and the prestigious U.S. News and World ranking of colleges and universities makes admissions test scores a key factor in its influential rating system.

The question colleges and universities need to ask themselves is what can they do to lessen the educational testing equivalent of the old nuclear arms race. The short answer is treat standardized tests, which all too often correlate with income, with greater skepticism. The long answer is for colleges to balance their use of the tests with a more complex look at their applicants than is now common practice.

I teach at a college that has completely dropped requiring ACT and SAT tests for admissions. We found  the tests revealed more about students' racial and economic backgrounds than abilities, but I am aware that such a radical departure from the norm is out of the question for most schools -- especially the flagship state universities that are swamped with thousands upon thousands of applications.

What is, however, possible for all colleges to do is reduce the weight they give the ACT and SAT tests and thereby reduce students' obsession with their test scores. There are a number of ways to bring about this change, but two stand out as the most practical.

The first step is for colleges to increase the size of their admissions staffs so  the staffs can look more closely at prospective students' writing samples, grades and references. Colleges speak about considering the overall potential of a student, but that is an empty claim when overworked admissions officers are struggling just to keep up with the paperwork they face.

For a second step, every college that can afford it should make a commitment to interview as many of its strong applicants as possible. This may mean paying for a campus visit by a future scholarship student or sending admissions staffers on trips across the country, but the effort is worth it. An interview, if conducted skillfully, is difficult to fake. It gives individual students the chance to explain who they are free from coaching by parents or paid college advisers.

Such measures don't guarantee that we will be able to avoid future testing scandals, but their promise is superior to relying solely on the better-policing strategy -- epitomized by the October decision of the College Board, which administers the SAT test, to hire the firm headed by Louis J. Freeh, the former head of the F.B.I., to investigate its security measures.

By expanding the window through which they view applicants, colleges and universities can reduce the incentives anxious students and their parents currently have to game the system. They can even make the whole student the person they pursue.

@highlight

On Long Island, 20 students have  been arrested for cheating on SAT

@highlight

The scandal reflects the tyranny of standardized testing, says Nicolaus Mills

@highlight

Standardized test scores have become overly important for college admission, Mills says

@highlight

Mills: Colleges must balance their use of tests with a more complex look at their applicants