London (CNN) -- For four decades, London's underground transport network has been Bob Mazzer's photographic playground. He has collected surprisingly intimate shots in what, for many, is a most impersonal environment.

At times Mazzer's subjects stare straight down the camera; others are unaware of their role as protagonist in a decades-long story of the city.

Mazzer, 65, was born in East London to a Jewish couple. His dad, Mottel, was a cabbie and his mother, Jean, a cultured woman who encouraged her son into the arts. Mazzer was given his first camera, an Ilford Sporti, for his Bar Mitzvah aged 13.

He recalls taking his first picture, of the London Hilton, before being encouraged by an arts teacher who showed the budding photographer images by Irving Penn and Henri Cartier-Bresson.

Mazzer began taking photographs on the London Underground as he commuted to and from his work as a cinema projectionist. "It felt like a party that I was the official photographer of," he says. Eventually, "I'd been doing it so long that it was my job.

"No one ever protested, or ever complained, or ever tried to stop me. So I kind of felt by accident that everyone thought it was cool."

What he's captured is an unexpectedly personal flip-book of London since the 1970s: The fashion, the buskers, drunks, runaways and love stories.

Mazzer describes himself as a "nosy-parker" and "social butterfly," who says he has "always seen beautiful things."

His images capture "shape, and form, and I love the textures, and I love the lighting and I like the poses. I like seeing what comes off people when I point the camera at them."

Mazzer says they merge into "this kind of mish-mash of colours and texture and atmosphere and smiles and scowls. When it works it's really great. I look at some of these myself and think, 'how did I do that?'"

The insides of the carriages also reveal London's changing times, as the newspapers and cigarettes which once littered the floors made way for bright lights and iPads.

When he first started, the Underground "did look pretty grotty," Mazzer says. "The stations were rough and that has a character which comes over in the pictures. I think people identify with that and it gives it this historical edge." Now, Mazzer adds, the lights are "neon and there's no atmosphere."

East London blog Spitalfields Life first championed the then little-known Mazzer's work in 2013, and was bombarded with responses. Spitalfields Life Books has now released the images in hardback, titled Bob Mazzer Underground, with a debut exhibition held in Shoreditch's Howard Griffin Gallery.

Many of the subjects, Mazzer says, may be unaware they will feature. "I did photograph a lot of people on the Tube, hundreds and hundreds. There are a lot of people out there who I'd like to think [might say] 'dammit, I wish I wasn't in this book.'"

His favorites include the theatrical peroxide blonde in the midst of a dramatic public phone call, the inter-racial couple in red and blue colors, which "was like Mondrian and good vibes and equality," and the so-called "Clockwell" man whose perfectly upright body is topped by Stockwell Tube's clock.

And, even as he instinctively snapped scenes that caught his eye, Mazzer knew the project had gravitas. "When you shoot something for 30 to 40 years, even though I didn't consciously have a plan, I felt there was something even I didn't know about yet. And you suddenly become aware that you are documenting something that is going to have a historical bent to it."

After he has finished the interview, Mazzer is driven off, past Brick Lane's famous 24-hour bagel bakery. The doors frame a sweet scene of a woman with her little girl, wheeling a plastic scooter. Mazzer, his camera sticking out the window, captures the moment.

EXPLORE: Bob Mazzer's images, from the 1970s until present day

@highlight

Bob Mazzer has photographed in London's underground transport network for 40 years

@highlight

His images are now being exhibited at the Howard Griffin Gallery in Shoreditch

@highlight

They show how fashion, music and attitudes to smoking and drinking have changed