(CNN)Build a wall the length of the border with Somalia. Recruit and train up thousands of new security officers. Give them better tactics and equipment.

Kenya's politicians and public have struggled with these ideas over and over.

But the blood of 147 people slaughtered and 79 more injured, when Al-Shabaab opened fire at a college campus in Garissa on Thursday, has them debating them with renewed vigor.

Many Kenyans had believed that security improved enough since Al-Shabaab held Nairobi's Westgate Mall under siege for four days in September 2013, resulting in the deaths of 67 people.

Had it not, the massacre at Garissa University College would have been far worse, some say. Two police officers were on duty.

But the number of people killed in the attack is plaguing Kenyans with self-doubt. With the highest death toll since the 1998 al Qaeda bombing on the U.S. Embassy in Nairobi, many are saying security is still not tight enough.

And days after the attack authorities revealed that rapid response forces arrived hours late, allowing the killings to drag on.

So what should Kenya do?

The answer is elusive. The battle with Al-Shabaab is not a new one, and every attempt at countering them has only helped stall the inevitable -- another attack, more deaths.

Here are some of the problems plaguing Kenya's security efforts.

The notion of building a wall is somewhat grandiose, since the border runs some 700 kilometers or 435 miles. Even with a wall, militants could arrive by sea to coastal towns in Kenya that have been Islamist strongholds.

The border crosses through remote areas, and many Somalis have fled their country south to Kenya. Garissa, for example is populated by mainly ethnic Somalis.

The border region has become so violent that many non-Muslims have fled it, according to the Council on Foreign Relations. The students at the university, many of them Christians, hailed mostly from other parts of Kenya.

But Kenyans also cross north into Somalia, some to fight for Al-Shabaab, then they return home to help whip up fervor with its Kenyan affiliate al Hijra, CFR has said.

The security situation may have deteriorated in recent years after Kenya's incursion into Somalia to battle Al-Shabaab there, CNN's David McKenzie said.

Kenya wiped out some of the group's key bases there in Operation Linda Nchi, which began in 2011. But it made the group more diffuse -- and more likely to pop up and hit soft targets in Kenya, said terrorism expert Sajjan Gohel.

It's also simply very difficult to protect every single target from attacks -- especially in Kenya. "It will be impossible to provide adequate security throughout the country," Gohel said.

Kenya will need a lot more help from its neighbors and the international community, including the United States, to contain Al-Shabaab.

"Al-Shabaab is not just a local terrorist group, it's a transnational outfit," he said. "It operates throughout a number of countries and recruits even people from the West."

McKenzie says Al-Shabaab is trying to maintain its relevance as other terror groups like Boko Haram, ISIS and al Qaeda in the Arabian Peninsula vie for power and influence.

It's also possible that Al-Shabaab may have abandoned aspirations of seizing a large chunk of territory after taking losses in Somalia, and decided instead to focus purely on terrorism.

These attacks by small armed groups against civilians are cost-effective, Gohel said. "If the group's infrastructure and resources remain intact in Kenya, we will see more attacks taking place. This is not a one-off incident."

Allegiances among groups can also play a role. In 2012, Al-Shabaab declared complete allegiance to al Qaeda. Previously, there had been a rift among the Somali terrorists over whether or not to pursue global jihad or just to concentrate on Somalia.

Courts have snagged parts of Kenya's security plans over fears of government overreach.

Kenya's government had recently passed a controversial law giving itself broad powers in the war on terror. But the High Court saw it as an affront to civil rights, and it struck down many of its details early this year, according to CFR.

This included blocking the enrollment of 10,000 new police recruits.

On Thursday, Kenyan President Uhuru Kenyatta gave a directive to have them processed. He has already been accused of taking advantage of the public's fear of Al-Shabaab to widen police powers.

Kenyatta's government, which is Christian dominated, has wielded an abusive hand against ethnic Somalis and other Muslims in Kenya, CFR and Human Rights Watch both have said.

In April, security forces carried out raids in Nairobi and in regions with large Muslim populations, targeting ethnic Somalis.

"Security officers from multiple agencies raided homes, buildings, and shops, carting away money, cell phones, and other goods," HRW said. "They harassed and detained thousands -- including journalists, refugees, Kenyan citizens and international aid workers -- without charge, and in appalling conditions for periods well beyond the 24-hour legal limit."

The draconian approach has helped create fertile ground for extremists looking to radicalize individuals.

The United Kingdom included Garissa in a recent warning of an imminent attack.

And last month, the U.S. Embassy warned of possible attacks "throughout Kenya in the near-term" after the reported death of a key al-Shabaab leader, Adan Garaar, who was accused in the Westgate attack.

Some Kenyans are now asking why security forces did not react to those warnings in advance by putting security in place.

CNN's Soni Methu reported from Nairobi, and Ben Brumfield wrote this story in Atlanta; CNN's Nick Thompson contributed to this report.

@highlight

Kenya's security has been bogged down by concerns over civil rights

@highlight

Kenyan Muslims have been targeted in raids and robbed, says Human Rights Watch