London (CNN) -- UK food safety officials have ordered the testing of all beef products following the discovery of horsemeat in beef lasagna sold by UK firm Findus, only weeks after many meat lovers were dismayed to learn horse and pig DNA had been found in burgers.

Testing revealed between 60% and 100% horsemeat in samples of the Findus lasagna, food inspectors in the United Kingdom and Ireland said.

More: Horsemeat found in hamburgers in Britain and Ireland

Findus said it had withdrawn its lasagna -- labeled with the British spelling, "lasagne" -- from stores Monday as a precaution after its French supplier, Comigel, raised concerns about the type of meat used.

Meanwhile, Findus France has temporarily withdrawn three ready-prepared dishes -- lasagna bolognese, shepherd's pie and moussaka -- because of the discovery of horsemeat in purported 100% beef products, the firm said. The company added, however, that the three products could still be eaten without health risk.

The latest discovery in the United Kingdom comes less than a month after the Food Safety Authority of Ireland found that 10 out of 27 hamburger products it analyzed in a study contained horse DNA, while 23 of them tested positive for pig DNA.

In nine out of the 10 burger samples, the horse DNA was found at very low levels, the inspectors said, but in one sample from Tesco, Britain's largest retailer, the horse meat accounted for about 29% of the burger.

The revelation prompted the withdrawal of millions of burgers from supermarket shelves.

The uproar over dubious processed meat has international ramifications, with companies in Poland and France involved as well as some in the United Kingdom and Ireland.

Referring to the horsemeat controversy, British Prime Minister David Cameron tweeted: "this is completely unacceptable - this isn't about food safety but about proper food labeling (and) confidence in retailers," according to his press office's Twitter account.

In the wake of the Findus discovery, the chief executive of the Food Standards Agency, Catherine Brown, said UK firms must test all their beef products by next Friday.

"The FSA is now requiring a more robust response from the food industry in order to demonstrate that the food it sells and serves is what it says it is on the label," she said.

Read more: Horse: Coming soon to a meat case near you?

"We are demanding that food businesses conduct authenticity tests on all beef products, such as beef burgers, meatballs and lasagne, and provide the results to the FSA. The tests will be for the presence of significant levels of horse meat."

In Sweden, the nation's three largest food retailers have withdrawn packaged lasagna suspected of containing horsemeat from their shelves, the press secretary of the Swedish National Food Agency told CNN Friday.

Lukas Linne said the agency is monitoring the retailers' withdrawal of these items in accordance with Swedish labeling laws, which stipulate that packaged food can only contain what is marked on the label. Linne did not identify the supplier or suppliers that provided the produce to retailers.

While horsemeat itself is not considered a food safety risk, its unauthorized use in certain products has raised concerns it could contain the veterinary drug phenylbutazone, or "bute," commonly used to treat horses.

Meat from animals treated with phenylbutazone is not allowed to enter the food chain as it may pose a risk to human health.

Findus has been ordered to test the lasagna withdrawn from the shelves for the drug's presence.

The Food Safety Authority of Ireland said Friday that the affected Findus lasagna had also been sold in Ireland. It urged consumers not to eat them, but to return the product to the store.

Findus issued a statement Thursday saying it is confident it has fully resolved the "supply chain issue" that led to the discovery of horsemeat in its lasagna.

Neigh it ain't so: Burger King finds horse meat at European supplier

"We understand this it is a very sensitive subject for consumers and we would like to reassure you we have reacted immediately. We do not believe this to be a food safety issue," the firm said.

"Fully compliant beef lasagne will be in stores again soon."

CNN has reached out to Comigel France but has not yet had a response.

Horsemeat is generally considered taboo in Britain, although it is commonly eaten in neighboring France and other countries, including China, Russia, Kazakhstan and Italy.

The discovery of pig DNA in beef products is of particular concern to Jews and Muslims, whose dietary laws proscribe the consumption of pig products. Jewish dietary laws also ban the eating of horsemeat.

The Justice Ministry confirmed last week that a number of meat pies and similar items supplied to prisons in England and Wales were labeled and served as halal -- prepared in compliance with Islamic dietary law -- but contained traces of pork DNA, the Food Standards Agency said.

"This is an unacceptable situation and people have a right to expect that the food they are eating is correctly described," the agency said.

The furor over the Findus lasagna prompted humor as well as outrage on Twitter.

"If you think the Findus Lasagnes are bad, you should try their Filly Cheese Steak," wrote James Martin, posting as @Pundamentalism.

Comedian Adam Hills, posting as @adamhillscomedy, joked: "Those horses wanted to be uncovered in British Lasagne. Even the brand was called Findus."

CNN's Erin McLaughlin, Alexander Felton and Michael Martinez contributed to this report.

@highlight

NEW: Sweden's 3 largest retailers pull packaged lasagna suspected of horsemeat

@highlight

Findus France pulls three products because of horsemeat discovery

@highlight

Tests on Findus beef lasagna samples reveal horsemeat, UK inspectors say

@highlight

UK firm Findus pulled the lasagna, made by a French supplier, from stores Monday