(CNN) -- So is this the "new normal"? That's the question I keep hearing as people try to comprehend the tragedy at the Boston Marathon and its chaotic aftermath. The answer is yes -- in more ways than you might think.

I don't mean that we're supposed to get used to explosions, school shootings and other threats arising seemingly randomly and without warning. But we should accept that the old ways of understanding and responding to conflicts and threats no longer apply.

In an always-on, post-narrative age, 24-hour cable and Internet news and Twitter feeds offer a steady stream of opportunities for panic and misinformation. We have a suspect; no, we don't; yes, we do. The school is on lockdown; no, it's not. False alarms are still alarms, after all. It's like we are all living in newsrooms, or as 911 operators or air-traffic controllers, for all the emergency interruptions and bulletins we navigate practically every hour.

Then consider the equally unnerving limbo we endure once there's nothing new to report. The stakes are too high to return to regular programming, so we just sit there, poised on high alert along with the police and journalists. This time, it was flashing blue lights and the search for a suspect. Before that, it was the live feed of Deepwater Horizon in the corner of the screen for weeks, belching oil into the sea. Whether interruptive or chronic, the anxiety keeps pouring in.

We live in a state of "present shock."

That was the week from hell

And even if network anchors still had the authority they once did, they would not be able construct a satisfying story around the onslaught of neverending news. When the journalists cheered as the police caught the marathon bombings suspect in the boat, it seemed that they were mostly relieved at reaching a definitive conclusion to a neverending news cycle. One news anchor actually declared "justice won" as she was at last permitted to cut to commercial. It rang false, because there's no genuine finality anymore. The story just doesn't end. Nor does the anxiety.

For it's not so much a matter of responding to a particular crisis, threat or tragedy but of coping with the persistent flow of urgency itself. Some of the unease we feel with the Boston bombings comes from the nagging sense that we have no way of gauging where we are in the arc of violence. Is this the beginning of a new series of attacks, a rare event like the Oklahoma City bombing or part of some greater conspiracy yet to be revealed?

Of course, none of the usual narratives apply, for we no longer live in a world with beginnings, middles and ends. That quaint structure went out with the Industrial Age and the moon shot. We no longer design career paths; we no longer invest in the future. We occupy; we freelance; we trade derivatives. Everything happens in the now.

Even terror. While there are certainly groups such as al Qaeda with political goals and a modicum of organization, for every plotted attack with strategic goals, there are many more that arise haphazardly, randomly -- by either sympathizers, copycats or mentally ill nihilists with no political justification whatsoever.

Boston's week of terror

We're no longer fighting enemies in the normal sense. We cannot begin a war on terrorism and then declare victory when we're done. We can't stick a flag in it and call it won.

No, the challenges of a post-Industrial society are less like conquests with clear endpoints than they are steady-state concerns. Oil is spilling. The climate is changing. Terrorists are plotting. Crises are never quite solved for the future so much as managed in the present.

But accepting the essentially plotless and ongoing nature of crisis needn't compromise our ability to respond appropriately and effectively. In fact, by freeing ourselves from the obsolete narratives we used to rely on, we can begin to recognize the patterns in the apparent chaos. We may not get answers to rally around or satisfyingly dramatic finales, but neither will we need to invent compelling, false stories to motivate ourselves into action.

In a world where crises are constant and perpetual, we might as well begin to develop more sustainable approaches to solving them in real time, rather than once and for all.

Life goes on.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: New normal is constant info stream; we don't really know how to respond

@highlight

He says terror attack coverage kept us in state of unending anxiety with little understanding

@highlight

He says new era of 24/7 crises offers steady-state concerns rather than ones with endpoint

@highlight

Rushkoff: We might as well develop sustainable approaches to solving crises in real time