(CNN) -- Justice Sonia Sotomayor may be the most recognizable member of the current Supreme Court, the closest thing to a rock star in robes. The Bronx native has carved a high-watt public identity both on and off the bench.

In her five years at the nation's highest court, she has dropped the New Year's Even ball in Times Square, appeared on "Sesame Street" and sworn in the vice president at the inauguration.

As a new biography vividly illustrates, Sotomayor has found her voice as a justice on a range of hot-button issues: from affirmative action to human rights abuses. "Breaking In: The Rise of Sonia Sotomayor and the Politics of Justice" (Farrar, Straus and Giroux) chronicles what it took to put the first Latina on the high court.

Author Joan Biskupic offers an incisive, illuminating, behind-the-scenes account of how the 60-year-old justice's upbringing and personality helped propel her to the heights of achievement, while also attracting an inevitable a measure of political criticism and even professional jealousy, which her supporters call unfair.

Fresh voices bringing change in Washington can do that, even to someone with Sotomayor's compelling personal story and stellar credentials.

High court's same-sex marriage surprise

CNN spoke recently with Biskupic, a legal affairs editor with Reuters who has covered the Supreme Court for a quarter-century. She has previously written biographies of Justices Antonin Scalia and Sandra Day O'Connor.

CNN: Why do a book on Sonia Sotomayor?

Biskupic: I was curious about the social and political shifts that affected her life and that led to her appointment. It occurred to me that she was born in 1954, which was, of course, the year of Brown [v. Board of Education]. But it was also the year of a case called Hernandez v. Texas, which marked the very first time that the court held that the Constitution protected Hispanics from discrimination, with the same force that it protected blacks. And it seemed that at every point in her youth and early years as an aspiring lawyer, she was in sync with the development of new rights for Latinos. And then she's on the scene in the early '90s when someone like Sen. [Daniel] Moynihan [Democrat from New York] is looking for more diverse candidates to recommend to President George H. W. Bush. And at every point, her trajectory was in sync with the trajectory and rise of Latinos. As I'm working on this book, she suddenly provides this even more interesting story with her own memoir and the kind of figure she becomes off the bench. It became much more exciting. The very last three chapters of my book are devoted to what kind of groundbreaker she's been while she's on the bench and what it's been like to watch her as she's become this huge figure in America, as the people's justice.

CNN: She seems to have really found her voice on the bench after five years on this court.

Biskupic: She early on was quite a figure for young people of color and not to rally around. They were impressed by her story of coming from the Bronx, coming from the projects, from being someone who really set her mind on achievement after having not much as a kid. So she was always out there with this inspiring story that people were learning from the moment President Obama nominated her in May 2009. What happened on the bench, I think, is that she did find her voice. Last term was really a breakout term when she dissented in the Michigan affirmative action case and spoke not just of why it was important for minorities to be represented in the political process, but what it's like in a day-to-day way to be slighted just because of the color of your skin. One thing I found through my talking to her and talking to others is that she still really does identify herself as being different and being the other. And she's defensive about people who still question her qualifications for being on the bench. She talked about being scrutinized during the confirmation process and people suggesting she wasn't up to the task. She said, "Why would that be? Is there any reason for them to question me, other than the fact that I was Hispanic?" And she still feels that, even though she's now been on the bench five years, that people question how she got there and whether she's up to the task, which she's certainly proved that she is.

CNN: And yet, you portray her as something of an outsider on the court. Has she earned the respect of her colleagues?

Biskupic: She has set herself apart-- she's set up chambers on the third floor [when most chambers are a floor below]. But Sotomayor does have more of a "separate floor" mentality. She's out among the people much more vigorously than any of her colleagues. She is more willing to set herself from her more liberal colleagues, in a way that Justice [Elena] Kagan hasn't at all, yet. Just as Sotomayor sees herself as operating as one among nine, Justice Kagan operates trying to build coalition among those nine. Justice Sotomayor has distinguished herself with passionate statements when her fellow justices refuse to take up defendants' appeals. But she also has been willing to separate herself from the other liberals in cases. Justice Sotomayor, in contrast, is more of a solo operator engrossed in her own determinations on a case. And perhaps less interested in getting others to adopt them. I think that she's also been blunt. Her bluntness overall separated her from the others. She talks a lot about how she was different and I think that makes her very approachable and human to the people who come out to greet her when she gives speeches or talks about her book. As much as it makes her very approachable and human beyond the marble walls, it makes her different to the justices because they are a little bit all of the same model. As much as they differ on the law, they have a certain sameness in their personalities.

CNN: Her nomination certainly jump-started the conversation about diversity in the courts and the government.

Biskupic: You have that scene on the afternoon of May 26, 2009, after he [President Barack Obama] had announced it. He was somewhat ambivalent-- it went down to the wire with Sotomayor and at least two other candidates, and he announces she's his choice, and suddenly, the nation is electrified. He sees it-- suddenly everyone wants to be a "wise Latina." He realizes that he's played into this wonderful national moment of diversity and he tells his aide that he's really glad he's done what he's done. And then just a few weeks later, we have [Republican Sen.] Lindsey Graham with a nod toward that sort of enthusiasm, saying, "Unless you have a complete meltdown, Judge Sotomayor, you're going to be confirmed." He captured it. This was a nomination that really did capture the attention of people out in America of all ethnicities and races.

CNN: Even though she has her own recent autobiography, Justice Sotomayor agreed to talk with you.

Biskupic: She was very direct, she wanted to clarify things for me, she wanted to tell me what she was thinking and why she would refer to "wise Latinas" and why that was important to her to speak to that audience. She is the one who is always speaking to broader audiences and easily breaks the mold. She said to me: It's very hard for people who haven't lived my life to know what it's like; to have your experience looked down upon, to be viewed as inferior, to be viewed as not smart enough. You need to affirm that you have value. And here's a woman who has made it to the pinnacle of the federal judiciary, who has beat out so many people to get there, but she feels the need to still, as she says, affirm that she has value. I found that interesting. I found her very candid. I do not underestimate her in any way. She's very shrewd, I considered myself very lucky to get audiences with her. But I know that she really did it only to clarify things and elucidate her life and that what mattered most was that she was able to tell her own story in her own book.

CNN: What does the future hold for Justice Sotomayor?

Biskupic: I would not sell her short on anything. She learned to be effective setting herself apart both as a public figure and on the bench. I believe that she will continue to be more prominent because of what she represents to the nation that believes in this American Dream for people who came up from essentially nothing, as she did in the Bronx. But I think that we'll also see her not just out there as a public figure, but as someone who wants to be an advocate in prisoner cases and also in racially charged cases. We'll see more of that as she becomes more comfortable, not just off the bench, but in the black robes right there on the bench.

@highlight

Author speaks on "Breaking In: The Rise of Sonia Sotomayor and the Politics of Justice"

@highlight

Joan Biskupic's book is behind-the-scenes account of Sotomayor's career

@highlight

Sotomayor, 60, is the first Latina Supreme Court justice