(CNN) -- Walking into school Wednesday morning was not easy for Constance McMillen. The last time she'd been there was March 11, the day after her Fulton, Mississippi, high school canceled prom rather than allow her to wear a tuxedo and attend with her girlfriend.

She didn't assume last week's spring break would cool things down. She expected stares, dirty looks and cold shoulders, and passing through the doors was daunting. Over these last two weeks, she said, she's had a hard time sleeping, can barely eat, feels anxious and -- until she saw a doctor for help -- often felt like she was "going to throw up."

"I've been very nervous about all of this," the 18-year-old Itawamba Agricultural High School senior said. "I don't like being somewhere where everyone hates me."

McMillen's name made national headlines when she, with the help of the American Civil Liberties Union, filed suit against her school and the Itawamba County School District, asking them to reinstate prom for everyone, without discrimination. A federal judge in Mississippi ruled Tuesday that while he wouldn't force the school to have a prom, which had originally been scheduled for April 2, he agreed that McMillen's First Amendment rights had been violated.

That was good news, said her attorney, Christine Sun, senior counsel with the ACLU's lesbian, gay, bisexual and transgender project. It set a precedent and helped broadcast an important statement, which was made stronger by virtue of where it came from, she said.

"We're in a conservative area of the country, where people tend to think we can do what we like," said Sun, who lives in New York but has traveled multiple times to Mississippi for this legal push. "This case sends a strong message that that's not going to fly anymore."

The only pending issue, Sun said, is the question of damages and the ACLU's request for attorneys' fees. An amended complaint to seek a quick resolution on this should be filed in the next 30 days, she said.

Meantime, McMillen is trying to find her new normal.

In many ways, she stands in an awkward balance. Though there are some people who support her in Fulton (population about 4,000), the overarching tension and what she described as "hostility" that she feels at school and in her community is in deep contrast to the reception and groundswell of support that's overwhelmed her nationally.

As a poster child for the rights of LGBT students, she's been asked to jump on airplanes to appear on news programs and talk shows. The Facebook fan page "Let Constance Take Her Girlfriend to Prom!" had attracted more than 414,000 fans as of Friday morning. Wealthy individuals, including Ellen DeGeneres, have offered to pay for a prom for her school. She's received a $30,000 college scholarship from an anonymous donor and Tonic.com, a digital media company in New York that's also offered her a summer internship. She's even been invited to high school proms in cities she's never visited.

"It means a lot to me," she said of the outreach from others. "The amount of support helps me to continue with the fight."

But all McMillen, who came out as a lesbian in eighth grade, ever wanted was to go to her school prom with her class, and with her girlfriend. Going to another school's prom, while a nice offer, doesn't make any sense to her.

Parents at her school are reportedly planning a "ball" for the same night that prom was intended. McMillen said she's still trying to find out if she's free to attend with her girlfriend. She won't go otherwise.

She never meant to be a spoiler for others when she sought approval to bring her girlfriend and wear a tuxedo, she said. She thought she was doing the right thing by asking in advance, since the school had stipulated in a February memo that dates must be of the opposite sex. Rather than give her permission, the school canceled the prom.

McMillen said she's learning who her "true friends" are. They're the ones who respect her for taking a stance, defend her when others talk trash about her, don't turn their backs when she approaches and aren't afraid to be seen with her. Her girlfriend, too, has remained a constant support, even though she herself hasn't gone public. McMillen also said she's blessed to have family members who shore her up even if they don't all feel comfortable with her sexual orientation.

"My grandmother doesn't believe in it [same-sex relationships] but still stands behind me no matter what," McMillen said, her southern drawl thick. "She's a conservative Christian but respects that it's my life. She doesn't think discrimination of any kind is right."

Whether she intended to or not, McMillen has inspired others -- not just nationally but in her home state, said Izzy Pellegrine, 19, a student at Mississippi State University.

"I thought for a long time I was the only gay person in the state of Mississippi," said Pellegrine, who came out at 15 and went to high school about 1½ hours from where McMillen lives.

McMillen's actions speak for others who feel unable to speak for themselves, said Pellegrine, who's a founding board member of the Mississippi Safe Schools Coalition, which helped connect McMillen with the ACLU. The grass-roots organization seeks to protect the interests of LGBT youth and will host a "second chance prom" on May 8, an event Pellegrine estimated may attract as many as 500 students, thanks in large part to the way McMillen's fight empowers others.

"Usually Mississippi is 10 or 20 years behind," Pellegrine said. "For Mississippi to be spearheading the LGBT student movement is unheard of.  I, personally, and my co-workers are so proud to have it happen in our state," where "queer flight," the compulsion to leave as soon as one is able, is rampant, she said.

As for where life will take McMillen after graduation, she isn't yet sure. She's still thinking about that summer internship offer in New York and is pretty certain she'll attend Itawamba Community College for a couple years before going to one of her dream schools, Southern Mississippi State University or UCLA. What she does know is she'd like to study and possibly pursue a career in psychology.

"I like helping people, and I like talking to people about their problems," she said. "I find the human mind and human behavior very interesting."

@highlight

Constance McMillen in news after school cancels prom; she wanted to bring girlfriend

@highlight

Support nationally shows in TV visits, prom offers, Facebook fans and scholarship

@highlight

At home, Mississippi high school senior deals with tensions, anxiety, "hostility"

@highlight

Her and ACLU's fight inspires others, making her poster child for LGBT student activism