On a holiday marking the birth of a nation of immigrants, protesters and counterprotesters began a new round of angry demonstrations Friday in a California town that was scheduled to receive new busloads of migrants arrested for entering the country illegally.

The small Southern California city of Murrieta, named after a Spaniard whose family set up a sheep ranch there in 1873, is now a national flashpoint in the U.S. immigration crisis: Protesters are denouncing the federal transfer of detained migrants to their town for processing at a local U.S. Border Patrol office.

Demonstrators successfully blockaded busloads from entering the town earlier this week.

A second convoy of federal buses carrying migrants to a U.S. Border Patrol station in Murrieta was expected Friday, and Murrieta resident Jason Woolley joined protesters to express his outrage about illegal border crossings. A surge of undocumented Central American immigrants has created a federal crisis, and some of them are supposed to be processed in Murrieta.

"There's a right way and a wrong way to come into this country. If you are going to come in the wrong way, we're not going to stand for it. That's just how it is," Woolley said. "There (are) thousands and millions of other people who've done it the right way. But for people to just come in here and ask for a free handout, that's my money."

Erica Suarez of Long Beach defended the immigrants' rights to due process -- and noted how the United States was built by immigrants.

"It's not a us versus we situation. It's a we. It's everybody together," said Suarez, who described herself as an undocumented student.

Police arrested at least one protester Friday morning. No further details were immediately available.

Exchange of hard words

The protests have been emotionally charged, with racial slurs uttered against Latinos defending the rights of the arrested immigrants, some of whom may be refugees, the immigration rights advocates say.

But on Independence Day, protesters held placards saying, "It's not about race. It's about law."

Others said, "No human is illegal," and "No white supremacy."

Police secured the road so the entry to the Border Patrol office was clear, though a smaller group of protesters found a way to camp on the side of the road.

A quarter of a mile away, a yellow police line held back the larger demonstration of dozens of protesters, and by Friday afternoon, police put up a second yellow tape and stood between the two factions of demonstrators to stop their pushing and shoving.

Protesters chanted, "USA! USA!"

Counterprotesters chanted, "La raza unida jamas seran vencida," which translates as "The (Latino) race united will never be defeated."

Apparently supporting them, men and women in Indian costumes trimmed with feathers danced to a drumbeat.

Police warned participants not to fight. Some of them suffered heat exposure in the 100-degree sunshine and found relief under a tent.

"We don't want anyone to get hurt. There's children here," a police officer told protesters.

Both sides waved American flags, but one demonstrator held a shredded U.S. flag, angering an adversary who yelled: "Absolute disgrace!"

Counterprotester Dara Glanzer didn't mind spending the Fourth of July in a protest that was hot by any standard.

"It's Independence Day -- for whom and why," Glanzer said. "This is a refugee crisis that we're dealing with.... If these people were from say, Ukraine, trying to get here from the violence that ruptured the Ukraine, maybe these people would be for that."

Murrieta's concerns and compassion

Residents object to how U.S. agents may "dump" the Central American immigrants into their community once their processing is completed, a practice that was true in the past, said Murrieta Mayor Alan Long.

Both sides of the protest, he said, seek a legal, efficient process for the overflow of arrested migrants.

"We're sending people in inhumane conditions and dispersing them across the nation," Long said.

On Tuesday, the federal government began busing 140 migrants for processing in Murrieta every 72 hours, raising concerns about operational capacity, Long said. The initial federal plan called for 500 people, which was lowered to 300, but the city strongly opposed those plans.

"The concern we have is the sustainability of 140 every 72 hours," Long said. "We don't see this stopping any time soon."

Long said earlier this week that his city "continues to object to the transfer of illegal immigrants to the local Border Patrol office." A subsequent protest in agreement became raucous Tuesday; a counterprotester was spat upon. Long described portions of that protest as "unfortunate" and "deplorable."

The city had offered U.S. officials a mobile health clinic to help them provide health screenings and inoculations for the migrants, but the federal approval process would have been too long.

"The world has never been able to see how compassionate our community is because we never got there," Long said.

The first protest

Federal officials weren't disclosing arrival times Friday for the immigrants or even the cities receiving them, citing safety concerns in light of Tuesday's protests in Murrieta. The town became a battleground over immigration that day as angry crowds chanted, "Go back home," and forced buses carrying immigrants to turn around.

Counterprotesters squared off with demonstrators, leading to a shouting match over the nation's immigration system.

As chaos ensued, federal officials rerouted the 140 undocumented immigrants to U.S. processing centers at least 80 miles away, in the San Diego and El Centro areas.

A tide of Central Americans illegally entering the United States has overwhelmed a system already buckling under the weight of the nation's 11 million undocumented immigrants.

Unlike undocumented Mexican migrants, who are often immediately deported, the United States detains and processes Central Americans, who are eventually released and given a month to report to immigration offices.

Protests and tension

Many never show up and join the undocumented population, according to the National Border Patrol Council, the union representing Border Patrol agents.

The immigrants rejected by Murrieta protesters were initially held in Texas, where U.S. facilities are overflowing, forcing detainees to be sent to other states for processing.

The government doesn't have the room to shelter the children with adults: There's only one family immigration detention center, in Pennsylvania. To assist the unaccompanied children, the Obama administration opened shelters last month on three military bases because federal facilities more designed for adults were overrun with minors.

Tuesday's busloads didn't include any unaccompanied minors, said Murrieta Police Chief Sean Hadden. The children on the buses were apparently in the company of relatives or other adults, said an official with the National Border Patrol Council.

Immigration rights advocates denounced the protesters.

"It is deplorable that people espousing anti-immigrant hate language created unnecessary tension and fear for immigrant mothers and their children," said Pedro Rios, a community representative of the San Diego Immigrant Rights Consortium. "Even more concerning is that elected officials in the city of Murrieta instigated this tension. Mothers and their children on these buses have suffered through enough trauma."

Journey from Texas

The U.S. government earlier flew the 140 Central American immigrants from south Texas to San Diego. Federal agents were busing them to Murrieta for processing at the Border Patrol station when the standoff took place Tuesday.

After the buses turned around, the immigrants were taken to a U.S. Border Patrol station in San Diego, said Ron Zermeno of the National Border Patrol Council.

The United States is struggling to accommodate an influx of undocumented immigrants, particularly a wave of unaccompanied children from  El Salvador, Guatemala and Honduras. The U.S. government doesn't have enough beds, food or sanitary facilities.

Authorities estimate 60,000 to 80,000 children will cross the border without parents this year in what the White House has called an "immediate humanitarian crisis."

@highlight

Murrieta mayor calls parts of earlier protest "unfortunate" and "deplorable"

@highlight

"World has never been able to see how compassionate our community is," he adds

@highlight

Residents fear officials would dump migrants in community, mayor says

@highlight

Police stand between the two factions of demonstrators to stop shoving