(CNN) -- Kajal Kumar knows the value of a good education. She's a career woman who poured years of her life into studying to become a certified public accountant with an MBA.

But after nearly two decades climbing the corporate ladder in New York, the 46-year-old stopped managing employees and began micromanaging her two daughters.

Instead of overseeing company accounts, Kumar organizes piano lessons, SAT preparation courses and Advanced Placement class homework assignments. She wants to give her daughters a shot at a top-notch college education.

"I had a very good, promising career," Kumar said. "But it wasn't as important as making sure my kids did well and just setting them up for the future."

Stay-at-home parenting is nothing new. About 5.1 million mothers stay at home full time, according to the U.S. Census Bureau. But Kumar's decision to quit her job came at an unconventional time -- when her children were grown teenagers and had entered high school. Unlike maternity leave, think of Kumar's time off as a college-prep leave, say college admissions counselors.

She represents a group of highly educated mothers who are sacrificing careers to usher their children through the increasingly competitive college admissions process.

There are no statistics counting how many mothers compromise their careers to help their teens with college admissions, but college counselors say they've witnessed more cases of mothers pausing their jobs or completely quitting their jobs. Over the past five years, Jeannie Borin, president of College Connections, says she saw a 10 percent uptick in mothers who quit or postponed their career to get their teens into college. Her counseling company offers services in 32 states.

These mothers, who can afford to quit their jobs, may stop working for months, a year or several years leading up to the admission process, say researchers and college admissions counselors. They reduce their full-time hours to part time or request a temporary leave. Because many of them have jobs that require advanced degrees and specific skills, it's usually easier for them to transition back into the work force.

"They know it's going to be an intense year and they take a leave to that effect," Borin said. "The college frenzy has affected the entire family."

Since the mid-1990s, there has been a dramatic increase in the amount of time college-educated mothers are spending with their older children, according to a March study from the University of California, San Diego. Women spent six hours a week on child care in the mid-1990s, but that number jumped to about 12 hours a week after 2005, the study said.

Economics professors Garey and Valerie Ramey, who headed the UCSD study, theorized the rising amount of time spent on child care by a parent likely is associated with difficulty in the college admission process and juggling college preparatory activities. They found that college-educated parents have more resources and are better equipped to help their children with the process.

"We were shocked to find other mothers who had graduate degrees and had given up their careers and devoted their time to their children," said Valerie Ramey.

The panic of getting her 17-year-old daughter into a highly ranked university hit Rebecca Marder hard.

Marder, 56, of Los Angeles, California, holds two master's degrees in counseling that took her nearly 5½ years to earn. But a year-and-a-half ago, during daughter's junior year in high school, she put her private counseling practice on hold to help her through the college application process. Junior year is a crunch time for high schoolers, as they compile college wish lists and tour campuses.

She became her daughter's college applications manager, scheduling campus tours and researching academic programs. She also became a videographer, recording her 17-year-old at each college visit as she weighed the pros and cons in front of each school.

Marder has three older children, ages 25, 23, and 19, but she said this is the first time she stopped working, because she saw that expectations of high school students had grown since her eldest child entered college.

Marder said it is a dilemma. "We can be seen by others and, more importantly, by ourselves, as 'irresponsible' for not taking an active role in our child's application process, or as driven and overprotective if we do get involved."

She was relieved to learn this month that her daughter had been accepted by her top choice, New York University. She immediately reopened her practice, which was crucial, she said, because she had gone into debt during her time off.

Managing a child's college application process can be similar to a corporate job, says Hilary Levey, a fellow at Harvard University who specializes in family studies. Levey conducted dozens of interviews with mothers who stopped working and stayed at home for their children. She says she talked to mothers who used their Blackberry devices to organize schedules and help their teens craft resumes.

"Raising the child sometimes becomes a career in itself," Levey said. "Instead of getting a promotion and measuring progress in professional sense, a way to measure how well you are doing is how well your child is doing."

But guiding a teen is a very different experience than raising a newborn or young child, say some mothers who have given up their advanced degrees to become full-time moms. Several moms say their decision to stay at home with their teens as allowed them to strengthen those relationships.

Cherie Rodgers, 57, of Santa Monica, California, found herself sharing special moments with her daughter when the stress of writing essays became too daunting. Together, they would take a break and enjoy an episode of a reality TV show together.

"If I had to do it all over again, I would do the same thing," said Rodgers, who put her career in family law on hold for four months last fall.

She said she considers her decision a success: Her daughter is juggling admissions offers from four selective colleges. Even so, she said, her daughter probably could have gotten through the process without her.

For Kajal Kumar in New York, her relationship with her college-bound high school senior also deepened. Kumar does miss getting dressed up for work and commuting into bustling Manhattan, but her decision has eased the stress on her family. Her husband continues to work.

"We wanted to make sure we could give her all the tools she needed to succeed," Kumar said.

Her eldest daughter is headed to Vanderbilt University this fall. But the family's college admissions process will start all over again when the youngest daughter, who is in high school, begins eyeing colleges. And Kumar will be staying at home.

@highlight

Some moms with advanced degrees are quitting their jobs to help their teens get into college

@highlight

A University of California, San Diego study found moms are spending more time with their children

@highlight

The college admissions process has gotten more competitive for high school students, experts say

@highlight

Moms say taking a "college-prep leave" can be beneficial for mother-child bonding