(CNN) -- Maybe there's something in the snow up in Minnesota.

That hearty Midwestern state consistently has the highest rate of voter participation in the country. In 2008, 78% of eligible people voted in the presidential election, according to an analysis from George Mason University. That number masks an amazing fact: Some districts of Minnesota turn out more than 90% of the eligible population, according to Minnesota Secretary of State Mark Ritchie.

None of that seems out of the ordinary to Ritchie, whose office handles elections. In fact, he says the state should do more -- that statewide voter participation should be as near to 100% as possible.

Change the List Tumblr: Where does your state rank?

"We're happy. We're proud. We stand up and shout," he told me by phone, referring to the state's top rank in voting. "But an average means there's some above and some below (the average). Like every place, our young adults vote in a lower percentage than older adults. And we've discovered that's because there are more barriers for them, and we're working to tear down those barriers."

The state already has torn down plenty. I'm looking to Minnesota for solutions to low voter participation in other states. I recently visited Hawaii because the Aloha State had the absolute lowest rate of participation in the 2008 election. Less than half of eligible people voted.

As the Pew Charitable Trusts' election expert David Becker told me, what works for one state may not work for another. Still, it makes sense to at least consider a few things Minnesota is doing right. "I do think it's worthwhile for the states to experiment," Becker said. With that caveat in mind, here are five factors that likely contribute to Minnesota's status as a voting paradise.

Take a look and let me know what you think in the comments section below.

1. Same-day voter registration: Americans who want to vote should be able to decide that on Election Day. That's true in Minnesota, where you can walk into your polling place, register and cast a ballot -- all at the same time. It's not true in many states, where voter registration closes days or weeks before Election Day. Research shows that states with same-day registration have turnout rates 5% to 7% higher than those that don't, according to Michael McDonald at George Mason University.

The drawback, some would argue, is an increased risk of voter fraud. Ritchie, the Minnesota secretary of state, told me that hasn't posed a real threat, and the state has been using the system since the 1970s. "Imagine you're registering a voter that's standing in front of you versus registering someone through a form in the mail. Which one of those has more integrity? Obviously the person who is standing in front of you." The state checks on Election-Day registrations against computer databases the next day to catch duplicates, he said.

2. Civic culture: It's harder to quantify, but Minnesota's civic-minded culture may play a role in its high turnout. About 38% of Minnesotans volunteer, putting it third in the country, according to the federal government. Ritchie told me people in Minnesota take pride in their state -- and they see voting as part of their civic duty. Becker and McDonald pointed to this factor, too, noting that it could be why the state implements laws designed to encourage high rates of voter participation. "Minnesotans take pride in the fact that they are always in the top in turnout," Becker said.

3. Raising awareness: The fact that people see voting as part of their civic duty may be no accident. Minnesota has programs that encourage young people to volunteer as polling place monitors before they're eligible to vote. Schools use voting machines for high school elections -- like those for prom king and queen -- so that kids are familiar with the process. The state's Vote in Honor of a Veteran campaign asks people to wear a sticker that has the name of a loved one who fought for the right to vote in this country. Ritchie wears one in honor of his dad, a Marine in World War II.

4. No voter ID laws: For now, at least, the state has few barriers to voting. That could change if a proposed amendment to the state's constitution passes in November. The amendment would require voters who cast ballots in person to present a government photo ID or cast a certified provisional ballot. One consequence, as Ritchie writes in the Minn Post, is that voters may not be able to register and vote on the same day. That could have a negative impact on voter participation. The benefits of making it easy for people to register and vote outweigh the risks of fraud.

5. A vibrant political scene: Close and contentious elections can boost turnout, and Minnesota has had plenty of those in recent years. The state is home to polarizing politicians like Michele Bachmann and Al Franken. Additionally, according to Ritchie, it has seven "functioning political parties," meaning there's little reason to feel disenfranchised. Remember governor/wrestler Jesse Ventura? He ran as a Reform Party candidate -- and won. In Hawaii, by comparison, all levels of political life are more or less dominated by the Democrats, giving some voters the sense their votes don't matter.

@highlight

Minnesota has the highest voter turnout rate in the country

@highlight

Same-day voter registration accounts for some of the state's lead

@highlight

The state also has a hearty, civic-minded culture