(CNN) -- Twelve million people are facing a hunger crisis in the Horn of Africa, and they are in desperate need of help.

The United Nations declared a famine in parts of southern Somalia, calling for a widespread international response to end the suffering.

Thousands of Somalis have been fleeing the country each week in search of food, water and shelter -- many of them walking for days in the sweltering sun toward refugee camps in Kenya and Ethiopia.

Nearly half a million children are at risk of dying from malnutrition and disease.

Relief organizations are calling on the international community to join together to end the crisis, and they're working to gain entrance into areas with limited humanitarian access.

There are ways you can help.

Save the Children is feeding underweight children, providing life-saving medical treatment, and getting clean water to remote communities in Kenya, Somalia and Ethiopia.

The organization has launched The 100 Campaign. By raising $100 on your own or through social networks, you can feed one child for 100 days. Go online, give through the Facebook Cause page or text "SURVIVE" to 20222 to donate $10 from the United States.

Action Against Hunger is working to help victims in Kenya, Ethiopia, Djibouti and southern Somalia. The organization is providing treatment and medical care for acutely malnourished children, general nutritional support for children under 5 years of age, and emergency access to food, clean water and improved sanitation for vulnerable populations.

To help Action Against Hunger's efforts, text "NOHUNGER" to 20222 to donate $10 from the United States or visit their website.

UNICEF is asking for $31.8 million over the next three months for relief efforts. The money will help provide therapeutic treatment for women and children with severe malnutrition, access to clean drinking water and vaccinations to prevent deadly diseases like measles and polio.

"The earlier we act, the more children we can save. Americans are a generous people, and a little goes a long way -- just $10 can feed a child for 10 days," said Caryl Stern, president of the U.S. Fund for UNICEF.

To help UNICEF's efforts, text "FOOD" to 864233 to donate $10 from the United States or visit the website. Follow this link to make a donation from other countries around the world.

International Medical Corps has teams on the ground in Somalia, Ethiopia and Kenya to provide food, water, hygiene, sanitation and mental health services to people in refugee camps.

Visit the website to donate from various countries or text "AFRICA" to 80888 to donate $10 to the group's drought relief response from the United States. It will show up on your next mobile phone bill.

In central Somalia, the International Rescue Committee is giving cash and other assistance to families whose livestock, pastures and farmland have been decimated and helping to repair boreholes and wells for those left behind.

In overcrowded camps in Kenya, the group has helped establish reception centers for newcomers to receive food, health screenings and medical referrals. In Ethiopia, the organization is bringing in water and installing water-supply systems in three camps serving 82,000 refugees.

Visit the website to make a donation from various countries.

The United Nations World Food Programme has plans to airlift high energy biscuits and highly nutritious supplementary foods for children and pregnant or nursing mothers into southern Somalia.

Donations can be made from various countries online or via text. To donate $10 from the United States, text "AID" to 27722; to donate $5 from Canada, text "RELIEF" to 45678; to donate £3 from the United Kingdom text "AID" to 70303.

World Vision is working to regain safe humanitarian access in south central Somalia where millions of children are in urgent need of food and assistance.

The organization continues to implement programs in Somaliland and affected areas in Puntland. For families fleeing the drought, World Vision is providing nutrition supplements to malnourished children and improving healthcare and sanitation.

To donate to relief efforts from the United States, visit the website, call 1-888-56-CHILD or text "4AFRICA" to 20222 to donate $10.

Oxfam America is responding to the crisis by providing life-saving water, sanitation services, food and money. The organization aims to reach 3 million people, including 700,000 in Ethiopia, 1.3 million in Kenya, and 500,000 in Somalia.

Visit their website to donate from various countries.

Staff members from Catholic Relief Services are visiting a refugee camp in Dadaab in eastern Kenya and in surrounding communities that are hosting refugees. Workers are on the ground determining the level of food, water and sanitation needs.

In Ethiopia, the group is leading a Joint Emergency Operational Plan that is feeding more than 400,000 people.

Visit their website to make a donation from around the world or call 1-800-736-3467 in the U.S.

Mercy Corps has teams in Ethiopia, Somalia and Kenya distributing food and water and expanding critical relief efforts. The group is currently on the ground helping more than 1 million people in the region survive.

Visit the website to make a donation from various countries or call 1-800-852-2100 from the United States.

ShelterBox, which provides tents and essential supplies to people who have been displaced after disasters, has a response team in Ethiopia and a second team on the way to Kenya.

The teams will be working with the Norwegian Refugee Council and Rotarians to establish how they can be of assistance during the crisis.

To help, visit the website to donate from various countries or text "SHELTER" to 20222 from the U.S. for a one-time $10 donation. Location and time specific donations cannot be accepted.

AmeriCares is preparing to send urgently needed medical aid to areas of East Africa. The organization will ship medicine and supplies to help medical teams serving refugees in Mogadishu.

Visit the website to make a donation from various countries or call 1-800-486-HELP from the United States.

Doctors Without Borders is operating nine medical-nutritional programs in south-central Somalia. These programs, along with three projects in refugee camps in Kenya and Ethiopia, provide thousands of medical consultations each day. Teams are treating more than 10,000 severely malnourished children.

Donations can be made online in the U.S. and by following this link in other countries.

Samaritan's Purse is feeding 2,100 families in Wajir and Garissa counties, providing a supplemental nutrition program for 1,700 school children and supplying porridge and health care to 400 children under 5 years old in Garissa. The group is also drilling boreholes in the region to supply water in hard hit communities.

Visit the website to make a donation from the United States and other countries.

The UNHCR - The UN Refugee Agency distributed 2,500 emergency assistance packages to 15,000 people in southwest Mogadishu with plans to deliver 7,500 more. Each package contains a tarpaulin, three blankets, a sleeping mat, two jerry cans, a kitchen set and utensils.  The UNHCR is also opening two more camps to house, clothe and care for the swelling influx of refugees.

Visit the USA for UNHCR to make a donation from the United States or go to the UNHCR's main website to donate from other countries.

CARE is reaching a million people affected by the food crisis in Kenya, Ethiopia and Somalia and working to provide emergency relief to another million. The organization is providing food, water and sanitation facilities in Ethiopia. In Somalia, CARE is rehabilitating water pans and shallow wells and operating cash-for-work programs.

Visit the website to make a donation from various countries.

Relief International provides emergency services in conflict-affected areas in East African countries. The organization is on the ground providing food to hungry families and essential nutrition to malnourished children through feeding centers.

Go online to donate to the Horn of Africa: 2011 Famine Response fund or call 1-800-573-3332 from the United States.

ChildFund International is helping to provide food, water and basic health services to victims in Kenya and Ethiopia. The organization is focusing on newborns and children up to 5 years old due to their vulnerability and the lifelong implications of inadequate food intake.

To make a donation, visit the website, call 1-800-776-6767 or text "RESPOND" to 90999 and donate $10 to drought relief efforts from the United States.

Red Cross and Red Crescent teams are working across the Horn of Africa. In addition to offering medical treatments, food and water, they are helping families rebuild their livelihoods. The Ethiopian Red Cross Society is giving camels to families for milk production. Other teams are distributing seeds, farming tools, and irrigation equipment.

The American Red Cross pledged up to $1 million to help those affected by the famine. Go online to donate from the United States, or visit the international website to make a donation from other countries.

Islamic Relief Worldwide is helping at-risk and affected people across East Africa meet their needs for food, shelter and water. Islamic Relief delivered new water pumps and provided access to safe water to more than 200,000 people.

The organization is also providing health and nutrition services for children and displaced people. To help with their efforts, visit Islamic Relief USA to donate from the United States or visit Islamic Relief Worldwide to donate from other countries.

World Relief is helping people in northern Kenya who are malnourished and who have lost livelihoods as a result of depleted food and water resources. The organization is expanding its programs to drill wells and provide food and nutritional training.

Visit the website to make a donation from various countries.

World Concern is on the ground in Somalia distributing aid and medical care to thousands of refugees. Aid workers are providing food and water, emergency medical rations, and sanitation and hygiene to refugees as they trek more than 400 kilometers to refugee camps.

Donations can be made online or by calling 1-866-530-LIFE from the United States.

Operation USA is working to assess unmet needs on the ground, with its initial response focusing on water resource needs in Kenya's Dadaab refugee camps. Donations can be made online, by phone at 1-800-678-7255 or by texting "AID" to 50555 to donate $10 from the United States.

@highlight

Twelve million people are facing a hunger crisis in East Africa

@highlight

The United Nations warns that the crisis could spread

@highlight

Relief organizations are calling on the international community to join together to end the crisis

@highlight

If you want to help, donations can be as simple as sending a text