Marmaris, Turkey (CNN) -- For more than a year, experts have been at work in a quiet cove on the Aegean Sea, teaching a pair of male bottlenose dolphins how to catch their own food. Every day, the team releases dozens of live fish into giant sea pen where the dolphins named Tom and Misha live.

The two males then race around the pen, diving, darting and somersaulting down to depths of 45 feet in pursuit of their frightened prey. Like a proud father, trainer Jeff Foster watches from the narrow dock that encircles the pen.

Not long ago, he said, Tom and Misha had no idea what to do with live fish.

"We had literally thousands of fish in the pen, and they just wouldn't look at them," Foster said. "They had just been so used to being hand-fed in a captive situation that they did not recognize fish as a food source."

When Foster first met the dolphins more than a year ago, he said they would only eat if humans placed dead fish directly in their mouths. If fish was thrown into the pen, it would go untouched and end up rotting at the bottom of the sea pen.

Tom and Misha are part of the Back to the Blue project, an expensive, risky and somewhat controversial experiment to reintroduce captive animals into the wild.

"It would be like taking your dog and releasing it into the woods," Foster said. "If you don't prepare your dog for that, it would never happen."

Foster, a Seattle-based expert on marine mammals, had experience with another high-profile release program that ultimately ended in failure.

More than 10 years ago, he worked in Iceland as part of a multimillion-dollar effort to prepare the killer whale Keiko from the 1993 movie "Free Willy" for release into the wild. Less than a year after his release, Keiko died off Norway.

But Foster said he believes Tom and Misha stand a much better chance of survival.

"These animals haven't been in captivity as long as Keiko," he said. "Keiko was held in captivity for more than 20 years. He was held as a solitary animal for many of those years."

The two dolphins, who are both about 12 years old, have been in captivity for five or six years, he said.

"They've probably spent the majority of their life out in the wild," Foster said. "Because we're dealing with two males, you can develop competition feeding with them. ... They're ideal candidates for reintroduction back into the wild."

Tom and Misha first attracted the attention of wildlife conservation activists in 2010. At the time, they were kept at a Turkish resort, where tourists paid to swim with the dolphins in a shallow, filthy swimming pool.

"The pool in Hisaronu, Turkey, where Tom and Misha had spent the summer months of 2010 had such a high bacterial count ... that it was a significant health hazard to the dolphins and for the unsuspecting tourists who paid to swim with them," Shirley Galligan, a representative of the Born Free Foundation, wrote in an e-mail to CNN. "The water was filthy with feces and dead fish and a layer of 'sludge' at the bottom."

According to Born Free, a nonprofit conservation group based in the United Kingdom, the dolphins were underweight and listless and would not have survived much longer in the pool, which "having been hastily constructed, was in danger of collapse from subsidence."

A coalition of environmental groups successfully campaigned to rescue the animals and transport them in the back of a truck to a sea pen in the Aegean.

Born Free has taken over the costly and time-consuming program to rehabilitate Tom and Misha. So far, the effort has cost $800,000.

Both dolphins are expected to be released within a matter of days. Born Free is keeping the exact time and location of their release secret to protect the animals from curious human visitors, excessive boat traffic and the threat of poachers.

Tom and Misha's progress will be monitored with specially designed satellite tracking devices that will be pinned to their dorsal fins.

Even the sponsors of the program admit there is no guarantee of success.

"There have only been a handful of reintroduction (programs) with mixed results," Galligan wrote. "Returning any captive wild animal to the wild is never without risk."

One of the only successful cetacean reintroductions on record involved an orphaned female orca named Springer. Foster was a member of the team that helped rehabilitate the emaciated animal and eventually reintroduce her to a pod of related killer whales off Canada's Pacific coast a decade ago. She has reportedly survived and thrived in those waters.

Michael Moore, a marine mammal expert at the Woods Hole Oceanographic Institution, predicted major challenges for Tom and Misha in the weeks and months ahead.

"Can they break the bond with humans, and can they create a bond with other (wild) dolphins?" he asked in a phone interview with CNN.

"The irony is that if these animals do get released into the wild, it's a big, bad world out there, and they will have to learn how not to get entangled in fishing gear."

According to Moore, Tom and Misha's release will have virtually no impact on the world's wild dolphin population, which faces an onslaught from industrial fishing nets, decimated fish stocks and polluted seas.

But he and other dolphin experts say successful reintroduction could both increase biodiversity awareness in Turkey and set an important example for the multimillion-dollar captive marine mammal entertainment industry.

There has been a rapid increase in the number of dolphinariums and "swim-with-dolphin" programs cropping up across Turkey over the last decade.

"Turkey, being a very popular and beautiful holiday destination, is sadly responding to the public demand for that 'dolphin experience' by providing more captive dolphin facilities than anywhere else in Europe," Born Free's Galligan wrote. "Conditions in general are very poor."

Foster said he hopes Turkey will start implementing some regulations for its marine mammal facilities "because there really aren't standards right now."

One fear is that Tom and Misha, who enjoy being rubbed down and handled by their trainers, could be captured by poachers hoping to sell the valuable animals to dolphin parks.

Despite the risks, perhaps one of the great assets shared by the two dolphins is their adaptability.

"They are not lions and tigers," said Moore of the Woods Hole Oceanographic Institution. "They're fundamentally more plastic and more adaptable."

Proof of this adaptability is on display nearly every day in the congested and polluted waters of the Bosphorus Strait, which courses through the center of Istanbul.

A vibrant pod of dozens of wild bottlenose dolphins feeds here, dodging the constant traffic of oil tankers, cargo ships, ferryboats, fishing boats and yachts. Occasionally, the animals can be seen leaping and surfing off the bows of enormous tanker ships.

Misha and Tom are to be released in much less hazardous waters hundreds of miles from Istanbul. But even their "coach" doesn't know how they will fare in the days ahead.

"We just really don't know how they're going to respond," Foster said, stroking Tom's glistening hide after the 600-pound animal obediently lept onto a floating dock at his trainers' command.

Clearly, freedom will expose these dolphins to stimulation they have not encountered in years, including waterbirds, fish and female dolphins.

After a wave from his trainer's hand, Tom slipped back into the water. He issued a high-pitched call before accepting a fish as a reward. Underwater, the vocalizations of both Tom and Misha could be distinctly heard, even by the human ear.

Despite years of close interaction between humans and these highly intelligent animals, scientists have not found a way to answer one fundamental question: After years in captivity, do dolphins such as Tom and Misha want to be free?

@highlight

Trainer Jeff Foster is working to release two dolphins into the wild

@highlight

Two years ago, the dolphins were the main attraction at a run-down Turkish tourist park

@highlight

Foster worked to help release Keiko, the orca from the 1993 movie "Free Willy"

@highlight

Popular "swim with dolphin" parks in Turkey are a concern to animal welfare advocates