(CNN) -- The young Afghan girl sits in the center of the room, weeping. Using her hand and her blue scarf to hide her face, she recounts how she was brutally raped by five gunmen.

The 12-year-old girl, gang-raped in Afghanistan, weeps as her family demands justice.

The girl's tragic case is one of many in war-torn Afghanistan, activists say.

The 12-year-old girl's family members say they'll take their own lives unless justice is served.

"We will all commit suicide; this is not living," cries the mother of the girl, whose gang-rape occurred in Northern Afghanistan.

The girl's adolescent voice pleads for help from Hamid Karzai, the president of Afghanistan.

The girl's elderly and immobilized father trembles and can only raise a quivering hand as he sobs. He is rendered helpless in a country where a man's dignity and honor is protecting his family.

Her little brother sits in the back, far too young to understand the situation but still traumatized by the devastated cries around him. He wipes away his tears.

The children's mother sobs. "We've been violated. We can't live our lives. We can't sit. We can't sleep at night," she says.

Video of the crushed family aired on the privately owned Ariana TV two weeks ago before it was posted on the Internet by an activist group, the Revolutionary Association of the Women of Afghanistan.

In a country riddled with corruption, despair and lawlessness, the family has risked their lives by coming forward.

They have since met with Karzai, according to an aide who said the president wept with the family and vowed to bring the perpetrators to justice. Karzai has fired the police chief from the city where the attack occurred, the aide said.

The family lives in a government-provided safe house in Kabul, Afghanistan.

"This is just an example among thousands of other cases," says Shaima, a member of RAWA. "The rest go unnoticed by the media."

Shaima is not her real name; she uses it to protect her identity. RAWA members themselves have often been targeted for raising taboo issues in a culture in which women and children are often treated as second-class citizens.

"Women and girls, especially young girls, are the most unprotected people of Afghanistan. They are raped, kidnapped and murdered," Shaima says.

Just last week, a 3-year-old girl was kidnapped and raped by unidentified men, a government official confirms. The toddler was later released and, the official says, is recovering.

"Rapists are roaming around with impunity," Shaima says, turning her attention to a man -- said to be the son of a powerful official -- who is accused of raping 22 girls in the northern province of Sar-I-Pul.

Sayed Nurallah says his 14-year-old daughter was one of the aforementioned victims. Nurallah says that coming forward with his daughter's story makes him a target, which he firmly accepts. He says that seeking justice for his daughter is a matter of integrity.

"She wakes up in the middle of the night screaming," Nurallah says of his daughter. "Her arms, legs, her body -- she is always tense and frightened."

Nurallah also pleads for justice. "I have one question for Mr. Karzai: If this was your little girl, what would you do?"

His firm tone changes to one of grief. He breaks into quiet sobs.

"I just want justice for my child," he says.

Shaima says justice is hard to find.

"These criminals are never brought to justice, because police and government authorities are either involved or they can't handle the crimes," she explains. "With criminals and warlords in the political scene, we cannot expect justice to be served."

Another factor that impedes victims from coming forward is some interpretations of Sharia, or Islamic law. Some authorities rule for a rape to be validated, victims must have four witnesses to the crime. If not, the victims can be charged with fornication or adultery.

Statistics quantifying crimes against children are hard to come by in Afghanistan, an impoverished nation ravaged by three decades of war.

In March, the Afghan Independent Human Rights Commission said that deteriorating security in large parts of the country, a growing culture of criminal impunity, weak law enforcement institutions, poverty and other factors had contributed to increasing violence against women, such as rape and torture.

The commission also said that Afghan girls are often forced into marriages against their will.

Radhika Coomaraswamy, the U.N. special representative for children in armed conflict, plans to release a report in October on the state of Afghan children.

Coomaraswamy went to Afghanistan this summer to establish a monitoring and reporting system on what is deemed as grave violations committed against children.

"In many cases of violence against children, there is a sense of impunity. People continue to violate children's rights without any sense of feeling that they will be held accountable," Coomaraswamy said.

She found that sexual violence against young boys is also a problem. In what is known as "bacha-bazi," or "child's play," boys are forced to dress in female attire, dance and perform sexual acts.

"I can't think of any country in the world in which children suffer more than in Afghanistan," Coomaraswamy says. "In all our meetings with children, it takes a lot of time to make them smile. That to me shows that there is not happiness in their hearts."

She hopes that the monitoring program will deter people from taking advantage of the vulnerability of children in the combat zone. Coomaraswamy does concede that the Afghan government alone cannot do much right now.

"War has completely destroyed that administrative infrastructure," Coomaraswamy says, "even if they had the laws, it is impossible to implement."

@highlight

Young rape victim's family vows to commit suicide unless justice is served

@highlight

Father of another rape victim sobs: "I just want justice"

@highlight

U.N. official says crimes are accompanied by a "sense of impunity"