(CNN) -- On September 26, 43 student-teachers from the Ayotzinapa training college disappeared. Another three were found dead shortly afterward, one of them reportedly having had the skin stripped from his face. The students were in the town of Iguala, in southwest Mexico, on their way to protest the lack of school funding.

The disappearances outraged Mexican society, driving citizens to protest en mass across the country. Popular opinion, that the crime was an act of state terrorism, has since been supported by reports that the students were abducted by local police on the order of Iguala's mayor, who has been charged, and were turned over to the gang that then killed them. Dozens of suspects have been arrested, including members of Iguala's municipal police force and Iguala's mayor and his wife, who reportedly have links with the Guerreros Unidos gang.

Human Rights Watch called the Ayotzinapa incident the worst human rights crisis facing Mexico since the 1968 massacre of unarmed students at Tlatelolco. Yet this is only the most atrocious of many acts of state violence to have occurred since the Mexican government stepped up its war against the drug cartels. Much of the country has witnessed massacres resulting from confrontations between traffickers and agents of the state -- police and the armed forces -- or between rival groups of criminals for the control of routes and markets.

The toll of this war on human life has been massive. According to the National Institute of Statistics and Geography there were 95,000 violent deaths in the country between 2006-2012, of which 60,000 are estimated to be associated with the drug war. In the same period, according to the Mexican Attorney General's Office, 25,000 people were reported missing.

At the start of the crackdown on cartels, Mexico requested and received support from the United States in the form of the Mérida Initiative. Agreed on in March 2007, U.S. funding to Mexico increased from $40 million per year in the mid-2000s to $1.5 billion in stage one of the initiative. The focus of Mérida was to provide Mexican security forces with equipment and training to counter drug trafficking. In response to the criticism that stage one had not addressed capacity building and institutional reform, "Beyond Mérida," or stage two, included resources to improve the rule of law and strengthen communities.

The results, however, have been abysmal.

The reality is that traffickers have taken advantage of the institutional weakness and corruption of municipal governments to control local police and politicians. The poverty and marginalization of the peasants -- who have no access to credit, have to pay high prices for seeds, fertilizers and transport for their products, and lack the technology necessary for crops with high market value -- create an opportunity for traffickers, who employ them in the production of opium poppies or cannabis. And although they are paid at low rates, their illicit incomes are still higher than what they would receive from traditional crops. If it weren't for prohibition, however, the illegal crops would not be profitable.

Sadly, the absence of legal and moral limits is not exclusive to criminals, with state security forces committing atrocities under the pretext of the war on drugs. Most recently, in June, seven soldiers were charged over the extrajudicial execution of 22 alleged traffickers in Tlatlaya, a village not far from Iguala. According to witnesses, the victims had already surrendered.

And this is by no means an isolated event -- extrajudicial executions are a recurrent practice of both the army and navy, involved in a war that respects neither human rights nor the existing legal order. Indeed, professors from the Center for Economic Research and Teaching and the National Autonomous University of Mexico recently noted, as one translation of their work notes, that when federal police confronted criminals, "2.6 suspects died per every person wounded. When the army was involved, deaths increased to nine, and when the navy participated, the number rose to 17 fatalities per one wounded."

Meanwhile, after more than 10 years of the war on drugs, neither the supply nor the demand of illegal drugs has disappeared. In fact, there has not even been a reduction in supply on either side of the U.S. border. At the same time, in Mexico, the cartels have not gone away. In fact, they have multiplied as a result of fragmentation, while the level of violence has increased.

The cases of Tlatlaya and Ayotzinapa are only the most visible tips of the iceberg, with a deep-spreading base that is quickly undermining the already troubled institutions of local government throughout Mexico. Violence is driving away investments that might otherwise bring development to marginalized zones even as the cartels, bolstered by the resources of the illicit drugs market, have diversified their activities and imposed Mafia-style protection rackets on legal markets.

Ultimately, ending the failed war on drugs is now a matter of survival for Mexico. If Mexico is to recover peace and normality, resources now devoted to combating trafficking must be rechanneled into capacity building, institutional reform of local forces, and prosecution of predatory crime. In addition, a new drug policy focused on health, with an emphasis on prevention, harm reduction and treatment, must replace the focus on police and military persecution.

The truth is that the war on drugs has caused more harm than good. It is time for it to end.

@highlight

Jorge Javier Romero: Disappearance of 43 Mexican students led to protests

@highlight

Incident just latest example of violence exacerbated by drug war, he says

@highlight

Romero: Toll of this war on human life has been massive