Little Rock, Arkansas (CNN) -- A cache of largely unvarnished, newly released interviews offer a glimpse into Clinton administration's triumphs and tribulations.

Everyone from former aides like Leon Panetta and Bruce Reed to world leaders like Vaclav Havel, the former President of the Czech Republic, and Kim Dae-jung, the former president of South Korea, were interviewed for the project.

Released Friday by the University of Virginia's Miller Center, which conducted the interviews after President Bill Clinton left office, the transcripts will be a treasure trove both to historians and opposition researchers, whose eyes will be on Hillary Clinton's presumed 2016 presidential run.

The Miller Center is a nonpartisan affiliate of UVA that specializes in presidential scholarship, public policy and political history, according to its website.

The release of the interviews was heralded and discussed on Friday during a celebration for the 10th anniversary of the Clinton Presidential Center in Little Rock.

Here are eight interesting takeaways from a myriad of recollections:

1.) Pardoning Marc Rich was "the single most inexplicable, devastating thing" Clinton did -- former Commerce Secretary Mickey Kantor

On his final day in office, Clinton decided to pardon Rich, a commodities trader who was indicted in 1983 for tax evasion, false statements, racketeering and illegal trading with Iran, and left the country. Clinton's decision launched a number of congressional inquiries, and Kantor told the Miller Center he can't explain it. "It is so easy not to have done it," he said. "This is not like it's a close question."

2.) Hillary Clinton is "much more politically astute now than she was in early 1993" -- Alan Blinder, a Clinton administration economic adviser

When Hillary Clinton was first lady, she famously led the failed push for health care reform in 1993. According to Blinder, Clinton was not totally "politically astute" at the time and "learned" to play politics over time. "I think she's much more politically astute now than she was in early 1993," Blinder said while Clinton served as the junior senator from New York. "I think she learned. She's really smart. She learns, and she knows she made mistakes. She's said it herself. I know she was not as politically astute then as she is now." Clinton is now considering a run at the White House in 2016.

3.) "Hillary was the major reason I was secretary of state" -- Madeleine Albright, former secretary of state

Madeline Albright attributes her selection as Bill Clinton's second secretary of state in large part to Hillary Clinton. Albright had been Clinton's ambassador to the United Nations and, according to her retelling, the first lady was the one who lobbied for her promotion. Albright said. "Hillary told me -- and he told me -- that Hillary said, 'Why wouldn't you name her?'" Albright goes on later to say that her staff "all thought she had a role in it" but didn't know for sure until one day Bill Clinton said, "'Everybody knows that Hillary had a role in having Madeleine becoming secretary of state.'"

4.) "The President always had an eye for attractive women." -- Leon Panetta, former chief of staff to the president

When Leon Panetta was pressed about Monica Lewinsky -- the White House intern whose affair with the president spiraled into a national saga -- he said he knew the president had "eyed" her but chalked it up as "no different than anything else." "The President always had an eye for attractive women," the former chief of staff told the Miller Center.

5.) "He's got a woman problem" -- former Health and Human Services Secretary Donna Shalala

When Alice Rivlin, former director of Office of Management and Budget, met Bill Clinton, she called her friend Donna Shalala. "I just met this really smart, charismatic governor of Arkansas. Do you think he's a presidential possibility?" Rivlin asked Shalala. According to the former budget head, Shalala responded, "'Well I know Bill Clinton and he's terrific, and everything you say is right, but he's never going to be president of the United States.'" Rivlin asked, "Why not?" Shalala replied, "He's got a woman problem."

6.) The Lewinsky affair "probably kept some people away from the polls that might have voted for Gore" -- Roy Neel, top aide to Vice President Al Gore

Neel told the Miller Project that Bill Clinton's affair with Monica Lewinsky probably cost Gore votes in the incredibly close 2000 election. "I'm absolutely convinced ... that the Lewinsky affair really energized social conservatives and so angered a lot of people, and they had nowhere to vent that anger," he said. "They couldn't vote against Clinton. ... If they had gone to the polls they would have voted for Gore, but they were just disgusted." Gore, who in many ways ran away from Clinton in the 2000 election -- would go on to lose, despite winning the popular vote.

7.) "She inspired, continues to inspire, fierce loyalty and he doesn't." -- Roger Altman, former deputy Treasury secretary

The Clintons are known for keeping a stable of former aides, friends and confidants within arms length. But according to Altman, Hillary Clinton was better than Bill Clinton at inspiring loyalty. "It's quite a difference and I ascribe it to the fact that she does not look at the world as, or at least in my experience, as solely and only politically," he said. "She wears her heart on her sleeve much more than he does. Less and less now that she's her own public figure, but that's her nature." It is safe to say that many former Clinton aides who still consider themselves close to Bill Clinton would disagree with Altman.

8.) "He came close to punching Jerry Brown in the New York debate when Brown attacked Hillary for being on the Wal-Mart board." -- Bruce Reed, a Clinton domestic policy adviser

During the 1992 Democratic primary, then (and now) California Gov. Jerry Brown attacked Bill Clinton over Hillary Clinton's law firm and Walmart ties. And the attack worked. "In the primaries, he had lost his temper a few times," said Reed. "He came close to punching Jerry Brown in the New York debate when Brown attacked Hillary for being on the Wal-Mart board, something like that." Clinton would go on to win the nomination and now Brown is supporting Hillary Clinton's prospective run at the presidency.

@highlight

Clinton's White House is described as chaotic but driven in the documents

@highlight

An aide said Hillary Clinton is "much more politically astute" than during '93 health care push

@highlight

Aides, one Cabinet secretary detailed Lewinsky affair and Clinton's "woman problem"

@highlight

The documents will be poured over by historians and Clinton critics, alike