A little more than 400 years ago a king of England, James I, was informed by one of his judges, Edward Coke, that while the king was under no man, he was under God and the law.  This was one of the earliest and most powerful suggestions that our legal system (borrowed from the English) had, as its core principle, that there must be some restraint on arbitrary power. Ours is supposed to be a government, as John Adams wrote in the Massachusetts Constitution of 1780, of laws and not of men.

What the health care ruling means to you

In what will go down as one of the most important Supreme Court decisions of the 21st century, a majority of the justices have affirmed that most noble and important of Anglo-American legal maxims. But the court's opinion, in preserving the Patient Protection and Affordable Care Act, under Congress' taxing power, still gives a virtually unlimited sway to the power of the federal government.

The court's opinion is a long one, and will be carefully parsed by legal scholars, but the bottom line is not difficult to discern. Chief Justice John Roberts has, whether he makes it clear in his opinion or not, chosen to leave the determination of the scope of Congress' powers to Congress itself, and to the American people, who place their representatives in Congress.

How the Supreme Court voted, what they wrote

The argument against the Affordable Care Act was that the individual mandate, by requiring virtually all adult Americans to buy health insurance or pay a penalty, could not be justified under the commerce power, because instead of regulating commerce, the act was an attempt to compel participation in commerce.  The chief justice and Justices Antonin Scalia, Anthony Kennedy, Clarence Thomas and Samuel Alito all now concede that that argument was correct, and that there must be some limits to the power of the federal government when it seeks to regulate interstate commerce. This was the clear holding of prior Supreme Court cases as well.

But with the chief justice's turning to the taxing power to justify the individual mandate, what his opinion takes away under the Commerce Clause, is, in effect, given back.  This is particularly disappointing, because the authors of the Affordable Care Act, and its defenders, such as President Barack Obama, repeatedly assured the American people that it was a measure that would reduce costs, not increase them, and that the act was not an attempt to raise taxes.

Breaking down the court's decision

A tax measure is less politically palatable than an "individual mandate," and had the penalty provisions of the individual mandate been frankly acknowledged to be a tax, it would have been more difficult to pass the act, perhaps even impossible, given the closeness of the margin by which it was enacted.

Some court watchers repeatedly said that the chief justice did not want to render a decision which, by finding the Affordable Care Act unconstitutional, would plunge the court once again into the political thicket it encountered in 2000 with Bush v. Gore.  What Roberts has done in this case seems to prove those observers correct.

A health care victory that's only a start

The court has paid some lip service to the principle that ours is a government of laws, not of men, and that the Constitution exists to reign in arbitrary power. There are four Justices -- Scalia, Kennedy, Thomas and Alito -- who seem sincere in that belief.  I wish I could say that I believe Roberts is as well.

What the court has failed to do in this case must be corrected by the American people themselves.  It is now for Congress, perhaps, to reconsider this unwise act, which unduly expands the reach of the central government, and unwisely restricts the liberty of the American people.

Ruling plays into campaign narrative for both sides

The decision is also a reminder of the sad truth that our constitutional liberties hang by too slender a thread. There is now a new and potent issue to be considered in the upcoming election, and that is, which candidate will have an opportunity to shift the precarious balance of the justices on the court.  It is unconscionable for 5-4 majorities to alter the meaning of the Constitution, and to shift the basis Congress has given for legislation.  One can only hope that after this November the likelihood of this happening again will be less.

@highlight

The U.S. Supreme Court has upheld the health care law in 5-4 ruling

@highlight

Stephen B. Presser: The ruling unduly expands the reach of the federal government

@highlight

He says chief justice's turning to the taxing power to justify the law is disappointing

@highlight

Presser: It is now up to Congress to reconsider this unwise act