(CNN)Some say it's the most famous, perfectly composed news photo of all time.

Monday marks 70 years since Joe Rosenthal captured the iconic picture of five U.S. Marines and a Navy sailor raising an American flag over the battle-scarred Japanese island of Iwo Jima.

The image was so inspiring that, by 1945 standards, it went viral. It triggered a wave of national hope that Japanese forces would soon be crushed and peace was near. It spurred millions of Americans to buy war bonds to keep the nation on solid financial footing. Basically, this simple photo was so powerful it helped win World War II.

But Rosenthal was just one of several cameramen on the island's Mount Suribachi that day. Their images reveal the entire story behind the famous picture. They provide clues into the anger and ugly rumors over whether the Pulitzer Prize-winning photo was staged.

Hal Buell, a former executive newsphoto editor at the Associated Press, knew Rosenthal. Buell shared with CNN the inside story surrounding the photo.

"The most surprising thing to me is ... that even today there are many people who believe that the picture was posed," Buell said. "It still comes up over and over again."

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

On February 23, 1945, Rosenthal, an AP photographer covering the battle for Iwo Jima, had heard Marines were headed up the mountain. He decided to make the climb and see what was going on.

But Sgt. Louis Lowery, a Marine photographer for Leatherneck magazine, had beat him to it. Lowery was already on the summit snapping photos of Marines proudly raising the American flag.

For miles around, the sight of Old Glory atop the mountain set off whistles, gunfire and celebrations. The noise stirred up a firefight with Japanese soldiers near the summit. Lowery dove for cover and fell 50 feet, smashing his camera.

Lowery decided to descend the mountain to get new equipment. On the way, he ran into Rosenthal coming up with two Marines: Pfc. Bob Campbell, who was also a photographer, and Sgt. William Genaust, who was a motion picture photographer.

According to Buell, Lowery said, "Hey, you're late fellas, there's already a flag up there." Lowery told Rosenthal that he should keep going to experience the breathtaking view.

As Rosenthal got closer to the summit, the flag began to come into view.

"He stopped and was struck by a wave of emotion about what it cost to put that flag up there," Buell said. Rosenthal thought about all the bloody fighting and the Marines who sacrificed their lives to capture the mountain.

Reaching the top, Rosenthal, Campbell and Genaust spotted a group of Marines holding a second flag. The Marines said they'd been ordered to replace the first flag with a bigger one so more people could see it below.

Suddenly Rosenthal knew he had a second chance to photograph an important moment on the summit.

Let's stop a minute and remember that this was long before today's sophisticated cameras and digital technology. Photographers took one picture at a time, often with only one opportunity to get the perfect shot.

Rosenthal had to quickly decide whether to shoot both flags simultaneously -- one rising while the other lowered -- or to photograph the second flag as it was being raised.

He chose to focus on the second flag.

Rosenthal's choice made all the difference.

"Joe did not pose that picture," Buell said.

He explains what happened: "While the photographers were taking their positions to get the shot, Genaust -- the motion picture photographer -- asked Joe, "I'm not in your way, am I?' Joe turned to look at Genaust, who suddenly saw the flag rising and said, 'Hey, there she goes!' "

Up came the flag.

Just in time, Rosenthal raised his camera to his eye and took the shot.

There it was: a genuine moment in history, artfully captured for all time.

"Like any good, experienced and talented photographer, there's a sense of anticipation and a sense of shooting a picture at peak action -- and Joe got it," Buell said. "You couldn't have captured the action at a better peak. A moment earlier, and the flag would have been too low. If it had been a second later, the flag's staff would have been straight up and the photo wouldn't have had that strong diagonal line."

This is our cue to talk about the photo's amazing composition.

"It's exquisite," Buell said. "You have this strong, diagonal line made by the flag staff. You have the flag snapping in the breeze. You have the pyramid-like shape of the Marines pushing the flag up. The men obviously are separate, but they appear as one. The blank background enhances the action by providing no distractions. Also, the photo is gifted with a softly filtered light. A very thin haze of clouds filters the light so that the shadows aren't harsh, but there is detail in all the shadows on the uniforms and the flag."

Think about it: At the exact moment that Genaust cued Rosenthal, sunlight, shadows, wind and the Marines all converged perfectly.

What were the chances?

"I hate to use the word accident," Buell joked. "Let's call it serendipity."

But what about Lowery's flag photo? How was the composition of his image?

"It was perfectly serviceable," Buell said, because it showed the first flag. The photo shows a Marine in the foreground holding a rifle. In the background is the first flag, snapping in the breeze.

But it's just not a memorable picture, Buell said, which is likely why it never gained fame. It didn't have the same powerful visual message and photographic excellence of Rosenthal's image.

"There's just no comparison," Buell said. "I mean, we're talking about the difference between diamonds and glass."

On the other hand, Rosenthal's "picture captured the heroism of the whole World War," Buell said. "It captured a moment during a ferocious battle and it looked to the future -- to victory and the end of the war."

In fact, the image was so good that critics accused Rosenthal of staging it -- a myth he fought for more than 60 years.

The rumor started for a good reason. Rosenthal actually did stage a photo on the summit. But the photo he posed was a different picture that was taken after the famous flag-raising. In the staged photo, Marines posed in front of the flag, victoriously holding their helmets and rifles in the air.

That image is referred to as Rosenthal's "Gung Ho" Iwo Jima photo.

Before he even saw his photos, Rosenthal sent his film by plane to Guam, where it was developed and edited. The famous photo was transmitted by radiofax to San Francisco before it was shared with newspapers across the nation and around the world.

When Lowery saw Rosenthal's photo, Lowery "was pissed off," Buell said. Lowery had missed the second flag-raising, so he didn't know what happened. All he knew was that Rosenthal's photo was on the front page of virtually every newspaper in America, and Lowery's photo was being ignored.

Lowery alleged that Rosenthal's picture must have been posed. According to Buell, "someone asked Joe if he posed his picture, and Joe -- thinking they meant the 'Gung Ho' photo -- said yes."

Minutes later, Rosenthal realized what photo they were talking about and immediately tried to correct his error.

Too late. Damage done. Any journalist knows that "the correction never catches up with the error," Buell said. "Joe spent the rest of his life defending what was alleged as a 'phony picture.' "

It took a special meeting in Washington between military officials and editors at Life magazine and AP to put the controversy to rest.

"They came to the conclusion that the picture was not posed," Buell said. "It was an authentic news picture of the second flag being raised."

Years later, Rosenthal and Lowery settled their differences. During a Marine event somewhere in the Carolinas, they reunited in a hotel room where they shared a bottle of bourbon, Buell said. Afterward, Lowery acknowledged Rosenthal's picture was not posed.

"He said it was an honest-to-God picture and they remained friends," Buell said. "In fact, Joe attended Lou Lowery's funeral when he died."

Before Rosenthal died in 2006 at age 94, he told Buell he never got over the controversy. It always annoyed him -- "the same charges and allegations over and over," Buell said.

The picture has become almost an unofficial symbol of the Marine Corps and World War II in the Pacific. The Marines embraced it by transforming the photo into a memorial statue in Arlington, Virginia. Hollywood movies have been made about the flag-raising. The U.S. Postal Service featured it on a stamp. Even the shape of the National Museum of the Marine Corps, in Triangle, Virginia, was inspired by Rosenthal's photo.

Buell said that as Rosenthal looked back on his life, he was glad his photo came to represent the bravery and sacrifice of the men he called "my Marines."

@highlight

Many thought the famous photo of U.S. troops raising the flag at Iwo Jima was staged

@highlight

Hal Buell, a former executive newsphoto editor with the Associated Press, explains what happened