(CNN) -- British Prime Minister David Cameron will arrive in Myanmar Friday accompanied by a delegation of 10 business leaders -- a measure of how quickly the once reclusive Southeast Asian country is reengaging with the world both diplomatically and economically.

The delegation will be presented as "tourists" to circumvent restrictions imposed by European Union trade sanctions, according to Britain's Guardian newspaper.

"It is not a trade mission. We are going to Burma for reasons of geography and the recent elections, which led to a positive outcome," a source from the British government reportedly told the newspaper.

"The government policy on Burma is to discourage trade. That remains the case. Around ten members of the business delegation will come to Burma. They will have a cultural program. They will be like tourists."

The move is controversial since Britain still publicly backs EU sanctions which have held against the military-backed government since 1996. Cameron's visit is the first by a major Western leader since a 1962 coup began a half century of military rule.

U.S. to ease Myanmar sanctions, open relations

Western firms, meanwhile, are vying to be among the first to do business in Myanmar once sanctions are lifted.

Competitors from China, India, Japan, Thailand and South Korea are already well entrenched, tapping resources such as oil and natural gas, as well as sizeable deposits of coal, nickel ore and gemstones. Myanmar also stands to be a substantial exporter of lumber and rice.

Cameron is currently touring Southeast Asia -- including Malaysia and Indonesia -- with a delegation of 35 business leaders from companies such as Shell, BAE Systems and the world's biggest miner, BHP Billiton.

The EU is due to meet on April 23 to discuss its common position on Myanmar, saying it was likely to send a "positive signal" when it reviews the measures later this month. Both Germany and Italy are pushing for the complete lifting of sanctions, but other EU members -- Britain included -- are likely to push for some sanctions to remain in place over Myanmar's political prisoners.

Human rights groups estimate that Myanmar holds 1,000 political prisoners including students, activists and monks. Last week, the human rights advocacy group Human Rights Watch called on the EU to be cautious over sanctions, matching Myanmar reform for reform rather than simply lifting sanctions wholesale.

While the U.S. has welcomed changes in Myanmar -- this month announcing it would for the first time in 21 years nominate a candidate to serve as U.S. ambassador to the country -- it also has urged caution as it seeks progress on more fronts including the resolution of ethnic violence.

Aung San Suu Kyi's opposition National League for Democracy (NLD) won 43 out of 45 parliamentary seats, representing about 5% of the total parliamentary seats, in elections on April 1.

Critics claim the election involved a relative handful of seats in a powerless parliament, amounting to little more than a token concession to the opposition and the international community, but Western countries viewed the result as a powerful message from Myanmar that it was seeking reform.

Sean Turnell, editor of the Burma Economic Watch and an associate professor in economics at Macquarie University in Sydney, told CNN that while Western corporations were keen to do business in Myanmar, he warned against taking too cynical a view on the lifting of sanctions.

"The desire for reform is quite genuine," Turnell said.

He said the big question would be to what extent Suu Kyi's election would translate into real reform and to what extent she would be given a free hand to draft new laws.

"The object of those that want sanctions lifted in the U.S. was to try to bolster the reformers in Myanmar and, in their words, 'put a bit of wind in their sails,'" Turnell said.

"The dilemma for the U.S. is how to best support them," he added.

Turnell said the issue of sanctions had gathered a new complexity in the light of the continuing conflict with the Kachin ethnic minority in the far north of the country.

Human Rights Watch says fighting between the Myanmar military and the Kachin Independence Army, one of the largest and most powerful ethnic armies, has escalated over the past two years. The conflict has led to widespread refugee displacement in Myanmar.

"Issues such as this are starting to divide people of goodwill," Turnell said. "There's an issue over what's moral and what is effective -- what do we hold our noses over and what do we stand firm on?"

Myanmar, also known as Burma, has been run by a military junta since 1962. Sanctions were placed on the country following the violent suppression of popular protests in 1988.

Since then, U.S. Congress has placed overlapping sanctions on the country at various times, resulting in differing restrictions, waiver provisions, expiration conditions, and reporting requirements.

Myanmar announced a series of reforms after elections in 2010 brought a civilian government with close ties to the military to power.

@highlight

British Prime Minister David Cameron is to arrive in Myanmar Friday

@highlight

He is leading a delegation of 10 business leaders to the country

@highlight

Companies locked out of Myanmar by sanctions are looking for opportunities

@highlight

Cameron is currently in Southeast Asia with a dleegation of 35 business leaders