Davos, Switzerland (CNN) -- In 2013, the greatest risk of conflict doesn't lie in the halls of the U.S. Congress, on the battlefield in Syria nor the rising rhetoric between Iran and the international community, according to Ian Bremmer of Eurasia Group.

"China-Japan is by far the most important and consequential geopolitical conflict on our screen for the entire year of 2013," Bremmer told CNN's John Defterios at the World Economic Forum in Davos.

A territorial dispute over islands in the East China Sea boiled over into often violent anti-Japanese demonstration in China last September has led to tensions between the world's second and third largest economies. Last week, new Japanese Prime Minister Shinzo Abe returned from a trip to Southeast Asia to shore up support of nations also at odds with China over disputed land claims in the South China Sea.

"The Chinese don't feel like they need the Japanese in the way they used to -- they don't need the technology, they don't need the investment dollars; and furthermore unlike places like Vietnam and the Philippines where the Chinese have a large Diaspora population that really controls the local business so over time the Chinese feel they win no matter what; in Japan ... there's no influence there," Bremmer said.

Davos 2013: New year, same old problems?

After opening to economic reforms in 1979, the economy of the world's most populated country sprinted ahead at an average of 10% growth each year, overtaking Japan as the world's second largest economy in late 2010. While China is still in many ways a developing nation -- it's GDP per capita was 94th in the world in 2011 -- most economists expect it will jump ahead of the U.S. as the world's largest economy by 2030.

The December report by the U.S. National Intelligence Council, "Global Trends 2030: Alternative Worlds," forecast that U.S. economic and international influence will decline in the next two decades as a shift of global power moves from the West to the East -- with the rise of China as one of the greatest forces

Quest: U.S. economy to dominate Davos 2013

"China is slated to pass the threshold of US$15,000 per capita purchasing power parity (PPP) in the next five years or soâ€”a level that is often a trigger for democratization," the report notes. "Chinese `soft' power could be dramatically boosted, setting off a wave of democratic movements. Alternatively, many experts believe a democratic China could also become more nationalistic. An economically collapsed China would trigger political unrest and shock the global economy."

Bremmer thinks the odds of that are long, but a China moving on its current path will still be a primary player of world events in the next two decades.

Europe's decade: A tale of boom and bust

"Of course the rise of China has enormous implications for both economic conflict and political conflict precisely because this is a poor country, it's an authoritarian country, it's a state capitalist country -- and by the time China becomes the world's largest economy, surpassing the United States, those fundamental qualities of China will not particularly change," he said.

"Here you have a situation for many decades where Americans felt that China's rise was in their interest -- already Japan understands that China's rise is not in its interest, it's a bad thing," Bremmer said. "Increasingly the U.S. is very, very conflicted."

@highlight

Bremmer: China-Japan conflict poses the greatest geopolitical conflict in 2013

@highlight

A dispute over a group of islands in the East China Sea has strained relations

@highlight

China's growing power has led to a reevaluation in Tokyo; made U.S. wary

@highlight

"Rise of China has enormous implications for both economic conflict and political conflict"