Moscow (CNN) -- Police arrested at least 250 protesters and an opposition leader in Russia's capital Tuesday in a second day of demonstrations against parliamentary election results.

Protesters decried what they described as electoral fraud in Sunday's national vote, which kept Prime Minister Vladimir Putin's party in power but significantly decreased the number of seats it holds in parliament.

Boris Nemtsov, a former deputy prime minister turned vocal government opponent, told CNN he was among those detained at a rally.

Putin's United Russia party held a separate demonstration. Police said there were about 8,000 people there.

Tuesday's anti-Putin protests drew much smaller crowds than a similar rally in Moscow Monday, where thousands of demonstrators turned out for an event state news agency RIA Novosti described as the largest opposition demonstration in years. Protesters who turned out Tuesday were met with a firm response from security forces, who dispersed many and made arrests.

But some analysts said the presence of protesters was a significant sign that could prove a turning point in Russian politics.

Read Daniel Treisman's piece on the significance of the election

"This isn't a surprise that the party got fewer votes. I think the real surprise are the number of people who went out on the street," said Toby Gati, a senior international adviser at the Akin Gump Strauss Hauer & Feld firm.

As simmering anger over allegations of official corruption and economic stagnation appear to be boiling over, Putin has promised to make changes, including reshuffling his Cabinet. He said the losses his party suffered in Sunday's elections were inevitable.

"They are unavoidable for any political power, especially a political power that has held the responsibility for the state of a country for some time," he said after results were announced.

One observer said Sunday's election results, which left United Russia with a slim majority in the 450-seat house, signal that the leader's grip on power was weakening.

"Whatever else they reveal, Sunday's results undercut the image, common in the West, of Putin's regime as an effective authoritarian state," Daniel Treisman, professor of political science at the University of California, Los Angeles, wrote in a column for CNN. "In fact, it is a regime that cannot even steal an election decisively."

Demonstrators at post-election rallies in Moscow and other Russian cities criticized widespread reports of ballot-rigging.

"What you're seeing ... are expectations of a middle class, of people who believe they have a right to participate in their political process. And the real tragedy of having people going out on the streets and express their frustration is that was the only avenue left to them," said Gati, who helped develop the United States' policy towards Russia during the Clinton administration.

The opposition Other Russia party sent out invitations to the protest via Facebook under the title "Is the Revolution Continuing? Yes!"

But Matthew Rojansky, deputy director of the Russia and Eurasia Program at the Carnegie Endowment, cautioned that this week's protests were fueled by the frustrations of a "liberal fringe," not the majority of the population.

"The bulk of Russians still have enough to lose right now in the system, and still have negative memories of the last time a government went down. They're not terribly interested in feeding chaos," he said. "It's not the Arab Spring on the streets of Moscow."

A preliminary report from the Organization for Security and Cooperation in Europe on Sunday's election said some political parties had been prevented from running and the vote was "slanted in favor of the ruling party."

A draft report by the organization's election-observer mission details alleged attempts to stuff ballot boxes, manipulate voter lists and harass election monitors. The group, which monitors and promotes democracy and human rights in Europe, cited the lack of an independent body running the election or impartial news media.

And there was "undue interference of state authorities" in the vote, the 56-member organization said in a statement.

Speaking at a meeting of the organization in Vilnius, Lithuania, earlier Tuesday, U.S. Secretary of State Hillary Clinton called for a "full investigation" of reported fraud and intimidation in the elections, citing "serious concern" about the vote.

"The Russian people, like people everywhere, deserve the right to have their voices heard and their votes counted," Clinton said, as Russian Foreign Minister Sergey Lavrov looked on. "And that means they deserve free, fair, transparent elections and leaders who are accountable to them."

Russia's Foreign Ministry dismissed the criticism Tuesday, saying "statements of U.S. Secretary of State Hillary Clinton concerning the parliamentary elections in Russia, as well as similar comments of the White House and State Department officials, are unacceptable."

Russia expects that "the U.S. will refrain from unfriendly invectives going against the common positive vector of development of our bilateral relations," the ministry said in an online statement.

Shortly after Clinton spoke, the Central Election Commission announced that Putin's party suffered a large loss of seats in the election.

United Russia will have 238 seats, down from more than 300 in the outgoing parliament, or Duma, Central Election Commission head Vladimir Churov announced, with 99.99% of ballots counted. Meanwhile, the Communist Party will have 92 seats, A Just Russia will have 64, and the Liberal Democrats will have 56, Churov said.

Alla Eshchenko and Phil Black reported from Moscow; Elise Labott reported from Vilnius, Lithuania; Matthew Chance reported from London; Catherine E. Shoichet reported from Atlanta.

@highlight

At least 250 people are arrested in a second day of demonstrations, police say

@highlight

An opposition leader is arrested at the rally, organized on Facebook

@highlight

Analyst: "The real surprise is the number of people who went out the street"

@highlight

Vladimir Putin's party will have 238 seats, down from more than 300, officials say