(CNN) -- Can you remember what you were doing 30 years ago? In 1983, Bjorn Borg retired from a glittering tennis career, the Nazi Klaus Barbie was officially charged with war crimes and the final episode of M*A*S*H was breaking TV records.

More importantly, for the purpose of this exercise, millions of black and "non-white" South Africans were living -- and dying -- in misery under a brutal apartheid regime.

Whatever you were doing back then, I would think it unlikely that any single decision you made has shaped what has become of your life since.

That's not the case, however, for the young black cricketers that left the Caribbean to play in South Africa. For them, everything changed the day they boarded a plane for Johannesburg.

They are the focus of CNN's documentary "World Sport Presents: Branded a Rebel."

In 1977, the Commonwealth nations added a sporting ban to their campaign against apartheid in South Africa. By isolating the country's teams and starving passionate and influential South Africans of their beloved sport, it was hoped their government would be forced into changing policies that discriminated against a majority of the population.

As a result, cricket's "Rebel Tours" were highly controversial, unofficial, international matches that were organized in defiance of those sanctions.

It was an issue that split the world's cricket community right down the middle. The invited players that declined, such as England's Ian Botham and West Indian Viv Richards, took a strong moral stance in opposition.

Contact 'Branded as a rebel' presenter Don Riddell on Facebook

But, whether from England, Australia or Sri Lanka, the massive financial inducements were often too much even for some of the sport's biggest names to refuse.

For each of the seven tours, there was outcry, but it was the West Indies' role that provoked the most outrage.

These men didn't steal anything -- they certainly didn't kill anyone -- and they didn't break any laws, but their "crime" was almost worse.

They were condemned for supporting an abhorrent, racist regime; effectively betraying their own race.

Ironically, it was they who were isolated. They were banished from playing international sport and shunned by their peers and communities; many were forced to relocate abroad. Only one ever played for the Windies again.

Hardly anything has been written or broadcast about their two tours between 1982-84, a period which has been described as one of the darkest chapters in the history of cricket.

Whatever views have been articulated are typically negative, damning and highly critical of the players and those who funded and organized the matches.

The common narrative is that they were mercenaries, traitors and rebels. But while the players can't deny that many were influenced by the money -- some were paid in excess of $100,000 for a month of cricket -- some would prefer to be known as missionaries. Pioneers. Crusaders.

I knew it wouldn't be easy getting them to talk about their experience, just tracking them down was hard enough. For obvious reasons the West Indies Cricket Board, which had banned them, wasn't much use. Some of the players like Herbert Chang and Richard Austin -- known to have struggled with substance abuse -- have effectively fallen off the grid.

Trying to forget

Of those we tracked down, it soon became clear very few had any interest in reliving the experience.

It wasn't the tours that they didn't want to revisit, but the judgment and condemnation they had endured since.

Some players flatly declined, others wanted to be paid outrageous sums; CNN's policy is not to pay for interviews.

Over a period of several weeks, myself and our producer Samantha Bresnahan had a series of exhaustive exchanges with the team's captain Lawrence Rowe, a talented batsman who was forced to leave Jamaica and settle in Miami.

We really thought he was close to giving an interview but ultimately he declined. I know he desperately wanted to tell his side of the story, a side which has never been heard before, but he was concerned his involvement would only reignite the controversy. He just couldn't take the risk.

I would say that the players who did speak with us had mixed reasons for giving their interviews. Franklyn Stephenson is known as the greatest player never to have played for the Windies, but he is proud of his involvement.

He still treasures his tour blazer and the team photo sits proudly on his shelf. He genuinely believes that the tours helped to change attitudes in South Africa, claiming that for the first time in their lives, white fans were able to see that the black race was at the very least equal, if not superior, to theirs.

Of all the rebel teams, the West Indies were the only one to win a Test match in South Africa.

West Indian society's 'running wound'

Collis King, a hero of the Windies' 1979 World Cup final victory, felt the same. He was still angry at his treatment and we didn't have to scratch too far beneath the surface to find the bitterness still simmering.

I believe that both men and the former wicketkeeper David Murray talked to us because they didn't have anything else to lose -- whatever the tour had once cost them, being associated with it could no longer hurt them.

That's not the case for the likes of Emmerson Trotman. Even if he had wanted to share his story with us and a global audience, he has been "rehabilitated" as the current coach of the Barbados national team.

That status could have been jeopardized by reminding everyone he was once a "rebel." As the regional historian Professor Hilary Beckles put it, the rebel tours still represent a "running wound" in West Indian society.

Stephenson, King and Murray all told me they had no regrets. King was very clear that he would never say sorry for going to South Africa.

Others have apologized, in the hope the controversy would be laid to rest.

It will be interesting to see the reaction to our program; whether hearing a different perspective will change perceptions of the fateful decision these players made 30 years ago.

And it makes you wonder, if you were ever put in their position, what would you do?

@highlight

Thirty years ago, a West Indies cricket team took part in unauthorized tours

@highlight

Sporting sanctions had been placed on apartheid-era South Africa

@highlight

The players who took part in the tours were branded as rebels, ending their careers

@highlight

Some remain defiant about their decision, but few have profited from it