(CNN) -- It used to be billy clubs, fire hoses and snarling German shepherds. Now it's armored personnel carriers and flash-bang grenades. The weaponry has changed, but the target is still the same.

If some of the photos from Ferguson last week were in black and white, you might confuse them with scenes from the 1950s south. White police officers beating black protestors. Young black men lying face down in the street with police officers standing over them with assault rifles.

We have a long history of aggressively policing communities of color in America. Police have treated black and brown people like the enemy for decades. In that context, the recent events in Ferguson in the wake of Michael Brown's shooting come as no surprise. But they go way beyond Ferguson.

Complete coverage of Ferguson shooting and protests

What we're witnessing is the militarization of policing, and it has become commonplace in towns across America.

Every year, the Departments of Defense, Homeland Security and Justice funnel billions' worth of dollars and military equipment to state and local law enforcement agencies to help them amass arsenals of combat-ready weaponry, according to our report "War Comes Home: The Excessive Militarization of American Policing." Two of the armored vehicles patrolling St. Louis right now were purchased with these federal funds. An estimated 600 police departments have received Mine Resistant Ambush Protected vehicles, which are tanks built to withstand armor-piercing roadside bombs. In the years since the terror attacks on September 11, 2001, this sort of federal funding has only become more available for state and local police departments.

We're told that part of the impetus for the federal agencies is to get rid of surplus military equipment. But that's certainly not the whole reason.

At least one third of the wartime weapons flowing to state and local police departments are brand new. The better explanation is that the militarization of state and local police is a deliberate strategy funded by the federal government to aggressively fight the failed "war on drugs." As has always been true of the war on drugs, the battlegrounds are disproportionately in communities of color.

This deliberate strategy explains why almost 80% of the paramilitary raids we studied were to search homes (usually for drugs); why SWAT teams forced their way into people's homes using military equipment like battering rams 60% of the time; and why they were 14 times more likely to deploy flash-bang grenades, originally invented to ambush wartime enemies, in drug raids than during SWAT raids for other purposes.

And just has been true for decades, our police's most aggressive tactics are doing disproportionate damage to communities of color. Overall, 54% of people impacted by the paramilitary searches were people of color. Dumping weapons and equipment designed for overseas combat into local neighborhoods is only adding dangerous fuel to the fire of aggressive policing.

It might be tempting to think that the brutal tactics we've seen are the result of a few bad police officers. It might be comforting to think this is a fluke. And that might be partially true. But when the government arms cops like soldiers, trains them in counter-insurgency tactics, tells them they are fighting an enemy, we should expect this type of combustive, tragic result.

But that doesn't mean we should accept the status quo. We need to change it.

It's time for Congress to rein in its support for programs like the Department of Defense's 1033 program that allows the Pentagon to dole out weapons and stop the Departments of Justice and Homeland Security from handing out cash to police departments.

Cutting this funding is part of a larger recognition that aggressively fighting the war on drugs has failed to abate drug use and instead done incredible damage to communities. The federal government must recognize that the funding currently going toward this war can and should be spent on more effective interventions like drug and mental health treatment and housing.

Concurrently, state and local governments should constrain the ability of law enforcement to raid people's homes and police neighborhoods using wartime weapons and tactics. Part of the reason this hasn't happened yet is that many people were simply unaware of how militarized our police have become. The events in Ferguson should dispel any illusions people may have about that.

It's time for the federal government to stop financing a siege on communities of color.

@highlight

Kara Dansky: The militarization of policing has become commonplace across America

@highlight

Dansky: That police departments receive surplus military weapons is not whole story

@highlight

She says the federal government has been trying to fight the failed War on Drugs

@highlight

Dansky: This deliberate strategy negatively impact communities of color the most