(CNN)Late on Friday night, the Sierra Leone-registered Ezadeen was towed into the port of Corigliano Calabro in southern Italy. Normally a livestock carrier, the vessel had just under 400 people on board, including more than 70 children. Most were from Syria, desperate to reach Europe -- whatever the cost and risk.

For the second time in days a merchant ship had been abandoned by its crew in atrocious weather in the Ionian Sea between Greece and Italy, its human cargo left helpless in storm force gales.

The message from the Ezadeen was simple and helpless: "There is no one to steer."

The Moldovan-flagged Blue Sky M was abandoned by most of its crew three days earlier. One of the migrants on board had been able to raise the alarm, but initially a Greek frigate in the area reported nothing amiss on board. Some 800 people were crammed into the hull of Blue Sky M.

In both cases, it was the Italian coast guard that eventually boarded and steered the ships to safety.

Maurizio Albahari, an anthropologist from the Italian port of Gallipoli (where the Blue Sky M docked), says it's not the first time that larger cargo ships have been involved in  illicit journeys at this time of year, with the smugglers hoping there will be fewer maritime patrols over the Christmas period. But the tactic of setting vessels on autopilot and then abandoning them is rare.

Albahari, an assistant professor at the University of Notre Dame in the United States, says these larger vessels are often "mother ships" that discharge the migrants onto smaller boats. But the heavy sea conditions suggest the Ezadeen and Blue Sky M -- both old ships -- were sacrificed for one last payday.

People desperate to escape war, persecution

Ships carrying the migrants are frequently barely seaworthy -- flying under flags of convenience, sometimes with forged certificates. They are the workhorses of the Mediterranean, changing names and owners frequently, carrying cargoes like salt until sent on one last desperate voyage. Some have lost their safety certificate. The 73-meter (240-foot) Ezadeen was built in 1966, according to shipping records.

These ships carry some desperate to escape war or persecution, who would typically be classified as refugees. The majority are trying to escape poverty or hunger -- illegal migrants. The distinction is often not easy to make. But with the conflict in Syria in its fourth year, and the collapse of Libya, the flow of desperate people heading north is growing exponentially.

European officials say the port of Mersin in southern Turkey, which is still connected by ferry to Latakia in Syria, is often a starting point for the journey, and the ships will sometimes travel via Cyprus. The Blue Sky M appears to have called at the Syrian port of Latakia last month; the Ezadeen at nearby Tartus in October. There is always money to be made out of misery.

Their routes can be difficult to trace; these vessels often sail with their Automatic Identification System disabled, making them electronically invisible. Albahari says officials at smaller ports in Turkey, Egypt and Albania sometimes turn a blind eye to the human trafficking, which can be disguised by bringing migrants on board in small batches.

In Libya, the absence of any state authority allows Tunisian fishing boats to take part in the illicit traffic. Local militia in Libya control and profit from two migrant routes through the Sahara. In the east, Somalis, Eritreans and Sudanese come through al Kufrah; west Africans pass through Sabah.

The "passengers" -- frequently without water, food or warmth -- pay anywhere between $5,000 and $9,000 a person for the crossing. So a single shipment might be worth $1 million. But most are prepared to pay the premium rather than risk trying to take the cheaper route from Libya, where African migrants endure far worse conditions.

Figures from the European Union's border agency, Frontex, show that 270,000 people tried to enter Europe illegally in 2014 -- with huge increases in the numbers setting off across the central and eastern Mediterranean. According to the International Organization for Migration, more than 3,000 died in the attempt in 2014.

Pope: Don't let sea "become a vast cemetery"

For 15 months cash-strapped Italy ran a program called Mare Nostrum, which rescued thousands of would-be refugees and migrants in the Mediterranean. The Italian navy converted the San Giorgio into a rescue ship equipped with an infirmary, jail cells for smugglers and even quarantine sections for those with infectious diseases.

But Mare Nostrum cost some $12 million a month and critics said it encouraged migrants to try to reach Europe.

"Traffickers have taken advantage of the situation by placing more vulnerable people in unseaworthy boats on the basis that they will be rescued and taken to Italy," the UK Immigration Minister James Brokenshire told Parliament last year. Britain refused to contribute to Frontex's Operation Triton, which replaced Mare Nostrum in November and has already rescued some 11,400 migrants.

Even a patrol boat from Iceland has been involved: the Tyr was the first alongside the Ezadeen late Thursday. The Tyr also helped bring more than 400 migrants to a port in Sicily last month after rescuing them from ships that had set sail from Turkey.

By its own admission the Frontex operation is limited, with patrols staying largely within 30 nautical miles of the European shore. Its budget is less than one-third of Mare Nostrum, and it has just two planes and a helicopter, and about seven patrol vessels. Human rights groups say the new approach amounts to "Let them drown."

The "autopilot" tactic seen in the last week may be a reaction by smugglers to this new policy, as there is less chance of migrants being found farther out to sea.

The incoming head of the European Commission, Jean Claude Junker, has promised to reinforce Frontex. But across the EU, support is rising for stronger action against would-be migrants. There is little sympathy for an expensive Europe-wide version of Mare Nostrum to pluck thousands of people from the Mediterranean.

In November, Pope Francis made an impassioned plea for Europe to recognize the "human dignity of immigrants."

"We cannot allow the Mediterranean to become a vast cemetery," he told the European Parliament.

But with several countries on the southern shore of the Mediterranean highly unstable, smugglers will be hoping to make much more money in 2015. And hundreds of their customers are likely to perish in the process.

@highlight

The flow of migrants has increased significantly

@highlight

Many travel on barely seaworthy vessels

@highlight

Pope: "We cannot allow the Mediterranean to become a vast cemetery"