(CNN) -- A dream vacation to most sounded like a nightmare to Julie Evans.

In 2006, Evans' husband won an all-expense-paid trip to Hawaii, and scuba diving was one of the included activities. She wanted to go, but not enough to put on a bathing suit.

"It was at that moment that I realized that my weight was preventing me from living," Evans said.

A stay-at-home mom in Macomb Township, Michigan, 35-year-old Evans had been at a normal body mass index most of her life. But with the birth of first child, she started adding weight to her 5-foot-6 frame.

Less than two years after the first, she was pregnant with her second child. Evans said her weight gain was a combination of "pregnancy weight, a bit of depression and a whole lot of negative self-esteem."

During the pregnancy, her husband switched jobs, and was living in New York for a month during his training. After that, he began traveling frequently.

"I was at home with two kids under the age of 2," Evans said. "I felt alone."

The weight kept piling on. At her heaviest, she says she was up to 287 pounds and wearing a size 24.

When she returned home from Hawaii, she was ready to lose weight, but wasn't yet sure where to start.

Thinking her way thin

Her mother had been trying a different approach than most: "hypnosis gastric bypass" with Florida-based certified hypnotist, Rena Greenberg. Evans saw the results her mother was getting, and in late 2007, she scheduled an appointment with Greenberg.

Gastric bypass surgery, sometimes called bariatric surgery, divides the stomach into a small upper pouch and a larger pouch that's unused, physically shrinking the stomach's capacity to hold food. The results are that patients aren't able to eat as much, due to their smaller stomachs.

Hypnosis gastric bypass is exactly what its name implies. A hypnotist walks patients through a simulated version of gastric bypass surgery -- from meeting the doctor, nurse and anesthesiologist to describing the surgical procedure to leaving the hospital.

After hypnosis, Greenberg said, the mind believes the stomach is smaller, decreasing appetite and shrinking the physical capacity for food. There are also other types of weight loss hypnosis -- some focus on retraining the brain to simply eat healthier or less.

Because hypnosis isn't a mainstream weight loss method, there are limited studies about its effectiveness.

In one 1996 meta-analysis that looked at six previous studies, researchers found participants who used hypnosis averaged a 15-pound weight loss at the end of treatment, compared to the control group who lost an average of 6 pounds without hypnosis. Study author Irving Kirsch noted that the studies he compared varied in the length of treatment time, ranging from two months to two years.

Kirsch found a connection between longer treatment time and results, suggesting that the impact of hypnosis increases with time, and may be a useful tool for weight loss maintenance.

A self-described sugar and carb addict, Greenberg found herself very ill at age 26.

"I needed a pacemaker, and ... I saw an opportunity to change my lifestyle."

She developed the hypnosis program after her health scare in 1990, and after using it herself, began passing it along to her patients.

"It's about changing the way you think about food subconsciously," Greenberg said. "And it's great for people who hate dieting, since they don't feel like they're giving up food."

Evans had three private sessions with Rena for three days in a row, and took home several CDs.

An immediate change

After her first session, Evans said she started craving spinach. By the next day, she said she was eating a quarter of what she had before.

"I physically couldn't eat as much as I had been, and I only wanted really healthy things," she said. "I haven't had a soda since that day, whereas before, it was every day."

The weight came off steadily at the beginning. But as it does for many people, the losses eventually began to slow. After she lost 100 pounds, Evans started exercising in order to reach her goal.

"I love it now, but the first time actually going to the gym was the hardest," she said. "I felt like I was going into a shark tank."

It took two years to reach her goal of 150 pounds, losing almost half of her body weight. Evans has since maintained her weight for over three years. She does a lot of weight training and said she tries not to weigh herself, since muscle weighs more than fat.

Instead, she prefers to say that she wears a size 6, and has done so for years.

Although gastric bypass hypnosis may help some people lose weight, experts say there are other benefits gained from the real surgery besides a smaller stomach size.

"There are changes in many gut and brain hormones after bypass surgery and other operations for weight loss," said Dr. Ann M. Rogers, director of Penn State Hershey's Surgical Weight Loss Program. "This is why it's becoming more common to call this 'metabolic surgery' than 'bariatric surgery.' "

Rogers said that the hunger hormone, ghrelin, drops post-surgery, helping patients to feel less hungry and eat less. There are also hormonal changes that improve the way the body processes sugars and fats, which can reduce the risk of diabetes and lower cholesterol.

Although Rogers has read about people who've been able to lose weight through hypnosis, she doesn't think it's for everyone.

"I don't think as many people will have success with this as with metabolic surgery," she said. "Many people are able to lose weight through diet and exercise, but it's keeping the weight off long-term that's the challenge."

Three years of success

But for Evans, hypnosis worked and she's beaten the odds by keeping the weight off. She doesn't listen to Greenberg's CDs every day anymore but uses them on an "as needed basis."

Her husband, Brian Evans, said that his wife's determination to eat well and exercise daily has been a positive influence on the rest of the family. "I certainly live a more healthy and active life than I did before."

"She has proven to (our children) that it is possible to overcome obstacles, regardless of how imposing they might seem," he said. "You have to work hard for the things you want to achieve."

Although Evans still hasn't gone scuba diving, she said she's ready and waiting for the chance to experience what she missed when her weight was holding her back.

@highlight

Julie Evans lost 140 pounds after having gastric bypass surgery hypnosis

@highlight

After hypnosis, Evans says she believed her stomach was smaller, so she ate less

@highlight

Evans has maintained her goal weight for more than 3 years