(CNN) -- Shin Takemori throws a handful of old brushes onto a fire on a flat stone "altar," where a mound of similar brushes is already ablaze.

A dozen people queue behind him, waiting to do the same.

Collective garbage disposal?

No -- this is a ritual cremation.

"It's to honor the souls of the brushes, for the work they've done," explains Takemori, president of Chikuhodo Ltd., one of 80 family run brush-making companies located in Kumano, Japan.

Used brushes from all over Japan are brought here to end their days.

The brush pyre is a key part of the Fude no Matsuri, or Brush Festival, held annually in Kumano, a mountain town 20 kilometers east of Hiroshima.

The festival is held on September 23, the autumn equinox, a national holiday in Japan, when the souls of the dead are believed to return to their earthly homes.

Alongside the pyre stands the Fudezuka stone tablet, Kumano's most iconic monument, commemorating the town's first brush makers.

Its inscription reads: "A brush dances to the wind of the heart."

Kumano has long been synonymous with quality brush production, officially recognized by Japan as a traditional industrial art.

Of Kumano's 27,000 inhabitants, 1,500 are fude-shi, or brush-making craftsmen.

The town turns out a staggering 15 million brushes a year -- 80% of Japan's total brush production.

When Japan won the Women's Soccer World Cup in 2011, then prime minister Naoto Kan presented the team's members with a set of Kumano makeup brushes.

Chief Cabinet Secretary Yukio Edano said the brushes "showcase Japan's traditional craftsmanship and global brand power."

How it all started

"It began about 160 years ago, toward the end of the Edo era (1603-1867)," explains Takemori.

"This is a mountainous area, with little flat land for farming, so it was hard to survive in winter. Many men used to make ends meet by going away to Nara prefecture, to work in forestry.

"They'd buy calligraphy brushes there and re-sell them on returning to Kumano."

Around 1840, a few enterprising farmers decided to learn to make the brushes themselves.

They combined different brush making techniques they'd learned on their travels and developed a method unique to Kumano.

In 1877, Japan's introduction of compulsory education, including calligraphy, triggered a surge in demand for calligraphy brushes.

Word of Kumano's distinctive brushes began to spread and a brand was born.

In recent times, as demand for calligraphy brushes has declined, Chikuhodo (founded in 1952, the company employs more than 100 workers) and other well known Kumano companies began producing high-end makeup brushes and paint brushes, while still using traditional artisan techniques.

Now as in times past, most of the brushes are made with animal hair.

But what makes Kumano brushes so special?

"Touch them and see!" Takemori smiles.

They're silky soft -- rub one against your face and it's like brushing your cheeks with rose petals.

"Even today, Kumano brushes are all handmade," Takemori adds. "You wouldn't get that softness otherwise."

Baby hair brushes and octopus dumplings

Visitors can watch the time-honored technique in action at Kumano's Fude-no-sato Kobo Brush Museum, where local craftsmen give demonstrations.

The museum houses one of the world's largest calligraphy brushes (3.7 meters long, weighing 400 kilos), suspended from the ceiling.

In the souvenir shop, you can have your name engraved on the brush.

You can also find the Birth Fude -- a special brush for a baby's hair.

Better yet, you can have a souvenir brush made from your baby's first hairs.

You can also try your hand at making your own brush.

During the Brush Festival, tens of thousands of visitors from all over Japan throng tranquil Kumano.

The air is alive with the smoky tang of yakisoba noodles, octopus dumplings and skewered squid sizzling on grills at colorful food stalls.

At other stalls, local companies sell brushes at discount prices.

The heart of the festival is Brush Avenue -- the steep, 99-step path leading to the 10th-century Sakakiyama Shrine.

Brush Avenue is festooned with 10,000 brushes of various sizes, hanging down around head-height, "so everyone can feel them," Takemori says.

A festival highlight is a demonstration by a master calligrapher.

The master paces barefoot around his "canvas" (a large vinyl sheet spread on the ground) in a balletic whirl, wielding a heavy brush longer than his arm, while an assistant stands by with an ink pot as big as a barrel.

With great, graceful strokes, the master composes a message of gratitude to the Fude no Kokoro (Spirit of the Brush).

As the applause fades, an explosion of fireworks heralds the arrival of a boisterous procession, led by a brightly decorated bamboo boat.

It carries the kami, or spirit of the local deity.

Men in colorful happi coats haul the boat up Brush Avenue (all 99 steps), back to the shrine.

There, the kami will rest until next autumn equinox, when Kumano once more falls under the Spirit of the Brush.

When to visit

The Fude Matsuri is held on September 23 in Kumano, Hiroshima Prefecture.

Kumano is 45 minutes by bus from Hiroshima JR Station and 35 minutes from Kure JR Station.

The brush museum is open year-round and sells brushes of all varieties and prices. Kumano brushes are also sold at Japanese department stores, large stationery stores and Hiroshima Station.

Fude-no-sato Kobo Brush Museum, 5-17-1 Nakamizo, Kumano-cho, Aki-gun, Hiroshima Prefecture; +81 82 855 3010; open daily, except Monday, 10 a.m.-5 p.m.; $5 per person

@highlight

Of the town of Kumano's 27,000 inhabitants, 1,500 are brush craftsmen

@highlight

The best time to visit is September, when the annual Brush Festival takes place

@highlight

When demand for calligraphy brushes declined, Kumano companies began producing high-end makeup brushes

@highlight

Kumano turns out 15 million brushes a year -- 80% of Japan's total brush production