Editor's Note: Anthony J. Badger is Paul Mellon Professor of American History at Cambridge University and Master of Clare College. He is the author of "FDR: The First Hundred Days," "North Carolina and the New Deal" and "The New Deal: The Depression Years, 1933 --1940."

Anthony Badger says Barack Obama's administration could learn lessons from the New Deal.

CAMBRIDGE, England (CNN) -- Students here in Cambridge watched in horror in September 2005 as they saw lines of desperate people snaked round the convention center and the Superdome in New Orleans after Hurricane Katrina.

In the past couple of months, they watched with admiration the lines outside polling stations both on Election Day and in the early voting states. They found it difficult to imagine that voters in Britain would be prepared to queue for hours to vote.

No American election in recent history has aroused such interest in Britain among old and young alike. Partly, this is the result of the compelling drama of the long drawn-out primary battles, partly the result of the feeling that, whichever candidate was elected, there would be an end to the "arrogant unilateralism" (Robert McNamara's phrase in Cambridge in 2002) of U.S. foreign policy.

Partly, of course, it was the powerful narrative of an African-American running for the White House. Each August I teach 35 American high school teachers about the civil rights movement for the Gilder Lehrman Institute of American History in the far-removed historic buildings of Clare College. This year they reported their students were unprecedentedly enthusiastic about both Barack Obama and the political process.

I expressed deep skepticism that an African-American candidate could win a southern state. They had more faith in southern voters and they were right and I was wrong. As I have told British audiences, it was a stunning achievement for an African-American candidate to carry Virginia for the Democrats when three white southerners -- Jimmy Carter, Bill Clinton and Al Gore -- failed to do so.

Now that President-elect Obama is preparing to take office, I was interested to hear he is reading about President Franklin Delano Roosevelt's first 100 days in office.

The situations in 1933 and 2009 do have similarities. In both cases, there is a discredited outgoing administration, a financial crisis, a lame-duck Congress which finds it difficult to act, a new President who is a talented communicator and has a popular election victory and large congressional majorities.

But 1933 was also very different from the situation that will face Obama in January. The Depression had been going on for four years. Between a quarter and a third of the industrial workforce was out of work. Farmers, who were a third of the workforce then, were desperate.

There were none of the stabilizers that exist now to protect ordinary Americans: no bank deposit insurance, no social security and the welfare and relief resources of private charities and local and state governments were exhausted.

The day FDR took office, the banks in New York and Chicago closed. The whole U.S. banking system ground to a halt.

The result was that Congress was desperate for bold leadership. Constituents let their representatives know that they expected them to support the president as if the country was at war.

When FDR proclaimed a national bank holiday and worked to reopen the banks, Republicans and Democrats supported him. The House passed the banking bill -- and they only had one copy of it -- in 43 minutes.

When Roosevelt addressed the nation on Sunday, March 12, it was a tremendous gamble. He told Americans it was safer to put their money back in the banks reopening the next day than to hide it under the mattress.

They believed him and the next day the money flowed back into the banks that had been allowed to open. There was no Plan B: If people had continued taking money out, absolute disaster would have followed.

Despite four months to prepare -- FDR was the last president to be inaugurated in March -- Roosevelt had no great template to put into effect when he took office. He seized opportunities. He used the banking proposals of holdover Republican officials at the Treasury and the Federal Reserve.

He proposed the National Recovery Act only after Congress threatened to pass share-the-work legislation that would have mandated a maximum 30- hour work week.

He only brought Harry Hopkins to Washington to set up a national relief program after existing appropriations relief allocation to the states ran out. He did not favor bank deposit insurance but accepted it. He accepted large public works spending reluctantly.

FDR had a penchant for quick-fix solutions for the economy like currency tinkering. But he also launched the Civilian Conservation Corps and the Tennessee Valley Authority, crop control programs for farmers, and regulation of the stock market and the banks, and he underwrote the refinancing of mortgage debt on a long-term basis.

Are there lessons for President-elect Obama? Perhaps there are several.

First, in the New Deal's industrial recovery programs, a provision for loans to businesses disappeared. As a result there was no mechanism for creating extra jobs in the private sector.

Perhaps Obama should preserve jobs in the economy by bailing out the auto industry.

Second, infrastructure investment works, as the New Deal's public works programs showed in highways, education, cheap electrical power and flood control.

Third, the first 100 days can be a window of opportunity to pass reforms that will not be possible later on, but complex structural changes -- like FDR's introduction of social security -- may have to wait. For Obama, health care reform may be one of those issues that has to wait.

And finally, responding to an economic crisis requires the ability to improvise, to work across the aisle and to take measures that might at first be at odds with your original plans.

The opinions expressed in this commentary are solely those of Anthony Badger.

@highlight

Anthony Badger: British students impressed that Americans stood in lines to vote

@highlight

Barack Obama is reading about Franklin Roosevelt's first 100 days

@highlight

Badger says there are parallels today to what FDR faced in 1930s

@highlight

Badger: Handling a financial crisis takes ability to improvise and rethink plans