San Diego (CNN) -- It's hip to be Hispanic.

I was on a call the other day with someone who joked that she wanted to be named an "honorary" Hispanic because "that's the cool group right now."

The 2010 Census found that there are about 52 million Hispanics in the United States.

They're everywhere, in all 50 states. And they're shaping how Americans think about sports, fashion, food, entertainment, music, pop culture, business, media, the arts and the digital world.

America's largest minority is especially cool this time of year. In 1988, when Congress established Hispanic Heritage Month, from September 15 to October 15, lawmakers no doubt intended for Americans to reflect on the past. But somewhere along the line, it became a time to look to the future.

The original idea was to celebrate what Hispanics have contributed to this magnificent country, and all that they have sacrificed, dating back at least to 1863, when Corp. Joseph H. De Castro of the Union Army became the first Hispanic recipient of the Medal of Honor, for heroism at Gettysburg during the Civil War.

To date, the Medal of Honor has been awarded to 44 men of Hispanic heritage, and in 25 of those cases -- more than half -- it was presented posthumously.

But today, Hispanic Heritage Month is mostly about looking forward and pondering the impact that Hispanics are going to continue to have on this country for as far as the eye can see.

In business, companies spend enormous amounts of money hoping for a slice of the $1.2 trillion that Hispanics spend annually on goods and services.

In politics, many of what analysts call "battleground states" are heavily populated by Hispanics. Nevada, Florida, Colorado and New Mexico mattered a lot on election night 2012, and they'll matter more in the years to come.

Hispanics make up 16% of the U.S. population, and it's estimated they'll account for 29% by 2050. About the same time, whites will cease to be a statistical majority in the United States.

What does this all mean anyway?

Opinion: GOP, don't give up on attracting Latino support

Hispanics have put all their eggs in the basket of changing demographics. They've assumed that, as their numbers grow, they'll automatically become powerful, influential and prosperous.

The other day, I was on a panel where a university professor suggested that the best hope for immigration reform was for America to get to the point where Hispanics represented so much of the electorate that no politician would dare cross them.

Alas, it doesn't work that way. In fact, as the Hispanic population grows in the years to come, we can expect many non-Hispanics to panic and batten down the hatches. For instance, even though most Hispanics in the United States are U.S.-born citizens, you'll see more Arizona-style immigration laws intended to put immigrants in their place. And often, those laws will wind up also victimizing those U.S citizens who simply resemble immigrants. Read: Hispanics.

This year, to mark Hispanic Heritage Month, I thought that I'd give my compadres something they could really use: a reality check. For most Hispanics in the United States, life is not a fiesta. Things are not rosy. They're actually quite bleak. And demographic trends being what they are, that's bad news for the whole country.

According to a 2011 study by the Pew Research Center, the median wealth -- assets minus debts -- of Hispanic households fell by 66% from 2005 to 2009. Over the same period, the median wealth of white households fell by just 16%. As a result, the study found, the median net worth of white households is now 18 times that of Hispanic households.

It's true that some of the nation's corporations are making a play for Hispanic customers, but not many of their top executives and board members are Hispanic.

Closer look: Hispanics in the U.S.

And how are lower-level Hispanic workers treated at these companies? At a Target distribution center in Woodland, California, three former employees are suing the company for discrimination and retaliation. The lawsuit claims that white managers used ethnic slurs and that when the workers complained, they were fired. It also brought to light a "training document" that used negative stereotypes to advise managers about how to deal with Hispanic workers, including this: "Food: not everyone eats tacos and burritos; Music: not everyone dances to salsa; Dress: not everyone wears a sombrero; Mexicans (lower education level, some may be undocumented)." You get the idea.

Molly Snyder, a Target spokeswoman, said in a statement that while she couldn't comment on specific allegations, the company doesn't "tolerate or condone discrimination in any form." Snyder said that the guide wasn't part of any "formal or company-wide training" and that it is "not representative of who Target is." She also apologized for its content.

It's true that Hispanics are now able to help decide elections, and that they're courted by both parties. Yet Hispanics are treated disrespectfully by both the Democrats who take them for granted, and the Republicans who write them off. They're often insulted, deceived, manipulated, and exploited. It's shoddy customer service.

Enough of this. Things need to get better for this population. But it won't occur organically. There is no magic tipping point. Things are not going to just start happening for Hispanics when they get to a certain percentage of the population. They have to make them happen.

Hispanics already know how to work hard, sacrifice everything, and believe in the American dream. Now they need to know what they're worth, refuse to settle for less, and accept that only they can make dreams come true.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Hispanic Heritage Month, established in 1988, runs from September 15 to October 15

@highlight

Ruben Navarrette: Hispanics can't assume they'll be better off as their numbers grow

@highlight

He says the reality is that life is not a fiesta; median wealth of Hispanic households has fallen

@highlight

Navarrette: Hispanics need to know what they're worth and refuse to settle for less