(CNN) -- The ceremony was held on a chilly November morning in 1981 on the front lawn of the Jewish Community Center in Wilmington, Delaware, and after three decades the plain cardboard program printed for the occasion still resonates:

"Garden of the Righteous, Tree Planting Ceremony: In honor of the Righteous Gentiles who at the risk of their own lives and the lives of their families saved Jews during the Nazi Holocaust -- 1933-1945. ... This Tree Planting Ceremony by Holocaust survivors residing in Delaware is the first such tribute to the 'Righteous Among the Nations' outside of Jerusalem."

Patterned after a memorial at Israel's Yad Vashem, the grassy clearing had saplings with wooden markers bearing names of European Christians who had rescued Jews who came to live in Delaware. One by one that morning, swelling with emotion, survivors came forward to unveil markers. Also in attendance and honored with a tree was a Dutch Christian couple who lived in the state.

My mother, Halina Wind Preston, a Jewish educator who had survived 14 months hiding from the Nazis in the sewers of Lvov, Poland, conceived and planned the garden, and she unveiled markers bearing the names of two Polish Catholic sewer workers who had saved her: Leopold Socha and Stefan Wroblewski.

She died a year later at age 60, but she had fulfilled a sacred duty. Soon a monument was added, bronze plaques replaced the wooden markers, and on December 11, 1983, more than 700 people packed the center's auditorium to hear the Methodist theologian and Holocaust scholar Franklin H. Littell formally dedicate the garden.

The story of the Wilmington garden, and the Lvov sewer-survival story -- dramatized in Agnieszka Holland's movie "In Darkness" -- are particularly timely because the United States Holocaust Memorial Museum has designated "Choosing to Act: Stories of Rescue" as this year's theme for Yom Hashoah, the day of remembrance, Thursday, April 19.

Because the Nazis intended that no Jews should survive, every survival story is sacred. Although my mother is not portrayed in the movie, she would have been gratified that it has given wide exposure to Socha's heroism. Still, Halina would have rejected the film's many fabrications concerning Wroblewski's equally valiant role. She would have been incredulous over invented characters having sex in the sewer for the sake of dramatic tension, or seeing a man who was instrumental in her rescue reduced to a caricature of a pious Jew.

My cover story about my mother in the Philadelphia Inquirer Sunday Magazine on Mother's Day 1983 -- five months after her death -- was the first full English-language presentation of the Lvov sewer rescue. Socha died in 1946, but Wroblewski read my account and then shared with me many crucial details yet to be revealed in a documentary planned by the Polish filmmaker Maciej Pawlicki.

The daughter of a poor Hasidic watchmaker in the Carpathians, Halina was just 22 on July 27, 1944, when she emerged from a sewer manhole in Lvov (present-day Lviv, Ukraine). Hundreds of Jews had tried to escape into the sewers on the night of the liquidation of the Lvov ghetto and almost all died in the raging river that flowed through the sewer system.

My mother found herself in a group of 21 Jews whom the sewer workers had agreed to hide. Originally for money, but later even after the money ran out, the sewer workers brought them food, washed their clothes, moved them when their safety was in danger and visited them every day except Sunday. Some decided to leave as the ordeal wore on and were killed above ground, and one older woman died of natural causes. A baby was born and had to be suffocated lest its cries give away the group. My mother was among 10 who survived the entire 14 months, and this experience guided her life.

She was among the first of Hitler's survivors to speak publicly. Throughout the months in the filthy underground hideout, she remained focused on a place she had never seen, the New York address 3080 Broadway, where her older brother, Leon, was studying at the Jewish Theological Seminary of America. The prospect of reuniting with him gave her something to live for, and when she arrived into the waiting arms of Rabbi Leon Wind and his wife and son at La Guardia Airport in 1947, it marked the beginning of a new life dedicated to honoring both her Jewish heritage and her Catholic rescuers.

An American audience first heard a survivor speak of the Lvov sewer episode on October 25, 1949, when Halina Wind, now a 27-year-old senior in the seminary's teachers institute, addressed the annual conference of the National Women's League of the United Synagogue of America, meeting in New York City. She later went on a speaking tour on behalf of the seminary with at least 36 appearances in seven states.

One woman who heard her in Camden, New Jersey, introduced her to a cousin who had survived Auschwitz and Buchenwald. After a short courtship, Halina married George Preston, the former Grisza Priszkulnik, and they moved to Wilmington. I was born there in 1955, my sister six years later.

During three decades in Delaware, my mother inspired students and audiences of all faiths with the story of the Lvov sewer workers who saved her, establishing herself as the state's eloquent representative of the victims and survivors of the Nazis. Her message was uplifting, about how goodness transcends religion and ethnicity and national boundaries, continuing from one generation to the next, from one culture to another.

"I had a mission," my mother said in 1978. "I wasn't just saving my life. ... And when you have a purpose and when you have a cause, then you are able to endure everything. ... I was living for my parents. I was living for my brother. I was living for my yet-unborn children. I was living for the past, and I was living for the future."

My mother maintained contact with the Socha and Wroblewski families. (A third sewer worker, Jerzy Kowalow, disappeared after the war.)

As a boy I watched her meticulously prepare parcels of clothing that she sent them throughout the difficult postwar years in Soviet-occupied Poland. She traveled to Jerusalem in 1977 to provide the sole testimony that led to Socha and Wroblewski and their wives being named "Righteous Among the Nations," enabling the two families to receive monthly stipends and establishing them among 23,788 heroic figures from 45 countries upon whom Yad Vashem had formally accorded the honor at last count.

As for the Wilmington garden, it's now a verdant landmark, but three decades of exposure to the elements have taken a toll. This summer it will be rededicated with a new entrance, a new monument and new plaques. In the fall, new saplings will be planted to recognize more Righteous Gentiles who helped other Delawareans.

My mother, who didn't see a tree for 14 months, kept faith with her rescuers. Now only those of us who remain can keep the garden of memory blooming.

The opinions expressed in this commentary are solely those of David Preston.

@highlight

David Preston's mother and nine others survived the Holocaust hiding in sewers for 14 months

@highlight

Polish Catholic sewer workers saved their lives, and his mother wanted to keep faith with them

@highlight

Halina Wind Preston was the force behind a garden memorial to honor "Righteous Gentiles"

@highlight

Preston: Nazis wanted no Jew to survive, so every act of rescue and survival is sacred