(CNN) -- Humanitarian organizations have been unable to meet the "massive needs" of civilians facing brutal attacks in northeastern Democratic Republic of the Congo, a medical aid group said Wednesday.

Hundreds of thousands of Congolese have been displaced by years of violence in the region.

Extreme violence against civilians is spreading from Haut-Uele into Bas-Uele, as well as into neighboring southern Sudan and eastern Central African Republic, according to the international humanitarian organization Medecins Sans Frontieres (Doctors Without Borders).

The civilian population in that region has been the target of attacks by the Ugandan rebel group the Lord's Resistance Army, known as LRA, and the Ugandan and Congolese offensive against the LRA, the doctors organization said in a news release. Hundreds of thousands of civilians have fled.

The organization said it has more than 150 people working in the Haut-Uele and Bas-Uele districts, where it has provided help to about 16,000 displaced people and treated thousands of patients.

"The local population is the target of violence: murder, kidnapping and sexual abuse," said Luis Encinas, coordinator of Medecins Sans Frontieres operations in Central Africa.

"We are talking about tactics of violence aimed at instilling fear in the people. Our patients have told us the most brutal stories -- about children who are forced to kill their parents and people burnt alive inside their homes."

To the south, a joint operation has been waged since January by the Congolese army and Rwandan troops against the Rwandan Hutu militia Democratic Liberation Forces of Rwanda.

On Tuesday, 84 humanitarian and human rights groups in the Congo Advocacy Coalition spoke out against the operation in eastern Congo, known as Kimia II and backed by U.N. peacekeepers since March.

The operation has resulted in an "unacceptable cost" for the civilian population, the coalition said.

Since the action began, more than 1,000 civilians have been killed and 7,000 women and girls have been raped, the coalition said. Some of the militia leaders participated in the genocide in Rwanda in 1994, member groups said in a report on the Human Rights Watch Web site.

Sexual violence has grown increasingly brutal in the Kimia II operation, one observer said.

"We're seeing more cases of mutilation, extreme violence and torture in sexual violence cases against women and girls, and many more of the victims are children," said Immaculee Birhaheka of Promotion et Appui aux Initiatives Feminines (Promotion and Support of Women's Initiatives).

More than 6,000 homes have been burned down in the provinces of North and South Kivu, the coalition said. Nearly 900,000 people have been forced to flee their homes and live in desperate conditions with host families, in forests or in displacement camps with limited access to food and medicine, it said.

The American Association for the Advancement of Science says satellite imagery shows that in Busurungi, one of the main towns in North Kivu, and the surrounding 100 square kilometers (about 260 square miles), 1,494 homes and structures have been destroyed, some as recently as September. That is a destruction rate of about 80 percent.

U.N. peacekeepers have provided millions of dollars worth in tactical expertise, transport and aviation support, food rations, fuel and medical supplies to Congolese army soldiers.

"Despite such support, U.N. peacekeepers have not used their leverage to get the government to remove commanders with known track records of human rights abuses from participating in the operations," the coalition said.

"The human rights and humanitarian consequences of the current military operation are simply disastrous," said Marcel Stoessel of Oxfam, a coalition member.

"U.N. peacekeepers, who have a mandate to protect civilians, urgently need to work with government forces to make sure civilians get the protection they need, or discontinue their support," he said.

According to the coalition, 3,000 additional U.N. peacekeepers authorized by the U.N. Security Council in November are just arriving, and helicopters and other support has not materialized.

After the Rwandan and Congolese governments began their joint campaign against the Democratic Liberation Forces of Rwanda, "no provisions were made for the protection of civilians, despite the FDLR's long and brutal track record of attacking defenseless communities when provoked," said John Prendergast, co-founder of the Enough Project.

Enough, a project of the Center for American Progress, works to end genocide and crimes against humanity.

@highlight

Rebel groups target civilians in northeastern section of country

@highlight

Violence spreading into Sudan, Central African Republic

@highlight

Humanitarian groups speak out against joint military operation

@highlight

U.N. peacekeepers are urged to do more