(CNN) -- Nearly one in four people worldwide is Muslim -- and they are not necessarily where you might think, according to an extensive new study that aims to map the global Muslim population.

Nearly two out of three of the world's Muslims are in Asia, stretching from Turkey to Indonesia.

India, a majority-Hindu country, has more Muslims than any country except for Indonesia and Pakistan, and more than twice as many as Egypt.

China has more Muslims than Syria.

Germany has more Muslims than Lebanon.

And Russia has more Muslims than Jordan and Libya put together.

Nearly two out of three of the world's Muslims are in Asia, stretching from Turkey to Indonesia.

The Middle East and north Africa, which together are home to about one in five of the world's Muslims, trail a very distant second.

There are about 1.57 billion Muslims in the world, according to the report, "Mapping the Global Muslim Population," by the Pew Forum on Religion & Public Life. That represents about 23 percent of the total global population of 6.8 billion.

There are about 2.25 billion Christians, based on projections from the 2005 World Religions Database.

Brian Grim, the senior researcher on the Pew Forum project, was slightly surprised at the number of Muslims in the world, he told CNN.

"Overall, the number is higher than I expected," he said, noting that earlier estimates of the global Muslim population have ranged from 1 billion to 1.8 billion.

The report can -- and should -- have implications for United States policy, said Reza Aslan, the best-selling Iranian-American author of "No God but God."

"Increasingly, the people of the Middle East are making up a smaller and smaller percentage of the worldwide Muslim community," he told CNN by phone.

"When it comes to issues of outreach to the Muslim world, these numbers will indicate that outreach cannot be focused so narrowly on the Middle East," he said.

"If the goal is to create better understanding between the United States and the Muslim world, our focus should be on south and southeast Asia, not the Middle East," he said.

He spoke to CNN before the report was published and without having seen its contents, but was familiar with the general trends the report identified.

The team at the Pew Forum spent nearly three years analyzing "the best available data" from 232 countries and territories, Grim said.

Their aim was to get the most comprehensive snapshot ever assembled of the world's Muslim population at a given moment in time.

So they took the data they gathered from national censuses and surveys, and projected it forward based on what they knew about population growth in each country.

They describe the resulting report as "the largest project of its kind to date."

It's full of details that even the researchers found surprising.

"There are these countries that we don't think of as Muslim at all, and yet they have very sizable numbers of Muslims," said Alan Cooperman, the associate director of research for the Pew Forum, naming India, Russia and China.

One in five of the world's Muslims lives in a country where Muslims are a minority.

And while most people think of the Muslim population of Europe is being composed of immigrants, that's only true in western Europe, Cooperman said.

"In the rest of Europe -- Russia, Albania, Kosovo, those places -- Muslims are an indigenous population," he said. "More than half of the Muslims in Europe are indigenous."

The researchers also were surprised to find the Muslim population of sub-Saharan Africa to be as low as they concluded, Cooperman said.

It has only about 240 million Muslims -- about 15 percent of all the world's Muslims.

Islam is thought to be growing fast in the region, with countries such as Nigeria, which has large populations of both Christians and Muslims, seeing violence between the two groups.

The Pew researchers concluded that Nigeria is just over half Muslim, making it the sixth most populous Muslim country in the world.

Roughly nine out of 10 Muslims worldwide are Sunni, and about one in 10 is Shiite, they estimated.

They warned they were less confident of those numbers than of the general population figures because sectarian data is harder to come by.

"Only one or two censuses in the world ... have ever asked the sectarian question," said Grim.

"Among Muslims it's a very sensitive question. If asked, large numbers will say I am just a Muslim -- not that they don't know, but it is a sensitive question in many places," he said.

One in three of the world's Shiite Muslims lives in Iran, which is one of only four countries with a Shiite majority, he said. The others are Iraq, Azerbaijan, and Bahrain.

Huge as the project of mapping the world's Muslim population is, it is only the first step in a Pew Forum undertaking.

Next year, the think tank intends to release a report projecting Muslim population growth into the future, and then the researchers intend to do the whole thing over again with Christians, followed by other faith groups.

"We don't care only about Muslims," Grim said.

They're also digging into what people believe and practice, since the current analysis doesn't analyze that.

"This is no way reflects the religiosity of people, only their self-identification," Grim said. "We're trying to get the overall picture of religion in the world."

@highlight

There are about 1.57 billion Muslims in the world, according to the report

@highlight

Report by the Pew Forum on Religion & Public Life

@highlight

Nearly 2 out of 3 of world's Muslims are in Asia, report says

@highlight

Roughly 9 of 10 Muslims worldwide are Sunni, report says