(CNN) -- The Malaysia Airlines mystery remains unresolved. While it is too early to speculate about the cause of the airliner's disappearance, it is not a surprise that at least two people were able to board Malaysia Flight 370 with stolen passports.

The fact is the world is far from having a foolproof system for checking travelers who move across borders.

More than 50% of transborder passenger movements take place at airports, but how passengers are treated in security lines at the world's 600-plus major international airports is very much dependent on local regulations and practices. Various international organizations have proposed so-called "smart" solutions, such as biometric passports and electronic visas, but many forms of documentation used every day by millions of airline passengers are not digitized and are not being checked against any international databases.

Moreover, without biometric protection, it is always possible to tamper with conventional passports, including the passport holder's photograph, something that might have happened here. Of course, there are some important exceptions where tighter controls prevail.

In the European Union, the nations that belong to the "Schengen" agreement, which abolished internal borders among 27 European countries, use a shared security database for travelers moving within the Schengen-area member states. The United States, the United Kingdom and the United Arab Emirates are the biggest users of the Interpol database for lost or stolen travel documents.

Importantly, too, the United States requires airlines entering and leaving U.S. territory to submit travel document information about all passengers. Nevertheless, it remains true, even in a world that values security, that nations continue to have their own ideas about how to monitor travelers, how security information should be shared and to what extent identity information should be the subject of strong privacy protection.

Most of the 190 nations that belong to Interpol, for example, simply do not bother to use the database even though they have access to it. As to privacy, even the United States and EU have different approaches, with the EU treating personal identity information as part of human and civil rights, while the U.S. authorities seem to have taken the view that individual privacy is almost always subject to national security concerns.

Diversity among nations' practices, therefore, can produce situations where travel document problems are missed or overlooked. Malaysia is far from being the only country where the passports of outgoing passengers are not typically checked. While we do not yet know the exact sequence of events, it is possible that China would have checked the stolen passports had it been required to issue visas. But no visas were required because the tickets were for continuing travel to Amsterdam, Netherlands.

It is possible, though not of course yet certain, that existing procedures meant that Malaysia in effect passed responsibility to China and that China deferred to the Netherlands. Thus, all three nations probably complied with their own procedures and were not in violation of any international law or practice.

The lack of alignment among these various nations' procedures, however, meant that the passengers could use stolen travel documents to proceed through several security lines.

The lessons from all of these national variations are clear: First, nations that develop their own security databases should still cross-check them with existing international systems such as Interpol. And second, the time has come for global coordination and standardized procedures for processing travel documentation: that includes not only widespread adoption of biometric travel documents, but also better coordination among nations as to where responsibility lies for checking documents that travelers use to identify themselves.

The opinions expressed in this commentary are solely those of Brian Havel.

@highlight

Brian Havel: It's not surprising that at least two on Malaysia flight had stolen passports

@highlight

He says how passengers treated on security lines varies with nations' regulations

@highlight

He says many Interpol member nations don't use database -- even U.S., EU differ on privacy

@highlight

Havel: It's time for global coordination, standardization for processing travel documents