London (CNN) -- The chief executive of Barclays, one of the world's largest banks, resigned Tuesday in the wake of a scandal, the bank announced.

Bob Diamond's resignation is effective immediately, the bank said.

Diamond has long been a controversial figure, and has been a vocal backer of huge bonuses for bankers.

"It's about pay for performance," he told CNN earlier this year, calling bonuses "rewards for success."

The bank announced the resignation of Chief Operating Officer Jerry del Missier hours after Diamond's. Chairman Marcus Agius resigned on Monday, but in the wake of Diamond's resignation, Agius returned as chief executive on Tuesday.

Barclay's reputation has been hammered by a scandal involving the rates at which banks lend each other money, known as Libor.

That rate affects how much interest ordinary people pay on everything from credit card debt to home mortgages and student loans.

Former investment banker Ralph Silva says that is why the scandal has caused such fury.

"If they're manipulating Libor, what they're basically doing is taking money out of the public's pocket, because their mortgage rates change, because their interest rates change, their loans/credit cards change -- or their pension income changes," he said.

Why LIBOR scandal will change banking culture

The chairman of the Financial Services Authority, Britain's banking regulator, last month blasted the "cynical greed of traders asking their colleagues to falsify their Libor submissions so that they could make bigger profits."

FSA chairman Adair Turner said the scandal "has caused a huge blow to the reputation of the banking industry" and "has justifiably shocked and angered people."

Diamond is due to to testify about the scandal before the British parliament's Treasury Committee Wednesday.

The bank was fined more than $450 million last week by British and American regulators for rate-fixing during the height of the global financial crisis, and is one of a host of banks facing lawsuits in New York over the scandal.

At least seven other banks are under investigation on suspicion of rate-fixing, leading to speculation that Diamond could be the first of many executives to resign.

Financial regulators in London have not named the banks, but Deutsche Bank, Royal Bank of Scotland, Credit Suisse and UBS have acknowledged that they are under investigation.

Citigroup and JPMorgan Chase have also confirmed that they are under investigation.

Bank of America has refused to comment on reports that its is being probed.

British Chancellor George Osborne welcomed Diamond's resignation, calling it the right decision for the bank and the country.

"We need our banks to be focused on lending to the economy, not on the scandals of the past, and I hope this will be the first step towards a new culture of responsibility in British banking which is what the British people want to see," said Osborne, effectively the country's finance minister.

British Prime Minister David Cameron said Monday that a full parliamentary inquiry would be held into the Libor rate-fixing scandal and standards in the banking industry, with witnesses called to give evidence under oath.

The resignation of the American-born Diamond comes a day after Barclays chairman Agius announced his own resignation over the lending-rate scandal.

But Agius reversed his decision Tuesday and will lead the search for a new chief executive, Barclays said.

He will stay on until a new chief executive is selected and then "begin the process of stepping down," the bank said.

Barclay's is the 15th largest bank in the world, according to an annual list of the world's top 1000 banks released by The Banker magazine on Monday.

It is Britain's second most profitable bank, and the 18th most profitable in the world, the trade magazine said.

Diamond's total compensation package for 2011 was worth Â£6.3 million ($7.92 million), including salary, bonuses and share options, the bank said.

The annual bonus consisted of Â£2.7 million in shares and was deferred over three years, the bank said.

In his resignation statement, Diamond said he always aimed "to do what I believed to be in the best interests of Barclays."

Barclays chairman to resign

"No decision over that period was as hard as the one that I make now to stand down as chief executive. The external pressure placed on Barclays has reached a level that risks damaging the franchise -- I cannot let that happen," Diamond said.

"I am deeply disappointed that the impression created by the events announced last week about what Barclays and its people stand for could not be further from the truth. I know that each and every one of the people at Barclays works hard every day to serve our customers and clients. That is how we support economic growth and the communities in which we live and work.

"I leave behind an extraordinarily talented management team that I know is well placed to help the business emerge from this difficult period as one of the leaders in the global banking industry."

"Bob Diamond has made an enormous contribution to Barclays over the last 16 years of distinguished service to the Group, building Barclays Investment Bank into one of the leading global investment banks in the world," Agius said in the statement.

The $450 million fine came after the bank admitted some of its trading desks purposely under-reported its interest rates as part of LIBOR (London interbank Offered Rate) -- an interest rate floor between big banks that is set in London each trading morning.

Last week, Bank of England Governor Mervyn King attacked British banking culture, saying something had gone very wrong with an industry he derided for resorting to "deceitful" methods to make money.

CNN's Paul Armstrong, Jim Boulden, Isa Soares, Nick Thompson and Maureen Farrell contributed to this report.

@highlight

NEW: Another top Barclays executive resigns hours after CEO Bob Diamond

@highlight

The bank was fined $450 milllon over alleged manipulation of lending rates

@highlight

The rate-fixing scandal took money out of the public's pocket, an analyst says

@highlight

Chairman Marcus Agius resigned a day earlier but will now stay on