Baghdad (CNN)About 75% of the besieged Iraqi city of Tikrit is now back in government control, the head of a key paramilitary force taking part in the attack told CNN on Thursday.

The other 25% is in the hands of about 150 ISIS fighters who continue to hold out, said Main Al-Kadhimi, commander of the Hashd Al-Shaabi militia.

There has been no independent confirmation of such a significant advance by the Iraqi forces. But they have been making progress in recent days.

ISIS' spokesman, Abu Mohammed al Adnani, called reports of coalition-member victories "delusional and fake." He spoke of the coalition's use of fighter jets, heavy artillery and tanks, saying it is a "nightmare and will go eventually."

On Wednesday, joint Iraqi forces gained control of Tikrit Military Hospital, a few blocks south of the presidential palace. It's part of their ongoing quest to wrest control from ISIS, which captured the city last year.

The predominantly Shiite militia has been working with Iraqi troops as well as Sunni fighters to try to regain Tikrit.

Tikrit, best known to Westerners as the birthplace of former Iraqi dictator Saddam Hussein, fell in June to ISIS, which has captured large areas of Iraq and Syria for what it says is its Islamic caliphate.

On March 1, Iraqi Prime Minister Haider al-Abadi ordered Iraqi forces to retake Tikrit and Salaheddin province.

ISIS wasn't making it easy, however. The Sunni extremist group blew up a key bridge near Tikrit, preventing the joint Iraqi forces from using it to cross the Tigris River to approach the city from the east.

Nevertheless, forces have made progress, forcing ISIS fighters to retreat toward the city center from front-line positions, Hashd Al-Shaabi's media office said.

There have been several failed attempts to recapture Tikrit since the second half of 2014. If Iraq regains control of the city, it could mean that retaking Mosul -- a city 10 times bigger -- is possible.

The Tikrit offensive involves around 30,000 fighters.

Also assisting is Iran, which has provided advisers, weapons and ammunition to the Iraqi government. According to the Pentagon, Iranians may be operating heavy artillery and rocket launchers as well.

Gen. Martin Dempsey, chairman of the U.S. Joint Chiefs of Staff, told a hearing of the Senate Foreign Relations Committee on Wednesday that the consensus was that Iran's involvement was positive in military terms. "Anything anyone does to counter ISIS is in the main a good outcome," he said.

But Dempsey also voiced concern over what might happen after ISIS is defeated. A key question, he said, is "whether the government of Iraq will remain on a path to provide an inclusive government for all of the groups" in Iraq.

Tikrit could act as an important testing ground, with some observers concerned that if the predominantly Shiite militias seize control, thanks in part to the support of majority-Shiite Iran, they could carry out reprisal attacks against the remaining Sunni population there.

Such attacks could inflame already simmering sectarian tensions within Iraq and make future efforts to retake Mosul and bring peace to the country yet more difficult.

In a possible sign of the problems to come, a number of posts on social media appear to show Iraqi soldiers in extremely graphic "selfies" with the heads of alleged ISIS militants, or striking odd poses with bodies behind them.

Most of the photos are thought to have been taken during the Iraqi military offensive to retake Tikrit  and other areas in Salaheddin province, which started 10 days ago.

Two senior security officials in Samarra told CNN, on condition of anonymity because they are not authorized to speak to media, that they are looking into these claims and they are also investigating similar incidents. They did not confirm or deny the authenticity of the images.

Anthony Cordesman, a security expert at the Center for Strategic and International Studies, said sectarian division was an issue to be "extremely concerned" about as Iraqi forces gain ground in Tikrit.

"It's already been very clear to Iraqis that this is an Iranian-led operation and not one which has the support of the coalition," he said. As some Iraqis question why the United States has not taken more decisive action, he said, "this may be a case where Iran may be gaining very serious influence."

If there are reprisals in Tikrit and it becomes a "Shiite-on-Sunni struggle," Cordesman said, then not only will Iran's influence increase "but you can see the country divide and Islamic State (ISIS) be replaced by a conflict between Iraqi Shiite and Sunni."

Strong leadership will be needed from the government in Baghdad, headed by al-Abadi, militia leaders and senior religious figures to prevent this outcome, he said, with a lot already being done on this front.

The top Iraqi Shiite cleric, Grand Ayatollah Ali al-Sistani, he said, "very clearly says that Iraqis must act as Iraqis, not divide along sectarian lines."

The challenge will be ensuring that fighters on the ground, some angered by the killings of their relatives by ISIS, do not seek vengeance against Sunni communities whom they suspect of supporting the group.

While Iraqi forces piled the pressure on ISIS in Tikrit, the Sunni extremist group continued to flex its muscles in Iraq's western Anbar province, where it is finding a support base among the predominantly Sunni population.

More than 40 Iraqi soldiers were killed when ISIS blew up the Iraqi army headquarters just outside Ramadi, an Anbar provincial leader told CNN on Thursday. Militants dug a tunnel and detonated hundreds of homemade explosives, said Sabah Al-Karhout, head of the Anbar Provincial Council.

ISIS launched a new offensive on Ramadi, west of Baghdad, on Wednesday morning, Faleh al-Issawi, the deputy head of the council, said in a statement.

The city is being attacked "from all directions," with ISIS firing more than 150 mortar rounds and rockets, he said, and explosives-laden vehicles used to attack security checkpoints and a bridge.

Officials believe "this is an ISIS response to the Tikrit operation that is ongoing in the north," al-Issawi said.

U.S.-led coalition forces carried out 13 airstrikes in Iraq between Wednesday and Thursday morning, a statement said. Five hit ISIS targets near Kirkuk, and three struck ISIS units and a vehicle near Falluja.

Elsewhere in Anbar province, Iraqi security forces have managed to wrest back most of the town of Karma, near Falluja, from ISIS, said Sabah Al-Karhout, the head of the Anbar Provincial Council, on Wednesday.

Iraqi security forces were fighting side by side with Shiite Hashd Al-Shaabi units and local tribesmen, Al-Karhout said.

ISIS is also battling in many places far from Tikrit, including Syria, where the militant group is more on the offensive, according to the Syrian Observatory for Human Rights, a London-based monitoring group.

Clashes continued Thursday between the Kurdish People's Protection Units, or Kurdish YPG, and ISIS fighters in Ras al Ayn, a Syrian strategic border town with Turkey, the Syrian Observatory  said in a statement.

Hundreds of ISIS militants launched a large-scale offensive Wednesday in the town, the group said. Dozens have been killed from both sides.

CNN's Ben Wedeman reported from Baghdad, and Laura Smith-Spark wrote from London. CNN's Mohammed Tawfeeq, Hamdi Alkhshali, Kareem Khadder and Arwa Damon contributed to this report.

@highlight

ISIS tunnels under Iraqi army headquarters; explosions kill dozens of soldiers

@highlight

Iraqi officials say they are investigating claims of abuses by soldiers after photos emerge

@highlight

ISIS has launched a major assault on the city of Ramadi, an official says