(CNN) -- As the New Year approached, millions anxiously followed the news from two very different parts of the world about two very different women -- women whose lives somehow touched us, whose fate seemed, somehow, linked to all of us.

The world held its breath when word came that Secretary of State Hillary Clinton was hospitalized in New York. The news arrived at a time when we were trying to absorb, with profound sadness, a seemingly unrelated drama unfolding thousands of miles away. In New Delhi, a 23-year-old woman, a university student on her way home after watching a movie with her boyfriend, was brutally raped and beaten by a group of men. She later died from her injuries.

The parallel stories point to a sharp divide in the worldwide struggle for women's equality. While women have made major strides, in some cases reaching the pinnacle of power, the most fundamental human rights -- such as freedom to go outside without risking harassment and physical attack -- elude millions, and full equality remains an unreached goal for most.

iReport: 'She could have been me'

Clinton, one of the world's most powerful women and an icon of the global fight for women's equality, has returned home and doctors say they expect a full recovery. In India, the plight of an anonymous woman nicknamed "Nirbhaya," Sanskrit for dauntless, has become a turning point for the country. (That we don't use Nirbhaya's real name proves the grotesque reality that being raped remains a source of shame for the victim.)

Nirbhaya's ashes have been scattered, and it seems her death was not in vain. The attack sent tens of thousands of people -- men and women -- into New Delhi's streets and pulled the thick cover from India's unspeakable rape statistics. Most rapes go unreported for good reason. Of the more than 600 cases filed with the Delhi police last year, only one resulted in conviction. Powerless rape victims often resort to suicide.

News: Clinton's future 'as good as her past,' docs say

The contrast could not be sharper with the woman many call simply Hillary. Speculation about whether she will run for president in 2016 is unending. The day she was hospitalized with a blood clot, we heard that she again came in first in Gallup's Most Admired Woman poll, finishing at the top for 11 years in a row and a total of 17 times since 1993, more than anyone in Gallup's history.

She is probably the world's best-known woman and unquestionably one of the most influential. But she is only one of many who have reached so far. Women lead some of the globe's biggest, most important countries. Chancellor Angela Merkel heads the government of Germany, Julia Gillard leads Australia, Dilma Rousseff is president of Brazil, and the list goes on.

American voters just elected 20 women to the Senate, the largest number in history. And yet, that's just 20% of the seats. It's sad we find this an accomplishment worth celebrating.

The push for equality has unleashed push-back. Rape, we are told, is about power. In traditional societies, men see improvements in the status of women as a challenge to their own. Sexual assaults by gangs of self-congratulating, hyperventilating men, whether in New Delhi, in Cairo's Tahrir Square or somewhere in Somalia, amount to chest-pounding assertions of dominance from fearful, cowardly individuals. In countries with strong laws and changing attitudes about women, the number of rapes has been plummeting.

Opinion: End global rape culture

Then there are the murders and attempted murders. Last year we saw Pakistan's Taliban try to kill Malala Yousafzai, the 14-year-old girl who demanded nothing more than the right to an education. And last month, in neighboring Afghanistan, gunmen murdered Najia Sediqi, the provincial director of women's affairs.

Between the two extremes in women's status, we have a much less dramatic -- but still crucial -- struggle.

The women of Egypt, who stood on the front lines of the revolution, will now have to live with a new constitution that commits the state to "preserve the genuine character of the Egyptian family" and vaguely notes the "duties of a woman toward her family," opening the door to who-knows-what efforts by the state to keep women in their place.

In the United States, where progress is indisputable in so many areas, women still make, in the aggregate, 76 cents for every dollar men earn.

Inequality is pervasive in areas that are subtly important. Despite having a female secretary of State, and even, possibly, a female secretary of Defense on the horizon, Washington remains a "city of men," as the writer Micah Zenko noted, with women woefully underrepresented in the corridors of power, in think tanks and in academia.

Women's minds and ideas don't receive an equal hearing on the national stage partly because, as one survey showed, only 20% of all op-eds are written by women, and just 15% of columns dealing with foreign policy and security issues.

Opinion: House GOP failed women on Violence Against Women Act

Every women walks on the path laid painstakingly and deliberately by people like Hillary Clinton, or accidentally, tragically, by women like Nirbhaya. The road to women's equality, it turns out, is paved with potholes, quicksand and death traps.

There is a reason so many feel a close connection to Hillary Clinton and to Nirbhaya. Their stories, like those of 3 billion others, are of women seeking to make it in what is still today mostly a man's world.

As Clinton recovers and as the people of India work to build a positive legacy from Nirbhaya's death, the obvious lesson is that much work remains ahead. Strong headwinds will push against women's progress, but progress can be achieved through urgent legislation, through patient education, and when necessary -- as it is now -- through mass protests and unrelentingly firm demands.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Hillary Clinton illness and New Delhi rape tell different stories about state of women

@highlight

She says women's equality faces sharp divide; some ascend, most kept powerless

@highlight

She says Egypt's new constitution presents time-bomb for new oppression of women

@highlight

Ghitis: Progress for women needs strong legislation, education, sometimes protests