(CNN) -- A helicopter runs out of fuel midair after its pilot was evidently flying with one hand and texting with another. The chopper crashes, killing everyone on board. It sounds incredible, but it's true.

We live in a multitasking society. That's a reality. Now some experts wonder whether that reality is clashing with the safe operation of our nation's aircraft.

Distraction in the cockpit was a key element of testimony delivered Tuesday on a deadly 2011 medivac helicopter crash. The pilot was violating Federal Aviation Administration rules and company policy by using his phone in flight. Yet in some cases, the use of other types of personal electronic devices in the cockpit is still allowed.

Read details from the NTSB accident investigation (pdf)

But that may be changing.

Experts and officials say a total ban on using personal electronic devices in the cockpit is needed.

"You can't multitask everything," said John Goglia, a former member of the National Transportation Safety Board, which is the nation's top aviation investigation agency. "To think that you can text and fly, especially a helicopter, is ludicrous. Helicopters require concentration, even more so than many airplanes."

Medivac chopper pilots fall under the same rules for electronic communications devices as commercial airplanes. Goglia and other experts favor stricter FAA rules for all aircraft, including helicopter ambulances.

Under a newly proposed FAA rule, commercial pilots would be banned at all times from using "a wireless communications device or laptop computer for personal use while at their duty station on the flight deck while the aircraft is being operated."

Nonflight related conversations, including via electronic devices, are banned during take off and landing and during flight below 10,000 feet. Above 10,000 feet, commercial pilots can use tablets and laptops.

Yet laptop distractions were blamed in an embarrassing 2009 incident where Northwest pilots overshot their destination by 150 miles. The FAA cited that blunder as a factor in its January proposal to toughen the current rules, which haven't been updated since 1981.

Laptops and tablet computers such as iPads have been around for years. The Northwest incident happened in 2009, so why is the FAA only now getting around to stiffening the rules?

"The FAA is behind the curve across the board," said Goglia. "The rule making process has become so cumbersome that even when there's a strong desire to change the rules, it still takes forever."

When tougher rules might go into effect is uncertain, the FAA said. The agency says it is reviewing comments on their proposal.

It's a challenging time for the FAA to respond quickly to rapidly changing technology, said former Department of Transportation Inspector General Mary Schiavo. "It's kind of a learning phase ... a work in progress really."

She said the FAA has been hampered recently by less than ideal congressional leadership on aviation issues.

The FAA points out that its longstanding policy has always prohibited "during a critical phase of flight" any activity that would distract from the safe operation of an aircraft.

Even if personal electronic devices are banned during flight, pilots often use text-based systems to communicate with controllers on the ground.

The difference is in situational awareness. Using technology that folds into flight operations is directly connected to the job at hand. Making dinner plans is not.

Pilots follow an approved FAA process.

"One pilot tells the other that he's going heads down for a minute," Goglia explained. "That's his signal that the other pilot has to pay more attention."

When it comes to single pilots flying alone, operating heads-down technology is supposed to be very limited, Goglia said, but it's still a problem that the FAA needs to address.

@highlight

Texting factored into deadly medivac helicopter crash

@highlight

FAA considering tougher rules on personal electronic devices in the cockpit

@highlight

Some personal use is permitted above 10,000 feet

@highlight

Critics say FAA takes too long to change policies