(CNN) -- A 320,000-signature petition protesting Russia's stance on gay rights ahead of the Winter Olympics in Sochi early next year was presented to Olympic bosses in Switzerland on Wednesday.

The petition, delivered to the International Olympic Committee headquarters in Lausanne by gay rights group All Out, calls on Russia to repeal its anti-gay propaganda law in advance of the Sochi Games.

It also urges the IOC to condemn the law and urged Russia to ensure the security of all visitors, athletes and Russian people before, during, and after the Games.

Implemented last month, after Russian President Vladimir Putin signed it into effect, the law bars the public discussion of gay rights and relationships anywhere children might hear. It has been condemned by Russian and international rights groups as highly discriminatory.

"Ironically, the global outcry is transforming Sochi into an amazing platform for Russians and athletes to defy the law and speak out on gay rights," said All Out co-founder and executive director Andre Banks.

About 50 Swiss members of All Out joined leaders of the organization to present the petition, said All Out spokesman Guillaume Bonnet.

Obama cancels talks with Putin ahead of G-20 summit

The IOC said last week that it had "received assurances from the highest level of government in Russia that the legislation will not affect those attending or taking part in the Games."

But in a meeting Wednesday with All Out representatives, senior IOC staff said they would pursue a stronger, written commitment from the Russian government on the issue, Bonnet told CNN.

Such direct meetings between senior IOC staffers and protest groups are very rare, Bonnet said -- and a sign that the IOC is taking the matter "very seriously."

IOC spokeswoman Sandrine Tonge told CNN the IOC had met with representatives of All Out, received their petition and "engaged in an open and constructive discussion."

The IOC reiterated its position "that sport is a human right and should be available to all regardless of race, sex or sexual orientation," she said.

"The Games themselves should be open to all, free of discrimination, and that applies to spectators, officials, media and, of course, athletes. We would oppose in the strongest terms any move that would jeopardise this principle."

The All Out petition was accompanied by a letter from British actor Stephen Fry and thousands of signatures from former Olympians and athletes collected by the group Athlete Ally, to show solidarity with the gay community.

Four-time Olympic gold medalist Greg Louganis, NFL linebacker Brendon Ayanbadejo, tennis player Mardy Fish and Australian women's cricket player Alex Blackwell were among those to put their name to the call for equal treatment for all.

Anger grows over anti-gay propaganda laws

Vodka boycott

There has been a groundswell of international concern over the anti-gay propaganda law and its potential impact on visitors to Russia for the Games.

Protests have ranged from a number of bars around the world announcing a boycott of Russian vodka to calls from some quarters for a boycott of the Games themselves.

All Out hopes its petition will encourage world leaders to put pressure on Russia to change its treatment of the LGBT community and to ensure equal rights for all Russian citizens before and after the Games, Bonnet said.

"Unless the Sochi Games set an example of the rights and freedoms being exercised without prejudice, the discriminatory anti-LGBT law will serve to punish people simply for being open about who they are and who they love," Anastasia Smirnova, from the Russian LGBT Network in St. Petersburg, is quoted by All Out as saying.

"We continue our call for world leaders, including the IOC, to speak out now before it is too late."

Asked Tuesday on NBC's "The Tonight Show with Jay Leno" about Russia's treatment of the gay community, President Barack Obama said he had "no patience" with it.

"I've been very clear that when it comes to universal rights, when it comes to people's basic freedoms, that whether you are discriminating on the basis of race, religion, gender or sexual orientation, you are violating the basic morality that I think should transcend every country," Obama said.

"And I have no patience for countries that try to treat gays or lesbians or transgendered persons in ways that intimidate them or are harmful to them."

On Wednesday, the White House cited a "lack of progress" on human rights and civil society, among other issues, as a reason for canceling planned bilateral talks between Obama and Putin next month.

Banks, of All Out, said Obama had "really got the message right."

He added, "Holding the Winter Olympics in Sochi with these laws in place is like holding the Games in Johannesburg at the height of apartheid."

Opinion: Make Olympics in Russia the gayest ever

'Polite and tolerant'

Russian politician Igor Anaskikh, deputy chairman of the Parliament's Physical Culture, Sport and Youth Policy committee, told Russian news agency Interfax last week that the law will not be applied to visitors during the Games.

"The Olympic Games is a major international event. We need to be as polite and tolerant as possible. That is why a decision has been made not to raise this issue during the Olympics," he is quoted as saying.

Human Rights Watch has described the anti-gay propaganda law as "a profoundly discriminatory and dangerous bill that is bound to worsen homophobia in Russia."

The rights group also pointed to an increase in attacks in Russia on members of the LGBT community and gay rights activists as cause for concern.

CNN's Alla Eshchenko contributed to this report.

@highlight

NEW: All Out welcomes President Barack Obama's support for gay rights in Russia

@highlight

The gay rights group All Out delivers a petition to the International Olympic Committee

@highlight

The petition calls for Russia to repeal an anti-gay propaganda law and seeks world pressure

@highlight

There are concerns that gay visitors at the Sochi Olympics may be at risk from the law