Xi Jinping has taken the center stage as China's undisputed paramount leader.

The National People's Congress this week confirmed Xi as the new state president and chairman of the State Central Military Commission, making him the Communist party chief, head of state and commander-in-chief.

This completes the handover of power from Hu Jintao, 70, who ruled China for 10 years, to the 59-year-old Xi, who was announced as the country's presumptive leader last November.

Conventional wisdom had it that Xi would be a weak leader because he had not been hand-picked by late paramount leader Deng Xiaoping, as had Jiang Zemin and Hu Jintao.

Pundits also predicted that Xi would need two or three years to consolidate power because Jiang and Hu, his predecessors, were "looking over his shoulder."

Xi is proving conventional wisdom wrong.

In the past four months, Xi has taken steps to set him apart from his predecessor, signaling that change may be afoot.

He has, for example, directed officials to minimize pomp and privilege, eschew ostentatious banquets and refrain from "empty talk."

In his speech to close the National People's Congress at the weekend, Xi vowed to "always listen to the voice of the people and respond to the expectations of the people." He pledged that his government would "strive to achieve the Chinese dream of great rejuvenation of the Chinese nation."

On assuming the Party leadership last year, Xi symbolically made his first out-of-town trip not to a Maoist or revolutionary shrine, but to Shenzhen, the first laboratory of market reform which in a mere 30 years has evolved from a sleepy backwater village into a vibrant urban center.

Shenzhen is the product of Xi's late father Xi Zhongxun, a revolutionary leader who served as vice premier and governor of Guangdong province. While in Guangdong the elder Xi pioneered market reforms, including the creation of Special Economic Zones, of which Shenzhen was one.

It's not clear what legacy the younger Xi will leave so early into his reign, but analysts say events in the early days of his premiership have already put him to the test.

One of Xi's first challenges came just a month after he took over as party chief. A few days after New Year, staffers of Southern Weekly, a liberal-leaning newspaper in the southern city of Guangzhou staged a protest after a local propaganda official rewrote an editorial calling for stronger rule of law.

The dispute escalated with other journalists and Chinese celebrities giving protesters public support and putting pressure on Xi's new team to respect press freedom and free speech.

Days later a tentative compromise was reached, diffusing the crisis, but not all are impressed.

"The crisis ended in a kind of a draw -- no side really won," said Jean-Pierre Cabestan, professor at the Hong Kong Baptist University. "The only reform in the pipeline is administrative -- the streamlining of the Chinese cabinet, positive results likely but inconclusive."

Cabestan acknowledges Xi's new style but wonders if he brings new substance.

"Beyond a new way of speaking and a better ability to communicate and create empathy, Xi has not yet spelled out new policies or reforms," Cabestan said.

"He has indicated a willingness to deepen the fight against corruption and waste but by relying on the same institutions and methods. He has deepened China's foreign policy assertiveness but not really modified its modus operandi -- so it's old wine in a new bottle!"

Some National People's Congress delegates I interviewed inside the Great Hall of the People are more sanguine.

"He rose up from county chief to the top, step by step," delegate Cai Shijie told me. "Even before he became number one, he knew what's going on in our society, the ordinary people's disappointments and aspirations. He knows what needs to be done to meet people's expectations."

Cai is the CEO of Xin Chang'an Group, a private pharmaceutical company based in Xi'an. He hopes Xi's team can boost the private sector.

"Private enterprises generate jobs but we find it difficult to get loans," he explained. "State-owned enterprises enjoy monopoly and have easier access to capital and resources so they make easy profits. We need equal treatment."

Huang Youyi, a senior editor in a state-run publishing house, likes Xi's background. "Xi is of my age, he also spent years in the countryside as an educated youth, just like me," he said. "At least he knows the real situation then and now."

And Xi's new team? "It's a team of doers," Huang added. "They are quite confident but they also face huge challenges."

Many challenges demand urgent solutions: a slowdown in economic growth, rising joblessness, growing rich-poor divide, rampant corruption, environmental and pollution problems, public discontent and sharp social tension.

On top of these, Xi has to manage a rising China and a surge in nationalism that is pushing China in confrontation with Japan and other neighbors.

All these are causing political, social and economic tensions.

Xi cannot afford put big decisions on hold, analysts said.

"The rising tide of mass resentment, emboldened by social media and ubiquitous communications, and the political scandals of 2012, all combined with Xi's sense and vision to give him a power surge," said China-watcher Robert Lawrence Kuhn.

"He has surprising credibility and abundant political capital. If he is serious about tackling China's entrenched problems, he will need to spend that political capital."

How Xi handle these issues will set the tone for China's 1.3 billion people -- and for the entire world.

@highlight

Xi Jinping endorsed as Chinese president in leadership handover

@highlight

So far Xi has taken steps to set him apart from predecessor Hu Jintao

@highlight

Pledged that his government would "strive to achieve the Chinese dream"

@highlight

Analyst: "He has surprising credibility and abundant political capital"