(EW.com) -- Two years ago, Steve Jobs' death was followed by a tidal wave of commentary (the tributes, the Walter Isaacson biography, the why-the-iPod-is-as-major-an-invention-as-the-lightbulb analysis).

As a result, most viewers will go into "Jobs," a biopic about the Apple co-founder and black-turtlenecked guru of the technocratic age, knowing two fundamental things about him: that he was a visionary perfectionist obsessed with melding technological form and function into products that would tickle the hearts and minds of the people who used them; and that he was so possessed by that mission that he could be a control-freak dictator, a fanatic, an over-the-top jerk. Still, watching Jobs, with its basic warts-and-all accuracy and shrewd, unsweetened performance by Ashton Kutcher (who was obviously cast because he looks like Jobs, but who bites into the role with his incisors), I was surprised and frequently compelled by what a starkly honest portrait it is.

The movie opens in 1974, when Jobs is a shaggy, barefoot college dropout. He picks up on the inventiveness of his friend, Steve Wozniak (Josh Gad), who has figured out how to hook up a keyboard to a television monitor. Jobs then fast-talks (or is it strong-arms?) his way into a deal to sell 50 of these contraptions to a local retailer. They've got just two months to build the machines, and the film neatly re-enacts the eager-beaver, geek-in-the-garage intensity that is the founding image of the home-computer age. When Wozniak, a burly nerd who works on this stuff mostly so that he can feel like one of the guys, takes out his trusty soldering iron to attach transistors to a flat green board, Jobs channels the early paradox of computer culture: that to us the gizmos seemed light, virtual, magical, but to the people who invented them, they were built, diode by diode.

At the same time, almost everything we see Jobs do that doesn't involve designing computers is unconscionable. He's so possessed with getting his company off the ground that when his girlfriend announces she's pregnant, he treats it as an imposition, something he had nothing to do with, and he develops the (pathological) conviction that the child isn't his. At work, his inspirational mission statements begin to teeter into harangues. As the movie goes on, Jobs evolves from a grouchy hippie to a corporate sharpie in three-piece suits, and Kutcher lets his voice get more and more crisp with grandiosity, so that he's not talking, he's lecturing, because he's the only one who grasps the inner truth of computer design as transcendence. He runs Apple as if it were an est seminar. Anyone who isn't a fellow true believer is out the door. (Even most of the true believers don't get stock options.)

Like "The Social Network," Jobs is a technology yarn that's really a high-wire business story. The essential tale it tells is that Steve Jobs, in the years after he founded Apple, became so obsessed with creating the perfect home-computer product that he turned into a bad businessman, tossing away millions of dollars in research, and bogging the company down while he fetishized perfecting the Macintosh. A lot of the movie is about his battles with executives, board members, and John Sculley (Matthew Modine), the CEO he hires away from Pepsi. They all start off as Jobs' comrades and end up his enemies. I'm a sucker for these kinds of big-money power faceoffs, and Joshua Michael Stern, the director of Jobs, stages them well, yet with a one-thing-after-another quality that doesn't allow any one character to become somebody we care about. Dermot Mulroney plays Mike Markkula, the original investor in Apple, who sticks by Jobs for two decades and ends up getting thrown over the side. I guess we're supposed to be drop-kicked by this the way we were by Mark Zuckerberg's lack of personal loyalty in The Social Network, but the comparison just reveals the difference between the two films. In "The Social Network," the human drama behind the founding of Facebook is volcanic. In Jobs, Gad's deadpan flip performance as Wozniak strikes the most relatable note in the movie, but the only thing we're really arrested by, apart from the spectacle of Jobs' bad behavior, is seeing him talk about computers.

The ironic thrust of the movie is that Jobs' humanity is there in that perfectionistic insanity. He pushes and pushes to make home computers more and more appealing, accessible, and user-friendly, and that's his great gift to the world. Jobs gets tossed out of his own company because he's too far ahead of his time. (Ultimately, of course, he came back to Apple and triumphed.) Getting ousted must have been devastating, but Jobs doesn't really take us on that personal journey with him. The movie's fall-and-redemption narrative is generic, abstract. And maybe that's because the reason that this movie even exists â€” the notion that Steve Jobs is The One Who Changed Our Lives â€” has been, to put it mildly, a little overhyped. He didn't invent the personal computer, although he did refine it into something more seductively handy and even beautiful. Personally, I'm a devotee of Steve Jobs' products, but even as Jobs sticks to the facts of Jobs' life (and what a difficult person he could be), the movie gets a little too caught up in his legend. Grade B

See the original story at EW.com.

CLICK HERE to Try 2 RISK FREE issues of Entertainment Weekly

© 2011 Entertainment Weekly and Time Inc. All rights reserved.

@highlight

Ashton Kutcher portrays the late Steve Jobs in the big screen biopic

@highlight

The film opens in 1974

@highlight

Josh Gad gives a solid performance as Steve Wozniak