Howrah District, India (CNN) -- Rukhsar Khatoon is too young to fully grasp the significance of her life: that she is a last in a country of 1.2 billion people.

She has become the greatest symbol of India's valiant -- and successful -- effort to rid itself of a crippling and potentially deadly disease. Rukhsar, 4, is the final documented case of polio in India.

Her face has appeared in newspapers and on television. She's been invited to national events by Rotary International, the organization that led the effort to rid India of polio. She is a literal poster child, an inspiration, a symbol of a feat that no doctor or health official thought possible even a few years ago. But on Thursday, the World Health Organization (WHO) officially certified India as being polio-free.

Apart from the publicity, though, Rukhsar's life has hardly changed, her future still a question mark.

She is used to seeing health officials and reporters arrive on foot at her home in Shahpara, a village in the Indian state of West Bengal. On the day we visited, she dressed herself in a long green printed dress, marred only by a tear at the shoulder. She oiled her hair and pulled it back with plastic barrettes. She did it all herself when she learned we were on our way.

Her parents, Abdul Shah, 32, and Shobejan Begum, 30, blame themselves for their child's suffering. They had their other children vaccinated, but not Rukhsar. She was a sickly child, in and out of hospital with liver infections and diarrhea. They thought it safer not to subject her to more medication.

It wasn't until little Rukhsar's right foot swelled and twisted in early 2011 that her parents took her to a hospital in nearby Beleghata for tests. She was just 18 months old when doctors confirmed the worst: Rukhsar had polio.

Polio is caused by a virus that attacks the brain and spinal cord cells that move joints and muscles. About one-third of those who contract polio in India are left paralyzed -- as was Rukhsar.

"Everything was our fault," explains her father. "I thought she would never walk again."

'Hell of a big deal'

When a global effort to end polio was launched in 1988, the disease crippled more than 200,000 children every year in India. Almost two decades later, in 2009, India still reported half of the world's new cases -- 741 out of 1,604.

India has millions of poor and uneducated people. The population is booming. Large areas lack hygiene and good sanitation, and polio spreads through contaminated water. Many health experts predicted India would be the last country in the world to get rid of polio.

They were wrong.

Since Rukhsar's diagnosis three years ago, India has not seen another new case of polio. With the eradication of polio in India, WHO formally proclaimed another one of its global regions -- Southeast Asia -- free of the disease. Afghanistan, Pakistan and Nigeria are the only three countries that have not eradicated polio, leaving the Eastern Mediterranean and Africa the last two WHO regions with the disease.

The last time WHO made a similar announcement was in 2002, when the European region was declared polio-free.

Rotary International says the declaration is a milestone for a nation that was once the epicenter of the disease.

India's journey from 200,000 to zero has not been easy, says Deepak Kapur, a businessman who heads Rotary's polio campaign in India.

"It's a tremendous achievement," he says. "India is a hell of a big deal."

Kapur has been at the helm of India's campaign since 2001. When he started, he was told India was holding the world hostage, that the planet could not be polio-free until its second most populous nation had eliminated the disease.

The western part of Uttar Pradesh state was the worst, Kapur says. At one time, scientists documented that the single worst pocket of polio, the city of Moradabad, had exported the virus to every continent.

Now, Kapur says, the three remaining nations where polio still exists can learn from India.

Three keys to success

Western nations conquered polio so long ago that its name is unknown to younger generations.

America experienced the height of polio in the 1940s and '50s, when about 35,000 people became disabled every year. Fear and panic spread and parents were known to warn their children to not drink from public water fountains, avoid swimming pools and stay away from crowded public places like movie theaters. Perhaps the most famous case of polio in America was Franklin Delano Roosevelt, the first president with a significant physical disability.

The development of the Salk and Sabine vaccines helped lead to eradication of polio in the United States in 1979. In India, too, vaccination was critical.

"There were three keys to our success," Kapur says. "Immunize, immunize and immunize."

But the challenges in India went way beyond getting 170 million children vaccinated each year and needing 2 million health workers on the case. They went beyond securing $2.3 billion in government funding.

The oral vaccine must be kept cold, and many places in India do not have electricity -- and even those that do experience frequent power cuts. Each vaccine costs only 12 cents, but refrigerating them was a major problem, says Dr. Mathew Varghese, an orthopedic surgeon who runs India's last dedicated polio ward at St. Stephen's Hospital in New Delhi.

India was able to come up with innovative ideas -- like refrigerators powered by kerosene -- to get vaccinations to remote villages not unlike the one where Rukhsar lives.

And then there was the campaign to educate. Rumors had spread in Muslim communities about the polio vaccine. Some Muslims believed it made women infertile and that the Indian government was using it to curb a minority population.

To combat such false beliefs, health workers began a dialog with clerics. They were able to build trust and persuade the clerics to put drops of the vaccine in their own grandchildren's mouths so their followers could see nothing bad would happen.

For Varghese, all this means that the makeup of his polio ward has changed. The patients tend to be older now since there have been no new cases reported since 2011.

Varghese has operated on thousands of twisted and mangled bodies, on patients who are forced to crawl on all fours. Polio, he says, robs a person of dignity.

"It's terrible to have a childhood ruined," he says, inspecting the progress of Haseen Jahan. She's lived with polio 23 of her 25 years. She used to press her hand to her thigh when she walked, to keep her left leg down. Her left foot used to point outwards.

In her dreams she walked upright. In her dreams, she danced, even wore pants, something she was not able to do before because of the way her limbs were bent.

Varghese straightened her leg with his orthopedic surgical skills.

"I'll be able to walk straight," she says, laughing, "just like you."

Varghese moves on to the other polio patients occupying the 16 beds reserved for them at the missionary-run hospital. Some had knees that had twisted upward to their hips. Others could not even stand. When they leave here, they will embark on lives that were previously unimaginable.

"I would be happy to go out of business -- this kind of business," he says, though he knows he will be seeing polio patients until the day he retires. Half of India's 21 million physically disabled people are that way because of polio.

Varghese has never met Rukhsar. But he is relieved to know she is the last.

Poster child

In Shahpara, Rukhsar plays with her brothers and sisters and other children on the bone-dry earth, the dirt forming clouds beneath their feet. The effects of polio were not severe as they could have been, and after exhaustive therapy, Rukhsar is able to use her legs.

She is not unlike the other barefoot children in this village of palms and ponds except that she has a limp. Her right leg is shorter than her left, a condition that is common with polio patients. She complains that her right foot hurts when she runs and jumps.

Learning from their own mistake, Rukhsar's parents have become advocates for polio vaccinations in their part of the world. Shah is thankful his daughter was not left immobile, but still, he worries for her future.

He is a poor man, and like most men and women in this village, he makes about $40 a month embroidering saris -- far less than the brocaded and beaded garments sell for. He knows he must save money for future health care needs and do all he can to make sure Rukhsar is educated. He is certain he will face obstacles in finding a groom for a daughter with a disability.

America, too, had poster children for polio at a time when the country was racing to stamp out the disease. In the 1950s, two girls in matching gingham jumpers appeared in an anti-polio campaign. Pam was shown loosening her sister Patricia's leg brace.

They were faces, just like Rukhsar, of a disease that now is on the brink of global eradication. There is no cure for polio, but the two American sisters were able to overcome the crippling nature of the disease.

Now it's Rukhsar's turn to lead a full life. Without the interference of polio.

Follow Moni Basu on Twitter.

@highlight

Rukhsar Khatoon, 4, is the last known case of polio in India

@highlight

She has become a symbol of her nation's remarkable effort to eradicate the disease

@highlight

Just a few years ago, India reported half the world's new cases

@highlight

On Thursday, the World Health Organization formally declared India polio-free