Islamabad, Pakistan (CNN) -- Pakistani lawmakers on Monday passed a resolution supporting the country's democratic system, a vote that came after weeks of public speculation and political intrigue about the possibility of a coup in the volatile nation.

The vote came the same day Pakistan's Supreme Court ordered Prime Minister Yousuf Raza Gilani to face a contempt of court hearing this week, a notice related to the government's failure to reopen thousands of corruption cases against politicians and bureaucrats, including President Asif Ali Zardari.

The resolution that was voted on Monday by the National Assembly, the lower house of Parliament, was put forward Friday by the Awami National Party. That party is part of the governing coalition led by Gilani's Pakistan Peoples Party (PPP).

"The army and the judiciary, they both have to protect democracy in Pakistan," Gilani said in a speech Monday night, after the vote. "They can't remove democracy. They can't pack up the system."

The resolution calls for support for the democratic system in general -- something a majority of lawmakers are unlikely to vote against -- without naming any political parties or individuals, suggesting that it was designed to bolster the government while avoiding the risk of hurting the prime minister or the PPP.

"This house endorses and supports the efforts made by the political leadership for strengthening democracy and reposes full confidence and trust in them," part of the resolution reads.

Two days earlier, the embattled Pakistani president, Zardari, met with Army Chief General Ashfaq Pervez Kayani -- a sign, some say, that shows tensions between Pakistan's civilian and military leadership are cooling down.

Zardari and Kayani met to discuss the "current security situation," presidential spokesman Farhatullah Babar said.

A second meeting between civilian and military leadership took place afterward, as Gilani convened the Cabinet's defense committee.

The meetings came a day after Pakistani and British official denied a report that Gilani had contacted the British High Commission to express fears that a military coup was imminent in his country. Officials from both countries said such a call never took place.

Saturday's meeting signaled an easing of tensions between the military and the president, said retired Brig. Mehmoud Shah.

"It's a good beginning to soothe the tension that's gripping the country," said Shah, a military analyst. "It shows the two sides are prepared to talk and want the democratic system to move forward."

During the prime minister's meeting with leaders, he stressed that Pakistan's sovereignty is non-negotiable, according to a news release.

"We would reject any approach that would tend to compromise our sovereignty, honor and national dignity," Gilani said. "Our contribution and steadfast commitment to stability and peace at home and in our region is unquestionable and second to none. "

For Pakistan, there is a need for national unity, especially between the military and the civilian government, he said.

"Together in complete harmony with each other and other vital institutions we can change the country's destiny and accord, its rightful place in the comity of nations," he said.

Military officials did not immediately comment on the meetings and their outcomes.

The military and the government have been locked in an uneasy standoff after allegations of a secret effort by the government last year to ward off a possible military coup by curbing the army's power with Washington's help.

That compounded tensions created by the U.S. killing of al Qaeda leader Osama bin Laden on Pakistani soil in May, which deeply embarrassed the military, and NATO airstrikes in November that killed two dozen Pakistani soldier near the Afghan border, putting further pressure on relations with Washington.

A Supreme Court panel also held a hearing Monday to investigate an unsigned memo sent to the Pentagon that allegedly called for Washington to help avert a military coup and curb the military's powers.

The memo enraged military leaders who are cooperating with the Supreme Court. The court is investigating to determine whether Zardari was aware of the memo.

The government has denied involvement, but the Supreme Court's eventual findings could threaten Zardari and his government.

The president also faces pressure from the Supreme Court on another front.

The court is pushing the government to pursue old corruption charges against thousands of politicians and bureaucrats, including Zardari. The politicians were granted amnesty by a decree issued by then President Pervez Musharraf in 2007.

In 2009, the Supreme Court ruled the decree was unconstitutional, but the government has yet to pursue and reopen the cases.

The Supreme Court is running out patience and last week threatened to censure the government if it did not taking action -- including the possibility of disqualifying Gilani.

@highlight

NEW: Lawmakers pass a resolution supporting "democracy" and the Parliament

@highlight

NEW: Pakistan's prime minister says the courts and military also must "protect democracy"

@highlight

The developments come after military and civilian leaders met over the weekend