(CNN) -- This has been a banner year for crime novelist Michael Connelly. A film adaptation of "The Lincoln Lawyer" was a critical success and could become a TV series next year. His most recent novel, "The Fifth Witness," hit No. 1 on the bestseller list, and Connelly topped 1 million e-books sold online. His latest novel, "The Drop," arrives in bookstores Tuesday and is poised to be another top seller.

This is Connelly's 24th novel and the 18th featuring his dogged LAPD detective Harry Bosch. "The Drop" finds Bosch fighting off forced retirement, struggling to be a better single father to his teenage daughter and pursuing two mysteries simultaneously.

In one, Bosch is called to the famous Chateau Marmont hotel to investigate the death of an L.A. city councilman's son. Did the victim jump, or was he pushed from a hotel window? It's a case fraught with "high jingo," police speak for internal politics.

The second mystery comes from the LAPD's "open-unsolved unit." In a cold case dating to 1989, Bosch makes a chilling discovery: A serial killer has been operating in L.A. in secret for decades.

Unlike Bosch, there's no talk of retirement with Connelly. With 42 million copies of his books sold worldwide, he's just back from a promotional tour in Europe. He's pressing ahead with plans to bring Bosch to the big screen, looking for the right deal and the right people to work with, and working on a TV pilot for "The Lincoln Lawyer." He's also preparing to celebrate 20 years as a novelist.

CNN recently caught up with Connelly to talk about his new book. The following is an edited transcript.

CNN: What was the spark behind your latest book?

Connelly: Actually, there were a couple different sparks. The book has two parallel stories going through it. One I call the political story. In a turnabout, Harry ends up more or less working for a guy who's been his nemesis in other books. That was an idea suggested to me by a cop a long time ago, and I've been holding on to it, carrying it around with me, waiting for the right time to write that story.

The other story is Harry on a cold case, inspired by an aspect of L.A.'s "Grim Sleeper" case -- not necessarily the investigation of the alleged serial killer but the fact that when they caught the guy they say is the Grim Sleeper, they found thousands of photos and videotapes in his possession of women, many of them potential victims. A squad of detectives has to go to work looking through all these photos every day trying to identify the people, trying to find identifiable characteristics in the pictures.

It just seemed like a very difficult task knowing that all these people could have ended up being victims of a pretty bad predator. Just that idea kind of shot through and gave me images, and I knew that was the other prong of the story, that Harry Bosch encounters something like that.

CNN: Bosch is dealing with some pretty dark subject matter in this novel. Was that planned?

Connelly: You know, I don't really outline my books, so I can't say I knew what was going to happen. I was impressed by this real case, and I wanted to create a case that had that aspect. After I was done writing "The Drop," I looked back at that chapter, and I thought that might be the darkest chapter I've ever written. Who would have seen that coming 10 months ago, when I started writing the book?

CNN: How has Harry Bosch changed over the course of your career?

Connelly:  I think he's changed a lot. The books take place in real time, so it's more than 18 years of Harry Bosch. Like anybody who's aged 18 years, you're going to be different. A lot of his hard edges have worn down by his experiences.

I think his cynicism has been alleviated somewhat by having his daughter in his life in the last couple of books. That's become a very big part of his focus in life. He'd been a father for a long time, but he'd never been engaged in raising her until she was a teenager. He's not that good at it.

He's learning as he goes, but what's affecting him is what affects anyone who becomes a parent: You hope for a better world for your children, so that's kind of changed his outlook on the world.

CNN: Like Harry Bosch, you too are a father. How does that impact your novels?

Connelly: Harry doesn't have the benefit that you and I have of being with our kids from the beginning. Harry's daughter is a year older than mine, so they share a lot of stuff. Sometimes his daughter says stuff that my daughter says, and so forth.

But Harry's learning curve is much different from mine. He makes a lot of missteps, and he does a lot of things that might seem odd to other parents, but when you look at his perspective of where he's been in his life, the institutions he's been a part of, they seem quite natural.

He takes his daughter shooting. I don't know too many people that would do that. I'm not going to make a judgment on whether it's right or wrong; it's just not the usual type of father-daughter outing. That in a way is an endearing part of their relationship. He wants to pass on some of his skills to her, and he's working on that, and I think you can see that in this book.

CNN: Your books always incorporate real Los Angeles landmarks; do you have any favorite spots you've written about?

Connelly:  The Chateau Marmont is one of my favorites. I don't live in L.A. anymore, but I'm there a lot, and I stay in various hotels, but I stay there often, in room 79, which is a crime scene in this book. I've stayed there many times.

I really like that place. It's got some celebrity cachet, but it's also got this old-world charm. It's a very private place that I really like, so that was kind of fun to write. Some of this book was written in that room. That's always fun when you can do something like that.

They knew I was writing the book. They're very nice to me there, and they just said "treat us with respect." I do have a crime scene set there, but hopefully my love of the place, its attractiveness, comes out in the book.

CNN: You're just back from a book tour in the UK. What was that like?

Connelly: The book's just coming out here in the U.S., but it came out in October in Europe. So I was over there promoting the book, and it's not even out here, so it's a little bit unusual. It was fun, good reception, good weather when I was in the UK and Ireland, a fun thing to do. I did a number of events. They were well-attended, and I just heard a couple of days ago the book is No. 1 in Ireland. I'm of Irish descent, so that's always good to hear.

CNN: You recently became part of a very exclusive club; your eBooks have sold more than 1 million copies online. How does that feel?

Connelly: That was actually shocking when I heard that and the company of authors I'm included with now. I think "The Lincoln Lawyer" movie had something to do with it; it's a pretty good movie, and I think that inspired a lot of people to check out the book. That probably pushed me over the top.

CNN: Do you have a favorite book this year?

Connelly: Two books I read recently, "The Cut" by George Pelecanos and "Feast Day of Fools" by James Lee Burke, were really outstanding. Also a new book I just read. It's called "Shortcut Man" by P.G. Sturges. It's set in L.A., kind of a noir story. His father was a famous screenwriter.

CNN: What's next for you?

Connelly: Well, you've always got to keep writing, so I'm writing. Next year is kind of a significant year for me. It will be 20 years since my first book came out, so next year, I'll publish my 25th book. I've thought a lot about that and just felt like it should be Harry Bosch. So I'm working on a Harry Bosch book. It's called "The Black Box." That's under way, and hopefully it will be out around this time next year.

Read an excerpt from "The Drop."

@highlight

Author Michael Connelly's 24th novel, "The Drop," comes out Tuesday

@highlight

It is the 18th novel to feature his character Harry Bosch

@highlight

Connelly is celebrating 20 years as a novelist