Miami, Florida (CNN) -- Authorities in North Carolina ordered the evacuation of Ocracoke Island late on Tuesday as Hurricane Earl whips closer to the United States.

The mandatory order, which was issued for all visitors and residents of Ocracoke, goes into effect at 5 a.m. on Wednesday, said Lindsey Mooney, interim emergency management coordinator with Hyde County Emergency Management. He added thousands of people would likely be affected by the decision.

Hurricane Earl is approaching the United States just ahead of Labor Day, a holiday weekend that many families spend at the beach.

The National Hurricane Center issued a hurricane watch for most of the North Carolina coast, from Surf City, North Carolina, to the state's northern border with Virginia, including the Pamlico and Albemarle Sounds. It called Hurricane Earl "large and intense."

Earl, which quickly morphed into a Category 4 hurricane on Monday, dealt a glancing blow to Puerto Rico and the Virgin Islands, downing trees and knocking out power lines. Tuesday, the hurricane was passing the Turks and Caicos.

Earl will approach within 60 miles of Cape Hatteras, North Carolina, early Friday morning, according to CNN meteorologist Sean Morris. Hurricane-force winds will be possible along the Outer Banks of North Carolina beginning early on Friday morning and lasting until at least midday, he said.

Morris forecast Earl will pass within 60 miles of Nantucket, Massachusetts, as a strong Category 1 or Category 2 hurricane overnight Friday. However, sustained hurricane-force winds should not affect coastal Massachusetts as the majority of winds will be tropical-storm force beginning Friday afternoon and lasting until midday on Saturday, he said.

As of 8 p.m. ET, the center of Earl was about 125 miles (235 kilometers) east-northeast of Grand Turk Island and about 835 miles (1,545 kilometers) south-southeast of Cape Hatteras, North Carolina, according to the National Hurricane Center. It was heading northwest at about 14 mph (22 kph).

The hurricane's core was "passing well east of the Turks and Caicos Islands," the hurricane center said. "Tropical storm conditions are probably affecting the vicinity of the Turks and Caicos Islands. Weather conditions will likely improve in these islands on Wednesday."

Earl's maximum sustained winds are at 135 mph (215 kph). It is a large storm, with hurricane-force winds stretching 90 miles (150 km) from its center and tropical storm-force winds extending outward some 200 miles (325 kilometers).

"Some fluctuations in intensity are likely, but Earl is forecast to retain Category 4 status for the next day or two," the hurricane center said.

The U.S. Navy in Norfolk, Virginia, has ordered ships in its area to prepare to head to sea within 24 hours if conditions worsen, according to Beth Baker, a spokeswoman for the Navy. A separate order will be given if it's decided that various Naval aircraft in the region need to be moved, she said.

The Navy also issued on Tuesday a "Hurricane Condition 4," which tells people living and working around the Norfolk area to be prepared for "destructive winds" within 72 hours and to take the proper precautions.

A FEMA team is already in North Carolina to provide support if necessary, Craig Fugate, Federal Emergency Management Agency administrator, told reporters on a conference call. Additional teams have been designated for each state on the coast if needed.

He urged those living in the region to prepare for the storm, stock up on supplies and have a plan if it becomes necessary. Besides FEMA's Ready.gov website, people can use FEMA's mobile application, which links to the National Hurricane Center, to stay up to date on information. Tips include developing a family communications plan, putting together a kit with 72 hours of food and water and staying informed of risks in the area.

FEMA officials urged residents to heed any evacuation orders that their state and local governments might make. The federal group stressed it does not make evacuation decisions.

Even without making landfall, hurricanes can trigger dangerous rip currents -- a narrow channel of water that flows seaward from beaches. The currents can be strong enough to carry even experienced swimmers into deeper water.

On Tuesday, a National Weather Service coastal advisory was in effect for the eastern coast of Florida, mostly due to Earl's presence in the Caribbean. The advisory warned that dangerous rip currents and rough surf are possible. "Dozens of rescues along with one surf-related fatality were reported over the past few days in very hazardous ocean conditions," the advisory said.

Over the weekend, hundreds of rescues took place in Maryland and elsewhere because of rip currents spawned by then-Hurricane Danielle, which stayed well offshore. Danielle has since lost its tropical characteristics and moved out into the open Atlantic.

A tropical storm warning remained in effect for the Turks and Caicos Islands, and a tropical storm watch was in effect for the southeastern Bahamas. Those areas could experience above-normal tides, along with "large and dangerous battering waves" on Tuesday, forecasters said.

A tropical storm watch is also in effect for the North Carolina coast between Cape Fear, North Carolina and Surf City, North Carolina, the hurricane center said.

Earl could dump between 1 and 3 inches of rain on the Turks and Caicos and the Bahamas, with up to 6 inches possible in some areas, the hurricane center said.

But forecasters said conditions on Puerto Rico and the Virgin Islands, including gusty winds, were expected to improve as Earl departed, and storm surge flooding and waves will diminish.

"We were quite fortunate because there was no direct hit in this case," Puerto Rico Gov. Luis Fortuno told CNN's "American Morning." But, he said, the island experienced "lots of rain" and some high winds. As of Tuesday morning, 174,000 customers were without power, he said, and 33,000 lacked water service.

"There are some roads that are blocked because trees have fallen," Fortuno said. "Those are being removed as we speak, and hopefully we'll be able to get back to normal during the course of the day and tomorrow will be a regular working day."

Tito Hernandez, FEMA federal coordinating official, told reporters Tuesday that close to 200,000 were without power on Puerto Rico, and officials were focusing on restoration. About 160 people spent Monday night in 18 shelters on the island, he said, and 57 people took refuge in four shelters in the U.S. Virgin Islands.

However, both locations "fared very well," Hernandez said. Schools were expected to reopen Wednesday, he said. Transportation from Puerto Rico to the outlying islands of Culebra and Vieques had resumed, and ports in the Virgin Islands and Puerto Rico were reopening Tuesday.

A CNN iReport showed sheets of torrential rain on Puerto Rico, along with gusty winds. Other iReports showed downed trees and flooding on Montserrat and St. John in the Virgin Islands.

Residents were being asked to stay home so that downed trees and power lines could be removed, Fortuno said.

Puerto Rico and the U.S. Virgin Islands could see an additional 1 to 2 inches of rain as Earl pulls away, the Hurricane Center said on Tuesday.

Another storm could be poised to deliver a one-two punch to Puerto Rico and other areas of the Caribbean. Tropical Storm Fiona developed on Monday and appeared to be following in Earl's footsteps.

It remained a weak tropical storm as of Tuesday, the Hurricane Center said. However, it was enough to prompt a tropical storm warning for St. Martin and St. Barthelemy and a tropical storm watch for Antigua, Barbuda, Montserrat, St. Kitts, Nevis, Anguilla, St. Maarten, Saba and St. Eustatius.

A tropical storm warning means that tropical storm conditions, including winds of at least 39 mph, are forecast within 36 hours. A tropical storm watch means that tropical storm conditions are possible within 48 hours.

Read said Fiona is not projected to affect Puerto Rico and the Virgin Islands, but could affect Bermuda by the weekend.

"Interests elsewhere in the northern Leeward Islands should monitor the progress of Fiona," forecasters said. "Additional watches or warnings may be required for a portion of the area."

As of 8 p.m., the center of Fiona was located about 300 miles (485 kilometers) east-southeast of the Leeward Islands. It had winds of about 40 mph (65 kph) and was moving west-northwest at about 24 mph (39 kph). Some slow strengthening is possible over the next day or two, forecasters said.

"We are following what the National Weather Service is telling us" on Fiona, Fortuno told CNN. "They're telling us that it is not as organized as Earl. However, it could bring about some rain, and that's what concerns me. So we'll just keep a very close eye on it and see what happens."

CNN's Angela Fritz and Sean C. Morris contributed to this report.

@highlight

NEW: Authorities order the evacuation of Ocracoke Island

@highlight

The hurricane center issues a hurricane watch for most of the North Carolina coast

@highlight

Earl is passing east of the Turks and Caicos Islands

@highlight

Earl is a Category 4 hurricane with 135 mph (215 kph) winds