(CNN) -- The ripple effects of an alleged chemical attack in Syria are being felt across the globe. The rhetoric is ratcheting up with talk of punishing Syria, even though Syria denies using chemical weapons. Allies of President Bashar al-Assad accuse the rebel forces of carrying out the chemical strike.

Meanwhile rebel forces, who also deny responsibility for the strike, say 1,300 people died in the attacks on the outskirts of Damascus. CNN correspondents and experts explain the different positions of some key nations involved in preparing for -- or warning against -- international military attacks on Syria.

United States

As the guarantor of international order the United States has to do something after the large scale use of chemical weapons, and the United States believes the Assad regime was responsible for the attacks.

But it faces something of a quandary. Launching the kind of large-scale campaign necessary to topple Assad would be lengthy and whoever replaces Assad could be even worse for U.S. interests than Assad himself, given the fact that the most successful opposition groups on the ground are aligned with al Qaeda.

So, the military intervention has to be large enough to punish Assad but not so large as to actually overthrow him. For U.S. policymakers this is the least bad decision they likely feel they can make.

For the U.S., Syria is a problem from hell

China

It is a long-time ally of Syria and wants to keep its influence.

China says it is firmly opposed to the use of chemical weapons and supports the U.N. chemical weapons inspectors. It wants the inspectors to be able to do their job and has warned against prejudging the results.

Why Russia, Iran, China stay loyal to Assad

It also says it wants peace and suggests continuing with the second Geneva Conference on Syria, an initiative that is currently in doubt.

"A political solution is always the only realistic means to resolve the Syria issue," Foreign Minister Wang Yi said.

Russia

It doesn't want a repeat of Libya or Iraq.

Much has been said about Russia trying to protect the Syrian government because of its military and economic interests in the country but Russia's key policy goal is blocking American efforts to shape the region.

Russia doesn't believe revolutions, wars and regime change bring stability and democracy. It often points to the Arab Spring and the U.S.-led war in Iraq as evidence.

Sources: Intercepts implicate Syrians

Russia also doesn't trust U.S. intentions in the region. It believes humanitarian concerns are often used an excuse for pursuing America's own political and economic interests.

Russia has maintained influence throughout the conflict by using its veto in the U.N. Security Council to shield Syria from international pressure. But it's unclear if the U.S. and its allies will rely on a U.N. mandate to launch any military strike.

Iran

For Iran, Syria is a strategically key ally

Iran's position, as outlined by Foreign Minister Javad Zarif and new President Hassan Rouhani, is that the Syrian government is a victim of international plots.

Iran believes the West and almost all Arab countries are in cahoots in an effort to implement regime change in Syria. Iran says the main objective of this plot is to make the region safer for Israel.

Syria was also Iran's only Arab ally during its eight-year war with Iraq, and Syria together with the Hezbollah-controlled areas of Lebanon are considered to be Tehran's first line of defense in case of an attack on Iran by Israel or the West.

So, Iran's interest in Syria is motivated by its longtime friendship, as well as Syria's strategic importance for Tehran.

Iran says a U.S. military strike would spark disaster

United Kingdom

Wants a proportionate response to the alleged chemical attack.

Prime Minister David Cameron pushed for a vote in parliament on taking part in military action in response to the Syrian attacks -- and lost.

He now says it is important United Kingdom has a "robust response to the use of chemical weapons, and there are a series of things that (Britain) will continue to do."

Opposition leader Ed Miliband told the Press Association: "The House of Commons spoke for the British people who said they didn't want a rush to war, and I was determined we learned the lessons of Iraq, and I'm glad we've made the prime minister see sense," Labour Party leader Ed Miliband.

Cameron had argued that the military response needs to be proportionate, legal and aimed at deterring the use of chemical weapons.

Britain also tried to secure a U.N. resolution on the matter.

Read UK intelligence on chemical weapons

Jordan

It wants to stay out of trouble.

Jordan wants a diplomatic solution but it was also host to a military meeting involving the United States, European nations, Saudi Arabia, Turkey and Qatar. Despite that meeting, Jordan does not want to be seen as hosting the meeting where it is decided there will be intervention in Syria.

Jordan feels that would put them in a dangerous situation with possible missile strikes from Syria and terror strikes precipitated by the Syrian regime.

It is an open secret that Saudi Arabia is using Jordan to smuggle weapons into Syria for the rebels. Jordan says it is doing all it can to prevent that and does not want to inflame the situation in Syria.

Jordan is feeling vulnerable, buffeted by the Arab Spring and internal tensions such as allegations of official corruption and a less popular king, and it wants to stay out of trouble.

France

It favors a punishment strike.

France has taken a very forward leaning position on punishing Syria for its apparent use of chemical weapons against its own citizens -- maybe that's because of its colonial era ties to the Middle East or because it sees its itself as a global force for good.

But it's still surprising as it comes under the leadership of Francois Hollande, who arrived in office declaring he was pulling French troops out of Afghanistan immediately and was not going to be prone to military adventuring the way his predecessors were.

Now Hollande is apparently reversing the position he's held for months -- that any intervention in Syria would require UN approval -- to indicate he is standing side-by-side with the U.S. to join a new "coalition of the willing" which might go into action without UN approval.

"France is ready to punish those who gassed civilians," Hollande told his ambassadors gathered this week. And a senior diplomat told journalists that if there is a strike against Syria it would be as a sanction for the regime's defiance of the international agreement to never use chemical weapons and not an attempt to change the course of the Syrian civil war.

Israel

Prime Minister Benjamin Netanyahu says it is ready for any scenario and is warning Syria he will respond with force if Israel is attacked.

Saudi Arabia

Foreign Minister Saud Al-Faisal says the Syrian government has lost its Arab identity and has called for "firm and serious" action.

CNN National Security Analyst Peter Bergen, CNN Senior International Correspondent Nic Robertson, Beijing Bureau Chief Jaime FlorCruz, Moscow Correspondent Phil Black, Senior European Correspondent Jim Bittermann, and CNN's Shirzad Bozorgmehr in Tehran contributed to this report.

@highlight

Fallout from the use of chemical weapons is being felt in world capitals

@highlight

U.S. thinks Syria responsible but retaliation is a tricky balance

@highlight

Russia doesn't trust U.S. intentions

@highlight

Iran is supporting its strategically key regional ally