(CNN) -- Recently, we learned two important things about Mitt Romney.

First, he would rather see the American economy fail than President Barack Obama win.

Second, the extent of his hypocrisy is amazing. While he laments the toll that outsourcing has taken on our workers and economy, he amassed a fortune by investing in companies that outsourced American jobs.

In word and deed, Romney roots for failure, and his insincerity reveals a disdain for the common good and disregard for people's common sense. Americans deserve better.

As Bloomberg News reported, Romney urged Florida Gov. Rick Scott to downplay good economic news in the Sunshine State. It's his way of sending a signal to Republican governors in states where the economy is improving -- in the battlegrounds of Virginia, Ohio and elsewhere -- to be quiet. Obscure the truth, he begs. Obstruct any progress.

But these governors know better. Scott continues to tout Florida's economic recovery, as he should. Virginia Gov. Bob McDonnell notes that the state's 5.6% unemployment is the lowest in three years -- in other words, it's been falling since Obama's policies took effect.

Ohio is another key state where the facts contradict Romney's scorched-earth message. Following the president's recent Cleveland speech, Romney urged residents to "look around Ohio" to see the impact of Obama's policies. So let's take him up on it.

Ohio's unemployment rate fell from 10.6% to 7.5% in three years. A main reason is the resurgent auto industry, which the president rescued but Romney opposed -- an undeniable success that Ohio's Republican Gov. John Kasich still tries to downplay.

By all means, Republican governors should take credit for the economic turnarounds in their states. But give credit where credit is due. States are not islands unto themselves. Their economies are intertwined with that of other states, and with the nation's economy as a whole. Some states went into the Great Recession faster than others; some went in deeper. But all were sucked into the same economic abyss of the failed policies of the past -- the same policies, by the way, that Romney promises to repeat as president.

Similarly, some states have climbed out of recession faster, some further, but all have been pulled up by the president's policies that are moving us forward. While we're far from a full recovery, "we're all in this together; we rise and fall as one nation and as one people," as the president says.

What we're seeing from Romney as the leader of his party is the worst and most predictable kind of politics. Republican Senate Leader Mitch McConnell has said his party's top priority is to defeat Obama. Not to create jobs. Not to get our economy going again. But to win an election.

His troops have carried out that mission in lockstep. Congressional Republicans have stalled, slow-walked or stopped everything -- even blocking the president's jobs plan, which addresses the most important issues in the country and is full of bipartisan ideas that would create as many as 1 million new jobs for our teachers, police officers, firefighters and construction workers.

Another part of the president's jobs plan would create tax incentives to reward companies that bring jobs back to America rather than those that send them overseas.

But we're unlikely to see Romney start showing any signs of leadership now. In a major report from The Washington Post, we learned that Romney's corporate buyout firm bought companies that specialized in outsourcing. He made a fortune helping companies send American jobs to China, India and Mexico, maximizing profits for himself and his investors while laying off American workers, gutting companies and devastating communities here at home.

If Romney really supports American jobs as strongly as his stump speech suggests, he'd stand up to members of his Republican Party and encourage them to pass the president's jobs plan.

If that's a bridge too far, perhaps he'd consider coming up with a jobs plan of his own. As former Clinton Treasury official Brad DeLong said, "President Obama has a plan for dealing with our cyclical unemployment crisis," but Romney does not.

Even worse, according to Harvard professor and former Obama budget official Jeffrey Liebman's op-ed in The Wall Street Journal, Romney's ideas "would slow the recovery, reversing the gains we have made since the recession ended."

Which is why Romney is trying to convince voters of two impossible contradictions simultaneously. One, that the national economy is lousy, but state and local economies are improving. And two, that if an economy has improved, it's only because of Republican efforts and in spite of the president's leadership.

Economists disagree, and even Republican governors refuse to play along with Romney's games.

Romney's detachment from, or denial of, the truth is not just a political tactic or say-anything-to-please character flaw. It reveals a lack of leadership. It reveals an elemental attitude he shares with the special interest super PACs that support him -- silence the truth, show indifference to the hardship of others and sow distrust of the American people's belief in the common good and common sense.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Romney would rather see U.S. economy fail than President Obama win

@highlight

Brazile: He has urged GOP leaders to downplay good economic news in their states

@highlight

She says America deserves better than someone who roots for failure

@highlight

Brazile: Romney's tactic or say-anything-to-please character flaw reveals lack of leadership