(CNN) -- Say this for Twitter: They may not always know what their users want, but once they learn what their users don't want, they fix it in a hurry.

On Thursday, the social site tweaked the way users block others who harass, spam or otherwise bother them. Under the change the blocked user would still be able to see the profile and tweets of the other user, as well as retweet their posts.

By Thursday night, however, the change was gone, reversed in stunningly abrupt fashion after a flurry of user protests, on a platform perfectly suited for both flurries and protests.

Here's a look at how, and why, it all went down.

The timeline

Users began noticing the update to Twitter's blocking policy Thursday morning. Tech blogs and other media outlets began reporting the change, as well as the swell of protests against it.

Twitter's top brass reportedly huddled up as the dissent mounted. And, at 10:44 p.m. ET, the company announced in a tweet that it had reversed course and the old rules would apply once again.

What was Twitter thinking?

The idea behind the original change was actually an effort to protect users from harassment.

In his blog post, Twitter vice president Michael Sippy noted that under the old, and now restored, system, a user can tell when someone else has blocked them.

"We believe this is not ideal, largely due to the retaliation against blocking users by blocked users (and sometimes their friends) that often occurs," he wrote. "Some users worry just as much about post-blocking retaliation as they do about pre-blocking abuse."

He said Twitter will continue trying to find a way to fix that problem.

The backlash

Nothing's unanimous on a site with more than 200 million registered users. But it became really clear, really fast that lots of folks on Twitter didn't consider the change a move in the right direction.

One petition on Change.org called the new system a "nightmare."

"This is a huge and very serious problem for people, like me, who have received repeated rape and death threats on Twitter on a fairly consistent basis," wrote Zerlina Maxwell, a political consultant and writer for Ebony magazine, who started the petition.

"I utilize the Block button almost every day and while that is not a perfect solution -- because users can simply log out to view your timeline even if you have blocked them -- it at least forbid harassers from following you and at worst retweeting you into their feed, which can simply allow their followers to also harass you."

The tweets, of course, poured in, too.

"If I understand the new @twitter block correctly, my curtains have just been replaced with a one-way mirror. Looking *in*," one user wrote.

The reversal

In the late-evening blog post, Sippy said Twitter had listened to its users.

"We never want to introduce features at the cost of users feeling less safe," he wrote.

He said Twitter will continue working on ways to let users express themselves freely while still making them feel safe.

"We've been working diligently to strike this balance since Twitter's inception, and we thank you for all of your support and feedback to date. Thank you in advance for your patience as we continue to build the best -- and safest -- Twitter we possibly can."

How unusual was this turnaround?

It's rare, but not unheard of, for major tech company websites to reverse course on policy changes.

In October, Facebook briefly lifted a ban on at least some violent content (a video of a woman being beheaded was the most prominent). The logic was that people use the site to raise awareness about important issues and, sometimes, that involves showing scenes of violence.

But a day later Facebook appeared to have reversed itself, with reinstated videos once again disappearing from the network.

Last December, Instagram's terms of service were tweaked with language that appeared to give the company ownership of users' photographs.

"The language we proposed ... raised questions about whether your photos can be part of an advertisement," Instagram co-founder Kevin Systrom wrote in a blog post. "We do not have plans for anything like this and because of that we're going to remove the language that raised the question."

That change was rolled out on a Monday and reversed by Wednesday.

And in 2011, Netflix infamously angered customers when it announced plans to spin off its DVD rental business into a separate subsidiary called Qwikster. After an outcry from customers, who quit in droves, Netflix reversed itself and killed off Qwikster some three weeks later -- an eternity compared with Twitter's about-face Thursday.

@highlight

A revised Twitter policy for blocking other users only lasted hours

@highlight

The change would have let blocked users see and retweet the blocker's posts

@highlight

The idea was to not prompt retaliation for a visible block

@highlight

Users called the change a nightmare, and Twitter responded