(CNN) -- For me, predicting the future is a family business. My grandmother was a professional clairvoyant (called, unimaginatively, Madam Clair) and used to offer palm readings and crystal ball gazing in her living room. Growing up around tarot cards and horoscopes has left me a bit cynical about making firm predictions, if only because they always seemed to be "You will meet a tall, dark stranger." But it's not impossible to make some intelligent guesses about the political world in the coming months based on the information we already have. Here are five of them.

1. The 2016 presidential election will start very early. In fact, it sort of began before the last election even ended, when Vice President Joe Biden told reporters that he didn't think 2012 was the last race he would run. In recent weeks, Sen. Marco Rubio, R-Florida, and Rep. Paul Ryan, R-Wisconsin, have laid out some philosophical visions, and Louisiana Gov. Bobby Jindal has tried to brand himself as the Republican Party's Mr. Sane. We can expect some casual visits to Iowa or New Hampshire by outgoing Secretary of State Hillary Clinton or New York Gov. Andrew Cuomo, but an outsider candidate worth watching will be Gov. Martin O'Malley of Maryland. He has yet to establish himself on the national stage, but he has a strong reputation among grassroots liberals.

What Americans want in 2013

2. Guns will become a big legislative issue. We're not going to see the kind of action that Piers Morgan wants, but the tragedy at Sandy Hook has certainly started a debate that should be continued by the new Congress. California Sen. Dianne Feinstein, a Democrat, has promised to introduce legislation on Day One that will be similar to the federal assault weapons ban, which passed in 1994 and expired in 2004, and she has likely support from the White House and conservative Democrats like Sen. Joe Manchin of West Virginia. But we'll see tough opposition from Republicans.

3. No, the tea party won't go away. It's true that the anti-government movement has had a very bad year in 2012 and that it has been somewhat sidelined by House Speaker John Boehner, but that doesn't spell the end. First, the tea party has planted some strong roots in online activism and fund-raising: The big conservative event of 2013 will be CPAC, and only the tea party has the resources to dominate it. Second, Boehner might find his leadership challenged on January 3 and be forced to accept the movement's continued influence within the GOP. Third, the issue agenda remains favorable to the tea party. Tax cuts, balanced budgets and gun control are exactly the kind of mobilizers that are likely to revive the right. The tea party disappeared from view in 2012 only because it was eclipsed by the drive to elect Mitt Romney. Now that the debate has moved back from the party/personal to the substantive/legislative, the tea party will capitalize.

A big year for issues in the courts

4. Gay marriage will return as a big talking point in the summer. In June, the Supreme Court will likely make a decision on the fate of California's Proposition 8 and the federal Defense of Marriage Act. My instinct is that the justices will make decisions that satisfy no one, perhaps ruling against DOMA but accepting Proposition 8. Certainly it feels unlikely that they'd want to give a definitive ruling on the constitutionality of gay marriage, which would mean pushing the law in a direction that very few state governments seem willing to go. Either way, President Barack Obama's victory in 2012 didn't end the culture war; it just evened the odds a little. From the perspective of a European, America remains a remarkably socially conservative country that has yet to be sold on marriage equality.

Opinion: America on the cusp of social change

5. We will come to miss Newt Gingrich. One of the real joys of the 2012 race was covering the campaign of "The Newtster," a man with a chin for every insult he delivered. He jumped to the front of the nomination pack in early 2012 partly because GOP conservatives had few other options (one South Carolina operative described him to me as "an imperfect vehicle") but also because of the sheer strength of his personality. And while the rest of the party limited itself to discussing petty matters such as health care or the federal budget, Newt's plans ranged from getting school kids to work as janitors to building mines on the moon. He seemed genuinely surprised that the cash-strapped voters didn't buy his idea of conquering the galaxy, but a prophet in his own land is always without honor. In a hundred years time, when the American colonists of Sirius 3 are still debating gun control, don't be surprised if Newt isn't revisited as a man before his time. Perhaps he'll make the back of the $10,000 bill.

The opinions expressed in this commentary are solely those of Timothy Stanley.

@highlight

Tim Stanley: There are a few reasonable political predictions that can be made for 2013

@highlight

For one thing, he says, the 2016 election will start early; Biden already dropping hints

@highlight

He says gun control and gay marriage will be big issues in coming months

@highlight

He says the tea party will rise again, and we will all realize we miss Newt Gingrich