Los Angeles (CNN) -- Jurors in the trial of Michael Jackson's doctor worked for more than seven hours Friday before telling the judge that they had not reached a verdict and were ready to go home for the weekend.

The seven men and five women deciding the fate of Dr. Conrad Murray, who is charged with involuntary manslaughter in the 2009 death of the pop icon, will resume deliberations Monday morning.

Katherine and Joe Jackson, the parents of the Jackson family, were so anxious for a verdict that they spent Friday afternoon in a hotel near the courthouse so they could get there quickly.

Dozens of Jackson fans filled the plaza outside of the downtown Los Angeles County courthouse, shouting slogans, waving signs and sometimes arguing with Murray supporters.

The jury heard from 49 witnesses over 23 days, including Murray's girlfriends and patients, Jackson's former employees, investigators, and medical experts for each side.

Prosecutor David Walgren told them Thursday the evidence that Murray caused Jackson's death is "overwhelming" and "abundantly clear," while defense lawyer Ed Chernoff argued no crime was committed.

"If it were anybody else but Michael Jackson, would this doctor be here today?" Chernoff asked, saying it's a negligence case that should instead be heard by the state medical board.

"He was just a little fish in a big, dirty pond," Chernoff said, pointing the finger at other doctors who treated Jackson, and at Jackson himself.

The singer's death on June 25, 2009, was caused by acute propofol intoxication in combination with two sedatives, the Los Angeles County coroner ruled.

Jurors must decide if the overdose of the surgical anesthetic propofol was infused into Jackson's blood by a steady IV drip, as the prosecution contends, or if Jackson injected himself with a syringe left nearby by Murray, as the defense argues.

Prosecutors argue that Murray's use of propofol in Jackson's home to treat his insomnia was so reckless it was criminally negligent.

"Conrad Murray left Prince, Paris and Blanket without a father," Walgren said. "For them, this case doesn't end today, or tomorrow. For Michael's children, this case will go on forever, because they do not have a father. They do not have a father because of the actions of Conrad Murray."

Walgren argued that until Jackson's death, no one ever heard of propofol being in a home every night to put someone to sleep. He called it "a pharmaceutical experiment on Michael Jackson ... an obscene experiment."

The defense contends Jackson self-administered the fatal overdose of drugs in a desperate search for sleep without Murray's knowing.

"What they're really asking you to do is to convict Dr. Murray for the actions of Michael Jackson," Chernoff said.

After Chernoff finished his arguments, Walgren attacked the defense for trying to blame "everybody but Conrad Murray, poor Conrad Murray."

"If allowed more time to argue, I am sure they would find a way to blame Michael's son, Prince," Walgren said in his rebuttal.

Walgren painted Murray as a selfish doctor who agreed to take $150,000 a month to give Jackson nightly infusions of propofol in his home, something an ethical doctor would never do because of the dangers.

While Jackson was hooked up to a constant intravenous drip of propofol, Murray was not paying attention, the prosecutor said. Telephone records and testimony showed he was talking to Sade Anding, a Houston cocktail waitress, when he realized Jackson had stopped breathing.

"What was so important to Conrad Murray that he had to call Sade Anding at that time? What was so important to this doctor that he needed to call one of his female friends in Houston? What was so pressing that he just couldn't care for Michael Jackson, that he had to call Sade Anding?"

It will never be known how long Jackson had not been breathing when Murray dropped the phone in the middle of his conversation with Anding, the prosecutor said.

"Was Conrad Murray in another room? Did Michael Jackson yell out for help? Did he gasp? Did he choke? Were there sounds? We don't know and we'll never know, because of the neglect and negligence of Conrad Murray."

Walgren questioned why Murray waited at least 20 minutes after he found Jackson was not breathing before he asked a security guard call for an ambulance.

"To speak to a 911 operator was the only hope of Michael Jackson being revived to see another day," Walgren said.

Paramedics arrived just four minutes after the call, but too late to save Jackson, he said.

Chernoff argued that Murray depended on chef Kai Chase to send up a security guard while he was trying to revive Jackson, but she only sent son Prince.

When Murray spoke with police two days after Jackson's death, it was "to get ahead of the story," because he knew there would be toxicology reports showing he died from propofol and sedatives, Walgren said.

"Unfortunately, his version doesn't match up with the evidence, the phone records, the e-mails, but he knew what toxicology findings would show," Walgren said.

Jurors heard from two anesthesiology experts who offered competing theories, Dr. Steven Shafer for the prosecution and Dr. Paul White for the defense.

Walgren attacked White for his determination "to find a theory or way to blame it on Michael Jackson."

White testified that the levels of propofol and sedatives found in Jackson's stomach, blood and urine during the autopsy convinced him that Jackson swallowed a large does of lorazepam and later gave himself a rapid injection of propofol, which led to his death.

"What you were presented from Dr. White was junk science," Walgren said.

Chernoff defended his expert and attacked Shafer, saying he was "not a scientist; he was an advocate. He was trying to prove a point; he was trying to prove a case."

"Dr. White knows more about propofol than Dr. Shafer will ever, ever know," Chernoff said.

Shafer testified that the "only scenario" in Jackson's death was one involving an IV drip system infusing a steady flow of propofol into Jackson over several hours before his death.

Chernoff argued that the prosecution fabricated the theory because they "desperately needed a drip," because "without a drip, what Dr. Murray gave Michael Jackson would not have harmed him."

"If Dr. Murray did what he said he did, there was no danger to Michael Jackson," Chernoff said. "Michael Jackson was not going to die and it doesn't matter if you leave the room and go outside and play basketball."

Chernoff attacked the credibility of Alberto Alvarez, Jackson's former bodyguard, who testified that he saw a propofol bottle inside an empty saline bag suspended on an IV stand by Jackson's bed. Alvarez waited two months after Jackson's death to tell the story, Chernoff said.

"All of a sudden, his story becomes monumentally more compelling and more valuable," Chernoff said.

Alvarez acknowledged he turned down a $500,000 offer for an interview, Chernoff said.

"Do you honestly believe that Alberto Alvarez is not going to cash in?"

Alavarez, who placed the 911 call from Jackson's bedroom, also testified he helped remove Jackson from the bed and performed CPR on him, but a paramedic contradicted that testimony.

Investigators who found the cut saline bag and propofol bottle never photographed them together or document the bottle being inside the bag, Chernoff said.

The "bottle in a bag" theory was even less believable because the propofol bottle had a plastic strip attached to it so it could be hung from an IV stand, he said. That strip was never used, both sides agreed.

"Dr. Murray didn't have to go through the ridiculous, absurd step of cutting a bag, propping it up into a cut IV bag, hanging it up where it could fall," Chernoff said.

Murray, if convicted, faces up to four years in prison and the loss of his medical license.

@highlight

NEW: Jury deliberations resume Monday in Conrad Murray's involuntary manslaughter trial

@highlight

Don't convict "Murray for the actions of Michael Jackson," defense says

@highlight

Defense blames "everybody but Conrad Murray, poor Conrad Murray," prosecutor says

@highlight

Jury must decide if Murray used an IV drip or if Jackson injected himself with overdose