WASHINGTON (CNN) -- President-elect Barack Obama doesn't often offer praise for President George W. Bush's foreign policy, but on Monday he offered the outgoing head of state accolades for battling AIDS in Africa.

Zimbabwean orphan Evans Mahlangu shows the free medicine he got by walking to Mozambique in February.

"I salute President Bush for his leadership in crafting a plan for AIDS relief in Africa and backing it up with funding dedicated to saving lives and preventing the spread of the disease," Obama said in taped remarks to the Saddleback Civil Forum on Global Health.

The videotape was played during a forum marking the 20th anniversary of World AIDS Day, established by the World Health Organization to raise awareness about the disease.

Under the Bush administration, more than 2 million people infected with HIV -- most of them in Africa -- have received lifesaving anti-retroviral treatment as part of the President's Emergency Plan for AIDS Relief, or PEPFAR.

In July, Bush signed legislation re-authorizing the program and authorizing up to $48 billion to expand it.  Watch how one man is using soccer to raise awareness »

Obama promised to continue working "to address the crisis around the world."

Obama's compliment was one in a series of paeans offered via videotape by world leaders to Bush, who will step down in January after two terms in the Oval Office.

"President Bush's efforts have saved literally millions of lives," said former British Prime Minister Tony Blair.

President Paul Kagame said Rwanda was much better off because of Bush's dedication to improving global health, and U.N. Secretary-General Ban Ki-moon congratulated Bush on "his legacy of leadership."

"The president's emergency plan for AIDS relief has made it possible for people in countries hardest hit by the disease to receive treatment," the U.N. chief said.

Afterward, first lady Laura Bush said, "That's sweet, so sweet."

Bush, who was awarded the first "International Medal of Peace" by Saddleback Church Pastor Rick Warren, said Monday the program had beaten its goal of getting anti-retroviral medicines to 2 million people infected with HIV within five years.  Watch a South African discuss living with AIDS »

"I insisted upon measurable goals because I felt that lives needed to be saved," he said. "And if you don't have measurable goals, lives might not be saved."

On Sunday, White House spokeswoman Dana Perino told reporters that nearly 240,000 babies have been born HIV-free because of U.S. support for programs to prevent HIV-positive pregnant women from infecting their children.

PEPFAR was launched in 2003, when just 50,000 people in all of sub-Saharan Africa were receiving anti-retroviral treatment.

Even with Bush's effort, WHO reports that only 31 percent of people in low- to middle-income countries who needed treatment received it last year, and the number of new cases is increasing 2.7 times faster than the number of new people getting treatment.

The U.S. Centers for Disease Control first brought AIDS to the public's attention in 1981 when it published a report about five gay men who had become sick with a rare form of pneumonia linked to depressed immunity.

Twenty-seven years later, CDC estimates that 1.1 million people in the United States are infected with HIV, and that about one in five of them is not aware of his or her status.  Watch how the stigma still lingers in the U.S. »

The WHO estimates that 33 million people worldwide live with HIV, and another 7,500 infections occur daily.

In a statement posted on the organization's Web site, WHO Director-General Dr. Margaret Chan called AIDS "the most challenging and probably the most devastating infectious disease humanity has ever had to face."

She also emphasized the need for "predictable, sustainable and substantial" funding, despite the world economic crisis.

"We must ensure that the current unprecedented rollout of treatment reaches more people and is fully sustainable. Stepping back or slowing down on treatment is not an acceptable option on ethical and humanitarian grounds," Chan said.

CNN's Elaine Quijano contributed to this report.

@highlight

More than 2 million people received lifesaving drugs because of Bush's plan

@highlight

Obama promises to continue working "to address the crisis around the world"

@highlight

WHO: Cases crop up 2.7 times faster than number of new people getting treatment

@highlight

White House: Nearly quarter-million babies born HIV-free because of plan