(CNN) -- With at least 1,488 tornadoes and 547 deaths, 2011 has been one for the record books. Although the tools forecasters use are getting better, concerns remain about whether residents have enough accurate information or are heeding warnings.

CNN meteorologist Jacqui Jeras, a committee member of the National Weather Association, is attending its annual meeting this week in Birmingham, Alabama, which was battered by the April 27 tornado outbreak in the Deep South. That day and April 28 saw 187 tornadoes, the largest outbreak in U.S. history. About 600 meteorologists, 150 of them in broadcasting, are at the conference. Before coming to CNN in 1999, Jeras provided storm information to viewers of four Midwest TV stations. She spoke Tuesday about warning systems, technology and what you can do to safeguard your family.

Q. What are some of the key topics at the meeting?

A. The big focus is certainly the tornado outbreak and going back over the data, looking at atmospheric conditions and comparing it to history. With these tornadoes (April 27-28) there was a lot of lead time and warnings. We have been finding that people didn't react right away. A lot of the people did not take to shelters when the alarm went out. There is still a high false alarm rate with tornado warnings. Experts want to know how people in storm areas receive warnings and how they react.

Q. What are some lessons from this year of high tornado activity?

A. Forecasting continues to get better. We need to improve communication. People need to know the difference between a watch and warning. You can never let your guard down. Some local meteorologists were heroes in this situation. They saved lives, such as James Spann in Birmingham (CNN affiliate WBMA). They can help calmly people get through this. You need to watch the local meteorologist your trust. At a national level, we can educate viewers and readers on what is coming. We are there to provide that advance warning. What happened in Birmingham and Tuscaloosa can happen to you.

Q. How did April 27 go, from a forecasting and response perspective?

A. The basic consensus is that emergency officials and warning meteorologists did everything right. Warnings were given. Early that morning, there was a huge squall line and it brought terrible wind damage and several tornadoes. There were tens of thousands of people left without power during that time. (Officials) are worried about that loss of power and whether that prevented people getting information they needed. Also, some people thought the early-morning storms were the main event. In this particular outbreak, we saw evidence of the potential for a major outbreak four to five days in advance. The Storm Prediction Center (an arm of NOAA) will issue probabilities of severe events based on models. Three days out for sure they were sending out public information. They knew the bulls-eye was in northern Alabama. People's responses in taking the storm seriously were really heightened based on the tone of the local broadcast meteorologist. They were saying it was Armageddon, and it was.

Q. Are there changes in how warnings are going out from the National Weather Service?

A. In addition to a tornado warning, a tornado emergency is declared when a tornado is confirmed on the ground.

Q. What about false warnings?

A. A tornado warning is issued when rotation is shown on Doppler radar or a person or verified storm chaser has actually seen a tornado. How many times do they actually see a tornado out of the rotating storm? We know it is rotating, but we don't why some (storms) drop tornadoes and some don't. People are complacent because there a high percentage of false rates. If it's a rare event in your event in your town, you are probably less likely to that. Warnings are issued on a county-by-county basis. It's up to local officials in the county on whether they will sound the sirens. If a severe thunderstorm enters a county and there is a tornado watch in effect some counties will sound a siren. Others will only sound them when there is a tornado warning. Part of the problem is that there is not a national uniform system on what to trigger. Maybe we need to go to a Zip Code system. We can now share a warning to a small part of the county, called a polygon warning. If they send a siren off for the whole county, it increases the perceptions of false warnings. I think there needs to be another type of warning issued for confirmed tornadoes. Maybe they can pulse it, rather than blaring it.

Q. What about the forecasting equipment?

A. The National Weather Service is changing its current Doppler radars over to a dual polarimetric Doppler system. (The additional information from vertical radio waves will greatly improve many different types of forecasts and warnings for hazardous weather, the government says.) This radar has a better rate of detection of weaker tornadoes. If you can better detect these, you can reduce false warnings Some bureaus have already been changed over.

Q. How has the science changed in your years as a meteorologist?

A. Doppler radar revolutionized it. We are making more progress on the science. We can have all the technology in the world, but if we can't communicate it well, or people don't receive it and respond, that is a problem.

Q. What else is helping with preparedness?

A. Social media is the up and coming thing. More and more people are receiving their information from Twitter, Facebook and mobile devices. Sometimes there is false information sent out, so you have to be careful about source information. But if you have signed up for an app that you trust, such information is very accurate. Also, several of those who lost power during the tornadoes said they turned to social media to receive their information.

Q. What can an individual do?

A. Preparedness is the key to this. People need to be prepared all year round, especially for the loss of power. Have a NOAA radio with batteries that are fresh. A survey has shown very low percentage of people get information from weather radios. I have tried to remind viewers that it is available. You need to be educated on whether you are at risk, if today is going to be a tornado day. Where is my safe place? It is the lowest level of your home, away from windows. Cover yourself up. If you are outdoors, you need to know if there is a risk of storms. Know where there is a sturdy building with a bathroom. Where am I going to evacuate? You need to take that responsibility.

@highlight

Jeras: There is still a high false alarm rate with tornado warnings

@highlight

"What happened in Birmingham and Tuscaloosa can happen to you," Jeras says

@highlight

The weather service is changing its radar to one better detects weaker tornadoes

@highlight

People need to be prepared all year round, Jeras says