Editor's note: Nick Taylor is the author of six books, including "American-Made -- The Enduring Legacy of the WPA: When FDR Put the Nation to Work." He also has collaborated on five other books, including John Glenn's memoir. Taylor worked in politics in the 1970s, including Jimmy Carter's presidential campaign and a congressional run for John Lewis, and was a volunteer in Barack Obama's campaign.

Nick Taylor says Americans can learn lessons from the accomplishments of the WPA in the Depression.

(CNN) -- Companies today are slashing jobs with a meat ax. Recession looms or is already here, depending on whom you ask. Some predict unemployment rising into double figures.

We've got a bad case of the economic willies, and are scared about what lies ahead. Lessons from the Works Progress Administration can give us guidance for the future.

The WPA was Franklin Roosevelt's response to massive unemployment during the Great Depression of the 1930s. It put more than 8 million Americans to work before the program closed when World War II drove unemployment close to zero. It helped people save their homes and feed their families in the short run, but the work they did benefited the United States long after the Depression ended.

The WPA renewed the country's infrastructure. Thirty years into the 20th century, with automobile use exploding, drivers in the United States still faced a road and bridge network dating to the 19th century. Farmers mired in the mud, salesmen and truckers made long detours to cross rivers. The WPA built farm-to-market roads in every section of the country.

This not only eased farmers' paths to market, but also gave everyone whose living depended on road transportation the benefit of more efficiency. Later, when the Second World War loomed, the WPA's road and bridge work helped move troops and materiel among bases and to staging areas.  See photos from Taylor's book »

Large passenger airplanes were just beginning to appear, and airlines were seeking inter-city routes. Towns and cities turned to the WPA to build new airports and improve old ones with new and longer runways. Expanding the availability of air travel thrust America into the new age of civil aviation.

WPA workers made the country healthier by modernizing water and sewage treatment facilities around the country, replacing countless outdoor privies with sanitary systems, and digging trenches and laying in new water lines. They built hospitals, courthouses, schools and libraries.

Even before the war came, the program built armories and improved crumbling military bases, and as the fighting drew closer, it added new barracks and bases and even more airports for national defense.

WPA workers also met a wide array of human needs. They fought floods and forest fires and cleaned up afterward, inoculated children, helped overstressed mothers get their kids to school, and made and served millions of hot lunches to schoolchildren. They even built swimming pools and golf courses.

The WPA was the most controversial program of Roosevelt's New Deal. Conservatives criticized its projects as unnecessary make-work and called its workers shiftless shovel-leaners.

But those workers gave the country a new infrastructure to go with the new century, and much of this work endures today. And in no small way, one of the WPA's gifts to the country was hope and confidence in a brighter future.

In all of these areas, the WPA provides models that we can use in today's economic crisis. The United States is not likely to become the primary employer of the jobless as it was during the Depression. But the landscape of needs is as great today as it was then, and cleverly targeted programs can use workers that might otherwise be jobless to meet some of our most pressing needs.

Mayors and governors tell us we face an infrastructure shortfall that will cost trillions to repair. Our transportation network is again behind the times. Commuters spend hours getting back and forth to work. Suppliers often can't make on-time deliveries. Many passenger rail systems are decrepit. Airline travelers frequently endure bizarre delays.

Attention paid to improving all or part of this interconnected system would pay dividends for many years to come. Workers would not all have to be employed building new roads or making other physical improvements to the infrastructure.

Many jobs could be found that would reduce pressure on it and improve overall mobility, by promoting public transportation and charging drivers more for driving at peak times, for example. In either case, we would realize the benefits far into the future.

Many have suggested the U.S. needs a "green WPA" to improve the environment and move the country toward energy independence. Again, rather than directly improving the infrastructure, job programs could reduce the stress on it.

A new force of workers might not work at improving the electric grid, but they could survey urban rooftops for their suitability for installing solar panels, or take wind readings in promising areas for potential wind farms. They might install recycling stations in areas where they don't exist.

Harry Hopkins, who headed the WPA, said that government is the only entity that doesn't count improvements to its physical plant on the plus side of the ledger.

Government accounting notwithstanding, a WPA-like initiative could move the United States firmly into the 21st century, make it more efficient to do business and create a source of unity and national pride that will last far into the future.

The opinions expressed in this commentary are solely those of Nick Taylor.

@highlight

Nick Taylor: The WPA was a Depression-era government jobs program

@highlight

It upgraded transportation and other parts of the nation's infrastructure, author says

@highlight

Taylor: The WPA came to an end when unemployment vanished with World War II

@highlight

A jobs program today could boost economy and save on energy, Taylor says