Just don't call it a coup.

Appearing to throw its weight behind an opposition that swarmed Cairo's Tahrir Square, the Egyptian military told the country's civilian government it has until Wednesday evening to "meet the demands of the people" or it will step in to restore order. In a statement carried nationwide on radio and television, the military called the 48-hour ultimatum "a final chance to shoulder the burden of a historic moment in our country."

But a military spokesman said late Monday that the culture of the armed forces -- which dominated the country for decades -- "doesn't allow it to adopt the policy of military coups." The statement was meant to push all factions toward quick solutions and a national consensus, and the armed forces aren't looking to be part of the political or ruling circles, the spokesman, Col. Ahmed Ali, said in written statement.

While insisting they want no direct role in national politics, the generals appeared instead to be pressuring Mohamed Morsy,  Egypt's first freely elected president, to restructure his government. The steps could include reducing the influence of the Muslim Brotherhood in his cabinet and calling early presidential and parliamentary elections, a source close to highly placed members of Egypt's leadership told CNN.

The protesters in Tahrir Square, who listened to the military statement on radios and cell phones, cheered as it was read. They roared as military helicopters passed overhead at dusk, trailing Egyptian flags and the banners of the armed services. After nightfall, they waved flags, honked horns and set off fireworks.

"Everyone is talking as if Morsy is officially out of power and the Brotherhood is officially out of power, and everyone is celebrating," Bassem Sabry, an Egyptian writer who took part in Monday's protests, told CNN's Connect the World.

But Morsy's office said early Tuesday that the military statement "has not yet been reviewed" by the president, adding "Egypt, by all its power, will not allow the country to go backwards under any circumstances."

In the face of the protests, which began over the weekend, five government ministers announced their resignations Monday. The latest was Foreign Minister Mohamed Kamel Amr, Egypt's official MENA news agency reported.

Morsy, a U.S.-educated Islamist, was elected Egypt's president in June 2012. He resigned his post as leader of the Freedom and Justice Party, the political arm of the Muslim Brotherhood, after winning office, but critics say he has become increasingly authoritarian over his year in power.

And he has failed to revive Egypt's economy, which crashed when the 2011 uprising that toppled longtime strongman Hosni Mubarak drove tourists away. That's disaffected many of his supporters among Egypt's poor and middle classes, said Fawaz Gerges, director of the Middle East Center at the London School of Economics.

"That some of the revolutionaries are calling on the army to return to politics is a testament to how polarized Egypt is a year after the election of Morsy," Gerges said. "Think of the millions of people who cheered Morsy after his election. Think of the millions of Egyptians who pinned their hopes on Morsy. A year later, now, the millions of Egyptians who cheered for Morsy are saying he must go."

Gerges called Morsy "incompetent" and "a president who is basically his own worst enemy." But he doubted the military would actually step in to depose him, which he said "would plunge Egypt into a greater legal political and institutional crisis."

Shortly after the military's announcement, Morsy met with Prime Minister Hisham Qandil and Egypt's minister of defense and head of the country's military, Gen. Abdel-Fatah El-Sisi, according to the president's Facebook page. It was not immediately known what they discussed, and a late-night news conference planned by the president's office was canceled.

The source who discussed the issue with CNN said the military is asking Morsy's government to reduce the influence of the Muslim Brotherhood and focus on a governing style credible to the majority. Gerges said those changes could include the appointment of an opposition figure as prime minister, the appointment of a new prosecutor-general and opposition-backed amendments to the country's constitution, which voters approved in December.

The Muslim Brotherhood was repressed under Mubarak but is now the most powerful political force in Egypt. Last week, El-Sisi said the army would, if necessary, "prevent Egypt from slipping into a dark tunnel of civil unrest and killing, sectarianism and the collapse of state institutions."

The opposition Tamarod ("rebel") Campaign called for nationwide protests, civil disobedience and a march on the presidential palace if Morsy doesn't leave office by Tuesday. Demonstrators say they have collected 17 million signatures -- roughly 4 million more than the number of votes that won Morsy the presidency -- calling for Morsy to go.

The opposition is made up of various groups and loose coalitions, and not all anti-Morsy protesters agree with the road map the Tamarod campaign is advocating. Some are loyal to the ousted Mubarak government, while others want the army to intervene.

That's brought criticism from observers like Mohamad Elmasry, a journalism professor at the American University in Cairo, who says much of the movement is anti-democratic and elitist.

"The Muslim Brotherhood has made plenty of mistakes," Elmasry told CNN. "But in medicine, they talk about triaging. If someone goes into the emergency room with a gunshot wound to the chest and a broken arm, the doctors treat the gunshot wound to the chest, not the broken arm."

"The Brotherhood might be a broken arm with their mistakes," he said, but "this anti-democratic tendency within these circles that is the gunshot wound to the democratic chest, if you will, of Egypt."

AbdulMawgoud Dardery, a former member of parliament and a Muslim Brotherhood representative,  told CNN's Amanpour program that the military could be an "honest broker" in a national dialogue. He said Morsy has reached out to opposition leaders many times, but the opposition "is afraid of democracy."

"It failed in the previous five elections we had in Egypt since the revolution, and they don't want to fail a sixth time," he said. "That's why they're going to street politics. Street politics is not an end in itself. It is a means to achieve democracy. But they're not willing to go toward a democratic system."

On Monday, protesters stormed the main headquarters of the Muslim Brotherhood, the party that Morsy led before his election. Armed with Molotov cocktails, the mob set the office on fire, shouting, "The people have toppled the regime."

At least 16 people were killed and more than 780 were wounded Sunday and Monday during the unrest in Egypt, the nation's health minister said, according to the official Egypt News agency.

On Friday, Andrew Pochter, a 21-year-old American in Alexandria to teach children English, was stabbed to death while watching the demonstrations, his family said.

U.S. student killed in Egypt was enthralled with region

Dr. Mohammed Mustafa Hamid told the news agency that eight people alone were killed in clashes at the Muslim Brotherhood's national headquarters in Cairo. All but 182 of the wounded have left the hospital after receiving treatment for their injuries.

State-funded Egyptian daily Al-Ahram also reported 46 sexual assaults during anti-Morsy protests in Egypt since Sunday, citing volunteer group Operation Anti-Sexual Harassment.

Governments issue warnings against travel to Egypt

Opponents say Morsy's policies also are to blame for a breakdown in law and order and for a gas shortage that has Egyptians waiting at the pumps for hours. Monday's military statement seemed to adopt the protesters' perspective, calling the crisis a grave threat to national security while praising demonstrators as determined and admirable.

"Wasting more time will only lead to more division and fighting which we have and continue to warn against," the military said in its statement.

iReport: Protesters flood Cairo's streets

Morsy's supporters held smaller rallies Monday in other parts of Cairo. Some of them said he is the people's choice, that he inherited a broken system and should be given time to fix it.

"We're not leaving, and the president is staying," one supporter told CNN. "We believe in democracy. If people don't like him, they can vote him out in three years."

Dardery said Monday that the party might support early parliamentary elections. But he said the nation elected Morsy to a four-year term and should stand by that. To do otherwise would disrupt the country's nascent democracy, he said.

"It is not fair. It is not fair to a democracy," he said.

The developments were being closely watched around the region and in the United States, Egypt's leading ally. Speaking in Africa, U.S. President Barack Obama noted the protests and their demands.

"Our commitment to Egypt has never been around any particular individual or party. Our commitment has been to a process," he said.

Washington provided tens of billions of dollars in military and economic aid to Egypt under Mubarak and pledged $1 billion to the post-Mubarak government. Pentagon spokesman George Little told reporters Monday that the U.S. Defense Department is reviewing the latest statement from the Egyptian military, but no one is sure what will happen "one way or the other" in the next two days.

Opinion: Get ready for Egypt's 'second revolution'

@highlight

Foreign minister resigns, president's office says Egypt won't "go backwards"

@highlight

"Everyone is talking as if Morsy is officially out of power," one protester says

@highlight

An Egyptian military spokesman says there's no coup

@highlight

"Incompetent" Morsy is "his own worst enemy," analyst says