(CNN) -- Libya's rebel leaders claimed Monday they had captured three of Moammar Gadhafi's sons, including Saif al-Islam, who is wanted on war crimes charges by the International Criminal Court. But shortly afterwards, Saif appeared in public in Tripoli, where he spoke to reporters -- raising serious questions about the reliability of the rebels' account of events.

A day later it remains unclear whether Saif al-Islam was ever in rebel hands, while another Gadhafi son, Mohammed, reportedly escaped from rebel custody. It is also uncertain whether Saadi, the third son the rebels claimed to have captured, was in their custody either.

So how much does this dent the credibility of rebels? And can the Libyan people and the international community put their faith in the Transitional National Council (TNC) to lead the nation if the Gadhafi regime falls?

Observers say the reported arrest -- and prompt reappearance -- of Saif al-Islam are at the least an embarrassing distraction for the rebels as they seek to take control of the Libyan capital, Tripoli.

The International Criminal Court, whose chief prosecutor told CNN Monday it had been talking to the rebels about transferring Saif al-Islam to its custody, by Tuesday was insisting it had never confirmed his capture, while Western diplomats faced questions over their wisdom in backing the rebel leadership.

Professor Fawaz Gerges, director of the Middle East Centre at the London School of Economics, told CNN he did not believe the rebels had intended to mislead the wider world over the arrest of Saif al-Islam, seen as his father's heir apparent.

But, he said, the confusion was of great concern because it betrayed a lack of cohesion and competence in the Transitional National Council's leadership and exposed the group's structural weakness.

Rebel groups and militias were acting independently rather than as a unified military force, he said, and with that came a risk that the rebel assault would disintegrate into urban warfare and civil strife.

He said the rebel leadership needed to "up its game" and could not repeat the lack of openness shown when the rebel government's military commander, Gen Abdel Fattah Younis, died in murky circumstances in Benghazi last month.

"The lack of transparency raises serious questions. This is a de facto government -- they must get it. This is not amateurs' time," he said.

"They cannot afford to really make so many mistakes because once they lose their credibility, it's very difficult to repair."

Mahmoud Shammam, minister of information for the National Transitional Council, acknowledged that the situation over the reported capture of Saif Gadhafi was confusing.

"We admit our communications was not clear," he told CNN, saying it had been representatives in Benghazi who stated Saif was under arrest, rather than the prime minister.

The rebels did not know if Saif al-Islam Gadhafi had been arrested and escaped, he said, so they would have to confirm what happened with the leaders engaged in the fighting in Tripoli.

But, he said, confusion like this occurred in conflict situations, adding that the rebel forces were entering a big city with many different centers of operation.

Susan Rice, the U.S. ambassador to the United Nations, said Tuesday that the rebels had the confidence of the American government despite the conflicting information over Monday's arrests.

"We have definitely found them to be credible and reliable interlocutors," she told CNN's Wolf Blitzer from Rome, saying the United States had been in close contact with the leadership in Benghazi, the rebels' eastern base.

Washington joined Britain and other Western powers in recognizing the NTC last month as the legitimate governing authority in Libya, adding to the pressure on Moammar Gadhafi to relinquish power to the rebels.

"Clearly in a situation as fluid as this that is evolving rapidly, there's going to be confusion, there's going to be misinformation, and those that are on the ground in Tripoli may or may not be in full and timely communication with the leadership outside of Tripoli," Rice said.

"Generally speaking, we've found in all of our engagements with the (NTC) that their leadership is reliable, principled and is working to do the right things."

Saad Djebbar, a lawyer who negotiated the release in Scotland two years ago of Abdel Basset al-Megrahi, the Libyan convicted of blowing up a Pan-Am flight over Lockerbie, echoed the view that it was unfair to judge the rebels as unreliable on the basis of miscommunications on the ground in Tripoli.

"We have to focus on the bigger picture now and see what the council does next," he told CNN.

Djebbar believes the NTC should focus on getting food and medical supplies to the people in areas of Libya no longer under Gadhafi's control, in order to demonstrate that life will be better under a new government.

And in order to reassure their allies in the West, the NTC must ensure law and order are established in the areas liberated from Gadhafi's forces, he said. Police and security forces should be retrained so they understand they exist to serve the people rather than the regime, he added.

The specter of Iraq's descent into violence and sectarian strife after the fall of Saddam Hussein hang over Libya -- and Djebbar sees the international community as having a key role to play in ensuring history is not repeated.

"The United States, United Kingdom, France and others should work now with practical steps to make sure that Libyans feel that their country has become a better place," he said. "This is not Iraq."

The credibility of a new government will rely on its swift formation and the inclusion of respected members of different communities, tribes, professions and religious groups, he said, to act as "trustees of the revolution and its values."

Omar Ashour, director of Middle East Studies for the Institute of Arab and Islamic Studies at the University of Exeter, said the rebels were trying to learn from their mistakes -- and the misfortunes of other countries such as Iraq -- in order to keep the trust of their international partners.

Speaking from Cairo, on his way to Tripoli, Ashour told CNN he believed the critical issue was one of transparency, so that the rebels could avoid the kind of damaging conflicting accounts that emerged over the death of Younis.

And however the NTC does, he believes the resulting government will be better than the corrupt regime headed by Gadhafi over the past four decades.

"It's a huge task but to be honest they are the best that we have in Libya at the moment," he said.

Gerges agrees that it would be wrong to judge the NTC too harshly for a handful of errors in its early days.

Not only is the movement less than a year old, he pointed out, but it is made up of many disparate ideological, social, regional and tribal groups that have yet to fully consolidate into institutions.

Gerges believes a functioning and inclusive government will develop given time, provided peace can be restored in Libya and that the TNC can translate its rhetoric into concrete policies.

"If I were to gamble, I would gamble on the rebels really rising to the occasion," he said.

CNN's Krsna Harilela contributed to this report.

@highlight

The rebels said they had captured three of Gadhafi's sons, including Saif al-Islam

@highlight

Saif al-Islam reappeared in public in Tripoli, shortly after throwing their credibility into doubt

@highlight

Analysts say the mix-up can be explained by the confusion on the ground

@highlight

U.S. Ambassador Susan Rice says she has confidence in the rebel leadership