The history of beer in the United States is a rich one dating back to the colonies, when soldiers were paid in spruce beer and cider. From there beer weathered a Revolution, Prohibition and a right turn at Albuquerque before positively exploding with deregulation of the industry through the early 1980s.

Ever since, Americans have been sampling, celebrating and sophisticating the unofficial national beverage in ways previously unimaginable, and it seems nearly every town's gotten into the act.

But not all cities are carbonated equal. Some have begun to take beer personally, innovating its craft and consumption and throwing festivals to honor the finest ales and lagers -- creating a blueprint for the rest of the country to follow. Still others have been doing this all along.

This is the story of those towns, the top eight cities in America for beer explorers.

We've scored each out of 10 for history, breweries, bars and events, and would like to think every one of you will read the whole piece quietly, captions and all, nodding sagely as the indisputable truth of every line hits home. But, this is the Internet and if there's one place where froth belongs besides the top of your pint of ale, it's the comment box below. Feel free.

1. Portland, Oregon

History: 6Breweries: 10Bars: 10Events: 7

Portland boasts more breweries (52) than any city in the world. It's also America's largest craft brewing market, with 69 breweries in the greater metro area, owing to state sales regulations that favor consumer tastes over discounts and kickbacks, allowing small brewers to compete with mass marketers.

But the Rose City isn't just about quantity. PDX is where you'll find Hopworks Urban Brewery, Alameda Brewing Company, Cascade Brewing, and family-owned Hair Of The Dog, all nationally renowned for their care and creativity.

Fairs like The Oregon Brewer's Festival, the Portland International Beer Festival, and Portland Beer Week -- America's first organic beer festival -- ensure that beer spirit in the city runs high all year, while Biketobeerfest celebrates two things exalted by the region: bikes and beer. Portland is also home to five of Draft magazine's top 100 craft bars -- Saraveza Bottle Shop & Pasty Tavern, Horse Brass Pub, Apex, Bailey's Tap Room, and Belmont Station.

Top draws: Hopworks Urban Crosstown Pale, Deschutes Hop Trip Ale

2. San Francisco

History: 8Breweries: 9Bars: 9Events: 7

The Bay Area is bursting with micro- and nanobreweries that have been experimenting with food-inspired brews like nowhere else. Take Almanac, which uses seasonal produce in its brews, or Moonlight Brewing Company, which picks redwood twigs and cedar bark from brewer Brian Hunt's own backyard.

There's history here, too. The sale of Anchor Steam Brewery in the 1960s precipitated the production of several signature beers at a time when mass-marketed light beers were the trend. The following decade saw the opening of New Albion Brewing in Sonoma, the first new brewery in California since Prohibition and the first microbrewery in America.

Following suit have been 21st Amendment Brewery, Speakeasy, Drake's, Black Diamond and Social Kitchen and Brewery. Notable bars include La Trappe Cafe and The Toronado Pub, which hosts arguably America's preeminent barleywine festival. And finally, there's San Francisco's Beer Week and the San Francisco International Beer Fest.

Top draws: Moylan's Tipperary Pale Ale, 21st Amendment Brew

3. San Diego

History: 5Breweries: 10Bars: 9Events: 8

With 30-plus breweries in the county and its own IPA category, San Diego's a beacon on any beer explorer's map. For a pint, hit up former firefighter Pat McIlhenney's beer-centric restaurant, the Linkery, which offers brew-paired dinners, and Toronado, which boasts an exhaustive beer list.

A trip to San Diego isn't complete without sampling the suds at Karl Strauss, Ballast Point, Lost Abbey, Green Flash, and Stone Brewing Co., declared by BeerAdvocate magazine the "All-Time Top Brewery on Planet Earth."

As for events, San Diego was chosen to host the 2012 World Beer Cup -- the "Olympics of Beer" -- and San Diego Beer Week draws crowds from all over to celebrate 10 days of tastings, pairings and live music. If you visit, don't miss five San Diego bars mentioned in Draft mag's top 100 American beer bars: Tiger! Tiger!, Small Bar, O'Brien's American Pub, Blind Lady Ale House, and Hamilton's Tavern.

Top draws: Alpine Ale, Lost Abbey Duck Duck Gooze

4. Boston

History: 10Breweries: 7Bars: 8Events: 7

The first brewery in Massachusetts emerged not long after the Pilgrims dropped anchor, owing to the fact that beer was safer to drink than the water. Though the Pilgrims were aiming for Virginia, they ran out of brew and stopped in Massachusetts -- thus a beer town was born.

Eventually, Boston was blessed with a number of microbreweries, including the best-selling craft brewer in America, Boston Beer Co. -- producer of Samuel Adams -- and Harpoon Brewery. Notable hits on the bar crawl include Cambridge and Cape Ann Brewing Cos., Deep Ellum and The Publick House, alongside historic pubs like Green Dragon, The Warren Tavern (Boston's oldest) and Sunset Grill & Tap.

With this lively scene, it's not hard to believe that Boston consumes the most beer per capita in the United States. It's also home to the American Craft Beer Fest, the East Coast's largest celebration of domestic micros, featuring 600+ varieties from 125+ American brewers.

Top draws: Harpoon IPA, Beer Works Bunker Hill Blueberry Ale

5. Denver

History: 7Breweries: 8Bars: 7Events: 8

Colorado is fourth out of 50 states in breweries per capita, and while there are only a handful in Denver proper, there are loads of notable breweries outside town and in nearby Boulder.

Neighborhoods like Platte Street and the Art District on Santa Fe are peppered with breweries. Elsewhere you'll find Avery, Renegade, New Belgium, Strange Brewing, Dry Dock and others, including Bull & Bush, which writer Steve Body declared "may well be America's best brewpub and restaurant."

Denver's first craft brewery, Wynkoop, was opened in 1988 by John Hickenlooper, who went on to become mayor, then governor, extending Denver's brewer reach to the highest levels of government. Both Wynkoop and Great Divide are a moon shot from Coors Field, and homemade beers at Blue Moon Brewing Co. are found just behind section 112 in left field.

The Mile-High City also stages what is widely regarded the largest, most prestigious beer festival in the country, the annual Great American Beer Festival, drawing sudsmeliers from all over the world to taste more than 2,200 brews.

Top Draws: Denver Graham Cracker Porter, Renegade Hammer and Sickle

6. Philadelphia

History: 9Breweries: 6Bars: 8Events: 7

In the city of brewery love, outfits like Victory, Sly Fox, Nodding Head, Yards and Flying Fish have been vanguards of local brewing since the city's barley rush of the 1990s. And since 1860, McGillin's Olde Ale House has been a beloved showcase for those and other local brews longer than any in Philly.

Three less-ancient bars made Draft mag's top 100 -- Eulogy Belgian Tavern, Grey Lodge Public House and Memphis Taproom, which enjoys a sterling reputation despite an endorsement by Guy Fieri. And no beer itinerary is complete without writer Michael Jackson's favorite spot, Monk's Cafe, a love letter to Belgian (and other) brews that will awe the savviest palate.

Philly Beer Week is the city's most hoppening event, but the Greater Northeast Philadelphia Beer Festival, begun in 2011, is already proving a worthy companion. One caveat to all this beer-fueled euphoria: complicated state controls regulate the purchase of packaged beer. Don't let them kill your buzz.

Top Draws: Yards Philadelphia Pale Ale, Victory Hop Devil IPA

7. Bend, Oregon

History: 5Breweries: 8Bars: 8Events: 8

With one brewery for every 9,111 people, descriptors for Bend include "beervana" and "Beer City, USA." And that number is constantly changing, with newcomers like Crux Fermentation Project and Worthy Brewing Company recently fattening Bend's ranks.

Already cemented into Bend beer culture is Deschutes, the godfather of local craft brewing, which recently expanded its flagship location. The Ale Apothecary, like its name suggests, blends modern and old-fashioned brewing techniques for what they're calling Bend's only steampunk brewery.

Getting your beer passport stamped at all nine of participating breweries on the Bend Ale Trail will net you a prize, and dog lovers will appreciate Boneyard Beer, where they can try the world's first organic, non-alcoholic brew made for dogs, Dawg Grogg.

Your itinerary's bound to overlap at least one of Bend's annual beer celebrations, like Central Oregon Beer Week, The Little Woody Barrel-Aged Brew & Whiskey Festival, Bend BrewFest, The Fermentation Celebration and Bend Oktoberfest.

Top Draws: Deschutes Inversion IPA, Silver Moon Hound's Tooth Amber

8. Asheville, North Carolina

History: 5Breweries: 7Bars: 7Events: 9

Yes, Asheville. It's relatively new to the beer scene, but with 11 breweries yielding the highest per-capita total in the country, it's already building a global rep. A day trip to Asheville offers a chance to try roughly 50 local beers, almost all of which can be tasted at The Thirsty Monk, a must-see on any Ashevillian beer pilgrimage.

But it's less the number of breweries or bars here than it is the culture that earns Asheville its cred. There is serious pride in the local craft, and its small-town appeal means all you have to do is roll over and you'll find yourself in one of the city's renowned breweries, like Wedge, Green Man and Wicked Weed.

The city also pumps beer into mustards, shampoos, ice creams, cakes, dog biscuits, and soaps. And with at least five major beer events, Asheville keeps the party going all year round with its own Oktoberfest, Beer Week and Winter Warmer, Best Firkin, Beer City and Brewgrass Festivals.

Top Draws: Asheville Shiva IPA, French Broad Ryehopper

@highlight

Portland, Oregon, boasts more breweries than any city in the world

@highlight

San Diego was chosen to host 2012 World Beer Cup -- the "Olympics of Beer"

@highlight

Philadelphia is a beer explorer's must-see town, despite state controls that regulate purchases of packaged beer