(CNN) -- In the sleepy seaside town of Mariel, northwest Cuba, a hulking monument to the communist islands' evolving economy is rapidly taking shape.

It is here, under the intense glare of the Caribbean sun, that a giant free-trade zone (FTZ) and container port are in the latter stages of construction.

The deep-water facility will have an annual capacity of up to one million containers when finished (three times that of Havana's existing port roughly 30 miles away) and 700 meters of berth that it is hoped will host some of the world's largest cargo ships.

Partially financed by loans from Brazil and built by Brazilian construction firm, Odebrecht, the port will be operated by Singapore's PSA. The FTZ, meanwhile, aims to attract international companies to Cuba by offering them a low-tax, low-regulation environment in which to manufacture goods.

"What the zone is intended for is to create a special climate where foreign capital is going to have better conditions than in the rest of the country," said Cuba's foreign trade and investment minister, Rodrigo Malmierca, during a September visit to Beijing.

See also: Dawn of the super-ports

The $900 million project mirrors similar developments and FTZs that have sprung up in fast-growing communist nations such as China and Vietnam in recent decades -- although experts doubt whether Cuba will follow the same path as the "Asian Tigers."

While the ruling Communist Party maintains that state control will take precedence, the ambitious development is the latest in a series of controlled reforms that have been made since Raul Castro came to power in 2008. The government has already relaxed its control over many sectors, encouraging ordinary Cubans to fill the void with their own private enterprises.

"Cuba is shedding its old skin and it's becoming something else which is like a hybrid of models," explained senior Latin America fellow at the Council on Foreign Relations and author of the book "Cuba: What Everyone Needs to Know," Julia Sweig.

"This will (likely consist) of a much larger private sector, a much smaller social sector with the basics of social protection left in place, a lot more personal autonomy and economic freedom for Cuban people without necessarily moving beyond the single party system," she added.

Regional developments

This new economic direction -- which the administration refers to as an "update" of the socialist economic system -- and in particular the Mariel development have been brought about by a number of specific challenges and opportunities for Cuba, Sweig explained.

The widening of the Panama Canal (which is due to be completed in 2015) means more of the world's largest ships will soon be passing through the Caribbean, providing Cuba with the chance to benefit as a transhipment hub thanks to its strategically favorable location.

Fast-growing economies in the region, such as Brazil, Mexico and Chile, meanwhile, provide fresh possibilities for foreign investment and trade tie-ups. Nurturing new relationships has been made all the more important given the volatile political climate in Venezuela, whose leftist government currently sells subsidized oil and trades with Cuba on conditions that are highly favorable to the island country.

A vitally important cog in this wide-ranging strategy is Mariel. According to Carmelo Mesa, professor of economics and Latin American Studies at the University of Pittsburgh and author of the book "Cuba under Raul Castro: Assessing the Reforms," the port and FTZ are by far the most important development project on the island.

See also: What happens to goods lost at sea?

"The objective for Mariel and the free zone is to expand infrastructure, increase exports, reduce imports and develop high-tech projects that will create jobs," Mesa said. "This is important as the Cuban government has indicated that anywhere from 1.3 million to 1.8 million workers in the state sector are unneeded and must be dismissed.

"Cuban exports are generally raw materials, except for pharmaceutical products and biotechnology products but this is only about 8% (of exports). So they want to have value added goods such as computers, appliances and expand biotechnology," he added.

Breaking with the past

Whether the wider economic plan and investment in Mariel will achieve these aims, however, remains far from certain.

The 51-year-old U.S. trade embargo still restricts Cuba's ability to trade freely with its international partners. Any ship that docks in Cuba cannot enter the United States for six months. If the embargo was ever lifted, however, the FTZ would be favorably located (only 120 miles from Florida) to serve as a low-cost site for companies looking to manufacture and ship their products into the U.S. market.

As it stands, international investors will have to be persuaded to choose Cuba over nearby competitors. The likes of Panama, Jamaica and the Dominican Republic already have established FTZs in their territories.

Mesa also points to economic development zones introduced under Fidel Castro in the 1990s and early 2000s which expanded very quickly before "there was a re-centralization of the economy" leading many foreign firms to pull out of Cuba.

According to Diego Moya-Ocampos, a Cuba specialist at IHS Global Insight, many investors still see Cuba as a "hostile business environment" and will treat any opening of the economy with a high degree of skepticism.

"This opening is going to be taken with a pinch of salt ... it's still to be assessed what the tax and regulatory benefits of the (FTZ) will be," he said.

The end of communism?

Despite these significant challenges, Cuba still has much to offer international companies, not least a well-educated labor force -- Cuba has one of the highest literacy rates of any country, according to data compiled by the CIA World Factbook.

Mesa however identifies laws that restrict foreign companies hiring Cubans directly as a potential disincentive to FTZ investors. Instead, workers are employed via a government agency that makes all decisions on the wages they receive often driving up the price of labor -- although new laws on foreign investment are expected.

See also: Where are the world's piracy hotspots?

Sweig meanwhile points to the lifting of travel restrictions between the U.S. and Cuba in recent years and a gradual shift in rhetoric in Washington policy circles that indicates a softening on the issue of the embargo.

All concur however that, despite the tentative adoption of market principles and the loosening of central economic control, this is far from the beginning of the end of communism in Cuba.

"(The Cubans) know they need to create these types of clusters where they can operate more aggressive free trade economic policies without necessarily affecting the economic dynamics of ordinary Cubans," Moya-Ocampo said.

"It's pragmatism," he added. "Cuba is trying to update its structures to meet the new realities of Latin America."

@highlight

A new port and free-trade-zone are being built in the Cuban town of Mariel

@highlight

The development will cost $900 million and aims to attract international investment to Cuba

@highlight

Reforms in Cuba are opening up the economy and the state is rolling back its influence over many sectors