Lebanese authorities have arrested a wife of ISIS leader Abu Bakr al-Baghdadi -- the man spearheading the Islamist terror group's sweeping rampage across Syria and Iraq -- said a source with knowledge of the arrest.

The woman is one of al-Baghdadi's two wives. Her arrest came as part of a "planned operation," according to the source.

The source described her as a "powerful figure (who is) heavily involved in ISIS." Not much is known about the reported wife, including what her involvement is with the terrorist group, if any.

"We will gain some intelligence from her. We may get insights into al-Baghdadi's movement, who he surrounds himself with, whether he was injured, and the degree of his injuries," said Rep. Adam Schiff, a California Democrat.

Another intelligence source identified the wife as Saja al-Dulaimi. She was detained with her 4-year-old son more than a week ago when they tried to enter Lebanon, that source said.

The arrest was a coordinated operation involving agencies from Iraq, Syria and Lebanon, said the intelligence source. The source said the Iraqis had help from U.S. intelligence. In Washington, the CIA declined to comment.

Also in Washington, several American sources suggested the person arrested was al-Baghdadi's ex-wife, not a current one.

Al-Baghdadi has been calling for the release of his son, the intelligence source said, adding that al-Dulaimi was released from Syrian custody in March as part of a group of 150 women who were freed in exchange for a group of Syrian nuns.

The Greek Orthodox nuns had been kidnapped and held captive by the al Qaeda-linked al-Nusra Front, which al-Baghdadi had helped establish.

Lebanese authorities didn't immediately respond to requests for comment from CNN.

Agence France-Presse, citing unidentified Lebanese security officials, reported one of al-Baghdadi's sons was detained. But Reuters, also citing Lebanese officials, said that a daughter, rather than a son, was being held.

The two agencies similarly differed on when the two were picked up by Lebanese forces: Reuters said it happened "in recent days;" AFP reported it was 10 days ago.

Regardless, the very idea that a government may be holding close relatives of al-Baghdadi is significant, given his pivotal role in ISIS' meteoric rise, the extremist group's widely reviled tactics under his leadership and the breadth of the international coalition aimed at defeating ISIS.

"It's certainly a new dynamic because we've never seen anybody connected so close to al-Baghdadi being detained," terrorism expert Sajjan M. Gohel said.

At the same time, the reports raise a lot of questions, such as what the family members might have been doing in Lebanon.

"Is he estranged from them? Has he fallen out with them? Were they escaping from him?" asked Gohel, who is the international security director at the Asia Pacific Foundation.

Lebanon is one of several countries heavily affected by Syria's yearslong conflict and the flood of refugees trying to escape the violence.

Lebanese authorities "have been cracking down very heavily on the border to prevent members of ISIS seeping into Lebanon," Gohel said. "They don't want the problems spilling over from Iraq and Syria into their territory."

Another question raised by the reports is whether the wife is affiliated with ISIS.

"If she's simply an ex-wife, the first thing you got to deal with is she's an innocent person, potentially, who was married to a bad guy, with a child," said Philip Mudd, a former CIA counterterrorism official.

"The first hurdle ... before we deal with what she knows, is how closely was she affiliated, and how hard can you press her based on that affiliation.  That's an ethical question," he said.

Mystery surrounds arrest of woman who may be ISIS leader's wife

ISIS rises after al-Baghdadi took over

The group that in 2006 would become ISIS began in Iraq, where it targeted the U.S.-led coalition as well as Shiite Muslims in the country.

It suffered heavy losses, but ascended over the past few years to take advantage of a void wrought by Syria's civil war as well as instability in Iraq.

Not coincidentally, this all happened after al-Baghdadi took over ISIS in 2010.

Before that, he'd been at a U.S. prison camp for insurgents at Bucca in southern Iraq, where he was taken after being detained in February 2004 amid fighting in the flashpoint city of Falluja.

Media reports have claimed U.S. authorities held al-Baghdadi for four years. But the Pentagon has offered a different  time line, saying he was at Camp Bucca until early December 2004, when officials there recommended his "unconditional release."

Beyond this, little is known about al-Baghdadi. According to the U.S. government, he was born in Samarra, Iraq, and is in his early 40s. What motivates him, how he was trained and who he's close to -- including his family -- largely remains a mystery.

He has emerged from the shadows in fits and spurts.

After the death of al Qaeda leader Osama bin Laden in 2011, al-Baghdadi issued a eulogy in which he threatened violent retribution. (Al Qaeda disowned ISIS earlier this year, blaming it for "the enormity of the disaster that afflicted" others trying to unseat Syrian President Bashar al-Assad.)

There were unconfirmed suggestions last month that al-Baghdadi had been wounded in airstrikes in northern Iraq.

But days later, an audio recording emerged that purportedly contained a message from al-Baghdadi saying the U.S.-led coalition to destroy ISIS is "terrified, weak and powerless."

'He's created this myth'

ISIS itself has never been more powerful, having taken over vast swaths of territory in Iraq and Syria in the past few years. And it has used brutal tactics to do so -- such as mass kidnappings, rapes, killings and other abuses against civilians and fighting foes alike, actions that a U.N. panel characterized as war crimes and crimes against humanity.

Al-Baghdadi, who has gone by a variety of aliases during his career in terrorism, has been at the center of it. The U.S. State Department's Reward's for Justice program, which refers to him as "Abu Du'a," offers $10 million for information leading to his arrest.

When his group rebranded itself as the Islamic State in June, al-Baghdadi was tapped as spiritual leader of the new caliphate.

He's sought to burnish his theological credentials, with a biography posted on jihadist websites last year claiming he had earned a doctorate in Islamic studies from a university in Baghdad.

"His knowledge in Islamic jurisprudence is somewhat dubious, but nevertheless he's created this myth and this aura behind him," Gohel said.

@highlight

Woman part of a group freed in exchange for a group of nuns, intelligence source says

@highlight

Intelligence source identifies the wife as Saja al-Dulaimi

@highlight

Several U.S. sources suggest the person arrested is al-Baghdadi's ex-wife

@highlight

Little is known about al-Baghdadi; U.S. offers $10 million for info leading to him