(CNN)  -- We're just going to put it out there: Behind closed doors, whites talk differently about blacks.

At least that's what two sociologists found after conducting a study of college students across the country.

One of the researchers, Joe Feagin, said that's why it comes as no surprise to him that a powerful politician such as Senate Majority Leader Harry Reid would talk about Barack Obama's skin color and use the term "Negro dialect" in what he considered a private conversation.

Speaking not of Reid but of his conclusions drawn from his research, Feagin said, "Most whites have sharply reduced the blatantly racist stuff they do in public, while they still do huge amounts in private."

"It's just social correctness in the front stage. The scale of this is gigantic on the backstage, which is why the notion of a post-racial America is laughable," said Feagin, a professor at Texas A&M University.

"And I think most whites know it because they've been to Thanksgiving dinner with Uncle Jim and have heard the n-word jokes."

Feagin and Leslie Picca of the University of Dayton compiled their research in a book called "Two-Faced Racism" published in 2007. They surveyed 626 white students at 28 colleges and universities across the country. They asked the students to keep diaries and record any racial events they came across during the course of a day.

The students recorded 9,000 accounts, of which 7,500 were "blatantly racist" events ranging from private jokes and conversations to violent incidents, Feagin said. About 100 accounts stood up against racism, he said.

The majority of racial events were directed at African-Americans, but Latinos and Asians also came under attack. Feagin and Picca also surveyed African-American students, but that research is still being compiled.

"In these 7,500 blatant accounts, most of them are accounts of what we call backstage racism -- that is they're doing these performances and skits with friends and relatives," Feagin said.

Does it surprise him that someone with such political clout as Reid would use a term such as "Negro dialect"?

"No," Feagin said, "not after looking at our student diaries."

He said Reid "felt safe making" the comment about Obama because he was in a private setting.

"It's a great teaching moment," Feagin said. "It shows the difference between the front stage and the backstage. He thought he was saying that in the backstage, and now it's been brought out in the public for all to see and discuss."

The controversy is centered on remarks published in the book "Game Change" by Mark Halperin and John Heilemann. The book cites Reid as saying privately in 2008 that Obama could succeed as a black candidate partly because of his "light-skinned" appearance and speaking patterns "with no Negro dialect, unless he wanted to have one."

Reid, D-Nevada, apologized to the president after excerpts from the book were released, and Obama said he considered the issue closed.

Your take: iReporters sound off on the issue

"This is a good man who's always been on the right side of history," Obama said Monday in a sit-down interview with CNN political contributor Roland Martin. "For him to have used some inartful language in trying to praise me, and for people to try to make hay out of that, makes absolutely no sense."

Reid has received the support of the Congressional Black Caucus. On Monday, he said numerous prominent African-American officials, including NAACP Chairman Julian Bond and Attorney General Eric Holder, called to offer their support.

Sen. John Cornyn, R-Texas, head of the GOP's Senate campaign arm, has called for Reid to give up his leadership post after the "embarrassing and racially insensitive" remarks. Republican National Committee Chairman Michael Steele also called for Reid to step down.

Duke University political science professor Kerry Haynie said he doesn't dispute that attitudes toward race may be viewed differently in private than in public. But he said he doesn't feel that came into play with Reid's remarks.

"Many of us who work in areas of race and politics asked these same kinds of questions, about whether Obama is different for whites than other black politicians," Haynie said. "I don't think Sen. Reid was expressing sentiments he would not have expressed publicly."

Boyce Watkins, an associate professor at Syracuse University, said the country shouldn't let this moment pass.

"The takeaway is that there is a teachable moment, but we can't allow politicians to do all the teaching," Watkins told CNN's "American Morning." "If you watched President Obama's interview with Roland Martin, the conversation tends to be let's sweep this under the rug and throw the baby out with the bath water and move on.

"But the truth is that they are trying to get health care passed, and that's good, I respect that, but I want to have the conversation on race."

Added Dawn Turner Trice, a columnist and blogger with the Chicago Tribune: "For me, it's that we have to continue to talk about this. We can't only talk about it when we have these national flare-ups. This takes time and nuanced conversations. ...

"The country is changing. In a couple decades, we will have a country with a very different racial makeup. And we will have to have these conversations, and it's to our peril if we don't."

Feagin, the sociologist, said he agrees. He said Democrats and Obama should come forward to talk openly about the national climate on race.

"We can't keep ducking this racism stuff," he said.

CNN's Matt Cherry contributed to this report.

@highlight

Sociologists find whites talk differently about African-Americans in private

@highlight

"The scale of this is gigantic," says Joe Feagin of Texas A&M University

@highlight

Feagin: Senate Majority Harry Reid's comments not surprising, hopes nation will learn from it

@highlight

Syracuse University associate prof says politicians shouldn't "sweep this under the rug"