At least 1,700 military veterans waiting to see a doctor were never scheduled for an appointment and were never placed on a wait list at the Veterans Affairs medical center in Phoenix, raising the question of just how many may have been "forgotten or lost" in the system, according to a preliminary report made public Wednesday.

Describing a "systemic" practice of manipulating appointments and wait lists at the Phoenix Health Care System, the VA's Office of Inspector General called for a nationwide review to determine whether veterans at other locations were falling through the cracks.

It also appears to indicate the scope of the inquiry is rapidly widening, with 42 VA medical centers across the country now under investigation for possible abuse of scheduling practices, according to the report.

Among the findings at the Phoenix VA, investigators determined one consequence of manipulating appointments for the veterans was understating patient wait times -- a factor considered for VA employee bonuses and raises, the report said.

The preliminary report sparked outrage from all corners, with Veterans Affairs Secretary Eric Shinseki calling the findings "reprehensible" and ordering the 1,700 veterans be immediately "triaged" for care, while some lawmakers called for the agency's chief to resign.

Shinseki has been on "probation" since President Barack Obama vowed last week to hold accountable those responsible for the delays, and he remains on "thin ice" with the President pending the outcome of the internal investigations, a White House official, speaking on condition of anonymity, told CNN.

The VA is under fire over allegations of alarming shortcomings at its medical facilities. The controversy, as CNN first reported, involves delayed care with potentially fatal consequences in possibly dozens of cases.

CNN has reported that in Phoenix, the VA used fraudulent record-keeping -- including an alleged secret list -- that covered up excessive waiting periods for veterans, some of whom died in the process.

'Numerous allegations'

The big questions remain under investigation, according to the report: Did the facility's electronic wait list omit the names of veterans waiting for care and, if so, at who's direction?

And were the deaths of any of these veterans related to delays in care?

"To date our work has substantiated serious conditions at the Phoenix facility," said the report, which also found another 1,400 veterans were on the Phoenix VA's formal electronic wait list but did not have a doctor's appointment.

The report also found "numerous allegations" of "daily of mismanagement, inappropriate hiring decisions, sexual harassment, and bullying behavior by mid- and senior-level managers."

Calling the report's initial findings "damning," House Veterans' Affairs Committee Chairman Jeff Miller, R-Florida, said "you can only imagine" what might come out once a fuller investigation is completed.

The investigation is expected to be completed later this summer, with a final report issued by the VA inspector general in August.

The report's findings prompted the American Legion to call for a criminal investigation.

"We want every VA employee who participated in these cover-ups to be investigated and prosecuted to the full extent of the law ..." the veterans group said in a written statement.

The U.S. Department of Justice is reviewing the interim report, Peter Carr, a Justice Department spokesman, said. "We will continue to consult with the inspector general's office regarding their ongoing review," he said.

Document: VA audit report released

Calls for Shinseki's resignation

Sen. John McCain, an Arizona Republican, told CNN it was "about time" the Justice Department launched its own investigation.

"I haven't said this before, but I think it's time for Gen. Shinseki to move on," McCain said.

There have been calls from other members of Congress for him to step down over the scandal, but McCain's voice on military matters carries enormous weight considering his experience as a combat veteran, a Vietnam prisoner of war, and his work in the Senate on related issues.

Shinseki finds himself in a firestorm

A number of Senate Democrats, all up for re-election this year, also called for Shinseki to leave his post.

Among them was Sen. Mark Udall of Colorado who took to Twitter with his message: "In light of IG report & systemic issues at @DeptVetAffairs, Sec. Shinseki must step down."

Sen. Al Franken of Minnesota said a change in leadership is needed.

"I believe it would be in the best interest of veterans for Secretary Shinseki to step down," he said.

Sen. Jeanne Shaheen of New Hampshire said "fundamental problems plague the agency."

"It's time for a forceful new leader to address the outrageous problems at the VA," she said.

Deputy National Security Adviser Tony Blinken told CNN that President Barack Obama has been briefed on the report, and found it "deeply troubling."

When pressed on whether Obama still supports Shinseki, Blinken said: "We're focused on making sure these veterans who've delivered for this country get the care they need."

IG: 'Take immediate action'

The VA has acknowledged 23 deaths nationwide due to delayed care. The VA's inspector general, Richard Griffin, told a Senate committee in recent weeks that his investigation so far had found a possible 17 deaths of veterans waiting for care in Phoenix, but he added that there was no evidence that excessive waiting was the reason.

Griffin recommended that Shinseki "take immediate action" to "review and provide appropriate health care" to the 1,700 veterans identified in Phoenix as not being on a wait list.

It also recommended that he initiate a nationwide review of waiting lists "to ensure that veterans are seen in an appropriate time, given their clinical condition."

The report came just hours before the start of a combative House committee hearing on the Phoenix VA issues, where Republican and Democratic leaders said they were dissatisfied with the VA's response to their panel's subpoena for documents on shortcomings related at the agency's Phoenix medical center.

"Veterans died. Give us the answers, please," Jeff Miller, a Florida Republican, told one of three senior VA officials called to testify.

The committee's senior Democrat, Michael Michaud of Maine, was equally sharp with the witnesses, who initially sparred with lawmakers over the agency's response for documents before answering questions about Phoenix.

"Let me be clear, I'm not happy. We do expect answers. We'll get to the bottom of this," Michaud said.

Dr. Thomas Lynch, the VA's assistant deputy under secretary for clinical operations, told the committee there are plans in place to contact the 1,700 veterans in Phoenix by the close of business on Friday to assess their needs and get them care.

Lynch, who said he agreed with the interim report's findings, believes that overarching agency goals for reducing wait times for care are flawed.

"What's happened is unacceptable," he said.

VA pledges faster appointments

The VA's troubled history

@highlight

A veterans group demands a criminal investigation of medical center practices

@highlight

1,700 veterans will be contacted by the end of business Friday, a VA official says

@highlight

VA Secretary Eric Shinseki is on ''thin ice'' with Obama, a White House official says

@highlight

The scope widens, with 42 medical centers now under investigation