ATLANTA, Georgia (CNN) -- "Now, come, travel back in time. See where and how these rulers lived," Harrison Ford's deep voice beckons just before double doors swing open into a labyrinth of galleries displaying more than 130 ancient Egyptian artifacts.

This canopic stopper covered one of the openings of a container that held King Tutankhamun's internal organs.

The recorded introduction a la "Indiana Jones" welcomes visitors to a new exhibit featuring treasures from boy king Tutankhamun's tomb and artifacts tied to rulers spanning 2,000 years of Egyptian history.

"Tutankhamun: The Golden King and the Great Pharaohs," presented by Emory University's Michael C. Carlos Museum, premieres in the United States on November 15 at the Atlanta Civic Center.

An array of objects associated with rulers dating from Egypt's Fourth Dynasty into the Late Period (about 2600 B.C. to 660 B.C.) makes this the largest and most encyclopedic exhibit featuring Egyptian pharaohs presented in the U.S., according to exhibition curator David Silverman, who has worked on other exhibits focusing on Tutankhamun.

"A lot of people, when they hear 'Tut,' they think of gold, they think of the mummy, and they think of the discovery -- all of which is important. But when you think of more than 300 pharaohs, 31 dynasties, [Tutankhamun's] is only one of them," Silverman said.  Listen to Silverman describe the ancient burial process and artifacts found in King Tut's tomb »

Carefully focused pools of light illuminate stone pharaohs, gold and carnelian jewels and objects intended for the afterlife in darkened galleries looking at themes including the family life, religion, court and gold of the rulers.

A golden mask found on the mummy of Psusennes I presides over the gold gallery. Considered by ancient Egyptians to be the skin of the gods, gold was highly prized and used extensively in royal burial to assure pharaohs' divinity in the afterlife. A gold collar found on the body of Neferuptah, daughter of Amenemhat III, showcases an intricate arc of carnelian and feldspar that terminates with golden falcon heads.  Tour the galleries with exhibition curators »

Four rooms at the end of the exhibit correspond with the four chambers of King Tutankhamun's tomb. He was one of the last rulers of the 18th Dynasty; his rule started in 1333 B.C. when he was only 9 or 10 years old and ended in 1323 B.C. when he died under mysterious circumstances.

A tented entry, larger-than-life photos of archaeologist Howard Carter and his financial backer, Lord Carnarvon, and photos of the archaeological dig that revealed the tomb set the scene for some of the riches discovered by Carter in 1922.

One of four coffinettes that each held one of the king's internal organs is among the lavish burial ornaments on display. Statuettes of servants also were found in the tomb, placed there to ensure that the king would do no forced labor in the afterlife.

Ancient ritual and modern technology collide in the final gallery, where visitors can see CT scans of Tutankhamun's mummy, part of an Egyptian research project in collaboration with National Geographic that will scan all of the ancient mummies.

The scans of the boy king, long suspected to have been murdered, show no signs of foul play. A suspicious dark spot on the back of the skull was revealed to be a result of the embalming process, Silverman said.

Other recent discoveries?

"Unlike any of the representations that we see of Tut, these scans show that he had a recessed chin and a rather pronounced overbite," Silverman said.

After its conclusion in Atlanta in May, "Tutankhamun: The Golden King and the Great Pharaohs" will open at the end of June in Indiana at the Children's Museum of Indianapolis.

CNN's Jacque Wilson contributed to this report.

@highlight

"Tutankhamun: The Golden King and the Great Pharaohs" opens in Atlanta

@highlight

Exhibit places King Tut in a continuum of Egyptian history

@highlight

130 artifacts span 2,000 years and more than a dozen reigns