(CNN) -- The world's most famous scientist, with his iconic wild hair, crumpled suit, and pens peeking from breast pocket, poses not in a laboratory -- but on the deck of a ship.

It's a candid image of Albert Einstein in his leisure time, taken on one of many trips aboard Red Star Line vessels between Europe and America in the 1930s.

Three years after this photograph was taken, the Nazis came into power in Einstein's homeland Germany, and he traveled to the U.S. on one of these huge passenger steamers for good, in a journey that may well have saved the Jewish physicist's life.

The Nobel Prize winning scientist was one of 2.5 million people who sailed across the Atlantic with the boat company between 1873 and 1934 -- a quarter of them Jewish.

Now their remarkable stories -- many escaping persecution in Europe and investing their savings in a better life in the New World -- have been immortalized in a new $25 million Red Star Line Museum in Antwerp, Belgium.

"The most important artifact we're showing is the actual building -- it was the control center for all third class passengers," said museum co-ordinator Luc Verheyen, of the renovated red brick warehouses on the Rhine Quay, which until now had been left to rot.

"Inside we have a collection of ship models, stories, pictures, letters, even a Belgian waffle iron, and the piano of composer Irving Berlin -- it shows something about what was important to people of the time."

Lifesaver

Along with Einstein and Irving Berlin -- the composer of famous songs "White Christmas" and "There's No Business Like Show Business" -- was another passenger who fled Europe to forge a successful career in the U.S.

Lawyer, author and prominent feminist, Sonia Pressman Fuentes, was just five years old when her family traveled from Antwerp to New York in 1934. Today she is believed to be one of just five surviving Red Star Line passengers, and the only who attended the museum's opening last month.

The daughter of Jewish Polish clothing merchants living in Berlin, 85-year-old Fuentes says she would have died at the hands of the Nazis if her family hadn't caught the SS Westernland that fateful day.

"It was a lifesaver, absolutely," said the mother-of-one, adding that the Antwerp authorities had planned to deport the family before they boarded the ship.

"There's no question of the role the Red Star Line played in the lives of people who escaped the Holocaust."

Historic journey

While Fuentes was too young to remember the 10-day journey across the Atlantic, her 18-year-old brother Hermann, who had convinced the family to join him in Antwerp, kept a diary of the voyage, copies of which now appear in the museum.

"My brother wrote that we were seasick the whole time," says Fuentes, and indeed, life on the ships was cramped and dreary for third class passengers.

"In the early years, third class passengers were in large, communal cabins without water or light. They could go outside for some air once a day," said Verheyen. "But towards the end, it got a lot better and they started investing in small dormitories with six people in a room."

"First class however, was more like a luxury hotel, with huge ballrooms for dancing."

With a third class ticket valued at around $1,300 in today's money, a laborer would have had to work 75 days to cover the cost.

Third class passengers also had to undergo rigorous health checks before boarding, with anyone refused entry at Ellis Island immigration center in New York sent back at the expense of the shipping line.

Passengers would take hour-long showers with hot vinegar and benzene, cleaning them of lice, while their luggage was disinfected in large steam sterilizing machines.

Ship-shape

Founded by Antwerp and Philadelphia ship brokers almost 150 years ago, the Red Star Line heralded a golden era for transatlantic ocean travel, and during its heyday two vessels left for North America each week.

"People left Europe for a variety of reasons -- poverty, the rise of industrialism meant a lot of small family businesses went bankrupt, political or racial persecution, and adventurers with small capital who had heard about the prosperity on the other side of the ocean," said Verheyen.

For Fuentes, the most emotional moment of her return to Antwerp, was standing at the very same water's edge where her family set sail 80 years ago.

"If it wasn't for that journey I wouldn't have had a life, or a daughter," she said. "My brother wouldn't have had children and grandchildren and great grandchildren. My parents wouldn't have had lives, none of that would have happened if we hadn't traveled on the Red Star Line."

@highlight

Albert Einstein escaped Nazi rule by sailing on Red Star Line ship 80 years ago

@highlight

One of 2.5 million Europeans to travel on the company's vessels to North America

@highlight

Red Star Line Museum opens in Antwerp, includes over 5,000 pieces of memorabilia

@highlight

Passenger Sonia Pressman Fuentes says would not have survived Holocaust without trip