Yahoo's decision to curtail remote working among its employees has stirred dismay in the technology industry at a time when many companies are innovating new solutions to enable telecommuting.

At the Mobile World Congress in Barcelona, one of the planet's biggest showcases of new digital technology, numerous manufacturers are touting gadgets and software specifically aimed at keeping workers out of the office and either on the road or at home.

Yet among those exhibiting at the annual event, there was mixed reaction as some digital innovators aired reservations about Yahoo CEO Marissa Mayer's latest attempt to revive the search engine's flagging fortunes while others backed a more balanced approach.

Tell us: What smartphone feature would you like to see in the future?

Mayer's strategy was revealed after a leaked memo set a June deadline for remote workers to either relocate within physical commuting reach of a Yahoo office or leave the company.

Yahoo has declined to comment but the memo, obtained by tech blog All Things D, said the move was necessary as "to become the absolute best place to work, communication and collaboration will be important, so we need to be working side-by-side."

The announcement comes as many governments worldwide are urging employers to consider telecommuting as way of alleviating overburdened and environmentally detrimental transport systems and also striking better work/life balances.

Advances in technology, particularly the spread of broadband internet connections and 3G and 4G mobile phone networks has made this possible. At the Mobile World Congress event, many exhibitors stake their futures on an increase in telecommuting.

Greg Sullivan, Senior Product Manager for Windows Phone, said remote working provided a tremendous opportunity for workers to get more out of their lives while reducing their impact on the planet's ecosystem.

"We have to be vigilant in making sure that technology doesn't let work overtake us. But one of things that's been enabled by this, is the ability to have it all," he told CNN, illustrating his point with an anecdote about being called by Microsoft CEO Steve Ballmer.

"I was at my daughter's soccer game not long ago and I was waiting for a very important e-mail from a very important person at Microsoft -- named Steve -- and I didn't have to stay home and wait for it.

"I could go to my daughter's soccer game and see on my phone that the e-mail came in. So it was a win-win situation and that's what technology can do for us.

"Balmer was probably fine with that - he probably didn't even know that I was at my daughter's soccer game."

One MWC exhibitor GENBAND, a U.S.-based company that provides technology which can be used to create remote working environments, said Yahoo's move was understandable, but the problems it faces could be overcome with better technology.

"There is some validity to the arguments motivating Yahoo's move away from supporting remote workers," said GENBAND Chief Executive Charlie Vogt. "Worker productivity is in some ways a measure of meaningful human interaction and face-to-face communications."

But, he said, communication systems, including video conferencing and internet collaboration, that allow employees to realistically simulate face-to-face interaction, are already on the market.

"With little effort most remote employees can take advantage of intelligent communications tools to elegantly blend the benefits of being part of a vibrant office environment and having the flexibility that comes from working outside the office on a permanent or part-time basis."

Cisco, another MWC exhibitor whose products are directly aimed at creating remote working environments, insisted its technology was capable of recreating every aspect of real-life interaction short of physical contact.

Marc Musgrove, Cisco's global communications director, said Yahoo's announcement was unfortunately timed as it came just days ahead of the March 4 start of the third annual Telework Week, a Cisco-backed global initiative to encourage remote working.

Musgrove said Cisco's video-link products allowed employees to talk lag-free in high definition, but he said there was a need to strike a balance between "appropriate" home working and office-based interaction in genuinely collaborative work spaces such as Cisco's main campus in San Jose, California.

"When people come into the office you don't want people just sitting there heads down knocking out their emails, because they can do that from a café or a home office or remote office."

Foursquare Co-Founder Dennis Crowley also emphasized the need for balance: "It is great to offer employees the flexibility that If they need to be off for a day or so, or for an afternoon, that's totally fine.

"We try to get as many people together in the office as possible because that's where stuff gets done. People hang out in the lunch room, and they hang out in the hallways and in different meeting rooms. You are more productive when people are all together, but I think you need to have a little bit of flexibility.

"We use things like Google+ Hangouts to do a lot of video conferencing at Foursquare, so we're able to make it work.

"It's a mixture of both, but not too much out of the office," he added.

David Marcus, President of PayPal, said: "This is not a black and white answer. Generally if teams are together they're definitely more efficient and more productive. But that being said, you also need to cater to moms who need to go and pick up their kids from school. And so you need to find the right balance."

@highlight

Exhibitors at annual Mobile World Congress say Yahoo's ban on remote working ignores need for balance

@highlight

Greg Sullivan of Windows Phone says telecommuting improves home life and benefits environment

@highlight

Cisco's Marc Musgrove says modern technology can now recreate face-to-face encounters