ATLANTA, Georgia (CNN) -- A federal court has ordered a Kuwait-based contractor to pay nearly $5 million in damages to the family of a U.S. military officer killed in Iraq -- a rare court decision holding a contracting company accountable for its actions in the war.

Lt. Col. Dominic Baragona was the highest-ranking soldier to die in Iraq when he was killed May 19, 2003.

Army Lt. Col. Dominic "Rocky" Baragona was just an hour away from a U.S. base in Kuwait -- ultimately headed home to the United States -- when a tractor-trailer operated by Kuwait and Gulf Link Transport Company slammed into his Humvee on May 19, 2003, killing him instantly.

Baragona, a West Point graduate, was 42 years old and the highest-ranking soldier to have died in the war at the time.

His family filed a wrongful death suit against KGL. Earlier this month, the U.S. District Court for the Northern District of Georgia sided with the family, holding the Kuwait company negligent in Baragona's death for failing to provide safe passage on the three-lane road where the accident occurred.

A key issue in the judge's decision was whether a U.S. court had jurisdiction over a foreign contractor and whether there was a legal basis to find it negligent. Ultimately, Judge William Duffey found that there was.

"The court enters judgment in the amount of $4,907,048 to be paid by KGL in a single lump payment," the judge wrote in his 12-page decision issued on November 5.

Baragona's father, Dominic Baragona, a former U.S. Marine, told CNN he is embarrassed his family was forced into a lawsuit to learn details surrounding his son's death. He also said the court decision is bittersweet: No amount of money will ever bring his son back, but it feels good that a court of law sided with his family.  Watch family describe Rocky's hugs, his Mustang and his character »

"You feel good for the Rock," he said of his boy. "We're going to make KGL sweat it a little bit. I mean they're going to remember Rocky's name."

Baragona's sister, Pam, added, "Even in his death, he's still handing out more messages -- very quietly, in Rocky's way."

CNN sought comment from KGL for this story, but got no response. The law firm Crowell & Moring, which has represented KGL in the past, declined comment.

KGL has received millions of dollars in U.S.-government contracts. On its Web site, the company says it "performs multiple operations such as providing of vehicles and equipments to customers," including the U.S. Army and coalition forces. It also boasts of having more than $1 billion in market capitalization.

CNN legal analyst Jeffery Toobin said the court decision theoretically "does open the door to more lawsuits" against contractors, but that the Baragona family is a long way from ever seeing the money.

"It is always very hard to collect judgments against foreign companies and, when you overlay the chaos of Iraq, it makes it extremely difficult -- if not impossible," Toobin said.

The court decision comes at a time when Congress has been closely scrutinizing contractors and seeking ways to hold the companies accountable for their actions in war zones.

The Baragonas say their suit was never about money. They would like to see changes made in the contracting business, most importantly to have third-party investigations carried out when something goes wrong and to keep everyone abreast during that reporting process.

"[Rocky] was about improving and changing systems so that we had a better Army. And that's what he believed in and that's what he dedicated his life to. If in his death, he adds more on to that -- that's what I'm fighting for," said Pam Baragona.

If the family ever gets paid, they say they want to set up a foundation to honor their son and brother to help pay for college educations of deserving students. "Rock's the little guy. We have to vindicate for him. We have to take care of the little guy," his sister said. "Creating a legacy for him is a huge responsibility."

Born on Flag Day on June 14, 1960, Rocky Baragona dedicated his life to the military, entering West Point after high school and graduating among the top of his class in 1982. His motto was: "More than expected."

He was one of seven children, five boys and two girls. One brother, Christopher, died of leukemia just before he would have turned 9. The family says it was a young, energetic and super smart Rocky who "held our family together through that dark time."

"Rocky was my heart," his mother, Vilma, said.

So sharp was Rocky that he attended a computer camp in the mid-1970s and then taught a computer class in high school for two years because nobody else at school knew much about computers, his mom said.

Rocky loved the military. He also loved gadgets, the Cleveland Indians, the Ohio State Buckeyes and the Cleveland Browns.

His father, Dominic, said he spoke with his son just two hours before he was killed in Iraq. As the commander of the 19th Maintenance Battalion based out of Fort Sill, Oklahoma, his son was helping his soldiers get out of Iraq en route to Camp Victory in Kuwait. Once at the Kuwait base, they were scheduled to head home to Fort Sill.

"I remember asking him: 'Well, Rock, is there anything I have to worry about?' " the father said.

"He said, 'The only thing you have to worry about, Dad, is something stupid happening.' "

According to the lawsuit, Baragona was traveling south through Iraq as part of a three-vehicle convoy when the crash happened. The suit claims the KGL tractor-trailer struck a pile of dried concrete that had spilled on the road, jack-knifing the big rig and then slamming into Baragona's Humvee. The soldier driving Baragona's vehicle survived the accident.

The Baragona family never expected more than four years later to be talking to a reporter about their son over the Thanksgiving holiday, a court decision and the grief they've endured -- grief over losing a young child to leukemia and then a grown son three decades later to an accident in war.

"It just never goes away," his mother said of her pain.

The father says he and Rocky loved to talk politics. Rocky would always take the opposite position just to rile up his old man.

"I didn't win too many arguments off him because he was so damn sharp," he said. "To me, he was the guy I couldn't wait to talk to."

The dad then paused and said, "What a great relationship." E-mail to a friend

@highlight

Federal court orders Kuwaiti contractor to pay $5 million to soldier's family

@highlight

Lt. Col. Dominic "Rocky" Baragona died in Iraq accident on May 19, 2003

@highlight

Dad: "They're going to remember Rocky's name"

@highlight

Ruling comes at a time when Congress is weighing contractor accountability