(CNN) -- Speculation has been rampant over what exactly has happened to North Korean leader Kim Jong Un. After all, Kim hasn't been seen in public in over a month, and the country's media took the unusual step of admitting that Kim is in an "uncomfortable physical condition." Some commentators believe this suggests Kim might be more seriously ill than the country is letting on. But others have speculated something more dramatic might have occurred -- namely a coup.

Does the evidence back this up? The short answer is, no.

For a start, there have been no unusual military or troop movements inside North Korea, particularly tied to the Pyongyang defense command or other key military units. On top of this, just this past weekend, Hwang Pyong-so -- political director for the Korean People's Army, and widely seen as the second most powerful man in North Korea -- and former KPA political director Choe Ryong-hae made a surprise visit to South Korea for the end of the Asian Games.

The visiting officials brought with them a surprise: an informal offer from Kim to immediately resume high-level talks between North and South Korea. It is difficult to imagine that a regime facing an intense internal crisis or power struggle would dispatch two top political and military figures to South Korea, and make an offer in Kim's name, if there really were a silent power struggle going on back in Pyongyang.

Finally, it was reported that all the achievements of the North Korean athletes at the recently concluded games were attributed to Kim, with lectures given to workers on October 4 titled "The faith and consideration of Marshal Kim Jong Un for the athletes and workers." Clearly, the regime is still placing Kim at the center of its propaganda.

Is Kim Jong Un's sister in charge?

Absent any sort of evidence of military upheaval or unusual political activity, the only way this could be a coup is if it were completely invisible, a very unusual sort of coup indeed.

True, talk of coups against successive Kim regimes has been a staple of North Korea-watching for decades. But the legitimacy of North Korea's rulers has been centered on the Kim family since the country was founded, some seven decades ago. A coup would therefore not only have to physically replace Kim, but provide some sort of justification and legitimation for such action to the North Korean people.

The role of the Kim family in North Korea is typically misunderstood as a "cult of personality," but the reality is more complex than that. In fact, one reason the North Korean regime has proved so durable is that it is grafted onto deep Korean social and cultural roots. In contrast to many other communist regimes that attempted to wipe away the past, the North Korean regime built its legitimacy on the basic idea that Kim Il Sung is the "true" Korean, the only defender of the Korean nation from its enemies.

Is Kim Jong Un still in charge of North Korea?

With this view in mind, the Kim family did not try to wipe out many of the existing cultural or social features of Korean life, but instead embraced them (in an admittedly warped way). For example, the Korean Worker's Party adopted the Confucian scholar's brush -- perhaps the most obvious representation of traditional Korea -- as part of its official iconography. The party also encouraged its women to wear traditional Korean dress as often as possible, another link to its past.

But most important of all has been the use of the traditional Korean extended family as the basis of North Korean political rule. Korea is a clan-based, familial society, and Kim Il Sung simply melded himself -- and his son and grandson -- onto the entire country as patriarch.

Kim's son and grandson have continued this patriarchal approach: Activities such as "on the scene guidance," and other personal interventions by Kim have emphasized the personal link between the Kim family and their citizens. Of course this effort at legitimation is warped and repressive. But it has also resonated with many North Koreans.

All this suggests that while internal collapse is quite possible -- even likely -- if the Kim family itself should come apart, a coup by someone outside the family appears unlikely to succeed.

Kim's absence from celebrations marking the founding of the Korean Worker's Party on October 10 would certainly raise eyebrows. But right now, without any kind of concrete evidence, speculation that there might have been a coup looks misplaced.

Kim may be sick or even have had surgery. But he is also almost certainly still in power.

@highlight

North Korean leader Kim Jong Un hasn't appeared in public for over a month

@highlight

Speculation that he may have been toppled in coup is misplaced, says David Kang

@highlight

Lack of unusual military or political movement suggests Kim still in power, Kang says