(CNN) -- Tens of millions in the central and eastern United States are bearing the full brunt of summer, in all its sweltering and stormy fury.

Temperatures Friday soared past 100 degrees Fahrenheit from Topeka, Kansas, to Washington, and the same scorching conditions are expected to continue through the weekend and beyond.

Even as evening set in Friday, the headaches weren't over. A powerful line of severe thunderstorms moved across the Midwest -- "fueled by record-high temperatures across the region," according to the National Weather Service -- bringing with them lightning and wind gusts as strong as 80 mph.

As they moved east from Indiana through Ohio and into West Virginia, the storms caused damage that contributed to power outages that affected more than 2 million homes by 11:30 p.m. ET Friday, according to utilities.

"The storms may reach as far as the Atlantic coast by late tonight or early Saturday morning," the weather service said. "People planning outdoor activities this evening in the path of the squall line are urged to pay attention to local weather warnings and take shelter as storms approach."

It's part of a massive system that has left one in three Americans baking in scorching heat and has threatened lives and doled out misery for those not fortunate enough to find a splash of cool water or air conditioning.

Heat warnings, watches or advisories Friday spanned 730,000 square miles of the central and eastern United States, an area roughly the size of Mexico, CNN meteorologist Brandon Miller said. About 100 million people were affected, he said.

"If you don't have a good pair of boots, it'll burn clear through to your feet," said roofer Zach Bruner in Evansville, Indiana, where he said the 103-degree temperatures were spiking to 130 on the job site.

WIS: Lexington, South Carolina, police battle heat

Joyce Ablog, a dentist in the same southwestern Indiana city, tested the heat by putting a sheet of raw cookies inside her car. Hours later, she found them nice and brown -- if not necessarily cooked all the way through.

"I've always heard about it being so hot I'd fry an egg on a sidewalk," she told HLN on Friday. "I really don't want to try to eat an egg off the sidewalk. So I thought, why not cookies?"

By midafternoon Friday, temperatures had climbed to 100 degrees in Indianapolis; 101 in Richmond, Virginia; and 102 degrees in St. Louis, where highs were forecast to stay above 100 through Thursday, the National Weather Service said.

And it felt even hotter in some places, with the heat index topping out around 115 degrees.

KSHB: Man, infant dead because of Kansas City heat

The Jackson County medical examiner, in western Missouri, is investigating three deaths that may be related to the heat, according to information on the Kansas City Health Department's Twitter feed. One case involves a male, born in 1952, and a young boy born last year; the other suspected heat-related death is another man, born in 1943.

The medical examiner in Harris County, Texas, is also looking into whether a 62-year-old Houston woman found Thursday died from heat-related causes, CNN affiliate KHOU reported.

Some places have been sweltering for days, and there's little relief in sight for many with temperatures expected to remain roasting through next week, if not longer.

"Heat-related illness such as heat exhaustion or heat stroke are a real threat," the National Weather Service said in issuing an excessive heat warning through Sunday for eastern Missouri, including St. Louis, where temperatures should soar up to 106 this weekend.

"This is especially true because of the longevity of this heat wave, and the effects of extreme heat are cumulative."

In Springfield, about 215 miles southwest of St. Louis, high temperatures prompted city officials to open eight cooling centers and extend pool hours, steps similar to those taken by many other municipalities, including ones more than 1,000 miles away in the Washington area.

5 tips to survive extreme heat

In Memphis, Tennessee, where highs hit 105 degrees Friday, firefighters went door to door, checking on residents to make sure they're bearing the weather well. Churches and faith-based institutions were also urged to reach out to people and to ask people to check on their neighbors and relatives.

WCSC: New weather bug system could keep carriage horses healthy

"Please, if you know of someone who doesn't have air conditioning or who might be struggling with the heat, just stop by and see how they are doing," Mayor A.C. Wharton Jr. urged residents in a news release.

Excessive heat warnings, issued by the National Weather Service when "a prolonged period of dangerously hot temperatures will occur," were posted for 12 states, from Nebraska to New Jersey, with watches and advisories posted for at least six other states. Arizona was also under an excessive heat warning, with a predicted high Friday in the Phoenix area of 112 degrees.

In locales not doused by thunderstorms, excessive heat is affecting air quality. Citizens of metro Atlanta experienced their first "code red smog alert" since 2010, according to the Clean Air Campaign, a partnership between employers and the state transportation department.

Other metro areas on the East Coast were also feeling the heat and its repercussions. That includes New York, where there is an air quality alert and heat advisory out through the weekend because of heat indices that probably will hover just below or surpass 100.

WDIV: Heat wave leaves farm animals with little food

This kind of heat is nowhere near normal for this time of year, CNN meteorologist Sean Morris said, pointing to a statement from the National Weather Service that said all but one of the 52 record-high temperatures reached in 2012 have come in the past seven days.

This month, 21 high-temperature records have been set, and 30 have been tied, according to Greg Carbin, warning coordination meteorologist for the Storm Prediction Center. That's on top of 45 records set or tied in June 2011, Carbin said.

The conditions have people young and old doing whatever they can to beat the heat.

Among them was a 2-year-old named Kayden who spread his arms wide and made a dash for the center of Atlanta's Centennial Olympic Park fountain on Friday afternoon.

The fountain, which is usually crowded with children and their parents during the summer months, had been cleared for a midafternoon water show featuring the song "Under the Sea." But Kayden didn't care. It was hot, and the water looked good.

His mother, 21-year-old Domonique Pagan, is from Boston and said that after seven years in Georgia, she still isn't accustomed to such heat.

"Are you kidding?" she said. "I'm about to die out here. I'll never get used to this."

CNN's Nick Valencia, Melissa Abbey and Jake Carpenter contributed to this report.

@highlight

NEW: Storms cause about 2 million power outages from Indiana to West Virginia

@highlight

Authorities around Kansas City are probing 3 deaths that may be heat-related

@highlight

One-third of the U.S. population was under some kind of heat warning Friday

@highlight

The scorching conditions are expected to stretch into next week in some places