(CNN)In 1796, in his final annual address to Congress, President George Washington called for the creation of:

"...a National University; and also a Military Academy. The desirableness of both these Institutions, has so constantly increased with every new view I have taken of the subject, that I cannot omit the opportunity of once for all, recalling your attention to them."

The Military Academy was soon built at West Point. But despite leaving $22,222 for its establishment (a lot of money back then) in his last will and testament, Washington's National University never came to pass.

Instead, lawmakers chose to rely on state governments and religious denominations to build and finance new colleges and universities.

Today, the American higher education system is in crisis. The price of college has grown astronomically, forcing students and parents to take out loans that now exceed $1.2 trillion in outstanding debt. Many of those loans are falling into default as graduates struggle to find work. The latest research suggests that our vaunted universities are producing graduates who haven't learned very much.

The time has come to revive George Washington's great idea, in 21st century form. Advances in information technology that would have seemed like pure magic in colonial times mean we can now create a 21st Century National University that will help millions of students get a high-quality, low-cost college education — without hiring any professors, building any buildings or costing the taxpayers a dime.

To see how, it helps to understand the three ways the federal government currently supports higher education.

Two of them are well known. First, the Defense Department, National Institutes of Health, and other federal agencies spend hundreds of billions of dollars financing university-based research, contributing to countless scientific breakthroughs and commercial innovations. Second, the U.S. Department of Education provides $150 billion annually in grants and loans to help students pay for college.

As tuitions rise and states continue to slash funding for public universities (Wisconsin Gov. Scott Walker recently proposed $300 million in new cuts), the federal government has become the college financier of last resort.

But there is a third essential federal role in higher education that is far less well known. In many ways, it's the most important of them all, and the key to creating a 21st Century National University. In addition to funding colleges, the federal government approves colleges.

It does this through a little-understood process called accreditation. To be eligible for those billions of research and financial aid dollars, colleges must be accredited. Technically, accreditors are nonprofit organizations run by consortia of existing colleges. But in order to make a college eligible for federal money, accreditors must first be approved by the federal government. Without that approval and the money that goes along with it, both colleges and accreditors would immediately close up shop. In other words, Uncle Sam ultimately decides who gets to be an American college and grant college degrees.

So, here's the big idea:  In order to build a 21st Century National University, all the federal government has to do is something very simple: Approve itself.

In George Washington's days, this would have been only the first step of a process subsequently involving the construction of an actual university. Doing this today would accomplish little in solving the higher education crisis, because physical universities cost billions of dollars to construct from scratch and can still only enroll a handful of the many students who can't afford a good education.

Fortunately, there's no need for new buildings — or, for that matter, administrators, libraries, faculty, and all the rest. Existing colleges and universities, flush with federal dollars, have already created all the essential building blocks for National U. Anyone with an Internet connection can log on to Coursera, edX, saylor.org, and many other websites offering high-quality online courses, created by many of the world's greatest universities and taught by tenured professors, for free.

Tens of millions of students have already signed up for these courses over the last four years. Yet enrollment in traditional colleges hasn't flagged, and prices have continued to rise. The reason is clear. The free college providers can't (or won't) give online students the one thing they need more than anything else: a college degree. Elite universities like Harvard and Stanford don't want to dilute their exclusive brands. Nonelite universities don't want to give away something they're currently selling for a lot of money.

That's where the federal government comes in. With some authorizing language from Congress and a small, one-time start-up budget, the U.S. Department of Education could create a nonprofit, bipartisan organization with only two missions: approving courses and granting degrees.

Don't worry, federal bureaucrats won't be in charge of academic matters. Instead, National U. would hire teams of leading scholars to evaluate and approve courses. Some of the decisions shouldn't be difficult.

For example, this week, edX is launching a free, nine-week-long online course called "Introduction to Computational Thinking and Data Science." It will be taught by Dr. Eric Grimson, who is the chancellor of the renowned Massachusetts Institute of Technology, and Dr. John Guttag, who leads the MIT Computer Science and Artificial Intelligence Laboratory's Data Driven Medical Research Group. The course materials mirror those taught to some of the smartest students in the world on MIT's campus in Cambridge, Massachusetts.

It seems likely that this is a good course.

National U., moreover, wouldn't be limited to courses from existing colleges. Any higher education provider, public or private sector, could submit a course for approval. Those that aren't already accredited would pay a fee to cover the cost of evaluation.

National U. would also map out which courses students need to take to earn an associate or bachelor's degree. This won't be difficult, since existing colleges have already established a standard set of requirements: a certain number of approved lower- and upper-division courses, plus an approved sequence in an academic major, adding up to 60 or 120 credits. Once students complete the credits, National U. will grant them a degree.

While many of the courses will be free, students will bear small costs for taking exams through secure online channels or in-person testing facilities. (Textbooks will be free and open-source). Students will also pay a modest fee of a few hundred dollars for the degree itself, enough to defray the operating costs of National U.

Lower-income students will be able to pay for those expenses using the same federal grant and loan programs they currently use to pay tuition at accredited colleges. Since National U. will likely be much cheaper, this will actually save the taxpayers money in the long run.

If it all sounds too good to be true, keep in mind that free online courses from the likes of MIT are a very recent phenomenon. Higher education policies just haven't adapted to them — yet.

The federal government's higher education approval powers are long-established. Now it just needs to use them on behalf of students, instead of traditional colleges and universities that are charging far too much. George Washington was right all along.

@highlight

In 1796, Washington called for a national university and even left money behind to fund it

@highlight

Kevin Carey: We could build a 21st century version of a national university at no cost to taxpayers