For the next two months, Australian polar explorer Eric Philips will be guiding the crew aboard the Greenpeace ship, the "Arctic Sunrise." They're navigating the waters around Greenland to chart the impact of climate change. Philips filed this blog as part of CNN's special "Going Green."

PETERMANN GLACIER, Greenland -- I'm writing this blog from Petermann Glacier in northwest Greenland, where a cold katabatic wind is blowing off the ice onto the deck of the Greenpeace ship Arctic Sunrise.

A polar bear checks its reflection in the Robeson channel, near the border between Greenland and Canada.

The ship is here on a scientific research mission, and to document the effects of climate warming on the world's largest island and second largest icecap. I'm on board as the expedition safety guide, which means making sure that everyone venturing off the ship is well-equipped and well-informed for dealing with conditions in the harsh and remote Arctic wilderness.

While it's exciting to work beside world-class scientists such as ice-sheet climatologist Jason Box, glaciologist Alun Hubbard and geophysicist Richard Bates, it's equally disheartening to be here bearing witness to the catastrophic events they record.  Watch Eric Philip's video blog »

Each year I guide ski expeditions across the pack ice to the North Geographic Pole and each year brings new surprises -- severe storms rarely seen in these parts, vast tracts of first-year ice where there should be years of accumulation, pack ice drifting faster and farther than ever before.

The veneer of fractured ice over the Arctic Ocean is changing, disintegrating before my eyes. Over the last twenty years more than 5000 kilometers of ice has passed beneath my skis during numerous expeditions to both poles, as well as treks across Greenland, Spitsbergen, Iceland, Ellesmere Island and the Patagonian Icecap. Add to this multiple voyages and flights to both Antarctica and the Arctic and I have come to feel part of the polar landscape. I've developed somewhat of a polar sense, and I sense there is something afoot that I don't much like.

Never before has the channel between Ellesmere Island and Greenland been this ice-free in mid-summer; it's usually blocked with ice until August. Over the past week we've placed GPS trackers and time-lapse cameras on and around the Petermann Glacier, in anticipation of it losing a piece of ice around 100 square kilometers in size. Massive cracks are spearing across the "tongue" of this enormous floating ice shelf (16km wide and 80km long) heralding one of the biggest glacier calvings ever recorded in the northern hemisphere.  See photos of the Petermann Glacier »

With the ice shelf no longer able to hold back the rest of glacier, that means more fresh water sliding into the ocean. Broadly speaking, the warmer the climate, the greater the melt. This phenomenon is happening not just at Petermann, but at glaciers worldwide, contributing to sea level rise.

We'll be in Greenland for the next two months, during which time this Greenpeace-supported initiative will all but circumnavigate the island. As well as doing a lot of funky innovative science, we'll be using the expedition to get politicians to take some responsibility for curbing emissions.

This week, world leaders are meeting up in Italy for the G8. It's a real -- and possibly the last -- opportunity for them to take a stand on climate change in the run up to this December's climate meeting in Copenhagen, by making cuts of 40 percent in greenhouse gas emissions for developed countries.

My dual homelands are Australia and the Arctic -- the latter is showing the strain of climate change more than anywhere else, but Australia is suffering too, with droughts in the south and flooding in the north. Australian Prime Minister Kevin Rudd will be at the G8 meeting, as will President Obama and other heads of state. Let's hope they don't squander this important opportunity to make deep and lasting commitments to curbing climate change.

@highlight

Scientists on board "Arctic Sunrise" are charting impact of climate change

@highlight

Started a three-month expedition on June 10 to waters around Greenland

@highlight

Experienced polar explorer Eric Philips is providing safety advice for the crew

@highlight

Philips: "I sense there is something afoot that I don't much like"