Washington (CNN) -- The stakes of the stalemate are high -- and climbing.

The partial government shutdown will enter its 14th day Monday, just three days before the U.S. government bumps up against its projected borrowing limit.

Talks both on ending the shutdown and on avoiding the debt ceiling have shifted to the Senate, as Senate Majority Leader Harry Reid and Minority Leader Mitch McConnell, along with other top senators, began discussions this weekend.

The Senate reconvened Sunday afternoon, with Reid saying he would do "everything I can throughout the day" to reach some sort of bargain with the chamber's Republican minority.

But a source familiar with the ongoing Senate discussions expressed doubt that any significant progress would be made Sunday evening. And the Senate adjourned shortly before 5 p.m. ET, showing no signs of such progress.

Still, Reid struck a positive note as he spoke on the Senate floor.

"I've had a productive conversation with the Republican leader this afternoon. Our discussions were substantive and we'll continue those discussions. I'm optimistic about the prospects for a positive conclusion," he said.

The Senate will meet again Monday at 2 p.m. ET.

Sen. Susan Collins, R-Maine, said earlier that a bipartisan group of senators was still trying to hash out a plan acceptable to both sides.

"We had 12 people meet yesterday, but just last night I had two more Democrats and a Republican contact me to offer suggestions and say they want to be part of our group," she said on CNN's State of the Union.

"It's taken far too long. We never should be in this situation," she added. "But I do believe there's going to be a resolution this week."

Likewise, Sen. Dick Durbin, the Democratic whip, said he thinks that Congress will ultimately get the job done.

"I'm a hopeful person. I believe we can do it. I hope sensible people prevail, because at this point, it's not just a shutdown and all of the damage it's caused, but if we default on our debt, it will have a dramatic impact on the savings account, on the retirement account of average Americans," Durbin, of Illinois, said on NBC's "Meet The Press."

On the other side of the aisle, Sen. Rob Portman, R-Ohio, said he too thinks Congress will find a way out of the crisis before Thursday, when the United States hits the debt ceiling.

"We will have decided as a Congress that we need to avoid going over the debt limit, and we'll figure it out. And it will probably be a relatively short-term solution," Portman said.

A weekend of rejections

Computer failure temporarily halts some food stamp payments

But while senators' comments and reports of talks were positive, the only actions over the weekend involved one "no" after another.

-- Reid said Saturday that the plan Collins was assembling is no longer on the table, because it treated reopening the government as a "concession." Reid continues to demand that any plan include a "clean" bill, one that raises the debt limit and reopens the government with no strings attached.

-- Republicans blocked a measure to extend the debt limit with no strings attached, refusing to support a procedural vote that would have brought it to the Senate floor.

-- House Republican leaders said President Barack Obama rejected their proposal for a six-week extension of the federal debt ceiling.

-- Meanwhile, Republicans objected to the prospect being floated over the weekend that the forced spending cuts known as sequestration, which have cut deeply into federal operations since March, might be rolled back under any eventual deal. Reid said that proposal "is not anything that came from us."

The Treasury Department says it will be unable to pay the government's bills unless the debt limit is increased by Thursday. The partial shutdown of government services has been in effect since October 1. And Sen. Bob Corker, R-Tennessee, told "Fox News Sunday" that the momentum that seemed to be building last week toward a resolution has stalled.

"I do think we will see our way through this, but the last 24 hours have not been good," he said.

Christine Lagarde, head of the International Monetary Fund, said Saturday the consequences of a failure to raise the debt limit would be dire for economies around the world. She spoke to CNN's Richard Quest at an Institute of International Finance conference in Washington.

"You know, I've just spent the last two days with representatives of about 188 countries around the world. I wouldn't say they are confident. I would say they are concerned, and they are very anxious to see this crisis resolved, because they know it's going to impact on their economy," Lagarde said.

Supporters stand by representatives and government shutdown

7 crazy side effects from the shutdown

Obama spoke by phone with House Minority Leader Nancy Pelosi on Sunday to discuss the ongoing battle over the shutdown, the White House said. The two agreed on the need for a "clean debt limit increase" and a "clean continuing resolution to open up the government and end the shutdown."

Mindful that October 17 is just days away, House Republican leaders are considering all of their options even as Republican and Democratic Senate leaders try to craft a deal on the debt ceiling, a GOP leadership aide, speaking on the condition of anonymity, told CNN.

One option Republican leaders are considering is sending back a measure to the Senate that would increase the debt limit; exactly what it would contain is unknown at this time.

But the aide noted that the House is able to move quicker than the Senate, and this idea could come into play. If a decision were made to pursue this idea, then it would require Democratic support to pass in the House.

Senate Democrats meet with president

Senate Democrats met with Obama for 75 minutes Saturday afternoon, and a Senate Democratic leadership aide said the party is unified.

"Democrats are willing to negotiate on anything Republicans want to discuss as soon as we reopen the government and pay our bills," said the aide.

Another Democratic source said party leaders regard Republicans as lacking a coherent position. They hope McConnell can "cut through the clutter," the source told CNN's Dana Bash.

The sources, who are familiar with the talks, spoke on the condition of anonymity so they could speak candidly.

Despite the lack of agreement, Sen. Chuck Schumer, D-New York, said progress was being made.

"I think our Republican colleagues are moving in our direction with the fact that Obamacare is not a major part of the discussion anymore among most all Senate and many House Republicans," he said.

Will 2014 election solve anything?

Even as he demanded a "clean" bill, Reid said he and McConnell are involved in "cordial" and "preliminary" discussions.

"I hope that our talking is some solace to the American people and the world," Reid said. He said McConnell had approached him. "This hasn't happened until now," Reid said.

Paul Ryan steps into budget fight

Conservatives defiant in the face of GOP troubles

CNN's Dana Ford, Greg Clary, Deirdre Walsh, Dana Bash, Mark Preston, Chelsea J. Carter, Dan Merica, Brianna Keilar and Janet DiGiacomo contributed to this report.

@highlight

NEW: The partial government shutdown is set to enter its 14th day Monday

@highlight

NEW: Reid says on the Senate floor he feels "optimistic" about prospects for a resolution

@highlight

NEW: The Senate adjourns, showing no signs of significant progress

@highlight

The Treasury says the United States bumps up against its borrowing limit Thursday