(CNN)The first-time visitor quickly notices the pretty pastel houses and curious sculptures placed at intervals throughout the town -- but the quaint facades and works of modern art signal merely the tip of the fascinating story behind a little known hillside labyrinth in Busan known as Gamcheon village.

Not on any standard travel itinerary, the village offers a stark contrast from the glitzy skyscrapers of "new Busan" or even the bustling markets of "old Busan."

Instead, the eerily quiet village is a destination for a different type of traveler -- one that's not driven by foodie discovery or lazing on the beach, the primary reasons Koreans vacation in Busan.

Instead, Gamcheon lures travelers with an interest in art and history.

Religious roots

The village has an unusual origin story.

Many accounts say Gamcheon began as a slum town in the 1950s filled with refugees from the aftermath of the Korean War, but the village actually owes its beginnings to an ascetic religious community called Taegeukdo, an obscure religion birthed during political upheavals in Korea in the early 1900s.

Although relatively scarce today, members of the Taegeukdo religion believe that the meaning of the universe can be found through a philosophy of "great polarity," which incorporates the concepts of yin and yang.

The swirling blue and red Taegeuk symbol has been important throughout Korea's history -- it's the symbol in the center of today's South Korean flag.

In 1955, during the rebuilding phase that followed the Korean War, the city of Busan ordered some 800 families of the religious movement to move into designated area on a nearby hillside.

The religion's headquarters also moved. It remains the preeminent landmark of the village today.

Meaningful layout, artistic rebirth

Unlike other area villages that sprang up in ad hoc fashion, Gamcheon's multi-tiered communal layout was meticulously planned.

"By building the houses in tiers so that no house blocks any house behind it, the architectural layout of the village adheres to the Taegeukdo teaching of allowing others to prosper," says Kim Kye-young, a local representative of the Taegeukdo religion.

Gamcheon's art-themed makeover began in 2009, when it hosted a public art project and invited art students and artists to "decorate" the village.

While the villagers had for decades painted their own homes in pastel hues, artists added dozens of colorful touches throughout town, attaching nicknames such as "Korea's Machu Picchu" (bizarre choice) and "Korea's Santorini" (closer).

While the view is best from a high vantage point called "Sky Garden," where the village information center is located (only Korean brochures and guides are available), the real delight lies in getting lost in the village's maze of alleyways.

Each alley leads to a different surprise, from bird sculptures on roofs to Murakami-like playful installations in abandoned houses.

The quirkiest surprise is "The Little Prince," from the French novel of the same name, sitting atop a fence, staring forlornly out at the Busan Harbor alongside his fox.

Getting around

It's almost impossible not to get lost. Each alley leads to three or four others.

One way to maintain your bearings is to "follow the fish" -- painted schools that "swim" throughout the streets. Look closely and you'll spot tiny people sitting on top of the fish, or kicking them in the eye.

"Photographers come and fall head over heels in love with the village," says In Sik Kim, a local tour guide.

"But the villagers don't like the fact that so many people are traipsing through their houses, and many of them are moving away. The houses don't sell though, so they just abandon them."

More than 300 local houses are estimated to be empty.

Artists are stepping in to turn many of them into exhibition spaces.

Some have been transformed into cafes and restaurants run by the town. Profits go back to the villagers.

Small, quiet and mostly hidden from the tourist path, Gamcheon isn't ready for a flood of visitors. It prefers the occasional trickle that it has today.

"I don't think fat foreigners can fit through these alleyways," says another guide when asked about tours for foreigners.

"They'll have to watch their heads every step, too. It'll be very uncomfortable."

How to get there

In Busan, take the subway to Toseong-dong Station or Goejeong Station, then take a taxi to Busan Gamjeong  Elementary School (taxi will cost approximately $2.50).

Tour company Jane Tour & DMC offers day tours in English from $300; +82 70 7393 2428

Gamcheon Culture Village, 10-13 Gamcheon-2-dong, Saha-gu, Busan, South Korea; +82 70 4219 5556; Sky Garden village information center open daily, 9 a.m.-6 p.m.

See more on CNNGo TV

@highlight

Unusual art pops up in unexpected places throughout Busan's Gamcheon village

@highlight

In 2009, artists and students were invited to decorate the houses and streets

@highlight

Pastel homes and public buildings have historic roots

@highlight

Village is the headquarters of the Taegeukdo religion