(CNN) -- Home to up to 10 percent of all known species, Mexico is recognized as one of the most biodiverse regions on the planet.

The twin threats of climate change and human encroachment on natural environments are, however, threatening the existence of the country's rich wildlife.

And there is a great deal to lose.

In the United Nations Environment Program (UNEP) World Conservation Monitoring Centre's list of megadiverse countries Mexico ranks 11th. The list represents a group of 17 countries that harbor the majority of the Earth's species and are therefore considered extremely biodiverse.

From its coral reefs in the Caribbean Sea to its tropical jungles in Chiapas and the Yucatan peninsula and its deserts and prairies in the north, Mexico boasts an incredibly rich variety of flora and fauna.

Some 574 out of 717 reptile species found in Mexico -- the most in any country -- can only be encountered within its borders. It is home to 502 types of mammals, 290 species of birds, 1,150 varieties of birds and 26,000 classifications of plants.

Pronatura, a non-profit organization that works to promote conservation and sustainable development in Mexico, has selected six species which it says symbolize the problems faced by the destruction of nature.

"These are only some of the species which have some degree of conservation," says Eduardo Cota Corona, Director of Conservation at Pronatura. "However, there is a countless number of species in Mexico which find themselves in danger of extinction."

Golden Eagle

It is the country's national symbol yet the Golden Eagle is close to extinction in Mexico.

One of the largest raptors or birds of prey in the world, the Golden Eagle's wingspan can reach lengths greater than two metres. Only the Bald Eagle and the California Greater exceed it in size in North America.

With its powerful hooked bill and long and sharp claws it can sometimes capture prey of a size that is surprising for its size, including crane, wild ungulates and domestic livestock, though more often than not it tends to feed off small mammals such as rabbits, hares, ground squirrels and prairie dogs as well as reptiles and small-to-medium sized birds.

Primarily a solitary bird, the Golden Eagle pairs up to breed, building nests made of dry branches in cliffs and escarpments. The female typically lays two eggs which are incubated by both the male and female. Usually, only one of the hatchlings survives.

The Golden Eagle can be found in Asia and Europe and mainly in the western part of North America. It was common in Mexico but in recent years has become a rare sight.

Its demise has been attributed to the destruction of its habitat and the elimination of its natural prey. Human activity, in the form of hunting, capturing and commercial sale have also contributed to its decline.

Pronatura has lobbied for legal protection of this bird that forms part of Mexico's flag and has launched conservation projects in its natural habitat, such as in the Cumbres de Monterrey National Park and the Cuatro Ciénegas Biosphere Reserve.

Gray Whale

Pachico Mayoral, a Mexican fisherman form Baja California, claims to be the first person to have a friendly encounter with a gray whale.

Up until then this enormous cetacean -- an adult can reach a length of 16 meters and weigh in at 36 tons - had been known as the devil fish for its aggressive behavior when hunted.

The main group of gray whales is found in the northeastern Pacific. Each year a herd of 25,000 whales sets out on what is believed to be the longest migration in the animal kingdom - 12,500 miles - between their feeding grounds in the Bering and Chukchi seas off Alaska and their breeding territory in the warmer waters of the lagoons of Baja California. Over its lifetime, it is estimated that an Eastern Pacific gray whale will travel the equivalent of a return trip to the moon.

A smaller herd of about 300 gray whales can be found in the Western Pacific between Korea and the Kamchatka peninsula in Russia.

Excessive hunting in the 19th century pushed the gray whale to the brink of extinction but protection mandated by the International Whaling Commission in 1946 and the declaration by the Mexican government of Laguna San Ignacio in 1972 as a Gray Whale refuge means that it is one of the few success stories.

Pronatura and the Aztec foundation have raised nearly $4 million with which they hope to guarantee the protection of 20,000 hectares of the gray whale's habitat in Baja California and ensure its survival in the years to come.

Jaguar

It may be top of the food chain but this doesn't guarantee the survival of the jaguar in Mexico. The largest cat in the Western Hemisphere (it's nearest rival is the puma), the jaguar can be found anywhere from the southern United States to as far south as northern Argentina. In Mexico, it can be found mainly in the tropical forests of Chiapas and the Yucatan peninsula.

With its tawny yellow coat speckled with black rosette-like spots for camouflage, the jaguar resembles most the leopard of Africa, although it has a stockier build which makes it adept at climbing trees, stalking through undergrowth and swimming.

The jaguar's list of prey is long: it can hunt anything from white-nosed coati to larger mammals such as deer. Its unique anatomy -- it has an unusually large head and powerful teeth in comparison to other big cats -- gives it an abnormally powerful bite, meaning that it can take on armoured reptiles such as caiman, crocodiles and tortoises, while it often bites through an animal's skull to inflict a killer blow to the brain.

It plays an essential part in maintaining a balanced ecosystem by hunting species which would put local environments out of kilter if they were to become too abundant.

The jaguar is an important symbol in local Mexican culture. The Mayans believed it was a messenger between the living and the dead and Mayan kings often incorporated the jaguar into their name, while an elite group of Aztec warriors were known as "Jaguar Knights'.

In Mexico, the jaguar is a threatened species. Its decline is mainly due to the destruction of its natural habitat. For example, in the Ria Lagartos Biosphere reserve in northern Yucatyan state, Pronatura reports that only 20 percent of the original forest cover remains, the rest having been cleared for cattle-herding.

Tourist development also plays its part; El Ocotal Natural Reserve, where cameras placed in the forest have captured images of six individual jaguars and pumas, is close to Mexico's tourism capital, Cancun.

Pronatura estimates that if present conditions persist, the jaguar could become extinct in the northeastern part of the Yucatan within 30 to 40 years.

Mexican Prairie Dog

Closely related to squirrels, chipmunks and marmots, the Mexican prairie dog is a burrowing mammal found in northeastern Mexico.

It earnt its name from its distinctive call -- a mixture of barks and yips -- which is believed to be one of the most sophisticated languages in the animal world.

The Mexican prairie dog feeds on the herbs and grasses of the plains of northeastern Mexico and lives in "towns" -- excavated colonies of up to 50 individuals which are ruled by a single alpha male.

Listed as an endangered species since 1970, the prairie dog now occupies less than two percent of its former territory and can now only be found in southern Coahuila and northern San Luis Potosi -- an area of less than 500 square miles.

While vulnerable to hunting from coyotes, bobcats, badgers and hawks, its largest threat is loss of habitat due to agricultural expansion. Mexican farmers have often viewed the prairie dog as a pest and it has often been hunted or poisoned.

Pronatura Mexico fights for the legal protection of "Los Llanos de Tokio", an area of grassland in Nuevo Leon, San Luis Potosi and Coahuila and it has signed a conservation agreement with private land owners and ejidos (farming collectives) to protect 42, 000 hectares of land.

Monarch Butterfly

Each year, between December and March, these orange and black-patterned butterflies, the size of an adult human hand, congregate in numbers of up to 250 million in a pine and oyamel tree forest in Michoacan in Central Mexico.

They migrate approximately 3,000 miles from the border between northeastern United States and Canada and their gathering to breed in Mexico is considered one of the most extraordinary sights in the natural world.

During its life cycle, which can be up to 20 weeks, the Monarch Butterfly goes through what is known as a complete metamorphosis, comprising four stages. From eggs laid by the female, a caterpillar is hatched. The caterpillar eats its own egg case and feeds off milkweed while storing energy in the form of fat and nutrients.

It then spins a silk pad and hangs from a leaf or twig while it molts. Within its green exoskeleton, hormonal changes occur, converting the caterpillar into a butterfly. After two weeks a mature butterfly emerges.

But in the last 20 years forest cover in its breeding habitat has decreased by an estimated 40 percent. Illegal logging, an increase in cases of forest fires and high levels of poverty in the region which put pressure on natural resources, have all contributed to a situation in which Pronatura believes the forest may disappear completely within 20 years.

Pronatura and the non-profit organization The National Foundation for the Conservation of the Monarch Butterfly's Habitat have launched projects to promote sustainable development programs that help improve the quality of life of the inhabitants of the "El Chapulín" community and reduce the direct pressure on the natural resources. They also hope to reforest 30, 000 hectares of the Monarch Butterfly reserve with oyamel trees.

Vaquita

The elusive vaquita ("little cow") or cochito ("little pig") is one of the smallest and most endangered cetaceans in the world.

The only endemic marine mammal in Mexico, this porpoise can only be found in a small area in the upper Gulf of California and the Colorado River delta.

The vaquita can grow up to 1.5 meters and closely resembles the harbor porpoise in life span and breeding habits. It feeds on small fishes and squids.

Only 50 years ago the vaquita was unkown to science and yet it is now classed as "in critical danger of extinction" by the World Conservation Union.

The vaquita is difficult to monitor because it often dives when it hears motor boats approaching but generous estimates place its population at 600. However, a recent study put the number as low as 150. With an estimated 39 to 54 dying every year as a result of by-catches, it seems only a matter of time before the vaquita disappears completely.

Its main threat comes from gillnets -- highly effective fishing nets used to capture the totoaba, an enormous fish with high commercial value -- in which the vaquita gets caught up and drowns.

In 1983 the Mexican government established the Upper Gulf of California Biosphere Reserve to protect them but it would seem that more stringent fishing laws must be implemented if the vaquita is to survive. E-mail to a friend

@highlight

Mexico hosts to up to 10 percent of all known species on Earth

@highlight

It is home to 502 types of mammals, 290 bird species and 26,000 types of plants

@highlight

Human development and climate change is placing a big strain on its biodiversity

@highlight

The Golden Eagle is under threat in spite of being the country's national symbol