(CNN) -- A forceful Mitt Romney went toe-to-toe with President Barack Obama on the dominant issues for voters, challenging the Democrat's policies on the economy, taxes and health care in the first of three debates ahead of the November election.

In exchanges full of policy proposals, facts and figures, the Republican challenger was more aggressive in the 90-minute encounter in criticizing Obama's record and depicting the president's vision as one of big government.

The president firmly defended his achievements and challenged his rival's prescriptions as unworkable.

Neither candidate scored dramatic blows that will make future highlight reels, and neither veered from campaign themes and policies to date.

But Romney came off as the more energized candidate overall by repeatedly attacking Obama on red-meat issues for Republicans such as health care reform and higher taxes, while the president began with lengthy explanations and only later focused more on what his opponent was saying.

Moderator Jim Lehrer of PBS, at times, tried without success to keep the candidates within time limits for responses, especially Obama, who ended up speaking four minutes longer than Romney.

"A week ago, people were saying this was over. We've got a horse race," said CNN Senior Political Analyst David Gergen, who called the debate Romney's best so far after the 22 the former Massachusetts governor took part in during the GOP primary campaign.

Alex Castellanos, a Republican strategist and CNN contributor, expressed surprise at Romney's strong performance, saying he "rose to the moment" and seemed to benefit from the multiple primary debates.

"It looked like Romney wanted to be there and President Obama didn't want to be there," noted Democratic strategist and CNN contributor James Carville. "The president didn't bring his 'A' game."

A CNN/ORC International poll of 430 people who watched the debate showed 67% thought Romney won, compared to 25% for Obama.

Romney's strongest moments came in repeating his frequent criticism of Obama's record, saying the nation's high unemployment and sluggish economic recovery showed the president's policies haven't worked.

"There's no question in my mind if the president is re-elected, you'll continue to see a middle-class squeeze," Romney said, adding that another term for Obama also will mean the 2010 Affordable Care Act, known as Obamacare, "will be fully installed."

At another point, he noted how $90 billion spent on programs and policies to develop alternative energy sources could have been devoted to hiring teachers or other needs that would bring down unemployment.

Obama argued that his policies were working to bring America back from the financial and economic crisis he inherited, and that Romney refused to divulge specifics about his proposed tax plans and replacements for the health care reform act and Wall Street reform act that the Republican has pledged to repeal.

"At some point, the American people have to ask themselves if the reason that Governor Romney is keeping all these plans secret is because they're too good," Obama said.

What questions went unanswered? Share your thoughts with CNN iReport

On taxes, Obama said Romney's plan of tax cuts for the rich had failed before and would fail again now.

Describing the Romney tax plan as a $5 trillion cut, Obama echoed a line from former President Bill Clinton by saying the math doesn't add up without increasing tax revenue, which Romney rejects

"I think math, common sense and our history shows us that's not a recipe for job growth," Obama said.

Romney, however, said Obama still pushed the same policies as when he took office four years earlier, and those steps had failed to bring down high unemployment and get the economy surging again.

He rejected Obama's characterization of his tax plan, saying it won't add to the deficit, and criticized the president's call for allowing tax rates on income over $250,000 for families and $200,000 for individuals to return to the higher rates of the 1990s.

"The National Federation for Independent Businesses has said that will cost 700,000 jobs. I don't want to cost jobs," Romney said.

Obama responded that the revenue issue is "a major difference" he has with Romney, noting the former Massachusetts governor rejected the idea of cutting $10 in spending for every $1 in new revenue during the Republican primary campaign.

Complete coverage: CNN's election center

In his strongest line of the night, Obama said Romney lacked the important leadership quality of being able to say "no" when necessary.

"I've got to tell you, Governor Romney, when it comes to his own party during the course of this campaign, has not displayed that willingness to say no to some of the more extreme parts of his party," Obama said in reference to his challenger's swing to the right during the primaries to appeal to the GOP's conservative base.

Romney repeatedly went after Obama on the health care reform bill, at one point asking why the president focused so strongly on a measure that passed with no Republican support instead of devoting more attention to the high unemployment and creaking economy.

With polls narrowing less than five weeks before Election Day, Obama and Romney launched a new phase in a bitter race dominated so far by negative advertising as both camps try to frame the election to their advantage.

Whether it matters is itself a topic of debate. According to an analysis by Gallup, televised debates have affected the outcome of only two elections in the past half century -- Nixon-Kennedy in 1960 and Bush-Gore in 2000.

Debates by the numbers

Both candidates had their wives in the audience at the University of Denver in Colorado for the debate taking place on the 20th wedding anniversary of the president and first lady Michelle Obama.

Obama opened the debate by promising his wife they wouldn't be celebrating their anniversary next year in front of 40 million people, and Romney joked that Obama found the most romantic place possible for the anniversary.

Analysts say Obama needed a presidential performance rather than fireworks or haymakers in order to maintain and build on a narrow edge in polls that indicate a very close election on November 6.

Romney, who has been unable to catch the president in most of the polls to date, sought to generate enthusiasm for a change in the White House as the nation wrestles with seemingly chronic economic problems such as mounting federal deficits and debt.

5 things to watch in tonight's debate

Lehrer, moderating his 12th presidential debate, planned to break up the debate into 15-minute segments focusing on different aspects of the economy and other domestic issues. However, the exchanges by the candidates scrambled the format, with the opening discussion on taxes lasting more than 20 minutes.

Debate time: The candidates' version of the two-minute drill

The two candidates shook hands and shared a laugh after being introduced by Lehrer as the audience applauded before being asked to remain silent for the remainder of the debate. At one point, a loud bang off-stage seemed to surprise Romney in mid-sentence, and Obama looked behind him to try to see what happened.

The other presidential debates will occur on October 16 in New York and October 22 in Florida. Vice President Joe Biden and Rep. Paul Ryan of Wisconsin, Romney's running mate, will debate on October 11 in Kentucky.

Where they stand: The candidates and their positions

CNN's John King and Amy Roberts contributed to this report.

@highlight

NEW: Romney, Obama offer differing policies on taxes and the economy

@highlight

NEW: A quick CNN/ORC poll says debate watchers think Romney won

@highlight

The 90-minute debate is first of three for the presidential contenders

@highlight

Jim Lehrer of PBS moderates his 12th presidential debate