(CNN) -- The largest case of bank fraud in Iranian history is threatening to engulf President Mahmoud Ahmadinejad after a parliamentary commission decided to investigate his office for possible connections to the crime, Iranian state media has reported.

To add insult to injury, Islamist hard-line legislators loyal to Iran's Supreme Leader, the Ayatollah Sayyed Ali Khamenei, subsequently sent the commission a letter requesting specifically that Ahmadinejad be included in the investigation. They have since said they would not follow up on the letter out of respect for Khamenei.

It is one move of many by Islamists to link the president to the alleged embezzlement of 30 trillion Iranian rials -- more than $2.5 billion.

To frame the extent of allegations in U.S. terms: It would be akin to religious conservative legislators attempting to implicate a sitting American president in the infamous Madoff Ponzi scheme, in which disgraced financier Bernie Madoff cheated investors out of $50 billion.

Ahmadinejad has vehemently rejected accusations that anyone in his government is linked to what is currently the highest-profile crime in the country, according to the semi-official Mehr News Agency.

"The government had no role in this affair and the banking system itself discovered the fraud," Ahmadinejad said in a televised interview Tuesday, according to Mehr.

Two Iranian economists who spoke to CNN alluded to political opportunism in the accusations against the president and people close to him. But both believe politicians were involved, possibly even directly.

The size and nature of the fraud required "a trend inside the government to make this problem and this scandal," said Tehran economic analyst Saeed Laylaz.

A second economist points out that the main suspect in the case has ties to the Iranian president's chief adviser, Esfandiar Rahim Mashaei, who used his influence in a bank business deal for the accused man, Amir Mansoor Khosravi.

Khosravi had opened a private bank known as the Bank Arya. Getting a license is usually difficult, but Mashaei used his political pull to help pave the way, said economist Dr. Behrooz Hady Zonooz from Tehran.

"More than ten times he has written letters to bank persons," said Zonooz, who spoke with banking officials about the founding of the bank.

A former professor of economics, Zonooz now runs a development consultancy and has closely followed the embezzlement case. He has also spoken to officials close to it and been allowed to see some of the bank data firsthand.

Mashaei and Khosravi also both come from the same province, said Zonooz.

Mashaei, the president's adviser as well as a close personal friend, is also a thorn in the side of Islamist politicians loyal to Khamenei.

Hardliners have long called for Mashaei's dismissal, but Ahmadinejad has held fast to his loyal friend, with whom he now has family ties. In 2008, Mashaei's daughter married Ahmadinejad's eldest son.

Mashaei has regularly rankled the religious right with conciliatory tones toward Israel and the United States -- moves considered serious gaffes in Iran -- and his habit of shaking hands with women in formal settings, which is considered culturally impolite by many in Iranian society and thought to be indecent by the religious right.

In defense of softer comments toward the United States and Israel, Mashaei has explained to Iranian state TV: "My statement was that we, the Iranian people, are friends of the whole wide world, even the people of Israel and America. There is no reason for us not to be friends. I did not deny making that statement, and I am not denying it now."

Bold words for a presidential adviser in Iran.

Khamenei has rebutted Mashaei's statements as not reflecting Iran's position.

Mashaei's praise for historic heroes of pre-Islamic times, when Zoroastrianism -- now a minority faith -- was the religion of the land, has particularly offended Islamist politicians.

Even though the Iranian bank fraud, which made use of illegitimate letters of credit, encompasses a much smaller amount of money than the Madoff Ponzi scheme did, it is at least twice the size when compared to Iran's GDP, according to Zonooz.

"It is about 0.8% of GDP," he said. "If you measure it by the outstanding loans of the banking system to the private sector, it is about 1% of the outstanding loans."

In other words, 100 such scams "could take all of the banking system."

The crime involves at least seven banks, Press TV has reported, including two major financial institutions, Bank Sederat and Bank Melli.

"Bank Melli Iran is the biggest banking system in the Islamic world," said Laylaz. "It is very big and the oldest bank in the country. This bank has suffered a lot."

Rhetoric linking the embezzlement to the president's office is as old as the scandal itself.

A conservative Islamist newspaper, Kayhan, has been widely credited for bringing the fraud to light, when it reported financial misappropriations and other shady dealings in June in an article headlined "The Weeds."

The article alleged involvement of people close to Ahmadinejad, whom hardliners have labeled the "deviant current" for their departure from the righteous principals of Islam in society, politics and economics -- people associated with Ahmadinejad's friend and adviser Mashaei.

"We hope that the respected president will take out the members of this deviant band like weeds and throw them out of the garden of government," the article stated, addressing Ahmadinejad.

The "deviant current" label has become a well-established political slight in Iranian state media.

The criminal investigation of the embezzlement has lead to 22 arrests and the resignation of three of Iran's highest banking officials, according to state-run Press TV. The head of Bank Melli fled the country for Canada in late September, Press TV reported.

CNN found his name and address on the Internet in a cached view of an Iranian business contact website in Toronto. The phone numbers and website listed did not work.

The embezzlement case was referred to the courts in August, Press TV said.

Although they have faced criticism in state media, members of the government had not previously been subjects of the bank fraud investigation.

But then in first days of October, a commission charged with investigating illegal activity in the judicial and executive branches -- which would include the office of the president -- called up evidence in the case, according to Press TV, in order to scrutinize it for any involvement in the fraud by members of the government.

On October 3, 11 Islamist members of parliament sent a letter to the Article 90 Commission of the Majlis --- Majlis is the name for Iran's parliament -- demanding that Ahmadinejad be included in their investigation, Mehr News Agency reported.

The Mehr article pointed out that just enough parliamentarians accused the president or ministers to require that the matter be immediately investigated.

A day later, the hardliners announced they would not follow up on their letter, according to the semi-official Fars News Agency, out of respect after Khamenei said that "an atmosphere of calm is needed in order for this case to be investigated."

The Mehr article detailed the complicated parliamentary procedure that could lead to the president's impeachment, which includes at least three rounds of voting.

The Mehr News Agency is belongs to the hardline Islamic Propagation Organization.

On the same day, Mehr published an article in which Khamenei called for the strictest of punishment for those convicted, urging judicial officials to "cut off the hands of the traitors."

Corruption is rampant in Iran, and political involvement in it is commonplace, leaving politicians no lack of scandals of which to accuse their opponents, says economist Zonooz.

"Always there has been corruption in the government -- different sectors -- and everybody knows it, but recently, because the rivalry for the next election has increased, they're trying to use these as a tool against their rival groups," he said.

Transparency International gives Iran the same grade on corruption as Haiti, the Ivory Coast and Libya. The theocratic regime stands near the bottom of TI's rating list -- number 146 out of 178 nations. Pakistan, Nigeria and Zimbabwe come away better.

Fighting corruption is a common mantra espoused by Iran's political leaders.

But they are failing, according to economist Laylaz, and should be held responsible, although he does not name specific government officials.

"The most important thing for politics, for the government, for the judiciary system is that we create an atmosphere in which corruption cannot occur, cannot appear," Laylaz said. "They brought this atmosphere, and in my opinion, they are responsible for this disaster."

Although this bank fraud is the largest in the county's history, Laylaz believes that it represents less than a quarter of current such crimes in his country. And it will not harm Iran's economy, he said.

"From an economic point of view, it is not so significant. It will not affect the economy of the country. But from a psychological point of view, it affects very much," he explained.

Zonooz agreed, and said that the seized assets of those arrested will more than cover the economic damage the embezzlement caused. Most of the embezzled money was used to buy companies from the government, he added, placing it into the country's economy and government coffers.

Ahmadinejad's opponents did not conspire to concoct a presidential scandal out of the bank fraud, Zonooz believes. "There was no plot, but the timing of this discovery and the intentions of the government authorities is meaningful," the economist said.

Religious ultra-conservative politicians seeking leverage against Ahmadinejad to force him to fall in line with the country's supreme leader now have the opportunity to associate him -- via his liberal friends -- with the worst embezzlement scandal in the country's history.

@highlight

A close adviser to Ahmadinejad has links to the main suspect

@highlight

Iranian economists say government insiders had to be involved

@highlight

The Iranian president rejects claims that he or other government officials involved