Who has the data investigators used to shape their search for Malaysia Airlines Flight 370, and why hasn't it been released to the public?

The answer to those questions depends on who you ask.

Facing a growing chorus of criticism from scientists and family members who want to see more details about why searchers are combing the southern Indian Ocean for the missing Boeing 777, Malaysia's top transportation official Thursday claimed his country doesn't have the raw data from the satellite's communication with the plane as it flew thousands of miles off course.

The data is crucial because it's what led investigators to the area where they're currently searching for the plane. And in recent days, some scientists outside the investigation have suggested they don't trust investigators' analysis of the data, and questioned whether searchers are even looking in the right place.

"The raw data is with (satellite company) Inmarsat, not with Malaysia, not with Australia, not with Malaysia Airlines, so if there is any request for this raw data to be made available to the public, it must be made to Inmarsat," Acting Minister of Transportation Hishammuddin Hussein said.

Australian officials heading the search in the Southern Indian Ocean tell CNN they don't have the raw data, either.

But Inmarsat, which owns the satellites, insists that the data has already been released to investigators.

"Inmarsat's raw data was provided to the investigation team at an early stage in the search for MH370," Chris McLaughlin, the company's vice president of external relations, told CNN's "Erin Burnett: OutFront."

He added, "We have very high confidence in the analysis of this data, which was independently evaluated by the international teams accredited to the official investigation."

It's up to investigators, he said, to decide what they want to release -- and when. The company says the Convention on International Civil Aviation prevents the release findings from an investigation without the consent from the state conducting the investigation.

"I don't know who to believe," CNN aviation analyst Miles O'Brien said. "But isn't it awful that it's quite evident somebody is lying here? Somebody is lying. We're talking about something that involves a missing airliner, now 70 days. Lives lost, families shattered. And there (are) people lying about this. This is absolutely reprehensible. I can't even believe...it would be funny if it wasn't so tragic."

Aviation attorney Arthur Rosenberg said he thinks the satellite company is obligated to release the data, whether or not Malaysian authorities have it.

"Unfortunately, you almost get the sense that they're stalling, that there's something in there that they don't want the world to see. And that's the problem," O'Brien said. "That's why there's so little credibility right now about why this search zone has been identified."

Search officials turn to private companies for help

With no tangible evidence of Flight 370 after more than two months of searching, officials are reaching out to commercial companies for help.

More specialized devices will be needed in this new stage of the search, which will focus on reanalyzing data to help ensure the correct search area; conducting a detailed mapping of the sea bed; and deploying specialized autonomous underwater vehicles (AUVs).

The Malaysian government is in the process of acquiring tools from companies such as Petronas, Sapura Kencana, Boustead and DEFTECH, acting Transportation Minister Hishammuddin said Thursday.

Other nations may have other assets that would complement the search.

Devices such as AUVs and deep-water towed side-scan sonars "are very expensive and scarce," Hishammuddin said.

Australia has estimated the new phase will cost $60 million.

The breakdown of exactly who's going to pay for what is not clear. For most of the two-month search, each of the 26 countries involved has paid for their own costs.

But three countries have been holding high-level discussions on how to proceed -- Malaysia, where the plane is from; China, which had more than 100 passengers on board; and Australia, which had six passengers on board and is close to where the official search area is focused.

"Procurement arrangements for the use of commercial contractors will be undertaken by Australia, in consultation with Malaysia," Hishammuddin said.

Better communications

The Malaysian government has established a new committee to streamline communications between nations, families and others to release timely and transparent information, Hishammuddin said.

Relatives of those on board have lambasted Malaysian officials for weeks, saying they have not been forthcoming and transparent in releasing data about the plane, which disappeared on March 8 with 239 people on board.

Underwater search interrupted

The announcements Thursday came after the underwater search for Flight 370 came to an abrupt stop.

Two technical problems -- a malfunctioning part on the Bluefin-21 underwater drone and a broken transponder on the drone's mother ship -- have forced the suspension of the underwater search for a least a few days, a U.S. Navy official said Wednesday.

The drone and the transponder were damaged this week when the vehicle was being hoisted onto the deck of the Australian vessel Ocean Shield. The vehicle struck the navigation transponder, which extends over the side of the ship, said Michael Dean, the Navy's deputy director of ocean engineering.

The Bluefin-21 currently is the only submersible looking for the Boeing 777, which was traveling from Kuala Lumpur, Malaysia, to Beijing when it disappeared.

Repairs were made to the submersible. But in subsequent tests, operators said the acoustic communications link on the Bluefin-21 and the navigation transponder on the Ocean Shield malfunctioned.

No spare parts for either device were on the ship, Dean said. Parts necessary for the repairs are being shipped from the United Kingdom to Australia, he added.

Broken parts to delay Flight 370 search for days

U.N.: More robust flight tracking needed

MH370: Plane audio recording played in public for first time to Chinese families

@highlight

Satellite company Inmarsat says it already handed over raw data

@highlight

Malaysia and Australia say they don't have it

@highlight

Analyst: "I don't know who to believe, but somebody is lying"

@highlight

Officials are looking to use more specialized devices in the underwater search