He was a powerful Russian businessman whose falling-out with his government left him self-exiled in England.

He blamed the Kremlin for the death of a former Russian spy who was poisoned by radioactive material.

Now, Boris Berezovsky himself is dead.

Police scouring the scene Sunday have found no sign so far of "third party involvement," a detective said.

But details surrounding Berezovsky's death remain a mystery. Police say they haven't determined the cause.

After a paramedic's radiation detector went off at the scene, investigators declared the area "safe and clear to work in," the Thames Valley Police said in a statement Sunday.

They did not specify what they believe triggered the alert, but emergency officials from the South Central Ambulance Service said the device, which is a regular part of paramedics' kits, can register false alarms.

As forensic investigators combed the scene Sunday, Berezovsky's body was still inside his house. On Saturday, a bodyguard told police he found Berezovsky lying on the bathroom floor.

Speculation over the tycoon's cause of death ran the gamut from suicide to heart attack.

Some pointed to his declining fortune as a possible clue. Last year Berezovksy lost what has been called one of the most expensive private lawsuits in history.

"Initial suggestions that Berezovsky may have committed suicide were quickly quashed by his close associates," Russia's state-owned RIA Novosti news agency reported.

The agency said a family friend told Russian media that Berezovsky had suffered a heart attack.

"It would be wrong to speculate on the cause of death until the post mortem has been carried out,"  Kevin Brown, the deputy senior investigating officer in the case, said in a statement.

"The investigation team are building a picture of the last days of Mr. Berezovsky's life," he said, "speaking to close friends and family to gain a better understanding of his state of mind."

A Putin foe

Berezovsky, a staunch critic of Russian President Vladimir Putin, accused the Kremlin of causing the 2006 death of former Russian spy Alexander Litvinenko, who was poisoned with the radioactive substance polonium-210.

Like Berezovsky, Litvinenko had fled to England.

In a deathbed statement, Litvinenko blamed Putin, an accusation the Kremlin strongly denied.

The British government has evidence Russia was involved in Litvinenko's death, a British lawyer said in December. Russia did not immediately comment on the claims of evidence of its involvement in Litvinenko's death.

For years, Berezovsky bankrolled the effort of Litvinenko's widow to push for an inquest into her husband's death.

Berezovsky later sued a Russian broadcaster for libel after it claimed in a report that he was behind the death of Litvinenko.

He won the claim against All-Russian State Television and Radio Broadcasting Company, and the High Court in London awarded him 150,000 pounds ($223,400) in damages.

From math professor to oligarch

Berezovsky began his working life as a math professor and then became a systems analyst who switched to more lucrative jobs in post-Soviet Russia, said CNN's Jill Dougherty, who interviewed him many times.

Berezovsky went on to sell cars "at a time when that was a luxury," she said.

"There were a lot of people who wanted to buy them, and he parlayed that -- as so many of these oligarchs did -- into something much, much bigger."

While Berezovsky made a good portion of his money from luxury car sales, his wealth and political influence skyrocketed when he bought into Russian media.

He invested in the Moscow Independent Broadcasting Corp., which -- with TBS as a partner -- founded Moscow's first independent television station, TV-6.

Under President Boris Yeltsin, the Russian Federation's first president from 1991 to 1999, "there were really no rules governing anything," Dougherty said.

Businessmen who came to be known as oligarchs amassed massive wealth and political influence in the 1990s during the privatization of Russia following the fall of the Soviet Union.

Businessmen like Berezovsky wound up lending the fledgling Russian government money "when it was desperate for money," Dougherty said. "These guys picked up companies on the cheap -- for pennies on the dollar."

A year or two later, the companies were worth much more, and the owners became wealthy.

In return for backing Yeltsin, Berezovsky gained political influence within the Kremlin.

He later backed Putin for president, pouring money into the latter's political party.

Fall from political favor

But after he was elected, Putin saw that the oligarchs had the potential to gain too much political power and moved to thwart them, Dougherty said.

It has been widely reported that Putin resented the meddling of the oligarchs, particularly Berezovsky.

"He was obviously very ambitious, and he wanted, I think, to be in political control of Russia during Yeltsin's time, and that didn't work out for him," said Stuart Loory, a former Turner Broadcasting System executive vice president, who was a consultant to Berezovsky during the 1990s.

Berezovsky did not have an easy time of it as an oligarch.

"There were two attempts on his life, one at his country home outside Moscow in a gated community. Somebody planted a bomb in his car and, fortunately, it didn't work very well," Loory said.

"And the other was when he was leaving his club and there was a car bomb in the car and his driver was killed and he escaped without injury."

Fleeing to England

Within months of Putin's election in 2000, the government began trying to collect on tax claims against the oligarchs, including Berezovsky.

That's when Berezovsky fled.

Berezovsky began agitating from Britain against Putin, calling for a coup to oust the Russian president.

In 2003, as Russia was seeking his return, Berezovsky was granted political asylum by British authorities after they realized he was wanted on political grounds, not criminal, according to published reports at the time.

The case strained relations between Moscow and London.

Berezovsky was convicted of fraud and tax evasion in absentia by a Russian court in 2007.

But about two months ago, he sent a letter to Putin asking permission to return to Russia, Putin spokesman Dmitry Peskov said.

"He admitted that he had made a lot of mistakes, asked forgiveness for the mistakes and asked Putin to let him return home," Peskov said, according to a duty officer with the presidential press service.

It's unknown whether Putin responded to the letter, but Berezovsky did not return.

Putin has been told of Berezovsky's death, Peskov told Russian state television.

A declining fortune

Berezovsky was found Saturday afternoon by his bodyguard at his home in the affluent community of Ascot, Berkshire, west of London, said an official at Bell Pottinger, a public relations firm that represented Berezovsky.

The bodyguard told police he forced open a bathroom door that had been locked from the inside and found Berezovsky's body on the floor.

Berezovsky made headlines last year after losing what has been called one of the most expensive private lawsuits in history against a former friend and ally, Russian magnate Roman Abramovich.

Berezovsky sued Abramovich, owner of the Chelsea Football Club, for $5.1 billion, alleging that he was forced to sell his stake in the Russian oil company Sibneft for a fraction of its true value.

The judge called Berezovsky's testimony unreliable and, at points, dishonest.

The case raised a public curtain on the world of Russia's oligarchs.

Berezovsky's fortune has reportedly been on the decline in recent years, and it took a huge hit after he lost the case against Abramovich.

Analysts put the price tag for legal fees alone at more than $250 million spent between the two figures.

In recent weeks, reports emerged that Berezovsky was trying to sell pieces of his estate, including an Andy Warhol painting, "Red Lenin," to pay debts.

Damian Kudriavtsev, a friend of Berezovsky, said Sunday that his friend was unhappy and was in financial trouble, but wouldn't have harmed himself.

Berezovsky, he said, had always hoped to return to Russia someday.

@highlight

After a radiation detector goes off, authorities investigate and declare the scene safe

@highlight

Detective: No "evidence at this stage to suggest third party involvement"

@highlight

Russian media: Some speculate Berezovsky may have died from a suicide or heart attack

@highlight

Berezovsky, 67, was a fierce critic of Russian Vladimir Putin and called for his overthrow