To those who study or even practiced espionage, U.S. spying on allies is hardly new.

Friendly nations spy on one another, if only for this reality: a friend today may not be a friend tomorrow, experts say.

"Even among friends, a lot of espionage takes place, and some of that espionage is targeted against threats to national security," said Charles Kupchan, international affairs professor at Georgetown University and a senior fellow at the Council on Foreign Relations.

"Then there is more mundane day-to-day intelligence gathering, which is focusing on intelligence that would be relevant to American statecraft: who is likely to be the next foreign minister, what's Germany's position on negotiations with Iran?" Kupchan said.

The mutual spying is "common knowledge" among practitioners and scholars, sometimes confirmed years later with a disclosure, Kupchan said.

"It's been going on for centuries," he said.

Embassies can be an arm of such espionage. Countries allow the missions to exchange information formally but they're used to gather intelligence covertly, too, said Peter Earnest, who worked for the CIA for 36 years, including about 25 years in the agency's clandestine service.

"I think there's a degree of hypocrisy among the Europeans to say, 'Oh, my gosh, the Americans are spying!' Well, so are they," said Earnest, the founding executive director of the International Spy Museum in Washington.

EU delegation meeting at White House over NSA spying concerns

The former spy was referring to the uproar across Europe in the wake of news accounts that the U.S. National Security Administration has been spying on the continent: on German Chancellor Angela Merkel's official cellphone; on millions of France's phone calls; and on millions of Spain's phone calls and its politicians and officials.

The NSA also has eavesdropped on the Mexican government and hacked the public e-mail account of former President Felipe Calderon and his presidency's e-mail domain that also was used by Cabinet members, according to German news magazine Der Spiegel.

Most of the news accounts are relying on documents provided by former NSA contractor Edward Snowden.

Glaring spotlight on intelligence committee

"It's the leak that keeps on giving on damage," Earnest said. "I'm glad I'm not in the community right now. It must be a nightmare." He retired from the Central Intelligence Agency in 1994.

In describing the espionage among friends, Earnest referred to a famous quote by 19th century British statesman Henry Temple, or Lord Palmerston, who stated in Parliament: "We have no eternal allies and we have no perpetual enemies. Our interests are eternal and perpetual, and those interests it is our duty to follow."

Before Congress on Tuesday, Director of National Intelligence James Clapper acknowledged as a "fundamental given" that the United States gathers intelligence on foreign leaders.

When asked by House Intelligence Committee Chairman Mike Rogers whether U.S. allies spy against U.S. leaders, Clapper replied: "Absolutely."

"We do not spy on anyone except for valid foreign intelligence purposes and we only work within the law. Now, to be sure, on occasion, we've made mistakes -- some quite significant," Clapper told the House committee reviewing the agency's surveillance activities. Clapper has worked in intelligence services for 50 years.

In other testimony to the committee, Army Gen. Keith Alexander, director of the NSA, said media outlets misinterpreted the leaked documents. Some of the metadata on phones calls in ally countries came from those countries, and the remaining metadata was collected legally by the NSA, he said.

NSA chief: Reports U.S. collected calls, e-mails from allies 'completely false'

Historians readily cite instances of U.S. spying on allies, including bugging of conversations in San Francisco, where the United Nations charter was drawn up in 1945, said David Barrett, a political science professor at Villanova University who has written about U.S. intelligence history.

"I have to say I'm not very surprised," Barrett said of U.S. surveillance on friends.

'Horrified by what they had learned'

During the Cold War in 1960, two NSA employees, William Martin and Bernon Mitchell, defected to the Soviet Union and publicly revealed how the United States was spying on not just rivals, but allies, too.

The NSA employees were like Snowden in that they became dismayed to learn of such spying, Barrett said. Snowden is now residing in Russia under political asylum.

"There was a lot in common between them and Edward Snowden. They were horrified by what they learned. To me, they're arrogant. And they wanted to do something about it, and so they released information," Barrett said.

Former U.S. Vice President Dick Cheney spoke in general terms about American spying prowess, noting how the nation enjoys "a fantastic intelligence capability worldwide against all kinds of potential issues and concerns," especially in the aftermath of the September 11, 2001, attacks.

"The fact is, we do collect a lot of intelligence, without speaking about any particular target or group of targets," Cheney told CNN. "That intelligence capability is enormously important to the United States, to our conduct of foreign policy, to the defense matters, to economic matters. And I'm a strong supporter of it."

Europe falls out of love with Obama over NSA spying claims

On the matter of national economies, experts agreed that intelligence agencies also examine an ally's commerce and industry.

"If the French were to be gathering intelligence in the United States, it's not that they were anticipating an American invasion in Normandy. It's to gather intelligence on American politics, maybe to do a little industrial espionage," Kupchan said. "It's standard fare for intelligence agencies to do these type of things. That's why they're there. That's their raison d'etre."

One U.S. analyst had a blunt message for friends in Europe and elsewhere.

"I have a word of advice for American allies outraged by alleged NSA spying on their leaders: Grow up. That means you Germany. You, too, France. And you, Brazil. Mexico, too. Also the EU and the UN," blogged Max Boot in Commentary, referring in the two latter instances to the European Union and United Nations. "Does the NSA spy on your leaders? Probably. Do you spy on leaders of allied states including the United States? Probably. You just don't have the resources or capability to spy as effectively as the NSA does. But if you did, you would."

'I think that seems unseemly'

But two Republican senators deemed the ongoing U.S. spying on allies wrong.

"To me from where I sit, it doesn't seem like a good idea or it doesn't seem to advance diplomacy for us to be spying on our allies particularly the personal phone of the president of Germany for 10 years. I think that seems unseemly. That goes against having relations with your allies," said Sen. Rand Paul of Kentucky, a member of the Senate Foreign Relations Committee.

Sen. Susan Collins of Maine, a member of the Senate Intelligence Committee, said she knew of "no justification for the administration's collection of intelligence on the leaders of our closest allies," such as Merkel. She planned to tell the German ambassador this week of "my belief that it was wrong for the Administration to engage in monitoring of the Chancellor's telephone calls," she said in a statement.

The consequences of getting caught are possibly severe.

Exacerbating allies' outrage is a backdrop of European disappointment about the perceived lack of progress by President Barack Obama's administration on closing the Guantanamo Bay terrorist detention facility and on the use of deadly drone strikes in Pakistan and elsewhere, experts say.

The unfolding political firestorm is now "sufficiently intense to force the United States to respond in more than a symbolic way," Kupchan said.

Congress and the White House are expected to reform intelligence gathering, forge a new code of conduct when spying on friends, and impose greater transparency and oversight on the NSA, experts say.

Key European partners are expected to be part of the conversation about the new conduct code, and separately, the European Union could tighten its own privacy laws, restricting the sharing of certain kinds of information with the United States, Kupchan said.

What surprises historians such as Barrett is how American public opinion now disapproves of U.S. spying on allies.

After the September 11 attacks, Americans held "a strong view that we have to do everything" in intelligence gathering, a mood that also enabled the passage of the landmark anti-terror Patriot Act, Barrett said.

"Now I think that attitude no longer prevails," Barrett said this week.

"If anything surprises me, it's that people seem to be so shocked and appalled" by the spying on friends, he said.

@highlight

Allies spying on one another has "been going on for centuries," professor says

@highlight

Europeans are hypocritical about U.S. spying on allies because they do it, too, analysts say

@highlight

Ex-spy cites famous quote on how there are no permanent friends or enemies -- just interests

@highlight

What's surprising is how U.S. mood now disapproves of such spying, professor says