(CNN) -- As scientists from around the world gathered in San Francisco for the American Geophysical Union meeting, the success stories are pouring in. On Monday, the Mars Curiosity mission team released a new study showing that the former lake bed in which the Rover landed could once have supported microbial life. The Cassini mission to Saturn released a spectacular video of mysterious hexagonal clouds whirling over the planet's pole.

But the question on everyone's mind is: Will these missions be allowed to continue? The answer may well be: No.

Next year's NASA budget is poised to force premature cancellation of either Curiosity or Cassini -- the agency's flagship missions. Funding decisions get made behind closed doors, but projected figures reduce Cassini's budget in 2014 by almost half, and half again in 2015, making it impossible to fly. Even funding for analyzing data will be "restructured," according to NASA.

These cuts are not only devastating for scientists; they are also potentially harmful for our economy, and our leadership in STEM (Science, Technology, Engineering and Math).

When most people think of spacecraft, they think of hunks of metal flying or driving around, alone in the far reaches of the solar system. Some are cute and personable, like the Opportunity Rover or Voyager; some, like Cassini, are less well known. People might also recall the gorgeous photos spread across the front pages of the New York Times or on the cover of National Geographic. A few might even think of the famous scientists who have brought these pictures to life, like Carl Sagan, Steve Squyres, or Carolyn Porco.

The robots' stories and adventures captivate us. But what about the people who created and operate the robots? Behind the scenes, largely invisible to the public, are many of America's best scientists and engineers at the Jet Propulsion Laboratory, NASA centers, and research facilities who work on these missions to make space exploration possible.

The budget cuts will affect America's most experienced and most promising engineers and researchers. They may have to join the legions of the unemployed. Do we really want to put someone like Bobak Ferdowksi, NASA's famous "Mohawk Guy," out of a job?

Some may think that space engineers can simply move to the private sector. After all, companies like Space X or Virgin Galactic are looking for talents. But private ventures involve different motives and skills. And private companies do not fund planetary science and experiments.

Moreover, private and public research institutions from Cornell to Ohio State University rely partly on NASA grants to support their graduate students, post-docs, and other staff in STEM fields.

In other words, NASA funding not only expands the frontiers of our knowledge, it also trains the next generation of STEM leaders in our country. The budget cuts would deprive our young scientists and engineers the resources to continue their studies and, in turn, contribute to America's innovation.

Seen in perspective, the looming budget adjustment along with all the cuts in recent years sentences America's planetary exploration program to death by starvation.

Cassini, for one, is already operating on a shoestring. And NASA has put plans for future missions to the outer solar system on ice, despite efforts by the planetary community to plan cost-effective and exciting opportunities.

The continuous gutting of NASA and its planetary science programs should outrage all Americans. If we end the Cassini or the Curiosity mission, it would be a crisis not just for science but for America's leadership in STEM.

At a time when our math and science students are getting left behind, and the public is looking to our high tech and scientific sectors to power innovation and economic growth, we should invest in our sciences and continue to inspire the next generation. Let's make sure our current best and brightest working on the cutting edge don't get the pink slip.

The opinions expressed in this commentary are solely those of Janet Vertesi.

@highlight

NASA budget may force premature cancellation of either Curiosity or Cassini

@highlight

Janet Vertesi: The cuts not only hurt scientists, but also our leadership in STEM

@highlight

Vertesi: Do we really want to put someone like NASA's famous "Mohawk Guy" out of a job?

@highlight

She says if we end the Cassini or the Curiosity mission, it would be a national crisis