Cairo (CNN) -- Egypt's highest court declared the parliament invalid Thursday, and the country's interim military rulers promptly declared full legislative authority, triggering fresh chaos and confusion about the country's leadership.

The Supreme Constitutional Court found that all articles making up the law that regulated parliamentary elections are invalid, said Showee Elsayed, a constitutional lawyer.

The ruling means that parliament must be dissolved, state TV reported.

Parliament has been in session for just over four months. It is dominated by Islamists, a group long viewed with suspicion by the military.

The Supreme Council of the Armed Forces, in control of the country since Mubarak's ouster, said that it now has full legislative power and that by Friday it will announce a 100-person assembly that will write the country's new constitution.

The real obstacle to democracy in Egypt

The Muslim Brotherhood, Egypt's largest Islamist party, said SCAF leaders were taking matters into their own hands "against any true democracy they spoke of."

The court also ruled that former Prime Minister Ahmed Shafik, the last prime minister to serve under ousted President Hosni Mubarak, may run in a presidential election runoff this weekend.

The court rejected a law barring former members of Mubarak's regime from running in the election.

The runoff Saturday and Sunday pits Shafik against Mohamed Morsi, head of the Freedom and Justice Party, which is the Muslim Brotherhood's political arm.

Shafik, at a news conference in Cairo, praised the high court for rejecting the rule preventing former regime members from running. "The age of settling accounts is over and gone. The age of using the law and the country's institutions against any individual is over," he said.

Mahmoud Ghozlan, a spokesman for the Muslim Brotherhood, said a court ruling to ban Shafiq was unnecessary.

What is the Muslim Brotherhood?

"We will put all our efforts into the upcoming elections so that Morsi wins and we avoid the rebirth of the old regime overnight," he said.

Yet some Freedom and Justice members, including parliamentarian Mohamed el-Beltagy, called the rulings "a complete coup d'etat through which the military council is writing off the most noble stage in the nation's history."

Ashraf Khalil, an Egyptian-American journalist and author of the book "Liberation Square," predicted that the Muslim Brotherhood, which has "shied away" from "straight-up confrontation" with the military leadership, won't "go to war over this."

"The activist community, on the other hand, they are very upset," he said.

Hossam Bahgat of the Egyptian Initiative for Personal Rights decried the court's decisions in a tweet.

"Egypt just witnessed the smoothest military coup," said Bahgat "We'd be outraged if we weren't so exhausted."

Perhaps guarding against more popular unrest, riot police and military personnel, some in armored vehicles, were outside the court ahead of the rulings. Military intelligence officers were also present.

After the ruling about Shafik was announced, a crowd of citizens shouted their disapproval. Military police moved to block the road in front of the court -- a major Cairo artery.

Shadi Hamid, director of research at the independent Brookings Doha Center, called the court rulings the "worst possible outcome" for Egypt and declared that he felt the transition to civilian rule is "effectively over."

"Egypt is entering into a very dangerous stage and I think a lot of people were caught by surprise," he said.

U.S. Secretary of State Hillary Clinton said Thursday that, even with the rulings, "We expect a full transfer of power to a democratically elected civil government. There can be no going back on the democratic transition called for by the Egyptian people."

Some activists and analysts, like Khalil, described the court's decisions as politically motivated. But Amre Moussa -- a former foreign minister under Mubarak, Arab League chief and most recently presidential candidate -- offered an opposite view, saying everyone knew that a decision was coming Thursday.

"It is not a political move," he said. "It is a legal matter that has been referred to a tribune by individuals."

Calling the previously instituted constitutional panel "unsatisfactory for many parties" because of the influence in it held by the Muslim Brotherhood, Moussa said he understood the military's commitment to address the matter in the coming days. He also said that whomever is elected president will be key in moving the country forward, downplaying the fact a finalized constitution may not be in place by the time Morsi or Shafik take office.

"The president will be responsible for so many things, we'll have to see the actions that the president makes," said Moussa, calling an earlier "constitutional declaration" on the president's powers sufficient.

For Egypt's trapped and teeming, revolution has barely begun

Many voters were unhappy with both choices in the runoff.

Morsi and Shafik are the most nonrevolutionary of all candidates and represent "two typically tyrannical institutions: the first (Morsi) being a member of the Muslim Brotherhood, and the second (Shafik) a senior official of the former regime," Sonya Farid wrote for Al Arabiya earlier.

"Everything about Egypt's revolution has been unexpected, and the first-round results in the country's first-ever competitive presidential elections are no different," Omar Ashour, director of Middle East studies at the University of Exeter and visiting scholar at the Brookings Doha Center, wrote for Project Syndicate previously.

Egypt's voters "overwhelmingly chose the revolution over the old regime ... but their failure to unite on a single platform directly benefited Shafik," Ashour said.

Thursday's rulings come a day after Egypt's military-led government imposed a de facto martial law, extending the arrest powers of security forces.

Egypt's Justice Ministry issued a decree Wednesday granting military officers the authority to arrest civilians, state-run Egypt News reported.

The mandate remains in effect until a new constitution is introduced, and could mean those detained could remain in jail for that long,Â the agency said.

Lawyers for the Muslim Brotherhood filed a court appeal against the decree on Thursday, the same day Clinton "expressed concern" about measures she said appeared "to expand the power of the military to detain civilians and to roll back civil liberties."

A decades-old emergency law that critics said gave authorities broad leeway to arrest citizens and hold them indefinitely without charges expired on May 31.

The political scene in Egypt remains tense after the parliament failed to agree on a committee to write a new constitution defining the powers of the president and the parliament.

Are you there? Share photos and videos with us on CNN iReport.

A wild election weekend for Egypt, France and Greece

Mubarak clings to life in Cairo hospital

Saving the sound of the Middle East

Mohamed Fadel Fahmy reported from Cairo for CNN; CNN's Josh Levs reported from Atlanta; CNN's Ben Wedeman, Ashley Fantz, Amir Ahmed, Laura Smith-Spark, and Mark Bixler contributed to this report.

@highlight

NEW: Ex-candidate Amre Moussa says the court ruling is "not a political move"

@highlight

NEW: U.S. Sec. Clinton says, "There can be no going back on the democratic transition"

@highlight

The Supreme Council of the Armed Forces declares full legislative authority

@highlight

A runoff vote is set for this weekend between Mohamed Morsi and Shafik