While senior U.S. officials say they are now less worried about Iraqi Prime Minister Nouri al-Maliki launching a coup to stay in power, they still predict he'll try to obstruct the political process to keep his designated successor, Haider al-Abadi, out of office.

One senior U.S. official compared al-Maliki to former President Richard Nixon -- a paranoid leader who grew more mercurial as his political fortunes collapsed. Al-Maliki has vowed to fight al-Abadi's nomination.

Al-Maliki could bide his time and try to divide Iraqi politicians to make it difficult for al-Abadi to muster enough support to form a government over the next 30 days as Iraq's Constitution outlines.

But the officials say they don't think he has enough backing to do that. A large portion of the Shia bloc, including most of his own party, is behind al-Abadi, and that gives the United States some confidence a government can be formed within the prescribed time frame.

Iraq's political power struggle reached a breaking point on Monday when President Fuad Masum named al-Abadi, the deputy speaker of Parliament, to replace al-Maliki.

President Barack Obama publicly endorsed al-Abadi, calling his nomination a "promising step forward." Both Obama and Vice President Joe Biden called him to express their support.

As a further incentive to quickly form a new government, the Obama administration is promising additional financial and military support in its fight in northern Iraq against the Islamic State, militants formerly known as ISIS.

Airstrikes and airdrops

Secretary of State John Kerry said in Australia on Tuesday the United States "stands ready to fully support a new inclusive Iraqi government."

Despite frustrations with al-Maliki's leadership, the United States has increased military aid to his government over the past year to combat militants.

That assistance has been stepped up over the past two months as ISIS forces claimed large areas of territory in northern Iraq in a brutal campaign.

Just last week, Obama ordered airstrikes against militant positions and humanitarian airdrops to aid thousands of the Yazzidi minority under threat from the extremist group and trapped in the Sinjar Mountains.

On Tuesday, he decided to send more than 100 additional military advisers to that region in a move the United States said was necessary to look at additional humanitarian relief options.

Washington has sought to separate the need for urgent support to combat militants from support for al-Maliki.

The administration is also helping covertly arm Kurdish Peshmerga forces battling ISIS.

More help possible

Kerry said the United States was "prepared to consider additional political, economic and security options as Iraq starts to build a new government" noting that the aid was "very much calculated to try to stabilize the security situation, expand economic development and strengthen the democratic institutions."

The United States has been encouraged by unprecedented cooperation between the Iraqi military and Kurdish forces in fighting ISIS and helping the civilians in the north.

Officials said it gives them hope that Iraq's long-divided ethnic groups are finally uniting in the wake of the Islamic State threat.

But with its military support, Washington also risks fueling Iraq's sectarian divide.

Between additional backing for a new Iraqi Shia-led government and its direct support for the Kurds, the United States risks pushing Iraq's Sunni population toward the Islamic State, which is also Sunni, because they will see that support as taking sides in what is widely viewed as a civil war.

And with Sunnis already disenfranchised from the Shia-led government, U.S. airstrikes are only likely to exacerbate those political differences.

Al-Abadi is a Shia, from the same party as al-Maliki, serving at one time as his aide. But can he unite the country and fight off the sweeping Islamic State advance?

"Abadi has never been involved in personal controversy, he is someone who really has tried to tow a straight line," said Kurt Sowell, editor of the newsletter Inside Iraqi Politics. "I think he is someone who will try to be inclusive and work with people. But at same time he's never been someone to push for reform."

Showing political skills

While al-Abadi may not be viewed as a transformational figure, the United States has been impressed with the way he stood up to al-Maliki politically and accumulated support of many Shia.

"Sometimes what is needed is a good bureaucrat who can get things back on track," one senior State Department official said. "We don't need anymore personalities."

What happens, however, if al-Maliki is able to keep al-Abadi from forming a government?

Iraqi politicans would be back to Square One and the United States would be forced to choose between supporting al-Maliki's caretaker government, despite its stated reservations about him, or waiting until a new prime minister is designated who can form a government.

If ISIS continues to advance, however, neither the Iraqis nor the United States will have the luxury of time.

Will Iraq's Nuri al-Maliki go without a fight? 5 things to know

Iraqi Prime Minister Nuri al-Maliki objects as his ouster looms

What to know about Iraq's Prime Minister

@highlight

ANALYSIS: Iraqi Prime Minister has vowed to fight the nomination of his successor

@highlight

Haider al-Abadi, the deputy speaker of Parliament, is working to form a government

@highlight

The United States backs the prime minister-designate and has stepped up aid

@highlight

The militant group Islamic State has made sweeping gains in Iraq's north