Depending who you ask, Yahoo's decision to hire Marissa Mayer several months into her pregnancy is either a boon to all working mothers or a misstep for the ailing tech company.

"Talk about lousy timing. She'll be taking maternity leave when she needs to be at work. Yahoo has enough problems without a part-time CEO," one commenter said in response to the Fortune article announcing news of her pregnancy.

"It is quite possible that she can do both effectively, but it is not un-'evolved' to express concern," another said, referring to Mayer's comment that Yahoo's directors demonstrated "evolved thinking" in choosing to hire a pregnant chief executive.

"As a Yahoo shareholder, I am very concerned and have every reason to be."

It's possible that Mayer anticipated these reactions when she revealed her plan to work during her maternity leave so she could "stay in the rhythm of things." Her announcement reignited an already hot debate over whether women can "have it all" and how family leave policies make it hard to juggle a successful career and family.

Opinion: What signal is Marissa Mayer giving to Yahoo employees?

But Mayer isn't your typical working mother, and some believe her experience reflects the extreme demands that corporate America places on men and women alike and how that translates to national policy.

Besides, the demands of motherhood only grow with time, author and activist Gloria Feldt said. That's when benefits such as flexible scheduling, reduced work weeks and the option to work from home really make a difference in helping women get as close as possible to having it all.

iReport: How do you balance career and family?

"Life only gets busier as your children grow, and that's where flexible benefits comes in," she said. "We have a long way to go as a country when it comes to making those benefits accessible to everyone."

iReporter Jennifer Compton was away from work for 12 weeks after the birth of her son, Jack. But that hasn't made returning any easier, she said.

Having flexible hours and remote cameras in day cares would help ease the transition, she said.

"Before, I got to spend all day with my son, and now it's only two or three hours in the evening," the human resources manager said in an iReport submitted to CNN.com. "I want more time with my little guy, but I have to take what I can get. ... It's hard to balance everything."

'Superhuman, rich or self-employed'

That Mayer's pregnancy is a matter of concern to some even though it wasn't for Yahoo's board (as Mayer tells it) reflects a double-standard, Feldt said.

"It's very common for companies to negotiate time off upfront with a new hire. If she were a man, no one would judge her for taking time off, regardless of the reason," said Feldt, author of "No Excuses: 9 Ways Women Can Change How We Think About Power."

Nearly 61% of women with children younger than 3 and 56% of women with children younger than 1 were in the labor force in 2011, according to Catalyst, an organization that tracks women's advancement in the workplace, citing Bureau of Labor Statistics. But ambivalence over their participation in the work force seems to persist.

A 2009 Pew Research Center report found that 21% of adults said the trend toward more mothers working outside the home had been good for society; 37% said it had been bad and 38% said it hasn't made much difference.

Women reported feeling stressed about balancing work and family, the report said, with 40% of working moms saying they always feel rushed compared with 24% of the general public and 26% of stay-at-home moms. As for working dads, 25% said they always feel rushed.

This month's Atlantic magazine cover story, "Why Women Still Can't Have It All," has stoked intense debate on the topic.

Former State Department official Anne-Marie Slaughter proposes that the only women who manage to reach the pinnacle of their careers while raising a family are "superhuman, rich or self-employed." Slaughter chronicles her decision to leave Washington and return to academia so she can play a larger role in raising her sons, using her personal journey as a jumping off point to examine the decisions and barriers women face in balancing a career with family.

In Twitter exchanges this week punctuated with the hashtag #havingitall, the Princeton University professor applauded Mayer's appointment at Yahoo but noted that it seemed to prove her thesis.

"Women who are having it all are superhuman, rich, and in charge. I'm all for Marissa Mayer! but the norm?" she tweeted.

Her exchange with Mia Farrow, who tweeted "let's hope she inspires [corporations] to create better options for all working moms," underscored what feminists and policy experts have been saying for years: that corporate culture in the United States, one of few industrialized nations without paid family leave for new parents, does not foster ideal conditions for work-life balance -- for women or men.

"We live in a society where there's very little space for men or women in corporate spheres to easily juggle family lives with professional lives," said Caroline Heldman, chair of the Politics Department at Occidental College in California.

"When we talk about maternity leave, we assume it's only women who should be taking time off when a child is born. I think that comes from a culture where the assumption is that women are the primary caretakers and the father's bond with his children is not as important," Heldman said. "I think we would have better familial bonds if we viewed parenting as something that every parent could participate in, not just women."

Someone in Mayer's position likely has the resources to enable her to work through maternity leave, but that's certainly not the norm for most working mothers. If anything, her experience is representative of the rules and expectations of CEOs of major corporations, 97% of whom are male, Heldman said.

"Her choices don't necessarily work for women in lower ranks and should not be held up as a standard for what all men or women should or could do," Heldman said. "She's playing by the good old boys' rules, which uphold a system that doesn't allow space and time for male or female CEOs to really take time off if they need it."

Facing tough choices

Some parents can take time off under the Family and Medical Leave Act of 1993, which guarantees eligible employees at companies with more than 50 employees 12 weeks of unpaid, job-guaranteed leave for the birth or adoption of a child, according to Catalyst.

Similar statutes exist in Washington D.C., California, Connecticut, Hawaii, Maine, Minnesota, New Jersey, Oregon, Rhode Island, Vermont, Washington state and Wisconsin. In 2002, California became the first state to enact a paid family leave act, allowing employees to take six weeks' leave and up to 55% of their weekly wages, with a benefit cap, to care for a newborn or newly adopted child. Every employee who contributes to the State Disability Insurance is covered, not just those who work for companies with 50 employees or more.

Although some individual companies offer a paid maternity leave benefit, many parents end up using a combination of short-term disability, sick leave, vacation, personal days and unpaid family leave.

Most working mothers return to work within a year of having a child, according to the 2009 report, "Opting-Out: An Exploration of Labor Force Participation of New Mothers," based on the American Community Survey three-year data file for 2005-2007. The researchers hypothesized that two groups of women may opt out: women whose earnings are so low they may not be able to afford child care and women whose family earnings allow them to forgo personal earnings.

A 2004 Catalyst study found that while senior-level women and men showed interest in informal and formal flexible work arrangements, few actually took advantage of them: 44% of women used flexible arrival and departure times, compared with 36% of men; and 13% of women telecommuted or worked from home, compared with 12% of men.

Perhaps the most telling is that 91% of women and 94% of men agreed that they could be flexible with their schedules when they had a family emergency or personal matter, but only 15% of women and 20% of men said that they could use a flexible work arrangement without jeopardizing career advancement.

In the absence of policies that help working mothers, some end up leaving the work force or creating their own solutions.

iReporter Shadra Smith of Fort Wayne, Indiana, took a pay cut when she changed jobs after finding out she was pregnant.

"[I] took a position that unfortunately pays less, but it allows me to have the mental and physical strength for my son," Smith said in an iReport.

"I've already accomplished some career goals, and being a mother is the career I would love to concentrate on now." she said. "The most challenging thing about being a working mom is not being able to experience the day to day growth of my son."

Marissa Mayer: Six life lessons from Yahoo CEO

Know Yahoo's Marissa Mayer in 11 facts

@highlight

Yahoo CEO's plan to work through maternity leave stokes debate over maternity leave

@highlight

Some say Mayer's experience reflects demands of corporate America on men and women

@highlight

Author says Mayer proves that women who have it all are "superhuman, rich, in charge"

@highlight

iReporters say flexible scheduling, working from home improve work-life balance