(CNN) -- It is one of the most passionate derbies in world football.

Not only do Internazionale and AC Milan share a city, they also share a stadium -- the San Siro -- but as they prepare to meet for the first time this season the notoriously febrile atmosphere this enduring fixture generates might be significantly muted.

The Italian authorities have ordered the closure of the Curva Nord section of the stadium, where Inter's most vociferous fan congregate, in response to chanting aimed at Napoli supporters in their game last weekend.

Now, in what is Inter's "home" game, the Nerazzurri risk being outnumbered by the fans of their bitter rival club.

It is the latest in a string of turf war incidents that come under the banner of territorial discrimination, where regional disputes between sets of fans are played out in chants during top-flight matches.

While the Italian Football Federation (FIGC) used to hand out hefty fines to deal with such incidents, clubs agreed prior to the start of the season to use the threat of stadium closures in order to tackle the problem head on.

Juventus' stadium was partially closed for two Serie A matches earlier this season after their fans sang derogatory chants during a victory over Napoli, prompting an appeal from the club's general manager Beppe Marotta for their supporters to stop bellowing "self-harming" songs.

Italian football is now locked in a duel fight, to try and combat incidents of racist chanting towards black players that have blighted the game both this season and last, and these long-running spats between different parts of Italy's cities as well as its regions.

Italians frequently define themselves by their region and that regionalism is often played out in the nation's football stadiums.

And in an interview with CNN World Sport in October, Juve's president Andrea Agnelli said it was vitally important to make a distinction between racism an these regional turf wars.

"Italy is the land of the 1,000 boroughs," Agnelli exclusively told CNN. "There is rivalry between two boroughs that are 50 meters away and they don't talk to each other.

"A lot of what goes under racism in terms of international news is actually territorial discrimination. Is that acceptable? No, but it is completely different to racism.

"It is the same song that has been sung for 25 or 30 years and suddenly what happened in August, the board of the (Italian) federation changed the (punishment) from administrative fines to penalties that led to the closure of a part of the stadium or the stadium itself."

Agnelli argued it was "nonsense" that the new edicts had effectively handed too much power to hardcore groups of fans who are usually the protagonists when offensive songs are aired.

"As it stands, it is unreasonable and it obviously gives too much control to the group of hardcore fans; now they have a tool to decide what is going to happen.

"Again, there is that subtle but definitive distinction between racism and typical Italian territorial confrontation.

"It is going to be difficult to (change anything) in the middle of the season because some punishments have already been done."

A group of Inter's fans have also called the closure of the Curva Nord "nonsensical" while some say they plan on boycotting the match in response to the league's decision.

Stadium closures have become a frequent occurrence over the past few seasons in Italian football, but mostly in response to incidents of a racist nature.

The most high profile came in a friendly match between AC Milan and lower league team Pro Patria in January 2013, when AC midfielder Kevin-Prince Boateng left the field after being the subject of monkey noises from a section of the home support.

Specter of racism

His protest made headlines around the globe and prompted soccer's authorities to confront the ugly specter of racism in football.

The game's world governing body FIFA subsequently set up a racism task force that suggested harsher punishments for players or clubs found guilty of discrimination.

But still the abuse continued.

In May 2013, Boateng -- who now plays for Schalke in Germany -- and teammates Mario Balotelli and Sulley Muntari were the targets when Milan's clash with Roma was temporarily halted as visiting fans chanted racist abuse at the trio.

Agnelli acknowledged there is a problem in Italian football regarding racism and welcomed the tougher stance from the game's ruling bodies but warned it would still take some time before players from different cultures were fully embraced.

"Any form of racism should be fought," he said. "In Italy there is a high degree of attitudes that aren't ready for embracing different cultures and religions.

"I came to high school in England in the late 1980s, early 1990s, and there are things that were said then that were considered normal that would be considered unreasonable now.

"The UK has started much earlier than us in terms of embracing different cultures and regions.

"The UK has always had a much higher percentage of black people in the country so it was much more normal for you.

"We are in the United Kingdom of the 1970s (in Italy) so you have to place things into context.

"If you judge it from a British point of view, what has happened is unacceptable, but you have to understand that you need to take some steps before certain aspects are digested and made familiar and embraced by a population, a culture and a country."

Agnelli says it is hypocritical for clubs to be complaining about the punishments when they voted them through prior to the start of the season.

"Up until last year the same chants were sung and it was an administrative fine, â‚¬20,000 or â‚¬30,000 and nobody cared," he said. "Suddenly, because of these penalties, it came to the news.

"Italy is very peculiar on that front, so you should distinguish between territorial discrimination -- which we are not in favor of -- but it is very different from racism, they are not on the same level.

"The same people who (have been) moaning about it are the same people that in August voted that they were fine with the fines that would be given.

"So there has to be a step up in terms of attention into everything that happens in the governance of football because that was obvious and evident it was coming."

@highlight

Part of San Siro stadium shut for the derby between Inter and AC Milan on Sunday

@highlight

Curva Nord to lie empty after league punish discriminatory chants from Inter's fans

@highlight

Italian football battling with regional discrimination and cases of racist chanting

@highlight

Juve president tells CNN it's vital to distinguish between regional discrimination and racism