(CNN) -- Western governments, including the United States, appear to be stepping up efforts to censor Internet search results and YouTube videos, according to a "transparency report" released by Google.

"It's alarming not only because free expression is at risk, but because some of these requests come from countries you might not suspect -- Western democracies not typically associated with censorship," Dorothy Chou, a senior policy analyst at Google, wrote in a blog post on Sunday night.

"For example, in the second half of last year, Spanish regulators asked us to remove 270 search results that linked to blogs and articles in newspapers referencing individuals and public figures, including mayors and public prosecutors. In Poland, we received a request from a public institution to remove links to a site that criticized it. We didn't comply with either of these requests."

In the last half of 2011, U.S. agencies asked Google to remove 6,192 individual pieces of content from its search results, blog posts or archives of online videos, according to the report. That's up 718% compared with the 757 such items that U.S. agencies asked Google to remove in the six months prior.

Overall, Google received 187 requests from United States law enforcement agencies and courts to remove content from its Web properties from July to December, up 103% from the 92 requests the Mountain View, California, company received in the previous reporting period.

In one incident cited in the report, a U.S. law enforcement agency asked Google to take down a blog that "allegedly defamed a law enforcement official in a personal capacity." The company did not comply with that request.

In another, a separate law enforcement group asked Google to take down 1,400 YouTube videos (Google owns YouTube) because of "alleged harassment."

And in Canada, the passport office asked Google to delete a YouTube video "of a Canadian citizen urinating on his passport and flushing it down the toilet," according to the report.

The tech company did not oblige either of those requests but did comply at least in part with 42% of the removal requests from the United States in the last half of 2011, the report says. That number is down considerably compared to previous reports; In the latter half of 2010, for example, Google said it complied with 87% of U.S. requests to remove content.

The biannual transparency report, which includes data to July 2009, also indicates a rise in world governments' requests to take a look at the data Google collects about its users. And with those requests, Google tended to be much more likely to comply.

In the last half of 2011, Google received 6,321 requests for user data from government agencies in the United States and complied at least in part with 93% of them, according to data released in the report.

Those requests for information about Google users come as part of criminal investigations, Google says, and are not unique to the company.

Google complied more frequently with U.S.-based requests for information about users than with requests from other countries, according to the report. It complied or partially complied with only 24% of such requests from Canada, 44% from France and 64% from the United Kingdom, for example.

The number of user data requests Google received from the United States was up 6% over the previous six-month period and 37% compared with the last half of 2010.

Google says this increase "isn't surprising, since each year we offer more products and services, and we have a larger number of users." In the report, the company adds: "We review each request to make sure that it complies with both the spirit and the letter of the law, and we may refuse to produce information or try to narrow the request in some cases."

Writing at Forbes.com, tech columnist Andy Greenberg says that Google "should be applauded for taking a strong stand against censorship" but that "the government's increasingly sticky fingers in Google's databases comes at a sensitive time."

"Google has been criticized for failing to reveal much about its reported partnership with the National Security Agency following a Chinese attack on its systems in 2010," he writes. "And the company has yet to take a stand on the House's recently-passed Cyber Infrastructure Security and Protection Act or its equivalents in the Senate, which are designed to give companies far more leeway to hand data over to government agencies for security purposes."

At Politico, blogger Dylan Byers says the report "will certainly challenge any notions you might have about a free and unregulated Web."

Google says it hopes the data will offer a "small window into what's happening on the Web at large."

@highlight

Google says government requests to remove Web content are way up

@highlight

In last half of 2011, U.S. agencies asked Google to remove 6,192 pieces of content

@highlight

That's up 718% compared with the previous six-month period

@highlight

Google released its biannual transparency report Sunday night