(CNN) -- Between GPS devices on your car's dashboard and digital maps of almost any locale in the world on your smartphone or laptop, it's hard to get lost these days.

Each orange Tele Atlas mapping van has six cameras, two side-sweeping lasers and a GPS on its roof.

We may take these 21st-century services for granted. But someone still needs to do the actual legwork of mapping these places and making sure the information is accurate.

Meet the people at Tele Atlas, the company that provides so-called "base maps" to such high-profile clients as Google, MapQuest and RIM, the maker of the BlackBerry. Tele Atlas also provides digital-mapping services for its corporate owner, the portable-navigation company TomTom.

You can't say the company isn't ambitious.

"Our ultimate goal would be to map the entire world," says Pat McDevitt, vice president of engineering at Tele Atlas, which is based in the Netherlands and has its U.S. headquarters in Lebanon, New Hampshire.

Base maps are the raw data -- highways, streets, stop lights and exit signs -- that navigation companies use as a starting point before adding their own applications.

Most of the industrialized world has been base-mapped already. But Tele Atlas is constantly updating pre-existing maps to include new roads, traffic signals and buildings.

Tele Atlas gets this information by combining satellite imagery, local, state and federal maps and most importantly, putting the rubber to the road in its Mobile Mapping Vans.  See how it works »

Pimp my ride

Six cameras, two side-sweeping lasers and a GPS sit atop each bright orange Mobile Mapping Van, making them, as McDevitt says, "look a little bit like something out of 'Ghostbusters.' "

The cameras point in all directions, capturing a 360-degree view of everything the van encounters. And the GPS lets Tele Atlas know -- within a meter --everywhere the van has been. A computer screen sits next to the driver's seat so the driver can monitor images captured by the cameras above.

"The driver is really responsible for making sure the images coming from the camera are actually of high enough quality to be used on our production floor," says Kamron Barron, technical process manager at Tele Atlas.

That means when a bug splatters on a camera's lens, the driver gets out to clean it off. This happens a lot.

And if you think the vans must poke along, causing traffic jams on the roads they're mapping, you'd be wrong. The vans drive at normal speeds while snapping about three images per second. That's more than 100 million images per year, per van.

When you consider Tele Atlas has dozens of vans worldwide, you begin to get a sense of the scope of the company's work.

"We have about 200 countries for which we have good navigable street maps, and that's expanding on a monthly basis," says McDevitt. Tele Atlas is constantly discovering parts of the world that have never been digitally mapped, he says.

Instead of bench seats and fidgeting kids, Mobile Mapping Vans hold a metal cabinet with two hard drives. After about two weeks of crisscrossing everything from major highways to small country roads, the hard drives get full. One gets sent to awaiting Tele Atlas cartographers and analysts; the other stays with the driver as a backup.

At Tele Atlas headquarters in New Hampshire, analysts pore over the data for updates and inconsistencies: changes in roads, speed limits and even how many lanes are on a highway. Once confirmed, the changes make their way into Tele Atlas software and eventually to cell phones, navigation systems and home computers. Base maps are updated every few months.

Mapping goes 3-D

Images collected by the vans' cameras don't make it to the public because Tele Atlas doesn't have an application like Google Street View. But it soon may have something that's arguably even better.

That brings us to the vans' side-sweeping lasers. As the vans drive, their lasers constantly scan the road and everything around it, recording information that Tele Atlas calls the "first reflective surface." This includes the width, height and contours of every building the van passes.

This data, when combined with the images captured by the cameras, will help Tele Atlas create a 3-D world.

Three-dimensional digital maps already are common in Japan and Western Europe. But 3-D maps are still in their primitive stages in the U.S., where their quality depends on the type of device they're displayed on.

Cell phones might show gray amorphous blocks representing buildings. A laptop might show more detailed buildings with doors and windows.

Within 18 months, Tele Atlas hopes to develop a powerful navigation system whose images will look almost identical to the surroundings through which we travel.

"It's a virtual reality experience for that customer," says McDevitt. "As they go around, the buildings match, the roads match, the entire navigation experience matches what they would find in the real world."

In other words, we soon may have even less of an excuse for getting lost.

@highlight

CNN goes behind-the-scenes at Tele Atlas, which does digital mapping

@highlight

The company crisscrosses the globe in vans with cameras, lasers and GPS

@highlight

Tele Atlas creates "base maps" for Google, MapQuest and others

@highlight

Next step will be to combine lasers and camera images to make detailed 3-D maps