A Senate committee's approval of a resolution authorizing military force against Syria gave some momentum to President Barack Obama's effort to win overall congressional support for the effort, but conference calls involving members of his own party indicate that it's still an uphill battle in the House.

With Obama in Sweden and Russia trying in part to rally global backing to punish Syria for its alleged use of chemical weapons, his chief of staff briefed two Democratic blocs -- the solidly anti-war liberal Congressional Progressive Caucus and the Congressional Hispanic Caucus.

Several members who participated in the calls indicated the administration still has a lot of work to do.

"If I had to vote today, I would vote no," Missouri Rep. Emmanuel Cleaver told CNN.

Cleaver noted he had multiple concerns before Wednesday's call, which occurred on the same day the Senate Foreign Relations Committee approved a resolution authorizing a limited military strike on Syria.

The administration says there is overwhelming evidence that Bashar al-Assad's regime killed more than 1,400 people in a chemical weapons attack earlier this month outside Damascus, violating global conventions against their use, further escalating a two-year civil war, and putting civilians and allies in the region at new risk.

A key question

Cleaver didn't dispute the evidence, but asked a question that others have posed over the past two weeks.

"What is the U.S. position -- do we react militarily when people get murdered with sarin gas?  Do we respond when people are slaughtered in Darfur when sarin is not used?" he said.

Cleaver, the former head of the Congressional Black Caucus, said he's willing to listen to a classified explanation, but the case hasn't been made yet.

"What form of slaughter is more repugnant?" he asked.

The Congressional Black Caucus is scheduled to meet with National Security Adviser Susan Rice in a closed meeting on Monday, a caucus spokeswoman said.

No doubt, Cleaver will hear from constituents on the issue when he holds a town hall meeting at home in Kansas City on Thursday evening.

Although Obama has appealed to congress to act for the good of humanity, polls show that most Americans surveyed do not want the United States to intervene in the Syrian conflict, which the United Nations estimates has claimed more than 100,000 lives.

The administration, working with Congress, has said it is planning for a limited strike, which experts believe would involve cruise missiles.

Senior officials have said there are no plans to involve American combat troops, a restriction reinforced by the Foreign Relations Committee resolution that has yet to be considered by the full chamber.

Another Democrat who listened to the call, Illinois Rep. Jan Schakowsky, also agreed that the evidence was convincing that the al-Assad regime used weapons against its own people.

But in a statement to CNN after the call Schakowsky, who sits on the intelligence committee, said the information so far was helpful but not sufficient.

"As much as I need to consider the scope and duration of any attack, I have many questions about its efficacy," Schakowsky said. "I want to know to know what evidence the administration can provide that this strike will denigrate the Assad regime's ability to use these weapons again, what plans have been made for possible retaliation and a clear sense of the end game."

The Republican battle over Syria

Iraq a factor

The U.S. experience in the protracted and costly Iraq war weighs heavily on House Democrats, and many are pushing to include specific limitations on the length and scope of any military mission.

Many members of Congress also remember the faulty intelligence that underpinned the U.S. rationale for invading Iraq a decade ago.

One senior Democratic aide who participated in the White House call with Hispanic members said there remains a broad spectrum of questions about the need for military action against Syria.

But "for those that are on the fence the resolution has to be as limited and tailored as possible before they will vote for it," the aide said.

Senior House Democratic aides cautioned that it's still premature to gauge the votes, and said the vast majority of House Democrats are still undecided and asking for more information.

A steady stream of rank and file House Republicans have announced their opposition to a resolution, with House Speaker John Boehner expressing support for a strike but making it clear it's up to the White House to secure the votes.

The pressure is on for Democratic leaders to convince a significant chunk of war weary House Democrats to back the president.

Even within top Democratic leadership ranks there are divisions.

Democratic Leader Nancy Pelosi and Democratic Whip Steny Hoyer support the president, and are in close contact with the White House.

But the No. 3 leader, Rep. Jim Clyburn is not aboard yet.

"Issues of war & peace require thoughtful consideration.  I reserve judgment on Syria until a resolution and more details are forthcoming," Clyburn said in a statement released via Twitter.

House Democratic Caucus Chairman Xavier Becerra, however, is now saying he is prepared to vote 'yes' if the military response is limited.

While Pelosi and Hoyer aren't formally putting pressure on members, they are soliciting input on the language members could support for a resolution.

For the second time in two days, Pelosi sent a letter to House Democrats urging them to attend classified briefings and review the report laying out the evidence on the use of chemical weapons.

Pelosi was asked by TIME on Tuesday if she thought she could bring her caucus into the 'aye' column.

"I don't know. I think it would be important to get a majority in the Congress. But I don't know if it's important how you would break it down. These issues are not really partisan," she said.

Cleaver was reluctant to characterize the breadth of opposition among his colleagues.

"There is a great amount of skepticism floating over the Capitol," he said.

More classified briefings

Cleaver added that the support among party leaders in Congress for a military response is unlikely to sway fellow House Democrats.

Two more classified briefings with administration officials are scheduled for Thursday and Friday. But most members are still out of town for the congressional recess and will not have a chance to review the evidence until another closed session set for Monday evening, the first day Congress is officially back at work.

But the issue has many Democrats mindful of what's at stake if they oppose their president.

Cleaver said he was "invested in the success of President Barack Obama" and wanted history to judge his presidency "more positively than negatively."

Schakowsky also referenced history as she wrestles with her vote.

"As a Jew, I am mindful how the world stood by when millions of Jewish people were gassed to death and feel an obligation to oppose such actions," she said. "The question remains what's the most effective way to make clear to the world that the U.S. will stand against such atrocities."

How will Senate vote?

How will House vote?

@highlight

Many in president's own party in House undecided or skeptical of Syria military action

@highlight

Anti-war liberals present especially tough challenge for administration in lobbying effort

@highlight

Senate committee action, support from leadership not a lock to bring in more 'aye' votes

@highlight

Congress remains on recess until next week; White House reaching out with briefings