(CNN) -- The days of being cut off from the Internet while you're on a plane are quickly disappearing.

An American Airlines passenger uses Wi-Fi to access the Internet during a flight.

A number of domestic airlines have recently begun offering Wi-Fi Internet access aboard planes, and other airlines say they are working toward making it happen.

"This is the year" for Wi-Fi on planes, said Jack Blumenstein, president and CEO of Aircell, whose Gogo® Inflight Internet service provides access on Delta Air Lines, American Airlines, AirTran and Virgin America flights, and will begin testing on United flights later this year. Gogo is installed on more than 200 commercial planes, and Blumenstein said he expected 1,200 aircraft to have Gogo capability by the end of 2009.

For now, Wi-Fi on domestic carriers' planes is limited to flights within North America. Gogo, which operates by transmitting signals from ground-level towers, functions across the United States and up to about 300 miles offshore. The company's access will cover the entire continent within a year or two, Blumenstein said.

Row 44, which uses satellite technology to provide connectivity to Southwest Airlines and Alaska Airlines, already covers much of North America and will roll out trans-Atlantic and European service in the third quarter of this year, said the company's CEO, John Guidon.

Neither company would release the exact cost of turning airplanes into Wi-Fi hot spots. But Blumenstein said Aircell managed to equip a plane for "substantially" less than $100,000. Row 44, which bills itself as the "industrial-strength solution" to airplane connectivity, costs hundreds of thousands of dollars per plane, Guidon said.

Another company, LiveTV, is a subsidiary of JetBlue that provides free e-mail and messaging aboard flights but doesn't offer open Web surfing. LiveTV, which uses air-to-ground technology, provides the service on select JetBlue flights and also is working with Frontier Airlines on offering Internet access aboard its planes.

The Wi-Fi venture has the potential to be "very profitable," said Harlan Platt, an airline industry expert and professor of finance at Northeastern University in Boston, Massachusetts.

"Normally, air carriers rush to purchase capital equipment that raises their cost but doesn't raise their revenue. ... This is actually a revenue-producing tactic. And it's a good one because it's providing value to the passenger and it's creating incremental revenues for the airline," Platt said.

Aircell, which shares its revenue from Gogo with the airlines, charges $9.95 for flights under three hours, $12.95 for flights longer than three hours and $7.95 to use a Wi-Fi capable handheld device for any flight length. Passengers can begin using the service once the plane reaches 10,000 feet. If the plane remains in flight for longer than three hours as part of a delay, passengers do not pay the higher fee, Blumenstein said.

Platt believes that business model will evolve to entice more passengers to use it.

The size of those fees could result in "a whole segment of the market that they're not going to capture," said Platt. The airlines will maximize their profits by convincing more passengers to use the system with a lower price, he said.

Platt predicted Aircell and the airlines would create a second tier of service, which would be less expensive but with fewer capabilities. He compared the strategy to airlines' price-reducing tactics to avoid empty seats on planes.

As Aircell and Row 44's services expand, LiveTV is monitoring passengers' usage to gauge how to move ahead with its own business model, said Mike Moeller, vice president of sales and marketing for the company.

"Yes, broadband is coming. We're sitting there asking, 'Who pays? Is it the airlines or the customers? And what will they pay? What is the right technology? ... When does all of this happen?' We're in weird economic times," Moeller said.

As for the possibility of passengers offending their seat-mates by surfing for inappropriate content, Blumenstein said nine months of Wi-Fi availability on American yielded no such incidents. Still, airlines including American, Delta and United have requested screening for potentially offensive content, he said.

On the other hand, Alaska Airlines, which uses Row 44, does not plan on using the company's content-blocking capabilities. Instead, flight attendants will follow standard protocol for objectionable material -- they'll ask passengers to stow it away, said Bobbie Egan, an airline spokeswoman.

Here is what major U.S. airlines offer, and what is coming up:

@highlight

Many domestic airlines have begun offering Wi-Fi Internet access aboard planes

@highlight

Provider Aircell expects to have 1,200 planes equipped by the end of this year

@highlight

Another company, Row 44, says it will have trans-Atlantic Wi-Fi in the third quarter