(CNN) -- If you are noticing as you travel that more fellow travelers are Chinese, you are not wrong in your observation.

It is estimated that almost 100 million Chinese traveled out of China in 2013 with this number expected to reach 200 million by 2018. These staggering figures can be attributed to China's growing middle class, more annual leave, easier visa applications to more countries and increased air travel routes to overseas destinations.

Today the United States is the top destination for Chinese travelers, followed by several Asian destinations, with Italy, France and Australia also featuring high on the list. As the Chinese take more trips overseas, their booking methods, preference for group size and the types of experiences they desire are also shifting rapidly.

China now has more than 618 million Internet users, about 80% of whom access the Web via their smartphones. So it is not surprising that the technology-savvy Chinese are increasingly booking more travel online. Guided tours remain popular, but group sizes are shrinking and more are opting for individual travel, with the younger generation gradually choosing "adventure" travel.

Shopping is still a priority for Chinese travelers, and this is evident as the item most often left behind in rooms occupied by Chinese guests are old pieces of luggage, presumably because they have upgraded to newer and branded ones to accommodate shopping items. However, "seeing the world" and "experiencing life" are growing aspirations as they explore new lands.

Based on these trends and developments, the travel and hospitality trade must recognize that a fuller, more nuanced understanding of the cultural and social backgrounds of Chinese travelers, as well as the operational aspects of dealing with the rise of Chinese tourism, is not only fundamental, but absolutely necessary across the sector.

From the perspective of a leading global hospitality company providing a "home away from home" for travelers, we have to be even more attuned to the unique qualities of each nationality, Chinese travelers included.

In 2011, recognizing China's rising outbound tourism, we launched a program called Hilton "Huanying," which means "welcome" in Chinese. Hotels in our portfolio in the Huanying program offer Chinese-speaking front office staff, amenities such as teapots and slippers in guest rooms, Chinese-language TV channels and a range of traditional Chinese dishes such as congee, noodles and dim sum on the breakfast buffet.

While we believe these are steps in the right direction, we are also aware that a lot more can be done to understand and court this fast-growing demographic. As much as the Chinese seek distinct experiences as they travel, we too must recognize that practices such as tipping and queuing are not as common in Chinese culture.

And therein lies an opportunity for us as a hospitality company to play an active role in the educational process. For instance, Chinese guests staying at our Conrad Maldives Rangali Island resort are fascinated with the coral formations around the resort, and sometimes try to bring a piece back as a souvenir. Our resort team members receive cultural training that enables them to then educate their Chinese guests on the length of time coral takes to form and the fragility of the formations, and hence the importance of leaving them in their natural state.

To put things into context, there was a comparable phenomenon years ago when other nationalities such as Americans and Japanese embarked on international travel, and went through similar "growing pains." However, the sheer size of China's population is such that when even 1% of the population travels, that is a huge number of people and as such their traits and behaviors are amplified, and inevitably more obvious.

Ultimately though, it is a receptiveness to understand, coupled with mutual respect that endear people to learn from one another.

We also firmly believe that to win the hearts and minds of the Chinese outbound traveler, we first need to build up strong brand equity within China itself. Being familiar with what a brand has to offer provides a level of trust and comfort to Chinese travelers as they venture further and further afield.

I will not deny that the sheer size of China's outbound tourism numbers, combined with the speed at which travelers' tastes are changing, make it challenging for those in the travel or hospitality trade to adapt at an equal if not faster pace. But frankly, to not do so is at the peril of your business.

@highlight

Martin Rinck: More and more Chinese are traveling around the world

@highlight

A more nuanced understanding of the cultural and social backgrounds of Chinese travelers is needed

@highlight

China's large outbound tourism numbers make it challenging for industry to adapt at equal pace