(CNN) -- An American contractor said Thursday that the U.S. mission in Iraq will be undermined if the Iraqi government succeeds in revoking blanket legal immunity for American security contractors.

An armored vehicle of a foreign private security company drives in central Baghdad in October 2007.

Carter Andress reacted to a Wednesday government report that said the removal of legal immunity for American private security contractors could set off an "exodus" from war-ravaged Iraq and "impose significant limitations" on American reconstruction efforts.

The scenario is outlined in the quarterly report issued to Congress by the Special Inspector General for Iraq Reconstruction.

Andress, whose firm builds bases for the Iraqi army and police and supplies those places with water, food, fuel and maintenance services, said that about 40 percent of his staff is involved in security.

"We would undermine the U.S. mission here because they are so reliant on contractors," said Andress, co-founder of the American-Iraqi Solutions Group. "For better or for worse, that's reality."

Even though 90 percent of his employees are Iraqis, he fears that new laws could force him to shut down.

But the "exodus" comment in the report also prompted skepticism from a scholar who studies the subject. Peter Singer, a Brookings Institution scholar who is an authority on private security firms, said, "I don't think we should worry about a market collapse, so to speak. There's simply too much money to be made."

The Iraqi government has criticized the blanket immunity because of the actions of security contractors, such as the September shootings in Baghdad of Iraqi citizens that involved Blackwater contractors. Seventeen people died in that incident.

"From a relief and reconstruction perspective, one of the most critical issues under discussion is contractor immunity," the inspector general's report says.

"Existing agreements provide U.S. contractors in Iraq with blanket immunity from prosecution under Iraqi law. But [the government of Iraq] is seeking to modify, if not eliminate, that immunity. Such action would acutely affect the status of private security contractors in Iraq."

The issue of immunity has been part of the ongoing talks trying to create a long-term security agreement between the United States and Iraq after the U.N. mandate defining the role of American troops ends at the end of the year.

Iraqis simply want contractors to abide by their laws.

Iraqi Foreign Minister Hoshyar Zebari said this month that negotiators have agreed to drop the legal immunity for contractors, but a formal announcement has not been made.

The inspector general estimates that about 70 private security companies have operated in the country since 2003, with cumulative contract values totaling approximately $4.5 billion.

The inspector general report says the United States has "appropriated more than $50 billion in taxpayer dollars for Iraq's reconstruction."

Asked about the report, Blackwater spokeswoman Anne Tyrrell said, "I am confident the Iraqi government and the U.S. government for whom we work will come to some sort of an agreement that will represent both of their interests."

If anything does change with the immunity law, "we're standing by for direction from our U.S. government clients," she said.

Stuart Bowen, the special inspector general, elaborated on the reference to security contractors in the report, saying he believes that changes in immunity are "going to have a very real economic impact," particularly with the provincial reconstruction teams operating in the Iraqi provinces.

Although there hasn't been a formal announcement about the status of immunity, he believes that the blanket immunity measure for contractors that was developed by the Coalition Provisional Authority will be significantly modified at the very least.

He said security contractors are the main target, but he said non-security contractors also would be subject to Iraqi law if immunity is revoked. He raised the issue of insurance costs, saying the removal of immunity could jack up such costs for security and other contractors.

Bowen says one result he can foresee is the growth of homegrown Iraqi security firms.

"Clearly, if you can't use American security contractors, then you will have to use other contractors," such as those from Jordan, the Gulf region or Iraq, he said.

Singer said the issue of immunity has been discussed for some time, and contractors have had "a lot of lead time to figure out what's going on here. This isn't something new."

"You've got around 190,000 private military contractors out there, doing all sorts of roles, everything from armed security work to logistics and running base operations and things like that. They work for all sorts of hundreds of different companies. And again they're coming from around the world."

He points out that the marketplace for security in Iraq is a big one, with Americans a minority in an industry that includes Iraqis and other third-country nationalities.

"You may well see some companies decide they want to leave, but they're going to evaluate what's in their own interests and other companies are going to decide what's in their own interest. This is, I would argue, a good thing because it's trying to take Iraq and turn it into what is a more natural setting, where that government is in charge of the operations of what's happening on the ground from a legal standpoint."

Andress said the removal of immunity would have a big impact on his business.

"You've still got remnants of the insurgents out there. You've still got ... the thieves. So, you've still got to have convoy security," said Andress, whose firm has won a quarter of a billion dollars in Defense contracts.

A security contractor, who asked not to be named because he could lose his job for talking to reporters, said he believes a removal of immunity would have a chilling effect for contractors. He said Iraqi contractors taking over security duties have improved but haven't reached the level of proficiency that Americans have.

The contractor, who said he has worked in Iraq and other countries, believes that non-Iraqi contractors could be be treated brutally and unfairly.

"It's like putting a police officer in the middle of Folsom Prison, on murderers row with five guys he put away," the contractor said. "They're not going to get a fair trial."

He said individuals wouldn't want to work as contractors there in such a situation -- or they would demand more money to do it. He believes that some firms would pull out because of liability issues or because they couldn't find proper security.

@highlight

Report says loss of contractor immunity could spark "exodus" from Iraq

@highlight

Contractor says Iraq reliant on firms like his, "for better or for worse"

@highlight

Scholar skeptical that contractors would leave -- "Too much money to be made"

@highlight

About 70 private security companies have operated in Iraq since 2003