(CNN) -- Fresh faced and pictured wearing a crisp military uniform, the photo of a young Jim Tuckwell looks like it was taken before he'd seen action. But in fact, at the age of just 22, he had already experienced the full horrors of war.

World War II veteran Jim Tuckwell as a young soldier.

Shot twice on Gold beach during the Normandy Invasion or "D-Day landings," Tuckwell was later deafened by a shell that blew off his friend's legs nearby.

By the end of the war, the British soldier had been promoted to the rank of full sergeant, as he put it, simply because so many of his seniors had been killed.

Now 86-years-old, he and many of his former comrades will remember the 65th anniversary of the landings Saturday at ceremonies along the French coast.

It was a massive air and sea operation that marked the turning point of the war in Europe. And he knows how lucky he is to be alive.

"My mate Jimmy went up the beach with two cases of bombs. I never saw him again. If I hadn't been hit, who's to say I wouldn't have been in the same position as he was when he was killed?"

With bullet wounds to his chest and arm, Tuckwell collapsed unconscious on the beach. It was more than nine hours later that he was picked up by the stretcher-bearers.

Incredibly, he was back fighting within six weeks.  Watch Tuckwell tell his story »

So much time has passed since then, but the pain is still etched into his face.

Sitting there in full military uniform, blazer adorned with half a dozen medals, his voice frequently cracks with emotion.

He frequently tails off as he relives the past. "Every time I go back to Normandy I go to his grave, and it brings a tear to me eye even now. We were going do so much after the war ... but it never happened."

Tuckwell, who saw action with the 1st Battalion, Dorset Regiment, has since formed a close friendship with Frank Rosier; they are members of the Normandy Veterans Association.

Both men say their experiences were so commonplace among their generation that none were able to talk about it until 40 years later.

Rosier told me that what he and the veterans discuss among themselves is very different to what is said in television interviews; but when pushed, he describes what it's like to kill another man.

"We could never get our fathers to talk about the first World War, because they were involved in close combat. And twice in the second World War it happened to me.

"I came face to face with a German, and I beat him to the draw. I killed him. I sat on the grass and was sick and I cried ... he was some mother's son."

I get the sense that there was a great deal of respect between these soldiers and the Germans on the other side.

Younger generations try to relate to the scale and the carnage of D-Day through movies like "Saving Private Ryan."

The veterans talk of the noise, "big battleships firing, rocket ships firing, mortars landing, planes strafing, floating artillery and the Germans were totally unsociable about it, they were firing back at us, so there was a hell of a lot of noise there," recalls Rosier.

They are lighthearted at times, citing the fact that British troops are renowned for their humor -- even in the darkest hours. But it is impossible to gloss over the horror and the danger they faced.

Standing together in one of the landing crafts at the D-Day museum in Portsmouth, England, Rosier described what it was like to approach Gold beach.  Watch Rosier's full interview »

He spoke of the bullets thundering into the sides of the craft, a ramp on one side hitting a mine and being disabled, and the knowledge that when the front ramp was dropped, the troops inside would be peppered with machine gun fire.

He and his infantry were lucky that day - making it onto the beach with minimal loss. But as he told me later, of the 800 men in his infantry, only five survived the war unharmed, "the rest were killed, missing or wounded."

Rosier, who fought with the 2nd Battalion, Gloucestershire Regiment, bears the visible scars of battle. He lost an eye to a shrapnel wound -- a 'Blighty one,' meaning that he was taken home to recover in Britain -- and has had to live with the psychological trauma of facial disfigurement.

But it's the pain of the ones they left behind that hurts the most.

"There was no time to mourn, you didn't have time to mourn," said Tuckwell. "And the worst thing about later battles was that when you lost people, you normally had to bury them yourself. You couldn't leave the bodies on the ground, there was nowhere else to put them."

Rosier added: "When your best friend gets killed it is surprising how hard you can become on a battlefield, I think you switch your mind off. My best friend, we called him Smokey Joe, Battersea boy, London boy, he was 18 years when he died.

"At the time I just said 'oh Reggie is gone,' but ... I will be going back to Normandy and I will see his grave and cry. I have never figured out why I a mourn him now and not at the time. To lose a brother is a terrible thing and he was a brother. I lost two actual brothers in the war, but I miss Reg a lot."

There was so much pain, so much suffering and such massive loss of life. Was it worth it? Rosier's response is emphatic.

"Yes, every minute of it. We go back to Europe quite frequently, and even in Germany people say to us 'thank you for our freedom'. It is only in recent years that I have realized how important freedom really is, you can't taste it, you can't feel or hear it. But it is so important to be free."

@highlight

D-Day soldiers remember the horrors of war and fallen comrades

@highlight

One tells how he survived despite being wounded storming Gold beach

@highlight

Another says he still mourns his best friend and cried after killing a German soldier

@highlight

President Obama attending 65th anniversary services in France Saturday