Milan, Italy (CNN) -- Variously described as a genius and a maverick, for six decades Luigi Colani has created beautiful, pioneering design -- a perfect marriage of form and function.

A true visionary, he says he has designed thousands of objects -- everything from cameras, to tea pots and sunglasses. But it is his transport designs that are most famous, bearing his trademark of streamlined forms inspired by nature.

"Nature had hundreds of millions of years to refine their things, we have only stupid 100 years of aerodynamics," he says.

"So nature is not better -- there's only nature. Our laws are stupid ... they are not ready yet."

Studying aerodynamics at Paris-Sorbonne University in the late 1940s, Colani considered how birds were able to fly and then used those postulations in aircraft design.

He did the same when it came to designing ships, this time taking inspiration from the sea creatures he had watched while scuba diving.

A man with the foresight to realize that environmental sustainability would play a key role in future product design, in 1971 he turned his efforts to changing the design of trucks, which he felt were not aerodynamic or eco-friendly.

"Twenty-five or 30 years ago I designed streamline trucks that consume less fuel," he says. "The industry, stupid as they are, they didn't get this message; they consumed gasoline by the billions ... if they had adopted my thing, the air would be better today.

"Look at the trucks -- they are square and push an enormous amount of air in front of them so they are not aerodynamic.

"I started with my knowledge of aerodynamics to design streamlined trucks and I'm world champion at the moment because my latest model is consuming 50% less fuel without changing the engine, just through the shape."

To promote his streamlined design, Colani says he plans to take his trucks on tour around the world next year.

But despite environmentally friendly principals much of Colani's work has remained in the conceptual stages -- an inspiration for other designers rather than a commercial product.

Colani believes that engineers and manufacturers these days are too conservative. He says the financial crisis is stopping companies taking chances on innovative designs and argues that with all the new technology and materials available, people need to take creative risks.

"All kinds of transport must be done but better," he says. "We have the knowledge today, we have the technology today, we have the materials today. But we don't have the brains and the companies who should say yes to good ideas.

"There are too many conservative brains in positions where they should not be conservative. They should go ahead to give the youngsters jobs, ideas and freedom to think."

Now aged 83, and retaining his flair for the flamboyant and futuristic, the German designer doesn't look like he is planning to slow down anytime soon.

"I sat yesterday night, all night through, and I designed the most sensational supermarket in the world," he says. "It's nonstop -- sometimes it's a simple lamp for the desktop, for the table, and sometimes it's a high-speed train or super car."

He is a professor at several Chinese universities and, as befits his belief in young people, says he is to begin the world's first biodesign professorship in Milan next year, giving him the chance to share his knowledge and unique outlook with aspiring designers.

But despite the generation gap, Coloni has no fear of being left behind when it comes to the latest trends and technologies.

"I have done everything, but everything changes every five years," he says.

"We have new wisdom, new electronics ... (it's not that) I'm not up-to-date -- I am 20 years ahead, mamma mia! People need at least 20 years to come up to my level that I have at the moment!"

@highlight

Luigi Colani is a hugely influential industrial designer

@highlight

Colani was a pioneer of nature-inspired 'biodesign'

@highlight

83-year-old designer warns transport industry it must make changes

@highlight

Describes himself as 20 years ahead of others in the field