Philadelphia, Pennsylvania (CNN) -- Paulette Beale shakes her head at the suggestion, then flashes a contagious smile.

"It's still history," she says, to rebut the notion there could be less intensity for President Barack Obama in the African-American community the second time around.

"The first history was that he won. The second history's that he won twice. So, it's not just about history the first time, you have to be concerned about the history for the next four years also. You can make history more than one time, you know."

Her mother and father stand a few feet away, nodding approvingly.

Paul and Altermese Beale founded Paul Beale's Florist 41 years ago. Paulette takes the lead now, but her parents are on hand helping most days in a shop that is an institution in the Ogontz Avenue area of North Philadelphia.

"We love him," Altermese Beale says of Obama. "One of the proudest days of my life was the day he was elected."

The Beales are determined to see the president re-elected, and are part of an Obama campaign ground operation that is active early because of several obstacles to generating the big African-American turnout that was critical to then-Sen. Obama's 2008 victories in many of the major presidential battlegrounds, Pennsylvania among them.

Our visit this week was timed to coincide with the president's speech to the National Urban League.

At that meeting, in New Orleans, a major topic of discussion is a new Urban League study suggesting that if African-American turnout in 2012 falls back to 2004 levels, then Obama is almost certain to lose North Carolina and would find things much tougher in a handful of other battlegrounds, including Ohio, Virginia, Michigan, Florida and Pennsylvania.

In 2008, just shy of 65% of eligible African-Americans voted for president; in 2004 it was 60%. That prospect of lower turnout could change the math in some key battlegrounds even if the president runs roughly equal to his share of the African-American vote, an eye-popping 95% in 2008.

There are a number of reasons the Obama campaign worries that turnout among its most loyal voters could slip some -- and we got a taste of all of them during our visit to Philadelphia:

• Economy: African-American unemployment is well above the national average.

• History: The prospect of electing the country's first African-American president was unquestionably a factor in the 2008 turnout boost.

• Complacency: The president's win in Pennsylvania was by 9 points, and Republicans have not carried the state in a presidential race since 1988.

• New voter ID laws: Pennsylvania is among the states with a new requirement that voters show photo identification on Election Day.

Paul Beale scowls at the mention of the law.

"There are people who don't want him as president and they are trying to suppress the vote," he says.

Altermese Beale says some of her elderly friends don't have driver's licenses or other current photo identification.

"If they keep this law, we will be in bad shape," she says.

The Beales ask every customer if they are registered to vote, and have forms and literature on hand for those who need help. Across the street at the Obama campaign field office -- one of six in Philadelphia -- a table just inside the door is stacked with literature about the new law and its requirements.

The campaign's networking with local businesses is part of an unprecedented effort to register and then keep in contact with African-American voters.

Danny Wright is a natural fit. A 67-year-old with vivid memories of taking part in civil rights marches in his native Maryland and now the owner of Danny's Auto Tags, which contracts with the state to issue driver's licenses and also sells auto insurance.

"It's like a spark," Wright told us during our afternoon visit. "When you say, 'Obama,' everybody is very, very enthusiastic about him and you will see each person say to the other person, 'Have you registered to vote?' "

The new ID law is also a hot topic of conversation. Many fiercely oppose it. Wright is in that group, but says he has to assume it will stay on the books through November.

"You hear a lot of talk about suppression," he says. "Everyone is making sure they're having the proper ID and everything to go vote. So we reinforce this also."

Our walk through the neighborhood -- steamy temperature aside -- had more of an October feel than late July; campaign volunteers were everywhere, asking passersby if they are registered to vote and collaring most of those who answered no.

One of the local Obama turnout teams has met regularly since the 2008 campaign. Most of the others took shape beginning a year ago. One older volunteer says his only worry is that so many people tell him, "Don't worry, Pennsylvania is a can't-lose.' "

Bruce Burton has a quick answer when visitors to his Pretty Boyz barber shop sound complacent about the president's November odds.

"We have more at stake," Burton said. "We're either going back to the years of President Bush or we're going to keep moving forward. ... We have voter registration forms in the back. We are recruiting as many people as possible. We are not feeling that this is a sure bet. We feel we have to stand behind him 100%."

Black clergy is always critical to voter turnout in communities like this, and Dr. Kevin R. Johnson says Obama can count on his help despite a disagreement over the president's support for same-sex marriage.

"We understand that he is not the pastor of the United States of America -- he is the president of the United States," said Johnson, the senior pastor at Philadelphia's Bright Hope Baptist Church.

After services this past Sunday, Bright Hope congregants had a chance to get materials on the new voter ID law.

Johnson says that law could be one factor in driving African-American turnout down a bit from 2008. But if there is a significant drop, his bet is that the tough economy will be the driving force.

"The president could do more in that area," Johnson said. "When you look at the unemployment rate in the African-American community, there's more that can be done."

Still, Johnson says things are a bit improved in recent months, and as he tells congregants they must vote, he also says he is banking on a little help in this tougher election climate.

"The reason I know that everything is going to be all right in November is because I trust in the Lord," Johnson said. "I love the president. But I trust in the Lord."

@highlight

Turnout among African-Americans could determine result of presidential election

@highlight

Unemployment, voter ID laws, complacency could affect turnout

@highlight

Obama campaign has unprecedented effort to register, communicate with voters

@highlight

One Philadephian says there is more at stake this year than in 2008