(CNN) -- Martha* had decided to undergo a breast augmentation. She researched doctors and found one she thought was well-qualified; ads in magazines touted him as board-certified and a top plastic surgeon in the area.

Martha met with him for a consultation and underwent the procedure in his office several weeks later. But at home that night, she discovered a shocking sight:

Her breast implants were lodged in her armpits.

The next morning, she rushed back to her doctor's office. He inspected her chest and, with a quizzical look on his face, declared, "I have never seen this before."

Martha decided to seek another opinion. A new surgeon explained that the previous physician had botched the procedure. She would need extensive surgery to correct it.

As if this weren't bad enough, he also informed her that her doctor wasn't what he claimed to be. Sure, he was board-certified -- just not in plastic surgery.

Her "plastic surgeon" was actually an eye doctor.

Stories like Martha's are becoming more and more common across the United States. Plastic surgery has become the Wild West of medicine, with an increasing number of doctors performing invasive cosmetic procedures without proper training or credentials.

In my metro Detroit practice alone, I've been horrified by dozens of botched jobs. One of my patients, a beautiful 25-year-old woman, was left with shark bite-sized divots all over her thighs and stomach after undergoing laser liposuction by a family medicine doctor.

A local ENT (ear nose and throat) physician took $12,000 from a young hairdresser for two unnecessary operations: insertion of watermelon-sized breast implants and liposuction to her abdomen. The implants were eventually removed, and the liposuction left her tummy a rippled, lumpy mess.

Why does this happen?

Although state medical boards regulate who can obtain a license to practice medicine, they don't restrict doctors from performing procedures outside of their training or specialty. Once they are licensed, there is no law against doctors performing any medical procedure they want to, as long as the patient consents to it.

As a board-certified plastic surgeon, I can legally perform a knee replacement or hysterectomy, procedures for which I am completely unqualified. This lack of regulation has allowed an increasing number of doctors of all types -- including gynecologists, general surgeons and even emergency medicine physicians -- to perform tummy tucks, liposuction, facelifts and breast enhancement.

These procedures are almost never performed in real hospitals. Hospitals typically vet their surgeons and allow them to practice only within their field of training and expertise. Doctors get around this by performing cosmetic procedures in their own in-office operating rooms or at ambulatory surgery centers, where the credentialing requirements may not be as strict.

So why do so many doctors reject their chosen specialty and remake themselves as plastic surgeons?

One word: money.

Declining physician reimbursement has resulted in more physicians looking for ways to enhance their income. And plastic surgery is one of the only fields of medicine that is shielded from insurance companies.

So an increasing number of doctors are closing their traditional medical practices and opening cosmetic surgery centers. These physicians learn the basics of plastic surgery through weekend courses, shadowing other doctors and even online webinars. This influx of poorly trained cosmetic surgeons has caused Martha's story to become just one of many.

If you are considering having plastic surgery, I implore you: Do your homework. Find a plastic surgeon who is certified by the American Board of Plastic Surgery, the only plastic surgery board that is recognized by the American Board of Medical Specialties.

For facial plastic surgery, a doctor certified by the American Board of Facial Plastic and Reconstructive Surgery is considered an equivalent in all states.

I consider it a privilege that my patients put their lives and bodies in my hands. All surgeons should. In return, we have a moral obligation to only perform procedures that we are fully qualified to do.

No matter how well it pays.

*Patients' names and identifying details have been changed to protect their privacy. The opinions expressed in this commentary are solely those of Dr. Anthony Youn.

@highlight

Medical boards don't restrict doctors from performing surgeries out of their specialty

@highlight

Many physicians are opening plastic surgery centers on the weekends to make money

@highlight

Find a plastic surgeon who is certified by the American Board of Plastic Surgery