(CNN) -- There's no escaping the fact that the Human Brain Project, with its billion-dollar plan to recreate the human mind inside a supercomputer, sounds like a science fiction nightmare.

But those involved hope their ambitious goal of simulating the tangle of neurons and synapses that power our thought processes could offer solutions to tackling conditions such as depression, Parkinson's disease and Alzheimer's.

The Human Brain venture is the next step in a long-running program that has already succeeded in using computers to create a virtual replica of part of a rat's neocortex -- a section of the brain believed to control higher functions such as conscious thought, movement and reasoning.

Scientists at its forerunner, the Switzerland-based Blue Brain Project, have been working since 2005 to feed a computer with vast quantities of data and algorithms produced from studying tiny slivers of rodent gray matter.

Last month they announced a significant advancement when they were able to use their simulator to accurately predict the location of synapses in the neocortex, effectively mapping out the complex electrical brain circuitry through which thoughts travel.

Henry Markram, the South African-born neuroscientist who heads the project, said the breakthrough would have taken "decades, if not centuries" to chart using a real neocortex. He said it was proof their concept, dubbed "brain in a box" by Nature magazine, would work.

Read: Mapping out a new era in brain research

Now the team are joining forces with other scientists to create the Human Brain Project. As its name suggests, they aim to scale up their model to recreate an entire human brain.

It is a step that will need both a huge increase in funding and access to computers so advanced that they have yet to be built.

If their current bid for â‚¬1 billion ($1.3 billion) of European Commission funding over the next 10 years is successful, Markram predicts that his computer neuroscientists are a decade away from producing a synthetic mind that could, in theory, talk and interact in the same way humans do.

His bold claims have inevitably fueled comparisons to doom-laden popular fiction in which conscious machines turn on their creators and wreak havoc.

The project's scientists have been referred to as "team Frankenstein" and their computer likened to "Skynet," the virtual intelligence that unleashes a robot war on humanity in the "Terminator" films.

Sean Hill, a senior computational neuroscientist on the project, laughs at such comparisons.

He says the computer will primarily become a repository for knowledge about the brain that will allow scientists to conduct experiments without the need to probe inside people's skulls.

Read: $1 billion mission to reach the Earth's mantle

"This is a tool for research, not a giant simulated brain that is going to rule the world," he said.

"Right now, we're in a crisis in neuroscience. There's a lot of wonderful data being gathered but we don't have a place where we can put those experimental results together and understand their implications.

"The benefit of having this facility is you have a place to integrate the data into a model where you can test predictions and start to learn principles of how the brain operates."

The computing power needed to build the model is phenomenal. Simply to replicate one of the 10,000 neuron brain cells involved in the rat experiment took the processing capacity usually found in a single laptop. To simulate a fully functioning human brain, it would take billions.

Hill says that such computational power -- known as exascale -- will be available by the end of the decade. The Human Brain Project's scientists are hoping to work with supercomputer developers to ensure future machines match their requirements.

But, even as the team touts its experiments as a possible solution to the brain diseases that affect about two billion people worldwide, they have attracted critics who say their work is far too broad in scope to achieve usable results.

Professor Terry Sejnowski, head of the Computational Neurobiology Laboratory at the Salk Institute for Biological Studies in San Diego, has been quoted as saying the Blue Brain project is "bound to fail."

Read: How the search for aliens can help sustain life on Earth

He told CNN via email that "progress is being made but there is still a long way to go before we will understand the computational capabilities of cortical circuits."

He added: "We are just beginning to appreciate how complex our brains are, far beyond any other device in the known universe."

Sean Hill said the team hoped it was answering skeptics with its achievements so far.

"It's just a matter of keeping on doing it. Let's keep improving these tools and open them up so that many scientists are engaged and collaborating and using it as common point to bring the data together," he said.

"The only way to address the critics is to keep working, showing the positive results and do the best we can -- and that is starting to happen."

@highlight

Human Brain Project will use supercomputers to mimic tangle of neurons and synapses that power our thoughts

@highlight

Scientists say the simulator could offer new insight into the treatment of brain disease like Parkinson's and Alzheimer's

@highlight

"Brain in a box" is unlikely to transform into sci-fi-style computer bent on world domination, scientists say