The first human trial of an experimental Ebola vaccine has produced promising results, U.S. scientists said, raising hopes that protection from the deadly disease may be on the horizon.

All 20 healthy adults who received the vaccine in a trial run by researchers from the National Institutes of Health in Maryland produced an immune response and developed anti-Ebola antibodies, the NIH said Wednesday.

None suffered serious side effects, although two people developed a brief fever within a day of vaccination.

The vaccine is being developed by the NIH's National Institute of Allergy and Infectious Diseases and British pharmaceutical giant GlaxoSmithKline. The process has been fast-tracked in light of the current catastrophic Ebola outbreak in West Africa, which has claimed more than 5,000 lives.

"Based on these positive results from the first human trial of this candidate vaccine, we are continuing our accelerated plan for larger trials to determine if the vaccine is efficacious in preventing Ebola infection," said Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases.

In this trial, genetic material from two strains of the Ebola virus, Sudan and Zaire, was delivered using a chimpanzee cold virus that does not harm humans. The vaccine does not contain the Ebola virus and cannot cause a person to be infected with Ebola, the NIH said. The current outbreak involves the Zaire strain.

Blood tested

The adults, volunteers ages 18 to 50, were split into two groups. Half received an intramuscular injection of vaccine at a lower dose and 10 received the same vaccine at a higher dose, the NIH said.

Researchers tested the volunteers' blood at two weeks and four weeks after vaccination to determine if anti-Ebola antibodies had been produced.

All 20 volunteers developed such antibodies within four weeks of receiving the vaccine, with levels higher in those who were given the higher-dose vaccine.

The researchers also looked to see if the vaccine prompted production of immune system cells called T cells, after a previous study on primates using the same vaccine suggested they may also help to protect from the disease.

They found that many of the volunteers did produce T cells, including CD8 T cells, which may play a crucial role in protecting against infection by Ebola viruses.

Four weeks after vaccination, the CD8 T cells were found in two volunteers who received the lower-dose vaccine and in seven who had the higher dose, the NIH said.

The two volunteers who briefly developed a fever had received the higher-dose vaccine.

Unanswered questions

Professor Andrew Easton, a leading virologist at Britain's Warwick University, told CNN that the trial was an "essential first step" toward a vaccine to prevent Ebola and justifies some optimism.

However, there are still some unanswered questions, he said.

"We know from some of the preliminary work that went on in animal studies previously that the antibodies that are generated in response to the vaccine don't last as long as we would like -- there was a clear reduction over a fairly long period of time, about 10 months," he said.

"So it's possible that that might be a problem in humans, but the reality is we won't know until it's actually been tested in humans.

"We can hope that it will provide a longer-term protection. If it doesn't, at least it gives us some level of protection over a window, which could be enormously valuable in protecting people from outbreaks at the time the outbreaks occur."

Other approaches are being looked at too, he said, and will also benefit from the World Health Organization's decision this summer to allow some processes to be fast-tracked.

WHO: Sierra Leone cases may be increasing

If further clinical trials result in an effective vaccine, health care workers on the front line of the fight against Ebola are likely to be the first to receive it.

The virus has already taken a heavy toll on those caring for Ebola patients, with 592 health care workers known to have been infected, including 340 who have died, according to WHO.

In total, 5,689 people have died from the Ebola virus, as of November 23, the WHO said in an update Wednesday.

There have been 15,935 cases in eight countries since the outbreak began, but Liberia, Guinea and Sierra Leone remain by far the worst affected countries. They reported 600 new cases in the week ending Sunday, with 385 of those in Sierra Leone.

"Case incidence is stable in Guinea, stable or declining in Liberia, but may still be increasing in Sierra Leone," the WHO said.

The WHO update also warned that cases and deaths continue to be under-reported in this outbreak.

Liberia, Guinea and Sierra Leone have between them recorded 15,901 cases and 5,674 deaths attributed to the virus since the beginning of the outbreak.

@highlight

A virologist says the trial is an essential first step and justifies some optimism

@highlight

All 20 volunteers in the first clinical trial of the vaccine produced anti-Ebola antibodies

@highlight

None of the volunteers suffered serious side effects, the National Institutes of Health says

@highlight

The vaccine carries genetic material from the virus, but there's no risk of Ebola infection