(CNN) -- In 1917, at age 24, Leo Foster went from being a musician to an instrument of war.

The La Crosse, Wisconsin, native isn't in any textbook. His name didn't go down in history like MacArthur or Patton. But on Veterans Day, and every day, retired U.S. Navy Capt. Gary Foster remembers his grandfather.

There are no more surviving World War I veterans. They were largely remembered in the 1920s and 1930s, but after World War II, the forgetting began, said Jennifer Keene, author and Chapman University professor.

As time passes, their stories become lost, except for the families that preserve their words, photographs and memories. Some relatives reach out to the American Legion, which was created by World War I veterans, to share stories in its publication, Legiontown. It was an avenue that allowed Gary Foster to first share his grandfather's story.

"The American Legion constitution includes 'to preserve the memories and incidents of our associations in the great wars,' " said Henry Howard, editor of Legiontown. "If we don't share these stories, they'll be gone."

Through Gary Foster and historians, a picture of his grandfather's war experience emerges, and how the lessons from the first world war still reverberate a century after it began.

A world on fire

A love of music set the tone for Leo Foster's life. Along with his two sisters, Mary and Cunigunda, Leo enjoyed performing in a musical trio. And had not America joined World War I, Gary suspects that his grandfather might have continued hosting community performances. But Leo saw the writing on the wall and registered.

It wouldn't be an easy decision for him. Tragedy had surrounded the Foster family early. His father, John, had died in 1895. His mother, Barbara, had lost an infant son a year earlier. And now, the man of the house would leave his family. But protecting his family was also a big motivation for Leo.

"The war in some ways was really a war for family," said Andrew Huebner, a University of Alabama associate professor and author. "The public culture around the war was draped in familial metaphors, a war to defend women and children from deprivation."

The doughboys, as American troops were called, became youthful, iconic symbols for the nation. Because of exemptions from the draft, many of the men were sons, rather than fathers or husbands, Huebner said.

Leo left his community for the first time to attend training camp. Camps were dangerous themselves, with the threat of disease such as the influenza epidemic, according to Keene, the Chapman University professor. After camp, shipping overseas was also hazardous, with waters infested with German U-boats keen to sink ships full of troops.

Leo landed in the strange new setting of France in May 1918. He was surrounded by African, Vietnamese and Chinese troops, which would shift his view of the world. It was a hybrid army of less experienced American volunteers and conscripts melded with war-weary troops who had already endured three years of trench warfare. It was also a war of hybrid technology, Keene said.

There were modern machine guns, poison gas, tanks, aircraft and submarines, but many artillery pieces were pulled into positions by horses, Keene said. Communication was key, so armies relied on sounds. A series of counteroffenses had pushed troops back toward Germany, and trenches were abandoned, rendering telephone and telegraph wires useless. Bugle calls were an old form of communication, but the archaic became necessary, Keene said.

Leo's musical talent enabled him to become a bugler with the 32nd Division. Removing his gas mask, he used bugle calls for signaling advance, attack, charge and retreat as well as for mustering the troops.

Leo was a main target for enemy troops. Knocking out communication in the heat of battle could further disrupt troops already shaken by the confusing fog of war.

Leo's division saw heavy fighting and some of the worst battles at the end of the war. On August 1, 1918, Leo was wounded during the Aisne-Marne Offensive by shrapnel in his arms, chest and legs. Officials sent a notice to his family that Leo had been killed in action, and his grandmother raised a flag over their home, honoring his life and service.

Three days later, the Red Cross arrived to say that the message had been delivered in error, and that Leo was alive. But given the severity of his injuries, his family worried that he might not survive. Leo wrote home often, brushing off the injuries and letting everyone know that he was improving.

Read one of his letters (PDF)

Near the end of September, Leo rejoined the fighting in time for one of the most well-remembered battles of World War I -- the Meuse-Argonne Offensive. The fighting broke through the German line and pushed back through five miles of territory. It wasn't long afterward that an armistice was declared.

Leo received the Wound Chevron, gold stripes that were worn on the cuff

@highlight

As time passes, the stories of many World War I veterans have become lost

@highlight

Gary Foster shares the experience of his grandfather, a World War I bugler

@highlight

The American Legion and the War Letters Project allow these stories to be shared