London (CNN) -- There are few historical figures that can compete with Leonardo da Vinci's celebrity. This, despite what little we actually know about him.

Other than the complex and often mysterious works of art and writings that are his legacy, what's left today amounts to a few basic facts, and anecdotes told by 16th-century art historian Giorgio Vasari.

And yet, nearly 500 years after his death, da Vinci continues to fascinate, standing in popular culture as a totem of the supernaturally gifted individual.

An exhibition, which opened in London this week, includes nine of da Vinci's 15 surviving paintings -- the first time so many of his paintings have been shown off together -- with an estimated insurance value of $2 billion.

"The big cultural figures like Dante and Shakespeare and Goethe and Einstein, they all have their cults and their 'loonies' as I call them -- but Leonardo is in a league of his own," he said.

The quintessential Renaissance man who was brilliant in the fields of both science and art, da Vinci is widely regarded as a genius.

"He really was a polymath," said art historian Richard Stemp.

"He worked on everything -- he studied anatomy, he studied the natural world, he saw himself as a painter-philosopher really," he continued.

Da Vinci was born in 1452, the illegitimate son of a Florentine landlord and notary, on his father's estate in Vinci.

He was apprenticed at the workshop of Florentine artist Andrea del Verrocchio when he was just a teenager.

In 1482, he entered into service of the Duke of Milan as an official painter and engineer and remained there for 17 years, during which time he created such masterpieces as the first version of "The Virgin of the Rocks" and the "Last Supper."

It was also in this period that he turned to scientific studies.

"In his mid-30s, he starts to diversify and towards the end of his life he would have seen himself essentially as a scientist who also did a bit of painting on the side," said Martin Clayton, Senior Curator of Prints and Drawings at the Royal Collection in the UK, which contains an extensive collection of drawings by da Vinci.

Da Vinci's mechanical drawings included prototype designs for such modern contraptions as helicopters and tanks.

But it was during his second stint in Florence, from 1500 to 1506, that he painted his masterwork, the "Mona Lisa."

Though we are now so used to this image of the smiling noblewoman, the painting's "startling originality," according to Clayton, is still visible today.

"There's simply nothing out there like it before, this sense of looking at an individual and yet taking the individual out of the context of her own life and presenting her as this mystical, idealized figure who stands outside of time," he said.

Da Vinci spent his last years in France, serving as a painter, architect and engineer to the King of France, and died there in 1519.

The "Mona Lisa," which he brought with him to France, stayed. Today, the portrait -- with its notoriously enigmatic smile -- remains the star attraction at the Louvre Museum in Paris.

The aura of mystery around the "Mona Lisa" and, indeed, the artist himself could be what draws people into the cult of Leonardo, according to Italian art historian Mina Gregori.

"Even he could not explain himself completely," she said, referring to the unfinished nature of many of his works.

"He continued to create question marks, he always created problems, he created the curiosity to know more," she continued.

Perhaps our best clues to who da Vinci really was are to be found in his paintings, writings and drawings. But as with all art, his works are open to interpretation.

"On a religious level, I think he was a probing person -- he questions (things) a lot," said Monsignor Renato Bellini, a priest in Vinci, where Leonardo was born and baptized.

However, according to art historian Pietro Marani, the idea that Leonardo was either a divine talent or a supernatural being detracts from what we are able to read in the works themselves.

"(We) no longer (have) an image of Leonardo that is all one piece -- a semi-God, a magician -- but a multi-faceted Leonardo, a contradictory Leonardo, who changes (his) ideas," he said.

Many of the drawings featured in the "Leonardo -- The Lost Painting" are held in the Royal Collection: royalcollection.org.uk

@highlight

Few historical figures continue to enchant like Leonardo da Vinci

@highlight

Renaissance man considered mysterious and inscrutable

@highlight

Intitally a painter, towards end of life he became a scientist

@highlight

Works show a questing, never satisfied mind, according to art historians