Baghdad, Iraq (CNN) -- At least 48 people were killed and scores were wounded Tuesday when a suicide bomber detonated his explosives-laden vest in central Baghdad as men were queuing up outside an Iraqi army recruitment center, the Interior Ministry said.

At least 129 people were wounded in the blast, which took place in the morning in the Bab al-Moudham commercial area.

The spokesman for the Iraqi military command in the capital, Maj. Gen. Qassim Atta, said Prime Minister Nuri al-Maliki ordered a number of officers who were near the attacker to be detained for questioning.

Atta told Al-Iraqiya state television that Tuesday had been the final day of a weeklong recruitment drive and that a large number of recruits had been waiting to sign up when the attack occurred.

Atta said the bomber's vest was stuffed with 30 kilograms (66 pounds) of the plastic explosive C4, TNT and ball bearings.

The attack came amid the country's failure to form a government and the United States' troop drawdown ahead of President Barack Obama's August 31 deadline for ending all combat operations.

The U.N. Assistance Mission for Iraq, or UNAMI, condemned the act and expressed concern over continued acts of violence in the country, "including those perpetrated during the holy Muslim month of Ramadan that symbolizes the values of peace, tolerance, generosity and solidarity."

"UNAMI reiterates that agreement on the formation of the government will greatly contribute to strengthening Iraq's ability to protect its citizens and respond effectively to those who aim at perpetuating instability and insecurity in the country and reversing its path towards peace and prosperity."

The Iraqi government has been pushing to increase security ahead of the drawdown, which would leave a residual U.S. force of 50,000 troops focused on stability operations as well as advising and assisting Iraqi security forces.

Recruitment centers for Iraqi security forces have frequently been targeted by suicide bombers. A recent campaign of bombings and shootings has targeted Iraqi forces, especially in the capital, where gunmen have attacked traffic police and attacked checkpoints, killing Iraqi troops.

Many Iraqis have blamed the recent wave of violence on the current political paralysis, in which quarreling parties have failed to form a government nearly six months after parliamentary elections.

The attack has increased concerns among Iraqis about the ability of security forces to protect them when they cannot protect a government office.

An Interior Ministry official said two roadside bombs detonated last week outside the same center,  wounding three people.

Extremist groups, such as al Qaeda in Iraq, are known to take advantage of political fissures to carry out more attacks to create further turmoil.

A spate of other incidents occurred Tuesday, said an Interior Ministry official, who cited:

-- A generator caught fire in eastern Baghdad that killed two people and injured 25 others.

-- A string of drive-by shootings and bombings in Baghdad and Diyala province that killed three people and wounded five.

-- A roadside bomb in the capital that seriously wounded the judge who heads Baghdad's appeals.

-- A car bomb that detonated in the town of Balad Ruz northeast of the capital, killing two other judges.

-- A drive-by shooting in western Baghdad's Ameriya neighborhood that killed a senior Trade Ministry official.

-- A drive-by shooting in eastern Baghdad that wounded three occupants of a car.

-- A hand grenade thrown at a police patrol in western Baghdad that wounded a policeman and a civilian.

The website iraqbodycount.org estimated that nearly 2,000 Iraqi civilians had been killed this year through June.

"We continue to bleed as a nation," Iraq's ambassador to the United States, Samir Sumaidaie, told CNNI. He called the attacks "despicable," but said, "We do not believe there is any chance that they will derail the political process or destabilize the country. People are fed up with them and I don't believe they will achieve any political purpose."

In Washington, Deputy White House Press Secretary Bill Burton said President Barack Obama condemned the attacks. "There are obviously still people who want to derail the advances that the Iraqi people have made towards democracy, but they are firmly on track and we're confident that we're moving towards the end of our combat mission there," he said.

The political crisis worsened on Monday when former Iraqi Prime Minister Ayad Allawi's al-Iraqiya party announced that it was suspending talks with al-Maliki's coalition in response to comments he made in a television interview.

Maysoon al-Damalouji, a spokeswoman for al-Iraqiya, told CNN the group decided to suspend negotiations after al-Maliki described Allawi's candidate list as a "Sunni list" in an interview aired Monday by the U.S.-funded network Alhurra.

Al-Damalouji said they were demanding an apology to the supporters of al-Iraqiya. Allawi, a secular Shiite, heads the cross-sectarian al-Iraqiya list, which won the largest number of seats in the March 7 national elections. Al-Iraqiya garnered most of the Sunni Arab vote.

The four top blocs are involved in weekslong negotiations to try to build a coalition with enough seats to form a government.

A fragile mega-Shiite coalition was formed in May between al-Maliki's State of Law and the Iranian-backed Iranian National Alliance, which includes the followers of radical Shiite cleric Muqtada al-Sadr, but the coalition collapsed this month after the INA rejected al-Maliki's nomination for a second term.

Allawi and al-Maliki both claim the right to lead the next government. The two blocs have been holding talks.

To form a government, a 163-seat majority of 325 seats in parliament is needed. Allawi's bloc had a narrow victory with 91 seats, while al-Maliki won 89.

Western and Iraqi officials, including Allawi, have said Iraq's next government must be inclusive and representative, or violence could result.

Sunnis largely boycotted the 2005 elections, leading to the emergence of a Shiite-led government. The move left the once-ruling minority disaffected and that contributed to the a bloody insurgency and sectarian warfare that gripped Iraq for years.

CNN's Jomana Karadsheh contributed to this story.

@highlight

Suicide bomber detonates vest as men line up at army recruitment center

@highlight

Bomber's vest was stuffed with 30 kilos of explosives, ball bearings

@highlight

Deadly attack occurs on day with a string of violent incidents in Iraq

@highlight

Iraq has been pushing to increase security as U.S. troop drawdown nears