A young rising star.  A keynote speech on the Democratic Party's biggest stage. Is it 2004 again?

San Antonio Mayor Julian Castro gave the most significant speech of his political career on Tuesday night when he became the first Latino to deliver the keynote address at the Democratic National Convention.

"My grandmother didn't live to see us begin our lives in public service. But she probably would've thought it extraordinary that just two generations after she arrived in San Antonio, one grandson would be the mayor and the other would be on his way -- the good people of San Antonio willing -- to the United States Congress," Castro said in his speech, referring to his twin brother, Joaquin.

"My family's story isn't special. What's special is the America that makes our story possible. "Ours is a nation like no other -- a place where great journeys can be made in a single generation ... no matter who you are or where you come from, the path is always forward."

Comparisons to the 2004 Barack Obama are inevitable. The then-Illinois state Sen. Obama gave the same address in Boston, launching him onto the fast track for the presidential nomination four years later.

Castro, 37, shrugs off the similarities and talk that he could eventually become the first Hispanic president.

DNC speech to focus on Mexican American family experience

"Oh, I would be lying if I said that's not flattering. Of course it's flattering to anybody," he said last week from San Antonio. "But the biggest mistake I can make in this situation is to believe the press, to believe the hype."

That humble response can be attributed to his modest upbringing.

Castro's grandmother immigrated to Texas from Mexico as an orphan at the age of six. She taught herself to read and write in Spanish, eventually finding work in San Antonio as a maid and a cook.

Castro's mother, Rosie Castro, learned a tough lesson at a young age while in school in San Antonio, where her teachers discouraged speaking Spanish.

"They would charge us a quarter if you were caught speaking Spanish, and incidentally that's how much lunch cost," Rosie Castro said. "We were put down so often that the message was clear -- Spanish was a bad language that shouldn't be spoken."

As a result, Julian Castro and his brother, Joaquin, grew up in a home where Spanish was rarely spoken. Neither speaks the language fluently.

"I understand Spanish better than I speak it," Julian Castro admits.

It was Rosie Castro who inspired Julian's political future. While in college she became president of the Young Democrats at Our Lady of the Lake University in San Antonio. Out of college, she joined the Chicano movement, working with the "La Raza Unida Party" to fight for reforms beneficial to the Mexican-American community.

In 1971, Rosie ran for San Antonio City Council and lost the race.  Along the way, though, she took her sons to various community and political events where they witnessed battles for voting rights and an end to discrimination on city services.

"I dragged them to every meeting, rally and voting booth," Rosie Castro said. "They helped me on different campaigns and handed out literature. I wanted them to realize it is your duty to be involved."

Now, less than two weeks shy of his 38th birthday, Julian Castro, a graduate of Stanford University and Harvard's Law School, is the youngest mayor of a Top 50 American city. At age 26, he was the youngest councilman ever elected in San Antonio. Joaquin Castro, who introduced his twin Tuesday night, is a politician in his own right -- currently running for the House of Representatives in a contest Democratic leaders expect him to win.

"Since they were young, I imagined they would do great things," Rosie Castro said of her sons.

A source familiar with Julian Castro's speech set the bar high for the San Antonio mayor, saying it was akin to Obama's career-making 2004 address.

Castro himself says he'll focus on his own story of achieving the American dream.

Who is the next Obama?

He drew a link for those working to write their own success story, addressing what he said in an interview was the "clear choice that voters have in this election, and why the policies that President Obama has put forth make more sense to creating opportunity, bringing the middle class back, and assuring prosperity in the future."

"We need to make a choice. It's a choice ... between a country where the middle class pays more, so that millionaires can pay less ... or a country where everybody pays their fair share. It's a choice between a nation that slashes funding for our schools and guts Pell grants ... or a nation that invests more in education. It's a choice between a politician who rewards companies that ship American jobs overseas ... or a leader who brings jobs back home," Castro said.

"This is the choice before us. And to me, to my generation, and for all the generations that will come after us, our choice is clear. Our choice is a man who's always chosen us. A man who already is our president -- Barack Obama."

The choice of Castro for the convention's keynote address is strategic in an election where the Latino vote will be key.

Obama handily won the demographic's vote in 2008 over Republican John McCain and it will be pivotal for him to do the same in November.

The Romney campaign also knows the importance of Hispanic voters. Last week's GOP convention in Tampa had no shortage of prominent Latino speakers, including Florida Sen. Marco Rubio, a Cuban-American who was among those in consideration for Romney's vice presidential pick.

Obama's advantage over Romney among the politically imperative demographic remains steady from previous months, with the president taking 61% to Romney's 29% of registered Latino voters' support in August, according to a Gallup survey.

Romney's campaign has publicly identified a "magic number" for the Latino vote if the former Massachusetts governor has a chance of winning the election: 38%. McCain garnered 31% of the Latino vote in 2008.

But Latino interest in the 2012 election appears to be lagging. Compared with the 2008 election cycle, Hispanic interest levels in 2012 are 10 points behind where they were in the previous election, according to an NBC-Wall Street Journal-Telemundo poll conducted in July.

Amid the lagging support, the White House announced in June a bold new policy that halts deportations of some young immigrants who came to America illegally as children. The policy is a "temporary" measure that allows eligible immigrants to apply for work permits and deportation deferral for a two-year period.

Castro acknowledges with a smile the strategy behind his prominent speaking role: "Obviously I'm young and I'm also Hispanic, two important groups in this election. And I'm confident that I can do a good job in articulating why President Obama ought to be the candidate that Americans select for the next four years."

Since being elected in 2009, Castro has built a reputation as "a youthful and dynamic leader here in town," says Walter Wilson, assistant professor of political science at the University of Texas-San Antonio.

"In a lot of ways, this speech is an initial test on the national stage," Wilson says, predicting that if Castro is successful at the convention, it gives the party a new confidence that he indeed is a rising Democratic star.

"It's definitely a symbolically significant speech for the mayor. It sets the tone for where the Democratic Party thinks its future is headed," Wilson said.

San Antonio Republicans are skeptical of Castro's broader appeal, with one San Antonio official calling him a "typical young, energetic liberal Democrat."

He "believes in big government, tax and spend, and those type of things," said Steve Heinrich, treasurer of the Republican Party of Bexar County.

George Rodriguez, president of the Tea Party of San Antonio, echoed those comments.

"He's a tax-and-spend liberal. He does not represent all Hispanics, we're not all the same," Rodriguez said.

Before his speech, the young mayor Tuesday appeared to be more nervous about using a teleprompter for only the second time rather than for the high expectations surrounding his address.

"In the end, the American dream is not a sprint, or even a marathon, but a relay," Castro said. "Our families don't always cross the finish line in the span of one generation. But each generation passes on to the next the fruits of their labor. My grandmother never owned a house. She cleaned other people's houses so she could afford to rent her own. But she saw her daughter become the first in her family to graduate from college. And my mother fought hard for civil rights so that instead of a mop, I could hold this microphone."

Democrats to highlight Obama's tough decisions

@highlight

San Antonio Mayor Julian Castro delivers the convention's keynote speech Tuesday

@highlight

The rising Democratic star drew comparisons to 2004 speech by then-rising star Obama

@highlight

Castro touts his own story of achieving the American dream

@highlight

His prominent speaking role is strategic in an election where the Latino vote is key