New York (CNN) -- There are days when Congress seems determined to earn its 12% approval rating -- and that 14 Republican senators are threatening to filibuster any new gun legislation should make your blood boil if you still have a heart to pump it with.

Four months after the Sandy Hook Elementary School slaughter, the vast majority of Americans still support some sensible new gun laws, but the same legislation has been declared DOA by conservative senators.

It's enough for some activists to crow that the NRA's strategy to stall until public attention moved elsewhere has succeeded. The old argument after a mass shooting -- "it's too soon" -- has been revealed to be the delay and dodge it always was.

In a democracy, the will of the people is supposed to have some sway.

And an astounding 91% of Americans back universal background checks -- including 88% of Republicans, according to a Quinnipiac poll. Reality check: 90% of Americans don't agree on the awesomeness of apple pie and vanilla ice cream. The disconnect between Congress and Main Street America has rarely been so stark.

This should be a no-brainer -- especially because the most "controversial" initial proposals have been dropped because they were considered too politically difficult to pass. Those included a reinstatement of the assault weapons ban, which is only supported by a narrow majority of the American people, and a limit on high-capacity magazines

Democratic Senate Majority Leader Harry Reid was hotly criticized by liberals for backing off this proposal, but he cited pragmatism -- the need to get 60 votes for passage.

That Reid himself has enjoyed high ratings from the NRA and is looking out for the political fortunes of red state Democrats running for re-election was a source of some suspicion. But even Reid's attempt to put forward a less polarizing bill has been met by the threatened Republican filibuster. There seems to be no reward for being reasonable.

Reid to force a vote Thursday on debating gun measures

When Rand Paul filibustered the nomination of CIA Director John Brennan, I cheered -- not because I agreed, but because it was a principled attempt to educate the American people on drone strike policy and because Paul pursued the filibuster the traditional "Mr. Smith Goes to Washington" way, taking the Senate floor rather than blocking debate with a parliamentary maneuver. But this threatened filibuster on guns follows the old obscure obstructionist ways, blocking debate and accountability rather than encouraging it.

The arguments would-be filibusterers such as Sens. Paul, Ted Cruz, Mike Lee, Mitch McConnell and Mike Enzi are making sound as if they are principled -- if you don't pay attention to the facts.

Here's Enzi's take: "The measures proposed currently by the majority do not reduce crime, they simply restrict the American public's constitutional right to self-defense. ... These bills would take away one of the basic freedoms guaranteed by the Bill of Rights and proponents won't stop with these restrictions."

Enzi is singing from the current conservative hymnal, but let's take a closer look.

His statement is a combination of fictitious fear-mongering ("These bills would take away one of the basic freedoms guaranteed by the Bill of Rights") and the dystopian slippery slope ("and proponents won't stop with these restrictions.")

Let's start with a reality check on the most predictable of the oppositional bumper stickers: the "assault on Second Amendment."

First, the Second Amendment is already enshrined in the Constitution. It cannot be abridged by legislation.

Moreover, there exists the right to reasonable restrictions, such as the ban on machine guns that has existed in the USA since the 1930s and originally passed with NRA support. But don't take my word for it -- listen to conservative Supreme Court Justice Antonin Scalia, who wrote in the landmark Heller Decision, which declared D.C.'s functional ban on handguns unconstitutional:

"Like most rights, the Second Amendment right is not unlimited. It is not a right to keep and carry any weapon whatsoever in any manner whatsoever and for whatever purpose: For example, concealed weapons prohibitions have been upheld under the Amendment or state analogues.

"The Court's opinion should not be taken to cast doubt on longstanding prohibitions on the possession of firearms by felons and the mentally ill, or laws forbidding the carrying of firearms in sensitive places such as schools and government buildings, or laws imposing conditions and qualifications on the commercial sale of arms. [United States v.] Miller's holding that the sorts of weapons protected are those 'in common use at the time' finds support in the historical tradition of prohibiting the carrying of dangerous and unusual weapons."

Got that? Unless gun advocates are going to start calling Scalia a RINO (Republican In Name Only), there should be some room here for reasonable debate.

Yes, we need to acknowledge that Americans use guns differently in urban and rural areas. That's one reason liberal former Vermont Gov. Howard Dean had an A rating from the NRA when he ran for president in 2004. But if politically difficult but clearly constitutional measures such as an assault weapons ban, which Ronald Reagan backed, aren't included in the proposed legislation, we surely should be able to debate this issue rationally and in the open.

Republicans are doubling down on irrational appeals and trying to block debate.

That's another reason this position is infuriatingly stupid -- it compounds the number one negative perception about the Republican Party. Namely, that it is "inflexible and unwilling to compromise."

Why be afraid of an open debate and an up or down vote on this issue?

Republicans such as Rudy Giuliani and John McCain have pointed out the counterproductive nature of this threatened filibuster, with McCain saying on CBS' "Face the Nation": "The purpose of the United States Senate is to debate and to vote and to let the people know where we stand." He added, sensibly: "What are we afraid of?"

That's a good question. And the answer is hiding in plain sight.

Republican senators are afraid of a conservative primary challenge fueled by huge amounts of outside money backed by activists and lobbying groups such as the NRA.

I genuinely believe that both parties have good ideas and good people -- and principled voices are arguing for a constructive compromise and a real debate on this issue.

Opponents can't even defend their inaction by arguing they are representing their constituents because of the overwhelming bipartisan margins for the proposed increased background checks and cracking down on gun-trafficking. But hyperpartisan politics are once again threatening to trump policy-driven problem solving. That's why Congress has such a dismal approval rating in the first place.

On Tuesday and Wednesday, parents who lost children in the Newtown massacre will be walking the halls of Congress, trying to appeal to the conscience of our legislators. It will be interesting to see whether their personal appeals will carry as much weight as the influence of gun lobbyists.

This issue isn't academic -- it is an urgent test of our elected representatives' ability to be responsive to the public will and reason together.

If Newtown can't get Washington's attention, what will? The shooting of a colleague, Gabby Giffords, apparently didn't. Conscience and compassion should matter more than cold hard cash.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

Universal background checks on gun buyers favored by 90% of Americans

@highlight

John Avlon says the threatened Republican filibuster would thwart democracy

@highlight

He says the arguments against background checks are bogus

@highlight

Avlon: Real fear of GOP senators is primary challenge funded by NRA