Washington (CNN) -- As they furiously typed computer code through the night in a small Capitol Hill office, little did they know they were about to change the way Americans would view what has become known as the worst offshore oil spill in U.S. history.

The handful of staffers from Rep. Ed Markey's now defunct Select Committee for Energy Independence and Global Warming had just received word from oil giant BP that they would be given a live feed of the underwater cameras monitoring the spewing oil from 8,000 feet below the Gulf of Mexico. The date was May 19, 2010, nearly one month to the day that the Deepwater Horizon well had exploded, killing 11 workers and causing oil to stream unabated into the Gulf.

"This was like a tornado but under the water, which people could not see," Markey, D-Massachusetts, told CNN this week.

Up to that point, BP had only released short snippets of video from the robotic cameras. Markey and other congressional Democrats had been pressuring BP to allow them to see the live pictures.

Photos: Gulf oil disaster a year later

As Markey's staff worked to post the live feed on their website, they debated what to call it. Finally it was decided that "spillcam" was the most descriptive.

By 9 a.m. the next day, the video feed went up on the committee website. Within 24 hours a million people had seen it. The demand was so high, it not only crashed the committee's website but the huge volume also temporarily crashed the House of Representative's Web system.

"Spillcam" was a game-changer.

"Once they saw it, once they could understand the damage that it was doing to the environment and to the livelihoods of the people in the Gulf of Mexico, that's when the spillcam became something that changed the whole course of the way in which the government and BP was responding to this disaster," Markey says.

The video eventually was viewed by many more millions around the world as CNN and other networks broadcast the images.

Estimates of just how much oil was gushing into the Gulf ballooned. Initially BP and the government announced 1,000 barrels a day was leaking into the Gulf from the well. Those estimates continued to climb from 5,000 barrels a day to 12,000 to 19,000 and eventually up to 60,000 barrels a day. Spillcam allowed teams of government scientists to calculate better estimates.

Gulf oil disaster still puzzles scientists

But one year after the Macondo well explosion, Markey, who became the face of Congress trying to hold BP accountable, says nothing has changed.

"Congress has not passed any legislation yet to respond to the lessons which we have learned from that spill," he says.

Markey blames Republican senators and the Senate rules requiring 60 votes to pass legislation to strengthen safety rules regulating offshore drilling. But, when pressed, he concedes that some of his Democratic colleagues in the Senate joined the majority of Republicans to defeat the House bill in the last Congress.

The oil industry itself and the Department of Interior have taken the lead in putting new safety and preparedness measures into place since the explosion. The much-maligned Minerals Management Service, previously under investigation for being too cozy with the oil industry it regulates, was shaken up in the wake of the spill. Now the newly named Bureau of Ocean Energy, Management, Regulation and Enforcement has split its regulatory divisions so the people who monitor safety and leasing for oil drilling are not the same division that collects royalties. The government has also implemented new, tougher standards for well design.

In addition, oil companies must now certify to the government that they can respond to a spill. Some of the technology developed in trying to cap the BP spill is now part of some of those certification plans.

Rig survivors' wives, kids also victims

But Markey, whose party is now in the minority in the House, lost another battle in February. That is when the Obama administration once again decided to allow deepwater drilling with the support of Republicans and some Gulf-state Democrats who argued that drilling means jobs.

Markey thinks the administration might have moved too quickly.

"I am saying that they have to be very careful. It (deepwater drilling) should only be limited, it should only be out to certain depths, and it should only be with a guarantee that they can go out and to cap it as quickly as possible."

He says he still has real concerns about safety. "The reality is that there are still inherent problems with blowout preventers, that an accident can still occur and that we haven't been able to pass all of the safety legislation necessary that would serve as a deterrent to a repetition of what happened last year."

Stories from the Gulf, one year on

This month, Markey's Republican colleagues passed three new bills out of committee that would allow oil companies to get permits faster to drill offshore, open new areas of the United States to offshore drilling and increase offshore drilling in the Gulf. With gas prices approaching $4 a gallon, Republicans say these bills strike a balance between safety and the demand for oil.

Markey says they're acting as if the spill never happened.

@highlight

Spillcam changed the way BP, government responded to Gulf oil disaster

@highlight

Underwater camera allowed scientists to better understand the gusher

@highlight

Rep. Markey says a year later, Congress has taken no action to prevent another spill