In the eastern Ukrainian city of Luhansk, makeshift barricades, concertina wire and masked men in camouflage greeted visitors to the regional administration building Wednesday.

Seized by armed men Tuesday, the building in Ukraine's restive Donetsk region is just the latest to fall under the control of pro-Russian militants.

Government sites across more than a dozen towns and cities in Donetsk remain occupied, despite an international deal agreed to earlier this month that called for illegal armed groups to disarm and go home.

And the militias, resolutely defiant, show no signs of changing their stance.

In the foyer of the Luhansk government building -- outside which pro-Russian flags now fly -- more armed men, sandbags and wire surrounded a desk through which access to the rest of the building was controlled. A handful of employees waited, looking very uncomfortable.

At a briefing inside for reporters, a man who described himself as the press secretary for the headquarters of the "southeast army," Oleg Desyatnichenko, said this was the threatened takeover of additional buildings.

He said the activists had given the local government an ultimatum Saturday about holding a referendum on greater autonomy for the region.

There was no response, he said, so the activists moved in.

Video footage seen Tuesday showed the pro-Russian militants as they approached the building, smashed doors, waved flags and chanted "Russia! Russia!"

Desyatnichenko said the seizure of key administrative buildings, including the police station and prosecutors' office, would allow the separatists to control local government and access resources needed to hold the referendum.

A controversial referendum in Ukraine's Crimea region last month resulted in its annexation by Russia, a step widely condemned by the international community.

Separatist leader: 'I am not worried'

In the town of Slavyansk, to the west of Luhansk, Denis Pushilin, self-declared chairman of the "Donetsk People's Republic," was also defiant, despite the international pressure for the groups to disband.

At the start of this week, additional sanctions were imposed by the United States and European Union on dozens of individuals and businesses seen as backing Russia's intervention in Ukraine or as being close to Russian President Vladimir Putin.

Pushilin is among those named in the EU sanctions list. But he appears unfazed by the prospect of asset freezes and visa bans.

"I am not worried by the sanctions. I have no reaction," he told CNN. "I have no money in Europe."

He said the same applied to Igor Strelkov, also on the sanctions list, whom the European Union accuses of being a Russian special forces soldier.

Pushilin also confirmed that pro-Russian separatists have seized the police department in the town of Horlivka. "Where they are still enemies of the people, we will do this. We are making such operations in places where the police are not on our side," he said.

Separatists in Slavyansk continue to hold a team of Western military observers from the Organization for Security and Co-operation in Europe, seized outside the town Friday.

Asked what they intended for the seven observers -- described by their captors as "prisoners of war" -- Pushilin said they "would decide about them later."

He repeated the separatists' assertion that the observers are NATO spies and said they would like to exchange them for people detained by pro-Kiev authorities.

OSCE negotiators continue to meet daily with the pro-Russians in Slavyansk to discuss the observers' release, and there is a sense that progress is being made, OSCE spokesman Michael Bociurkiw said Wednesday.

The negotiating team has seen the observers each day and reports that they are all in good health.

Turchynov: Military is ready for combat

Acting Ukrainian President Oleksandr Turchynov said Wednesday that the country's armed forces have been put on full combat readiness because of the threat from Russia.

Speaking at a meeting with the heads of regional state administrations, he said the authorities' task was to prevent the spread of the "terrorist threat" from separatists and pro-Russian saboteurs to other regions of Ukraine. He accused groups in Slavyansk of "killing and torturing people, capturing people," and he said that in addition to automatic weapons, they had heavy weapons like grenade launchers.

Russia's Foreign Ministry responded late Wednesday by denouncing what it called "these militaristic statements of Kiev authorities."

"We insist on an immediate termination of the Kiev militaristic rhetoric aimed at intimidating its own population, on preventing the use of force and initiation of the internal Ukrainian dialogue to seek national reconciliation within the country," the ministry said in a statement posted on its website.

On Tuesday, Turchynov also said events in eastern Ukraine "illustrated inactivity, helplessness, and sometimes criminal betrayal of the law enforcement agencies in the Donetsk and (Luhansk) regions."

He said, "It is hard to admit, but it is true. The vast majority of the law enforcement officials in the east are not able to fulfill their obligations to protect our citizens."

New heads of security have been appointed in Donetsk and Luhansk, he said.

Amid the heightened tensions, Kiev city authorities said "special tactical training exercises" would take place in the capital Wednesday night and warned that "convoys of combat machinery" would be moving around the city.

But the Ukrainian Ministry of Defense denied any such drills were taking place overnight, saying military personnel in Kiev would remain at their bases.

The government in Kiev says Russia is behind the unrest and is supporting the militants.

The Ukrainian Security Service said Wednesday that a Ukrainian citizen had told investigators he was recruited by Russian intelligence agents while on a trip to Crimea, and that he and others were trained by Russian law enforcement instructors to carry out "subversive activities" in Ukraine.

The security service said the Ukrainian citizen, referred to as "K," led a group of 10 people in separatist actions in the Kharkiv region, including the seizure of administrative buildings, earlier this month.

Putin: No need for retaliatory steps

Western nations also accuse Moscow of supporting the separatist gunmen who are occupying official buildings and holding the OSCE team hostage. But Russia disputes that claim, saying it has no direct influence over the pro-Russian activists.

Rather, Putin said Tuesday that the United States had "managed the process from the start."

In remarks to journalists reported by state news agency ITAR-Tass, Putin added that he had not yet authorized a Russian response to the latest round of Western sanctions.

"The government of the Russian Federation has already proposed some retaliatory steps. I think there's not need," he is quoted as saying.

The standoff over the former Soviet republic has become the biggest confrontation between Moscow and the West since the end of the Cold War. In Washington, U.S. Vice President Joe Biden said Wednesday that Russia can't "have it both ways" in dealing with the rest of the world.

"If Russia wants to benefit from the international order, it has to respect that order and abide by the rules," Biden told the Atlantic Council, a Washington-based think tank. But he added that Ukraine's new leaders have to move quickly to overhaul a system badly in need of reform.

"There is a common view, East and West, that the government has to begin to deliver, that corruption is incredibly corrosive," said Biden, who met with Ukrainian officials in Kiev last week. "It may not be politic to say, but it is a reality."

Cracking down on corruption and modernizing outdated institutions could act as "the most significant bulwark against Russian aggression" by restoring public confidence in the country, he said.

"This needs to be a government that exists to serve the people, not enrich the powerful," he said.

Earlier, U.S. Secretary of State John Kerry told the Atlantic Council that Russia was failing to live up to the deal it signed on April 17 to ease tensions in Ukraine, and said it was "fair to say they have escalated the crisis even further." Kerry and Biden both pledged that the NATO alliance -- which now includes several former Soviet republics and Warsaw Pact states -- would stand united to defend its members' territorial integrity.

In June, President Barack Obama will be visiting Poland, a key U.S. ally in eastern Europe, a neighbor of Ukraine, and a member of NATO. He'll travel there for the 25th anniversary of democratic elections in that country, Biden said.

The European swing will include stops in Belgium and France for the 70th anniversary of D-Day.

Russia taking 'dangerous steps'

An emergency session of the U.N. Security Council was called Tuesday at Britain's request.

Mark Lyall Grant, UK ambassador to the United Nations, accused Russia of "taking further dangerous steps aimed at fomenting instability in Ukraine" while seeking to blame the Kiev government for destabilizing the country.

"Russia directed paramilitary actions in Slavyansk, Kramatorsk, Luhansk and other towns in eastern Ukraine," he said. "Russian military jets and helicopters have made incursions into Ukrainian airspace. Russian actions are clear attempts to escalate tensions within Ukraine."

But Russia's ambassador to the United Nations, Vitaly Churkin, suggested Western diplomats were focused only on criticizing the actions of protesters in southeastern Ukraine.

Mass protests in Kiev's Independence Square, or Maidan, led to the ouster of pro-Moscow President Viktor Yanukovych in February. Russia says the interim government in Kiev is illegitimate and backed by ultranationalist groups.

Ukraine is also in deep economic trouble -- and Russia has threatened to turn off natural gas supplies if it doesn't pay its bills.

Ukraine's overall debt for Russian gas has now reached almost $ 3.5 billion, Russia's gas giant Gazprom reported Wednesday, according to ITAR-Tass.

@highlight

Russia calls on Kiev to halt "militaristic statements"

@highlight

Acting President says Ukrainian military has been put on full combat readiness

@highlight

Armed men seize administration building in Luhansk, police headquarters in Horlivka

@highlight

Russia can't "have it both ways" in dealings with the world, U.S. Vice President Biden says