(CNN) -- David Wiles can't remember the first time he ever climbed a tree, but he does recall the first time he fell from one.

"I was about nine years old at a friend's party," says South African-born Wiles, 25. "I was told, 'do not climb that tree,' and as a child you always know better," he smirks.

That fall, however, was never enough to uproot Wiles' childhood fascination with hauling himself up tree trunks and clambering up branches. Nor did it prevent him from becoming a professional tree climber -- and embarking on a mission to reach the leafy summits of some of Africa's tallest specimens.

Last January, Wiles, along with fellow tree climber Drew Bristow, launched an expedition of tree enthusiasts aiming to explore and officially document for the first time some of South Africa's greatest trees.

"I wanted to show Africa's beautiful trees to the world, bringing more awareness -- therefore protection -- to people who may not necessarily be interested in trees normally," says Wiles, co-founder of the "Explore: The Ancient Trees of Africa" project. "It's all about celebrating trees, educating people and preserving for generations to come."

Record-breaking

Over 30 days, the team journeyed through the entire East coast and northern swathe of the country, covering more than 4,000 kilometers. Swinging like marionettes, the climbing troupe used tree-friendly ropes and motorized ascenders to scale some 20 magnificent trees, such as ancient baobabs, majestic yellowwoods and giant Saligna gum trees.

Highlights of the expedition included ascending the world's biggest baobab -- a giant indigenous tree in the Limpopo province, boasting a 40-meter stem circumference at its peak (its size varies according to weather conditions, explains Wiles).

"Just watching the sun going down from the top of that tree was amazing," remembers Wiles. "You are in the middle of nowhere and the only thing that you can hear around you is birds," he adds.

"It makes you feel so small and insignificant. It also humbles you as these trees have stood for hundreds of years, thousands in some cases. Your mind wonders what they have been silent witnesses to over the centuries."

Read this: Saving the majestic baobab tree

Wiles and his climbing partners also made history on January 26 when they scaled new heights by ascending for the first time what was measured to be the world's tallest planted tree: a giant eucalyptus in Limpopo which, at 81.5 meters, would tower above a 25-story building.

But the vista from the lofty canopy, says Wiles, served as a "very stark wake-up call" to the extent of the human destruction of even the most pristine habitats.

"You look in one direction and you've got a beautiful forest and some of Africa's tallest trees," says Wiles. "And then you turn 180 degrees and face backwards and there's nothing," he adds. "It's a complete contrast; (the area has) been cleared out, they've cut literally all of the trees down -- that was quite sad."

Outstanding trees

South Africa has an exceptional heritage of spectacular trees, boasting a large diversity of more than 1,300 tree and shrub species, as well as more than 1,000 introduced species, according to Izak van der Merwe, a forestry scientist at the country's Department of Agriculture, Forestry and Fisheries.

Yet illegal forestry, bushfires and industrial activities have had a big impact on some of South Africa's forests, threatening the country's rich biodiversity.

In order to identify and safeguard its magnificent trees, the government launched in 2004 a project that gives special protected status to outstanding trees, based on their size and age as well as their historic, cultural and landscape value.

So far, more than 70 trees and groups have been declared "Champion Trees," a title that means they may not be cut, disturbed or damaged without prior license.

Wiles, who was born in South Africa and grew up in Zimbabwe before moving to the UK as a teenager, approached the "Champion Trees" project before embarking on his expedition. The authorities asked him if he could help in officially recording the height of specific trees and Wiles proudly says that his project has added up to four trees to the Champion Tree list.

Along the way, the team used mechanical ascenders to take non-climbers safely to the top of the amazing trees and experience the breathtaking vistas -- everyone from school children to national park rangers.

"This all goes to discovering and showcasing these amazing trees for people who will never see them themselves, as well as inspire some to go out and see them," says Wiles.

What's next?

In August, the team also helped to install treetop nest boxes for the endangered Cape Parrot, an endemic species of which less than 1,000 are thought to remain.

"Our skills as climbers allow us to see things no one has even seen before, and therefore offer vast research possibilities," explains Wiles, adding that the team is hoping to return to Limpopo as soon as possible to install further nests.

"We hope to gain more scientific backing into the Cape Parrots -- we are climbing arborists after all, not scientists -- and develop more knowledge and hopefully breeding pairs using the nest boxes successfully."

When asked if there is one specific tree that's on his bucket list, Wiles pauses for a moment, before declaring: "The one we haven't found!"

He adds: "I wouldn't say there is one particular tree because at the moment we've climbed the biggest and the most beautiful, but there is so much more; there is going to be something else out there that is going to blow me away, it's just a case of finding it -- there's always a search for the next big one."

@highlight

A group of professional tree climbers are on a mission to scale Africa's tallest trees

@highlight

They want to raise awareness about their protection by showcasing them to the world

@highlight

'It's all about celebrating trees, educating people,' says co-founder David Wiles

@highlight

The group has also helped install nest boxes for the endangered cape parrot