(CNN) -- A nurse with Ebola may have shown symptoms of the virus as many as four days before authorities once indicated, meaning that she might have been contagious while flying on not just one, but two commercial flights, officials said Thursday.

Amber Vinson was hospitalized Tuesday, one day after she took a Frontier flight from Cleveland to Dallas. Tests later found that Vinson -- who was among those who cared for Thomas Eric Duncan, the first person diagnosed with Ebola in the United States, at Dallas' Texas Health Presbyterian Hospital -- had Ebola.

Authorities indicated Vinson had a slightly elevated temperature of 99.5 degrees Fahrenheit, which was below the fever threshold for Ebola, but didn't show any symptoms of the disease while on her Monday flight. This is significant because a person isn't contagious with Ebola, which spreads through the transmission of bodily fluids, until he or she has symptoms of the disease.

But on Thursday, Dr. Chris Braden of the Centers for Disease Control and Prevention told reporters in Ohio that "we have started to look at the possibility that she had symptoms going back as far as Saturday. ... We can't rule out (that) she might have had the start of her illness on Friday."

"So this new information now is saying we need to go back now to the flight that she took on Friday the 10th and include them in our investigation of contacts," said Braden.

The CDC announced later Thursday that is "expanding its outreach to airline passengers now to include those who flew from Dallas-Fort Worth to Cleveland on Frontier flight 1142" last Friday -- which is how Vinson got to Ohio, from Texas, originally.

Can you catch Ebola on a plane?

The medical director in Summit County, Ohio, where Vinson spent time before returning to Texas, told CNN that two things have changed: what the CDC defines as a "contact" of someone with Ebola and more information has been gathered on how Vinson was feeling.

"What the CDC has discovered, through interviews, is that she may not have been feeling well earlier than we initially thought on (Monday)," said the director, Dr. Marguerite Erme.

"... It was nothing you could point your finger at and say, 'Ah, this is a particular disease," Erme added. Nonetheless, the new information "kind of signified that maybe she had the illness longer than what she had when (hospitalized)."

Her uncle, Lawrence Vinson, said Thursday night that his niece didn't feel sick until Tuesday morning, when she went to the hospital with a temperature of 100.3 degrees (which is still below the CDC's Ebola threshold).

Yet a federal official with direct knowledge of the case gave different information to CNN's Elizabeth Cohen, relating that Vinson said she felt fatigue, muscle ache and malaise while she was in Ohio. She did not have diarrhea or vomiting while in that state or on the flight home.

The fact health officials are working from this latter assumption -- that Vinson may have been ill for longer than once thought -- could significantly expand the number of people who might have been in contact with Vinson while she was contagious.

Earlier, CDC Director Dr. Tom Frieden had said there's an "extremely low" risk to anyone on Frontier's Cleveland-to-Dallas flight, though his agency was reaching out to all 132 passengers as part of "extra margins of safety." Frontier is also grounding its six crew members for 21 days -- the maximum time between when a person can contract Ebola and show symptoms -- out of what its CEO says is "an abundance of caution."

Frontier now says it is notifying up to 800 passengers total, a figure that includes those on last Friday's Dallas-to-Cleveland flight, the return flight four days later, plus five subsequent trips taken by the plane used in that last flight.

And now "12 confirmed contacts of Amber Vinson in Ohio ... are currently under quarantine," according to Summit County's assistant health commissioner Donna Skoda. They include at least two people who worked at a bridal store, where the 29-year-old nurse went as part of her wedding planning.

Latest Ebola developments

Nurse moving to National Institutes of Health hospital

Vinson was flown Wednesday to Atlanta's Emory University Hospital, where her uncle Lawrence Vinson said she is "feeling OK."

Workers at that hospital -- which previously treated Americans Kent Brantly and Nancy Writebol for Ebola -- are also caring for an unnamed person with Ebola who came there September 9.

Another person being treated for the virus, freelance NBC cameraman Ashoka Mukpo, is "getting better every day" at Nebraska Medical Center, hospital spokesman Taylor Wilson said Thursday.

The fourth person with Ebola in the United States,Texas Health Presbyterian Hospital nurse Nina Pham, arrived via plane in Maryland on Thursday night. She was then transported, by ambulance, to the National Institutes of Health hospital in Bethesda, Maryland, just outside Washington.

The Dallas hospital said that transferring Nina Pham "is the right decision (because) many of the medical professionals who would normally staff the intensive care unit (are) sidelined for continuous monitoring." Some 76 workers who cared for Duncan, like Vinson and Pham, have been asked to do things like regularly take their temperatures to gauge whether they have Ebola.

Texas Health Presbyterian's critical care medicine chief Dr. Gary Weinstein said "she has improved so much in a short period of time." Pham sounded upbeat and grateful in the same statement about her upcoming move to Maryland.

"I'm doing really well thanks to this team, which is the best in the world," Pham said. "I believe in my talented co-workers."

How the Ebola virus spreads

Many of those co-workers are subject to heightened concern and scrutiny, due to their involvement in Duncan's care.

To that end, Dallas Mayor Mike Rawlings told CNN's Anderson Cooper on Thursday night that about 50 people from Texas Health Presbyterian have signed a document legally restricting where they can go and what they can do until they totally clear of Ebola.

Among other things, they'll be placed on a "Do Not Board list" that would prohibit them from flying commercially like Vinson did. (Frieden

"They can't take public transportation. They must have personal monitoring twice a day," Rawlings said. "Furthermore, they cannot go to public places."

Complete coverage on Ebola

Schools closed, National Guard deployed to Africa

That wasn't the only government move Thursday related to Ebola.

In Texas' Belton Independent School District, several schools shut down because two students were on the same Cleveland-to-Dallas flight as Vinson. Two schools in the Solon school district in suburban Cleveland also closed because a staffer "traveled home from Dallas on Frontier Airlines on Tuesday on a different flight, but perhaps the same aircraft" as Vinson, the school district said in a statement.

In Washington, President Barack Obama voiced opposition to a travel ban from the countries ravaged most by the virus but did signal openness to appointing a so-called "Ebola czar" to focus on the issue at home. He also signed an executive order authorizing the deployment of National Guard troops to West Africa -- where most all of the nearly 9,000 reported Ebola cases and 4,500 deaths have been occurring, according to the World Health Organization -- to help authorities there deal with the devastating outbreak.

Obama: Ebola czar 'may make sense'

Federal and Texas health officials faced heated questioning on Capitol Hill about how Ebola has been handled so far in the United States and how it will be handled in the future.

Dr. Daniel Varga -- the chief clinical officer for Texas Health Presbyterian Hospital's parent company, Texas Health Resources -- admitted hospital staff "made mistakes" the first time that Duncan visited there in late September, letting him leave despite his symptoms and the fact he'd just come from West Africa.

"We did not correctly diagnose his symptoms as those of Ebola," Varga testified Thursday to the U.S. House Energy and Commerce Committee. "We are deeply sorry."

5 things nurses say the Texas hospital got wrong

While procedures may change -- especially after some well-publicized mistakes -- Frieden said his agency's overarching goal will not.

"Our top priority, our focus is to work 24/7 to protect Americans," Frieden said. "That's our mission."

U.S. health officials grilled on Ebola at congressional hearing

CNN's Ashley Fantz, Holly Yan, Catherine E. Shoichet, Dave Alsup, Rene Marsh, Miriam Falco, Mike Ahlers, Victoria Kennedy, Devon Sayers and Matthew Stucker contributed to this report.

@highlight

NEW: Nina Pham, a Texas nurse with Ebola, arrives in Maryland for treatment

@highlight

NEW: Frontier is notifying up to 800 from multiple flights for possible exposure

@highlight

NEW: Amber Vinson's uncle: She wasn't sick until Tuesday, is now "feeling OK"

@highlight

An official counters, saying Vinson felt fatigue, muscle ache, malaise in Ohio