(CNN) -- "I have a dream that my four little children will one day live in a nation where they will not be judged by the color of their skin but by the content of their character."

I was not yet four years old when Dr. Martin Luther King spoke those words on the steps of the Lincoln Memorial. But in a way I have lived my life as if I were one of those children. For more than 40 years I have fought to make this country a place where those words would be true for all of us, where all Americans can be Dr. King's spiritual grandchildren.

I am not naÃ¯ve enough to think that with the election of Barack Obama racism has disappeared from America. In fact, according to a new AP Poll, racism has increased since 2008.

According to the poll, "51% of Americans now express explicit anti-black attitudes, compared with 48% in a similar 2008 survey." The three percentage point rise is not large, and within the poll's margin of error. But, at the very least, it indicates we have not reached the post-racial world that some hoped Obama's election would usher in. And the prejudice isn't limited to blacks: 52% openly express anti-Hispanic sentiments.

The numbers go up when measured by an implicit racial attitudes test. That is, when the survey takes into account the "dog-whistles," the new buzz word for code language only those "tuned in" will hear, anti-black sentiment is 56% and anti-Hispanic sentiment is 57%.

Opinion: Don't let superstorm sway your vote

This racism has consequences. Alan Jenkins, an assistant solicitor general during the Clinton administration and now executive director of the Opportunity Agenda think tank, told the AP that negative racial attitudes affect "the way people are treated by police, the way kids are treated by teachers, the way home-seekers are treated by landlords and real estate agents."

The racial divide increasingly reflects the generation gap. According to the ninth annual Martin Luther King Jr. Day report, published by the Boston-based group, United for a Fair Economy, "Increasingly elderly Americans do not identify with young Americans who are far more racially and ethnically diverse, leading to reductions in future-oriented public investments."

The report notes that almost half of Americans under 18 are minorities and 80% of retirees are white. By 2030, the majority of those under 18 will be people of color, and by 2042 nonwhites will be the majority of the population.

And as has become obvious in this campaign, the racial and generational divide is driven by the economic divide.

In simple terms, the older white population has accumulated more of the wealth. The key political question is how they relate to and interact with a younger, more diverse -- and yes, more tolerant -- demographic.

Frum: Let's get real about abortions

This may explain John Sununu's recent comment. Explain, but not excuse.

In an interview with CNN's Piers Morgan, former New Hampshire Gov. Sununu said, when asked about Gen. Colin Powell's endorsement of Barack Obama, "You have to wonder whether that's an endorsement based on issues or that he's got a slightly different reason for supporting President Obama...I think that when you have somebody of your own race that you're proud of being president of the United States, I applaud Colin for standing with him."

The wording is a well-constructed dog-whistle. It's also tone-deaf. What's meant to deflect criticism -- "somebody of your own race that you're proud of ... I applaud Colin" -- sends a different signal: condescending and contemptuous.

Just how condescending and contemptuous is easy to see if we reverse it: Sununu is endorsing former Massachusetts Gov. Mitt Romney not because of policies or philosophy, but because both are old, rich and white.

Either formulation should make us very uncomfortable.

Opinion: What is presidential greatness?

In fact, Powell gave cogent, powerful reasons for his endorsement. He noted the difficulty of the recession, the job losses, the fiscal implosion, the unemployment and auto industry collapse. He said that he'd seen "stabilization ... in the financial community, housing ... starting to pick up ... consumer confidence rising."

On foreign affairs, Powell said President Obama has gotten us out of one war, started to get us out of a second and that the president's actions "with respect to protecting us from terrorism have been very, very solid."

Powell also explained why he was not endorsing Romney: "The governor was saying things at the debate on [foreign affairs] that were quite different from what he said earlier ... As I listen to what his proposals are ... with respect to the economy, it's essentially let's cut taxes and compensate for that with other things."

Those responding to Sununu's racist dog-whistle miss a critical point: each of us has a history -- be it racial, ethnic, religious -- that is a source of pride and sorrow. Our heritage helps shape our identity. But neither history nor heritage defines an individual's character. Only the individual's actions can do that.

In human terms, what-you-see-is-what-you-get refers not to something superficial or external, but to what a person does, for character is expressed in action. Are we honest; are we just; are we compassionate? Where are our acts of goodness and kindness?

What a shame that some who would lead, whether in politics or the media, still pretend otherwise.

Powell argued about character; Sununu insinuated about race.

And Dr. King's dream is still not yet a reality.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: This country should be one where Dr. King's vision of racial equality prevails

@highlight

But she says new poll shows rise in anti-black, anti-Hispanic attitudes, far from post-racial

@highlight

She says other report showed generational divide in attitudes to growing minority population

@highlight

Brazile: Remarks like Sununu's about Gen. Powell stoke and reflect this tenacious racism