LONDON, England (CNN) -- Sniffer dogs have long been a useful tool in the search for hidden drugs and explosives, but the future looks bleak for man's best friend as scientists seek to develop a new ultra-sensitive electronic nose device.

New electronic nose could work just as well as the snouts on man's best friend, say researchers.

The electronic nose will be able to identify tiny amounts of explosives in high-traffic, high-risk areas, like airports or shipping terminals, according to researchers.

Yushan Yan, a chemical and environmental engineering professor at the University of California, Riverside, and his team are in charge of the project.

They have just been awarded nearly $1 million in grants by the National Science Foundation to develop the nose, which they claim will work just as well, if not better, than sniffer dog snouts.

"The sensor we are developing certainly has many possible applications," Yan told CNN. "There are many other scenarios you can imagine."

These include using the hand-held device for military operations to detect hazardous materials or even land mines, he said.

They could also be particularly useful in baggage x-ray machines or placed near passenger metal detectors in screening areas, quickly "breathing" in samples of air as people and luggage pass through.

And unlike its animal counterpart, the device won't get tired, need bathroom breaks or require food and water, Yan argues.

"[A dog] takes a lot of training and a person has to be with them all of the time. A dog doesn't work 7 days a week and maybe will get into a bad mood," he added.

They say the device will be able to pick up a smell at extremely low concentrations ranging from parts per billion to parts per trillion and will be able to detect dozens of different odors.

It will consist of an ultra-thin film made out of zeolite, a porous substance commonly used to refine petroleum.

The special film will capture certain gas molecules, like those found in the explosive vapors of TNT.

The molecules that are trapped on the membrane will interface with an ultra sensitive sensor array made of carbon nanotubes. Each sensor will generate a specific signal in the presence of different compounds.

The signals will combine to form a unique pattern, or fingerprint, that will be identified by computer software as a specific scent -- just as a human nose can differentiate between the smell of an apple and an orange, the electronic one will recognize ammonia gas from that of benzene, said Yan.

Over the past decade, "electronic sensing" or "e-sensing" technologies, that mimic human senses, have grown significantly, especially from a commercial perspective.

They are used by companies to "smell" everything from beer and wine to spoiled food and medicine.

The technology behind reproducing human sense will grow even further in coming years.

Researchers at the Massachusetts Institute of Technology are currently creating a tiny electronic nose made out of a ceramic material that could also detect a range of gases, including hazardous ones like carbon monoxide.

While scientists at Tufts University in Massachusetts are working on a smelling machine that uses strands of dried DNA to identity different scents.

Coca-Cola has a smelling machine to analyze corn syrup, while scientists at Nestlé have designed one to sniff coffee aromas. Some cosmetic companies have even used them to smell flower fragrances for their perfumes.

However, so far no one has developed an electronic snout that can quite compete with the complex and highly sensitive canine olfactory system.

But former dog handler, Bill Heiser is not convinced.

Heiser, from Florida, has a faithful black Labrador, Max, who worked in drug detection for years.

For him nothing beats working with man's best friend.

"You get attached," Heiser told CNN. The most rewarding is you get a dog that literally sometimes has no name,"

"The end result is he is happy go out and work because of his loyalty to you. Each dog has a different personality."

@highlight

Electronic nose to detect trace amounts of explosive compounds

@highlight

Device to be used in high-risk areas, like airports and shipping terminals

@highlight

Sensory array will recognize specific gases, like those found in TNT

@highlight

E-nose will equal smelling capabilities of canine nose, say researchers