Washington (CNN) -- Three U.S. senators introduced legislation Monday to specifically ban so-called "crush videos" -- depictions of small animals being tortured to death by humans.

The legislation came in response to a Supreme Court ruling this year striking down a broader congressional law dealing with animal cruelty.

The bi-partisan Animal Crush Video Prohibition Act would criminalize the creation, sale and marketing of these specific kinds of videos. Penalties of up to seven years in prison would be possible.

The videos mostly depict women -- with their faces unseen -- stomping helpless animals such as rabbits to death with spiked-heel shoes or with their bare feet. The videos apparently satisfy a sexual fetish for those who produce and watch them, said animal rights activists who supported the new bill.

"Our legislation would ban animal crush videos that fit squarely within the obscenity doctrine -- a well-established exception to the First Amendment," said Sen. Jon Kyl, R-Arizona, a co-sponsor. "It also takes the important step of banning non-commercial distribution of animal crush videos, which is necessary given the nature of the Internet and the propagation of file-sharing and peer-to-peer networks that exist today."

Sens. Jeff Merkley, D-Oregon, and Richard Burr, R-North Carolina, also helped draft the legislation.

The lawmakers said the high court ruling opened the door for Congress to craft a "narrowly tailored" bill aimed at banning this specific type of commercial activity.

The justices by an 8-1 margin struck down a broader 1999 federal law designed to stop the sale and marketing of videos showing dogfights and other acts of animal cruelty, saying it was an unconstitutional violation of free speech. That specific case dealt with a Virginia man who sold videos of dogs fighting each other at an overseas location.

But in dissent, Justice Samuel Alito focused his attention on crush videos. "The animals used in crush videos are living creatures that experience excruciating pain. Our society has long banned such cruelty," he said. The courts, he said, have "erred in second-guessing the legislative judgment about the importance of preventing cruelty to animals."

Alito at the time predicted more crush videos would soon flood the underground market, because the ruling has "the practical effect of legalizing the sale of such videos."

Lawmakers had promised to craft bills banning those types of videos. It was unclear if further legal challenges would result if the legislation passes with the president's signature.

When it came to dog-fighting videos, "The First Amendment itself reflects a judgment by the American people that the benefits of its restrictions on the government outweigh its costs," said Chief Justice John Roberts. He concluded Congress had not sufficiently shown "depictions" of dogfighting were enough to justify a special category of exclusion from free speech protection.

Nearly every state and local jurisdiction have their own laws banning mistreatment of wild and domesticated animals, and usually handle prosecutions of animal cruelty.

Several media organizations had supported Robert Stevens -- the man behind the dogfighting videos -- worrying the federal law could implicate reports about deer hunting, and depictions of bullfighting in Ernest Hemingway novels.

Roberts suggested last April a law specifically banning crush videos might be valid, since it would be narrowly tailored to a specific type of commercial enterprise.

Alito noted that would not help dogs forced to fight each other, where, he said, "the suffering lasts for years rather than minutes."

The government had argued a "compelling interest" in stopping people who would profit from dog-attack tapes and similar depictions. Roberts dismissed suggestions by the Justice Department that only the most extreme acts of cruelty would be targeted.

"The First Amendment protects against the government," Roberts said. "We would not uphold an unconstitutional statute merely because the government promised to use it responsibly."

The Humane Society, other animal rights groups and 26 states backed the government.

If that 1999 law had been upheld, it would have been only the second time the Supreme Court had identified a form of speech undeserving of protection by the First Amendment. The justices in 1982 banned the distribution of child pornography.

@highlight

The legislation is aimed at "crush videos," showing the deaths of small animals

@highlight

The legislation follows a Supreme Court ruling earlier this year

@highlight

That ruling overturned a broader congressional law on animal cruelty