LONDON, England (CNN) -- The term "eco community" might conjure up an image of bearded hippies tending an allotment before sharing a mung bean stew. But as today's urbanites become more concerned about reducing their carbon footprints, some are finding that modern eco communities offer them a way to live sustainably without foregoing their home comforts.

The Nubanusit Neighborhood is a cohousing project that emphasizes sustainability.

Communities that put an emphasis on green values range from isolated eco villages to sophisticated co-housing projects.

Co-housing was dreamed up in Denmark in the idealistic 60s. It allows residents to live in communities where they own their own homes but are actively involved in running their own neighborhoods, which often include a common house where shared dining and other activities are an option.

Sarah Berger, from the UK Co-housing Network, told CNN, "More and more people keep contacting us about getting involved in co-housing communities -- there's an unquenchable thirst for this sort of thing."

As well as co-housing being widespread in Europe, the U.S. Co-housing Association claims there are more than 150 co-housing communities in the U.S.

But where co-housing projects were once primarily intended as a return to a more collective, less isolated way of living, new projects often place an emphasis on sustainable living.

The Nubanusit Neighborhood and Farm in New Hampshire, U.S., is a new co-housing project designed to the highest green standards, including the U.S. Green Building Council's Leadership in Energy & Environmental Design benchmark.

Nubanusit co-founder Shelly Goguen Hulbert says its 29 homes are densely insulated and have triple glazing, meaning they are virtually airtight. A heat recovery system uses warm exhaust air to heat incoming fresh air, minimizing heat loss.

Homes are heated by a centralized wood pellet boiler system, with the pellets sourced from a manufacturer based 5 miles away. And the 70-acre site includes a farm, which means the community can grow its own food or have it grown right on their doorstep by professional farmers. All this helps minimize residents' carbon footprint, and that's a big attraction for many.

Noel White is an editor and writer who has just moved to the neighborhood with his wife and two children. "With the home we were living in before it would have been very difficult to do a lot of retro fitting to it or do things to make it more energy efficient," he explains

"But here we're moving to a place where other people have spent a lot of time thinking about these things and have made very good choices about the energy efficiency of the home and its environmental impact. Someone else has taken the time and effort and had the expertise to make those choices carefully and we've taken advantage of it by buying into it."

It's that opportunity to live in purpose-built sustainable homes that attracted another resident, Jeff Drake, a psychotherapist, who moved to the neighborhood with his partner 7 months ago. Like White, he says it would have been exceptionally difficult and expensive to retrofit his previous home to be more energy efficient. Now he gets to live his green dream. Would you like to live in an eco community?

"This summer I can cool off my house by closing it up during the day; I don't need any air con. In the winter the amount of heat I have to use is really small because the insulation is tremendous. It's exciting to live that way," says Drake.

Although work on Nubanusit Neighborhood won't be completed until the end of the year, over half the homes have been sold and the people choosing to move there are by no means hardcore environmentalists.

Of his own family White says, "I think we have been environmentally conscious for a long time and have tried to be thoughtful about the way we live, but that's the way a lot more people are now anyway."

As ordinary people become more environmentally aware the idea of eco communities is becoming more mainstream. In the UK, Living Villages has won architecture awards for its Wintles development in Shropshire. Its 14 houses use lots of sustainable timber, are highly insulated, and have heat recovery systems and solar panels.

Like co-housing developments, Living Villages emphasizes community as much as environmentally sound design, with the Wintles homes facing each other around a village green to encourage social interaction.

But this kind of green living doesn't come cheap, with new Wintles homes on the market for up to $900,000, a far cry from the inclusive ideology behind archetypal hippy collectives. And that's the catch -- the more creature comforts and environmentally-friendly features are built into a home, the more expensive, and exclusive, it becomes.

Inherent to eco communities is their small scale. Not only does it provide the social glue that holds them together, it allows communal facilities and equipment, such as lawnmowers, to be shared, reducing the community's carbon footprint. But in a crowded world that size restriction limits how widespread these developments can become.

While these communities will never be for everyone, Berger maintains co-housing is a model for the future. "A lot of the basic concepts behind co-housing are applicable to larger housing developments," she says.

"Some of the principles could be woven in to conventional developments -- things like having the residential area car free, having a common house where you can eat communally from time to time, hold events, and have a children's room and games room for teenagers.

"Also, having offices for home working means you're meeting government objectives about reducing carbon footprints and living more sustainably."

@highlight

More people are choosing to live sustainably in eco communities

@highlight

Modern co-housing developments often emphasize green values

@highlight

Living Villages in the UK has designed award-winning eco villages