I'm about to fly from Santa Fe to New York, and I'm terrified.

Once in New York, I will teach a class on creativity based on my book "The Artist's Way." While I am eager to share my toolkit with a new audience, I am not eager to fly. For a week before flying, I sleep poorly, "rotisserie-ing" in my fears. My friends notice that I am miserable.

When I tell them I have a fear of flying, they respond, "But flying's safe. Safer than driving to the airport."

Their rational reassurance does nothing to curb my fear. My mind spools out dire scenarios: The plane will have difficulty on takeoff or landing; an engine will fail or catch fire; a terrorist will somehow make it through security and reroute the plane like 9/11.

For days before I am due to fly, I tell myself to pack. But my mind freezes at the prospect. Finally, I make a list of everything I need to take. Item by item, I pack. How easy it would be to pack a bomb, I think. I try to push this aside, but it persists.

Not flying isn't an option

As an author who teaches seminars, I have flown for years. With more teaching came more flying and with more flying, an ever-increasing fear.

I have never had anything bad happen when I was flying, as far as I know. Not even close. My worst scenario about five years ago involved terrible turbulence. As the plane shimmied and shook, I clutched my armrests and prayed, "Dear God, please end this turbulence. Please let us find smooth air."

My prayers were earnest but went unanswered. The turbulence continued for nearly the whole flight.

"How was your fight?" my host asked, meeting me at the airport.

"It was terrible. Really turbulent," I replied.

"Well, you made it safe and sound," my host said, glossing over my terror. "We're glad you're here."

A familiar feeling takes hold

In four days, I would have to fly again, returning home. I put this return trip out of my mind, focusing on my days of teaching. There were tools to teach and anecdotes to share. My fear of flying had no place in the curriculum. It wasn't until I was driving to the airport days later that I felt my familiar fear taking hold.

"It went well," said my host. "I hope you'll come back next year." I smiled politely, remembering my turbulent trip. I certainly didn't want to repeat it. As we approached the airport, I lost my ability for polite conversation.

"Cat got your tongue?" my host asked.

"I'm afraid of flying," I reluctantly confessed. "Very afraid of flying."

My host repeated the usual reassurance: "Why, flying is safer than our driving to the airport."

"I know that," I said, "But it doesn't help."

And it didn't. The flight home was smooth, but I was braced for turbulence. I spent a long three hours dreading the bumps that did not come.

An inspiration fueled by fear

When I got home safely, my publisher called. "Tell me your teaching went well?" he asked.

"It did," I said. "It's the flying that's hard."

"Why, flying is safer than driving to the airport," he assured me.

"I know, I know," I said. "My fear isn't rational. I think it has to do with not having control. Flying, you put your life in your pilot's hands. That takes an act of faith."

"Why don't you write me a little book on the fear of flying," he asked. "Maybe writing would help you."

Who wants to confess an irrational fear, much less in print? "I feel like such a baby," I complained to my friends. But I agreed to do it, and an assignment was an assignment. And as the time neared for my next flight, I found myself watching my fear with a new objectivity. Afraid to even pack, I prayed for the willingness to begin. Making my packing list, I felt calmer. Executing it early, I felt good.

"Maybe there's something to be said for prayer," I caught myself thinking.

Writing down specific prayers

And so I wrote out prayers for each step of my journey, asking in particular for freedom from turbulence. Determined to fly fearlessly, I asked for help. Unlike my neighbors on the flight, I did not order a drink or take a pill. Instead, I prayed. And when I did so, I felt an unfamiliar calm stealing over me. My neighbor noticed my calm.

"What are you doing?" I was asked through a double scotch. I opted for candor.

"I'm praying," I said.

"I'm drinking," said my neighbor. "Teach me to pray."

And so, I led a prayer and then another. My neighbor exclaimed, "I do feel better!"

My mind ticked back to my assignment. I thought of the prayers I use. You do not need to believe in anything specific. Even if you don't believe, acting as if you do can bring you calm.

Before takeoff prayer

Dear God, please help our pilot.

Please help me to trust his wisdom and skill.

Please help me to let go.

Let our flight be smooth and uneventful.

Let us land without mishaps.

Amen.

Prayer for turbulence

God, please guide us to smooth air.

Please, please, end this turbulence.

Quiet my nerves and give me faith.

Thank you for your help.

Amen.

Landing prayer

Dear God,

Please give us a safe landing.

Please see that the gears work smoothly.

Lock them firmly into place.

Let us hear the mechanisms working.

Let us trust the hydraulics.

Bless our ears.

Amen.

One more calming suggestion

Using my tips to pray, pack early and tell myself to postpone my fear until tomorrow (when I tell myself to postpone it again), I recently took a trip to Tel Aviv. That entailed eleven hours of airtime, almost all of it turbulent. Instead of my usual fear, I found myself trusting our pilot and our plane. I visualized each bump like a wave on water.

While not relaxed enough to sleep, I was relaxed enough to read. This brought me to another tip: Buy tabloids. Celebrity gossip is engrossing. Celebrity cellulite can make you forget turbulence.

@highlight

Knowing flying is safer than driving has never calmed Julia Cameron's fear of flying

@highlight

Instead of running away from her fears, Cameron wrote prayers to address them

@highlight

"The Artist's Way" author also packs early and buys certain magazines to help fight fear