Washington (CNN) -- When Tip O'Neill retired in 1987, he was asked how the quality of people elected to Congress had changed in his 30-plus years of service. The former Speaker of the House answered: "The quality is clearly better, much better." But, he added, "The results are definitely worse."

He meant: as compared to the Congresses of the 1950s, the Congresses of the 1980s contained fewer drunks and fewer crooks. Members were better educated and harder working. Yet the Congresses of the 1950s managed to balance the budget, confirm presidential nominees in reasonable time and enact programs, like the one that created the interstate highway system. The Congresses of the 1980s could do none of those things.

And of course the contemporary record is even worse. This past summer, Congress very nearly pushed the United States into an unnecessary default. Another government shutdown looms. The budgeting of the United States is in chaos. The Federal Reserve has been left for months with two vacancies on its seven-member board because of secret holds by individual senators.

Politics is a contest, limited by certain unwritten rules. And over the past two decades, old rules have broken down.

Under the old rules, there were certain things that political parties did not do -- even though theoretically they could. If one party controlled the Senate and another party controlled the presidency, the Senate party did not reject all the president's nominees. The party that controlled the House did not refuse to schedule votes on the president's budgets. Individual senators did not use secret holds to sway national policy. The filibuster was reserved for rare circumstances -- not as a routine 60-vote requirement on every Senate vote.

It's incredible to look back now on how the Reagan tax cut passed the Democratic House in 1981. The Democratic House leaderships could have refused to schedule votes on Reagan's tax plans. Instead, they not only allowed the tax plan to proceed -- but they allowed 48 of 243 Democrats to break ranks on the key procedural vote without negative consequences to their careers in the Democratic party. (Rep. Dan Glickman of Kansas, for example, who voted for the tax cuts would rise to become Secretary of Agriculture under President Clinton.)

Hard to imagine Speaker John Boehner allowing his Republicans to get away with similar behavior on a measure proposed by President Obama.

What's happening before our eyes is that the US congressional system is adopting the attitudes of a Westminster-style parliamentary system.

In a parliamentary system, "the duty of an opposition is to oppose" (in the famous words of Benjamin Disraeli). The opposition uses every trick and technique to thwart and defeat the government; the government uses all the powers of a parliamentary majority to overwhelm the opposition. (To quote Disraeli again: "a majority is always better than the best repartee.")

Then, at regular intervals, the two sides switch roles.

In the American system, there is no "government" and no "opposition." Who would lead such a "government"? President Obama? Or the man in command of the majority in the lower House -- Prime Minister John Boehner?

In a system built around an administration and a bicameral Congress, everybody is part of the government -- and the government only functions if there exists a certain baseline spirit of cooperation between the mutually indispensable parts.

That spirit of cooperation has tended to vanish in recent years. Back in 1986, Democratic leaders quashed those in their party who wished to try impeach Ronald Reagan over Iran-Contra. But as the Cold War ended, the party struggle intensified. The shock of the economic crisis since 2008 has made things worse still: desperate times lead to desperate politics.

The old rules were based upon certain conditions that have long since vanished.

Back then, Congress was filled with legislators who shared the common bond of military service: in 1981, 73 of the senators were veterans as compared to only 25 today; a similar trend characterizes the House.

The imperatives of the Cold War inspired a spirit of deference to the president.

The long association of the filibuster with opposition to civil rights tended to discredit its use.

The national media were dominated by a few big institutions that professed (even if they did not always deliver) nonpartisanship.

Americans intermingled more with people of different points of view. Bill Bishop points out in his important book, "The Big Sort," in the very close presidential election of 1976, only 26% of Americans lived in a county that went for Gerald Ford or Jimmy Carter by a margin of 20 points or more. In the also close presidential election of 2004, almost 50% of Americans lived in a county that voted by more than 20 points for either George W. Bush or John Kerry.

Perhaps above all: the long prosperity of the postwar years lubricated the system with enough resources that just about everybody could get some of what they wanted: more spending, moderate taxes, reasonable borrowing, strong national defense.

Now instead we have a country that is spatially polarized, that gets its information from highly partisan media, and that confronts the worst recession and the darkest financial outlook since the 1930s.

The results of these changes are breaking the American political system -- destroying public confidence in the U.S. government -- and paralyzing the U.S. economic policy. It will take more than a change in attitudes to address these concerns. It will take fundamental institutional reform.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: In past 30 years, rules of bipartisan cooperation have dissolved

@highlight

He says use of filibuster is now routine, presidential appointments are stalled

@highlight

Frum says parties are acting as if their only choices are to govern or to oppose

@highlight

America's government is built on the idea that opposing parties will work together