(CNN) -- This week, CNN is exploring American exceptionalism -- the concept that the United States is exceptional when compared to other nations and is uniquely destined to bring democracy to the world.

That notion of American exceptionalism was promoted by the nation's founders and earliest leaders. It's especially evident in the places where the Puritans first landed and built their first settlements, where explorers traveled westward to fulfill the country's manifest destiny, and to purchase or take land by force.

"The American sites that evoke a sense of American exceptionalism are many; they include places that mark the history of our struggles to secure and protect liberty, and places that evoke the promise and opportunity that generations have found in America," says Thomas S. Kidd, a Baylor University history professor, a senior fellow at Baylor's Institute for Studies of Religion and author of "Patrick Henry: First Among Patriots," "God of Liberty: A Religious History of the American Revolution" and other early American history books.

We asked several American historians where they enjoy exploring the history of the United States. Here are some of their favorite spots:

Washington, D.C. There's nothing wrong with enjoying some of the United States' more well-known monuments to its history. A trip to Washington could include a visit to the Washington Monument, the Jefferson Memorial, the Lincoln Memorial and the National Archives. The National Archives Building Rotunda displays the Declaration of Independence, the U.S. Constitution and the Bill of Rights. (If this history lesson bores the children, promise them a visit to the International Spy Museum later.)

Historic Jamestowne, Virginia. The site of the first permanent English settlement in America, the 1607 Jamestown colony is still revealing new information about the site. "Just last year Jamestown announced the discovery of the remains of the first Protestant church built in America, the church where the Native American princess Pocahontas was baptized and married to John Rolfe in 1614," Kidd says. "When I visited the site a few years ago, I found it quite moving to stand on the banks of the James River and think of the tiny band of English settlers arriving there, not having any idea the epic history of America that was to follow."

The Pilgrim Monument, Provincetown, Massachusetts. If you want to see where the Mayflower Pilgrims first made a home in the New World and the Plymouth Rock that symbolizes their journey, join the hundreds of thousands of tourists who visit Plymouth Memorial State Park each year. If you want to see where the Mayflower Pilgrims first landed in November 1620 and spent a few weeks before heading to Plymouth, head to Provincetown, on the tip of Cape Cod. The Pilgrim Monument completed in 1910 commemorates the landing, their five-week stay and the creation and signing of the Mayflower Compact.

Red Hill, Virginia. Founding father Patrick Henry retired to Red Hill after a lifetime of public service, including five terms as Virginia governor and 25 years in the Virginia state legislature. Henry resumed his private legal practice and died at Red Hill in 1799. He was buried there. "In the quiet rolling hills of Brookneal, Virginia, that surround Red Hill, you can appreciate the attraction the land held for [Patrick Henry and many of the Founding Fathers]," Kidd says. "You can also better appreciate the quiet, grinding tragedy of American slavery in this environment; slaves toiled on the Red Hill plantation, enabling Henry and the other founders' American dreams."

Lewis and Clark historic sites. There are so many places to explore where Meriwether Lewis and William Clark first searched for a water route to the Pacific Ocean starting in 1804. Colorado College professor Anne Hyde found some of their history at the Missouri History Museum while sorting through correspondence between William Clark and fur traders for her last book.

"These were Lewis and Clark's 'before the trip letters'," says Hyde, who won the Bancroft Prize this year for her book "Empires, Nations, and Families." "I literally couldn't believe I was touching William Clark's handwriting. Following his career after his famous trip, I listen to him get very upset about what was happening to the Indian people after the War of 1812." (Clark served as Indian superintendent for everyone west of the Mississippi for many years, she says.)

The National Park Service's Lewis & Clark National Historic Trail crosses 11 states, while the Lewis & Clark National Historical Park also incorporates state parks in Washington and Oregon. About five miles south of Astoria, Oregon, Fort Clatsop marks the 1805-06 winter encampment of the expedition.

Homestead National Monument, Nebraska. In the middle of the Civil War, Congress passed and President Abraham Lincoln signed into law the Homestead Act of 1862, which granted 160 acres of free land to citizens and people applying to become citizens who fulfilled certain requirements. (The rules had the effect of disqualifying citizens of the Southern states, which had left the Union to join the Confederacy, until legislation was passed in 1866 allowing them to apply.) It's the 150th anniversary of the act, which is commemorated by the Homestead National Monument of America in southeast Nebraska.

This list by no means covers all of the possible sites embodying American exceptionalism. Where are some of your favorite sites in American history and why do you enjoy them?

@highlight

Historic Jamestown is still revealing truths about the first Pilgrim settlement

@highlight

Patrick Henry's Red Hill home inspired the Founding Father

@highlight

Citizens of the Confederacy could not qualify for free land under the first Homestead Act