(CNN) -- In 1951, a doctor at Johns Hopkins Hospital removed two thin slivers of tissue from a dying woman's cervix.

Cells from that biopsy would later multiply wildly and continuously -- a feat never seen until that time -- and become the cornerstone of research for diseases ranging from polio to Parkinson's disease.

The woman's name was Henrietta Lacks. The cells, culled from her cancerous cervical tumor, are called HeLa.

"Her cells were part of research into the genes that cause cancer and those that suppress it; they helped develop drugs for treating herpes, leukemia, influenza, hemophilia, and Parkinson's disease," wrote Rebecca Skloot in her book, "The Immortal Life of Henrietta Lacks."

"They helped with some of the most important advances in medicine: the polio vaccine, chemotherapy, cloning, gene mapping, in vitro fertilization."

HeLa cells are arguably one of the most important contributions to medicine ever made. And they're still the most commonly used cells in research today, Skloot told CNN.

But although the cells have been a boon for the scientific community, they have been a persistent source of pain for the Lacks family.

Henrietta Lacks had no clue her cells would be used for research, and neither did her family. Decades after her death, scientists took tissue samples from other members of the Lacks family and tested them, never disclosing why they were doing it.

For years companies have capitalized on discoveries made because of HeLa cells, and the family has not received any compensation.

The third blow came earlier this year when scientists in Germany revealed that they had mapped the full HeLa genome and posted the results to a public database.

The Lacks family did not consent to release the information.

"It was repeating this history, this chapter of the family being thrust into some kind of research without their consent," said Skloot.

But a new agreement between the National Institutes of Health and the Lacks family, the details of which were published in the journal Nature Wednesday, is meant to alter the narrative about HeLa.

As part of the agreement, the NIH and the Lacks family will control access to the HeLa genome -- including an even more specific analysis recently completed by scientists at the University of Washington -- so that researchers receiving NIH funds would have to apply to use the data.

Labs not funded by the NIH would not be required to adhere to the agreement.

"We urge the research community to act responsibly and honor the family's wishes," said Kathy Hudson, deputy director for science, outreach and public policy at the NIH and Francis Collins, director of the agency, in a commentary published in Nature. "Downloading the HeLa sequence through controlled access is the right and respectful thing to do."

In some respects, the damage is done. Snippets of information about the HeLa genome have been widely reported over the years, and with them, sensitive information about the diseases to which the Lacks family may be susceptible.

"What happened with Henrietta Lacks is beyond-the-pale horrible, and we don't want that to happen again," said Dr. Robert Klitzman, director of the Masters of Bioethics Program at Columbia University and author of "Am I My Genes?: Confronting Fate and Family Secrets in the Age of Genetic Testing."

"We owe it to people to give them a choice: 'Do you want to do this research even if it is a potential risk to your privacy?'"

The privacy problem is not unique to the Lacks family.

Parents shocked to learn examiner kept son's brain

For patients, a routine hospital visit to draw blood or excise a growth could result in excess cells or tissue being stored and later used for research, albeit with identifying information removed.

"Let's say scientists have all this leftover blood containing patients' genes and next year they discover that a certain mutation makes someone more likely to get a disease, but we never asked you if you want us to look at your blood," said Klitzman. "Science is advancing. We have hundreds of thousands of specimens of DNA, so this is going to be a major ongoing problem."

A report issued in 1999 by the RAND Corporation estimates that more than 307 million tissue specimens are stored in the United States, with approximately 20 million added annually.

Conventional wisdom has been that as long as the samples are anonymous, even if the genetic information is shared publicly, the patient is protected.

Not necessarily, says Klitzman. Using current technology, some of which is easily found on the Internet, genetic information could be paired with seemingly insignificant demographic information to stitch together a person's identity.

In July 2011, the Department of Health and Human Services proposed rules to protect patients whose genetic material could be used for study, and invited public comment.

According to the notice, "...rapidly evolving advances in technology coupled with the increasing volume of data readily available may soon allow identification of an individual from data that is currently considered de-identified."

But since the notice was issued, "no resolution has been released," said Klitzman, leaving a gaping hole in protections for patients.

"Future cures will come of this," said Skloot. "But it needs to be handled in a way that protects people's privacy so people know what they're getting into when they donate. We aren't in a place where people understand what's happening."

As for the family whose experience sparked this whole debate, their agreement with the NIH gives a sense about where they stand. The Lacks family is willing to give scientists what they want, provided their genetic information is respected.

"They get so much pride out of what HeLa cells have done for society and the world," said Skloot. "They want HeLa cells to continue to do good. They just want to be part of the conversation."

@highlight

Scientists took cells from Henrietta Lacks' cancerous cervical tumor in 1951

@highlight

Those cells, called HeLa cells, have been used in many scientific discoveries

@highlight

The family is concerned about their privacy, and has not been compensated

@highlight

Advances in technology have left a gaping hole in privacy protections for patients