(CNN) -- Place a tennis ball into a yellow sock and tuck it into the back of your pants. Now start running.

Congratulations! You are a snitch. Don't get caught, or the game ends.

This is quidditch, as played by muggles.

In JK Rowling's novels, the snitch is a sort-of magical, winged squash ball, pursued by "seeker" Harry Potter in a variety of high-stakes, airborne quidditch contests.

Nobody on the UCLA campus has a magical, winged squash ball. A man with a tennis ball dangling from his shorts will have to do.

"The snitch is the surrealist aspect of the game," concedes Sebastian Milla, former UCLA quidditch player and star of a fly-on-the-wall documentary about his sport.

Mudbloods -- a title taken from the novels' derogatory term for wizards with non-magical parents -- explores the result when you take a fictional sport and make it real.

In 2005, eight years after the publication of the first Potter book, Vermont's Middlebury College gave birth to "muggle quidditch," which translates Rowling's imaginary sport into our world.

Nobody can fly, but a broom between the legs remains mandatory. Three circular goals are used at each end of the field, as per the books.

Ten points are scored for getting the "quaffle" (a volleyball) through those hoops, and 30 for catching the snitch. Where magical "bludgers" are unavailable, they are replaced by dodgeballs thrown at rival players.

Finally, and unusually, both magical and muggle quidditch are mixed-gender, full-contact sports.

Becoming real

The intrigue for many viewers of Mudbloods will be seeing how this sport works, and discovering who wants to play a sport so closely associated with the world of fantasy fiction.

"It's hard to be taken seriously when people think you're a bunch of geeks," MIlla is heard to say as the documentary begins.

Players, some of whom have never actually read the Harry Potter books, lament the disdain of athletes from other college sports. Training sessions attract intrigued crowds wielding camera phones.

Filmmaker Farzad Sangari, who raised almost $27,000 on Kickstarter to make the documentary, says: "If anybody actually watched it or played it, they would realize the amount of athleticism and mental dexterity it takes to play this sport."

Therein lies the dilemma for quidditch: how to take its next step and, like a sporting Pinocchio, become a real boy.

Originally conceived as a light-hearted distraction for college students, the sport is easily looked down upon for its wizarding roots.

Yet quidditch has almost surprised itself by creating groups of elite, dedicated, and athletic players across the United States. Ten thousand fans turned up to the last Quidditch World Cup.

Nine years since the first official game, there is now a governing body -- US Quidditch -- with five full-time staff, led by commissioner Alex Benepe.

"We have 170 college club teams around the country, and most of them are official club sports who receive funding," Benepe tells CNN.

"Teams are increasingly competitive. Players have to go to tryouts and have mandatory practices."

At college level, the sport is stronger than ever. On top of that, the first generations of college players are graduating and taking quidditch into the wider world.

Those graduates are finding each other and forming what the sport calls community teams, those clubs created beyond the bounds of college.

"Community teams have grown significantly and they're starting to get very good," says Benepe.

Tom Marks, another former UCLA player depicted as the team's driving force in Mudbloods, adds: "I wouldn't be surprised if, in the next half a decade, there was a separate league formed for community teams.

"They're going to become these all-star teams."

'Completely unique'

Yet for some people, this was supposed to be "whimsical, grass-roots quidditch," as Benepe calls it. Now, Marks is talking "all-star teams."

Can a sport inspired by Harry Potter really turn into a professional athletic endeavor?

"There are obviously moments where you can be nostalgic for how it started," says Benepe.

"There are certain core elements you don't want to change, ever -- the fact that it's co-ed, full-contact, is completely unique and that can really change the way people look at gender.

"But it's important that the league is always developing, and there's something really impressive about the idea of taking this from a book and growing it into a professional and legitimate sports entity.

"Somewhere down the line, a professional league would be really cool."

Each player interviewed by CNN brought up the word "legitimacy."

"It's not unique to quidditch," says Milla. "There are a lot of sports that people don't really consider to be 'sport'.

"There's a narrow definition of sport that has a lot of things tied to it -- are the athletes paid millions of dollars? Is it televised? Sport is legitimized in different ways.

"I haven't met one person who has played quidditch and said, 'This isn't a sport.' All it takes is one or two games on that broom and you're exhausted."

For some observers, the idea of a "snitch" with a ball dangling from their pants, running across campus to evade capture, stops quidditch being taken seriously.

'People and respect'

By contrast, Milla argues that is precisely why quidditch deserves recognition: it has something new to offer.

"The snitch is what sets quidditch apart from other sports. It makes you question what is important to you," he says, adding that games are often won or lost thanks to highly contentious decisions regarding who did, or did not, catch the snitch.

"You are going to lose on [unfair] snitch catches," he continues. "So are you playing to win, or are you playing because you love this sport and your teammates and you think it's awesome? It makes you question what the entire point of doing these things is.

"One of the big problems we have in sport right now is that it has become so much about the winning, and paying the people who win, that it has stopped being human in a lot of aspects.

"That's why you're seeing a lot of domestic violence cases in the NFL, that's why you're seeing so much corruption in sports and sports industries. It's this whole, ugly scene.

"That's what I like about quidditch -- it is about teams, people, and respect."

Marks, who played alongside Milla at UCLA, hopes quidditch can hold on to its origins while maturing into a sport that's more high-performance, and less Hufflepuff.

"There are two camps, two mindsets," says the 23-year-old, now an assistant editor at PC Gamer.

"One is it should continue being this fun, open thing. The other is it is this aggressive sport that should be treated as such. I think it should do both.

"We should continue fostering that competitive environment because there are real athletes who really want to compete in this brand-new sport.

"But we also need to foster the ability for anyone to play. Not everybody has six hoops and 14 brooms in their back yard. The barrier to entry for quidditch is quite high.

"My hope is it becomes a competitive league on one side, and people doing this in the park on the other. I think the sport needs both sides to survive."

@highlight

'Muggle quidditch' replicates Harry Potter's magical sport in the real world

@highlight

Invented in 2005, quidditch now supports 170 US college teams and five full-time staff

@highlight

Documentary follows UCLA's quidditch team to the Quidditch World Cup

@highlight

Quidditch players torn between developing their sport and preserving its roots