Atlanta, Georgia (CNN) -- Almost 30 years ago, when Wayne Williams went on trial in two deaths that became known as the Atlanta child murders, DNA testing was not yet a staple of courtroom science.

Now it is. And new results have implicated Williams in the death of at least one 11-year-old victim.

When Patrick Baltazar's body was found dumped down a wooded slope behind an office park on February 13, 1981, a forensic scientist discovered two human scalp hairs inside the boy's shirt.  Watch more about Patrick's tragic story

At trial, scientists from both the FBI and Royal Canadian Mounted Police would testify that, under a microscope, the hairs were consistent with those of Wayne Williams. But that was only a matter of judgment, not exact science.  In 2007, defense lawyers for Williams raised the question of DNA testing on dog hairs which were on bodies of many of the 27 boys and young men found dead during the two-year murder spree.

At the same time, the judge decided to allow those two hairs found on Baltazar to be sent to the FBI's DNA laboratory at Quantico, Virginia.

The laboratory report found the scalp hairs had the same type of DNA sequence as did Wayne Williams' own hair.

"I don't think they said it was a match," Williams told CNN. "I think they said [they] could not rule out whoever the hairs were from as being the possible donor."

But retired FBI scientist Harold Deadman, who testified about the hair findings in Williams' 1982 trial and later became head of the FBI's DNA lab, said it was the strongest finding possible with this particular type of testing.

"It would probably exclude 98 percent or so of the people in the world," Deadman said.

Of 1,148 African-American hair samples in the FBI's data base, the FBI said only 29 had the same sequence -- in other words, only 2½ of every 100 African-Americans.

None of the Caucasian or Hispanic hair samples in the data base had this sequence. When those samples are added in the total, then the odds rise to almost 130-to-1 against the hairs coming from any person other than Wayne Williams.

The FBI report said this: "Wayne Williams cannot be excluded as the source of the hair."

The finding is not ironclad. Because the hairs were incomplete, the type of testing, called mitochondrial DNA, can trace only the maternal line. Only with nucleic DNA testing, which includes paternal lineage, could the results be absolutely conclusive.  When CNN showed the DNA results to victim Baltazar's stepmother, Sheila Baltazar, she said, "Without a shadow of a doubt, I really in my heart believe Wayne Williams killed Patrick Baltazar."  Williams not only has denied he killed Patrick Baltazar, but has said he never met the boy.

Yet testimony at trial established various fibers found on the Baltazar clothing could be traced to a bedroom carpet in Wayne Williams' home, his bedspread, a yellow blanket found under that bed, a leather jacket hanging in Wayne's closet, and a gray glove in his station wagon.

See a map that tracks victims' bodies

There were also dog hairs on the Baltazar body which prosecution witnesses testified probably came from the Williams family's German Shepherd, "Sheba."

When those dog hairs were sent to a genetics laboratory in the School of Veterinary Medicine at the University of California, Davis, in 2007, the report said Sheba had the same DNA sequence. It said that DNA chain would be found in only 1 out of 100 dogs.

The Baltazar case was included among 10 other deaths presented to the jury in Wayne Williams trial, although he was not charged in any of those, and was convicted of murdering two adults whose bodies were found in an Atlanta river in the spring of 1981.

iReport: Do you remember the Atlanta child murders?

Scientists considered the hair and fiber evidence in the Baltazar murder to be among the strongest of their cases. However, the trial took place in the courts of Fulton County, which includes the largest part of Atlanta. Baltazar's body had been found just over the line in the DeKalb County portion of Atlanta, and trying to include his death among the Fulton County charges would have raised legal issues.

@highlight

Patrick Baltazar, 11, was found dead in '81 with scalp hairs in his shirt

@highlight

New DNA test: High likelihood that hairs on Baltazar were from Wayne Williams

@highlight

Williams denied he killed Baltazar, or ever met the boy

@highlight

Police blame Williams in at least 24 killings in Atlanta; he was convicted of two