As Kenya's leading psychiatrist, Frank Njenga has been championing the cause of better mental health care on the east African country and the continent for more than three decades.

He's been working tirelessly to bring quality mental health care in a country where mentally disabled people receive little help from the state and face massive stigma from society.

"It's a horrible indictment on what we've done but the truth and reality is that very little has been done systematically and deliberately by government or by ourselves to bring up the level of mental health in this part of the world," says Njenga.

In Kenya, an estimated three million, mostly poor, people live with intellectual and mental disabilities, according to NGO and United Nations figures. At the same time, the ratio of psychiatrists to the population is dismal -- just one psychiatrist to half a million people.

See also: Kenya's mentally ill locked up and forgotten

But Njenga, who is president of the African Association of Psychiatrists, says the problem is even worse in other countries on the continent.

"It is a major challenge but it is a challenge that is very sadly is spread across the whole of the Africa continent," he says Njenga.

"In fact, Kenya is ironically behind South Africa and perhaps Egypt in the ratios of psychiatrists that are available per population. There are countries in Africa where there is no single psychiatrist to five-six million people."

This has motivated Njenga to dedicate his life helping mental health patients and raising awareness in a continent where mental disorders are often neglected and described as "un-African" and belonging to "people in the West."

Njenga, however, discards such claims as "clear nonsense."

"For as long as you are a self-confessed human being you will continue to suffer human conditions of which mental disorders are an integral part," he says.

Read also: Namibia's 'miracle doctor' brings gift of sight

Njenga describes Africa as "truly the traumatized continent" that's been plagued by wars, human suffering and lethal dictatorships.

"Whether you are looking at Rwanda or southern Sudan or Sierra Leone or DRC, the number of women and children and adults who have suffered severe trauma is greater than any other continent that I can think of."

He underlines the link between good mental health and productivity and calls policy makers to make mental health services a priority in order to help their countries escape poverty.

"There is no health without mental health and there is no economy," says Njenga. "We are losing far too many men and women to mental illness and therefore to un-productivity by not treating them for mental illness."

Born in Kenya, Njenga was inspired as a teenager by the work of psychiatrist Frantz Fanon, writer of "Wretched of the Earth," a seminal book that explores identity and the post-colonial experience.

From then on, Njenga was convinced he wanted to be a psychiatrist. He went on to study psychology throughout medical school in Kenya before moving to the UK for his post-graduate studies at the Maudsley Hospital -- the world's oldest psychiatric hospital.

At the end of this studies, however, Njenga chose not to pursue a career in the UK but to return to his home country, committed to promoting the cause of better mental health in the continent.

"I went to the UK to come back and to come back as a psychiatrist and to make a difference in my homeland and in my continent. That is the reason I left Kenya and that is the reason I came back," he says.

Read also:The Africans giving aid to the world

On his return to Kenya, Njenga embarked on a mission to reduce the social stigma that is attached to going to a psychiatrist or seeing a mental health professional.

In a ground-breaking weekly show called "Frankly Speaking," Njenga spoke with his patients on television, putting the spotlight on tough issues such as schizophrenia and substance abuse -- taboo topics that were usually kept out of public sight.

"I felt powerful and relaxed I felt at last here I was able to tell it exactly as it was," he says. "Of all the things I have done in this society  and community it is the program on television -- Frankly Speaking -- because I spoke frankly as my name is and my patients spoke very frankly indeed."

In his commitment to providing top-notch mental health care, Njenga also helped build a private in-patient psychiatric hospital, the first of its kind in Kenya.

He's also authored several children's books in a bid to build better understanding of mental illness and advocated for an insurance cover for mental health patients as chairman of the largest insurance company in Kenya.

Through awareness and affordable treatment, Njenga has changed how many people in Kenya think about mental health.

"Today the discussion of mental health issues on this continent is focused and is positive -- about that I feel proud and privileged," he says.

@highlight

Top psychiatrist Frank Njenga has changed how many Kenyans think about mental health issues

@highlight

Njenga helped build the first private in-patient psychiatric hospital in Kenya

@highlight

He's also created a television talk show in an effort to build better understanding