Tokyo (CNN) -- Prime Minister Yoshihiko Noda of Japan dissolved the lower house of the country's parliament on Friday, setting the stage for a general election next month that is expected to bring losses to his party.

The decision, made under pressure from the main opposition Liberal Democrat Party (LDP), is likely to prove unpopular with some members of Noda's own party, the Democratic Party, which has been in power for a little over three years.

And it may cost him his job.

In office since September 2011, Noda is a the latest in a string of politically fragile Japanese leaders. He is the sixth prime minister in the six years since the departure of Junichiro Koizumi, who was in power for more than five years.

Approval ratings for Noda and his cabinet have sagged deeply in the polls, as Japan has failed to haul itself out of the economic morass in which it has stagnated for the past two decades. Many members of his party fear losing their seats in an election.

But with the Japanese government heading toward a financial crunch, Noda agreed earlier this week to dissolve the lower house of parliament if the LDP gave its support to key legislation, including a vital bill that enables the government to keep financing itself. That bill was passed Friday by the upper house, where the opposition holds sway.

In cabinet revamp, Japan's Noda brings in woman with China ties

Noda followed through on his side of the deal later Friday by dissolving the lower house of parliament and thus setting in motion the election process. Lawmakers called out "banzai, banzai," an expression of enthusiasm, as the speaker of the house, Takahiro Yokomichi, read out the letter of dissolution.

According to the Japanese constitution, the election must be held within 40 days of the dissolution. Noda's office said that leaders of the Democratic Party have agreed to push for an election date of December 16, which will be set by a steering committee.

Based on current forecasts in Japan, neither of the two main parties is likely to secure enough votes in the election to form a majority government. The LDP is led by Shinzo Abe, a former prime minister who stepped down citing health reasons in 2007 after only a year in office.

Despite the bleak election prospects for his party, Noda was left with little choice this week other than to strike a deal with Abe. Failure to get the crucial financial bill through the LDP-controlled upper house would have left the government in danger of running out of cash. Members of the upper house are elected according to a different schedule from the lower house.

Japan: Get ready for a rightward shift

The potential stalemate between the two main parties at the lower-house election next month raises the prospect of a period of deal-making with smaller parties in the legislature to form a coalition.

Independent parties have proliferated in Japan recently, with the former Democratic Party leader Ichiro Ozawa leading a breakaway in July that weakened Noda's majority. And the outspoken nationalist Shintaro Ishihara resigned as governor of Tokyo last month in order to form his own party and run for parliament.

The big question is whether the government that emerges from the election will have the unity and vision to enact measures to get the country out of its economic woes. Data released this week showed the Japanese economy contracted at an annual rate of 3.5% in the latest quarter, suggesting it risks slipping back into recession.

A bitter territorial dispute with China has infected trade relations between the two Asian economic giants. Chinese consumers have been shunning Japanese goods because of the spat, sharply dragging down sales in the country for car makers like Toyota and Nissan.

More broadly, the country is wrestling with a huge debt burden and an increasingly aging population, challenges that analysts say will require bold reforms to tackle.

CNN's Junko Ogura in Tokyo, and Jethro Mullen in Hong Kong contributed to this report.

@highlight

The dissolution of parliament follows a deal between Japan's two main political parties

@highlight

The move will result in general elections next month

@highlight

The governing party of Prime Minister Noda is expected to lose seats in the election

@highlight

But the main opposition party may also struggle to form an outright majority