(CNN)  -- With two TV shows, an entertainment company and a new style website to her name, Tyra Banks is a 37-year-old businesswoman at the top of her game. She has already reinvented herself once, adding entrepreneurial acumen to her modeling portfolio.

Yet this year Banks decided to hit the books, enrolling in an executive education program at Harvard Business School. Why go to school when you already sit atop a growing entertainment empire?

For many high-level executives these days, sitting in the corner office isn't enough. Many who have accomplished a great deal in their profession are making time for "to step back and to look at that success and look at where (they're) going," said Lynda Applegate, who chairs the management program in which Banks is enrolled.

Taking an executive education course is just one way that those who have already achieved career success seek out new horizons. Some leaders decide to take their business in a new direction, while others change industry entirely.

How to have a 'rock star' career

Mike Volpi, who left the tech sector after climbing the ranks at Cisco, said: "You've achieved a lot in terms of recognition, you've probably made more money than you ever thought you would. The question you ask yourself is: what really makes you the happiest from this point on?"

As conceptions of what constitutes "reaching the top" change, we look at what some executives do after reaching CEO status.

Learn to do business even better

A mogul in the making, Banks has signed up for the Owner/President Management (OPM) program at Harvard. The nine-week program, spread out over three terms, accepts candidates who "hold a significant equity stake" in a firm with "annual sales of at least $5 million."

Harvard's OPM program gives its participants a chance to plan how to build on their success -- and head in new directions -- "using a set of analytical tools and lenses that allow you to do things on purpose as you go forward," according to Applegate.

Business owners from around the world come to campus to start with fundamentals like risk management, marketing and finance but segue into big decision-making subjects like growth strategies and legacy planning.

Applegate said the peer group is intended to build a confidence-boosting community, one that can let already successful business owners contemplate taking on big new projects.

"The content of what we teach is important and it's been tailored to what business owners need to know, but what's really, really the value of program is the community you form," Applegate said. It can be lonely at the top, particularly if you run a company that's independent rather than supported by venture capital.

In the OPM program, "You've met people here who know exactly what you learned, sat in the same class with you and debated in the lunchrooms. You can get a couple people that you really respect and form an advisory board."

Try a new occupation

Some leaders approach the top of the corporate ladder and decide to head in another direction entirely rather than stay in the game. Mike Volpi made his name in high-tech as a senior vice president at Cisco and as CEO of internet TV company Joost, but bailed on corporate management two years ago.

Volpi said that packing it in for a sailboat in the Mediterranean didn't have the same appeal as finding a new job, one that tickled his intellect in ways that overseeing a company's operations had not.

"A CEO's life is pretty tough, it's enormously compromising of any sense of personal life," said Volpi, who is now a venture capitalist.

"I missed that feeling of seeing what's going to happen and also being able to catch a wave before other people know the wave is there, and that's really what a venture capitalist does.

"My job now is intellectually just as challenging as the operating job was, but includes the ability to operate without being in the limelight."

Add "non" to the profit

When Charlie Knowles sold his tech company Rubicon, he didn't plan to stay on as CEO after the merger. Faced with a chance to go back to the basics, he discovered that reinventing yourself carries uncertainties.

"The question we all hope we get faced with is, 'If I could do anything in the world what would it be?' But it's also pretty daunting," he said. "That kind of dovetails into a whole bunch of other fears -- of whether you can get traction in a new area, as you become exposed to different languages, different jargons, different networks."

Knowles knew that he wouldn't have to worry about a salary going forward and realized that even though he was good at engineering, he didn't leap out of bed wanting to go do it. "I was a bit burned out on it."

What did make him jump? A lifelong love of animals. So he founded the Wildlife Conservation Network, and for the last 17 years he has been the executive director of a global organization that counts African wild dogs, saiga antelopes and snow leopards among its client base.

Pursuing a personal passion in a non-profit context didn't mean it was all smooth sailing for Knowles. Non-profit CEOs still have to operate businesses, raise funding and management personnel -- just in a context with very different rules and culture, he said.

"The thing I didn't anticipate, ultimately, was it's just a completely different perspective," he said.

@highlight

What do you do after reaching CEO status?

@highlight

Some like Tyra Banks choose to take an executive education course

@highlight

Others switch sectors or reinvent their career