(Sunset) -- Yes, I admit this wasn't the first time I'd forgotten an important event. Let's not get hung up on that. What's important is that I quickly and admirably redeemed myself.

For a refreshing walk, try a sliver of the Laguna Beach coastline, about 50 miles south of Los Angeles.

Once the florist came to deliver the white dendrobium (I collect orchids) and I read the note -- "Happy Anniversary. Love, J" -- I immediately jumped into action: In less than an hour, I'm driving my wife, Jan, to Laguna Beach, our favorite seaside village. It is a place blessedly stocked with eateries where a guy can get noteworthy huevos rancheros while his beloved browses chic shops along Ocean and Forest Avenues for bejeweled sandals during winter sales.

Laguna Beach also happens to be where we spent a few days on our honeymoon years ago, so I have that going for me.

Short of hiring a helicopter, there are only two ways to get to this gallery-filled artist colony, either along Orange County's Coast Highway or down eucalyptus-laden Laguna Canyon Road, which curves like a riverbed, flowing down to the sea from the base of steep hills dotted with aerie bright-white homes that look like seagulls perched on precipices.

As we roll into town just before sunset, we feel like we're dropping into a box canyon with the Pacific Ocean as its only outlet, making the village feel cozy and isolated, particularly in the fall and winter months when the crowds thin out. A chilly breeze brings the faint smell of menthol (the canyon's eucalyptus trees) and something sweet, like saltwater taffy, perhaps from one of the candy stores. Long sheets of purplish orange clouds scatter like flaming blankets across the sky, suffusing the ocean, the sky, even Jan's face with a fireside glow.

"This is such a special treat," she says. "I can't believe you thought of it. By the way, where are we staying?"

Fortunately, I'm prepared for this question. I've been turning it over in my head from the moment we left home. I was thinking we could try to get a room at the hotel where we'd spent three nights on our honeymoon, even though it wasn't that great. But then my spousal guilt kicks in, so I decide to bite the bullet and go all out at Montage Laguna Beach resort and spa: California Craftsman architecture. Plein air art lining lobby walls. Feather-top beds. Soaking tubs for two. Views of Laguna's beaches. Jaw-dropping room rates. That sort of thing.

Beach romance

When we get up the next morning, the sun warming up the room, Jan and I both notice the quiet. With doors open wide to the Pacific, we hear the chest-thumping crash of the waves, the raspy bark of sea lions, the singsongy entreaty of a distant jogger calling his dog back from a run on the beach. I say we love the quiet, then I talk about the sounds. But it's different. In summer, beach sounds can be cacophonous. In fall and winter, there's mostly the wind and waves and sea life.

We love the communal feel of the town at this time of year, when locals, who seem to hibernate during the hot months, suddenly reappear to reclaim their favorite eateries and bars.

One morning we laze about Zinc Cafe on boutique-lined Ocean Avenue, reading the paper while digging into massive bowls of oatmeal mixed with dried cherries and nuts and surreptitiously listening to the breezy conversation around us -- like that of the young woman at the next table who's trying to convince a friend to join her in a laughter-yoga workshop on the beach.

"At first you just feel really stupid going hee-hee-hee, haw-haw-haw, but then you really do start laughing and it ... it's such a release," she says.

"What the heck is laughter yoga?" I lean over and whisper to Jan. She raises her eyebrows, perplexed, and we both try hard not to laugh.

Fishing for adventure

For exercise, we hike down from Coast Highway to Victoria Beach, a secluded cove hardly anyone goes to, particularly off-season.

I take moody black-and-white photos of Jan on a sea-worn rock in front of an odd little castle turret on the beach, a tower built almost 80 years ago by an early inhabitant who was looking to camouflage spiraling stairs to his house -- long gone -- on the bluff above us.

We do a lot of beach walking, particularly just before cocktail hour in the late afternoon. Strolling down Treasure Island beach, we come across couples cozy on their blankets, and chilled surf fishermen slapping their hands together while keeping a watchful eye on their poles.

That night we enjoy dinner at Sapphire Laguna restaurant, where the old Pottery Shack, a local landmark, sat for 60 years. We huddle around a firepit on the patio, looking over the roofs of shops along the highway to where the sun is dipping into the dark ocean, and nosh on homemade rosemary and sea-salt potato chips while quaffing Chimay Blue dark ale.

And while it isn't exactly my favorite adventure, in the spirit of the weekend I join Jan one afternoon while she pokes around the shops of Laguna Village, perched on a bluff above the ocean, trying not to act too annoyed when she insists I sniff herbal-scented candles or try on goofy-looking leather hats, the type worn by guys with walrus mustaches and jackets with fringe.

In short, we do everything and nothing at all, which is really the best thing about Laguna at this time of year. And I think Jan appreciated my efforts. Which may explain why she seems completely unruffled when I confess that I had, indeed, forgotten our anniversary.

"Of course you did," she says as we head back home. "Why do you think I sent the orchid?"

A more cynical man might suspect that she'd engineered the whole weekend herself. But what are the odds of that?

Getting there

Laguna Beach is 50 miles south of Los Angeles and 75 miles north of San Diego; John Wayne-Orange County Airport is 15 miles away. For more area info, contact the Laguna Beach visitors bureau (800/877-1115).

3 romantic stays

Casa Laguna Inn & Spa Historical inn with suites and rooms, most with fireplaces. To make it extra romantic: The Togetherness spa treatment (from $250) includes side-by-side massages, a soak in the ocean-view garden tub, and a bottle of bubbly with souvenir flutes. INFO: Rooms from $250, including breakfast, wine, and cheese; 800/233-0449.

Montage Laguna Beach Five-star digs in Craftsman-style buildings with stunning ocean views. To make it extra romantic: The Montage excels at sparking romance. Food of Love (from $150 per person) is a four-course candlelit dinner staged in a poolside cabana, and there are couples' plein air painting sessions (from $200 per person). But we like the Sunrise Surfing for two (from $200), which comes with a private beach butler and the option of matching surfboards or bodyboards that you can keep. INFO: Rooms from $695; 888/715-6700.

Surf & Sand Resort On the water and close to downtown shops and restaurants. Splashes restaurant ($$$$; 1555 S. Coast Hwy.; 949/376-2779) is a local favorite in winter for enjoying storm surf. To make it extra romantic: Splurge on having the room decorated with rose petals and white tea lights (from $150). INFO: Rooms from $275; 888/869-7569.

Where to eat

Sapphire Laguna Delicious homemade-chorizo huevos rancheros and eclectic dishes like kalua pulled-pork quesadilla; brunch Sat--Sun. INFO: $$$; 1200 S. Coast Hwy.; 949/715-9888.

Studio California-French cuisine showcasing seasonal ingredients. INFO: $$$$; closed Mon; in Montage Laguna Beach resort, 30801 S. Coast Hwy.; 949/715-6420.

Zinc Cafe & Market Tasty pastries and generous portions of breakfast and lunch offerings. INFO: $; 350 Ocean Ave.; 949/494-6302.

What to do

Laguna Art Museum If the dozens of local art galleries overwhelm you, spend an afternoon at this museum. Its focus on California art is a good primer for further discovery. INFO: $10; 307 Cliff Dr.; 949/494-8971.

Laguna Village Beach- and art-themed kiosks. INFO: On S. Coast Hwy. near Legion St.

Pure Light Make candles (from $14) any day, or sign up for a workshop (from $10) and create holiday cards or ornaments. INFO: 821 Laguna Canyon Rd.; 949/376-7200.

See sea lions Despite its name, Seal Rock (free; Crescent Bay Beach, N. Coast Hwy. at Cliff Dr.) is the place to observe Laguna Beach's sea lion colony; they're here year-round. Or you can go to Pacific Marine Mammal Center (free but donations welcome; 20612 Laguna Canyon Rd.; 949/494-3050), where injured and ill sea lions are rehabilitated. Proceeds from the gift shop help care for the mammals.

Treasure Island Crescent-shaped beach with fishing and tidepools. INFO: Free; down a ramp at the southwest edge of Montage Laguna Beach resort.

Victoria Beach Beautiful pocket beach near Casa Laguna Inn & Spa. INFO: Free; down the narrow staircase (watch for other beachgoers) off Victoria Dr. at Sunset Terrace St. E-mail to a friend

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright 2004-2009 Sunset magazine. All rights reserved.

@highlight

Laguna Beach, California, is about 50 miles south of Los Angeles

@highlight

Crowds thin out in Laguna Beach in the fall and winter months

@highlight

Art galleries, shops and secluded beach walks keep visitors entertained