(Time.com) -- When Samsung's Galaxy Note smartphone went on sale in the U.S. in February, two things made it, um, noteworthy. At 5.3â€³, its display was the largest one ever offered on a phone. And the Note came with Samsung's S Pen, a precision stylus which let you jot notes and sketch pictures without jabbing at the screen with your finger.

Let's face it, though -- that humongous screen completely overshadowed the S Pen. Everyone had a strong opinion about it. Many people found the notion of a phone with a screen that edges in on tablet territory alluring: Samsung says it's shipped ten million Galaxy Notes to date. Others, however, considered that same notion to be comical rather than practical. (Held to the ear, the jumbo-sized Note tends to throw off proportions and make it look like your skull has shrunk by a size or two.)

Now Samsung is releasing its second Galaxy Note device, the Galaxy Note 10.1, which goes on sale in the U.S. Thursday. This Note, unlike its smartphone sibling, shouldn't be an object of controversy.

The 12 Best Android Widgets for 2012

There's nothing startling about its form factor: It's an Android tablet with a 10.1â€³ display, a size that's comfortably familiar in the Android world, and not radically dissimilar from the 9.7-incher on Apple's iPad. But it's a solid, straightforward Android tablet that comes with an S Pen, a suite of pen-friendly apps and some productivity-oriented software enhancements which give it a more businesslike flavor than Samsung's Galaxy Tab 2 10.1.

The Galaxy Note 10.1 with 16GB of storage lists for $499, the same price as a 16GB iPad. But the 32GB Galaxy Note is $549, $50 less than a 32GB iPad. And while there's no 64GB model, the tablet's microSD slot lets you add a 32GB memory card for $20 or less, bringing capacity up to 64GB for a grand total of about $570 -- a steep discount off the 64GB iPad's $699 sticker price. Both the 16GB and 32GB variants offer wi-fi but no cellular option and come with 50GB of Dropbox online storage for two years.

If the Note 10.1 sells well, it won't be on the strength of the bang it delivers for your buck. It'll be because it's one of the relatively few Android tablets with a snappy answer to the bottom-line question "Why should somebody buy this instead of an iPad?"

The iPad doesn't come with a pen and may never do so, given Steve Jobs' famous declaration that "if you see a stylus, they blew it." Scads of companies have stepped in to fill the gap -- my favorite iPad stylus is Adonit's Jot Flip -- but all of their designs suffer from the fact that they're designed to work with a tablet that was engineered for fingertips.

Samsung, however, built the Galaxy Note 10.1 from the ground up for pen use. And when it decided to add pens to some of its devices, it made the eminently sensible decision to work with Wacom, the company which dominates the market for graphics tablets used by artists.

The S Pen, which stows in a slot on tablet's side when not in use, is based on Wacom's technology. That means that it's pressure-sensitive and extremely precise, and doesn't use a battery. Using it feels like writing with a slightly stubby ballpoint; Samsung also sells a larger pen, as well as one with an "eraser" on the opposite end from the nib.

Tech companies make progress on 'blood phones'

Android doesn't come with any apps meant expressly for pen use. So Samsung created some of its own, including S Note, a highly capable note-taking program which lets you write and draw on simulated lined pages, graph paper and blank sheets. You can use a fine-line pen, a pencil, a paintbrush or a highlighter; pressure sensitivity lets you vary your pen strokes or lay down a thicker coat of paint by pressing harder.

S Note can also convert your block-letter or cursive input into editable text. It did a surprisingly accurate job of deciphering my chicken scratchings. But as with every other device I've ever used with handwriting recognition, the payoff didn't seem worth the effort required: You need to write words a few at a time, then pause while the tablet interprets them. Except for brief notes, if you want to see your words in a crisp, legible typeface rather than your own handwriting, you're probably best off using the on-screen keyboard. (Samsung sells a case, obviously inspired by the iPad's Smart Cover, which lets you angle the tablet for comfy typing.)

Unlike the iPad, the Galaxy Note 10.1 is designed to let you rest your palm on the screen as you write or draw without getting confused by the fact that two parts of your hand are in contact with the display at once. Despite this, I found myself occasionally triggering actions unintentionally as I worked.

I suspect that the fact I'm a southpaw doesn't help: When I begin to write on the left-hand side of the screen, my palm rests on top of Android's on-screen buttons for tasks such as going back one screen and returning to the home screen. A righty's palm would fall in a less critical spot.

The S Pen works in other apps besides S Note, of course. I liked using it to crop photos and perform touch-up work in Photoshop Touch, which Samsung throws in for free. The tablet includes a program that points you towards pen-friendly programs in Google's Play store; most of the ones I tried didn't support pressure sensitivity, but the S Pen is still a plus in any program that involves handwritten note-taking, sketching or any gesture that's tough to perform accurately with a fingertip.

Pen aside, this is one of the best big-screen Android tablets I've tried, a nicely-styled 1.3-pound package that's a skosh lighter than an iPad and doesn't look too much like an iPad clone. (Samsung, presumably, would like to minimize the future time it spends squabbling with Apple in court.)

Trial gives sneak peek into Apple's inner workings

@highlight

On the Saumsung Galaxy Note 10.1 tablet, the stylus pen is the key

@highlight

Android tablet has apps specifically designed for the pen

@highlight

A 32GB version, with card bringing it to 64GB, is $570; 64GB iPad is $699

@highlight

Pen app still not convenient for taking notes, reviewer says