(CNN) -- This week, Colin Powell, a retired four-star U.S. Army general perhaps best known for having served as Secretary of State under President George W. Bush, endorsed Barack Obama's bid for re-election during an interview with "CBS This Morning."

Given that Powell had enthusiastically endorsed Obama in 2008, his decision to back him yet again shouldn't come as too much of a surprise. Yet Powell's endorsement of a Democratic candidate is seen as significant because he describes himself as "a Republican of a more moderate mold," who laments that GOP moderates are "something of a dying breed."

Powell expressed discontent with the Republican stance on climate change, immigration and education, and he seemed more comfortable with Obama's approach to achieving fiscal balance than Mitt Romney's. Powell is also, among other things, a defender of racial preferences in college admissions and abortion rights.

While it is certainly true that Powell's views were not uncommon among moderate and liberal Republicans of an earlier era, it is not entirely clear why he chooses not to identify as a Democrat or as a liberal-leaning independent. One assumes that Powell has some residual loyalty to the party of Nelson Rockefeller and Gerald Ford, which is, of course, fair enough.

But would American democracy be better and healthier if we had more Republicans such as Powell and more Democrats such as, say, former U.S. Sen. Zell Miller, the Georgia Democrat who famously endorsed President George W. Bush at the 2004 Republican National Convention?

LZ Granderson: Both parties have a race problem

Some believe that blurring the boundaries of the two major political parties would be a very good thing as it would make legislative compromise more likely. Historically, it is certainly true that avowedly centrist legislators, such as the Southern congressional Democrats who worked closely with Republican presidents such as Richard Nixon and Ronald Reagan, have played an important role in shaping policy.

There is, however, a significant downside to this blurring of boundaries.

Political scientists Richard Lau, David Anderson and David Redlawsk have argued that while we tend to focus on voter turnout as an important aspect of democratic citizenship, we should also pay attention to whether citizens are voting correctly.

To vote correctly, in the view of Lau and company, is to vote in accordance with your fully informed preferences. And one of the surest ways to increase correct voting is to give voters races in which candidates are reasonably ideologically distinct.

If, like Colin Powell, you strongly believe that we need more regulation of carbon emissions, an approach to deficit reduction that involves substantial increases in federal taxes as well as spending cuts, an immigration policy that gives unauthorized immigrants the opportunity to become lawful permanent residents without first requiring that they return to their country of origin, and an education policy that emphasizes higher levels of public spending over competition among educational providers, it wouldn't just be unusual to back Mitt Romney over Barack Obama -- it would actually be, in the sense articulated by Lau and his co-authors, incorrect.

In light of the first-past-the-post nature of our electoral system, and the dominance of the two major political parties, candidates do tend to try to blur distinctions as general elections approach, thus raising the risk of incorrect voting. But as Democrats and Republicans have grown more ideologically coherent, as liberals have joined the Democrats and as conservatives have joined the Republicans, this risk has decreased considerably.

One might still object to partisan polarization on the grounds that it makes compromise extremely difficult. Oddly enough, the best solution to this problem might not be weaker political parties, in which individual officeholders are less likely to toe the party line and more likely to cross the aisle, but rather stronger political parties.

In "Better Parties, Better Government," Joel Gora and Peter Wallison argue that successive legislative efforts to reform campaign finance have left the United States with a candidate-centered rather than a party-centered political system.

Specifically, restrictions on the extent to which candidates can coordinate fundraising and campaigning efforts with party organizations have essentially left candidates to fend for themselves. While this might sound more attractive than a system with powerful party bosses, a candidate-centered system leads to a situation in which candidates have to spend enormous amounts of time and effort raising money, particularly if they are challenging incumbents.

This in turn makes candidates dependent on donors, whether they are wealthy individuals or special interest groups. One result of a candidate-centered system is that many people who would make excellent public servants are effectively shut out of the political process.

In a party-centered system, in contrast, candidates rely on the party for financial and organizational support. This gives the central party organization considerable leverage over candidates, which they can use to enforce some measure of party discipline.

Parties would also be more resistant to capture by special interests than individual legislators, as they would be in a position to balance the needs of a much broader array of interests.

So how would stronger parties improve the quality of governance?

Whereas individual candidates are primarily interested in their own short-term survival, party organizations have a longer-term perspective.

Stronger party organizations would, for example, have a strong incentive to develop a coherent legislative program, as doing so would help build the party brand. If the White House and Congress were controlled by the same party, this coherent legislative program could be implemented more easily under a party-centered system, in which legislators know what they've been put into office to accomplish, than under a candidate-centered system, in which its every legislator for herself or himself.

Consider Obama's first two years, in which large numbers of congressional Democrats from marginal seats kept frustrating the party's agenda.

These rebellious Democrats feared that sticking with the White House would cause them to lose their seats, but their efforts made Obama look weak, which in turn contributed to the GOP takeover of the House. Had these congressional Democrats been subject to stronger party discipline, the party as a whole might have been much better off.

A party-centered system also works better in a divided government, as opposition parties wouldn't be solely dedicated to frustrating the president's agenda. Rather, they'd dedicate themselves to achieving their longer-term legislative objectives, which would often entail working with the other side.

A stronger Republican party organization might have exerted more pressure on newly elected congressional Republicans to compromise on the debt limit, as the perception of GOP extremism may have damaged the party's brand in potentially winnable suburban districts outside of the South.

Rather than blur partisan boundaries, what American democracy needs is a healthy dose of responsible partisanship.

The opinions expressed in this commentary are solely thoe of Reihan Salam.

@highlight

Colin Powell, a Republican, endorsed Barack Obama for re-election

@highlight

Reihan Salam: Some mourn loss of moderate Republicans but sharper partisan lines are good

@highlight

He says a liberal party and a conservative party enable voters to express preferences

@highlight

Salam: To avoid gridlock, parties should be given more power over members of Congress