(CNN) -- Crystal R. takes pictures of her neighborhood as part of Witnesses to Hunger. Among Crystal's photos of piles of trash, abandoned lots and barbed wire fences is a striking picture: large advertisements for "special prices" of cigarettes promising "Kool -- be true" that greet her on her way to shop for food.

A recent analysis of federal data by the Population Health Metrics found that as smoking declines at a fast rate in more affluent communities, the rates are staying the same among the poor and working class. More people are smoking in poorer communities.

It is easy to blame people in poverty for making bad choices. But it's more complicated than that.  Tobacco companies target these communities to encourage the habit, and the stresses of living in poverty and sometimes hopelessness also cause people to turn to cigarettes.

Witness to Hunger works with the real experts -- mothers and caregivers of young children who have gone hungry and live in poverty. Crystal, who chooses not to use her last name, talks openly about the stress of her environment: "When I go to the supermarket, it's uncomfortable. ... It's embarrassing to pull my Access card out. I feel like the other people in the line are just looking and judging, saying things ..."

As pediatricians at Boston Medical Center, we know to define what is symptom of the disease, such as a cough, and what is the underlying disease to be treated, the pneumonia. We don't just suppress the cough with syrups; we treat the underlying infection with antibiotics.

In this case, poverty may be as much the symptom as the disease, given how much the chronic stress of poverty drives unhealthy behaviors. There are underlying factors that must be addressed before tobacco use can be substantially reduced in all communities.

First, tobacco companies target low-income neighborhoods with more cigarette advertising: larger signs, and three times as many brand ads. Tobacco manufacturers also specifically target young people in lower socioeconomic and minority neighborhoods and sell cheaper cigarettes in poor communities. This is an unconscionable strategy on the part of Big Tobacco.

Another factor is that economic hardships, such as hunger, unstable housing and problems keeping the heat on are stressful and unhealthy for children. And childhood adversity is linked to unhealthy behaviors later, particularly to smoking. A Duke University study found that "worries about paying bills or needing to sell possessions for cash independently erode a child's self-control, regardless of strong parenting." That lack of self-control often leads to smoking.

Women are quitting cigarettes at a lower rate than men. But women who are abused either physically or psychologically by their partners often smoke to cope with their tough lives. Strikingly, these connections between violence exposure and smoking can be seen in low-income women and in higher socioeconomic groups as well.

Single mothers in poor neighborhoods are more likely to experience "double jeopardy," with a high burden of childcare responsibilities coupled with social isolation and the chronic stress associated with neighborhood poverty. Smoking can be a reliable strategy to soften those burdens.

The geography of opportunity and disadvantage is not equal across America.

Clearly public health programs such as tobacco taxes and smoke-free public places and housing have worked in reducing smoking rates, but it seems poorer communities are being overlooked.

Smoking is the top cause of preventable deaths in the United States. It causes lung cancer, heart disease, bronchitis, emphysema and more -- expensive health crises to add to the problems of the poor.

To prevent smoking and keep young people from starting, it will take more than public health messages. It will require changing our economic policies to improve our neighborhood living conditions. People need well-paying jobs and safe communities to reduce the stress that often underlies smoking.

Until we get real about the emotional toll of living in neighborhoods that offer little hope or help and stop the strong promotion of cigarettes, smoking will continue to be one strategy for coping among the most vulnerable members of our society.

Note: An earlier version of this column did not make it clear that billboards advertising cigarettes are banned.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Smoking is not declining in poor communities as it is in more affluent places

@highlight

Writers: Big Tobacco targets low-income neighborhoods, sells cheap cigarettes

@highlight

They say stresses of poverty and hopelessness cause people to turn to smoking

@highlight

Writers: Smoking will be coping strategy until social ills of poverty are overcome