(CNN) -- Election night could be a long one. Many of the polls continue to show a tight race with the candidates remaining in a dead heat in the swing states. Whoever wins the election, it might not be by much.

Close elections have produced challenges for the victor once he starts his term in the White House. If voters don't provide a clear mandate, presidents often find that they have added challenges when dealing with Congress, as legislators have far less fear about the commander in chief.

In 1916, for example, President Woodrow Wilson won reelection against former Supreme Court Justice Charles Evan Hughes by 23 electoral votes and 3.1 percent of the popular vote. The victory, which depended on Wilson's assurances to keep the U.S. out of war, hardened the lines of partisan battle. Republicans returned to Washington angry about how he had used the potential for war against them, even as he ushered the nation into World War I soon after the election.

During the war, and especially during the fight over the peace treaty that followed, Wilson found little cooperation from Republicans who felt confident that they could take him on in the home front.

Opinion: Media's pointless speculation over election outcome

When Massachusetts Sen. John F. Kennedy defeated Vice President Richard Nixon in 1960 by 84 electoral votes and only 0.2 percent of the popular vote, the conservative coalition of Southern Democrats and Republicans in Congress read the close outcome as evidence that the young senator did not have a popular mandate.

The fact that Democrats didn't enjoy any coattails from his victory even made liberals and moderates nervous about going out too far on a limb for the president. On domestic policy, Kennedy found most of his legislation stifled in congressional committees through the time of his assassination.

Opinion: Both parties have a huge race problem

When former Georgia Gov. Jimmy Carter squeaked out victory against President Gerald Ford in 1976, the same pattern recurred. Though Carter had excited many Democrats during the primary by promising voters that they could trust him in the aftermath of Watergate, he won by only 2.1 percent of the popular vote and 57 electoral votes. The nation was "hopeful, sort of," quipped Time.

During his first two years, Carter struggled to win support from his own party on issues like energy conservation, while Republicans such as Ronald Reagan felt emboldened to take him on over issues such as tax cuts and foreign policy. From the moment he entered office, the fragility of his election victory motivated Democratic and Republican opponents, who both played a role in his defeat in 1980.

Texas Gov. George W. Bush came under fire in 2000 when the Supreme Court ordered an end to a recount in Florida, resulting in his winning the presidency against Vice President Al Gore by five electoral votes. Bush lost the popular vote to Gore by 0.5 percent.

Many Democrats felt that the election had been stolen from them. Bush was not deterred and governed as if he had a mandate, pushing through a massive tax cut in 2001. His political standing was helped by the fact that the attacks of September 11, 2001, created a sense of national emergency and inspired a "rally around the leader" effect.

But stalemate soon set in, as Democrats had little appetite to help him.

Opinion: What's really at stake in election 2012

The 2004 election, which Bush won by 35 electoral votes and 2.4 percent of the popular vote, also generated controversy as some Democrats felt that there had been voter suppression and rigged voting machines in the crucial state of Ohio by Republican-supporting groups. Republicans claimed there had been voter fraud in other states, like Pennsylvania. Bush never received the political capital he expected from his reelection victory and saw most of his domestic legislative proposals languish.

Opinion: Cool Obama vs. square Romney

In today's political era, every president -- even those who enjoy landslide victories -- faces immense challenges working in the current congressional environment. Partisan polarization, interest-group politics and the 24-hour media make legislating difficult.

But narrow elections only make things worse, and this would be the case for either a second term for President Barack Obama or a first term for Mitt Romney. The situation would be even worse if certain states are contested, as occurred in 2000, and if the chaos from Hurricane Sandy results in logistical problems in parts of the East Coast. The winner would walk into a toxic Washington environment with the perception that their mandate is thin.

Added to all of this is the fact that the winner of the electoral college vote might not be the winner of the popular vote, as has occurred a handful of other times in U.S. history.

Of course, the polls could be off and we might be heading to another Truman defeats Dewey moment, such as occurred in 1948 when the president proved the pollsters wrong and enjoyed a comfortable reelection victory. But since that's probably not the case, we'll be heading toward some rough times on Capitol Hill in the years ahead.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Close elections often produce challenges for presidents, says Julian Zelizer

@highlight

JFK found most of his legislation stifled in congressional committees, Zelizer says

@highlight

Jimmy Carter struggled to win support from his own party on many issues, he says

@highlight

Zelizer: After 2004, George W. Bush saw most of his domestic legislative proposals languish