(CNN) -- There is one holiday destination that should shake the faith of even the most vehement climate change skeptic: the Carteret Islands, part of Papua New Guinea, located northeast of Bougainville.

The Carteret Islands are just one of a number of places already feeling the effects of climate change.

The palm trees sway gently under a balmy sun, the beaches are perfect, and stretched out as far as the eye can see is the wide blue of the Pacific Ocean.

The only problem with this idyllic scene is that the water is getting closer; slowly but surely, as global warming bites and sea levels rise, the islands are being swallowed up, leaving the few hundred inhabitants pondering an uncertain future.

"King tides and sea surges are floodling the island to a knee high and it is difficult for the salt water to dry up," says Ursula Rakova, a Carteret islander and campaigner.

"Fruit trees and nut trees have lost their leaves and only skeleton branches are left standing. The only greenery is from coconut and sago palms... People have no garden food to feed on... We have lost more than 60 percent of our land already."

The problem is that on the Carteret Islands, a horseshoe shaped scatter of small islands around a central lagoon, nowhere is more than 1.2 meters above sea level.

If anywhere was the canary in the mine forewarning us of the disaster predicted in low lying areas of the world if runaway climate change takes hold, it's right here.

Rakova says there is a growing dependency culture on the island as people rely on international aid for food, which is destroying the social and cultural fabric of the Carterets.

"This is a state of emergency," she says. "Why are the rich nations ignoring the fate of the Carterets Islanders? Are the rich nations waiting for the islanders to float before they can act and put money where their mouths are in terms of human rights?"

It's a cruel irony that the people with some of the lowest carbon footprints are already paying the price for the emissions of far richer countries, and are forced to leave their homes for an uncertain future. But the Carteret Islanders aren't alone.

Environmentalists point to Inuit communities threatened by melting ice in Greenland, and those living around the fast-shrinking Lake Chad in Africa, as among many already feeling the effects.  Watch the effects of warming temperatures on Arctic ice »

"The issue of environmental refugees promises to rank as one of the foremost human crises or our time," says British environmentalist and Oxford University professor Norman Myers, who has published extensively on the subject.

A report by Friends of the Earth in 2007 identified communities all over the world, from Brazil and Honduras, to Malaysia, Mali, Peru and even the UK, that were directly under threat from a mix of drought, rising sea levels, other extreme weather and disease.

Climate refugees: Causing controversy

As much of the primary research on our future climate looks increasingly gloomy -- and privately some scientists will make far blacker predictions than they publish - the world seems faced with a growing challenge.

Experts at the climate change conference in Copenhagen in March issued a stark warning when they revised up the scale of projected sea level rises, saying many coastal areas around the world could be completely inundated by 2100.

"It is now clear that there are going to be massive flooding disasters around the globe," said Dr David Vaughan, of the British Antarctic Survey, in Copenhagen.

As well as low-lying areas of Bangladesh and the Maldives, the scientists warned that the Netherlands could face catastrophic floods, and large areas of Florida and the UK, including the Thames Estuary, may disappear under the waves.

But despite the threat of widespread future problems -- and the reality of life for the Carteret Islanders now - the term "environmental refugees" remains controversial.

Some NGOs, such as Greenpeace, have spoken in terms of 150 million displaced people being driven from their homes by 2050 as climate change makes their lives impossible. Their figures are backed by the Intergovernmental Panel on Climate Change.

Other groups, notably the Norwegian Refugee Council, have urged caution and said such quantities are impossible to verify, even suggesting that they could play into the hands of right wing groups keen to create a fear of a tide of immigration.

"Because one cannot completely isolate climate change as a cause however, it is difficult, if not impossible to stipulate any numbers," the NRC writes in the 2008 report, Future Flood of Refugees.

But while the controversy rages, some experts warn the needs of people such as the Carteret Islanders are being ignored. As the numbers of similar soon-to-be refugees looks likely to grow exponentially, the world needs to wake up to the problem and decide fast how to deal with it.

"There is no legal recognition of people displaced by environmental causes and no international treaty protecting them," says Stephanie Long, Climate Coordinator at Friends of the Earth International.

Meanwhile back on the Carteret Islanders time is running out and an entire cultural group needs relocating because of rising seas.

By 2015 Friends of the Earth International estimate the islands will be largely uninhabitable. Islanders have tried to fight the sea by planting mangroves and building walls, but storm surges and high tides continue to destroy homes and crops, and contaminate fresh water.

Since 2007 the slow process of evacuation has been ongoing. Not for the first time, a quiet, remote group of people seem to be slipping through the fingers of the global community. It is unlikely they will be the last.

"I wish that the people causing the melting of the icecaps would do something to help us stay in our homes," says John Sailik from Han Island, Carterets. "Because we love living on our little island."

@highlight

Carteret Islands of Papua New Guinea losing land to rising sea levels

@highlight

Evacuation of islanders planned; number of environmental refugees predicted to rise

@highlight

From Greenland to Lake Chad many areas feeling negative effects of climate change

@highlight

Many groups warn of caution when using term 'climate refugee'