(CNN) -- Edward Snowden, the former National Security Agency contractor who spilled U.S. surveillance secrets to the world, is a "free man" biding his time in a Moscow airport, Russian President Vladimir Putin told reporters Tuesday.

Putin said Snowden -- who flew to Moscow from Hong Kong on Sunday -- is in the "transit area" of Sheremetyevo International Airport, the zone between arrival gates and Russia's passport control checkpoints. While he said Russia won't hand Snowden over to the United States, he seemed eager to have the focus of international intrigue off his hands.

"The sooner he selects his final destination point, the better both for us and for himself," Putin said from Finland of Snowden, who is wanted by U.S. officials on espionage charges for disclosing classified details of U.S. surveillance programs.

Putin's comments end, for now at least, the international pastime of "Where's Snowden?" There have been rumors for days that the former NSA contractor had perhaps duped the world into thinking he was in Moscow to throw pursuers off his trail as he seeks a safe haven from U.S. prosecution.

Kristinn Hrafnsson -- a spokesman for WikiLeaks, an organization that facilitates the anonymous leaking of secret information and has one of its members with Snowden in Russia -- told CNN's Wolf Blitzer on Tuesday only that Snowden "is in a safe place and is comfortable and possibly simply relaxing after a very stressful week."

Read more: Dozens of journalists heading for Cuba ... without Snowden

Noting the United States and Russia do not have an extradition agreement, Putin said Snowden can't be turned over to U.S. authorities and has committed no crimes on Russian soil.

But he also said Russian security forces have not been "working with" Snowden and expressed hope that the incident would not "affect the cordial nature of our relations with the U.S." Hrafnsson offered a similar story, saying there's been "no cooperation or coordination with the Russian authority" before or since Snowden arrived in Moscow.

A senior Obama administration official called Putin's comments "potentially positive" while reiterating hopes that Snowden would be expelled from Russia and returned to the United States.

U.S. officials believe Russian authorities have a "clear legal basis to expel Mr. Snowden, based on the status of his travel documents and the pending charges against him," National Security Council spokeswoman Caitlin Hayden said.

Secretary of State John Kerry, speaking to reporters while traveling in Saudi Arabia, said the United States isn't looking to Russia to enforce U.S. law, only to "allow him to be subject to the laws of our land and our Constitution."

"We are not looking for confrontation, we're not ordering anybody," Kerry said. "We're simply requesting under a very normal procedure for the transfer of somebody, just as we transferred to Russia seven people in the last two years that they requested, that we did without any clamor, without any rancor, without any argument and according to our sense of the appropriateness of meeting their request."

Snowden left Hong Kong on Sunday after a couple of weeks spent doling out details of classified U.S. intelligence programs to journalists.

With his passport revoked by U.S. officials, Snowden traveled out of the semiautonomous Chinese territory on refugee papers issued by Ecuador, one of the countries from which he is seeking asylum.

International tiff

His travels have sparked international dust-ups, with U.S. officials accusing China of making a "deliberate choice" to let Snowden go free and criticizing Russia for failing to hand him over in a spirit of international cooperation.

Measured tones mask Washington's fury with Hong Kong over Snowden

On Tuesday, a Chinese Foreign Ministry spokeswoman rejected the U.S. claims as "unreasonable," according to the official Xinhua news service.

"The accusation that the U.S. side made against the Central Government of China fell short of proof. The Chinese side will absolutely not accept it," spokeswoman Hua Chunying said.

Rimsky Yuen Kwok-keung, Hong Kong's justice secretary, likewise denied that authorities there intentionally let Snowden leave before acting on U.S. requests.

"All along, we acted fully in accordance with the law and any suggestion that we have been deliberately letting Mr. Snowden go away or to do any other thing to obstruct the normal operation is totally untrue," Yuen said Tuesday.

Authorities in Hong Kong were seeking answers from U.S. authorities around when Snowden left, the justice secretary added. Hong Kong Chief Executive Leung Chun-Ying said Monday that authorities acted independently from Beijing "to follow procedural fairness and procedural justice."

In Moscow, Russian Foreign Minister Sergey Lavrov called the U.S. complaints "absolutely groundless and unacceptable."

"I want to say, right away, that we have nothing to do with Mr. Snowden or his movements around the world," Lavrov said.

The White House is eager to avoid a repeat of what happened in Hong Kong, where authorities let Snowden leave despite a U.S. request for his arrest and extradition. Washington has described that move as a "serious setback" to building trust between the United States and China.

Lawmakers say tenuous ties shaken further as Snowden lands in Russia

But the Obama administration doesn't have much leverage with Moscow, said Matthew Rojansky, an expert on U.S. and Russian national security at the Carnegie Endowment for International Peace.

"We really need Russian cooperation, I think, much more in most areas than the Russians need us," he said.

4 options for the U.S. to get Snowden back

U.S. diplomatic headache

Washington is also telling other countries where Snowden might end up -- notably Ecuador, which says it's analyzing an asylum request from Snowden -- that they should hand him over if he lands on their soil. They note that his U.S. passport has been revoked.

"The U.S. is advising these governments that Mr. Snowden is wanted on felony charges and as such should not be allowed to proceed in any further international travel other than is necessary to return him here to the United States," Carney said.

One rumored destination is Venezuela, whose leaders have been frequently at odds with Washington in recent years.

According to the AVN state news agency, President Nicolas Maduro said Tuesday his country has not received a formal request for political asylum from Snowden. But if it did, the government would consider it on humanitarian grounds, the agency reports.

In its quest to get Snowden, the United States has limited options. CNN senior legal analyst Jeffrey Toobin said the issue now "is much more of a political and diplomatic matter than it is a legal matter."

"In an ordinary case, sure, you need a passport to get around," Toobin said. "But here, where this case is causing increasing embarrassment for the United States, governments that want the United States to be embarrassed are only too happy to waive some of the technical legal rules."

The leak controversy

Snowden has acknowledged he leaked classified documents about the NSA's surveillance programs to the Guardian newspaper in Britain and The Washington Post.

The documents revealed the existence of programs that collect records of domestic telephone calls in the United States and monitor the Internet activity of people overseas residents.

The disclosures shook the U.S. intelligence community and raised questions about whether the NSA is eroding American civil liberties.

Snowden worked as a Hawaii-based computer network administrator for Booz Allen Hamilton, an NSA contractor, before he fled to Hong Kong last month with laptops full of confidential information.

The South China Morning Post newspaper published a story Monday quoting Snowden as saying he took the job to gather evidence on U.S. surveillance programs.

He told the Guardian that he exposed the surveillance programs because they pose a threat to democracy, but administration officials said the programs are vital to preventing terrorist attacks and are overseen by all three branches of government.

Carney questioned Snowden's assertion that he acted in defense of democratic transparency, saying his argument "is belied by the protectors he has potentially chosen -- China, Russia, Ecuador."

"His failures to criticize these regimes suggests that his true motive throughout has been to injure the national security of the United States, not to advance Internet freedom and free speech," Carney told reporters.

Snowden's search

Snowden is seeking asylum from Ecuador, Iceland and other, unspecified countries, a WikiLeaks attorney said Monday.

Interactive: En route with Snowden

Ecuador has already given WikiLeaks founder Julian Assange freedom if he can find a way out of the country's embassy in London.

In his aslyum request read by Ecuadorian Foreign Minister Ricardo, Snowden compared himself to Pvt. Bradley Manning, the U.S. soldier accused of leaking classified information through WikiLeaks.

He said U.S. officials have treated Manning inhumanely by holding him in solitary confinement, and he predicted a similar "cruel and unusual" fate for himself if he falls into U.S. hands.

Snowden has come under some criticism for seeking out help from nations with questionable histories on free speech and press freedom.

For instance, The Committee to Protect Journalists has criticized Ecuadorian President Rafael Correa's government for pushing legislation that would roll back press freedoms, calling its policies increasingly repressive.

Snowden isn't looking for "political nirvana," said Glenn Greenwald, the columnist for the Guardian who broke his revelations.

"He's searching for a place where he can be safe and remain free and participate in the debate, and Ecuador seems to be the place he has chosen," Greenwald told CNN's "The Lead."

Some have speculated Snowden has "doomsday insurance" in the form of even more top-secret U.S. documents that will go public if he's ever detained by U.S. authorities.

Hrafnsson, the WikiLeaks spokesman, said he didn't know about Snowden's specific plans, but did suggest more secrets may be revealed.

"This is simply information that should be out in the public," he said. "There is more to come."

CNN's Greg Botelho, Phil Black, Matt Smith, Catherine E. Shoichet, Jill Dougherty, Carol Cratty, Nic Robertson and Alla Eshchenko contributed to this report.

@highlight

NEW: Snowden is safe and "possibly simply relaxing," WikiLeaks spokesman says

@highlight

NEW: Venezuela hasn't gotten asylum request but would consider it, leader says

@highlight

Vladimir Putin says Russia won't hand Snowden over to U.S. authorities

@highlight

U.S. is asking for help in detaining former NSA contractor accused of spilling secrets