(CNN) -- Australia's bushfires have such a long and destructive history there's almost no day of the week that hasn't been dubbed "black" or "ash" to mark a major conflagration.

There was Black Thursday in Victoria in 1851, which destroyed five million hectares and claimed 12 lives -- the first large-scale bushfire in the history of white settlement in Australia.

Since then there's been Red Tuesday in 1898 in Victoria, which consumed 2,000 buildings, Black Friday in Victoria in 1938 that killed 71 and destroyed 3,700 buildings, and Ash Wednesday in the early 1980s that left 71 dead in the state of South Australia.

Most recently in 2009, Black Saturday claimed 173 lives in the state of Victoria in southern Australia -- many of the victims unable to even get the distance of their own driveways before they succumbed to the intense radiant heat generated by a bushfire.

Many argue that Australia's catastrophic bushfires are simply a fact of life on a continent where its flora, heavy with combustible eucalyptus oil, constitute something of a seasonal time bomb.

Others say more sinister man-made factors are at work.

Changing climate

Australia has had a troubled relationship with climate change -- its confused policies on a controversial carbon tax are credited with felling the Labor Party at the last election, while the new government controversially disbanded the country's Climate Commission -- but scientists say the latest bushfire season may turn up the heat on the climate-change skeptics.

While the jury is still out on whether climate change is making conditions perfect for large-scale bushfires, scientists agree that bushfire seasons -- a regular occurrence on the Australian seasonal calendar -- are getting longer and the fires more intense.

According to David Bowman, professor of forest ecology at the University of Tasmania, who has studied bushfires for more than 30 years, bushfire behavior is showing signs of change.

"The problem with Australia is that the records are pretty shallow, which makes it really difficult to talk conclusively about any of the fire activity. But when you piece everything together there's some very convincing evidence.

Aggressive fires

"Even the firefighters are reporting really unusual behavior," said Bowman, adding that firefighters are fighting bigger and more aggressive fires.

"Normally at night -- and this is borne out by firefighters in the United States -- the fire will quell as the temperature cools. But firefighters are saying that because of the heat, bushfires are burning just as fiercely at night. It's all getting pretty worrying."

He said duration was also a factor that was changing in bushfire behavior.

"It's no big deal to have a fire in October but to have one that has burned like this for more than a week at this level of intensity is unprecedented.

"We are now looking at really catastrophic fire weather -- for October it just doesn't compute."

Anatomy of a bush fire: How Australia's explosive forest fires work

A nation built on fire

Fire has been part of the Australian landscape since the dawn of time and its people have used fire as a farming tool for more than 40,000 years. One of the earliest colonial watercolors shows an Aboriginal man gently setting fire to land that now makes up Sydney's most expensive waterside suburb of Vaucluse.

Known as fire-stick farming, this mosaic of fire management systems not only flushed out game such as kangaroos and possums, it created new growth which in turn attracted more game.

With indigenous people no longer part of the forest management equation, some scientists argue the fuel load that builds up from Australia's notoriously combustible vegetation is now one aspect that needs to be addressed.

Pyrogeography

Meanwhile, the emerging academic discipline of pyrogeography is looking at bushfires in Australia -- not just as a one-off catastrophic event -- but as part of an interconnected whole where forest fires around the world feed climate change and make conditions ripe for the propagation of even more fires.

Bowman says that deforestation fires alone -- the fires that have been used to destroy forests since the industrial revolution -- account for about one-fifth of all carbon dioxide committed to the atmosphere.

"That's a very significant component in global warming," he said.

One thing that is being noticed by scientists is that black carbon from forest fires is landing on ice sheets and accelerating ice melt.

Slippery factors

"These are tricky and slippery factors because there are places where feedback from fires is actually causing cooling, especially in places where the loss of forest has caused the snow to lie for longer leading to regional cooling."

Vegetation and natural conditions may change dramatically between New South Wales, Sumatra and California, but one thing these fires all share in common is that they are becoming more regular because the climate is becoming warmer.

Bowman said that vegetation in parts of Victoria, which normally completely regenerates over a 50-year cycle, is now being burned as often as three times in the period of one decade.

The particles from forest fires, he said, actually inhibit rainfall contributing to regional drying and warming, which creates a weather cycle conducive to fires. The problem for scientists, he added, was in connecting the dots with these patterns.

"It's like trying to find needles in haystacks."

@highlight

Australia has a long history of bushfires that predates white settlement

@highlight

Scientists say that, despite shallow records, bushfire seasons are getting longer

@highlight

Firefighters are reporting that fires are becoming larger and more aggressive

@highlight

One scientist says forest fires around the world are contributing to global warming