(CNN) -- Recently a school principal in Ohio suspended a student for three days after the 10-year-old pointed his finger at another student in class and pretended to shoot.

This kind of harsh sentencing is not new. In recent years, we've heard of kids being suspended for pop-tarts chewed into "gun shapes," or for firing an imaginary bow and arrow.

In fact, school suspensions over things that could not possibly be guns have been going on for years. Last year, a Mount Carmel, Pennsylvania, kindergarten student was suspended from school for allegedly threatening others and herself with a weapon -- her pink "Hello Kitty" bubble gun.

Even finger gun suspensions have come up before. In a suspiciously similar Florida case last year, an 8-year-old was also suspended for playing cops and robbers and pretending his finger was a gun. No word yet on whether these kids are part of the same ring of "robbers" -- or "cops," for that matter.

The use of imaginary weapons is only escalating. Last year, a 7-year-old in Colorado was suspended from school for throwing an imaginary grenade. This ups the imaginary-weapon ante: Given that real explosives can arguably cause more harm and terror than firearms, should the punishment for an imaginary grenade be greater than that for an imaginary gun?

When a kid runs around the room pretending to fly a fighter jet, he or she probably should be expelled or sent to juvie hall, no? After all, an imaginary fighter jet carries imaginary missiles and other fictional ordnance. Indeed, the modern imaginary F/A-18 Super Hornet fighter aircraft carries enough imaginary ordnance to lay waste to a small imaginary village.

We are having fun here, but only to demonstrate what, logically, we are dealing with when students are caught in the net of "zero tolerance," where the mandatory punishments are anything but imaginary.

In our public schools, "zero tolerance" policies impose unwavering, pre-determined consequences for certain behavior, with little or no discretion given to school officials enforcing the policies. You can't blame school districts entirely -- the federal government bears some responsibility. In 1994, the Gun-Free Schools Act, forced each state (upon threat of losing federal funding) to pass laws requiring local educational agencies to, among other things, impose a minimum year expulsion upon a student who brings a weapon to school. Sound familiar? It should. The policy is firmly rooted in the idea of mandatory minimum sentences for adult crimes.

Such mandatory minimums remove a judge's discretion to impose any punishment lower than the statutory floor. Mitigating information about the offense and offender becomes irrelevant, because the judge is powerless to impose a below-minimum sentence.

Last year, Attorney General Eric Holder urged reform of mandatory minimum sentencing, so that individuals accused of certain low-level federal drug crimes no longer face excessive mandatory minimum sentences.

Even the nation's top prosecutor acknowledges that "mando mins" have "resulted in unduly harsh sentences and perceived or actual disparities that do not reflect our Principles of Federal Prosecution."

In sum, for adult criminal defendants, the mandatory minimum approach to punishment may be too draconian.

For schools and our children, "mando mins" are apparently just fine. Especially when they are repackaged as "zero tolerance" policies.

There is no question that students who bring actual weapons to class with evil plans should face harsh penalties like expulsion. But how did we get to Pop-Tarts and fingers?

At this point, schools cannot blame the Gun Free Schools Act, because these items are simply not weapons under the applicable definition, 18 U.S.C. ยง 921(a)(3)(4) 18 U.S.C. ยง 921(a)(3)(4). And while it's true Ohio law vaguely requires school boards to adopt "zero tolerance" policies, without a whole lot of guidance, it's clear that schools have irrationally overreacted.

Exhibit A? The Columbus School Board's "look-alike" weapon definition upon which this principal apparently based the suspension:

"Possessing, transmitting, or using any kind of firearm, knife, razor, club, chain or other look-alike or replica object or item which can be considered a weapon or used as a weapon."

First, a finger is not an "object or item" because it's not separate from your body -- unless you cut it off in shop class. Second, a finger cannot be "considered a weapon" nor can it be "used as a weapon," unless you're Chuck Norris.

Third, the policy is also pretty vague. Due process will render a law void for vagueness if its terms are not clearly defined such that a person of ordinary intelligence can readily identify what it prohibits. After reading that policy, do you know for sure what you can and can't bring to school? Did you conclude after reading it that you could not bring your own finger?

The school district doesn't burn a lot of calories considering the precarious constitutionality of these policies. This is because the school can just suspend first, and plan on parents and children not having the time or money to invest in litigation over their constitutional rights.

School violence is indeed a real threat. On the other hand we must not let terror cause us to jettison common sense. A child's punishment should fit his or her crime. Kindergartners playing cops and robbers using their finger are not the same as disturbed teens with AR-15's on a campus rampage.

School officials here are exercising discretion without oversight, and their snap decisions on imaginary weapons are affecting real futures. Even in instances where a school official is capable of common sense, these mandatory sentencing policies can strip away whatever discretion and mercy could have been applied in an individual case.

Mandatory sentencing is increasingly being reconsidered as more harmful than beneficial. If we're rethinking it for our inmates, perhaps we should rethink it for the students -- "cops" and "robbers" alike.

Reprinted with permission of Hearst Communications, Inc.

@highlight

Cevallos: Ohio boy, 10, suspended for pretending finger was gun, "shooting" classmate

@highlight

"Zero tolerance" cases have come up more as schools mete out mandatory penalties

@highlight

He says the "logic" becomes ludicrous. If you take your hand to school, it's a weapon?

@highlight

Cevallos: Violence is real, but so is loss of common sense