Princeton, New Jersey (CNN) -- On "The Daily Show," Jon Stewart captured the frustration that many of President Obama's supporters have felt over the past week as one scandal after another cascaded into the White House.

After starting with a predictable riff accusing Bill O'Reilly of ignoring facts when attacking the Obama administration, Stewart turned to the IRS story, banged on his desk, and yelled out curses.

Stewart then blasted the administration for the revelation that the IRS had given extra scrutiny to right-wing organizations. "Explanation please," Stewart said, before playing some comedic clips of Lois Lerner, the official in charge of handling tax-exempt organizations at the IRS, who admits she is not good at math.

"Well, congratulations, President Barack Obama," Stewart went on to say. "Conspiracy theorists, who generally can survive in anaerobic environments, have just had an algae bloom dropped on their f*****g heads. Thus removing the last arrow in your pro-governance quiver. ... This has, in one seismic moment, shifted the burden of proof from the tinfoil-behatted to the government."

Opinion: Will scandals stall Obama agenda?

This was just one of the scandals to rock the administration within the week. The media also reported that the Justice Department had conducted a surveillance operation focusing on journalists for The Associated Press, in an effort to find the source behind a leaked story about a foiled terrorist attack.

Many liberal Democrats were frustrated and shocked that the administration had permitted the seizure of the phone records, the kind of activities they would certainly have railed against had they happened under President George W. Bush.

Although there is no evidence that Obama was involved in either of these incidents -- and many Republicans are clearly trying to use them to drum up a narrative about a scandal-ridden presidency -- the combination left many Democrats, like Stewart, scratching their heads, wondering what happened to the president who promised when he ran in 2008 to transform the way politics worked.

Despite controversies, Obama approval rating holds steady

It is still too early to know all the facts and what the president's role has been. Nonetheless, some of the frustration that Obama's supporters feel comes from ways in which this White House has too often accepted politics as usual rather than embarking on the transformative changes that he once promised. While many of the president's supporters insist that he has delivered on his promise to push forward a bold policy agenda, few would say that he has fulfilled his goal of changing the way that politics works.

What happened?

Since the resignation of President Richard Nixon over Watergate, most presidential candidates have run on the promise to fix a broken Washington. Jimmy Carter, whose 1976 campaign revolved around the basic promise that you could trust him, perfected this message and style of campaigning.

In one way or another, every candidate -- including Obama's predecessor, Bush -- has assured voters he would reform government and transform politics. But the change doesn't happen. Within four years, as Carter discovered, the new boss looks like the old boss and "the system" seems the same.

Most presidents realize once they are in office that reforming Washington will consume too much of their political capital, generating more enemies among their opponents as well as within their own party, and the results of any such initiative will probably be negligible.

Instead, once in office, presidents tend to embrace the role of politician and turn their attention to bread-and-butter issues that will matter much more to voters on Election Day. The easiest way to achieve policy goals is by working through the existing system rather than trying to remake things.

Transformation is also difficult simply because the size and scale of the executive branch have grown so much over the past century, vastly increasing the odds that things can go wrong.

Within each agency, there are multiple opportunities for unethical bureaucrats, sometimes without presidential knowledge, to do bad things. This is part of the reason there have been such strong advocates, on the right and the left, calling for greater -- though less politicized -- congressional oversight and tighter rules to constrain wrongdoing.

Opinion: For Obama, it's no more Mr. Nice Media

In certain respects, the burden, as Stewart points out, is greater for liberals, given the centrality of government to their agenda. Over the past decades the vast expansion of executive power through the homeland security program has also increased the possibilities for wrongdoing.

People should not be surprised that the Justice Department was so aggressive with the AP phone records. After all, Obama has kept most of Bush's homeland security program in place and has conducted an extraordinarily aggressive program to contain any leaks that threaten the system. In defense of the government's actions, Attorney General Eric Holder said the leak that it was investigating "put the American people at risk."

Reforming government has also fallen victim to the hyperpartisan polarization that defines Washington. From day one in the White House, Obama has faced an incredibly hostile Republican Party, unwilling to support almost anything he does. This vastly diminished the incentives for him to try to find bipartisan support for reform initiatives, which usually generate a lot of opposition from interests who thrive in the status quo and are rarely priorities for voters on Election Day.

With campaign finance, another area where Obama has greatly disappointed his supporters, Obama decided that the only way to beat the Republicans would be to raise and spend as much money as they did. That prompted his decision to turn down federal financing for his campaigns, bringing an end to the post-Watergate reforms, and leading to reliance on the Super PACs he once criticized.

None of this is meant to excuse the kinds of activities that have recently been revealed. But Americans should not be surprised that the promise of reform vanished under Obama and that the problems of government he inherited have not gone away.

Obama to new grads: 'No time for excuses'

Ultimately, we will need politicians who are willing to take huge risks in tackling some of the underlying problems with government -- or a scandal so severe that it creates real political pressure for incumbents to do something -- if we are to strengthen our processes and reduce the risks of the kinds of stories we saw this past week.

Scandals can prod elected officials to take reform seriously. Following Watergate, a scandal far worse than what we have seen thus far, Congress and the president adopted a number of major government reforms that included a new campaign finance system, ethics rules, the Office of the Independent Counsel, and much more. While Carter has been criticized for many of his failings on domestic and foreign policy, his decision to move forward with reforms in the wake of Watergate stands as one of his biggest achievements.

Perhaps Obama should use this moment as an opportunity to be bold and to return to some of the fundamental ideas for reform that he raised in embarking on his journey to the White House.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Jon Stewart expressed frustration of Obama supporters over IRS scandal

@highlight

Obama has not delivered on promises to change Washington, says Julian Zelizer

@highlight

He says Obama, like other reform-minded presidents, chose to work within the system

@highlight

Zelizer: Some scandals have prodded politicians to push for transformative change