North Korea's plans for a new nuclear test, like most things that happen inside the reclusive state, are shrouded in mystery. But that's not stopping analysts and officials from making some informed guesses about what's going on.

Why is North Korea planning to conduct a nuclear test?

The North says the "higher level" test is part of its military deterrent in its confrontation with the United States, which it describes as "the sworn enemy of the Korean people."

Its declaration that it would carry out the test came just two days after the United Nations Security Council voted in favor of imposing broader sanctions on the regime in response to Pyongyang's long-range rocket launch in December that was widely viewed as a test of ballistic missile technology.

The pattern of events is similar to the lead-up to the previous nuclear tests North Korea carried out in 2006 and 2009.

Kim Jong Un appears likely to shrug off pressure from most of the international community, including North Korea's main ally, China, and go ahead with a third test.

"Neither the prospect of stronger sanctions, nor the growing discontent of Russia and China with his behavior, appears to deter North Korea's young leader," George Lopez, professor of peace studies at the Kroc Institute, University of Notre Dame, wrote in an opinion article this week for CNN.

Under the North's power-driven ideology of songun, or "military first," the punishment meted out last month by the U.N. Security Council requires a strong response, according to Daniel Pinkston, senior analyst for the International Crisis Group covering Northeast Asia.

North Korea "sees international law, international institutions, collective security, arms control and any other cooperative arrangement as undesirable and as schemes to undermine their national security," Pinkston said in a recent blog post.

A new test will also give North Korea a chance to underscore advances in its nuclear program, potentially moving it closer to a nuclear weapon that it can mount on a long-range missile.

"To make its nuclear arsenal more menacing and provide the deterrent power Pyongyang's vitriolic pronouncements are aimed to achieve, North Korea must demonstrate that it can deliver the weapons on missiles at a distance," Siegfried Hecker, a Stanford University professor who has visited North Korean nuclear facilities, wrote in an article for Foreign Policy this week.

When is it likely to happen?

Given that North Korea is one of the most isolated, secretive regimes on the planet, one that views much of the rest of the world with suspicion, getting a clear idea of what exactly it plans to do when is often far from straightforward.

Its announcement last month that it would go ahead with a nuclear test didn't provide a time-frame, so analysts and government officials around the globe are interpreting satellite images of the test zone and parsing the language in state media reports for clues.

Most of them agree that North Korea is technically ready and could carry out a test at any time. The question is when the top leaders in Pyongyang will give the political green light to go ahead with a move that is likely to further sour relations with the country's Asian neighbors and the United States.

"I think by their political calculations, this is where they're going to have, so to say, the most bang for the buck and make it most effective for what they want to try to accomplish," said Philip Yun, executive director of the Ploughshares Fund, a U.S.-based foundation that seeks to stop the spread of nuclear weapons.

Yun said this week that North Korea's recent statements suggest a test is "imminent."

North Korea on Google Maps: Monuments, nuclear complex, gulags

How will other countries know if it has happened?

The test is expected to take place underground at the North's Punggye-ri nuclear facility, and the first indications that a test has taken place are likely to show up on earthquake-monitoring equipment.

The area around Punggye-ri has little or no history of earthquakes or natural seismic hazards, according to U.S. Geological Survey (USGS) maps. But the previous test, in 2009, registered as a seismic event with a magnitude between 4 and 5.

Besides earthquake-monitoring organizations like the USGS, the Comprehensive Test-Ban Treaty Organization in Vienna, has a network of seismic, sonar and radiation instruments designed to pick up nuclear tests. It also has sensors that can detect gases that may leak into the atmosphere from the explosion.

But determining the sophistication of the nuclear device, and what kind of material -- plutonium or uranium -- was used, will be considerably more difficult, experts say.

At some point, North Korea is likely to announce that the explosion has taken place.

"Pyongyang will almost certainly claim that the test was successful and will tout its sophistication. It will be difficult to distinguish truth from propaganda, but experience shows there is often a nugget of truth in North Korea's claims,"  Stanford's Hecker says.

South Koreans cast wary eyes to the North

What stage will North Korea's nuclear weapons program be at following a new test?

With hard facts about the test so scarce, analysts are busy theorizing what exactly North Korea means when it says the test will be of a "higher level."

There is a widespread expectation that it will involve the use of highly enriched uranium, whereas the country's two previous tests are understood to have involved plutonium-based devices.

"A successful uranium test indicates that Pyongyang has advanced centrifuge technologies and related support systems," Notre Dame's Lopez said. "It means that North Korea, if left unchecked, can both produce and export such material."

In an article for the Bulletin of the Atomic Scientists last year, Hecker and another analyst, Frank Pabian, speculated that North Korea could test two devices at the same time, one using plutonium and the other uranium.

"Two detonations will yield much more technical information than one, and they will be no more damaging politically than if North Korea conducted a single test," they wrote.

Some observers have even suggested that Pyongyang could make an early attempt at testing a thermonuclear device, which uses nuclear fusion to create a more powerful explosion. But others say they don't believe the North has that ability within its grasp yet.

In any case, the test is expected to take North Korea closer to having a nuclear weapon it can direct at its enemies. But actually achieving that goal still remains a longer-term effort, according to Joseph Cirincione, president of the Ploughshares Fund.

"I still think we're years away from North Korea having a capability to deliver a nuclear warhead on a missile even to a country as close as Japan or South Korea," Cirincione said recently. "And they're even further away from having a long-range missile that could hit the United States."

What are the consequences likely to be?

The region is already braced for the test to take place, and countries like the United States, South Korea and Japan are already preparing their response.

John Kerry, the new U.S. Secretary of State, spoke to his counterparts in Tokyo and Seoul by phone on Sunday, and all of three of them agreed that the North must understand "that it will face significant consequences from the international community if it continues its provocative behavior," according to a summary of the calls from the U.S. State Department

A push for fresh condemnation and sanctions from the U.N. Security Council is likely, but whether or not the new measures have much bite depends on China.

In the event of a new nuclear test, Beijing is likely "reduce its assistance to North Korea," the the state-run Chinese newspaper Global Times said in an editorial last month.

But it added that "if the U.S., Japan and South Korea promote extreme U.N. sanctions on North Korea, China will resolutely stop them and force them to amend these draft resolutions."

Fundamentally, analysts say, a new test won't upend the geopolitical situation in Northeast Asia. But it will seriously harm the chances of any meaningful dialog between Pyongyang, Seoul and Washington in the near future.

"It will signal that the new regime, like its predecessors, has chosen bombs over electricity" for its impoverished population, Hecker wrote.

Another test also increases concerns about where North Korea's nuclear material will end up in the long term, either because it decides to sell it or in the event of a collapse of the regime, according to Yun of the Ploughshares Fund.

"That's something that we really have to be concerned about," he said.

@highlight

North Korea has vowed to carry out a "higher level" test

@highlight

Experts and officials say it could take place at any time

@highlight

Opinions vary on exactly what kind of test it may carry out

@highlight

Another nuclear test is likely to further strain relations in East Asia