(CNN) -- Bimini is a tiny land of simple pleasures.

Ernest Hemingway lived on the small island chain in the Bahamas from 1935-1937 and famously drank vodka martinis, extra dry with olives, inside the Compleat Angler Hotel, which burned down in 2006.

"Swim, eat, drink, work, read, talk, read, fish, fish, swim, drink, sleep." That's Bimini, summed up by a character in Hemingway's novel "Islands in the Stream."

Walking along a quiet stretch of white-sand beach, I've come to appreciate this remote retreat of old-school fishermen, miles of mangroves and spectacular ocean views.

The first group of islands in the Bahamas chain, Bimini -- with the small islands of North Bimini and South Bimini at its core -- is only about 50 miles from Miami, but the slow-and-easy lifestyle on the historic atoll feels like a world away.

Adam Clayton Powell, the late congressman from New York who embraced a self-imposed exile on Bimini in 1967, was known for sipping scotch and milk inside The End of the World Bar and referring to Bimini as a "shaggy paradise."

For me, Bimini has always been a tranquil place to escape the commotion of big-city living, a sandy haven where I can sit and listen to the ocean waves gently slapping the shoreline.

"When you look at the ocean in Bimini you can often see a dozen different shades of blue and green," said Capt. Ansil Saunders, an 80-year-old world-renown fisherman, boat builder and local legend.

North Bimini is only seven miles long and less than a mile wide, so walking and biking along the main road -- "The King's Highway" -- is the best way to experience Bimini. With 1,600 residents in Bimini, there are no crowds or long lines and rush-hour traffic is often just a three-golf-cart pile-up in a hotel parking lot.

Take a leisurely stroll through Alice Town, Bimini's main settlement that dates back to 1848, and you'll find a cozy collection of small shops, family-owned restaurants and bars, one bank and plenty of engaging conversation.

What you won't find in Alice Town are traffic lights.

"People come to Bimini because it's a laid-back destination," Anthony Stuart, general manager of the Bimini Tourist Office, said in a recent interview. "They walk the street, sit on the side of the road, meet local people, listen to music and experience good food -- and that includes fresh-baked Bimini bread."

And, Stuart added proudly, "Bimini is safe."

I've traveled to Bimini many times over the years and even though swimming, eating, reading, talking and drinking consumed most of my days, exploring Bimini's enchanting underwater world was also at the top of my to-do list.

Fifty feet beneath the sea, Bimini offers an array of shipwrecks, shark dives, swim-through caverns and tunnels and colorful coral heads resting on the ocean floor. Divers also come to Bimini to explore the fascinating limestone formations that some believe to be the Lost Continent of Atlantis. (Nondivers can also experience Bimini's reefs through daily snorkeling trips. Snorkeling is a fun and easy way to spot angel fish, moray eels, sea turtles and many other forms of exotic marine life. )

"The scuba diving here is great," Saunders said. "The reefs are very beautiful and many people come here to dive with dolphins."

Tourists who venture near the docks may run into Saunders, Bimini's most well-known resident.

Saunders served as a personal guide to the Rev. Martin Luther King Jr. in 1964, when King wrote his Nobel Peace Prize acceptance speech on Bimini. King also returned to Bimini in 1968 to write the last speech he delivered, to the sanitation workers in Memphis, Tennessee, before his death.

Forty-eight years ago, King wrote part of his eulogy in Saunders' wooden boat deep in the Bimini mangroves, a winding swamp of thick bushes and trees where 100 species of fish and marine life fill the murky waters.

"There was such humility about Dr. King," Saunders recalled. "He enjoyed communing with nature in the mangroves. Birds were singing. Stingrays were swimming by. He was inspired. When he first stepped foot on this soil, I could tell there was something special about Dr. King and Bimini."

Bimini is known as the big-game fishing capital of the world. Anglers have been traveling to Bimini for decades to snare bonefish, snapper, tuna and wahoo. The island has become famous for its international fishing competitions and Bahamian guides, like Saunders, are skilled tradesmen.

Even though Bimini is still a sleepy little island, change is coming fast. A new casino is almost completed and expected to open sometime in 2013. The casino coincides with a "fast ferry" between South Florida and Bimini that will offer tourists an alternative to flying.

There is only one airport serving Bimini -- South Bimini Airport (BIM). Daily scheduled air service is available to Bimini from Nassau, Grand Bahama Island and Florida.

Where to stay

I like the Bimini Big Game Club and the Bimini Bay Resort.

Founded in 1947, the Big Game Club is situated just off the main road in Alice Town. With 51 rooms and quaint cottages, the hotel also offers a 75-slip marina for tourists who arrive by boat. It's a comfortable, clean and friendly facility within walking distance of Alice Town's restaurants and bars.

The Bimini Bay Resort is a new luxurious property that features 374 Caribbean-style hotel rooms with authentic Bahamian dÃ©cor. The resort features several upscale and inexpensive restaurants and a popular infinity pool that overlooks the ocean. Bimini Bay Resort is not as close to Alice Town as the Big Game Club, but it's only a short ride by taxi, golf cart or bike to town.

Where to eat

The Anchorage Restaurant & Bar in Alice Town is a staple in Bimini that overlooks the sea. It's a small, inexpensive family-owned restaurant serving genuine Bahamian food. Try the conch fritters and conch salad.

The Bimini Big Game Bar and Grill serves good burgers, fresh fish sandwiches, pizza and steak.

At the Bimini Bay Resort, Sabor is the resort's most upscale restaurant, and Bimini's most fashionable eatery. Try the conch ceviche and fish tacos.

If you're looking for nightlife and club-hopping, stick with Nassau, but if it's serenity near the ocean that sounds appealing, then you might want to consider Bimini -- a stress-free destination for stressed-out travelers.

As one Bimini native once told me: "No rushing, no pressure, no heart attacks."

Michael H. Cottman writes about national politics for BlackAmericaWeb.com. He is an avid scuba diver and the author of "The Wreck of the Henrietta Marie," the story of a British slave ship that sank off the coast of Key West, Florida, in 1700 and Cottman's personal journey retracing its route and scuba diving inlets where the ship anchored.

@highlight

Bimini is only about 50 miles from Miami

@highlight

Bimini is a small chain of islands with North Bimini and South Bimini at its core

@highlight

Ernest Hemingway and Martin Luther King Jr. both escaped to the islands