London, England (CNN) -- Conservative Party leader David Cameron was appointed as British prime minister on Tuesday following the resignation of Gordon Brown, whose Labour Party was defeated in Thursday's general election.

Cameron traveled to Buckingham Palace where he was invited to form a government by Queen Elizabeth. So what will happen in the near future?

When does David Cameron take office?

Cameron arrived at the prime minister's official Downing Street residence early Wednesday morning to begin work on agreeing the final details of his coalition government with the Liberal Democrats. Brown left the building for the last time on Tuesday evening.

Full election coverage

How will the next government work?

The Conservative Party won 306 seats in the election, which is 20 seats short of a parliamentary majority, so it needs the cooperation of other, smaller parties, especially on contentious legislation. On Tuesday the center-right party agreed a deal to govern in coalition with the centrist Liberal Democrats to form a "strong and stable" administration. This will give it a notional majority of 86 if all Conservative and Lib Dem MPs vote with the government.

Who will be in the government?

Nick Clegg and other leading Liberal Democrats look to be the big winners from the coalition deal with Clegg appointed Deputy Prime Minister, although it remains unclear exactly what brief that role will entail. The Liberal Democrats are expected to hold five ministerial posts in the Cabinet. But the Conservatives hold on to two senior offices of state, with George Osborne named Chancellor of the Exchequer, or finance minister, and William Hague appointed foreign secretary.

What is the agenda of the new government?

The government is expected to unveil an emergency budget within weeks as the UK continues to recover from the economic crisis.

Cameron said reducing the huge budget deficit was his priority along with tackling the social problems that Britain faced. The Liberal Democrats favored delaying public spending cuts while the economic recovery remained fragile. But both parties have been forced to compromise on key policies in reaching a deal to work together.

The Conservatives have pledged £6 billion ($9 billion) in spending cuts this year. They will also scrap a planned increase in National Insurance contributions -- a form of tax funding healthcare and welfare benefits -- paid by employers which they said would damage the economy. But the Liberal Democrats have achieved a concession that will see the personal tax threshold raised to £10,000 ($15,000) -- a key manifesto pledge they say will benefit lower-paid workers.

Liberal Democrat demands for electoral reform have been partially accommodated with the government pledging a referendum on moving to an "Alternative Vote" system. But the Lib Dems have dropped for now their opposition to the replacement of the UK's Trident independent nuclear deterrent.

What are the potential stumbling blocks?

The Conservatives and the Liberal Democrats have very different policies on Europe, the UK's nuclear deterrent, immigration and, crucially, electoral reform.

Will a coalition impede the workings of government and will it make it more difficult to get laws passed?

There is no reason why a coalition government should necessarily work any differently to one formed by a single party. The party leaders will need to agree on the government's agenda, laid out in the Queen's Speech later this month.

How effective the government is in passing new laws depends on lawmakers in both parties of course. If Liberal Democrats are rebellious they will vote against the government, and if they bring it down, by forcing a no-confidence motion, they risk sparking another general election.

Is a second general election likely?

Cameron has the right to call a new election at any time; he may do so if he feels in a strong enough position and if he feels the Lib Dems are not allowing him to pursue his agenda.

Who is the opposition?

The Labour Party is now in opposition along with other smaller parties, and its deputy leader Harriet Harman will be interim leader as well as leader of the opposition following Brown's resignation as Labour leader earlier in the week.

Do officials in Downing Street remain in their jobs?

Members of the Civil Service are non-partisan, and work with a government formed by any party. The civil servants thus remain in their posts, and help with the transition of the new government.

How often does Britain have coalition governments?

They are very rare in British politics. The last time Britain had a hung parliament was in February 1974, when Edward Heath's Conservatives gained more votes but fewer seats in Parliament than Labour.

Unable to form a deal with the Liberal Party, the Conservatives stayed on in a minority government, but found themselves back at the polls by October.

The last coalition to rule the UK was formed in response to the crisis of World War II, with Conservative Winston Churchill leading an all-party administration between 1940 and 1945.

@highlight

Conservative Party leader David Cameron appointed as British prime minister

@highlight

Cameron said he would form coalition with Liberal Democrats

@highlight

Liberal Democrats leader Nick Clegg named deputy prime minister