Atlanta (CNN) -- "Go home!" she yelled at me. "Why don't you go back home to Mexico before you ruin this country like you ruined your own!"

I was standing in a crowd at the Music Midtown festival in Atlanta, where I live. A few minutes earlier I'd met a group of five people who'd been standing in front of me -- here from Mexico City -- and I had begun speaking Spanish with them.

Atlanta has a growing Latino community, and I am actively involved. Whenever I get the chance to speak to someone in Spanish here, I introduce myself. My new acquaintances and I were talking about what a great time we were having and how remarkable the city of Atlanta was for bringing back the festival to Piedmont Park.

And that's when I heard the yelling woman next to me. As if "go home" wasn't clear enough, the woman -- a 20-something Caucasian -- repeated the words in Spanish.

"Vete!"

I froze. I didn't quite know what to say, and I didn't want to believe she was talking to me or the group of people I had just met.

As a third-generation Mexican-American growing up in Los Angeles, I had never encountered such overt racism. In fact, because my family was long since assimilated, among my Latino friends I was always considered the "pocho" or "white boy" of the group. (As I write this, a part of me knows somewhere in L.A., a friend of mine will be proud to know someone actually considered me Mexican enough to yell "go home" at me.)

My Mexican friends remind me that I am American first, Mexican second and that my English is better than my Spanish.

"Yes," I tell them. "But I can never walk into a room and be white."

Evidently, to some the brown color of my skin means I'm not even American. My friends and family tell me what I experienced that night is a microcosm of what is happening to Latinos across the country. You don't have to look hard to find it. In news stories, in political discourse, on talk radio, in everyday conversation it seems it has become OK to treat Latinos in a negative and antagonistic way -- whether they are new immigrants or longtime Americans. The anti-immigration legislation sweeping across the United States has made this plain. People in my Latino networks say they've noticed the change. And now I understand what they mean.

Like many Americans whose grandparents or parents came here from somewhere else, I live at the intersection of my two cultures. I eat tacos, but I love cheeseburgers. I go salsa dancing, and listen to rock n' roll. I speak Spanish and English, and depending on the crowd, sometimes Spanglish. I love my country and my cultural community. My duality is my reality, just like the 50 million other Latinos in the United States.

I have been luckier than many. Before this incident, the closest I'd ever come to blatant racism was in junior high. I was in the jazz band and played first trumpet. One day our jazz band teacher invited in his predecessor, a local legend who had made Eagle Rock High School's jazz program famous in the 1980s.

The visiting instructor pointed me out and asked me to play him 16 bars of music. I did, but he quickly interrupted.

"Stop, stop, stop. I don't want to hear any of that mariachi music. This is jazz."

I didn't think anything of it. Instead I felt terrible that the legend standing in front of me didn't think I was good enough. I went home that night, and like every night, at 6:30 p.m. my family sat down for dinner to talk about our day.

"How was your day, Nicky?" my dad asked.

So I told him. Outraged, the next day he went to my principal and filed a formal complaint. The legend didn't come back to visit the jazz program again. Weeks later we received a letter in the mail from him apologizing for his insensitive comments. My family saved the letter.

My father was hypersensitive to ethnic identity and deeply proud of his Latino heritage. The son of a naturalized immigrant from El Salvador and a Mexican mother from Texas, he grew up in Los Angeles during a time of racial tension. When I was young he would tell me stories of the race riots in his high school, violence against people of color, and awful accounts of the struggle he had to make it as a Mexican-American teen in the 1960s.

He died when I was 17 years old, but one of the phrases he implanted in my mind before he passed was a statement activist Cesar Chavez made famous:

"Si se puede" -- "Yes you can."

And now, here I was, at 28, with this stranger yelling at me to "leave." I stood there in the middle of a damp crowd on a late Atlanta evening, not comprehending, the wind still and the vibrations of Coldplay's "Yellow" filling the space in the air.

I didn't say a thing.

I didn't have to.

The crowd around us looked in amazement at this woman. Some of them spoke up to her, telling her she was wrong to talk to us like that. The group of people from Mexico City looked at her in disgust and, realizing from the look on my face that I must not be accustomed to what I was hearing, they turned toward me to offer support.

One of them, a young man, grabbed my hand and raised it high in the air.

"Estamos aqui," he said, which translates to "We are here."

It was the "Si se puede" moment.

The woman continued to taunt us for some minutes, but when we did not reciprocate her hatred, she stopped.

The band played a few more songs before ending the set, and the crowd dispersed across the park into the Saturday evening.

As I walked away, the woman and I locked eyes.

"I don't think you understand who you said that to," I told her. Thinking to myself, I am as American as you are.

"What," she said laughing. "Are you some kind of celebrity or something?"

No. But like the Mexicans I was standing with, I am a human being. And I am home.

The opinions expressed in this commentary are solely those of Nick Valencia.

@highlight

Nick Valencia says a woman yelled racist words at him at a concert in Atlanta

@highlight

He'd been speaking Spanish to new acquaintances; her treatment left him speechless

@highlight

Growing anti-Latino sentiment in U.S. is aimed at both immigrants and citizens, he says

@highlight

Valencia: I'm third-generation Mexican-American; human, like my new friends. And I'm home