Paris, France (CNN) -- In 1883, what was to become the iconic Orient Express train pulled out of Paris' Gare de l'Est on its maiden voyage to Istanbul, or Constantinople as it was known at the time.

It was the creation of an entrepreneurial Belgian, George Nagelmackers, who had already founded the Paris-based parent company, the Compagnie Internationale des Wagons-Lits. Now, the SNCF French national rail company is planning on bringing the Orient Express back to life and before doing so has teamed up with the Arab World Institute to bring to the public a long lost era when time had another meaning and traveling to Istanbul took four days and three nights.

Levantine dream

It's important to make one thing clear right away: the superb new exhibit, Once Upon a time the Orient Express, thoroughly indulges in Orientalism; the exhibit celebrates the romanticized images that Westerners had of the Middle East during the late 19th century to the first half of the 20th.

From the British Museum to the Tate Modern, mega-museums go big

Curator Claude Mollard and his advisers were perfectly aware that they might be accused of colonial nostalgia, and have gone about the exhibit intelligently, putting it into the historic and political context of the time.

Moreover, that this world was a Western fantasy no longer becomes important when visitors board the several perfectly restored carriages of the Orient Express parked in front of the Arab World Institute: we would all have liked to be passengers on the train.

Stepping back in time

The idea, explained Mollard, is to climb on board and imagine that the train has stopped in a station and the passengers have gotten out to stretch their legs, leaving their possessions in the carriages, a fur, a silk scarf or a tweed jacket draped over the seats.

The first carriage is the 1929 Flèche D'Or, luxuriously decorated by René Lalique with molten glass nymphets set in panels made from Cuban mahogany. Champagne flutes are set on a table; a coat and women's scarf are thrown negligently over the back of a club chair. A copy of Le Figaro newspaper from 1883 refers to the Orient Express's first trip; photographs were not yet in use, the article is accompanied by an engraving of the train.

Scrap metal find turns out to be a $33 million Faberge golden egg

On another table there is a bottle of brandy and a package of Gitanes cigarettes. The décor makes reference to the personalities who traveled in the train and often wrote about it -- French novelist Pierre Loti, Robert Baden-Powell when he worked as an intelligence officer using the cover of a butterfly collector or Mata Hari, the spy.

Josephine Baker was involved in an Orient Express rail accident in 1931 when Hungarian fascists destroyed a section of a viaduct near Budapest; she gave an impromptu concert to calm the survivors. One table is set up with a Remington portable typewriter in honor of Graham Greene, whose 1932 novel Stamboul Train, later adapted to film, was set on the Orient Express.

In another compartment identical to the one in scenes from the 1963 Bond film From Russia with Love, the movie is projected onto a screen. With wall panels in precious wood and door handles in gilded brass, each compartment had a matching washbasin and a built-in toiletries cabinet.

Is Paris still cool? Naturellement

The 1929 Train Bleu's décor was more abstract with Lalique floral motifs in molten glass set into plane tree paneling. A salon-bar is equipped with bridge tables and armchairs; gambling was regular pastime during the journey. Cupboards are stocked with champagne and Bordeaux wine.

The exhibit would not be complete without mention of Agatha Christie, whose celebrated 1934 novel "Murder on the Orient Express" took place almost entirely on the train. Christie's place at a table is set up opposite her archeologist husband Max Mallowan with whom she frequently traveled, taking the extension of the Orient Express, the Taurus Express, which covered routes from Istanbul to Cairo, Teheran and Basra, passing through the cities of Aleppo, Jerusalem, Beirut or Baghdad.

Icon of travel

The second part of the exhibit is inside the Arab World Institute and includes an exact model reproduction of the Orient Express chugging around on a long toy track. (The actual speed was 70 kilometers an hour).

A section of the museum is devoted to the Arab world and the Taurus Express train extension.

A large-scale interactive map helpfully points out the major historical and political changes in the region from the fall of the Ottoman Empire, the Sykes-Picot agreement, the First World War, the Second World War up to the creation of the Israeli state.

A gorgeous collection of Art Deco vintage travel posters is displayed, depicting the Pyramids and other Levantine monuments in vibrant colors, but also luxury hotels. The Compagnie Internationale des Wagons-Lits opened hotels (such as the Pera Palace in Istanbul) in many of the cities the Orient Express and Taurus Express stopped in, in order to provide passengers with the luxury they were accustomed to.

One of the highlights of the exhibit is a documentary made in Lebanon with two former employees of the Taurus Express. At 95 and 100 years respectively, one sold Taurus Express tickets for Thomas Cook in Aleppo, while the other was a mechanic. These men provide the link to today's world and are living proof of another epoch.

The exhibit may travel next to Vienna, which was the last destination the Orient Express traveled to from Paris, to Liège, the birthplace of George Nagelmackers, and finally, Istanbul.

Too haute to handle: Inside the world's biggest furniture fair

Google's new Motion Photography Prize transforms humble GIF into high art

Twentieth century's most stunning jewels

@highlight

A new exhibition aims to show the former splendor of Orient Express

@highlight

The iconic train's first voyage was in 1883, and it connected Paris to Istanbul with stops on the way

@highlight

The train's luxurious carriages welcomed royalty, business elites and celebrated artists

@highlight

It also inspired many novels such as Agatha Christie's "Murder on the Orient Express"