PHOENIX, Arizona (CNN) -- In a housing market plagued by one of the highest foreclosure rates in the country, finding and buying a home would seem to be an easy hunt, especially if you're armed with federal funding assistance.

Lisa Locascio made nearly 30 bids before she was able to buy a home with help from a federal loan program.

The sheer mass of real estate available at a record-low price combined with a no-interest loan from the government and an $8,000 income tax credit for first-time buyers quickly persuaded 30-year-old Lisa Locascio to make the leap into home ownership.

It wasn't as easy as she thought it would be, even for someone determined to buy her first home.

Locascio's Realtor and long-time friend, Lance Connolly, started compiling foreclosure listings more than three months ago, as soon as Locascio was approved for a $15,000 down-payment loan through the federally funded Neighborhood Stabilization Program.

The loan program is aimed at helping would-be home buyers stabilize distressed neighborhoods while also helping banks unload foreclosures. The rules seem straightforward. The Phoenix program offers up to $15,000 in financial assistance toward a down payment or closing costs to approved applicants who are, in turn, required to provide $1,000 of their own funds toward the purchase of a foreclosed property at 1 percent below appraisal value. The loan has to be repaid when the home buyer sells or refinances.

Nationwide, the program has allocated $6 billion to 250 cities and housing markets. Each city or market determines specific allocation amounts for locally run programs involving both home purchases and property rehabilitation.

Phoenix received more than $39 million. However, after rolling out the home ownership assistance portion of the program six months ago, program funding has been used in the purchase of just three homes.

Locascio is proud to be the third Phoenix home buyer funded by the program, but she cautions other program applicants, "It's been rough. It's been a long process."

Locascio endured almost 30 rejected bids placed on homes throughout northwest Phoenix before a bank finally accepted a $140,000 offer on a 1,100 square-foot home. She admits to tears of frustration and said she almost considered giving up on the program in favor of moving in with family and saving toward a conventional loan.

She eventually decided on optimism instead. Speculating in retrospect on why banks rejected so many of her offers, she said, "I think it's because the program hasn't been out there enough."

Other cities are also having some slow starts or are trying a different tack with their funds. Los Angeles, California, which received $32.8 million in funding, has a program similar to Phoenix's. Four homes have been purchased thus far and two others are in escrow and pending. Miami, Florida, will roll out its home buyer assistance  program on Thursday.

Chicago, Illinois -- which received $55.2 million, more program funds than any other U.S. city -- is using its money in a different way. Instead of an individual or family home buyer assistance program, it is focusing on loans to established organizations and nonprofit groups, which will then assist individual home buyers in buying lender-owned properties in the city.

Mercedes Marquez, assistant secretary at the Department of Housing and Urban Development, told CNNMoney that the initial stage of the program has been difficult, in part, because the cities and communities involved in the program have never done this work before.

"It's a lot of work to implement," said Marquez, who feels the program is on track overall. CNNMoney.com: Read how the program is progressing around the country

Despite her many frustrations, Locascio is being touted as a success story by Phoenix's deputy housing director, Maria Bears.

Bears, who compared some Phoenix neighborhoods to "ghost towns," she said, "It's a drop in the bucket , but if you're in a neighborhood and you see one or two homes that are purchased, you are encouraged with each one, and so I see this as a catalyst."

City officials acknowledge there is still a learning curve that must take place between them, the real estate owners (foreclosure owners are typically banks) and lenders. Potential home buyers must also complete an eight-hour class and participate in a one-on-one counseling session on the program to secure qualification.

"I think we're seeing momentum now. It was a little slow because we had to get a lot of people onboard," Bears said.

Phoenix housing officials hope to help about 900 home buyers before the loan program ends in October 2010. City officials said the goal can be met, despite what critics and Bears herself are calling a "slow start."

She said 10 qualified home sales are pending, and data provided by the city housing officials showed 72 area families have qualified for the program and are shopping.

"We're doing everything we can to get the word out," Bears said, including a telethon last week aimed at the city's Spanish-speaking residents.

Critics of the program's slow progress also blame real estate investors for showing a renewed interest in Phoenix. Its beleaguered housing market was originally created, many argue, by those very same investors.

Connolly, Locascio's Realtor, said he hears complaints from his clients who are constantly beaten to the deals by investors.

"From a buyer's standpoint, [program participants] can get outbid with a lower bid from a cash investor. Yeah, that's pretty frustrating," Connolly said.

Bears confirmed the city's data reflects the same frustrations.

"Almost half of the resale homes that are happening right now are to investors, so we're finding that people who are participating in our program are having to make upwards of 20 offers ... to compete with investors," Bears said. She said cash investors "have the ability to pick the best of the properties and then sometimes buy packets of properties ... sight unseen."

Locascio is enjoying a backyard view from her new patio. She proudly described her new abode as "small ... cute. It's all me."

She said she still believes in the program and encourages participants to be diligent with constant bids and, above all, have patience.

"It's a give and take, really, but you're more giving than taking, unfortunately," she said. "Hopefully, the next person won't go through what I went through."

@highlight

Lisa Locascio took three months, nearly 30 bids to buy home

@highlight

Nearly $6 billion has been allocated for Neighborhood Stabilization Program

@highlight

Investors are often outbidding potential home buyers for Phoenix properties

@highlight

City officials think program is beginning to take off, hope to help 900 families