United Nations (CNN) -- As international anger grows over reports of mass carnage at the hands of the Syrian regime, a U.N. Security Council draft resolution condemning Syria failed to be adopted Saturday after veto-wielding members Russia and China voted against it.

Ambassadors from the other permanent members of the council -- the United States, France, and the United Kingdom -- said they were furious at Russia and China for failing to halt the worsening, bloody violence that has consumed the Middle Eastern nation.

Thirteen Security Council members voted in favor of the resolution.

The vote was a major diplomatic setback for countries hoping to send a unified message to embattled Syrian President Bashar al-Assad, and also for opposition groups that look toward the United Nations for support.

"Those that have blocked potentially the last effort to resolve this peacefully ... will have any future blood spill on their hands," U.S. Ambassador Susan Rice told CNN. "The people of Syria have yet again been abandoned by this Council and by the international community."

Some Syrians have cried out for international action to stop attacks on civilians, more so after opposition groups said at least 321 civilians were killed and hundreds wounded in the city of Homs in the past two days.

The opposition Syrian National Council blamed government forces for the attack in Homs, calling it one of the most "horrific massacres" since the start of the Syrian uprising. Residential buildings and homes were "randomly and heavily bombed," the group said.

The Local Coordination Committees (LCC), a Syrian opposition group, said 90 people had been killed in Syria on Saturday, including 61 in Homs, 10 in Idlib, and 19 in a Damascus suburb. In a bid to pressure the government, the group called for a two-day civil strike to start on Sunday.

Another opposition group, the Syrian Observatory for Human Rights, reported that 48 people were killed across Syria on Saturday, including six army defectors and 18 members of the Syrian security forces.

CNN cannot independently confirm opposition or government reports from Syria because the government has restricted journalists' access to the country.

Some residents accused the international community of sitting idle as bodies mount in the streets, and predicted worsening violence in the wake of the vote.

"We've been expected the U.N. to help us ... and they just left us like this," said an activist identified as Danny. "Now this regime is going to hit us harder."

Syria's U.N. ambassador, Bashar Jaafari, said his country has been "targeted by some powers seeking to punish it."

Jaafari called the crisis "manufactured" and said there is a media campaign to make the Syrian regime look bad.

Following the vote, French President Nicolas Sarkozy said that diplomatic efforts are ongoing. France, its European and Arab partners are in talks to create a "Group of Friends for the Syrian People," he said.

In a strongly-worded statement before the vote, U.S. President Barack Obama said Syrian President al-Assad has lost all legitimacy and that the international community "must work to protect the Syrian people from this abhorrent brutality."

He pointed the finger directly at al-Assad and what he called his "killing machine."

On Saturday, funerals were held in Homs and residents worked to free bodies trapped under the rubble, said resident Abu Abdo Alhomsy. Snipers remained perched throughout the city, he said, complicating efforts.

"The blood of our children is not a game," Alhomsy said.

U.N. Secretary-General Ban Ki-moon said the vote was a lost opportunity to halt the violence. The resolution would have demanded that al-Assad stop the killing and answer international calls aimed at finding a Syrian-led solution to the crisis.

U.S. Ambassador Rice said the United States was "disgusted" at the veto by Russia and China.

Referring to Russia, she said, "This intransigence is even more shameful when you consider that one of these members continues to deliver weapons to Assad."

The Russian foreign minister has spoken in defense of Russian arm sales to Syria, saying they did not affect the regional balance of power.

Russia, which counts Syria as a major weapons client, has made clear that it will not accept an arms embargo or economic sanctions.

Russian Foreign Minister Sergey Lavrov is scheduled to visit Damascus on Tuesday to meet with al-Assad, according to his ministry.

British Ambassador Mark Lyall Grant said the United Kingdom was "appalled" at the veto.

"Those who blocked the council action today must ask themselves how many more deaths they will be prepared to tolerate," Lyall Grant said.

It effectively means Russia and China "support tyranny rather than the legitimate aspirations of the Syrian people," he said.

British Foreign Secretary William Hague said the resolution supported Arab League efforts to resolve the crisis in Syria.

"It did not impose any sanctions, nor did it authorize military action," Hague said. "There was nothing in the draft to warrant opposition."

Jaafari said such statements "fan the flames of escalation of the violence and bloodshed" and "betray the true hostile, genuine intentions against Syria, the people of Syria, and the government of Syria."

All along, he said, "the tone of their statements was not diplomatic ... when they describe the government of Syria as a 'regime' and addressed the president of the state of Syria with inappropriate language."

Speaking after the vote, ambassadors from both Russia and China said they do support an end to the violence but felt the resolution did not address the crisis properly.

Russian Ambassador Vitaly Churkin said the text "did not adequately reflect the real state of affairs and sent an unbalanced signal" to the various sides in Syria. He noted that the minister for foreign affairs will visit Damascus to hold a meeting with al-Assad in three days.

Chinese Ambassador Li Baodong called on all parties in Syria to stop the violence and restore order as soon as possible. But he said the text would have served only to "complicate the issue" and would "prejudge the result of dialogue."

China and Russia vetoed another Security Council resolution in October that would have called for an immediate halt to the crackdown, which United Nations officials have said has resulted in an estimated 6,000 deaths since protests began nearly a year ago. The LCC estimates that at least 7,339 people have been killed.

"Since these two members last vetoed a resolution on Syria, an estimated 3,000 more civilians have been killed," Rice said Saturday.

Earlier Saturday, Tunisia said it would expel the Syrian ambassador from Tunis in response to the killings in Homs, while British Foreign Secretary Hague and his French counterpart Alain Juppe condemned the violence.

Obama noted the violence in Homs came as the Syrian people were celebrating the birth of the Prophet Mohammed and marking 30 years since al-Assad's father oversaw a massacre in the city of Hama.

The resolution voted on Saturday had dropped demands from an Arab League plan for Syria to form a unity government and for al-Assad to delegate power to his deputy.

U.N. diplomats said the changes reflected a big concession to Russia, which had been reluctant to sign on to any plan that could be seen as a mandate for regime change in Damascus.

Reports of the violence in Homs led to protests breaking out at Syrian embassies in Cairo, Berlin, Washington, Kuwait and London on Friday and Saturday.

CNN's Yousuf Basil, Becky Brittain, Pierre Meilhan, Richard Roth, Mick Krever, Elise Labott, Salma Abdelaziz and Amir Ahmed, and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Russian foreign minister is scheduled to meet with al-Assad this week

@highlight

An activist predicts worsening violence in response to the vote

@highlight

French President Nicolas Sarkozy says diplomatic efforts are ongoing

@highlight

Syria says the country has been targeted and the crisis is manufactured