(CNN) -- Four days after the death of Aaron Swartz, the digital innovator and blazing intellect, why are millions of strangers on the Internet still mourning as if some essential part of us has died? The answer is simple: It has.

We can understand -- but of course not fathom -- the grief of Aaron's loving parents, of his friends and of people like me who were privileged to have known Aaron over his short years. To understand the depth of feeling among those who never met Aaron, we have to get past the convenient pegs the media have used to explain his story.

For example, the media like to shorthand Aaron by calling him a "hacker." Yes, if by "hacker" we mean what software developers generally intend by the term: an exceptionally clever person who can make anything out of anything. To the general public though, it means a "black hat" who violates laws to get at protected information.

Aaron was a builder, not a hacker in the black hat sense. The list of the projects he contributed to is prodigious, as is appropriate for a prodigy who at the age of 13 anticipated the concept of Wikipedia and at 14 was being consulted by senior technologists about a standard to ease the flow of content across the Internet.

Tech: How Aaron Swartz helped build the Internet

That was just the start. Aaron went on to make serious contributions to Creative Commons (an organization that releases licenses so authors can let their work be more easily reused), Open Library (a public library of online works), Reddit (an immensely popular open discussion forum), Markdown (a simple way to write Web pages), web.py (making it easier for developers to create Web applications), Jottit.com (type-and-post website) and much more.

But you can't explain the Internet's grief simply by referring to Aaron's unearthly technical prowess. You may notice a pattern in the projects Aaron worked on: They're about making it easier to share information on the Internet. That's what got him in trouble with a reckless prosecutor who wanted to put him in jail for 35 years for downloading millions of academic research articles from a provider -- JSTOR -- that puts no limits on how many articles subscribers can download and that did not want to prosecute him. Earlier, Aaron had participated in making public court records much more readily available online.

Yet it would be a mistake to peg Aaron only as a liberator of information for the public good. He also built services to enable social interactions around information and ideas, because that's how ideas have effect in the world. Aaron had a deep sense of the Internet as the site of a new culture of ideas, connection and play.

But it would also be a mistake to peg Aaron simply as a champion of social connectedness. He was that, but he was also a hardheaded fighter for justice. He was acutely aware of the advantages conveyed by accidents of birth: country, race, class, gender, sexuality and more. Access to information and to one another were, to Aaron, tools in the struggle to lessen the world's raw unfairness.

Swartz's suicide sparks talk about depression

Still, thinking of Aaron mainly as a software activist is one more peg we should undo. The world has rarely seen an intellect as voracious and comprehensive as Aaron's. He was a seeker after first causes and had the mental prowess to plow through massive amounts of information and ideas, simultaneously considering the data, the pragmatics, the theory, and the theory of theory.

His insight helped inspire Lawrence Lessig's Harvard-based anti-corruption campaign (Rootstrikers) and two groundbreaking progressive grass-root organizations (Demand Progress and the Progressive Change Campaign Committee). From these platforms, and with his remarkable skills as a writer, he was able to play a crucial role in alerting the Net to the dangers of the Stop Online Piracy Act that would have given the government more power to shut down sites at the blink of the content industry's stink eye.

Put this together and you still don't have that which the Net is mourning. Aaron didn't just contribute ferociously to the Net.

It wasn't just that he was persecuted out of all proportion for trying to contribute more. Above all, he embodied what is best and hopeful about the Internet: its endless information, its ethos of sharing, its joy in connecting friends and strangers, its unflinching transparency about its own limitations, its promise -- by no means yet delivered -- of a world that is more open, more knowledgeable, and, above all, more fair ... a world that reflects the values of the Internet at its best.

That is why the Internet is so wracked with sadness. That is why we will never forget Aaron Swartz.

The opinions expressed in this commentary are solely those of David Weinberger.

@highlight

David Weinberger: With Aaron Swartz's suicide, something essential about the Net has died

@highlight

He says Swartz not just "hacker" but prescient prodigy who made huge contributions

@highlight

He says zealous prosecutors wanted to jail him, but he saw information as public good

@highlight

Writer: Swartz embodied what is best about the Net -- sharing, connectedness, promise