(Health.com) -- Are you pessimistic, chronically worried and stressed-out, and ill at ease socially? You may be at higher risk of heart attack and other heart problems, a new study suggests.

People with a history of heart disease who are prone to negative thinking, gloom, and inhibition -- a personality profile known as Type D (for "distressed") -- are nearly four times more likely to experience heart attack, heart failure, heart rhythm disorders, death, and other negative outcomes compared to heart patients with a different personality profile, the study found.

Health.com: Surprising heart attack risks

"There is a clear connection between heart risk and psychological risk factors, and those people who have this personality and lack social support have higher risk of health problems," says Nieca Goldberg, M.D., director of the Women's Heart Program at New York University's Langone Medical Center. (Goldberg was not involved in the new study.)

The lead author of the study, Johan Denollet, Ph.D., a professor of medical psychology at Tilburg University, in the Netherlands, first proposed a Type D personality in the mid-1990s, after he and his colleagues observed that distressed heart-attack survivors had higher short-term mortality rates than people with more upbeat personalities.

Type D personalities are "characterized by negative emotions like anxiety, frustration, and anger, and at the same time score high on social inhibition, meaning that they are less likely to disclose emotions," Denollet says.

Health.com: 10 things to say (and not say) to someone with depression

The Type D personality was modeled after the better-known Type A and B personalities, which grew out of heart research conducted in the U.S. in the 1950s. The aggressiveness, impatience, and hostility that characterizes the Type A personality has long been linked to an increased risk of heart disease.

Experts don't fully understand why the Type D personality appears to affect heart risk. Genes may be partly responsible, but the chronic stress associated with Type D traits is also a likely culprit.

Consistently high levels of one stress hormone, cortisol, are a known risk factor for heart attack.

"Stress hormones and stress reactions are great in fight-or-flight -- like when a prehistoric man was being chased by a saber-toothed tiger -- but they are not so good when they flood your body 24/7," says Karol Watson, M.D., the co-director of preventive cardiology at UCLA's David Geffen School of Medicine.

Health.com: Job killing you? 8 types of work-related stress

Type D personalities may also turn to smoking, alcohol, overeating, and other unhealthy behaviors as a way of coping with their emotions, Watson adds.

And, as Denollet points out, "Type D's are less likely to exercise, and [are] also rather poor at adhering to medical treatment or advice by their doctors."

In the study, which appears in the journal Circulation: Cardiovascular Quality and Outcomes, Denollet and his colleagues re-analyzed data from 19 studies comprising more than 6,000 people. (Denollet led many of the studies himself.)

They found that heart patients with type D personalities were 3.7 times more likely than those with other personality types to experience future heart problems. In addition, the Type D patients were three times more likely to experience depression, anxiety, and other forms of emotional distress.

The link between heart risk and Type D personality persisted even after the researchers took into account whether the study participants were depressed. This suggests that Type D personality presents a health risk independent of depression, a condition that itself increases the risk of heart disease.

Health.com: Loneliness hurts the heart

Type D personality and depression are not the same thing, although there is some overlap between them. While depression tends to occur in episodes, the emotional distress associated with Type D personality is chronic and may never reach the level of clinical depression, according to the study.

The findings shine a light on a high-risk population, Goldberg says, adding that doctors should ask patients about their social support systems in an effort to identify those who may have Type D traits. (For just that purpose, Denollet and his colleagues have developed a questionnaire that asks patients to rank how well 14 statements -- such as "I take a gloomy view of things" and "I find it hard to start a conversation" -- apply to them.)

Health.com: 7 types of therapy that can help depression

Type D personalities aren't doomed to heart problems, but they should be aware of their risk and take precautions, such as enrolling in cardiac rehabilitation if they've had a heart attack, the researchers say.

"Type Ds need to take a more active approach toward their own health," Denollet says. "They may benefit from counseling, so that they can learn how to deal with everyday stressful situations in a more adaptive way. There are some proactive tools and actions that these people can take to get rid of the negative emotions they keep inside."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2010

@highlight

If you're pessimistic and chronically worried you may be at higher risk of heart attack

@highlight

A person with a Type D personality is four times more likely to have heart problems

@highlight

As a way of coping, Type D personalities may turn to smoking, alcohol, and overeating

@highlight

Type D personalities aren't doomed to heart problems, but should take precautions