(CNN) -- While hotels and resorts have long leaned on Mother Nature to enhance their guest experiences, few wild assets rival that of prime waterfront real estate -- be it on a sugary sand beach or a dramatic rocky bluff. Fortunately for travelers, there's a lot of choice for those seeking a great coastal getaway.

Culled from Travel + Leisure's annual World's Best Awards, the top 10 hotels listed here were rated highly by readers -- and come with ocean breezes, water views and ultra-scenic shores. Asked to evaluate properties for categories including rooms/facilities, location and service, survey-takers made it clear that a coastal location can be one of a hotel's greatest features.

No matter your definition of what makes a great coastal hotel, from the Florida Keys to Oregon, there's one clear characteristic that all of the properties flaunt: Location, location, location -- Adrien Glover

Travel + Leisure: See all of America's best coastal hotels

1. The Lodge, Sea Island, Georgia

This is a genteel lodge with 40 country-style rooms and on-site access to a legendary golf course. A bagpiper roams the grounds every evening.

Room to book: Numbers 2 and 3 have enormous balconies that overlook the 18th hole at Plantation Golf Course.

Insider tip: Guests have access to the amenities of the lodge's sister property, The Cloister, including its 65,000-square-foot spa and the Georgian Room restaurant.

2. The Cloister, Sea Island, Georgia

This historic 1928 Mediterranean-style resort has four pools and is set on a secluded beach.

Room to book: Beach Club suites have kitchens, fireplaces and balconies.

Insider tip: Take a 90-minute tour ($100 per person) of the salt marsh onboard the Cloister Belle, a restored antique yacht. You'll see oyster beds and live shrimp.

Travel + Leisure: America's best little beach towns

3. Elizabeth Pointe Lodge, Amelia Island, Florida

Off the coast of Florida, the Elizabeth Pointe Lodge has configurations for every type of traveler. Each of the four suites of the nearby Ocean House opens onto a private deck. The Miller Cottage is built for families or groups, with two bedrooms and bathrooms, a living room and a patio. And the 20-room Main House's lawn fans out into beachgrass-tufted sand dunes.

Room to book: Number 16 is a corner room with a rainforest shower for two and ocean views from the king bed.

Insider tip: Set aside a day to tee off. Amelia Island has 117 holes of championship golf, including a PGA tournament course.

4. Market Pavilion Hotel, Charleston, South Carolina

Charleston's newest luxury hotel delivers the best skyline and harbor views in town, plus a charming rooftop bar and pool from which to take them in.

Room to book: Even-numbered rooms on the second floor with balconies.

Insider tip: Enjoy one of many taste experiences: sipping a sunset cocktail at the chic rooftop Pavilion Bar; savoring a center-cut strip steak, wet aged for 42-50 days at the hotel's Grill 225; tasting pastry chef Gerry Elliot's flamed Baked Carolina.

5. Grand Del Mar, San Diego, California

This is an opulent 2007 property swathed in Italian marble and European refinement -- plus hiking trails, golf and a family-friendly pool.

Room to book: Most of the Veranda rooms look out over the Grand Golf Club.

Insider tip: Check out the list of the resort's outdoor tours (for a fee) from a sea cave kayaking trip to a guided coastal hike.

Travel + Leisure: America's best outdoor restaurants

6. Cavallo Point -- The Lodge at the Golden Gate, Sausalito, California

With a prime location in the Golden Gate National Recreation Area, Cavallo Point blends old and new to great effect. The restored buildings of Fort Baker, a former U.S. army base, house its 142 rooms and suites. And there's plenty to do on site, beginning with a Healing Arts Center & Spa, an organic Tea Bar, a cooking school and yoga classes.

Room to book: The Historic Deluxe with View rooms in the Contemporary building have just that -- sweeping panoramas of the San Francisco Bay -- along with gas fireplaces, buttery-leather armchairs and vintage crown molding.

Insider tip: Try the hotel's healing arts services, which range from acupuncture to clinical massage, hypnotherapy to energy work.

7. Four Seasons Resort Hualalai at Historic Ka'upulehu, Hawaii

The Four Seasons Resort Hualalai is made up of a string of two-story bungalows built upon ancient lava rock. The updated Hualalai Spa now has 10 outdoor treatment rooms.

Room to book: Each Deluxe Ocean View suite comes with a concierge, a private beach cabana and daily delivery of fresh tropical fruit.

Insider tip: Locals give lessons about Hawaiian history, lei making and the art of hula at the resort's Hualalai Cultural Center.

Travel + Leisure: America's most dangerous bridges

8. Sunset Key Guest Cottages, A Westin Resort, Key West, Florida

There are white-washed cottages -- with a spa of individual suites and a Todd Holender-run restaurant -- on a secluded island near Key West.

Room to book: One of the two luxury cottages fronting the beach -- they have full gourmet kitchens, private plunge pools and sunken bathtubs.

Insider tip: Fish caught off the resort's own pier can be prepared at Latitudes restaurant.

9. White Elephant, Nantucket, Massachusetts

This is one of Nantucket Town's plushest resorts, on a prime spot on the edge of the harbor, with an expansive waterfront patio and chaise-dotted green lawns.

Room to book: Harbor-View Rooms cost quite a bit more than standard doubles (about $150 more in high season) -- but the stunning views over passing sailboats are worth it.

Travel + Leisure: America's most dangerous bridges

Insider tip: Try the Brant Point Grill's New England Little Neck Clams, peppered with vine-ripened tomatoes and lathered with champagne butter.

10. Stephanie Inn Hotel, Cannon Beach, Oregon

This is a shingled sanctuary overlooking Haystack Rock. All 41 rooms are equipped with fireplaces and private balconies.

Room to book: Nab the oceanfront king rooms on the second and third floors for the best views of Haystack Rock.

Insider tip: The hotel provides everything you need for a crackling bonfire on the sand.

See more of America's best coastal hotels

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Travel + Leisure readers ranked hotels in the South among the nation's best coastal hotels

@highlight

The Lodge and The Cloister in Sea Island, Georgia, received top marks

@highlight

At the Four Seasons Resort Hualalai, an updated spa has 10 outdoor treatment rooms