When Amanda Knox was convicted again on Thursday, Americans reacted with bafflement. The appeal was the third round through Italy's grinding, multi-level legal system, with its numerous checks and balances.  But the saga is also confusing because, while the crime is simple, the case built around it is a grand spectacle combining aspects of national pride, sexist archetypes and race.

Knox and her co-defendant, Raffaele Sollecito, were first convicted by a jury in 2009 for the murder of British student Meredith Kercher in 2007.  An appellate judge overturned the conviction in 2011 and Knox returned to the United States after four years in jail. The prosecutor then appealed the acquittal to the Italian Supreme Court, which sent the case to the new appellate panel that reinstated the conviction.

It isn't over yet. The defendants will now appeal and the case eventually could be returned to another appellate panel for yet another review.

I spent two years researching and writing a book about the Knox case, living in Perugia, attending the trial, interviewing every lawyer involved in the case, reviewing thousands of pages of police documents and court transcripts, interviewing forensic police, coroners, the principals of the case, their family members and associates.

Americans like me who believe the case against Knox and her then-boyfriend is fatally flawed have been accused of disliking Italy or disrespecting its judicial system. But what has happened in the Amanda Knox case is not an Italian problem. When prosecutors make mistakes anywhere in the world, they don't like to admit it. It takes an exceptionally brave and wise "Solomon" to reframe a case after arresting the wrong people.

The latest Italian proceeding did not involve any new evidence and, sadly, didn't shed any new light on the crime. There is still no proof that Amanda Knox was in the bedroom where someone stabbed Meredith Kercher. The DNA and fingerprint evidence is still entirely linked to a man named Rudy Guede, who is serving a 16-year jail sentence for the murder -- shortened thanks to testimony that put Amanda Knox on the crime scene.

After he arrested them, the trial prosecutor proposed that the motive was a post-Halloween ritualistic sex game. But when authorities soon realized the DNA and fingerprints in the murder room belonged to neither Knox nor Sollecito, rather than reframing their case, the small town prosecutors and police in the glare of international media dug in their heels. In the latest proceeding, a new prosecutor abandoned the sex game motive but suggested Knox murdered Kercher after an altercation over Knox's poor hygiene and sloppy housekeeping.

In other words, out with Satan and in with the dirty laundry.

With no hard evidence and no credible motive, spectators around the world are right to wonder what's going on in these Italian courtrooms.

Rudy Guede has never denied watching Meredith Kercher bleed to death, and he left a bloody handprint in the victim's blood on her wall. According to testimony from Italian forensic police, his DNA was inside the victim—although it was not clear whether there was a sexual assault. In his prison writings and in his testimony at his appeal, he talked of how difficult it was for him to get the image of the blood that flowed from Meredith out of his head.

Did this garish confession shock the Perugian authorities and courthouse press corps into trying to ascertain just who and what this young man was? On the contrary, he apparently elicited mercy, and had his sentence cut in half. He may well be walking free before the Knox case is settled.

In his first comments on the case, before he was captured, Guede was surreptitiously recorded by Perugia police in a Skype conversation with a friend, according to police wiretap transcripts in the trial record, saying that Knox had nothing to do with it. But as soon as he was connected with a defense lawyer, he started to change his story.

It's a trope of the case that Knox (and Sollecito) had a P.R. machine, vast amounts of money and great legal defense, while Guede was legally under-served.  In fact, his attorney was one of the busiest criminal defense lawyers in Perugia, well-connected with the prosecution, with a career behind him handling hundreds if not thousands of local crimes, often involving drugs and violence.

Prosecutors' reluctance to deeply investigate Guede is understandable; they don't want to know.  But Guede may be the most interesting character in the story. Born in Ivory Coast, brought to Italy at age 5, he is more Italian than most immigrants, but, like other immigrants, he is legally just a guest in the homogenous country, not a citizen, required to report to the authorities annually (which was why his fingerprints were on file in Perugia).

In the months before the Kercher murder, Guede was broke and showing signs of mental illness, and was involved in three and possibly more home invasions, according to police reports, trial testimony and interviews with victims.

His apparent modus operandi was to break into what he thought were empty houses and make himself at home. A few weeks before the Kercher murder, someone broke into a Perugia law office through a second floor window, according to trial testimony from the lawyer who practiced there, turned up the heat, rearranged small trinkets, drank an orange soda from the refrigerator and appeared to have slept on the couch before making off with a laptop.

At a nursery school in Milan a week later, director Maria Antonietta Salvadori Del Prato, walked in on a Saturday and found Guede sitting at her desk, she told me in an interview. She called police. They found the stolen laptop and a knife in his pack. Del Prato suspected he might have gotten a key to the nursery school from one of her employees who frequented the Milan club scene. Del Prato told me she believed he spent a night on the children's cots and cooked a pot of pasta in the kitchen, then placed it in little bowls around the room.

From that interview and many more, I pieced together a picture of a young man who seemed to be acting out some sort of fantasy of a home, a fantasy that perhaps abruptly cracked when Meredith Kercher came home unexpectedly while he was burgling her house,  and unwittingly locked herself into the house with him.  (Guede has maintained "whoever committed this terrible crime is still free.")

I believe one reason for the lack of interest in this young man is that a man killing a woman is mundane and boring, compared with the more titillating image of women fighting and  killing each other. The other reason, sadly, is a kind of reverse racism. He's black, and innocent black men are far too often railroaded in white systems, Italian and American. To suggest that this young man might have been the lone killer has a taint of political incorrectness.

Male violence against women is a major public health problem worldwide, according to the World Health Organization.

In the end, in this case, it appears that the commonness of the crime is what the Italian prosecutors—and many others--refuse to accept, searching for something more interesting and unique, in an elaborate, headline-grabbing crackpot theory that, they unfortunately still cannot relinquish.

Remove the racial aspect, forget national pride and whether you "like" Amanda Knox, and we can see that this simple tragedy is all too routine.

@highlight

Nina Burleigh: Guilty verdict-- again--for Amanda Knox baffles Americans for good reason

@highlight

She says Italian prosecutors still lack evidence, but unwilling to admit mistake, reframe case

@highlight

She says far more ties just Rudy Guede to murder. Prosecutors choose to pursue Knox

@highlight

Burleigh: Men hurting women almost banal; Italian prosecutors prefer tale of white women, sex