Canada's Alice Munro -- called the "master of the contemporary short story" -- won the 2013 Nobel Prize in literature, the Swedish Royal Academy of Sciences announced Thursday.

The prize committee compared the 82-year-old author to Anton Chekhov, the 19th century Russian who is considered one of the greatest short story writers in history.

She's the first Canadian-based writer to win the literature award. Saul Bellow, who won it in 1976, was born in Quebec but moved to the United States as a child and is regarded as a U.S. author.

Munro is the 13th woman to receive the literature prize.

"On behalf of all Canadians," Canadian Prime Minister Stephen Harper said in a tweet, "congratulations to Alice Munro."

After the prestigious award was announced, the Nobel committee said on Twitter that it hadn't been able to contact Munro and left a phone message to tell her the good news. But The Canadian Press contacted her, and she was quoted as saying the award was "quite wonderful" and she was "terribly surprised."

"I knew I was in the running, yes, but I never thought I would win," she said, according to a Toronto Star story quoting The Canadian Press.

Doug Gibson, Munro's publisher, spoke to CNN affiliate CTV and read a statement on the author's behalf.

"I am amazed and very grateful. I am particularly glad that winning this award will please so many Canadians. I'm happy that this will bring more attention to Canadian writing," she said, according to Gibson.

Nobel Prize in chemistry awarded for work that led to complex computing

'Our Chekhov'

Munro's work long has been likened to Chekhov's. Another acclaimed author, American Cynthia Ozick, has referred to Munro as "our Chekhov."

The Nobel committee noted that "some critics consider Munro a Canadian Chekhov."

"Munro is acclaimed for her finely tuned storytelling, which is characterized by clarity and  psychological realism," the committee said.

"Her stories are often  set in small town environments, where the struggle for a socially acceptable existence often results in strained relationships and moral conflicts -- problems that stem from generational  differences and colliding life ambitions.

"Her texts often feature depictions of everyday but decisive events, epiphanies of a kind, that illuminate the surrounding story and let existential  questions appear in a flash of lightning," the committee said.

The author has won many honors over the years, including the 2009 Man Booker International Prize.

"Alice Munro is mostly known as a short story writer and yet she brings as much depth, wisdom and precision to every story as most novelists bring to a lifetime of novels.  To read Alice Munro is to learn something every time that you never thought of before," the Man Booker judging panel said at the time.

Lives near her childhood home

Munro, who lives in the southwestern Ontario town of Clinton, was born near there in Wingham, where her father was a fox farmer and her mother was a teacher.

She started writing stories in her teen years and studied journalism and English at the University of Western Ontario.

Munro took a breather from her studies when she got married in 1951. She and her husband moved to Victoria, British Columbia, and opened a bookstore.

She published in various magazines starting in the 1950s. In 1968, she published "Dance of the Happy Shades," a book-length collection of short stories.

"In 1971 she published a collection of stories entitled Lives of Girls and Women, which critics have described as a Bildungsroman," or a coming-of-age work, the Royal Academy of Sciences said.

Other well-known works include: "Who Do You Think You Are?" (1978), "The Moons of Jupiter" (1982), "Runaway" (2004), "The View from Castle Rock" (2006) and "Too Much Happiness" (2009).

A story in the 2001 collection "Hateship, Friendship, Courtship, Loveship, Marriage" was the basis of  the 2006 film "Away from Her," directed by Sarah Polley.

Munro gained world renown for writing about everyday people.

"Here we have a world prize being won by someone who writes about housewives in Vancouver, booksellers in Victoria, bean farmers in Huron County and accountants and teachers and librarians -- ordinary Canadian people, and she turns it into magic," Gibson said.

'God particle' theorists receive Nobel Prize in physics

'Dear Life'

Munro's most recent short story collection is titled "Dear Life." The New Yorker magazine, in an interview with her last year, said it includes "several narratives in which women in some way shake off the weight of their upbringing and do something unconventional."

She was asked whether it was "normal for girls from rural Ontario to go to university" when she did, noting that in her stories, there "is often a stigma attached to any girl who attracts attention to herself. ... "

"I was brought up to believe that the worst thing you could do was 'call attention to yourself' or 'think you were smart.' My mother was an exception to this rule and was punished by the early onset of Parkinson's disease. (The rule was for country people, like us, not so much for towners.) I tried to lead an acceptable life and a private life and got by most of the time OK," she said.

Munro was asked how she came to focus on short stories.

"For years and years I thought that stories were just practice, till I got time to write a novel. Then I found that they were all I could do, and so I faced that. I suppose that my trying to get so much into stories has been a compensation," she said.

Munro has said in the past that she wanted to stop writing but continued.

"I do stop -- for some strange notion of being 'more normal,' taking things easy. Then some poking idea comes," she said. "This time, I think it's for real."

Last year's literature prize

Last year, Chinese writer Mo Yan received Nobel Prize in literature. Activists interpreted it as a nod to the hungry literary tastes in modern China, which could help spark more freedom.

The beloved Chinese author -- whose pen name means "not talking" -- has captivated his countrymen by intertwining fantasy and gritty everyday life.

Mo plies his trade in a country where running afoul of party lines could lead to censorship. His work packs a punch, but he walks a fine line. He is considered a writer within the system and even has embraced official restrictions on writing.

And he's a Communist Party member who holds a vice-chairman spot in the state-sanctioned China Writers Association.

Prize history

The Nobel Prize in literature has been awarded 106 times since 1901.  In recent years, Munro has been mentioned as a contender, along with Japanese author Haruki Murakami and U.S. writer Philip Roth.

It is almost always awarded to one author and has only been shared four times, which stands in stark contrast to the science Nobels, which two or three scientists often share.

The youngest recipient was Rudyard Kipling, who is known for his work "The Jungle Book." He was 42 when he received the prize in 1907. The oldest was Doris Lessing, who received it at the age of 88.

Incidentally, many think Winston Churchill received the Nobel Peace Prize, but he did not. He was awarded the Nobel Prize in literature in 1953.

Swedish industrialist Alfred Nobel created the prizes in 1895 to honor work in physics, chemistry, literature and peace. The first economics prize was awarded in 1969.

Nobel medical prize goes to 2 Americans, 1 German

Nobels this week

Two Americans and a German shared this year's Nobel Prize in physiology or medicine Monday.

Americans James E. Rothman and Randy W. Schekman, and German Thomas C. Sudhof were honored for discoveries of how the body's cells decide when and where to deliver the molecules they produce.

And on Tuesday, two men who predicted the existence of the Higgs boson particle 50 years before its discovery took the prize for physics -- Francois Englert of Belgium and Peter Higgs of the United Kingdom.

Higgs and Englert's theories of the elusive particle explained what gives matter its mass and played a key role in completing scientists' understanding of the nature of all matter.

On Wednesday, the Nobel Prize in chemistry rewarded three scientists for work leading to the computer programs used today to precisely calculate how very complex molecules and huge chemical reactions work.

The Nobel Peace Prize will be announced Friday, followed by the final prize, the award for achievements in economics, on Monday.

@highlight

She writes about "ordinary Canadian people" and "turns it into magic," publisher says

@highlight

Canada's prime minister congratulates Munro

@highlight

A story from one of her collections is the basis of a film

@highlight

Munro, who lives in southwestern Ontario, is compared to Anton Chekhov