(CNN) -- Outdoor dining, fresh ingredients and local festivals make summer the perfect season for food lovers to explore the world.

Check out these 10 destinations for fresh summer eats.

See more top summer food destinations

Istria, Croatia

In Istria, Croatia's northern peninsula, the land is bursting with all things green. Vineyards flank winding roads. Trees, heavy with figs and peaches, hang over garden gates.

Croatia's 1,390-square-mile northern peninsula is known for its freshly caught seafood, terraced olive groves, hilltop vineyards and truffles. Head to 120-year-old Kabola, Istria's first green-certified winery, to taste wines that have been partly aged in amphoras, or clay vessels.

The family vintners are especially passionate about regional Malvazija grapes; if you like red, don't miss the peppery 2009 Teran.

Afterward, drive 15 minutes south to dine on cuttlefish in its own ink topped with silky puréed potatoes and a generous portion of black truffle shavings at San Rocco Hotel's restaurant.

Beyond Croatia, summer's food groups are as distinctive as countries themselves.

10 surprising facts about turbulence

Northern Italy

The weather in northern Italy might be similar to neighboring Croatia, for example, but altitude and Austrian influences in the Dolomites means regional specialties include pork sausages and apple strudel.

Regional specialties such as speck (smoked ham), cajinci (a ravioli with ricotta and spinach), and wild berries pair well with hikes and overnights in rifugios, or mountain huts, in this northern corner of Italy. Head there with Whole Foods' new tour company, Whole Journeys, at the end of August. The seven-day itinerary includes a hands-on cooking lesson—Alto Adige gnocchi is one menu highlight—a private dinner in a century-old vineyard, and yogurt-making classes on a dairy farm.

Turks and Caicos

Whether you resort hop or hit local hotspots on the Turks and Caicos Islands, be sure to pair a cool Turks head beer with conch, a Caribbean specialty.

You'll find the sweet shell meat fried, stewed and served ceviche style at weekly Island Fish Fries, where travelers and island residents mingle on the beach and local "rake and scrape" bands bang out tunes.

Or head to haute restaurants such as Parallel23 at the Regent Palms Hotel, where new chef Ingo Möller serves up flaky sea bass and fresh crab rolls; meals end with dessert and cocktails on a moonlit beach.

August also means lobster season on the islands, something Grace Bay Club's Anacaona restaurant celebrates with a decadent lobster tasting menu.

America's best urban running trails

Portland, Oregon

Progressive culinary scenes in cities like Portland, Oregon, mean farmers and chefs have close relationships, so seasonal summer ingredients such as heirloom tomatoes, hazelnuts and sorrel don't travel far before landing on your plate at locally loved restaurants like Castagna.

You could also sign up for a farm dinner or trip with Farm to Fork, a food, wine and agritourism event company that creates culinary experiences that directly link consumers with craft winemakers, food artisans and family farmers throughout the state. On a four-day canoeing trip down the Rogue River, for example, participants take cooking classes and stop by vineyards and leafy orchards.

Montreal, Canada

It's no wonder that Montreal earns frequent comparisons to Paris: The city's culinary culture—influenced by 80 rich ethnicities and a genuine focus on local—is a favorite among foodies, especially during warmer summer months.

Neighborhoods are dotted with patisseries and boulangeries and the city's restaurant scene—there are more than 5,500 to choose from—has standout options such as the hip La Salle á Manger, where spicy fried rabbit and halibut ceviche make the menu and Nora Gray, where chef Emma Cardarelli turns out rich venison tartare and house-made pasta.

Madrid, Spain

Global capitals also vie for attention.

"Madrid is the place—do not hesitate!" says Virginia Irurita of Made for Spain tour company, based in the Spanish capital.

Her enthusiasm isn't just rooted in particular chefs and dishes, but also in Spain's summer food traditions: Café tables spread out along sidewalks and in park squares, and boisterous crowds sip Tinto de verano, a refreshing wine spritzer, until late at night.

World's best airport spas

Cape Town, South Africa

While Cape Town is not at its weather peak in June through August, popular restaurants stay packed with travelers looking to bookend a South African safari with an urban jaunt.

Among the culture capital's latest offerings, chef Bruce Robertson, formerly of Cape Grace and the Showroom Restaurant in Cape Town, now hosts bespoke dining experiences—a five-course, seafood-focused menu paired with South African wines—at the intimate Boat House in Scarborough just outside of the city.

Colorado

Dining also heads outdoors in Colorado, where crisp, dry air and 75-degree days invite foraging excursions and food festivals.

Here, cozy lodges' winter comfort foods and après-ski hot toddies have given way to farmers' markets and restaurants with sprawling terraces.

Brooklyn, New York

Restaurant access alone is what defines summer dining to many New Yorkers. In Brooklyn, where up-and-coming restaurants are overrun by travelers in fall and spring months, hotter temps mean saying goodbye to tourists and finally getting seated at popular restaurants such as Battersby and Runner & Stone.

Dubai

No matter what the season, you might still get denied entry to Dubai restaurants such as At.mosphere, the world's tallest at 1,350 feet, where doormen ask for a reservation code. With a $122 per person minimum, rejection might be a blessing in sleek disguise—and there are plenty of other posh options to choose from in the Middle Eastern culture capital.

See more top summer food destinations here.

© 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Croatia's 1,390-square-mile northern peninsula is known for its freshly caught seafood

@highlight

In farm-to-table focused Oregon, foodies hone in on heirloom tomatoes

@highlight

Restaurant access alone defines summer dining to many New Yorkers