(CNN) -- In a city where style is king, a Milanese football giant is in need of an urgent makeover, according to the Indonesian businessman who has taken on the challenge.

One of only two overseas owners in Serie A after buying a 70% stake in Internazionale in November 2013, Erick Thohir believes globalization is the key to reviving this grand institution.

He remembers Italian football's golden age of the 1990s, but given Serie A's current plight -- corruption scandals, racism, fan violence and dilapidated stadia -- those days seem a distant memory.

Even Thohir admits his 15-year-old son is more interested in talking about players from the English Premier League than Italy.

His solution is for Italian football to open its arms to the world, arguing there are 260 million potential Inter fans across the globe, with as many as 165 million supporters in Asia just waiting to be reconnected with a league dominated in recent years by Juventus.

"Serie A has be to more aggressive," the 44-year-old Thohir told CNN in an exclusive interview, as he laid out his vision to revive his underachieving club. Inter last won the scudetto in 2010 and failed to qualify for this season's UEFA Champions League, though the team is in the second-tier Europa League

If Thohir comes armed with ideas to overhaul Inter, he also issues a blunt warning for Serie A, which in recent years has arguably become European football's ugly duckling.

"I specifically tell people if we do another Calciopoli, Serie A will be dead," said Thohir, referring to the 2006 scandal when Juventus was heavily sanctioned.

"Italy won't be number two, not three, or even fourth. We will be ninth and lose ground to countries like Portugal and Holland.

"It's important to look at the world globally and not just Italy. The (other club) presidents are open-minded when we talk. A lot of things have to be done."

Inter earns $95 million from domestic and international television rights deals and expects to earn an extra 10% next year, but those sums are dwarfed by the $9.4 billion that the English Premier League's 20 teams share in their latest three-year contract.

The 2014-2015 turnover forecast for Inter is $240 million, but again, that's less than half of Manchester United's current $551 million revenue, according to Forbes.

"The English Premier League has become bigger and bigger, but Serie A can become the second league in the world," said Thohir. "We still have a good foundation and can compete with Germany's Bundesliga and Spain's La Liga."

Comparing Serie A with the English Premier League is like chalk and cheese, admits Inter's chief executive officer Michael Bolingbroke, who previously worked for Manchester United and entertainment company Cirque de Soleil before he was appointed by Thohir in July.

One of Bolingbroke's first tasks it to increase Inter's home attendances at the San Siro, a stadium the club shares with AC Milan.

Last season Inter had the highest average Serie A crowd -- 46,246 -- but given the San Siro's 80,000 capacity that's still a lot of empty seats.

On arriving from England, Bolingbroke was surprised to learn Inter had no football museum of its own at the San Siro, though it does share one with AC Milan.

United's Old Trafford museum annually has 400,000 visitors who shell out $29 for a visit which also includes a stadium tour, while the joint San Siro museum has 270,000 visitors who pay $21. Inter now hopes to build its own museum.

While Bolingbroke crunches the numbers, Thohir wants more top-flight games kicking off at 3 p.m at the weekend to enable a greater number fans in Asia and the United States to watch Italian football.

"We need to talk to our fans globally," added Thohir. "The beauty of Milan is, as well as football, there's also fashion and culture."

With the NBA now playing games in Asia, the NFL coming to Europe and baseball matches taking place in Australia, Thohir is also open to the idea of Serie A matches being played outside of Italy.

"A lot of fans in different regions want to see the real live game rather than on their television or computer."

Given a similar idea in England has not been openly embraced by a number of Premier League clubs' fans, Thohir might have trouble winning over Italian hardcore supporters, who in the past have proved a stumbling block to reform.

However, according to Richard Hall, who writes about Italian fan culture, even the ultras realize things can no longer stay the same.

"They know the stadiums are outdated and attendances are suffering and it's not a family event," said Hall, who has written about Inter for the British newspaper The Guardian and U.S. broadcaster ESPN.

The ultras see that the English Premier League has "lost part of its soul," according to Hall, who says many Italian fans would prefer Serie A clubs to follow the Bundesliga model, where teams are more closely aligned to their supporters and and represented at boardroom level.

"The fans have to trust us, because what we do is good for the club," replies Thohir, when asked if he would consider implementing such a model at Inter.

"Italy has the tradition of the president, but we need to be more professional and corporate and still involve the fans to help us grow."

In Inter's last two games, the patience of even diehard "Nerazzurri" might have been tested as coach Walter Mazzarri's team capitulated at home to Cagliari and then at Fiorentina.

Those two defeats demonstrated just how much work Thohir and his team have to do in resuscitating this ailing Serie A giant, which languishes in 10th place ahead of Sunday's home clash with Napoli.

"I'm not looking for personal success," Thohir says. "It's more about how can I work hard, supported by my new team, to make Inter one of the top-10 clubs in the world. With a lot of support and the same vision we can do it."

Thohir's decision to acquire a majority stake in Inter with his Indonesian business partner Handy Soetedjo followed investments in the NBA's Philadelphia 76ers and the MLS team DC United.

Conscious of the new constraints imposed by Europe's governing body UEFA with its financial fair play system, Thohir wants Inter to use more data and analytics in following the player-buying strategies pioneered by Billy Beane -- the subject of Michael Lewis' book 'Moneyball' -- at the Oakland Athletics.

"When we decide a player -- we do it collectively," said Thohir. "We sign on the tactical, financial and commercial side.

"This is the model for DC United and it's been pretty sustainable. So far at Inter, we have done OK. We don't want to create bureaucracy and it's important to reduce the risk."

Like fashion, football can be a risky business, but for Thohir, criticism is "medicine to him."

But will it be the tonic needed to wake Italy's "sleeping giant"? The football world looks set to find out.

@highlight

Erick Thohir bought a controlling stake in Inter Milan a year ago

@highlight

Indonesian attempting to revive one of Serie A's leading clubs

@highlight

Inter the second team in Italy's top flight to have foreign owner

@highlight

He warns Serie A will be "dead" if it has to face another corruption scandal