(CNN) -- HIV has returned in two patients who doctors hoped had been cured of the virus following bone marrow transplants, the Boston researcher who treated them said Saturday.

The HIV virus became undetectable in both patients approximately eight months after the transplant. The men remained on antiretroviral therapy until the spring of 2013.

"The return of detectable levels of HIV in our patients is disappointing, but scientifically significant," Dr. Timothy Henrich, a researcher at Brigham and Women's Hospital in Boston, said in a statement. "We have demonstrated HIV can be reduced to undetectable levels by very sensitive research assays and the virus persists."

The virus became detectable in one patient in August -- 12 weeks after ceasing antiretroviral therapy. In the other man, HIV became detectable this month, 32 weeks after antiretroviral therapy ceased.

"Through this research we have discovered the HIV reservoir is deeper and more persistent than previously known and that our current standards of probing for HIV may not be sufficient to inform us if long-term HIV remission is possible if antiretroviral therapy is stopped," Henrich said. "We have also learned that there may be an important long-lived HIV reservoir outside the blood compartment."

Dr. Daniel K. Kuritzkes, another researcher at Brigham and Women's Hospital, said the cases demonstrate that the virus may persist even when there is no evidence in the blood.

"We need to develop better and more sensitive tools to detect the virus as we continue to pursue novel strategies for HIV eradication," he said. "Our results also show that the immune system can play a major role in reducing the viral reservoir, but may not be able to do the job alone. It is likely that a combination of drugs and immune therapies that target the reservoir will be needed to establish long-term remission of HIV infection."

In July, when the cases were first reported at the International AIDS Society Conference in Kuala Lumpur, Malaysia, experts stopped short of calling the two cured and said the treatment is not a viable option for the majority of HIV patients.

After the patients ceased antiretroviral therapy, they were tested for HIV every seven to 10 days. Both resumed antiretroviral therapy after the virus was detected. They are in good health and the virus is suppressing as expected.

Brigham and Women's Hospital researchers will continue to monitor the patients and measure their HIV levels as part of a new study of the very early initiation of antiretroviral therapy after HIV rebound.

The men, whose identities were withheld, had been on antiretroviral drug therapy for years before being diagnosed with lymphoma, a cancer of the lymph nodes.

Both underwent intensive chemotherapy followed by bone marrow transplants to treat the cancer. They remained on antiretroviral therapy.

Approximately four months after the transplant doctors were still able to detect HIV in their blood, but six to nine months later, all traces of the virus were gone.

Some patients make it up to eight weeks before the virus returns, but the virus returns eight to 10 weeks after therapy is stopped in the vast majority of patients, Henrich said in July. Not so for these two men, however.

HIV discovery 'will change your life forever'

The two men were compared with Timothy Ray Brown, also known as the "Berlin Patient." Brown is thought to be the first person ever "cured" of HIV/AIDS.

In 2007, Brown had a stem cell transplant to treat his leukemia. His doctor searched for a donor with a rare genetic mutation called CCR5 delta32 that makes stem cells naturally resistant to HIV infection.

Today, the virus is still undetectable in Brown's blood, and he is still considered to be "functionally cured." A functional cure means the virus is controlled and will not be transmitted to others.

The stem cell transplant procedure, however, is very dangerous because a patient's immune system has to be wiped out in order to accept the transplant.

Using a stem cell transplant to treat HIV is not for most patients, and only 1% of Caucasians -- mostly Northern Europeans -- and no African-Americans or Asians have the CCR5 delta32 mutation, researchers say.

The transplant is still not a practical strategy for the majority of HIV patients, and the risk of mortality is up to 20%, Henrich says.

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health, agreed.

"This is not a practical approach for someone who does not need a stem cell transplant since the transplant and its preparation and its subsequent need for chronic immunosuppression is a risky procedure," Fauci said.

"If you have an underlying neoplasm (tumor) like these patients had, then the risk outweighs the benefit," he said. "However, if you are doing well on ARVs and you merely want to get off antiretroviral therapy, then the risk seems greater than the benefit."

HIV 'cure' in toddler offers 'global hope'

Even though the two patients showed a reduction of the virus in the blood, it could still be in some tissue -- the brain or gastrointestinal tract, for instance, Henrich said.

Earlier this year, researchers said an HIV-positive baby in Mississippi was given high doses of three antiretroviral drugs within 30 hours of her birth, with doctors hoping that would control the virus.

Two years later, there is no sign of HIV in the child's blood, making her the first child to be "functionally cured" of HIV.

The Foundation for AIDS Research, or amfAR, helped fund the study.

"These findings clearly provide important new information that might well alter the current thinking about HIV and gene therapy," said amfAR CEO Kevin Robert Frost.

"While stem cell transplantation is not a viable option for people with HIV on a broad scale because of its costs and complexity, these new cases could lead us to new approaches to treating, and ultimately even eradicating, HIV."

"Dr. Henrich is charting new territory in HIV eradication research," said Dr. Rowena Johnston, amfAR vice president and director of research.

"Whatever the outcome, we will have learned more about what it will take to cure HIV. We believe amfAR's continued investments in HIV cure-based research are beginning to show real results and will ultimately lead us to a cure in our lifetime."

Opinion: An AIDS-free generation is within sight

Saundra Young contributed to this report.

@highlight

HIV returns in two patients who doctors hoped had been cured of the virus

@highlight

The virus became undetectable in both patients about eight months after bone marrow transplants

@highlight

A researcher says the return of the virus is "disappointing, but scientifically significant"