BriGette McCoy described how she was raped on her first military assignment, two weeks before her 19th birthday.  She described how, later that year, she was raped by another soldier in her unit.

Then came sexual harassment by two officers -- including one who requested that she be moved to work directly for him, she said Wednesday.

Testifying before lawmakers, the former Army specialist described the "anguish" and "entrapment" she felt, and the horror of the ordeal that followed.

"I no longer have any faith or hope that the military chain of command will consistently prosecute, convict, sentence and carry out the sentencing of sexual predators in uniform without absconding justice somehow," she told the Senate Armed Services Committee's subcommittee on personnel.

"It even starts at recruitment," she said.  "We have quite a few of our men and women that are being raped and sexually harassed during the recruitment process."

McCoy was one of four alleged victims who testified Wednesday about a problem the military has acknowledged.

About 19,000 men and women suffer sexual assault each year in the military, former Defense Secretary Leon Panetta said, though he noted that only about 3,200 assaults were reported.  About 10,700 of those cases -- 56% -- involved male victims in 2010, based on anonymous reporting collected by the military.

In painful, dramatic testimony, three women and one man, all of whom have left the military, described their suffering -- and explained why, in some cases, they never filed reports. They helped paint a picture of the military as a place where victims are often pressured to remain quiet or endure having their reputations and careers tarnished for coming forward.

High-ranking representatives from each military branch also gave statements, each one saying how brave they thought those troops had been in telling their stories openly. They stressed that special victims' units have been established along with training to recognize, investigate and prosecute cases involving rape.

Maj. Gen. Gary Patton, the director of the Pentagon's Sexual Assault Prevention and Response Office, said that in his five decades of service, he's seen massive cultural change in the military, including racial tolerance and increasing acceptance of gay and lesbian troops.

Changing attitudes toward sexual assault will be no different.

Only when rape within the military is treated with the same revulsion as friendly-fire will he believe a shift has actually occurred, he said.

'Chaplain told me the rape was God's will'

Rebekhah Havrilla was sexually harassed by a team leader to such an extent that she needed mental health care and medication, she said.

"One week before my unit was scheduled to return back to the United States, I was raped by another service member that had worked with our team.

"Initially, I chose not to do a report of any kind because I had no faith in my chain of command, as my first sergeant previously had sexual harassment accusations against him, and the unit climate was extremely sexist and hostile in nature towards women," she said.

Later, she filed a restricted report against her rapist and the team leader.

A year later, the former sergeant testified, she bumped into her rapist in a store, who told her he had been moved to her new location.

"I was so re-traumatized from the unexpectedness of seeing him that I removed myself from training and immediately sought out the assistance from an Army chaplain who told me, among other things, that the rape was God's will and that God was trying to get my attention so that I would go back to church," she testified. "Again, I did not file an unrestricted report against my rapist."

"Six months later, a friend called me and told me they had found pictures of me online that my perpetrator had taken during my rape."

So she turned to the Army Investigation Division, which carried out a full investigation, she said.  An investigator had her describe in detail what was happening in each of the photos.

After months passed, she said, she was told that her rapist had told investigators that he had had consensual sex with Havrilla.  The command did not pursue adultery charges, and the case was closed.

"The military criminal justice system is broken," Havrilla said.

Later, after the hearing, Havrilla posted a message on Twitter: "I have your name, Chaplain. Sweat in your britches."

Sen. Richard Blumenthal of Connecticut told military leaders that he appreciated their comments but criticized them for giving "lawyer-like" statements.

The problem of sexual assault in the military is a problem that demands a more immediate response.

He called "sexual assault" as an "immensely destructive force," likening the assaults to the problem the military first  grappled with years ago over strengthening its insufficient body armor so that the armor could withstand IED blasts.

Male victim: 'The culture of victim blaming must end'

Male service members are victims, of course, and Brian Lewis reminded senators of that Wednesday.

Lewis told senators he felt "humbled" to be "the first male survivor to testify in front of Congress on this very important issue."

After enlisting in the Navy in 1997, he was raped by a superior officer during his first tour, he said.

"I was ordered by my command not to report this crime."

Then, he said, "I was misdiagnosed with a personality disorder" and was discharged. That remains on his record, he said.

"The military has shoved many survivors out the back door with inaccurate, misleading, and very harmful, almost weaponized, medical diagnoses like personality disorders that affect their benefits and future employment opportunities," he said.

McCoy also said many victims are let go with "less than honorable discharges and personality disorders on their records, further hindering them from applying for medical treatment and medical claims."

"The culture of victim blaming and retaliation while failing to punish the perpetrator must end," Lewis said.

"We also need to ensure that prevention efforts are inclusive of male service members. ... We cannot marginalize male survivors and send a message that men cannot be raped, and, therefore, are not real survivors," the former officer said.

But, as senators pointed out, there are few convictions made in the military.

According to a 2010 Defense Department study, only 8% of sexual assailants are referred to military court, compared with 40% of similar offenders prosecuted in the civilian court system.

Military 'desperately needs to be shown the next steps'

Anu Bhagwati, director of the Service Women's Action Network, was the fourth victim who testified.

She said that in her years as a Marine officer, she "experienced daily discrimination and sexual harassment," which included rape jokes and "commercial sexual exploitation of women and girls."

While stationed at an infantry school, "I witnessed reports of rape, sexual assault and sexual harassment swept under the rug by a handful of field grade officers.

"Perpetrators were promoted, were transferred to other units without punishment, while victims were accused of lying or exaggerating their claims in order to ruin men's reputations."

She called on Congress to grant "convening authority over criminal cases to trained, professional, disinterested prosecutors.  Commanding officers cannot make truly impartial decisions because of their professional affiliation with the accused, and oftentimes with the victim as well."

She also called for civil courts to be opened to military victims.

"Congress must ensure that men and women in uniform can access the remedies available to all other aggrieved individuals under the Federal Tort Claims Act and the Civil Rights Act.   Given the prevalence of retaliation against service members who report incidents of sexual assault and harassment, the absence of these remedies for military personnel is especially shameful."

"We are looking," she said, "at an institution that desperately needs to be shown the next steps forward."

@highlight

Army specialist testified she was raped several times

@highlight

19,000 men and women are assaulted a year; only 3,200 are reported

@highlight

A military chaplain told one victim that rape was "God's will"