(CNN) -- For 25 years the leadership of the environmental movement has told us that the solution to the climate crisis will be found almost entirely through the deployment of wind and solar power, accompanied by dramatic increases in energy efficiency.

With coal continuing to outpace every other energy source in both its use and its rate of growth; with global CO2 now past 400ppm and rising at an accelerating rate; it's time to acknowledge that these solutions alone are simply not adequate to reduce CO2 emissions quickly enough to forestall disaster.

Related: CO2 hits record level at key observatory

If something is not done to dramatically change the way in which humankind produces energy, we will bequeath to our children and grandchildren a planet that is almost beyond our ability to imagine; one in which climate issues will begin to overwhelm basic social and political cohesion.

Related: Nuclear energy film overstates positives, underplays negatives

Indeed, as the recent reporting by Thomas Friedman of The New York Times suggests, this may already be underpinning some of the instability chaos we're seeing today in the Middle East. The stakes for us all could not possibly be higher.

The dream of wind and solar powering our energy needs was a beautiful one, but it has also proven to be inadequate to the unfortunate realities of our time. Despite hundreds of billions of dollars in subsidies from governments around the world, wind energy produces just 2.3% of global electricity; solar stands at an infinitesimal 0.4%.

Meanwhile, global electricity growth averages around 3% annually, according to the U.S. Energy Information Administration. That's equivalent to adding another Brazil to the planet every year. This rate will likely accelerate as we transition to electric vehicles and begin to address the global fresh water crisis with energy intensive seawater desalination.

There is another solution in sight, but today's environmental leadership either ignores it or continues, against the force of science and logic, to oppose it; that solution is advanced nuclear technology.

The same industrial techniques that have been proven successful in reducing the costs of wind and solar -- and every other recent technological innovation -- could, if applied to nuclear energy, allow us to transition to a non-CO2 emitting world at the speed and scale that's required to avert a climate catastrophe.

The French decarbonized almost all their electric grid in just 20 years using 1970s-era nuclear technology.

They now enjoy some of the cheapest electricity and the cleanest air in Europe. Imagine what could be done today with a serious commitment and public support for a combined portfolio of both renewables and advanced nuclear energy? This is the position advocated by a growing number of environmentalists, myself included.

The core objection to nuclear energy among many old-school environmentalists resides not so much in danger to human health -- which is dwarfed by mortality attributed to coal, gas and oil -- nor by the cost of the technology, but rather in a palpable fear of granting human civilization access to an abundant supply of energy -- in whatever form. Humanity, in this worldview, is a cancer ravaging the natural world that requires constraints governed by the laws of nature -- the ebb and flow of the wind and the sun and the conservation of scarce resources.

It's a vision of a better world conjured up back in the mid-1970s as a response to the concerns of a very different era. When Dr. James Hansen helped bring climate change to the world's attention in 1988 (and then-British Prime Minister Margaret Thatcher the next year in an extraordinary speech to the United Nations), it was taken by much of the environmental movement not as a wake-up call, but as an example of how prescient they had been all along.

It therefore never caused them to adjust their thinking to this very different reality. Herein can be found the origins of much of the political polarization and intransigence we now see exhibited by both the left and the right around the issues of climate and energy policy. Both sides share some of the blame for our current predicament.

Human civilization today faces a stark set of new problems that are all converging simultaneously. At the very moment when our ever-increasing use of fossil fuels is causing the planet to heat up, we are on track to add another 2 billion people to the planet. At the same time, many more billions of people are lifting themselves out of poverty and exercising their right to live modern, energy intensive lives alongside those of us in the West, further exacerbating existing strains on energy, water and food resources.

Meanwhile, technological advances in fossil fuel extraction have upended long-held assumptions about a looming shortage in supply, weakening the ability of all alternative sources of energy to compete without long-term public policy and market intervention.

We will not solve these 21st-century problems with 20th-century thinking.

Simple arithmetic will tell you that nuclear energy is essential to any viable way forward, if a climate disaster is to be averted.

The romantic environmentalism that captures the imagination of so many well-intentioned people needs to give way to a more enlightened, pragmatic and less ideologically driven vision, one that's capable of addressing the daunting challenges of the current era. The time is now, before it's too late.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Robert Stone.

@highlight

Time running out to reverse climate change with clean-burning energy, author says

@highlight

Film director Robert Stone says wind, solar energy can't create enough power

@highlight

Stone: Environmentalists should break with tradition and embrace nuclear energy