ATLANTA, Georgia (CNN) -- A new study from the Centers for Disease Control and Prevention has found that infants born as a result of assisted reproductive technology, or ART -- such as in vitro fertilization and the use of donor eggs -- are two to four times more likely to be born with certain types of birth defects than infants conceived naturally. But, the study's lead author says, the overall risk is still relatively low.

With any pregnancy, there is a 3 percent risk of having a baby with a birth defect.

"The most important findings were that for infants conceived using ART, we see an increased risk for certain birth defects," said Jennita Reefhuis, Ph.D., an epidemiologist at the CDC's National Center on Birth Defects and Developmental Disabilities. She says that children conceived using ART were found to have twice the risk of septal heart defects (a "hole" in the heart), more than twice the risk of cleft lip with or without cleft palate, and four times the risk of two gastrointestinal defects.

As part of the National Birth Defects Prevention Study, which gathers information on birth defects from 10 states, Reefhuis and her colleagues compared 281 births using ART with more than 14,000 naturally conceived births. The researchers looked at approximately 18 categories of birth defects, but only those four were found to be "statistically significantly associated with ART."

The study findings pertain only to single births; the researchers did not find a link between ART and birth defects among multiple births. ART increases the chances of having a multiple birth, and infants born as part of a multiple birth are more likely to have birth defects regardless of the method of conception.

"It is important for parents to realize that the individual risk for these birth defects remain low," Reefhuis said. "It sounds like a lot to say 'a two- to fourfold increased risk,' but you have to keep in mind that the starting risk for these individual defects is actually pretty low."

Still, says Reefhuis, in the interest of full disclosure and because the use of ART is on the rise, it is important to make these higher risks known.

"I think it's important for people to be aware that there may be an increased risk for birth defects with ART," she said. "But it is also really important for couples to realize that with any pregnancy, there is a 3 percent risk of a birth defect regardless of any exposures during pregnancy."

Elizabeth Ginsburg, M.D., president of the Society for Assisted Reproductive Technologies and the medical director of in vitro fertilization at Brigham and Women's hospital in Boston, Massachusetts, says the study adds to a growing body of evidence. Ginsburg is not connected to the CDC study.

"I think the take-home message is that if you have infertility and you are going to get help to try to conceive, there is some evidence that you might be at increased risk of having a baby with problems," Ginsburg said.

"The big question it raises is, is there something biologically different about people with infertility," Ginsburg said. "It wouldn't be shocking to find out that there may be some biological difference that makes it more difficult for them to conceive as well as putting them at risk of a higher chance of having babies with some sort of adverse outcome."

ART, which has been used in the United States since 1981, is defined as any procedure that involves surgically removing eggs from a woman's ovaries, combining them with sperm in the laboratory, and returning them to the woman's body or donating them to another woman. It does not include intrauterine -- or artificial -- insemination or egg-stimulating drugs such as Clomid.

It is estimated that more than 1 percent of babies born in the United States are conceived using ART, and that number has been steadily rising, with the rate doubling between 1996 and 2004. In 2005, 134,000 ART procedures were performed, resulting in approximately 52,000 births. Almost 12 percent of women ages 15 to 44 report having used some kind of infertility treatment, according to a 2002 national survey.

@highlight

CDC: Babies born via fertility treatments are at higher risk of certain birth defects

@highlight

Septal heart defects, cleft palate and two GI defects are two to four times more likely

@highlight

Absolute risk of birth defects is still low

@highlight

Assisted reproduction rising, with such birth rates doubling between 1996 and 2004