(CNN) -- "I may have spoken too soon," Bob Orsa said the other afternoon, with a sardonic laugh that didn't carry much mirth.

He and I had first met exactly three years ago -- on September 18, 2008, toward the end of that frightening week when the American economy seemed to be on the verge of disintegrating. Lehman Brothers had collapsed, Merrill Lynch had been taken over by Bank of America, the stock market had plummeted, and the "too-big-to-fail" theory that would lead to the bailout of the major banks was forming. Things were a mess.

Not that Bob Orsa was a player in those Wall Street and Washington machinations. He was a small businessman in Chambersburg, Pennsylvania, a borough of about 18,000 people. Or -- more accurately -- he was about to become a small businessman in Chambersburg. In what would be described as the worst U.S. economic climate since the Great Depression, Orsa was getting ready to open the doors of a new restaurant on the town square.

I'd been in Chambersburg interviewing longtime merchants about what rough financial times meant for them. And it was the new guy on the town square -- Bob Orsa -- who sounded, in the face of everything, optimistic.

"Some time to open a new business, right?" he'd said as we had stood outside the restaurant looking at the old county courthouse across the way, as carpenters inside his building readied it for opening day. "But I feel good." Of the national economy, he'd said: "It'll all come back. History shows us that, doesn't it? It always comes back."

I'd been thinking about him in recent days -- wondering how his restaurant had ended up doing, and whether he is as upbeat as he had seemed three years ago. I wanted to talk with him not because he is an expert in the intricacies of global finance, but precisely because he is not.

He and small businesspeople like him are on the receiving end of the Wall Street decisions and convulsions that can lead to times as brutal as the ones the country has been dealing with. I just wanted to find out what was going on at his place on the Chambersburg town square.

"I never thought the bad economy would be lasting this long," he said.

The restaurant he opened is called Cafe D'Italia. It's not a big establishment: 36 seats, 11 tables, open for lunch and dinner.

"I had thought it would take us two years to become solid and feel that we'd made it," he said. "Now I'm thinking it will take four years or more. People aren't eating out at restaurants as much as they would be in good times, because it's a way they can cut back on their expenses."

He said he doesn't have to follow the stock market on a minute-to-minute basis to know how money worries and layoffs are affecting his customers.

"The first thing you notice is that people will come in less frequently -- they'll still be loyal and come, but not as often as they might. This is a small town, and I know my customers. I know when I don't see them.

"Going out to a restaurant is a luxury that can be scratched off. I'll see it in the individual dinner orders. A couple who would usually order two main dishes might order one and ask to split it. They'll skip the salad. Maybe they'll skip the dessert. I don't blame them -- it's a way to save a little more money."

He finds himself in the same position as his guests: "People are pinching pennies out of necessity, and I am, too. I have 13 people working for me -- cooks, servers, hostesses, utility people. Ideally, I should have 17. But to warrant new hiring, I've got to have the right amount of business coming in, and I don't.

"I just spent $18,000 to put in a walk-in refrigerator/freezer. That's a huge chunk of change for a small operation like mine. I waited 2 1/2 years to take that plunge.

"Would I love to have another chef on staff? Absolutely. But my sales figures don't justify it. I can't afford it. I do the cooking myself two or three nights a week."

Orsa is 56 and has been in the restaurant business for 30 years, he says, "and I'd be the first to know if I thought my quality was down, or the service was not what it should be. That's not it. Even in good times, if you have a good product, a good location, good service, making a business a success requires good luck, too. No one guarantees that you're going to make it.

"But in this economy, with this kind of joblessness, making a go of a small business becomes even more of a challenge."

He feels a little cynical about the too-big-to-fail mantra that bailed out the major banks.

"There's no 'too small to fail' for businesses like ours. No one's going to save us if we can't make it."

He said that since opening he has always met his payroll and always paid his vendors, but that with revenues about 20 to 25 percent less than what he would like them to be, "there have been more than a few weeks when I haven't been able to pay the last person who gets paid: me."

When things are tough, he doesn't have to ask his customers to explain, because "I can see it. You know how people look when it's been raining for two straight weeks -- tense, a little down? That's the look, even when the sun is out."

Yet the high hopes he had for his business when he and I met three years ago are still there, and so is the pride in what he -- like so many small business people across the country in this economy -- is trying to do:

"Just being proud of what you've built. Being a part of the life of the town. I like it that I have afforded 13 people a living for almost three years now. Winter's coming, and sales tend to go down in the winter, at the same time the energy costs for heating this place go up. But that's all right. We've got a business right here in the center of town, and it wasn't here before we built it, and we're going to make it."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says he met Bob Orsa in 2008 in Chambersburg, Pennsylvania

@highlight

He says Orsa was opening a restaurant just as the economy was tanking ; he's still hopeful

@highlight

He says customers feel pinch; it affects business, but unlike banks no one bails him out

@highlight

Greene: Orsa has hung on, employing 13 people, determined to succeed in his community