(CNN) -- As Republican presidential candidates move closer to the key tests for their party's nomination, the highly charged topic of Israel and its conflict with Palestinians has come up with increasing frequency in speeches and debates. Most recently, Newt Gingrich sent a jolt through the discussion with his description of Palestinians as "an invented" people. His rivals, without disagreeing, accused Gingrich of speaking irresponsibly and potentially hurting Israel.

Most people in the U.S. and around the world interpret the campaign pledges of love and support for Israel as an effort to win the Jewish vote. But the Jewish vote has little to do with it.

The Republican candidates' passionate vows to support Israel have two objectives. First, they aim to capture the pro-Israel vote in a country where the vast majority of people side strongly with Israel and in a party where the most reliable primary voters, conservative Republicans and evangelical Christians, express intense feelings on the subject.

Second, they seek to make President Barack Obama look weak on foreign policy with an issue people care about and where the GOP thinks it might score some points. There are many things you can say about how Obama handled the Israeli-Palestinian conflict. The one thing you cannot say is that it succeeded. His early missteps managed to make Israelis and Palestinians feel betrayed by Washington.

The very public pressure Obama exerted on Israel, has, according to some polls hurt his standing among Jews and among Israelis. But the president's change in tone later helped him with both groups. Most Israelis now say they view him favorably. Among American Jews, Obama's approval may have sunk significantly to the low 50s, but that is still considerably higher than the approval he enjoys nationwide.

Despite the views of serious analysts and the calculations of conspiracy theorists, Jewish voters are hardly the point.

The numbers confirm that a Republican fight for the Jewish vote would mostly amount to wasted energy. The number of Jewish-American voters barely registers when compared with the size of the pro-Israel vote. Barely 2% of American voters are Jewish compared with more than 60% who consider themselves pro-Israel.

Worse for Republicans, a large and consistent majority of Jews vote Democratic. Obama won the Jewish vote by an incredible 78% in the last election. Most American Jews have voted for Democratic presidents for decades. Even if half of them voted for a Republican this year, the prize during the primary is hardly worth the effort.

The pro-Israel vote is another matter. Americans support Israel so strongly that for every Jew in the U.S., there are at least 30 non-Jews who say they side with the Jewish state. Support for Israel is at near-record highs, making a pro-Israel position a winning formula for Republicans and Democrats.

It's not just Republicans candidates who proclaim their commitment to Israel. Despite his strained relationship with Israeli Prime Minister Benjamin Netanyahu, Obama frequently asserts support. He expressed that sentiment in June at a Democratic National Committee event, saying that "Israel's security will always be at the top tier of considerations ... because it's the right thing to do, because Israel is our closest ally and friend ... it shares our values and it shares our principles." Those are words pro-Israel voters, Jewish or not, want to hear.

If Republican candidates were trying to help Israel rather than chasing votes, they might stop using it as a political issue. The most damaging change they can bring to the Jewish state's security is to turn support for Israel into a partisan matter. Until now, it is one of the few issues on which bitterly divided Republicans and Democrats usually agree.

In fact, Gingrich's recent comments about Palestinians would not make him a lot of friends among Israelis. His incendiary remark -- that Palestine was never a state and Palestinians identified themselves as Arabs until recently -- does nothing to advance the cause of peace. However long Palestinians have seen themselves as a "people," they now share a common history and view themselves as one. The obvious response to Gingrich's rhetorical Molotov cocktail is, so what? Gingrich seemed to imply Palestinians do not deserve a state. But the best conceivable way to end the Israeli-Palestinian conflict is creating two states. That's why a majority of Israelis support the two-state solution.

But for now, Republican candidates are worried about rounding up primary votes. One way to do that is by appealing to those with the most intense feelings and the greatest anxiety about Israel's security.

More than 60% of conservative Republicans and evangelical Christians, according to a recent poll by the Pew Research Center, consider it "a very important goal" to protect Israel. For evangelicals, in particular, the issue could decide their voting choice.

That's why Michelle Bachmann, for example, has spoken in almost mystical terms, saying "as a nation we have been blessed because of our relationship with Israel." Mitt Romney says his first trip as president will be to Israel. All candidates -- except Ron Paul, who wants to cut all foreign aid -- make support for Israel a cornerstone of their foreign policy.

Once the Republicans choose their candidate and the race becomes a two-person contest, both sides will try to show they are the most committed to maintaining the strongest of ties and the greatest commitment to Israel's security. It will be a quest for the backing of Jewish voters, but more importantly, an effort to entice the much larger pool of Americans who consider themselves supporters of Israel.

@highlight

Frida Ghitis says GOP candidates avow support for Israel more and more frequently

@highlight

She says they are not courting small Jewish vote as much as large pro-Israel vote

@highlight

She says if candidates really want to help Israel, they should back off inflammatory remarks

@highlight

Ghitis: Most Israelis back two-state solution; Gingrich's Palestinian comment hurts