(CNN) -- There is a major disconnect between what the Obama administration says and what it does about bailing out countries in the European periphery. For while the administration keeps insisting that Europe has the financial wherewithal to rescue those European countries in distress, it has allowed the International Monetary Fund to bail out Greece, Ireland and Portugal on an unprecedented scale. And it has done so in a manner that puts the U.S. taxpayer on the hook in a major way.

And if that were not bad enough, the administration now appears to be acquiescing to substantially bolstering the IMF's available resources with large-scale bilateral European loans. It is doing so for potential massive IMF lending to Italy and Spain that would dwarf anything that the IMF has previously done and that would put U.S. taxpayers seriously at risk.

Over the past 18 months, the IMF has lent to the European periphery on a scale that has no precedent in its 67-year history. Whereas even during the Asian and Latin American crises of the late 1990s the IMF never lent a country more than 12 times its IMF quota contribution, its recent loan commitments to Greece, Ireland and Portugal have been more of the order of 35 to 40 times those countries' IMF quotas.

In U.S. dollar terms, the IMF's lending commitments made to those three European countries now total around $100 billion. Considering that the U.S. has a 17ยพ% share in the IMF, these lending commitments put the U.S. taxpayer at risk for almost $20 billion should those countries be unable to repay the IMF. And the IMF is making these massive commitments despite the fact that Europe has the money to bail out its own periphery and that Europe contributed nothing to help the United States resolve its housing and banking sector crisis in 2008-2009.

The Obama administration downplays the potential risk posed to the U.S. taxpayer by arguing that the IMF has preferred creditor status and that to date, it has never had a significant country defaulting on its IMF loan obligations. What the administration does not say is that the IMF's past loan repayment experience is not particularly relevant to its current European lending programs, since its European lending is so much larger than any previous IMF country loan operation.

The administration is also not leveling with the U.S. public as to how ineffectual the very large IMF financial support programs have been to date in resolving Europe's troubled periphery's economic problems. For while these programs have certainly succeeded in kicking the can down the road, they have done nothing to restore solvency in Greece, Ireland and Portugal.

Indeed, the IMF's recipe of hair-shirt fiscal adjustment within a euro straitjacket that precludes the use of currency devaluation to promote exports as an offset to fiscal austerity has resulted in the deepest of economic recessions in those countries. And those recessions have further compromised the periphery's public finances and increased their public debt burdens.

In assessing how serious the risk of IMF lending is to U.S. taxpayers, it is of note that the IMF's loan commitments to Greece, Ireland and Portugal amount to as much as 10% of those countries' gross domestic products. Perhaps more telling is the fact that those loan commitments amount to between one-quarter and one-third of those countries' annual tax revenue collections.

The risk to the U.S. taxpayer is all the greater when one considers that the chance of an unraveling of the euro is now a distinct possibility. Were that unraveling to occur in a disorderly manner, it would have a devastating impact on the European periphery's economic outlook and its public finances. Considering the very size of the IMF loans in relation to those countries' tax bases, there would be a material chance that those countries would have difficulty repaying the IMF.

Even more disturbing for U.S. taxpayers is the size of prospective IMF lending to Italy and Spain, ostensibly to be financed by European bilateral lending to the IMF. At the recent Cannes European summit, the European Union countries agreed that they would make bilateral loans to the IMF of the order of $260 billion. Those proposed loans were intended to augment the IMF's $390 billion in overall available resources for potential lending to Italy and Spain.

Judging by the IMF's European bailout programs to date, if Italy and Spain did have to go to the IMF for large-scale financial support, the exposure of U.S. taxpayers to those two countries could be very large. Indeed, IMF lending commitments to Italy and Spain could be of the order of $750 billion and $450 billion, respectively. Given the U.S.'s 17ยพ% share in the IMF, the U.S. taxpayers' exposure to Italy and Spain as a result of IMF lending could be on the order of $220 billion.

Considering the size of the exposure that might arise from IMF lending to the European periphery, the administration owes it to the U.S. public to be up front about the potential cost to the U.S. taxpayer of such lending. At the very least, the administration should call the Europeans on their attempt to bail out the European periphery by using, in significant part, U.S. taxpayer money.

The opinions expressed in this commentary are solely those of Desmond Lachman.

@highlight

Desmond Lachman: IMF bailout of Greece, Ireland and Portugal puts the U.S. taxpayer at risk

@highlight

Potential massive IMF lending to Italy and Spain would be even more risky, Lachman says

@highlight

U.S. taxpayers' exposure to Italy and Spain could be on the order of $220 billion, he says

@highlight

Lachman: Obama administration owes it to the U.S. public to be up front about the potential cost