(CNN) -- Some friends and colleagues have been up in arms about an article in Wednesday's New York Times that discussed how exercise may be as effective as medication in treating heart disease and other medical conditions.

Those who fall on the side of more traditional medicine think this is crazy and believe that the studies supporting lifestyle changes ignore the hard and fast outcomes promised by drugs. Those who fall on the side of more alternative medicine, or have a more holistic, bent have no trouble with these findings and believe lifestyle has always been far superior to pharmaceutical treatment.

The truth is that both sides are correct -- to a point. That, of course, makes both sides a bit wrong, too.

The research was published in October in the British Medical Journal. It was a meta-analysis, or study of studies, of previous meta-analyses of research that investigated whether exercise or drugs reduced the chance of death from coronary heart disease, stroke, heart failure and diabetes. Four of the previous meta-analyses covered exercise interventions and 12 covered drugs.

No difference in efficacy between the exercise and drug interventions was found in respect to coronary heart disease and diabetes. In other words, they performed the same in terms of reducing your chance of death. With respect to stroke, exercise performed better than some drugs. With respect to heart failure, some drugs performed better than exercise.

What can we take home from this type of study?

Well, the first thing to note is that lifestyle changes can make a big difference in a person's health. Exercise interventions, which are often far less intensive than you might think, can significantly reduce your chance of dying from these conditions. Exercise can also help you to shed pounds if you're overweight or obese. It can even make you look a little better.

Many people report secondary gains of improved mood and quality of life when they're more active. The secondary gains from a more active lifestyle are not to be minimized. Exercise is usually cheap, if not free, and has relatively few side effects.

Getting someone to exercise, however, is not easy. A lifestyle change is, by definition, a change in how you live your life. That can be difficult, and many patients will choose to take drugs instead. Taking a medication can be far simpler, and a doctor can prescribe it immediately. Many of my physician friends believe it's more likely that a patient will comply with taking prescription pills than with advice to exercise.

But that's part of the problem with our medical system. Every time a doctor writes a prescription, he or she probably earns some money. The pharmacy that dispenses the meds makes some money. And, of course, the pharmaceutical company that makes the medications makes money, too. The health care system understands and even encourages this practice. Insurance pays for it without issue.

But the same health care system is not at all equipped to deal with lifestyle change. No one makes any money if you're more active. No one would ever think to write a prescription for a gym membership, which could easily cost less than some medications, with the same potential outcomes.

It's thought that the recently released guidelines for assessing and preventing cardiovascular disease could lead to more than a billion people taking statins worldwide. That is, as you can imagine, a huge amount of money going to those types of drugs.

It's highly unlikely that a similar number of people will be encouraged to exercise. One is considered "doing something" by the health care system; the other is not. One is paid for by the health care system; the other is not. But as evidence amasses that lifestyle interventions are as beneficial as medical ones, it may be time to rethink how that system works.

The opinions expressed in this commentary are solely those of Aaron Carroll.

@highlight

Study found exercise may be as effective as pills in fighting some medical conditions

@highlight

Aaron Carroll: When doctors write prescriptions, they and the drug company make money

@highlight

Carroll: Exercise costs almost nothing, if at all, but people aren't prone to do it

@highlight

Carroll: Numbers of people who take statins for heart disease will overpower those exercising