(CNN) -- Two decades of satellite readings back up what dramatic pictures have suggested in recent years: The mile-thick ice sheets that cover Greenland and most of Antarctica are melting at a faster rate in a warming world.

That's the conclusion of an international network of scientists who released their review of one of the biggest question marks in climate science Thursday.

The net loss of billions of tons of ice a year added about 11 millimeters -- seven-sixteenths of an inch -- to global average sea levels between 1992 and 2011, about 20% of the increase during that time, those researchers reported.

While that's a small number, "Small changes in sea levels in certain places mean very big changes in the kind of protection of infrastructure that you need to have in place," said Erik Ivins, a geophysicist at NASA's Jet Propulsion Laboratory in California and one of the contributors to Thursday's study.

Chasing down the world's vanishing glaciers

Long-term climate change fueled by a buildup of atmospheric carbon emissions is a controversial notion politically, but it's one accepted as fact by most scientists. Previous estimates of how much the Greenland and Antarctic ice sheets contributed to the current 3 millimeter-per-year rise in sea levels have varied widely, and the 2007 report of the United Nations' Intergovernmental Panel on Climate Change left the question open.

While the 19-year average worked out to about 20% of the rise of the oceans, "for recent years it goes up to about 30 or 40%," said Michiel van den Broeke, a professor of polar meteorology at Utrecht University in the Netherlands. The rest comes from thermal expansion -- warmer water takes up more space.

The research released Thursday was backed by the European Union, NASA, the National Science Foundation and research councils in Britain and the Netherlands, with the findings published in this week's edition of the peer-reviewed journal Science. The project involved 47 scientists who compared readings from various satellite-based methods, including radar and laser readings and measurements of the minute gravitational changes around the ice sheets.

They concluded that Greenland and two of the three ice sheets that cover Antarctica have lost an estimated 237 billion metric tons, give or take a few billion, in the past 19 years. The ice sheet that covers eastern Antarctica grew, but only by about 14 billion tons -- not nearly enough to offset the losses from the layer that covers the western portion of the continent and the Antarctic Peninsula.

"Antarctica is losing mass, but it's not losing as much mass as many of the reports had suggested," Ivins said. "Greenland, on the other hand, is losing more mass today than it was in 1990 by a factor of five."

Satellites reveal rare levels of Greenland ice melt

Don't panic: At the current rate, it would take between 3,000 and 7,000 years for those regions to become ice-free, said Ian Joughin, a glaciologist at the University of Washington.

"But we can see that the trend is towards increases, and that that's something we do need to worry about," Joughin said. "And that if we really want to have meaningful information that, you know, planners can use to build seawalls and things, there's going to have to be a big push to improve our projections of sea level rise using models."

In July, researchers watched as a stretch of unusually warm temperatures melted nearly the entire surface of the Greenland ice sheet.

The study's lead author, Andrew Shepherd of Britain's University of Leeds, said the results are the clearest evidence that the ice sheets are losing ground and are intended to be the benchmark for climate scientists to use for future calculations.

With environmental spotlight on Greenland, more tourists want closer look

"Any model that someone would use to predict sea level rise is only really as good as the data that goes into it," Shepherd said. "And the fact that our data is twice or three times as reliable as the most recent overarching assessment has to give some weight to improving the value of those model predictions in the future."

Gavin Schmidt, a NASA climatologist who was not part of the study, said the data collected could be used to fine-tune computer models of future climate change. But he said scientists need to learn more about the physics and mechanics of the ice sheets before developing effective projections of what effect they'll have on continued sea-level rise.

"Right now, all of that is very complicated stuff, and we're not at the point where all of that is integrated into the models we have now," Schmidt said.

The findings were published as representatives of U.N. member states are gathered in Qatar in hopes of hammering out a successor to the Kyoto Protocol, the 1997 pact aimed at reining in carbon emissions. That pact committed developing nations to reduce emissions with a goal of limiting the rise of global average temperatures to 2 degrees C (3.6 F) by 2100.

But global emissions have gone up by about 50% since Kyoto, the World Meteorological Organization reported last week. The pact largely exempted developing nations like China and India, now the No. 1 and No. 3 emitters. The No. 2 producer -- the United States -- never ratified Kyoto.

Massive ice island breaks off Greenland glacier

@highlight

The loss of Greenland and Antarctic ice is speeding up, scientists find

@highlight

The study gives the clearest picture of polar melting to date, the lead author says

@highlight

The ice sheets have added about 11 mm to global sea levels since 1992

@highlight

Greenland is losing ice five times faster than it was in the 1990s, the study finds