(CNN) -- Over the weekend the United States launched drone strikes in two different locations in Yemen, killing at least 15 militants as well as three civilians. At the same time, Yemeni ground forces began what have been termed "unprecedented" operations against al Qaeda's affiliate in Yemen, which may also involve additional U.S. drone strikes, although that isn't clear right now.

The U.S. drone campaign in Yemen is very much President Obama's war.

Unlike in Pakistan, where President George W. Bush significantly ramped up the CIA drone campaign while he was in office, there was only one drone strike in Yemen during Bush's two terms in office. During Obama's administration, there have been 92 drone attacks, as well as a further 15 U.S. strikes using other forms of weaponry such as cruise missiles, according to a count by the New America Foundation.

Indeed, Obama vastly accelerated the drone campaign in Yemen in 2011 and 2012, just as CIA drone strikes in Pakistan began to slow. Forty-seven strikes took place in Yemen in 2012, marking the first time the number of drone strikes in Yemen and Pakistan reached comparable levels.

One reason for this acceleration in drone strikes in Yemen may have been Obama's authorization in April 2012 of the "signature" strikes that had been approved the previous year for use in Pakistan's tribal regions.

Such strikes do not target known militants but rather people who are displaying the behaviors of suspected militants. Such signature strikes were reportedly governed by stricter rules in Yemen than in Pakistan, though, and were given a different name: TADS, or Terrorist Attack Disruption Strikes.

As of Monday, U.S. drone and air strikes have killed an estimated 753 to 965 people in Yemen, of whom the large majority were militants, but at least 81 were civilians, according to the New America Foundation study.

All but six of the many hundreds of victims of the strikes were killed under the Obama administration.

The drone program in Yemen began in earnest after a series of attempted terrorist attacks against the United States were traced back to al Qaeda's Yemen-based affiliate, al Qaeda in the Arabian Peninsula.

AQAP claimed responsibility for the would-be "underwear bomb" attack on a Detroit-bound flight by Umar Farouk Abdulmutallab on Christmas Day 2009. Fortunately for the people on board Northwest Airlines Flight 253 that day, Abdulmutallab's bomb was a dud, and he succeeded only in burning himself rather than destroying a commercial airliner. Had his bomb exploded as intended, it would have been the most devastating terrorist attack on the United States since 9/11.

Less than a year later, AQAP mailed two packages with bombs cleverly disguised inside HP LaserJet printer cartridges from a FedEx office and UPS facility in Yemen to the street addresses of two synagogues in Chicago. The toner in the printer cartridges had been replaced by the high explosive PETN. The bombs were almost impossible to detect as the explosives were odorless and the circuitry for the detonator looked like ordinary wiring.

Both devices were discovered on October 29, 2010, before they could detonate, one in Dubai and the other at a British airport.

They were discovered because of very specific information about the tracking numbers of both packages that was provided by the Saudis, who had managed to plant a spy in the ranks of AQAP.

The bomb-maker believed responsible for these cleverly designed bombs is Ibrahim al-Asiri.

According to a senior U.S. official, al-Asiri is proving hard to find, as he avoids any form of electronic communication and communicates only by courier.

Another senior U.S. official says al-Asiri has been experimenting with bombs that can be implanted in suicide bombers using surgical techniques.

Al-Asiri is the most important target in Yemen for U.S. intelligence, although senior American officials say he has also trained others in al Qaeda in advanced bomb-making, so his techniques may survive should he be killed in a drone strike.

During the Obama administration, U.S. drones have killed 35 key al Qaeda militants in Yemen, including the Yemeni-American cleric Anwar al-Awlaki, who directed AQAP's operations against the United Sates before he was killed in 2011 drone strike.

Unlike in Pakistan, where political leaders have condemned the strikes, Yemeni President Abed Rabbo Mansour Hadi said during an interview with The Washington Post in 2012 that he personally signs off on all U.S. drone strikes in Yemen and that they hit their targets accurately, asserting, "The drone technologically is more advanced than the human brain."

Yet some of the popular resentment toward the U.S. drone campaign that has long festered in Pakistan is beginning to emerge in Yemen.

On April 23, 2013, the Senate Judiciary Committee held the first public hearing dedicated to the legal issues surrounding the U.S. drone campaign. One of the six who testified was Farea al-Muslimi, a young Yemeni activist who spent his high school years in the United States.

Al-Muslimi told the committee that a drone strike had targeted his village of Wessab just six days earlier. "What radicals had previously failed to achieve in my village," al-Muslimi told the senators, "one drone strike accomplished in an instant: There is now an intense anger and growing hatred of America."

@highlight

Suspected U.S. drone strikes hit two different locations in Yemen

@highlight

Peter Bergen says strikes are part of an aggressive war by U.S. against militants

@highlight

Estimates are that up to 950 people have been killed, including more than 80 civilians

@highlight

Bergen: War is focusing on bomb-maker believed to have designed devices aimed at U.S.