(CNN) -- Commentators who have watched the conflict in Northern Ireland play out for decades call the peace process a miracle.

Various leaders negotiated for years to bring an end to Northern Ireland's "troubles."

Culminating in a power sharing deal between Ulster's unionists, led by Ian Paisley, and Sinn Fein, the political arm of the IRA (nationalists), led by Gerry Adams, the road to peace has been a torturous one characterized by violence, set-backs and numerous false starts.

Only recently the Ulster Defence Association, Northern Ireland's largest loyalist group, said it will cease to be an armed paramilitary group, starting at midnight on November 11, saying the "war is over."

"All weaponry will be put beyond use," Colin Halliday of the Ulster Political Research Group, which is linked to the group, said in a speech in Belfast aired by RTE, Ireland's state-owned broadcaster. "The struggle to maintain the union is on a new and more complex battlefield."

The Irish Republican Army (IRA) disarmed two years ago, helping to restore the province's government in Belfast.

Irish Prime Minister Bertie Ahern said the most recent moves of groups to disarm was "significant and hopefully signals a further step toward the ending of all paramilitarism in Northern Ireland."

For those that have lived through the turmoil in Northern Ireland, peace achieved though diplomacy must have seemed like an unrealistic goal. After all, each attack by loyalists usually resulted in retaliation by nationalists -- making the dispute bitter and intractable.

But diplomacy has worked in bringing peace to Northern Ireland.

Credit for developing a framework for the peace process stretches back to former British Prime Minster John Major's rule in the 1990s and efforts by Ireland's Ahern. But it was Major's successor, Tony Blair, who was unrelenting in his quest for peace by making it a major priority of his government.

Blair came to Northern Ireland 37 times as Prime Minister, traveling there more often than any of his predecessors as well as hosting many meetings at 10 Downing Street and discussing the peace process while at many international summits.

According to the Belfast Telegraph: "When he (Blair) said on that first day he had come to seek 'a lasting and fair political settlement' it turned out he wasn't spouting platitudes on a stump."

Journalist James Button, who covered the peace process talks, says: "Blair played a clever hand. He saw the hardliners had to be involved.

"Critically he judged that the process had to tilt ever so slightly towards the republicans to prevent a split in their ranks and the resumption of violence by radicals -- which had happened whenever the republican leadership had inclined to moderation before."

Button says Downing Street had a bicycle theory around peace talks: "They had to keep going forward otherwise they would fall over."

It was Blair's diplomacy that wooed the previously immovable Paisley. Irish political scientist Lord Bew told the Guardian the alliance with Paisley was Blair's "last great romance... Once again when we thought the old maestro was fading, his capacity to seduce, politically speaking, is phenomenal."

But as Gerry Adams of Sinn Fein told CNN, the conflict was primarily a local one that needed to be solved by local people: "The people who have to be the brokers are the people who live in the areas of conflict.

"They're the people who ought to be the brokers but everybody else from the outside has to enhance the conditions so that those leaders or factions can actually broker not just an agreement, but implement an agreement.

"The Good Friday Agreement -- and [former U.S.] Senator [George] Mitchell said this at the time, when we got the agreement -- "That's the easy bit. Implementing it is going to be the difficult bit."

Mitchell worked with the various participants to reach an agreement.

The long road to peace

The "troubles" have been a centuries-old dispute between England and Ireland over who controls Northern Ireland.

In 1609 British colonial settlers confiscated native-owned land in Northern Ireland and settled in Ulster with mainly Protestant British planters. There was conflict between the planters and the native Irish. The planters won the bloody ethno-religious conflicts that followed and cracked down on the political and religious freedoms of the indigenous Irish.

In the 1700s groups formed (including the Ulster Orangemen that continue to this day) and antagonisms between the two communities became entrenched.

Ireland was incorporated into the UK in 1801 and reformers such as Daniel O'Connell called for the repeal of the union as well as the end of discrimination of Catholics (around 75 percent of the population).

The agitation of the Irish Parliamentary Party, who sometimes held the balance of power in Westminster, led to the unionists further entrenching their position for British rule.

In 1920 guerilla warfare between what became known as the IRA and Unionists led to the partitioning of southern Ireland and Northern Ireland.

Nationalists in Northern Ireland, who numbered around 35 per cent of the population, did not accept legitimacy of the new partition.

Between 1970 and 1972 tensions that had been brewing erupted into violence with almost 500 people killed in Northern Ireland. One explanation for this was the formation of the real IRA, which embraced "armed struggle" against British rule.

Another was the introduction of internment without trial (the vast majority of those imprisoned were Catholic) which succeed in politicizing many into the nationalist cause.

Bloody Sunday -- a January 1972 shooting in Derry of 14 unarmed nationalist civil rights activists by the British Army -- was a flashpoint in the conflict.

In 1972 the retaliation of the Provos came at a massive cost -- more than 100 soldiers were killed, 500 were wounded and there were 1300 bombings.

Yet the nationalists vowed to continue their campaign until there was a united Ireland.

Successive British governments failed to solve the "Irish question" so the participants settled in for what the IRA called the Long War, which involved sustained, low-level violence, hunger strikes and protests.

The stop-start cease-fire

Since the late 1980s Sinn Fein, which compared its struggle to that of the fight for liberation in Palestine and South Africa, has sought a negotiated end to the conflict.

Both loyalist and republican paramilitary groups declared a cease-fire after much negotiation. But the peace was fragile and short-lived.

The IRA, led by Adams, revoked the cease-fire in 1996 after a bombing at Canary Wharf in London that killed two and caused £85 million worth of damage.

In June 1996 a large part of Manchester's city center was destroyed by an IRA bomb that injured 200 people.

Splinter groups of the IRA who rejected the notion of a cease-fire continued their campaigns. In August 1998 the Real IRA bombed Omagh, killing 29 civilians.

But during the 1990s many world leaders still held out for peace in Northern Ireland.

Supporters of talks included the president of the U.S., Bill Clinton, who in 1995 visited Northern Ireland and spoke in Belfast of the "peace process," calling terrorists "yesterday's men."

Diplomacy in action

In 1997 newly elected British Prime Minister Tony Blair endorsed a report on decommissioning and the criteria for inclusion in all-party talks. Mo Mowlam, the UK's Secretary of State for Northern Ireland, accepted in August 1997 that the IRA cease-fire was genuine and invited Sinn Fein for multi-party talks.

On Good Friday, April 10 1998, it was announced that the two governments and political parties in Northern Ireland had reached an agreement to share power. It later emerged that President Clinton had made a number of calls to party leaders to encourage them to reach an agreement.

The agreement included a devolved, inclusive government, prisoner release, troop reduction, paramilitary decommissioning, and the addressing of the question of Irish reunification.

The definitive end of the peace process -- and the Troubles - came in 2007 following the St Andrews agreement in October 2006 and the March 2007 elections. The Democratic Unionist Party and Sinn Fein formed a government in May 2007 and in July 2007 the British Army formally ended their mission in Northern Ireland, 38 years after their deployment.

Today, Northern Ireland is still part of the United Kingdom but the British government has said if there is a majority of votes then a united Ireland will be possible.

The key to winning support from the Nationalists/ Republicans was the British Government recognizing the "Irish Dimension" -- that the Irish as a whole should have the right to work out the issues between the North and the South, without outside interference.

Prosperity and peace

According to an article in the Financial Times, former sectarians have been tamed not only by peace but also by prosperity.

"The little brick houses which rose 56 percent in price in the last year cost more than the English average. There are Japanese restaurants. The locals fly from George Best Airport to their Alpine second homes. These people are, in the local phase, 'recovering sectarians,'" according to the FT.

Aiding this process is the European Union, which is flooding Northern Ireland with funds, believing that the peace and diplomatic process needs to be financially assisted.

The European Union's investment, worth 724 million euros (about 1.03 billion U.S. dollars) will be made available through the three programs -- the PEACE III program, the cross-border cooperation program with Ireland and Scotland, and the Regional Competitiveness and Employment program for the province.

But peace and prosperity would not have occurred without the success of diplomacy, says Adams. "There's been a war somewhere in the world for every day of every week of every month of the last few decades and all of them are caused by human beings, mostly by men ... all of them can be resolved through dialogue." E-mail to a friend

@highlight

Some commentators have called the peace process in Northern Ireland a "miracle"

@highlight

It culminated in a power sharing deal between the Ulster's unionists and Sinn Fein

@highlight

Peace and prosperity would not have occurred without diplomacy