(CNN)Africa is a continent.

It's not a country. This, unfortunately, is a notion that needs to be constantly reinforced. Though it is enormous and as diverse as any place can be, we tend, in the West, to look at it like a monolith. In fact, even neighboring countries like Rwanda and the Democratic Republic of the Congo can feel, up close, as different as Mars and Texas. Liberia and Namibia bear almost no resemblance to each other.

Ghana and Morocco?

Maybe it's the sheer size and complexity of African issues -- the at times crushing weight of history, the ugliness of much of that history, Europe and the West's unambiguous complicity in so much of it -- that keeps us from even trying to look beyond the surface.

Over the years, my crew and I have shot in Liberia, Ghana, Namibia, South Africa, Mozambique, the Congo and much of North Africa. But what we've never done, was step back to our first impressions, to the Africa of Hollywood films and nature documentaries that many of us grew up with: vast herds of wild animals charging across the Serengeti, lions and giraffes and zebras and hippos, safari gear, Land Rovers and the equally magnificent "natives" in their brightly colored robes. Does this Africa even exist? And if so, how? And for whom?

That Africa, the Cinemascope Africa does exist. You can find it in and around the unspeakably beautiful Ngorongoro crater in Tanzania where lions and their traditional adversaries, Masai warriors, still live much as they did a hundred years ago.

The lions survive because they are protected. Visiting Tanzania to gaze at and photograph these beautiful but deadly creatures (and other animals) is a major industry, bringing many millions to the country each year. It makes financial sense to protect both animals and the environment they live in.

The Masai, on the other hand, believe themselves to be the keepers and protectors of all the world's cattle. Their status, their wealth is based almost entirely on number of cattle and goats. Their diet, traditionally, has been almost exclusively meat (mostly goat and the occasional bit of cow's blood) and dairy. They generally use their cattle to provide dairy and tap them for blood (without harming them) to mix with curdled milk. In return, adult Masai enjoy cardio and physical strength and endurance that would qualify as Olympian any day of the week.

They are herders -- and warriors. Their status within their tribe, their image of themselves based largely on their traditional roles as defenders of their herds -- as warriors, lion killers. Lions eat cattle and goats when they can get them.

The Masai protect and rely on cattle and goats to live. Lions roam over large areas of terrain, competing for food with any number of other predators. Masai herd their cattle over large areas of terrain. Thus it has been for centuries.

Lions are beautiful living creatures worth many millions of dollars from the thousands and thousands of people from all over the world who want to come to Tanzania and gape at them.

The Masai are beautiful living people who somewhat fewer people from all over the world want to come and gape at.

You see the problem.

Many hard working, well-intentioned people are trying to help resolve this conflict of interest.

But it raises, once again, the question we run into frequently in our travels: who does the natural world exist for? For the people who live there, have always lived there? Even when they become ... inconvenient? Or the animals who also have always lived there, but like their adversaries, are under threat, and can no longer survive without the intervention of (usually) pale-skinned experts in comfortable shoes?

It's an uncomfortable question. One would have to be truly monstrous to suggest that one be sacrificed for the other. But the slow grind of history is already making that decision for us, and the outcome is often not pretty.

If we are the guardians of the environment, obligated to do our very best to protect the natural world -- if that natural world, increasingly, exists only at our pleasure and as the result of much hard work and vigilance -- are we not also our brothers' keepers?

Where is that line? That balance between the needs of man and that of the incredible, graceful, terrible, gorgeous creatures who still manage to survive in what passes for the wild?

I sure as hell don't know.

So, on one hand, this episode is the "nature show" we always hoped to do -- the "safari show". And believe me, we did it right. I retired, after a long day's filming on the plains or in the bush, to a hot, freshly drawn bubble bath surrounded by rose petals. I drank sherry from a cut glass tumbler on my balcony, looking down into the Ngorongoro Crater. Woke every morning to my choice of omelets and silver service.

But the persistent image of this episode, the one that hangs in my memory, and I hope will hang in yours, is of the running man. The young Masai.

Where is he going?

@highlight

Bourdain steps back to his first impressions of Africa, a land of Hollywood films and nature documentaries

@highlight

The show looks at the tension between lions and Masai warriors

@highlight

Where is the line between protecting animals and protecting a way of life?