(CNN) -- The glaciers in the Himalayas are receding quicker than those in other parts of the world and could disappear altogether by 2035 according to the 2007 Intergovernmental Panel on Climate Change (IPCC) report.

In retreat: the roof of the world is experiencing rapid summer melting.

The result of this deglaciation could be conflict as Himalayan glacial runoff has an essential role in the economies, agriculture and even religions of the regions countries.

The Himalayan glaciers form the world's largest ice body outside of the polar caps. Popularly known as the "Water Tower of Asia," they are the source of water for rivers that flow across the continent: the Indus River in Pakistan, the Brahmaputra that flows through Bangladesh, the Mekong that descends through Southeast Asia, the Irrawaddy in Myanmar, the Yellow and Yangtze rivers of China and a multitude of smaller rivers that flow through the Indo-Gangetic plains of Northern India.

Satellite data from the Indian Space Applications Center, in Ahmedabad, India, indicates that from 1962 to 2004, more than 1,000 Himalayan glaciers have retreated by around 16 percent. According to the Chinese Academy of Sciences, China's glaciers have shrunk by 5 percent since 1950s.

Dr. Vandana Shiva, an environmental activist, physicist and leader in the International Forum on Globalization, has just returned from a "Climate Yatra," a research journey to the Himalayas to study the impact of climate change and the glacial melt upon communities in Asia.

"Himalayan rivers support nearly half of humanity," Dr. Shiva told CNN. "Everyone who depends on water from the Himalayas will be affected."

One area of increasing concern for Shiva is flooding. "In Ladakh villages have already been washed away due to flash floods," she said.

The situation has exacerbated the occurrence of Glacier Lake Outburst Floods (GLOFs). Impacts include loss of lives, domestic property, cultivable land, mountain infrastructure downstream, forced migration and long-term secondary environmental degradation.

In the short term, the glacial retreat could cause not just an overflow of rivers within countries, but more significantly, a cross border overflow into countries that already have a history of tension.

Rivers such as the Indus, Jhelum, Ravi, Bias and Sutlej rivers, are shared between India and Pakistan (that have fought five wars since 1947) while melt-water from the Tibetan glaciers supply both India and China (that fought a war over disputed Himalayan border territory in 1962).

Both India and China are exploring opportunities to harness Himalayan waters for hydroelectric power projects, and while the initial melt promises to provide plenty of water for both sides, the loss of glaciers could lead to water shortages further in the future.

Underground aquifers in Asia depend heavily on snow melt during the dry summer season, and long-term implications of the disappearance of Himalayan glaciers mean that access to water could become a serious political problem.

According to Wendy Barnaby, editor of People and Science magazine, the United Nations issued a warning in February this year that climate change harbors the potential for serious conflicts over water.  Watch how the U.S. military is preparing for potential climate change conflicts »

Water-related conflicts have already been witnessed in other parts of the globe such as in the West Bank and in Darfur.

According to Himanshu Thakkar of the South Asia Network on Dams, Rivers and People, almost 70 percent of the non-monsoon flows in almost all the Himalayan rivers come from glacier melt.

International water security issues within Asia could be likely since the waters of the Indus, Ganges and the Brahmaptura basins flow into China in the upstream, and are shared across South Asia in the downstream.

Dr. Shiva believes the situation will render major security issues, between India and China particularly, as flows reduce and demands intensify.

In India, deglaciation poses the question of political and social upheaval within the country itself. According to Thakkar, the rate of retreat for the Gangotri glacier over the last three decades was more than three times the rate during the preceding 200 years.

The Gangotri feeds the River Ganges, India's holiest river which has historically been a focal point for Hinduism. That the Ganges could become a seasonal river in the near future will throw a spanner in the works of Hindu religious customs, woven into the socio-economic life and culture of Northern India.

Moreover, future water allocation that favors economics over religion could spark conflict in a society that already experiences religious and inter-communal strife.

Even though some authorities in India do not consider the phenomenon to be particularly alarming, there is an increased understanding that the melting of Himalayan snows is real and needs to be taken seriously.

China and India are expected to sign an agreement this month that will enable scientists to cooperate on cross border research with regard to the Himalayan glacial melt.

@highlight

Climate change has potential for conflict over water resources

@highlight

Himalayan glaciers could disappear by 2035 according to IPCC

@highlight

Conflict between countries possible; internal problems more likely

@highlight

Holy river of Ganges could become seasonal and disrupt religious customs