(CNN) -- Would you give up a six-figure salary to become a school teacher?

That's what 42-year Jon Fitch did.

The Vanderbilt MBA graduate was leading a team of 20 people toward the end of his 15-year executive marketing career, while managing a $15 million budget and various responsibilities with Move, Inc.

In October he left that career behind and is now found in the classroom working toward a teaching degree and a master's in political science. He says he hopes to teach high school social studies and political science at the community college level. He is paying for his education with his savings and hopes to be teaching by fall of 2012 at the latest.

Fitch, who lives in San Jose, California, said climbing the corporate ladder wasn't fulfilling. He decided that teaching was his true calling.

"I'm much happier being out of the corporate environment, which I found to be frustrating and political," he said.

Fitch says his work-life balance was completely out of balance and he typically found himself working on the weekends and felt tied to his phone 24 hours a day.

"It was hard to have boundaries because you'd hear the 'bing' of a new e-mail and you just had to look at the message," he said.

His wife had been in advertising and marketing and made the switch to teaching 10 years ago. She was very supportive of his decision to seek a happier work life, he said.

"I think that made a big difference. Otherwise you could be consumed by guilt that you're doing something to make yourself happy while asking others in your household to sacrifice," he said.

And while 1 in 10 Americans is unemployed, those who do have jobs are finding themselves increasingly miserable at work.

Fewer than half of U.S. workers (45 percent) are satisfied with their jobs, the lowest level since record-keeping began 22 years ago for The Conference Board, according to a survey released earlier this month.

Fitch said making the decision to switch careers wasn't easy.

"Part of your identity gets wrapped up in what you do, it becomes part of who you are, and to shed that skin, so to speak, is hard," he said. "However, my experience was that money could buy security, but not happiness, and we spend too much time at our jobs not to take the risk and try something new."

Fitch and his wife don't have kids, have saved a lot for retirement and were in a comfortable financial position for him to make a career move -- a luxury that many families don't have.

So how can someone less financially stable than Fitch safely succeed at switching careers?

Certified career coach Hallie Crawford says it's not impossible, but it might take longer than Fitch to make the change.

She suggests creating a financial transition plan and thinking creatively about how to make your move.

As part of that plan, ask these questions:

• Could you find a part-time job to support yourself while you're working toward your dream job?

• Could you try to gain experience in the field you want by volunteering outside of your current job or doing freelance work?

• Can you go to school at night or on weekends to develop new skills?

Crawford says you need to develop a practical way and time frame to carry out your plan so you don't create added stress by stretching yourself too thin financially.

She once found herself in a similar position where she wanted to switch careers and did it by using a "bridge" job to get her there.

"I took a four-day-a-week job that paid a little less than my previous position, and started my career coaching practice on the side, after hours," she noted. "Two years later, I left the old job and starting coaching full time -- and have been coaching ever since."

In addition to creating a plan, Crawford says you should make sure you really want to make a change and that your dissatisfaction "isn't just a passing phase."

She says, "Many people think they need a dramatic change because they're so unhappy, but more often than not, they don't need as dramatic a change as they think."

Sometimes you can make adjustments at your current job, find another position within your company or find something that's related to what you're doing, Crawford says.

Secret to success

Networking with professionals in the field you want to be a part of is one of the most successful ways to land a job, said the career coach.

"I had a former client reach out to me last week who said that talking with people is the best way to realize all the options," she said.

The biggest mistake people make is letting fear and negative thinking stand in the way of obtaining a goal, said Crawford.

"I actually think more people don't pursue their dream and give up on it than people trying to make it happen and failing," she noted.

Fitch says he found a quote he believes is appropriate to the topic of switching careers -- "We more often regret those things we didn't do, than those things we did."

And so far, the former marketing executive says, he does not regret walking away from his career to pursue his passion.

@highlight

Survey: Fewer than half of U.S. workers are satisfied with their jobs

@highlight

CNN interviewed man who ditched his six-figure marketing career to pursue his dream job

@highlight

Career coach: Network with people in the profession you are interested in pursuing