It was the government's fault, contractors on the problem-plagued website for President Barack Obama's signature health care reforms told a congressional hearing on Thursday.

In more than four hours of testimony before the House Energy and Commerce Committee, officials of companies hired to create the HealthCare.gov website cited a lack of testing on the full system and last-minute changes by the federal agency overseeing the online enrollment system.

Angry exchanges between Republicans who oppose Obamacare and Democrats defending it erupted repeatedly, while the contractors insisted their work went fine even though the software buckled when the system went online on October 1.

Complaints about logging in, lengthy delays, incorrect information relayed to insurance companies and other problems have fueled continued GOP attacks on the 2010 Affordable Care Act that was upheld by the Supreme Court last year.

The White House and administration officials say the enrollment problems are being fixed. On Thursday, the Centers for Medicaid and Medicare Services (CMS) that oversees the new programs under the health care reforms said almost 700,000 applications have been submitted online on either the federal or state websites.

While the applications don't mean that many people have fully enrolled for health insurance under the new system, the figure represents a significant increase in those who have been able to start the process in recent days.

However, Julie Bataille, the CMS director of communications, was unable to say how many of the 700,000 applications were submitted on the federal website.

Bataille seemed to agree with some of the criticism by contractors at the hearing, saying that "due to a compressed time frame, the system just wasn't tested enough, especially for high volume."

House Oversight Committee Chairman Darrell Issa on Thursday raised the threat of a possible subpoena if Health and Human Services Secretary Kathleen Sebelius doesn't respond to his panel's questions and requests for documents about problems with the Obamacare website. Committee aides say Sebelius has failed to respond to a previous request and Issa is now giving her until Monday to comply or possibly face "compulsory" action.

At Thursday's hearing, committee Chairman Rep. Fred Upton of Michigan called the launch of the website "nothing short of a disaster," noting that contractors at the hearing previously "looked us in the eye and assured us repeatedly that everything was on track, except that it wasn't."

Upton and other Republicans said it heralded problems with the rest of the Obamacare reforms.

"I am more nervous today than I was when I got here," House Intelligence Committee Chairman Mike Rogers of Michigan said of security concerns raised by Thursday's testimony, such as code changes being made to fix the problems without undergoing normal testing.

Democrats, however, accused Republicans of continuing a campaign to sabotage the health care reforms instead of working to fix problems in the system intended to help millions of uninsured Americans obtain affordable health coverage.

They noted that media headlines in 2006 blared similar descriptions of rollout problems with the Medicare Part D prescription drug reforms of the Bush administration, but that Democrats then worked with Republicans to resolve the issues instead of trying to scrap the legislation.

"The Republicans don't have clean hands coming here. Their effort is not to make things better," said Democratic Rep. Frank Pallone of New Jersey. "Let the goal here be to fix it, not nix it."

In the first detailed account of what happened, officials of four contractors involved in the website creation described a convoluted system of multiple companies operating separately under the oversight of CMS, a part of the Department of Health and Human Services.

Each said their individual components generally performed as planned after internal testing, but all conceded that CMS failed to conduct sufficient "end-to-end" testing of the entire system before the launch.

"The system didn't receive adequate end-to-end testing," declared Andrew Slavitt of Optum, while Cheryl Campbell of CGI Federal added "no one ever gets enough time for testing."

Campbell, whose company has a contract worth a possible total of more than $200 million for its work on the system, noted than an end-to-end test conducted within two weeks of the launch caused the system to crash. She said it was up to CMS to decide on proceeding with the rollout.

Slavitt, whose company stands to make up to $85 million for its work, acknowledged that unexpected volume at the start overwhelmed the "enterprise identity management" or EIDM entry portal blamed for the initial blockages.

He and Campbell blamed a decision by CMS within two weeks of the launch to require users to fully register in order to browse for health insurance products, instead of being able to get information anonymously, as originally planned.

While the technical change to require registration was easy, the result was a much greater burden on the system that it failed to handle, Slavitt and Campbell said.

Insurers pledge to help solve website problems

Bataille of CMS called the change a business decision to ensure that users could fully enroll from the start. She blamed the initial problems of the website on "pent up consumer demand."

However, Slavitt of Optum said CMS was warned about the system's problems ahead of the launch.

That was enough for GOP Rep. Renee Ellmers of North Carolina to say: "The bottom line here is that CMS is responsible for this failure."

At the White House, spokesman Jay Carney told reporters on Thursday that administration officials "did not anticipate, we did not know of the kind of problems that would take place beginning on October 1 until October 1 came and we saw these challenges."

He repeated the President's insistence that the problems were being fixed, an assurance also provided by Bataille.

"We increased our bandwidth by adding servers and improving site architecture. We're continuing this work," she said. "Problems wtih our database and system synchronization also made it hard for visitors to initially create accounts. So we improved site architecture, substituted in hardware and optimized database inquiries."

White House video makes HealthCare.gov issues seem simple

Sebelius offered a similar view while addressing reporters in Arizona, acknowledging continued issues while insisting "fixes" are being instituted regularly to make things better.

"It's better today than it was on October 1, but it's a long way from perfect," Sebelius said after visiting one of 17 call centers where some 10,000 representatives talk by phone or online with those asking about health plans. "And we are determined to make it perfect."

At the committee hearing, Campbell of CGI Federal said "the system is working, people are enrolling, but people will be able to enroll at a faster pace" as troubles get resolved.

Her company expects the online system to be able to enroll Americans seeking health insurance by January 1, she added, rejecting media reports that software needs to be scrapped or that five million lines of code must be rewritten.

Campbell called the software program unprecedented, noting that "for the first time in history" it combines the process of enrolling and selecting health insurance with determining eligibility for government subsidies "all in one place."

Sebelius on the spot in Obamacare website fiasco

To accentuate progress on the website, two Democratic panel members said during the hearing that either they or their offices were able to use the website to determine health insurance options available to them on Wednesday or Thursday.

However, Republicans said they had failed to gain full access to the website despite repeated attempts and complained they hear similar stories from their constituents across the country.

Gupta: 5 surprises from Sebelius interview

The Energy and Commerce Committee isn't the only one probing Obamacare in light of its issues. So, too, is the House Ways and Means Committee and the House Oversight and Government Reform Committee.

The latter sent an eight-page letter Wednesday to 11 contracting firms involved in putting together HealthCare.gov giving them two days to provide documents, meeting lists and all communications with the Obama administration on the project, committee spokeswoman Caitlin Carroll said.

Meanwhile, Republican Sens. Orrin Hatch of Utah and Chuck Grassley of Iowa sent a letter to 47 contractors on Thursday also seeking extensive details of their work on the Obamacare website including all contracts and other information.

Congressional Republicans have sought to undermine the health care reforms, trying unsuccessfully to make defunding or delaying them a requirement for legislation to fund the government.

Sebelius: Website problems blindsided President

The White House has pushed back against Republicans and some Democrats who have urged an extension of the open enrollment period beyond March 31 and/or a delay in penalties for those who don't sign up for insurance on time because of the website issues.

The Obama administration is moving to clarify confusion on when people need to sign up for health care, and it has plans to issue new guidelines to this point soon.

Still, Health and Human Services spokeswoman Joanne Peters insisted "the individual mandate timing" -- i.e. the requirement for a person to have insurance by March -- "has not changed. ... It was true this morning. It is true tonight."

Pelosi pushes back on extending Obamacare deadline

@highlight

Issa calls for Sebelius to provide documents related to website problems

@highlight

Federal official says time frame didn't allow for enough testing of HealthCare.gov

@highlight

Contractors cite insufficient testing, last-minute changes by government

@highlight

A problem with the entry portal clogged up the system when it opened on October 1