There is never a day where at least one person isn't outside the Ferguson, Missouri, Police Department sitting or standing near an anemic tree, the only place for a bit of shade.

At night, the crowd tends to swell, and the protest grows more intense.

There are almost always two or three people streaming events live. You can hear them loudly sharing thoughts or giving a play-by-play of what's happening.

While their cameras capture live images, they call out what they think are injustices surrounding the August shooting of Michael Brown and the subsequent police crackdown on protesters in the 10 weeks or so since Brown was killed by Ferguson Police Officer Darren Wilson.

The police are geared up with cameras as well. They wear body cameras, and any time officers approach protesters there is usually at least one officer with a handheld camera, too.

It's a careful dance in which protesters and police are trying to make sure they have proof if a law is broken or someone's civil rights are violated.

Both outside the police department, and roughly 2 miles east -- along the main protest route, where most of the imagery of the sometimes-violent protests has originated -- tension can go from zero to 100 in seconds on any given night.

Police can tally dozens of arrests a night since the city erupted. Among those placed in cuffs were journalists, clergy, a local rapper, a state senator, a St. Louis alderman and activist/intellectual Cornel West.

It's tough to predict the mood each night. On Tuesday, a small group of about 50 protesters caused no disturbances, and there were no arrests, police said. The next night, five police officers were assaulted with rocks, water bottles and a metal rod as demonstrators blocked traffic and knocked down barricades outside the police department.

Protesters, many of them increasingly suspicious of a recent spate of leaks surrounding the Brown investigation, say there will be more nights like Wednesday than Tuesday should a grand jury not indict Wilson.

Recovery in progress

On West Florissant, where thousands of protesters have marched for months chanting things like "Hands up, don't shoot," buildings still bear the scars of the community's frustration.

At businesses such as the Ferguson Market & Liquor and Red's BBQ, plywood slats sit where windows once stood before violent elements among the protesters looted and vandalized businesses along the corridor. The QuikTrip that was one of the first businesses attacked still lies in shambles, a chain link fence protecting it from further damage.

Osagyefo Uhuru Sekou, a Boston-based author and pastor who grew up in St. Louis, has been participating in the protests. He has been arrested twice.

As he walks by the burnt-out convenience store just a few blocks from where Brown died, he says, "Democracy is on fire, and we're called to be firemen."

Asked to elaborate -- is he all right with the looting and burning? -- he says he'd prefer that the protests unfold without the violence and destruction.

"I mean, it is not my preference, no," he said. "I'm more concerned about the conditions that produced this -- the simmering poverty, the simmering oppression, the simmering alienation, the existential crises that black youth feel in America. I am far more concerned about the condition that produced the burning of buildings."

"Our children are in a tremendous amount of pain."

Tinderbox awaiting a match?

It appears Ferguson will not imminently simmer down, and a group called Ferguson October hoped to grow the demonstrations with a "national day of action against police brutality" on Wednesday.

Many protesters are preparing for the possibility that the grand jury may decline to indict Wilson. If that's the case, one protester told CNN this week, "Excuse my French, all hell is going to break loose."

That has been a pervasive sentiment since the protests began: Many in Ferguson don't care about reports that a scuffle preceded the shooting and that Brown may have reached for Wilson's gun.

The only facts that matter, they say, is that Wilson shot perhaps as many as 11 times, hitting Brown six times above the waist. The fatal shots came as he stood roughly 30 feet away from Wilson's police cruiser, and, according to some witnesses, with his hands up in surrender.

It's an unnecessary use of force, say many residents who feel Wilson aimed to kill, not arrest, Brown.

Marquita Rogers, a 27-year-old mother of two who lives a few blocks from the Canfield Green subdivision where Brown died, said in August, when the protests were at their ugliest, that she didn't care what Brown did before encountering Wilson.

"Jaywalking? Smarting off? Stealing cigars? Running? You're not supposed to die for that," she said.

Her neighbors, Arvid Wilkerson, 22, and Patricia Pendelton, also predicted during August interviews -- days after a grand jury started hearing evidence in the case and the Justice Department announced an independent investigation -- that the turmoil in Ferguson would only worsen if Wilson wasn't indicted.

"If this police officer don't get no kind of charge," said Pendelton, 41, a nurse, shaking her head, "they think it's chaos now?"

Calculated leaks?

In recent days, The New York Times received information from a federal source and the St. Louis Post-Dispatch was given Brown's autopsy report and spoke to a source with knowledge of the investigation. The Washington Post, meanwhile, reported that at least six black witnesses gave grand jury testimony that supported Wilson's side of the story.

The proceedings in a grand jury inquiry, by law, are not supposed to be made public, and U.S. Attorney General Eric Holder has told his staff it's "inappropriate and troubling" that information is trickling out while the grand jury and federal investigations are ongoing. He further said that the "selective flow of information coming out of Missouri" is diminishing his faith in local authorities, a Justice Department official said.

Prosecutor Robert McCulloch and Wilson's defense team released separate statements Thursday saying they were not the sources of any of the leaked information.

Sources have confirmed to CNN the information provided to The Times and Post-Dispatch is part of the testimony being considered: that Brown's blood was found on Wilson's uniform and inside his police car and that one of the wounds Brown suffered was a close-range gunshot to his hand after attacking Wilson.

"We are not surprised by the information leaked last night by the St. Louis Medical Examiner's office," Brown family attorney Ben Crump said in a statement. "Several independent witnesses indicated there was a brief altercation between Michael Brown and Officer Wilson at the patrol car. What we want to know is why Officer Wilson shot Michael Brown multiple times and killed him even though he was more than 20 feet away from his patrol car; this is the crux of the matter!"

Peruse Twitter, and you'll find that many believe the leaks -- along with Gov. Jay Nixon's announcement this week of a Ferguson Commission to study social and economic conditions -- are harbingers of the grand jury declining to indict Wilson.

"Feeling in Ferguson among protest leaders is that leaks are coming from law enforcement in attempt to signal that no indictment coming," tweeted Wesley Lowery, a Washington Post reporter who was detained in the early days of the protests.

On Monday, St. Louis County's former police chief, Tim Fitch, told local radio station KMOX that it is "probably very unlikely" that the grand jury will indict Wilson and the leaks are a calculated effort "to start getting some of the facts out there to kind of let people down slowly."

A former federal law enforcement official said something similar.

"It could be really for, in part, a beneficial purpose, to start leading those community leaders and those leading the protests to believe that there won't be an indictment," said Ron Hosko, former assistant director of the FBI Criminal Division.

Lack of faith in system

Amy Hunter lives in St. Louis and is the director of racial justice at YWCA Metro St. Louis. She has been taking part in the protests and notes it's a young people's movement and that Brown was the unfortunate catalyst in a "seminal moment for change."

She remains concerned, however, about what might happen in this St. Louis suburb of 21,000 if the grand jury decides not to indict Wilson.

"I think we are all worried," she said. "As a mother of three sons and a daughter, I also worry that if we don't end this that I will be sharing a fate just like Michael Brown's mom."

Asked during a news conference if he, too, was worried that Ferguson could erupt if the grand jury comes back with a no bill, Nixon said Tuesday, "When you have this level of energy and when you have what has happened over 73 days, you can rest well-assured that we are focused and concerned about what could be the most problematic scenarios."

Despite the assurances from government officials, the statements ring hollow to protesters like Sekou.

"The only words that would have mattered, that could have possibly began the process of some symbol of justice, is the creation of a special prosecutor or the announcement of the indictment of Darren Wilson," he said.

He also has his doubts about assertions that the case is traversing the justice system and that citizens should have faith as it runs its course.

"This justice system?" Sekou asked. "Which has a wonderful set of facts to support the way it has engaged police who have taken black lives? This justice system?"

Complete coverage of Ferguson shooting and protests

@highlight

Despite 10 weeks of unrest, Tuesday protests peaceful; no arrests reported, police say

@highlight

Still, city remains tense as possibility looms of grand jury not indicting Darren Wilson

@highlight

Residents, ex-law enforcement: Leaks in case harbinger calculated effort to prepare city

@highlight

Residents: If there's no indictment, protests thus far will pale compared to what's coming