Hong Kong (CNN) -- A record number of American women will hold U.S. Senate seats after Tuesday's election. In China, there is speculation over whether a woman will also make history by ascending to its top political core.

No woman has ever held a post in the elite nine-member Standing Committee of the Politburo that governs China. Thousands of senior Chinese officials gathered in Beijing this week and at the end of the conference next week, a new set of leaders will be unveiled.

Some observers consider Liu Yandong a possible contender for the exclusive ruling committee. Liu is the lone female member of the Politburo, a 24-member body atop the Chinese Communist Party. If promoted to the standing committee, Liu would make a crack in the political glass ceiling.

Even with the historic prospect of a woman joining the most powerful Chinese political entity, some are skeptical of the overall progress for Chinese women in power.

"I think women's participation in politics in China remains largely symbolic due to complicated social, cultural, and political factors," said Xi Chen, assistant professor of political science at the University of Texas-Pan American.

Liu is the daughter of Liu Ruilong, the former vice minister of agriculture. She is also said to have strong family ties with former Chinese President Jiang Zemin as well as President Hu Jintao. She is part of the "princeling class," the sons or daughters of revolutionary veterans who now number among the nation's elite.

"If Liu Yandong is appointed to the Politburo Standing Committee, it would be a milestone for female political representation in China and an indication that the Chinese government is ready to place a woman in a position of genuine power," said Leta Hong Fincher, doctoral candidate at Tsinghua University, who examines gender issues in China. "But that move alone would not necessarily lead to an improvement in the overall status of women."

If chosen for the committee, Liu will most likely take the position of the "propaganda tsar," according to Hoover Institution, which is based at Stanford University. The group described Liu as "liberal minded."

Chinese data show that women lag in political representation. Only 2.2% of working women were in charge of the state offices, party organizations and other enterprises or institutions, according to the Third Survey on Chinese Women's Social Status, a national survey released last year.

During the presentation of these survey results, officials from the All-China Women's Federation, a women's advancement organization affiliated with the government, was asked why the Chinese leadership lacked women.

Song Xiuyan, the vice-chairman of the federation said the Communist Party of China and the government places "great importance to empower women's issues, which our Constitution has clearly put forward the basic principle of 'gender equality.'"

The Women's Studies Institute of China, which is sponsored by the All-China Women's Federation, declined multiple requests for comment.

"The relatively small number of female politicians in China is a topic criticized by Western media," reported Xinhua, the state-run news agency in March.

The news agency stated: "However, the ratio of female national lawmakers stands at 22%, compared with only 17% in the United States."

China ranks 63rd in the world by percentage of women serving in a legislative house, compared with U.S. at 80th, according to July data compiled by the Inter-Parliamentary Union, an international organization of parliaments.

That ranking may be out-of-date after the U.S. elections this week. Female candidates made huge gains and stand to occupy a record 20 seats out of the 100 in the U.S. Senate.

Women in China have made important strides in recent years. Chinese women receive an average of 8.8 years of education compared with 2.7 years in 2000, according to the national survey.

And studies find that women are outperforming men in universities, said Fincher of Tsinghua University.

But their education does not translate to economic and political power.

"You see that in the workplace, there's a lot of systemic gender discrimination in the workplace, there's discrimination in hiring and promotion," Fincher said. "There has also been a lot of evidence that the gender income gap has widened, especially in the very recent years."

Statistically, women's average annual income was 67.3 % of men's in urban areas and 56% in rural areas -- which reflected a decrease compared with the wage gap in 1990, according to the 2010 national survey.

There are exceptions as some women have achieved the pinnacle of financial success. In the Huron Report's list of the world's top female billionaires, 18 out of 28 came from China.

"Of course China is the most populous country in the world," Fincher said. "Of course you're going to have individual women who are incredibly successful. That doesn't say anything about the status of the vast majority of women."

For Chinese workers, gender-targeted job ads stipulate the age, height and desired physical attributes of female applicants, according to studies on the topic.

And the recent survey results suggest that more people believe that Chinese women should focus on family, rather than getting involved in public life or careers.

In the national survey, 62% of men and 55% of women agreed with this statement: "Men should mainly focus on career and women should be family oriented."

The number of people who agreed with that statement increased by 7.7% and 4.4% for men and women, respectively, in the past 12 years compared with their views in 2000 -- signaling "a resurgence of traditional beliefs about gender roles," Fincher said.

Gender issues are sensitive in China, especially in a country dogged by a history of preference for males and sex-selective abortion that has resulted in a lopsided population. Male births outpaced female births 118 to 110, according to Xinhua.

@highlight

No woman has been tapped to the 9-member standing committee to govern China

@highlight

Liu Yandong is a possible contender for the exclusive standing committee.

@highlight

Some are skeptical of the overall progress for Chinese women in power