(CNN) -- If the local grand jury brings no charges against police Officer Darren Wilson in the case of Michael Brown's killing, street protests in Ferguson, Missouri, are inevitable. Demonstrators angry about Wilson's shooting of the unarmed black teenager in August already decry the grand jury's secrecy and "lack of transparency." But for those who believe that the grand jury procedure is some sort of cop and prosecutor conspiracy to trample the rights of minority citizens, a little background on this hallowed institution might be in order.

Although prosecutors are often accused of controlling grand jury proceedings, the institution was actually created by the Founding Fathers to provide a wall of citizen protection against overzealous prosecutors. It is a section of the 5th Amendment of the Bill of Rights.

The colonists were tired of their British overlords' abuse of law enforcement and were intent on making sure that ordinary citizens would have to approve indictments in any federal criminal case in the newly minted American democracy. The Founding Fathers agreed so thoroughly about the need for the buffer of the grand jury against law enforcement abuse that it was one of the least debated provisions of the U.S. Constitution.

George Washington, James Madison and Thomas Jefferson would surely be mystified that requiring a citizen review and approval of a criminal indictment would be considered a violation of civil liberties, as some protesters in Ferguson might believe.

In Missouri, bringing a case before a grand jury in a felony case is optional -- prosecutors could have chosen to conduct a probable cause hearing before a judge. Although this would be an open proceeding, a single judge would be making the decision about whether to permit an indictment against Wilson. The prosecutor here believed that a decision of this importance should be left to the collective judgment of the citizens of the St. Louis County grand jury, rather than a randomly selected judge whose motives could easily be attacked and questioned.

Members of the public often find the workings of a grand jury mysterious. In most states, the grand jury sits for a month or more, hearing snippets of many cases each day. The cases are presented more as snapshots than feature-length presentations. The prosecutor generally streamlines the case to obtain an indictment, if that's what he or she wants, without revealing too much evidence, which would go in the transcript of the proceeding. This transcript will be turned over to defense attorneys and the prosecution has no desire to help the defense.

Grand jurors have the right to ask for additional evidence and even to ask their own questions, but most rely on the prosecutor to present the evidence. It is for this reason that a former judge once said "a prosecutor could get a grand jury to indict a ham sandwich."

This is quite true, because the prosecutor often becomes a trusted friend to the members of the grand jury. A lot of cordial off-the-record remarks unrelated to the case are exchanged, as is normal in any place where people work together daily. I, as a prosecutor, can remember the click of knitting needles as a grandmotherly grand juror worked on a sweater while awaiting the presentation of the next murder case. "Is this a good one, Mr. Callan?" she would ask. My reply would be, "You'll have to wait for the evidence."

Make no mistake though, grand jurors often rebel and proceed on their own independent course. This happens particularly in high-profile cases like this one. In such cases, a wise prosecutor will present as much evidence as possible, revealing both sides of the case. Knowing that the grand jury transcript may someday be released and scrutinized, he will seek to create a record that demonstrates fairness and objectivity in the presentation of the case. Let us hope that this has been done in St Louis.

But as in "Game of Thrones," the cops are perceived by most grand jurors as the sentries on the Wall, protecting law-abiding citizens from the forces of violence and disorder. The perception of minority groups from aggressively policed neighborhoods outside "the Wall" may be entirely different. But unlike "Game of Thrones," the King can be removed by democratic vote and the sentries replaced.

Street protests will not accomplish this, but voting will.

In this country, the path to power proceeds through the ballot box rather than street demonstrations. Instead of attempting to dispense with the law of the grand jury and to seek unlawful conviction by mob sentiment, the most extreme demonstrators in Ferguson might be wise to remember the words of my favorite lawyer, Sir Thomas More, as recreated in the movie "A Man for All Seasons."

More was the chancellor of the exchequer under Henry VIII who chose death rather than dishonor. In the scene where his daughter's suitor, Roper, suggests that it is proper to do anything, including tearing down all laws, to defeat the "devil," Thomas replies:

"Oh? And when the last law was down, and the Devil turned 'round on you, where would you hide, Roper, the laws all being flat? This country is planted thick with laws, from coast to coast, man's laws, not God's!

"And if you cut them down, and you're just the man to do it, do you really think you could stand upright in the winds that would blow then? Yes, I'd give the Devil benefit of law, for my own safety's sake!"

@highlight

Paul Callan: Ferguson protests certain if grand jury fails to indict Officer Darren Wilson

@highlight

Callan: Protesters might want to skip grand jury process, but it's essential

@highlight

Callan: It's better that a citizens' panel handle this explosive case than a single judge

@highlight

He says change comes through voting rather than in street demonstrations