Paris, France (CNN) -- Last week Reporters Without Borders released a letter calling on WikiLeaks to take down the names of civilians identified as having collaborated with the International Security Assistance Force and with NATO forces.

In our view making the names of Afghan civilians public could put them at risk of reprisals from the Taliban or other insurgent forces in Afghanistan.

Some news reports and some pundits portrayed our statement as an unequivocal condemnation of WikiLeaks, but this is not the case.

Reporters Without Borders supports the continued existence and work of WikiLeaks, and we are ready to take part in any discussion about the problems inherent in managing and disclosing vast amounts of critical information.

But we also believe that to continue their work, WikiLeaks and other websites likely to publish documents from whistle-blowers need to ensure that the information disclosed does not pose an avoidable threat to the security of civilians. Pointing that out does not amount to, for example, support for the Pentagon's request that WikiLeaks remove all documents from its website or a call for outright censorship.

In fact, WikiLeaks has published useful information, and we hope it can continue to serve journalists and the wider public. We have spoken out strongly against the Pentagon's request that WikiLeaks remove all documents from its website and against the detention of the alleged source of the leaks, Pfc. Bradley Manning.

We've also criticized proposed amendments to the federal shield law that would exclude whistle-blowing sites such as WikiLeaks from any legal protection of sources. We are not disputing the importance of the Afghan War Diary. Indeed, it is more important than ever that there be an outlet for information governments want to keep secret.

Too often, government departments and agencies resort without justification to declaring documents classified or secret to conceal information that is of public interest. Exaggerated and at times unsubstantiated safety concerns have been used to block important information from being made public in the past. The Pentagon, the Bush and Obama administrations are no strangers to these tactics. Whistle-blowing sites deserve, and have, our support.

However, the case of the war logs illustrates the difficulties that will arise when dealing with the sheer mass of information that may become available. Even the largest news organizations in the world would be overwhelmed, and -- for the moment at least -- WikiLeaks does not command resources of that scope.

Julian Assange, the WikiLeaks editor-in-chief, has said that by reviewing the document classification system and certain parts of the material, his organization was able to identify and withhold 15,000 documents that possibly contain the names of innocent informers, and that is commendable.

It does not change the fact that releasing so many documents without being able go through the large majority of them is problematic.

Whistle-blowing websites need to deal with this issue if they want to avoid giving the authorities an excuse to muzzle them.

We should note though, that through the good offices of The New York Times, WikiLeaks requested the help of the Obama White House in vetting the material, a request the White House denied.

It is not beyond imagining that rather than cooperate in an attempt to protect its informers and collaborators, the U.S. government chose instead to keep all its tactical options open in its campaign against WikiLeaks. Indeed, Adm. Mike Mullen, chairman of the Joint Chiefs of Staff, was quick to say WikiLeaks would have blood on its hands, although he brought no evidence of that.

WikiLeaks staff is under considerable pressure from Western governments, and alleged surveillance and rumors of extraditions have exacerbated a climate of apprehension within its day-to-day operations. It cannot be easy working under such conditions. But if the media is to demand a high level of transparency in public affairs, they must also demonstrate a high level of responsibility.

The opinions expressed in this commentary are solely those of Jean-François Julliard.

@highlight

Jean-François Julliard says Reporters Without Borders supports whistle-blower sites

@highlight

Julliard says WikiLeaks' indiscriminate document release can put civilians at risk

@highlight

Press group has spoken against government censorship of WikiLeaks, he says

@highlight

Julliard: WikLeaks must act responsibly to avoid giving authorities excuse to muzzle it