Washington (CNN) -- Prescription drug overdose is now the fastest-growing drug problem in the country, surpassing the number of people who overdosed during both the crack cocaine epidemic of the 1980s and the black tar heroin epidemic of the 1970s combined, the Obama administration says.

The problem is so severe, the administration is releasing a plan to combat what it calls a crisis of epidemic proportions.

"The toll our nation's prescription drug abuse epidemic has taken in communities nationwide is devastating," said Gil Kerlikowske, White House director of national drug control policy. "We share a responsibility to protect our communities from the damage done by prescription drug abuse."

According to the Office of National Drug Control Policy, in 2007 about 28,000 people died from drug overdoses. Most were accidental and were related to prescription drugs.

"Today, we are making an unprecedented commitment to combat the growing problem of prescription drug abuse," said Vice President Joe Biden as he announced the administration's plan Tuesday morning. "The government, as well as parents, patients, health care providers, and manufacturers all play a role in preventing abuse. This plan will save lives, and it will substantially lessen the burden this epidemic takes on our families, communities, and workforce."

The effort, called "Epidemic: Responding to America's Prescription Drug Abuse Crisis," is primarily aimed at cracking down on abuse of opioids, some of the most powerful pain relievers on the market. Opioids are a class of drugs used to treat chronic pain and include products like OxyContin, Vicodin, Darvon, Dilaudid and Demerol. When abused they can be highly addictive.

Prescriptions for these painkillers have increased dramatically over the past 10 years. In 2000 pharmacies filed 174 million opioid prescriptions. By 2009 that number was 257 million. According to the Substance Abuse and Mental Health Services Administration, over the past five years, hospital emergency room visits linked to prescription drug abuse or misuse have doubled.

"Unintentional drug overdose is a growing epidemic in the U.S. and is now the leading cause of injury death in 17 states," said Dr. Thomas Frieden, director of the Centers for Disease Control and Prevention. "There are effective and emerging strategies out there to address this problem. Support for this action plan will help us implement those strategies which will go a long way to save lives and reduce the tremendous burden this problem has on our health care system and our society."

The plan seeks to reduce abuse and drug diversion, educate both parents and health care providers, find better ways to dispose of unused pills, and beef up enforcement efforts by clamping down on pill mills and doctor shopping.

The Food and Drug Administration will provide support by requiring an opioids Risk Evaluation and Mitigation Strategy to determine that a drug's benefits outweigh its risks. Under this process, drug manufacturers must make educational materials on proper prescribing and disposal available to anyone writing prescriptions for long-acting and extended-release painkillers. The agency must approve all materials before they are released.

"Long-acting and extended-release opioid drugs have benefit when used properly and are a necessary component of pain management for certain patients, but we know that they pose serious risks when used improperly, with serious negative consequences for individuals, families and communities," said FDA Commissioner Dr. Margaret Hamburg. "The prescriber education component of this opioid (risk evaluation and mitigation strategy) balances the need for continued access to these medications with stronger measures to reduce their risks."

Thirty-five states already have prescription drug monitoring programs in place that help track how prescriptions are prescribed and distributed by authorized healthcare providers and pharmacies.

The program's main goal is to prevent abuse and diversion at the retail level. Under the new plan, agencies will work to establish prescription drug monitoring programs in every state.

The Drug Enforcement Agency will be heavily involved in enforcement, recovering prescription drugs, and focusing on doctors who illegally prescribe and dispense these drugs. They will also target "doctor shoppers" -- people who visit multiple doctors to secure multiple prescriptions and pill mills.

"When abused, prescription drugs are just as dangerous and just as addictive as drugs like methamphetamine or heroin," DEA Administrator Michele Leonhart said. "The more we can do to stop the abuse of prescription drugs, the more effective we will be in reducing the death, destruction and despair that accompanies all drug abuse."

A number of other federal agencies will also be involved in the effort, including the departments of Health and Human Services, Justice, Defense and Veterans Affairs.

@highlight

Abuse of prescription drugs is reaching epidemic proportions, the administration says

@highlight

A new effort to combat the problem is being launched

@highlight

Biden: The plan will "lessen the burden this epidemic takes on our families"