London, England (CNN) -- The volcanic eruption in Iceland has given scientists a unique opportunity to study its effect on marine biology.

An international team of scientists is in the far North Atlantic Ocean testing whether volcanic eruptions have a side effect of increasing the absorption of carbon dioxide into the deep sea.

The expedition, from the UK's National Oceanography Center in Southampton, was planned several years before the eruption of the volcano Eyjafjallajökull.

By chance, it has now given the scientists the opportunity to see how volcanic ash effects iron levels in the water and in turn the growth of the vital organism phytoplankton.

Phytoplankton is important to the eco-system because it takes carbon dioxide from the atmosphere into the deep sea when it dies.

Growth of phytoplankton in certain areas is usually limited by lack of iron in the water, and the sub polar Atlantic is believed to be one of these areas. Phytoplankton usually blooms in the spring, but dies back in the summer.

However, scientists are testing the theory that the volcanic eruption has increased iron in the water and will prolong the spring blooms into summer.

Professor Eric Achterberg, who is leading the team of 22 scientists, told CNN from on board the ship RSS Discovery: "We are extremely lucky that the volcano has given us a fantastic natural experiment.

"Normally iron is so low here that after a massive spring bloom, it doesn't grow well in the summer. But after the volcano there's been a lot more iron falling in to the ocean, so we have a fantastic opportunity to check whether iron makes the bloom last longer.

"We are seeing enhanced iron levels compared with other years and we think that's because of the volcano. We need to do a lot more analysis back at the lab before we can confirm the volcano has caused extra phytoplankton growth."

The five-week cruise set off on July 4 and is now in the sub-polar region of the North Atlantic between Greenland and Iceland.

It follows an earlier expedition in April and May, which by chance coincided with the eruption of Eyjafjallajökull.

Prof. Achterberg said: "The volcano erupted during the previous trip to check how conditions were for the spring bloom. They sailed right into the plume, which was an amazing experience though not particularly healthy.

"They went right up to the coast of Iceland and the ship was covered with ash. There was a real rise in iron levels then."

Despite the unique research opportunity offered by the volcano, which is now dormant, it has forced the scientist to abandon the initial aim of their expedition to test the normal iron levels in the region.

"It upset our original hypothesis that this region is iron limited," said Prof. Achterberg. "But we now have a great opportunity to see if a massive volcano can cause enhanced phytoplankton growth and sink more carbon dioxide into the oceans.

"It's a unique situation because we have never been able to look at this before. This could potentially teach us a lot about how the oceans work. The oceans take up 40 percent of all carbon dioxide from the atmosphere, so they are pretty significant."

The far North Atlantic is globally significant because it acts as a sink for atmospheric carbon dioxide.

The RSS Discovery has reached 63°N, close to Greenland's ice sheets, where there is only two hours of darkness each night.

Scientists have to work through the night to collect biological samples during the brief hours of darkness when the phytoplankton is not photosynthesizing.

Prof. Achterberg said: "We sailed out of the Irish Sea straight into a Force 10 storm which was pretty horrendous. We had to take one scientist back with terrible seasickness, which left him dehydrated and needing hospital treatment.

"It's absolutely beautiful here now though. We're seeing a lot of whales and other wildlife."

@highlight

Scientists test if volcanic ash has prolonged phytoplankton blooms

@highlight

Sub-polar Atlantic is vital in absorbing carbon dioxide

@highlight

Volcanic eruption gave unique opportunity for research