(CNN) -- A statement from al Qaeda on Friday marking the death of Osama bin Laden included renewed warnings of terrorist attacks against U.S. interests around the world and suggested that a process to choose his successor is under way.

"Sheikh Osama didn't build an organization to die when he dies," the message said. It was posted on several jihadist forums known for carrying al Qaeda statements.

The man taking over will most likely be Ayman al-Zawahiri, an Egyptian who was al Qaeda's No. 2 under bin Laden.

The bylaws of al Qaeda, recovered by the U.S. military in Afghanistan after September 11, set out clear guidelines on the replacement of bin Laden, requiring the Command, or Shura, Council of al Qaeda to "pledge allegiance to the deputy emir and elect him as emir in the event that the emir dies or is captured and there is no hope for his liberation."

It would be risky for al Qaeda's on-the-run leadership to assemble a meeting of its Shura Council. They may therefore choose to shortcut some of the required proceedings.

Bin Laden killing caps decade-long manhunt

Analysts expect that al Qaeda may choose to announce the elevation of al-Zawahiri through a written statement to avoid having him take the security risk of recording a statement. But they also expect that at some point, al Qaeda's media arm, As-Sahab, will release a video to mark bin Laden's death for maximum propaganda impact, one that could feature a "martyrdom" video recorded by bin Laden to encourage followers.

The As-Sahab videotape would probably include a message from al Qaeda's new leader.

It might take several weeks for al Qaeda to put together such a video; recent audio messages recorded by al-Zawahiri on the democracy movement sweeping the Middle East have been several weeks out of date. But according to IntelCenter, which monitors jihadist propaganda, it would be feasible for al Qaeda to compile and distribute such a video within a week.

The clear guidelines for succession will, however, be little consolation to al Qaeda's rank and file members. Bin Laden was the charismatic icon of the terrorist organization and may have continued to play a greater operational role than thought.

The seizure by American Navy SEALs of multiple thumb drives, storage devices and hard drives full of data raise questions about whether bin Laden was continuing to receive information about al Qaeda operations and whether he was in turn passing on instructions through couriers. The discovery of information in bin Laden's files on what appears to be a small-scale aspirational plot to derail U.S. commuter trains on the 10th anniversary of September 11 indicates that bin Laden was being briefed even on the minutiae of some of al Qaeda's operations.

Western intelligence officials had believed that bin Laden signed off on only al Qaeda's most significant plots after 9/11, including the 2006 plot to bomb seven trans-Atlantic airliners leaving London's Heathrow Airport and the "Mumbai-style" plot to attack European cities last fall.

While bin Laden's charisma inspired a generation of recruits, al-Zawahiri is a self-styled intellectual whose long-winded video and audiotapes must be tedious to even the most committed of al Qaeda members and whose arrogance has alienated many in al Qaeda ranks over the years.

Bin Laden was the key unifying force within al Qaeda, but al-Zawahiri has always been a deeply polarizing figure within the organization, obsessing over minor theological differences with others and prioritizing jihad in Egypt over other causes.

Like al Qaeda's deceased leader, al-Zawahiri possesses no formal religious training giving him authority to make fatwas (religious judgments). But unlike bin Laden, the Egyptian did not make up for this by earning jihadist fame on the front lines of the Afghan jihad against the Soviets.

During the 1990s, many within al Qaeda resented al-Zawahiri for persuading bin Laden to channel significant funds into his Egyptian Islamic Jihad organization that otherwise would have been given to them. That was a symptom of the rivalry and tension that existed since al Qaeda's founding between the group's Egyptian faction and other nationalities within the organization, especially those from Saudi Arabia, Yemen and the Gulf states.

Mixed emotions about bin Laden's death: How should we feel?

Those who follow al Qaeda say it was only bin Laden's charismatic aloofness, epitomized by his habit of listening to his top lieutenants bicker over strategy before deciding a course of action, that kept al Qaeda's strong centrifugal forces in check over the years.

The challenge that al-Zawahiri now faces in keeping al Qaeda from fracturing were demonstrated the last time al Qaeda fighters feared their leader may have been killed.

According to Noman Benotman, a former Libyan jihadist and now a senior analyst at the Quilliam Foundation, a UK counterterrorism think tank, about 150 Arab fighters, including a strong al Qaeda contingent, fled to Gardez in the mountains of eastern Afghanistan around the time bin Laden's Tora Bora refuge was being carpet-bombed by American B-52s in December 2001.

Benotman, who was in touch at the time with Libyan fighters in Gardez, said that no sooner had the group reached the safety of the town than infighting broke out among Egyptians, Saudis, Uzbeks and Libyans, and between al Qaeda members and fighters from other groups, over who should assume command.

The fact that under al Qaeda's bylaws, members of the terrorist organization will now have to swear a personal "bayat," or oath of allegiance, to al-Zawahiri just like they did in the past to bin Laden may be too much to stomach for some of the group's Saudi and Yemeni members.

Al Qaeda's internal constitution provides near-total authority to the organization's emir, giving him alone the powers to appoint a deputy and members of the Shura Council, though in the last resort it states that the Shura Council can depose the emir if he "deviates from adhering to the Islamic laws, or when he loses his competence."

It would be wrong, however, to underestimate al-Zawahiri. Although the Egyptian may not be as charismatic or unifying a leader as bin Laden, he is one of the few al Qaeda leaders with a reputation for strategic cunning and vision. During the Iraqi insurgency, for example, al-Zawahiri tried in vain to persuade Abu Musab al-Zarqawi to tone down his barbaric violence, realizing that it would create a backlash against al Qaeda in Iraq.

One of al-Zawahiri's most important immediate decisions as leader would be whom to choose as the new deputy leader of al Qaeda.

In terms of seniority, one of the strongest contenders for this position would be Saif al-Adel, a former Egyptian army lieutenant and long-time member of al-Zawahiri's Egyptian Islamic Jihad group. He is believed to have returned to the tribal areas of Pakistan last year after a period of house arrest in Iran.

According to a former jihadist, Adel is believed to currently occupy the "chief of staff" position within al Qaeda, managing insurgent paramilitary operations in the Afghanistan-Pakistan border region, with a special remit to manage the group's relations with other Jihadist groups and affiliates.

However, appointing a fellow Egyptian might only increase factionalism within al Qaeda.

According to Benotman, who met al-Adel in 2000 in Kandahar, a dispute flared up between al-Adel and Saudi members of al Qaeda while the organization was based in Taliban-run Afghanistan, forcing bin Laden to transfer al-Adel from leadership of al Qaeda's military committee to its security committee. Also, the loss of al Qaeda's Saudi leader may already have had a chilling effect on the group's fundraising efforts in the Gulf region.

Al-Zawahiri may, therefore, appoint a non-Egyptian to the deputy leadership position.

One contender would be Abu Yahya al-Libi, a Libyan jihadist who made his name by escaping from Bagram Air Base in 2005. In recent yeas, al-Libi has emerged as one of al Qaeda's lead ideologues and propagandists, releasing a series of videos calling for new recruits.

According to former jihadists, al-Libi's charismatic Arab-language speeches are particularly popular among a younger generation of militants across the Arab world. However, Benotman -- the former Libyan Jihadist commander whose group included al-Libi as a junior member -- does not believe that al-Libi yet has the stature or track record as a fighter needed for promotion to a top leadership position.

A dark horse for the deputy leadership position may be Ilyas Kashmiri, a veteran Pakistani jihadist who recently became part of al Qaeda's top leadership. Kashmiri is currently the head al Qaeda's 313 brigade, a group based in the tribal areas of Pakistan. He has threatened attacks overseas similar to the Mumbai hotel attacks at the end of 2009, in which more than 200 people were killed. That operation was carried out by the Pakistani militant group Lashkar-e-Tayyiba.

The elevation of Kashmiri would have the advantage of further strengthening ties between al Qaeda and Pakistani jihadist groups such as the Pakistani Taliban, Laskhar-e-Tayyiba and Jaish-e-Mohammed.

Underlining the close ties between Pakistani jihadist groups and al Qaeda, the Pakistani Taliban have vowed to launch an attack in the United States to avenge bin Laden's death. The Pakistan Taliban have already been involved in one attempted attack in the United States. Faisal Shahzad, one of the group's recruits, attempted to detonate a car bomb in New York's Times Square on May 1, 2010, exactly a year before Osama bin Laden's death.

What makes a promotion for Kashmiri unlikely is that many of al Qaeda's rank and file will balk at a non-Arab being one step away from the top leadership position. Despite its many relocations and affiliations, al Qaeda has remained an Arab-centric group.

U.S. military drone targets Al-Awlaki in Yemen

American cleric Anwar al-Awlaki is unlikely to be promoted to a leadership position within al Qaeda "Central" as he is based in Yemen rather than Pakistan. Though al-Awlaki has emerged as a powerful charismatic preacher for bin Laden's cause and an important figure within al Qaeda in the Arabian Peninsula, he possesses none of the combat track record that al Qaeda members over the years have so prized in their leaders. Moreover, al-Zawahiri is very unlikely to reward somebody he has never met with a key leader or entertain the risk of being upstaged by the American.

In the end, al-Zawahiri's accession may be short-lived. The "treasure trove" of documents, thumb drives and computer discs found in bin Laden's compound may provide American intelligence with crucial clues about his whereabouts. According to Western officials, intelligence has suggested bin Laden and al-Zawahiri continued to communicate in recent years and were possibly in relatively close geographic proximity.

@highlight

Ayman al-Zawahiri is the most likely successor to bin Laden, but he lacks his charisma

@highlight

Some Saudi and Yemeni members may refuse to swear allegiance to an Egyptian

@highlight

But al-Zawahiri has a reputation for strategic cunning and vision

@highlight

He is likely to face a difficult choice in selecting a deputy