(CNN) -- In this fast-paced, dog-eat-dog, "I got mine" country, happiness may seem like a luxury item: something extra, not integral, to the way we measure success.

But how backward is this? Happiness is a foundational concept in life. The Founding Fathers considered "life, liberty, and the pursuit of happiness" important enough to go to war over it.

They recognized how the success of a new nation hinged on the happiness of its citizens.

This is as true today, but the concept gets devalued: How can mere "happiness" be a serious concern? The United Nations General Assembly proclaimed Thursday, March 20, International Day of Happiness. The mission is to spark a universal goal of happiness and well-being for people from around the world.

Some organizations, like the Happiness Institute, an Australia-based organization that provides services based on the science of happiness, is using it as a start date for a seven-day challenge aimed at boosting your level of happiness. For example, today's challenge focuses on creating a positive vision of your future.

Pop culture is already on board with happiness. And happiness sells! From books, to movies, clothing and jewelry and even food, we yearning humans will lay down money for joy.

Talk shows and commercials regularly engage our natural happiness craving. The song "Happy" by Pharrell Williams has been No. 1 on the iTunes charts for a month. The artist even created a 24-hour video of people who are singing and dancing to the song.

Billboard has created a top 20 Happy songs of all time, which include the classics "Happy Together" by the Turtles and "Don't Worry Be Happy" from Bobby McFerrin.

On social media you will find happiness organizations and groups, posts on Facebook, Twitter and Tumbler, and even happy pictures on Instagram. In fact, you can catch hash tags that show how much we warm up to the concept, like, #Happy, #LiveHappy, #HappyDay, #Happiness.

You get my point.

Happily, there is also some serious science behind all this emotion.

For starters, happiness is not about "stuff." It appears that winning the lottery may not provide long-term satisfaction. One study found that a year after gaining that winning ticket, well, people often feel no happier and in some cases less happy. Strange, but true.

And research shows that once your basic financial needs are met, the way to increase your level of overall happiness has more to do with creating experiences.

Indeed, planning a vacation with friends and family will create memories that will serve your well-being better than spending money on lots of material items.

Jeroen Nawijn conducted a study with 466 international tourists in the Netherlands. He found that people express greater happiness on vacation. Participants expressed wildly positive attitudes, like, "having a great time traveling with friends" and "this is the best day of my life!"

Happiness is also about being "present." Jennifer Aakers, Melanie Rudd, and Cassie Mogilner, from Stanford University, conducted a study that identified five principles that link happiness to how one spends time.

A key principle focuses on expanding your time. For example, when you are having lunch with a friend, focus on that moment. Slow down time by not thinking about future events -- such as picking up dry cleaning, grocery shopping or other errands. Instead, toss your phone, tune out the world and tune in to the person in front of you.

Small things, but they can make a big difference; they can simply make you happier.

No, happiness is not overrated. But so what if it were? If there is anything in life we should overdose on, it is this.

Being in a joyful place will help you smile even when times are tough. So, go ahead, pour yourself a glass of happy, because your happy hour is now.

Cheers.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Kortni Alston.

@highlight

Kortni Alston says the study of happiness has become a serious pursuit

@highlight

Happiness is all over, she says, in music, movies, books, clothing and even the grocery store

@highlight

Pharrell Williams has topped the charts with his song "Happy"

@highlight

Thursday marks International Happiness Day