(CNN)Building and programing a robot from scratch may sound like an impossible task to most primary school students, but one man is changing that mind-set for a generation of Ugandans.

By showing students as young as six how robots can solve real-world problems, Fundi Bots founder Solomon King Benge wants young people to develop a creative skill set they can apply to solve issues specific to their lives.

"We have a team in northern Uganda building an automated farming program," explains 32 year-old King Benge. "The project includes an irrigation system for crops and also a temperature monitoring solution to make sure... cow feed doesn't overheat and go bad. The students are also working on an automatic seed dispenser to feed pigs."

Ugandan learning

In a country where over 90% of primary school-aged children are enrolled in classes, according to World Bank data, Fundi Bots first focuses on extracurricular time slots in schools.

As well as presentations and video-based learning, Fundi Bots also offers hands-on robotics training and helps keen students form weekly Robotics Clubs. The initiative has taken off in 15 schools spread across the capital, Kampala, and Gulu in the north where experienced mentors visit once or twice a month to offer ideas and encouragement.

But tinkering with robotic parts and coming up with new ideas carries on after school too. During holiday camps (which can last two weeks) students are taught robotic concepts and then given time to implement that learning by building a robot by the end of the camp.

Central to the Fundi Bots philosophy is that building robots does not require a fortune. Students are encouraged to use recycled materials or components like laser pointers and microphones that were never originally designed to be a robotic building-block.

"One group of 13 and 14-year-olds is creating a small remote controlled vehicle with a temperature reader on the front that could be used in fire-risk areas," King Benge explains. "Their idea uses a wireless transmitter which sends data back in real-time, but they managed to keep costs quite low at around $130, by using locally sourced materials like wheels from toy cars."

While the physical components may not command high prices, the skills students gain in the process could prove lucrative. According to euRobotics AISBL, the global market for robotics amounted to $25.8 billion in June 2014 and is expected to grow to more than $70 billion by 2020.

Pan-African Robots

While the Fundi Bots' program is showing initial signs of having an impact in Uganda, King Benge says that's just the start.

"Fundi Bots is based in Uganda, but our five year mandate is to build a presence in five African countries by the end of 2020," explains King Benge. "The most promising country at the moment is Rwanda because the government is very forward thinking and very keen to develop as the ICT powerhouse in the region."

Fundi Bots, which held a workshop in Rwanda last October, might be the first robotics teaching program in Uganda, but it is not the only one of its kind in Africa.

The African Robotics Network (AFRON) was established in Ghana in April 2012 to improve education around robotics. One way the group has worked on this goal is by organizing the week-long Ashesi Robotics Experience.

It was during this set of workshops that a participant developed the Lollybot  - a basic "mini-explorer" robot which can navigate obstacles and learn about its surroundings. The robot, which uses Chupa Chups lollipops in the design, can be built from scratch for a total cost of just $8.96.

"The enthusiasm of the kids is incredible," says Ayorkor Korsah, Assistant Computer Science Professor at Ashesi University College and co-founder of the African Robotics Network. "Recognizing that a robot can be made from familiar items like a computer mouse, or game controller really demystifies robotics and electronics for them."

Robots are also playing a more prominent role in Kinshasa, the capital of the Democratic Republic of Congo. Eight feet tall robotic traffic wardens designed and built by a team of local engineers, have been recording and controlling traffic 24 hours a day for just less than a year.

As the Ugandan students learn new ways to build robots, King Benge says there's no limit to what could emerge from the workshops and retreats.

"When I see the students coming up with innovative ideas I really see minds are being changed. Students are being exposed to the creative process and I look forward to seeing them come up with bigger projects in five or 10 years time."More from Marketplace AfricaRead this: Turning Ghana's farms into healthy businessesRead this: Africa's 10 most prosperous countries

@highlight

Fundi Bots is teaching Ugandan school children to build robots

@highlight

Solomon King Benge founded Fundi Bots in 2011 to help students develop creative problem-solving skills

@highlight

Fundi Bots has a presence in 15 schools across Uganda and plans to expand to other African countries

@highlight

North America companies spent over $335 million on robots in first quarter of 2014