(CNN) -- The immigration debate in the United States should be guided by what is in the best interests of the United States. Take it from a fifth-generation American whose maternal ancestors have been in Texas since the Lone Star State was more commonly referred to as "Northern Mexico."

Which means that Americans need to do everything they can to retain people such as Erika Andiola. We have to identify people like this 27-year-old undocumented immigrant from Mexico and find ways to allow them to remain in the only country they've ever known.

We need more Erikas because the "DREAMer" -- who arrived in the United States when she was 11 and lives near Phoenix -- understands, better than many U.S.-born citizens, the responsibility to hold elected officials accountable regardless of what party they're in.

Andiola is one of the most famous DREAMers in the country. In 2012, she appeared with nearly three dozen other undocumented immigrants -- including journalist Jose Antonio Vargas -- on the cover of Time magazine.

In September 2013, she began an eye-opening adventure when she went to Washington to work for Rep. Kyrsten Sinema. She lasted four months.

She left after concluding from conversations with other congressional aides that Democrats would prefer not to solve the immigration problem because they would rather use it a club to bludgeon Republicans.

She wrote about her experience and observed that Washington was driven by "political games -- games that are causing too much pain in our community." She also declared that the immigrant community and the American people have more power to affect change than "politicians inside the beltway."

Truth-telling won't make you popular. And for some in the immigrant advocacy movement, Andiola is now persona non grata.

She is attacked on social media, and -- while she used to be a frequent guest at the White House for policy meetings on immigration -- she has recently been yanked out of line several times while waiting to enter for one event or another.

Demanding results from Democratic elected officials can cost you friends among left-leaning activists who put their party before their cause.

"Unfortunately, a lot of immigration activists are Democrats," Andiola told me. "As soon as anything comes out of their mouths, it's so biased."

Spot on. Such honest talk can get you labeled a "Republican" by partisans on the left. Especially if you're also turning up the heat on Latino Democrats in Congress, directly confronting them and demanding that they pressure the White House to pursue immigration reform. And especially if you're criticizing a Democratic president for racking up deportations.

"At this point, I wouldn't consider myself a Democrat or a Republican," Andiola said. "Immigration has become such a political issue that neither party is doing anything about it."

Right again.

The object of the game seems to be for both parties to look busy while doing nothing and then blame the other side for getting nothing done. Democrats want to use the issue to bludgeon Republicans, but they're also afraid of being seen as too sympathetic to illegal immigrants. It's an issue both parties wish would go away for another decade.

Andiola has been an activist since 2010 when she pushed for the DREAM Act, which promised legal status to undocumented young people, and against the Arizona immigration law, which encouraged racial profiling. Now she is sick of politics.

While she still supports a path to citizenship for the undocumented, she first wants an end to the deportations juggernaut that has wreaked havoc on so many families, including her own.

The deportation issue eventually hit home for Erika. As a DREAMer, she has been granted a two-year work permit under the program, Deferred Action for Childhood Arrivals. But while this protects her from being deported, that protection doesn't extend to her family.

In January 2013, ICE agents stormed her mother's apartment and arrested her mother, Maria Arreola, and older brother, Heriberto. Erika mobilized her network, and her family was released -- though they still had to appear in court. In December 2013, Arreola was granted a temporary stay of deportation.

For a 27-year-old, Andiola has had enough experiences to fill several lives. Yet, despite it all, she knows who she is -- even if the answer doesn't please everyone. In January 2013, she was being interviewed by Univision anchor and commentator Jorge Ramos about her mother's arrest. At the end of the interview, Ramos asked her: "Que eres?" (Who are you?) He wanted to know if she identified as a Mexican or North American or what. I could tell that Ramos was hoping she'd go with "Mexican."

She didn't. "I'm very proud of my culture and heritage," Andiola said. "But I love this country. I think of myself as an American, a Mexican-American."

Told you. She's one of ours.

Now if we can just get her to teach her fellow Americans how to be less partisan and hold both parties' feet to the fire, we might form a more perfect union.

@highlight

Ruben Navarrette: We have to find ways to let the undocumented stay in the U.S.

@highlight

Navarrette espouses Erika Andiola, who is one of the most famous DREAMers

@highlight

He says D.C. is driven, unfortunately, by political games on the issue of immigration

@highlight

Navarrette: Neither Democrats nor Republicans are doing anything on reform