(CNN) -- The long-running battle between a Tennessee Muslim community and its critics over a new mosque took a dramatic turn with a county judge's ruling that could bring construction to a halt.

"Everyone is really shocked, many people are crying about this," Imam Ossama Bahloul, leader of the Islamic Center of Murfreesboro (ICM), said Wednesday.

"We did exactly what other churches in the county did," he said. "We followed the same process that other churches did. Why did this happen? Some people feel like it is discrimination."

Chancellor Robert Corlew ruled Tuesday that plans for the new mosque, previously approved by a planning commission, are now "void and of no effect."

Opinion: America, how can Muslim-Americans reach non-Muslims?

He said the planning commission violated state law by not providing proper public notice. The ruling throws the date of the mosque's completion, scheduled for July, up in the air.

Rutherford County Attorney Jim Cope said Corlew did not address the issue of whether work on the mosque has to stop right away. County planners will discuss options and determine an appropriate course of action, he said.

Cain: Opposing mosque construction is not discrimination

Bahloul said construction will go on until the Islamic Center receives orders to stop.

"The ruling was a bit foggy," he said. "We will do what's right."

Sally Wall, a critic of the decision to approve the mosque, said Corlew's opinion was correct "because there was no due process."

She told CNN's "AC360" on Wednesday evening that the public knew nothing until "it was a done deal."

"It's not a matter of Islamophobia with me," Wall said. "The county government is supposed to operate in a particular way ... People who live in an area where a mosque or anything else is going to be built are supposed to have a right to say something about it."

In his opinion, Corlew said he would allow attorneys for those who filed suit over the mosque approval process to prepare an order for his review.

Attorney Joe Brandon lodged such an order Wednesday. It will be held five business days, after which the judge can review and sign it.

The order says the May 2010 decision by planning commissioners to approve the center's plans failed to meet public notice requirements.

It decrees "a permanent injunction is entered against defendant county officials from taking any further actions or permitting any third party from taking any further actions inconsistent with this order."

Corlew did not order an immediate stop to construction, Cope argued.

"An order is not final for 30 days," the county attorney said. We can't go out there (and stop construction) and then be sued by the ICM. They can file suit against us."

The judge's opinion, according to Cope, also could be appealed. "We're very much premature in telling someone to stop something."

Corlew, in a statement Wednesday, said he could not comment and the case was still pending, without a final order.

Brandon told "AC360" that construction should stop because of the ruling.

During the trial, attorneys for the mosque's opposition argued that the county failed to alert the public about meetings before the mosque was approved, CNN affiliate WTVF reported.

Rutherford County attorneys said that the meetings were announced in the local free newspaper and on its website and that the notices clearly complied with Tennessee law.

The judge, however, said the announcements in a local paper were "in relatively small type near the bottom of a page which contained a number of advertisements and legal notices, most of which were provided by the city of Murfreesboro."

Corlew said his decision does not preclude the county from "again considering the same issues at a subsequent hearing when proper notice is given."

The Islamic Center has 30 days to appeal the ruling and plans to apply again for a permit, spokesman Saleh Sbenaty said.

"Hopefully, this time, the county will make it right," he said. "We followed the process according to the law. There is no question about it. We are singled out just because of our faith."

The Council on American-Islamic Relations called on the Justice Department to ensure the religious rights of Muslims in Tennessee.

"American Muslim constitutional rights should not be diminished merely because anti-Muslim bigots are able to manufacture a controversy about what would otherwise be normal religious activities," said Gadeir Abbas, staff attorney for the organization, which advocates for Muslim civil liberties.

"The judge's ruling is apparently based on a fictitious 'heightened standard' for public notice when Muslims are involved," he said.

The mosque expansion gained national attention, including a CNN documentary, because in some ways, it was similar to the proposal to build an Islamic center two blocks from the site of the September 11, 2001, attacks in New York.

The Islamic Center of Murfreesboro has existed for more than a decade, but the fight erupted when planning commissioners approved the 52,960-square-foot building on Veals Road.

The backlash was stinging and included intimidation, lawsuits and an August 2010 fire that destroyed construction equipment and damaged vehicles at the construction site for the mosque. Police said it was arson.

A sign announcing the mosque was spray-painted with the words "Not Welcome."

For months, mosque leaders searched for contractors willing and able to do the job. Because of the opposition and threats the project has provoked, the construction job became more complicated. The work now requires more layers of security, including cameras.

My Take: This just in, Tennessee court says Islam is a religion

Some contractors weren't willing to take the job. Mosque leaders said contractors told them it had become too much of a hot-button issue and presented too much of a risk to their business and equipment. Several contractors began the bidding process but never finished.

Mosque officials said one contractor told them that he needed the work but that the leaders of his own church were against the new Islamic center.

In September, Corlew, the Rutherford County judge, ruled that the Muslim group had a right to build the larger facility.

In the opinion, Corlew said organizations must be treated equally under current land-use ordinances, but added that some of the county's land use laws are "in dire need of revision."

Corlew also wrote that the plaintiffs suing Rutherford County's planning commission can challenge whether the mosque's approval violated open meeting laws. That led to the lawsuit and trial that was decided this week.

Opponents of the mosque have also argued that Islam is not a real religion deserving of First Amendment protections and claimed that the Islamic Center of Murfreesboro has links to terrorism, WTVF reported.

The judge dismissed those allegations, the affiliate reported.

The congregation has outgrown its old facility and worshippers have to pray outside the crowded mosque, said Bahloul, the leader of the Islamic Center.

"I am confident that American values will prevail in this," the imam said. "What makes America so special is how it handles freedom. This decision does not seem like it reflects American values."

@highlight

Attorney criticizes continuation of construction

@highlight

Islamic Center imam says construction will go on until the mosque is ordered to stop

@highlight

The ruling says the public was not adequately alerted before plans were approved

@highlight

The mosque's spokesman says Muslims are being singled out because of their faith