On Sunday, all contact with AirAsia Flight 8501 was lost over the Java Sea as a wide area of thunderstorms covered the area. The discovery of floating debris on Tuesday about 100 miles from its last known position, in combination with an analysis of ocean currents, will give investigators clues where to search for the remainder of the aircraft.

From its cruise altitude, the airplane's gliding distance would also be about 100 miles, but consider that for the debris to drift that same 100 miles it would only take a drift rate of 2 knots, yielding a wide range of possibilities as to the nature of the aircraft's descent to the water below.

Many parallels between AirAsia 8501 and Air France 447 in June 2009 are obvious. Both aircraft were lost in thunderstorm areas of the Intertropical Convergence Zone (ITCZ). Both crashed at sea where floating debris drifted for days from the point of contact with the sea before being discovered,  and both were sophisticated fly-by-wire Airbus aircraft (though different models).

While flying into a thunderstorm is always to be avoided, it was not likely the sole cause of the accident. The reported requests by the crew to deviate course and change altitude seeking to avoided thunderstorm cells and turbulence are completely normal.

The weather in the ITCZ has some unique qualities compared to your average thunderstorm over land. The storms are driven by the convergence of airflow patterns between the northern and southern hemispheres of the Earth, in addition to the usual factors of warm moist air and unstable atmospheric conditions.

The height of the stratosphere --- which tends to put a cap on the height of thunderstorm growth -- averages about 35,000 feet over the mid latitudes (such as that of mainland USA), but reaches to 50,000 feet or more in the ITCZ, providing for the growth of thunderstorms to great heights and accompanying intensity.

These features can lead to some unusual conditions such as icing or heavy rain within those storms where it may not normally be expected, as was the case with AF 447 when its airspeed-sensing probes became clogged.

In the aftermath of the Air France crash, in addition to an improved design of the probes, significant emphasis has been placed on pilot training on the prevention and recovery from similar scenarios -- such as loss of airspeed indications and high altitude stall recovery. I would say all pilots, especially of Airbus aircraft, would be aware of AF447's lessons, including QZ8501's captain, given his reported experience.

There is a recent development however that relates to Airbus A320 series aircraft. A December 10, 2014, Airworthiness Directive (AD 2014-25-51) describes how control of the aircraft could be lost in flight as a consequence of icing of the angle-of-attack probes and an interaction with the airplane's stall protection function.

Those probes act like small weather vanes on the side of the aircraft and measure the angle at which the airplane moves through the air -- the angle of attack. If the angle is too high the air can no longer flow smoothly around the wings, resulting in an aerodynamic stall. The acceptable range of angles of attack is fairly small, and gets considerably smaller at higher speeds, such as cruise speed.

Simply put, depending on the position of the angle-of-attack probes when freezing occurs and the subsequent speed of the aircraft, the system may be fooled into thinking that the aircraft is approaching a stalled condition -- even when it isn't. In response, the airplane's stall protections pitch the aircraft's nose down to recover. This erroneous pitch down cannot be overridden by the pilots unless an emergency procedure in the Airworthiness Directive is followed. All pilots flying this model airplane should be aware of this.

The procedure instructs the pilots to shut down two of the three air data computers to render the usual stall protection inoperative and allow recovery of the aircraft. Of course, there is no way, at this stage of the investigation, to know if this played a part, but investigators will certainly be looking for evidence of this phenomenon.

Another obvious question is the apparent lack of transmitted position and altitude data after its last known position in cruise. This data is transmitted throughout the flight by a system known as ADS-B (Automatic Dependent Surveillance-Broadcast). This system transmits the airplane's position and other basic data to ground stations. Though its position is GPS-satellite derived, it is not transmitted to satellites, only to ground stations -- so the range to the nearest receiving ground station is a factor in the availability of that data.

The apparent sudden loss of this data at cruise could be explained by failures in flight such as an electrical failure, in-flight breakup of the aircraft, or the pilots switching off required data to operate the system such as that outlined in the emergency procedure above. However, it could also be that the aircraft simply flew out of range of the ground stations.

Flight tracking websites indicate that this routinely occurs in the general area where QZ8501's last ADS-B transmission was made. I think that is the most likely cause of the end of the data stream and is not necessarily an indication of catastrophic failure in flight.

In the case of Air France 447, the aircraft came down in the Atlantic Ocean where the sea depth exceeded 12,000 feet. While some floating wreckage and a number of bodies were discovered within a few days on the surface, the extreme depth and rough terrain on the ocean bottom delayed discovery of the remainder of the aircraft and recovery of the flight recorders for two years.

Fortunately, the 100-foot depth of the Java Sea in the area where evidence of QZ8501 was found will almost certainly result in the relatively rapid location of the aircraft and recovery of the two flight recorders.

Consideration of ocean currents during the two days between the aircraft's disappearance and the discovery of floating debris will help lead investigators to find the remainder of the aircraft and its passengers. We should not be subjected to long period of uncertainty such as with AF447 -- or the continuing lack of information on MH370.

While any accident investigation will take months to complete, I would expect more information to be available as the search and recovery continues.

Clues from the way in which airplane parts were damaged on impact and the flight data and voice recorder contents will provide answers. But like any aircraft accident, the cause is likely to be the result of a chain of events and conditions, the absence of any one of which would have avoided this tragic accident. At this time, we can only guess what some of those events and conditions are.

@highlight

Bill Palmer: AirAsia crash bears similarities in terms of weather, other factors, to AF447

@highlight

He says storms in the Intertropical Convergence Zone can grow to great height, intensity

@highlight

Palmer: Real causes won't be known until more of the plane is recovered, analyzed