(CNN) -- The best leaders make us feel unsure of ourselves.

This may sound counterintuitive. Aren't leaders are supposed to build confidence? At times, encouraging people is effective.

Other times, when people are stuck seeing things one way or they are resistant to change, creating a little discomfort in the conversation could help them grow.

People need you to help them think through difficult issues even though they don't feel comfortable in the process.

It is very difficult for any of us to question our beliefs and behaviors.

Our brain's protective instinct keeps us from in-depth self-exploration. We can only see "outside the box" when we read or hear something that surprises our brains.

The best way to help people see outside the box to objectively consider their circumstances is to listen to how they describe their situation, reflect on what they are saying, and then ask questions that cause them to review their thoughts and behavior.

If your words break through their protective barriers, the moment will feel awkward. They might feel a pinch of anger, embarrassment, or sadness when their blind spot is revealed. Then they grow.

Generating insights create breakthroughs in thinking.

To create these breakthrough moments, try the DREAM model. It is a coaching approach where you encourage the person to talk as you listen for cluesâ€”gaps in logic, faulty assumptions, fears, attachments to the past, and conflicting valuesâ€”that could be blocks to seeing the way forward. You then share what you hear and you sense, allowing the person to accept or reject your comments.

The point is to help the person to think, not to change him or her. This coaching approach creates a two-sided conversation where the recipient feels respected. The steps include:

D: Determine what the person wants as a desired outcome of the conversation. Help the person to define what they want, not what you want for them.

Do they want to be seen by others as a leader? Do they want more respect from their peers? Do they want to feel less stressed? Determine what is in the conversation for them so you can then move toward achieving this outcome.

R: Reflect on the experiences, beliefs and emotions expressed.

When you listen and clarify what you hear, people feel heard and understood. Then you can help them sort out truth from speculation, instantly giving them a view of what else might be true.

E: Explore possible sources of blind spots and resistance. Ask about the desires, disappointments, and fears you sense they are feeling.

Don't worry about long pauses between your questions and their response. It takes a moment for blind spots to come to light.

A: Acknowledge the emerging awareness.

Have the other person clearly articulate the key takeaways. Many people will stop and say, "Wow, I had not thought about it that way before," or "Yes, I see what you mean" and then plunge forward with a solution.

Acknowledging their "aha" insight reinforces their new perspective.

M: Make sure there's a plan or commitment for what's next. Ask the person what they will now do and when they will do it.

Even if they say they have to take some time to think about what they discovered, ask how they will do this and what impact their new thinking will have on the desired outcome they defined when you started the conversation.

When reflecting, exploring, and acknowledging, quiet your judgmental brain and refrain from jumping in and giving the person advice. The Discomfort Zone is full of tips and examples on how to use the process in your conversations. The best advice: They want you to be present more than they need you to be perfect!

Read more: The new KISS principle

Read more: Music to make you feel like a boss

The opinions in this article are solely those of Marcia Reynolds

@highlight

Difficult moments in the workplace can be beneficial for bosses and employees

@highlight

Reynolds suggests its hard for people to see their own blindspots

@highlight

Uncomfortable moments may be turned into opportunities for professional growth