Africa is in the middle of an amazing demographic shift. Our continent is the only one where the size of the younger generation is rising significantly.

Our population is already 16 years younger than in China, and this is only the beginning. Within less than three generations, four out of ten of the world's youth will live on our continent.

This demographic dividend -- and the energy and enthusiasm it brings -- offers us a unique advantage which other continents facing the prospect of a rapidly aging population and dwindling workforce can only envy. In a world changing with breakneck speed, it is young people who are best equipped to identify and deliver fresh solutions to our problems.

But we will only fully reap these benefits if we listen to young people, engage with them and provide the education, skills and support they need to prosper. Despite progress, we continue to fail to rise to this challenge. Young people, all too often, find their interests overlooked and their voices ignored.

Read this: 'Afropreneurs' will shape Africa's future

There can be no clearer symbol of this disconnect than the age of those who continue to set the direction of our countries and their citizens. For while the median age of Africa's population is now 20 and falling, the average age of our continent's leaders is around 60.

I am not arguing, of course, that teenagers should be put in charge of countries. Experience counts in government even more than in business.  But Africa must ask itself why our continent appears so frightened of giving the younger generation a chance.

After all, David Cameron and Tony Blair both became UK Prime Ministers for the first time when they were 43.  Barack Obama first became President of the United States at the age of 47. Even more importantly, he will step down, because of the constitution, eight years after he entered the White House.

In contrast, Africa has just witnessed an 89-year old sworn in as President of Zimbabwe, a post he first gained 25 years ago. And this was after he had already led his country as Prime Minister for nearly a decade.

The truth is that it is not so much the age that our leaders first come to power which is the problem but their reluctance to relinquish it. Where necessary, constitutional terms are altered to allow them to continue long after they were supposed to step down.

Read this: Holding African governments to account

The result is that political power lies in the hands of aging leaders who have little knowledge or interest in the ambitions and concerns of younger generations -- and sadly even less interest in passing on the reins of leadership.

It is why, when we set up the Ibrahim Prize for Achievement in African Leadership in 2007, we made it a condition that only those democratically elected leaders who hand over power voluntarily at the end of their constitutional term would be eligible.

Even in countries where leaders do not confuse their own interests with those of their country, our young people can find themselves locked out of decision-making and debate. They react, not surprisingly, by turning their backs on the political process. Electoral turnout is falling among the young and political apathy is on the rise.

Read this: Africa's rocky road to democracy

The danger is that, denied the chance of peaceful change, despair and anger is fostered. We must at least enable our young people to play a more active part in the decision-making process. If we do not, we will see even more leaders overthrown.

The risk of creating a marginalized youth only seems to increase when you look at the job market. Our young people are better educated but enjoy less employment opportunities than their parents. We can't just rely on their numbers to drive Africa's continued economic progress.

We need renewed efforts to provide them with the skills they need to fill the jobs of the future. We urgently need to foster national debates involving businesses, education specialists and young people themselves to build the skilled workforce Africa requires to compete globally.

It's time Africa started listening to our young people, instead of always telling them what to do. It is their potential, after all, which will decide our continent's future.  Let's not waste it.

@highlight

Africa has a young population, and aging leaders, says Mo Ibrahim

@highlight

He says African leaders are often reluctant to relinquish power

@highlight

Growing youth population can be a huge opportunity for Africa

@highlight

But Africa must start listening to young people, says Ibrahim