(CNN) -- Hurricane warnings and watches stretched from North Carolina to Delaware and covered parts of Massachusetts on Wednesday as forecasters upgraded Hurricane Earl to a Category 4 storm and warned it will be approaching the East Coast by late Thursday.

Hurricane models have Earl passing close to North Carolina's Outer Banks on Thursday night, the National Hurricane Center said in an 8 p.m. Wednesday forecast. "Only a small westward deviation of the track to the west would bring the core of the hurricane to the coast," it said.

The center extended hurricane and tropical storm watches and warnings northward through Massachusetts on Wednesday evening and said the storm's track has shifted slightly to the west, closer to North Carolina's Cape Hatteras.

Mandatory evacuation orders were issued for Ocracoke Island, on North Carolina's Outer Banks, and Cape Lookout National Seashore, as well as Hatteras Island.

Earl had been downgraded to a Category 3 hurricane earlier Wednesday but was judged to be a Category 4 in the National Hurricane Center's forecast on Wednesday at 5 p.m.

Earl's maximum sustained winds have increased to near 135 mph and the storm is growing, the National Hurricane Center said.

Tropical storm force winds are expected to reach parts of the North Carolina coast by Thursday afternoon, with hurricane force winds arriving by late Thursday, the center said.

CNN meteorologist Sean Morris said Earl is expected to make its closest pass to Cape Hatteras around 2 a.m. Friday as a Category 3 storm, with hurricane force winds of up to 75 mph expected on the Outer Banks.

Large breaking waves of 10 to 15 feet are possible along the coast, with possible storm surge of 2 to 4 feet, along with 3 to 4 inches of rainfall, Morris said. Isolated tornadoes and waterspouts are possible.

Tropical storm force winds are expected to reach the coast from Virginia to New Jersey by early Friday. Morris said that Earl will make its closest pass to New Jersey on Friday afternoon as a Category 2 hurricane.

The long duration of tropical storm force winds threaten widespread power outages in parts of the South and the mid-Atlantic region, he said.

Tropical storm force winds will arrive on Massachusetts' Cape Cod by Friday afternoon. Morris said that hurricane force winds are possible there later on Friday, with Earl making its closest pass to Cape Cod on Friday evening as a Category 1 hurricane.

Forecasters have issued a hurricane warning for the area from Bogue Inlet, North Carolina, northeast to the North Carolina-Virginia border, including Pamlico and Albemarle sounds.

On Wednesday evening a tropical storm warning for the area between Cape Fear, North Carolina, and Bogue Inlet, was extended from the North Carolina-Virginia border to Sandy Hook, New Jersey.

A hurricane watch stretched from the North Carolina-Virginia line up to Cape Henlopen, Delaware, while another hurricane watch covered a chunk of the Massachusetts coast, from Wood's Hole to Sagamore Beach, and includes Martha's Vineyard and Nantucket .

A tropical storm watch extends from Sandy Hook, New Jersey to Wood's Hole, Massachusetts, encompassing Long Island Sound and Block Island. A tropical storm watch also covers the area from north of Sagamore Beach, Massachusetts, to the mouth of the Merrimack River.

Because of Earl's size, effects of the storm are expected to be widely felt. Hurricane-force winds extend outward up to 90 miles (150 kilometers) from the center, and tropical storm-force winds up to 200 miles (325 kilometers).

As of 8 p.m. Wednesday, Earl was centered about 565 miles (910 kilometers) south-southeast of Cape Hatteras, North Carolina, the National Hurricane Center said. It was moving northwest at about 18 mph (30 kph).

Overnight Tuesday, a National Oceanic and Atmospheric Administration buoy recorded a wave with a 50-foot peak associated with Earl, National Hurricane Center Director Bill Read told reporters. "The buoy survived it just fine and it's still reporting," he said.

On Friday, Earl is forecast to move away from the Outer Banks and northward, CNN meteorologist Dave Hennen said. It is not expected to make a direct hit on the coast from Virginia to New Jersey, but heavy rain, high surf and gusty winds are likely.

Friday night, Earl will make its closest pass to Cape Cod, Massachusetts, and the outlying islands of Nantucket and Martha's Vineyard. Again, no direct hit is forecast, but any deviation could bring Earl's center over the area, Hennen said.

Earl is expected to make a direct landfall over southern Nova Scotia, Canada, on Saturday morning as a strong Category 1 hurricane.

Federal Emergency Management Agency Administrator Craig Fugate said Wednesday he had briefed President Barack Obama on what the agency is doing in preparation for the storm. Teams are in place or on standby to assist each state along the East Coast, he said, and supplies were being moved into two incident support bases to be available if they are needed.

Several airlines said Wednesday that fliers to and from cities along the eastern seaboard, from San Juan, Puerto Rico, to Bangor, Maine, could reschedule travel in coming days without penalty. Though they have not announced cancellations, Air Tran, American Airlines, Continental Airlines and Delta said they would waive reschedule fees for such travelers.

On Ocracoke Island -- a long sliver of land reachable only by ferry -- not everyone was planning to flee as Earl approached.

"A lot of times when [residents] evacuate, it's hard to get back on the island," said Brandon Benecki, who tends bar at Howard's Pub on Ocracoke Island. "It's simpler to just stay here and kind of ride it out."

"None of my neighbors are leaving," one man on Ocracoke Island told CNN affiliate WVEC-TV. "We're just going to hang in and ride her out."

Some tourists didn't seem deterred either. "They'll throw us off the island," one woman told WVEC. "That's all right. We'll just camp somewhere else."

However, Paula Schramel, who co-owns the Flying Melon restaurant on Ocracoke with her husband, Michael, said she has made plans to go to Charlotte, North Carolina, where her mother is. The couple are natives of New Orleans, Louisiana, who moved to Ocracoke 10 years ago. Their restaurant specializes in Creole cuisine.

Some of Michael Schramel's relatives in New Orleans who lived through Hurricane Katrina are urging them to evacuate, she said. "They're probably more nervous than we are," she said. "It wakes you up a little bit to the fact that it can be" dangerous.

Once the wind gets to 50 mph, she said, the ferries stop running and "you're stuck." Officials are "running the ferries as fast as they can," she said, but some visitors are dragging their feet -- understandably, since it means cutting their vacation short.

Earl is also dealing the couple an economic blow, they said, as it's considered the last big week of business for the summer tourism season. The restaurant was busy Tuesday night, Paula Schramel said, but closed on Wednesday once the evacuation order was issued.

Michael Schramel said he will leave if Earl becomes a Category 4 storm, and said he is "a little bit nervous. ... A 4 would be devastating."

"We are concerned about the storm, and it is important that people aren't here who don't understand the [potential] flooding issues," said Alan Sutton, the owner of Tradewinds Bait and Tackle on Ocracoke Island. But for regular residents, he said, the threat of hurricanes is "just part of living here."

Staff members of Cape Lookout National Seashore in North Carolina also ordered an evacuation Tuesday, according to park Superintendent Russel J. Wilson. The park will be closed to all visitors beginning at 5 p.m. Wednesday, until further notice.

Hurricane Earl is approaching the United States just ahead of Labor Day, a holiday weekend that many families spend at the beach.

"Unfortunately, they're just getting started with their vacation and now they have to turn around and go," bartender Benecki said. "However, I think most people do understand why."

Rip currents and dangerous surf will threaten beachgoers all along the East Coast, Hennen said.

The hurricane already dealt a glancing blow to Puerto Rico and the Virgin Islands, downing trees and knocking out power lines. The hurricane center said Earl's center is set to pass east and northeast of the Bahamas on Wednesday and Wednesday night. A tropical storm warning for San Salvador Island in the central Bahamas was discontinued Wednesday afternoon.

Sixty-six members of the North Carolina National Guard have been told to report Wednesday night for storm response duty. They will report to facilities in eastern North Carolina, but away from the coast, said spokesman Maj. Matt Handley. After the storm has moved away, they will assess damage and formulate a response, he said.

FEMA has urged those living in the region to prepare for the storm, stock up on supplies and have a plan in case it becomes necessary.

Besides FEMA's Ready.gov website, people can use FEMA's mobile application, which links to the National Hurricane Center, to stay up to date on information. Tips include developing a family communications plan, putting together a kit with food and water for 72 hours, and staying informed of risks in the area.

Meanwhile, Tropical Depression 9 was upgraded to Tropical Storm Gaston on Wednesday night, with maximum sustained winds of 40 mph, the center said. The storm is located in the far eastern north Atlantic Ocean approximately 1,635 miles east-southeast of the Caribbean's Leeward Islands.

The depression had maximum sustained winds of 35 mph (55 kph) and was heading west at 15 mph (24 kph). It is likely the depression will become Tropical Storm Gaston within 48 hours, forecasters said.

And Tropical Storm Fiona was moving out into the open Atlantic on Wednesday, and the center discontinued all watches and warnings related to the storm.

CNN's Larry Shaughnessy and Alan Silverleib contributed to this report.

@highlight

NEW: National Hurricane Center says a "westward deviation" could bring storm to land

@highlight

Various warnings and watches are extended north to Massachusetts

@highlight

Tropical Depression 9 is upgraded to Tropical Storm Gaston

@highlight

President Obama talks to the FEMA director about preparations for Earl