Washington (CNN) -- The Obama administration could be in violation of the War Powers Resolution if it fails to get congressional authorization by Sunday for U.S. participation in the Libya military mission, House Speaker John Boehner said Tuesday.

In a letter to President Barack Obama that his aides made public, Boehner, R-Ohio, complained that the administration has failed to address questions about the mission that were in a House resolution passed June 3. That resolution set a two-week deadline for a response.

Boehner's letter reiterated the Friday deadline and took the additional step of warning that a failure to respond could violate the War Powers Resolution.

According to Boehner, a 90-day deadline for congressional authorization of the Libya mission expires Sunday.

"It would appear that, in five days, the administration will be in violation of the War Powers Resolution unless it asks for and receives authorization from Congress or withdraws all U.S. troops and resources from the mission," Boehner's letter said.

The White House has previously said it was complying with the War Powers Resolution through frequent briefings on the Libya mission.

Boehner's letter contested that assertion.

"Since the mission began, the administration has provided tactical operational briefings to the House of Representatives, but the White House has systematically avoided requesting a formal authorization for its action," Boehner's letter said. "It has simultaneously sought, however, to portray that its actions are consistent with the War Powers Resolution. The combination of these actions has left many members of Congress, as well as the American people, frustrated by the lack of clarity over the administration's strategic policies, by a refusal to acknowledge and respect the role of the Congress, and by a refusal to comply with the basic tenets of the War Powers Resolution."

Such political wrangling over war powers is common in Washington, with presidents frequently seeking to expand their freedom to commit U.S. forces and Congress battling to exert influence on the process.

Boehner's letter said that, in this case, "the ongoing, deeply divisive debate originated with a lack of genuine consultation prior to commencement of operations and has been further exacerbated by the lack of visibility and leadership from you and your administration."

With his letter, Boehner raised the stakes on an issue that could prove politically embarrassing to Obama, with increasing numbers of Republicans and Democrats opposing the Libya mission.

Republican Sen. John McCain of Arizona, who supports the Libya mission, said Tuesday that he expected the White House to provide Congress with details on the Libya mission this week.

"My understanding is the White House will be sending over a report and lots of information about what we've done," McCain said, adding that the Senate could then vote on a resolution backing the mission that would be intended to satisfy questions over the War Powers Resolution requirement.

To McCain, the delay in a White House response made the issue more challenging than necessary.

"I can assure you that it's gonna be much more difficult, with a lot more amendments and a lot more debates, than if we would have done this a couple months ago," McCain said.

National Security Council spokesman Tommy Vietor said late Tuesday that the information would probably be delivered to members of Congress on Wednesday.

"We are in the final stages of preparing extensive information for the House and Senate that will address a whole host of issues about our ongoing efforts in Libya, including those raised in the House resolution as well as our legal analysis with regard to the War Powers Resolution," he said.

Since March 1, administration witnesses have testified at more than 10 hearings that included a "substantial discussion of Libya" and participated in more than 30 member or staff briefings on the matter, he said.

In announcing the mission in March, Obama said U.S. forces would take the early lead in establishing a no-fly zone over the country in order to enforce a U.N. resolution calling for the protection of Libyan civilians from forces loyal to leader Moammar Gadhafi.

The U.S. forces eventually assumed a supporting role as NATO took over the mission.

Congressional opponents of the mission say that its objective of civilian protection fails to match the stated U.S. goal of Gadhafi's resignation or ouster and that the Libya situation could become a stalemate.

The White House says incremental progress is occurring through increasing diplomatic, political and military pressure on Gadhafi to step down.

In a coincidence of scheduling, Obama and Boehner are set to play golf together for the first time Saturday, a day after Boehner's deadline for information from the administration and the day before he says it could be in violation of the War Powers Resolution.

CNN's Brianna Keilar contributed to this report.

@highlight

NEW: McCain says White House will provide information on Libya mission

@highlight

The House speaker sets a Friday deadline for President Obama's response

@highlight

A House resolution passed June 3 asked for more details on the mission

@highlight

The White House has said it is complying with the War Powers Resolution