(CNN)Doctors in Macon, Georgia, told Janea Cox that her daughter, Haleigh, might not live another three months.

That was the middle of March, when Haleigh's brain was being short-circuited by hundreds of seizures a day, overrunning the array of five potent drugs meant to control them. Worse, the drugs were damaging Haleigh's organs.

"She was maxed out," Cox said. "She'd quit breathing several times a day, and the doctors blamed it on the seizure medications."

Cox had heard that a form of medical marijuana might help, but it wasn't available in central Georgia. So a week after hearing the ominous diagnosis, she and Haleigh packed up and moved to Colorado Springs, Colorado. There, Haleigh began a regimen of cannabis oil: four times a day and once at night.

By summer, she was down to just a handful of seizures a day. In less than three months, doctors were able to wean her off Depakote, a powerful medication that had been damaging her liver.

Haleigh had never been able to walk or talk. But freed from seizures in Colorado, "She said 'Mama' for the first time," Cox said.  "She's playing with puzzles; she's walking. She's almost being a normal child."

Despite all the good news, Cox is living in limbo. Her husband, a paramedic, couldn't afford to leave his job and pension; he still lives and works in Forsyth, Georgia. The family is relying on charity to keep their Colorado apartment for the next few months; beyond that, the future is uncertain.

A bill being introduced Monday in the U.S. House of Representatives could be Cox's ticket home. The three-page bill would amend the Controlled Substances Act -- the federal law that criminalizes marijuana -- to exempt plants with an extremely low percentage of THC, the chemical that makes users high.

Gupta: Why I changed my mind on weed

If passed, it would be the first time that federal law allows any medical marijuana use.

"No one should face a choice of having their child suffer or moving to Colorado and splitting up their family," said Rep. Scott Perry, R-Pennsylvania, the bill's sponsor. "We live in America, and if there's something that would make my child better, and they can't get it because of the government, that's not right."

The bill will land in a Congress that may be open to change. Across the country, highly sympathetic patients and a nonintoxicating product have proved a popular mix. This year alone, 11 states have passed legislation loosening regulation of cannabis strains with high cannabidiol and/or minimal THC content.

In this atmosphere, Perry says that once members and their staffs are brought up to speed, he expects the bill to attract "overwhelming" support.

"It wouldn't be surprising if we see broad support for this proposal," agreed Mason Tvert, communications director at the Marijuana Policy Project, which advocates for marijuana and medical marijuana legalization. "If this bill gets support, it will demonstrate that there is recognition of marijuana's medical benefits."

Dubbed the Charlotte's Web Medical Hemp Act of 2014, the bill is named after Charlotte Figi, a young Colorado girl whose parents have campaigned nationwide for easier access to medical marijuana after successfully controlling their daughter's seizures with cannabis oil. Since her story became known, a growing number of parents have flocked to Colorado, hoping for similar success.

The Charlotte's Web cannabis strain, developed by the Realm of Caring nonprofit organization in Colorado Springs, is in high demand, in part because of the attention it's received in the media. Many families wait months for a batch to be grown and processed into cannabis oil. Perry's bill, however, would apply to any cannabis strain with a THC content of less than 0.3%.

Charlotte's Web and similar strains not only have minimal THC, they have high levels of cannabidiol, another chemical. A growing body of anecdotal evidence suggests that cannabidiol can effectively control seizures, though there are no published studies to support its use.

It's easy to find critics who say parents should follow a more traditional route.

"There is no evidence for marijuana as a treatment for seizures," Rep. John Fleming, R-Louisiana, a physician, claimed during a congressional hearing last month. "We hear anecdotal stories, and that's how myths come about."

Fleming and others point out that a pharmaceutical version of cannabidiol oil, called Epidiolex, is being tested in clinical trials. But many children aren't able to get into the trials. Haleigh Cox is disqualified because she has type-1 diabetes. Others aren't willing to wait several months to be enrolled.

"With Epidiolex, there just aren't enough seats at the table," said Mark Knecht, a father from Mechanicsburg, Pennsylvania, whose story helped inspire Perry's bill.

His daughter Anna, 11, has epilepsy and suffers anywhere from a handful of seizures a day to more than 100, despite her four anti-convulsant medications. Knecht, the chief financial officer of a large Christian medical nonprofit, says Anna has been evaluated at several top hospitals but couldn't land a spot in the Epidiolex trial.

Twenty-three states and the District of Columbia have laws on the books allowing medical marijuana for a variety of conditions. But even as states rewrite their regulations, federal law remains the same: Marijuana is illegal to grow, sell or use for any purpose. Under the 1970 Controlled Substances Act, marijuana is listed on Schedule 1, meaning it has "no currently accepted medical use and a high potential for abuse." To backers of reform, the Catch-22 is familiar: Marijuana is restricted in large part because there is little research to support medical uses; research is difficult to conduct because of tight restrictions.

A series of memos from the Justice Department has said that arresting individual medical marijuana users is not a priority, and a 2013 memo added that federal prosecutors should not target large commercial operations except on a case-by-case basis. But most observers say that shipping or transporting the drug across state lines ups the ante.

"For families like us, the biggest issue is the federal issue. You can't take it across state lines," Knecht explained.

His family still lives in Mechanicsburg. But after seeing CNN's medical marijuana documentary last year, Anna and her mother, Deb, established residency in Colorado, where they obtained a medical marijuana card that let them place an order for a batch cannabis oil, in hopes it will control Anna's seizures. If Perry's bill becomes law, Knecht says, "Realm of Caring could just put it in a FedEx package."

The Food and Drug Administration is conducting a review of scientific evidence to determine whether marijuana warrants looser treatment, but a spokeswoman says there's no set date to complete the analysis. A review in 2011 ended with the Drug Enforcement Administration leaving marijuana's status unaltered.

But certain actions in Congress give Perry and his supporters hope.

This month, the House passed a bill allowing banks to handle cash proceeds from dispensaries and other legal marijuana businesses.

The most recent Farm Bill allows industrial hemp -- a strain of cannabis without THC -- to be grown for academic or research purposes. That didn't stop the Drug Enforcement Administration from seizing a shipment of hemp seeds bound for the University of Kentucky this spring. In response, the Senate Appropriations Committee, with support from Senate Minority Leader Mitch McConnell of Kentucky,  passed an amendment blocking DEA funds for anti-hemp enforcement.

In May, the House passed a measure blocking money for DEA raids on marijuana dispensaries that are legal under state law.

And just last week, Sen. Rand Paul of Kentucky took it a step further, introducing an amendment to the Jobs Bill that would forbid federal prosecution of doctors and patients whose actions are legal under state medical marijuana laws.

"If states allow doctors to prescribe medical marijuana, and people are in good faith prescribing medical marijuana, we want to make sure it's OK and that the federal government doesn't come in and prosecute somebody," said Brian Darling, Paul's communications director.

The amendment seems likely to die amidst wrangling over the Jobs Bill, but Darling says his boss plans to move forward on a standalone measure.

Too many people have been sentenced to long prison terms for possession of marijuana, Darling says. "The War on Drugs has gone overboard."

Knecht doesn't want to uproot his family to move to Colorado. But he says his hand may be forced. "We're taking this situation one day at a time."

That's where Janea Cox was a few months ago. She hadn't heard about Perry's bill until she got a call from a reporter but says she understands where the Pennsylvania families are coming from. She's angry at home-state lawmakers who failed to push through Georgia's cannabidiol oil bill this spring.

"I lived in Georgia for 17 years," she said, "but here in Colorado, I met my child for the first time, at the age of 5."

Medical marijuana research stalls after Arizona professor is let go

@highlight

Charlotte's Web Medical Hemp Act of 2014 would amend Controlled Substances Act

@highlight

Federal bill introduced in U.S. House of Representatives by Rep. Scott Perry

@highlight

Bill would exempt plants with low percentage of THC, chemical that makes users high