Peppermint oil, soluble fiber, and antispasmodic drugs can indeed help people with irritable bowel syndrome, according to an analysis of 25 years of research on the condition, which is characterized by bouts of diarrhea and constipation.

"It wasn't appreciated how much of an impact [IBS] can have on a patient's quality of life," says one researcher.

About 10 to 15 percent of people in North America have IBS, and it's twice as common in women. However, only about one-third of people with the intestinal disorder seek treatment.

The exact cause of IBS remains unknown, and that lack of knowledge has led to the use of a variety of treatments, including fiber supplements, probiotics, antidepressants, behavioral-based therapies, psychotherapy, food modification, acupuncture, and laxatives. However, many treatments are controversial because study results have been mixed.

Newer and more expensive medications have been introduced to the public, but some were ineffective or withdrawn from the market due to side effects. The recent study sheds light on the cheap and readily available treatments that can help patients, says study coauthor Eamonn M. Quigley, M.D., a professor of medicine and physiology at University College Cork in Ireland.

"Medical science has tended to ignore IBS; it wasn't appreciated how much of an impact it can have on a patient's quality of life," he says. Health.com: Is that belly ache in your head?

In the new analysis, researchers systematically reviewed 38 studies from the last 25 years; more than 2,500 volunteers were involved. That research compared therapies -- all relatively cheap, safe, and readily available -- with a placebo or with no treatment at all.

The team looked at three treatments -- soluble fiber, peppermint oil, and antispasmodics, which are drugs that relax the smooth muscle in the gut and relieve cramping -- and found that they were all more effective than a placebo, according to the report in the British Medical Journal.

But not all fiber is the same. The soluble fiber ispaghula husk, which is also known as psyllium and found in some bulk laxatives, significantly reduced symptoms of  IBS, particularly constipation; insoluble fiber, such as bran, did not relieve symptoms.

Several antispasmodic drugs helped prevent IBS symptoms, particularly diarrhea. The most effective one was hyoscine, which is sold without a prescription in the United States.

Although peppermint oil was found to be the most effective of the three therapies, more data are needed, cautions Quigley. The peppermint-oil therapy was analyzed in only four trials involving 392 patients.

Because past research has been mixed, doctors' treatment guidelines mention the remedies, but don't necessarily give them a ringing endorsement, says author Alex Ford, M.D., a registrar of gastroenterology at McMaster University in Hamilton, Ontario.

"I suspect that filters down to the practitioners who don't believe they work, so they try something that's newer or a bit sexier," Dr. Ford says. "The problem with IBS is that it's a chronic medical condition and no drug has been shown to alter its natural history." Health.com: Should I be tested for IBS?

The study results are not surprising, says Joanne A.P. Wilson, M.D., a professor of medicine in the gastroenterology department at Duke University Medical Center in Durham, North Carolina.

Dr. Wilson adds that such treatments are best for patients with mild or moderate IBS. However, in her practice, she's found that prescription medications need to be used for severe cases that don't respond to these treatments. Health.com: Belly flab doubles mortality risk

Prescription drugs that have been used to treat IBS include Amitiza, a drug for chronic constipation; Zelnorm, which was pulled from the market in 2007; and Lotronex, which was removed from the market because of potentially life-threatening side effects (although exceptions are now made for women with severe, diarrhea-prominent IBS who don't respond to other treatments).

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

An estimated 10 to 15 percent of people in North America have IBS

@highlight

The exact cause of IBS remains unknown, which has hampered treatment

@highlight

Study analysis: Peppermint oil, soluble fiber, and antispasmodic drugs all work