SHENANDOAH, Pennsylvania (CNN) -- Crystal Dillman says she will never understand why a group of teenage boys beat her fiancé to death.

She says she will spend the rest of her life seeking answers -- and justice -- for the man she has lost as she struggles alone to raise her three young children.

"My life is forever destroyed," said Dillman, who was 24 at the time of her fiancé's death. "My family is forever destroyed."

Her fiancé, Luis Ramirez, an undocumented Mexican immigrant, was walking down the street in Shenandoah, Pennsylvania, on July 12, 2008, with Dillman's half-sister, who is white.

A fight broke out between him and a group of white high school football players. He died from his injuries two days later, leaving a small community stunned at the brutality of the crime.

A central issue in the case is race in a town with a reputation for being an ethnic melting pot.

Witness Eileen Burke said she heard the group call Ramirez a "spic."

One of the boys who was charged as a juvenile, Brian Scully, admitted telling Ramirez to "go home, you Mexican motherf---er." Residents speak out about the crime, racial overtones

Scully was charged with ethnic intimidation.

Another teen pleaded guilty to federal civil rights violations in a plea deal. But two teens who faced a local jury were acquitted of charges of ethnic intimidation.

Dillman doesn't doubt that the attack was racially motivated.

"They said some racist remarks to him," Dillman said of the teens. "Truly, in my heart, I believe they beat him up because he was Latino."

Many in Shenandoah deny that race played a role and say it was just a street fight gone wrong.

The young men involved were ordinary high school students -- good kids, according to their families, friends and coaches. Shenandoah resident interrupts CNN interview

It took almost two weeks for arrests to be made. But on July 25, Colin J. Walsh, 17, and Brandon J. Piekarsky, 16, were charged as adults with homicide and ethnic intimidation.

Derrick M. Donchak, 18, was charged as an adult with aggravated assault and ethnic intimidation.

Walsh, who admitted throwing a punch that left Ramirez unconscious, got straight A's in school and ran track. His father says he was never a troublemaker. See photos of key figures in the case

But how do ordinary kids get caught up in such a brutal incident?

Experts say everyone has biases, and violent instincts are common, especially in young adults.

Young offenders

"Hate is part of our culture," said Jack Levin of the Brudnick Center on Violence at Northeastern University.

"It transcends generations, it's widely shared, and it's learned from an early age," Levin said. "Even otherwise decent, honorable people can be pulled into it."

Jack McDevitt of Northeastern University's Institute on Race and Justice said, "We all carry around biases with us, and it's not the extraordinary monster that decides to act on it. Generally speaking, it's someone more like us and our children than a member of the [Ku Klux] Klan."

Research conducted by both Levin and McDevitt shows that there are three major types of hate crime offenders:

• "Thrill seekers" who look for excitement and power in attacking a person they perceive as different.

• "Retaliators" who seek revenge for a real or perceived crime against someone similar to the attacker.

• "Defenders" who are trying to protect their neighborhood or way of life.

Perhaps the most expected type is also the rarest: an offender who may be a member of a group like the KKK and has a deep-seated hatred of a specific ethnic group.

"Hate criminals, most of them young men, believe they are carrying out the fervent, unspoken wishes of their communities," said Mark Potok, director of the Southern Poverty Law Center's Intelligence Report.

McDevitt says offenders often "believe other people share their biases ... everybody feels the way they do, or at least the majority." By taking action, he says, they think "they're being heroic while others are scared."

Communities most likely to experience a hate crime have a "special combination of ethnic homogeneity and a rapid in-migration of groups perceived to be outsiders," according to Donald Green, a professor at Yale University.

He says a "flashpoint" can occur "when there's a boundary-crossing."

For example, "an inter-ethnic, inter-sex relationship on public display." Offenders sense that an outside group is crossing a boundary, and when women are involved, it can trigger a defensive reaction, especially among young men.

Shenandoah's rich immigrant heritage has long been a source of pride in the former coal-mining town, and families have held tight to their cultural traditions for generations.

But an influx of Latinos in the late 1990s brought some discomfort. Cheap housing and jobs in agriculture and construction drew undocumented immigrants -- among legal Latino residents and citizens -- to a community that was struggling economically.

Crimes against Latinos rising

FBI statistics show that anti-Latino crimes are on the rise. There were 595 anti-Latino crimes in 2007, up almost 40 percent from the 426 crimes in 2003; the Latino population in America grew only 14 percent during that time.

In December, Ecuadorean Jose Osvaldo Sucuzhañay died after he was beaten with a baseball bat in Brooklyn, New York.

One month earlier, a group of seven teenagers with a history of harassing Latinos went out looking for "Mexicans to f--- up" and fatally stabbed Ecuadorean immigrant Marcelo Lucero in Patchogue, New York.

FBI figures from 2007 show that anti-Latino attacks account for about 8 percent of all hate crimes. About 35 percent of hate crimes were directed at blacks, 16 percent at homosexuals and 13 percent at Jews.

But experts say hate crimes in general are underreported. States are not required to report those figures to the FBI.

And it can also be hard for law enforcement and prosecutors to prove that a perpetrator's motive was hate, especially if a robbery occurs or the attacker had a prior relationship with the victim.

Often, the victims themselves -- especially Latinos who may not be in the United States legally -- don't report the crimes and may mistrust the police.

McDevitt says many victims may not realize or want to acknowledge that they have been the target of a hate crime.

Experts say communities can heal after hate crimes occur, and even prevent them from happening altogether, if local leaders take certain steps.

"Different people need to be welcomed," McDevitt said.

Donald Green says a community can portray change as positive, "saying, 'we've got more great restaurants, more people who work hard, more people who are family-oriented,' " for example.

Still struggling

Eventually, Piekarsky was convicted of simple assault and consumption of alcohol, and Donchak was convicted of simple assault, and three counts of corruption of a minor, providing alcohol to minors and consumption of alcohol.

The jury acquitted Piekarsky and Donchak of ethnic intimidation charges.

Piekarsky was sentenced to between six and 23 months in prison and Donchak from seven to 23 months. Walsh pleaded guilty to violating Ramirez's civil rights.

More than a year after Ramirez's death, Shenandoah is still struggling.

Civil rights officials at the Department of Justice are investigating the death and the actions of the Shenandoah police officers who urged the boys to get their stories straight before talking to investigators.

But there is no closure for Crystal Dillman.

"It's not done for me," she said, "not by a long shot. That's not justice at all. Not even close."

@highlight

Small town stunned by death of Mexican immigrant after fight with white teens

@highlight

Fiancèe: "Truly, in my heart, I believe they beat him up because he was Latino"

@highlight

"Hate is part of our culture," expert says

@highlight

Watch CNN Presents "Latino in America" tonight at 9 ET on CNN TV