Washington (CNN) -- Depending on whom you ask, Senate Minority Leader Harry Reid's decision to scuttle a controversial assault weapons ban proposal from a broader Democrat-backed gun control package is either shrewd strategy or political cowardice.

There's a little bit of truth in both perspectives, gun policy advocates say.

"It's not surprising what Sen. Reid did," said Daniel Webster, director of the Johns Hopkins Center for Gun Policy and Research.

The Nevada lawmaker decided not to include the proposed assault weapons ban in gun legislation going to the full Senate for consideration because including it would guarantee the measure would be blocked by a Republican filibuster.

"I think there's justification for such a ban but politically it hits right in the area where we have the biggest divide," Webster said.

Senate leader says new weapons ban won't pass

The ban on semi-automatic firearms modeled after military assault weapons is proposed by Sen. Dianne Feinstein, D-California, and fiercely opposed by the National Rifle Association, Republicans and some Democrats. The ban would get fewer than 40 votes, Reid said, far below the threshold needed to defeat a filibuster or pass the Senate. The proposal to update a similar 1994 ban that expired a decade later was one of four measures passed by the Senate Judiciary Committee in response to the Connecticut school massacre in December.

Instead, Feinstein could propose the ban as an amendment to gun legislation on the Senate floor in order to get a vote on it, Reid said.

The other proposals that are part of the gun control package would expand background checks, toughen laws against gun trafficking and straw purchases and design steps to improve school safety.

Lawmakers seem prepared to tackle gun control: 'This one feels different'

But it's the assault weapons ban that draws some of the most intense emotion in the wake of last year's deadly mass shootings at Sandy Hook Elementary School and an Aurora, Colorado, movie theater. Congressional hearings have been filled with tearful testimony, poignant photographs and fiery rhetoric.

They are the type of raw displays likely to spook lawmakers wary of losing votes and tank gun control reform efforts, political experts say.

"In thinking about what is politically doable, for people who are more in the middle it's hardest to do anything that could characterize a politician as casting an anti-gun vote," Webster said.

Will states go where Congress hasn't on gun laws?

The proposed assault weapons ban enjoys high profile support from the White House, families of victims of some of the nation's most deadly shootings and celebrities like filmmaker and progressive activist Michael Moore. Gun rights advocates such as the National Rifle Association, the nation's most powerful gun lobby, have stridently criticized the proposal. NRA President David Keene characterized the measure as a "feel-good proposal" doomed to fail.

Moore, whose documentary "Bowling for Columbine," explored the nation's gun violence epidemic, had similarly blunt words about Reid, calling him a "weenie" during an interview with CNN's Piers Morgan on Tuesday and suggested viewers send the senator critical e-mails.

"If a man with an assault weapon goes into the school where Harry Reid's grandchildren go to school tomorrow and kills his grandchildren, would he stand in front of that microphone at 5 o'clock and say, 'I know how Dianne (Feinstein), you know, had to witness the mayor getting murdered and my grandchildren just got killed today, but you know, we can't get it passed because we just don't have the votes,' " Moore said during the interview.

Reid has found himself in a delicate position as he tries to navigate the desires of many members of his pro-gun rights Nevada constituency and the White House and members of his caucus' intensified push on gun control. As Senate majority leader, Reid has great influence to speed or slow the consideration of legislation on Capitol Hill.

Reid introduces gun violence bill

The nation's top Democrat in Congress has faced scrutiny in recent months for his close ties with the NRA.

Reid twice opposed the assault weapons ban, in 1992 and 2004, has a B rating by the NRA for his pro-gun rights voting record and since 2008 has received just shy of $8,450 from several gun lobbies, according to an analysis of campaign contributions from the Center for Responsive Politics. The NRA has also previously supported Reid in his primary races.

Reid slipped a provision into the 2010 national health care law that restricts the government from collecting data on gun ownership, as reported by CNN's National Political Correspondent Jim Acosta.

"He's under incredible pressure right now because he's got, as any member of Congress or senator does, he's got his own beliefs. He's got the views and the demands of his constituents on the one hand and the pressure he faces from party leaders and his president on the other," Keene told journalists at a Christian Science Monitor-sponsored breakfast in January. "So where Harry Reid ends up in this debate is anybody's guess and I think that's one of the guessing games that's going on around Washington now."

Call to arms for a 'common sense' gun law

Voters on both sides of the issue are now getting a much clearer picture of where Reid stands and will soon have a better sense of how their own lawmakers measure up, said Richard Feldman, who served as regional political director for the NRA during its rise to power in the 1980s and is president of a gun rights group, the Independent Firearm Owners Association.

Allowing Feinstein's assault weapons ban to stand on its own as a separate amendment "is going to work out to his benefit," Feldman said of Reid's choice. "Having that straight up or down vote will be the most useful vote that gun rights activists and the other side will have to show this is someone who supports you and someone who opposes you."

Obama remains committed to assault weapons ban, White House says

Feldman also suggests keeping an eye on which lawmakers offer amendments to strip out portions of the broader gun control bill and the roll call votes on those amendments as well.

In the meantime, some gun control advocates are urging cooler heads as the nation awaits votes on the highly anticipated package of gun-related bills.

"Everybody needs to take a deep breath," said Ladd Everitt, a spokesman for the Coalition to Stop Gun Violence adding that he feels Reid rightly calculated how to get the broader gun control measure the best chance at success.

"I'd rather not fall on my sword," Everitt said. "I'd rather have a smart package so we can get it to the floor."

CNN's Tom Cohen contributed to this report.

@highlight

Senate Majority Leader Harry Reid pulls assault weapons ban from Dem gun control package

@highlight

Many supporters of ban decriy move; opponents see confirmation of a proposal doomed to fail

@highlight

Reid, supported in past by NRA, may be thinking politically of broader bill's possible passage

@highlight

Upcoming votes on gun control package will show where lawmakers stand on the issue