(CNN)Three decades ago, Steve McCurry took arguably the most iconic picture of all time.

Yet even after all this time, the pre-eminent photographer brims with enthusiasm when he talks about "Afghan Girl."

"I knew she had an incredible look, a penetrating gaze," he recalls.

"But there was a crowd of people around us, the dust was swirling around, and it was before digital cameras and you never knew what would happen with the film.

"When I developed the picture, I knew it was special. I showed it to the editor of the National Geographic, and he leaped to his feet and shouted, 'that's our next cover'."

Not only did "Afghan Girl" become the magazine's next cover, but the most successful in its distinguished history.

The striking portrait of 12-year-old Sharbat Gula, a Pashtun orphan in the Nasir Bagh refugee camp on the Afghan-Pakistan border, was taken in December 1984 and published the following year.

The woman, now in her forties, has recently been found to be living in Pakistan.

When McCurry reflects upon its popularity, what excites him most is the impact that this single image has had on the real world.

"People volunteered to work in the refugee camps because of that photograph," he says. "Afghans are incredibly proud of it, as the girl is poor but shows great pride, fortitude and self-respect.

"It drew attention to their plight, and inspired a lot of people."

It also led the National Geographic to set up the Afghan Children's Fund -- and meant that to this day, McCurry is never charged a fare by appreciative Afghan taxi drivers.

The portrait forms the centerpiece of a major retrospective exhibition of McCurry's work, which opened recently in Monza, Italy, and will run until 6 April.

"It's great to look back on my work and see how themes and connections have emerged. But I am never even remotely thinking of retiring," the 64-year-old tells CNN from his studio in New York.

"There are so many new places and stories that fascinate me. I have a long list of places to visit: Iran, Madagascar, Mongolia, Russia.

"I believe that when you find something you love, you should do it your whole life. Why would you retire from doing what you love? It's just not what we do."

The famous photograph is just one of thousands of extraordinary pictures that McCurry has taken over a 40-year career, during which he has won dozens of awards.

One which is displayed prominently in his retrospective exhibition was taken in Kuwait in 1991, during the first Gulf War. It shows three camels silhouetted against an explosion of fire and smoke.

"Saddam Hussein had blown up 600 oil wells," he recalls. "It was an environmental catastrophe. Lakes of oil were leaking all over the country, and seeping into the Gulf.

"Half of it was on fire. There were geysers of oil spurting out of the earth, making it like midnight during the day."

He spotted the camels running along the edge of an oilfield, and followed them in his jeep. But they had been blackened by the oil, and there was no way to capture a picture of them against the black cloud behind.

"Suddenly they ran in front of a burning area, and they were illuminated by fire," he says. "I took the shot, and then realized I had driven into a minefield.

"I had to carefully back out, following the tire tracks I had made on the way in to avoid getting blown up."

For many years, frontline war photography like this was McCurry's stock in trade. Indeed, it enabled him to make his name.

Born in Pennsylvania in 1950, McCurry -- whose right hand was permanently damaged when he fell down some stairs at the age of five -- studied theater arts at Penn State University.

Two years after graduating, he moved to India in search of a freelance photography career. His big break came in the late 1970s, when he disguised himself in Afghan clothes and crossed illegally into Afghanistan, just before the Soviet invasion.

There he took a set of searing photographs of people who were being attacked by their own government.

"As soon as I crossed the border, I came across about 40 houses and a few schools that were just bombed out," he says. "They were literally destroying whole villages with helicopter gunships.

"This was a profound situation that really needed to be told, and few people could get access to it because it was too remote.

"I got completely caught up in the story. That's when I knew that this was what I did -- this was me."

Against a background of the Cold War, the Russians backed the Afghan army and Americans supported the Mujahideen. The lens of the Western media quickly swung towards the region, and McCurry happened to be already embedded.

His pictures were soon appearing in The New York Times, TIME and Paris Match -- but not before McCurry had escaped from Afghanistan by crossing the tribal areas on foot, with his precious film sewn into his clothing.

This was the beginning of many years of war photography, which he now describes as "the gritty period" of his career.

He covered the Iran-Iraq war, the Gulf wars and several conflicts in Afghanistan, as well as those further afield in Lebanon, Cambodia and the Philippines.

"When you're working in a war zone, you're living moment to moment with people trying to kill you," he says. "There are so many ways I could have been killed, with guns, bombs and shrapnel. You live with fear you could cut with a knife.

"Several times I was held up at gunpoint. My camera and money have been robbed, people have broken into my hotel room while I was sleeping.

"Many times I thought that I had pushed things too far, that it was not a good idea to enter this skirmish or battle. Many times I have thought that this isn't going to end well.

"But I have found that I get completely consumed by the importance of the story I am telling, the feeling that the world has got to know. It's never about the adrenaline. It's about the story."

Has frontline reporting become more dangerous?

"It has always been dangerous, but now there is the added dimension of trying to grab headlines," he says.

"You might have got kidnapped or shot in the past, but not beheaded. There was no wish to create a heinous piece of theater.

"But we can't give in. These stories have to be reported, and writers and photographers have to continue telling them."

McCurry's portfolio is far broader than his war photography, however. He has worked all over the world, from the jungles of central Africa to the mountains of Tibet, each time seeming to capture the soul of the people he photographs.

"My camera acts as a shield when I'm photographing something horrific, as it's easier to look at distressing sights through a viewfinder," he says.

"But when I'm not in a war zone, having a camera helps me talk to people, interact, and get involved.

"To take a good picture, you need to spend time with people until they trust you and forget that you're there to photograph them.

"I try to make eye contact when I take a portrait, as it seems to allow you to understand the person, to see their story written on their face."

The advent of the digital camera, he says, has made his job easier.

"I'm not one of those photographers that hankers after the good old days," he says. "Digital photography is better than film ever was."

Although everybody is taking pictures with camera phones, he says, this is "just noise", and doesn't "dilute the value" of a truly great photograph that will endure and be memorable."

"There has to be an emotional component to the picture that you connect with on a profound level," he says. "Once you see it, you can't forget it, and it is so compelling and powerful that it becomes part of the cultural landscape."

Like "Afghan Girl"?

He pauses.

"Yes, like that."

Steve McCurry - Oltre lo Sguardo runs until April 6, 2015 at Villa Reale di Monza.

@highlight

Steve McCurry's "Afghan Girl" is one of the world's most recognizable photographs

@highlight

McCurry has worked in most of the world's war zones over a 40-year career

@highlight

A retrospective exhibition of his work has opened in Italy