Abu Dhabi (CNN) -- We are seeing the deadliest sectarian violence in Iraq since 2008 and that is causing major setbacks for Baghdad's aspiration to challenge Saudi Arabia as the top oil producer.

The latest figures from Iraq's ministry of energy illustrate the direct link between the violence and the country's oil output. In May, monthly production hit nearly 77 million barrels in the two major regions Basra and Kirkuk. That sunk, the ministry said, to fewer than 70 million in June as daily production tumbled to less than three million barrels a day.

According to the U.N., the death toll jumped from 595 killed in April to 963 in May -- and more than 1,000 were killed in July.

This is a quick turn of fortunes after Iraq surpassed neighboring Iran as the second largest oil producer within OPEC last year, hitting a peak of 3.4 million according to Standard Chartered Bank in its latest report on the country.

A couple of years ago, Iraq said it would achieve daily production of 12 million barrels a day by 2020. The ministry lowered those expectations to nine million and strategists say that remains ambitious.

One would think that Iraq would do everything to guard its prized facilities. Pipelines have been attacked, some fields missed production targets, and the cost of production has risen. The inability to protect those fields suggests that the general security situation is worse than expected in many corners of the country.

But this goes well beyond sectarian violence and the Sunni-Shiite divide that has wracked this country for the past decade. The central government, under Prime Minister Nouri al-Maliki, opted to take a tough line when putting up giant fields for auction in the last few years.

Instead of production sharing agreements (PSAs as they are known) when international oil producers take a percentage of each field, Baghdad went with service contracts -- paying companies only for services such as workers and technical advice. Oil executives suggest that earns them well below $5 a barrel, when North Sea Brent is trading well above $100, and where it has been for a record three years running.

With little upside potential in those fields, there is little appetite for risk either on the production side or when it comes to security -- hence the challenges we are seeing as the violence stretches into a fourth month.

While this is a tricky country to navigate as the situation grows more uncertain, it is fair to say the oil majors don't want to be shut out of this market longer term. Emerging market oil producers have taken the same view -- both the Chinese and Russian producers have been active on the ground, as well regional players from the Middle East.

Majid Jafar, CEO of Sharjah based Crescent Petroleum in the UAE, says the current level of Iraq's proven oil reserves -- 141 billion -- may be too conservative.

"I for one think once they are fully explored they could even be higher than Saudi Arabia, number 1," Jafar said when we toured his natural gas facility in the Kurdistan region earlier this year.

That is saying a great deal, since OPEC pegged the kingdom's reserves at 265 billion barrels in 2012.

"The issue is how to develop those reserves and that is where the challenge lays. There are infrastructure issues, security issues in other parts of the country but the big challenge is policy," said Jafar.

A major policy roadblock remains a national oil law which will govern how revenues are carved up throughout the country. Crescent Petroleum took an early risk to go back into Iraq in 2007, but did so in the Kurdish region where the investment laws and production sharing agreements are in place.

Iraq is earning over $90 billion a year at current production levels, nearly matching the budget for the central government. The problem, those who follow the country suggest, is not enough is going back into building a first class network for distribution.

Read more: Who's behind the bloodshed?

Read more: Can Iraq meet its oil potential

Read more: Iraq scores its first oil find in decades

@highlight

Iraq is experiencing the deadliest sectarian violence since 2008 and oil production has fallen

@highlight

Global oil companies in Iraq are paid for their services rather than getting a share of profits

@highlight

This means the companies have little appetite for risk, CNN's John Defterios says

@highlight

There are fears Iraq is not investing enough in its oil distribution network, he says