Manchester, New Hampshire (CNN) -- Seven Republican presidential contenders faced off Monday in one of the first debates of the primary season, offering policy ideas and criticism of President Barack Obama to try to separate themselves from the competition almost 17 months before the 2012 election.

With Obama intent on re-election, Republican viewers were paying particularly close attention to try to determine which candidates can defeat an incumbent who won in 2008 with strong support from independent, minority and young voters.

Some of the contenders made news in the debate, with conservative Rep. Michele Bachmann of Minnesota announcing she filed her papers Monday and would soon declare her formal candidacy for president.

"We're going to win," Bachmann said of Republican chances in the 2012 vote, drawing applause from the GOP audience at St. Anselm College's Sullivan Arena. "Make no mistake about it. President Obama is a one-term president."

Dressed in dark suits, the candidates offered brief introductions in lieu of opening statements that emphasized their experience and values. The tone remained direct but cordial throughout the two-hour debate, with candidates focusing their strongest criticism for Obama.

Former Massachusetts Gov. Mitt Romney, the early front-runner in polls after his unsuccessful bid for the GOP nomination in 2008, maintained a steady drumbeat of criticism of Obama, saying the president's policies have failed and the administration erroneously thinks it knows what is best for the economy.

"He's failed the American people both on job creation and the scale of government, and that's why he's not going to be re-elected," Romney said, while Bachmann said Obama's economic report card "right now has a big failing grade on it."

Bachmann also lambasted Obama's Libya policy, calling it "substantially flawed" and noting the United States still is uncertain about whether al Qaeda figures are part of the Libyan opposition trying to oust Moammar Gadhafi. Former Pennsylvania Sen. Rick Santorum said Obama had "turned his back on American allies and he has embraced our enemies," while Texas Rep. Ron Paul called for an end to drone strikes in Yemen and Pakistan, saying "our national security is not enhanced by our presence over there."

In the end, all praised each other, with Romney declaring that any of the seven on stage would be a better president than Obama.

But CNN iReporter Charlotte Durden, an unemployed realtor and computer teacher from Long Beach, California, took issue with that notion.

"I think that we, the American people, should be upset that these seven candidates have all of the answers and, if they were president ... the county would be in a better place," according to Durden, who said she typically votes Democratic.

A CNN/Opinion Research Corp. survey released Monday showed Romney grabbing the support of 24% of Republicans and independents who lean toward the GOP. Former Alaska Gov. Sarah Palin came in second at 20%, followed by former New York Mayor Rudy Giuliani and the rest of the field.

Palin and Giuliani, who have not announced that they will join the race, did not participate in Monday's CNN/WMUR/New Hampshire Union Leader debate.

Participants were declared presidential candidates Romney, businessman-turned-talk show host Herman Cain, former House Speaker Newt Gingrich, former Minnesota Gov. Tim Pawlenty, Paul, Santorum and Bachmann.

The debate included questions from journalists, audience members and voters at gatherings across the state, which will hold the first presidential primary next year. Romney is the heavy early favorite in New Hampshire due to his time as governor in neighboring Massachusetts.

Moderated by CNN's John King, the debate covered major domestic and foreign policy issues including economic policy, deficit reduction and the wars in Iraq, Afghanistan and Libya. Answers illuminated key differences between the candidates.

For example, when asked about a controversial Republican proposal to overhaul the government-run Medicare health insurance program for senior citizens, Gingrich cautioned against an extreme step akin to the Democratic health care reform law unanimously opposed by GOP legislators.

He made similar comments when he kicked off his campaign last month and had to backtrack then under heavy Republican criticism, and on Monday night he moderated his stance by supporting the overall proposal with some modifications. The other candidates generally backed a major structural reform of Medicare.

Gingrich, Pawlenty and Cain all drew applause by declaring their support for right-to-work legislation passed in some states that halts required union membership, and Pawlenty defended his economic plan introduced this week that was based on 5% annual growth, which has rarely been achieved in modern U.S. history.

"This idea that we can't have 5% growth in America is hogwash," Pawlenty said. "It's a defeatist attitude. If China can have 5% growth and Brazil can have 5% growth, then the United States of America can have 5% growth. And I don't accept this notion that we're going to be average or anemic. So my proposal has a 5% growth target."

As the current favorite, Romney faced criticism from his fellow candidates. Santorum, an ardent foe of abortion, said it was important to look at a candidate's record when asked about Romney's policy switch from a pro-choice stance as Massachusetts governor to a pro-life stance in the 2008 campaign and today.

Voters looking at candidates should consider "the authenticity of that candidate" and look at the record over time to see "what they've been willing to fight for," Santorum said, touting his own pro-life credentials.

Romney responded by saying that he believed "people understand that I'm firmly pro-life," adding he would support Supreme Court justices who follow the Constitution rather than "legislate from the bench" and that he believed in the sanctity of life from beginning to end.

Pawlenty, meanwhile, avoided an opportunity to repeat his criticism of health care reform in which he tied Obama's health care law to Romney's health care legislation in Massachusetts, coining a word: "Obamneycare." When pressed on Monday, Pawlenty declined to repeat the phrase with Romney standing nearby.

While Romney was a focus of attention at the debate, Gingrich had the most to prove after last week's exodus of 16 top aides from his campaign less than a month after he formally announced his 2012 bid.

The outgoing staff cited the candidate's questionable work ethic and fundraising ability as their reason for abandoning the campaign. Gingrich has vowed to continue and sought Monday to use his strong skills as a debater to demonstrate that his candidacy is still viable.

When asked about immigration reform, Gingrich angrily rejected the narrow definition of the question, saying candidates should avoid giving a yes or no answer on such a complex issue.

Also in the field Monday was Paul, who tried to appeal to a national audience in his third presidential bid. Paul has devoted and energetic followers, but he is thought to be somewhat out of the mainstream of GOP politics thanks to his calls to scale back U.S. military efforts abroad and his attempts to get rid of the Federal Reserve.

But in the aftermath of the 2010 midterm elections, which saw Republicans make gains up and down the ballot after running campaigns built on scaling back the size of government, Paul insists that Republicans are moving toward his proposals.

Santorum, Bachmann and Cain are all well-known in social conservative circles and now are vying for the support of that key voting bloc.

All prompted applause Monday with forceful statements on red-meat conservative issues. Cain repeated that he would be uncomfortable with a Muslim in his Cabinet unless he was sure it wasn't one "trying to kill us," while Santorum and Bachmann backed a constitutional amendment defining marriage as between a man and woman.

Santorum, however, broke from most of the other contenders by backing the repeal of the "don't ask, don't tell" policy barring openly gay military personnel.

CNN iReporter Egberto Willies challenged the value of the entire debate, saying it "lacked intellect."

"We heard nothing but talking points," he said. "We've given these guys a platform to spill talking points that ultimately will never solve America's problems."

CNN's Paul Steinhauser, Peter Hamby, Tom Cohen, Mark Preston and Ed Payne contributed to this report.

@highlight

Debate ends on lighter note with candidates praising each other

@highlight

Santorum questions Romney's pro-life commitment

@highlight

Bachmann announces she filed papers to run for president

@highlight

Debate begins with criticism of President Obama