(CNN) -- Eighteen-year-old Kaitlyn Hunt, charged with a crime for having sex with a 14-year-old girl, rejected a deal Friday that would have required her to plead guilty to child abuse, according to Hunt's attorney.

Hunt was charged with two felony counts of lewd and lascivious battery after the parents of the 14-year-old went to authorities. Hunt's family says their relationship was consensual, but in Florida a person under the age of 16 is not legally able to give consent to sex.

If Hunt is convicted, she could go to prison for 15 years -- a reality that touched off a maelstrom of controversy across the country this past week. The case became widely known when Hunt's family began an online campaign in defense of their daughter.

The plea deal from the Indian River County prosecutor's office would have required Hunt to plead no contest to child abuse, spend two years "on community control," which usually involves strict supervision, followed by one year of probation.

According to the plea deal document, during her probation, Hunt would have had to agree to stay away from the 14-year-old, and to provide her probation officer with immediate access to her Internet and telephone communication.

Read the report, offer

In a statement saying that Hunt was rejecting the plea deal, her attorney, Julia Graves, wrote:

"This is a situation of two teenagers who happen to be of the same sex involved in a relationship. If this case involved a boy and girl, there would be no media attention to this case.

"Our client is a model citizen. She has been placed in an environment of school with her classmates where they go to school together, have lunch together, and play on the same team and are allowed to have communication and contact without barriers. Then when something develops between the two as a result of this environment created by the state, it leads to criminal prosecution."

"If this incident occurred 108 days earlier when she was 17, we wouldn't even be here," the attorney wrote.

The parents of the young girl Friday evening said they are prepared to go forward with the case.

His daughter's innocence was taken away, Jim Smith told CNN affiliate WPEC. "There deserves some type of punishment for that."

The office of State Attorney Bruce Colton said it tendered an "extremely lenient plea offer in this case which would have ensured that the defendant avoided any term of incarceration and the stigma of being labeled a sex offender.

"In fact, in all probability the defendant would have avoided being a convicted felon," the statement continued. Colton will prepare for a mid-July trial.

Earlier this week, Hunt cried in front of news crews.

"I'm scared of losing my life, the rest of my life," she said, "not being able to go to college or be around kids, be around my sisters and my family."

In response, Charles Sullivan Jr., the attorney for the 14-year-old girl's family, said they had been hoping the case would be resolved by now.

Now the 14-year-old girl may have to take the witness stand if the case goes to court, Sullivan said.

"No parent wants their child to have to testify in court, but unfortunately the reality of our system is we have a system where a defendant has the right to have all the witnesses present. It's just the aspect of our law," Sullivan said. "It's a difficult process but it's a necessary process in our system of justice."

A case catches fire on Facebook

The case has been a lightning rod for controversy after Hunt's family went public on Facebook, describing their daughter's case and essentially accusing the victim's family of going after their daughter because she is gay.

The victim's family said that isn't true; they are only trying to protect their 14-year-old.

The American Civil Liberties Union has spoken out in defense of Hunt and an online petition by Change.org had attracted some 279,000 signatures by Friday evening. They say the punishment does not equal the crime.

Despite the online furor, a case like this isn't all that unusual, said David LaBahn, president of the Association of Prosecuting Attorneys, a national professional group.

"Prosecutors get these kinds of cases all the time, and it's almost always parents who come to them saying that something like this has happened," said LaBahn, who worked as a trial attorney in California for 10 years and focused on prosecuting sex crimes for four years.

The amount of difference between the alleged perpetrator's age and the victim's age weighs heavily in whether a prosecutor moves forward on a case, he said.

"If you had an 18- and 17-year-old, there may be some investigation," he said.

"If the 17-year-old says it was consensual, that would probably be the end of it and you wouldn't have charges."

But in this case, 18 and 14 is a wide gap, he said. "According to law in Florida, this is a crime."

It doesn't matter -- and shouldn't matter -- what people in an online community who don't have the investigative details of a case believe, he said.

He drew a comparison to the Jodi Arias case currently under way in Arizona. Many people -- even those on the jury -- said they couldn't conceive how a petite woman who claimed she'd been the victim of domestic violence could repeatedly stab her boyfriend, as she admits doing.

"As a prosecutor you cannot be influenced by anything other than the facts," he said.

While some have suggested this case is being handled differently because it involves two females, Indian River County Sheriff Deryl Loar said that has nothing to do with it.

"If this was an 18-year-old male and that was a 14-year-old girl, it would have been prosecuted the same way," he said.

Parents of girl, 14, say they are protecting her

At trial, the prosecutor is likely to try to put on witnesses who can show that the 14-year-old was damaged psychologically by engaging in sex at such a young age, and that she wouldn't have normally done such a thing.

In an earlier interview with CNN affiliate WPEC, Jim and Laurie Smith insisted that the girls' gender has nothing to do with the case. They are concerned about ages.

"Our daughter was 14, and this girl was 18," said Jim Smith.

According to the Smiths, they twice warned Hunt to stop.

"I had another adult, who is a mother, she came to me and said, 'Ms. Smith, you need to know this.' She said, 'We told Ms. Hunt to leave your daughter alone but they are in a relationship. And, she's 18.'"

Laurie Smith said she was shocked. Her daughter was just too young, she thought.

The 14-year-old began to act out, the Smiths told WPEC.

Then one weekend morning the Smiths went to their daughter's bedroom and discovered she was missing.

They panicked, thinking someone took their daughter or that she was hurt. "Her running away was the furthest thing from our mind," said Jim Smith. "We thought ... you hear about kids getting abducted from their homes."

But they later learned that Hunt had picked their daughter up, they told WPEC.

"We had no other alternative but to turn to the law, use it basically as a last resort," Jim Smith said.

Bloggers have called Laurie Smith a gay basher and accused her of being abusive to her daughter. Numerous news reports have asked whether the Smiths went after the teen because of her sexual orientation.

But Smith says her goal is to protect her 14-year-old, and she will not relent.

"I will be an advocate of what she needs," the mother told WPEC. "The stories that people are saying ... I love my daughter. ... I'm willing to do whatever to protect her."

"This whole story about you blaming Kate for making your daughter gay ... where did that come from?" a reporter asked the parents.

"I don't know. It didn't come from us. That's not how we feel," Jim Smith answered.

Still, Hunt's supporters say she is being prosecuted because she was in a sexual relationship with someone of the same sex. A Facebook support page the Hunt family set up called "Free Kate" has gathered more than 47,000 names.

Not everyone who is posting online might have the facts of the case. A glance at postings on Facebook and Twitter show that some people are getting the ages of the girls wrong. Others have posted erroneously that Hunt is being prosecuted for numerous other charges.

Regardless, everyone seems upset about the effect a felony child abuse conviction would have on Hunt, if she agreed to the plea deal.

LaBahn told CNN that a felony child abuse conviction would mean that Hunt would have to disclose her felony conviction on employment applications and she could never serve on a jury. She would be prohibited from voting for a period of time, though each state has different time frames for that rule, the attorney said. She may not be able to secure student loans either, he said, and she might not be allowed to adopt or obtain a childcare license.

Graves, Hunt's attorney, had earlier asked that the charges be reduced to a misdemeanor.

"This is a life sentence for behavior that is all too common, whether male, female, gay, straight," Graves said at a Wednesday news conference.

"High school relationships may be fleeting," she said, "but felony convictions are forever."

CNN's Sara Ganim and Kim Segal contributed to this report.

@highlight

Prosecutor says plea offer "extremely lenient"

@highlight

Florida teen has rejected deal

@highlight

Authorities: Charges are not related to the sexual orientation of the teens

@highlight

14-year-old's parents: We are trying to protect our daughter