(CNN)The United States is failing its partners. If you want to understand one of the reasons that terrorism has been allowed to spread, it is that the majority of our partners do not have credible and capable special operations forces to respond to and defeat the current threat -- and we're not doing nearly enough to address the problem.

The trouble is that little of our foreign military financing -- including the recent Counterterrorism Partnership Funds -- goes toward this vital facet in our efforts to counter extremism. As a result, violent extremists are making troubling gains.

It's not because we don't recognize the problem -- nor that we don't talk the talk.

The 2015 National Security Strategy speaks to the importance of American-led partnerships, while the 2014 Quadrennial Defense Review noted that we "will rebalance our counterterrorism efforts toward greater emphasis on building partnership capacity."

Despite this apparent recognition, the United States is not where it needs to be and instead finds itself constantly responding to crises instead of heading them off because of the failure to prioritize long-term investment in special operations units in key partner nations.

As a result of this neglect, since the attacks of September 11, 2001, we have seen deadly terrorist attacks not just in the Middle East, but also in Indonesia, India and sub-Saharan Africa. Just look at the case of Kenya.

On September 21, 2013, Al-Shabaab jihadists attacked the Westgate Mall in Nairobi, executing dozens of unarmed men, women, and children. Less than two years later, at Garissa University, Al-Shabaab jihadists attacked university dormitories, butchering almost 150 people. The perpetrators were separating the Christians from the Muslims and systemically executing the Christians before detonating their suicide vests. During both incidents, the Kenyan forces' response was horribly executed.

Sadly, Kenya is not the exception -- and it is by no means the only country missing out on vital U.S. assistance.

In 2015, U.S. taxpayers are providing $5.65 billion in foreign military finance, the majority of which is going to Israel and Egypt. Kenya, meanwhile, was slated to receive a mere $1.2 million. Nigeria, which is grappling with the rising threat of violent extremists in the shape of Boko Haram, has been afforded only $600,000.

Simply put, the United States is spreading foreign military assistance too thin, while also failing to make necessary long-term commitments. It takes years to build special operations forces with credible capabilities. But although it is a worthwhile investment in terms of resources and energy, U.S. security assistance is not supporting enduring programs that build credible special operations partners.

The reality is that we are not selling or giving our partners the capabilities that are critical to defeating the imminent threats they face today in hybrid warfare.

We are also failing to develop long-term programs of record, bringing to bear all elements of national power as we did with Plan Colombia. This program, as well as the recent U.S. mission to support our Filipino partners against Abu Sayyaf, demonstrates the power of a persistent presence by U.S. Special Forces when coupled with long-term funding and true interagency cooperation.

True, the Section 1206 Global Train and Equip program fulfills some needs, but money from the program only provides limited support -- it is an annual appropriation for "new and emerging" counterterrorist operations or to support military and stability operations in which the U.S. armed forces are a participant. Another program that builds special operations capacity, the Joint Combined Exchange and Training program, is also insufficient because it is ad hoc and meant to train U.S. forces first and foremost, not our partners.

With all this in mind, it is clearly time for Congress to step in and develop a dedicated program that builds out special operations in key nations to help bring the fight to the violent extremists in their own backyards. By investing everywhere, we are investing nowhere, which is why we need to make choices about where the United States and its allies will see maximum benefit.

The United States has a choice -- reinforce failure and keep doing what we are doing or change course while we still have time. But to get this right, Congress needs to start out by conducting hearings to find out in detail what current programs are providing to defeat imminent threats.

This will mean asking the Departments of State and Defense to lay out a detailed budget with necessary metrics to show what capabilities these programs will provide to counter hybrid threats and when those capabilities will be complete. At the same time, Congress needs to move beyond annual appropriations so that State and Defense planners can do their job, too.

Attacks such as Mumbai and Westgate are easy to plan, do not require large amounts of ordinance and can be done in almost any location in the world -- we can expect to see a lot more of these. But with competent and capable partners who are interoperable with other special operations forces and law enforcement, we can start to make progress.

It goes without saying that special operations forces are not a panacea for defeating terrorism, the causes of which are complex and diverse. But having credible special operations forces is a great first step.

And for many of our partner nations, the special operations capability we give them may be the best chance they have at protecting their populations from extremists at home.

@highlight

Meaghan Keeler-Pettigrew, Stuart Bradin: U.S. must rethink special forces

@highlight

United States is spreading foreign military assistance too thin, they say