Washington (CNN) -- A 60-day countdown to the end of the ban on gays and lesbians serving openly in the U.S. military has begun, President Barack Obama announced Friday.

Obama, with his top men at the Pentagon, formally "certified" to Congress that the present "don't ask-don't tell" policy will end in mid-September without harming "military readiness, military effectiveness, unit cohesion and recruiting and retention of the Armed Forces."

Pentagon officials briefing reporters admitted there is still work to be done. Although more than 1.9 million military personnel, out of a total of 2.2 million, have been trained in the new policy, there is still more training to be done. In addition, there are open questions about benefits for same-sex partners, such as health coverage and housing allowances.

And the Pentagon admitted that although the policy is set to end September 20, the lawyers still have to figure out exactly when on that day the controversial rules will change.

This 60-day clock and the shared sign-off by Obama, Defense Secretary Leon Panetta and Joint Chiefs Chairman Adm. Mike Mullen were choreographed to allow the services to complete training and fine-tune rules over the next two months.

This comes as one of the first major actions by Panetta, who has been on the job for three weeks. He was ceremonially sworn in Friday morning by Vice President Joe Biden in the underground Pentagon Auditorium just hours before certifying that the repeal could go forward. He did not appear at the briefing.

"Today, as a result of strong leadership and proactive education throughout the force, we can take the next step in this process," Panetta said in a statement.

The 9th Circuit's Court of Appeals issued a ruling Friday extending its stay -- first issued in November 1, 2010 -- to keep the "don't ask, don't tell" policy in effect, even as it acknowledged "the government's likelihood of success on the merits."

More significantly, though, the court added it would prohibit "the government from investigating, penalizing or discharging anyone from the military pursuant to" the policy. That means the government cannot target gays and lesbians who are serving in the military, even over the next 60 days.

Pentagon officials at the Friday briefing said there would be no separate quarters or bathrooms based on sexual orientation under the new policy.

It has been a long and hotly disputed process since a lame-duck Congress passed legislation repealing "don't ask, don't tell" and Obama signed it into law just before Christmas. As the military spent seven months deliberately moving toward repeal, a parallel battle in the federal courts further muddied the issue with a series of whiplash rulings that ended and then reimposed the policy.

And while the military has saluted smartly and gone about changing the rules and telling the troops they better listen or else, the critics keep coming.

Pentagon officials said the service chiefs and the combatant commanders had unanimously agreed that their branches were ready for repeal. But some members of Congress want to know if the top military brass opposed the actual policy change and warned of adverse consequences.

"The president's certification culminates a flawed repeal assessment and adoption process and as such the House Armed Services Committee will continue to conduct vigorous oversight," the committee chairman, Howard "Buck" McKeon, R-California, said Friday.

"I am calling on the administration to immediately release to Congress each of the assessments performed by the services on the impact of repeal on their forces and all the regulations and policy documents that demonstrate the questions about implementation have been resolved," said in a statement e-mailed by his office.

Across the Capitol and across the aisle, Senate Armed Services Committee Chairman Carl Levin, D-Michigan, applauded the action Friday as the end of a discriminatory policy.

"It is a fact that gay and lesbian service members have fought and died for our country and are serving in our military now," Levin said in a statement. "But the 'don't ask, don't tell' policy requires them to conceal their sexual orientation so that they can continue their service to our nation."

Department of Defense General Counsel Jeh Johnson said he is aware that some members of Congress want to know what the top brass thought of the repeal. "That request has been made. It has been made by people on the (Capitol) Hill as well and it is under consideration," Johnson said.

Mike Almy, who was kicked out of the Air Force five years ago under the "don't ask" policy, called it a historic day, a step toward equality for gay and lesbians Americans serving in their country's uniform. Almy told CNN he can't wait to reapply to the military.

"This is long overdue," he said. "This law has weakened national security and harmed our defense and thrown out 14,000 people."

But Elaine Donnelly, who heads a group called Center for Military Readiness, sharply criticized the administration for what she called a political payoff to left-wing activists in the lesbian, gay, bisexual and transgender community.

"On the day that President Obama signs a paper 'certifying' that no harm will come to the military when repeal is implemented, he will own the San Francisco military that he has created," Donnelly said in a release.

"Mr. Panetta is beginning his term as defense secretary by letting down military men, women, and families who were led to believe that their views would be heard and respected. Instead, trusting personnel who participated in the 2010 surveys and focus groups in good faith were misused as props to create the impression that military people 'don't care' about this issue," Donnelly said.

Marine Corps Maj. Gen. Steven Hummer said Friday that the Army, National Guard and Reserves will complete their training for the new policy by August 15. It has been widely understood that the Navy, Marines and Air Force -- all smaller than the Army -- completed their training as early as the end of June.

Over the next two months the Defense Department will continue to study and fine-tune preparations for the change, as well as review existing benefits and how they can be altered.

The military is toeing an optimistic line that changes can be accomplished without major disruption or embarrassing incidents.

"This undertaking is a fine example of how the services can come together to get a mission accomplished, deliberately, effectively and efficiently," Hummer said. "I know the good work will continue."

@highlight

NEW: A U.S. Appeals Court bars "penalizing or discharging anyone" for violating the policy

@highlight

Obama, Panetta and Mullen certify that the military is ready to repeal "don't ask, don't tell"

@highlight

Repeal of the policy will allow the military to accept openly gay and lesbian service members

@highlight

A 60-day waiting period now begins before the repeal can be fully implemented