LONDON, England (CNN)  -- China's new found wealth has seen an explosion in the number of new developments springing up in what is, arguably, the world's biggest building boom.

The construction of the Linked Hybrid project is underway in Beijing.

Nowhere is this more apparent than in Beijing, which has transformed into a virtual construction zone as the city undergoes an Olympic makeover.

Once a flat cityscape in the shadow of the formidable Forbidden City, Beijing has been struck by skyscraper fever.

The city is now an architect's playground with foreign "starchitects," like Norman Foster flocking to the country armed with individual creations that push aesthetic and technological boundaries.

And the latest addition to the Beijing skyline is no exception.

Standing on the edge of the former site of  the city's historic walls are a series of eight asymmetrical towers that bestride the smog-laden landscape like a colossus.

Dubbed the Beijing Linked Hybrid, this architectural maverick has certainly pushed the design envelope to its very limit.

The brainchild of New York architect Steven Holl, the mixed-use unit is a ring of eight 21-story towers, linked at the 20th floor by gently sloping public sky bridges, lined with galleries, cafes, restaurants, bars and shops.

The development has been widely praised for its forward thinking sustainable design that includes a waste water recycling plant that sits beneath the complex and one of the world's largest geothermal systems, which eliminates the need for boilers or electrical air conditioners.

It also has green roofs, filters to protect residents from pollution and large ponds to harvest recycled rainwater.

The complex comes with its own Hyatt hotel and the 15-acre grounds feature everything from a basketball court to tai chi platforms, a cinematheque, bank, dry cleaners and even a kindergarten.

For its 2,500 inhabitants, there are enough facilities and services to ensure they never have to leave the confines of the complex--except maybe to go to work-- when it opens in October 2008.

Linked Hybrid is, in effect, a city within a city.

Holl, who is also a professor at Columbia University, describes it as a "visionary project on all levels" and an "ultra modern expression of ecological urban living."

However, for all its plaudits, the Linked Hybrid project has attracted many criticisms.

Among them is that its brand of green luxury won't come cheap. With apartments selling for 44,000 Yuan, or $6,000, per square meter, it can only appeal to China's nouveaux riches, further creating social division in what is already a deprived area of the city. Sound Off: Tell us what you think of the Linked Hybrid project.

Critics also argue its city within a city element has isolationist overtones, reminiscent of gated communities that are becoming increasingly popular around the world.

For Washington-based architect and urbanist, Howard Decker, buildings like Linked Hybrid form part of the problem and not the solution, although he applauds the efforts to "green-up" the project.

"This is a remarkably cold, hostile, hermetic place," he tells CNN. "The disconnect with the surrounding urban fabric emphasizes the sense that the Linked Hybrid's principle references are to itself, not the larger city.

"The project is inward focused, the towers gathered around a central water feature at the middle of the towers. The towers seem to be in a conversation with one another, but not necessarily with the surrounding city."

Decker, a former Chief Curator of Washington's National Building Museum, believes the concept of a street in the sky is "antagonistic" to how cities should work.

"First, last and always, great places, great cities, begin with great public domains, and in particular with their streets. We all own the street: it is the place where we all belong, where we can move and linger, where we can erect monuments to tell our stories, where we can sit and watch our neighbors, or sit and sip and read the news of the day."

"One of the joys of urban life is the collision of uses, the chance to sit and observe the passing scene, to see and be seen," he adds.

This, he contends, cannot be done within Linked Hybrid where the inhabitant takes on more of an observational role.

"In the instance of the Linked Hybrids, this experience seems more like being in an observation tower, and less like being in the middle of a bustling, alive, exciting city," he says.

Chief among the criticisms the Linked Hybrid project has attracted is that it is entirely out of context with its environment and "desecrates" the former imperial city.

Linked Hybrid is sited just 2.5 miles from the Forbidden City and its residents can apparently see into the former palace on a "clear day," Holl tells CNN.

But Holl is adamant this is no 21st Century Forbidden City.

"Linked Hybrid is no more isolationist than Greenwich Village in New York," he says. "We modeled it on the Rockefeller Center. Anyone can go in but of course the owner reserves the right to refuse entry.

"But people need to come in to allow the shops and commercial base to be successful."

Furthermore, Holl rejects assertions that this is "fortress architecture" designed to keep all but the very rich out.

He said: "It's a very open and porous building," he says. "It's free passage and the very opposite of a gated community. Our scheme is going against what's currently being built in China.

"What is being built now are point towers, isolated at the base. Gated communities with no services. I believe that we had to make a project that has a vision for urban interaction, one that has services, and is open to the public. There are actually 15 different ways to enter the complex."

However, the concept of a city within a city, one that appears disconnected from its surrounding environment, rests uneasily with some, who see it as the stuff of dystopic science fiction.

Some, like Beijing-based designer Mi Qiu, believe China ought to preserve more of its traditional housing forms like the centuries-old villages and hutong--neighborhoods traversed by narrow, winding alleys.

"These new buildings are totally different--they are just dumped down as if from nowhere. There is no harmony or overall concept or town planning," Qiu said in a BBC interview.

But as China hurtles headlong into rampant modernization and urbanization, producing millions of new homeowners, its social fabric and thousands of years of its history will no doubt become fundamentally, and irrevocably, altered.

@highlight

Beijing is in the grip of a building boom that has transformed its skyline

@highlight

Linked Hybrid is latest addition to the Beijing skyline

@highlight

The building is a ring of eight 21-story towers linked by public sky bridges

@highlight

The development has been praised for its forward thinking sustainable design