London (CNN) -- The arrival of Prince William on a British military mission to the Falkland Islands puts him at the center of a diplomatic storm with Argentina about who owns the archipelago the two nations went to war over in 1982.

William's six-week posting with an air force search and rescue crew has further inflamed anger in Argentina, where hostility towards Britain over the territory it calls Islas Malvinas is already intense.

Argentine President Cristina Fernandez de Kirchner and British Prime Minister David Cameron have both been drawn into a bitter war of words in recent weeks, reviving memories of conflict.

Meanwhile Argentina has recruited regional allies such as Brazil to back its claim to the islands.

Why are the Falklands in demand?

Located in the South Atlantic Ocean, about 480 kilometers east of the tip of South America, the windswept Falklands have long been coveted as a strategic shipping stopover and potential wellspring of natural resources.

Their remoteness, however, exposed them to neglect and complex wrangling over ownership among British, French, Spanish and Argentine interests. Argentina's forerunners formally declared possession in 1820, prompting Britain to reclaim a sovereignty it originally declared In 1765.

Falklands conflict in photos: High-res gallery

Despite regular challenges, notably in 1982, British control has endured and the Falklands' current 2,500 inhabitants look to London to safeguard oil, fishing, farming and tourism incomes.

What happened in 1982?

The Falklands became a battleground as Britain and Argentina sent warships, submarines, aircraft and troops to the islands. Diplomatic hostilities initially broke out over Argentinian activities on South Georgia -- an even remoter British territory in the South Atlantic.

Naval forces were dispatched by British Prime Minister Margaret Thatcher as Argentine President Leopoldo Galtieri's military dictatorship launched a Falklands invasion on April 2. Troops fought on the islands, aircraft were shot down and ships were attacked with significant losses of life -- most notably the Argentian General Belgrano and Britain's HMS Sheffield, HMS Antelope and RFA Sir Galahad.

Britain declared an end to fighting after 74 days following the surrender of Argentinian troops. Argentina put its death toll at 645. Britain's civil and military losses amounted to 255.

How did the United States and other world powers react?

President Ronald Reagan's administration nailed its colors firmly to the British mast, declaring economic sanctions against Argentina. It also gave its Cold War ally a strategic edge by supplying potent Sidewinder missiles to counter Argentina's Exocets.

At the height of the conflict, a meeting in Versailles, France of the world's biggest economies -- including the UK, U.S., Germany, Italy, France, Japan and Canada -- backed Britain's position.

Why won't the UK give up the islands like it did Hong Kong?

Britain acknowledges its claim to the Falklands is disputed, but has no intention of discussing the sovereignty issue, according to Professor Clive Schofield, an expert in maritime territorial disputes at Australia's University of Wollongong.

He says that there is no comparison to Hong Kong, which Britain returned to Chinese control after expiry of a set lease in 1997. "The UK position on the Falklands is that they are under British sovereignty -- they are not leased from anyone."

What has happened to the islands since the end of the war in 1982?

Spurred by the conflict and stung by accusations of neglect, Britain began taking renewed economic interest in the Falklands. It protected fishing rights and asserted control over oil exploration licences. It also stepped up its military interests, building a new airfield and bolstering naval, army and air force presences.

See high-res images of life in the Falklands

Cooperation between Britain and Argentina -- by now an established democracy whose militarist past has left current leaders distrustful of its armed forces -- has improved, but Buenos Aires continued to reject any territorial claim to Las Malvinas other than its own.

So why is the language between London and Buenos Aires more tense now?

Pure politics say analysts. The deployment of Britain's Prince William has added to the theater, as have claims and counter-claims of colonialism -- and Britain's decision this week to send its newest destroyer HMS Dauntless. But, they say, the real source is Argentinian politicians seeking to divert voters from the pain caused by inflation and reduced subsidies on oil, gas and electricity.

"The government is being squeezed from lots of different areas, so one way to distract from the economic problems facing the country is to raise the Malvinas issue," said Professor Mark Jones, an expert in Latin American politics at Rice University in Texas. "It's one of the few issues outside football that you can get universal consensus on."

In the UK, Cameron -- an heir to Thatcher's Conservative party legacy -- must be seen to defend the principles his predecessor mobilized the troops for. "It's not about asserting a claim, it's about allowing people of the Falklands to have the right to self-determination," said Simon Weston, a British Falklands conflict veteran.

What has Argentina done to bolster its claims?

Regional allies have been recruited to the cause, with members of the South American Mercosur trading bloc uniting to ban Falklands-flagged vessels from their ports.

This is largely "diplomatic dressing" that will do little to isolate the islands, says Professor Roett Riordan, who heads the Latin American program at John Hopkins University in Washington D.C.

Jones adds that more effective pressure could be applied if Argentina's Fernandez persuades Chilean President Sebastian Pinera to cancel a vital air link between the islands and Santiago.

Is this now all about oil?

Partly. There is Argentinian resentment of a British oil exploration project launched off the Falklands in 2010. This has been worsened by Argentina's recent relegation from exporter to net importer of hydrocarbons.

Analysts, however, insist this remains a sideshow to the political traction offered by the Malvinas dispute.

How much oil is there?

Press reports say up to 8.3 billion barrels of undersea oil reserves could lie in the Falklands economic zone -- a radius of 320-kilometers around the islands, but despite successful drilling finds in recent months, this quantity is still speculative.

The figures are backed by claims from small oil ventures, including Rockhopper and Borders & Southern Petroleum, which are hoping to raise capital for further exploration in fields licensed by the islands' British-backed government.

Attempts to attract investment in the projects has been hampered by the Anglo-Argentinian dispute. Many major oil firms have interests in Argentina and are wary of upsetting Buenos Aires by involving themselves in the Falklands.

Also a problem is the considerable cost of extracting deep water reserves from the remote South Atlantic -- although this becomes less of an issue as oil prices continue to climb.

Professor Alex Kemp, a petroleum economics expert at the University of Aberdeen, described the Falklands oil reserve estimates as "optimistic," adding that even if they are proven, the cost of exploiting them could still be prohibitive.

"It's one thing doing exploration, but when you come to development, we're talking about bigger volumes of materials and to get that there is expensive because at the moment there's nothing there -- just sheep farmers," he said.

"It will take a few 100 million barrels to make it worth it, and there's a number of ifs and buts before we get there."

Is conflict likely again?

No, say analysts. While there are parallels with the 1980s -- politicians using Anglo-Argentinian tensions to court votes and divert from economic woes at home -- there is little appetite for conflict on either side. Any action is likely to remain in the diplomatic sphere.

A former senior British military officer last month said UK cutbacks had left the Britain unprepared for another Falklands conflict.

Argentina is apparently in a similar state, with a heavily depleted military that experts say would be no match even for Britain's depleted force. "Even if Argentina wanted to go to war, they have no military capacity," says Jones.

He said Fernandez's own antipathy towards the military -- a legacy of her political opposition to Argentina's former dictatorship -- meant she would be unlikely to support even a maritime blockade of British vessels.

@highlight

Several countries have disputed ownership of Falklands since the first recorded landfall in the 17th century

@highlight

Islands have been coveted as strategic shipping stopover and potential wellspring of resources

@highlight

Argentina and Britain fought over the islands in 1982

@highlight

Prince William will spend six weeks on islands working for an air search and rescue team