(CNN) -- For the past several months, Amy Wolf has been glued to the television, intently watching for information on how best to prepare for H1N1 flu.

Eight months pregnant, Amy Wolf (shown with her husband and son) signed up for an H1N1 vaccine trial.

She usually does not worry about the flu, but this year is different: Wolf is eight months into her second pregnancy. "I watch the news like crazy, and it seems like every time I would watch or read something, there was a picture of a pregnant woman," Wolf says.

She's right to be concerned. According to the Centers for Disease Control and Prevention, pregnancy puts Wolf at higher risk of complications for flu in general, and so far that also holds true for the novel 2009 H1N1 virus. The most recent data show that from April 15 to May 18, 2009, thirty-four percent of the pregnant women infected with the H1N1 virus were hospitalized, and by June, six pregnant women had died.

"I've never heard of something affecting pregnant women more than anyone else," says Wolf.

More worrisome -- the virus is already widespread in Tennessee, where she lives. Wolf says a neighbor's son was recently hospitalized. "[H1N1] just seems more real to me than a lot of the other health concerns."  Track the H1N1 flu »

A perusal through our Empowered Patient inbox found swine flu is a hot topic among pregnant women. We took the questions we received to experts for answers.

Is the H1N1 vaccine safe for pregnant women?

According to a guide for pregnant women released by the CDC, the H1N1 vaccine "will be made using the same processes and facilities used to make seasonal influenza vaccines," which are already proven to be safe, and are currently recommended for pregnant women.

"We anticipate the safety to be similar to the seasonal flu vaccine, which has been given to millions of pregnant women and has not been shown to have any adverse events in pregnant women or their children," says Dr. Naomi Tepper, an obstetrician for the CDC's H1N1 vaccine task force.

However, recognizing that pregnant women in particular may be hesitant, Dr. Jesse Goodman, chief scientist for the Food and Drug Administration, says "out of an abundance of caution" researchers are conducting studies on pregnant women and other high-risk groups. "It's always good to have more information," Goodman says. The FDA approves and licenses the vaccine. Quiz: Test your H1N1 knowledge

About 120 expecting mothers are participating in clinical trials across the country. Health officials anticipate the results of these studies will be available in the coming weeks.  Watch more on the vaccine trials »

Should I get the H1N1 vaccine, a regular seasonal flu shot (or both) while I am pregnant?

The CDC encourages pregnant women to get the seasonal flu shot now because it's available, and to also get the H1N1 vaccine as soon as it becomes available.

"A pregnant woman who gets any type of flu is at risk for serious complications and hospitalization," the CDC says in its guide for pregnant women. Tepper also says this is important no matter which trimester you are in. "It should not be delayed until beyond the first trimester because even pregnant women in the first trimester have become very ill," she wrote in an e-mail.

As a woman advances in her pregnancy, her immune system becomes more compromised, which is one of the reasons both the CDC and the American College of Obstetricians and Gynecologists recommend women who will be pregnant during the flu season get flu shots.

If I get the vaccine while pregnant, will this also protect the baby when he/she is born?

"One of the things the body does very well is give antibodies to the babies," says Dr. Buddy Creech, a researcher conducting clinical trials on pregnant women at Vanderbilt University. "It's one of the greatest reasons we vaccinate pregnant women."

Creech says past flu studies have found that when women get flu shots before giving birth, they help build immunity for their child that is particularly helpful during the infant's first few months of life.  Watch more on pregnancy and H1N1 »

"If we're going to protect those children, it'll be with vaccines rather than drugs," Creech says.

Is it safe to get vaccinated while breastfeeding? Should my newborn also be vaccinated?

According to the Advisory Committee for Immunization Practices, the H1N1 vaccine will be recommended for children ages six months and older. Newborns and infants younger than 6 months cannot receive the vaccine.

Health officials say breastfeeding is one way a mother might be able to help protect her baby. "The vaccine is safe if she breastfeeds, and she may even pass along some immunity to her infant," says Tepper of the CDC. "It will also reduce the chance that [the mom] will get the flu and pass it to her infant."

What's the difference between the seasonal flu shot and the H1N1 vaccine?

The seasonal flu vaccine is updated each year to protect against the predominant flu strains expected to circulate during the flu season.

Health officials say the process and formulation of the H1N1 vaccine is identical to that of the seasonal flu shot. The main difference is that the novel 2009 H1N1 strain was first seen in April 2009, after the seasonal vaccine had been developed.

Will the H1N1 vaccine be free of thimerosal?

According to the CDC, versions of the H1N1 vaccine will be ordered with and without the preservative thimerosal. Preservatives are sometimes used in vaccines to help prevent the growth of fungi and bacteria that find their way into the vaccine vials.  Read what the CDC says about Thimerosal in H1N1 vaccines

The FDA has approved applications from four manufacturers to begin producing the novel 2009 H1N1 flu vaccine. In all, some 40 million to 50 million doses are expected to be produced.

Amy Wolf is not as worried anymore: On September 15, she became one of the first pregnant women in the United States to receive the vaccine. She participated in the clinical trial at Vanderbilt University, where she is employed. "I thought If I could do something now to protect both myself and my baby, then it just seems stupid not to."

Wolf signed up only after speaking with the researchers at the university and her OB-GYN, and asking a ton of questions. She says, for her, the benefits of participating outweighed the risks.

"I really don't feel like a guinea pig," Wolf says. "I haven't had a single medical professional tell me I shouldn't do it. And that made me feel really confident."

CNN's Elizabeth Cohen and Miriam Falco contributed to this report.

@highlight

Pregnant women at higher risk of complications from influenza

@highlight

Clinical trials on pregnant women still under way

@highlight

34 percent of women infected with novel H1N1 virus were hospitalized