Smartphones may attract nearly all of the marketing hype and news coverage, but comScore's latest statistics show that smartphones still comprise only a minority of the U.S. mobile market -- about 35%, as of July 2011.

The other 65% of U.S. mobile handsets in use are "feature phones" -- which tend to be much less expensive to buy and own. Often, these phones do not require a pricey two-year wireless service contract with hefty early termination fees.

Even though smartphones cost much more, these devices have been getting popular with U.S. consumers, even in light of the country's economic recession. After all, a 35% market share is nothing to sneeze at -- especially considering that smartphones have only been widely available in the U.S. for about five years.

At some point, a majority of U.S. mobile users will indeed own smartphones. But that shift won't happen as quickly as early forecasts anticipated.

Back in March 2010, the Nielsen Company proclaimed that smartphones would overtake feature phones by 2011. Specifically, they predicted that by the end of Q3 2011 (about a month from now), most U.S. mobile users would own smartphones.

That ambitious prediction doesn't seem to be panning out.

For over a year, comScore has been publishing monthly mobile-market-share statistics that show the percentage of U.S. smartphones. I've been tracking these figures. Based on this data, it looks like it'll be roughly October 2012 before smartphones actually take over as a majority of U.S. handsets.

That's about a year later than Nielsen's forecast.

Even then, there will still be plenty of feature phones in the U.S. market for quite a while. They're definitely not vanishing any time soon.

What might speed up or slow down the proliferation of smartphones in the U.S.?

It's mostly a cost-benefit tradeoff. Decisions about which mobile phone to purchase are driven by functionality (what people want to do with their phones), access (the quality, speed, and geographic availability of local wireless networks), cost (both up-front and monthly bills), and flexibility (the ability to switch carriers, plans, or to cancel at will).

Right now smartphones win in terms of functionality because people can use apps to do almost anything a much bulkier computer would let them do. Still, many consumers prefer simpler phones, and view the mobile app frenzy as a confusing and unnecessary excess. This market segment (and it's not just determined by age, education, or income) will probably keep using feature phones the longest.

Access divides on urban and rural lines. Once you get outside of major metro areas, wireless coverage gets spottier. Also, carriers are very slow to roll out faster "4G" networks in less-populated rural areas. Using a smartphone on a slow or spotty data network can be pretty painful, and might not seem worth the extra cost.

In terms of overall cost and flexibility, feature phones are the clear winners -- which is probably why they remain so popular. It's easy to get a pretty good, no-contract feature phone for $50 or less (or even for free), and then get a month-to-month or pre-paid plan that allows Web browsing, e-mail, and other data access. That costs around $50 per month.

Generally users can cancel these phones at any time, with no early termination fee.

In contrast, smartphones typically cost $100 or more (sometimes much more) at a subsidized price on a two-year contract from a wireless service provider. Monthly bills typically start at $80-90, and if you want to cancel early you'll still owe the carrier up to a few hundred dollars for an early termination fee.

If the overall U.S. economy improves significantly -- and especially if lots more full-time jobs get created soon -- it's likely that smartphones would take over sooner. But if the recovery continues at its current pace or slows, feature phones could remain the majority into 2013 or beyond.

It's also possible that manufacturing advances could bring the cost of smartphones down. Or the major U.S. carriers might decide to offer more smartphones on more flexible and consumer-friendly terms. Personally, I'm not holding my breath for either of these outcomes.

The good news is that, for people who stick with feature phones, those devices aren't as limited as they used to be. One of the biggest areas of improvement in the U.S. feature phone market is the Web browser. Most feature phones come with some kind of Web browser, and users can opt to pay a little extra for a data plan that allows them to access the mobile Internet.

It used to be the case that feature phones came packaged with horrible, frustrating and slow browsers that displayed most Web pages poorly or not at all.

But now it's fairly easy for most U.S. consumers to find feature phones that include a much better pre-installed Web browser such as Opera Mini or Bolt. These display most Web pages pretty well and are easy to use, offering a vastly superior mobile browsing experience.

According to Per Wetterdal, Opera's U.S. regional manager, American consumers can currently purchase Opera Mini-equipped feature phones that don't require a two-year contract from AT&T and Virgin Mobile (a brand from Sprint) -- and by this holiday season also from Verizon. (The stock AT&T mobile browser is actually a branded version of Opera Mini.)

Discount carriers such as MetroPCS and third-party retailers such as Wal-Mart generally don't yet offer feature phones pre-installed with better proxy browsers. But any feature phone owners usually can download a better browser for free. The possible drawback is that once installed, it may take some extra clicks to launch.

Opera Mini and Bolt offer additional benefits that may appeal to smartphone owners, too. These browsers, and others like them, are "proxy browsers" which compress data significantly before transmitting it to the phone. This means they load Web pages faster, and they help control mobile data consumption.

So if you're on a tiered data plan, even if you own a smartphone it might be a good idea to install a proxy browser. Using it can help you avoid hitting your data cap, getting charged for overages, or even getting throttled. This will probably work well enough for most of your Web browsing, and you can switch to a fully-featured non-proxy browser for sites that warrant it.

Some proxy browsers are specifically designed for smartphones. Opera Mini offers versions for all smartphone platforms, Bolt has BlackBerry versions, and Skyfire offers Android and iOS versions that also play Flash video (something still not fully supported by Apple's Mobile Safari browser).

But if you want to stick with a feature phone for a while, don't worry too. You'll probably still get a good-enough mobile online experience if your phone has a decent mobile browser.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Approximately 65% of U.S. mobile phones are "feature phones"

@highlight

Smartphones have only been widely available in the U.S. for about five years

@highlight

It'll be roughly October 2012 before smartphones actually take over as a majority