Prominent Saudi lawyer and reform advocate Waleed Abulkhair was sentenced on Sunday to 15 years in prison and a 15-year travel ban to be applied after his release from jail for, among other things, "inciting public opinion against the government" and "insulting the country's leaders and judiciary," according to human rights activists in Saudi Arabia.

He was also ordered to pay the sum of 200,000 Saudi riyals ($53,000).  And, according to official Saudi news agency SPA, he is required to close any websites affiliated with the organization he heads, the Monitor of Human Rights Saudi Arabia. The government said the group was run illegally as an unlicensed organization that attempted to prejudice the public against the government.

"This is the price Abulkhair was expecting as a result of his defense of human rights and standing with the oppressed," the group said in a statement.

Abulkhair has called for government reforms including the creation of a constitutional monarchy, the release of political prisoners and the expansion of women's rights.

His wife, Samar Badawi, told CNN her husband does not accept the verdict, nor will he appeal it, as he doesn't recognize the legitimacy of the court or its ruling.  Badawi, who was present when the sentence was read, added, "This verdict was far from just. Waleed was tried and sentenced simply for his work as a human rights activist."

Human Rights Watch, which has been closely monitoring the trial, condemned the verdict shortly after it was issued.

"Waleed Abu al-Khair's harsh sentence shows that Saudi Arabia has no tolerance for those who speak out about human rights and political reform and it will go to any length to silence them," said HRW Saudi researcher Adam Coogle.

It's the second time in less than a year that Abulkhair, one of Saudi Arabia's leading and most outspoken liberal voices, has been found guilty by a Saudi court. In October, he was sentenced to three months in prison for signing statements critical of the Saudi government and of Saudi officials.

Just as that case was winding down in a court in Jeddah, another one against Abulkhair was gearing up in Riyadh -- this one at the Specialized Criminal Court, a venue known for trying accused terrorists.

Charged with "speaking to the foreign media with the intention of harming the country's reputation" and "breaking allegiance with the King," Abulkhair refused on many occasions to recognize the legitimacy of the court.

In April, while attending the fifth hearing of his trial, Abulkhair was arrested. He's been incarcerated ever since.

Despite repeated attempts, CNN was unable to reach Saudi Arabia's Justice Ministry or Interior Ministry for comment.

Human rights organizations say Abulkhair's conviction is simply the latest in a long line of disturbing instances where activists have been deliberately targeted and prosecuted in Saudi Arabia, an absolute monarchy with little tolerance for dissent.

"As Saudi Arabia sits as a member on the U.N. Human Rights Council in Geneva," said Coogle, "its courts back home are locking away peaceful activists on harsh sentences merely for calling for reform and respect for human rights."

In May, Raif Badawi was sentenced to 10 years in prison and 1,000 lashes by a Saudi court for insulting Islam. Badawi, Abulkhair's client and brother-in-law, first got into legal trouble with the Saudi government after starting a liberal website and forum where users could discuss religion.

April saw activist Fadhil al-Manasif receive a 15-year sentence and 15-year travel ban for "breaking allegiance with the King" and "harming the reputation of Saudi Arabia by speaking with foreign news agencies."

In 2013, two of the country's most vocal reform advocates, Mohammed al-Qahtani and Abdullah al-Hamid, were each sentenced to 10 years in prison and a five-year travel ban. Both were found guilty of providing inaccurate information to foreign media and founding and operating an unlicensed human rights organization, as well as other offenses.

Human rights organizations may be outraged by these outcomes, but they're hardly surprised. Earlier this year, the Saudi government passed a series of very strong and sweeping anti-terror laws that many groups feared would be used as a way to quash dissent.

In a statement, Human Rights Watch said: "Saudi Arabia's new terrorism law and a series of related royal decrees create a legal framework that appears to criminalize virtually all dissident thought or expression as terrorism. The sweeping provisions in the measures, all issued since January 2014, threaten to close down altogether Saudi Arabia's already extremely restricted space for free expression."

In 2013, Abulkhair spoke to CNN via Skype from Saudi Arabia, as he was under a travel ban. He said any activist who calls for reform there is in danger of being arrested.

"Here's the thing," Abualkhair explained. "The government of Saudi Arabia, they want to show themselves outside Saudi Arabia that they are modern, that they are open-minded, that they want to change, they want to reform, that the problem is coming from the society, and that the society moves slowly. They keep saying that for the foreign media. But actually inside, when we act with our society, when we want to reform, when we want to do something with our society, they keep punishing us."

Saudi activist sentenced to 10 years, 1,000 lashes for insulting Islam

@highlight

Waleed Abulkhair called for reforms, release of political prisoners, women's rights

@highlight

His wife says he doesn't accept the verdict

@highlight

She says he won't appeal because he doesn't accept legitimacy of the court

@highlight

CNN was unable to reach Saudi Justice Ministry or Interior Ministry for comment