New Democracy leader Antonis Samaras was sworn in Wednesday as Greece's new prime minister, following months of political uncertainty for the debt-stricken country.

He was inaugurated at the presidential mansion after meeting with President Karolos Papoulias, who asked him to form a new Greek government.

His swearing-in followed the news that three parties -- the center-right New Democracy, which placed first in Sunday's vote, Pasok and the Democratic Party of the Left -- had reached agreement on the terms for the coalition.

The new government is expected to be sworn in Thursday, state broadcaster ERT said.

Speaking as he left the presidential mansion, Samaras said: "We trust that with God's help we will do all we can to get our people out of the crisis. I will ask the government tomorrow morning to work hard in order to be able to give tangible hope to our people."

Greece has been without an elected government for 223 days, and the new government, which has pledged to push for a renegotiation of the painful austerity measures imposed under the terms of an international bailout, will face significant challenges.

The country is struggling to get out of the political and financial mire that threatens to drag down Europe's common currency and spark a new global financial crisis.

Samaras met with the heads of his two coalition partners, Pasok leader Evangelos Venizelos and Fotis Kouvelis of the Democratic Party of the Left Wednesday evening, ERT reported.

Discussions continue on the government's exact makeup, Venizelos said earlier, but it is not expected to include members of the two junior parties in senior Cabinet posts.

"Greece has a government. ... That is the message that we need to send abroad," Venizelos said as he announced the deal in a televised statement.

The most critical issue for the new government is the formation of a national task force to renegotiate the terms of Greece's unpopular international bailout, he said.

Greece will go to a two-day summit in Brussels later this month determined to push fellow European leaders on the issue, he added.

Venizelos said it is unfortunate that the anti-austerity party Syriza, which placed second in the election, had declined to join the other parties in seeking the best way forward for the country.

New Democracy, which broadly favors Greece meeting international debt obligations, led the talks on forming a coalition after narrowly taking first place in Sunday's election. The socialist Pasok party placed third.

What will Greek elections mean for the country's future?

Dr. Vassilis Monastiriotis of the Hellenic Observatory at the London School of Economics, said it is a positive step that Greece now has a government, but few details about key appointments or policies are yet known.

The Cabinet will be dominated by ministers from New Democracy, after its partners said they would support the government but did not want to be part of it, he said. However, it may include a couple of technocrats from Pasok and a representative from the Democratic Left.

Venizelos's focus on the negotiating team that will seek to amend the terms of Greece's bailout deal, rather than the Cabinet, may signal his desire to be part of that team, Monastiriotis noted.

An early test for the new government will be the Brussels summit on June 28-29, when it will seek to present a strong front to European leaders as it puts forward proposals on changing the terms of the loan agreement and new investment for growth, he said.

While few specifics are known, all three parties are keen to renegotiate a provision under which Greece's current minimum wage of 750 euros a month (about $950) would be cut by 22%, Monastiriotis said.

But, he said: "There's no decision about how (they) actually deal with the immediate problems of acute poverty in parts of society and problems of tax collection."

He predicted that the international community will show patience with the new Greek government at least until September, not least because any alternative would be far more radical and anti-European.

And while Samaras has in the past been rather narrow in his views, Monastiriotis said, the politician has shown some leadership in recent days in making concessions to form the coalition.

Kouvelis announced Wednesday morning that his party's central committee would back the coalition government but that it wanted efforts made to ease the burden of austerity on the Greek people.

"This support is connected to the political platform that will be decided. The Democratic Left is insisting that this platform will contain commitments that will ensure the removal of measures that have gravely affected the Greek society. The country must have a government, but for us the substance of this government's policy is the big challenge," Kouvelis said.

The leftist party has supported bailouts from international lenders while seeking to renegotiate the terms.

With almost all ballots counted, New Democracy had won nearly 30% of the vote, the Interior Ministry said, giving the party 129 seats in the country's 300-seat Parliament.

Syriza, which campaigned against the terms of the bailout, got 71 seats.

Pasok, which long dominated Greek politics, won 33. Four smaller parties took fewer than two dozen seats each.

A wild election weekend for Greece, France and Egypt

Alexis Tsipras, the fiery leader of the leftist Syriza party, met with Samaras but said Monday he would not back a coalition.

"History and the people will judge them by their results," Tsipras said of the parties backing some kind of bailout deal with the creditors who are keeping Greece afloat. "Shortly we will be vindicated."

He said his party's nearly 27% showing had forced Greek leaders to realize the bailout is "nonviable," and said Syriza would press as a member of the opposition for the bailout to be scrapped in its entirety.

The vote was widely seen as a referendum on whether Greece should remain tied to the euro, the currency used by 325 million people across 17 countries in Europe. The possibility of a "no" vote roiled world markets, with some analysts warning that the collapse of the euro would cost $1 trillion.

The future of Europe: 3 scenarios

International bailouts have kept Greece from defaulting in the face of an ongoing recession and low tax revenue, but lenders have demanded hugely unpopular government budget cuts in exchange.

Some observers had predicted that efforts to renegotiate the bailout could lead to a run on Greek banks and deeper misery.

The country must identify additional budget cuts by the end of June to be considered compliant with the terms of its bailout. After five years of recession, unemployment is running at about 22%, taxes are going up and many of those with jobs are suffering cuts to wages.

German Chancellor Angela Merkel, Europe's powerful advocate for balancing budgets to build a strong basis for economic growth, had urged Greeks not to walk away from the international loan deals.

"We will stick to the agreements. That is the basis on which Europe will prosper," she said Saturday.

@highlight

The new government will be sworn in Thursday, Greek state media says

@highlight

New Prime Minister Antonis Samaras meets his coalition partners for talks

@highlight

International leaders see the new government as the best alternative, an analyst says

@highlight

The Greek crisis threatens European economic stability