You can find the ideological divide in Venezuela at almost any gas station.  A Hummer rolls in and fills up for just $2 and its owner gives a thumbs-up. Hugo Chavez's gas subsidies have given this country the cheapest gas prices in the world.

But just after him, a middle class, middle-aged father rolls in for a fill up and tells us, "It's disgusting; it can't go on like this," referring to the $12 billion Chavez's government pays annually to subsidize gas in Venezuela.

Few men or policies have so divided a country, a continent, a hemisphere,  but President Hugo Chavez and his so-called "Chavismo" revolution is contentious whether at the gas station or the United Nations.

How he fares in Venezuela's elections on Sunday will underscore his legacy as either a self-styled Latin American Robin Hood or a shrewd autocrat using and abusing his country's oil riches to stay in power.

And the world is watching.

"We've reached the point where the current situation cannot continue," said economist David Rees with Capital Market in London.

Chavez, Capriles enter home stretch in Venezuelan presidential race

Oil is everything to Venezuela, accounting for more than 95% of its exports. And yet oil production has slowed for almost a decade. Add to that a rising inflation rate, crumbling infrastructure, energy shortages everywhere outside the capital, Caracas, and private sector and foreign investment growth remain low.

"The continuation of the current policy framework could culminate in a crisis, a balance of payments crisis, perhaps a default. Whereas Venezuela does have great potential, it has the biggest proven oil reserves in the world and investment has been lagging behind and there is plenty of room for development," Rees said. "So investors are obviously sitting, waiting for signs, and Venezuela could be a much better bet than it has been."

Chavez has overseen a radical rethink of the economy in Venezuela. By nationalizing many industries, especially energy, his government claims to be fashioning a socialist revolution where the poor are given housing, education and medicine free from the state.

And despite the economy's challenges, many leaders in Latin America compliment and indeed may wish to emulate Chavez's policies, especially nationalization.

Leaders in Brazil and Argentina have even praised Chavez for standing up to "imperialism," a not-so-veiled reference to U.S. influence and power in Latin and South America.

For his part, President Barack Obama has insisted that he does not see a "national security impact" on the United States from Chavez's policies.

But Florida Republican Sen. Marco Rubio has characterized the Chavez government as a menace in the region and President Obama as naive for not recognizing it.

"Hugo Chavez is not only a threat to the Venezuelan people's freedom and democratic aspirations, he has also supported Iran's regime in its attempts to expand its intelligence network throughout the hemisphere, facilitated money laundering activities that finance state sponsors of terrorism and provided a safe haven for FARC narco-terrorists, among many other actions," Rubio said in a statement released this summer.

Venezuela: A model for Latin America?

On Wednesday Rubio told CNN it's essential the Venezuelan election proceed as free and fair.

"I will say that we as believers in democracy, and not just those of us in the United States, but all the democracies in the region need to insist on is that the election results are respected, that the election results are fair, that there is no undermining of the election, that there is no intimidation of voters. On that we should be very clear and very firm, and then the results are up to the people of Venezuela, and we wish them well," he said.

Indeed, Chavez's vocal support for the Syrian regime and his close relationship with Iran will only grow stronger and bolder if he is re-elected for a six-year term.

While his challenger, Henrique Capriles, says his foreign policy priorities will be much different, his win could destabilize what is already a fractious society and an unreliable military leadership.

Capriles told CNN he doesn't believe there will be any destabilization inside Venezuela if he wins, and he challenges the notion that only Chavez can speak for the poor.

"This is a big lie. It is unfortunate that many times, some people have this perception that in Venezuela, the poor are with the government and those who are not poor are not with the government. It is a great misconception, a falsehood," Capriles said in May.

The effects of this election may well be felt at the gas station first, and not just those in Venezuela. The country is an OPEC member and is still a significant supplier of oil to the United States. As economists have already warned, an oil price shock triggered by Venezuelan unrest is unlikely, but still a possibility.

Savvy authoritarians: Meet the modern strongmen

@highlight

Venezuelan President Hugo Chavez is up for re-election Sunday

@highlight

Chavez and his "Chavismo" revolution has divided the country, continent

@highlight

Many Latin American leaders may wish to emulate Chavez's policies

@highlight

Florida Sen. Marco Rubio demands Venezuela's elections be fair, free