(CNN) -- They say that to succeed in politics, you need a thick skin, and nowhere is that more true than in Scotland in the run up to the country's long-awaited independence referendum.

With just a week to go before Scots go to the polls to decide whether to break away from the rest of the UK, the debate is gearing up across the country -- in pubs and shops, on the street, TV and, of course, online.

Most political campaigns become a little bad-tempered at times, but when the stakes are this high, and the discourse goes from sniping to downright nasty and even violent, things can get tough.

Even hardened political heavyweights aren't immune: A televised debate between Scotland's First Minister Alex Salmond, of the "Yes" camp, and former UK finance minister Alistair Darling, of the "Better Together" campaign, descended into shrillness, name-calling and finger-pointing.

And the bitterness isn't just confined to the airwaves, TV studios and newspapers.

Pro-union Labour MP Jim Murphy found himself on the receiving end of some real-world nastiness when he was pelted with eggs during his "100 Streets" campaign trip.

"What started as individual passionate Nationalists having their say has changed into angry mobs coming along to make sure no one else has their say," he explained in a statement.

"This is not about someone throwing an egg -- that's part of the sometimes messy pantomime of politics," he said, accusing the "Yes" campaign of "organizing a mob atmosphere at our street meetings. It's coordinated, determined and increasingly aggressive."

Concerned at the angry turn things had taken, Murphy temporarily suspended his tour around the country, insisting that his political opponents "call off their mobs" before restarting his campaign days later. Scottish National Party leader Alex Salmond and the Yes Scotland campaign both condemned the egg attack.

It is in cyberspace where things have really degenerated.

John Chalmers, the Moderator of the Church of Scotland, said he was worried that not everyone was managing to keep their tempers under control, and bemoaned the actions of a disproportionate and rancorous "tiny minority" online which he said was drowning out the more moderate majority.

"I fear that something ugly may be beginning to permeate the independence debate," he said, echoing earlier comments to the BBC that he was "disturbed by apparent increased aggression and bitterness" as the referendum date approaches.

In one of the most high-profile cases, Christopher Stevenson, a fire safety technician from Glasgow's East End, was convicted of "behaving in a threatening manner" towards Salmond on Twitter.

Stevenson had posted "Think I might assassinate Alex Salmond," while watching a TV program about the Scottish National Party leader and figurehead of the "Yes" campaign.

After protesting in court that his outburst was meant as a joke, Stevenson had his sentence deferred for a year for good behavior.

But it's not just politicians who've found themselves the target of online "trolls": Harry Potter author J.K. Rowling earned the wrath of "Yes" supporters in June this year after she donated Â£1 million ($1.61 million) to the "Better Together" campaign.

John Linklater (@YestoScotland) tweeted: "I've waited all my life for this. I don't want Scottish Freedom scuppered by a selfish narrow-minded little Englander #jkrowling #indyref"

Scotland's charity watchdog the OSCR launched an investigation into The Dignity Project after a message posted on its Twitter feed (since shut down) abusing the writer: "What a #bitch after we gave her shelter in our city when she was a single mum."

The charity, which works with vulnerable children in Africa, later issued a statement insisting the account -- which it had thought to be "obsolete and dormant" had been hacked by someone "to satisfy and externalize their own frustration and inner anger."

Rowling, who was born in England but has lived in Edinburgh since the mid-1990s, was well aware her decision to go public about how she planned to vote in the referendum could open her up to abuse.

In a blog post announcing her decision, she admitted it could make her unpopular with the "fringe of nationalists who like to demonize anyone who is not blindly and unquestionably pro-independence," and said she feared that some "Death Eaterish" voters "might judge me 'insufficiently Scottish' to have a valid view."

Indeed, Twitter has been a hotbed for some of the worst of the trolling, particularly, some in the media assert, by so-called "cybernats," the pejorative term for the "Yes" campaign's vociferous online commentariat.

Outspoken Scottish comedian and "Yes" supporter Frankie Boyle has been ever-present on Twitter (crude language), adding a sometimes intelligent, sometimes surreal voice to the debate.

"Independence might be a step into the unknown but the known is foodbanks; Trident (The UK's nuclear submarine deterrent); a (privatized) NHS; bedroom tax and exploding AIDS badgers," he tweeted.

The war for votes has seen tweeting and counter-tweeting flourish, as both sides scrap for every advantage.

Online blogs, such as the pro-independence Wings over Scotland, have come under fire for divisive commentary. One piece which attacked Scottish Conservative Member of the Scottish Parliament (MSP) Alex Johnstone provoked outrage from the "No" camp.

The politician told STV news: "The kind of attack that was conducted on the Wings over Scotland site is the kind of thing that's designed to intimidate; it's designed to bully people into not expressing their genuinely held views. We can't allow that to happen."

The site's creator, Stuart Campbell, responded: "It's the only time we've ever just insulted someone on the website. I think it was entirely justified."

As always, though, the insults can go both ways; a sarcastic piece from conservative news site Breitbart.com's London wing brought howls of outrage, not least in its own comment section.

The article, which asserted that Scotland "is more commonly associated with work-shy dole scroungers and skag-addled prostitutes than with the industriousness of Adam Smith or with its glorious pre-Reformation spirituality," suggested that independence might be a good thing, if only to rid the rest of the UK of their "scrounging Caledonian neighbors."

But while some on both sides tear metaphorical strips off each other in the days leading up to the all-important poll, others have added a lighter note to the campaign, pillorying an ad from the "Better Together" campaign, which detractors saw as sexist.

A #patronisingBTlady hashtag and attendant slew of memes, and even a reply video (containing some profanity) soon popped up.

It's not all bad news though: Some campaigners have recruited animals -- the undisputed stars of the internet -- to their cause, hoping that cuteness, rather than insults, will be enough to win voters over by polling day.

.

@highlight

A week out from Scotland's independence vote, the debate getting heated

@highlight

"Cybernats" have been accused of debasing the campaign for independence

@highlight

More traditional bad-tempered tactics, like egg-throwing, have also been employed

@highlight

Supporters on both sides of the debate have been targeted by Twitter trolls