Washington (CNN) -- In what amounted to political theater rather than legislative action, the Senate on Wednesday rejected a House budget plan that included a controversial provision to overhaul Medicare and also unanimously voted down President Barack Obama's 2012 budget proposal.

The House budget measure had been expected to fail in the Senate due to overwhelming opposition by majority Democrats, plus wavering support for its Medicare overhaul among Republicans. The Senate GOP has recognized the provision's unpopularity with senior citizens enrolled in the government-run health insurance program.

Senate Democrats forced Wednesday's vote in order to make Senate Republicans go on record in support of the Medicare overhaul.

The final vote on the proposal originated by House Budget Committee Chairman Paul Ryan, R-Wisconsin, was 57-40, mostly along party lines. Republicans who joined the majority Democrats in opposing the measure were Scott Brown of Massachusetts, Lisa Murkowski of Alaska, Rand Paul of Kentucky, and Olympia Snowe and Susan Collins of Maine.

Three senators didn't vote -- Republicans Kay Bailey Hutchison of Texas and Pat Roberts of Kansas, and Democrat Chuck Schumer of New York.

In a later retaliatory vote forced by Republicans, the Senate achieved rare bipartisan unanimity in rejecting Obama's budget plan on a 97-0 vote. The defeat was expected.

Democrats joined Republicans in opposing the plan to signal they wanted a stronger deficit reduction proposal than what the president offered.

The Senate then defeated two other Republican budget plans offered by conservative newcomers Pat Toomey of Pennsylvania and Paul.

Ryan's plan, which won approval in the House due to strong Republican support, drew the most attention of the proposals defeated Wednesday because of its provision to rework Medicare starting in 2022.

On Tuesday, Democrats won a special election for a U.S. House seat from upstate New York formerly considered safe Republican territory, and the Republican Medicare plan was the central issue of the campaign.

Under the Ryan proposal, the government would no longer directly pay health care bills for senior citizens in the program, starting in 2022. Instead, recipients would choose a plan from a list of private providers, which the federal government would subsidize. People now 55 or older would not be affected by the changes.

The budget proposal also would slash non-military discretionary spending and reform Medicaid, the government-run health insurance program for the poor and disabled.

Republicans call Ryan's proposal a courageous attempt to address runaway spending that must be corralled to bring down rising deficits and a ballooning national debt.

Republican National Committee Chairman Reince Priebus blasted Democrats for stopping "at nothing to preserve the status quo in Washington, which is propelling our country towards bankruptcy."

Priebus' remarks reflected the fact that the question of how to tackle the growth of hugely popular entitlement programs -- including Medicare, Medicaid and Social Security -- has now become one of the central battlegrounds in the national political arena.

Democrats, however, contend Republicans seek to reduce deficits on the backs of the elderly and the poor by essentially ending Medicare as it now operates. They note the Medicare overhaul will cost senior citizens an average of roughly $6,000 more per year for health care.

"The Republican plan would kill Medicare," Senate Majority Leader Harry Reid, D-Nevada, said Wednesday.

Democrats pointed to the New York special election results on Tuesday as evidence that the American people, especially senior citizens, don't agree with the Republican approach.

In the election, Kathy Hochul, the Democratic clerk of Erie County, swept to victory in the race to fill the U.S. House seat previously held by Republican Chris Lee in a district controlled by the GOP for more than four decades.

During Hochul's victory speech Tuesday night, jubilant supporters repeatedly chanted "Medicare! Medicare!" Hochul pledged to help balance the budget "the right way, not on backs of our seniors."

Throughout the campaign, Hochul highlighted the national fight, telling CNN that her Republican opponent, Jane Corwin, had "100% embraced" the plan.

Corwin called Hochul's message "scare tactics," and had argued that Hochul was "trying to put out the idea that I'm trying to end Medicare."

"There's nothing further from the truth," Corwin insisted. "I'm working to protect Medicare."

Moments after Hochul's victory was announced, Rep. Debbie Wasserman Schultz of Florida, the newly installed head of the Democratic National Committee, declared that the outcome of the race proves "Republicans and independent voters, along with Democrats, will reject extreme policies."

On Wednesday morning, Guy Cecil, executive director of the Democratic Senatorial Campaign Committee, released a statement arguing that the results "provide clear evidence that Senate Democrats will be able to play offense in Senate races across the country by remaining focused on the Republican effort to end Medicare."

For their part, Republican leaders minimized the importance of the race. Among other things, they pointed to the presence of a conservative third-party candidate in the race whose support apparently exceeded Hochul's margin of victory.

Republican Sen. John Thune of South Dakota said his party has to promote its budget policies and the Medicare overhaul proposal instead of voting for it and then absorbing Democratic attacks.

"The talking point is there was a third-party candidate who drew 12% and spent $2 million," Thune said of the New York race, adding that supporters of the Ryan plan in the House and Senate now "need to get out there and aggressively get on offense and explain it to the American people."

To Thune, the Republicans made a courageous vote and now Democrats are "starting to lob grenades at us and everybody's starting to duck and run for cover."

"I don't think that's the way you engage in a fight," Thune said. "We have to get out there and fight."

Senate Minority Leader Mitch McConnell, R-Kentucky, said the real problem is that Democrats have failed to propose or pass a budget proposal for last year or this one.

"This is a complete and total abdication of their responsibilities," McConnell said.

To hit back at Democrats, McConnell forced votes Wednesday on the other three budget measures, including Obama's 2012 budget proposal.

McConnell sought to force Democrats to publicly oppose Obama's plan and to also reject other Republican proposals in order to portray them as obstructing any progress on cutting deficits.

In a bit of political irony, GOP leaders last year repeatedly attacked the health care reform law pushed through by Democrats, arguing that it would weaken Medicare. Republican congressional candidates crushed their Democratic counterparts among voters age 65 and older in the November congressional elections, carrying seniors by a 21-point margin.

Whether Republicans can now successfully defend Ryan's plan, which is a virtual litmus test for their conservative base, without scaring older voters remains to be seen.

Former House Speaker Newt Gingrich, now a presidential candidate, was recently excoriated by conservative activists for calling Ryan's plan a form of objectionable "right-wing social engineering." Gingrich has since backed away from his remarks and expressed support for the proposal.

CNN's Alan Silverleib contributed to this story.

@highlight

NEW: President Obama's 2012 budget proposal is defeated on a 97-0 vote

@highlight

Five Republicans join Democrats in voting down the Medicare overhaul plan

@highlight

Democrats force the vote to record Republican support

@highlight

The Medicare overhaul is opposed by many senior citizens