London (CNN) -- Violence isn't always physical -- and UK Home Secretary Theresa May's recent announcements on all things extradition fell one after another as devastating blows to an already beaten and broken Muslim community.

The extraditions of five Muslim men to the United States on October 5 followed by the blocking of computer hacker Gary McKinnon's extradition this week has made the Muslim communities of the UK wake up to a glaring reality many tried hard to avoid.

It is something other communities in the UK have lived and understood for decades. Some Muslims have taken the beatings, repeated anti-terror laws, stops and searches, detentions without charge, demonization of beliefs and values, denigration of the personalities and principles most loved by us, and unrelenting social discrimination -- often believing that by showing more love they will somehow change the attitude of their aggressor. Campaigners against the extradition of some of the men waved Union flags at protests and called on a concept of citizenship, that clearly wasn't shared by the powers that be.

Others have called out state and institutionalized racism for what it is. Others still, left without good leadership have just tried to get by, aggrieved, but without outlet for their legitimate concerns, pariahs in a society whose legal system has been exported worldwide through colonial endeavor, and continues to oppress in the name of freedom and now human rights. This may sound overly angry, but it captures a new mood -- one that has been a long time coming.

The differences in treatment are so stark and spring from long-rooted (mis)representation of all things Muslim. The British media discussed ad infinitum the violation of Gary McKinnon's human rights by the proposed extradition, but when the Muslims were extradited all discussion revolved around why it took so long.

There is no doubt that McKinnon and his family have suffered inordinately and very few in the UK would begrudge the decision to block his removal to the USA. But, as the families of all those awaiting extradition will testify, it is a shared experience. While McKinnon was granted bail during his decade-long ordeal, Abu Hamza al-Masri, Khaled al-Fawwaz, Adel Abdul Bary, Babar Ahmad and Talha Ahsan endured from six to 14 years in prison without charge. They suffered too, as did their families, yet they are rarely named. On the day of their final legal challenges, all reporting focused on the case of "Abu Hamza and four others." Abu Hamza, for many years an exemplar caricature for most of the stereotypical attributes of Muslims, is the poster boy for successive governments' capitulation of sovereignty and equality in the UK-U.S. extradition treaty of 2003.

Demonization of Muslims preceded 9/11, in the UK as elsewhere. IHRC is just one of many organizations, academics, journalists highlighting anti-Muslim bias and depictions in everything from news media to literary classics, through Hollywood movies and even Bridget Jones. The normality of such depictions -- violent men, compliant highly sexualized oppressed women, irrational beliefs and exotic behavioural codes have had serious impact. The extradition of Talha Ahsan and the reprieve of Gary McKinnon are just two of the products of this process.

As one of the "four others" it has mattered little that Talha Ahsan's case has more in common with Gary McKinnon's than Abu Hamza's, except that McKinnon admitted he did hack into the Pentagon's computers, whereas Ahsan denies guilt of the cybercrimes he is accused of. Both suffer from Asperger's Syndrome, both were assessed as a suicide risk, one is seen to have his human rights violated by the extradition treaty, while in the other it is clear he is not deemed to be human.

In short, the one word answer to the question "Why Talha, not Gary?" Racism.

The opinions expressed in this commentary are solely those of Arzu Merali.

@highlight

UK extradited 5 Muslims to U.S. on Oct. 5, but let computer hacker Gary McKinnon stay

@highlight

Differences in treatment spring from (mis)representation of Muslims, says Arzu Merali

@highlight

Merali: Racism is the only reason why McKinnon, but not the 5 Muslims, was reprieved