(CNN) -- In 1950, the world's population was 2.5 billion people. Today, it is over 7 billion. By 2050, it will be nearly 10 billion.

This explosive growth has put huge strains on our natural resources, but at the same time it has helped create conditions for an unprecedented period of global economic growth, which has seen billions lifted out of poverty.

The financial future we face today is uncertain. Most people think global growth will average 3% per year for the foreseeable future, as opposed to 5% before the global economic crisis. This means that it will take 25 years for the economy to double in size -- 10 years longer than it would if it was humming along at its pre-crisis rate.

What does this mean? A future of diminished expectations and increased uncertainties poses profound challenges.

Considering we already live in a world where hundreds of millions of people are either unemployed or struggling to make ends meet on the fringes of the formal economy, this cannot be underestimated.

But I also believe these challenges focus our minds on long-term solutions that will ultimately make our world a fairer, more prosperous, better place to live.

The only way forward is to unlock the talent that's within all of us.

Youth unemployment

We've become used to headlines chronicling the dire state of youth employment around the world. Average global unemployment is around 13%, but the figure is twice as high -- and then some -- in parts of Southern Europe, the Middle East and North Africa.

It doesn't need to be this way.

Smarter school and university curricula and a higher focus on relevant skills -- helped by technology and the democratizing power of the Internet -- will allow young people to equip themselves for success in a competitive global marketplace, just as technology renders other jobs obsolete.

Talent is as important today as capital when it comes to defining a country's economic competitiveness, and we're getting better at harnessing this. In Europe, for example, eight out of 10 jobs created since 2008 were in small and medium-sized businesses.

By getting the public and private sectors working together with academia, this flowering of talent can truly flourish, and become our economies' new growth champions.

Gender equality

But you can only unlock talent if you pay equal attention to both halves of the population. Gender equality isn't just about human rights -- it makes cold, hard economic sense. Creating genuine equality in the workforce from the boardroom down will have a transformational effect on many economies.

It's been suggested that the U.S. economy could grow by as much as 5% if there were true economic equality between both halves of the population.

Japan's could grow further, by as much as 9%. No economy wants to miss out on that kind of growth. This is why President Shinzo Abe announced at Davos in 2014 that he wanted 30% of all senior managerial positions in his country to be held by women by 2020. He won't be the last to make such promises. Leaving no one behind is key.

We live in a diverse world and those economies that respect their most gifted people -- regardless of who they are -- will be the ones that will ultimately succeed in underwriting their future prosperity.

The benefits of the silver workforce

At the World Economic Forum, we set so much store in countries' ability to attract and retain talent that it forms an integral part in our annual assessment of global competitiveness. The same goes for empowering the economic potential of those nearing the end of their working lives.

On paper, preventing people from working later in life looks like a sound way of freeing up jobs for those entering the jobs market. But economists call this the "lump of labor" fallacy: in fact, an active, dynamic silver workforce is an excellent way of providing work for the young.

The future we face may be uncertain but it need not be one of diminished expectations.

Long-term thinking and genuine collaboration between all stakeholders would not only provide quality, sustainable growth and employment, it would once again re-balance national income towards labor, helping addressing the long term trend we are seeing towards income inequality.

These are the outcomes our future generations deserve and they are outcomes I believe we can deliver.

The opinions expressed in this commentary are solely those of Jennifer Blanke.

@highlight

Untapped talent is the key to economic growth, argues Jennifer Blanke

@highlight

Gender equality in the workplace will benefit the economy

@highlight

Despite popular belief, an active silver workforce can provide jobs for the young, she says