(CNN) -- President Obama has repeatedly stated, "We are tougher than the times we live in." Although the president may not have intended to signal a whole new approach to our future, the line has Churchillian implications. Speaking of tough times, he could call on Americans to recognize we face at least a decade of rough sledding, ask us to face the challenges and express confidence that we shall prevail.

The tough times approach differs radically from the prevailing wisdom that if we merely did X, Y or Z, we would be rolling in clover again. All we need to do is cut deficits, reduce taxes some more and lighten up on regulations, and the nation will be back on the right course.

Others foresee the bottoming out of the housing market, within two years or so, as the turning point to recovery. Harvard economist Kenneth Rogoff argues that intentionally inflating the dollar is the "the only practical way to shorten the coming period of painful deleveraging and slow growth."

In general, politicians prefer President Reagan's manner, which was oozing with optimism. And they are leery of sounding like President Carter, who spoke of malaise and called for sacrifices.

But times have changed. The American people must be prepared for what is coming, or they will lash out with even more anger against failed promises. Take the most elementary issue: Nobody reasonable, on the right or the left, denies that we lived beyond our means for decades, financing our indulgence by taking loans from the Chinese, Japanese and British, among others, as well as hocking the assets of our future generations. Now the time has come that we must pay back, and that means reducing the deficit.

Such payback means, by definition, that while we once could float a lifestyle that cost, say, 120% of what we earned, now we shall have to do with lifestyle that costs, say, 80% of our income, with the rest going to pay down what we owe.

After decades of indulgence and accumulating debt, our accounts cannot be settled in a few years. According to a report in NPR, using recent Congressional Budget Office projections, the debt could reach $13 trillion in 10 years. Even if we get the "grand bargain" and $2 trillion to $4 trillion is cut, that means the 10-year deficit could still remain between $9 trillion and $11 trillion. True, we do not have to bring it down to zero, but we still have quite a burden with which to contend.

If we must pay for that deficit by raising taxes, we will have less money. If we must cut services, such as health care, to pay down the debt, people will have to buy these services themselves. And we should pay down our personal debt for our own future and that of our children.

That means for the next decade or even longer, Americans will have to do with less, from buying new clothes to going on vacations.

I am hardly the only one who foresees a "lost decade." A recent Atlantic magazine article argues that even by 2011, 2012, even 2014, the employment rate may decline very little and describes the current economic climate as "a trauma that will remain heavy for quite some time."

Heidi Shierholtz of the Economic Policy Institute predicts that "many factors are pushing against a quick recovery. ... Things will come back. But it's going to take a long time."

Frustration to such shortfalls is mounting. A recent Bloomberg poll found that 72% of the people who responded think the country is on the wrong course economically. The president's approval rating is tanking, but that of Congress is even lower. A New York Times/CBS poll found that only a paltry 12% of respondents approved of Congress.

As I see it, "Washington" can do relatively little to spare Americans at least 10 years of austerity. But, public leaders can prepare people for what is coming and make a virtue out of doing with less, of paying back what we owe even if it hurts â€” without implying that recovery is right around the corner or that something drastic can be done so we will not have to pay more taxes and do with less services.

If it turns out that Easy Street is much nearer than I expect, then people prepared for "tough times" will rejoice. But if they believe the economy will bounce back quickly, and in reality face prolonged austerity, we must expect even more angry outbursts.

We've avoided the violent demonstrations seen in Greece, the massive demonstrations against inequality seen in Tel Aviv and the random torching of cars common in riots in Germany, France or Britain. If Obama can speak candidly about the coming tough times and the shortfalls we all will have to accept as part of the cure, he may do better; we most assuredly will.

The opinions in this commentary are solely those of Amitai Etzioni.

@highlight

Amitai Etzioni: Despite promises and proposals, there is no quick fix for economy

@highlight

Obama's "We are tougher than the times we live in" should be a policy, he writes

@highlight

Etzioni: Americans will have to do with less and sacrifice for at least 10 years

@highlight

He says years of indulgence, living beyond our means will take years to redress