LONDON, England (CNN) -- Campaigners in London planned to petition the British government Friday for a posthumous pardon for the hundreds of people executed for witchcraft between the 16th and 18th centuries.

Witchcraft has not been punishable by death for nearly 300 years.

They said Halloween is a good time to highlight the "grave miscarriage of justice" suffered by the men and women falsely accused of being witches.

Their petition asks Justice Minister Jack Straw to recommend that Queen Elizabeth II issue a pardon.

"We felt that it was time that the sinister associations held by a minority of people regarding witches and Halloween were tackled head-on," said Emma Angel, head of Angels, a large costume supplier in London.

"We were gobsmacked to discover that though the law was changed hundreds of years ago and society had moved on, the victims were never officially pardoned."

Angels launched a Web site, pardonthewitches.com, to solicit signatures for their petition. They had between 150 and 200 by Friday morning, Angels spokesman Benjamin Webb said, but they hoped Halloween publicity would generate more.

Around 400 people were executed in England and some 4,000 in Scotland for alleged witchcraft, campaigners say.

The Witchcraft Act of 1735 put an end to trials of accused witches, but many still faced persecution and jail for other crimes such as fraud.

"It shifted from a spiritual thing to more of a criminal thing," Webb said, but "it didn't pardon those people who'd suffered before."

The campaigners worked with witchcraft historian John Callow to detail eight cases they hope will persuade the government to act.

They include the case of Ursula Kemp, a woman who offered cures in Essex, England in the 1500s. The uneven results of her work prompted accusations of witchcraft and she was hanged in 1582.

A century later, Mary Trembles and Susanna Edwards were begging for food in Exeter, England, when a local woman blamed one of them for an illness and they were jailed.

A jail visitor noticed Edwards' shaky hands and suggested she was "tormenting someone." It started a string of rumors that resulted in an accusation of witchcraft, and the women were executed in 1682.

In 1645, clergyman John Lowes was regarded as too attached to Catholicism in a strongly Reformed area. He had already defended himself once against witchcraft when he came to the attention of a notorious zealot named Matthew Hopkins.

Hopkins made Lowes walk for days and nights until he was unable to resistconfessing to being a witch. Lowes was hanged in Bury St. Edmunds, England, after conducting his own funeral.

"Today we are well aware that these individuals were neither capable of harmful magic nor in league with the devil," Callow said.

He said the endemic poverty of the 16th to 18th centuries put pressure on leaders and the judiciary to blame someone for society's problems -- so they decided to blame witches.

"A lot of these cases were score-settling in local communities," Webb said, adding many cases of alleged witchcraft weren't even reported.

"The notion that people could suspend their disbelief and believe that women were talking to toads -- just horrible times. Horrible times."

In 2004, one Scottish town managed to get a pardon for the 81 accused witches that had been put to death there. The independent baron court in Prestonpans, near Edinburgh, pardoned them before the court was officially disbanded in November of that year.

In its ruling, the court pardoned both the accused witches and their cats who, it said, were executed for "conjuration or sorcery." It said their convictions were based on insufficient evidence that often relied on "voices" or the actions of "spirits" to attest to their guilt.

A separate group petitioned the Scottish parliament last month, asking for pardons for each of the 4,000 witches who were put to death across the nation.

Ewan Irvine, a medium with Full Moon Investigations, acknowledged it's unlikely they will get a pardon for every accused witch, so the group is going ahead with a private memorial in Scotland instead.

"It would be an apology to all those accused," said Irvine, whose group investigates the paranormal.

Webb said while few people today may believe those men and women deserved execution, their stories still generate suspicion and stigma. That extends to modern-day criticism of children dressing as witches at Halloween with the idea that it's evil or connected to the devil, he said.

"Witches were not emissaries of Satan," Webb said. "They were in fact persecuted women and men who deserve a pardon."

A spokesman for the Ministry of Justice would not comment on the case but said the granting of such a pardon is extremely rare.

"To receive a royal pardon, the test is a high one," the spokesman said. "Evidence must prove conclusively that no offense was committed or that the applicant did not commit the offense. It is not enough that the conviction may be unsafe -- the applicant must be technically and morally innocent."

Accused witches were also tried and put to death in the famous Salem witch trials in the U.S. state of Massachusetts in the late 1600s, but all were later pardoned, said Alison D'Amario, director of education at the Salem Witch Museum.

The names of 14 were cleared in 1711 after their families applied to the government, D'Amario said. Gov. Foster Furcolo cleared one name in 1957, and then-Gov. Jane Swift cleared the remaining five in 2001, she said.

"Their names are now on a list that makes it seem as though they were innocent, which they surely were," D'Amario said.

@highlight

Petition seeks pardon for UK witches hundreds of years after their deaths

@highlight

Around 400 people were executed in England for alleged witchcraft

@highlight

The Witchcraft Act of 1735 put an end to trials of accused witches

@highlight

In 2004 one Scottish town managed to get a pardon for 81 accused witches