A little more than two years ago, Ted Harada felt his left leg weakening, and he found himself quickly running out of breath. Doctors first thought he had asthma, but in May 2010 they told him he probably had ALS, or Lou Gehrig's disease.

In August 2010, doctors confirmed Harada, then 38, had the fatal disease, and he knew it was progressing.

"Every month they [doctors] could see deterioration," Harada said.

ALS patients lose muscle function in the lungs until they can no longer breathe. Most people with ALS die from respiratory failure within three to five years of first symptoms, according to the National Institute of Health. The disease causes nerves to wither and the lungs to stop working. About 10% of ALS patients live 10 years or longer.

Harada joined a clinical trial at Emory University in Atlanta, where doctors were injecting neural stem cells -- the precursors to nerve cells -- into the lower spinal cord of ALS patients.

Before the procedure, Harada walked with a cane and would get winded just by walking to the mailbox.  He had to quit his job as a manager for a shredding company.  He was so tired he couldn't play with his three children. He was too weak to pick up his youngest child. He couldn't even open a Ziploc bag.

Harada hoped the treatment would help, but he didn't expect it to. However, two weeks after getting the stem cell injections in March, he says he started to feel better.

"It's been nothing short of miraculous," he says. "I cannot begin to explain the difference it has made."

He hasn't touched his cane in months, he says, and his breathing has improved.

"I was afraid I would wake up and the improvements would be gone," Harada said.

Dr. Jonathan Glass, who is overseeing the clinical trial at Emory, and Dr. Nicholas Boulis, who invented the surgical procedure used to inject the stem cells, explained to patients that participation in the trial would not cure or even benefit them personally, but it would help doctors learn more about how to treat ALS in the future.

The first phase of any clinical trial is to prove that a treatment won't injure patients, not that the treatment works, said Dr. Eva Feldman, who designed the clinical trial at Emory.

The first part of the ALS study, sponsored by the Maryland-based biotech company Neuralstem, is designed to show that the surgical procedure to inject the stem cells into the spine is safe, and that the patients' bodies won't reject them. According to researchers, the cells did not harm any of the 12 patients in the Emory study, nor did they accelerate the progression of their ALS.

"I need to temper my excitement because it's a very small patient population," said Feldman, president of the American Neurological Association. But the facts are not discouraging. She presented early data from the study Monday at the neurological group's annual meeting in San Diego.

"We have cautious optimism that a few of the patients may have slowed in their progression of lower extremity weakness, and one patient may have improved," her report said.

Of the 12 patients in the trial, two have died.

John Cornick's disease had progressed further than Harada's by the time he received the stem cell injections in 2010. He was already in a wheelchair, and he knew participating in the clinical trial wouldn't cure him. But he told CNN in April 2010 that the only way doctors were going to figure out how to cure ALS was to have people willing to participate in clinical trials.

"For me it just seemed like the right thing to do," he said.

Cornick died of ALS in May.  Another patient in the study, a 39-year old man, died of a heart attack.

Feldman said the conditions of eight of the remaining 10 patients have not changed. Based on these results, she and her team in Georgia are asking the Food and Drug Administration to allow them to move to the next part of the trial: Injecting stem cells higher on the spine - into the cervical spinal cord, which is in the neck.

Harada is optimistic that research like this will give other patients hope and lead to treatments in the future. He realizes he hasn't been cured, but it's like his clock has been set back, he says. He feels like he did when symptoms first started to appear in 2009.

"I know I still have ALS. I am so grateful for this gift regardless of how long or short it lasts," he said.

"I can go through most days without thinking I have ALS."

@highlight

Most people with ALS die from respiratory failure within three to five years of first symptoms

@highlight

Patients in Emory University clinical trial have neural stem cells injected into spinal cord

@highlight

First part of trial is designed to show injecting neural stem cells into the spine is safe