Washington (CNN) -- The executive board of the International Monetary Fund approved Wednesday the cancellation of Haiti's $268 million debt to the fund.

The board also approved a three-year request by authorities to support Haiti's reconstruction and growth program.

The decisions are part of an effort to support Haiti's longer-term reconstruction plans after the January 12 earthquake, which killed more than 220,000 people, destroyed 60 percent of government infrastructure and left more than 180,000 homes uninhabitable.

Six months later, more than 1.5 million remain in overcrowded displacement camps.

"The new program provides a strong and forward-looking framework to support economic stability and reconstruction in the country, and will also help catalyze donors' contributions," the IMF said in a posting on its website.

The debt relief is expected to help Haiti meet balance-of-payments needs worsened by the earthquake.

"Improving the business environment and fostering private credit and investment will be essential to support growth," said Charles Castel, governor of the Bank of the Republic of Haiti. "The fund's technical assistance will help rebuild economic institutions and build capacity."

The earthquake resulted in losses estimated at 120 percent of 2009 GDP, the posting said.

It struck at a time when the impoverished country's outlook was improving. Last year, Haiti's growth reached almost 3 percent, the second-fastest rate in the Western Hemisphere.

Since the quake, a fragile recovery has been taking place. Agricultural production, construction and textile manufacturing are supporting economic activity, the posting said.

And remittances, which grew by 12 percent between January and May of 2010 over the previous year, are supporting consumption and imports.

Though the trade deficit is widening, exports are recovering, it said.

GDP is projected to expand by 9 percent in fiscal year 2011-12, due mostly to reconstruction activity, and by 6 percent by 2015.

Inflation is expected to reach 8.5 percent during the current fiscal year and to drop to 7 percent by 2013.

In March, the international community pledged $9.9 billion to Haiti's reconstruction, of which $5.3 billion is to be disbursed over the coming 18 months.

But last week, a CNN investigation found that most governments that had promised money to the special fund had not delivered the cash.

Less than 2 percent of the $5.3 billion promised had been handed over to the Interim Haiti Recovery Commission.

Only four countries had paid anything at all to the commission: Brazil, Norway, Estonia and Australia.

The United States has pledged $1.15 billion but had paid nothing, with the money tied up in the congressional appropriations process.

Venezuela has promised even more -- $1.32 billion. It too had paid nothing, though it had written off some of Haiti's debt.

Still, many governments and aid agencies have given money to Haiti through means other than the Interim Haiti Recovery Commission.

For example, the U.S. State Department said it has given about $675 million through the U.S. Agency for International Development.

Altogether, about $506 million had been disbursed to Haiti since the donors' conference in March, said Jehane Sedky of the U.N. Development Program.

CNN compiled the information by reviewing commission figures and surveying the donors that had made pledges.

No countries told CNN they do not plan to deliver the money eventually.

The pledges are for fiscal year 2010-2011, so the donors have until the middle of next year to get the funds to the Haiti recovery commission, Sedky said.

@highlight

IMF cancels Haiti's debt to the fund

@highlight

The board also approved support for reconstruction and growth

@highlight

The decisions are part of an effort to support Haiti's longer-term reconstruction plans