Istanbul, Turkey (CNN) -- One day after Syrian rebels accused government forces of a deadly bombing near a hospital in the besieged city of Aleppo, opposition groups said another 151 people had been killed in the fighting Thursday.

The majority of those deaths occurred in the Syrian capital of Damascus and its suburbs, according to the Syrian Observatory for Human Rights, a London-based opposition group.

Another 34 were killed in Aleppo, where some of the heaviest fighting has occurred.

The 20-month civil war has claimed more than 42,000 lives, according to the latest tally from the opposition Center for Documentation of Violations in Syria. The group counts 3,133 government soldiers among the dead.

And the bloodletting has since carried on unabated while also threatening regional stability.

On Wednesday, 15 people died in the strike on a building next to the Dar al-Shifa Hospital, including two children and a doctor.

Ralib al-Omar, a leader of the Yusif al-Asma rebel group, said the strike had targeted the hospital and that the dead included two nurses. A doctor was among the dead -- one of 40 people killed in Aleppo on Wednesday and 113 across the country.

Dar al-Shifa is one of the main sources of medical help for people in Syria's commercial hub. In video posted by opposition activists, the blast appeared to have affected the hospital's often-crowded front lobby.

Amanpour blog: U.S. has no plan for Syria

Protests first broke out against Syrian President Bashar al-Assad in March 2011. Al-Assad responded by turning the army and police on the demonstrations.

The government-owned Syrian Arab News Agency reported a series of clashes between security forces and "armed terrorist groups," while intense fighting near the Syrian-Turkish border in recent weeks has pitted loyalist Syrian forces against the rebel Free Syrian Army.

CNN cannot confirm claims by the government or the opposition because of government restrictions that prevent journalists from reporting freely within Syria.

In a sign of a potential escalation of the conflict, Turkey asked its NATO allies for Patriot missiles Wednesday to bolster its air defenses against its southern neighbor. A letter to NATO included the "formal request" that the alliance send "air defense elements," according to a Turkish government statement that cited "the threats and risks posed by the continuing crisis in Syria to our national security."

The statement added that the NATO Council would convene "shortly" to consider the matter. NATO Secretary-General Anders Fogh Rasmussen said in a Twitter post that the request would be considered without delay.

Israel puts trust in Iron Dome

Rasmussen said the letter from Turkey requested Patriot missiles that would "contribute to the de-escalation of the crisis along NATO's south-eastern border" and serve as "a concrete demonstration of alliance solidarity and resolve."

His statement said three NATO countries have available Patriot missiles -- Germany, the Netherlands and the United States -- and it would be up to them to decide if they can deploy them and for how long.

A NATO team will visit Turkey next week to survey possible deployment sites for the missiles, Rasmussen's statement said.

Sources told CNN that Germany would be the likely source for a deployment. German Chancellor Angela Merkel said Wednesday that any decision involving her country would need the approval of Parliament.

Syrian conflict a factor in Israeli election

In Turkey, Foreign Ministry spokesman Selcuk Unal said NATO forces under the command of the alliance would come to Turkey as part of the missile deployment. He noted that NATO-supplied Patriot missiles previously were deployed in Turkey in 1991 and 2003.

"It's not as if they are going to come tomorrow to be deployed," Unal said, calling the move a precautionary measure that will deter escalation along the Syrian border.

International and Turkish media reported earlier this month that Turkey planned to ask NATO to station Patriot missiles along the border with Syria, but Prime Minister Recep Tayyip Erdogan denied it at the time.

Turkey has been careful to make clear it plans no offensive action and does not want a war with Syria, which shares a more than 500-mile border.

Turkish President Abdullah Gul told reporters November 8 that while going to war with Syria was "out of the question," precautions were needed against "ballistic missiles as well as mid-range and near-range missiles."

The U.S.-made Patriot missile system -- which became well known during the first Gulf War in the early 1990s when it protected American allies against Iraqi Scud missiles -- works well against short- and medium-range missiles.

Last month, Syrian artillery shells hit the Turkish border town of Akcakale, killing five Turkish citizens. Soon after, the Turkish Parliament approved a resolution that would allow the military to carry out cross-border incursions.

Since then, Turkish forces have retaliated swiftly with artillery after more than a dozen cross-border artillery strikes believed to have been carried out by the Syrian military.

Once-cozy relations between Syria and Turkey have all but collapsed since the Syrian uprising began last year. Turkey is officially hosting more than 111,000 Syrian refugees, but the Turkish government says tens of thousands of unofficial refugees also live in Turkish cities and towns near the Syrian border.

Meanwhile, Damascus has repeatedly accused its former ally of meddling in internal Syrian affairs by funding and arming the Syrian opposition, as well as providing sanctuary and medical care to Syrian rebels.

CNN's Susannah Palk, Gul Tuysuz, Tom Cohen, Richard Greene and Barbara Starr contributed to this report.

@highlight

NEW: By Thursday, another 76 people had been killed in the fighting, opposition groups say

@highlight

Rebels say a Syrian airstrike hits near Aleppo hospital

@highlight

Turkey requests Patriot missiles amid concern over "threats and risks" from Syrian crisis

@highlight

NATO says the missiles would demonstrate solidarity in the alliance