Los Angeles (CNN) -- The Los Angeles County Board of Supervisors on Wednesday unanimously repealed a resolution made seven decades ago supporting the internment of Japanese Americans shortly after Japan's Pearl Harbor attacks, which led the United States to enter World War II.

The five-member board heard emotional testimony from Japanese-Americans who were incarcerated in the internment camps or whose parents were placed in the camps.

They recounted the racial hysteria of the era.

Donald Nose, president of the Go For Broke National Education Center, a nonprofit group dedicated to Japanese-American civil liberties issues during WWII, said, "To this day, my uncle and mother still have nightmares about the incarceration process."

Los Angeles County Supervisor Mark Ridley-Thomas introduced the motion Wednesday to void the board's 1942 endorsement of the barbed-wired camps.

"The internment of American citizens of Japanese ancestry was no doubt a low point in American history. The county of Los Angeles in ... 1942 contributed to that by a resolution that is on the books of this great institution," Ridley-Thomas said during the meeting.

"To ignore this and leave it as unfinished business is essentially to trivialize it, and we choose not to trivialize this travesty," Ridley-Thomas said.

More than 70 years ago, the board voted unanimously to endorse President Franklin D. Roosevelt's Executive Order 9066 in February 1942 that put 120,000 Japanese Americans, about a third from Los Angeles County, in internment camps for up to three years, Ridley-Thomas said.

The board said then it was difficult "if not impossible to distinguish between loyal and disloyal Japanese aliens."

Ridley-Thomas said his proposal was meant "to address a historic wrong."

'Ways of escaping the barbed wire fences': George Takei's internment camp experience

Bill Watanabe, the recently retired executive director of the Little Tokyo Service Center in Los Angeles, a social welfare agency, said he read the 1942 resolution on Tuesday and found it disturbing.

"It would be comical if it weren't so tragic," Watanabe told the board. "Since you can't tell (between loyal and disloyal Japanese aliens), let's round them all up and put them away.

"This kind of thinking cannot exist in the county of Los Angeles, which takes pride in its diversity," Watanabe said.

Los Angeles County Chief Executive Officer William Fujioka, a third-generation Japanese-American, told the board that his grandfather, a prominent businessman in Los Angeles' Little Toyko neighborhood, was among the first detainees rounded up and was sent to Fort Leavenworth because the U.S. government "thought he was a spy."

Fujioka's father was also put in a camp while in his fourth year at the University of California, Berkeley, and he had never finished college at the time of his death in 1992, Fujioka said.

Despite the indignities, his family "taught me to be a proud American," Fujioka told the board. He then began crying.

Actor George Takei, who played Mr. Sulu on the television series "Star Trek," also testified in support of the motion and recalled his experience when two U.S. soldiers with bayonet rifles took him, then age 5, and his parents and family from their Los Angeles home and placed them in reeking horse stalls at the Santa Anita racetrack.

"My mother remembers it as the most degrading, humiliating experience she ever had in her life. She didn't know the other humiliations that were going to follow," Takei told the board. "But for me, I remember it as it was kind of fun to sleep where the horsies sleep."

Takei and his family were then sent to internment camps in Rohwer, Arkansas, and Tule Lake, California.

Marlene Shigekawa, 67, of Lafayette, California, didn't attend Wednesday's board meeting, but in an interview with CNN, she said she was born in barbed-wire-enclosed internment camp in Poston, Arizona, in 1944. Her mother, now 103, lives in Culver City near Los Angeles, she said.

"For the Japanese-Americans of all generations, the interment experience was a defining moment," Shigekawa said. "It spoke to the courage and ability to endure and to overcome a painful experience in which Japanese-Americans at the time of the war were dishonored and shunned by their own country.

"It brings back a bittersweet experience in the sense that there was so much pain in terms of shame and humiliation associated with it, but the community was triumphant in overcoming adverse circumstances and building a future for subsequent generations," she said.

Shigekawa, a board member of the Poston Community Alliance, a nonprofit restoring the Poston internment camp, said she and the group are making a documentary on Japanese-American mothers and their children born in Poston, located on the Colorado River Indian Reservation.

At the end of this month, the group is planning to return to the Poston internment camp site an original wooden barracks that's now located 15 miles away in Parker, Arizona, where a local man had bought the barracks, she said.

The alliance is now in the process of having the Poston camp declared a National Historic Landmark because it was the largest of the camps, with 18,000 Japanese-Americans at its peak, making it the third largest city in Arizona then, she said.

@highlight

NEW: "We choose not to trivialize this travesty," L.A. County supervisor says

@highlight

NEW: Actor George Takei's calls camps a "most degrading, humiliating experience"

@highlight

President Franklin Roosevelt ordered 120,000 Japanese Americans to internment camps

@highlight

Los Angeles County Board of Supervisors supported the order 70 years ago