The National Institutes of Health will begin testing an experimental Ebola vaccine in people as early as September, the NIH announced Thursday.

The federal agency has been working on the Ebola vaccine over the last few years and says it has seen positive results when testing it on primates.

Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases, said NIH has been working with the Food and Drug Administration to get the vaccine into early trials as soon as possible. According to NIAID, the results of the trial could come early next year.

The announcement comes the same day the Centers for Disease Control and Prevention raised its travel alert for Guinea, Liberia and Sierra Leone from level two to level three, warning against any nonessential travel to the region due to the Ebola epidemic. Since 2003, the agency has only issued level 3 alerts on two occasions: during the outbreak of SARS, severe acute respiratory syndrome, in 2003, and in the aftermath of the 2010 Haiti earthquake.

The CDC is sending 50 additional personnel to the three countries, CDC Director Dr.Tom Frieden said. They will be working to speed up laboratory testing, trace potentially infected people and strengthen the local health care systems.

Experts: The U.S. is ready for Ebola

Ebola is believed to have killed 729 people in Guinea, Liberia, Sierra Leone and Nigeria between March 1 and July 27, according to the World Health Organization. Stopping this particular epidemic could take months. "It's like fighting a forest fire," Frieden said. If you leave even one burning ember, the epidemic can start again.

This is not the first Ebola vaccine to be tested on humans and not the only treatment in the works.  In March, a group at the University of Texas Medical Branch in Galveston, led by Thomas Geisbert, a professor of microbiology and immunology, was awarded a five year, $26 million grant to work with three promising Ebola therapies.

Geisbert is best known as the man who discovered an airborne strain of Ebola that infects only monkeys.

The grant covers three treatments that are thought to be the most promising - i.e. they have shown substantial ability to protect animals against Ebola in a laboratory setting,  Geisbert said.

"So these treatments, one of these is actually a vaccine that works as a post-exposure treatment, much like the rabies vaccine when used here in the United States.  Another is a small molecule inhibitor called a SIRNA.  And the third is just conventional monoclonal antibodies.  All of these have been able to protect nonhuman primates against Ebola when given after exposure."

The experimental vaccine Geisbert is working with has been nearly 100% effective in preventing infection in macaque monkeys, and also shows some effectiveness as a treatment when given soon after an exposure.  In 2009, it was given to a lab worker in Germany after the worker reported being accidentally pricked with a needle. The worker did not develop Ebola, although it's not clear whether that's because of the vaccine.

Because of its strict rules and standards, the FDA can take years to get a vaccine to market. But it does makes exceptions to fast-track drug development, especially when it comes to deadly diseases like Ebola.

Geisbert said that's important, because unlike outbreaks of Ebola in the past, this epidemic is harder to manage

"I think it's very different, I mean historically outbreaks have occurred in central Africa and they have been relatively easy to contain," Geisbert said. "Usually, the outbreaks tend to occur in small villages, but it's controlled and kind of burns out.  What we are seeing in West Africa here is completely different.

"They are having the virus occur simultaneously across a very large geographic area in different locations all at the same time.  And that's very difficult to contain because again the organizations with the expertise in controlling these outbreaks, their resources are really spread thin."

The Ebola infection often is fatal.  At this point, there are no vaccines that protect humans from the deadly virus. According to the World Health Organization, more than 1,300 people have been infected in West Africa in this recent epidemic. Public health officials have called this the worst Ebola outbreak in history.

Ebola outbreak: Is it time to test experimental vaccines?

@highlight

Ebola vaccine could be tested on people as soon as September, NIH says

@highlight

Agency has been working on the Ebola vaccine over the last few years

@highlight

CDC raises travel alert for Guinea, Liberia, and Sierra Leone from level 2 to level 3