(CNN) -- Last week a leaked draft of a report by the Intergovernmental Panel on Climate Change warned that climate change will have severe ramifications for the global food supply, making it harder for crops to survive and leading to rising food prices.

This report, scheduled for publication in March, provides the latest evidence of the dramatic impacts that the shifting climate is already beginning to have on the planet and on human societies.

Clearly, climate change is a global challenge unlike any other we face, which is why I, along with a small but growing number of progressives, support a unique and potentially surprising solution to it.

It is time for policymakers to recognize that nuclear power must be a robust part of our nation's energy plan to reduce carbon emissions.

These may seem like strange words coming from a liberal whose family has been active in progressive politics, and who grew up on a Wisconsin goat farm in a home heated by wood fires. Like many of my fellow progressives, I care deeply about the environment and the future of our planet, which is precisely why I do not think we should be reflexively shutting the door on a technology that may be able to help address global climate change.

Energy production is the largest single contributor to global greenhouse gas emissions. Some people believe that we can solve climate change by reducing global energy demand and switching to solar, wind, and other renewable energy sources. But, as I've seen first hand in Latin America, people in the developing world are consuming an increasing amount of energy as they seek to live the modern lives that we in the West enjoy. As a result, studies show that energy demand is actually poised to triple, or even quadruple, over the next century.

As much as we might instinctively prefer renewable energy sources like solar and wind to meet this energy demand, last year solar provided a mere 0.1 percent of America's electricity, while wind provided just 3.5 percent -- and that is after at least $34 billion was funneled into clean energy projects from the Obama stimulus package.

Meanwhile, 19% of U.S. electricity comes from nuclear power plants; that number rises to 60% among clean energy sources.

We need all the help we can get from renewable energy, but it's a risky bet that wind and solar alone will be able to provide 100% of America's energy, let alone meet a global energy demand three times the size it is today.

If we are going to address climate change and help the global poor live longer, healthier lives, then, we need to begin a vigorous public discussion about other low-carbon energy options that are quickly scalable -- including nuclear power.

Whatever your view, this is a conversation worth having. My own interest in creating a dialogue about nuclear energy inspired me to become one of the backers of the independent documentary, "Pandora's Promise," which chronicles the conversion stories of prominent environmentalists who have become pro-nuclear.

In our sharply divided political culture, there is a real shortage of these kinds of conversations.

I believe both sides of the spectrum desperately need to open up more actual conversations rather than shutting down ideas and possibilities. After the failures of cap and trade and the United Nations climate treaty, nuclear energy could be a place where left and right find common ground on energy. Only if we are willing to reexamine our previous assumptions, and open up new spaces for dialogue, will we have any chance of addressing our nation's many complex challenges.

I know that many people, my fellow liberals in particular, are deeply skeptical about nuclear energy.

But whatever you believe, I encourage you to do some research on nuclear energy -- and to do so with an open mind. After all, the root of the word "progressive" is "progress," and I believe progress only happens with enough openness to arrive at new solutions.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Rachel Pritzker.

@highlight

Self-described liberal who's active in progressive politics supports nuclear power

@highlight

Pritzker: Policymakers should make nuclear a robust part of U.S. energy plan

@highlight

Both sides desperately need to open up more actual conversations