Rapid City, South Dakota (CNN) -- Walid Shoebat had a blunt message for the roughly 300 South Dakota police officers and sheriff's deputies who gathered to hear him warn about the dangers of Islamic radicalism.

Terrorism and Islam are inseparable, he tells them. All U.S. mosques should be under scrutiny.

"All Islamic organizations in America should be the No. 1 enemy. All of them," he says.

It's a message Shoebat is selling based on his own background as a Palestinian-American convert to conservative Christianity. Born in the West Bank, the son of an American mother, he says he was a Palestinian Liberation Organization terrorist in his youth who helped firebomb an Israeli bank in Bethlehem and spent time in an Israeli jail.

That billing helps him land speaking engagements like a May event in Rapid City -- a forum put on by the state Office of Homeland Security, which paid Shoebat $5,000 for the appearance. He's a darling on the church and university lecture circuit, with his speeches, books and video sales bringing in $500,000-plus in 2009, according to tax records.

"Being an ex-terrorist myself is to understand the mindset of a terrorist," Shoebat told CNN's "Anderson Cooper 360."

But CNN reporters in the United States, Israel and the Palestinian territories found no evidence that would support that biography. Neither Shoebat nor his business partner provided any proof of Shoebat's involvement in terrorism, despite repeated requests.

Back in his hometown of Beit Sahour, outside Bethlehem, relatives say they can't understand how Shoebat could turn so roundly on his family and his faith.

"I have never heard anything about Walid being a mujahedeen or a terrorist," said Daood Shoebat, who says he is Walid Shoebat's fourth cousin. "He claims this for his own personal reasons."

CNN's Jerusalem bureau went to great lengths trying to verify Shoebat's story. The Tel Aviv headquarters of Bank Leumi had no record of a firebombing at its now-demolished Bethlehem branch. Israeli police had no record of the bombing, and the prison where Shoebat says he was held "for a few weeks" for inciting anti-Israel demonstrations says it has no record of him being incarcerated there either.

Shoebat says he was never charged because he was a U.S. citizen.

"I was born by an American mother," he said. "The other conspirators in the act ended up in jail. I ended up released."

He said his own family has vouched for his prison time. But relatives CNN spoke to described him as a "regular kid" who left home at 18, eventually becoming a computer programmer in the United States.

Shoebat, now in his 50s, says he converted to Christianity in 1993 and began spreading the word about the dangers of Islam. He has been interviewed as a terrorism expert on several television programs, including a handful of appearances on CNN and its sister network, HLN, in 2006 and 2007.

Since al Qaeda's 2001 attacks on New York and Washington, expertise on terrorism has been in high demand. The federal Department of Homeland Security has spent nearly $40 million on counterterrorism training since 2006. The department doesn't keep track of how much goes to speakers, nor does it advise officials on the speakers hired by states and municipalities.

Shoebat spoke at a 2010 conference in South Dakota and was so well-received that he was invited back for the May event in Rapid City, according to state officials. He warned the police and first responders gathered in the hotel conference rooms that the Lebanese Shiite Muslim militia Hezbollah had operatives working in Mexico and that drug cartels were raising money with Islamic groups. He also asserted that federal agents could have prevented the 9/11 attacks by looking for a chafed spot, called "zabibah," that sometimes forms on the foreheads of devout Muslims.

"You need ex-terrorists who can tell you what life is like and what thinking is like of potential terrorists," Shoebat said. "But had we looked at the zabibah only, we would have deflected a suicide action of killing 3,000 Americans."

But Shoebat also told the group there were 17 hijackers when there were 19. And perhaps more surprising from a man who bills himself as a terror expert, Shoebat said the Transportation Security Administration could have stopped them. The TSA wasn't created until after the 9-11 attacks.

Jim Carpenter, South Dakota's homeland security director, said Shoebat brought "a point of view that certainly is not mainstream."

"He brings in commentary about living and being raised as a Muslim and converting over to Christianity -- gives them a different aspect of breaking the mold, so to speak," Carpenter said. But he said Shoebat's appearance was "a small portion" of the two-and-a-half-day conference.

"It's not like we're talking about setting up training and a discipline we would follow, that this is the only way and that's the particular point of view of a Muslim or somebody of the Islamic faith. That's not the case," Carpenter said. "That's his point of view."

Carpenter said there is "no fear of threat" from Islamic terrorism in South Dakota, where the last census reports showed the state's Muslim community made up less than one-half of 1 percent of the population. According to Rapid City's local newspaper, about two dozen Muslims live in the city.

During Shoebat's presentation, he criticized Muslim organizations and told audience members to be leery of Muslim doctors, engineers, students and mosques.

"Now, we aren't saying every single mosque is potential terrorist headquarters. But if you look at certain reports by the Hudson report, 80 percent of mosques they found pamphlets and education on jihad. So they're in the mosque, the mosque in accordance to the Muslim brotherhood is the command post and center."

The conservative Hudson Institute said it never issued such a report and has no idea why its name was invoked.

Shoebat warned that making special accommodations for Muslim beliefs was a step toward establishing Islamic religious law. And he recounted how he wore a T-shirt that read "Profile me" on a trip to the airport and approached the screeners at the security checkpoint.

"I got tapped down, I got checked, I got all these different things," he said. "I say it's wonderful."

Shoebat and business partner Keith Davies run several foundations and three websites that are all linked. Shoebat said the major group, the Forum for Middle East Understanding, includes his own Walid Shoebat Foundation.

In tax records filed by Davies, the Forum for Middle East Understanding reported 2009 earnings from speaking engagements, videos and book sales of more than $560,000. The documents are thin on specifics, and so is Shoebat.

"Basically, we are in information, and we do speaking and we do also helping Christians that are being persecuted in countries like Pakistan, and we help Christians that are suffering all throughout the Middle East," he said. Asked how they do that, he said, "None of your business" -- adding that disclosing details could endanger people he was trying to help in Islamic countries that have laws against blasphemy.

Shoebat's name doesn't appear on any of the paperwork. As for his own salary, he said he makes "probably what a gas station makes or a garage makes."

"Everybody thinks I'm just raking in the dough, which is absolutely incorrect," he said. He referred details to Davies, who offered to provide a copy of the group's tax returns -- but didn't. When asked who served on the foundation's board of advisers, Davies gave "Anderson Cooper 360" the name of a former pilot, who didn't return phone calls. But he could not name the high-ranking military officers he said were on the board.

Federal officials say they don't know exactly how much money has gone to speakers like Shoebat. But in April, the bipartisan leaders of the Senate Homeland Security and Governmental Affairs Committee raised concerns about "vitriolic diatribes" being delivered by "self-appointed counterterrorism experts" at similar seminars.

Sen. Susan Collins, the committee's Republican chairwoman, and Connecticut Independent Sen. Joe Lieberman asked the department to account for how much federal grant money went to state and local counterterrorism programs and what standards guided those grants. The request followed reports by the liberal Political Research Associates and the Washington Monthly that raised similar questions.

The Homeland Security Department told CNN that it has standards -- and if training programs don't meet them, "corrective action will be taken."

"We have not and will not tolerate training programs -- or any DHS-supported program -- that rely on racial or ethnic profiling," the agency said in a written statement.

Kevin Flower and Enas I. Al-Muthaffar in Jerusalem and Amy Roberts and Max Newfield in Atlanta contributed to this report.

Watch Anderson Cooper
360° weeknights 8pm ET. For the latest from AC360° click here.

@highlight

Walid Shoebat advises police to investigate Islamic groups and mosques

@highlight

He says he's a former Palestinian terrorist who once bombed an Israeli bank

@highlight

A CNN investigation found no evidence to support his biography

@highlight

A Senate committee has raised concerns about "self-appointed counterterrorism experts"