(WIRED) -- In less than a week, Google announced an operating system to compete with Windows, while Microsoft announced that Office 10 will include free, online versions of its four most popular software programs -- a shot at Google's suite of web-based office applications.

The fight between Microsoft and Google is over who'll be seen as the world's most important tech company.

And not more than a month and a half ago, Microsoft unveiled its new search engine Bing, which it hopes will steal market share from Google and finally make it real money online.

From the news of it, it's a full-blown tech battle, complete with behind-the-scenes machinations to sic government regulators on each other.

It is, however, not a death match -- it's more of an fight to see who will be the King of Technology, since both companies pull in their billions through completely different siphons and are unlikely to severely wound one another any time soon.

Google pulled in $22 billion in revenue in 2008, 97 percent of which came tiny text ads bought by the keyword and placed next to search results or on pages around the web. Google makes a negligible amount of money bundling its online apps for businesses, charging $50 a head annually -- but mostly it just gives its online text editor, email and spreadsheet programs away.

By contrast, Microsoft sold $14.3 billion worth of Microsoft Word and PowerPoint and other business applications over the last nine months, making a profit of $9.3 billion. It made a further $16 billion in revenue in 2008 through sales of its operating systems, which range from XP installations on netbooks, to Vista, to Windows Mobile to its server software.

Google now plans its own range of operating systems, starting with Android, an open-source OS for small devices like smartphones, and Chrome OS, a browser-focused, open-source OS that will run on notebooks and desktops.

Clearly top executives at each company look over at the others' pots of gold and dream of ways to steal them, or at least make it harder for the other guy to make money.

In fact, they even dislike each other enough to spend money to make the other one lose revenue -- take for example, Microsoft's behind-the-scenes campaign to scuttle last year's proposed Google-Yahoo advertising deal or its ongoing attempts to derail the Google Book Search settlement.

But in reality, the competition is really about creating universes or ecosystems that it hopes consumers will want to live their technology lives inside. And it's about ego -- a fight to be recognized as the world's most important technology company.

Microsoft would love for everyone in the world to be using its Internet Explorer browser to search through Bing to find a story from its MSN portal to email via Hotmail or Outlook to a friend. Add in a smartphone running Windows Mobile and an Xbox in the living room for the kids, and you have a Microsoft family. And though it is much joked about, Microsoft is the dominant platform for software developers of all types, whether they are making small business software, massive online role-playing games or photo-editing utilities.

Google's ecosystem looks different. It starts with a Google Chrome browser (oddly running only on Windows) with a default homepage set to Google News or a customized Google homepage. From there you might go to Gmail and then click on a Word document sent to you as an attachment which Google will quickly -- and safely -- open for you in its online word processor.

But most importantly, Google wants you to search and travel around the web, hitting web pages that run Google-served ads and Google tracking cookies. You might think that Google is a really cool company to give away all this free technology, while never thinking about the persistent and silent data collection Google is undertaking to profile you in order to deliver you to advertisers for a premium.

So how do the two stack up in four key areas of competition?

Browsers: Internet Explorer in all its variations still retains close to 70 percent of the market (depending on who is counting and how). That dominance remains, even though Microsoft's latest offering IE8 lags behind all the other major browsers in features and advanced web capabilities.

Firefox, Opera, and Apple's Safari have all driven browser innovation over the last five years, but most people have not been convinced to leave IE behind, despite other alternatives being safer and more advanced. Why does it matter? Well, IE installations come with a default home page, don't they?

Google's Chrome browser, on the other hand, is a handsome, whiz-kid of a browser. It's sleek and nimble, and it revolutionizes how tabs are handled. The address bar is the search box (Google as default, naturally). Each website opened runs as its own browser instance and has very low permissions to read and write to files. The sandboxing of tabs means that if a single website hangs or crashes, the rest are unaffected. Meanwhile, lower permissions make it harder for a hacker to bust into your computer through your browser.

Chrome also has less than 2 percent of the browser market share.

Online Search: Google's name now means search to most users. Google's search engine means money to Google. In June, it delivered 78.5 percent of search results pages delivered to U.S. web users. In the first three months of 2009, Google pulled in $5.2 billion in revenue, a majority of which came from AdWords, an auction-based service that triggers ads based on the keywords in a search query.

Microsoft recently debuted Bing, a new search engine it hoped would fare well in comparison to Google. It's got some fine innovations, and shows the company is thinking very hard about better ways to present information to users by finding ways to synthesize data, rather than just retrieving links. Still, despite these improvements, a $100 million ad campaign, and generous press coverage that treats Bing like an underdog, Bing gained only a point in June to get Microsoft 8.2 percent of all searches.

Operating Systems: Microsoft has been making operating systems since 1979 and has spent 28 years perfecting MS-DOS and Windows NT, the frameworks that Windows have been built around. Microsoft is estimated to run on about 90 percent of all laptops and desktops in the world. By copying its competitors' best features, leveraging questionable licensing arrangements and using its base of accustomed users to buy it time against innovators, Microsoft has held on to its lead in the OS market for almost 30 years. That's despite challenges from Digital Research, Apple and IBM.

Microsoft's newest version, Windows 7, will be available in the fall. Early reviews say the OS boots quickly and sleeps fast, and avoids much of the confusing interface decisions that have made many dislike Vista, the successor to Windows XP. Microsoft also dominates in the business world, where nearly every medium to large company standardizes around Microsoft Office. Microsoft is also at work on version 6 of its operating system for handheld devices, which it first launched in 2000.

Its OS advantages are immense. It has millions of users who know nothing else and who like Windows. There are millions who are attached to games or the thousands of desktop apps that are only available on Windows. Thousands of devices just plug in and work on its hardware. And familiarity with Microsoft software is a requirement for a huge number of office jobs.

By contrast, Google first stepped into the OS game in 2007 when it announced its Android operating system for small devices. Google estimates that some 18 phone models will be running its system by the end of the year. Last week, Google announced, but did not show off, a new OS to compete with Windows, dubbing it Chrome OS.

That name signifies that Google's OS will be for the web and browser-based. It hopes to convince developers to write software that runs inside a browser, instead of on top of the OS as developers for Windows and Apples' OS X do. It will also let web developers extend the power of their websites by expanding the capabilities of the browser, allowing websites to lean on the browser for storage and processing help.

Advertising: Google is largely powered by its innovative auction-based text ads on its own site, but then expanded into serving ads on other people's sites with the Adsense program. It bought the ad-serving and behavioral-profiling giant Doubleclick in 2007 for more than $3 billion, and has ventured into mobile, print, radio and television ads.

Microsoft has struggled to replicate Google's online advertising success. Despite owning MSN.com -- a portal that is second only to Yahoo as a destination -- Microsoft has not made money on the internet. To turbocharge its ad-delivery technology, it paid more than $6 billion in cash in 2007 for aQuantive, a full-service online advertising concern.

Instead, Microsoft's online ad business lost $1.2 billion in 2008, double what it lost in 2007. The company expects 2009 revenues to be higher than the $3.2 billion it took in last year, but has not said it would make a profit.

Contrary to what some might have you believe, the benefits of the Google-Microsoft competition are immense.

Microsoft had largely grown complacent until Google came along to shake up categories. Gmail's massive online storage capability and fancy programming made Microsoft hustle to upgrade its popular, though not user-friendly, web e-mail service. Google Maps led to Microsoft's Live Maps, which now bests Google's efforts in some ways.

Google has been winning the fight for the last few years, showing that it is still nimbler than the software giant from the Northwest. But the pendulum may be slowing, or even poised to swing the other way. With the innovations in Bing and the promise that Microsoft's online Office offerings will be free and more fully featured than the Google equivalent, Microsoft is taking on Google where it matters for users: on the field of innovation.

And that will make for an interesting race, no matter which horse you prefer to ride.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

The escalating Google vs. Micosoft battle is mostly over who'll be King of Tech

@highlight

Top execs at each company dream of ways to steal the others' pots of gold

@highlight

Chrome OS will compete with Windows, while Office 10 will include free online versions

@highlight

Here's how the two tech giants stack up in four key areas of competition