Amsterdam (CNN) -- I recently returned to Amsterdam from the latest round of U.N. climate talks in Cancun, Mexico, and found this city of canals covered in snow. It was a beautiful sight. Yet rather than filling me with joy, it caused me concern.

Over the past few years, climate-change skeptics have repeatedly used cold snaps as proof that our planet is not heating up.

This argument ignores NASA's recent analysis of 2010 as the warmest year on record and the World Meteorological Organization's pronouncement of the first decade of this century as the hottest since records began.

Global warming does not simply mean that temperatures are always climbing. What it does mean is that although our planet is steadily heating up, a delicate set of climatic imbalances creates an increase in extreme weather events.

These may include both dramatic heat spells and powerful snowstorms, such as those that have blanketed parts of Europe not used to seeing such weather -- as well as the more southerly reaches of the Eastern Seaboard of the U.S.

Most scientists tell us that we must dramatically curb greenhouse gas emissions if we are to avert catastrophic climate change. To do this, it will be necessary to mobilize people around the globe who are not yet concerned about the issue.

But if the scientific evidence can be buried, in the eyes of some, by a single heavy snowfall, then we must have new strategies that generate interest in this complex issue and sustain public and political support for action.

Pulitzer Prize-winning cartoonist Joel Pett may have hit upon something with a cartoon he drew for last year's climate talks in Copenhagen, Denmark. It shows a scientist addressing a large audience at a climate summit. A spectator at the left side of the panel asks his neighbor: "What if it's a big hoax and we create a better world for nothing?" The answer emerges on the right side of the panel where the following list appears on a chalkboard: energy independence, preserve rainforest, sustainability, green jobs, livable cities, renewables, clean water and air, healthy children, etc., etc.

There is indeed something for almost everyone in climate protection.

A small nonprofit group called the Climate and Energy Project ran with this idea in 2007. It sponsored a yearlong competition between six towns in Kansas with the goal of getting them to lower carbon emissions. They did this by reducing their energy consumption and accepting renewable sources of energy.

A study had shown that a majority of residents in that region believed either that climate change was a hoax or that recent dramatic weather events were simply the result of natural climate cycles. Organizers decided to highlight the more immediate benefits of cutting carbon emissions, including energy independence, development of the local economy and financial savings. The New York Times reported in October that the project's strategy seems to have worked.

In a year, the article read, "energy use in the towns declined as much as 5 percent relative to other areas -- a giant step in the world of energy conservation, where a program that yields a 1.5 percent decline is considered successful."

Most of the world's major religions also offer reasons to engage in climate protection. Because taking care of the poor and needy (often disproportionately affected by climate-related disasters) and protecting God's planet are tenets of most of the world's major faith-based organizations, environmental protection is commonly becoming part of what they preach.

Some Muslim and Hindu groups, for example, are working on special product labeling that would inform consumers about environmental impacts of the items being purchased.

Similarly, around the globe, diverse organizations -- including trade unions, churches, non-governmental organizations and governments -- are coming together to find solutions to climate change.

In 2010, the fossil fuel industry offered, albeit by accident, one of the greatest motivations to take action on global warming. BP's Deepwater Horizon oil spill resulted in the death of 11 rig workers; local economies suffered deeply, and wildlife in the region could take decades to recover.

The continued disintegration of public trust in government and business policy and procedures surrounding the disaster will, justifiably, have repercussions for a long time to come.

Speaking with a Dutch friend, I commented that the snow -- which has caused great travel difficulties around Europe -- was at least a wonderful thing for children, who are out in force making snowmen. "Yes," he replied, but when I was growing up, winters were so cold the canals would freeze over every year, and we could skate on them. Last year was the first time this happened again in over a decade.

The world is no longer as we knew it. It is not possible to backtrack on climate change. It is, however, still within our power to help preserve our planet for future generations.

The opinions expressed in this commentary are solely those of Kumi Naidoo.

@highlight

Kumi Naidoo said Amsterdam snow delightful, but he feared it would fuel global warming denial

@highlight

He says NASA analysis named 2010 the warmest year on record

@highlight

Naidoo: Even those who doubt climate change can take actions that benefit them and the planet

@highlight

For skeptics, case must be made in terms of better health, water, energy independence