(CNN) -- Princess Cruises' Caribbean Princess docked early Friday in Houston, ending passengers' vacations a day early amid an outbreak of norovirus.

Princess Cruises spokeswoman Julie Benson says the early docking came because of forecasts predicting heavy fog in Houston, not because of the illness. But, she said a total of 178 people reported the illness during the voyage, and lab tests confirmed that it was norovirus.

It's the second outbreak of norovirus on a cruise ship this week. Royal Caribbean's Explorer of the Seas docked in New Jersey on Wednesday, two days earlier than expected.

Nearly 700 crew and passengers fell ill on that ship, the highest number of sick people reported on any cruise ship in two decades, according to the Centers for Disease Control and Prevention. On Friday, the CDC confirmed that illness was also norovirus.

What is norovirus?

Norovirus is a group of related viruses that belong to the Caliciviridae family. People ingest the infectious virions, which grow in the small intestine before being expelled in feces.

It's the most common cause of acute gastroenteritis -- often called a stomach bug -- in the United States, according to the CDC. It causes 19 million to 21 million illnesses every year, most often in crowded environments such as nursing homes, day care centers and, yes, cruise ships.

There were nine outbreaks of gastrointestinal illnesses on cruise ships last year, 16 in 2012 and 14 in both 2011 and 2010, according to the CDC.

Norovirus used to be called Norwalk Virus or the Norwalk-like virus.

What are the symptoms?

Norovirus causes inflammation in the stomach and intestines, leading to stomach pain, nausea and diarrhea. These symptoms typically last one to three days. Other symptoms include a fever, headache and body aches, according to the CDC.

Frequent diarrhea and vomiting can lead to dehydration, another serious side effect of the virus. People who are dehydrated may not urinate as much, feel dizzy and have a dry mouth or throat.

How is it different from the flu?

People with these symptoms may believe they have food poisoning or the stomach flu. You can get norovirus from eating infected food, so that would be considered food poisoning. In fact, norovirus is the most common cause of food-borne disease outbreaks in the United States, according to the CDC.

But norovirus is not the flu. The flu is a respiratory illness caused by the influenza virus.

How do you catch it?

Norovirus is highly contagious. It's a hardy little bug that can live in the environment for up to four weeks. The virus can live in an infected person's stool for two weeks or more.

People who come into contact with a surface a patient has touched or clothes they've worn can get sick. You can also get sick eating any food a person with the virus has touched. Food commonly involved in outbreaks includes shellfish, leafy greens and fresh fruit.

Any food served raw or handled by an infected person after being cooked can get contaminated. Food can also be easily contaminated if it has been sitting out for hours, such as on a buffet.

People who have norovirus are most contagious when they are sick but can still transfer the virus even three days after they have recovered from the worst of the symptoms.

How do you treat it?

There is no medicine or vaccine to specifically treat norovirus, but most people recover fully without treatment. (There is a vaccine in the early testing stages.)

Since this is a virus, antibiotics won't cut it; they work only on bacterial infections.

Someone with norovirus has only one option, and that's hydration therapy. People who vomit frequently or have diarrhea need to replace the liquids they lose. Sports drinks can help with mild dehydration, but water is best. You can also buy oral rehydration fluids over the counter at most drug and grocery stores.

Getting too dehydrated is dangerous. In extreme cases, people who do not get enough fluids may have to be hospitalized. There, a patient will get fluids intravenously.

Will it kill me?

Most people will recover fully from norovirus, but it can become serious or even fatal in some patients, such as infants or the elderly.

Norovirus can be caught any time, but it's most common in the winter. Each year, the virus leads to approximately 1.8 million doctor visits and 400,000 emergency room visits; most of these patients are children.

Young children and the elderly are more likely to be seriously affected by norovirus. An estimated 570 to 800 deaths are caused by the virus each year, though there are generally more in years when a new strain is going around. This happened in the winters of 2002-03 and 2006-07, according to the CDC.

How can I protect myself?

Do not share food or utensils with people who are sick. Wash your hands thoroughly with soap and water, especially before preparing or handling food and after using the toilet. Alcohol-based hand sanitizer doesn't kill norovirus and should not be a substitute for old-fashioned soap and water.

If someone around you is sick, be sure to wipe down any surfaces they touch with a diluted bleach solution. Pay particular attention to cleaning the bathroom area. Wipe around the toilet, door handles and light switches.

Also make sure to wash an infected person's clothes thoroughly. If someone gets sick in bed, change their linens and towels immediately.

@highlight

Norovirus is the most common cause of acute gastroenteritis in the U.S.

@highlight

There were 9 outbreaks of gastrointestinal illnesses on cruise ships last year

@highlight

Norovirus causes stomach pain, nausea and diarrhea

@highlight

There is no medicine or vaccine to treat norovirus, but most people recover fully