(CNN) -- Shipping containers have long been a sturdy mainstay of global maritime trade.

In the city of Brighton, on the southern English coast, the durable metal boxes now also provide a low-cost housing option.

In early December Brighton Housing Trust (BHT) and property developer, QED, opened 36 shipping containers retrofitted with kitchens, bathrooms and insulated plaster-board walls.

The units have been erected on spare land in the city and will be used to house local homeless people, the number of which has been increasing steadily in recent years, according to BHT chief executive, Andy Winter.

See also: Where is the world's most valuable property?

"There's a chronic shortage of affordable housing in Brighton," Winter told CNN. "I was initially very skeptical about housing people in metal boxes ... but the containers have been converted to an extremely high standard."

Temporary accommodation like this "could really make a difference in the short term," he added.

While the concept of transforming shipping containers into housing units has been experimented with before -- including in Amsterdam, where containers are used to house students, and London, where they offer a quirky waterside abode beside the Thames -- Winter believes the idea, or similar iterations of the concept, could offer a timely solution to urban housing challenges the world over.

Low supply, lack of available land as well as stringent planning laws have seen rents and property prices soar in many major cities in recent years. Houses prices in London increased by 10% in a single month in October, according to property experts, Rightmove.

See also: Mumbai's rising property starlet

Small, unobtrusive and easy to assemble housing could, as such, provide a quick and cost effective solution to these growing concerns, Winter believes.

Various prototype designs and inventive micro-homes concepts have popped up in the likes of Germany, Sweden and the United States in recent years. Some come in the shape of standalone miniature structures while others consist of entire apartment blocks.

According to Ian Kent, the president of Nomad, a Canadian company that has designed a 10 foot by 10 foot "micro-house" that can be purchased for as little as $25,000 and shipped to virtually any location in the world, the concept could solve all manner of growing housing problems.

See also: China's crazy property bubble

"Cities all over the world are letting us know they are in dire need of this. The size by default makes everything easier to build (and) maintenance while running it. It becomes a great solution for housing," Kent said.

He also highlights the possibility of their use in developing nations with fast growing cities, as a emergency accommodation in the aftermath of natural disasters as well as being collected on a piece of property as a community, like a university campus.

Check out the gallery above to see some of the most creative and challenging micro-housing designs of recent years.

Stephanie Ott contributed to this story

@highlight

A city in southern England has transformed shipping containers into compact urban living space

@highlight

The cost of homes and rented accommodation has risen sharply in recent years

@highlight

Some experts believe 'micro homes' may provide a cost effective and sustainable housing solution