Athens (CNN) -- After yet more financial turmoil and political wrangling, citizens in Greece readied to hit the polls Sunday to decide an election that may determine the debt-stricken country's future in the eurozone and significantly impact the global economy.

Two parties, New Democracy and Syriza, are considered to be front-runners going into the vote.

Campaigning has now ended but in the last official polls they were running neck-and-neck. No new polls are allowed in the 14 days before voting takes place.

What will Greek elections mean for the country's future?

Should a working majority emerge under the leadership of the moderate New Democracy party, Greece may follow through with the next installment of public spending cuts demanded by its "troika" of creditors: the European Commission, the International Monetary Fund and the European Central Bank.

But if the left-wing Syriza party emerges as the largest, with its commitment to tear up the current bailout agreement, markets will begin to anticipate a "disorderly exit" from the eurozone.

Sunday's election was called after an initial ballot on May 6, the first since Greece's financial crisis exploded, failed to deliver a majority for any one party and talks to create a government failed.

Since then, Greece -- whose people have been suffering under a heavy burden of painful austerity measures, high unemployment and a long-running recession -- has been roiled by uncertainty and division.

Global markets have also been volatile amid fears that Greece could exit the euro currency union, a step that could drag down other ailing euro nations and send shock waves through the world's financial markets.

Many voters were focused on Greece's Euro 2012 soccer match against Russia on Saturday night in Warsaw -- a welcome distraction from the political drama playing out at home, especially after Giorgos Karagounis's goal helped propel the Greek side into the high-profile tournament's quarterfinal round.

A wild election weekend for Greece, France and Egypt

Some analysts fear Sunday's election could again result in no clear winner, leaving Greece with a weak caretaker government at a time when the nation needs clear leadership.

Syriza leader Alexis Tsipras has threatened to renege on the terms of Greece's bailout, but he has also expressed a desire to remain in the euro currency union.

Antonis Samaras, leader of New Democracy, has said his party wants to remain in the eurozone and alter existing policies, including stringent austerity measures, to "achieve development and offer people relief."

New Democracy and the Socialist Pasok party were punished by voters in the last election for supporting the bailout program, as well as for agreeing to the austerity measures that came with it.

Greece must identify additional budget cuts by the end of June to be considered "compliant" with the terms of its bailout program.

The future of Europe: 3 scenarios

Speaking to his Cabinet for the last time Friday, interim Prime Minister Panagiotis Pikrammenos praised the spirit of teamwork the caretaker government had shown in office.

In these difficult hours, he said, "Greece will have a much better outcome if we all put aside our differences and work towards the common good of this nation."

His government had dealt with very difficult issues in the past 30 days, he said, and its work would continue until a new elected government was in place.

The situation in Greece is likely to be on the minds of world leaders as they meet in Mexico on Monday for the Group of 20 summit.

Some experts argue that a potential Greek exit would be manageable, assuming the European Central Bank and European Union policymakers respond aggressively.

As economic crisis bites, Greece's children pay the price

But others worry that such an unprecedented event would cause chaos in financial markets and shock the global economy.

What does it mean to be Greek right now? Tell us on CNN iReport.

CNN's Irene Chapple and Christine Theodorou contributed to this report.

@highlight

NEW: The Greek soccer team's win in Euro 2012 provides a welcome distraction

@highlight

Greek voters are preparing to go to the polls Sunday in a pivotal election

@highlight

Observers say the country's future in the euro currency union hangs in the balance

@highlight

The left-wing Syriza party has threatened to renege on the terms of Greece's bailout