(CNN) -- Reddit general manager Erik Martin has had a busy few days.

His popular website, which thrives on real-time message boards and contributions by users on a variety of topics, received record traffic -- as well as pointed criticism -- for its treatment of the Boston Marathon bomber case.

In particular, critics took Reddit to task for what they perceived as its overeager determination to help authorities identify suspects in the many images of the scene being shared online. One group of redditors, as the site's users are known, speculated that Sunil Tripathi, a Brown University student who has been missing since last month, could be a possible suspect. Tripathi's family temporarily took down a Facebook page asking for help finding him after they were bombarded by ugly comments.

Other Reddit users focused on two young men with heavy-looking bags, one of whom wore a blue track suit. The New York Post even splashed a photo of the two marathon spectators on its front page with the headline, "Bag Men: Feds seek these two pictured at Boston Marathon." The guy in the track suit turned out to be a 17-year-old suburban Boston track star who told The Associated Press he was afraid to leave his house because of the scrutiny.

Reaction was quick and scathing. The Atlantic's Alexis Madrigal wrote a column called "Hey Reddit, Enough Boston Bombing Vigilantism," and followed it up with a story on how the names of two innocent people got repeated in a viral loop on social media. Alex Pareene addressed the issue in a similar Salon column, "The Internet's shameful false ID."

The moderator of a subreddit, or comment thread titled findbostonbombers, which had been set up to crowdsource the identities of the bombers, apologized.

Martin agrees with some of the criticism.

"The crowdsourced, more criminal investigation was very volatile and fraught with problems, and, obviously, wrong," he told CNN in an interview Monday. "That was something we all wished hadn't happened."

He posted a note on the site that went into more detail.

"We hoped that the crowdsourced search for new information would not spark exactly this type of witch hunt. We were wrong," it read. Noting the site's rule against widely sharing personal information, it added, "The search for the bombers bore less resemblance to the types of vindictive internet witch hunts our no-personal-information rule was originally written for, but the outcome was no different."

Canvassing the Internet

But, Martin adds, Reddit did a lot of good as well.

Another subreddit, devoted to aggregating the news as it happened, is only the second thread in the site's history -- after President Obama's "Ask Me Anything" page -- to outpace Reddit's mainpage in traffic. The site overall peaked at 270,000 visitors -- 50% higher than its usual -- when bombing suspect Dzhokhar Tsarnaev was captured Friday night.

Reddit's ability to stay current is one of the site's great advantages, writes Time's Jared Newman.

"As a massive community on the hunt for interesting things, it can canvas the Internet in ways that a single news organization or reporter cannot," he wrote.

Redditors also used Boston-area threads to let visitors know what streets were passable and closed, worked to get pizzas to hospitals and emergency workers, helped find hotel rooms for stranded visitors and even arranged a meetup at a park for playing with dogs.

That's the thing about crowdsourcing and social media, says cybersecurity expert Doug White: The media are only as good as their contributors.

In general, getting more people involved can be beneficial to law enforcement, says White, the head of the Forensic, Applied Networking & Security Lab at Rhode Island's Roger Williams University.

"Initially, it helps," he says. "My experience is that, with any piece of evidence, the more people who look at it, the more likely you are to get a different viewpoint. The more eyes that see it, the better off you are."

A new protocol?

On the other hand, Internet participation is so new that law enforcement isn't sure how to handle it, he says. It's like the old-fashioned police-tip lines, except on a much bigger scale. (After the FBI released photos of the bombing suspects, its website received more than 300,000 tips per minute, according to news reports.)

Like eliminating bugs from software programs, it takes time to weed the cranks out of the system -- and, in a fast-moving case like Boston, the cranks went viral, as all the false IDs and dead ends indicated.

"I think there's a lot of issues with doing this, but I hope these people have a protocol," White says.

Oscar Baez, a 24-year south Florida law enforcement veteran, agrees that participants on sites such as Reddit should funnel their theories and suggestions to authorities.

"On the computer, you can do whatever you want to, as long as you don't interfere with somebody's rights," says Baez, who now heads a private firm called Executive Tactical Training. "I always say, give us the information, let us do the legwork, let us do the computer work, let us do everything."

It's not just for reasons of privacy and proper legal protocol, he adds. People can get hurt. Baez has had tipsters call who tell him they've been conducting surveillance on suspects, which makes him furious.

"What if they're following the real suspect? What if they're following a murderer? Once that person realizes there's somebody following them, the chances are pretty good they're going to get hurt," he says. And hiding behind a computer is no promise of safety, he adds: "Even contacting that person online can still be traced back to you."

Media mixups

As with past episodes -- such as the naming of the wrong suspect in the Newtown massacre -- the frantic pursuit of information can come perilously close to mob justice.

The subreddit board, interestingly, was aware of how things could go wrong. Throughout last week's chain of events, two of the most popular entries were dedicated to Richard Jewell, the man falsely accused of the Atlanta Centennial Olympic Park bombing, and a link to an Errol Morris video on "Umbrella Man," a figure who has been wrongly named in a number of JFK conspiracy theories.

Both functioned as warnings for what could happen when gut reaction overwhelmed calm rationality.

Oops777, the redditor who set up findbostonbombers in the first place, kept trying to rein in both Reddit users and the news media.

"Media Outlets, please stop making the images of potential suspects go viral, then blaming this small subreddit for it," he titled one post. "Until the media got involved, none of the images were going anywhere but to the FBI."

But maintaining control is always going to be a challenge on such free-flowing sites, says Reddit's Martin.

"I don't think we can fix the basic problems with human behavior," he says.

But, he adds, "We can certainly mitigate it. If we can make sure to channel people's desire to help and adrenaline-fueled activity into things that are clearly positive and aren't fraught with as many dangerous (possibilities), that should be the aim for any future crisis."

@highlight

Reddit received some criticism for its handling of the Boston Marathon bomber case

@highlight

Some Reddit users, poring over images, fingered innocent people as potential suspects

@highlight

Reddit general manager Erik Martin says he regrets "this type of witch hunt"

@highlight

Cybersecurity expert Doug White: The media are only as good as their contributors.