MIAMI, Florida (CNN) -- What to do with an aging, all-but-forgotten former military strongman who has served his time but is also a prisoner of war?

Manuel Noriega's U.S. drug trafficking sentence ended about 16 months ago, but he remains behind bars.

The controversy over the next step for former Panamanian Gen. Manuel Noriega is winding its way through the federal courts. Arguments were heard Wednesday by an appeals court in Miami, Florida.    Noriega, who was captured in Panama by U.S. military forces, completed his prison sentence for drug trafficking and money laundering in September 2007 but remains imprisoned until the courts can decide where he should go.

Noriega attorney Jon May told the court that his client wants to return to Panama and that the United States is obligated to return him under the Geneva Conventions.

Assistant U.S. Attorney Sean Cronin said that the government has been asked to send Noriega to France and that there is nothing in the Geneva Conventions to prevent that.

Noriega is 74. He was treated in prison for prostate cancer and suffered a stroke. He also claims to have found God.

He did not attend the hearing.

"The general is in good mental condition, but he's very disappointed, because he wants to return home to Panama," said Frank Rubino, Noriega's longtime criminal defense attorney.

"He has fully served his sentence and should be repatriated back to the country he was seized from, Panama, just as the Geneva Convention says," Rubino added.

But the U.S. government has a different take on the Geneva Conventions. U.S. authorities believe that they can transfer prisoners of war like Noriega to other countries and plan to honor a request by France to extradite Noriega there to stand trial for money laundering.

Noriega was convicted in absentia in France, where he would get a new trial and retain his POW status.

Panama also wants to retry Noriega for murder. He was convicted in absentia in Panama and sentenced to 60 years in prison, but Panama says it will also give him a new trial. Any sentence could be served only under house arrest because of Noriega's age.

In court papers, the United States argues that "nothing in the Geneva Conventions suggests that a prisoner-of-war cannot be extradited from one party nation to face criminal charges in another party nation."

Three federal courts have ruled against Noriega.

Jon May, Noriega's appellate attorney, argued before the three-judge appeals court that "the Geneva Convention trumps what is a legal extradition."

May told CNN that the Geneva Conventions are a wartime doctrine and were never intended for criminal matters.

"The most important document, humanitarian document, of the 20th century is the Geneva convention," May said outside the courthouse. " Under the government's interpretation, individuals have lost their rights to come to court. If that's correct, that is a danger to every man and woman who serves in the armed forces around the world."

Rubino sees far-reaching implications. "If they make bad law in this case, they will make bad law for all the American soldiers all over the world, who could conceivably be captured and held as a POW," he said.

Noriega was captured when the United States invaded Panama in December 1989 on the orders of President George H.W. Bush. President Bush claimed that there were safety concerns for U.S. citizens living there.

More than 20,000 U.S. troops stormed Panama. Noriega went into hiding and later sought refuge in the Papal Nuncio, the Vatican's Embassy.

Days later, after being bombarded by rock music, Noriega surrendered to the U.S. Drug Enforcement Administration, which had a federal indictment waiting for him in Miami. It alleged that he had turned Panama into a transit point for U.S.-bound drugs and allowed drug money to be laundered in Panama's banks.

The United States claimed that Noriega was the ultimate crooked cop, paid millions by the infamous Medellin drug cartel, headed by Pablo Escobar.

Noriega was convicted in 1992. After the trial, he was declared a POW by Judge William Hoeveler, which set the stage for the current legal morass.

Noriega was scheduled to be released about 16 months ago. He has been in prison for just over 19 years.

At the end of all legal proceedings, the courts will make a recommendation to the U.S. secretary of state, who can accept or reject the court's ruling.

The case will probably eventually go to the U.S. Supreme Court and the incoming Obama administration, specifically his secretary of state, will ultimately decide whether to follow the final court ruling.

So, ultimately, the decision could be Hillary Clinton's.

Noriega denied numerous interview requests by CNN in recent years, but speaking to CNN's Larry King in 1996, he claimed that the Bush administration had a vendetta against him and that his relationship with the United States went sour when he refused a U.S. request to conduct bombings and sabotage against Nicaragua's communist Sandinistas. It was revealed at his trial that Noriega was a paid CIA asset for many years.

Noriega's attorney, Rubino, said the Obama administration brings new hope.

"I think they will probably look at this honestly and fairly and not with a slanted, jaundiced eye," Rubino said. "He will not look at this as a way to get Gen. Noriega, like the Bushes do."

But one expert said Noriega will not get sympathy from Clinton, if she is confirmed as secretary of state.

"If you're looking for sympathy for a convicted international narcotics trafficker, you're not gonna find it," said Guy Lewis, a member of the prosecution team that convicted Noriega. Lewis went on to serve as U.S. attorney under President Clinton and President George W. Bush.

"The Clinton administration's zeal with which they went after drug traffickers was probably unmatched, so I don't think I'd be looking for a lot of comfort in the Clinton camp," Lewis said.

Hillary Clinton's office would not comment and referred CNN to the Obama transition team. A spokeswoman for the transition team declined CNN's request for comment.

Nevertheless, Noriega's defense team believes Noriega has a realistic chance if Clinton is confirmed as secretary of state.

"I think it's more than possible. We're asking her to send him to Panama to stand trial for murder, not for a vacation," attorney Rubino said.

@highlight

Former Panamanian strongman Manuel Noriega is tangled in an extradition mess

@highlight

Federal judge in Miami declared him a POW after his 1992 drug conviction

@highlight

Noriega completed his sentence 16 months ago but remains behind bars

@highlight

France, Panama both want to prosecute Noriega