(CNN) -- Don't want the police or your local government to know where you are? Then put your cell phone in airplane mode or turn it off.

Location tracking is inherent in how cell networks function; otherwise nobody's cell phone would ring. But new evidence from the American Civil Liberties Union shows that phone location tracking has also become a surprisingly common tool of law-enforcement investigations -- with, but often without, a warrant.

The ACLU recently obtained records from over 200 police departments and other law enforcement agencies around the U.S. They found that "virtually all" of these agencies track the location of cell phones with data supplied by wireless carriers. (For information on police in your state, check the ACLU's interactive map, which shows details from responding agencies. Not all states or agencies responded to ACLU's public-records requests.)

But don't the police need a warrant for that? It varies by state, but carriers generally say they require a court order to release this data. Regardless of these requirements, however, "Only a tiny minority reported consistently obtaining a warrant and demonstrating probable cause to do so," said the ACLU.

Not surprisingly, the ACLU disapproves of this practice.

"The government should have to obtain a warrant based upon probable cause before tracking cell phones. That is what is necessary to protect Americans' privacy, and it is also what is required under the Constitution," states the ACLU on its site.

Why would police want to track the current location of a cell phone or the history of where it's been? According to the ACLU's records, investigating crimes was a common and obvious reason cited.

Some agencies reported that they track a cell phone's location only in emergencies, such as to find a missing person -- but others have done this for nonemergency cases.

Sometimes police requested data about all phones accessing a certain cell tower, rather than from a specific phone. Fewer than 5% of agencies reported never tracking a cell phone's location at all.

Depending on where you live, this kind of surveillance may happen a lot. According to the ACLU, "Many law enforcement agencies track cell phones quite frequently. For example, based on invoices from cell phone companies, it appears that Raleigh, N.C., tracks hundreds of cell phones a year. The practice is so common that cell phone companies have manuals for police explaining what data the companies store, how much they charge police to access that data, and what officers need to do to get it."

According to these manuals, most carriers require a court order to implement cell phone surveillance -- which can range from data about inbound and outbound calls and text messages, to a detailed report of location history based on cell phone tower data. Costs can range up to several hundred dollars for each request.

Of course, that data might point back to the dead end of a "disposable" prepaid cell phone which can be bought and activated with cash and without identification -- a common strategy for activists, criminals, people in hiding and others with concerns about surveillance. So tracing cell phone data isn't a guarantee that police will find the person or information they're seeking.

As with searching data stored on cell phones taken from people under arrest (something which requires a warrant in some states but not others, like California), law enforcement officials often contend that obtaining a warrant to track a phone's location can delay solving a crime or finding a person in danger.

But the ACLU found that some police departments -- notably in the county of Hawaii; Wichita, Kansas; and Lexington, Kentucky -- appear to have no problem regularly obtaining a warrant when needed to track a phone's location. This indicates that "a warrant requirement is a completely reasonable and workable policy," the ACLU said.

"The government's location tracking policies should be clear, uniform, and protective of privacy, but instead are in a state of chaos, with agencies in different towns following different rules -- or in some cases, having no rules at all," the ACLU said. "It is time for Americans to take back their privacy."

The ACLU's records request only applied to police requests for user and tower data from carriers. However, there are other ways to track a cell phone's location which almost anyone can use if you're willing to pay for it -- and if you can get access to the phone you want to track for long enough to install a bit of software.

Several commercially available mobile "spyware" apps can be surreptitiously installed on a smartphone to track not only its location, but all messages sent and received by any app on the phone (e-mail, instant messaging, etc.). They record every character you type, and more.

These apps disguise their presence and remotely report back to a website where the person who's doing the spying can log in to see everywhere the phone has been, and everything it's done.

Typically, spyware apps are marketed in a fairly creepy way -- to snoop on spouses or children. But spyware can also help stalkers and other criminals close in on their victims. Spyware is generally legal to sell, but it may not be legal to use. That doesn't stop people from using it, of course.

It's unknown whether U.S. state and local law enforcement agencies ever use mobile spyware, but clearly they're not the only ones who might want to know where you are and what you're doing. Your best line of defense from mobile spyware is to always protect your phone with a passcode or swipe pattern, even at your office or home. If people can't easily access your phone, they can't easily install spyware.

Requiring warrants for all instances of cell phone tracking and surveillance based on carrier data is one step that the ACLU advocates. This would at least increase transparency and accountability for the practice.

But if the police decide they want to know where you've been, it's likely that your carrier will tell them, for the right price. And right now, there's no way to prevent that.

The opinions expressed in this column are solely those of Amy Gahran.

@highlight

ACLU: Phone location tracking is a common tool of police, often without a warrant

@highlight

Fewer than 5% of agencies say they've never tracked a cell phone's location

@highlight

Most carriers require a court order to implement cell phone surveillance

@highlight

Cell phone companies have manuals for police explaining what data they store