ARLINGTON, Virginia (CNN) -- A new type of walk-through security machine will debut at several U.S. airports in the coming days as the Transportation Security Administration tries out the latest in body scanning technology.

Privacy experts with the ACLU are concerned the walk-through scanning machine is too invasive.

It's called "millimeter-wave passenger imaging technology," and it produces a more detailed picture than the metal detectors in use now at airports to screen for weapons and explosives..

Because it produces such a detailed image, however, technology and privacy experts at the American Civil Liberties Union are not satisfied that the new technology meets privacy standards.

In a written statement issued Thursday, Barry Steinhardt of the ACLU said the technology can pick up graphic body images and even medical details like whether a passenger has a colostomy bag.

Steinhardt called the screening an "assault on the essential dignity of passengers that citizens in a free nation should not have to tolerate."

TSA spokeswoman Elle Howe said privacy will be respected with the new millimeter-wave technique.

"We want to preserve passengers' privacy and make them feel comfortable with trying a technology like this," she said.

A TSA officer will escort a passenger to the machine for the test, but the person looking at the actual body scans will be at a different location and will not see the passenger, the TSA said.

In addition, the scans will have a "modesty filter" to blur out faces, and no images will be saved.

But the ACLU expressed concern that TSA officers would not be able to resist the temptation to save images of certain people, such as celebrities, and that the plan to blur faces might later be changed.

This is how the new scanners work. The passenger steps into a machine where he or she is quickly scanned with radio waves.

Those waves reflect off the body to transmit a three-dimensional image of the passenger that looks like a fuzzy photo negative. A TSA officer studies the image on a screen and looks for unusual shapes that might mean a passenger is carrying something suspicious.

Passengers who are asked to undergo a second screening can choose a pat-down search or the millimeter-wave test.

The TSA says the machines scan a passenger twice, each scan taking less than two seconds. But it takes another minute or two for a screener to review the scans before signaling a passenger to move on.

The TSA demonstrated the screening technology at a news conference Wednesday near Washington.

Howe said the millimeter wave is harmless and "can see more than a magnetometer," which is the first screening machine airport passengers encounter.

"A magnetometer only picks up metal or weapons, so this could see other materials that might be hidden on the body and it also produces an image" rather than just a beep, she said.

Asked if the millimeter wave could detect an object hidden in a body cavity, she said only that the TSA will learn more about the technology as it's tested at U.S. airports.

The TSA has been testing another type of imaging technology called backscatter. This technology also came under some fire because it shows very detailed body images -- which led some critics to call it an electronic strip search. So, the backscatter was altered and blurred to show more of an outline of the body.

The TSA will continue to test the backscatter scanners in some airports. TSA officials said they are a long way from deciding whether they'll settle on just one of these imaging technologies.

Phoenix Sky Harbor Airport in Phoenix, Arizona, begins using the new machines Thursday -- to be offered as an option for people who are asked to be screened a second time.

Los Angeles International Airport in California and John Fitzgerald Kennedy International Airport in New York are also slated to try the machines

Britain, Spain, Japan, Australia, Mexico, Thailand and the Netherlands are using the millimeter wave screening. In the United States, some courthouses and jails are trying it. E-mail to a friend

@highlight

NEW: ACLU says machines' detailed images violate privacy, assault dignity

@highlight

New machines use radio waves to scan passengers for hidden objects

@highlight

They'll be used on passengers selected for secondary screening

@highlight

TSA says blurred image, remote location of scanner protect privacy