(CNN)According to an outside review by Columbia Journalism School professors, "(a)n institutional failure at Rolling Stone resulted in a deeply flawed article about a purported gang rape at the University of Virginia."

The Columbia team concluded that "The failure encompassed reporting, editing, editorial supervision and fact-checking."

Hardly a ringing endorsement of the editorial process at the publication.

The magazine's managing editor, Will Dana, wrote, "We would like to apologize to our readers and to all of those who were damaged by our story and the ensuing fallout, including members of the Phi Kappa Psi fraternity and UVA administrators and students."

Brian Stelter: Fraternity to 'pursue all available legal action'

The next question is:

Can UVA, Phi Kappa Psi or any of the other fraternities on campus sue for defamation?

The Virginia Supreme Court said in Jordan v. Kollman that "the elements of libel are (1) publication of (2) an actionable statement with (3) the requisite intent."

"Actionable" means the statement must be both false and defamatory. Of course, the law of defamation must be balanced against the freedom of speech protected under not only the First Amendment to the United States Constitution, but also the Virginia Constitution.

True statements cannot be defamatory. Neither can pure statements of opinion, because they theoretically cannot be either true or false. But the Rolling Stone article certainly purported to be fact, and it apparently is not exactly what the law considers "true."

The individual members of the fraternity will likely be considered private individuals, and not public figures; the latter have a harder time proving defamation.

A private person suing for defamation must establish that the defendant has published a false factual statement that is about the person and that it also harms the person's reputation. The private plaintiff also must show that the defendant knew that the statement was false, or believed it was true but lacked a reasonable basis, or acted negligently in checking the facts. At first blush, that sounds like it fits perfectly, right? The Columbia report may go a long way toward establishing at least a modicum of the required intent.

But that's only half the battle. There are strict rules about who can be a plaintiff in a defamation action like this. The identity of the aspiring plaintiff matters.

First, let's eliminate UVA. The university is a public university, and therefore it is a governmental entity. The Supreme Court has been clear on the issue of libelous statements about the government: The government cannot sue for defamation. There is no such cause of action in American jurisprudence.

Now the fraternities, starting with Phi Kappa Psi.

A fraternity is not an individual, but a group. A plaintiff in a defamation case must show that the statements were "of or concerning" the plaintiff. It sounds obvious, but if you're going to say a statement hurt you, you have to prove the statement actually was about you to begin with.

When the statements are about a group without naming an individual, it's hard to say the statement is "concerning" the individual -- and groups generally cannot sue.  For example, you can be sued if you call a specific lawyer a thief, but that same person cannot sue you if you simply call all lawyers thieves. Defamatory statements about a group are therefore not actionable by the group's individual members, for the most part.

Like all rules, however, there are exceptions. If the defamatory language is about "a comparatively small group of persons and the defamatory part is easily imputed against all members of the small group, an individual member may sue." If I said, "The 1980 Philadelphia Phillies infielders were a bunch of criminals" (they weren't),  the individual players could sue, because that mean statement is clearly about certain persons -- if I said that -- which I didn't.

Phi Kappa Psi would likely argue that the "small group" exception fits it perfectly: Even if the individual members were not identified by name, the defamatory story has been imputed directly to individual members, who have suffered by their association with the group.

On the other hand, Rolling Stone's lawyers would likely argue that the group is so large and fluid (after all, the membership changes somewhat every year), that even though the fraternity's reputation is tarnished, the members have suffered no individualized injury.

As for the other fraternities on campus but not implicated in the story, that's likely a group that moves from the small category to large, and the members of Greek life generally will have a harder time bringing a lawsuit.

Lawyers will tell you that a libel suit is one of those things that citizens often threaten each other with on Facebook, but that such cases are rarely actually filed. That's because a plaintiff usually has to show some kind of financial harm. So if your Aunt Edna calls you a loser on Twitter, you're going to have to spend money on an expert to explain to a jury how that actually damaged you financially. And since most of the people who waste time threatening each other with defamation suits  on Facebook live in their moms' basements and are "between jobs," these are not the kind of people who have money or reputation to damage in the first place.

The UVA situation is not your run-of-the-mill defamation case. The university won't be able to sue, but if the members of the fraternity can get past some of the preliminary hurdles of a defamation claim, and they can make a tangible case for damages, then this could be one of those rare successful defamation cases.

@highlight

An outside review found that a Rolling Stone article about campus rape was "deeply flawed"

@highlight

Danny Cevallos says that there are obstacles to a successful libel case, should one be filed