A new deadline for a political framework agreement for Iran's Nuclear talks has been set for March 1, 2015, a Western diplomat tells CNN on Monday, with a deadline for final agreement including annexes on July 1.

Negotiators had been scrambling to reach a deal on Iran's nuclear program before a Monday night deadline. The negotiators included representatives from Iran and the P5+1 countries -- the five permanent members of the U.N. Security Council (the United States, Russia, China, France and Britain), plus Germany.

The parties involved will release a statement Monday citing "good progress" from their talks in Vienna, a Western diplomat told CNN. The negotiations will reconvene at a lower level -- below the level of foreign ministers -- in the coming weeks.

A deal could have brought an end to significant sanctions against Tehran and a warming of relations with the West. The absence of a deal could ramp up tensions and could lead to more punitive measures -- and even confrontation -- over Iran's controversial nuclear program.

Iran insists that like other countries, it has a right to develop nuclear power for peaceful purposes. But Western powers have accused Iran of trying to develop nuclear weapons as well.

And the head of the International Atomic Energy Agency, who was not part of the Vienna talks, said last week that Iranian authorities continue denying his agency access to a sensitive military complex suspected of being a site of nuclear activities.

Major disagreement

One of the primary sticking points in this round of talks has been how to lift sanctions against Iran.

Hardliners in Iran have insisted that significant sanctions be lifted right away as a sign of good faith from the P5+1 countries. Such penalties, including banking and energy sanctions, would affect tens of billions of dollars.

Earlier this month, 200 Iranian members of parliament signed a statement demanding that Iranian negotiators "vigorously defend" the country's nuclear rights and ensure a "total lifting of sanctions."

International nuclear watchdog: Iran needs to cooperate

But P5+1 members have said they'd prefer to lift the sanctions incrementally so they can have leverage on Iran and to make sure Tehran makes good on its commitments to whatever deal is reached.

Media in Tehran were skeptical about a resolution before the Monday night deadline.

Reaching a deal by the deadline "would be impossible" based on the differences that remain between negotiators, the Iranian Students' News Agency reported Sunday, citing an unidentified Iranian official involved in the talks.

Before Monday's extension of talks, a U.S. State Department official said negotiators had been "chipping away" at the issues.

"The focus of discussions remains on an agreement, but we are discussing both internally and with our partners a range of options for the best path forward," the official said.

This isn't the first time negotiations over Iran's nuclear program have been extended. The previous deadline had been pushed back four months, to this round of talks.

Pressure on both sides

Both Iranian and American officials will face a difficult political environment at home as they return without a deal.

U.S. President Barack Obama and Iranian President Hassan Rouhani have faced domestic political pressure to strike a deal. An extension could sharpen opposition both in the United States and in Iran.

In the United States, Republicans will control the Senate in January, and lawmakers have threatened fresh sanctions on Iran if a deal is not reached. Although Obama has the power to veto, just the prospect of additional sanctions could drive Iran away from the table.

Will Congress kill an Iran nuclear deal?

Obama has said that if an agreement is reached, he thinks he can get the approval of Congress and Americans at large.

"I'm confident that if we reach a deal that is verifiable and assures that Iran does not have breakout capacity, that not only can I persuade Congress, but I can persuade the American people that it's the right thing to do," he said in an interview aired Sunday on  ABC's "This Week."

But the senior U.S. State Department official told CNN on Sunday that the Iranians "still have big decisions that need to be made."

@highlight

Western diplomat says new deadlines were set for March 1 and July 1

@highlight

Negotiators had been scrambling to reach a deal before a Monday night deadline

@highlight

Hardliners in Iran want significant sanctions lifted right away

@highlight

Others want to lift sanctions incrementally to make sure Iran makes good on promises