(CNN) -- When it comes to health care, Americans disagree about much, but we do agree that our $2.7-trillion-a-year health care system is broken.

Although fixing the system will be difficult, there is one inexpensive, readily available, and highly effective way to prevent illness while drastically reducing skyrocketing health care costs: Let's help each other exercise more. In fact, it's what we evolved to do.

The essential role of physical activity in promoting health has deep evolutionary roots. Prior to a few hundred generations ago, our ancestors were hunter-gatherers who trekked at least five miles every day as well as ran, dug, climbed, and did all their work by hand.

Although the origin of agriculture transformed our diets, farmers also had to toil long, hard hours. Until recently, all of us were athletes.

Today, most Americans seldom, if ever, have to do much physical work. Cars, elevators, escalators, shopping carts, and other labor-saving innovations allow us to exist for days without ever significantly elevating our heart rates or breaking a sweat. Few jobs require physical activity and most of us have little inclination to exercise in our spare time.

As a result, a majority of Americans fail to meet the Surgeon General's recommendation to exercise at least 150 minutes per week.

Being physically inactive is not only abnormal, it is also pathological, because the old adage "use it or lose it" is really true. Our bodies evolved to require the stresses inherent in physical activity to grow and function properly, and our bodies never evolved to cope with persistent inactivity.

Moderate exercise is vital for developing a strong and healthy circulatory system, durable bones safe from osteoporosis, a vigorous immune system, a properly functioning brain and more. Almost every organ and body system benefits from regular exercise and is compromised by its absence.

How to fix health problems with exercise

No health problem illustrates the benefits of exercise more acutely than heart disease, which afflicts more than 15 million Americans and is our nation's leading cause of death. Yet of all the diseases we face, heart disease is one of the most preventable and treatable through exercise.

Men who are unfit but then improve their fitness lower their rate of death from heart disease by about 50%, research shows. Because treating a patient with heart disease costs more than $20,000 extra per year, we could save almost $40 billion a year by getting just 25% more Americans to exercise moderately. Those savings are actually a big underestimate, since studies show physical activity also substantially reduces the prevalence and severity of many other costly diseases, including Alzheimer's, breast cancer and colon cancer.

To be sure, exercise is not a panacea. Regular physical activity does not guarantee good health, and it has only limited effects on weight loss.

Yet, even though exercise won't solve the obesity epidemic, it confers so many health benefits regardless of one's weight, the question we should ask is not whether more Americans should exercise, but how can we help them do it?

Again, the human body's evolutionary story provides useful answers. We evolved to be physically active not because we wanted to but because we were obliged to.

Our Stone Age ancestors who struggled to survive had no alternative to being active for many hours a day, but they also benefited from taking it easy whenever possible to avoid wasting scarce energy.

Even though cars, elevators and shopping carts are recent inventions, the instincts to use them are ancient and powerful. As a result, we need motivation to exercise.

Would you like 2 hours of exercise with that?

How can we help each other exercise? In the case of children, exercise needs to be fun, playful, and as much a daily priority as brushing one's teeth and getting enough sleep.

It also needs to be mandatory. Just as we mandate car seats for children and prohibit minors from purchasing alcohol and tobacco, we need to implement regular, meaningful levels of fitness-based physical activity in school. By failing to do so adequately, we are robbing millions of children of healthy futures, and we are guaranteeing enormous future medical bills.

What about adults? Although adults have the right to be inactive, most of us wish otherwise but we require nudges from friends, families, health care providers, businesses, and other social institutions, including government.

On the local level, we need communities to promote non-motorized transportation and to encourage fitness activities like walking, cycling, jogging, and soccer. Businesses, both large and small, need financial incentives to encourage employees to exercise and to build the infrastructure necessary for people to do so safely and conveniently.

Doctors, health care providers, and insurers should be rewarded for helping patients become more active. In short, promoting fitness has to become a collective responsibility.

Can we do this? If history is any guide, the answer is yes. Through collective action over the last 50 years, we decreased by 50% the number of Americans who smoke, as well as the number of Americans who die in motor vehicle accidents.

Have you quit smoking? Share your story

Finally, can we afford not to become more active? Because of many advances, Americans no longer need to be physically active to survive on a day-to-day basis, but our Stone Age bodies still require exercise to thrive as we age. For the sake of our bodies, our economy, and our country, the consequences of inaction are too great to accept.

Why Americans are dying earlier than their international peers

See Daniel Lieberman and Dr. Sanjay Gupta show how anyone can run faster and longer with less effort on "Sanjay Gupta M.D.," Saturday at 4:30 p.m. and Sunday at 7:30 a.m.

@highlight

Exercising for health has deep evolutionary roots

@highlight

Most Americans don't exercise enough

@highlight

We should help each other exercise more often, authors say