(CNN) -- A guaranteed multiple Oscar nominee and the film that cements Alexander Payne as one of the top filmmakers of his generation (as if he weren't already there with "Election," "About Schmidt" and "Sideways"), "The Descendants" is nothing short of a masterpiece.

It's everything that a great film should be: beautifully acted and directed, funny, touching, heartbreaking and, most of all, true.

Not only that, but it's George Clooney's best work to date and further highlights his status as the rarest of Hollywood hybrids: the movie star-actor.

In the opening voiceover, Matt King (Clooney) attempts to dispel the idea of Hawaii as a paradise, pointing out that Hawaiians get cancer and deal with heartaches, homelessness and every other modern problem that the rest of the world has. Living in Hawaii doesn't make them hurt any less. It's a lesson to learn, because while the film that follows uses Hawaiian landscapes, people and most of all music to great effect. None of these dulls the emotions and experiences that the film evokes.

Matt's wife, Elizabeth, is the victim of a boating accident, rendering her comatose, and he suddenly finds himself in charge of 10-year-old Scotty (Amara Miller) and 17-year-old Alexandra (Shailene Woodley). He considers himself the "backup parent," but it's time for him to step up, something he's clearly not ready for.

Despite the dark and not remotely funny subject matter of a family whose wife/mother lies in a coma, "The Descendants" manages to be sad without being maudlin, funny in the face of tragedy without being insensitive, and a thoroughly enjoyable film without sacrificing drama, character development, story or honesty.

A lesser team than Payne and his cast might have swung too far into melodrama and ended up in a slog through long monologues about emotion and relationships, but screenwriters Payne, Nat Faxon and Jim Rash (the film is based on the novel by Kaui Hart Hemmings) have created an honest and entertaining portrait of a family in crisis.

While he has committed to living modestly ("give your kids enough money so that they can do something but not enough so that they can do nothing" is one of his mottos), Matt is as close to Hawaiian royalty as a (mostly) white man can get. He can trace his family's lineage to both King Kamehameha and the islands' first white settlers.

As part of their Hawaiian legacy, Matt and his extended family of cousins (including Cousin Hugh, Cousin Ralph, Cousin Hal, Cousin Milo, Cousin Stan, Cousin Wink, Cousin Six, Cousin Dave and Cousin Connie) own the largest remaining tract of pristine land on Kauai, which is being held in a trust. However, time is running out on said trust, and Matt must decide what to do with it. Sell to developer A or developer B? Don't sell and bequeath it to the state, even though many of the cousins want the money from a sale? It's a dilemma that adds to his familial stress.

To top it all off, Alex clues him in to the fact that before his accident, Elizabeth had been cheating on him. Not only is the wife he loves in a coma, she's been betraying him, and there's no way for him to confront her. The scenes where Clooney vents at his comatose wife are heartbreaking, and he is note-perfect as the cuckolded husband who has to process his anger, grief, love and loss simultaneously.

These various storylines and others, including what part Elizabeth's lover (Matthew Lillard) plays in all of this, ebb and flow with natural grace and rhythm, taking us along for a memorable ride.

The supporting cast is so loaded with exceptional performances that to sing all their praises might seem like overkill. However, three deserve special praise. Woodley, as troubled but intelligent Alex, gives the most authentic and moving adolescent female performance in years.

Away at boarding school when the accident happens, Alex is a girl with a troubled past (drinking, drugs) and present, seeing as she's been keeping her mother's infidelity secret, despite the fact that she hated her mother for betraying her father. Now, while Matt is dealing with the emotions brought on by a dying wife whom he cannot even speak with, Alex is processing her own emotions about her mother while co-parenting her younger sister.

Woodley accomplishes this with extraordinary class, grace and natural talent. She's got the "f*** you!" attitude familiar to parents of a teenager and the burgeoning parental and caring instincts of an adult. Her rapport with Clooney is one of the things that makes this film go.

And then there's Sid. Played by newcomer Nick Krause, Sid is the friend Alexandra calls to help her through the tough times, and well, he's kind of an idiot and kind of not and kind of exactly what the film needs. He's goofy but earnest, clueless and caring and, most important, knows what Alex is going through. He also delivers (and receives) some of the film's best lines.

Sid's nemesis, for lack of a better word, is Elizabeth's father, Scott (Robert Forster). Played with steely incorrigibility, Scott has blinders on when it comes to his daughter and blames Matt for her condition, suggesting that the accident was Matt's fault because he didn't buy her her own boat. He's going through something no parent should, the impending death of a child, and he's not afraid to speak his mind.

Scott's vocal anger toward Matt and cranky old-man persona (complete with beige support socks) hides a grief that plays itself out entirely behind Forster's squinty eyes. It's a devastating performance and pitch perfect.

And that's really the crux of what makes this film so magnificent. Pretty much everyone out there knows, to a certain extent, what these characters are going through. Most of us have lost someone. A parent, more often than not, or a child, sibling or spouse.

To be personal for a moment, I lost both of my parents during the past six years, and in its way, like some truly great art can, this film has helped me process their loss a little more. Obviously, everyone's experiences are unique, but there are certain near-universal truths that inhabit these types of situations. "The Descendants" presents them in natural, comfortable and, best of all, memorable ways.

"The Descendants" is rated R. It contains all the colorful language one would expect, given the situations.

@highlight

Reviewer: Film beautifully acted and directed, funny and touching

@highlight

"The Descendants" manages to be sad without being maudlin

@highlight

The supporting cast is loaded with exceptional performances