(CNN) -- As the U.S. continues limited, targeted airstrikes for the third day in Iraq, political divisions around the scope of U.S. involvement are emerging in Washington.

Top-ranking Democrats who appeared on political talk shows Sunday advocated for a limited mission and insisted that the Iraqi government must respond to the growing threat of the extreme militant group ISIS, which calls itself the Islamic State but formerly was known as the Islamic State in Iraq and Syria.

Republicans, meanwhile, are advocating a far more aggressive stance, insisting that ISIS poses a direct threat to the U.S. They urged President Barack Obama to do more than the limited airstrikes he announced Friday.

ISIS, which obtained sustained power in parts of Syria, has expanded its deadly grip on parts of Iraq, especially the Kurdish north, where tens of thousands of Yazidi minorities had been forced into mountains, where they're stranded without food and water. Up to 60 children are among those who have died from the extreme conditions.

Thousands of Yazidis rescued, Iraqi Human Rights Ministry spokesman says

Dehydration or massacre: Thousands caught in ISIS chokehold

The militant group executes civilians who don't adhere to its version of Sunni Islam. Its goal is to create an Islamic caliphate, which it claims it has already done, calling the regions they control in Iraq and Syria the Islamic State.

Obama announced airstrikes to protect the hundreds of Americans working in the region and said humanitarian assistance to Kurdish minorities would be part of a limited mission that he described as a "long-term project."

But in Washington, Republicans harshly criticized the President and his mission, saying it is too little, too late.

The U.S. role

"ISIS continues to make gains everywhere," Republican Sen. John McCain said Sunday on CNN's "State of the Union."

Obama's approach to protect military and diplomatic personnel in the area, McCain said, is "narrow" in scope and "clearly very, very ineffective, to say the least."

"That's not a strategy," he said, calling for additional airstrikes in Iraq and Syria to dismantle ISIS and to provide additional military equipment to the Kurds and the Syrian fighters who oppose ISIS.

Officials: U.S. airstrikes pound ISIS militants firing at Iraq's Yazidis

That sentiment for an expanded involvement was echoed by Rep. Peter King, R-New York.

"I am saying we should do whatever we have to do," the House Homeland Security Committee member said on NBC's "Meet the Press," including, "we take nothing off the table."

On Sunday, Democrats, however, expressed support for the President's targeted airstrikes and cautioned against any broader involvement.

"Escalating it is not on the cards," Sen. Richard Durbin, D-Illinois, said on "Meet the Press." "We cannot send the troops. We must not send the troops."

But King insisted his support for a broader operation, which includes "massive aircraft," does not involve U.S. combat troops back into the country after nearly a decade of war and three years after the troops left. "Let's not set up the false argument that there have to be troops on the ground," he said.

The role of Iraqis

Democrats said Sunday that the U.S. can do little beyond provide humanitarian assistance and protect American personnel. They said it is ultimately up to Iraqis to address the crisis engulfing their country.

"Only Iraq can save Iraq," Durbin said. "If Iraqis come together, al-Maliki put in power someone in power with the Shias and Kurds, perhaps they can do it themselves."

The U.S. relationship with Prime Minister Nuri al-Maliki has deteriorated. He has been blamed for escalating tensions between religious and ethnic sects within Iraq between the Shia majority, the Sunni minority, the Kurds and smaller groups of minorities, causing the destabilization of the country. The Iraqi Parliament is expected to choose a new prime minister soon, and Democrats say that the new leader should unite the shattered country.

Democrats say that political reconciliation in Baghdad would be able to address the crisis, which Sen. Ben Cardin, D- Maryland, called a "civil war."

"The real cause is that the Iraqi government has not performed the way it should to protect the rights of all Iraqis," Cardin said on "Fox news Sunday."

Sen. Jack Reed, D-Rhode Island, a member of the Senate Armed Services Committee, agreed that the U.S. is not responsible for repairing a country fraught with political divisions. "This has to be a political strategy that takes place in Baghdad and not in Washington," he said on CBS News' "Face the Nation."

But King lambasted the Democrats, saying they are providing a limited view of Iraq and the threat of ISIS. He insisted that the problem is much deeper than intra-Iraq turmoil.

Threat to the U.S.

He called the Democrats' position, which is similar to the one Obama expressed this past week, a "shameful abdication of American leadership."

King said ISIS is a threat beyond Iraq and Syria, calling the group more powerful than al Qaeda was on September 11, 2001, when the U.S. was attacked.

"I want to hear what he says when they attack us in the United States," King said of ISIS.

Sen. Lindsey Graham, R-South Carolina, offered a similar, dire sentiment of the threat from the militant group shunned by al Qaeda because of its extreme, violent tactics.

"I think of an American city in flames because of the terrorist ability to operate in Syria and Iraq," he said on "Fox News Sunday." "Whatever you want to call these guys, they are coming here."

Mideast spiraling in war and terror

CNN's Ashley Fantz, Barbara Starr and Chelsea J. Carter contributed to this report.

@highlight

Political divisions around the scope of U.S. involvement in Iraq are emerging in Washington.

@highlight

Top-ranking Democrats appear on political talk shows, advocate for a limited mission

@highlight

Republicans, meanwhile, are advocating a far more aggressive stance