(CNN) -- As criminal attorneys, we know that tragic cases very often bring festering social issues into public view. Bill Cosby was right: The Trayvon Martin case brings to the surface troubling questions not only about race but also about the role of handguns in our society.

Now that the shooter, George Zimmerman, has been charged with second-degree murder, his defense under Florida's "Stand Your Ground" law will become the focus of discussion. This law is grounded in a factual error and a deeply flawed principle. The factual error is that a proliferation of handguns makes us safer. The flawed principle is that somehow the right to bear arms needs to be enlarged to a right to resolve disputes with guns.

The notion that guns make us safer is a fallacy. People with guns in their homes are much more likely to be killed with their own gun -- by accident, domestic violence or suicide -- than to use it ever against an intruder, according to Arthur Kellermann, writing in the New England Journal of Medicine. Similarly, people who carry guns are more likely to be shot and killed than those who are unarmed. A University of Pennsylvania study found that people carrying guns were 4.5 times more likely to be shot and 4.2 times more likely to be killed.

That study's author, Charles Branas, has speculated that one reason may be that guns give carriers a sense of empowerment that causes them to overreact in tense situations. That may be precisely what happened in the case of Zimmerman.

Florida's Stand Your Ground law changed the previous understanding of self-defense in a simple way. Traditionally, one could only claim self-defense if there was no reasonable chance to retreat from a situation where one felt threatened. The revised law says if you feel threatened with imminent great bodily harm, you may use force, including guns, against the person you find threatening, even if there is a reasonable opportunity to retreat. What this invites is the settling of personal disputes with guns, as evidenced by a 300% increase in the number of killings by private citizens justified by "self-defense" in Florida since the law passed.

Most murders involve young men, often as both shooter and victim, as in the Trayvon Martin case. Young men, of course, often get in conflicts where they are threatening one another: that is, where both of them are trying to scare the other with "imminent great bodily harm." Florida's law may allow one of those chest-bumping young men, without consequence, to end the mutual dispute by shooting the other dead on the street. When it is over, the only witness may be the shooter, and his version of events will presumptively control. There is no morality in this rule.

Nothing in our Constitution even vaguely promotes the redress of grievances with guns; the "redress of grievances" clause of the First Amendment has nothing to with the "right to bear arms" described in the Second Amendment. Rather, what the Constitution protects is the ability to redress our grievances by petitioning our government.

There may be no more damning indictment of our society than this: We too often seem to be equipping our young men with the guns and excuses to kill one another, rather than the safe schools and knowledge it takes to frame a good and righteous petition.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: "Right to bear arms" does not include a right to use guns in disputes

@highlight

Gun owners most likely to be killed by their gun, writers say, and more likely to be shot

@highlight

Disputes solved with guns, they say, and justifiable homicides tripled since Florida law enacted

@highlight

After a person is killed, the only witness may be the shooter, writers say