(CNN) -- When origami enthusiast Uyen Nguyen discusses her art, you quickly understand that it is about a lot more than folding paper.

"In many ways it has been therapeutic," she says. "I find the process of folding paper to be almost meditative.

"Origami can be used to create incredibly realistic forms, not just to the likeness of say, an insect, but down to the exact species of that particular insect with proportions of its body segment true to real life. At the other end of the spectrum, you can mold paper to create the most abstract of forms beautiful because of their inherent structure instead of their likeness to real life forms. As someone interested in both science and art, I love that origami bridges the two."

Worldwide movement

Now Nguyen is bringing her passion to the people of New York City.

For the exhibition Surface to Structure: Folded Forms, which will take place at New York's Cooper Union from June 19 to July 4, Nguyen has gathered more than 130 works from 88 artists around the world.

The exhibition includes adorable rabbits folded by Malaysian origamist Ng Boon Choon, and a realistic rendering of a field mouse by American Bernie Peyton.

But it also includes "St. Michael -- The Archangel", a more ominous work by Vietnamese origamist Tran Trung Hieu. It shows a winged angel carrying a sword.

The exhibition marks the 55th anniversary of the 1959 exhibition Plane Geometry and Fancy Figures -- the first origami exhibition held in the United States, which also took place inside Cooper Union.

So far Nguyen has raised more than $24,000 of the $32,000 she needs to cover the cost of shipping the works, organizing security and building display cases.

Collectively the works demonstrate how origami artists are pushing the boundaries of technique and style.

Transcending language barriers

In the 1950s, Japanese organist Akira Yoshizawa helped popularize the art by creating a universal system of diagramming, which involved arrows and illustrations rather than words. His book allowed people across the world to learn the craft and to easily construct pre-existing designs.

But today artists have moved beyond that, with many using software that helps them dream up and then fold their elaborate works.

"Most origami involves folding one sheet of paper into some final form," Nguyen says.

"Modular origami uses multiple sheets of paper, folded into identical units, and takes these units and interlocks them, without cuts or adhesive, to obtain a final form that is usually very angular and representative of geometric solids. A couple of my designs add embellishments onto the surfaces of these polyhedra."

Regional variations in the art are becoming smaller and smaller as more people learn about origami via the Internet.

However, Nguyen says that she observed a few patterns among artists while curating her exhibition.

Vietnamese artists tend to be masters of wet folding, which creates soft, gentle bends rather than sharp creases.

"Their styles can be somewhat minimalist, and there is so much beauty in their simplicity," she says. "The Japanese tend to be more calculated and precise with their folding, which can allow for a huge amount of detail and complexity. I think the European style of origami lies somewhere between these two extremes."

Read more: Origami -- a perfect blend of math and art

Read more: Amazing technicolor coats of Sydney Opera House

Read more: Intricate gems from Malaysia's golden age of jewelry reveal cross road of cultures

@highlight

A new exhibition in New York showcases the art of origami

@highlight

Those who practice the discipline say it bridges science and art

@highlight

Today, origami artists use software to help them design their intricate creations.