Baghdad (CNN) -- At least 55 people were killed and scores more wounded when bombs exploded across Iraq on Tuesday, a stark reminder of the violence and instability that grips the country 10 years after the start of the U.S.-led war.

The attacks -- 17 car bombs, seven roadside bombs, and two shootings -- ripped mostly through Shiite neighborhoods of Baghdad, but also struck Sunni communities in other towns. At least 187 people were wounded.

Interactive: Iraq 10 years on

The level of carnage has dropped considerably since the height of the sectarian violence in 2006 and 2007 that nearly tore Iraq apart. But the continuing violence serves as a near daily reminder of the violence poses to the fragile political and economic gains in a post-Saddam Hussein Iraq.

It's the second time in less than a week that the Iraqi capital has endured major simultaneous attacks.

Ten years on, the war left more than 134,000 Iraqis and more than 4,800 U.S. and other coalition service members dead. The war cost hundreds of billions of dollars.

"It remains entrenched and pervasive, with a clear beginning but no foreseeable end, and very much a part of the present in Iraq," said Iraq Body Count, a UK-based group that tracks war deaths.

"In major regions of the country armed violence continues to exact a remorseless toll on human life, young and old, male and female, across society."

In Tuesday's violence, car bombs rocked Baghdad neighborhoods long engulfed in conflict, like Shulaa and Kadhimiya. They struck Mustansiriya University in eastern Baghdad and the fortified International Zone, also known as the Green Zone, where the city's international presence is concentrated. They hit cities north and south of the capital as well. Authorities defused four car bombs in the southern city of Basra.

Attackers set off roadside bombs, another potent weapon for Iraqi insurgents and a defining symbol of the war. One of those bombs rattled Baghdad's teeming Shiite slum of Sadr City.

The U.S. mission in Iraq condemned the attacks in Baghdad and in other provinces -- such as Anbar, Kirkuk, Babel, Nineva, and Diyala.

It was not immediately clear whether the attacks were related. No group immediately claimed responsibility for them.

Ten years later, Iraq is on pins and needles

Change can be seen in the once war-torn nation. A robust form of democracy has taken hold. Sunnis, Shiites, Kurds and others often work together. There is more political, economic and social stability. Coalition forces that ousted Hussein's government have departed.

However, recent attacks in Shiite areas have spread fear among Iraqis that sectarian warfare between Sunnis and Shiites may ravage the country again. Attacks targeting the Justice Ministry last week left 30 dead and 50 wounded in strikes authorities suspect were carried out by al Qaeda in Iraq.

Sunnis had more political clout during Hussein's reign. The Shiites and the Kurds, the other two main groups, were second-class citizens. Since Hussein was toppled, the tables have turned. Shiites -- the largest religious group in the country -- predominate in government. The Kurdish semiautonomous region in the north, and the Kurds themselves, have more clout.

Today, Sunnis feel they've been politically marginalized. They demand that the Shiite-led government stop what they call negative treatment of Iraq's Sunni community.

Sunnis largely boycotted Iraq's 2005 elections, leading to the emergence of a Shiite-led government. The move left the once-ruling minority disaffected.

The deteriorating security situation prompted authorities to postpone provincial council elections scheduled for April in the predominantly Sunni provinces of Anbar and Nineveh.

Expert: The Syrian conflict is hitting home in Iraq

Ramzy Mardini, an expert on Iraq, said the attacks were probably "prescheduled for the anniversary." He also said the latest violence reflects the Sunni-Shiite sectarian tensions raging next door in Syria.

He believes such attacks illustrate the revival of the "capability and confidence" of al Qaeda in Iraq, buoyed by a Syrian uprising "spearheaded by Sunni militancy."

It stands to reason that the attackers are targeting the government of Iraqi Prime Minister Nuri al-Maliki. The Shiite-dominated government is helping neighboring Iran, the largest Shiite nation in the world and a supporter of the Alawite-dominated Syrian government.

"Al Qaeda in Iraq is becoming less exclusive to Iraq. They are trying to channel energy and piggyback off the Syrian revolution by aiming to merge Iraq and Syria into one theater of sectarian war," said Mardini, adjunct fellow at the Iraq Institute for Strategic Studies in Beirut, Lebanon.

"Given that Maliki is helping Iran prop up the Syrian regime, AQI is advertising their cause and looking to attract the support and resources of militant groups in Syria."

Mardini said Sunni militants are baiting al-Maliki and Shiites to retaliate.

"They're working overtime to plunge Iraq back to sectarian war. But more important than the attacks will be how the Shiites respond. Restraint will be key, but harder to achieve should attacks against Shiites continue. Iraq has already entered the electoral season, where everyone on the political scene fuels the fear factor towards their respective sectarian corners."

It is likely that these attacks aren't going to taper off soon, he said.

"What's going on is a campaign, nothing isolated. The Syrian revolution is a strategic force of instability and will continue to provide both rationale and support to Sunnis trying to fight Shiites anywhere in the region," he said. "Growing Sunni discontent directed towards Maliki's government could be providing more cover for al Qaeda fighters to operate than before."

The Obama administration marks the milestone

U.S. President Barack Obama and Secretary of State Chuck Hagel marked the 10th anniversary of the war's beginning with statements praising the service members who fought in Iraq. Obama honored the more than 1.5 million service members and civilians who served there and the memory of the nearly 4,500 Americans who died there.

"The last of our troops left Iraq with their heads held high in 2011, and the United States continues to work with our Iraqi partners to advance our shared interest in security and peace."

Obama said a strong Post-9/11 GI Bill would help veterans pursue jobs and education.

"We must ensure that the more than 30,000 Americans wounded in Iraq receive the care and benefits they deserve and that we continue to improve treatment for traumatic brain injury and post-traumatic stress disorder."

Hagel and Obama also praised the sacrifices of service members' families.

"Our reflections include the Iraqi people -- the Iraqi soldiers and police officers who died alongside our own, the men and women who were caught in the crossfire, and those who still struggle today to secure and govern their nation," Hagel said. "The Iraqi people will determine the future of Iraq and the United States will continue to support their efforts for a peaceful, secure, free, and prosperous nation."

CNN's Mohammed Tawfeeq reported from Baghdad. CNN's Joe Sterling reported from Atlanta.

@highlight

Elections in two provinces postponed

@highlight

It is not immediately clear whether all the attacks are related

@highlight

The attacks come 10 years after the U.S.-led invasion began

@highlight

Recent attacks in Shiite areas have spread fear among Iraqis