Tuesday is Veterans Day, and there will be speeches and parades.

"Thank you for your service," the phrase that's come to define how America expresses gratitude for its men and women in uniform, will be said, a lot.

But what does a holiday -- a single day -- really mean to the 19.6 million veterans it's meant to honor?

CNN asked a few of them. Their answer: Go beyond the holiday.

They encouraged a constant, creative and sensitive focus on veterans' needs, like improving access to jobs and health care, particularly at Veterans' Affairs facilities. On Monday the Department of Veterans Affairs' new secretary announced massive restructuring at the scandal-plagued agency.

But the most productive thing anyone outside the military can do is actually very simple and easy, they say:

Strike up a conversation with a veteran. Get to know one of them in a meaningful way. There is a wide cultural gap between Americans who have no relationship with the Armed Forces and those who've served their country. Closing that gap is as necessary as it is long overdue.

Here are five ways to connect with veterans all year round.

Check your assumptions

"Veterans are very often stereotyped into two stock characters: the crying wounded or the guy who jumps the White House fence to get to the President," said Paul Rieckhoff, the executive director of the Iraq and Afghanistan Veterans of America, a national nonprofit with more than 200,000 members.

"Don't treat us like victims," said Rieckhoff, an Amherst College graduate and former Wall Street investment analyst who led an Army platoon in Iraq in 2003 and 2004. "We're not broken. We've been through a lot, but we're rising out of it."

While national discussion and media coverage of post-traumatic stress disorder has chipped away at some of the generations-old entrenched stigma associated with mental illness, many of these stories involving PTSD make headlines because they involve violence, Rieckhoff said.

It's critical for everyone to remember that having PTSD doesn't mean a person will be violent, and not every veteran has PTSD.

Each veteran has a unique story. Their military service has probably shaped them in profound ways, but they are not the sum total of that time. Take the time get to know one of them. They have a lot of lessons to share.

Five things you may not know about post-traumatic stress disorder

Invest in veterans -- it's good business

One of the biggest hurdles service members face after leaving the military is finding a job. About 77% of veterans have struggled through unemployment and more than a quarter have searched for more than a year for a job, according to Iraq and Afghanistan Veterans of America.

But there's reason for hope, judging by recent figures from the U.S. Bureau of Labor Statistics. The unemployment rate for post 9/11 veterans peaked in January 2011 at 15.2%, CNNMoney reported. In October 2013, there was 10% unemployment. Last month, the job picture for veterans improved as unemployment hovered around 7%. (The national unemployment rate is 5.8%.)

Many corporations have launched new hiring initiatives for veterans. In April 2013, Walmart pledged to give 100,000 veterans jobs within five years. In November 2013, Starbucks launched a nationwide initiative to hire 10,000 veterans and spouses by the end of 2018. Uber is driving programs to hire veterans.

Want to hire a veteran? The Returning Heroes Tax Credit should provide a financial incentive. For veterans who need jobs, the veterans job bank and resources on the VA website might help. Trouble traveling? The Veterans Recruiting Service will host a virtual career fair on Tuesday.

Thanks for your service, vets! Now trying finding a job

Help veterans' families, too

While it's well known that 22 veterans a day kill themselves, a CNN investigation revealed that many military family members also have attempted or contemplated suicide.

"The Uncounted" examined how war's trauma can wrack entire families. Family members have endured unprecedented multiple deployments during two wars, in Afghanistan and Iraq, lasting more than a decade. That means financial and emotional stress for relatives. If a family member returns from war, it's often the relatives who must care for them.

"If we can't figure out a way to provide better support for families, the public will pay one way or another," said Kristina Kaufmann, executive director of Code of Support Foundation, which tries to bridge the gap between military and civilian communities.

Kaufmann: I was a military spouse who knew wives who killed themselves

Every family member interviewed for "The Uncounted" expressed the same need to be understood by those whose lives had nothing to do with the military. They didn't want to be thought of as "the other."

"Don't be afraid to approach us. This heartache I have -- it makes other people uncomfortable. It hits them in a place that scares them," said New Jersey parent Bill Koch, whose son Steven died in Afghanistan in 2008. His daughter committed suicide two years later, an act her parents believe was inextricably tied to losing Steven.

"It can hurt so much more when we feel like we're making other people uncomfortable by talking about our kids," Koch said. "Don't push military family members away because you're afraid you'll say the wrong thing. Just asking us means you care, and that means everything."

Volunteer with veterans' programs

Whether it's a simple conversation with a veteran or their family member or volunteering, get involved. Figure out what you do best and offer that skill. If you're a mental health professional, donate your services to Give an Hour, which connects counselors to service members, veterans and their families.

Reach out to TAPS, Tragedy Assistance Program for Survivors, which connects family members who have lost service members and veterans in similar ways. For instance, if someone's brother died of an IED attack in Iraq, TAPS links that person with a peer who has lost a sibling in Iraq.

The National Military Family Association and Blue Star Families also connects military families with leaders in the civilian community.

"The Uncounted" highlighted an innovative New York clinic that broke from the traditional approach by linking the VA and a private hospital system so both could operate in a single shared office space.

Patients, including one Iraq veteran and his wife, credit the clinic for saving their marriage. The RAND Corporation has recently secured funding for a yearlong study of the clinic's efficacy to see if the program should be replicated across the country, said senior adviser to the project Terri Tanielian, whose career has been focused on veterans issues.

An overwhelming number of nonprofits and community groups have popped up over the past decade, making it harder to find a good one, she and others say. Tanielian recommended Welcome Back Veterans, which is intended to help people in the community link to veterans. The effort spans the country, and is based at medical and academic institutions in Boston, Atlanta, Los Angeles, Chicago, New York, Ann Arbor, Michigan, and Durham, North Carolina. Read an in-depth analysis of the program.

Pressure the Department of Veterans Affairs

The VA is the second largest agency in the U.S. government, rivaled in size only by the Department of Defense.

Since November 2013, CNN has been investigating and reporting about the department's failures to adequately treat veterans. Records of dead veterans were changed or physically altered in an effort to hide how many people died waiting for treatment at a Phoenix VA hospital, CNN reported. Investigators issued a scathing report that outlined 24 recommendations for change, including a firm determination of how soon a veteran should be treated and a total overhaul of the VA's appointment system.

Part of the shake-up spelled the end of Vietnam veteran and former Army chief of staff Eric Shinseki's job as VA secretary. He was replaced by Robert McDonald, a West Point graduate who led Procter & Gamble to incredible success.

McDonald told "60 Minutes" on Sunday that he plans to make it much simpler for veterans to get care; they'll have to search only one website, not dozens as they must now. Management will change and people who don't share the VA's core values won't work there anymore.

Rieckhoff, the Iraq and Afghanistan Veterans' organization leader, told CNN that McDonald has shown himself to be far more active and aware of the VA's problems and has showed an eagerness to work with veterans to change the agency. But he also urged people to write their members of Congress to make sure addressing the VA's problems remains a priority.

"We feel like (McDonald) is different because he's actually taken the time to meet veterans and ask them what they need," said Rieckhoff. "But there has to be much more. Everyone in this country -- beyond us, beyond veterans -- must make sure that the people who can fix the VA stick to their promises and make it happen."

@highlight

Do something to help veterans all days of the year, not just on Veterans Day

@highlight

Major needs for veterans include better access to jobs and health care

@highlight

Get to know a veteran to help bridge the cultural gap

@highlight

"Don't treat us like victims," veteran says