(CNN) -- The announcement Wednesday of a diplomatic breakthrough between the United States and North Korea is a welcome surprise at a critical time. Not only are more than 6 million North Koreans facing food shortages, but also the window is quickly closing for the United States to have any leverage over North Korea's nuclear program, given the changing global balance of power.

In exchange for an initial 240,000 tons of U.S. food aid and prospects for improving bilateral relations and returning to six-party talks, North Korea agreed to halt its uranium enrichment program, accept monitoring by the International Atomic Energy Agency, and stop testing its long-range missiles.

Contrary to some media assertions that U.S. food aid has not been linked to denuclearization, Washington has stalled for over a year on sending food to North Korea, despite a direct appeal from Pyongyang, and after several assessments, including by the U.N. World Food Program, the European Union, and a team of five U.S. nongovernmental organizations, all verifying the urgent need.

So what shifted?

For one, the Obama administration appears to have concluded that the succession to Kim Jong-Un has been a smooth transition and that the imminent collapse of the North Korean regime is unlikely. It has likely realized that nonengagement has been a complete failure.

South Korean President Lee Myung-bak has refused aid, trade and talks with North Korea until Pyongyang apologizes for its alleged sinking of a South Korean navy ship and shelling of Yeonpyong Island. Not only has the opposition Democratic Party in South Korea called for an end to sanctions and closer ties with North Korea, even members of Lee's own party are calling for more engagement.

Moreover, as China's trade and aid to North Korea have continued to grow, U.S.-led sanctions have not had their anticipated effect of undermining the North Korean regime. To the contrary, there are signs that Washington's ability to influence North Korea's behavior, including its nuclear program, is on the wane.

According to Katharina Zellweger, the former head of the Swiss Agency for Development and Cooperation who worked in North Korea for 15 years, there are rumors that China already has or is planning to send food aid and fuel, though the amount is unclear.

"Why would [North Korea] deal with the United States?" she said. "The train has left the station."

This week's diplomatic breakthrough may indeed be one of the last opportunities Washington has to influence Pyongyang's nuclear program. As Secretary of State Hillary Clinton put it at a Senate hearing, "The world is transforming around us."

Why, then, is North Korea making concessions to the United States? North Korea still needs the United States to lift its sanctions and to formally end the Korean War. According to the Korean Central News Agency, the United States affirmed during talks in Beijing that its sanctions were not intended to target the North Korean people and that once six-party talks began, priority would be given to lift the sanctions.

North Koreans view resolving tensions with the United States as a crucial step to joining the international community, including being able to access loans from international financial institutions to recalibrate their economy.

This point was made last year by former President Jimmy Carter, who explained, "In almost any case when there are sanctions against an entire people, the people suffer the most and the leaders suffer least." In the case of North Korea, Carter said that "the last 50 years of deprivation of the North Korean people of adequate access to trade and commerce has been very damaging to their economy."

Most Americans don't realize that underlying tensions with North Korea stem from the unresolved Korean War, which ended not with a peace treaty, but only with a temporary armistice. We cannot lose sight of the fact that peace is the only solution to ending hunger in North Korea.

North Koreans need food aid, but they also need an end to hostilities, the lifting of sanctions and a genuine engagement plan that includes a formal resolution of the Korean War. This week's diplomatic breakthrough brings us that much closer to realizing peace on the Korean Peninsula and gives hope that denuclearization there and elsewhere can be still achieved through diplomacy.

The opinions expressed in this commentary are solely those of Christine Ahn.

@highlight

Christine Ahn: Apparent breakthrough on N. Korean nukes comes at critical moment

@highlight

She says Obama administration sees regime not likely to collapse

@highlight

Ahn: China's sway could grow with food aid; and there are signs that U.S. influence waning

@highlight

Ahn: Still, North Korea needs U.S. to lift its sanctions and to formally end Korean War