CNN -- The UN Climate Change Conference in Copenhagen last December was widely portrayed as a failure. But just how bad was the result? And is there cause for optimism? CNN spoke to climate change expert Mark Lynas who was in the room with world leaders as key decisions were debated.

CNN: Would you describe the Copenhagen talks as 'a disaster'? And if so, how serious is this failure?

Mark Lynas: I would describe them as a near disaster in the sense the worst outcome would have been no agreement at all, which was very nearly the situation, right up until the end... Overall, it isn't good, but it isn't the absolute end point either.

CNN: China has been widely criticized for being un-cooperative. Do you think world leaders can move forward with a deal, despite China's attitude?

Mark Lynas: China isn't the new Saudi Arabia, who wanted to block an agreement under all circumstances. The point is that the Chinese need to feel like they are under pressure and they need to feel that they will have to peak their emissions much earlier than they want to. I don't think that makes them unique, it just puts them in a similar situation to most other countries, including the United States.

It was mainly China that tried to block the agreement in the form of the Copenhagen Accord, and I think people need to understand that so that [the Chinese] can be put under pressure in the months and years ahead.

But I think the real point is this: over the last 15 years it has always been the Annex 1 countries, the rich countries, that have been the bad guys blocking agreements; countries like the United States, Australia, Canada and Japan have all been seen as obstacles to progress.

But at Copenhagen it was a different situation, where the rest of the world was prepared to see serious long-term mitigation targets in any agreement and this was blocked by a country from the developing world. People need to recognize that the geopolitical realities have changed and campaigns need to change accordingly.

CNN: How optimistic are you that global leaders will find their way to a multilateral deal before its too late?

Mark Lynas: I don't think it's totally disastrous that we don't have an agreement now. The big emitting countries need to go back and do some thinking about all this, but they can't put off an agreement indefinitely.

We also have to realize that this argument that because the rich countries have polluted, so the poor have a right to pollute, is flawed both morally and ecologically. This is the argument that has underlain everything so far, and that will need to change. If that's to happen it's going to mean a big change in how climate change politics is conceptualized and everyone from governments to NGOs to media organization have to understand this.

CNN: What do you think will happen now?

Mark Lynas: We have to think about what all this means and understand why progress has been so agonizingly slow. We need to work on some of the positive outcomes. Personally, I will continue to work with the Maldives to show that going carbon neutral and getting emissions down is not a huge sacrifice, but actually something that makes your life better, and puts you at the forefront with the economic winners.

We need to try and change the language used to discuss climate change, from all about burden sharing, to opportunity sharing. That's a big mental shift, it's a big political shift and it's a big economic shift.

I also think it's important to keep developing countries and small island states as low carbon emitters, and make sure that the low-emission path is one that brings them prosperity. We have all the technology to do that, but we don't have the political framework yet. So, we will need the right kind of funding and political will to take mitigation action.

What do you think? Have your say in the Sound off box at the bottom of the page.

CNN: What would you do if you were President of the USA?

Mark Lynas: Obama is a smarter person than I am and I'm very reluctant to second guess him or make suggestions. Like all leaders he has to make a compromise with domestic pressures, which for him are largely very negative, certainly from the Republican right and make it almost impossible to get an international treaty through the Senate, particularly something to do with climate change. He has to balance that with his international responsibilities to keep the planet habitable.

But I think he went to Copenhagen with a reasonable offer. OK, so it's only four percent below 1990 levels but you've got to deal with where we are now... The point is that all countries have to move towards peaking their emissions and the U.S. is at the table to do that and we need other countries to behave likewise.

CNN: What action would you like to see ordinary concerned citizens take?

Mark Lynas: It's a mixture of things. I think as individuals we have to be a bit less naive. It's really much more important what your electricity company does with its investments, than whether we all change our light bulbs or turn our heating down. This is a problem that will be solved by very large companies and countries.

The hippy option of dropping out and having a different lifestyle is largely irrelevant. I want to see proper, free market-based solutions and I don't see any reason why they don't exist now.

One of the reasons denial is so prevalent is that dealing with climate change is seen as a big government, taxation issue, so those on the right have nowhere to go but be in denial about the problem as a whole. I'd like to see a shift there, leaving the true Flat Earthers isolated by options that are much more market-based. Now, obviously the campaigning left will go crazy about that, but I don't mind. It's important that the debate shifts.

CNN: Do you think emissions can be reduced enough to mitigate the worst effects of climate change without a global deal?

Mark Lynas: I think it's unlikely we can solve this without a multilateral agreement... It is still cheaper and will probably remain cheaper to manufacture exports with coal than with renewables or nuclear or another cleaner option. So we do need an international agreement that agrees a price on carbon to shift production away from those fuels.

Having countries that continue to use huge amounts of carbon to produce things cheaply and undercut their competitors would be a real problem. It is already an issue in the U.S., people say, 'If China isn't moving why should we?' You also get these kind of arguments in Europe. So I think we need a political mechanism that ensures the whole world is working together... we need a new game in town.

CNN: How optimistic are you we can mitigate the worst impacts of climate change?

Mark Lynas: I don't see why not. I think climate change is one of the easier ecological problems we've got to address. Tackling biodiversity loss is going to be much more difficult.

Climate change should respond to a techno fix approach -- we just need to substitute our energy sources. But how are we going to save the tiger? Or the polar bears and the millions of other species under threat. I can't really see a market-based solution to that, or even a technology-based solution at the moment.

There are all these problems waiting in the wings. Climate change is probably the most important and the most urgent... but I don't see why the energy system will be so difficult to change, particularly as we have decades to do it.

If you think how different the world is today from how it was in 1950, what will it look like in 2050? Almost all the industrial plants that exist will have been retired and replaced by then. So long as we have the politics in place to ensure no new carbon-intensive plants are built, we can get there.

CNN: What gives you optimism?

Mark Lynas: I just don't see any particular reason why we shouldn't solve this problem. Given that carbon is not necessary for development. You don't need to burn coal to be prosperous, you don't even need to bun oil for transport, and there is an alternative for almost everything people want and value in their lives that is currently provided by a fossil fuel, perhaps with the exception of aviation...

The politics look so difficult at the moment because the interests of different countries aren't really aligned, but that's a job for political leaders. It's been rather slow going, you know two steps forward, one step backwards, or in the last couple of years, two steps backwards one step forward. We do have to recognize that lack of progress. But political leaders are engaged in this and I can't see how it will just be dropped.

Plus, the climate will keep on changing, whether it's global average temperatures or extreme weather events, so we are going to have solve it, even if we have to solve it very hurriedly and very expensively, we will have to do it. Simple as that.

@highlight

Climate change expert Mark Lynas was at COP15 summit

@highlight

Calls the event a 'near disaster' saying agreement mainly blocked by China

@highlight

Remains optimistic that climate change can be tackled

@highlight

Says focus should be on opportunity sharing rather than burden sharing