Tea party groups describe an arduous IRS application process for tax-exempt status with probing questions and long delays.

In addition to standard questions that organizations face when applying for tax-exempt status, a handful of tea party organizations told CNN they were asked probing questions about the websites they maintained, literature they use for research and future activities the groups had planned.

Acting commissioner of IRS resigns

The IRS scandal over how it processed tax-exempt applications from tea party and conservative groups has already cost the acting director his job and caused lawmakers from both sides of the aisle to call for an extensive investigation about how the prejudicial screening was allowed to happen.

Many of the tea party groups opted to seek tax-exempt status as social welfare organizations under Section 501 (c) (4) of the federal tax code after the 2010 Supreme Court ruling in the Citizens United case.

That exemption allows groups to fundraise without disclosing donors, but requires that any participation in campaigns of elections must be for the promotion of social welfare.

Larry Norvig, executive director of the Richmond Tea Party, said he first sought 501 (c) (4) tax-exempt status for his group in December 2009.  The tea party group didn't hear from the IRS until September of 2010, when the taxing body had 17 more questions for the group, which Norvig answered.

More than a year went by when the IRS had another 12 questions for the Norvig's group in January 2012. While he shrugged off the first set as benign, he said he was shocked by the second round.

In the second set of questions, the IRS asked the Richmond Tea Party to provide "the time, location and detailed description of each event or program" in which the group had "conducted or participated" since October 2010.

The IRS also asked for "copies of handouts" provided to the audience at all of the group's events since that date. Norvig was most strartled when the IRS asked for "copies of your current web pages and your presentations on other web pages such as social networking sites and blog sites."

The IRS also asked to see private pages that were "accessible only to your members."

"We were quite alarmed," Norvig said.

Although he admits he only answered part of the questions, Norvig said his group received its tax-exempt status in July 2012.

CNN reached out to the IRS for this story but received no response.

Acting IRS Commissioner Steven Miller resigned over the controversy on Wednesday night. In a statement, President Barack Obama vowed new safeguards to ensure that such targeting is not repeated at the IRS. "Americans have a right to be angry about it, and I am angry about it," he said.

According to a Treasury Department inspector general's report this week, the IRS used keywords that generally applied to conservative and tea party groups in determining whether an application deserved more scrutiny.

The Indiana TEA Party is another conservative group that says it received scrutiny similar to that given to other tea party organizations.

'Angry' Obama announces IRS leader's ouster after conservatives targeted

Documents from March 2012 provided to CNN by Ken Johnson of the Indiana group shows the IRS asked for copies of "the pages" of its website -- including social networking sites -- and a "list" of the group's "activities to date," including a description of each event.

The IRS also asked the group to "provide a list of your communication to your members or others," including speeches, e-mails, flyers, billboards and "other literature."

"We didn't know what was going on," Johnson said.

Johnson said he was so frustrated by the process that he just gave up on the tax application.

"We took a look at the requested information and basically said there is no possible way that we can reproduce, for example, hard copies of every web page on our site that we had," Johnson said. "They wanted a hard copy of every piece of literature that we had distributed at a street fair or at a meeting or at an event and quite honestly, we couldn't do it."

So Johnson and the Indiana TEA Party just didn't respond to the inquiry.

"We just said fine, we will file as a different organization," Johnson said.

Even though the group failed to respond to the questions, the Indiana TEA Party received a letter from the IRS office in Cincinnati that its tax-exempt status was approved on February 22, 2012.

"Do I have confidence in this organization. The answer is no," Johnson said, confused as to how he was approved after he didn't answer their questions.

Read IRS watchdog's report

A number of other tea party organizations tell similar stories.

"They wanted us to predict the future, like asking us in the future what kind of events we would hold, taking part of and how much money we would spend on those events in the future," Toby Marie Walker, president of the Waco Tea Party told CNN.

Walker said the questions she was asked were similar to those asked of the other tea party groups -- the IRS asked about her website, events she had participated in and any connections she had with elected officials in her area.

"We called the IRS and we asked them, 'OK, can you tell us what, first of all, 'close relationships' means,'" Walker said about her call with the IRS. "My state rep is also my dogs' veterinarian. Is that something that you want?"

Like other groups, Walker said she did her best to answer all the questions but eventually just sent incomplete responses to the IRS.

"These questions are impossible to answer," Walker said. "We felt that they were trying to bury us in paperwork so that it would be more difficult to comply and get our status."

Like other groups, Walker eventually sent incomplete answers to the IRS. If we had done everything they wanted, "it would have taken a U-Haul truck," Walker joked.

The Waco Tea Party received its tax-exempt status in March, 2013.

The IRS has identified two "rogue" employees in the agency's Cincinnati office as being principally responsible for the "overly aggressive" handling of requests by conservative groups for tax-exempt status, a congressional source told CNN.

Tim Curtis, co-founder and chairman of the Tampa 9/12 project, a conservative group that applied to tax-exempt status in 2010, said his organization also experienced similar scrutiny.

In August of 2010, Curtis said the IRS sent him a similar letter to other groups and asked for "screen shots of website pages" and "what research material we have used to develop our materials when we were conducting our meetings."

"Our only concern was that we comply with the law, we had no reason to suspect anything was amiss at that point," Curtis said. "Obviously in hindsight, we know that not to be the case."

For a group of people that was already deeply skeptical of government, his encounter with the IRS validated his mistrust of the government.

"At this point now, the question for us is now we know you have been lying about everything else," Curtis said. "What else has been going on that we didn't know of?"

Opinion: IRS abuses power

@highlight

A handful of tea party organizations told CNN that they were asked probing questions

@highlight

Director of Richmond Tea Party said he first sought tax-exempt status for the group in 2009

@highlight

The IRS asked to see private pages that were "accessible only to your members"

@highlight

The Indiana TEA Party is another conservative group that says it received similar scrutiny