(CNN) -- If you can't stand the heat, get out of the kitchen -- or so the saying goes.

But in the pressure cooker atmosphere of the White House, where world-changing decisions are made on a daily basis, the kitchen could well be the coolest room in the building.

The chef feeding the most powerful man on the planet uses few words as she kneads, stirs, and whips; her style likened to a "baseball coach" who calmly relays orders through hand signals.

"I think 'baseball coach' is a great analogy because everybody has their own positions, everybody has their own plays to make," says Chef Cristeta Comerford, in an accent that wavers between her native Philippines, and adopted home of Chicago.

"You look at everyone's strengths, everyone's abilities and knowledge. So hopefully towards the end of your meal you hit a home run because you're basically trying to rally your team to be the best at whatever they do."

While foul-mouthed celebrity chefs like Gordon Ramsay and Marco Pierre White have made a name for themselves as the genius "enfant terribles" of the culinary world -- serving up incomparable food with dollops of expletives -- Comerford takes a different approach.

"I think of the skills you need to be a White House chef, talent is number one," says the woman who admits if she was to have any other job, it would be as a missionary.

"But at the same time, temperance and the way you treat your co-workers would be up there as well. At the end of the day, whatever you do and whatever your mission is, it's only successful because of your team."

Question Comerford on her famous bosses preferred foods, and her lips are sealed. Perhaps discretion -- as well as talent -- is part of the secret to her success.

"When you work hard as the president, no matter who you are, my job as the White House chef is to make sure that when they get home they're very comfortable, and they're happy with the food they're served," she said.

"It's really a matter of knowing each of them individually: Do they like their pizza with thick or thin crusts? What vegetables do they prefer? That kind of thing."

All the president's chefs

For almost two decades, Comerford has worked behind the scenes making sure the president, his family, and high-profile guests are so well fed they needn't give it a second thought -- they have enough on their plates as it is.

The 51-year-old has served under three presidents -- joining the Clinton administration as a sous chef in 1995, before the Bush government appointed her to the top job of executive chef in 2005.

It's a position she's held throughout Barack Obama's two terms, the president heralding a new era of sustainable and seasonal food growing, different from his predecessors.

Before she begins any meal, Comerford now turns to the White House's South Lawn to assess what's on offer -- harvesting fresh vegetables, herbs, and even honey from the hive.

"We have beautiful produce growing basically in our backyard, calling our name and saying 'hey, I'm ready to be cooked today,'" she says, her voice warm with affection for the patch of land, which since it was first sown by Michelle Obama in 2009, has almost doubled in size to 1,500 sq ft.

In a cooking session with CNN Leading Women presenter Isha Sesay, Comerford found inspiration from "Michelle's Garden," picking fresh tomatoes, zucchini, and thyme for a summer vegetable crostata (full recipe below).

"We do a lot of healthy cooking for the First Family," says the mother of a 13-year-old daughter.

Though in a country where over two thirds of adults are overweight or obese, it seems not everyone is taking her lead.

The seasoned chef doesn't measure her ingredients -- "After 20 or 30 years in the business, all the recipes just kind of get in there," she says, pointing to her head.

"It's only the pastry chefs who measure things. The savory chefs, we just kind of wing it. But it all works out in the end."

Salad girl to White House chef

Feeding the U.S. president is a long way from Comerford's first job working as a "salad girl" in Chicago hotels -- then a 23-year-old newly-arrived to the U.S.

Her older brother Juanito Pasia remembers driving her to-and-from work at the Sheraton hotel near O'Hare Airport in his blue Ford van, where she would make caesar and cob salads.

"Even though you start off as a salad girl, you know I think in every type of work it's always good to work your way from the bottom up," says Comerford.

"Because you kind of learn from starting out -- things like organizational skills, and just basic knife techniques."

She later moved to Washington D.C, working as a chef at two hotels, and doing a sixth-month stint in Vienna, Austria, where she learnt classic French culinary techniques.

Then in 1995, White House chef Walter Scheib recruited Comerford to work under the Clinton administration.

With a change of president came a change of taste, and Scheib was fired by First Lady Laura Bush ten years later, after he "failed to satisfy her stylistic requirements."

Around 450 people applied for the top job, which went to Comerford -- the first woman and ethnic minority ever to hold the position.

Today, of the top 50 restaurants in the world, only three have a female head chef or owner.

Stately affair

This "baseball coach" and her team of seven chefs need to keep their eye on the ball.

At the White House's recent African Leaders Summit, over 400 guests sat down in a lavish outdoor pavilion for a four course meal -- that's 1,600 plates of food timed to perfection.

The Pièce de résistance was Halal dry aged beef, raised in Texas, marinated in chermoula -- a garlicky herb blend used in Northern Africa -- and accompanied by plantain chips.

It was one of the biggest events Comerford has hosted in her 19 years at the White House, and all the food that can be, is prepared two days in advance

The menu however, is a delicate document requiring weeks of research into different guests dietary requirements, before it is given to the First Lady for approval.

"We still cook American food at its finest -- American regional cuisine and American products," said Comerford.

"But at the same time we want to honor our guests by featuring different spices and things that are very dear to them -- hence the plantains."

Home cooking

Growing up as one of 11 children in Manila, Comerford remembers "everything pretty much revolved around the kitchen and kitchen table. There was always the smell of food, always the sound of food.

"As a third grader we were asked to start wrapping our first spring rolls."

The daughter of a school principal father and dressmaker mother ("she made my wedding gown"), she remembers visiting her grandparents' farm where everything from fresh meat to vegetables was sourced from the backyard.

Her kitchen today is still filled with tantalizing aromas -- though now it's more likely to be her Irish chef husband John doing the cooking.

After a long day feeding some of the most high-profile people on the globe, Comerford doesn't like to spend longer than an hour on her own dinner.

Though she does enjoy a specially concocted Irish/Filipino stew -- "It's full of potatoes and beef and fish sauce. It's sounds kind of weird but it's really good."

Whether she's also served it to the U.S. president is another matter.

--------------------------------------------------------------------------------------------

CHEF COMERFORD'S SUMMER VEGETABLE CROSTATA

Serves 6.

For the dough:

1 cup lukewarm water

½ tsp active dry yeast

1 tsp kosher salt

1 tsp sugar

1 tsp olive oil

1 cup whole wheat flour

1 cup bread flour plus extra for rolling

For the filling:

1 large red tomato, sliced ¼ inch

1 zucchini, sliced ¼ inch

1 yellow squash, sliced ¼ inch

6 mushrooms, sliced ¼ inch

4 oz feta cheese, crumbled

1 Tbsp olive oil, plus extra for brushing

1 tsp chopped thyme

1 tsp chopped garlic

Salt and pepper to taste

Method:

In a large mixing bowl, place the water, dry yeast, kosher salt, sugar and olive oil. Mix together and let sit for a few minutes until the mixture turns foamy. Add half a cup of the flour at a time using your hand to incorporate into the mixture. Once all the flour is added on and mixed, turn Onto a floured board. Knead for about five minutes until the dough is smooth and elastic. Set in an oiled bowl and cover with a plastic film. Set aside to rise until it doubles in size.

In the meantime, using a large mixing bowl, toss all the cut up vegetables with olive oil, thyme, garlic, salt and pepper.

When the dough is ready, place On a floured board and roll into a ½ inch dish. Brush with the olive oil, season with salt and pepper. Working an inch and half around the edge, place the seasoned vegetables, alternating the colors. Crimp the edge towards the center and brush with the remaining olive oil. Sprinkle the top with feta cheese. Cook at a preheated oven (425F) for about 20 minutes. Slice into portions and serve immediately.

Serving suggestion:

Top with young arugula salad, tossed with balsamic vinegar.

Isha Sesay contributed to this report

@highlight

Exclusive interview with White House chef Cristeta Comerford

@highlight

Cool-headed cook relays orders with hand signals, not outbursts

@highlight

Filipino started off as "salad girl" working in Chicago hotels

@highlight

Pressure is on to feed hundreds of dignitaries at state banquets