(CNN) -- In American business great CEOs embody their companies. They persuasively connect their companies' brands to the emotions, desires, aspirations and, yes, the fears and challenges of consumers -- men and women alike. Jack Welch of General Electric, Roger Enrico of PepsiCo, Howard Schultz of Starbucks, Steve Jobs of Apple all come to mind.

A great CEO is a company's No. 1 salesperson.

Yet Microsoft CEO Satya Nadella has showed himself as just the opposite, last week whipping up the justified anger of women in the workforce with advice that they should wait patiently for pay raises.

At Thursday's global conference of women in tech, dedicated to the memory of a legendary female computer scientist, Grace Hopper, Nadella -- the first ever male keynote speaker -- was responding to a query on advice for women who are uncomfortable asking for raises and promotions.

He told conferees: "It's not really about asking for the raise, but knowing and having faith that the system will actually give you the right raises as you go along." He later added that such restraint is "good karma. It'll come back because somebody's going to know that's the kind of person that I want to trust."

How could Nadella be so -- putting it charitably -- tone-deaf? At the very least, he was unprepared: A great CEO is always ready to be put on the spot, to answer questions on a tough subject from his corporate vantage point as a powerful leader.

The big stunner for the headlines, however, was that Nadella revealed a remarkable level of insensitivity and ignorance about the huge barriers women face in the workplace. The immediate backlash showed just how out of step he is with the reality faced by a substantial chunk of his workforce talent every day as it tries to advance up the ladder of success at Microsoft.

For women, his comments are a reality check -- a clear sign that even though the general consciousness about women, work and equality is higher than ever, so much remains to be done. More than ever, women need to stand up, be heard and challenge the prevailing attitudes that maintain unequal treatment.

Nadella's company, for example, recently reported dismal statistics on the number of women in its management ranks. Microsoft revealed that while women make up 29% of its total workforce, they are 17% of its leadership -- the lowest among their tech peers, though by a slim margin of 4 percentage points.

The "system" Nadella wants women to depend upon at Microsoft has not been kind. Bethany McLean writes in the November issue of Vanity Fair magazine that it has rested on a leadership culture embodied by Nadella's predecessor, Steve Ballmer, that drove, according to one person interviewed for the article, "sub-optimal human behavior," as well as behavior modeled by both Ballmer and Microsoft founder Bill Gates that had, according to a former executive quoted, "too often crossed the line into abuse."

It's not just Microsoft. At Harvard, women faculty disagreed with their male peers by a ratio of 2-to-1 "that the climate for female faculty in the School/Department is at least as good as for male faculty." Just as meaningful as climate is access to powerful peers who decide whether nontenured faculty stay or go. The women faculty members said they felt excluded from an informal network that might improve the perception of their research or help them move up the ladder.

Nadella's remarks are also a call for women to be not just impatient about raises but proactive about compensation equality. Money and representation equal power and mobility, especially among male-dominated groups. According to an article in the Financial Times, "women engineers make 89 cents for every dollar their male colleagues earn." That reality is a result, in part, of the limited impact a minority group can have on a system when they are underrepresented in the power structure: Five out of every six tech employees at Microsoft, Google and Facebook are male, the article says, quoting data from Harvard economist Claudia Goldin.

Nadella hit a nerve because his offhanded remark revealed a truth, and women need to be vocal storytellers about how attitudes such as his can hold them back. They need to take action to support, encourage and network on these issues inside these corporate systems. After all, it is persistent challenges against defenses that ultimately change an organism.

Our experience working with women in companies in media, communications and consumer products suggest that they are coming together -- and with the support of male peers -- to share wisdom and raise awareness on issues of professional ethics and equality, including harassment, unequal compensation and negative stereotyping.

In the entrepreneurial realm, nonprofit groups such as Springboard Enterprises and FITE give women-led startups access to venture capital, and raise awareness, through public relations, of the disproportionately low startup funding available to women entrepreneurs.

As a society, we've been at this now for years but, arguably, there's never been a better, more opportune, time in history for women to be proactive and persuasive about changes that have to come about for everyone. Male-dominated companies such as Microsoft stand to gain a lot by being proactive about equality: They can reduce expenses by limiting turnover, maximize the value of the investment in educating women and improve overall productivity and competitiveness.

As they work toward this, one immediate change Microsoft might want to consider: Hire an executive coach.

@highlight

Writers: Microsoft CEO Satya Nadella said women should wait for karma to get ahead

@highlight

Nadella revealed ignorance, insensitivity to what women face, they say

@highlight

They say his comments show women must be proactive

@highlight

Writers: Women must challenge attitudes in companies that hold them back