Sheryl Sandberg is a role model, say her defenders.

The chief operating officer of Facebook earned two degrees from Harvard and spent the early part of her career in public service, rising to become chief of staff to Treasury Secretary Lawrence Summers during the latter days of the Clinton administration. She helped build Google into a powerhouse; she has led the Facebook team in making the social media site ubiquitous. She's a mother who cares deeply about work-life balance and has been outspoken about women pulling together.

Sheryl Sandberg is no role model, say her detractors.

She's glided to the top thanks to the help of powerful men, whether it's the patronage of Summers, Google Chairman Eric Schmidt or Facebook founder Mark Zuckerberg. She's worth hundreds of millions of dollars, lives in an exclusive Bay Area suburb with a staff of minders and knows as much about being a working mother as a Pacific Heights socialite.

One thing's for sure: Sheryl Sandberg is in the crosshairs.

The myth of balancing motherhood and a successful career

Her new book, "Lean In: Women, Work, and the Will to Lead," is out Monday, and her arguments, focusing on how women in the workplace can grow their careers and their lives, have attracted both praise and denunciation -- though, as the New Yorker's Anna Holmes has noted, many of the denouncers have jumped on Sandberg in the "ready, fire, aim" fashion typical of the commentariat.

"Anyone who had read her book would have known that Sandberg herself is the first to acknowledge the debts she owes to the women who came before her, not to mention her youthful naivete and eventual engagement with gender politics," Holmes wrote.

So just who is Sheryl Sandberg, and why are people saying such extreme things about her?

A woman in Silicon Valley's boys' club

She's a rarity, for one. The Silicon Valley culture, as Ken Auletta observed in a thoughtful 2011 profile of Sandberg, remains male-dominated. As a woman, Sandberg has had to find her way among a boys' club not always friendly to her sex, though colleagues such as Yahoo's Marissa Mayer, once of Google herself, may be helping change that.

At its core the tech industry is still a land of engineers -- coders and designers who put in endless caffeine-fueled hours trying to perfect the next cool thing, while the marketers and financial types are one step removed. Indeed, that was one reason Zuckerberg hired her: She "handles things I don't want to," he told Auletta, so he can focus on his strengths.

Sandberg, 43, was born in Washington, D.C., and raised in south Florida. Her father is an ophthalmologist and her mother gave up teaching to raise Sheryl and two siblings. The family's passion was supporting Soviet Jews -- the "refuseniks" -- and their house became a meeting place for the movement. As a child, Sheryl sent letters to a Soviet "twin," Kira Volvovsky, who developed a network of correspondents.

"I remember feeling when I was writing these girls, and they were writing me, that we had the same issues," Volvovsky told CNN last year. "They wrote about the same stuff I was feeling."

It's that kind of support group that Sandberg stresses in "Lean In."

How do you balance work and family? Share your story with CNN iReport

In a TED talk that echoes some of the material in the book, Sandberg mentioned that it's hard enough to succeed in a male-dominated world as a female businesswoman. In fact, there was one office, she observed, where she may have been the first woman to pitch a deal to a particular firm; the firm's partner didn't even know where the women's restroom was.

Add to that the stresses of motherhood and it's no surprise she wants to offer encouragement to other working women, without sugar-coating the advice. Among the book's chapter titles are "Sit at the Table," "It's a Jungle Gym, Not a Ladder" and "The Myth of Doing It All."

University of Michigan business professor Marina Whitman, a pioneer in her own right -- she was a full-time professor and a corporate executive when it was unusual for women to lead companies -- agrees that "doing it all" is a mirage.

"I think this thing about 'can women have it all?' or 'can't they have it all?' is kind of a silly argument," she said. "Yes, you may have it all, but not all at once."

Moreover, she adds, success isn't to be measured by how many women become corporate CEOs, but by how much leeway women have to make their own choices.

In her TED talk, Sandberg stresses the same point, emphasizing that choice doesn't often come without compromise, the kind that men aren't always asked to make.

Women, she said, have "to believe we got the A, to reach for the promotion, to sit at the table," she said. "And we have to do it in a world where, for them, there are sacrifices they will make for that, even though for their brothers, there are not."

'I never thought I would write a book'

Oh, that's easy for Sandberg to say, say her critics. Sure, she's worked hard, but she's had a gilded life.

Indeed, Sandberg has regularly been at the head of her class. Summers, impressed by her work in his Harvard economics class, became her adviser and took her along when he joined the World Bank. She left that job two years later, in 1993, to join the prominent McKinsey & Co. consultancy.

She earned an MBA from Harvard Business School, rejoined Summers as part of the Clinton administration, and was recruited by Google's Schmidt to join Google in 2001, when the company was just taking off -- a process she drove by improving the reach of AdWords and AdSense, two of Google's major moneymakers.

Now, as COO of Facebook, she has been part of another phenomenon, a company that now claims more than a billion users. Sandberg holds close to 2 million Facebook shares and has options on millions more, according to the company's 2012 stock filing. She and her husband, SurveyMonkey CEO David Goldberg, share a brand-new 9,000-square-foot mansion.

So of course she can leave work at 5:30 to take care of her two kids. After all, she's the boss.

But for all her apparent wealth and power -- for all her success -- Sandberg appears to remain the rather retiring person she was in high school and college, the kind of person who "did not speak or raise her hand," writes Auletta.

"I never thought I would write a book," she says in "Lean In." She decided to do so only after years of discussion with colleagues. She defines "leaning in" as "being ambitious," and it's an assertion she appears to make hesitantly because the stakes are so large.

Now that "Lean In" is out, said MIT business professor Lotte Bailyn, Sandberg should use her bully pulpit to push workplace changes -- not just for women, but men as well. The typical workplace is the way it is because we accept our endless days and constant deadlines as the norm. We need less rigidity, more creativity, more room for work-life balance, she said.

"The problem isn't about fixing the women. The problem is about gender roles and dynamics and the expectations and norms that exist in the workplace," she said. "As long as we keep emphasizing how to fix the women, I don't think we're going to get very far."

Michigan's Whitman agreed that Sandberg can help change the dialogue. "Absolutely Sheryl Sandberg is right to encourage women to have more self-confidence," she said. "But I also think it's wrong to define success for women in terms of how many Sheryl Sandbergs we can produce. What is more critical is what can we change to make the balance less difficult for that much larger host of women who work not for self-fulfillment, but because they have to."

For now, though, Sandberg has made her statement. As for all the criticism? Something she told Auletta two years ago suggests she's probably wondering why all the fuss is about her, and not the bigger issues.

"I feel really grateful to the people who encouraged me and helped me develop," she said. "Nobody can succeed on their own."

Opinion: Working moms, don't try to be perfect at home

@highlight

Facebook COO Sheryl Sandberg's first book, "Lean In," is out Monday

@highlight

Book deals with working-women'd issues, has put Sandberg under fire

@highlight

Sandberg was always a high achiever, whether in school, government or business

@highlight

Will book change dialogue on workplace issues? Or is Sandberg an outlier?