(CNN) -- The French Riviera, that picture-perfect stretch of beach-hugging Mediterranean coastline, looks just like a fabled playground of the rich-and-famous would if an artist drew it. And many of the most renowned, from Claude Monet to Henri Matisse, certainly did.

August is when many French residents escape their cities, towns and villages and head out "on holiday," but weather-wise, it's a great time to visit the Riviera (or the Côte d'Azur, as the Riviera is called en français). But so is the fall, the spring -- even the so-called "off-season" after New Year's for those who prefer their crowds thin, traffic light and prices less steep.

Travel Snapshots: Share your photos from the South of France

Talk about an embarrassment of riches. From the Italianate pastel charms of Menton and Nice to the sexy, sybaritic lure of Cannes and St-Tropez, the sun-splashed South of France has it all. Here are 10 ways to savor it, no matter when you go.

1. Go strolling in style. Just like a supermodel blessed with natural beauty and great bones, the Riviera loves to show itself off. So take advantage with anytime strolls through these gorgeous seaside and hillside cities and towns. Nice's famed Promenade des Anglais -- a miles-long stretch alongside pebbly beaches and dominated by the Belle Epoque-era landmark hotel Le Negresco -- is one rewarding route; the jaw-dropping allure of the walk between Côte d'Azur villages Villefranche-sur-Mer and next-door Beaulieu-sur-Mer is another.

Eight hotels worth a tour

2. Party like a rock star. The Côte d'Azur is a perennial playground for A-list celebrities such as Rihanna (who in late July hit the streets of St-Tropez in a bandeau bikini top and crochet skirt), Academy Award-winning actor Adrien Brody, Kanye West and Kim Kardashian.

But you too can roll like the jet set. Do it in Cannes (May's annual film festival, anyone?) at Le Baoli nightclub where Leonardo DiCaprio and Cameron Diaz have dropped in. Or at St-Tropez's eternally hot and long-queued club Les Caves du Roy, where stars such as P. Diddy, George Clooney and David and Victoria Beckham get the royal treatment -- and guests staying onsite at the five-star Hotel Byblos get to skip the lines.

3. Get lucky. Unlike the giant casinos in Las Vegas, where gamblers amble in wearing shorts and flip-flops, the grand ones in Monaco are more refined. Even though men are "required" only to wear long pants and closed-toe shoes at the Casino de Monte-Carlo, they can channel their inner James Bond and don jackets at night in the Salons Privés, where roulette, blackjack and other games are played.

Cannes' massive Casino Croisette is one of several, including Nice's glitzy Casino Ruhl, owned by the 100-year-old Lucien Barrière group, which helped launch the modern-day resort concept by combining casinos, luxury hotels and sports facilities on the same site. Both Ruhl and the casino inside the Art Deco-inspired Palais de la Méditerranée have fabulous addresses, facing the sea and the Promenade des Anglais.

4. Soak up the scents. The South of France is home to some amazing smells, thanks to the way-high hillside towns of Grasse and Eze, which send fragrances to the world and explain perfume production to the masses. Grasse, about 26 miles west of Nice, is home to legends Fragonard, whose 18th century factory is still open to the public; Molinard, which also operates a friendly and well-stocked store in central Nice; and Galimard, another 18th century gem that offers free guided tours of its factory and museum 365 days a year (and does the same in picturesque Eze Village).

Travel Snapshots: Paris

5. Take an artistic approach. Great painters were obviously onto something when they settled along the Côte d'Azur, inspired by its dazzling blue waters and skies and villages high in the sky. Those who called this stretch home and created world-class works that fill modern-day museums along the French Riviera include Pablo Picasso, whose former château-turned-museum in Antibes houses hundreds of his paintings, ceramics and more.

In Nice, there's Musée Matisse, perched on a hill in the tony Cimiez neighborhood and housing a collection the artist and his heirs left to the city. Musée National Marc Chagall features the 19th century artist's biblical-themed works. In Saint-Paul-de-Vence, you'll find Fondation Maeght, a modern art museum that pays homage to Chagall, Joan Miró and Alberto Giacometti.

6. Take in the scene. There's never a dull moment on the Côte d'Azur with year-round festivals keeping tourists and locals well entertained. Of course, there's the Nice Jazz Festival with international A-list headliners each July (and with many performances staged in an ancient Roman amphitheater in Cimiez). The top-flight and Jazz à Juan festival follows just days later in lively and watersports-friendly Juan-les-Pins.

Cannes lights up the sky each summer with the annual International Fireworks Festival, which started last month and continues August 7, 15 and 24. Also catch the Monte-Carlo International Fireworks Festival each July and August, with its competition happening August 8 and 25. If you feel a need for speed, the Grand Prix of Monaco races through this tiny principality's streets for several days each May.

Heavenly Hawaii: Do's and don'ts

7. Dine like the locals. Cuisine in the South of France takes advantage of the Provençal region's rich natural bounty. You'll find colorful ratatouille, a side dish made from tomatoes, eggplant, onions, peppers and zucchini; bouillabaisse, the famed seafood soup from the port city of Marseille served with a creamy garlic sauce; and socca, a chickpea-and-olive oil pancake sold by vendors in Nice and beyond.

And because Nice belonged to Italy until 1860, Italian cuisine feels about as local as salad Niçoise. You'll dine fabulously across the Côte d'Azur, but tiny Oliviera in Vieux (Old) Nice does more than serve delicious dishes. Multilingual owner Nadim Beyrouti uses his seasonal cuisine as a showcase for the small-producer Provençal olive oils he sells. You'll want to take home bottles of this liquid gold to use back home -- and give as gifts.

8. Savor sundown. The French Riviera may be all about sun-splashed days, but the good times keep rolling at night. The mild climate lets folks dine and sip aperitifs outdoors most of the year, with terrace tables at cafes and restaurants such as Villefranche's always-popular Le Cosmo and those along the town quai occupied even in cooler months.

And from late June through early September, take in a current (usually English-language) film once the sun sets at the Monaco Open Air Cinema. Talk about a stunning backdrop to the action -- the cinema's perched on the Rock of Monaco, overlooking the sea and with spectacular views of the Prince's Palace and Old Town. Even Hollywood couldn't stage a scene like this.

9. Sleep well. Choices abound when cooling your heels after long days and nights on the Riviera. High rollers choose the celeb-favored Hôtel du Cap-Eden Roc at the southern tip of Cap d'Antibes or the InterContinental Carlton Cannes on the La Croisette waterfront promenade.

If you're looking for stunning sea views, balconies and a more laid-back artistic vibe, the 35-room Hotel Welcome in Villefranche-sur-Mer is a great bet. (Writer/artist/filmmaker Jean Cocteau used to stay here, and painted the interior of the 14th century Chapelle St-Pierre across the street.) Get more space by renting one of seven stylishly furnished flats (three on the Villefranche waterfront, most of the others in the colorfully charming Old Town) from Riviera Experience, which offers personalized service and every home comfort you might need.

10. Get around in style. No matter how you arrive or depart the Côte d'Azur, you'll be treated to world-class views. Take the high-speed TGV to or from Paris or regional trains from nearby Ventimiglia, Italy, and gaze at mile after gorgeous mile of Mediterranean beaches. Fly into or out of Nice -- one of France's three busiest airports -- and drool at the scenery you'll see from the air.

Since the Riviera is home to the annual Grand Prix, consider checking out the landscape on your own wheels, zipping along the three corniches, or winding roads that stretch between Nice and Menton. Regional buses also travel many of these stunning roads. And if you're partial to the sea, use seasonal April-October ferries between Nice and Monaco, Cannes and St-Tropez for breathtaking sights you won't soon forget.

Have you been to the French Riviera or other areas in southern France? Share your photos and recommendations with iReport.

@highlight

The South of France has something for everyone, from world-class art to celebrity allure

@highlight

Stroll along Nice's Promenade des Anglais to take in the stunning setting

@highlight

Stop in the casinos in neighboring Monaco to channel your inner James Bond

@highlight

Explore markets and sidewalk dining for fresh Mediterranean cuisine