Washington (CNN) -- To hear Paul Ryan explain it, there's just one way to cope with becoming the Democrats' favorite man to hate: "I gave fear up for Lent this year," Ryan told CNN during an extensive interview.

And he's not kidding.

It's probably a good idea, given the fact that Ryan's budget -- passed nearly unanimously by House Republicans -- has become the GOP Holy Grail. It includes entitlement cuts, most notably the gradual shifting of Medicare into a program dominated by private insurers.

It's no surprise, then, that Democrats call it dangerous, mean and reckless -- and that's not all.

"The Ryan road map is the way to the cliff and then over the cliff," said Rep. John Yarmuth. D-Kentucky.

"The Ryan proposal would destroy our government," economist and Columbia University professor Jeffrey Sachs declared at a Democratic Progressive Caucus event.

Ryan remains undeterred.

"There's a big test to this country and whether we apply our country's principles -- you know liberty, free enterprise, self-determination, government by the consent of the governed -- all of these really core principles are being tested right now," Ryan told CNN. "You can't have fear if you try to fix these problems."

The 41-year-old Ryan has been on a fast track. First elected to Congress in 1998 after a stint as a congressional staffer and adviser at the conservative think tank Empower America, the Janesville, Wisconsin, native ran for the House at the ripe old age of 28. It was a long shot, but he won, convincingly.

Always a fiscal conservative, Ryan made his mark delving into the nuance of federal budgets. Now he's become famous as the face of a new brand of Republican economics -- one that includes the most sweeping plan to cut government spending in decades and enact major entitlement reforms.

As evidence of his growing influence in the party, the Republican National Committee on Friday tapped Ryan to be its Presidential Trust Chairman to lead its fundraising effort against President Barack Obama.

Ryan had the deficit in his sights for years. At first, even Republicans steered clear of some of his more controversial budget ideas like Medicare reform. But then the economy went south and the tea party became the rage. Suddenly, the push to slash budget deficits became popular.

So popular, in fact, that Ryan's budget outline overwhelmingly passed the Republican-controlled House in the spring.

It cuts $6.2 trillion over 10 years in federal government spending. That's big bucks, and Ryan does it by gradually transforming Medicare into a program in which recipients receive vouchers to help buy private insurance. He also gradually raises the program's eligibility age and transforms Medicaid into a block grant program. On the tax side, the Ryan plan includes major tax reform that reduces the top rate for both individuals and corporations.

The plan died in the Senate and handed the Democrats a political issue.

"...His budget would kill people. No question," Princeton University and Nobel Prize -inning economist Paul Krugman told CNN. "The cuts in Medicare he's proposing, the replacement of Medicare by a voucher system would in the end mean that tens of millions of Americans would not be able to afford essential health care. So that counts as cruelty to me."

Ryan scoffs at the criticism.

"There's sort of a shoot-the-messenger strategy these days," he added. "I'm the messenger, and you can't fear that if you are who you are."

It's a pattern for Ryan, who has grown in popularity by pushing the unpopular, a fairly unconventional route.

Not only has he proposed major reforms in entitlements; he's also tried to end his colleagues' pork projects. When he became chairman of the House Budget Committee this year after Republicans captured control of the House, he continued to touch the untouchable-- the third rail of American politics.

"I used to say I'm like a koala bear grabbing on. So here's the problem: if you don't address these issues now, they're going to steamroll us as a country, and the issue the more you delay fixing these problems, the much uglier the solutions are going to be," he told CNN. "Fifty-one percent of Medicare right now is funded with borrowed money, and so if we're going to keep the promise, you have to change it for our generation. You have to change it for those of us in the X Generation that won't have a program when we retire."

It's become the mantra of the GOP, including presidential candidates. So when former House Speaker Newt Gingrich criticized Ryan's plan as "right-wing social engineering," in a television appearance in May, it created an immediate furor. Gingrich was forced to take the comments back. He called Ryan within days to say he was wrong and misspoke, according to Ryan. Apology accepted.

The other GOP candidates have supported his ideas -- although with some nuances, because the notion of changing entitlements is a controversial proposition for a presidential candidate.

Texas Gov. Rick Perry, who has not backed away from his comments calling Social Security a "Ponzi scheme," said he and Ryan talked recently about the program and the need to reform it.

Speaking at an Iowa event, Perry said he told Ryan, "'hank you for having the courage to stand up and being, talking about this,' and I said, 'I am proud to join you in this discussion with America for clearly calling the Social Security program that we have in place today broken.'"

Last week on Laura Ingraham's radio show, Ryan said he didn't think the program is a criminal enterprise but is operating like a Ponzi scheme.

"It's a pay-as-you-go system where earlier investors, or, say, taxpayers, get a positive rate of return... and later investors, or taxpayers, get a negative rate of return," he said, according to a partial transcript. "And so ... that is how those schemes work. The point is, unless you fix this problem, it's going to get much worse."

And how would Ryan make Social Security financially sustainable? By gradually raising the eligibility age, tying the benefits for more wealthy recipients to inflation and offering workers under the age of 55 the option of investing some of their taxes into personal retirement accounts.

Say what you will about Ryan's willingness to take on sacrificial lambs, he is not shy about pushing controversial proposals -- and that's a rarity in Washington.

"He is a guy without guile, without pretense. He likes to hang out with actuaries for relaxation," conservative commentator and CNN analyst Bill Bennett said in an interview. Ryan worked for Bennett at Empower America.

And there's more to Ryan than the D.C. wonk. He's also a hunter who can target elk with a bow and arrow. And he's an exercise buff -- when in Washington, he works out each morning with some of his congressional colleagues using a grueling fitness routine called P90X. One favorite pastime: trekking the Colorado Rockies.

His devotion to fitness was spurred by the early death of his father at age 55 when Ryan was 16.

"I basically had to learn to sink and swim," he recalled. "I did a lot of growing up very fast. And it made me take stock of who I am, what kind of person I want to be. It made me, I would say, very initiative-prone -- live life to its fullest because you never know how long it is going to last."

Ryan was pushed again this summer to run for the Republican presidential nomination by assorted GOP luminaries. His answer: No, not yet.

"I think there are other good people who can do this job," he told CNN. "But there are not other good people who can raise my kids."

-- CNN's Katie Ross and Eric Marrapodi contributed to this report.

@highlight

Paul Ryan's budget was passed nearly unanimously by House Republicans

@highlight

But Democrats call the plan dangerous, mean and reckless

@highlight

Ryan shrugs off the criticism, calling it "a shoot-the-messenger strategy"