Los Angeles, California (CNN) -- A claim that several dozen glass plates bought for $45 at a garage sale were negatives from Ansel Adams brought an angry response of disbelief from the man who oversees the famed photographer's trust.

Adams' grandson is also unconvinced. Matthew Adams, who runs the Ansel Adams Gallery, said even if they are authenticated, they are not worth much beyond their historical value.

The art dealer who placed their eventual value at more than $200 million said Wednesday that the controversy is increasing their value by "driving the market to them."

"They're making them so desirable," said David W. Streets. "People all over the world are seeing this and saying 'I want one of each.'"

That controversy took a bitter turn a day after California wall painter Rick Norsigian and his lawyer held a news conference at Streets' Beverly Hills art gallery to say they have proof the negatives were created by Ansel Adams.

William Turnage, the managing trustee of Adams' trust, called Norsigian and those working with him "a bunch of crooks" who "are pulling a big con job."

Norsigian's lawyer, Arnold Peter, called Turnage's attack "a shameful and pointless disparagement of the professional reputations of some of the top leaders in their respective fields."

The team of experts included two court-qualified handwriting experts, a retired FBI agent, and a former assistant United States attorney, Peter said.

Peter said that based on the overwhelming evidence they gathered "no reasonable person would have any doubt that these, in fact, were the long-lost images of Ansel Adams."

Turnage, who was Adams' business manager before his death in 1984, challenged the expertise of Norsigian's team, saying the only one with art credentials was a "so-called expert that nobody has ever heard of from Jackson Hole, Wyoming."

"They had to go out into the boonies to dig him up," Turnage said.

Norsigian's lawyer responded by calling Turnage an "elitist."

"Ansel Adams would likely be shocked and appalled at such blatant arrogance and condescending commentary in his name," Peter said.

Turnage said Norsigian's strategy is to line up a long list of hired experts to tell "a big lie."

"Hitler used that technique," Turnage said. "You don't tell a small one. You tell a big one."

Peter said Turnage "has converted a professional disagreement over works of art into a personal attack utilizing tactics that are grossly offensive and unconscionable."

"Likening Rick Norsigian to Adolf Hitler is nothing more than yet another bullying tactics designed to silence Mr. Norsigian," Peter said.

The lawyer invited Matthew Adams and Turnage "to engage in a meaningful dialogue and examine the evidence which they have consistently refused to do."

"We now offer them yet another opportunity to jointly agree on and hire experts who are qualified to render a final opinion on the authenticity of the negatives," Peter said. "Any honest and fair assessment will lead to but one conclusion -- these are the lost negatives of Ansel Adams."

The approach was "to put these negatives on trial" using a "high burden of proof" to show that the 65 glass plates were created by Adams, the iconic American photographer whose images of the West inspired the country.

"I have sent people to prison for the rest of their lives for far less evidence than I have seen in this case," said evidence and burden-of-proof expert Manny Medrano, who was hired by Norsigian to help authenticate the plates. "In my view, those photographs were done by Ansel Adams."

Meanwhile, Matthew Adams said Wednesday, "I don't think that they've proven that they are (authentic). ... And I don't know that you could ever prove that they are."

Adams, who reviewed Norsigian's evidence last year, said he wanted more scientific tests, including carbon dating, to prove beyond a doubt that the work was that of his grandfather.

He cited "a number of inconsistencies," including the conclusion by two handwriting analysts that notations on manila envelopes containing the plates were made by Ansel Adams' wife, Virginia Adams.

The envelopes had five misspellings of well-known Yosemite National Park landmarks, he said. "Bridal Veil Falls" is misspelled twice as "Bridal Vail Falls" and "Happy Isles" is misspelled "Happy Iles," Adams said.

Virginia Adams -- who spent most of her life in that area of California -- would have spelled those names correctly, he said.

Handwriting experts Michael Nattenberg and Marcel Matley said they used Virginia Adams' writing samples provided by her grandson to reach their conclusion that it was her penmanship.

Matthew Adams said his belief that she was not the author of the notations is based on copies of the envelopes given to him by Peter.

"I just looked at them myself," Adams said. "I did not hire experts."

Norsigian's team also said the locations of the photographs, which were taken around San Francisco and Yosemite, helped prove their case.

"The fact that these locations were well-known to Adams, and visited by him, further supports the proposition that all of the images in the collection were most probably created by Adams," said art expert Robert Moeller.

Matthew Adams said that circumstantial evidence was unconvincing, since several other highly skilled photographers were known to shoot at the same places around the same period.

Even if Norsigian's glass plates are authentic Ansel Adams photographs, they would have mostly historical value, "not anywhere near" the $200 million estimate given by Streets, Adams said.

Streets said his estimate was based on decades of print sales and rights fees. "There will always be a demand for Ansel Adams' work," he said. "The long-term potential is very easy to prove for these."

"You can't print original photographs from them because Ansel's not around to print them," Matthew Adams said. "Anything you make from them you would have to say is an unknown interpretation of something that may be Ansel's."

The Ansel Adams Gallery is still producing prints, but with a printer who was trained by Adams. The iconic artist died in 1984 at the age of 82.

"A lot of the magic that he created was in the darkroom making the print," his grandson said. "Ansel's not around to tell us how he would have printed it."

Streets countered Adams, saying, "It's not a mysterious process."

"There are master printmakers who are making prints today," he said.

Norsigian has contracted with Jesse Kallisher, whose prints hang in the Smithsonian and the Louvre museums, to produce original fine arts prints from the negatives, Streets said.

While Matthew Adams is unconvinced, he doesn't doubt that Norsigian is sincere in his belief that he has Ansel Adams negatives. "I think that they do believe it, but I don't think that they have proven it," he said.

He doesn't agree, however, with Turnage's charge that it's a "con job."

"My take on it is that it is irresponsible to present them as Ansel's," Matthew Adams said.

Norsigian, a painter for the Fresno school system, kept the glass plates under his pool table for four years before realizing they might be too valuable to store at home.

He believes they were from Adams' early career, a period that is not well documented since a 1937 darkroom fire destroyed 5,000 of his plates.

"It truly is a missing link of Ansel Adams and history and his career," Streets said.

Norsigian, who scours garage sales for antiques, was looking for a barber chair when he spotted two deteriorated boxes in the spring of 2000.

When he pulled one of the glass negatives out, he saw Yosemite.

"As a young man, I worked at Yosemite quite a bit. So, right away I recognized it as Yosemite," Norsigian said.

He bargained with the seller, finally negotiating the price for the boxes down from $70 to $45. The owner said he bought them in the 1940s at a warehouse salvage sale in Los Angeles.

It would be two years before Norsigian realized the photos might be from Adams, he said. After four years, he had done enough research to realize the plates could be valuable. He moved them from under his pool table and placed them in a bank vault.

How these 6.5-inch x 8.5-inch glass plate negatives of famous Yosemite landscapes and San Francisco landmarks -- some of them showing fire damage -- might have made their way from Adams' collection 70 years ago to a Southern California garage sale in 2000 can only be guessed.

Photography expert Patrick Alt, who helped confirm the authenticity of the negatives, suspects Adams carried them to use in a photography class he was teaching in Pasadena, California, in the early 1940s.

"It is my belief that he brought these negatives with him for teaching purposes and to show students how to not let their negatives be engulfed in a fire," Alt said. "I think this clearly explains the range of work in these negatives, from very early pictorialist boat pictures, to images not as successful, to images of the highest level of his work during this time period."

Alt said it is impossible to know why Adams would store them in Pasadena and never reclaim them.

For now, the photos will go on a tour of universities and museums, starting in October at Fresno State University, Norsigian said.

"I just hope everybody enjoys them," he said.

Norsigian said he has not spoken with the man who sold him the two boxes a decade ago.

"If he's still around, I'm afraid he may come looking for me," he said.

Norsigian, who is 64, is still working but said he may retire this year.

@highlight

NEW: Ansel Adams' trustee says garage sale claim is a "con job"

@highlight

NEW: The lawyer for the man who found photos calls Adams' trustee an "elitist"

@highlight

NEW: An appraiser says the controversy is fueling sales of photo prints

@highlight

Photographer's grandson wants more tests before he accepts photos as Adams'