Hong Kong (CNN) -- China's extraordinary climb to the world's second largest economy was built on the back of Chinese workers, many of whom left rural farms to migrate for work in coastal factories.

But as China's wealth rises, workers are demanding a greater share of the wealth and better access to social services. And as this month's edition of "On China" examines, the young generation of worker are tech savvy, aware of their rights and choosier about where they go for work.

"They're on the Internet more ... on especially Weibo, China's social media, Twitter-like thing. They're able to connect with others, see what others are doing," William Nee of China Labor Bulletin, a Hong Kong-based NGO which defends workers' rights, told CNN.

"And in cases where there are strikes or things like that, they can put it out there on Weibo and other people can learn about it," he said. "They can look online for labor rights and labor contract law."

One of the greatest issues for China's 250 million migrant workers is the "hukou" system of household registration. Migrant workers often can't register in the cities where they work, and subsequently can't qualify for social services such as public education or social security.

"When I talk to migrant workers about a vast array of problems, I think, this usually rises to number one," Rob Schmitz, a Marketplace correspondent in Shanghai, told CNN. "And I think, for them, the biggest reason this is such a big problem is that they are treated like illegal immigrants inside of their own country."

This hits the children of migrant workers. "Many children are born in these larger cities where their parents have moved to. This is their hometown, as far as they know it," Schmitz said.

But as China's coastal provinces -- which were first opened for Western-style economic reform in 1979 -- grow more expensive, more companies are moving factories into rural areas, sparking a new wave of development and giving workers more options closer to home.

"The companies are looking for cheaper resources, cheaper land, cheaper labor in the home provinces, like in the rural remote provinces in China," Suki Chung, executive director, Labor Action China, told CNN.

"In places like Shenzhen, the Pearl River Delta, these places have become very expensive. So for migrant workers perhaps in the past, you make a salary and then bring it home, because of the cost of living how it's risen so quickly, it's no longer viable," said Nee.

"Taking a salary that's a little bit less back near their hometown is a much more attractive option, especially since they can visit their family much more easily."

Meanwhile, the low-skilled factory jobs in Shenzhen are being replaced by higher skilled employment.

"Shenzhen is moving up the value chain," Schmitz said. "A lot of the jobs now that are available at places like Huawei (the telecommunications giant) ... you're seeing a lot of folks who graduated from 'dazhuang,' which is the vocational colleges of China, coming to Shenzhen instead of folks who have dropped out of high school perhaps or just come right off the farm."

As China moves from an export-driven, investment-led economy toward domestic consumption growth, the nation depends on the rising buying power of its workforce. Still, "400 million people in China still live on less than $2 a day," Schmitz said.

"(China) is going to experience slower growth. Slower growth probably means fewer job," Schmitz said. "I think there are a lot of threats that lie ahead."

CNN's Kristie Lu Stout contributed to this article

@highlight

China's climb to the world's second largest economy was built by Chinese workers

@highlight

Chinese workers are demanding a greater share of the wealth and better access to social services

@highlight

Higher production costs in the coastal areas are moving more jobs to rural areas of China

@highlight

Despite Beijing's economic rise, about 400 million Chinese still live on less than $2 a day