Petra, Jordan (CNN) -- U.S. President Barack Obama wrapped up his trip to the Middle East on Saturday with a walking tour of the ancient city of Petra in Jordan.

The city's breathtaking architecture features buildings partly carved into stone cliffs and combines eastern culture with ancient Greek constructions. It is a UNESCO world heritage site.

Obama was accompanied on a leisurely tour through Petra's steep red-rock formations by a University of Jordan tourism professor, with all other visitors kept well away -- except for a few stray cats.

Soon after his stroll through the arid landscape, renowned for its colorful interplay of light and shadow, the president headed back to Washington, where he arrived Saturday night.

A last-minute success

Just before departing for Jordan on Friday, Obama scored a diplomatic coup when Prime Minister Benjamin Netanyahu apologized to Turkey for a 2010 commando raid that killed nine activists on a Turkish vessel in a Gaza-bound flotilla.

Israel to Turkey: Sorry for the deadly raid

The apology, long sought by Turkish Prime Minister Recep Erdogan, eased strained feelings between Turkey and Israel, two vital U.S. allies in the Middle East.

It happened in a phone call to Erdogan during a final meeting between Obama and Netanyahu at an international airport in Tel Aviv, minutes before Air Force One departed for Jordan to complete the president's Middle East swing.

Obama hailed the development as an important step forward for both countries.

Questions fly around any plan to attack Iran

Jordan's refugee influx

Friday in Jordan, Obama focused on the civil war in neighboring Syria, with King Abdullah telling reporters that the conflict has already caused 460,000 refugees to flood his country and more are on the way.

That is equivalent to 10% of Jordan's population, and the total could double by the end of the year, the king said. He asked for more help from the international community as his country also deals with internal reforms in response to economic woes that are raising public dissatisfaction.

Obama said he was working with Congress to provide an additional $200 million to Jordan this year to help deal with the refugee influx, but he remained steadfast in his refusal to pledge U.S. military assistance to the Syrian opposition movement.

Refugees flood Jordan town

However, Obama repeated past warnings that his stance on military involvement could change if Syria uses chemical weapons.

Jordan is suffering from refugee fatigue. Masses of people have fled there from neighboring countries whenever conflict was rife. The Syrian conflict comes on top of the flood of refugees that came from Iraq just a decade ago.

The country is a close U.S. ally and has been one of the most stable in the region, but it has seen recent internal turmoil and discontent.

King Abdullah has a reputation for benevolence, unlike autocratic rulers such as Syria's Bashar al-Assad or deposed Iraqi dictator Saddam Hussein. One house of the Jordanian parliament is democratically elected.

However, a weak economy and allegations of corruption by public officials have stoked dissatisfaction with him.

In November, crowds took to the streets calling for King Abdullah's downfall because of rising gasoline prices.

More recently, comments attributed to King Abdullah in the The Atlantic caused further anger toward the monarch, who was quoted as calling the opposition Muslim Brotherhood a "Masonic cult" and referring to tribal elders in his country as "old dinosaurs."

The royal court says some of King Abdullah's comments in the magazine were taken out of context by local Jordanian and international media outlets who reported on the article.

Courting Israel

In Israel, the last-minute diplomacy added a flourish to Obama's first visit to the Jewish state as president.

While the two nations have a key strategic partnership, with the United States supplying military aid and diplomatic support as Israel's most vital ally, Obama and Netanyahu had famously frosty relations during the president's first term.

With both beginning new terms after Obama's reelection last year and Netanyahu's recent formation of a new government, the president's visit was an opportunity to reset the relationship and signal unified positions on major issues such as the Middle East peace process and Iran's efforts to develop a nuclear weapon.

Obama and Netanyahu met several times during the president's three days in Israel, which also included a state dinner where Israeli President Shimon Peres awarded him the country's highest civilian honor.

Before leaving Israel, Obama paid tribute to the father of modern Zionism in a symbolic visit to Theodor Herzl's grave.

Joined by Peres, Netanyahu and Kerry, Obama also visited the grave of former Prime Minister Yitzhak Rabin, who was assassinated in 1995.

Obama placed a stone at each grave from the grounds of the Martin Luther King Jr. memorial in Washington in a gesture to link the African-American struggle for freedom with the struggle by the Israeli people for a homeland.

The president also visited the Holocaust memorial Yad Vashem, where he turned up the "eternal flame" of remembrance of the millions of Jewish victims of Nazi death camps in World War II.

Fairness for the Palestinians

In Israel, Obama urged young Israelis in a speech to pressure their leaders to seek peace with Palestinians.

He asked Israelis to empathize with the plight of Palestinians, and he drew applause when he criticized the Israeli government's controversial policy of building new settlements in disputed territories.

Walking through Ramallah and Gaza, political differences become real

During a visit with Abbas in Ramallah, in the West Bank, Obama stressed the need for direct talks between Israelis and Palestinians for a two-state solution.

"The Palestinian people deserve an end to occupation and the daily indignities that come with it," he said at a news conference with Abbas, adding that Palestinians deserve "a future of hope" and a "state of their own."

Abbas said the Israeli settlements are "more than a hurdle to peace," calling them illegal and saying it was Israel's duty to stop building them.

He envisioned a Palestinian state based on 1967 borders with Jerusalem as capital -- a scenario unacceptable to Israel.

CNN's John King and Jessica Yellin reported Petra Jordan, and CNN's Tom Cohen contributed to this report from Washington. CNN's Ben Brumfield wrote the story in Atlanta.

@highlight

Kerry will meet with Netanyahu and Abbas, a State Department official says

@highlight

Obama takes a cultural tour of an ancient city before returning to Washington

@highlight

In a last-minute move, Netanyahu calls Turkey to apologize -- on Obama's initiative

@highlight

Jordan has 460,000 Syrian refugees with more coming, King Abdullah says