(CNN) -- It's hard to imagine a scene more gruesome and disturbing than the one Londoners encountered on an inner-city street Wednesday.

A person hacked to death, lying in a pool of his own blood. His assailants standing nearby, covered in blood and brandishing gore-soaked knives and meat cleavers as they spew violent rhetoric. A car smashed into a lamppost a few yards away.

Most bystanders kept their distance, understandably.

Yet one woman directly confronted the apparent murderers -- in fact, she jumped off her bus and rushed to the scene when she saw what looked like a car accident, then stuck around and tried to engage both attackers in conversation even after she realized what was going on. The woman, a 48-year-old mother of two named Ingrid Loyau-Kennett, later said she was trying to talk them down and keep them from hurting anyone else, especially children. Why did she put herself on the line when so many others stayed away?

We don't really know enough about Loyau-Kennett to be able to say for sure; perhaps we never will. History is filled with heroes, from Oskar Schindler to Paul Rusesabagina of Hotel Rwanda fame, whose life histories couldn't have predicted the extraordinary things that they later did.

Cub scout leader, ex-teacher confronted London terrorist

But what we do know, thanks to social psychology, is that what separates people like Loyau-Kennett from the rest of us is often extremely subtle. In fact, research suggests that many of us, perhaps to our own surprise, have the potential to find our own inner hero. What often makes the difference between a bystander and an "upstander" are the particulars of a crisis situation and how those details interact with a person's background.

For instance, decades of research on the "bystander effect" has shown that even good, moral people fail to take action when confronted with an emergency. One famous study found that the only factor that determined whether bystanders stopped to help someone in need was whether they were in a hurry.

Other research shows people are less likely to help when they're part of a crowd: They assume either that someone else will take responsibility or that there must not really be a crisis at all if no one else has acted yet. Taking action would mean going against the norm, breaking from the herd; they don't want to rock the boat. The bigger the crowd, the more likely all crowd members will do nothing.

Yet there are exceptions. Research suggests, for example, that when people can be made to feel a personal connection to a victim, they might intervene in a situation that they would otherwise ignore. One British study even found that people were more willing to help an injured stranger if that stranger were wearing the jersey of their favorite soccer team.

There are other exceptions as well. Research by Princeton psychologist John Darley, who pioneered the study of the bystander effect, has found no clear personality profile distinguishes the upstanders from the bystanders. More important, according to Darley and others, is whether people can recognize a crisis and feel they have the skills to help.

That finding resonated in London when Loyau-Kennett, trying to explain her actions, cited her role as a Cub Scout leader, mentioning that she had to learn first aid for the position. It was her knowledge of first aid that initially prompted her to get off her bus, thinking that she could help the victim she saw lying on the ground.

Similarly, after Wesley Autrey-- aka the Subway Hero -- leaped onto New York City subway tracks to save someone who'd fallen in front of a train back in 2007, many observers later pointed to Autrey's Navy service to explain why this otherwise unexceptional man sprang to action while everyone else simply watched.

In their own extensive analysis of what makes a hero, psychologists Zeno Franco and Philip Zimbardo suggest that people who don't succumb to the bystander effect are sometimes people who generally don't adhere to social norms and conventions. That means they're prone to intervene and take positive action when no one else will. But it may also mean they're prone to break other rules.

Franco and Zimbardo cite the story of Jabar Gibson, who was hailed as a hero after he drove 70 people to safety from the flooding caused by Hurricane Katrina, commandeering an abandoned school bus. Gibson thought to do something bold that others wouldn't do; he also had an extensive criminal record, which has grown in the years since.

Does this mean we can expect Ingrid Loyau-Kennett to break the law in the not-too-distant future? Hardly. But it does challenge the notion that there's a distinct category of exceptional people who are heroes, elevated above the rest of us.

Franco and Zimbardo have argued that deifying heroes like this -- what they call "the myth of the 'heroic elect'" -- has the perverse effect of making us blind to our own heroic potential. If instead we believe we're capable of heroism ourselves, we'll be better prepared to realize that potential and snap into action if and when our time comes.

So science still hasn't gotten to the bottom of stories like Ingrid Loyau-Kennett's. But perhaps its greatest insight so far is that her story could be ours.

The opinions expressed in this commentary are solely those of Jason Marsh.

@highlight

Ingrid Loyau-Kennett talked to murder suspects right after London hacking to calm them

@highlight

Jason Marsh: People who step up like her often think they have skills to help, like she did

@highlight

Marsh: Such people, sometimes, are a bit nonconformist

@highlight

He says we all have the potential to shake the "bystander effect" and find our inner hero