New York (CNN) -- Britain's Prince William and Kate left flowers at one of the reflecting pools during their visit to the 9/11 Memorial and Museum Tuesday morning, both pausing to reflect as somber skies and pouring rain marked the occasion.

A handwritten note placed with the flowers read: "In sorrowful memory of those who died on 11th September and in admiration of the courage shown to rebuild. William and Catherine."

Their visit to the memorial was the first stop on the royal couple's jam-packed third and final day in New York City. The Duke and Duchess spent roughly 30 minutes inside the museum, remarking on the "survivors' staircase" that was salvaged from the tower ruins.

"They had lots of questions and interest in how these stairs were used by hundreds of people on that day to escape," said Joe Daniels, the museum's president.

Both also visited the "In Memoriam" exhibition, which holds profiles of 9/11 victims, and a wall that bears 2,983 blue tiles -- one for each of the victims of the attacks in New York, the Pentagon and the Pennsylvania site where a hijacked plane crashed, plus the victims of the 1993 World Trade Center bombing.

Before leaving the museum, Kate and William both signed an interactive electronic tablet, writing "Catherine" and "William" in script, which projected their signatures on a 60-foot wall in the museum's Foundation Hall.

"It was a tremendous visit, and you could see in, really, both of their eyes, the sort of care and curiosity they had for the story of what happened and the people who died that day," said Daniels.

The museum was open to the public during their visit, though other museumgoers were kept at a distance. Echoing the excited crowds that greeted the pair at their arrival at the Carlyle Hotel Sunday evening, a dozen or so visitors awaited the couple's arrival in the museum lobby, ready with their camera phones.

Mary Failes of Virginia Beach, Virginia, was one of them. A longtime "royal watcher" who held a "baby shower" for Kate and hosted a viewing of Prince Charles and the late Princess Diana's 1981 wedding at her home, had long planned to visit the 9/11 museum and just happened to be there the same day as William and Kate.

"It was just a coincidence -- meant to be!" Failes said.

Performance worthy of London's West End

The pair later then made their way to an event hosted by The Door and the CityKids Foundation, both arts-education and youth-development centers for disadvantaged youths in the West Village neighborhood of Manhattan.

The two were treated to a dance, storytelling, and musical performance by people involved with both centers. William was seen tapping his feet to music that accompanied a hip-hop dance show.

One performance by Steven Prescod, which told the story of how his father was incarcerated and how he faced his own possible jail term, impressed William so much that he offered to help bring the story to a mainstream audience.

"William said he wanted to help me put this together. He gave me his contact number and said to reach out to him," said Prescod, 22, of Brooklyn. He said the Duke and Duchess' visit "brought hope."

After the show, William he congratulated the group. "That was incredible, guys. It was amazing and should be on in the West End," referring to an area in London where several professional theaters are located. "It nearly had me in tears," he admitted.

Following their visit, William and Kate attended a lunch reception at the NeueHouse, celebrating the British talent in creative industries based in New York. Guests in attendance included film producer Harvey Weinstein, actor Sir Patrick Stewart, J.Crew President Jenna Lyons, actress Archie Panjabi, and Downton Abbey producer Gareth Neame.

William also paid a visit the Empire State Building Tuesday afternoon, accompanied by Mayor Bill de Blasio. The day's earlier heavy rain subsided and William walked the entire perimeter of the observation deck of the famous 86-story landmark, stopping to point out other landmarks and sights. Red, white, and blue lights had been adorning the top of the building in honor of the Royal visit.

On Tuesday night, the Duke and Duchess attended a benefit dinner celebrating the 600th anniversary of the University of St. Andrews in Scotland, held at the Metropolitan Museum of Art.

Crowds of onlookers lined up three deep to watch the couple exit their car on the corner of 82nd Street and Fifth Avenue.

After the royal pair ascended the steps to the museum, they were greeted by a group of eight recent St. Andrews alumni, who were dressed in the traditional red robes worn at the college. Kate made a gesture suggesting she remembered the robes from her time at school.

Kate wore a Jenny Packham dress that she has worn to several other galas before. William wore a classic black tuxedo.

Excitement in the street

William and Kate arrived in New York City Sunday evening for their three-day trip -- their first visit to the Big Apple.

Reporting from New York Monday morning, CNN royal correspondent Max Foster said Kate was the star of the show. Screams greeted the Duchess of Cambridge when she arrived at a children's craft group in Harlem, greeted by the first lady of New York City, Chirlane McCray, amid tight security.

Meanwhile, William jetted down to Washington for a quick visit with President Obama at the White House. The visit underscored "the special relationship" between the United States and the United Kingdom, the White House said.

Basketball, Jay Z and Beyonce

After speaking at a session of the World Bank about the need for an international effort to stop illegal wildlife trading, William jetted back to NYC, on a flight whose passengers also included CNN's Anderson Cooper.

The Duke and Duchess of Cambridge also chatted with Hillary and Chelsea Clinton at a Royal Foundation reception Monday evening and even met Jay Z, Beyonce and King James -- also known as basketball star LeBron James -- at a basketball game at the Barclays Center in Brooklyn.

They also got a look at American-style protest as demonstrators marched outside Barclays Center in Brooklyn to show their anger about the lack of an indictment in the Eric Garner chokehold death.

CNN's Mariano Castillo, Ralph Ellis and Faith Karimi contributed to this report.

@highlight

NEW: Royal couple attends a gala at the Metropolitan Museum of Art

@highlight

Tuesday was the final day in the royal couple's visit to the Big Apple

@highlight

They paid their respects at the 9/11 Memorial and Museum

@highlight

The pair also were treated to a performance hosted by centers for disadvantaged youth