Transportation is on the cusp of being radically transformed by the digital revolution. From self-driving cars to intelligent public transit systems, the future of 21st-century transportation is being mapped out right now in Silicon Valley.

At the inaugural FutureCast event in Palo Alto, 50 innovative entrepreneurs, executives, policy makers and writers were invited to discuss how online technology is transforming transportation.

The goal was to rethink travel in today's networked society and re-imagine the car, bus and train in the digital age.

For David Frigstad, Chairman of consultancy firm Frost & Sullivan, transportation is reaching what its "Kodak Moment."

He was referring to the way in which the photography company Kodak was catastrophically blindsided by the digital revolution in photography. This moment is every traditional CEO's worst nightmare.

But, as Frigstad explained at the discussion, the disruption of today's network economy, which will enable vehicle sharing start-ups, might actually be good news for the rest of us.

"To have 100 billion cars on the planet that aren't being used is a total waste of materials, gas, petrol, metals," Frigstad explained.

Technology author Larry Downes also stated that a change in the industry is necessary.

"We can't go on as we have," he said. "We are running out of fuel; the current set of technologies we have are reaching a natural limit."

Then there's the impact of the self-driving car, which has the potential to radically reduce car crashes.

"We are looking at 100,000 deaths on the planet every year from automobile accidents, almost half a trillion dollars in damages," Frigstad said in support of safer, computerized self-driving vehicles.

Many of the other participants at FutureCast -- who included executives from General Motors, Tesla, Sidecar, American Airlines and the San Francisco Municipal Transportation Agency -- agreed with Frigstad's dramatic vision.

John Markoff, The New York Times' technology journalist, even compared today's situation to the historic transition from the mainframe to the personal computer.

"If we only need 20% of the cars we have," Markoff noted. "There are some really disruptive things that are going to happen."

@highlight

Transportation is set to be transformed by digital technology, says many Silicon Valley commentators

@highlight

Industry needs to avoid being blindsided by rise in digital tech

@highlight

Time is right for more development of self-driving cars, believes David Frigstad, chairman of Frost & Sullivan