Seoul, South Korea (CNN) -- Kim Jong Un cut a somber figure Monday, marking the first anniversary of his father's death. North Korea said Kim Jong Il died of a heart attack from overwork on December 17, 2011.

Hundreds of thousands of civilians and soldiers assembled outside the Kumsusan Palace of the Sun in Pyongyang where the bodies of Kim Jong Il and his father Kim Il Sung lie.

Read more: North Korea silences doubters, raises fears with rocket launch

Accompanied by his wife, Ri Sol Ju, who appeared to be heavily pregnant, Kim Jong Un bowed to giant statues of the former leaders inside the mausoleum. Outside, he listened to a commemorative speech from Choe Ryong-hae, head of the military's political arm. Choe praised the achievements of the former leaders before declaring, "Kim Jong Un is North Korea's fate and future."

A lot has changed over the past year. Kim Jong Un has transformed from grieving son to a triumphant leader leading a controversial rocket launch this month.

The 20-something leader, who was suddenly thrust into the limelight last December was considered by many outside, and possibly even inside, North Korea to be ill-prepared for the responsibilities that lay ahead. But experts say it was soon clear that the younger Kim would not be emulating the style of his father.

"Kim Jong Il was rather low profile for a few years after the death of Kim Il Sung which is in accordance with even older Confucian practices," says John Delury assistant professor at Yonsei University in Seoul, South Korea. "This is after all a dynastic system, but Kim Jong Un quickly proved by the spring that he was going to be quite public, quite active."

April 2012 brought with it one of the most significant dates on the North Korean calendar, as it marked the centenary of the birth of the country's founder Kim Il Sung, celebrations for which had been planned for years by the late Kim Jong Il. His son picked up the mantle and controversially launched a rocket in commemoration.

Following his father's example, Kim ignored international condemnation for what he called an attempt to put a working satellite into orbit. Washington, Seoul and others in the region saw the launch as a cover for testing ballistic missile technology.

Read more: Experts: Rocket launch bolsters North Korean leader

The rocket was a failure, made all the more public by the international media which had been invited into the country for the occasion. But disregarding the international embarrassment, Kim Jong Un continued with the celebrations.

"He actually performed quite well by the standard set for him," says Delury. "He spoke in public which is something his father did not and he projected a kind of confidence and energy, he really turned the young and experienced to his advantage."

The world and the people of North Korea heard the voice of the new leader for the very first time. Even more surprising was Kim's acknowledgment of his people's suffering. He told a gathering of hundreds of thousands, "Our Party is determined our people will not have to tighten their belts but will enjoy wealth and the honor of socialism."

Style-wise, Kim cuts a very different figure to his father. He is more personable and willing to interact with his people. He is often seen smiling and laughing and his wife has accompanied him on many field trips, which was unheard of during his father's reign.

Read more: Is Kim Jong Un's uncertainty driving the rockets?

"She's played a very surprising role in constructing this image of a looser, more relaxed, more open leader domestically," adds Delury.

But despite a softer side appearing on camera, little has improved for the people of North Korea. Aid groups say malnutrition is still rampant in the countryside, brutal labor camps still remain and defector groups in Seoul claim Kim has cracked down even harder on people trying to escape. They say the leader has threatened to imprison or even kill three generations of the family left behind. It's a claim CNN cannot independently confirm.

Kim has made his mark on the military, replacing some generals loyal to his father with those loyal to him.

"Certainly everyone has noticed a number of the key military figures, you know four who walked with Kim Jong Il's remains a year ago have sort of disappeared from the scene or have been reshuffled." But his statements on the South Korean or American leadership remain just as bellicose as during the his father's era and he frequently visits military barracks and installations.

Read more: What is life like inside North Korea?

Speculation about internal displeasure among some of those replaced by Kim Jong Un may be easing since last week's successful rocket launch, the second attempt in a year. "I think it earned him a lot of patriotic points," says Jasper Kim, founder of Asia-Pacific Global research Group. "So that will basically placate the military so this will give him extra room to maneuver in terms of making modernization efforts if that's his plan."

Kim Jong Un's use of the media has been a drastic departure from his father's time. Live broadcasts and televised public speeches are no longer so unusual.

Jasper Kim adds, "Kim Jong Un basically grew up on Google and his father grew up on letters and stamps. It's a new era and Kim Jong Un realizes the more he can kind of shape the narrative to the international community, the more it is to his benefit in terms of getting security and money and everything else that he wants for his country."

@highlight

Kim Jong Un has ruled North Korea for one year

@highlight

His father, Kim Jong Il died of heart attack on December 17, 2011

@highlight

Younger Kim departs from his father's style, but repression, malnutrition remain