(CNN) -- On Tuesday, citing safety concerns, the National Transportation Safety Board called for a ban on all cell phone use by drivers. It's the most far-reaching recommendation of its kind to date, and it extends to wireless headsets.

What will the fallout of the ban be? It's likely to cut down on sightings of drivers who appear to be having spirited conversations with their car's leather interior. But mightn't it also lead to other similar bans? So here's a speculative look at eight of the more questionable and dangerous activities that federal law might see fit to clamp down on.

Skiing or snowboarding while listening to an iPod. In the same way that a preoccupied driver is a menace on the road, so, too, is a hearing-deprived skier or snowboarder a terror on the slopes. When an athlete cuts off a source of outside stimuli thusly, he deprives himself of a valuable auditory cue: bloodcurdling screams. When people near him scream out "Runaway ski!" he thinks they're simply singing along. A federal ban of iPods on the slopes would be easy to institute; its violators would be subject to lift-ticket revocation and reduced hot cocoa.

Applying eyeliner while riding public transportation. Not only are the practitioners of this activity in danger of impairing their vision, but they are causing undue levels of stress to the people who can't stop watching them. These public users of beauty products prove yet again that the word "wand," particularly in close proximity to the word "mascara," can be as destructive as it is magic. A federal statute, perhaps called the Maybelline Clause, would bring relief to millions of commuters.

Lighting an oven by means other than a pilot light. Though very difficult to enforce without surveillance cameras, a policing of kitchen stove-lighting mechanisms would save many lives, not to mention eyebrows. Who among us has not turned our stove's gas on, only to find that the pilot light has blown out, whereupon we wander off to find matches, thus allowing gas to seep into the kitchen? An overhaul of this fraught activity could result in far fewer instances of fire or explosion. And many more evenings where people send out for pizza.

Peering over the balcony of a skyscraper. Ah, the view, the view. The view is ... dangerous. It's a human impulse to get closer to something you're looking at -- even if that something is the Chicago skyline. Modern man has been very creative when it comes to keeping pigeons off of balconies -- witness the shards of glass embedded in concrete, witness plastic owls -- so it's easy to imagine the government taking a similarly original tack when it comes to repelling humans from peering over precipices. Am I talking touch-activated sprinklers that gush lukewarm strawberry soda onto overly curious sightseers? Yes, I'm talking touch-activated sprinklers that gush lukewarm strawberry soda onto overly curious sightseers.

Sticking your head out the roof of a fast-moving limo. Largely the province of prom-goers and bachelor-partiers, this dangerous activity is of no service to anyone. It is interesting only to its participants, much like televised fishing. The practice could be easily curbed through a sliding scale of fees, based on duration of head-out-of-window exposure and level of inebriation; but it might be easier for limo companies simply to buy some glue.

Thanking the doctor who performed open-heart surgery on you by sending her an e-mail that reads, simply, "thx." This unseemly activity is, admittedly, not dangerous, except in the way it devalues human discourse and causes at least one member of a profession necessary to our survival on the planet to question his life's purpose. A "thx" ban could be enforced either through the creation of a Big Brother-like scanning system or a complaints bureau. Violators would be forced to type what they had previously neglected to type -- "thank you very much" -- 5,000 times a day for two weeks.

Using a paper shredder or fax machine while wearing a necktie. The male equivalent to the eyeliner-on-a-moving-vehicle scenario, this imperiling activity is seen daily in offices nationwide. Yet no one talks about it. That we live in a country whose restaurants regularly bear informational posters about the Heimlich maneuver only underscores the casual disregard we have for potential necktie-related mayhem. Offenders of this ban might be forced to wear their tattered neckties to work, or to do volunteer work at a local Kinko's.

Calling someone "honey" if you are not Southern or a waitress. Instant or feigned intimacy is too much for some people to bear, and may result in friction or even violence. The issuing of a DYHM (Don't you honey ME!) ticket might do much to cool the fires of sudden or false ardor. Repeat offenders would be sent to work at large, nameless corporations, or be required to move to Tupelo.

The opinions expressed in this commentary are solely those of Henry Alford.

@highlight

National Transportation Safety Board has called for a ban on all cell phone use by drivers

@highlight

Henry Alford asks: What other risky activities should federal law clamp down on?

@highlight

How about skiing while listening to an iPod? Or peering over the balcony of a skyscraper?

@highlight

Maybe applying eyeliner on a train? Or using a paper shredder while wearing a necktie?