On a windy hillside near Copenhagen, Denmark, are the headquarters of a company with a simple goal: to make the smallest hearing aids in the world.

Widex, one of the globe's largest hearing aid companies, developed its first model in 1956. Back then, it came with its own battery pack and had to be strapped to the chest.

They've been gradually shrinking ever since and 3D printing technology has now enabled the slender machines to vanish almost completely into the ear.

"The smallest are less than the size of the tip of a little finger," says Soren Westermann, the Widex CEO whose father co-founded the company nearly 60 years ago.

Back then, hearing aid technology had just made a great leap forward following the invention of the electric transistor in 1948.

Westermann recalls that when he was born, hearing aids had been hulking, impractical devices "that you wore on your back." But the energy efficiency and relatively small size of the transistor -- which is used to amplify electronic signals -- paved the way for the now familiar "behind the ear" style of hearing aid.

Since then, the mechanics have become evermore sophisticated, moving from analogue amplification to digital and from behind the ear to right inside it.

Widex are now the pioneers of a manufacturing process known as Computer Aided Manufacturing for Individual Shells for Hearing Aids or, less cumbersomely, CAMISHA.

The process takes advantage of recently developed 3D printing technology to create staggeringly precise molds of the ear canal.

"First we make the impression of the ear," explains Westermann. "It's still done the old-fashioned way: impression material (liquid silicone) is injected in the ear and as it sets it shows a perfect reproduction of the ear canal."

But it's the second stage of production where things get smart. Standing in the Widex lab, Westermann demonstrates how the finely detailed mold is scanned through a 3D scanner taking millions of measurements to create what he calls a "3D point-cloud" representing exactly the inside of a patient's ear.

Then, layer-by-layer, a large 3D printer replicates the precise dimensions of the mold using photo-acrylic gel, a type of liquid plastic.

Finally, the tiny mechanical components -- consisting of a microphone, a receiver, a battery, and an almost microscopic computer chip -- are inserted into the plastic shell.

"The detail that we can reproduce is down to a hundredth of a millimeter," claims Westermann.

The precision and efficiency of the process has resulted in the world's smallest ever hearing aids. For Westermann, this is a significant development.

"Invisibility is extremely important ... It is so clear that nobody wants to demonstrate or show their hearing loss," he explains.

But the CAMISHA process offers more than discretion. Unlike previous models, which blocked large parts of the ear with big plastic shells, the so-called Invisible In-Canal (IIC) hearing aids allow for more sound to be collected naturally by the shape of the ear, and to flow down the ear canal as it would with unassisted hearing, improving the fidelity and range of sound.

The fact that the shell is modeled so exactly on the user's ear also prevents any noise from leaking out. According to Westermann, this was the cause of irritating "whistling" in previous models.

"The sound will leak from near the ear drum and out between the ear piece and the ear canal. It will leak out there and go back to the microphone, then it will feedback and whistle," he said.

In addition to these technical improvements, the precision of the mold, says Westermann, means that it is substantially more comfortable.

Previous manufacturing methods, which Westermann describes as more like a form of manual sculpting, allowed for small discrepancies between the silicone mold and the hearing aid, causing potentially significant discomfort.

"The ear canal is actually extremely sensitive, so the tiniest irregularity may be intolerable," he says.

"Now they are perfect every time. We know beforehand that they can fit, we know they are as small as they could possibly be and we know that we can make them exactly the same every time," he adds.

At least for now, however, the premium sound and comfort comes at a premium price. While you can get a conventional hearing aid for a few hundred dollars, the CAMISHA produced models range from about $1,000-$3,000 per device.

Westermann, as you might expect, says his customers rarely suffer from buyer's remorse.

"We get a lot of feedback letters, feedback from people who say 'I can't imagine why I waited five years to get one of these,'" he says.

"People tell us they had forgot the sound of the birds. They were walking in the forest and suddenly heard these birds again and they hadn't heard them for 10 years and they had forgot they were still there.

"That makes a lot of difference in your work, to know that you made a difference to somebody else."

@highlight

Danish hearing aid company develops manufacturing process based on 3D printing

@highlight

The "CAMISHA" process allows exact molds of a person's ear canal to be produced

@highlight

As a result, the company has produced the world's smallest, most comfortable hearing aid