Jorge Bergoglio of Argentina is known as a humble man, a capable administrator and -- as expected of a new pope -- a man of great faith.

Those and other qualities will be put to the test as he embarks on his most historic role yet.

Cardinal Bergoglio elected pope

On Wednesday, cardinals elected Bergoglio to be the first non-European pope in the modern era. He is the first pontiff from South America, and the first Jesuit to be elected head of the Roman Catholic Church.

"The new pope is a very humble man," said the Rev. Eduardo Mangiarotti, an Argentine priest. "He takes public transport every day. He is a strongly devoted man to the poorest and suffering people in his dioceses. He is a passionate preacher and a man of prayer."

At the same time, Mangiarotti described Bergoglio, who will be called Pope Francis in honor of St. Francis of Assisi, as a man of action, and someone who can command attention.

5 things to know about Pope Francis

"When he preaches, he's a man who can make the people listen to him. And not only Catholic people, I mean not only the people who belong to the church, but he's also very known nationwide. The people in our country really know him and also look up to him --- the way he addresses issues regarding social justice, education, our own identify as a nation," Mangiarotti said.

In his first public act, the new pope broke with tradition by asking the estimated 150,000 people packed into St. Peter's Square to pray for him, rather than bless the crowd first.

"He is a very simple man," said Luis R. Zarama, auxiliary bishop of Atlanta. "It's very clear from the way he approached the people and asked them to bless him and pray for him. It's a beautiful sign of closeness and humility."

A voice for the poor

Francis, 76, was born in Buenos Aires on December 17, 1936. The son of an Italian immigrant, he trained as a chemist before deciding to become a priest.

He was ordained by the Jesuits in 1969 and became co-archbishop of Buenos Aires in 1997, sole archbishop of that city one year later. He was made a cardinal in 2001 and served as president of the Argentine bishops conference from 2005-11.

As cardinal, Francis clashed with the government of Argentine President Cristina Fernandez de Kirchner over his opposition to gay marriage and free distribution of contraceptives.

Pope's name choice 'precedent shattering'

He was runner-up in the 2005 papal conclave, behind then-Cardinal Joseph Ratzinger, according to a profile by CNN Vatican analyst John Allen published by the National Catholic Reporter.

The new pope brings together the first and the developing worlds, Allen writes. Besides his Italian roots, Francis studied theology in Germany.

His career coincided with the so-called Dirty War in Argentina, which lasted from 1976 until 1983. It is estimated that as many as 30,000 people were killed or disappeared during the country's military dictatorship.

The church was seen by some as having not have done enough that period. In particular, Francis was accused in a complaint filed three days before the 2005 conclave of complicity in the 1976 kidnapping of two liberal Jesuit priests, Allen writes. Francis reportedly denied the charge.

He is known for his simplicity and has a reputation of being a voice for the poor.

"We live in the most unequal part of the world, which has grown the most yet reduced misery the least," Allen quoted Francis as saying during a gathering of Latin American bishops in 2007. "The unjust distribution of goods persists, creating a situation of social sin that cries out to heaven and limits the possibilities of a fuller life for so many of our brothers."

First Latin American pope 'very exciting'

'The butt kicker that's needed'

Francis is fan of the San Lorenzo soccer club in Argentina, and a lover of tango, according to Telam, Argentina's state news agency.

Telam says the new pope has just one lung, but a Vatican spokesman said he was unable to confirm whether that report was true.

As a Jesuit, Francis is a member of the Society of Jesus, one of the biggest and most important orders in the church. Jesuits are recognized for their exceptional educational institutions and focus on social justice.

"The new Pope Francis is supposedly a reformer of sorts. He reformed the Jesuits, fighting against liberation theology when that was on the rise in Argentina," said Raymond Arroyo, a CNN contributor and Catholic television host.

About 480 million of the world's 1.2 billion Catholics live in Latin America, but no one from the region had ever been chosen as pope. By electing who they did, the cardinals sent a strong message about where the future of the church may lie.

Francis takes the helm of a Catholic Church that has been rocked in recent years by sex abuse by priests and claims of corruption and infighting among the church hierarchy.

"From the people I've spoken to here in the Vatican who know him well, they say he is, pardon the French here, the butt kicker that's needed," Arroyo said.

Opinion: Pope Francis - humble, authentic and credible

@highlight

The new pope reportedly has just one lung; he is 76

@highlight

He is the first Jesuit to become pope

@highlight

He will be called Pope Francis, in honor of St. Francis of Assisi

@highlight

He is the first non-European pontiff of the modern era, the first from South America