(CNN)A deal aimed at imposing a ceasefire in Ukraine from this Sunday was concluded following talks between the leaders of Russia, Ukraine, France and Germany. Yet despite 17 hours of talks in the Belarus capital of Minsk, during which President Vladimir Putin was seen breaking pencils on his desk in frustration, some of the agreement's most important provisions have yet to be clarified.

And although German Chancellor Angela Merkel and French President Francois Hollande proclaimed themselves satisfied with the deal, both should know the chances of a durable settlement remain slim.

Were the bloodshed to resume -- or, as is more likely, never stop -- what happens inside Ukraine largely depends on Putin; barring direct Western military involvement which remains unthinkable, the Russian leader maintains what strategy experts call "escalation dominance," namely the ability to decide how much or little he wants to apply pressure, in the re knowledge that, even if Moscow miscalculates, Russia will not pay a heavy price.

All the indications are that, when he ordered his crack forces into Ukraine a year ago, Putin had no clear idea of Russia's "end game." Still, wars create their own strategic logic and appetite grows with eating. So when Putin discovered the seizure of Ukraine's Crimea peninsula was swift and painless, he expanded his country's objectives by supporting ethnic Russian separatists in the rest of Ukraine.

Until recently, the assessment of Western intelligence was that Putin's strategy was to support anti-government rebels in Ukraine as a bargaining chip to draw Ukraine away from its West-leaning aspirations, and lure it back into Russian influence. However, the latest Russian offensives indicate new objectives: Moscow's troops are consolidating the separatist rebel enclaves into one larger unit under Russian control, most likely as a prelude to Ukraine's permanent territorial division. The aim may no longer be to draw Ukraine into Moscow's orbit, but to destroy the nation, and condemn the remaining western rump of the country to the status of a failed state.

There are other reasons why Putin may be in a rush to consolidate the Russian-held enclaves into one coherent entity. For without this happening, any long-term ceasefire will still leave the enclaves vulnerable to a sudden attack from Ukrainian government forces. Furthermore, the Russian enclaves as currently constituted are not economically viable; consolidating them alongside Russia's own borders will make it cheaper for Russia to subsidize the region, which is what Moscow will now have to do.

And, finally, the extension of the Russian enclaves offers the advantage of eventually providing Moscow with territorial continuity between Russia itself and the Crimea peninsula which Putin has already legally incorporated into his country; at the moment, the peninsula -- which otherwise does not enjoy a land link with Russia -- has to be supplied by an expensive and vulnerable ferry connection. In short the logic of Russian political and economic calculations appears to coincide into virtually guaranteeing a deep push into Ukraine, and a spike in the number of casualties and displaced persons.

Any resumption of the fighting on a scale that now looks likely will make it inevitable that Western governments will start supplying weapons to the Ukrainian military. But if Ukraine's firepower increases, the argument in many Western capitals goes, that will increase the price Russia has to pay in terms of personnel and equipment, and thereby persuade Putin to stop this adventure. It is a risky game with long-term consequences for the European continent.

The reality is that Ukraine's military does not need Western-made military equipment; it operates Russian or Soviet-made one. So the chances are high that, once Western governments -- and especially the U.S. one -- decide to supply Ukraine with lethal military equipment, the supplies will come from the stocks of Soviet-made weapons which are in Poland and Romania, eastern Europe's biggest nations. Both border Ukraine, which makes the delivery of such weapons easy and unobtrusive, something U.S. President Barack Obama may prefer, in order not to foreclose any opportunity for a future diplomatic dialogue with Moscow. Although details of such planning are being kept under wraps, Polish Defense Minister Tomasz Siemoniak has already acknowledged the possibility that his country's military stocks may be used for this purpose.

The outcome is almost exactly the same as what happened during the Yugoslavia civil wars of the 1990s, when the U.S. surreptitiously supplied the Croats and Bosnian Muslims in the Balkans with weapons to defeat the Serbs. That tactic worked at that time. But the snag is that Russia is not Serbia: Putin has staked too much on his Ukrainian adventure to accept anything which smacks of defeat. The result is, therefore, that Ukraine will settle down to a prolonged proxy conflict, in which the possession of every village or road will be closely contested, a bloody confrontation in which most European governments get involved, but none accept responsibility.

And, as is often the case in such situations, the longer the conflict goes on, the less chances anyone has in controlling its protagonists. Russia is already finding it increasingly difficult to control ethnic Russian rebels in Ukraine, and that difficulty will only increase as times goes by. A large influx of weapons into Ukraine will also mean an expansion in the already considerable domestic black market for such weapons and a further boost for a variety of right-wing Ukrainian militias, many of which are already fighting alongside Ukrainian regular soldiers. Russia's allegation that Ukraine is under the control of "fascists" is nonsense but, if Ukraine seeks deeper into violence, extremists will increasingly come to the fore.

It is this sort of ghastly, ghoulish fate which the deal that France and Germany brokered is designed to avoid. But the chances are that what was agreed is simply too little and too late to postpone a looming Ukrainian nightmare.

@highlight

Despite a deal struck over Ukraine, the chances of a durable settlement remain slim, says Jonathan Eyal

@highlight

Eyal: Putin's aim may be to destroy the nation, and condemn remaining western rump to status of failed state

@highlight

Longer conflict goes on, less chances anyone has in controlling its protagonists, Eyal writes