(CNN) -- Wherever you go in the United States, you'll find monuments and reminders of America's history.

Whether it's the Statue of Liberty, Wright Flyer or early drawings of Mickey Mouse, there are objects that speak directly to the American experience.

But alongside all this Americana are items that made history elsewhere -- historical anomalies from around the world that have been captured, purchased, even nabbed along with lunch, with one thing in common -- they all found their way to the United States.

More: Most insane new U.S. roller coasters

German submarine (Chicago)

When you think about naval warfare in World War II, you typically don't associate it with the City of Big Shoulders.

But a 1944 operation that led to the capture of the German submarine U-505 -- the first open sea capture by the U.S. Navy of an enemy warship since the War of 1812 -- was led by Chicago native Capt. Daniel Gallery.

Years after the war, when the sub was going to be scrapped, Gallery stepped forward and helped facilitate a move to the Museum of Science and Industry in his hometown.

Since Chicago is absolutely devoid of oceanside property, it took five months for the U-505 to be towed from Portsmouth, New Hampshire, in 1954.

The sub is now exhibited in an underground hall and also serves as a war memorial.

Museum of Science and Industry, 5700 S. Lakeshore Drive, Chicago; 773-684-1414

Viking coin (Maine)

In 1957, an unusual coin was found by amateur archaeologist Guy Mellgren during a dig of a Native American village site in Maine.

Two decades later, a coin dealer identified the small silver coin not as Native American, but as Norse.

Did the subjects of Norwegian King Olaf Kyrre visit Maine during the 11th century?

Probably not, but there may have been trade between eastern native tribes that brought the coin south.

Some consider the discovery a hoax, but at the Maine State Museum in Augusta, where the "Maine Penny" is in the collection, chief archaeologist Bruce Bourque says, "Several reliable lines of evidence suggest that it is an authentic find."

Maine State Museum, 230 State St., Augusta, Maine; 207-287-2301

More: Best places to experience Native American culture

Adolf Hitler's telephone, typewriter, more

Closing in on Nazi Germany in 1944-45, American and allied forces came away with a number of personal items belonging to the German high command.

Taken from Adolf Hitler's personal library, the German leader's phone can now be found at the Army Signal Corps Museum at Fort Gordon, Georgia.

The phone isn't the only Hitler possession to have shown up in the United States.

The Bessemer Hall of History Museum in Alabama claims to have Hitler's typewriter (or, at least, a typewriter taken from Hitler's mountain Eagle's Nest) in its collection.

Eighty miles away, the Berman Museum of World History in Anniston, Alabama, features Hitler's silver tea service.

More: Rare Berlin Wall watchtower still standing tall

Danish windmill (Elk Horn, Iowa)

What once was rotten, or at least rotting, in Denmark, is now the pride of Elk Horn, Iowa.

In 1976, the town with strong Danish roots was looking for a way to celebrate America's bicentennial.

Funds were raised to acquire a disused windmill in Norre Snede, Denmark.

A carpenter disassembled the 60-foot windmill and built a matching 6-foot scale model.

The model was used as a guide for the 300 volunteers who helped reconstruct the full-size mill on American soil.

While it was a delight to many Iowans, the moving of the mill wasn't as popular in Denmark, where a law was passed to prevent the exportation of its windmills shortly afterward.

Danish Windmill, 4038 Main St., Elk Horn, Iowa; 712-764-7472

More: 10 things to know before visiting Copenhagen

Mechanical monk (Washington)

You don't find many mechanical wonders that are nearly five centuries old, but one found its way to the Smithsonian Institution.

Back in 1562, Don Carlos, the crown prince of Spain and son of King Philip II, suffered severe head trauma after falling down some stairs.

With the prince's survival in question, the king prayed for a miracle with the promise that he'd repay it with a wonder of his own.

When the prince recovered, the miracle was attributed to San Diego de Alcalá, a monk who'd died 99 years earlier.

The king employed a clock maker to fashion a 15-inch-tall mechanical version of the monk that moved, nodded its head, genuflected and more.

To put that in perspective, the 452-year-old automaton monk was created two years before the invention of the pencil.

Smithsonian Institution, 1000 Jefferson Drive SW, Washington; 202-633-1000

Vladimir Lenin statue (Seattle)

How did a near eight-ton symbol of Vladimir Lenin make it to Seattle?

Originally erected in Poprad, Czechoslovakia (now Slovakia), the statue had a short pedestal life.

It stood for only a year, before being taken down in 1989.

An American named Lewis Carpenter saw the bronze statue in a scrapyard and figured he could make money on it.

After Carpenter mortgaged his house to pay for it, the statue was cut into three pieces to facilitate travel.

Carpenter never profited -- he died soon afterward.

His family agreed to move the statue to Seattle's quirky Fremont neighborhood, where the former revolutionary now joins a troll sculpture, a chocolate factory and, during the Solstice Parade, naked bicyclists.

The statue is for sale.

As of 2006, the asking price was $250,000.

Lenin statue, 3526 Fremont Place N., Seattle

More: Seattle beyond the Space Needle

Queen Mary (Long Beach, California)

What was once the fastest passenger ship on one ocean is now a unique attraction on another.

From her maiden voyage in the 1930s, the RMS Queen Mary was one of the fastest ocean liners of the era, being the 14-year holder of the Blue Riband for the fastest liner on the Atlantic.

It was this speed, some 30-plus knots, that best served the ship during her time as a troop carrier in World War II.

The "Grey Ghost," as she was known, was too fast for German U-boats to catch.

At the conclusion of the Queen Mary's 1,000th Atlantic crossing, the ship was retired from service and moved to Long Beach, California, where she now houses a hotel, restaurants and an amateur radio station.

The Queen Mary, 1126 Queens Highway, Long Beach, California; 877-342-0738

London Bridge (Lake Havasu City, Arizona)

Despite the warning implied by the nursery rhyme, London Bridge never fell down.

There's still a London Bridge over the River Thames.

But that bridge's predecessor, originally constructed in the 1820s and 1830s, moved to the United States.

Its stone exterior was disassembled piece by piece in 1967 and sold to Robert McCulloch, an Arizona developer.

McCulloch was trying to interest people in property he owned in Lake Havasu City, and when the London landmark was put up for sale, he found his attraction.

Reconstructed on a concrete skeleton over dry land, a canal was dug underneath it and flooded with water after completion.

London Bridge, London Bridge Road, Lake Havasu City, Arizona; 928-855-4115

More: 10 easy ways to experience Navajo America

Santa Anna's wooden leg (Springfield, Illinois)

Two years after leading the assault at the Battle of the Alamo, Mexican president and Gen. Antonio López de Santa Anna lost his leg fighting against France in the Pastry War (started over unpaid reparations to a French baker in Mexico City).

Eight years later, during the Mexican-American War, Santa Anna lost his leg's replacement to the 4th Illinois Infantry.

As the story goes, during the Battle of Cerro Gordo in 1847, the general stopped for lunch when he was surprised by advancing American troops.

He got away, but he left a cooking chicken and his artificial leg behind.

The chicken was consumed, and the wood and cork leg can now be found at the Illinois State Military Museum.

Illinois State Military Museum, 1301 N. MacArthur Blvd., Springfield, Illinois; 217-761-3910

Man-eating lions (Chicago)

If the Tsavo lions at Chicago's Field Museum seem a little worse for wear, it might be because they spent 25 years as rugs.

Before becoming floor coverings, the two mane-less male lions were notorious man-eaters.

Over a nine-month period in 1898, the two lions were responsible for the deaths of 35 workers and laborers (though estimates at the time claimed 135) during the building of Kenya's Tsavo River railway bridge.

Finally, in December 1898, a British lieutenant colonel named John Henry Patterson hunted down both lions.

He brought them home and used them as rugs before selling them to the Field Museum for $5,000, where they were stuffed and displayed.

The Field Museum, 400 S. Lake Shore Drive, Chicago; 312-922 9410

More: Opinion: Why I hate museums

@highlight

Pieces of world history can be found scattered across the United States

@highlight

An 11th-century Viking coin was unearthed in Maine

@highlight

A near-eight-ton statue of Vladimir Lenin sits in a Seattle Park

@highlight

You can find Mexican Gen. Santa Anna's wooden leg in Springfield, Illinois