Cairo (CNN) -- Violence marked the beginning of a two-day referendum as Egyptians went to the polls Tuesday for the second time in 13 months to reshape their country's future.

In all, 11 people died Tuesday in events relating to the referendum, Ahmed El Ansary, head of the emergency unit at the ministry of health, told CNN.

Two died of natural causes, while nine deaths "are suspected to be criminal," he said.

Clashes were reported in several provinces. At least four were killed in Sohag and one in Beni Seouif in clashes between supporters of the Muslim Brotherhood and security.

Violations reported by rights groups monitoring the vote ranged between campaigning for "yes" votes inside or near polling stations and preventing Christian voters from reaching polling stations in parts of Upper Egypt, which has a history of sectarian strife and is known for the strong presence of Islamist groups.

But Hisham Mukhtar, the executive director of the Higher Education Commission, told state-run Masriya TV, "so far, there haven't been any reports of fraudulent activities and the referendum is being conducted in a very calm and fair atmosphere."

On Monday, Mukhtar told Al-Ahram that the nearly 53 million eligible voters were divided among more than 30,000 committees and would be supervised by more than 13,000 judges.

The violence began even before polls opened at 9 a.m., when a bomb exploded near a Cairo courthouse. No one was hurt, security officials said.

Despite the explosion, Egyptians waited in long lines to cast their ballots.

"This will not scare us," said Mohamed Moharram, a teacher who lives near the court. "In half an hour, I will go to my poll station and cast my ballot."

Opinion: Egypt mess? Blame U.S.

Marred by violence

Tuesday's deaths were but the latest twist in three years of political upheaval marked by two presidential departures and hundreds of deaths.

Tuesday's referendum -- the first national vote since the ouster of the democratically elected President Mohamed Morsy -- is about changing the constitution to ban religious parties and give more power to the military. If the draft is passed, elections should follow.

A deep political divide is evident between supporters of the interim military government and defenders of Morsy.

Protesters near the Cairo court held aloft a poster of Egyptian army chief Gen. Abdel Fattah el-Sisi and chanted, "People want the execution of the Muslim Brotherhood" and the "army and people are one hand."

In an incident outside a Cairo school being used as a polling station, CNN witnessed three uniformed soldiers dragging a man into the school yard. The man was followed by about six people pointing fingers at him and accusing him of being a member of the Muslim Brotherhood.

One of the soldiers slapped the man twice in the face, then struck him in his back.

As the man cowered, several police officers arrived and dragged the man toward a corner, where they set upon him.

As soon as CNN Correspondent Reza Sayah began to record cell phone video of the incident, several of the civilians attempted to block his view, and one of the plainclothes officers ordered him to show his identification -- his permanent press credential and his referendum credential -- and took them both.

As Sayah continued to work, the soldier who had slapped the man asked to see the video -- which was nothing more than a jumble of blurred images -- then asked him to delete it.

Because "it was just shaky blur," Sayah said, he complied.

After about an hour, the plainclothes policeman returned his credentials.

One of the soldiers told CNN that they were trying to protect the man from being beaten by police.

Another journalist told CNN he had asked the man if that was true, and the man said it was not. At that point, the policeman intervened and shooed the journalist away.

Constitutional changes

Egyptians voted on the last constitution in December 2012, while Morsy was still in power. But that constitution was suspended after the military deposed him in July.

The latest proposal differs from the last constitution in several ways.

Some say the draft constitution would mean improved human rights and freedom of expression. The new version explicitly states that women are equal to men and allows them to hold official and judicial posts, Al-Ahram said.

The new articles would also give parliament the right to impeach the President in the event of a breach of the provisions of the constitution, Al-Ahram said. Other new articles would criminalize torture, discrimination and arbitrary forced displacement.

Critics say the latest draft would give too much power to the military without any civilian oversight. For example, the draft gives tremendous leeway to the army to try civilians in military courts -- something many Egyptians have opposed for years.

Military rule popular with Egyptians, study finds

What's behind Egypt's turmoil

Morsy's opponents said he was a tyrant trying to impose conservative values, but Morsy's supporters say that the military has now returned to the authoritarian practices of longtime ruler Hosni Mubarak, who was deposed in a popular uprising in 2011.

Hundreds died in clashes between Egyptian security forces and Morsy supporters in the weeks that followed his ouster. Many in the Muslim Brotherhood hold el-Sisi, as the military chief, responsible for the bloodshed.

In a statement issued amid the crisis, el-Sisi said, "Egypt has room for everybody, and we are keen to save every drop of Egyptian blood." He added, "The Egyptian people are free to choose whoever to govern them, while the armed forces will remain the safeguard of the will of the people and of their choice."

Morsy has been in detention since July and faces charges of inciting the murders of at least three protesters outside the presidential palace in 2012. The protests were over the constitution that Morsy shepherded into effect.

CNN's Reza Sayah reported from Cairo; Tom Watkins, Salma Abdelaziz, Holly Yan and Saad Abedine reported from Atlanta. Sarah Sirgany, Richard Allen Greene and Laura Smith-Spark also contributed to this report.

@highlight

Eleven deaths reported on election day in Egypt, 2 attributed to natural causes

@highlight

Egyptians are voting on a draft constitution that would ban religious parties

@highlight

The constitution would also put more power in the hands of the military

@highlight

Hundreds have died amid political turmoil in Egypt over the past three years