(CNN)Despite all the difficulties facing the eurozone in 2015 -- slow growth, increasing debt and high unemployment to name a few -- small but lively Lithuania has taken the plunge and adopted the euro, swapping its lita for the single European currency at the stroke of midnight on January 1.

The rebellious former Soviet republic was the first to declare independence from Moscow 25 years ago and hasn't looked back since.

Now the country is a vibrant mix of east and west Europe.

So what are some of the best ways to keep that new currency from burning a hole in your pocket?

We've compiled a list of 11 ways to spend it.

Littera Book Store at Vilnius University

With its baroque arches and frescoed ceilings, the Littera Book Store looks more like the Bodleian Library than Barnes and Noble.

Never judge a bookshop by its cover. Despite its grand location within the 16th-century Faculty of Philology, the interiors are actually very modern.

The seemingly ancient artwork was actually painted in 1978 by graphic artist Antanas Kmieliauskas.

Entry to the university costs one euro but the fee is normally waived for anyone intending to visit the book store.

Good buys include "Joseph and His Brothers," Thomas Mann's four-part masterpiece written from his summer house in Nida, which is now a museum dedicated to the writer.

Cost: Approximately 25 euros

Littera Book Store, Universiteto gatve 5, Vilnius; +370 5 263 8877

Rental bike tour of Vilnius old town

As winter turns to spring, flocks of bright orange bicycles not seen since fall return to line the streets of the capital.

At just 3 euros for a two-hour ride, the city's bike-sharing plan is the best way to explore in the warmer months.

Cathedral Square, under the gaze of Gediminas' Tower and the ivory belfry of Vilnius Cathedral, is a good place to start.

There's a cycle path that follows the beautiful Pilies Street and heads through the old town, a UNESCO World Heritage site, before crossing the Neris River to explore the surrounding green hills.

Cost: 3 euros for a two-hour ride

CycloCity Vilnius; +370  8 800 22008

Museum of Ethno-Cosmology

Ethno-cosmology is all about understanding humankind's place in the universe.

Depending on point of view, it's either a holistic approach to stargazing or a newfangled form of astrology.

Unsurprisingly, this is the first museum of its kind and even for ethno-cosmology skeptics the extraordinary observatory, which looks like something dreamed up by H.G. Wells, is worth the visit.

The quality of the stargazing experience depends on the weather, but having one of the largest public telescopes in Europe on hand certainly helps.

Cost: Admission 2-7 euros

Museum of Ethno-Cosmology, Kulionys, Ciulenai eldership, Moletai district; +370 383 45424

Hot air balloon ride over Vilnius

Ballooning is popular in Lithuania and a spectacular way to experience the country's landscape, from the lakes of Trakai to the dunes of the Curonian Spit on the Baltic coast.

Vilnius itself is one of the few major cities in the world that allows balloons to fly over it.

Balloons depart from the banks of the Neris in time for sunset over the red-roofed city.

Cost:  85-110 euros per person

Balloon Tours: +370 652 00510

Curonian Spit National Park

Neringa is a quasi-mythical place where the Baltic Sea coast meets the Russian border.

The giantess who gave her name to the region is also credited with creating its most recognizable feature, the Curonian Spit.

This wall of sand dunes is Lithuania's other UNESCO World Heritage site and traces a 98-kilometer arc from Klaipeda to Malinovka in Kaliningrad Oblast.

The spit was actually formed 5,000 years ago by a retreating glacier that left a ridge of debris in its wake and sealed off the lagoon behind it.

While wandering the windswept headlands, visitors should keep an eye out for chunks of raw amber, which regularly wash up on the Baltic seaside.

Cost: 100 euros (approximately) for a private day trip from Vilnius

Curonian Spit National Park, Klaipeda Region

Ice-Blokart Sailing

The marriage of sled and sail has been popular in Lithuania since the 1930s.

Border guards used them during the Cold War to move quickly and stealthily across frozen territory.

Also known as ice yachts, these wind-powered sleds are capable of reaching speeds of 100 kmh thanks to low friction between runner and ice.

Ice sailing is easier to master than its summer counterpart, so it's great for children and absolute beginners.

During winter, tour parties run frequently across the frozen Curonian Lagoon from Nida to Vente Ragas.

Cost: Blokart rental from 40 euros per hour in Nida

Baltic Adventure; +370 5 250 5831

Trakai Island Castle

This iconic island castle was once the seat of power for the Grand Duchy of Lithuania, at the time the largest state in Europe, which stretched from the Baltic to the Black Sea.

Grand Duke Vytautas completed the stone foundations, still visible today, at the turn of the 15th century in defiance of the Teutonic Knights.

Long left in ruins, the castle was finally restored following WWII with the help of Soviet money -- normally hard to come by -- after once more defying a German invasion.

Only half-an-hour's drive from the capital, the 200 surrounding lakes and 21 islands make Trakai the perfect lakeside retreat for Vilnians.

Cost: Entry 6 euros

Trakai Castle; +370 528 53946

Karaite culture and cuisine at Kybynlar

As Vytautas expanded the Grand Duchy, a back flow of people introduced new religions and cultures to the state, which was markedly tolerant for its time.

The 383 Karaite families brought back from Crimea at the end of 14th century founded a small but significant community around Trakai.

A branch of Turkic Judaism, only 60 followers are still local to Trakai, but their culture and cuisine has miraculously survived.

The famous Kybyn savory pastries served at Kybynlar restaurant on the banks of Lake Galves are sought-after delicacies, as authentically Lithuanian as any Baltic fare.

Canach, a pastry-topped broth in an intricate ceramic pot, is worth trying.

Cost: 2 euros for Kybyn pastry, 6 euros for Canach

Kybynlar Restaurant, Karaimu str. 29, Trakai; +370 698 06320

'Lithuanian gold'

Many legends surround Lithuania's most famous export.

The most popular tells of the goddess Jurate who lived in a golden palace under the sea.

Tragically, her home was destroyed by the gods after she fell in love with an ordinary fisherman, but the remains were washed ashore as golden gems of amber.

Chunks of the fossilized resin typically formed 30 million years ago and can be crafted into everything from chess sets to violins, or sold as found.

Amber is credited with healing the sick and warding off evil.

Cost: Varies, anything up to 100,000 euros

Amber, Latviu str. 7, Vilnius; +370 5 272 4090

Druskininkai Ski Arena

For a country with winters that last from November to March you'd think they'd have had enough of snow come April -- but for ski and snowboarding fanatics there's nothing worse than end of season slush.

The solution -- build a massive indoor ski park.

The Snow Arena opened in 2011 with three slopes catering to beginners and experts, and 2.5 hectares of runs kept at -2 Celsius all year round, making it one of the biggest in the world.

And it's cheap.

Cost: Day passes start at 16 euros for adults, 14 euros for under 18s.

Druskininkai Snow Arena, Nemunas road 2, Village of Mizarai, Druskininkai municipality; +370 313 69699

Basketball

Lithuanians like to joke that basketball isn't just their national sport but their nation's religion.

Four of their countrymen dominated the USSR team that beat USA to gold at the 1988 Olympics and helped the newly independent national side ('the other dream team") to an emotional bronze medal, four years later, against a Unified Team of former USSR states.

Their fans are perhaps the most passionate for any sports team in the world.

During world tournaments statues are dressed in replica uniforms; basketballs and hoops adorn every billboard and shop front in the country.

Watching Lithuania play at home is an incredible spectator experience.

The best place to see a game is Zalgiris Arena, Kaunas.

Cost: Tickets range from 10 to 30 euros

Zalgiris Arena, Karaliaus Mindaugo ave 50 , Kaunas; +370 34 354 401

Jack Davidson is a London-based travel writer. He tweets at @jacqdavidson.

@highlight

In January 2015 Lithuania became the 19th country to adopt the single European currency

@highlight

The former Soviet nation is a vibrant mix of east and west Europe

@highlight

Attractions include the Museum of Ethno-Cosmology and Trakai Island Castle