United Nations (CNN) -- The United Nations Security Council on Thursday authorized a military peacekeeping mission in Mali to help the once-stable country retake its vast northern region from Islamist rebels.

The council authorized the deployment of an African-led International Support Mission in Mali for an initial period of one year. The mission aims to help rebuild the capacity of Mali's security and defense forces and to help the Malian authorities recover the areas in the north.

A regional group, the Economic Community of West African States, already pledged thousands of troops to the mission, and the Security Council urged other member states to contribute troops.

The new U.N. mission is also tasked with helping Mali reduce the threat posed by terrorist groups, including al Qaeda in the Islamic Maghreb and the Movement of Unity and Jihad in Western Africa. The two groups now control two thirds of northern Mali, an area the size of France.

Mali names new prime minister in abrupt change of leadership

Mali held its first democratic elections in 1992 after decades of military rule. It had a mostly strong democracy until this year, when a group of soldiers toppled the government, saying it had not provided adequate equipment for them to fight ethnic Tuareg rebels roaming the vast desert in the north.

The Tuareg rebels, who staged decades of rebellions in their desire for independence, took advantage of the power vacuum and seized parts of the north. The rebels were well armed; they had fought alongside Libyan leader Moammar Gadhafi, and when he was killed in October 2011, they returned to Mali with weapons.

A power struggle then erupted in the north between the Tuaregs and local al Qaeda-linked radicals who prevailed and seized control of large parts of the desert north. The international community voiced concerns about al Qaeda in the Islamic Maghreb and expanding its presence in Mali.

The al Qaeda wing is linked to the deadly attack in Benghazi, Libya, that killed the U.S. ambassador to Libya and three others, U.S. officials have said.

Thursday's Security Council resolution also calls on Malian authorities to restore constitutional order and national unity, and to hold peaceful, credible and inclusive elections by April at the latest.

ECOWAS appointed an interim president in April 2012 after reaching a deal with the coup leader.

Last week, U.N. Secretary-General Ban Ki-moon voiced new concerns about the political situation in Mali when soldiers loyal to the coup leader arrested interim Prime Minister Cheick Modibo Diarra in unclear circumstances, and Diarra resigned.

ECOWAS expressed concern about military interference in the political process.

The militants in the north have already applied their strict interpretation of Sharia law by banning music, smoking, drinking and watching sports on television. They also publicly stoned a couple to death in July for reportedly having an affair.

Public executions, amputations, floggings and other inhumane punishments are becoming common, the United Nations says.

At least four times this year, the militants have attacked Timbuktu's historic tombs and shrines, claiming the relics are idolatrous. The picturesque city was once an important destination for Islamic scholars for its ancient and prominent burial sites and is a UNESCO World Heritage Site.

Tuareg rebels retreated from the well-armed militants but have vowed to fight back and establish their own country in the north, which they call Azawad.

West African states and international leaders say a rapid military intervention is essential to solving the security crisis.

Challenges persist in confronting growing threat of al Qaeda in Mali

@highlight

UN-sanctioned peacekeepers will be deployed for an initial period of one year

@highlight

The mission aims to help Mali retake its northern areas from Islamist rebels

@highlight

A group of neighboring nations already pledged thousands of troops to the mission