(CNN) -- It depends on mind-bending physics and ultra-cold temperatures but quantum computing could bring about a new era in processing power that promises to revolutionize everything from artificial intelligence to high finance.

The field of quantum computing is still in its infancy but it was given a sizable boost when Google announced in September that it is partnering with experts from the University of California Santa Barbara to develop quantum computing technology as part of its Quantum Artificial Intelligence Lab team. The project also sees Google pairing up with NASA and the Universities Space Research Association to create technology that could become the world's fastest supercomputer.

How it works

In a traditional computer, circuits are either on or off, and use binary code of ones and zeros for solving problems. A quantum computer uses quantum bits -- called qubits -- and has circuits which exist in all possible states at the same time -- a one, a zero and everything in between. This ability to exist in various states greatly increases the processing power of quantum machines.

While the science behind quantum computing seems very technical, broken down in the simplest terms it amounts to a computer which could operate at breakneck speed in comparison to a traditional computer that uses a binary system, and would be especially useful for solving what are known as "optimization problems" -- finding the best solution among huge numbers of possible options.

Currently, the world's fastest computer belongs to China, the Tianhe-2 supercomputer, which can carry out about 34 quadrillion calculations per second. Experts say a quantum computer would ultimately far surpass this speed.

Google's Quantum Artificial Intelligence team has been working with scientists from Canadian company D-Wave Systems, which owns what has been called the first commercially viable quantum computer.

Some experts have cast doubt on whether D-Wave's computers are any faster than regular machines, but while D-Wave's CEO Vern Brownell concedes that it's early days for this technology, he sees a bright future. "We're at that stage of the very first days of microprocessors, when Paul Allen and Bill Gates built the first software for those," said Brownell.

A mature technology could have huge benefits in a variety of fields. The increased computing power could one day help run complex simulations, such as modeling climate change and helping to develop new drugs.

"It's not going to replace classical computing, but certain problem types fit quantum computing very well," said Brownell.

Financial revolution?

Financial services will be the first industry to feel the benefits, said Brownell. For example, there's currently a huge workload on Wall Street trying to optimize portfolios and dealing with risk management. "Ultimately, quantum computing will do that better," said Brownell, who served as chief technology officer for Goldman Sachs from 1989-2000.

Other areas of finance which could benefit include structured asset-backed security pricing, mapping market correlations, capital project budgeting, and developing trading strategies, said D-Wave.

D-Wave said it is also interested in expanding the cloud capabilities of quantum computing. Potential customers could include anyone with a complicated optimization problem to solve -- from sectors ranging from transportation and logistics to financial services and healthcare.

Another broad area for quantum computing is machine learning. Using artificial intelligence to train algorithms, trying to mine big data, and also helping with fraud detection all fall under the quantum computer's domain.

Currently, Lockheed Martin uses D-Wave's machine to help verify flight control systems. Another partner of D-Wave is a company called 1QBit, which is building financial algorithms with quantum computing and "making good progress," said Brownell.

Obstacles in the way

One of the biggest challenges so far for the mighty quantum machine has been environmental interference. The machine can only operate at an incredibly low temperature -- just above absolute zero, or -273.15 degrees.

"This chip has to have exactly the right temperature, it has to be shielded," said Brownell. "So a big part of it is building that rarefied environment. A huge amount of research and billions of dollars are being poured into building it."

Maintaining the perfect environment is just one of the problems facing quantum computing.

"We're really just beginning to understand how we might make a full-scale quantum machine," cautions Dr Peter J Bentley, of the department of computer science at University College London. "There is a vast number of challenges remaining."

Bentley believes it could be many years before we see quantum computing come into its own.

"Compared to the speed we moved from valves to transistors to integrated silicon chips, progress on quantum computers has been very slow," wrote Bentley, in an email. "It's a much harder problem using mind-bending physics that we don't fully understand. So it may take a few billions of dollars from Google and a few decades before we really see quantum computers."

But Google's confidence in creating super-fast quantum computing is palpable. Brownell sees the challenge as a positive for not just Google, but for all of us.

"It (quantum computing) will be another tool to help solve very challenging, very hard problems," he said.

@highlight

Google has assembled a team of experts trying to craft a quantum computer

@highlight

Financial services, machine learning and other industries could benefit

@highlight

Quantum computing especially useful for complex "optimization" problems