U.N. inspectors prepared to examine the site of a suspected chemical weapons attack in Syria on Monday, a strike a U.S. official said was all but certain was carried out by the embattled Syrian government.

Rebel forces and Syrian President Bashar al-Assad's government have been blaming each other for Wednesday's reported attack in a suburb of Damascus, which opposition members say killed hundreds. Gruesome video of the aftermath showed numerous bodies, including women and children.

The U.S. official, who was not authorized to speak on the record, said the evidence pointing to government forces goes beyond images and open-source reporting from doctors and others.

"There is nothing credible to indicate that the rebels, either the Syrian National Council or even al-Nusra Front, have used chemical weapons," the official said. "Only the Assad regime is responsible for chemical weapons use."

The Syrian government has steadfastly denied its forces used chemical weapons outside Damascus or elsewhere and repeated the denial Sunday. But a second U.S. official said Sunday that tissue samples were collected from the scene in the hours and days after the August 21 attack.

The official says the evidence was "collected by multiple international sources" and was being analyzed in secure locations. The official would not say how the samples were collected or specify where the analysis was taking place.

But with the United States and its allies warning of military action, Syria's leading ally invoked the history of Western claims about Iraq urged Washington to avoid "a reckless enterprise."

Russia's Foreign Ministry said unilateral force that bypassed the United Nations would "undermine international efforts to find a political and diplomatic solution to the Syrian conflict, lead to its further escalation and have an extremely destructive effect on what already is an explosive situation in the Middle East."

"All this is reminiscent of events of 10 years ago in which, using false information that the Iraqis possessed weapons of mass destruction as a pretext and bypassing the United Nations, the United States launched a reckless enterprise with consequences that everyone is well aware of," Foreign Ministry spokesman A.K. Lukashevich said in a written statement.

The statement added: "Our American and European partners should realize what catastrophic consequences such a policy would have for the region, for the Arab world, and for the entire Islamic world."

Syria agrees to stop shooting during U.N. inspection

These developments came as a top Syrian official told CNN on Sunday that the government would allow U.N. inspectors full access to any site of a suspected chemical weapons attack.

The agreement is effective immediately, Deputy Foreign Minister Faisal al Mekdad said.

The U.N. secretary-general's office said inspectors hope to begin their investigation Monday at the suspected chemical attack site. The Syrian government has agreed to cease all hostilities as long as the U.N. inspectors are on the ground. Before Sunday, U.N. inspectors in Syria attempting to gather information were not allowed to visit the site of the recent attack.

But one senior Obama administration official said the Syrian government's announcement was too little, too late.

"If the Syrian government had nothing to hide and wanted to prove to the world that it had not used chemical weapons in this incident, it would have ceased its attacks on the area and granted immediate access to the U.N. -- five days ago," the official said.

"At this juncture, the belated decision by the regime to grant access to the U.N. team is too late to be credible, including because the evidence available has been significantly corrupted as a result of the regime's persistent shelling and other intentional actions over the last five days," the official, who was not authorized to speak publicly, said in a statement.

"Based on the reported number of victims, reported symptoms of those who were killed or injured, witness accounts, and other facts gathered by open sources, the U.S. intelligence community, and international partners, there is very little doubt at this point that a chemical weapon was used by the Syrian regime against civilians in this incident."

The same senior Obama administration official said the United States is "continuing to assess the facts so the president can make an informed decision about how to respond to this indiscriminate use of chemical weapons."

Last year, while discussing the situation in Syria, President Barack Obama said "a red line for us is we start seeing a whole bunch of chemical weapons moving around or being utilized."

The Pentagon has sent four warships armed with cruise missiles to the region, and two key members of U.S. congressional foreign affairs panels said Sunday they expect the United States to strike Syria after reports of chemical weapons attacks in that country.

On Friday, Defense Secretary Chuck Hagel said the American military was providing Obama "with options for all contingencies, and that requires positioning our forces [and] positioning our assets to be able to carry out whatever options the president might choose."

Jihadist group vows revenge

Meanwhile, the jihadist group al-Nusra Front, which has ties to al Qaeda, vowed Sunday to avenge the suspected chemical attack by targeting villages populated by Syria's Alawite minority, the sect to which al-Assad belongs.

Competing claims on chemical weapons use in Syria

An audio message posted on YouTube, purportedly from al-Nusra leader Abu Muhammad al-Joulani, accuses the Syrian regime  of bombarding eastern Ghouta "with tens of missiles" carrying a "suffocating chemical agent," killing "hundreds of children, women and men."

"We are announcing a series of revenge operations called 'An Eye for an Eye.' Your Alawite villages will pay a very dear price for every chemical rocket that you've launched against our people."

According to Syrian state-run television's depiction of events, government forces came across the site of the gas attack when they entered the rebel stronghold of Jobar on the edge of Damascus. The bodies of some of those killed in the attack early Wednesday had been found there.

Several of the soldiers were "suffocating" from exposure to gases as they entered the city, according to state TV.

"It is believed that the terrorists have used chemical weapons in the area," Syrian TV reported, citing an anonymous source. The government uses the term "terrorists" to describe rebel forces.

Broadcast video showed a room containing gas masks, gas canisters and other paraphernalia that could be used in a gas attack. The army said it uncovered the cache in a storage facility in Jobar. CNN could not independently confirm the authenticity of the video.

"We said it from the first moment and, here, we assure again that we have never used chemical weapons (around Jobar) or any other region in any form whatsoever -- ... liquid, gas or whatever," Information Minister Omran al-Zoubi said in an interview on Lebanese television.

He blamed the rebels.

Syria's refugee children will be the ones to rebuild

Opposition accusations

The rebels say that government forces fired rockets into the heavily populated civilian area. Opposition spokesman Badr Jamous from the Syrian National Coalition claimed that some of the rockets delivered chemical payloads.

More than 1,300 people were killed, most of them by gas, said Khaled al-Saleh, another spokesman for the group.

Al-Saleh said that medical teams in the affected area had administered 25,000 shots of atropine -- a medication used to treat people exposed to the nerve gas sarin -- after the attack.

Doctors Without Borders said three hospitals it supports in Syria's Damascus governorate reported having received some 3,600 patients displaying neurotoxic symptoms last Wednesday morning.

"The reported symptoms of the patients, in addition to the epidemiological pattern of the events -- characterized by the massive influx of patients in a short period of time, the origin of the patients, and the contamination of medical and first aid workers -- strongly indicate mass exposure to a neurotoxic agent," said Dr. Bart Janssens, director of operations.

Video showed rows of bodies without apparent injury, as well as people suffering convulsions or who appeared to be struggling to breathe.

CNN could not verify where or when the videos were recorded, and could not confirm the number of casualties.

Opinion: Syria's lost youth -- one million child refugees flee

@highlight

U.N. inspectors will be allowed to visit scene of reported chemical attack, Syria says

@highlight

Syria's government denies using chemical weapons

@highlight

U.S. official: "Only the Assad regime is responsible for chemical weapons use"

@highlight

Russia says U.S. allegations remind it of Iraq war