About 8.4 million people can rightfully call themselves New Yorkers, according to 2013 census data. There are no official numbers to back this up, but it'd be a pretty solid bet to say that an awful lot of them have never spent much time exploring the Bronx beyond Yankee Stadium, the Bronx Zoo, the Bronx Botanical Gardens and maaayyybe going out for a plate of manicotti and some tiramisu on Arthur Avenue.

And that's a friggin' shame.

Not only is the Bronx home to a hefty wedge of the Big Apple's residents -- around 1.4 million of them -- it's also the birthplace and steward of some of America's greatest achievements in art and culture. Hip-hop was born here. Poetry, dance, sculpture and painting thrive. Art Deco architecture abounds and nature blooms.

Hop a northbound 2,4,5,6, B or D train -- or a boat to City Island -- and slip into the rhythm of the boogie down Bronx.

Bronx Music Heritage Center

The Bronx gave birth to a beat all its own, and it's generous enough to share this bounty with the rest of the world.

The Bronx Music Heritage Center preserves the history and celebrates the future of jazz, salsa, R&B, hip-hop and all other forms of music with roots in the borough. The center hosts live performances, readings, screenings, art programs and installations, and music history trolley tours of the neighborhood.

And if you're in a specifically hip-hop state of mind, hop a bus tour of classic battle sites, historic clubs and famous music video locations. Hush Tours are helmed by emcees, graffiti artists and DJs like Grandmaster Caz, Ralph McDaniels, Kurtis Blow, Rahiem, Johnny Famous, Lady "K" Fever, Reggie Reg and others.

The Woodlawn Cemetery

There's a saying that "only the dead know Brooklyn."

That may be true of the Bronx too. In the borough's Woodlawn Cemetery, the collective knowledge of permanent residents makes up some of the best of American culture.

Commune with the spirits of Duke Ellington, Miles Davis, Celia Cruz, Irving Berlin, Herman Melville, Countee Cullen, Ralph Bunche, Fiorello La Guardia, Robert Moses, Elizabeth Cady Stanton, Madam C.J. Walker and other borough luminaries in a 400-acre outdoor museum where lot owners are encouraged to celebrate.

Wave Hill

In the midst of NYC's concrete jungle lies an oasis of serenity in the form of 28 meticulously tended acres of gardens, greenhouses, walks and trails and a cultural center geared toward getting city residents in touch with the natural world around them.

Organized gatherings aren't allowed on the Wave Hill premises, but the public is welcome to pack lunches, stroll through the grounds and attend talks, lectures and concerts. While there is generally an entrance fee, Target sponsors free hours on Tuesday and Saturday mornings year-round.

Grand Concourse

This truly grand stretch of boulevard is the Bronx's answer to Paris' Champs-Elysees -- but in true NYC style, stretches even longer and wider.

The mostly Art Deco-lined thoroughfare runs from 138th Street to Mosholu Parkway and showcases some of the finest architectural facades and structures in all the five boroughs.

The historic district designated by the New York City Landmarks Preservation Commission is between 153rd and 167th Streets, easily accessible from the subway (try the B, D, 4 to 161st St-Yankee Stadium), and should by all rights include a stop in Joyce Kilmer Park, named for the soldier and writer best known for the poem "Trees."

Bronx Museum of the Arts

This museum has a mission: making the arts accessible to everyone, regardless of income level.

On its 40th anniversary in 2011, the museum instituted a free admission policy, allowing the entire community -- especially schoolchildren, artists and families -- to experience its permanent collection and special exhibitions of prints, painting, installations, photographs, sculpture, films, poetry and movement.

Curators pay special attention to giving visibility to artists of African, Asian and Latin-American descent, and those with direct ties to the Bronx.

City Island

While the rest of the borough is the only part of NYC contiguous with the mainland, the Bronx's City Island is surrounded by Long Island Sound and Eastchester Bay and stands as a living monument to New York's nautical history.

The island is accessible by drawbridge (city bus BX 29 will take you straight over it) and boasts some of the best seafood restaurants -- and boating and fishing opportunities -- the city has to offer.

If it looks somehow familiar, that may be because it's served as the backdrop for plenty of films including "Arsenic and Old Lace," "A Bronx Tale," "Butterfield 8" and the eponymous "City Island."

Wakefield and Woodlawn

When people think Bronx eats, it's usually Arthur Avenue pasta and Yankee Stadium hot dogs that come to mind.

Those are all well and good, but the borough is filled with ethnic enclaves of people who like to feast as well. Head to Wakefield for heady African and Caribbean flavors and Woodlawn for hearty Irish fare.

And for those worried about where to pop in for a pint or a roti, Noshwalks tour guides can help visitors balance out their caloric intake with a little legwork in between bites.

TAG Public Arts

Street art doesn't usually get a co-sign from building owners, but in 2012, Jay Sinxero-Beltran started the TAG Public Arts Project to get landlords to team up with graffiti artists to create one-of-a-kind -- and totally legal -- paintings on their public walls.

TAG has been endorsed by The Bronx Council on the Arts and has a stated mission of "enhancing the visual landscape of urban communities with art." Bronx Historical Tours offers a bus-driven exploration through the borough-wide outdoor gallery.

Edgar Allen Poe Cottage

Before his mysterious 1849 death in Baltimore, Edgar Allen Poe spent his twilight years in a cottage at Kingsbridge Road and the Grand Concourse.

He wrote some of his best-known works there, including "The Bells," "Annabel Lee" and "Eureka." Poe and his wife Virginia moved to the Bronx in the hope that the country air (why yes -- country air in the Bronx) would soothe the ravages wrought upon her by tuberculosis, but she succumbed nonetheless.

The cottage has been fully restored to its period appearance by the Bronx County Historical Society and is open to the public on the weekends and groups (by appointment) throughout the week.

@highlight

Go beyond Yankee Stadium and the zoo to explore the best of the Bronx

@highlight

Wave Hill is an oasis of serenity in this densely populated borough

@highlight

Head to Wakefield for heady African and Caribbean flavors