(CNN) -- East versus West, capitalism versus communism: the Cold War lasted from the end of World War II until the fall of the Soviet Union in 1991. Yet this war was at its height in the 1960s.

That's the decade the Cuban missile crisis played out, the United States entered the Vietnam War to fight communist forces there, and President John F. Kennedy sent a team of Cuban exiles into Cuba's Bay of Pigs to try to overthrow leader Fidel Castro.

Here are five other momentous events of the 1960s Cold War that you might not know:

1. The Soviets shot down an American plane and captured the pilot

The United States had been flying U2 spy planes over the Soviet Union for some time to see if the Soviets were aiming missiles at America and to snap photos of local newspaper headlines.

The CIA told President Dwight D. Eisenhower that its sophisticated aircraft, which reached altitudes of up to 70,000 feet, could not be shot down. But on May 1, 1960, U2 pilot Francis Gary Powers disappeared on a flight over Russia.

Powers had been shot down and captured, and Soviet leader Nikita Khrushchev made the wreckage a public exhibition. A humiliated Eisenhower was forced to admit the United States had, in fact, committed espionage.

2. Nikita Khrushchev threatened to "bury" America

Three days after meeting Fidel Castro for the first time, Khrushchev visited the United Nations on September 23, 1960. The Soviet leader believed communism was the future and that America needed to be contained. In his address to the U.N. General Assembly, the Soviet leader threatened to "bury" America.

3. JFK didn't mention a single domestic issue in his inaugural speech

Newly elected John F. Kennedy felt his job was to run the Cold War and defeat the Russians, which he made clear in his January 20, 1961, inaugural speech, stating:

"Let every nation know whether it wishes us well or ill that we shall pay any price, bear any burden, meet any hardship, support any friend, uphold any foe, to assure the survival and the success of liberty."

4. The space race made Americans fear for their lives

When Soviet pilot Yuri Gagarin became the first person to enter outer space on April 12, 1961, orbiting the Earth in one hour and 48 minutes, Americans worried the United States could no longer protect its people. Some thought if you could put a man into space, you could put a nuclear warhead into space.

Khrushchev reacted by saying, "Now let the capitalist countries try to catch up."

Opinion: Putin's empire building is not a new Cold War

5. Panic over a soccer field led to the Cuban Missile Crisis

When a CIA consultant spotted soccer fields along the coast in Cuba in September 1962, he became concerned because, as he put it, "Cubans play baseball, Russians play soccer."

The CIA analyst had deduced that the field indicated the presence of a Soviet military camp nearby.

Kennedy approved U2 flights over Cuba but didn't want to get sucked into another Bay of Pigs, the failed invasion to overthrow Castro in April 1961. He wanted hard evidence. Photographs convinced Kennedy that the Russians were putting missiles in Cuba. After U.S. intelligence indicated which U.S. regions were vulnerable to a possible nuclear attack from Cuban soil, Kennedy feared that 30 million American lives were in danger.

Was it really a simpler time? Your '60s family photos, revealed

Kennedy did not want to attack Cuba, but he was worried about the survival of the human race. He imposed a blockade, and on October 22, 1962, he announced to the world that large, long-range weapons of sudden destruction posed a threat to America.

When Russia sent 25 ships toward Cuba, the White House thought it was the early stages of World War III.

At the last minute Soviet ships turned around. For the first time, Khrushchev acknowledged the presence of Soviet missiles in Cuba, but argued they were merely defensive, and promised to remove them if JFK promised not to invade Cuba.

BONUS: Kennedy planned to get out of Vietnam

It's impossible to know where we'd be today had Kennedy not gone to Dallas in 1963.

Until that year, the President had treated Vietnam as a second-tier issue. He was dealing with Cuba, Berlin and domestic matters. He also felt the people of Vietnam ought to defeat the communists themselves. While the Soviets supported North Vietnam, the United States supported the South. And fears cropped up that if South Vietnam fell, the rest of Southeast Asia was vulnerable, as well as New Zealand and Australia.

When the South Vietnam government was overthrown just weeks before Kennedy's fateful trip to Dallas, he told an aide he would begin to discuss getting out of Vietnam in 1964, after his re-election.

Most historians agree that Kennedy would never have done what Lyndon B. Johnson did, which was trust the military implicitly. Kennedy was skeptical of military advice.

In his December 17, 1963, address to the U.N. General Assembly, President Johnson told a nation in mourning:

"The United States of America wants to see the Cold War end. We want sanity and security and peace for all. And above all President Kennedy I am sure would regard as his best memorial the fact that in his three years as President the world became a little safer, and the way ahead became a little brighter."

@highlight

The early 1960s were the most intense years of the Cold War

@highlight

As Soviets tested nuclear devices, Americans stockpiled canned goods in fallout shelters

@highlight

How well do you know the '60s? Take our quiz and find out.