Tokyo (CNN) -- Japan's Health Ministry reported Tuesday finding radioactive materials at levels "drastically exceeding legal limits" in 11 types of vegetable grown in Fukushima Prefecture, including broccoli and cabbage, according to Kyodo News Agency.

None of the vegetables has been shipped since Monday, it said.

The news agency, citing the ministry, said, "If a person eats 100 grams (3 1/2 ounces) of the vegetable with the largest detected amount of radioactive materials for about 10 days, it would be equal to ingesting half the amount of radiation a person typically receives from the natural environment in a year.

"If a person keeps eating the vegetable at the same pace, the amount of radiation intake could exceed the amount deemed safe."

Prime Minister Naoto Kan asked Ibaraki Prefecture -- near the stricken Fukushima Daiichi nuclear power plant -- to suspend shipments of raw milk and parsley, Chief Cabinet Secretary Yukio Edano told reporters Wednesday.

And the government of Fukushima Prefecture told residents not to eat leafy vegetables, he added.

"Even if you do eat these food items now, it's not going to cause any human health problems right away, and these levels are not high, so it would not cause any health problems over the longer term," he said.

But, as the radiation levels continue to rise, "we are looking at the possibility of levels reaching levels that may harm human health," he said.

A spokeswoman for the U.S. Food and Drug Administration on Tuesday said it has issued an import alert covering milk, milk products, fresh vegetables and fruit from any of four prefectures near the Japanese reactors -- Fukushima, Ibaraki, Tochigi and Gunma. Under the alert, those products will be prevented from entering the United States.

Other food products from one of those prefectures will be diverted for testing, she said.

But the Environmental Protection Agency said its air monitors -- three in California and one in Washington -- have detected levels of radiation that were "millions of times below levels of concern."

Meanwhile, the process of getting Americans out of the stricken region continued Tuesday. Seven charter flights left Japan Tuesday carrying about 1,800 military dependents voluntarily evacuating from Atsugi Naval Air Facility, Yokoda Air Base and Mesawa Air Base. Some of the flights were bound for Seattle-Tacoma International Airport and the rest to Travis Air Force Base in California.

As the Navy continues to distribute potassium iodide to personnel, the service is instructing sailors who have come within 100 miles of the damaged reactor to take the pills, said Cmdr. Danny Hernandez.

That recommendation clashes with one issued Monday by the State Department, which said it was making available supplies of the pills to U.S. government-related personnel in Japan, but that the distribution was being carried out only as a precaution. "No one should take KI at this time," it said, referring to the salt by its chemical formula.

The State Department did not immediately return a call seeking an explanation for the divergent recommendations.

The salt protects the thyroid gland from radioactive iodine but can result in side effects, especially among people with allergies to iodine and shellfish and those who have kidney disease, certain skin disorders and thyroid problems, according to the Johns Hopkins Office of Critical Event Preparedness and Response.

The National Police Agency reported Tuesday that the disaster has killed at least 9,301 people and left at least 13,786 missing, many of them killed when a wall of water swept over them after the quake. Another 2,722 were injured.

Workers at the Fukushima Daiichi nuclear power plant have been checked for radiation levels. TV Asahi aired what it said were the first interviews with workers, which were conducted Tuesday from Iwaki City in Fukushima Prefecture, where they have been billeted.

"It has settled down quite a lot compared to the beginning and we could even begin to see a bright hope that maybe it would somehow work out in a little bit," said one man.

"We are constantly switching over all the time, since the work cannot be stopped," said another.

Neither man was identified by name.

As for the plant's six reactors, Nuclear and Industrial Safety Agency official Hidehiko Nishiyama said Wednesday that power had been connected to reactor No. 1 and fire trucks were being used to inject seawater into the core to cool it.

The International Atomic Energy Agency reported Tuesday that coolant in the unit was covering only about half of the fuel rods in reactor Nos., 1, 2 and 3 and that Japanese officials believe their cores have been damaged.

In the No. 2 reactor, power had not been restored, but the core was stable and workers were continuing to inject seawater into the spent-fuel storage pool, he said.

The IAEA said that, after an explosion March 15, officials expressed concern that the containment vessel may no longer be intact.

In the No. 3 reactor, electricity has been restored to the central control room and the Tokyo Fire Department was expected to start spraying water into the spent-fuel storage pool beginning at 4 p.m. Wednesday, Nishiyama said.

The No. 3 reactor has been a priority for authorities trying to contain damage to the plant and stave off a possible meltdown. Its fuel includes plutonium mixed with the uranium in its fuel rods, which experts say could cause more harm than regular uranium fuels in the event of a meltdown.

In the No. 4 reactor, power was connected to the control board; because the reactor has no fuel rods, the focus was on continuing spraying rods in the spent-fuel pool, he said.

Power has also been connected to the No. 5 and No. 6 reactors, he said.

Officials say some radiation has been released from the crippled plant since the quake and tsunami. And with the nuclear plant's six reactors in various states of disrepair, concerns have mounted over a potentially larger release of radioactive material from the facility, located about 240 kilometers (150 miles) north of Tokyo.

Restoration of power may not solve the cooling problems. TEPCO said Monday the quake and tsunami had damaged pumps and other gear at units No. 1 through No. 4. The company said spare parts were being brought in to make the repairs.

The coolant pools contain used fuel rods that are radioactive and generate heat. Authorities have been working to keep the pools full to prevent the rods from being exposed and releasing radiation.

About 660 workers were at the site Tuesday, TEPCO said. About 330 of those were employees of the power company.

Several countries, including the United States, have urged citizens living within 80 kilometers (50 miles) of the plant to evacuate or stay indoors.

CNN's Matt Smith, Larry Shaughnessy and Whitney Hurst contributed to this report.

@highlight

NEW: Eating contaminated food "is not going to cause any health problems" long term

@highlight

EPA finds levels in the United States "millions of times below levels of concern"

@highlight

"It has settled down a lot," says a worker

@highlight

Health Ministry cites 11 types of vegetables as exceeding legal limits