(CNN) -- New York Gov. Andrew Cuomo went into hiding last week, canceling appearances and perhaps hoping that a blast of sharply negative press coverage -- triggered by a hard-hitting front-page New York Times story -- will somehow fade away.

That was wishful thinking: The bad press isn't going to vanish anytime soon.

Cuomo faces a crater-sized pothole in the road between the governor's office at the state capital in Albany and the much more important, oval-shaped one in Washington that he dreams of someday occupying. And he has nobody to blame but himself.

The Times published a trove of e-mails and interviews that show top Cuomo aides actively interfered with a high-level anti-corruption investigative panel -- in ways that benefited big-money donors to Cuomo -- even after Cuomo personally and repeatedly vowed the commission would be independent.

When the anti-corruption commission issued a subpoena to a firm that prints and promotes campaign items, the governor's top aide, Larry Schwartz, ordered the commission to drop the inquiry. "Pull it back," Schwartz told commission staff, according to the Times.

Other supporters of Cuomo got similar protected treatment -- and Cuomo ended up abruptly disbanding the panel before its work was completed or a final report issued.

After five days of silence, Cuomo announced -- at 11 p.m. on a Sunday -- that he would take questions Monday in Buffalo, far from the New York City media capital. In the course of answering reporters, Cuomo changed his story once again, claiming the commission had "total independence," a direct about-face from his office's detailed 13-page claim that the investigation was always under full control of the governor's office.

That might seem like an obscure local matter, but New York -- including New York City, the media capital -- has been through a decade of nearly constant official corruption that shows no signs of slowing. In the last 10 years, more than 30 state officials have been indicted, convicted, censured or otherwise accused of financial or personal improprieties.

One former governor, Eliot Spitzer, made national headlines by resigning after acknowledging hiring prostitutes, and his successor, David Paterson, was hit with a $62,000 fine for taking free tickets to a baseball game and lying about it.

An ex-state comptroller, Alan Hevesi, recently completed 20 months in prison for taking $1 million in gifts from a financial operator seeking business from the state's pension fund. And a depressing parade of state legislators have marched into prison year after year: They are a United Nations of chicanery: Republicans, Democrats, Irish, Italian, Jewish, black, Latino and Asian.

One miscreant, former Assemblyman Brian McLaughlin (serving a 10-year sentence) stole from a local Little League team, among other organizations. Another thief, former Assemblyman Anthony Seminerio, got a dose of rough justice when he died inside the walls of a federal prison a few months into a six-year sentence for fraud. Before trying his hand at politics Seminerio had worked as a prison guard.

Those highlights barely scratch the surface of a corruption problem that New Yorkers have stoically come to accept as the new normal. A recent poll finds that an astounding two-thirds of New Yorkers believe that state politicians "do what's best for them and their political friends and it never surprises me when another one gets indicted."

But Cuomo was supposed to be a cure for the culture of corruption; he ran for governor with a vow to clean up Albany. And after years of failing to persaude the legislature to implement anti-corruption measures like meaningful contribution limits and a requirement to have legislators disclose all sources of outside income, Cuomo took the major step of creating a 25-member blue-ribbon panel to root out wrongdoing, called the Moreland Commission, that was led by two district attorneys.

Cuomo repeatedly promised the commission would be independent, and that it could investigate anyone -- including the governor himself -- in service to the goal of uncovering and rooting out official corruption.

But Cuomo broke his promise: As the Times story details, Cuomo's aides frequently blocked action by the commission in a way that spared the governor's allies and donors any public embarrassment. And despite a preliminary report indicating deep-seated problems in detecting or stopping corruption, Cuomo dissolved the panel after nine months without so much as thanking members for their service or requesting a final report.

The panel had served its purpose, said Cuomo, by pressuring the legislature to pass a watered-down version of ethics reform that good-government groups ridiculed as ineffective.

In response to the Times story, Cuomo's aides prepared a 13-page masterpiece of doubletalk and hokum, arguing that the Moreland Commission could be disbanded at any time at the whim of the governor. That might be true in a narrow legal sense, but the governor is now being excoriated for falsely telling the public he had formed an independent panel.

4 reasons Christie keeps moving forward

"The governor is a liar and almost anything he promises will turn out to be false, " is how longtime columnist Fred Dicker of the New York Post bluntly put it. The Times was only slightly less direct, noting that "It is up to the voters to decide whether to go on endorsing business as usual. ... New Yorkers will have to decide if their representatives are politicians they can trust, including Mr. Cuomo."

The worst skewering might have come from Jon Stewart of "The Daily Show" on the Comedy Central channel, who ridiculed Cuomo mercilessly and dismissed the governor's tortured explanation for dissolving the Moreland Commission as "effing ridiculous."

A much less funny critique has been launched by U.S. Attorney Preet Bharara, who has vowed to pick up where Cuomo's commission left off and continue searching for corruption in Albany. Along the way, Bharara is expected to investigate whether meddling by Cuomo's staff broke any laws.

No wonder Cuomo's been ducking the press. But he can't keep it up forever. People have a right to know when powerful officials switch their tune in an election year.

That goes double for early states in the presidential race, like Iowa, New Hampshire and South Carolina.

It may be too early to speculate about whether Cuomo intends to run for president, but it's safe to say that deep-sixing an anti-corruption panel looks like politics as usual, exactly what voters are telling pollsters they won't tolerate.

Cuomo should take a page from his neighbor, Republican Gov. Chris Christie of New Jersey, who has been far more adept at handling the more serious "Bridgegate" scandal, in which thousands of commuters were subjected to paralyzing traffic jams for days on end, for what appears to be the pettiest of political reasons.

Unlike Cuomo's duck-and-cover strategy, Christie summarily sacked several close advisers, held a marathon news conference at which he answered dozens of questions, and hired a law firm to investigate his own conduct (an inquiry that, not surprisingly, cleared Christie).

The New Jersey governor isn't out of the woods by any means, but he continues to be a sought-after speaker on the GOP circuit and is still considered a contender for the 2016 presidential nomination. That's more than anybody can say for Andrew Cuomo these days.

@highlight

The Times found N.Y. Gov. Cuomo's aides interfered with anti-corruption panel

@highlight

Errol Louis: Cuomo ran on anti-corruption platform, but created this scandal himself

@highlight

Louis: He has been ducking the press, but he will have to address this head on

@highlight

Louis: N.J.'s Christie handled his Bridgegate scandal with press conference, firings, probe