(CNN) -- If you want a place to see the majestic sweep of the Milky Way -- or even any star at night -- then put Hong Kong at the bottom of your must-visit list.

The local urban night sky is as much as 1,000 times brighter than international norms making it the most light polluted city in the world, according to a study by the faculty of science at the University of Hong Kong.

Much more than the romantic flicker of neon through a bedroom window, Hong Kong residents now have to contend with shopping precincts that are lit up like football stadiums and golf driving ranges that rise like daybreak on the horizon.

Study leader Jason Pun Chun-shing said the group could find no other place on the planet that was as light polluted as Hong Kong.

"Hong Kong is an extremely densely populated place which is why the city has such a severe problem," he told CNN. However, he said unregulated lighting on buildings and the Hong Kong government's obsession with providing public safety had made the city world's biggest light trap.

"In Hong Kong, the government tends to play things on the safe side," he said. "Certainly, I'm all for safety -- these are extremely important issues -- on the other hand, when you go near some public places, city parks for instance, they are lit up like the daytime in the evening.

"I think some of it is simply overdoing it," Pun said. He said of particular concern was spotlighting that was directed at the sky to create a dramatic effect.

Unlike other major world cities -- among them Sydney and London -- Hong Kong has no laws controlling urban lighting.

The study found that even rural areas of Hong Kong, including the nearby island of Lantau and the city's Wetland Park to the north -- a world famous staging post for migratory birds -- were also being affected by man made lighting. The Wetland Park was on average 100 times brighter than the standard, the study found.

The international standard for night skies is set by the International Astronomical Union and refers to a night sky unaffected by man made lighting.

Ironically, Hong Kong's most light polluted place was the Hong Kong Space Museum at Tsim Sha Tsui which was more than 1,000 times brighter than international norms due to the large number of billboards and floodlights nearby.

Developed by physicists at the University of Hong Kong, the study -- Hong Kong Night Sky Brightness Monitoring Network (NSN) -- took more than 5 million night sky brightness measurements over a period of nearly three years. The study team said it now has the largest database on night sky brightness in the world.

Even measurements at Hong Kong's Astropark observatory, located deep in Sai Kung Country Park, showed problems of light pollution.

"Even though the Astropark was the darkest station in our study, its night sky is still at least 20 times brighter than the international dark sky standard before 11pm," Pun said.

"Light pollution is swiftly destroying the few remaining star-gazing locations in Hong Kong."

While the study started looking at light pollution from an astronomer's perspective, ecologists also joined the project to gauge the impact of light pollution on wildlife.

"There have been many studies showing definitively that wasteful light has a big ecological impact, in particular for nocturnal animals that depend on the amount of light to regulate their lives. It's part of the reason why we set up a station near the Wetland Park because it's such an ecologically important area," Pun said.

Nevertheless, for Chan Yuk Lung who runs the astronomy club at Queen's College -- a senior secondary school whose rooftop observatory in Hong Kong's Causeway Bay is in one of the brightest areas of the city -- the problem of light pollution is overstated.

"The sky is bright, no doubt, but the brightness is caused by the particles in the air not directly by the surrounding light," Chan said.

"We have very polluted air in Hong Kong and we have a lot of floating particles in the air and these floating particles reflect light back into our eyes -- this is why we feel the sky is so bright at night."

He said modern filters on the telescope can obviate the problems of light refracted by the particles.

"The major problem for us isn't city lights, it's clouds," he said, adding that Hong Kong has more than 200 cloudy nights a year.

@highlight

Hong Kong University study finds Hong Kong is the most light polluted city on Earth

@highlight

Two-year study finds parts of city to be 1,000 times above international standards

@highlight

Author says upward pointing lights and advertising hoarding add to light pollution

@highlight

Even remote parts of Hong Kong are as much as 100 times international norms