(CNN) -- Is your daughter a tomboy? Your son not especially into football? Does your daughter excel at math? Your son a skilled artist? Or does your daughter switch roles, relatively easily, from skinning her knees on a soccer field to worrying about what to wear to a party? Or does your son, like mine, come home sweaty and bruised from lacrosse practice only to sing gorgeously in the shower as a member of his high school a cappella group?

If your answers are yes -- and probably most parents recognize some elements of these traits in their children -- you can breathe a bit easier today. That is, at least, if you happen to live in Wood County, West Virginia.

That's because recently, under a legal challenge by the American Civil Liberties Union and its local affiliates, the Wood County Board of Education agreed to abandon for two school years its program of separating boys and girls into single-sex classes. The ACLU had filed a lawsuit on behalf of a mother and her daughters who claimed the sex segregation was a form of sex discrimination against girls.

This little-noted legal settlement gives all of us -- parents, teachers, administrators, and kids themselves -- something to think about: Are single-sex classes really an effective way to educate our children?

Historically, of course, single-sex schools -- especially private schools and colleges -- were the norm. But since the dawn of the 20th century, both educators and parents have seen them as historic anachronisms, especially for boys. Single-sex schools for girls may have challenged stereotypes, but single-sex schools for boys reproduced them, fostering what David Riesman and Christopher Jencks, in their monumental midcentury study, "The Academic Revolution," called "male arrogance."

Today, single-sex schools may provide some benefits, though these tend to be benefits that accompany the economic privilege of the families that can afford them. (That is, single sex private schools tend to also be schools for the elite.) But single-sex classes, in otherwise coeducational public schools, are entirely misguided.

In recent years, single-sex classes in public schools have become increasingly popular as a low-cost remedy for two issues that plague our country's public school system: the efforts to encourage girls' ambitions in traditionally "masculine" arenas such as science, technology, engineering and math, and to address the "boy crisis" in schools, the chronic underachievement of boys, especially in traditionally "feminine" subjects such as English.

It's a popular theory. After Title IX regulations changed in 2006, more than 1,000 public schools segregated at least some of their classes by sex, a 2010 Feminist Majority report said. The National Association for Single Sex Public Education states a lower number â€” it says 500 U.S. public schools "offered single-sex educational opportunities" for the 2011-12 school year.

Regardless, the theory is wrong. In fact, single-sex classes might do more harm than good.

To be sure, there is some anecdotal evidence that some students prefer single-sex classes (though they tend not to "prefer" to take calculus and we still insist they do). And especially in inner-city communities, single-sex "academies" have gained popularity because of their brilliant combination of rigid discipline, uniforms and powerful sense of community and school spirit. But, according to Pedro Noguera, an education expert, there is no research that shows the "single-sex" part of the equation has any independent effect on student performance.

Instead, evidence points decidedly in the other direction.

Single-sex classes reinforce harmful stereotypes about boys and girls. A 2011 article in the journal Science concluded that "sex-segregated education is deeply misguided, and often justified by weak, cherry-picked, or misconstrued scientific claims rather than by valid scientific evidence. There is no well-designed research showing that single-sex education improves students' academic performance, but there is evidence that sex segregation increases gender stereotyping and legitimizes institutional sexism." The article's authors, all researchers, were also members of the nonprofit American Council for CoEducational Schooling.

These efforts are often based on the flawed notions of a few educational consultants, such as Dr. Leonard Sax. He's the founder of the National Association for Single Sex Public Education, which is now more innocuously titled the National Association for Choice in Education as if to obscure its actual mission. Under these theories, school districts have experimented with different curricula, seating arrangements, pedagogical styles and even room temperature, 72 degrees for girls and 68 degrees for boys.

According to a brief filed by the ACLU in 2010, boys in one Louisiana school read "Where the Red Fern Grows" while girls read "The Witch of Blackbird Pond" because "boys like 'hunting' and 'dogs,' but girls prefer 'love stories.' "

"Girls tend to look on the teacher as an ally," the association's website explains. "Given a little encouragement, they will welcome the teacher's help. A girl-friendly classroom is a safe, comfortable, welcoming place. Forget hard plastic chairs: put in a sofa and some comfortable beanbags."

In the case of Van Devender Middle School, the school in Wood County, West Virginia, the ACLU said the principal defended the layout of the boys' class -- students seated side-by-side, bright lighting because "when they look at each other in the eye, it becomes more of a confrontational type of thing." Girls had dimmer mood lighting, and they would, "sit around tables, where they can make eye contact, where they can make relationships, and that sort of thing."

The ACLU said the mother who challenged the single-sex class arrangement was furious that one of her daughters was constantly told to sit still -- despite the fact that she had attention deficit disorder and the boys in the adjacent classroom had opportunities galore to move around. Another girl with poor vision struggled to read in the dimmer light. A third was prohibited from taking notes during a presentation because her teacher said that girls learn better through auditory, not visual, input.

I assume that most of the parents of girls find such stereotypes deeply insulting. But I'd hope that parents of boys find them equally insulting -- that boys are only capable of learning in a Spartan setting, more like boot camp than school. What's the recommendations for boys -- that classes be experienced as unsafe, that we seat them in uncomfortable chairs, bark at them and make them read "If" and "Invictus?"

We know that boys and girls are as different from each other as they are from every other child.

Parents with larger families often see this better than parents who have one boy and one girl and observe categorical differences between the two, assuming that such differences are somehow biologically hard-wired. Good social science is different from good parenting, and requires a sample size greater than two.

If you have, say, six kids, you'll describe one or two of your boys as "more quiet, a bit shyer" than the others, or a girl as "the tomboy" who "loves to play sports." Imagine what would happen to those "nonconformists" in a single sex class that is entirely oriented to the rough and tumble boys or the quiet girly-girls.

Fortunately, the tide is turning.

As the evidence mounts that single-sex classrooms confuse the norm with the normative, teaching to stereotypes rather than children, parents are challenging every effort as both discriminatory and harmful to their children. In the past year, the number of single-sex options in public schools dropped for the first time in more than a decade. Several schools -- including some in Boston; Pittsburgh; Madison, Wisconsin; and Durham, North Carolina -- have dropped existing or planned single-sex classes after ACLU involvement.

Our nation's schools serve us best when they teach our children as individuals, with remarkably diverse personalities and learning styles. All our children -- boys and girls -- deserve no less.

The opinions expressed in this commentary are solely those of Michael Kimmel.

@highlight

Michael Kimmel: Are single-sex classes an effective way to educate our children?

@highlight

Kimmel: No, single-sex classes in public schools might do more harm than good

@highlight

He says single-sex classes reinforce gender stereotypes about boys and girls

@highlight

Kimmel: Some would also argue that sex segregation is a form of sex discrimination