ATLANTA, Georgia (CNN) -- Last weekend's 143 million-pound beef recall -- the largest in U.S. history -- was initiated not simply because cattle that couldn't walk made it into the U.S. food supply, but because they weren't reinspected after becoming immobile.

Since 2004, the U.S. Department of Agriculture has required that cattle be able to walk to slaughter after an inspection by a USDA veterinarian -- largely as a precaution against bovine spongiform encephalopathy, or mad cow disease. If the animal goes down after a veterinarian's pre-death inspection, which consists of observing the animals "at rest and in motion," veterinarians must reinspect the animal before it can enter the food supply, according to a USDA spokesman.

This rule was put in place when the first cow with mad cow disease was found in Washington state at the end of 2003.

The symptoms of mad cow disease aren't always the obvious stumbling or odd posture seen in video of mad cows from England over a decade ago. The USDA says they also include changes in temperament, like nervousness or aggression, and decreased milk production.

Cattle that can't walk to slaughter on their own are deemed "downer cows" because they may be sick. U.S. Agriculture Secretary Ed Schafer said Sunday in a statement that the recall was prompted "because the cattle did not receive complete and proper inspection" and were determined to be "unfit for human food."

Only rarely does a cow pass pre-slaughter inspection, somehow become unable to walk, and then get re-examined by a veterinarian and pass for slaughter, according to Dr. Kenneth Petersen of the USDA. He says a likely explanation for such situations is an animal falling and injuring itself to the point where it can't walk. The animal could break a leg because "it stepped onto a broken concrete floor or runs into a fence post," he suggested.

That "wouldn't be an illness," added Peterson, the USDA's executive associate for regulatory operations, office of field operations for the Food Safety and Inspection Service.

Last year, the USDA decided to make permanent an exception to the "no downer cattle should enter the food-supply rule" by allowing a downed cow to go to slaughter if it had already passed pre-slaughter inspection and then passed another inspection after it lost its ability to walk. "We proposed this to the public, got the comments, and this led to the final decision that the animals be evaluated on a case-by-case basis and could pass for slaughter," Petersen tells CNN.

However, some strongly disagree with this decision, including Dr. Linda Detwiler, a former USDA veterinarian who trained other veterinarians to detect mad cow disease. She says the USDA should not make any exceptions to the downer cow rule.

In making her case, she submitted several public comments that said that in the two cases of bovine spongiform encephalopathy reported by the USDA, neither was set aside as a BSE suspect. "The Washington State case [in 2003] was passed for human consumption because she was determined to have a calving injury," Detwiler said. A Canadian cow, also in 2003, was condemned because it had pneumonia. BSE was discovered in the cow only after it was rendered and its meat and bone meal distributed.

Detwiler expressed concern about the USDA's chances of finding the disease before slaughter. Based on a Harvard risk assessment, agency inspectors expect to catch 95 percent of BSE cases in cattle that can walk, and 85 percent in cattle that can't. But in the United Kingdom, where the overwhelming number of BSE cases have been seen, veterinarians say they've been able to detect only half of BSE cases in pre-slaughter inspections.

Petersen insists that few animals go down after pre-slaughter examination. He says, "My veterinarian makes that determination" if a downer animal can go on to slaughter -- "they are under no pressure" to let the animals pass inspection because "the vets aren't interested in the plant's disposition."

But Detwiler says it's not possible to see the underlying neurological illnesses that could lead cattle to stumble, fall and break a leg. "If I know the animal's history, then I can probably tell you what it went down with," she says. "But if I see it for the first time, [as the USDA inspectors probably would], when it's down ... you don't know the underlying cause."

So far, 200 people worldwide have become infected with mad cow disease from eating beef from an infected cow. It can take many years for symptoms to appear. In the U.S., the first of three documented cases of variant Creutzfeldt-Jakob disease, the human form of mad cow disease, was a young woman named Charlene Singh. She got sick 13 years after living in England, where she probably consumed tainted beef at the height of the mad cow scare.

The California plant at the center of the current controversy, Westland/Hallmark, is now shut down, and the San Bernardino district attorney has filed charges against two employees. One, Daniel Navarro, was taken into custody and has posted bail. The other, Luis Sanchez, remains at large.

The plant can no longer operate because the USDA withdrew its inspectors after the Humane Society of the United States provided video of animal abuse at the plant and the USDA learned that some animals, so-called "downer cows," were slaughtered without reinspection. Without USDA inspectors on site, the plant is not allowed to operate.

The USDA says that the food supply is safe and that only two cows in the U.S. have been found to have BSE.

Officials credit the low number to Food Safety and Inspection Service regulations prohibiting downer cattle from entering the food supply.

Of the 143 million pounds of recalled beef produced by the Westland/Hallmark Meat Packing Company, 37 million pounds were provided to the federal food and nutrition programs. Consumers wondering whether they consumed some of the meat probably don't know because the USDA doesn't release the names of retailers who sold recalled meat, something the nonprofit Center for Science in the Public Interest has been pushing for since the first mad cow scare in 2003.

The USDA tells CNN that changing this rule is a priority for Dr. Richard Raymond, undersecretary for food safety, and "we expect that the rule will be published and implemented this year." E-mail to a friend

Miriam Falco is a managing editor of CNN Medical News.

@highlight

USDA: Cattle must be able to walk to slaughter; reinspection required for "downers"

@highlight

Rule was instituted to protect food supply from threat of mad cow disease

@highlight

Critics say no downer cattle should be allowed into food supply