Going Global showcases entrepreneurs taking their businesses around the world, tackling issues like business strategy, marketing and international logistics.

(Financial Times) -- Can chess be transformed into a money-spinning global spectator sport? It is a question that will be much on Andrew Paulson's mind, as he settles down to watch the opening ceremony of the game's latest world championship match in Chennai, southern India, this Thursday.

An imposing, shaven-headed American media entrepreneur with an intellectual air, Mr Paulson last year paid Fide, the world chess federation, $500,000 for exclusive global rights to commercialize the sport over the next decade.

At one level he seems an unlikely impresario, not least because he cheerfully admits to playing barely any chess himself. Yet he has a publicist's gift for the grandiose, describing the game as a "glorious contest of honor and beauty, of human greatness and magnificent theater" -- albeit one that is much in need of a marketing shakeup.

Mr Paulson plans to infuse chess with the same mix of lucrative sponsorship deals and general razzmatazz that helped the Indian Premier League to revolutionize international cricket.

If outwardly tedious sports such as snooker or golf can become mass-market spectacles, he reasons, why not a pastime that Fide says is enjoyed by roughly 600m each month?

The difficulties he faces are clear from the contest in Chennai, which many aficionados say ought to have the makings of a classic.

See also: How to recruit a diamond in the rough

On one side of the board is Viswanathan Anand, home town hero and five time world champion, whose place as India's most famous non-cricketing sportsman has helped chess to build a growing fan base in the country.

On the other is Magnus Carlsen, a telegenic Norwegian prodigy, whose floppy blonde hair and handsome features make him something of a sex symbol -- as well as the highest- ranked player in chess history.

And yet the match remains a hard sell for spectators. Chess contests are typically lengthy, draws are common, while the finer details of strategy are basically incomprehensible to all but a few experts.

A taste of Mr Paulson's plans to overcome such problems were on show at a tournament in London earlier this year, including a system called "ChessCasting" where the audience is guided by specially programed tablet computers.

Future tournaments could feature more outlandish ideas, such as biometric bracelets tracking player's heart rates and perspiration levels -- giving spectators an instant sense of the stresses faced at the board.

"We have tested a feature with cameras to track eye movement as well, so you can see where they look on the board in real-time," Mr Paulson says.

Despite his efforts, commercial progress has so far been slow.

The match in Chennai boasts just one sponsor, the host state of Tamil Nadu, which handed over Rs290m ($4.7m) to cover costs and prizes. The games will be broadcast live, but only on India's stodgy government-backed television channel.

Still, Mr Paulson refuses to be downcast. "Chess tournaments have traditionally been organized by ex-chess players, who are reductionist, and have lost touch with the cinema, the drama of this game," he says. "But in time a revolution is possible. If you can persuade millions to watch golf, chess is going to be an easy sell."

See also: Finding an edge in a crowded market

An alien game

The complexities of chess are bad enough, but the game faces a further barrier in enticing big-money corporate sponsors: the curious reputation of Fide president Kirsan Ilyumzhinov, who has run the sport for nearly 20 years.

The former Russian politician turned businessman is best known for consorting with unsavory dictators -- something that otherwise enthusiastic financial backers might find a little off-putting.

A friend of former Iraqi leader Saddam Hussein, in 2011 the eccentric millionaire also visited Libya during its civil war, playing a chess match with Muammer Gaddafi. Last year he dropped in on Syria's Bashar al-Assad.

Mr Ilyumzhinov is also oddly fond of extraterrestrials: he once claimed to have been abducted by aliens, and has said that chess was first brought to earth by beings from another world.

"People like [Andrew] Paulson are right that chess is a massive untapped marketing opportunity," whispers one grandmaster. "But can you really expect serious international companies to sign up to a sport whose top guy thinks their game is a gift from distant planets?"

© The Financial Times Limited 2013

@highlight

Entrepreneur Andrew Paulson bought the rights from FIDE, the World Chess Federation

@highlight

He plans to develop and market the World Chess Championship over the next decade

@highlight

Paulson plans to infuse chess with a mix of lucrative sponsorship deals