(CNN) -- Memories of salvaging and stealing to avoid going hungry are part of the legacy of the Great Depression. Some iReporters say they can't help but look at the current economy and feel the past holds lessons for the present.

Pam Van Hylckama Vlieg says her great grandfather tried to steal chickens after being laid off from mining.

Donna LeBlanc of Waxia, Louisiana, says she carries no credit to this day as a result of the frugality and self-reliance instilled in her by her family. Her husband keeps the couple's credit card and maintains a zero balance.

The Great Depression meant scary times for many households as a period of economic downturn spread throughout the world. Historians trace its start to the "Black Tuesday" stock crash on October 29, 1929, and argue that the resulting global desperation set the stage for World War II.

LeBlanc said her grandparents were fortunate that they didn't have investments and could grow -- or catch -- their own food during the Depression years.

Her grandfather Lester was a "Cajun cowboy" often seen wearing a cowboy hat, and her grandmother Ida was a resourceful woman who spent much of the 1930s working as a store clerk. LeBlanc, always told never to keep credit card debt, heard frightful stories from Ida. iReport.com: See a photo of the happy couple together after all these years

"She remembered vividly the barrels of flour, the bolts of cloth and the hunger in the faces of people as they begged for store credit," LeBlanc said. "The store must have been at least marginally successful, because my grandmother was able to purchase, a piece at a time, a complete six-person setting of Gorham Chantilly silverware for her trousseau, linens and even a Lane cedar chest to house her treasures."

The couple would catch wild hogs, feed them corn for a year and eat them once the wild taste was out of the scavenging animals. They also took advantage of available squirrel meat, a common food in the South at that time.

"It was a uniquely disgusting thing ... to see my grandfather take a stewed, skinned squirrel's head, smack the skull's dome with a heavy silver tablespoon, and dine on the brains," LeBlanc said.

Years after the Depression, LeBlanc's grandparents were well off once again. Ida became a packrat and couldn't help saving what she could. When the family opened up the old cedar chest after she died, they found a decades-old treasure trove of sewing materials and other keepsakes. iReport.com: "My dad used to cry when he spoke of that Great Depression"

The Great Depression turned many Americans into packrats who couldn't bear to part with anything of potential value. They couldn't always afford to buy what they needed.

Pam van Hylckama Vlieg of Williamsburg, Virginia, says her great grandfather, Glen Surber, resorted to stealing food at times because he had hit rock-bottom.

Surber left the family behind in Saltville, Virginia, so he could head out to West Virginia's coal mines. After he got laid off, he found himself trying to steal chickens from a nearby farmer to feed his hungry family. He hid behind a tree to wait for nightfall, but his plan was stymied when he found another person lurking in the shadows.

"Both men took off running and then they realized they each thought the other was the farmer, but they were both there to steal a chicken," van Hylckama Vlieg said. "Needless to say, that was another night of water bread." iReport.com: Can you imagine having to steal to eat?

Digging into her memories, van Hylckama Vlieg says her great grandfather eventually found a work program after the New Deal and was able to rebuild his life.

She is confident we haven't hit another Depression and that we've learned enough lessons from the past to avoid letting things get as bad as they were before.

"Poppy always said the world turns and everything that has happened would happen again. I am sure if he were still with us today he would be warning us to start a garden and buy some chickens."

Saving is a habitual behavior for those who have lived through the Great Depression, says Anjanette Sanchez of Globe, Arizona. Her grandmother, Vera Vasquez, had a difficult time with the Great Depression and seemed to be scarred by it long after.

"She spoke of the time with great disgust in her voice as if it was the most awful time of her life," Sanchez said. "She mostly spoke of being hungry and having to wear old boots that didn't fit." iReport.com: Read about those times when nothing could be wasted

Vasquez continued to save her things and always kept her freezer packed with food -- like frozen cactus to eat with her scrambled eggs -- because she'd lived through harsh times. There was never room for ice cubes.

"I guess to her, food was more valuable than ice," Sanchez said. "Her motto at the table was to eat as much as you want, but not to waste the food. Take all you want, but eat all you take."

Sanchez now passes on the same ideas to her children and reminds them not to be wasteful. iReport.com: Do you have a story about the Great Depression? Share it with us

Other iReporters had plenty to say, and shared their stories about the lessons they have learned and applied from the Great Depression:

Kimberly Kolaski of Richmond, Virginia, says her family's claim to fame is her great granduncle Paul Satko's remarkable attempt to travel to Alaska in a wooden ark to find land and a better life. He spent a couple of weeks making the treacherous trip on board the boat, termed the Ark of Juneau.

"He was on a mission and he was going to do it no matter what," Kolaski says. She's heard numerous stories about the hardships Satko endured, including being stopped while driving his unusual payload to Seattle, Washington, where the ark was to be launched.

The story is inspirational for the family and provides a sobering lesson about economic security for Kolaski. iReport.com: Find out more about the ark and Satko's travels

"I've learned to put my money away and don't touch it," she says.

Sheila Elrod of Atlanta, Georgia, says many secrets to success have been passed along through the years in her family.

"My grandfather, born in 1898, was an established small businessman by 1929, owning and managing a gas station and grill patronized by the mill workers. As his children and grandchildren grew into adulthood, he reminded us of some guiding principles that he learned during the depression."

Elrod says her grandmother worked inside the nearby mill because people of the time believed that one must "work hard, regardless of your status."

"Oddly enough, she and her sisters were ladies that were taught all the graces of being ladies," Elrod said. "However, here's an example that even ladies didn't shy away from hard work during that time. iReport.com: See a family photo and the mill where Elrod's grandmother worked

Elrod said her grandfather had to be careful to whom he gave credit and learned many smart business secrets along the way. He passed them along to Elrod:

Richard Holland of Phoenix, Arizona, says his grandfather packed up a Ford Model T in search of a better life. The family ended up taking shelter in a barn while Orville Holland continued onward to find work.

"In those days, telephones were few and far between across the Great Plains, and months elapsed with no word or money from my grandfather. The coming winter was a serious concern as they considered the threat of living in the unheated barn." iReport.com: Read the story of what it's like to have a family living in a barn

"As fall approached, the story continues that my grandfather returned in a borrowed car. He had walked, hitchhiked and ridden the rails until he secured a job, saving every penny to finally rent a place for his family."

Gayla Uslu of Conyers, Georgia, says she never understood why her grandmother was so big on saving plastic bowls and other packaging until now.

"She grew up in the depression and also lived in a rural area, far from the soup and bread lines in the urban areas. It wasn't just a matter of getting food, it has to be stored and kept long-term as well." iReport.com: Read about the moneysaving tips Uslu has learned

Uslu finds much to learn from her grandmother and catches herself doing the same things that mystified her before.

"Today, I find myself really thinking twice before I throw uneaten food away. Leftovers aren't such a bad idea anymore, and I find myself holding on to a few of those plastic containers myself."

@highlight

Economic downturn brings back memories of poverty during Great Depression

@highlight

iReporters recall family stories of stealing food and eating wild hogs or squirrels

@highlight

Saving, self-reliance exhibited during that era useful now when borrowing is difficult

@highlight

iReport.com: What are the Great Depression's lessons? Share photos, video