(CNN) -- Carly and her mom are friends on Facebook, but that doesn't mean they share everything.

The 17-year-old from Marin County, California, has refined her Facebook privacy settings so that her mother can't see all the posts that fill her Timeline. Her father, meanwhile, never checks the social network.

"Right now, my mom can only see things that I post. She can't see anything I'm tagged in or anything that my friends say to me on my profile," said Carly, a high school senior who asked to be identified only by her first name. "She doesn't know that, though. I'm like, 80% sure that every other teenager has done that too."

With teen-agers and their parents (grandparents, even) increasingly active on social networks, both generations are joined in a delicate dance over privacy, safety and freedom of expression online.

Interviews with a handful of teens and adults suggest that some teens seek out corners of social media where they can communicate with their friends and peers away from the watchful eye, or embarrassing comments, of their parents.

Parents, meanwhile, are grappling with how to monitor their kids' online activity and keep them safe without being stifling or intrusive. And both are seeking ways to coexist peacefully on the few social networks they do share.

Reputation is everything

Today's teenagers are social media natives. They've grown up putting their personal information online and are comfortable sharing photos and videos of themselves, updating relationship statuses and checking into locations.

What they don't share their parents' level of concern about privacy and worries about companies or the government abusing their data. According to a recent study by the Pew Internet and American Life Project, only 9% of teens reported being "very concerned" about third parties accessing their data.

That doesn't mean they're reckless with their personal information, according to Pew research. Most teens exert careful control over what information is seen by whom, but more because they are acutely aware of how each nugget of posted information, even the number of likes it can get, shapes how they are perceived by peers.

Pew found that teens have developed a variety of ways to control their privacy. They are comfortable navigating Facebook's notoriously complicated privacy settings, and only 14% have public-facing Facebook profiles. They also edit what appears on their profile, deleting posts, comments and unwanted tags.

For teens looking to hide social-media activity from adults, elaborate privacy settings can sometimes be unnecessary. Fifty-eight percent of teens said they posted updates that were inside jokes or coded messages that only certain friends would understand.

Seeking out new online homes

Many teens are learning how to compartmentalize the different parts of their lives online. Facebook is the most popular site for both teens and parents, according to Pew, but teens reported "waning enthusiasm" in the site in Pew focus groups. They cited the colonization of the site by adults and excessive amounts of "drama."

Some teens use Facebook for public posts but message each other on lesser-known social platforms that their parents aren't aware of or haven't signed up for.

Many teens are also on Twitter, Instagram, Tumblr, Vine and Pinterest -- sites where they report feeling less social pressure and more freedom to express themselves. Twitter has seen rapid growth among young users, while Vine, with its looping six-second videos, is a creative form of messaging for a visually oriented generation.

Even straight-laced LinkedIn is courting teenagers. Earlier this month the social media site for professionals lowered its minimum age to 14 from 18 and announced special new pages for universities, hoping to edge into the college-selection process.

If teenagers really don't want something to be seen, they'll retreat to more private messaging tools such as Kik, WhatsApp or Snapchat, which can be used to send private messages to groups of friends. SnapChat is a mobile app which lets users share photos or videos that disappear after a few seconds. For that reason, it's gained a reputation for promoting the exchange of risquÃ© images.

"On Snapchat ... anything goes!" said Carly, the Bay Area teen. "Snapchat gets a little crazier because it's supposed to be 'erased' after 10 seconds or less. Not sure if that's actually true, but there's definitely a different sense of security with Snapchat than Facebook or Instagram."

Making peace with parents

Some kids and parents say they have worked out ways to share social networks harmoniously.

According to the recent Pew study, only 5% of teens reported setting up filters for their parents, and the majority (70%) are friends with their parents on Facebook.

Julie LaRue and her 16-year-old daughter are both mainly on Facebook, but the two have agreed on some boundaries.

"Her ground rule for me is to not comment on her friends' comments unless they are directed to me, and not to tag her in photos without her consent," said LaRue, who lives in Baldwinsville, New York.

LaRue also stays off of her daughter's other social networks, including Tumblr, Twitter and DeviantArt. In exchange, her daughter is heeding her warnings against sharing personal information online and has promised not to post any photos she wouldn't be comfortable showing her parents.

Along the same lines, Carly's mom will tag her daughter in photos and like her posts, but she doesn't comment much because she knows it's embarrassing to her daughter.

Carly, for her part, tries to keep it clean.

"I really try to not have any pictures of me from any parties or any captions/comments with swear words ... but it's hard to be 100% clean when your entire life is online," she said.

@highlight

Teens and their parents are grappling with how to navigate shared online spaces like Facebook

@highlight

Facebook is the most popular site among the 81% of teens and 72% of U.S. adults on social media

@highlight

Some teens seek out corners of social media where they can chat more privately with friends

@highlight

Parents are grappling with how to keep kids safe online without being intrusive