(CNN) -- Confusion, fear, frustration -- emotions are running high among Greece's people as they face the prospect of new elections next month and massive uncertainty over the country's economic future.

No party was able to form a coalition government after the vote earlier this month, and there is no guarantee that the elections set for June 17 will result in political stability either.

Greeks set election date amid fears

Meanwhile, the idea that Greece might leave the euro, the single currency used by 17 nations, is gaining traction despite the latest vows of support from European leaders, and the Greek people continue to suffer under painful austerity measures.

Alex Tsompanidis, a 20-year-old medical student from Athens, told CNN that the current crisis is affecting every aspect of life, even people's friendships.

"I can honestly say that the fragile political situation in Greece has scared almost everyone I know," he said.

"People have been considering withdrawing their bank deposits, if they haven't done this already. Most importantly, however, this recent political turmoil -- and the elections to follow -- has put a burden on everyone's interactions and everyday life," he said.

"People in Greece are now divided. I keep arguing with my friends concerning our voting preferences. Misinformation is rampant, and everyone is critical of everybody else."

Greek President Karolos Papoulias raised the specter of a run on banks Tuesday after the central bank reported that Greeks pulled about 800 million euros out of the banking system on Monday.

"There is, of course, no panic, but there is fear that could develop into panic," Papoulias said, describing what the central bank governor told him.

English language newspaper Athens News said its reporters had been out to banks in the past two days and seen no signs that a "rush" was on.

Journalist Thanasis Trompoukis, based in Athens, also rejected the idea that his fellow citizens are panicking, but he said many fear for the future.

Woman 'sacrificed for a future that never came'

Part of the problem is confusion over whether Greece really risks being kicked out of the euro zone if it does not abide by stringent European bailout terms because every politician gives a different answer, he said.

"We hear so many things and we don't know where the truth lies," Trompoukis said. "Now we wait for new elections and, for sure, people think that neither PASOK nor New Democracy, the two major parties, can help the country. And we are sure that the measures that Europe asks us to take will not solve the problems for Greece (either)."

Those austerity measures include the tax increases and painful cuts to wages, services and pensions that have angered many voters and sent them flocking to back parties such as the leftist Syriza coalition, rather than the more moderate PASOK and New Democracy.

The ensuing political deadlock is leading to fears that Greece will not have a government in place when it needs to make critical debt payments, which could in turn jeopardize its place in the euro zone.

Business leaders prepare for 'Grexit'

At the same time, its people ask how much hardship they can be expected to take.

"Here in Greece many people are really poor right now," said Trompoukis, pointing out that for many workers salaries have dropped by more than a third over the past year, but costs have not.

"They don't have the money to cover their basic needs, such as to buy food or pay for their utilities or their phones, and every day more and more (people) get in that situation. So if you don't have money to buy food, you're not worried about the European future of the country -- you are worried about your survival."

Greek media reports reflect the pain many people are feeling, as well as the sense that they are being unfairly asked to pay for a crisis not of their making.

"The country will once again test its endurance limits, as going back to the polls is unavoidable," the daily Kathimerini newspaper said Wednesday, as the date for a new election was announced.

I Avgi, a daily left-leaning newspaper published in Athens, suggested the international community is trying to shock the Greek people into electing a government that will stick to the bailout deal despite the painful austerity measures attached.

"The bailout forces and troika create hell for 30 days in order 'to correct' the vote of the people," are the opening words of one its main stories.

Turnout was much lower than usual in the May 6 election, said Marios Efthymiopoulos, president of the Thessaloniki-based think tank Strategy International, likely reflecting people's disillusionment with the system.

He says his country is in urgent need of a stable, credible government to restore confidence and let investors know that Greece is "open for business."

Greeks will consider themselves European whether they are in the euro zone or not, said Efthymiopoulos, a former visiting scholar at the School of Advanced International Studies at Johns Hopkins University.

But most people do not want Greece to leave the euro zone, despite the huge debt it must carry to stay in the club. "The problem is, how will you repay that debt? How will you emerge as a winner from that debt? That's not easy to do," Efthymiopoulos said.

He also warns that if Greece were to quit the euro and return to a national currency, such as the drachma, the move would result in years of turmoil and cost money the nation does not have.

Efthymiopoulos wants to see more young people in politics, bringing fresh ideas and a more outward-looking perspective. Reform of the country's laws and electoral system is also needed, he said, if long-term stability is to be achieved.

In the meantime, no one will listen to the interim prime minister sworn in Wednesday, he warns, and Greece will continue to flounder until a government is convincingly elected that can win the trust of its own people and build alliances abroad.

"We have no allies whatsoever," he said. "We are not credible and nobody trusts us -- and that is unfortunate because some of us are trustworthy, and now we need to prove that."

Melina Grigoriadou, whose job with an export firm means she often travels outside Greece, said she is frustrated by the unflattering views of her country she hears elsewhere.

"We are not a nation of lazy people or thieves or crooks," she said. "As in all the countries around the world, there are people who work hard (for low wages), or people who beg for a job to feed their family, or people that fear about the unknown future."

The fault lies with the corrupt system presided over by PASOK and New Democracy for decades, Grigoriadou said, not the ordinary people who are suffering as a result of politicians' self-interest.

"Greeks didn't vote thinking of their EU future, but it was a vote of anger against our political system, our politicians who behaved to us all these years like we are their 'clients,'" she said.

Looking ahead to the elections on June 17, the mother of two says Greeks need to keep their country set on a European course.

"I can't say that I am optimistic for what is going to happen, but I know that to the extent that I can, I will try to influence those of my friends who voted angrily the previous time now to give (it) a second thought," she said.

"I am a European; I want to continue being in the EU. I want the euro currency, and I will vote now in new elections."

Tsompanidis, studying medicine at the University of Athens, says many people struggle to know what to make of German Chancellor Angela Merkel's comments on Greece, or the speeches of their own politicians.

But, he said, "two things are certain: Nobody wants Greece to exit the euro, and everyone can see that the financial situation in Greece has deteriorated rapidly with no light at the end of the tunnel."

Tsompanidis said he has taken part in some of the many anti-austerity protests that have filled the capital's streets in recent years.

Many people's anger is fueled by the fact that the country's huge debt is a result of government overspending and corruption rather than private debt, he said. Meanwhile, those who do pay taxes, in a country where tax evasion is a big problem, have to shoulder even more of the burden.

Like many students of his generation, Tsompanidis anticipates that after graduation he will have to leave Greece -- where more than half of those under age 25 were unemployed as of January, according to European Commission figures -- to seek work elsewhere.

Journalist Trompoukis, 32, said four of his friends have left Greece to find work in recent months.

"If you asked me two years ago, I would never believe that so many young people would leave Greece and go to London or Germany or other European countries," he said. "It's very sad."

Tsompanidis believes that while the tough austerity measures imposed on his country may have kept the banks and lenders afloat, it has not help restore investor confidence in Greece, "instead plunging the country in internal bankruptcy and misery."

And he is also upset by the increasingly negative view of Greece that many overseas seem to hold.

"I am very distraught that the world believes Greeks are lazy and useless. I am very disappointed to watch everyone lose faith in Greece and mistake our inadequate political establishment with everyone else in this country," he said.

"We want our European 'partners' to help us restore growth and the prospects of the economy, but nobody is willing anymore, and that is a disheartening realization."

CNN's Michael Saba contributed to this report.

@highlight

NEW: "I am a European; I want to continue being in the EU. I want the euro," says a businesswoman

@highlight

Greece has suffered days of political turmoil since elections failed to produce a government

@highlight

"The fragile political situation has scared almost everyone I know," says a Greek student

@highlight

Greece is in urgent need of a stable, credible government, an analyst says