(CNN)When food giant Nestle USA (to which I am, alas, not related) last month announced plans to remove all artificial flavors and colors from its chocolate candies, it understandably made headlines. According to the company, by the end of 2015, none of a group of 250 chocolate products including Butterfinger and Baby Ruth will contain artificial flavors or colors such as Red #40 or Yellow #5.

With the expectation that these chemicals will also disappear from the company's other candies, it looks like the end of the use of artificial flavors and colors in anything but the cheapest food products. If that proves to be the case, it will be a welcome shift.

Nestle USA intends to advertise the reformulated products with a "No artificial flavors or colors" claim on package labels. If sales of the "no artificial" candies grow as expected, the company will surely extend the removal to all of its other colored and flavored food products. After all, Nestle's international parent company -- and the company's competitors -- will have to take notice and find ways to remove these chemicals from all their product lines.

Nestle USA has undeniable clout. It accounts for a quarter of the $100 billion in annual revenues of the more than century-old, privately held parent corporation, which itself is the largest food company in the world. This move surely will not only reverberate through the candy industry, but also affect every other major food company.

In substituting natural for artificial flavors and colors, Nestle USA is responding to what its customers are saying. The company's own research indicates that Americans prefer their beloved candy brands to be free of artificial flavors and colors, while other surveys find majorities of respondents saying that artificial chemical additives negatively influence their buying decisions.

7 chemicals in your food

Nestle is also responding to decades of complaints from consumer advocates about the potential health risks of these chemicals, especially the dyes. Studies in experimental animals have linked high doses of food dyes to health problems, among them organ damage, cancer, birth defects, and allergic reactions. In humans, studies link food dyes to hyperactivity and other behavioral problems in young children.

The credibility of these studies and their implications for human health remain hotly debated. In the 1970s, for example, Ben Feingold, a physician in California, suggested that food additives caused children to become hyperactive. Much of the evidence for the "Feingold hypothesis" rested on anecdotal reports by parents, whereas double-blind, controlled clinical trials produced contradictory results.

On the basis of current evidence, some artificial food dyes have been banned, while others remain in use despite suggestions that they too might be harmful.  But the makers and users of food dyes argue that the chemicals are safe at current levels of usage. As a result of all this, and in the absence of convincing evidence of their safety, the advocacy group Center for Science in the Public Interest has campaigned since the 1970s to remove food dyes and other chemicals from foods, and has continued to petition the Food and Drug Administration to ban them.

Kraft removing artificial dyes from some mac and cheese

The opposing views complicate the regulatory status of food dyes. But after one clinical trial reported that dyes induce hyperactivity in half the children studied, the British government asked companies to stop using most food colors; the European Union requires a warning notice on many foods made with them.

In the United States, the FDA does not permit artificial food dyes to be used unless the manufacturers can meet safety requirements. But the amounts of these substances in the country's food supply have greatly increased in recent years -- soft drinks, breakfast cereals, frozen desserts and even salad dressings all contain artificial coloring agents. True, the FDA considers a dye to be safe if there is a reasonable certainty that no harm will result from its intended use. But that standard is vague enough to cause concern.

Given the unresolved scientific questions, it is reasonable to ask why artificial colors have to be in foods at all. From the standpoint of manufacturers, such additives are essential for covering up and hiding unattractive colors in processed foods. To the public, red candy seems to taste better than the drab variety. And while natural colors exist, they are less stable or more expensive to produce. But for Nestle to have taken the action that it has, the company must have found substitutes it can live with. And appealing to consumers' preference for "natural" makes good business sense.

The truth is that whether artificial colors do or do not cause health problems in adults or children, they are there strictly for cosmetic purposes. For that reason alone, getting rid of them is a good idea.

@highlight

Nestle USA plans to remove all artificial flavors and colors from its chocolate candies

@highlight

Marion Nestle: Consumers pushing for less additives