(CNN) -- Mangled metal, puffs of smoke, chunks of concrete, blood and a crowd of people walking around dazed, shocked and crying. That was the scene on a Damascus street Friday after a car bomb exploded and killed several people. Some of the dead were reported to be children.

The blast seemed to mock the truce that the Syrian government and rebels agreed to abide by earlier this week. The truce, negotiated by the United Nations' special envoy to Syria, was supposed to last during Eid al-Adha, the four-day Muslim holiday that celebrates the end of the Hajj. A Syrian purportedly at the scene captured a video and posted it on YouTube.

CNN cannot verify that the footage is authentic, just like so many amateur videos shot during a war that foreign journalists have been blocked from covering.

Rebels said the blast went off near a playground.

This kind of violence isn't normal in a neighborhood such as Zouhr, a government-held stronghold. Zouhr has been generally quiet; there are still pockets in the capital city that have avoided chaos.

That explains why parents might believe that they could safely bring their kids to a playground to celebrate Eid. There's a mosque nearby, and it's customary to gather with family and pray to mark the holiday.

About 15 minutes after the blast, Syria security forces showed up and shot directly at someone filming the scene, a source who CNN has spoken with before inside Syria recounted. CNN is not naming her to protect her safety.

"The people were mad with grief, with rage," she said.

A small demonstration formed, as Syrians chanted against the Assad regime, she said.

They immediately blamed President Bashar al-Assad's forces for the bomb.

"The whole neighborhood came down to the street," she said.

"It is really outrageous. We are enraged! Kids! In a playground! The families were trying to take them out of the environment of death and blood for one day," she said. "For one day they were trying to make them forgot the bombs and the bullets that are surrounding us."

It's unclear who was behind the bombing.

Syrian state media blamed the blast on "terrorists," a line the government has used since the beginning of the movement against al-Assad began in March 2011. Officials have constantly argued that the government has a right to respond to "terrorist" attacks, including bombings, as well as "terrorists" trying to reinforce their positions.

In almost two years, more than 32,000 people have died in battles involving rebels and al-Assad's forces. There are also jihadist elements operating in Syria, CNN has reported.

A woman speaking for anti-government rebels blamed Syrian forces, and told CNN that most of the dead were children. Syrian state media reported that five people were killed and 32 wounded. Rebels said 10 were dead.

Because Syria has restricted the access of international journalists in the country, CNN can't confirm reports of violence.

Rebels said the blast occurred in a public square where families were celebrating Eid. Their spokeswoman was not at the scene but said she was receiving reports from those who were.

The car bomb was perhaps the worst of the reported violence, but there were other incidents. At least 103 people were killed around the nation Friday, according to opposition groups. Both sides accused the other of violating the cease-fire.

"We are, again, calling on both sides not just to talk the talk, but to walk the walk, and we have seen some violations on both sides," said U.S. State Department spokeswoman Victoria Nuland.

Earlier in the capital, snipers fired from buildings. Soldiers shot protesters elsewhere in the country.

Video on YouTube purportedly shows men walking down a street in Damascus carrying guns. Constant gunfire can be heard as well as a man repeatedly saying "Allahu Akbar," or God is great.

CNN is unable to authenticate the footage.

The idea of a cease-fire was met with skepticism immediately after it was floated on Wednesday. Diplomats, experts in the region and rebels predicted that the agreement would fail.

They said Wednesday and Thursday that the effort would just be a repeat of a cease-fire failure in April.

By sunrise Friday, thousands of people poured into the streets across Syria to protest against al-Assad.

Why region fears al-Assad's 'blackmail' in Beirut

Rebel groups reported these additional bouts of violence across the country:

At least three people were killed in tank and sniper fire in a Damascus suburb where government forces have been battling rebel forces on-and-off for control.

Fierce fighting broke out between government forces and the al Qaeda-linked al Nusra Front, which had said earlier it would not abide by the terms of the temporary truce.

The al Nusra fighters laid siege to a military encampment east of the city of Maaret al-Numan.

Government forces shelled a neighborhood in the flashpoint city of Homs where the opposition alleged six rockets fell, wounding two people and damaging a number of buildings. Video of the alleged destruction appeared on YouTube.

At least three people suffered gunshot wounds when Syrian forces fired shots in the air in an attempt to disperse protesters in the town of Inkhil in Dara province.

On the rebel side, a top Free Syrian Army general said Thursday his fighters had agreed to halt military operations if the Syrian government were to do so as well. But he said he doubted that the truce would hold.

Syria's rebel opposition is fractured, and Gen. Mustafa al-Sheikh said that some rebel groups have not agreed to halt operations.

The government, meanwhile, touted its several goodwill efforts Thursday leading to its announcement that it will stop fighting.

State-run TV aired footage of men walking out of a prison -- part of a government amnesty program, a commentator said.

The release came a week after rebel fighters told Al Jazeera news agency that they would agree to a proposed cease-fire only if the government were to release detainees, end a siege in the city of Homs and halt aerial attacks.

CNN's Chelsea J. Carter and Hamdi Alkhshali contributed to this report.

@highlight

A car bomb explodes in Damascus, killing children, rebels say

@highlight

Syrian army forces say they were attacked by rebels

@highlight

The army is responding by firing back, state TV reports

@highlight

The cease-fire is supposed to span the four-day Eid al-Adha holiday