WASHINGTON (CNN) -- The U.S. Supreme Court on Monday declined to hear an appeal from a female death row inmate who said fetal alcohol syndrome should have been considered by the state court that reviewed her sentence.

The U.S. Supreme Court has closely monitored Louisiana's capital punishment system in recent years.

The justices gave no reason for rejecting the appeal, which challenged the constitutionality of Louisiana's capital sentencing procedures and argued that Brandy Holmes' alleged developmental disabilities should disqualify her from execution.

Holmes, 29, is one of two women scheduled to be executed in Louisiana. She and a male co-defendant were convicted of murder in the New Year's Day 2003 death of Julian Brandon, a retired minister near Shreveport. Holmes is being held at the Louisiana Correctional Institute for Women at St. Gabriel.

Experts on fetal alcohol syndrome call it the nation's leading preventable cause of mental retardation. As many as 40,000 newborns in the United States are affected each year by their mother's alcohol use, according to an advocacy group. The syndrome can lead to brain damage, behavioral problems and intellectual disabilities.

Holmes' attorneys said she functions like a 10- to 12-year-old.

"Brandy has a hallmark case of FAS," said Tom Donaldson, president of the National Organization on Fetal Alcohol Syndrome, which supported the defendant in her high court appeal.

"Her mother testified that she drank throughout her pregnancy, and in fact named her daughter after her favorite drink. Brandy's capacity to appreciate the criminality of her actions or to conform to the law is very seriously impaired."

Donaldson and others argue the medical and legal system is unprepared to recognize, intervene and educate when presented with the majority of FAS-related cases, especially those involving younger defendants.

In a petition to the justices, Holmes' attorney, Charles Ogletree, argued the Louisiana Supreme Court did not "review the extensive mitigating circumstances that limited Ms. Holmes's moral culpability and compare them to the mitigating circumstances presented in similar cases. The [state] court also failed to consider that petitioner's co-defendant received a death sentence and that the prosecutor stated at the co-defendant's trial that he (and not the petitioner) was the more culpable party."

That co-defendant, Robert Coleman, remains on death row at the Louisiana State Penitentiary at Angola.

Ogletree is a noted Harvard Law School professor who taught President Obama when he was a law student.

The state in its reply brief noted the violent nature of the robbery-murder. The victim's wife also suffered gunshot wounds in the attack. She lived in a severely impaired state for years and passed away in October 2008.

Investigators said Holmes tried to use the victims' ATM card and destroyed evidence of the crime. Detectives said she even stole a videotape of her confession that was left unattended at the police station.

"Holmes destroyed this tape by sneaking it into the ladies' room and flushing the magnetic tape down the toilet, after substituting a blank tape in the stack of taped statements that had been left unsecured on a detective's desk," according the the state's brief.

Police also suspect she flushed jewelry she had been wearing, which they suggested may have been stolen from the Brandons.

The Supreme Court previously had banned execution of the mentally retarded, though the justices established no clear benchmark on IQ test results to guide criminal courts.

The justices also have closely monitored Louisiana's capital punishment system in recent years, criticizing in some cases the role of some prosecutors and the procedural guarantees required in such cases.

The justices last year ordered a new trial for an African-American capital defendant after finding problems with how prosecutors excluded blacks from an all-white jury. That same year, the high court blocked use of the death penalty for a New Orleans-area man convicted of child rape. Louisiana was one of the few states that had actively pushed execution for nonhomicide crimes.

Fifty-three women remain on death row around the country. Forty women have been executed in the past century -- 11 since 1976 when the Supreme Court restored capital punishment, according the Death Penalty Information Center.

The other woman on death row in Louisiana is Antoinette Frank, a former New Orleans policewoman convicted of three murders, including that of her former partner on the police force. Her scheduled execution last year was delayed indefinitely by appeal.

The high court also announced Monday that it will not hear appeals in the following cases:

@highlight

Defense argued alleged disabilities should disqualify Brandy Holmes from execution

@highlight

Justices cite no reason in rejecting appeal of Louisiana death row inmate

@highlight

Holmes and a co-defendant were convicted in the 2003 killing of a retired minister

@highlight

Holmes' attorneys says she functions like a 10- to 12-year-old