Hankering to see some happy feet? Antarctica is far from your only option.

From the windswept beaches of Tierra del Fuego at South America's tip to sunny Cape Town, South Africa, and Melbourne, Australia, penguin colonies exist in many strikingly beautiful destinations in the Southern Hemisphere.

There's no denying it: Penguins are among the most charismatic creatures. Their notorious curiosity, waddling gait and comical body language seldom fail to charm. But these flightless sea birds have evolved over 15 million years to become strong, nimble swimmers that often migrate long distances in pursuit of fish following seasonal ocean currents.

7 prime spots for wildlife viewing

Today, most of the 18 species of penguins are in decline because of climate change, habitat destruction, pollution and overfishing -- in fact, more than half are considered endangered. You can support their survival by visiting carefully managed colonies where tour operators respect penguin habitat and educate visitors about conservation efforts.

November through March -- when it's the warmest in the Southern Hemisphere -- is prime time for viewing many penguin species. During the warm season, they spend more time on shore to breed, nest and raise their young.

Check out these amazing penguin spots:

Tierra del Fuego (Argentina and Chile)

Ushuaia, Argentina, the southernmost city in the world, boasts several tour operators offering day cruises to view penguins and other marine life. But only one, PiraTour, gives visitors the chance to walk among the penguins.

PiraTour runs two six-hour tours daily from the port of Ushuaia. Tours are limited to 20 people, so be sure to make reservations well in advance. A 90-minute minivan ride takes visitors through Patagonian forests and along secluded pebbly coves before arriving at Estancia Harberton, a charming family-owned farm and marine center. From there, visitors transfer to a boat for a short ride to Isla Martillo, a research station that monitors the 3,000 pairs of Magellanic penguins and a small colony of gentoo penguins that nest here between September and April.

Visitors will spend up to an hour observing the very vocal Magellanic penguins, which bellow and strut along the beach by the hundreds. The tour guide will instruct you to maintain a safe distance from the birds, but be prepared for them to approach you as penguins can be extremely curious. After a few minutes on the beach, you'll be led up a bluff to see their nesting ground, where the birds often return to the same mate and same nest year after year.

Back at Estancia Harberton, you'll have time to grab a hot drink at the tea room or explore the farm's on-site marine research center. There is also a guest house and camp sites; contact Harberton directly if you want to extend your visit to this peaceful haven. Otherwise, Ushuaia offers a wide range of accommodation options, from backpacker hostels to luxury hotels perched on glacial mountainsides overlooking the city.

PiraTour, U.S. $95 for a six-hour tour (50% discount for children under 12), plus $13 entry fee to Estancia Harberton

Phillip Island, Australia

Since the 1920s, tourists have flocked to Phillip Island to witness the smallest penguin species, known as little penguins or fairy penguins, return to shore each evening to feed their young after a long day of fishing. Only 12 inches tall and weighing less than 3 pounds, the little penguin is found only in Australia and New Zealand.

For decades, the penguins on Phillip Island were largely unprotected from the throngs of sightseers, but today most visitors observe the evening penguin "parade" from elevated boardwalks and viewing platforms to minimize disturbances to the birds.

For those who want a more up-close-and-personal experience, a limited number of tickets are available each day for small group, ranger-guided tours where you can walk among penguins on a secluded beach. The ticket price helps support conservation work on the island, including habitat restoration and research focusing on how penguins are affected by climate change, development and invasive species.

Phillip Island is a 90-minute drive from Melbourne, but plan on spending at least a couple of days here to enjoy all its wildlife, including koalas, wallabies, elusive anteaters, seals and whales.

Phillip Island Nature Park, prices start at U.S. $23 for evening viewing from a platform, $46 for close-up viewing and $82.50 for a private, ranger-guided ecoadventure in a part of the penguin colony that's closed to the general public.

Cape Town, South Africa

The southern tip of Africa offers numerous opportunities to view the African penguin, previously known as the jackass penguin because of its distinctive donkey-like bray.

African penguins have declined by 80% in the past 50 years because of pollution, development, climate change and irresponsible tourism activities. The Boulders Beach colony, about 24 miles from Cape Town, was only established in 1983, but it's now an important habitat for the endangered bird.

As its name suggests, the beach is strewn with granite boulders, which create an impressive backdrop for photographing the penguins. Today, boardwalk viewing areas help protect the birds from excessive human contact, although you may encounter penguins while swimming and should take care not to approach them if possible.

A ride on the wild side in Tanzania

Boulders Beach is part of Table Mountain National Park, situated at the convergence of the Atlantic and Indian oceans on the Cape of Good Hope. Hiking, mountain biking, wind sailing and wildlife viewing are just a few of the activities here that offer impressive views of Cape Town and the surrounding countryside. The nearby village of Simon's Town, with its historic cottages and cobblestone streets, provides numerous accommodation and dining options.

Table Mountain National Park, visitors to the park pay a daily conservation fee of U.S. $5.30 per adult and $2.50 per child.

Otago Peninsula, New Zealand

Even in a country known for its dramatic scenery and amazing wildlife, the Otago Peninsula stands out. Located on New Zealand's South Island, the peninsula was born of volcanic eruptions that created steep mountains and rugged sea cliffs. It's a hot spot for marine wildlife viewing -- seals, sea lions, elephant seals and, of course, penguins. Here it's possible to see both the little penguin and the rare yellow-eyed penguin.

A number of tour operators on the peninsula are committed to environmental education and sustainable ecotourism. Nature Guides Otago offers naturalist-led tours as well as lodging that emphasize sustainability and support penguin habitat restoration and conservation.

Another option is Penguin Place, a conservation reserve on a private farm. Visitors begin the tour by learning about penguin conservation efforts before proceeding to a series of trenches and observation huts. From these vantage points, they are treated to up-close views of a yellow-eyed penguin colony while minimizing disturbances to the birds, which live in coastal forests and have suffered significant habitat loss from logging.

Nature Guides Otago, a sunrise tour of a yellow-eyed penguin colony, maximum six people, runs U.S. $75 per person.  Nature packages, which include two nights at a B&B cottage, sunrise penguin tour and a daylong tour of the Otago Peninsula, run $540 per person. Note that tour priority is given to those staying at the cottage.

Penguin Place, penguin tours run throughout the day. Price is U.S. $41 for adults and $10 for children. Budget accommodations are available at the Penguin Place Lodge for U.S. $22 adults, $8.50 children

Galapagos Islands, Ecuador

It comes as a surprise to most travelers that a trip to the Galapagos could include the chance to see penguins. But in fact, the islands are home to the only penguin that lives in a tropical climate. Unlike other species that migrate according to the season, endangered Galapagos penguins live here year-round, especially in the colder waters of the western islands such as Isla Isabela.

Almost any tour of the Galapagos includes the chance to see an incredible variety of wildlife, but some operators specifically offer penguin tours. More likely than not you'll be observing the birds from a boat, but if the tour includes snorkeling in an area frequented by penguins, there's a chance that you could end up swimming with the birds.

Southern Exploration, a member of the International Ecotourism Society, is one tour operator that offers the chance to see penguins at close range. However, since the Galapagos National Park Service restricts tourists to specific areas and may limit access depending on conditions, it's best to contact tour operators directly to confirm that you'll be able to see penguins on your trip. Talk through the options carefully with the booking agent to make sure your expectations will be met.

Southern Explorations, four to 15-day Galapagos cruising tours with an English-speaking guide, start at around U.S. $3,000 up to about $6,000, including the flight from Quito to the Galapagos. Ask to speak to a Galapagos expert and tell them you are interested in seeing penguins so they can find an appropriate tour during your travel dates. Avoid holiday travel unless you book a year or more in advance -- tours around Christmas and Easter fill up fast.

@highlight

November through March is prime season for penguin viewing

@highlight

From Argentina to Australia, penguin tours allow travelers to see them in the wild

@highlight

Responsible tours to see penguins support conservation