By 2030, the top cancer killers in the United States will be lung, pancreas and liver, according to a new report published Monday in the American Association for Cancer Research's journal.

Lung cancer is already the top killer overall, but pancreatic and liver cancer will surpass the cancers currently considered the second and third leading causes of death, researchers say. Right now, second most dangerous is breast cancer for women and prostate cancer for men; and third is colorectal cancer for both men and women.

Researchers looked at trends in cancer incidence and death rates between 2006 and 2010, and used that data -- combined with expected U.S. demographic changes -- to predict numbers for 2030.

Overall, the cancer-related death rate has been decreasing, researchers say, as a result of improved screening and treatment options. Yet while deaths from breast, prostate and colon cancers are projected to drop, deaths caused by liver, pancreatic, bladder and leukemia cancers are expected to increase.

In fact, liver and pancreatic cancers will surpass breast and prostate to become the second and third-leading causes of cancer-related deaths, the researchers say.

"We've been able to turn the tide in other cancers, with an investment in (research)," said lead author Lynn Matrisian, vice president of scientific and medical affairs at the Pancreatic Cancer Action Network, which funded the study. "We're hoping that with increased effort ... we will be able to impact and change those projections."

The rate of pancreatic cancer has been slowly increasing for the past 15 years, says Dr. Otis Brawley, chief medical officer of the American Cancer Society. Some of that rise can be attributed to the prevalence of obesity and diabetes.

"Many Americans are not aware that the combination of obesity, high-caloric intake and lack of physical activity is the second-leading cause of cancer in the U.S.," Brawley said. "It is linked to at least 12 types of cancer, of which these are two. This is an American problem ... the rise in pancreatic cancer is not as severe as in Europe where obesity is less of an issue."

Obesity may affect cancer patients' outcomes

Overall, the number of cancer cases is expected to increase over the next 16 years, due to the rapidly aging population. In 2010, the United States had about 1.5 million cases of cancer; in 2030, researchers expect that number to reach 2.1 million.

"We're living much longer in the United States, so the number of people 65 age and older will be much greater," Matrisian said. "And that's, of course, one of the biggest risk factors for cancer: Age."

Lung, breast, prostate and colorectal cancers are currently the most common in the United States. Known as the "big four," these cancers have the highest incidence rates and receive the most research funding from the National Cancer Institute.

This is unlikely to change by 2030, the researchers say, except for colorectal cancer, which is expected to be surpassed by thyroid, melanoma and uterine cancers in total number of cases.

"The decrease in colorectal cancer, falling from the top four incidence and top two in deaths, seems to be primarily the result of advances in colorectal cancer screening," the report authors write.

The dramatic increase in thyroid cases is not a new epidemic, they say, but simply an increase in the number of cases being diagnosed. And while thyroid cancer has a 98% five-year survival rate, only 6% of pancreatic cancer patients are alive five years after diagnosis.

The pancreas is difficult to scan with current imaging technologies, Matrisian says, because of its location in the body. And pancreatic tumors are often surrounded by dense tissue that render drugs useless. Surgery is the only treatment known to cure pancreatic cancer, but less than 20% of cases are operable, the report says.

"If we want to change the death rate for these diseases, it is necessary to increase the investment in understanding them and identifying early detection strategies," the report says.

@highlight

Liver, pancreatic cancers to surpass breast, prostate as leading causes of death

@highlight

Rate of pancreatic cancer has been increasing steadily, in part because of obesity

@highlight

Aging population will increase cancer incidence rates in the U.S. and abroad