(CNN) -- The idea of an amputee tinkling on piano keys with all the flair and grace of an able-handed person may seem like a futuristic fantasy.

But watch Johnny Matheney effortlessly arch and extend each finger on his bionic arm and you can't help but agree with him when he says: "The future is coming now."

Its makers describe Matheney's robotic limb as the most sophisticated of its kind in the world, recreating virtually every movement of a natural arm -- and all controlled by brain power.

"When they took my arm I never thought I would have an actual hand -- I saw the hooks and thought that was exactly what I would be getting," said Matheney, who lost his left arm to cancer in 2008.

"So once they introduced me to this, it was like something out of space come to Earth."

Explore the bionic body

Moving on up

Featuring 100 sensors, 26 joints, 17 motors and a tiny computer built into the palm of the robotic hand, the revolutionary Modular Prosthetic Limb (MPL) is the work of researchers at Johns Hopkins University in Maryland.

Weighing four kilograms -- much like a normal arm -- it can mimic almost all the same movements. "This is the most sophisticated arm in the world," said Michael McLoughlin, of the university's Applied Physics Laboratory.

"What we have done is, by order of magnitude, increase the ability to do very highly dexterous kinds of motions. So you can think about things like eventually playing the piano ... I think we'll get there someday."

The MPL is programmed to respond to electrical impulses in Matheney's residual limb -- he simply has to think about moving his old arm.

"You don't even really think about it," said Matheney. "You're extending the arm, talking and doing other things -- it just automatically does it."

Nerve Center

For former baker Matheney, the first step in the ground-breaking project was bringing to life the dead nerves at the end of his residual arm.

Matheney underwent targeted muscle reinnervation -- surgery that involves rewiring electrical signals in the stump. Only 50 people in the world have had the operation, which takes a couple of hours.

"We take all the electrical signals that are going down to the missing limb and reroute them into residual muscles that are still there," said Albert Chi, assistant professor of surgery, trauma and surgical critical care at the university.

"Now when Johnny has a natural thought about moving that missing limb, he contracts that muscle and we are able to capture those signals and translate them into messages for the prosthetic limb."

Within two weeks of surgery, Matheney began to feel his phantom limb for the first time in years. He practiced moving it for 20 minutes each day, training the nerves for his new bionic arm.

"The more you do it, the more the pathway is cleaned up and the cobwebs are out of it," he said.

"After the surgery I was constantly rubbing my stump to see what new feeling was coming in. I said 'Wow I can feel my pinky finger.' I kept on doing it, and it was like 'Oh right, I've got a pointer.'"

Symphony of movement

The ambitious bionic limb, seven years in the making, is incredibly lifelike in its movements, thanks to a complex symphony of muscle triggers. Other robotic arms have relied on direct signals, whereas the MPL picks up a chorus of muscle motions -- creating a more fluid movement.

"We are using a lot more electrode sites," explained biomedical engineer Courtney Moran. "That array of muscle contraction is more like a chord in music, so you are able to get more complexity of motion -- like you would get more complexity of sound."

Looking good

While many prosthetic limbs look lifelike, finding one that also moves naturally has proved more of a challenge.

There are now plans to cover the MPL in a skin-like substance, which could make it the most inconspicuous artificial arm in history.

"There is an elegance to it, and that is actually one of the most important things for the users of prosthetics," said McLoughlin. "The natural movement is almost more important than the appearance."

Indeed for Matheney, the bionic arm feels just as natural as the arm he lost -- to the point where "every time I have to turn it back in, it's like losing part of me all over again."

"I do a lot of handy work around the house, a lot of cooking," he says. "And to be able to hold bowls and grab spoons is absolutely amazing."

@highlight

'World's most sophisticated' bionic arm is controlled by the mind

@highlight

Modular prosthetic Limb includes computer in palm of hand

@highlight

Seven years in making, valued at tens of thousands of dollars

@highlight

Positive psychological benefits for amputees