(CNN) -- In the age of Amazon and e-books, common wisdom claims that brick-and-mortar bookstores are going the way of the dinosaurs. If a national chain such as Borders, which folded in 2011, couldn't succeed in this climate, what are the odds of an independent shop going the distance?

Surprisingly good, it turns out.

I've published three novels over the past three years, and each time I head out on tour, I discover amazing bookstores. While it's hard to beat the Internet for sheer efficiency, virtual book-buying can't satisfy the same itch for discovery that browsing in person can. Moreover, it's become easy to love e-books and local stores since Kobo started partnering with independents to make some 3 million titles available electronically.

The stores that are succeeding offer a mix of author visits, staff recommendations and community outreach that's impossible to replace. While there are incredible indies all over North America, these are my favorites:

BookPeople: Austin, Texas

They say everything is bigger in the Lone Star State, and BookPeople seems determined to make that point. This three-story shop has sat on a prime plot of downtown Austin real estate since 1970, and its marquee sign out front lists that day's special guests, which have included former presidents, rock stars and best-selling novelists. What makes BookPeople special is that it's just as welcoming to newly minted authors, too. While every department is fully stocked, crime novels get a lot of love here, especially since the 2012 launch of MysteryPeople, a store within the original store. Big as the store is, it's still a place where handwritten notes from staff line the shelves, personally recommending favorite reads.

6 incredible artist studio tours

The Poisoned Pen: Scottsdale, Arizona

While its name suggests a criminal enterprise, The Poisoned Pen specializes in fiction -- not only mysteries, but historical novels, literary fiction and works set in the Southwest. Still, crime fiction is close to its dark little heart -- beating since 1989 -- and this is a place that stocks its shelves with British and Canadian titles that are often impossible to find elsewhere. The store's owners are so passionate about books that they founded the Poisoned Pen Press in 1997, and it's since become one of the largest hardcover publishers of English-language mysteries in the world. I think of it as the little press that could.

Ben McNally Books: Toronto

If I could give an award for the most beautiful bookstore in North America, this one in Toronto's Financial District would win. With its soaring ceiling, elegant chandeliers, slender columns and leather wing chairs, Ben McNally looks like an idyllic private club for book lovers. Some dedicated bookworms have even tied the knot in the store. Beautiful as it is, the shop's biggest strength is its charming staff, who are adept at sussing out any visitor's interests and recommending what to read next. Seductive as their home base is, they also sponsor readings and events around the city.

Mysterious Galaxy: Redondo Beach, California

The first time I encountered the staff of this shop wasn't at the store itself, but at a Noir at the Bar reading in Los Angeles -- a popular crime fiction reading series that takes place in cities across the country. Home base is a shiny new space that only opened in 2011 (the original San Diego store has been operating since 1993), but Mysterious Galaxy is hardwired into the local community, hosting author events at schools, its popular Ladies, Lunch & Literacy program at independently owned restaurants, and organizing the Passion & Prose conference for romance readers.

Subterranean Books: St. Louis

When Subterranean opened in 2000, it carried a mix of new and secondhand books; since then, it's shifted its focus to carrying only new books. But they don't try to stock everything. Instead, they've carved out a niche with cult-classic novels, intriguing offerings from small presses, and books about film, pop culture and history. Everything in the store has been personally selected by staff members, so their recommendations are deeply personal.

The Tattered Cover: Denver

Technically, there are three branches of the Tattered Cover, and each one is spectacular in its own right. The downtown store near Union Station, which boasts 20,000 square feet of retail space, is where the Dalai Lama reads when he comes to town, and there's the gorgeous Highlands Ranch outpost in the suburbs. My personal favorite is the location on East Colfax Avenue, which remade the historic Lowenstein Theater into a bibliophile's paradise with cozy corners and couches.

McNally Jackson: New York

It looks like an elegant, old-fashioned bookstore, with its tightly packed rows of bookshelves, overstuffed international newsstand and a cafÃ© that serves rose water and cappuccino. But underneath that elegant surface beats the heart of an innovator. That was clear when McNally Jackson introduced its Espresso Book Machine, which takes mere minutes to print library-quality paperbacks from a catalog of almost 4 million titles. (That same machine also allows authors who wish to self-publish in print easy access to a press.)

Book Passage: San Francisco

This shop has two locations, but the tiny one in the San Francisco Ferry Building is the one that grabbed my heart. I discovered it while attending a conference, and I was instantly charmed by its towering shelves, spectacular travel section and inspiring view of the water. Two years later, I returned on tour and found the same staff I'd met the first time still working in the store. "We never want to leave," one told me. I didn't either.

La Maison Anglaise: Quebec City

In a city where fewer than 5% of the population is Anglophone, what hope could there be for a store specializing in English-language books? La Maison Anglaise, whose name translates as The English House, has been going strong since 1984 in its small space near Laval University. That's partly because its owner, Guy Dubois, is an extraordinary organizer who co-founded the QuebeCrime literary festival, which has drawn superstar writers such as Lawrence Block, Ian Rankin and Daniel Woodrell to town.

Parnassus Books: Nashville

This is the one store on my list that I haven't visited -- yet. But I'll be in Nashville for a conference in August, and Parnassus Books is at the top of my sightseeing list. One reason why is that the store was co-founded by Ann Patchett, the author of "Bel Canto" and one of my favorite novelists. I love the fact that she opened this store at the end of 2011 when independent bookstores appeared to be in steep decline. (Patchett decided to open the store after Nashville lost its last local bookshop, saying she had "no interest in living in a city without a bookstore.")

Where do you like to find your next book, whether it's a local bookstore, the library or the Internet? Please share in the comments below.

@highlight

An Austin, Texas, bookstore features a mystery store within the larger store

@highlight

A Redondo Beach, California, store hosts mystery and lunch events beyond its borders

@highlight

You can print out paperbacks or your own work on a New York store's Espresso Book Machine

@highlight

Some dedicated bookworms have even tied the knot at Ben McNally Books in Toronto