It takes Dr Gernot Groomer three hours to put on the spacesuit he hopes will, one day, walk across the surface of Mars.

It's worth taking time when you're wearing a suit made from roughly 10,000 parts, designed for the most treacherous environment yet to be encountered by a human being.

Groomer is the Austrian astrobiologist responsible for building a spacesuit for the Mars explorers of tomorrow -- and he's taking inspiration from armor worn by medieval knights.

He explains that -- after the titanic effort required to get there -- simply surviving on the red planet will be a grueling battle.

Mars: survival

Groomer paints a terrifying picture of an astronaut's view over the Martian landscape: abrasive particles of glassy sand, whipped into dust-storms (with wind speeds of 200kph/125mph); Galactic cosmic rays of radiation, with only the thinnest atmosphere to block it; temperatures plummeting to minus 130 degrees Celsius.

It's an environment the enthusiastic scientist refers to -- without risking exaggeration -- as "fairly" hostile.

Aouda.X:  a wearable spacecraft

In a small research facility -- nestled among the Alps in Innsbruck, Austria -- Groomer's team at the Austrian Space Forum are developing a suit to withstand the challenge. The result: a "spacecraft to wear."

The 45 kilogram suit incorporates air and power supplies, communication devices, sensors to take biometric readings, and ventilation -- plus all the facilities required to allow the astronaut to eat, drink and (even) scratch their nose while away from base.

No contact

It's a robotic creation with all the life-supports systems of a conventional spacesuit but with added capabilities needed to operate all alone on a distant planet -- where fast communication with earth is impossible.

There, the suit will have to double as companion, adviser and mission control to the astronaut. It's 50% software, says Groomer: a built-in virtual assistant will be on hand to say "be careful you're running out of oxygen" or "your next target is 2 kilometers away."

Staying tough

Wearing the Apollo-era suits sported by moonlanders, the Mars explorers would be "very dead, very soon", Groomer warns -- the suits being not nearly robust enough for the longer term missions they'll be expected to undertake across Mars' "totally unforgiving" landscape.

The suits are designed to be repaired mid-mission but Groomer says he's also been looking to medieval armories for inspiration for the tough mars suits -- taking cues for the design of its upper torso from an armor suit he found recently.

Watch: See how NASA spacesuits are tested

The smart suit

Groomeer's main concern, though, is not toughness.

He and his team are caught up in a mini-Space Race: developing suits in competition with NASA and North Dakota University's NDX-2, MIT's BioSuit, and others.

Where the other teams' suits are strongly focused on withstanding the physical strains of walking on Mars, Groomer claims his team's effort is the most intelligent:

"The big difference in our suit is that we consider it as a central hub for an entire family of instruments," meaning the wearer can keep control of a robotic explorer vehicle and all the devices and sensors to be housed at the Martian base station.

It might sound impressive, but the word Groomer keeps mentioning is "safety." The complex computer systems are as much as he can do to keep the astronauts of the future safe, 380 million kilometers from home.

Watch the video above for more on the Aouda.X spacesuit.

@highlight

Watch! Aouda.X: the prototype spacesuit for Mars exploration

@highlight

Dr Gernot Groomer has designed the suit to be the "smartest" suit yet

@highlight

Dr Groomer's team at the Austrian Space Forum face competition from other suits

@highlight

The finished suit will be a "spacecraft to wear," says Groomer