Forty years ago, English was the top major at Yale. Today it's not even in the top five. History majors there have fallen by more than half in the last decade. At Harvard, humanities majors fell from 14% of students in 1966 to 7% in 2010.

And it's not just the Ivies. Every month there seems to be a new report on how liberal arts and the humanities are disappearing from American colleges and universities. Academics everywhere are asking each other anxiously what they can do to reverse the decline.

But they're asking the wrong people the wrong question. Instead of talking mainly to other elites, champions of a well-rounded liberal arts education should be speaking directly and more creatively to the public.

The question they should be asking is this: Do you realize you are missing out on a golden pathway to influence and purpose?

And this: Do you realize you're going to need us soon to rescue the United States?

This is brave talk, I know, considering that the share of students majoring in the humanities has been shrinking dramatically. The reasons are well known and seemingly unstoppable: As higher education has gotten far more expensive, parents and legislators demand better "return on investment." The greater the focus on ROI, the more attention is paid to "strategic" fields with obvious employment prospects, like business and computer science.

And the more that happens, the less interest there is in fields like English, philosophy and, as President Obama himself mockingly noted, art history.

I have nothing against the STEM fields of science, technology, engineering and math. Nor do I think a business or marketing degree is inherently useless. But the rush to "practical" education, which has accelerated since the Great Recession, arises not so much from optimism about what science and technology can do for our country but from anxiety about falling behind in a time of severe inequality.

When a society like America becomes ever more winner-takes-all, panic starts to set in. People obsess over declines in relative status. They forget why we educate children. They forget what made (and can still make) our country exceptional.

A liberal arts education has its roots, etymologically and otherwise, in the requirements of liberty: what it takes to be a self-governing citizen rather than a slave. To be a citizen of a country like the United States you should be literate in the humanities as well as the sciences, in the arts as well as accounting. Illiteracy is risky. Willful illiteracy is civic malpractice.

To disparage liberal arts, as politicians often do, is to disparage citizenship itself. And though it may seem populist to champion so-called practical fields, there's nothing more elitist than saying that most people can't benefit from a liberal arts education.

This is why it's frustrating how poorly some humanities champions make their case, especially when they do so on terms set by the very marketplace that devalues them.

It is true -- perhaps surprisingly -- that liberal arts majors, during their peak earning years, make more money than people who studied pre-professional fields. But I believe those who study the humanities also end up being great citizens, leaders and creators.

A humanities education offers very few skills except for those that can't be automated. A humanities education offers very little job security except for the ability to adapt to changing circumstances.

You should study history only if you're interested in how people exercise power over one another.

You should study literature only if you're interested in understanding the motivations of your friends, family, colleagues and competitors.

You should study art and art history only if you're interested in seeing patterns others don't or can't.

You should study theater only if you're interested in knowing how to read and send cues in social situations.

You should study philosophy only if you're interested in creating the explanatory frameworks within which everyone else lives.

You should study music only if you're interested in having a voice.

But don't take my word for it. Ask Barack Obama (political science), Conan O'Brien (English and history), Michael Lewis (art history), Oprah Winfrey (speech and drama), Stephen Colbert (philosophy and theater), Ted Turner (classics), Clarence Thomas (English literature) or Natalie Portman (psychology).

As Americans worry ever more about keeping up, whether because of inequality at home or competition from China, we should heed the example of Steve Jobs. Jobs didn't have to be one of the world's best software coders. All he had to do was develop the vision that would attract some of the world's most talented coders.

China can manufacture all the planet's iPhones. Americans still imagine and design them. That's an advantage we have to cultivate in our colleges. As Jobs once said, "technology alone is not enough -- it's technology married with liberal arts, married with the humanities, that yields us the result that makes our heart sing."

@highlight

Some reports say that a liberal arts education in the U.S. is losing luster

@highlight

Eric Liu: Kids are missing out on a golden pathway to power, purpose

@highlight

He says the rush to "practical" majors stem from anxiety about falling behind

@highlight

Liu: Just look at Steve Jobs, who valued humanities and creativity over coding