In a bold political and legal move, the Obama administration formally expressed its support for same-sex marriage in California, setting up a high stakes political and constitutional showdown at the U.S. Supreme Court over a fast-evolving and contentious issue.

In a broadly worded legal brief on Thursday that senior government sources said had President Barack Obama's personal input and blessing, the Justice Department asserted gay and lesbian couples in the nation's most populous state have the same "equal protection" right to wed and that voters there were not empowered to ban it.

"Use of a voter initiative to promote democratic self-governance cannot save a law like Proposition 8 that would otherwise violate equal protection," said the brief. "Prejudice may not however be the basis for differential treatment under the law."

California's 2008 Proposition 8 referendum revoked the right of same-sex couples to wed after lawmakers and the state courts previously allowed it.

While the administration weighed in on the situation in California, it specifically refused to argue the constitutional right for same-sex couples to wed there should be extended to the 41 states that currently define marriage as between one man and one woman.

The justices will hear the case in March.

"The government seeks to vindicate the defining constitutional ideal of equal treatment under the law," said Attorney General Eric Holder. "Throughout history, we have seen the unjust consequences of decisions and policies rooted in discrimination."

"The issues before the Supreme Court in this case and the Defense of Marriage Act case are not just important to the tens of thousands Americans who are being denied equal benefits and rights under our laws, but to our nation as a whole," Holder added.

The White House was not expected to issue a separate statement.

The California matter and another appeal over the federal Defense of Marriage Act will produce blockbuster rulings from the justices in coming months.

Same-sex marriage could be a defining moment in Obama's presidency, similar to the political impact last year when the Supreme Court upheld the health care reform law he spearheaded.

He must decide how much political capital to expend in coming months when expressing his views and those of the executive branch.

Gay rights groups had privately urged Obama and his top aides to go beyond his previous personal rhetoric in support of the right to marry and come down "on the side of history."

Opinion: 2013 -- A year for big issues in the courts

Obama has already faced strong opposition on the issue from many Republican state and congressional lawmakers, as well as social conservatives.

The justices will hear oral arguments in the Proposition 8 case March 26, with a ruling due by the last week of June.

The separate case over the Defense of Marriage Act involves a 1996 law that says for federal purposes, marriage is defined as only between one man and one woman.

That means federal tax, Social Security, pension, and bankruptcy benefits, and family medical leave protections do not apply to gay and lesbian couples.

That case will be argued March 27.

But it is the California case where the high court is being asked to establish the constitutional "equal protection" right.

The administration is not a party in the appeal and was not required to weigh in, but it decided to file an amicus or "friend of the court" brief.

It is rare for a president to be personally involved in the legal and political considerations in a high court appeal, and sources say he spent a good deal of time reading up on the issue and articulating his views privately.

Much of the legal reasoning in any government brief would reflect in large part his personal thinking, gained from his years as a former constitutional law professor.

Obama administration weighs in on defense of marriage law

There are about approximately 120,000 legally married same-sex couples in the United States.

The administration, in its brief, also hinted that so-called "civil union" laws in California and seven other states may be unconstitutional.

In what some have labeled the "eight-state strategy," the Justice Department argues civil union and domestic partnership laws in California, Delaware, Hawaii, Illinois, Nevada, New Jersey, Oregon, and Rhode Island may be unconstitutional and that they should go all the way and grant them full marriage rights.

"The object of California's establishment of the legal relationship of domestic partnership is to grant committed same-sex couples rights equivalent to those accorded a married couple. but Proposition 8, by depriving same-sex couples of the right to marry, denies them the dignity, respect, and stature accorded similarly situated opposite-sex couples under state law," the court brief said.

Such civil union laws in most cases provide the same rights of marriage under state law, without actually calling it that.

Dozens of advocacy groups on both sides of the issue have bombarded the high court with briefs, including a coalition of national Republicans, business, faith, and military leaders supporting same-sex marriage.

Among the prominent conservative names lending their view: former Utah governor and presidential candidate Jon Huntsman, Hewlitt-Packard chief executive and former California gubernatorial candidate Meg Whitman, U.S. Rep. Ileana Ros-Lehtinen (R-Florida), and actor Clint Eastwood.

"As a Republican, I believe in protecting individual freedoms and that everyone, including gay and lesbian Americans, has a constitutional right to be treated equally under the law," said former Rep. Jim Kolbe.

California state officials, including Gov. Jerry Brown, a Democrat, also weighed in to oppose Proposition 8.

"California's interests in protecting all of its children are best served by allowing these same-sex couples to enjoy the same benefits of marriage as opposite-sex couples," state Attorney General Kamala Harris said of the estimated 50,000 youngsters being raised by gay and lesbian couples in the state.

Obama has had an evolving position on gay rights, once supporting only civil unions. But in his inaugural address last month, he raised expectations, and perhaps signaled his impending legal views, when offering sweeping rhetoric.

"Our journey is not complete until our gay brothers and sisters are treated like anyone else under the law-- for if we are truly created equal, then surely the love we commit to one another must be equal as well."

Opinion: Gay Americans pay more taxes for fewer rights

In February, a federal appeals court in San Francisco ruled the California measure unconstitutional. In its split decision, the panel found that Proposition 8 "works a meaningful harm to gays and lesbians" by denying their right to civil marriage.

The Supreme Court has discretion to rule narrowly or broadly on the aspects of the legal and procedural questions raised.

Eastwood inks support for same-sex marriage

@highlight

Obama administration files formal brief in same-sex marriage appeal

@highlight

Brief says that gay and lesbian couples have equal protection right to wed

@highlight

But administration refuses to argue that right should be extended

@highlight

Two same-sex marriage cases now before the Supreme Court