(CNN) -- Last week in McAlester, Oklahoma, the blinds were raised in a small, white, antiseptic room, and two small groups of people watched as Clayton Lockett was strapped to a gurney.

A doctor examined Lockett's body for usable veins and then oversaw the administration of an untested drug cocktail that was supposed to dispatch the convicted murderer quickly and quietly. Instead, the blinds were lowered as the execution turned into more than 40 minutes of grimacing, writhing, teeth grinding and frantic phone calls. Then Lockett's heart finally seized, stopped beating, and his breath left his body.

This is how we kill our most serious criminals in the 21st century. Or at least try to. So if this is justice, let's make it real. Let's make it open to the highest form of public transparency and scrutiny: Live TV. Here's why.

Oklahoma's botched lethal injection marks new front in battle over executions

In the Middle Ages, the preferred method of executing prisoners was to draw and quarter, burn, boil alive and separate body parts of the condemned, exacting a measure of slow and painful torture before death. At some point in the late 18th and early 19th centuries, society decided that executing prisoners more quickly would be more "humane."

The French invented the guillotine, the Shah of Persia introduced throat cutting, or would tie a prisoner to a cannon and blow him apart, and the British developed the "long drop" method of hanging to snap the neck and sever the spine of the executed.

In 1936, the last public execution in the United States was held in Owensboro, Kentucky. It was witnessed by more than 20,000 people, including hundreds of reporters. From that point forward, states decided that executions needed to be private affairs, held in small rooms and witnessed only by agents of the state, lawyers, family members of the victim and a handful of journalists.

In the years since Owensboro, the states -- with the approval of the U.S. Supreme Court -- have refined their definition of humane executions by utilizing firing squads, electric chairs and gas chambers. The states further sanitized the execution process by developing the lethal injection method, turning it into a medical procedure complete with operating table, intravenous injections and considerable ethical questions for doctors and pharmaceutical companies who have sworn to "do no harm."

None of these refinements in execution technology has anything to do with "humane" methods. There is no real measurement for how painful a death prisoners suffer when they are being hanged, shot, gassed or electrocuted, no matter how quickly they die. Lethal injection simply gives us greater psychological distance from killing another human being, making it feel more like a doctor-prescribed procedure than an execution.

Michael Wilson, another death row inmate in Oklahoma, was killed in January in the same chamber, uttering his final words, "I feel my whole body burning." And while many have used the word "botched" to describe Lockett's execution, it wasn't botched at all. That's just how messy, complicated and disturbing it is to kill another human being.

What is missing from the death penalty debate is that there is no humane way to kill another person. We consider taking a victim's life during a crime to be cruel and unusual, yet we neatly sidestep this same Eighth Amendment standard with prisoners by attempting to conduct a quick and "painless" execution.

President Barack Obama has called for a Department of Justice investigation into the death penalty following Lockett's execution. "In the application of the death penalty in this country, we have seen significant problems -- racial bias, uneven application of the death penalty, you know, situations in which there were individuals on death row who later on were discovered to have been innocent because of exculpatory evidence," Obama said. "And all these, I think, do raise significant questions about how the death penalty is being applied."

But while I applaud the President's actions, the question is not how the death penalty is applied, but whether it should be applied at all.

It is natural to be both horrified and angered at the senseless and brutal killings committed by a convicted murderer. It is natural to want revenge -- to visit the pain we imagine the victim suffered onto his or her perpetrator. But there is a difference between punishment and revenge, no matter how we dress it up with legislation and legal procedures. We have built a system of laws to raise us above those we judge.

In this system we have built, we must be honest and ask ourselves, "Is vengeance justice?" If we want truly to codify revenge, let's not pretend. Let's admit that we are willing to live with the byproducts of our retribution. Let's admit that we are willing to kill a number of innocent people. Let's admit that it is fine to execute a disproportionate number of minorities. And let's admit that we want condemned murderers to suffer like they made their victims suffer. Let's not dress the execution up as a medical procedure.

And by all means, let's televise it. Let's watch them pump the drugs into a condemned man or woman, strapped to a gurney. Let's hear their last words. Let's watch them writhe and twitch, or listen as they groan and their last breath quietly leaves their body. Let's watch them die. Let us see what we are really choosing when we vote to implement the death penalty in our state.

Many Americans support the death penalty in principle. But, as a juror in a capital case, it is different when you look across that courtroom and stare into the eyes of the accused. At that point it is real, and not just a principle. You will decide whether that person dies.

Let's make the death penalty real. Let's open the blinds and stare into the eyes of those we condemn to death. Let's be honest about what the death penalty really is. And then we can choose what kind of society we really want to be.

Join us on Facebook.com/CNNOpinion.

@highlight

Richard Gabriel: Recent failed execution makes the case against death penalty

@highlight

The last public execution in the United States was in 1936, witnessed by 20,000 people

@highlight

Gabriel says he believes there is no humane way to kill another person

@highlight

We should be willing, he says, to live with the byproducts of our retribution