(AOL Autos) -- Okay, you've decided what model of car you want to buy. And you know, more or less, how much you want to spend -- or how much you can afford. You've kicked tires, talked to salesmen, taken a few shiny new numbers for a test-drive and you're ready to make the deal.

If you eat in your car you may want to consider fabric or leather protections.

Except, you're not quite done. You still need to decide whether to buy any of those "extras" that your salesperson will always suggest.

Some of these extras have real value and are probably worth adding. Others ... maybe not so much.

The list of "extras" offered by most dealers, may include paint sealant, fabric protection/leather care, extended warranties, extended 'one price' service contracts, rust/underbody coatings and anti-theft systems, to mention a few.

We wanted to know which of these new car extras were worth it and which ones a consumer can do without. To get to the bottom of it, we thought we would consult an expert -- David Bennett, Manager of Automotive Programs for AAA. As it turns out, like most things in life, the answer often just comes down to what's best for you, depending on your own situation, budget or locale.

Let's address these add-ons one by one:

Paint sealant

"I think that most paint jobs on cars are pretty good these days, so in most cases you probably don't need that anymore," said Bennett, who offered one caveat. "But that can depend on what part of the country you live in -- what the climate is, whether you get a lot of snow and ice, and what the road crews put down on the road -- whether it is salt, or if it is something that is less harmful to the paint. But generally, as long as you keep your car washed, and wash that salt off of it, and get it waxed regularly, that paint should last without getting the 'add-on' sealer at the dealership. Also, if you get a chip or a ding, get it fixed so the rust doesn't get a chance to set in and spread."

Fabric / leather protection

These extras are fairly self-explanatory -- the dealer "treats" the upholstered or leather seating with a "protection" product that make the seats more resistant to stains or scuff marks.

"This can be a good purchase, but the first question you should ask before buying it is, 'What kind of lifestyle do I lead?' suggests Bennett. "Do you have a lot of kids and are they prone to spill things? Or is your vehicle mostly going to be occupied by adults?"

Do you eat in the car with some regularity? If so, and you're just too darn messy for your own good, a stain protection might be a good way to go.

"Also, look at exclusions in the plan," advises Bennett. "If you're a smoker, and the plan excludes burn holes from cigarette ashes, and you're not diligent about making sure your ash is always short, that might not be a good purchase because of that exclusion. Each of these policies or plans is probably offering something different, and you need to read all of the exclusions before making that purchase, because it might not be a good one for you."

If you want to save some cash, one option would be to forego the protectant and just make sure you clean your seats regularly with a good upholstery cleaner or leather cleaner. To remove spots from a leather seat, use a good leather cleaner and work it into the spot with a soft cloth. If the spot still remains, let it sit for a few hours. Repeat, as they say, if necessary. It's also a good idea , to use a leather conditioner regularly on leather seats to restore moisture and to maintain its appearance.

Rustproofing

This is when the dealership applies various rust-inhibiting chemicals, waxes or sealers to the vehicle's undercarriage. It can also be applied to other rust-prone areas. Rustproofing treatments sometimes include a guarantee over a certain number of years. Keep in mind that some guarantees require annual "checkups" to re-apply the sealers or rust inhibitors to any areas where the rustproofing may have been damaged.

"I don't think this is necessary in most cases," opines Bennett. "The way most vehicles are constructed today, they are not nearly as prone to underbody rusting as they used to be in the old days -- even in the north, where they get a lot of snow."

LoJack Car Security System / Anti-theft systems:

The folks at LoJack Car Security Systems report that a vehicle is stolen every 25 seconds in the U.S. Using a car alarm is one way to protect your vehicle. But if you want to go the more high-tech "tracking" route, using a security system like LoJack may give you more peace of mind. The LoJack System, includes a small radio frequency transceiver hidden in up to 20 different places in the vehicle. The System uses a code that is tied into the Vehicle Identification Number (VIN).

Then, when you report that your car has been stolen, the state police crime computer can match code against the state VIN database. This automatically activates the LoJack System in the vehicle -- emitting an inaudible signal. Then, police cruisers and aviation units that have the LoJack tracking system can identify the vehicle's location, track it and recover it. LoJack claims that over 200,000 vehicles have been recovered worldwide using their system, with over 100,000 of those in the U.S.

"Whether or not this is a purchase you should make depends on various factors. If you live in a high-crime area, a system like this could provide you with peace of mind," advises Bennett. "But even if you live in a safe, low-crime district, your car can still be stolen from a busy downtown street or parking garage," he notes.

One caveat: Some car owners may not want their car back after it has been stolen, especially if it has been seriously vandalized, or if it has been driven so hard that it causes some mechanical problems.

Another thing to consider is that owners of GM vehicles that come with its patented OnStar system, probably won't need a theft tracking program, says Bennett. "Because the system allows OnStar operators to track the location of the vehicle if it is stolen. So if you buy a GM car with the OnStar system, you may want to pass on a LoJack or similar tracking system."

Extended warranties

"This really does depend on how long you plan to keep the vehicle, because most of these extended warranty plans don't kick in until the manufacturer's warranty expires," advises Bennett. "And these days, those manufacturers warranties are three or five years, sometimes longer. "So if you plan on selling the car after three or five years, it probably doesn't make sense to buy the extended warranty."

Some warranties offer transferable policies, which let you "sell" the warranty along with the vehicle. Others allow you to "return" the warranty for a pro-rated refund.

Bennett also explains that not all warranties are created equal. "They usually have three levels of warranties: A basic extended warranty will just cover the powertrain, for example; while a better one will cover the powertrain plus some other components that are listed -- or an 'exclusionary' extended warranty may say it covers everything except those items that are listed. At the top end, the best warranty just covers everything, but that is also the most expensive."

Bennett gives an example of one manufacturers warranty. "For a 2007 Buick, the basic manufacturers warranty is five years or 100,000 miles for the powertrain coverage, and the corrosion warranty is six years or 100,000 miles. In fact, that's the same warranty GM offers on their Chevy and Cadillac brands."

"That's a pretty good warranty, so if you plan on only keeping your vehicle for five years or less, the extended warranty is probably money you don't need to spend." E-mail to a friend

@highlight

GM owners won't need LoJack because cars come with OnStar option

@highlight

Smokers considering fabric protection should check for policy exclusions

@highlight

But generally, as long as you keep your car washed you don't need sealant

@highlight

Some warranties offer transferable policies that let you "sell" it with car