CHARLESTON, South Carolina (CNN) -- Magoline Hazelton is used to people driving by her home just to take a look. She's also known as the "house lady" by her fellow residents in North Charleston, South Carolina.

Steel shipping containers, like these at a depot, can be turned into homes.

From the outside, Hazelton's home doesn't seem much different from the rest of the neighborhood. But there's one big difference. Her house is made from cargo shipping containers.

Using containers to build homes has increasingly become a trend in the past several years because it can be cheaper and faster than using traditional construction methods. There are also plenty of containers at most major ports.

About 18 million containers are used worldwide to transport a variety of everyday products, such as cars, toys and food. Because the United States imports more than it exports, many containers end up stacked at ports.  See one of the homes being built »

SG Blocks, a company whose name stands for safe and green blocks, has made a business from the container overflow.

Co-founder David Cross previously worked as a merchant marine and spent a lot of time at sea, dealing with shipping containers.

"As you're looking down the deck of the vessel, you see hundreds to thousands of containers perfectly configured," Cross said. "They were stacked nine high below deck, five or six high on deck, and I just kept seeing hotel after hotel on the deck of our ship."  Watch how residents like living in the homes »

Cross also saw value in the strength of the material.

"The containers are designed for hostile dynamic life at sea ... capable of carrying 60,000 pounds. It just made imminent sense, that with minor modification, it could become a multi-family living system."

In 2003, Cross partnered with engineer Steve Armstrong to help bring the idea to fruition. A year later, Hazelton's house was built in South Carolina.

According to Cross, modifying containers into homes uses significantly less energy than melting them down.

"These containers weigh about 9,000 pounds, and it takes about 9,000 kilowatt hours of energy to melt down 9,000 pounds of steel," Cross said. "We modify that existing piece of steel with approximately 400 kilowatt hours of energy input. [That's a] 95 percent energy footprint reduction."

The energy saved by transforming a single container into a home, rather than melting it down, can power a standard 70-watt lightbulb for up to 15 years.

The time it takes to assemble a container home can vary, according to Cross. Hazelton's home took 10 weeks to build. Generally, SG Blocks has found that recycled homes cut construction time in half.

"Typical homes can take four to eight months [to build]," Cross said. "For container homes, it's usually two to four months."

According to Armstrong, who is president of SG Blocks, the cost of building a single family container home is comparable to a traditional home.

"But you get a steel home instead of a wood home," he said. "So, it's more durable and has a lower carbon footprint. It's also water resistant and termite resistant."

The construction becomes cheaper as you get into multi-family homes. According to Armstrong, multi-family mid-rise units cost 10 to 15 percent less than typical "stick frame" homes.

"That's a lot to do with speed and ease of construction," he said.

Companies around the world are using shipping containers as building materials to create offices, army barracks, dorms and even designer homes.

"[We] can make these look like anything you want. [We] can put a pretty dress on any skeleton," Armstrong said. "So, if you want it minimalistic, so you can see the container walls, we can do that. If you want stucco or brick or siding, [we] can do that as well."

While each container has its own roof, when multiple containers are put together side by side, there are gaps between the boxes. Therefore, a traditional roof is put on top of the entire home, providing additional safety in inclement weather.

"When the boxes are joined together, the gaps are sealed, so even if you lose your roof above, you'd have some protection," said Armstrong.

The second roof also provides another benefit. Hazelton finds she can't even hear the rain hitting her home when it's pouring outside.

Her house has been almost maintenance free since she moved in.

"The only thing I've done here is exchanged the hot water heater. Nothing else I've had to do in the last five years ... so far, it's pretty good."

@highlight

18 million shipping containers transport goods worldwide; many left at U.S. ports

@highlight

Shipping containers are recycled into homes and other structures

@highlight

Amsterdam has one of the biggest container structures, housing 1,000 students