(CNN) -- Justice Department inquiries into the dealings of New Jersey Gov. Chris Christie's administration, Sen. Robert Menendez and former Virginia Gov. Robert McDonnell represent the highest profile push in federal public corruption cases since the scandal surrounding lobbyist Jack Abramoff nearly a decade ago.

The cases also present the department with a chance to prove it can do big and notoriously difficult public integrity cases after a series of embarrassments, including the prosecution of former Sen. John Edwards, who beat back corruption charges, and its initially successful prosecution of late Alaska Sen. Ted Stevens, which was dismissed because of prosecutor misconduct.

New Jersey U.S. Attorney Paul Fishman's preliminary inquiry into allegations of political strong-arm tactics by top Christie appointees so far hasn't established proof of a federal crime, according to two people familiar with the matter.

Agents from the FBI's New Jersey field office are continuing to do "fact-finding" interviews before determining whether to formally open a full-blown investigation, those people said.

A formal investigation can be launched if investigators find enough evidence to warrant additional investigative steps. So far, Fishman's office has sought subpoenas from Christie's reelection campaign and the New Jersey Republican State Committee, which the governor controls.

Potential "can of worms"

For a time, federal authorities were reluctant to get involved in the leading Christie controversy, which erupted from a Democratic-led state assembly investigation of suggestions top Christie appointees abused their authority by allegedly orchestrating traffic gridlock around the George Washington Bridge in Fort Lee last year to politically punish that town's mayor for not endorsing their boss for reelection.

Christie denies having any knowledge of the alleged scheme.

Some officials didn't readily see a federal crime and were wary of opening what one official called potentially "a can of worms."

Even before e-mails were released by Democratic state assembly members looking into the bridge scandal, Fishman had received a referral from the inspector general from the Port Authority of New York and New Jersey, which prompted prosecutors to start a preliminary inquiry.

The Port Authority oversees bridges and tunnels linking New York and New Jersey, and is led by appointed officials from both states.

After the explosive series of e-mails were released, Fishman decided to make his inquiry public. The ongoing review may yet conclude there isn't a federal crime to pursue, an official familiar with the probe said.

In addition to the traffic mess involving access lane closures to the George Washington Bridge last September, federal investigators are also examining whether the Christie administration conditioned Superstorm Sandy recovery aid for Hoboken on support from that city's mayor for a redevelopment project backed by Christie and proposed by a firm with ties to the governor.

Fishman's spokeswoman Rebekah Carmichael declined to comment and administration officials deny the assertion.

With the highly partisan controversy swirling, Fishman, a Democratic political appointee, must show his office is handling the case impartially.

Making it even more complicated, Christie is Fishman's immediate predecessor as U.S. attorney.

Other cases

Fishman's office has dealt before with potentially controversial political cases.

In 2012 as Menendez ran for reelection, Fishman's office pursued charges against donors to the Senator's campaigns. Menendez called Fishman to complain after a series of leaks appeared in the press that tied him to brothers Benedetto and Joseph Bigica, who were accused of making illegal campaign donations to his campaign.

People familiar with the matter said Fishman reported the contacts to the deputy attorney general's office in Washington under protocols that were strengthened following the scandal over the Bush administration's controversial firings of U.S. attorneys.

The Justice Department declined to comment.

Tricia Enright, a Menendez spokeswoman, said: "After hearing from several reporters about leaks of information in the Bigica case, Senator Menendez both personally and through his attorney expressed his concern about such leaks to the U.S. Attorney. He in no way expressed any opinions about how the case should be handled. His only concern was that his reputation not be unfairly besmirched by false, anonymous statements. Senator Menendez and his campaign, which was a victim of Bigica's crime, cooperated fully with the U.S. Attorney's investigation every step of the way and were glad that it was prosecuted to the full extent of the law."

Federal prosecutors continue to look into Menendez's involvement with another supporter in Florida. The case ongoing for more than a year involves prosecutors from Miami and from Justice headquarters in Washington looking into whether Menendez improperly tried intervene in an ongoing fraud probe of a Florida doctor with close ties to the Senator.

McDonnell, the former Virginia governor, is charged with his wife, Maureen, with public corruption related to gifts the couple received from a friend who heads a nutritional supplements company. McDonnell and his wife say they're innocent in a case that outside observers say could be difficult to prove to a jury.

They pleaded not guilty on Friday in Richmond with trial set for July.

A renewed focus

The cases come amid a renewed focus on public corruption cases.

Attorney General Eric Holder, who began his career in the Justice Department's public integrity section, has made a push to revamp the department's public corruption efforts in the wake of the Stevens debacle.

Peter Zeidenberg, a former public integrity prosecutor who helped prosecute Bush-era vice presidential aide Scooter Libby in a CIA leaks case, says "those cases, particularly the Stevens case, leave a lasting mark."

Given the often political nature of public corruption cases, partisan sniping is always in the background as prosecutors lead their probes. Amid the swirl of public leaks by political opponents cases often look easier than they are, Zeidenberg said.

"Political corruption cases are notoriously hard cases to make. You have to prove corrupt intent, which is a difficult thing to do," Zeidenberg said.

In the allegations swirling around the Christie administration, based on public information released so far, Zeidenberg says that "It does not look like a criminal case at all. It looks like political shenanigans, but it doesn't seem at first blush that there's a federal crime there. There is a line eventually that can be crossed between pure political favors and extortion. But there's a large gray area in between."

@highlight

Federal probe of Christie administration hasn't found any evidence of a crime so far, sources say

@highlight

FBI's New Jersey field office continues "fact-finding" interviews

@highlight

New Jersey bridge scandal and questions about Superstorm Sandy aid have prompted inquiries

@highlight

Justice Department also involved in other high-profile matters involving politicians