(CNN) -- Stumped on a tough decision? New Web sites are there to help.

Hunch, a site open to the public Monday, asks questions and helps people make decisions.

Hunch, a site that launches for the public Monday, will consider your quandary by getting to know you, asking you a series of questions and then spitting out three decisions.

Another site, Let Simon Decide, makes a similar attempt.

Caterina Fake, co-founder of the photo-sharing community Flickr, says she created Hunch not because people need help with emotional decisions but because it's too tough to find smart information online. You often have to replicate someone else's research, which is a waste, she said.

Tech bloggers seem to be pleased with the effort.

"For the most part, I was impressed, though it quickly became clear that Hunch isn't capable of magically making up your mind for you," wrote Jason Kincaid, a reporter at TechCrunch, a technology blog. He called the site "very clean and unintimidating."

Fake spoke with CNN about decision making, her nerdy past and the power of collective knowledge. The following is an edited transcript:

CNN: Where did you get the idea for Hunch?

Fake: It's a user-generated content site similar to Flickr, but the unit is not a photograph but a decision. And so it's sort of a similar thing in that way. We kind of built the system so people can contribute to it. They can ask questions on there and suggest questions. And then you sort of codify it into a decision tree.

CNN: So you're answering questions about yourself?

Fake: Well, there are two components. So you answer questions about yourself, and there's a little module that says things like, "Alien abductions: real or fake?" And what [Hunch] does is, it then puts together a profile of you, a taste profile. And then you can go into the system and ask it any question that's in the system. So it's things like, "What HD-TV should I buy?" or "Where should I go to college?" or, you know, "Where should I eat in San Diego on a Saturday night?" It could be just about anything.

Once it kind of gets to know you, you can ask it questions, and then it gives an answer to you that it doesn't give to anyone else.

CNN: What are the downsides?

Fake: It depends on what the decision is. There is kind of an array of decisions that are too taste-oriented. Like, no matter how well we know you, we're not going to know that your backyard is like 25 feet by 10 feet, versus 10 feet by 10 feet [for a person looking to buy a backyard grill]. You know what I'm saying? There's no system that can get to know that. So what we try to do is narrow it down. So we ask you questions about your aesthetics or your beliefs or your politics or your demographic.

CNN: What kind of decision-maker are you?

Fake: It's really funny, because I think there's a mistake that's generally made with people asking about Hunch, and it's that it's solving people's emotional problems. And it's not. It's solving people's informational problems.

I don't have any problems making any decisions. I've never had any problem making decisions, but when I go to Google and I'm looking for information, say, about trademarks. I have to do all this research, and somebody has already done this research.

CNN: So you see Hunch as a kind of search engine, almost?

Fake: No, it's not a search engine. The feel of it is nothing like a search engine. It's something new.

CNN: How do you think collective knowledge online will change the way people live, or the way we interact with each other?

Fake: It's like it's an amazing period in the history of the Internet just in that way. ... We know more in the collective than we do in the individual.

It becomes even more amazing when you extend that out to people outside your social network. Like, I don't know anyone that has taken a yoga class in Romania. But I'm sure that if I ended up in Romania, and I wanted to sign up for a yoga class that somebody in the world would know three places to recommend me.

The information is out there in a sort of disorganized fashion. ... These systems that are kind of growing up now -- and Hunch hopefully is among them -- are able to take this sort of collective knowledge and make it easy for people to use and easy for people to access.

CNN: Is there anything in your background that influences your belief in this collective knowledge idea?

Fake: I was a nerdy little girl. I played Dungeons and Dragons, and I had a little TRS-80 computer.

It was really early on, I think it was, gosh, like 1994 when I first saw the Web, right? So I went online, and I saw these people uploading pictures of, like, their cats. And I remember there was a video cam of ... the famous coffee pot at the IBM research center that uploaded every 5 minutes to show that the coffee pot was full or empty or whatever.

And so the Internet struck me as this incredible thing where anybody -- like anybody -- could publish anything, and then anybody anywhere else in the world could read it. And I never got over that. There was kind of this wonder, this sense of wonder that I had about this incredible culture of generosity on the Web -- of all these people sharing stuff with each other. I've always been so amazed by that. I love that. Like, I love that aspect of the Internet. That's the thing that always seemed like it was magic to me.

CNN: What are some cool Web sites that are flying under the radar right now?

Fake: Have you heard of Etsy?

CNN: Yeah, is that where people buy and sell art?

Fake: Yeah, it's great. I think it's gonna be like the next eBay. And I met those guys when they were really small. I've been helping those guys since it was three kids in a dorm room. I love those guys. It's one of my favorite companies.

It has that same kind of ethic [as Hunch]: the power of the individual. There are like these housewives in the Midwest who had no idea they could make a living making Christmas ornaments or whatever. It's just kind of an amazing thing that can only happen on the Internet.

@highlight

CNN talks with Caterina Fake, founder of a Web site that makes decisions

@highlight

Hunch.com asks you questions and then suggests answers

@highlight

Fake says Hunch works best for informational problems, not emotional dilemmas

@highlight

Fake's philosophy: "We know more in the collective than we do in the individual"