HONG KONG, China (CNN) -- Way back in 1888, Kodak popularized the hobby of snapshot photography with its famous slogan: "You press the button, we do the rest."

Zink paper is  is dry, waterproof, smudge-proof, tear-proof, peel-off, sticky-backed -- and recyclable.

Now, 120 years later, Zink says: "Just add paper" and do it yourself.

Zink is a zero-ink printing company that has updated the instant gratification that comes from developing pictures for the digital age.

The pleasure of snapping a picture and admiring the print hasn't changed, but the technology has, plus there is a new eco-friendly element.

Zink paper is an advanced composite material with embedded yellow, magenta and cyan dye crystals that change color when heated. For a 2"x3" print, a Zink-enabled printer uses 200 million heat pulses to activate and colorize 100 billion crystals, in 30 seconds, in a single pass.

The final result is a photographically correct print that is not only completely dry, but also waterproof, smudge-proof, tear-proof, peel-off and sticky-backed -- not to mention recyclable.

If Zink's thermal printing process sounds familiar, it differs from D2T2 (dye diffusion thermal transfer), or dye sublimation technology, used by other companies such as Kodak, Canon or Sony, in one crucial aspect -- Zink involves zero ink.

"The source of heat conveyed to the printer head is similar," says Steve Herchen, one of Zink's original inventors and present chief technology officer.

"The advantage with Zink is that there is no need for an ink ribbon. The heat is applied directly to the paper. There are no gears, no motors, no mechanism is required to manage the ink ribbon. All the information is in the paper."

Inkless footprint

So not only is Zink compact, it's ecological. Because there is no ink, there are no empty ink-ribbon cartridges and no extra packaging to dispose of.

"The paper is the print," concludes Herchen. "Printers can be the smallest footprint of any printing technology."

As the company's first consumer application to hit the market, the Zink-enabled Polaroid Instant Mobile Printer is only slightly bigger than an iPhone, weighs 230 grams, uses a rechargeable lithium-ion battery, and connects to a mobile phone via wireless Bluetooth or to a digital camera through a USB cable.

The pocket printer will be available later this summer in the United States, United Kingdom, France, Germany, Spain, Italy and Russia, and will sell for about $150, while Zink paper will be sold in packs of 10 or 30, at 33-40 cents per sheet.

With sales of camera phones and digital cameras growing exponentially, one can easily speculate about hundreds of billions of digital photos being snapped and "trapped" on memory cards and hard drives around the world.

But hold on a nanosec -- Why print to paper at all when we inhabit the global digisphere?

You know you want to

"Our research shows that in this digital age, more than ever, people still have a deep-rooted need to see, feel, mark, share or use their digital images or information in a physical form," remarks Scott Wicker, Zink's chief marketing officer.

"We know there's a pent-up need to print," confides Herchen, a 30-year Polaroid veteran. "Even though not everyone wants to print every image, there is still a real customer need to be able to print on-the-go, whenever you want, wirelessly, from portable devices."

So far, Zink has partnered with Polaroid and manufacturer Alps Electric to produce the Instant Mobile Printer, and with toy-maker TakaraTomy and manufacturer Foxconn for an upcoming product.

In addition, Zink has produced its own not-yet-released 6-megapixel digital camera-printer. If the combo-device doesn't appeal immediately to all die-hard digerati, it might be more likely to win over Polaroid Instamatic nostalgics, or anyone keen on wallet-sized snaps and Japanese-style "purikura" photo-sticker booths.

Commemorating those Kodak moments

Twenty-five-year-old student Caroline enjoys printing out those special shots for her scrapbook or making collages for friends, and she is happy to pick them up from the self-service kiosk after a short wait.

"I like to physically hold the prints and look at them in my hands," she says. "You appreciate a photo more when it's not on the computer. It's one that you've taken the trouble to print, maybe even frame, so you pay more attention."

If one person's print is that same person's carbon footprint, most people seem to agree that printing remains an inalienable delight.

Andy, of the Photo 2000 express kiosk in Hong Kong, confirms: "About half of the people out there prefer to view their pictures printed, rather than on a computer. But all people like to see real photos. All our customers print photos for friends and family, never for business... If they don't want to print, then we close."

Whether instant or not, at least now zero-ink provides us with an environment-friendly alternative to satisfy our pent-up printing desires.

@highlight

Zink technology is a thermal printing process on paper that involves zero ink

@highlight

Because it uses no ink-ribbon cartridge, it is ultra-compact and ecological

@highlight

More than ever in the digital age, people feel compelled to print their photos