(CNN)I've been a chef in some form or another since I was 14 years old, but I didn't become a food activist until much later. It was 2007, and a young girl my wife mentored was found rooting through the trash just to find something to eat. That inspired me to found Food Policy Action and become politically active in a range of food issues, from hunger to factory farms.

Of course, I haven't been alone in this work. One of the biggest catalysts has been "The Meatrix," a 2003 animation parody based on "The Matrix" and produced by the GRACE Communications Foundation, which crystallized the public health risks and environmental harms of factory farming.

Recently, "The Meatrix: Relaunched" came out. Much more than a comical redux, it's an important benchmark in the evolution of the sustainable food movement and compels us to look back at how far we've come over the last decade -- and how far we still have to go.

A decade ago, concepts like "sustainable farming," "animal welfare" and "organic food" were considered fringe. While some consumers were beginning to take interest in where their meat and produce came from, public knowledge of sustainable food was limited.

The standard gut-wrenching images of animal cruelty and sickly calves were ineffectual and mostly turned people off instead of urging them to make better food choices. Meanwhile, factory farms continued to reap large profits while producing subpar meat, polluting air and water resources, and damaging the public's health.

To be sure, America's food system is complex, and some may argue that industrial farming has been a necessity to meet our country's food needs. However, the quality of our food has been sacrificed at this supposed altar of necessity, as industrial farms reap enormous profits that they direct toward lobbying rather than improving the quality of food they produce.

In 2014 alone, the biggest meatpackers and their trade groups spent a combined $4.3 million on lobbyists. And it has paid off for them: Factory farms often avoid penalties for the damage they cause to the environment and public health; and they receive ridiculous subsidies from the U.S. government that totaled $58.7 million in 2012, according to the Environmental Working Group.

These factors drive down the cost of industrially sourced meat at a rate that smaller farms can't keep up with. And since the actual costs of industrially raised meat are hidden, humanely raised meat appears expensive by comparison. That's neither fair nor safe.

We all deserve to know where the food we eat comes from and that it is wholesome, and we need our elected officials to take a stand against big agri-businesses to quit letting them profit off of meat and produce that jeopardize the health of the environment and the public. It's time that consumer demand for sustainable and humane food trumps the power that industrial farms hold over our elected officials.

The original "Meatrix" cartoon used pop culture references and family-friendly cartoons to educate consumers about the dangers of factory farming, compel them to make better food choices and spark a wave of online advocacy for better government oversight of big agriculture and meat companies.

As a result, it became one of the first viral videos ever to effectively expose consumers to the realities happening behind the doors of industrial farms and the damage these facilities were doing to the environment, our public health and surrounding communities.

The rise in consumer knowledge has led to an increased demand for sustainably sourced food that is healthier and tastes better. GRACE has relaunched the Eat Well Guide, an online directory of 25,000 sustainable farms, restaurants, food co-ops and farmers' markets that allows consumers to make better choices about the food they eat and provide for their families. And we at Food Policy Action have produced a legislative scorecard.

We need to ask members of Congress to promote sustainable farming, not factory farms. We need them to support sensible food policies that ensure that everyone has access to food and water. Congress should vote against the DARK Act, which would block any federal or state action that required labels for foods made with genetically engineered ingredients even at the expense of the environment, public health and local economies.

As more consumers are educated, they have the power to take action and call on elected officials to support sustainable farmers, not factory farms. Together, we can create a sustainable food system in America that is better for our environment and our health.

@highlight

Tom Colicchio: "The Meatrix: Relaunched" is an important benchmark of the evolution of sustainable food movement

@highlight

But factory farms continued to reap large profits while producing subpar meat, polluting nature and damaging our health

@highlight

Colicchio: We need to ask members of Congress to promote sustainable farming