(CNN) -- Pending final approval from the Centers for Disease Control, Princeton University is preparing to provide a vaccine targeting a strain of meningitis in the wake of a campus outbreak, the school said Monday.

The CDC was preparing to recommend that all Princeton undergraduates and graduate students living in dormitories receive the vaccine, the Ivy League school said in a statement.

Other members of the university community should be vaccinated if they have conditions where the spleen is compromised or immune system disorders, the statement said.

The recommendations are still pending the review of the CDC's Independent Review Board, the CDC said Monday.

"Pending final CDC approval, the university is prepared to accept these recommendations and make arrangements to provide access to this vaccine as soon as possible," the Princeton statement said.

Princeton has seen seven cases of meningitis, a potentially fatal illness, since March. Only one vaccine exists to target meningococcal bacteria known as type B, the strain that appears responsible for the outbreak.

This vaccine is called Bexsero and is made by Novartis. It has not been licensed for use in the United States, but it was approved this year in Europe and Australia. The Princeton situation is the first outbreak of this strain since the vaccine was licensed in those countries.

The necessary doses would need one to two months to get to Princeton, according to Novartis spokeswoman Julie Masow. Bexsero is manufactured in Italy, Masow said.

The university would cover the cost of the vaccine for all students who receive it.

Two doses are required to protect individuals against this rare disease. Princeton hopes to make the first two doses of the vaccine available in early December, and the second in February.

The meningococcal vaccines already available in the United States to college students would not protect them against this serogroup B bacteria.

The university, the New Jersey Department of Health and the national Centers for Disease Control and Prevention are discussing options to control the outbreak, CDC spokeswoman Sharon Hoskins said Monday.

Before the news of the possible CDC recommendation on Monday afternoon, Princeton's board of trustees had met over the weekend to consider whether to offer students the vaccine on a voluntary basis.

Princeton sophomore Joshua Zuckerman, a politics major, said in an e-mail he hasn't seen a lot of serious worry or obsessive hygiene among his classmates, but he has observed "an abundance of caution when it comes to sharing drinks and food."

Since media coverage began, the meningitis outbreak has been a hot topic of conversation, said Lauren Morera, a junior majoring in operations research and financial engineering.

Morera and Zuckerman both said they would take the vaccine if it becomes available.

"If the vaccine is offered, I see no reason not to take it," Zuckerman said. "If the Europeans and Australians have claimed it is safe, I have no doubt it is so."

Steps to get the vaccine

More decisions must be made before vaccinations can begin, said Barbara Reynolds, a spokeswoman for the Centers for Disease Control and Prevention.

Last week, the U.S. Food and Drug Administration told the CDC it would allow for the importation of the vaccine for this limited use, the center said.

"We have been allowed to have the option to import the vaccine, but the decision to vaccinate has not been made," Reynolds said. "We're in discussions."

The final decision, which would come in concert with medical staff and university administrators, could be made sometime this week, Reynolds said.

If the university gives a nod to the vaccine, another set of decisions will need to be made about how and when vaccinations will take place, Reynolds said. Informed consent forms would also need to be approved before the vaccine could be offered to students, she said.

The CDC is asking the FDA how quickly the vaccine can be imported into the United States and whether it will require label changes, Reynolds said.

What is meningitis group B?

There are two forms of meningitis: bacterial and viral. The bacterial form is rare in the United States, and the group B bacterial strains are even more rare.

Symptoms can include stiff neck, headache, fever, vomiting, rashes, sensitivity to light and confusion. Untreated, the disease can lead to complications such as hearing impairment, brain damage, limb amputations and death.

Antibiotic treatment of the most common types of bacterial meningitis "should reduce the risk of dying from meningitis to below 15%, although the risk remains higher among young infants and the elderly," according to the CDC.

Meningitis is an infection of the membranes that cover the brain and the spinal cord, known as the meninges.

In 2012, there were 480 cases of bacterial meningitis in the United States, according to the CDC. Of those, 160 were group B.

"Usually, when you see this kind of meningitis on the campus, it's meningitis C," said Dr. William Schaffner, professor of preventive medicine at Vanderbilt University, in a telephone interview with CNN. "This is very, very unusual."

Schaffner added that, in the United States, group B meningitis typically strikes infants and only rarely adolescents and young adults.

Though the mechanism needed for health officials to administer an unapproved vaccine in the United States is "very elaborate," it would be justified in this case, Schaffner said.

"If I were around the table with the board of trustees, I would be gently encouraging them to do this."

No common link among cases

The first reported case at Princeton developed in a student who had returned to the campus after spring recess in March, according to the state health department.

Two months later, after several other students and one visitor had contracted the disease, an outbreak was declared. All have recovered except for the most recent case, a student who began experiencing symptoms November 8 and was taken to a hospital two days later, officials said.

No common link has been identified among the cases, New Jersey health officials said. But five cases have the same strain, according to the department, and a sixth case is similar. Test results on the seventh and most recent case were not yet available.

The disease is not wholly understood.

Cases of meningococcal disease, including Group B, have dropped in recent years to the lowest levels since the 1930s. "Nobody knows why," Schaffner said. And cases sometimes occur more frequently in Oregon. "We've never understood that, either."

The New Jersey outbreak is also puzzling. "Why this is occurring is not clear, but the trick everybody is working on is how to stop it, how to prevent further cases," he said.

If the Princeton board approves, as many as 8,000 undergraduate and graduate students at the school could be offered the vaccine.

Meningitis can spread via the exchange of saliva and other respiratory secretions through kissing, coughing, sharing drinks and living in close quarters, such as in dormitories, according to the health department.

The bacteria can reside for months in the back of the throat before causing symptoms, Schaffner said.

Princeton's latest health advisory on the situation tells the university community that "increasing hygienic practices, and not sharing drinking glasses, eating utensils, smoking materials and other items" can help prevent the spread of the disease.

In the meantime, classes are continuing, and so are football games. Per a tradition dating back to the late 1800s, Princeton will celebrate this season's football victories over Harvard and Yale with a bonfire.

CNN's Miriam Falco, Alexandra Field, Chris Welch, Tom Watkins and Haley Draznin contributed to this report.

@highlight

CDC preparing to recommend students get meningitis B vaccine

@highlight

That recommendation is awaiting final approval from a review board

@highlight

The meningitis group B vaccine is not approved in the U.S.

@highlight

Novartis spokeswoman: Necessary doses would need one to two months to arrive