(CNN) -- Maybe the American South is more complicated than anyone realizes. We seem to exist down here in a kind of a moral and physical duality. The land gives up bountiful crops while it also grows vigorous weeds. There is no other valid explanation for the actions of either Paula Deen or the U.S. Supreme Court.

Deen, a televangelist of butter, let slip in a court deposition that she had used a degrading racial term to describe African-Americans. Imagine the surprise of almost no one in Dixie. Deen came of age in a country that was just beginning to institute the equality it had been bragging about for almost two centuries. If her childhood was like most Southern baby boomers, she was raised on the lexicon of discrimination, and probably used it.

Un-ringing such a bell is not simple. Passage of the Civil Rights Act in 1964 meant that people who had been taught that it was socially acceptable to use terms like the N-word in public suddenly found themselves struggling with restraint on their language. Unable to exorcise the term from their vocabulary fully, they took it into private quarters and used it among friends who had similar experiences and sentiments. It is grossly foolish, though, to dismiss Deen's stumble as a minor ineptitude with speech. In certain cultural circles in America, racism abides. And sometimes it simply forgets to close the door.

In tearful interview, Deen slams 'horrible lies'

Apologists racing to Deen's side are equally awkward in their articulations of defense. Author Anne Rice fretted about our "lynch mob" culture crucifying Deen, seemingly oblivious to the racial freight hauled around when using such a phrase to defend a privileged, Southern white person. Less than 100 years ago a 17-year-old black farmhand named Jesse Washington was lynched on the courthouse lawn in Waco, Texas, chained to a tree and burned alive. Parts of his body were sold as souvenirs to a cheering crowd of 10,000. He had admitted to a murder many historians doubt he committed.

How hard is it to understand that any ethnic person whose race has a history of being so victimized in a nation that espouses equality is likely to have a justified sensitivity to the bumblings of Deen, who had also expressed an offhanded interest in a "plantation-style" wedding dinner where the waiters were black males?

Eatocracy: Paula Deen and Southern food: Critics say credit is past due

Deen might have argued that her attitudes were forever altered when a black man robbed a bank where she worked in 1986 and held a gun to her head. But sympathy is a tough emotion to conjure when reading her 2012 interview with The New York Times where she speaks of slavery as a familial relationship, not an injustice, and says, "(F)or that reason we didn't see ourselves as prejudiced." She also used the same forum to suggest that the freeing of her grandfather's 30 slaves was the cause of his suicide.

Consequently, it is disturbingly wrongheaded for comedian Bill Maher to argue that what she said is "just a word." Words are powerful things. Words have changed the world. Regardless, it is still a bit awkward labeling Deen a racist when she had Pat and Gina Neely on her program so frequently that the African-American barbecue chefs became stars of their own cooking show.

It is probably a gross oversimplification to suggest Deen didn't know any better because she lives in two parallel and contradictory environments. No such explanation is sufficient for the Supreme Court's ruling on the Voting Rights Act, either.

Deen's sons: She's no racist

The court's perceptions are as confounding as Deen's. A conservative majority voted 5-4 that Congress used "outdated facts" to force mostly Southern states to seek federal approval for voting rules changes that affect minorities. We can infer from the opinion's language that the problem of racial discrimination in the former slaveholding states has been mostly resolved. Can we all share a "hallelujah"?

Unlike Deen's mishap, this news will generate surprise among minorities, particularly those living in Texas and Arizona. The high court had already ruled that the Texas Legislature drew congressional district lines in a manner "designed" to discriminate against minority representation, which, not surprisingly, meant nothing to Gov. Rick Perry and his Republican, conservative legislature. They recently readopted the plan that had been ruled unconstitutional.

The high court also has a kind of Southern duality that puts it at odds with its own rulings. A week before the Voting Rights Act decision, the justices struck down an Arizona law that required people to show proof of citizenship when registering to vote in federal elections. A judicial body that contradicts itself one week after a progressive ruling is struggling as much with the law as it is with the reality of the culture where it is employed.

In the South, people understand how Paula Deen and judges can be as wrong as they are right. Unfortunately, there is considerably more at stake in this discussion than the buttery delights of a Southern cooking show. Regardless of how much we debate and legislate ourselves toward equality, we have not yet arrived. America seems immobilized by its history; we just can't stop staring at that tree on the courthouse lawn in Waco.

And we wonder why we still haven't got this right.

The opinions expressed in this commentary are solely those of James C. Moore.

@highlight

James Moore: Complicated South gives us actions of Paula Deen, U.S. Supreme Court

@highlight

He says Deen's apparent use of racist terms not surprising in region with racist roots

@highlight

He says her generation used them behind closed doors with other whites and many still do

@highlight

Moore: This duality in the way racism's vestiges are perceived echoed in Supreme Court rulings