(CNN) -- Eating ethically is no easy task these days. One problem is deciding which ethic is more important. Keeping third-world farmers in fair trade jobs by purchasing their produce? Or assuaging your concerns over the environmental impact of getting that produce to your kitchen by shopping locally instead?

A farmer at work in California. The UN says the food cultivation stage is the most damaging in the food chain.

Up until recently it has been the latter concern -- how food is transported -- that has hogged the limelight when it comes to looking at the role the food chain plays in climate change. Statistics such as the fact that the average American meal travels on average 1,500 miles before it gets to the diner's plate, have led to stronger backing for "grow locally" movements.

But the local food movement has been greeted with dismay by the developing world -- and for good reason.

According to the UK-based Food Climate Research Network (FCRN), as many as 1.5 million people in the developing world, in particular in sub-Saharan Africa, depend on the export horticulture market. Agricultural exports, meanwhile, have been partly to thank for Africa's economic growth rates of around 5 per cent a year, according to the UK Department for International Development (DFID).

British shoppers alone spend more than $2 million every single day on fruit and vegetables imported from Africa. Encouraging them to shop locally instead of buying imported produce from the developing world could obviously have disastrous consequences for third-world farmers.

Domestic not international food miles can leave bigger footprint

Doing away with food imports could be seen as understandable if international transport played a dominant role in the food chain's greenhouse gas emissions.

But in the UK 's case -- where much of the research into the "food miles" concept has taken place -- that doesn't seem to be the case. A sturdy 85 percent of UK food transport-related emissions actually derive from domestic road deliveries according to the DFID. Road freight traffic in the UK grew by 67 percent between 1980 and 2001, with the average journey length also increasing by 40 percent.

By comparison, international freight contributes 11 percent of UK food transport-related emissions -- that's less than one-tenth of one percent of the UK 's overall emissions, the DFID says.

Transportation as a whole contributes 2.5 percent of the food chain's emissions, says FCRN. Food refrigeration, on the other hand, accounts for as much as 18 percent (and notably 3.5 percent of the UK 's entire greenhouse gas emissions).

The whole transport issue initially came to the fore after the "food miles" concept was coined in Europe to illustrate how fossil fuel-intensive the global food distribution network had become.

But the relative blame that the transport sector should be taking for this is debatable.

In the U.S., up to 20 percent of the country's fossil fuel consumption goes into the food chain, according to the UN's Food and Agricultural Organization (FAO), which points out that fossil fuel use by the food systems in the developed world "often rivals that of automobiles".

To feed an average family of four in the developed world uses up the equivalent of 930 gallons of gasoline a year -- just shy of the 1,070 gallons that same family would use up each year to power their cars.

The average developed world diet uses 1,600 liters of fossil fuels each year, according to the U.S. based Organic Consumers Association (OCA). Only 256 of those liters come from transporting the food, says OCA.

By contrast, a whopping 496 liters goes into the chemical fertilizers used during the food growing stage, representing well over one third of the food chain's entire fossil fuel consumption.

Food production responsible for much of greenhouse gas emissions

According to the FAO, the food and agricultural sector is responsible for more than one third of global greenhouse gas emissions, with "by far the most important" aspect of that sector's environmental impact, it says, lying in the initial production process -- not in transportation.

Within that initial stage, the most harmful activities are deforestation and cultivation. Deforestation, which clears the way for food to be grown, accounts for 18 percent of the food and agriculture sector's emissions.  Cultivation, including "intensive livestock operations, irrigated rice paddies and application of synthetic fertilizers on cultivated land" releases enough methane and nitrous oxide to account for 13.5 percent of the sector's greenhouse gas contribution.

Quoting the UK-based Soil Association, the FAO says in conventional agriculture (i.e. non-organic) the largest amount of energy used -- 37 percent -- goes towards "synthetic pesticides and mineral fertilizers, particularly nitrogen, and to a lesser extent, phosphorous, and potassium."

Nitrogen fertilizer in particular is extremely fossil fuel-intensive, requiring 1.5 tons of oil equivalents to make 1 ton of fertilizer.

Meat and methane: climate killers?

There is, of course, one other major source of greenhouse gas emissions in the food chain: Meat.

Back in 2006, the FAO revealed that rearing livestock produced more greenhouse gas emissions than the transportation sector -- 18 percent of the world's entire greenhouse gas emissions.

Notably, livestock production generates 37 percent of human-induced methane and 65 percent of human-related nitrous oxide emissions. Methane has 23 times the global warming potential of CO2; the impact of nitrous oxide meanwhile is a staggering 296 times more powerful.

Meat and dairy represent 50 percent of "total food related impacts", according to the Climate Action Program. And in terms of the fossil fuel bill meat runs up, for that family of four who is using up 930 gallons of fossil fuel a year on food, 265 gallons of it goes towards putting meat on their table.

Going vegetarian, or vegan, therefore is being increasingly suggested as one of the best ways to slash our carbon contributions. A University of Chicago study found, for example that meat-eaters individually emit 1.5 more tons of emissions a year than vegetarians or vegans; and according to the OCA, it takes 8 times as many fossil fuels to produce animal protein than their plant equivalent.

Being vegetarian is by no means a panacea, however, as even the OCA concedes that eating a 2 kg box of vegetarian-friendly cereal is the equivalent of burning half a gallon of gasoline.

But perhaps banking on everyone going vegetarian fails to take into account one simple fact: 1.4 billion people work in the global livestock sector and rely on meat-eaters for their livelihoods.

How one would go about telling 1.4 billion people to shut up shop is anyone's guess. E-mail to a friend

(Source: Organic Consumers Association; Sustainable Business; The Guardian; The New Yorker; UN Food and Agricultural Organization; UK Department for International Development; Transport 2000 Trust; Food & Water Watch; Danish Institute of International Studies)

@highlight

Transportation not as harmful in food chain as previously thought

@highlight

Initial production phase "by far the most important" in food chain, says FAO

@highlight

Food and Agricultural sector contribute over 33 percent of global emissions

@highlight

Meat and dairy contribute 50 percent of "food-related impacts"