Napa, California (CNN) -- Many high-school-age students are hooked on their phones and computers. Instead of fighting the kids, some schools like the public New Technology High School in Napa, California, are jumping right in and embracing the technology.

"We meet kids where they live," New Tech Principal Michelle Spencer said.

Where they live is increasingly online, on instant messenger and Twitter. The school encourages students to bring in their own computers and to embrace tools like Gchat and YouTube in school and as part of their lessons.

New Tech High School, founded in 1997, is the oldest member of the New Tech Network, a national nonprofit organization that schools hire to implement project-based learning and embed the use of technology with teachers and students.

The New Tech Network has gone on to work with 120 schools of varying grades and budgets, but the Napa high school is a unique look at how the next generation of schools might work with modern technology, not against it.

Responsibility online

Giving high school students unrestricted access to technology presents its own challenges. The decision to trust students online and even encourage them to build up a public presence is the opposite of what's happening these days in many schools, where strict social-media policies, Internet filters and constantly evolving rules are meant to rein kids in.

"Teach responsibility. That's the better battle to choose," Spencer said.

All students at New Tech are trained in digital citizenry and responsibility, with teachers constantly emphasizing awareness of how things posted online will never go away. These lessons come at a key time, educators there say: early enough to prevent students from sharing the irresponsible photos or posts that seem to be a rite of passage for the Internet generation.

The teachers are also active on Twitter, bantering with students and using the social network as a teaching tool in their lessons.

Any errors of judgment the students may make along the way are treated as teaching moments. After one student tweeted something negative about a basketball player, one of his teachers publicly replied on Twitter, respectfully asking whether that was the best choice of words.

New Tech junior Vanessa Meno, 16, has a public Twitter account that she uses to communicate with teachers and other New Tech students and teachers. She is very careful about what she says because she knows she is representing her school.

"I know that people from all around the country are following my Twitter," Meno said. "I also have my personal Twitter, which is blocked, so I have those separate lives."

Social media is just one of the ways students and teachers connect outside of the classroom. Most high school students don't do much e-mailing, according to Spencer. They prefer chatting online.

The classroom goes online

At the heart of the school's modern take on technology is a Web-based program called Echo, which ties into Google Apps so students and teachers can use Google e-mail, docs, chat and calendar accounts. They are on Gchat constantly and can use it to talk to teachers or other students in and out of school.

"It is the biggest part of New Tech; I'm on Echo every day," Meno said.

Teachers use the system to upload all the teaching materials for their classes and to track grades for projects. Students use it to track their progress in the seven categories that make up their grades: written communication, tech literacy, curricular literacy, oral communication, work ethics and professionalism and critical thinking.

Teachers can upload PowerPoint presentations, project guidelines, resources like links to websites and other relevant content to guide students though projects.

Because classes are primarily project-based, the students use the tool's online discussion boards to work on group assignments.

"Using it as a tool for instruction saves so much time; that's time I can focus on teaching," said economics and political government teacher Andre Baldauf.

Instead of making teachers overly dependent on technology, the tool seems to free them up to be more creative with their classroom time. When a new big project is introduced, teachers create "entry events": splashy presentations that grab the students' attention and get them excited about the work ahead.

In the past, a teacher staged a "CSI"-style crime scene, taking on the role of corpse and asking the students to investigate the murder. A biology class had local winery and vineyard owners come in and lead the students through examining soil samples in order to determine what type of grape should be planted in each.

Having an online mirror of everything taught in the classroom is useful for students with different learning styles. Some might soak in information better listening to a teacher speak, while others prefer to read the materials for themselves.

"I think it's empowering for the students," Baldauf said.

It's also helpful for their parents, who have full access to their kids' pages and can see transcripts, grades and assignments. There's no more waiting until a bad report card arrives in the mail; parents have the power to track their child's progress in real time.

"My mom checked in my freshman year. I wasn't really sure New Tech was right for me," Meno said. "She would definitely check in very often, keeping me on task."

Bring your own computer

Because most of the tools are now based in the cloud, students aren't stuck using school-issued computers. Instead, they are embracing the bring-your-own-device trend.

Popular in businesses, the approach has taken off in schools only very recently. Three years ago, New Tech took on a $30,000 three-year lease for 120 Dell netbooks. With 320 students at the time, all the laptops were constantly in use.

This year, the student population has grown and includes a larger percentage of students from low-income families, yet only 60 of the school netbooks are in use. Most people bring in their own laptops. Some use Macs, while others take advantage of the low-cost netbooks found in stores like Walmart.

iPads and other tablets are the least popular choice for students. Spencer says that when they do see the devices, they're mostly being use for play, not work.

This still being high school, the kids who do use the clunky school laptops feel conspicuous, according to Spencer. While she hasn't seen any students being teased for using the school laptops, she said she has seen evidence of the kids judging themselves.

Ready for the real world

All the training at New Tech is focused on preparing students to transition into the real world.

In addition to the group work that mimics companies (students can fire someone on a team if they aren't pulling their weight), seniors at the school wrap up their final year with a required project: a Web page they build themselves with their rÃ©sumÃ©s, letters of recommendation and links to work they've done at school.

@highlight

The New Tech High School in Napa allows students to bring in their own computers

@highlight

Instead of limiting access to social media, school teaches about digital responsibility

@highlight

Custom program using Google Apps puts assignments, grades in the cloud