(CNN) -- U.S. Masters -- April 9-12, 2009

2007 Masters champion Zach Johnson puts the green jacket on 2008 winner Trevor Immelman.

While The Open Championship at St Andrews, Scotland may rival it for history, few would argue that the U.S. Masters tournament is unrivalled in terms of beauty and exclusivity.

Played at the prestigious Augusta National Golf club in the city of Augusta, Georgia, the first "major" of the golfing year is a strictly invitational event controlled by the club itself. The top 50 golfers in the official world rankings are all guaranteed an invite.

The dramatic azalea-draped course -- the brainchild of golfing great Bobby Jones -- provides a tough test for the world's elite golfers, particularly since it has been lengthened or "Tiger-proofed" in recent years.

However the relatively short 12th hole, named Golden Bell, is arguably the most challenging. Jack Nicklaus once called it "the hardest tournament hole in golf," due to the fact that its perilously narrow green is protected in front by Rae's Creek, with two sand traps behind it. Misjudge the wind or get your club selection wrong and the ball will most likely end up in the water.

Since Horton Smith won the inaugural Masters title in 1934, the tournament has become as famous for its traditions as it has for the quality of golf on show. Winners are presented with a green jacket by the defending champion -- which they are obliged to return to the clubhouse the following year.

Nicklaus, nicknamed the "Golden Bear," became the first golfer to successfully defend his green jacket. He also holds the record for the most titles won at Augusta with six -- his last coming in 1986 at the age of 46.

American players currently dominate the competition, following a period in the 1980s and 1990s which saw European players, including Seve Ballesteros and Nick Faldo, win 10 titles in 17 years. Current world number one Tiger Woods has won four times at Augusta since 1997, while compatriot and rival for top spot, Phil Mickelson, won in 2004 and 2006. South Africa's Trevor Immelman is the current owner of the coveted green jacket.  2008 season in pictures »

U.S. Open - June 15-21, 2009

Tiger Woods and his caddie walk up to the 18th green on the Black Course at Bethpage State Park in 2002.

The second of the four major tournaments, the U.S. Open is hosted by the United States Golf Association (USGA). Since its inaugural event in 1895 at the Newport Golf and Country Club, the event has been staged at a number of different courses. What's your favorite tournament?

It wasn't until 1913 that the U.S. Open championship really caught the imagination when a young American amateur, Francis Ouimet, stunned the golf world by defeating famous English professionals, Harry Vardon and Ted Ray, in a playoff.

The format of the tournament has changed several times. The USGA extended the championship to 72 holes in 1898, with 36 holes played on each of two days. In 1926, the format was changed to 18 holes played each of two days, then 36 holes on the third day. In 1965, the present format of four 18-hole daily rounds was implemented for the first time.

Over the years, much has been made of the way U.S. Open courses have been set up, with incredibly tough pin positions and rough thick enough to require a compass to navigate through. "Sometimes the players feel [the USGA] has gotten a little close to the edge on some holes," defending champion Retief Goosen told the BBC at Pinehurst, North Carolina in 2005. Two years later, when Oakmont Country Club in Pennsylvania hosted the tournament, World Golf.com quoted Tiger Woods as saying "a 10-handicapper didn't stand a chance at breaking 100" on a course that boasts over 200 deep bunkers.

Bobby Jones, Jack Nicklaus, Ben Hogan, Willie Anderson and Hale Irwin have all triumphed at the U.S. Open on four occasions, while Woods, who won last year's event at Torrey Pines following a dramatic playoff victory over Rocco Mediate, counts three so far among his haul of 14 major titles. The U.S. Open is the only major that requires participants to play-off over 18 holes.

This year's event at Bethpage State Park's Black Course in Farmingdale, New York should be familiar to Woods, as he won here in 2002. At 7,214-yards, the municipally-owned Bethpage was the longest U.S. Open course in history. The aptly-named Black Course even carries a warning sign about its difficulty on the first tee. In 2002, American Hale Irwin missed the cut for only the sixth time in 33 Open starts after two torrid rounds of 82 and 81. "They can go out and write a new book and title it, 'Massacre at ... wherever the heck we are," U.S. Open.com quoted him as saying.

It remains to be seen whether the recently-injured Tiger can tame the course once again.  Watch more about Woods' comeback »

The Open Championship -- July 16-19, 2009

Padraig Harrington (right) and Greg Norman line up putts during the 2008 Open Championship at Royal Birkdale.

Organized by the R&A, which takes its name from Royal and Ancient Golf Club of St. Andrews, Scotland, The (British) Open Championship is the oldest of the four major tournaments. It is also the only one held outside of the United States.

First held in October, 1860, The Open was mostly played in Scotland during its early years. Prestwick Golf Club in Ayrshire was the birthplace of the event, which saw just eight players compete in its inaugural year. A year later the tournament was declared open to the whole world and the event has been known simply as "The Open" ever since.

Since the early days, the R&A has established a rota of British seaside "links" courses to host the event. The major difference between a links course and a parkland course -- such as Augusta -- is that it is far less manufactured. Links courses are constructed out of the sandy, windswept coastal terrain, with few "man-made" additions. Players are faced with thick rough, narrow undulating fairways that snake around dunes, and lightening quick greens. There are far fewer trees and water hazards. When the wind gusts these courses demand the highest level of skill and imagination.

This year's tournament will be held on the famous Ailsa course at Turnberry on the west coast of Scotland. With its dramatic views and elevated cliff-top holes, the 7,200 yard course previously hosted The Open in 1977, 1986, 1994. The winning aggregate scores in 1977 and 1994 rank among the lowest recorded in Open history, largely because the wind wasn't blowing as it can.

Current Open champion Padraig Harrington will arrive at Turnberry looking to win the tournament for the third time in as many years. At Carnoustie in 2007, Harrington became the first Irishman to win The Open since Fred Daly in 1947. He defended his title the following year at Royal Birkdale, finishing four strokes ahead of England's Ian Poulter.

Harrington has a long way to go before matching the great Harry Vardon's record of six Open victories between 1896 and 1914. Surprisingly, U.S. golfers -- more used to parkland courses -- have enjoyed great success in the competition in recent years, with 10 wins in 12 years. Tiger Woods, who missed out through injury last year, lifted the Claret Jug in 2000, 2005 and 2006.

U.S. PGA Championship -- August 10-16, 2009

Harrington pumps his fist as he sinks a putt to win the 2008 U.S. PGA Championship at Oakland Hills.

The final major of the year, The PGA Championship is organized by the Professional Golfers Association of America (PGA of America) and is also held at a different course each year.

The brainchild of New York salesman Rodman Wannamaker, the first PGA Championship was held at Siwanoy Country Club in Bronxville, New York in 1916 -- the same year the PGA of America was founded. The winners' trophy is named after him.

The competition, which was only switched from a matchplay to a strokeplay format in 1958, does not allow amateurs to compete. It always attracts a world class field, in addition to a number of ordinary club professionals in the United States who can qualify through a national tournament.

This year's tournament will be held at Hazeltine National Golf Club in Chaska, Minnesota, the scene of Rich Beem's defeat of a charging Tiger Woods in 2002. Beem, an unknown club professional who also sold car stereos, held off Woods by recording birdies in his final four holes for a 68 that gave him victory by just one shot.

The 7,149-yard course is ranked among the top courses in the United States, according to the PGA. Its signature 16th hole features a wide open fairway that narrows into a long peninsula featuring an elevated green protected by Lake Hazeltine.

This year Padraig Harrington will attempt to defend the trophy, a year after he pulled off a dramatic victory over Spain's Sergio Garcia at Oakland Hills. If he succeeds he will become only the second man -- after Tiger Woods -- to be back-to-back PGA Champion. However, both men lag behind Jack Nicklaus, who won a record-equaling fifth U.S.PGA title in 1980 at Oak Hill, Rochester -- the hometown of Walter Hagen, the player whose record Nicklaus tied.

@highlight

U.S. Masters is always held at prestigious Augusta National, Georgia, U.S.

@highlight

2009 U.S. Open at Bethpage State Park's Black Course in Farmingdale, NY

@highlight

Open Championship is the only major held outside the United States

@highlight

U.S. PGA Championship is only major not open to amateur golfers