(CNN) -- Extinctions, droughts, rising sea levels, bigger and more dangerous storm events; nature has been speaking to us. It's telling us we are taking too much from the planet and saving too little. My colleagues and I at Conservation International (CI) have been listening and now is the time for the world to act.

The world's eyes are on Australia this week as both the G20 Leaders' Summit and the World Parks Congress -- that only happens once every 10 years -- take place. Both are significant international events whose outcomes will influence millions of lives around the globe for years to come.

The timing of these two meetings is an opportunity to look into the future to define a sustainable pathway for future generations to responsibly and sustainably care for nature, our global biodiversity, for the well-being of all humanity.

Both events will have a strong focus on improving human well-being and alleviating poverty without undermining environmental processes, natural ecosystems, or compromising our future.

It's a tricky balance to strike. Governments and societies are faced with making difficult short and long-term choices.

Those decisions can result in trade-offs between the provision of energy, food and water security, and creating and sustaining jobs and livelihoods, promoting economic development and conserving biodiversity and our natural areas all under a stabilized global climate.

People have put tremendous stress on those benefits from nature to support our needs, and moving forward the pressure will only increase as our global population is estimated to increase to nine billion by 2050.

Already we have seen some progress with emissions targets set this week by the U.S. and China. This is a major milestone not only in the US-China relationship but in the international climate agenda. It will set a new tone in the next round of climate negotiations where we need similar commitments by other industrialized and middle income nations.

We believe the answer to these challenges is the inclusion of protected areas and other nature-based solutions as an integral part of our economic and development pathways.

We know, from our projects around the world, that protected areas can provide significant environmental, social and economic benefits without great cost. A report from this year's Convention on Biological Diversity (CBD) showed that every dollar invested in biodiversity conservation yields a $7 dollar return in environmental services, like clean air, food and fresh water provision.

Increasing the number and size of these areas will ensure that essential food, water, energy, genetic diversity and climate securities continue to provide for us and future generations.

To achieve truly sustainable development, however, we need policies, economic incentives, and practical tools and safeguards.

More than 15% of Earth's terrestrial areas are now under some type of formal protection. More than 12% is in Indigenous People's and Community Conserved Areas and Territories. Marine protected areas also now cover more than 3% of the world's oceans. This represents tremendous momentum -- more ambitious than we were willing to hope for even at the last World Parks Congress.

Large scale multi-national initiatives; such as the Guiana Shield and the Pacific Oceanscape have been transformational.

The Guiana Shield is a tropical wilderness spanning six countries in South America. It contains about 25% of the world's remaining intact forest which holds vital carbon for climate regulation and produces as much as 10 to15% of the world's fresh water.

The Pacific Oceanscape, a framework created by Pacific Island leaders for sustainable management and conservation, covers 10% of the world's total ocean surface and is home to the largest remaining healthy stocks of tuna.

CI, and hundreds of other non-governmental organizations, governments, businesses, indigenous peoples, local communities and specialists at the World Parks Congress will work to continue this good work.

This meeting of the minds has the potential to reconcile long-standing challenges to protect nature, support development and ensure human well-being.

The outcomes from the Congress can serve as a roadmap towards a more sustainable future; one that has embedded protected areas in the decision-making process for development and has prioritized their role to define and deliver on the world's Sustainable Development Goals.

It is our hope that this collective expertise and shared recommendation will provide key insight to the G20 leaders and influence their outcomes to ensure global economic development through a green and sustainable pathway.

This week holds promise as a defining time for our generation and generations to come. This is our call to action, now let's deliver.

The opinions expressed in this article are solely those of Carlos Manuel Rodriguez.

@highlight

World Parks Congress is held once every 10 years

@highlight

Focus is on sustainable development and making natural resources a long-term asset

@highlight

Chance to align goals with those from G20 meeting this week