MURRAYVILLE, Georgia (CNN)  -- A few weeks before 13-year-old Jonathan King killed himself, he told his parents that his teachers had put him in "time-out."

The room where Jonathan King hanged himself is shown after his death. It is no longer used, a school official said.

"We thought that meant go sit in the corner and be quiet for a few minutes," Tina King said, tears washing her face as she remembered the child she called "our baby ... a good kid."

But time-out in the boy's north Georgia special education school was spent in something akin to a prison cell -- a concrete room latched from the outside, its tiny window obscured by a piece of paper.

Called a seclusion room, it's where in November 2004, Jonathan hanged himself with a cord a teacher gave him to hold up his pants.  Watch Jonathan's parents on their son's death »

An attorney representing the school has denied any wrongdoing.

Seclusion rooms, sometimes called time-out rooms, are used across the nation, generally for special needs children. Critics say that along with the death of Jonathan, many mentally disabled and autistic children have been injured or traumatized.

Few states have laws on using seclusion rooms, though 24 states have written guidelines, according to a 2007 study conducted by a Clemson University researcher.

Texas, which was included in that study, has stopped using seclusion and restraint. Georgia has just begun to draft guidelines, four years after Jonathan's death.

Based on conversations with officials in 22 states with written guidelines, seclusion is intended as a last resort when other attempts to calm a child have failed or when a student is hurting himself or others.

Michigan requires that a child held in seclusion have constant supervision from an instructor trained specifically in special education, and that confinement not exceed 15 minutes.

Connecticut education spokesman Tom Murphy said "time-out rooms" were used sparingly and were "usually small rooms with padding on the walls."

Only Vermont tracks how many children are kept in seclusion from year to year, though two other states, Minnesota and New Mexico, say they have been using the rooms less frequently in recent years.

Dr. Veronica Garcia, New Mexico's education secretary, said her state had found more sophisticated and better ways to solve behavior problems. Garcia, whose brother is autistic, said, "The idea of confining a child in a room repeatedly and as punishment, that's an ethics violation I would never tolerate."

But researchers say that the rooms, in some cases, are being misused and that children are suffering.

Public schools in the United States are now educating more than half a million more students with disabilities than they did a decade ago, according to the National Education Association.

"Teachers aren't trained to handle that," said Dr. Roger Pierangelo, executive director of the National Association of Special Education Teachers.

"When you have an out-of-control student threatening your class -- it's not right and it can be very damaging -- but seclusion is used as a 'quick fix' in many cases."

Former Rhode Island special education superintendent Leslie Ryan told CNN that she thought she was helping a disabled fifth-grader by keeping him in a "chill room" in the basement of a public elementary school that was later deemed a fire hazard.

"All I know is I tried to help this boy, and I had very few options," Ryan said. After the public learned of the room, she resigned from her post with the department but remains with the school.

School records do not indicate why Jonathan King was repeatedly confined to the concrete room or what, if any, positive outcome was expected.

His parents say they don't recognize the boy described in records as one who liked to kick and punch his classmates. They have launched a wrongful death lawsuit against the school -- the Alpine Program in Gainesville -- which has denied any wrongdoing. A Georgia judge is expected to rule soon on whether the case can be brought before a jury.

Jonathan's parents say the boy had been diagnosed since kindergarten with severe depression and attention deficit hyperactivity disorder. But his father remembers him as a boy who was happy when he sang in the church choir.

"He was a hugger, liked to go fishing with me and run after me saying, 'Daddy, when are we going to the lake?' " Don King said.

King said that he wanted to know if there were similar situations in other schools and that critics of seclusion rooms fear there could be.

"Jonathan's case is the worst of the worst, but it should be a warning. It's reasonable to think that it could happen in all the other schools that use seclusion on disabled children -- largely because the use of seclusion goes so unchecked," said Jane Hudson, an attorney with the National Disability Rights Network.

"This is one of those most unregulated, unresearched areas I've come across," said Joseph Ryan, a Clemson University special education researcher who has worked in schools for disabled kids and co-authored a study on the use of seclusion.

"You have very little oversight in schools of these rooms -- first because the general public doesn't really even know they exist," he said.

There is no national database tracking seclusion incidents in schools, though many have been described in media reports, lawsuits, disability advocacy groups' investigations and on blogs catering to parents who say their child had been held in seclusion.

Disability Rights California, a federally funded watchdog group, found that teachers dragged children into seclusion rooms they could not leave. In one case, they found a retarded 8-year-old had been locked alone in a seclusion room in a northeast California elementary school for at least 31 days in a year.

"What we found outrageous was that we went to the schools and asked to see the rooms and were denied," said Leslie Morrison, a psychiatric nurse and attorney who led the 2007 investigation that substantiated at least six cases of abuse involving seclusion in public schools.

"It took a lot of fighting to eventually get in to see where these children were held."

CNN asked every school official interviewed if a reporter could visit a seclusion room and was denied every time.

In other instances of alleged abuse:

• A Tennessee mother alleged in a federal suit against the Learn Center in Clinton that her 51-pound 9-year-old autistic son was bruised when school instructors used their body weight on his legs and torso to hold him down before putting him in a "quiet room" for four hours. Principal Gary Houck of the Learn Center, which serves disabled children, said lawyers have advised him not to discuss the case.

• Eight-year-old Isabel Loeffler, who has autism, was held down by her teachers and confined in a storage closet where she pulled out her hair and wet her pants at her Dallas County, Iowa, elementary school. Last year, a judge found that the school had violated the girl's rights. "What we're talking about is trauma," said her father, Doug Loeffler. "She spent hours in wet clothes, crying to be let out." Waukee school district attorney Matt Novak told CNN that the school has denied any wrongdoing.

• A mentally retarded 14-year-old in Killeen, Texas, died from his teachers pressing on his chest in an effort to restrain him in 2001. Texas passed a law to limit both restraint and seclusion in schools because the two methods are often used together.

Federal law requires that schools develop behavioral plans for students with disabilities. These plans are supposed to explicitly explain behavior problems and methods the teacher is allowed to use to stop it, including using music to calm a child or allowing a student to take a break from schoolwork.

A behavioral plan for Jonathan King, provided to CNN by the Kings' attorney, shows that Jonathan was confined in the seclusion room on 15 separate days for infractions ranging from cursing and threatening other students to physically striking classmates.

Howard "Sandy" Addis, the director of the Pioneer education agency which oversees Alpine, said that the room where Jonathan died is no longer in use. Citing the ongoing litigation, he declined to answer questions about the King case but defended the use of seclusion for "an emergency safety situation."

The Alpine Program's attorney, Phil Hartley, said Jonathan's actions leading up to his suicide did not suggest the boy was "serious" about killing himself. Jonathan's actions were an "effort to get attention," Hartley said.

"This is a program designed for students with severe emotional disabilities and problems," he said. "It is a program which frequently deals with students who use various methods of getting attention, avoiding work."

A substitute employee placed in charge of watching the room on the day Jonathan died said in an affidavit that he had no training in the use of seclusion, and didn't know Jonathan had threatened suicide weeks earlier.

The Kings say they would have removed their son from the school if they knew he was being held in seclusion, or that he had expressed a desire to hurt himself.

"We would have home schooled him or taken him to another psychologist," said Don King. "If we would have known, our boy would have never been in that room. He would still be alive."

@highlight

Mentally disabled, autistic kids injured, traumatized in school seclusion rooms

@highlight

13-year-old Georgia boy hanged himself in room with cord teacher gave him

@highlight

Autistic Iowa girl confined in school storage closet where she pulled out her hair