Walnut Creek, California (CNN)  -- On a beautiful morning in my hometown of Walnut Creek, California, I sat watching my daughter playing in the park. There she was, along with many other kids, swinging, sliding, and running with the kind of pure joy you see only in children.

Behind us lay a green soccer field, filled with two teams of kids competing for nothing but bragging rights and team spirit. Their parents along the sidelines were enjoying the action. My daughter is just 2 years old, but I looked forward to the day I would be one of those parents, cheering her on to victory.

If it were 60 years ago, many children on this playground and soccer field might have been crippled or died from childhood diseases for which we now have vaccines. Children growing up in that era were at risk for infections like polio, measles, whooping cough, meningitis, and many other diseases that infect, maim and kill without prejudice or warning. All of this changed when some dedicated, hardworking doctors and scientists discovered a way to protect children from these scourges: vaccines.

Like a suit of armor, vaccines shielded children against these infections. Even better, as more children got vaccinated, that protection extended to kids who couldn't be vaccinated, like those who were too young to get shots.

In the time before vaccines, there were years where measles infected, maimed or killed half a million people; polio paralyzed nearly 16,000; whooping cough infected nearly 150,000 people. The victims of these illnesses were mostly children like mine, yours, and those at the park.

But as children everywhere got vaccinated, communities banished these diseases into medical history. By 2001, there was a 99.99 percent reduction in measles compared with the pre-vaccine era; the reductions in whooping cough and meningitis were 96 percent and 99 percent, respectively. No child gets polio anymore.

It's easy to give the credit for that success to doctors and vaccine makers, but it's really parents and communities who deserve praise. They did the hard work of making sure their children and their neighbors' children got vaccinated.

For all that success, however, the reputation of vaccines got a black eye about a decade ago, when a doctor in England called a news conference and dramatically announced that the measles-mumps-rubella vaccine caused autism. The shock of that discovery sent ripples of fear through parents and communities in Britain. Like a contagion, that fear soon spread to America.

Many parents began refusing to get their kids shots because of a growing anti-vaccination movement. That movement, though small, is well-funded, vocal -- even violent at times -- and supported by some prominent people: politicians, doctors, celebrities and media leaders. These folks took a claim against one vaccine and, by twisting rumors and innuendo into "evidence," advanced a conspiracy theory that all childhood vaccines caused autism.

What nobody knew was that the British doctor who claimed vaccines caused autism, Andrew Wakefield, had his own secrets. Among them, that he had performed some very risky, invasive experiments on children without approval from the hospital he worked at; that he had accepted nearly a million dollars from legal firms suing vaccine manufacturers; and that he had applied for a patent for a replacement vaccine to the one he claimed caused autism, which would have made him a very rich man.

More important was the fact that anybody who tried to reproduce Wakefield's research couldn't get the same results. Further, study after study on the MMR and other vaccines showed no link between any of them and autism. But by the time the truth about Wakefield came out in 2004, it was too late. The notion that vaccines cause autism became conventional wisdom in many places.

As a result, in pockets of our country, vaccination rates have dropped precipitously. And, to nobody's surprise, that choice has resurrected long-gone diseases.

In 2008, a San Diego, California, child, whose parents had refused to vaccinate him, returned from vacation with measles, exposing children too young to be vaccinated to the disease. Any child who had been exposed had to be quarantined for several weeks at home. No school. No park. No sports.

In early 2009, a child in rural Minnesota died from meningitis caused by the bacteria Haemophilus influenzae. His parents had refused to vaccinate him against the disease. Four other children were hospitalized with the exact same disease. Two of those were also children of parents who had refused vaccines. The fourth was a 5-month-old baby who was just too young to have been completely immunized. The fifth was a child who has an immune deficiency.

This year, in my home state of California, more than 900 cases of whooping cough have been recorded so far, up from around 200 last year. Five children have died.

Three months ago, the Lancet, the journal which first published Andrew Wakefield's work, formally retracted his original research paper, expunging its existence from the canon of medical research. Shortly afterward, he was banned from practicing medicine in the United Kingdom.

Doctors and scientists may be satisfied with that outcome, but what happens next isn't up to us. Rather, and just like 60 years ago, it's up to you. You're going to have to decide whether to vaccinate your children.

And if you decide, as I hope you do, to protect your children against these deadly diseases, then you'll be choosing health. You'll be choosing health for your child and family. You'll be choosing health for your community, because every child who's vaccinated helps to create an ecosystem of protection for those too young to get shots. You'll be choosing to keep your kids out of my doctor's office and keep them on that playground, in school, on that soccer field, which is right where they belong.

The opinions expressed in this commentary are solely those of Rahul Parikh.

@highlight

Rahul Parikh: Before vaccines, polio, measles, whooping cough, meningitis afflicted children

@highlight

Parikh: Diseases virtually wiped out, but an anti-vaccine trend threatens to bring them back

@highlight

Doctor who linked vaccine with autism has been discredited, barred from practice, he writes

@highlight

As whooping cough cases mount in California, he says, it's clear kids need shots