Oxnard, California (CNN) -- A few years ago, during one of his lowest points, Ronney Jenkins decided to play a game of Russian roulette.

He pointed the metal barrel of a gun at his head, he said, as one ominous click followed another.

Eventually -- inevitably -- the gun discharged.

What followed was both improbable and lucky: The bullet sailed over Jenkins' head and lodged into the wall behind him.

"It's scary. I think about it all the time," said Jenkins, 36, wringing his hands as he recalled one of his two suicide attempts. "The way it happened, it clearly wasn't my time ... it wasn't my time to go."

Jenkins, a former running back and kick return specialist in the National Football League, might look at that episode as something to forget -- except that the same dark thoughts, at times, still overwhelm him.

In the 11 years since he retired from the NFL, Jenkins has dealt with serious cognitive issues: a memory that is feeble at best, crushing depression and rage he can neither understand nor predict.

Report: Jovan Belcher's body exhumed for brain study

Jenkins believes that innumerable head impacts during his six-year professional career -- and during the decades leading up to the pros -- explain his struggles. He said that he has tried, in vain, to get help from the league and the NFL Players Association, a union representing players.

"I've reached out and I'm not getting too many calls back," said Jenkins.

The game that changed everything

Jenkins said the beginning of the end for him, cognitively, began in November 2001, when he was tackled during a game between his team, the San Diego Chargers, and the Denver Broncos.

At the tail end of that tackle, Jenkins' neck bent so dramatically that the side of his head appeared, for a split second, to lie flat against his chest. At the same time, his head was being burrowed into the ground.

After that hit, Jenkins was unconscious for several seconds. When he woke, his memory of who he was or what he had just been doing had vanished, he said.

It is unlikely that his brain could have healed from such a traumatic injury, yet he played the following week.

"Players on the other team ... they were not even understanding why I was playing in that game (the next week)," said Jenkins. "When you have players from the rival team acting like they're concerned, it must be something."

First Major League Baseball player diagnosed with CTE

With recent NFL rules changes, that scenario is unheard of today. Under the current protocol, if a concussion is even suspected, players are sidelined.

But that was not the case in 2001. And, at the time, Jenkins said he felt he needed to play to keep his spot on the team -- and his income flowing.

"It just seems like there's an agenda and our well-being isn't a part of that," said Jenkins. "(The NFL is) changing all these rules and stuff to make it seem like they care but it's not about changing the rules.

"It's about when something happens to your players and at the end of their career you need to take care of those who need to be taken care of."

Slippery cognitive slope

After that horrifying hit, Jenkins played for four more seasons. During that time, memory problems, along with persistent migraines, would nag him.

By the time he retired, Jenkins said a more persistent pall hung over him.

"Everything was getting worse," said Jenkins. "My sleep was getting worse, my moods were getting worse. I'd never been that guy to just be angry. I never showed that type of behavior, and it just got worse."

Curtis Richardson, Jenkins' cousin, said he has lately received troubling text messages from Jenkins, where he seems to be threatening harm.

In one text, Richardson said, Jenkins told him he was going to "kill" someone he was meeting with at the time.

"Ronney was such a mild-mannered person (before), very quiet, very shy," said Richardson, who said Jenkins usually calms down after venting via text. "For him to go from that, being that shy individual, to an individual texting me that he's about to hurt someone, that's where the level of concern really elevates."

Lamar Campbell: Why I'm donating my brain

Before now, Jenkins was understandably reluctant to reveal such intimate details of his emotional life. But he feels that he is on the brink of something terrible.

He hears echoes of his own experience in the lives of former players like Dave Duerson, Ray Easterling, and his former teammate and friend, Junior Seau. All three committed suicide and were later diagnosed with chronic traumatic encephalopathy (CTE), the dementia-like disease that is associated with repeat concussions.

Jenkins believes that he, too, is suffering with CTE -- which is associated with the symptoms he has: memory loss, aggression and depression.

"The depression and the rage," said Jenkins. "That's what I notice most."

Jenkins' self-diagnosis is -- at best -- a guess, since CTE can only be diagnosed after death. But as the behavioral and mental health issues associated with the disease become clearer, former players are emerging to reveal their suspicions the disease is taking hold.

Recently, NFL Hall of Fame player Tony Dorsett told CNN that he struggles with memory loss and wildly shifting moods, and that he suspects that CTE is the culprit.

"I look in the mirror and I say, 'Who are you?'" said Dorsett during an interview with CNN's Wolf Blitzer. "'What are you becoming?'"

Self-diagnoses among former athletes, and nonathletes with a history of traumatic brain injury, may reflect a simple desire to give a name to what ails them. Realistically, there is more than one neuro-degenerative disease that could explain their symptoms -- not just CTE.

"The problem is, people are diagnosing CTE clinically all over the place," said Robert Stern, professor of neurology and neurosurgery at Boston University School of Medicine, in a recent interview. "There is no framework to make that diagnosis while someone is alive."

Desperate for help

Jenkins found out last year that he is ineligible for the NFL's neuro-cognitive benefit, a program that could have provided him with financial help for living and medical expenses.

He questions how someone who cannot think straight, who cannot remember what he was about to do or say from moment to moment, who has inexplicable rage, would not be eligible for help.

Seau had brain disease that comes from hits to head, NIH finds

NFL spokesman Greg Aiello acknowledged that Jenkins has reached out to the organization for help, but that -- as of right now -- he is ineligible for disability programs to which he has applied.

Aiello provided documentation of Jenkins' failure to establish test validity -- meaning his answers to a battery of questions did not prove neuro-cognitive problems.

Jenkins has appealed the decision; the results of his appeal will be revealed by NFL this month.

"They want to help you...when you're already done, when you only remember what you did two seconds ago," said Jenkins. "I don't want to get to that point before somebody wants to help me. Just, you know, give me some help."

NFLPA spokesman George Atallah said that when players need help, in every case, the organization responds quickly to provide support. He did not elaborate.

Meanwhile, Jenkins said his symptoms are getting worse.

"It's hard to deal with, it's a hard subject, just not knowing what's wrong with you," said Jenkins. "Not knowing why these things are happening.

"Your mind just goes crazy. And that's just where I'm at right now."

Video: Scan may detect brain disease

Watch Sanjay Gupta MD Saturday at 4:30pm and Sunday at 7:30am ET. For the latest from Sanjay Gupta MD click here.

@highlight

Ronney Jenkins says he's dealt with cognitive issues since retiring from the NFL

@highlight

Jenkins has attempted suicide twice and struggles with depression and rage

@highlight

CTE is a dementia-like disease stemming from repeated head impacts

@highlight

Jenkins says he is desperate for help