(CNN) -- Years of aiming missiles at people on the other side of the world left Brandon Bryant a broken man.

In an interview with the magazine GQ, Bryant recounts some of the grisly scenes he watched unfold on his monitor as an Air Force drone operator.

In grimly vivid detail, he talks about the first time he killed somebody, in early 2007.

He was sitting in a control station on an Air Force base in Nevada. His three victims were walking on a dirt road in Afghanistan.

After the Hellfire missile fired from the drone struck the three men, Bryant watched the aftermath on his infrared display.

"The smoke clears, and there's pieces of the two guys around the crater. And there's this guy over here, and he's missing his right leg above his knee," he says in the article in the November issue of GQ.

"He's holding it, and he's rolling around, and the blood is squirting out of his leg, and it's hitting the ground, and it's hot. His blood is hot," Bryant says. "But when it hits the ground, it starts to cool off; the pool cools fast. It took him a long time to die. I just watched him. I watched him become the same color as the ground he was lying on."

Drone program in spotlight

Bryant, 27, has talked about his experiences before -- to the German magazine Der Spiegel and to the U.S. broadcaster NBC. But the publication of his interview with GQ comes amid renewed questions about the human cost and the legality of the U.S. drone program.

U.S. officials say the program is a vital tool in the fight against militant groups such as al Qaeda.

But two international human rights groups raised serious concerns Tuesday about the consequences of drone strikes in Pakistan and Yemen, suggesting some attacks in recent years might amount to war crimes.

Amnesty International and Human Rights Watch released reports giving detailed accounts of a number of attacks they say the United States carried out in each of the two countries, resulting in the deaths of scores of civilians.

The reports drew from extensive field research -- including interviews with witnesses and relatives of victims -- and called for a series of measures to bring the program in line with international law.

Leaders to meet

The White House on Tuesday disputed the reports' assertions that drone strikes had broken the law.

But the situation was made all the more awkward by the presence in Washington of Pakistani Prime Minister Nawaz Sharif, who held talks with U.S. President Barack Obama on Wednesday.

After the meeting, Sharif said he had raised the issue of drones with Obama, "emphasizing the need for an end to such strikes."

In remarks a day earlier at the U.S. Institute of Peace in Washington, Sharif outlined some of the Pakistani government's objections to the drone program.

"Recently our political parties in a national conference declared the use of drones is not only a continued violation of our territorial integrity but also detrimental to our resolve at efforts in eliminating terrorism from our country," he said.

'Zombie mode'

Bryant's interview gives a different perspective on the drone program.

The GQ article provides a detailed study of his time as a drone operative, his decision in 2011 to quit and the post-traumatic stress disorder that followed.

Bryant says that during his time monitoring drones' cameras and aiming its laser targeting system, he became numb and carried out the job in "zombie mode."

When he left the Air Force in the spring of 2011 -- after nearly six years -- he says he turned down a $109,000 bonus to continue operating the drones.

He was given a document totaling the number of people killed in missions in which he'd participated in some form during close to 6,000 hours of flight time.

The overall number of 1,626, he says, "made me sick to my stomach."

A 'critical' role

Looking back, he tells GQ, he would feel "horrible" living under a sky in which drones hover, watching and sometimes killing.

But he says that when he started the job, he believed that the remotely piloted aircraft could help save lives.

The U.S. Defense Department has repeatedly argued that they prevent the deaths of American soldiers and protect the nation from terrorism.

Bryant talks of efforts by drone crews to help U.S. troops avoid harm and of atrocities he saw committed by militants.

He says he watched on his screen as an insurgent commander pulled two girls out of the trunk of his vehicle in a crowded marketplace in Iraq.

"They were bound and gagged," Bryant tells the magazine. "He put them down on their knees, executed them in the middle of the street, and left them there. People just watched it and didn't do anything."

A fleeting figure

Regarding fears of civilian casualties, he describes an occasion in 2007 when he saw a figure running toward a building in Afghanistan seconds before the impact of a missile he had aimed at it. The small shape looked to him like that of a child.

He says he and a colleague asked an intelligence observer on the mission about it.

The response? "Per the review, it's a dog."

Bryant says he was sure it wasn't a dog. In the end, he says, the report of the strike mentioned neither a dog nor a child.

His life after leaving the program was plagued by drinking and depression. Like many other drone operators, he was diagnosed with PTSD.

He said he decided to speak out about his experience -- a decision that has earned him a great deal of vitriol from some of his former colleagues -- to show that drone crews' involvement in war is "more than just a video game."

@highlight

NEW: The Pakistani Prime Minister says he raised the issue of drones in talks with Obama

@highlight

In a magazine interview, a former drone operator describes the grisly scenes he witnessed

@highlight

His job was to aim the targeting laser for drones from a control station in the U.S.

@highlight

After leaving the Air Force, he says he suffered from post traumatic stress disorder