(CNN) -- Doctors studying to become dermatologists have, for years, shared exam questions by memorizing and writing them down after the test to become board certified, CNN has confirmed.

Reports of the use of what are known as "airplane notes" comes after revelations last month that radiology residents around the country for years also have used what are known as "recalls" to prepare for the written exam, which is one step in becoming certified by the American Board of Radiology.

In the wake of the CNN story, the group that oversees 24 medical specialties issued a statement condemning the use of the recalls.

The American Board of Medical Specialties said on its website that, "It should be made abundantly clear that recalling and sharing questions from exams violates exam security, professional ethics and patient trust in the medical profession. When it happens, the practice should be addressed swiftly and decisively. Whether someone is providing or using test questions, ABMS Member Boards enforce sanctions that may include permanent barring from certification, and/or prosecution for copyright violation."

CNN has confirmed the practice also exists with dermatology, where the recalls are known as "airplane notes," because residents write down as much as they can remember on the plane after taking the test.

In an anonymous e-mail to the American Board of Dermatology in 2008, a resident wrote: "The board needs to know that there is an organized effort year after year to, by verbatim, reproduce each and every question of the official ABD certifying examination minutes after its completion. So-called "airplane notes"...are well known to dermatology residents and are compiled, typed up and quietly distributed among residency programs across the country."

The resident, now a practicing dermatologist, wrote, "Each year, minutes after the certifying exam is complete, there is an almost ceremonial meeting of examinees at a local hotel or restaurant there in Chicago. A feverish and collective effort is made by examinees from many programs to reproduce on paper as many questions as they can -- verbatim -- that they had just encountered. This is then integrated into an updated "airplane notes," which then has questions from the year before, and the year before that, etc., in an organized fashion. These are even professionally bound at Kinko's at times."

In a response to the e-mail, the board's executive director, Dr. Antoinette Hood, wrote: "The board takes every precaution to discourage this practice amongst graduating residents: maintaining strict security of items, minimizing the number of previously used questions, and requiring an honor code statement (signed two separate times) declaring that information will not be shared. Unfortunately we have no mechanism for enforcing the honor code or controlling interpersonal communications that occur after an examination. The real issue is how do we police professionalism and how do we identify the offenders?"

Hood said she has addressed this issue for several years during the board's annual meeting by telling dermatology residents the practice is not allowed.

"I've never seen airplane notes, but I've heard about it," Hood said.

"We really try to do something to prevent it from happening," Hood said. "It's a high stakes examination and people are naturally very anxious about it and that brings out the potential worst in people."

Asked if she considered this cheating, Hood said, "Yes, but I can't prove it - period."

The board has warned residents that using airplane notes is illegal, because test questions are copyrighted.

"There are legal consequences to this practice, as the questions of the American Board of Dermatology are protected by copyright laws, and any reproduction, not approved by the board, illegal. But, of much greater importance, this practice is unethical and violates our professionalism and ethical standards, which are the basis for the trust given us by our patients," one board newsletter obtained by CNN reads.

Dermatology residents confirm the practice has been widespread, but the value of the actual airplane notes varies depending on the accuracy of the memorization.

The dermatology board scrambles the approximately 300 questions from test to test to make it more difficult to memorize them. About 20% of the questions each year are recycled from old tests, compared with about 50% for the written exam in radiology.

"We scramble the questions so that discourages the rote memorization," Hood said.

After a phone interview, Hood agreed to an an on-camera interview with CNN to discuss the recalls. But she abruptly canceled the interview two days beforehand, saying she had changed her mind.

While the use of airplane notes and recalls has been discussed for years in dermatology and radiology, they are not widely known outside those professions.

Dr. Gary Becker, executive director of the American Board of Radiology, said using recalls was cheating.

"I am saying it's cheating. It's a violation of our policy," Becker said.

Dr. James Borgstede, the radiology board's president-elect, said said the test-taking culture has changed since he took the exam in 1978.

"Right now, in radiology, jobs are hard to find. Board certification is very, very important. When I took the exam, you could still practice without being a board-certified radiologist. Now, that's virtually impossible," Borgstede said.

"So, a high-stakes examination, and the other thing is it's a difference in culture. These individuals sort of view us as a system, and them as outside the system, and there's this issue of sort of stick it to the man. You know, that we're the system, and they can do this and it's acceptable. We tell them it's not acceptable."

Becker said that despite the use of the recalls, the public is protected because of the overall training and an intensive oral exam that residents must undergo to become certified.

Next year, the board is rolling out a new exam for the first time in more than 10 years. Instead of two written tests and one oral exam, the first exam will be a "core exam" taken after three years of residency training, and the second certifying exam will be taken 15 months after graduation. The oral exam is being eliminated.

Meanwhile, The American College of Radiology, which does not certify radiologists, posted a statement on its website after the CNN story aired.

"The most troubling aspect of this report is the implication that all radiologists who pass these examinations are 'cheaters.' The allegation of cheating not only involves an unspecified and unidentified number of individuals, but smears the entire specialty with a broad and unjustified brush," the statement said.

"Whether one considers the sharing of mentally recalled questions to be unethical, or simply a type of study aid, board certification represents significantly more than passing an exam, and should not be impugned simply on the basis of examination methodology," it said.

Asked whether the group considered recalls cheating, a spokesman said it had no comment beyond the statement.

Other medical specialties contacted by CNN said they had not experienced that kind of systemic use of recalls.

The American Board of Family Medicine has sent investigators into test review company classes to ensure they aren't teaching from old test questions.

"When we've investigated these groups and (gone) through these classes, we've never found old exams," said board spokesman Robert Cattoi.

The board only re-uses "a very small number of questions" from old exams, he said. The American Board of Orthopedic Surgery re-uses about 20% of old questions each year.

"We know of no similar recall registry of questions such as was in your piece (about) the radiology residents," said the board's executive director, Dr. Shepard Hurwitz.

Watch Anderson Cooper 360° weeknights 10pm ET. For the latest from AC360° click here.

@highlight

CNN confirms dermatology residents also using "airplane notes" to prepare for exams

@highlight

Board says "recalling and sharing questions from exams violates ... professional ethics"

@highlight

Executive director says this is cheating, but she can't prove it is happening