Kabul, Afghanistan (CNN) -- The mayor of Afghanistan's restive southern city of Kandahar -- a resolute and proud public official who was regularly surrounded by armed guards and long under threat of death -- was slain Wednesday in a suicide bombing.

Ghulam Haidar Hamidi, 65, was killed during a city hall meeting in the provincial capital when explosives detonated inside the turban of his attacker, according to Zalmai Ayoubi, a spokesman for the Kandahar governor's office.

The assault comes several months after Hamidi told CNN in an interview that he didn't feel safe and that his life was in danger, most particularly from what he described as corrupt officials, but sloughed off family pleas to quit his position in Kandahar city.

"I was born in this province," Hamidi said in December, referring to Kandahar province. "I eat from this province. I educate from this province. I study from this province. And I have good times in this province. And I owe this province. I have to work for this, my city."

2010 interview with the Kandahar mayor

It is the latest in a series of recent high-profile assassinations claimed by the Taliban. But the newly appointed U.S. ambassador to Afghanistan, Ryan Crocker, cautioned against definitively pinning the attacks on the Taliban, despite the group's claims.

"It's not clear to me that this was a Taliban-conducted act," said Crocker, who pointed to a recent demonstration in front of the mayor's office over a "road-building incident that resulted in the deaths of one or two young girls."

Crocker added that "this could turn out to be a murder that didn't have anything to do with the Taliban."

Authorities say the mayor was leaving the meeting hall when the attack occurred, and Ayoubi said that "it's not clear whether the suicide attack was from the children's relatives" or from insurgents. One civilian was also injured in the attack.

Interviewed by CNN's Nic Robertson, Hamidi had to have armed guards with him wherever he went. While he traveled in a bullet-proof vehicle, he was still vulnerable because of the threat of powerful roadside bombs. He cited dangers from many sources.

"Police warlords, drug dealers and power brokers are enemies of peace, enemies of security and development," he said in December.

He said such people did "very bad things" and were destroying the city.

He wondered how the city could be built and how peace could be brought to it, while the rebuilding process was slow and there were delays in "locking in" security gains. His plans have not been popular with everyone, and he blamed tribal differences.

"My way is we have to do (rebuilding) very quickly. We have to show to our people good service and quickly. These people are hungry for good service," he said.

It is the second time in less than two weeks that a senior official was killed by suicide bombers who placed explosives in their turbans.

The attack is also the latest in a string of killings across the country, and the most recent for a region that appears to be deadly for high-ranking officials.

Two deputy mayors of Kandahar city have been gunned down by militants in the past year, according to the governor's office.

Kandahar Police Chief Khan Mohammad Mujahid was also killed by a suicide bomber in April. Hamidi told CNN in December that the chief was a warlord.

But perhaps the most high-profile attack occurred earlier this month when Kandahar's provincial council chief, Ahmed Wali Karzai -- the president's half-brother and an influential power broker in country's south -- was gunned down by a longtime bodyguard inside his home.

The Taliban also claimed responsibility for that attack, though rumors soon swirled that his death could also have been the result of a murder over personal grievances.

Global Public Square: What Wali Karzai's death teaches us

Still, Wali Karzai's assassination, Wednesday's attack and a list of others have highlighted security questions about who can be trusted in Afghanistan.

During a remembrance ceremony for the president's half-brother at a Kandahar mosque two days after his death, a suicide bomber slipped into the building and killed six people and wounded 15 others.

That bomber also placed explosives inside his turban.

Within the next week, a key political adviser to the Afghan president and a Parliament member were gunned down in a home west of Kabul.

The killings have taken place just as a security transfer to Afghan control and a NATO draw-down is under way.

Speaking to the media for the first time since being formally sworn in, Crocker said the United States condemns Wednesday's attack "in the strongest possible terms."

"Our condolences are with his family and with the government and people of Afghanistan," he said.

Crocker called the killing "another indication of both the challenges that Afghanistan faces, but also the extraordinary resilience of the Afghan government and people."

Afghan President Hamid Karzai also condemned Wednesday's assassination, saying the attack was carried out by "the enemies of peace."

The new U.S. ambassador described the recent attacks as "horrific," but also said that if Taliban were responsible, it can be "interpreted as a sign of significant organizational weakness on the part of the adversary."

A recent uptick in joint Afghan-NATO raids has killed many of the Taliban's senior and mid-level commanders across the southern and eastern provinces.

"The Taliban is now damaged to the point where they can no longer conduct large-scale operations," Crocker said.

"They've had to regroup and figure out what they can do."

The incidents came as NATO forces are beginning the first stage of a troop draw-down, which is expected to remove 10,000 soldiers from Afghanistan by the end of this year.

The full drawdown is scheduled for the end of 2014.

But Crocker on Wednesday gave indications of an American presence in Afghanistan well beyond the draw-down date.

"I think both we and the Afghans envision this as a very broad compact that will cover cooperation in a variety of fields" beyond 2014, he said. "Not only security, we're going to talk about educational, economic and commercial cooperation.

"The intention is to lay down the foundation ... for a strong, stable long-term relationship between our two countries."

CNN's David Ariosto contributed to this report

@highlight

NEW: Hamidi had known his life was in danger

@highlight

Afghan President Hamid Karzai condemns the killing

@highlight

"It's not clear to me that this was a Taliban-conducted act," Ambassador Crocker says

@highlight

The Taliban have taken responsibility for the attack, a spokesman says