Washington (CNN) -- The White House counsel refused Friday to comply with a subpoena as issued by a House panel regarding the failed solar energy company Solyndra, saying that the initiative "was driven more by partisan politics than a legitimate effort to conduct a responsible investigation."

Kathryn Ruemmler expressed her views in a letter to Reps. Fred Upton and Cliff Stearns, members of the House Energy and Commerce Committee. A day earlier, one of its subcommittees requested internal documents regarding the government's decision to issue more than half a billion dollars in federal loan guarantees in 2010 to Solyndra, which later filed for bankruptcy.

The White House counsel on Friday did not rule out disclosing additional information related to Solyndra, saying that "we remain willing to work with the committee to accommodate its legitimate oversight interests in a balanced manner."

At the same time, Ruemmler said unequivocally that the subpoena, as written, was unacceptable.

"The committee's extremely broad request for documents -- now a subpoena -- is a significant intrusion on executive branch interests," Ruemmler wrote.

Upton, the Michigan Republican who heads the broader House committee, issued a statement Friday saying that the "White House could have avoided the need for subpoena authorizations if they had simply chosen to cooperate."

"We have been reasonable every step of the way in this investigation, and it is a shame that the Obama administration and House Democrats continue to put up partisan roadblocks to hide the truth from taxpayers," Upton said after Ruemmler's announcement.

"Solyndra was a jobs program gone bad, and we must learn the lessons of Solyndra as we work to turn our economy around and put folks back to work. ... What is the West Wing trying to hide? We owe it to American taxpayers to find out."

A government official said the White House favors a narrower request. A letter from a group of House Democrats, sent to the committee before it issued the subpoena, said the White House would be willing to share documents related to campaign contributors' influence on the decision to grant or restructure the Solyndra loan guarantee, plus the White House's involvement in deciding whether to make such a conditional commitment or close the loan guarantee.

Reps. Henry Waxman and Diana DeGette wrote then that issuing the subpoena -- as it was written -- was unnecessary, given what they called "substantial progress" in recent talks between committee members and the White House about disclosing more information on Solyndra.

The oversight and investigations subcommittee, part of the larger Energy and Commerce Committee, voted 14-9 along party lines in favor of issuing the subpoena. That followed a contentious debate among its members, with Republicans accusing the Obama administration of stonewalling and some Democrats calling the subpoena resolution politically motivated.

"We need to learn the circumstances of the original deal as the restructuring. We need all the facts, all the witnesses, all the documents," DeGette, a Colorado Democrat, said at this week's hearing, describing the subpoena as "an act of irresponsible partisanship." "Sadly, after seeing (Republicans') conduct of this investigation, I do not believe they share this goal."

In her letter Friday, Ruemmler called the subpoena "unprecedented and unnecessary."

She said that the White House had made a "good-faith offer," which the subcommittee rejected "without explaining how it fell short of your legitimate oversight purposes."

Among other issues, Ruemmler said that the panel's request for producing copies of all communications related to Solyndra -- including, she claimed, "thousands of pages of news clips" -- within days was unrealistic and would require substantial resources.

Defending the Obama administration, the counsel said, "None of the more than 85,000 pages of documents produced to date evidence any favoritism to political supporters or wrongdoing by the White House."

Stearns, the subcommittee's chairman, earlier said the White House Office of Management and Budget "repeatedly failed to cooperate with our investigation, and we agreed to put off a vote on that subpoena" in hopes that engaging the White House could avoid the need for subpoenas.

"Only after repeated failed attempts to engage the White House did the committee notify the White House" that it intended to discuss possible subpoenas, the Florida Republican said. "This finally got the attention of the White House counsel," who then met with lawmakers Wednesday, he said. "Unfortunately, the White House was unable or unwilling to answer even the most basic questions."

Democrats slammed the subcommittee's move, though some acknowledged that the White House could be more forthcoming with information in the case.

Veteran Rep. John Dingell, D-Michigan, said after the vote, "I've never seen a procedure quite like this.

"We are protesting here a sweeping subpoena," he said. Since Republicans have "been able to find nothing" wrong in what they've looked at, they have "increased the size of the net and reduced the size of the holes in the net as they go about this fishing expedition."

Federal analysts looking at the proposed Solyndra loan in 2009 warned then of possible problems, as well as pressure from the White House to speed up a decision, according to a memorandum released last month by congressional investigators.

Approved in May 2010, the Energy Department's loan allowed Solyndra to build a factory in Fremont, California, to produce state-of-the-art solar panels.

Solyndra filed for bankruptcy in late August and closed its doors, putting more than 1,000 people out of work after it had received $535 million in loan guarantees.

The bankruptcy leaves the federal government unlikely to get the loan money back. President Barack Obama had touted the company in a widely publicized visit last year.

White House Chief of Staff William Daley announced last week that he is ordering a 60-day independent review of the state of the Energy Department's loan portfolio. The review will include recommendations about how to improve the loan monitoring process.

The review will be headed by Herb Allison, a veteran of both the Obama and last Bush administrations who oversaw the Troubled Asset Relief Program, among other efforts.

CNN's Jessica Yellin contributed to this report.

@highlight

NEW: House Democrats says the probe is fair, but the GOP-led subpoena is not

@highlight

White House counsel says the subpoena, as written, is unacceptable

@highlight

She says the White House is "willing to work" with legislators and provide info

@highlight

House subcommittee's chairman says Obama administration hasn't cooperated