(CNN) -- Pope Francis ignited a firestorm on the Internet with a few words about gay and lesbian people that seemed to suggest a new church position on homosexuality. I say "seemed to" because it would only appear new to someone who was unfamiliar with the old position.

Speaking to a gang of reporters bringing up the rear of his plane on the way home from his quotific visit to Rio de Janeiro, the pope was asked about his recent reference to a "gay lobby" among the curial staff in Rome. That phrase is already the source of some confusion.

The pope responded that although a "gay lobby," as in an inter-curial pressure group -- for or against more acceptance of gay Catholics, who can say? -- might be an issue, he did not have a problem with men and women who are homosexual. "If they accept the Lord and have good will, who am I to judge them? They shouldn't be marginalized. The tendency (to homosexuality) is not the problem ... they're our brothers."

What we learned about Pope Francis in Brazil

Speaking about homosexuality so frankly was remarkable in and of itself, but nothing the pope said deviated from current Catholic catechism. Although it regards homosexual acts as "intrinsically disordered," church teaching demands that gay and lesbian people be accepted with "respect, compassion, and sensitivity."

"Every sign of unjust discrimination in their regard should be avoided," reads the catechism. "These persons are called to fulfill God's will in their lives and, if they are Christians, to unite to the sacrifice of the Lord's Cross the difficulties they may encounter from their condition."

The catechism is a little more nuanced, and less unsightly, than the standard "hate the sin, love the sinner" platitude, but it doesn't say much more and it's far less than most lesbian, gay, bisexual and transgender Catholics would like to hear from their church. Pope Francis was merely reiterating this teaching in his wonderfully straightforward, cut-through-the-gobbledygook manner.

That's not to say that his remarks don't suggest a different emphasis in the church's tone and pastoral approach to gay and lesbian Catholics that will surely be welcome. Francis places the emphasis first on solidarity ("they're our brothers") and refers to the redemption and mercy all of us require and are capable of achieving. And as a practical ecclesiastical matter, his comments also argue that the "duty" to discourage the vocations of men with "deep-seated homosexual tendencies" may be en route to the "don't ask, don't tell" historical rag and bone shop.

Other groups of disaffected Catholics can also take heart from the pope's unfiltered comments on the plane. He suggested that his cardinal action squad of curial reformers will also be looking at the way the church has treated Catholics who, for whatever reason, could not annul their marriages. Divorced and remarried Catholics have long been cut off from the sacramental and communal life of the church. Francis clearly wants to find a way to bring them home.

Opinion: What the pope left out about women

Women can also be hopeful that Francis hears their lamentations regarding how they have been cut off from leadership roles in the church. Although he suggested that he had little inclination to return to the issue of women's ordination, he said the church still has far to go in developing a real theology that explains the importance of women in the church. What that means practically speaking remains to be seen.

Let's hope that what does not become lost as his comments on homosexuality are parsed, turned over and otherwise manhandled by the media in the coming days, is the pope's keen attention during his World Youth Day visit to issues of economic injustice and the importance of political and social dialogue. Asked why he did not spend so much time on issues such as abortion and same-sex marriage while in Rio, he said the church's teaching on such matters are already clear.

This pope may be interested in moving at least rhetorically away from cultural stalemates and on to other issues that have also long been a preoccupation of the church: fighting poverty and human deprivation, creating political and economic opportunity, the just and sustainable stewardship of creation.

In Rio he spoke frequently on social justice and alleviating poverty, asking all to give of their talents to respond to the world's aching needs in a country where those needs and inequities are obvious. In Rio, Francis expressed his hope for a "culture of encounter," as he described it. That's an encounter across gay and straight lines, political and class lines, self-drawn lines between secularists and the faithful, borders between the haves and have-nots. As important as his off-the-cuff comments on the plane were -- and might turn out to be in the future -- his message of solidarity and his call to action on social injustice and economic inequality had a just claim to its share of the bandwidth on Twitter this week.

The opinions expressed in this commentary are solely those of Kevin Clarke.

@highlight

Kevin Clarke: Pope Francis' remarks about gays aren't a new position on homosexuality

@highlight

Clarke: His talking frankly was startling, but calling for compassion for gays is not new

@highlight

Clarke: The church may change its tone and approach to gay and lesbian Catholics, however

@highlight

But pope's call in Rio for action on social injustice and poverty was equally important, he says