Algeria (CNN) -- All eyes are on Algeria following the hostage crisis at a BP gas facility that left at least 37 hostages -- and dozens of militants -- dead. And while we're uncovering details of what happened at the remote desert complex at In Amenas and why, we must also scrutinize what this crisis tells us about security in North Africa, or the Maghreb.

This tragedy is the outcome of a larger series of events that cannot be separated from its transnational -- and especially regional -- context.

Read more: Power struggle: The North African gas industry targeted by militants

The Maghreb, or "Arab West," encompasses Algeria, Libya, Mauritania, Morocco, Tunisia, and Western Sahara, spanning from the southern rim of the Mediterranean well into the Sahara. Some argue it also includes Chad, Mali, and Niger, where national borders are porous.

The Maghreb region is tied together by these nations' historical, commercial, religious and, more recently, ideological exchanges. Despite decades of French and Italian rule, these links between the people and communities of the region never disappeared -- in fact, they have moved to the fore in the past decade, and accelerated since the Arab Spring.

Read more: At least 37 hostages killed in Algeria gas plant standoff, prime minister says

Transnational origins of the crisis

How do al Qaeda and other jihadi Islamist movements figure in the context of the region? The antecedents of the transnational al Qaeda of the Islamic Maghreb (AQIM) are linked to disparate elements of the jihadist movement that lost the 1990s Algerian civil war -- among them Moktar Belmoktar, the one-eyed Algerian militant who claimed responsibility for In Amenas. Though initially based in northern Algeria, they have been present in southern Algeria, northern Mali and Niger for a decade.

Initially involved in smuggling cigarettes, cars, drugs, and weapons, the movement has more recently engaged in kidnappings in the Saharan regions that have generated millions of dollars in ransoms. In 2007 many of these groups officially rallied to al Qaeda.

Read more: American killed in Algeria hostage standoff 'really, truly felt safe there'

The fall of Ben Ali during the Tunisian revolution in 2011 emboldened citizens in neighboring Libya to rise against Moammar Gadhafi. But as Libya's NATO-supported rebels closed in on Gadhafi, truckloads of arms left for Northern Mali. The colonel had actively recruited ethnic Tuaregs from Mali and Niger to form a hard core within his armed forces. With no place to go in a post-Gadhafi Libya, many rallied to Azawad, their homeland in northern Mali.

Perhaps emboldened by liberation in Tunisia and Libya, in January 2012, the National Liberation Movement of Azawad (MNLA) and Ansar Dine, the most prominent Tuareg armed groups, launched a rebellion that pushed the government from northern Mali. While the MNLA declared an independent Tuareg state called Azawad, the armed group Ansar Dine rallied to AQIM and another splinter group, the Movement for Unity and Jihad in West Africa (MUJAO).

Read more: Algeria attack may have link to Libya camps

Together, the three announced their aims to push the rebellion to the capital Bamako to impose an Islamic state. With a war chest filled with monies from smuggling, drugs and ransoms, AQIM has purchased sophisticated weaponry smuggled from Libya. It too has been effective in recruitment -- of all the armed movements in northern Mali, none can match its international reputation, puritanical ideology, and potential for wealth accumulation.

France intervened in Mali earlier this month when the Jihadist alliance began to push into central and southern Mali. The jihadi front led by AQIM threatened reprisals on France and its allies. On January 16, 2013, members of the "Signed in Blood Batallion," an AQIM splinter group, led by Belmokhtar, attacked In Amenas. The breakdown of nationalities represented in the team reveals the degree to which AQIM has become the nexus for trans-regional jihadism: Eleven of the 32 terrorists were Tunisian, the remaining twenty-two included Canadians, Egyptians, Malians, Mauritanians, and Nigerians. The group itself is led by an Algerian. The attack was planned in Mali, launched from Libya, and executed in Algeria.

Read more: Algeria attack changes terror landscape in North Africa

Transnational ramifications

The ramifications are trans-regional in the Maghreb and Sahara. To the south, the jihadi alliance is likely to be dispersed by the joint ECOWAS-French military intervention. The crisis will likely spill into neighboring Mauritania and Niger, as rebel groups flee French air strikes -- just as the Libyan war spilled into Mali. A humanitarian crisis looms.

In the Maghreb, the event will have ramifications for moderate Islamist political parties recently elected to power. Moderate Algerians who have participated in the political system for the last decade and a half have been destabilized. The Islamist Movement for a Society of Peace (MSP), still reeling from an electoral defeat in the May legislative elections, and a schism within the party, has imploded. Two days after the attack, MSP leader Bouguerra Soltani announced he was quitting the party leadership. The announcement passed virtually unnoticed by a public disabused of political Islam, and which had rallied behind its army to a degree not witnessed in many years. Many refer to the In Amenas attack as the "Algerian 9/11."

Read more: Former al Qaeda captive 'not surprised' by Algeria attack

While the Ennahda-led coalition in Tunisia denounced the attack, the crisis will likely have an important impact on domestic Tunisian politics. The hostage crisis occurred almost two years to the date of Tunisia's 14 January Revolution. There is a broad perception that insecurity has increased in Tunisia since the flight of Ben Ali, as well as popular feeling that the Ennadha government is doing little to protect citizens from an increasingly violent Salafi, or puritanical movement.

Post-Arab Spring blues

The In Amenas attack underscores the importance of viewing Saharan terrorism as part of a broader, region-wide political development. Just as ideas of freedom, justice, and dignity buttressing the Arab Spring have snowballed across the region, jihadist movements have likewise spread, destabilizing democratic aspirations across the region. The halcyon period of the post-Arab Spring is over. Moderate political Islam in Algeria is on the decline, Islamists fared poorly in Libyan elections, and Ennahda opponents are gaining public support as they rally under the banner of security in Tunisia.

Read more: Insider's account of rescue in Algeria

The opinions expressed in this commentary are solely those of Robert P. Parks.

@highlight

The Algeria hostage crisis left dozens of hostages and militants dead

@highlight

Robert P. Parks says this highlights the security issues in North Africa

@highlight

'This tragedy is the outcome of a larger series of events,' says Parks

@highlight

How do al Qaeda and other jihadi Islamist movements figure in region's context?