(CNN) -- I clung white-knuckled to the back of my friend's motorbike as the two of us zipped around the streets of Hanoi.

We buzzed past a man sitting in a barber's chair on the sidewalk of a main road. The man was peering into an oval mirror tacked to a tree as the barber clipped away.

"See! O.I.V!" my friend said.

"What?" I asked, trying to figure out what I had seen as much as what he just said.

"O.I.V.," he repeated. "Only in Vietnam."

It was the first day of my 11-day tour through northern and central Vietnam, and the adventure had just begun.

Vietnam was never at the top of my list of places to visit -- that is until my old roommate from Atlanta took a job in Hanoi.

When my rock-climbing partner, with a level of sanity as questionable as my own, found out climbing was on our itinerary, he decided to join in.

We'd start in Hanoi and take in the city sights, make our way to Cat Ba Island for a little climbing and finally to Hoi An along the central coast for some relaxation.

Hanoi at street level

We flew in to the capital, where traffic signals and street signs, if they exist, seem more like suggestions than law.

The streets are the heart and soul of Hanoi. They're where people gather for everything from dinner to shoe repair, and the only way to take in the city is to plunge into the traffic.

So we did, starting with a walking tour of the Old Quarter.

Roughly 1,000 years old, the Old Quarter developed as craftsmen gathered around the old palace to peddle their wares. The narrow streets eventually became the central marketplace and business area, but it retains much of its ancient charm.

The buildings are only a few stories tall, narrow and deep, and artisans and merchants still line the sidewalks.

The streets are named after what you may find on them -- tinwork on Hang Thiec and silk on Hang Gai. Hang Dau was once home to fragrant oil merchants, but now tourists and locals walk the street looking for a great deal on shoes.

After watching a tinsmith melt and mold what appeared to be a sprinkler head, another wonder of the Hanoi streets caught my eye, or rather my taste buds.

On the balcony of a coffee shop near the Old Quarter, I had my first sip of cafÃ© sua da -- Vietnamese iced coffee.

It is dark and thick like espresso, but served iced and creamed with a couple of spoonfuls of sweetened condensed milk. I was addicted at first sip.

Climbing on Cat Ba Island

One taxi, three buses and a speedboat away from Hanoi we found the small island of Cat Ba in Halong Bay.

Halong Bay was named one of the New Seven Wonders of Nature in 2011 and is easily recognized by the hundreds of limestone karsts that jut sharply out of the turquoise waters.

Where much of the area has watered down the wilderness experience to cater to tourists, Cat Ba attracts a more low-maintenance traveler -- the "TÃ¢y ba lÃ´."

"It means 'Western backpacker,' " my friend explained. "But it also means they think you're cheap."

Cat Ba is a popular spot for backpackers from all over the world who have developed a reputation for their stinginess. Accommodations are basic, and prices are low.

Tall, narrow hotels line the main road, each with an amazing view of the harbor. Rooms go for dollars a day, and the cafes feature fresh seafood on the cheap.

But the real draw of the island is away from the main drag, so our first morning we caught a ride on a tourist boat to a beachside climbing site.

As we meandered through the waters of the bay, a unique nautical culture revealed itself. Because the land is often too rocky to cultivate but the bay is rich in sea life, locals have made the water their home.

Large networks of floating villages hide in the shadows of the karsts. Brightly colored huts are built on grids of floating barrels and beams with frontyards made of fishing nets.

Our boat dropped anchor off the shore of a deserted beach. We loaded our climbing gear onto kayaks and paddled over.

We scaled the jagged walls of Tiger and Moody's beaches in solitude, taking in the beauty of Halong Bay from the top of the vertical cliffs.

In addition to experiencing the bay's natural beauty, you can't help but stumble upon history.

We explored the island during a break between climbing routes and found a natural cave with a man-made concrete slab for a floor, most likely created as a hideout during the Vietnam War (or the American War, as it's known in Vietnam).

Although I never discovered the history of that exact cave, back on Cat Ba we toured another war-era relic with a local guide.

Hospital Cave is a three story, bomb-proof structure built into a natural cave. It was a hospital and a safe house for the Viet Cong during the war, complete with a kitchen, surgical rooms and a theater.

We also traded $8 cash for two motorbikes (no rental agreement required) and sped up the windy, lush road to Cannon Fort.

Cannon Fort was built in the 1940s and later used during the war. Two cannons remain hidden in its crevices, and it's a spectacular place to take in a sunset.

High class in Hoi An

After braving the traffic in the city and the cliffs (and jellyfish) of the bay, I deemed the last part of our trip as R&R time, and the ancient city of Hoi An did not disappoint.

Most port cities in Vietnam have met one of two fates: They have either grown into large industrial harbors such as Da Nang or shriveled over time.

Hoi An is different. Its narrow streets with lantern-lit storefronts and a fusion of various styles of traditional Asian architecture give it a quaint feel.

Two of the city's specialties are clothing and food. The first you can get made to order. The second you can make yourself.

Every other storefront in the old town is a tailor's shop where you can design your own clothing, pick the fabrics and have it sewn overnight. If you find the right tailor, you can walk away with quality, high-style clothing made to fit at big-box store prices.

As for the food, Hoi An is a unique blend of northern and southern flavors with specialties such as white rose dumplings and the Hoi An pancake. Many of the cafes offer cooking classes so you can master the flavors of the city and take them home with you.

Our cooking class started with a tour of the local market, where we picked up a few fresh ingredients and learned about the local food culture. It turns out turmeric will cure all that ails you, according to Vietnamese tradition, and durian -- a very smelly fruit -- is an acquired taste.

After a leisurely boat ride, we arrived at the Red Bridge Cooking School. Under its thatched portico, we learned to make rice paper and spring rolls, cook in a clay pot and fry Banh Xeo, a shrimp and rice pancake.

Trying to re-create that rice paper turned into an epic disaster back in the States, but for an afternoon, we were masters of the trade.

Not for everyone, not forever

From the madness of Hanoi to the untamed beauty of Cat Ba -- each of our destinations offered a unique glimpse into Vietnamese culture.

It's not for everyone, but for those willing to brave the unknown, the country is ripe with untapped adventures.

Hurry though. Sprawling resorts are popping up, and the booming tourism business has many young people learning how to cater to the nuances of Western culture more often than celebrating their own.

Vietnam is a country on the cusp. In another decade, it may be a cookie-cutter tourist oasis. But for now, the spirit of Vietnam remains.

@highlight

A first-time visit to Vietnam includes rock climbing and cooking school

@highlight

Cat Ba, a backpacker's island paradise, is an affordable getaway in Halong Bay

@highlight

Experiencing Hanoi means embracing the chaos at street level