Editor's note: Rep. Jared Polis, a Democrat, represents Colorado's 2nd Congressional District and is appearing in CNN.com's "Freshman Year" series along with Rep. Jason Chaffetz, a Republican from Utah.

Jared Polis says America's immigration system is broken and urgently needs reform.

(CNN) -- Twelve-year-old Josh Garcia courageously took the stage. Fighting back tears, he told how he came home from school one day to find that his father had been taken into an immigration detention facility.

His father, an entrepreneur who had created dozens of jobs, was "exactly the kind of person we want in this country." And there wasn't a dry eye in the place as this young American boy told the audience how the next time he saw his father, he was traumatized to find him "in a prison" surrounded by men with guns.

On June 13, I sponsored an immigration town hall in my home state of Colorado to discuss the harm our broken immigration system is causing American families and the urgent need for comprehensive immigration reform.

More than 1,600 attendees, including representatives from Protestant, Catholic, Jewish and Muslim faiths, filled the Immaculate Heart of Mary Parish Center in Northglenn and spilled outside onto the lawn in the hot June sun.

Catholic Archbishop Charles Chaput -- despite our many differences -- joined me onstage to urge people of faith to stand up for immigration reform. The audience listened with rapt attention as Josh and several other Americans directly impacted by our broken immigration laws recounted their haunting tales.

Our current immigration system is broken and greatly in need of reform. In order to create real, long-lasting reform, we must create a pathway to legal status for the millions of undocumented immigrants who have made lives for themselves and their families in the United States. It is essential for our national security to know who resides within our borders.

And this phenomenon is not unique to Colorado; throughout the country, Americans agree that it is time to reform our broken immigration system.

According to a recent poll of 1,000 voters by the Benenson Strategy Group, more than eight in 10 Democratic, Republican and independent voters support Congress passing comprehensive reform, as do 86 percent of voters who are undecided on the 2010 congressional race. Only 14 percent oppose the reform.

Americans agree that comprehensive immigration reform is fair to both taxpayers (81 percent agree) and illegal immigrants (79 percent agree), and 91 percent agree that the comprehensive proposal would help taxpayers by making illegal immigrants pay taxes.

If we secure our borders and crack down on employers who illegally hire, and deport illegal immigrants who have committed crimes, nearly seven in 10 (68 percent) voters argue that the remaining 12 million illegal immigrants should be required to register, meet conditions and eventually be allowed to apply for citizenship. A whopping 62 percent of self-identified Republicans say they should be allowed to stay and apply for citizenship.

Clearly, Americans agree that the economic and national security burdens placed on state and local governments -- not to mention the incredible hardships placed on immigrant families -- because of the failures of federal immigration policy are unfair and that we desperately need meaningful reform. It is rare to find this kind of across-the-board consensus, and it indicates that rather than demagoguery, the American people want action.

Our town hall's other special guest, my colleague Rep. Luis Gutierrez, D-Illinois, formed the United Families movement. It works to bring diverse groups to the table from faith-based organizations, civil rights groups, unions and businesses to demand comprehensive immigration reform.

Thanks to their leadership, progressives and conservatives in Colorado and across the country are working to urge President Obama and Congress to take it up this year.

Amnesty alone is not the solution. We need real reform. We tried amnesty in the late 1980s, and because we never took serious steps at enforcement, we wound up in precisely the same predicament 20 years later. If all we do is pass amnesty, we will likely be having the same debate again a few years.

Likewise, the "enforcement-only" policies of the past few years have failed and have resulted only in even more illegal immigration and the separation of American families. Trying to enforce our out-of-touch laws is as foolish and impossible as trying to enforce a law requiring that water flow uphill.

The good news is that we can solve this issue. We can pass practical comprehensive immigration reform. Crafting a solution to this complex problem will require a debate, which should begin without delay. Citizens and elected leaders of this great nation must realize our common goal of putting an end to illegal immigration and demand immigration reform now.

We are a nation of immigrants. Our diversity has always been our strength. We should be thankful that we have even have this problem to consider, thankful that America continues to be a beacon of hope and liberty, and thankful that the best and brightest from across the globe are fighting to start a better life in our country and take part in the American dream.

The opinions expressed in this commentary are solely those of Jared Polis.

@highlight

Jared Polis: America urgently needs to reform broken immigration system

@highlight

He says the public supports comprehensive immigration reform

@highlight

America's strength comes from being a nation of immigrants, Polis says