(CNN) -- The big hardware unveil at Monday's Apple press event was the new Mac Pro, a sleek cylindrical desktop computer and the most powerful machine Apple has ever built. It was the announcement that prompted Apple executive Phil Schiller to exclaim, "Can't innovate anymore, my ass."

It also costs thousands of dollars and is way more machine than most people will ever need.

The Mac Pro is aimed at a narrow market of professionals such as photographers, videographers, designers and animators. Since the line was first announced in 2006, the Pro has received relatively few upgrades compared to the rest of Apple's product line. The company has been busy focusing on its hit consumer and mobile devices, leaving many professionals wondering if they were being left behind.

For people using the desktop computers in their businesses, the external look of a Mac is often secondary. So periodic internal improvements to the old tower design were enough to keep them satiated. Others had already abandoned the Pro line as the iMac and MacBook Pro became powerful enough to meet their photo- and video-production needs.

For the remaining power users, reaction to the new Mac Pro is mixed. And the future of the computer, which is 2.5 times faster than the current model, is still unclear.

CNNMoney: Apple's ultimate Mac is bizarre and beautiful

First things first: The new Pro is a design marvel compared to its clunky predecessor -- a sleek, black cylinder that bears little resemblance to computers as we've traditionally imagined them.

It's smaller and cannot be expanded and customized as much as the previous system. Apple has built a machine so unique that people who want to add to it will end up building out, adding components like hard drives and PCI cards externally.

To make that expansion possible, the industry must first embrace the Thunderbolt input-output standard.

For example, it's no longer possible to pop in standard video cards. Mac Pro users will have to either get cards that fit the custom shape of the new computer or plug them into the computer using a Thunderbolt 2 connection.

"It's either going to change the way computers are built, or it will fall by the wayside," said Tony Welch, the creative services director at the Beyond Pix production studio.

Welch is excited about the new product and hopes to upgrade his studio's systems, but he hopes Apple's "risky" bet to depend heavily on Thunderbolt for expansion pushes the companies that make hard drives, PCI cards and other peripherals to support the connection technology.

But Chris Layhe of CLAi, a San Francisco post-production studio, is less impressed.

"Basically, it's two Mac Minis tied together in a cylinder," he said. "It's a load of rubbish. The things that we need in the film and video business, everything's dependent on cards."

Apple adding "kill switch" to iPhones

Users of the new Mac Pro may want to stray outside Apple's closed system. Layhe, who has been shooting and editing film for 28 years, has seven Macs at his company. He is in the process of building a "hackintosh" -- a custom PC that uses the same cards and boards found in a Mac that can run Mac software, but has more USB slots and can take additional cards. These unofficial systems can cost as little as $1,500 to build.

"We don't want to switch to PC because a lot of the software we use is Mac only, and we've been Mac users for a long, long time," said Layhe, adding that all his backups and stored video are Mac compatible.

Launched in 2006, the Mac Pro is one of Apple's priciest products, starting at $2,499 for the most basic setup. Many creatives who need to squeeze the maximum amount of power out of their machines get custom Mac Pro configurations, which can go as high as $12,000, not including monitors or accessories.

A price hasn't been announced for the new Mac Pro. Monday's unveiling was just an early preview, and the computer won't be available until later this year.

Pro users are a small part of Apple's business. Only 19% of the company's revenue in the first quarter of this year came from Macs. That's just shy of the 21% it made selling iPads and a far cry from the 49% it made on the iPhone.

When Mac Pros were struggling, it was creatives who gave the brand some of its respectability and a cool factor. For now, they are enjoying a rare bit of attention from Apple and hoping for the best.

"We're all glad that they came out with a Pro tower at all," Welch said. "I think we were all fearful that they would abandon the pro community."

Apple arrives (late?) to music streaming

@highlight

Apple previewed its new Mac Pro desktop computer on Monday

@highlight

The new design is striking but offers fewer options for expansion

@highlight

For creatives to switch to the machine, third-party companies must embrace Thunderbolt

@highlight

The Mac Pro is one of Apple's priciest products, starting at $2,499 for the most basic setup