(CNN) -- As many as 20,000 Syrian refugees have flooded Jordan in just the last few days, the nation's foreign minister and refugee officials said Wednesday, straining resources amid warnings from international aid organizations to prepare for a prolonged humanitarian crisis.

A day before, two children died in the Zaatari refugee camp, the largest in Jordan. The deaths sparked a small protest among refugees, whose patience has been tested in recent weeks by heavy rains, flooding and extreme cold in the desert camp about 15 kilometers (9.3 miles) from the Syrian border.

Read more: Envoy: 2013 could bring 100,000 deaths in Syria

The refugees are fleeing the ongoing violence in Syria, where the United Nations estimates at least 60,000 people have died in 22 months of fighting between government forces and rebels seeking to depose President Bashar al-Assad.

As many as 20,000 refugees have arrived in Jordan in just the last three days, the state-run Petra news agency said.

Read more: Crisis in Syria: The Refugees

Jordanian Foreign Minister Nasser Judeh described the numbers -- 350,000 Syrian refugees since the conflict began -- as "staggering."

"This is obviously a reflection of the level of violence in southern Syria, and there will probably be more in the next few days," he said. "We are getting aid -- we are getting aid from Arab countries, from Western countries, from international organizations. It is still not enough, given the numbers that are coming in."

Last week, the International Rescue Committee warned of a "protracted humanitarian emergency" in Jordan, Lebanon, Turkey and Iraq, which have absorbed about 600,000 Syrian refugees since the conflict began.

Read more: Syrian children struggle in refugee camps as winter tightens its grip

While caring for refugees living in camps is an enormous task on its own, the group noted that in Jordan and other countries, a majority of Syrian refugees are living outside of camps -- in cities and towns where social services, schools and even trash and waste systems are ill-equipped to meet the needs of a suddenly inflated population.

In Jordan, about 80% of refugees are trying to make their way in cities and towns, Judeh and the International Rescue Committee said.

Read more: Syria's 'urban refugees' struggle for survival

In many places, the IRC said, the influx of refugees has pushed up rents while pushing down the going rate for day labor and other jobs available to refugees. Education for children is also an issue, the agency said.

"Even if the conflict comes to a swift end, Syria will emerge in ruins -- its social and civic fabric in shreds, its economy and infrastructure devastated and its population scattered throughout the country and region, potentially unable for months if not years to return to their shattered communities and resume normal life," the ICR warned in its report on Syrian refugees last week.

The group called for a "massive increase in humanitarian assistance" to avoid a catastrophe.

U.N. Emergency Relief Coordinator Valerie Amos also called on donors to help, saying she hoped a January 30 conference in Kuwait would yield some of the $1.5 billion in aid requested by humanitarian groups. That money would help Syrians displaced within their own country and those who have fled to neighboring nations for six months, she said.

"If we do not receive these funds, we will not be able to reach the poorest and most vulnerable families who so desperately need our help," she said.

Read more: Syrian refugees in Turkey: Police are forcing us from homes

"Donors need to step up, recognize the severity of the humanitarian crisis in and around Syria and face the virtual inevitability that this is going to get much worse and last much longer than initially anticipated," John Holmes, the co-chairman of the IRC's UK board of directors, said last week.

In Zaatari, in Jordan's northern desert, about 60,000 people have sought refuge from the violence raging in their country.

Nearly 3,000 people arrived Wednesday, the United Nations High Commissioner for Refugees said.

That brings the total number of refugees arriving in Jordan so far this month to 26,500 -- up 60% from December. And there's still another week's worth of refugees to come, said Aoife McDonnell, a Jordan-based spokeswoman for the UNHCR.

Many of the refugees had to abandon their belongings on the trip across the border, in some cases to be able to carry their children through muddy, freezing conditions.

"They're often arriving freezing, their clothes are wet," she said.

Enterprising Syrian refugees, many of whom arrived with nothing, have set up their own retail avenue amid dusty tents and prefabricated metal shelters, providing a small source of income and -- perhaps more importantly -- something to do to stave off the boredom and discomfort of camp life.

Refugees are selling everything from food to clothing and household items donated by Jordanians, she said.

Read more: Syrian refugees on run: 'I want people to feel our pain'

Many are living in tents, but Arab nations recently donated 3,000 prefabricated metal shelters called caravans for use by residents.

The camp has nine health facilities with 42 doctors treating everything from internal ailments to eye disorders, McDonnell said.

And on average, five babies are born each day there, she said.

Still, the camp has been the focus of what the International Rescue Committee called "unending criticism from its occupants." Refugees have endured harsh cold and flooding that not only made life miserable by swamping tents, but also made it difficult to deliver water and supplies, UNICEF said.

McDonnell acknowledged that tensions have sometimes run high in the camp, especially during bad weather. But she said most families are just glad to be out of Syria.

"By the time the refugees arrive to Jordan, I think they're extremely grateful for the safety," she said.

146 killed in fighting in Syria; Patriot system started in Turkey

Back in Syria, the opposition group Local Coordination Committees reported that 146 people, including 15 children, were killed Wednesday in fighting. Twelve injured Syrians were taken across the border into Turkey for treatment, but two of them died of their wounds, Turkey's state-run news agency TRT said.

Syria's Health Ministry said Wednesday will order public hospitals to treat the injured quickly and for free as part of an ongoing health project, according to the state-run news agency SANA.

Also in Turkey Wednesday, the installation of the Patriot air defense system began in the southern city of Kahramanmaras, according to the semi-official news agency Anadolu.

How Syria's bloodshed drove a peaceful protester into the battlelines

CNN's Mohammed Jamjoom and Samira Said contributed from Amman, Jordan; Nick Paton Walsh contributed from Istanbul; and Michael Pearson wrote and reported from Atlanta.

@highlight

NEW: 146 killed in fighting in Syria Wednesday, opposition group reports

@highlight

Flow of Syrian refugees fleeing into Jordan up 60% over last month, officials say

@highlight

The numbers are "staggering," Jordan's foreign minister says

@highlight

Aid group warns of a looming humanitarian crisis