Washington (CNN) -- With more than a dozen lawmakers absent due to travel delays caused by bad weather, the U.S. Senate postponed until Tuesday a key procedural vote on a politically charged proposal to extend long-term unemployment insurance affecting some 1.3 million Americans.

Senate Majority Leader Harry Reid received unanimous approval for a postponement from both parties just before the chamber was scheduled to hold the test vote on the first partisan showdown of the new year on Monday evening.

Backers of the bill to extend long-term unemployment benefits were nearing the 60 votes they need to clear the procedural vote.

Four Republicans said Monday they will join the 55 members of the Democratic caucus to vote to begin debate on the bill. But that's still one vote shy of the 60 votes needed to overcome a Republican filibuster.

GOP aides and senators differed on whether any other Republicans would vote for the measure.

The vote is scheduled for Tuesday at 10:30 a.m.

Big moments on Capitol Hill from here on out should be viewed through the lens of November's midterm elections, especially in the Senate, where Republicans are aiming to retake control.

Extending benefits is a political priority for congressional Democrats and President Barack Obama, who is trying to make income equality a centerpiece of his second term. Obama reached out to several GOP senators to try to persuade them to support the bill.

Many Republicans argue a $6.4 billion extension would hurt the economy and act as a disincentive to job creation. Others members of the GOP have signaled they might back an extension if the cost is offset elsewhere in the budget.

Sen. Mark Kirk of Illinois, a Republican who often works across the aisle, got a call from Obama but missed it because he wasn't in the office. Kirk said he wants to help people but insisted Congress must find a way to pay for the measure.

"I, obviously, have people in my state who would benefit. The better way to go is to not add to the deficit in an irresponsible way," Kirk said.

Sen. Susan Collins, R-Maine, is one of the four Republicans who said she would vote to begin debate on the bill. However, she wouldn't rule out blocking it later if cost offsets aren't added.

"I want us to get on the bill so we can talk about an offset to pay for it. Ultimately, I think we should restructure the unemployment compensation program so it's more closely linked to job training for the long-term unemployed whose jobs probably are not coming back," she said.

The other three Republicans are Dean Heller of Nevada, a co-sponsor of the bill, Lisa Murkowski of Alaska, and Kelly Ayotte of New Hampshire.

Democrats see themselves in a win-win position on the test vote. They could build momentum for the bill if Republicans back it. They get a political weapon if Republicans don't.

Seventeen senators absent

In remarks just before the vote was to have been held, Sen. John Cornyn of Texas, the No. 2 Republican, noted that 17 members were not in the chamber and urged that the proceedings be delayed "so we can have a real debate" and decide how to pay for the extension.

Republicans and Democrats alike were delayed by rough winter weather that plunged the Midwest and much of the South into a deep freeze, triggering widespread travel delays.

Sen. Lindsey Graham tweeted that his commuter flight to Washington returned to South Carolina shortly after takeoff due to a possible engine problem and made a safe emergency landing.

Benefits expired

Benefits for the long-term unemployed expired last month after Congress opted not to continue a 2008 recession-era law providing nearly a year of payments, footed by U.S. taxpayers, that kicked in when state jobless benefits ran out.

Democrats insist the program is critical to help Americans who are struggling and to maintain the economic recovery.

Republicans argue that the program -- which the Congressional Budget Office estimates would cost $26 billion to continue for another year -- is costly and is a disincentive to looking for work.

The U.S. unemployment rate stood at 7% in November, the most recent Labor Department statistics show. That means more than 10 million people were out of work, a third of them without a job for at least 27 weeks.

Obama: Extend unemployment insurance

Over the weekend, key Republicans, including potential 2016 presidential candidate Sen. Rand Paul of Kentucky, insisted that an extension must include cuts elsewhere to offset the cost.

"I'm opposed to having it without paying for it," Paul said on ABC's "This Week." "I think it's wrong to borrow money from China or simply print up money for it."

House Speaker John Boehner will insist on such offsets before agreeing to an extension, a spokesman for the Republican leader said.

Obama supports passage

During his weekly address over the weekend, President Obama underscored that failing to pass an extension could result in a drag on the economy.

New year, same old fight over jobless benefits

"It actually slows down the economy for all of us. If folks can't pay their bills or buy the basics, like food and clothes, local businesses take a hit and hire fewer workers," he said.

While Reid is optimistic about reaching the 60 votes to begin debate, conservative interests are applying heavy pressure and keeping score.

The Club for Growth urged all senators to vote "no" on the proposal and cited the lack of spending offsets.

"Congress should end the federal unemployment insurance program and return the authority back to the states, which already have programs in place," the group said.

"Absent this, Congress should pay for this extension by cutting spending elsewhere in the budget. After six years, an extension can no longer be called an 'emergency' with any credibility. There is plenty of waste in the federal budget from which to find an offset," it said.

CNN's Alan Silverleib contributed to this report.

@highlight

NEW: Vote is postponed with 17 Senators not present; rescheduled for 10:30 a.m. Tuesday

@highlight

Unemployment insurance is first partisan showdown in Congress for 2014

@highlight

Republicans won't support measure without cuts elsewhere to offset the cost

@highlight

Democrats are pushing the three-month package; President Obama supports it