After five years in captivity, Sgt. Bowe Bergdahl is free. But that's hardly the end of the story. While the Idaho man's friends and family and the Obama administration are hailing his release, the deal that set him free is getting heat from critics who say Bergdahl is a traitor who cost American lives and those who say the deal could cost American lives in the future.

A captive U.S. soldier returns home ... sounds like a good thing. Why are some people so upset?

Some fear that the deal will encourage hostage-taking and open a new era in which the United States has to negotiate with terrorists. Others say the administration may have broken the law by failing to notify Congress that it was letting terror detainees free from the military prison at Guantanamo Bay, Cuba. Still others -- many of them Bergdahl's fellow soldiers -- are queasy about the whole thing because of the questions that continue to swirl around his disappearance and claims that he may have deserted his post.

Don't other countries make such swaps? Hasn't the United States?

Of course. Prisoner exchanges have been a feature of many U.S. conflicts going back to the Revolutionary War. And no student of Cold War history could overlook the exchange of U-2 pilot Francis Gary Powers for a Russian spy in 1962, or of the several cloak-and-dagger spy exchanges conducted on Germany's Glienicke Bridge. Other countries, notably Israel, have also been known to negotiate prisoner swaps to gain the release of captive soldiers.

One controversy here is a U.S. law that requires the administration to give Congress notice 30 days before releasing any detainees from the military prison at Guantanamo Bay. National Security Adviser Susan Rice said Sunday on CNN that the "acute urgency" of Bergdahl's failing health and what she described as a narrow opportunity to win his freedom justified making the move without notifying Congress.

On Monday, White House Chief of Staff Denis McDonough defended the administration's handling of the negotiations, saying Congress had known for years of negotiations for Bergdahl's release, including the possibility that detainees might be released.

But several U.S. lawmakers on Monday criticized the White House's approach.

Sen. Dianne Feinstein, chairwoman of the Senate Intelligence Committee, told reporters on Capitol Hill Monday that lawmakers on her committee should have been given a heads-up about the prisoner swap.

"We had participated in a number of briefings some time ago, and there (were) considerable concerns," the California Democrat said.

Rep. Mike Rogers, chairman the House Intelligence Committee, said he planned to look into whether Obama broke the law by not notifying Congress 30 days in advance.

"I think it certainly merits further review, and that's what I'm going to do to make that determination," the Michigan Republican told CNN's Wolf Blitzer. "It certainly doesn't smell right to me."

So who is this guy, and how did he wind up getting captured, anyway?

Friends describe him as a trustworthy and outgoing world traveler who joined the Army in 2008. How he ended up captive remains a bit of a mystery. U.S. officials have declined to go into detail, but soldiers in his platoon say he was pulling guard duty when he put down his weapons and walked off base. He reportedly had sent e-mails to his parents denouncing U.S. activities in Afghanistan, according to 2012 reporting by late Rolling Stone reporter Michael Hastings.

What are the soldiers who served with him saying?

Bluntly, they resent any talk of Bergdahl as a hero. They say he's a deserter who should be put on trial, especially in light of the deaths of at least six U.S. soldiers killed while looking for him.

"I was pissed off then and I am even more so now with everything going on," said Matt Vierkant, who was in the same platoon as Bergdahl. "Bowe Bergdahl deserted during a time of war and his fellow Americans lost their lives searching for him."

"I don't understand why we're trading prisoners at Gitmo for somebody who deserted during a time of war, which is an act of treason," Vierkant said.

Are they right? Was he a deserter?

U.S. officials aren't saying that, at least not directly. When asked about the issue Sunday, Defense Secretary Chuck Hagel sidestepped the question. "Our first priority is assuring his well-being and his health and getting him reunited with his family," Hagel said. "Other circumstances that may develop and questions, those will be dealt with later."

On Monday, Pentagon spokesman Adm. John Kirby said U.S. officials "still don't have a complete picture of what caused him to leave his base that night."

"But let's not forget, he was held captive as a prisoner for five years. Five years by himself," Kirby said. "That's a pretty high price to pay for whatever impelled him to walk off that base."

So what's next for him?

He's at an American military hospital in Germany being evaluated by doctors and facing a lengthy repatriation and reintegration process.

He's in stable condition "receiving treatment for conditions that require hospitalization," Landstuhl Regional Medical Center said in a statement. Beyond saying he requires attention to "dietary and nutrition needs," the hospital didn't elaborate, citing medical privacy requirements.

"The Landstuhl staff is sensitive to what Sgt. Bergdahl has been through and will proceed with his reintegration at a pace with which he is comfortable," the hospital said.

Those in charge of treating Bergdahl are working to build up his confidence in them, a senior Defense Department official said, noting that Bergdahl hasn't been able to trust anyone for five years.

Doctors in Germany are evaluating his health and whether he's ready to be transported, said Arwen Consaul, a spokeswoman for U.S. Army South.

Once doctors give the OK, a receiving team will travel there to facilitate his transport to Lackland Air Force Base in San Antonio, Texas. From there, he'll head to the San Antonio Military Medical Center, where a room is already ready for Bergdahl and a support team is standing by, Consaul said.

He hasn't yet talked to his family, Kirby said.

"That will obviously occur, but it won't occur until I think everybody believes it's the right time," he said.

The first meeting between Bergdahl and his parents may only last minutes, Consaul said, depending on what psychologists recommend.

Once in the United States, she said, Bergdahl's daily routine will focus on four key areas: medical care, psychological support, debriefings and family support.

"This is to help a person who has had no control of their own life for years now regain that control step by step," she said.

Is it true he's having trouble speaking English? Why?

Yes, according to a senior Defense Department official, but the reasons for it aren't clear.

It may be that he hasn't used English since he was captured, instead speaking to his captors in Pashtun, the local language.

Roy Hallums, a private contractor held by Iraqi insurgents for 10 months, said he didn't have trouble readjusting to English, but said he couldn't talk for a while because he had been forced to stay silent under threat of death.

"It's like your vocal chords are like your muscles in your arms. If they don't get any use, they get out of shape," he told CNN's "New Day."

What about these detainees the U.S. let go? Should we worry about them?

According to senior U.S. officials, they're mid- to high-level officials from the Taliban regime that ruled Afghanistan when the United States invaded the country. They include figures said to be linked to the late terror leader Osama bin Laden, his al Qaeda terror network and to abuses inside Afghanistan during the Taliban's rule.

But Kirby said Monday that U.S. officials have received assurances from Qatari officials that the men "were not going to pose a direct threat to the national security of the United States."

He declined to go into detail, but according to a senior defense official, they will be subject to Qatari supervision and a one-year travel ban.

Should we expect any more prisoner swaps or releases?

There aren't any other U.S. military personnel being held, so there won't be any more swaps involving troops, at least. But it's possible that Bergdahl's release presages a broader release of Afghan citizens from Guantanamo Bay, said CNN terrorism analyst Peter Bergen.

"At the end of hostilities, both sides typically swap prisoners, and we're coming to the end of conventional hostilities between these two groups," he said.

The State Department said Monday that the swap for Bergdahl doesn't set a precedent for other detained U.S. military or diplomatic personnel, like former State Department contractor Alan Gross in Cuba or Korean-American missionary Kenneth Bae in North Korea.

"We look at each case differently," State Department spokeswoman Jen Psaki told reporters.

Bergdahl "is a member of the military who was detained during an armed conflict. That, obviously, is a unique circumstance," she said. "In any case, whether it's Alan Gross or Kenneth Bae or others who are detained American citizens, we take every step possible to make the case and to ... take steps to ensure their return home to the United States."

What's next for Bergdahl?

Fellow soldiers call Bergdahl a deserter, not a hero

@highlight

Feinstein: Lawmakers should've gotten heads-up about prisoner swap

@highlight

Rogers: Decision to swap prisoners without telling Congress "doesn't smell right"

@highlight

Soldier's release generates controversy and questions

@highlight

Some say the deal puts Americans at greater risk; others question Bergdahl's disappearance