(CNN) -- Energy giant BP will hold a worldwide moment of silence Wednesday for the victims of last week's hostage crisis at an Algerian gas plant, with its CEO saying employees "fear the worst" for four colleagues still missing.

Nearly a week after Islamic militants seized the In Amenas facility in the Sahara Desert, families and governments around the world were waiting for the Algerian government to provide a full accounting of the dead and missing. Algerian authorities say five workers are still missing after its special forces stormed the compound in a bloody weekend raid that left most of the terrorists and their remaining captives dead.

Read more: Power struggle: The North African gas industry targeted by militants

The plant is run by Algeria's state oil company, in cooperation with foreign firms such as Norway's Statoil and Britain's BP. Tuesday night, BP CEO Bob Dudley said four of its 18 employees at the plant remain unaccounted for, and "It is with great sadness that I now have to say that we fear the worst for them all."

The company said its offices worldwide will hold a minute of silence Wednesday "as a mark of respect for all of those who lost their lives at In Amenas."

At least 37 hostages were killed in the four-day ordeal, which began December 16 and ended Saturday.

"Many of us have friends and colleagues, both in BP and in other companies, who have worked at In Amenas or in similar facilities," Dudley said in a company statement. "We are all thinking of our missing colleagues, those who endured the ordeal and their loved ones."

The plant employed about 790 people, including 134 foreign workers -- among them Victor Lovelady, one of three Americans known to have been killed.

Family members said Lovelady, ever the family man, was excited about the job. He got 28 days off for every 28 days he put in, time he could spend with his wife and two children in Nederland, Texas.

Yes, it was in a remote natural gas facility in Algeria, but Lovelady assured his family it was safe. And it was in Africa, a place the 57-year-old seemed to love.

"He felt something there," his daughter, Erin, told reporters Tuesday. "He was so excited to go there. I don't really know why, but he just loved it."

But 10 days after he returned to the complex from a visit home, terrorists sped in on pickups, overtook the compound and made hostages of its workers.

"It's just unfair," Lovelady's brother, Mike Lovelady, said Tuesday. "My brother didn't deserve to die."

In addition to Lovelady, Americans Gordon Lee Rowan and Frederick Buttaccio also died. Seven U.S. citizens survived the crisis, the State Department said. It did not elaborate, citing privacy concerns.

Like Lovelady, Rowan, too, felt safe working there.

He said "we're in a compound in the middle of nowhere, and we've got security, and I'll be fine," Rowan's former neighbor, Gwen Eckholm, told CNN affiliate KNXV-TV in Phoenix. "I guess you can't really be secure any place."

Opinion: Algeria hostage crisis shows jihadists on rise

Meanwhile, Algerian authorities hailed as a hero the only one of their compatriots among the hostages who died in the attack. While few details about his contribution were available Tuesday, Algerian authorities said he had raised the alarm that allowed plant workers to shut down operations and go into hiding.

Militants shot the man between the eyes just as he alerted plant workers of the attack, Algerian Prime Minister Abdelmalek Sellal said.

Al Qaeda in the Islamic Maghreb, the North African branch of the terrorist movement, has claimed responsibility for the attack. In Washington, State Department spokeswoman Victoria Nuland said that U.S. officials "don't have any reason to doubt" the group's involvement.

Nuland said Washington has no reason to believe any Americans are among those still unaccounted for.

Algeria said the attack was retaliation for its decision to let France to use its airspace for an offensive against Islamist militants in neighboring Mali. But regional analysts said that would appear to be unlikely; the operation was too sophisticated to have been planned in the few days between France's intervention in Mali and the attack on the gas plant less than a week later.

The Algerian government has said the attackers came from Algeria, Tunisia, Egypt, Mali, Niger, Canada and Mauritania. U.S. and Algerian officials are still trying to confirm the identities of those involved, according to a federal law enforcement official -- and it was unclear whether the terrorist identified as a Canadian was carrying authentic or false identification.

"The level of co-operation between two countries has been good," the official added.

The FBI has additional investigators in Algeria, where there is an established legal attache office, but authorities declined to say how many agents are there or identify their location.

KBMT: Family seeks answers after Nederland man killed in Algeria

Algerian officials said the attackers drew on the expertise of a driver from Niger who had once worked at the plant. One former hostage, Mohadmed Aziri, told state-run Chinese broadcaster CCTV about militants flooding into the compound, taking it over bit by bit, searching door to door for workers. He also described rescue efforts.

"The experience was too terrible. I heard the sounds of gunshot, bullets hitting doors," he told CCTV. "I heard the governmental forces and terrorists fighting in the distance. Judging from the sounds of gunfire, the fighting was very intense."

The Algerians initially moved in on Thursday after concluding the militants planned to blow up the gas installation and flee to Mali with the foreigners as hostages. The incursion succeeded in freeing some hostages -- but not all -- and several of them died.

Lovelady survived Thursday's raid. And if his family knew him at all, he was likely biding his time, coolly trying to find a way to help himself and others out of the unthinkable predicament they found themselves in.

'We felt in our hearts that he was coming home'

"He wouldn't be the person who is crying and screaming and begging," Erin Lovelady said. And after the initial exhilarating news, the family felt sure he would pull through.

"We all believed, we felt in our hearts that he was coming home," his daughter said.

But then, on Saturday, Algerian special forces backed by helicopter gunships raided the plant for a second time. They finished off the militants but were unable to save the remaining hostages. Militants may have executed them, Mike Lovelady said he'd been told.

The news, Erin Lovelady said, was "devastating."

Bloody Algeria hostage crisis ends after 'final' assault

Mike Lovelady said he's angry with the terrorists who took the compound his brother thought was safe, resulting in the deaths of people who had traveled there merely to make a better living for their families. But he said things maybe could have been different had Algeria allowed U.S. or British special operations forces to take over.

Maybe, Mike Lovelady said, the U.S. Navy SEALs or Britain's Special Air Service commandos could have taken out the militants while sparing the hostages.

"We all feel it could have been handled differently," he said.

However, Algeria's Interior Ministry said security forces were compelled to intervene quickly "to avoid a bloody turning point of events in this extremely dangerous situation." Officials said Monday that had the terrorists succeeded in blowing up the plant, it would have caused death and destruction in a 5-kilometer (3.1 mile) radius.

On Tuesday, U.S. officials reiterated their support for Algerian officials.

"The blame for this tragedy rests with the terrorists who carried it out," White House spokesman Jay Carney said.

Nations scramble to account for missing after Algeria hostage crisis

As the family awaits the return of Lovelady's body, and more answers about how he died, Mike Lovelady said he's determined not to let his brother's legacy die with him.

He said he intends to press Congress to keep up the fight against terrorism.

"I'll be angry for a long time," he said.

CNN's Ben Brumfield, Susan Candiotti, Ross Levitt, Yoko Wakatsuki, Hamdi Alkhshali, Greg Botelho and Michael Pearson contributed to this report.

@highlight

BP says four of its workers remain unaccounted for, and "we fear the worst"

@highlight

"I'll be angry for a long time," the brother of a Texas man killed in the raid says

@highlight

A former plant worker aided militant attackers, Algeria says

@highlight

The White House again backs the Algerian response