Kinshasa, Democratic Republic of the Congo (CNN) -- Sewage-lined streets, crumbling concrete homes and jagged sheets of metal are in stark contrast to the formally dressed man standing proudly in the middle of it all.

His name is Daniel Etienne. He grimaces into a Cuban cigar and happily sports two pairs of designer sunglasses; one straddling his eyes, the other tucked into his suit. He is a loyal and unapologetic member of "Les Sapeurs."

In this Kinshasa neighborhood, eight of them strut the congested streets, decked out in a wide-array of name brands; from Gucci and Christian Dior to G-Star and Yohji Yamamoto. Three-piece suits, shiny black leather shoes and flashy accessories are all part of an eccentric dress code -- and demeanor to match.

"I could use that money to help with the war that is happening in the East but [they're] so expensive it might hurt people's feelings," says Papa Griffes, of his pricey threads.

See also: Arise magazine: Africa's fashion bible

He describes himself as the "supreme commander of Les Sapeurs" or "Sap" for short. While he wouldn't admit to the actual cost, some Saps boast of spending $5,000 on a single suit. But in a country with one of the highest poverty levels in the world, how is a trend like this even possible or accepted?

Part of the performance put on by Sapeurs is showmanship, smoke and mirrors. Papa Griffes is actually a shoemaker and designer by trade so he stitches up and repairs each member's look.

His crew dresses up together just once a week, meeting first at Griffes's shoe-repair shack in the parking lot of a local bar before stepping out. It's also typical for Sapeurs to trade their expensive clothes with each other to keep up an appearance of affluence.

Still, the Sapeur following has cultural significance beyond the facade of fabric. Born out of gradual economic improvements leading up to independence, both the Democratic Republic of the Congo (DRC) and its confusingly named neighbor, the Republic of the Congo, broke free of Belgium and France's colonial grip respectively in 1960.

The capitals of Kinshasa and Brazzaville on opposing sides of the Congo River became centers for a new African francophone elite, flying to Paris and returning to show off sophisticated garments.

For the first time in the modern era, the Congolese were empowered after decades of brutality and economic subjugation enforced by foreigners. Papa Wemba, the famous singer credited with popularizing the Sapeur look with his group Viva La Musica, says inspiration partly came from his parents who took great pride in dressing up on Sundays back in the '60s, "always well put together, always looking very smart."

See also: African designers in the spotlight

Things changed in the DRC shortly after independence, when Joseph Mabutu assumed power, renamed the country Zaire and implemented a strict non-Western dress code.

Papa Wemba wanted to challenging the status quo -- not vocally, but visually. So he devised the acronym SAPE, roughly translated from French to mean "the Society of Atmosphere-setters and Elegant People." By dressing up his band in the SAPE style, the adoring Congolese crowds soon followed suit -- literally.

Since then, Sapeur swagger and the freedom of expression it represents have attracted legions of followers in central Africa and beyond.

By now they've earned an increasingly visible status in popular culture; Italian photographer Daniele Tamagni profiled them in his book "Gentlemen of Bacongo," The Wall Street Journal anointed them "the most unlikely fashionistas." They pop up in music videos and in the book "History of the Congo," the Saps are included in great detail. They are an important part of the Congolese story.

Papa Wemba invited CNN to one of his musical performances in Kinshasa being attended by Papa Griffes and company and it became obvious how serious this movement is today. A dapperly dressed Sapeur from a competing clique danced with a woman in front of Papa Griffes and afterward flung open his cape -- yes, cape -- kicking-off a fashion face-off.

What followed were multiple poses on the dance floor as each Sapeur defended his reputation. Labels were revealed, heads flung high and jackets swung around. In a country torn apart by colonialism, corruption, civil war and poverty, these men have found something refreshing in which they can take great pride.

They've also devised a sort-of entertaining conflict resolution that requires buttons instead of bullets, belts instead of bombs. In a very real way, we could all learn something from these special Congolese standouts: honor history, keep conflict resolution peaceful and never tell anyone how much you really paid for your fancy clothes.

@highlight

"Les Sapeurs" are a unique group of fashionistas who strut the streets of Kinshasa

@highlight

They wear expensive designer clothes, despite the poverty around them

@highlight

Famed musician Papa Wemba popularized the movement