Washington (CNN) -- The devastation wrought by Hurricane Katrina along the Mississippi coast was fresh in Haley Barbour's mind when he met with Sen. Thad Cochran and other members of the congressional delegation about aid in 2005.

"My first trip to Washington after Katrina, Senator Cochran said, 'You tell me what the state needs and I'll try to get it,'" Barbour told CNN. "He never deviated from that and ultimately he succeeded."

Cochran did it, Barbour and political observers said, by employing the same sort of quiet, persistence that has marked his 36-year tenure in the Senate. He worked behind the scenes, talking with colleagues, negotiating and eventually he was able to net $29 billion in relief money.

He also worked across the aisle with Democrat Sen. Mary Landrieu of Louisiana to reform the law governing federal disaster relief policies aimed at helping communities recover.

Their efforts helped ensure that the victims of broad devastation, such as the type seen after Hurricane Katrina and Superstorm Sandy in 2012, could get aid for housing and rebuilding.

"In our time of greatest need, he was the giant in the delegation for Mississippi," Barbour said.

Now, one of the longest serving lawmakers in Congress is facing a very different type of storm.

Cochran is a septuagenarian facing a serious challenge from arch-conservative Chris McDaniel, a state senator who is about half his age and has the grassroots support of the tea party, the Club for Growth and Sarah Palin.

The veteran lawmaker and his challenger both failed to eclipse the 50% threshold in the June 3 primary to avoid a runoff and will face off again on Tuesday.

Mississippi GOP primary heads for runoff

The stakes are especially high in Mississippi as the tea party reels from Republican primary setbacks in Kentucky and other states this spring.

Conservatives are hoping to oust another "establishment" Republican. They are buoyed by Virginia GOP primary's surprise defeat of House Majority Leader Eric Cantor by political newcomer, Dave Brat.

In Mississippi, the race leading up to the runoff turned ugly.

This month, police arrested political blogger Clayton Kelly after authorities said he broke into a nursing home where Cochran's wife, Rose, has lived for roughly 14 years and snapped pictures of the elderly woman which ended up in a political attack ad on YouTube, according to The Clarion-Ledger.

Both Cochran and McDaniel denounced the act, but the fallout has led to accusations of dirty politics through attack ads.

Blogger's arrest shakes up Mississippi Republican primary

"I think Senator Cochran is generally viewed positively by the electorate as a whole," said John Bruce, chairman of the University of Mississippi's political science department. "However, among those voters who are likely to take part in the Republican primary, his numbers are not as high."

Though the Cook Political Report and the Rothenberg Political Report both have the senate seat as remaining solidly in the Republican column, Stuart Rothenberg in April wrote: "Cochran, 76, is in trouble â€” in deep trouble â€” primarily because of changes in the Republican Party. But it's also true that the senator, and his campaign, didn't start his re-election effort where they needed to be."

Complete Coverage: 2014 Midterm Elections

That's partly because the very thing Cochran has cited as a strength: his tenure in Washington and power broker status, has been used by his tea party backed opponent to paint him as an antiquated Beltway insider.

In 2010, Citizens Against Government Waste, a non profit government spending watchdog group, dubbed Cochran the "king of earmarks" after he netted roughly $490 million for projects he favored.

Cochran has served as the chairman of the Appropriations Committee and the Agriculture Committee. In this role, he was able to help net federal funding for his alma mater, the University of Mississippi, for medical research, as well as money for defense contractors and protected the interests of Mississippi farmers, Barbour said.

"He has worked hard in the state to make sure Mississippi got its fair share," Barbour said.

Barbour's nephew, Henry, is an adviser to Mississippi Conservatives, a super PAC that is trying to get Cochran re-elected.

Still, the challenge from McDaniel has Cochran on the defense, Bruce said.

"I think McDaniel's campaign is a little bit of tea party, a little bit of personal attacks, and a little bit of ambition on McDaniel's part," Bruce said. "The mystery going forward is the magnitude of any impact from the photos of the senator's ailing wife."

Short-lived tea party victories?

The race's tenor seems a departure for someone who, friends like Barbour said, prides himself on being "a true gentleman."

"He is a true gentleman. He is gracious, never says anything bad about anybody," Barbour said. "He is a quiet, but very able colleague. He's always been held in very high regard by people in both parties."

Cochran's mother was a school teacher; his father was a principal. This educationally steeped environment helped shaped his core values, the lawmaker has told the media over the years.

Though he was a high school football star in Hinds County, Mississippi, he decided to join the cheerleading squad at the University of Mississippi â€” an experience he credits with his first taste of politics.

Key races to watch in 2014

"You had to go around to the different residence houses and fraternity and sorority houses and campaign, answer questions and make a little speech about why you thought you'd be a good cheerleader," Cochran told Roll Call in 2011.

Fellow Mississippi Republican and former Sen. Trent Lott was also an Ole Miss cheerleader a few years after Cochran.

Cochran followed his cheerleading stint with service in the Navy. He earned a law degree, practiced and also headed Richard Nixon's 1968 campaign in Mississippi.

Cochran was elected to the House in 1972, serving three terms before moving on to the Senate.

"I think he's a pragmatic politician that understands getting a half a loaf most of the time is better than never getting anything while you hold out for a whole loaf," Bruce said.

@highlight

Long time Mississippi senator has a tough runoff on Tuesday

@highlight

The race has gotten ugly -- blogger took photos of Cochran's bedridden wife

@highlight

Cochran says becoming a college cheerleader was first political race

@highlight

Critics say he's been in office too long and is out of touch