Joplin, Missouri (CNN) -- The tornado that struck Joplin, Missouri, Sunday killed 124 people, authorities said Tuesday, in what was the deadliest single U.S. tornado since modern record-keeping began 61 years ago.

An estimated 750 people have been treated at area hospitals, said Joplin City Manager Mark Rohr, who told residents of the tornado-ravaged town to be prepared in case a new wave of destructive storms strikes.

A tornado warning was issued, then canceled, Tuesday night for Joplin. The storm involved likely will pass well north of the city, said forecasters. They predicted Joplin could still get hit by strong wind gusts of more than 70 miles per hour.

On a brighter note, rescue workers pulled two more people alive from the rubble within the last 24 hours, Rohr said.

Also Tuesday, forecasters raised their assessment of the Sunday storm, ranking it at the top of the scale used to rate tornadoes.

The National Weather Service has determined the twister packed top winds of more than 200 mph, making it a 5 on the enhanced Fujita scale, said Bill Davis, the meteorologist who reviewed the damage.

Davis said the tornado left "about six miles of total destruction" in its wake. Examinations of some of the buildings destroyed or damaged convinced forecasters to raise the designation, he said.

Roughly 8,000 structures within the city of Joplin were damaged, Rohr said, citing a Federal Emergency Management Agency report. A previous estimate had put the number of buildings damaged or destroyed at 2,000.

Among the dead in Joplin were 10 residents and a staff member at a nursing home, a company official said.

Two other staffers at Greenbriar Nursing Home are in critical condition at a hospital, said the home's vice president, Bill Mitchell.

Of the other 79 residents of the home, all but one are accounted for, he said. Only rubble remains and survivors have been moved to temporary housing or are with family members.

"It just looks like a war zone," said Eddie Atwood in a CNN iReport from the scene. From where he stood, Atwood said, "You could see all the way to the horizon because all the houses and all the trees were just leveled."

"I was walking down Main Street. Everything was so razed over, it was disorienting because some of the streets -- you couldn't even tell where you were at. After living in Joplin all my life it was like living in the twilight zone."

Joplin is not in the clear yet as far as weather goes: The National Weather Service warned there is a chance of another tornado outbreak -- with the peak time ending at midnight Tuesday -- over a wide swath including parts of Texas, Oklahoma, Arkansas, Nebraska and Missouri.

Already Tuesday evening, at least four people were killed and many more injured when a deadly string of tornadoes and thunderstorms cut through central Oklahoma, officials said.

Joplin Police Chief Lane Roberts said the city was imposing a curfew Tuesday night in areas struck by the tornado to head off the threat of looting.

"The sole function is to reduce the opportunity for people to loot and steal, and we're hoping the folks who live in that area will cooperate with us," he said.

President Barack Obama announced he will visit the region on Sunday. "We are going to do absolutely everything we can to make sure they recover," he said during a visit to London. Obama added that he will let people know "the whole country is going to be behind them."

"We are here for you. We're going to stay by you," Obama said.

Richard Serino, the second-highest-ranking official at the Federal Emergency Management Agency, said Monday that Obama had issued a disaster declaration -- expediting the dispersal of federal resources to the area -- while vowing that "we are going to be here for the long haul."

City Manager Rohr told reporters Tuesday that more than 40 agencies were on the ground in the southwest Missouri city, and two first responders were struck by lightning Monday as they braved relentless rain and high wind searching for survivors.

"One, fortunately, walked away from it; the other one's still in the hospital, last I heard," Joplin Emergency Management Director Keith Stammer said on CNN's "American Morning."

About 1,500 people are still unaccounted for. But "when we open up the area and start letting them come back in ... that number of unaccounted for will start to dwindle," Stammer said.

Many of those 1,500 have scattered because of tornado damage and communication problems.

Joplin Fire Chief Mitch Randles said the second search and rescue effort basically follows the tornado's path. "We're searching every structure that's been damaged or destroyed in a more in-depth manner," he said. "The third search is going to be similar to that. And then the fourth search through will be with the search-and-rescue dogs."

Authorities encouraged people to use the website safeandwell.org, operated by the Red Cross, for updates on loved ones.

Some residents said the tornado struck suddenly.

"It all happened so fast," Rachael Neff said on CNN's "American Morning" Tuesday. "It seemed like forever but it happened very fast."

"We had a few minutes' warning. I've never taken any of the warnings seriously but something snapped in me and I put blankets and pillows in the bathroom. We were running to the bathroom. You could hear the home shaking, everything busting out."

Neff, her fiance, Zac Bronson, and her toddler prayed, screamed and survived.

"We've had a tremendous support system. Our employers, friends and family have been more than helpful and we move on and rebuild. We just start another life. We started a new life," Bronson said.

By Monday night, officials found 17 people alive. But many, including Will Norton, remain missing.

The 18-year-old was driving home from his high school graduation Sunday when the tornado destroyed the Hummer H3 he and his father were in.

"We were in a separate car. We were about 30 seconds in front of them, one block," Norton's sister, Sara, told CNN. "My dad called and he said, 'Open the garage door.' ... And then I just heard him say, 'Pull over, Will. Pull over.' And then they started flipping."

"My dad said -- when my dad gained consciousness, he said that he saw my brother -- his seat belt snapped and he was ejected through the sunroof," she added.

The family has been tracking a "Help Find Will Norton" Facebook page and pursuing leads on his whereabouts.

Norton's aunt, Tracey, said the family received a tip that the teen was listed on a local hospital's emergency room roster -- but she's not sure where he is now.

"They transferred him, but we're not sure where he was transferred," the aunt said. "When he was transferred, he was alive. We don't know anything other than that."

The tornado that carved through the city of about 50,000 on Sunday is the deadliest to hit American soil since the National Weather Service began keeping records 61 years ago. The National Weather Service notes seven deadlier twisters, but says those took place "before the years of comprehensive damage surveys," so they may have been the result of multiple tornadoes.

But the Weather Service does say that the Great Tri-State Tornado of 1925, which tore across southeast Missouri, southern Illinois and southwest Indiana, killed 695 people -- "a record for a single tornado."

A 1953 twister in Flint, Michigan, killed 116 people, according to the Weather Service.

Last month, two fatal twisters struck Alabama. One hit Hackleburg and the town of Phil Campbell, killing 78 people, and another struck Tuscaloosa and Birmingham, killing 61.

With crews still sifting through rubble, the death toll could continue to climb.

"I think the more time that goes by, the more I feel sick about it," Sarah Hale, a lifelong Joplin resident, said Tuesday. "These people are cold and sick and stuck. As the days go on, and the death toll goes up, how many funerals are we going to go to?"

Joplin Mayor Mike Woolston said Monday night that his community hasn't given up.

"We hope that there are people alive. We have a number of apartment buildings, complexes that are almost completely flattened. So we anticipate finding more people, and hopefully we'll get there in time to find them alive," he said.

The tornado chewed through a densely populated area of the city, eliminating a high school and making a direct hit on one of the two hospitals in the city.

Woolston pledged not to let the tornado ruin his city.

"This is just not the type of community that's going to let a little F-4 tornado kick our ass. So we will rebuild, and we will recover."

CNN's Chuck Johnston, Joe Sutton, Greg Botelho, Holly Yan, Marlena Baldacci, Mike Pearson, Jessica Jordan, Sean Morris and Barbara Starr contributed to this report.

@highlight

NEW: A tornado warning is issued, then canceled, for Joplin

@highlight

Roughly 8,000 structures sustained damage within the city

@highlight

750 people were treated at hospitals, an estimated 1,500 people are still unaccounted for

@highlight

The Sunday tornado was an EF-5 storm with top winds of more than 200 mph