(CNN)As the Ebola epidemic crept into Liberia in March 2014, a dramatic shift began to take place.

In a matter of months, the widespread belief that Ebola didn't even exist gave way to a gripping fear across Monrovia, the capital city.

When the decision was made to evacuate Peace Corps volunteers from Guinea, Liberia and Sierra Leone at the end of July, the agency worked quickly to ensure each volunteer returned safely to the United States.

This was not an easy operation as logistics and already-challenged roads had deteriorated with the full force of the rainy season.

Once we, as American and Liberian Peace Corps staff members, achieved our goal of seeing all volunteers safely back home, we began educating ourselves on the potential impact the Ebola virus could have in Liberia.

Our primary concern was keeping each other and the communities where we lived safe.

Monrovia's usual vibrancy became taut with fear as the epidemic spread.

Through an interagency partnership, Peace Corps Director Carrie Hessler-Radelet made the agency's resources available to the U.S. Centers for Disease Control and Prevention as they fought the Ebola epidemic at the grassroots level.

Peace Corps staff who remained in Liberia after the volunteers' departure could help CDC experts build local support in the affected areas, bridge gaps in logistics and facilitate community entry in culturally appropriate ways.

Many of the CDC experts arriving to combat the epidemic had never set foot in Africa, so those of us in the Peace Corps used our good standing in Liberian communities to assist the CDC in getting prevention and treatment messages to the most effective stakeholders in each community.

Making a difference is a central tenant of Peace Corps' culture, so we felt this opportunity to support the CDC's effort was a perfect fit.

The ability to pitch in and contribute not only empowered us, but we noticed it also helped dissolve the barriers of fear and revived the passion of the Peace Corps staff.

Enthusiasm for the partnership was overwhelming.

When staff members were given the option to use their time supporting the CDC, nearly all Peace Corps Liberian staff volunteered to help.

Starting in September, four-person teams -- composed of two CDC staff and two Peace Corps staffers -- traveled across Liberia to track the virus and teach people in rural and urban areas how to prevent transmission.

It was a courageous decision and a serious commitment for each member of the Peace Corps team.

They put themselves closer to possible exposure, and they were going to live away from their families in Monrovia, where more than half of the new cases of Ebola were reported.

In the field, the teams faced many distressing moments.

They witnessed a multitude of tragedies, such as when Ebola-infected infants were set aside because protective materials were scarce.

They mourned with those who suffered unspeakable losses.

They stood by families who endured unimaginable heartbreak, but the Peace Corps staff also had a significant positive impact.

Along with CDC experts, Peace Corps staff went out to encouraged the sick to seek treatment rather than stay home to protect their families.

These efforts kept people who had been in contact with Ebola from infecting their families. It helped contain some of the contamination.

Liberia has made remarkable strides in the fight against Ebola, and there are Liberian heroes in every corner of the country.

I happen to work with many in the Peace Corps Liberia office.

As everyday citizens, they stood up to fight this disease that had descended on their country.

One Peace Corps staff member convinced a mother to take her sick child to seek medical attention rather than caring for him at home. That one action potentially saved a household of 10 from Ebola.

Others made valiant efforts directing local health care workers toward the sick. Peace Corps staff consoled the bereaved in the communities where they live.

As they fight this epidemic, most Liberians are incredibly grateful for the assistance of the global community, especially the United States.

It is now common here for the sounds of American Apache helicopters and Ospreys buzzing overhead to be greeted as a sign of relief and support.

The unfortunate reality is that after many years of hardship because of civil war, poverty and limited health care, Liberians have developed an extraordinary ability to adapt to "the new normal," and many have found a way to cope with Ebola and move forward with their daily lives.

The power of science and information from experts about how the virus can spread has allayed much of the fear and concern we saw many months ago.

At this writing, all but two of Liberia's 15 counties have been Ebola free for the past 21 days. This is a huge accomplishment, but our mission is not over.

There remains an intensive to-do list: concentrating resources in contact tracing, educating communities on safe burial practices and amplifying tactics to keep our health care professionals safe.

Peace Corps staff members have made -- and will continue to make -- an incredible impact in the fight against Ebola in Liberia.

Stopping just one infection can deny the virus the ability to spread to 30 or more additional Ebola exposures and potential deaths, and that means every conversation, every meeting, every hand washing station counts.

Our journey since March has, at different moments, been harrowing, exhausting and overwhelming, but every minute of it has been worth it.

This effort has deepened our partnership with our colleagues at the CDC, but also with the Liberian people and the communities Peace Corps serves.

It has strengthened our resolve and our commitment to bring Peace Corps volunteers back to Liberia and the other Ebola-affected countries when it is safe to do so, and to continue to support the CDC and the Liberian people, one community at a time.

I could not have been more privileged and fortunate to work side by side with the Peace Corps team in Liberia. I can only hope that I have made some small impact on their lives, as they have made a huge impact on mine.

@highlight

Even after Peace Corps volunteers were evacuated from Liberia, staff remained there

@highlight

They've been working to get prevention and treatment messages out to communities