(CNN) -- As alumni and friends of Princeton University descended on the Ivy League institution to celebrate homecoming, the school's board of trustees met over the weekend to consider whether to offer students emergency shots of a vaccine against meningitis after seven cases of the potentially fatal disease occurred on campus.

The final decision, to be made in concert with medical staff and university administrators, is expected sometime this week, said Barbara Reynolds, a spokeswoman for the Centers for Disease Control and Prevention.

The sole meningococcal vaccine that targets meningitis group B, Bexsero, is made by Novartis. Though it was approved this year in Europe and Australia, it has not been approved for use in the United States.

"We have filed an Investigational New Drug application for our MenB vaccine in the U.S., but have not yet come to an agreement on a pathway to licensure for this vaccine with regulatory authorities," Novartis spokeswoman Elizabeth Power told CNN Saturday in an e-mail.

Still, company officials have been coordinating with officials at Princeton, the Centers for Disease Control and Prevention and the state Department of Public Health about getting a vaccine to the school in New Jersey, she said.

The CDC says it is considered "a safe vaccine."

Group B meningitis is a strain of the bacterial form of the disease that is rare in the United States. Symptoms can include stiff neck, headache, fever, vomiting, rashes, sensitivity to light and confusion. Untreated, the disease can lead to complications such as hearing impairment, brain damage, limb amputations and death.

Antibiotic treatment of the most common types of bacterial meningitis "should reduce the risk of dying from meningitis to below 15%, although the risk remains higher among young infants and the elderly," according to the CDC.

Bacterial meningitis is an infection of the membranes that cover the brain and the spinal cord, known as the meninges.

In the United States, about 4,100 cases of bacterial meningitis, including 500 deaths, occurred each year between 2003 and 2007, the CDC says.

What is meningitis?

"Usually, when you see this kind of meningitis on the campus, it's meningitis C," said Dr. William Schaffner, professor of preventive medicine at Vanderbilt University, in a telephone interview with CNN. "This is very, very unusual."

Schaffner added that, in the United States, Group B meningitis typically strikes infants, and only rarely adolescents and young adults.

Though the mechanism needed for health officials to administer an unapproved vaccine in the United States is "very elaborate," it would be justified in this case, he said. "If I were around the table with the board of trustees, I would be gently encouraging them to do this."

Princeton's first reported case developed in a student who had returned to the campus after spring recess in March, according to the state health department. Two months later, after several other students and one visitor had contracted the disease, an outbreak was declared. All have recovered except for the last case, a male student who remains hospitalized after being diagnosed on November 8.

No common link has been identified among the cases, New Jersey health officials said.

CDC: Bacterial meningitis explainer

Meningitis can spread via the exchange of saliva and other respiratory secretions through kissing, coughing, sharing drinks and living in close quarters, such as in dormitories, according to the health department.

The bacteria can reside for months in the back of the throat before causing symptoms, Schaffner said.

But the disease is not wholly understood. Cases of meningococcal disease in general -- including Group B -- have dropped in recent years to the lowest levels since the 1930s. "Nobody knows why," he said. And cases sometimes occur more frequently in Oregon. "We've never understood that, either."

The New Jersey outbreak is also puzzling. "Why this is occurring is not clear, but the trick everybody is working on is how to stop it, how to prevent further cases," he said.

If the board approves, as many as 8,000 undergraduate and graduate students at the school could be offered the vaccine.

Meningitis vaccines urged before NYC Pride events

CNN's Alexandra Field, Chris Welch and Miriam Falco contributed to this report

@highlight

Seven cases of meningitis have been reported on the New Jersey campus

@highlight

University officials to discuss offering vaccine

@highlight

Feds OK use of vaccine not approved in the United States