Washington (CNN) -- At the end of his career, former House Speaker Tip O'Neill was asked how Congress had changed between the 1950s and 1980s. O'Neill answered: "The people are better. The results are worse."

Watching last week's health summit, you see what O'Neill meant. The conversation was intelligent, civil, well-informed. It also predictably achieved nothing. How could it? Deals are never reached in front of the television camera.

Take this quiz. Name the most important legislation enacted in the 30 years between 1950 and 1980.

Overwhelming isn't it? Civil rights. Voting rights. Interstate highways. Medicare. Medicaid. The deregulation of the airlines, natural gas, trucking, rail and oil. The immigration act of 1965. Clean Air, Clean Water, and the Endangered Species Acts. Supplemental Security Income in 1974. I could fill the whole screen.

Now ... the next 30 years.

There's the Reagan tax cuts of course. Deregulation of the savings & loans in 1982. The Americans with Disabilities Act in 1990. Welfare reform in 1995. Medicare Part D. What else?

Leave aside whether you are liberal or conservative, whether you approve the measures mentioned above or disapprove. It's hard to dispute: Congress just got a lot more done in the 1950s, 1960s and 1970s than in the 1980s, 1990s and 2000s.

Why?

You hear many grand, sweeping explanations. Let's try just one simple one.

Congress in the first period was controlled by a handful of committee chairmen, who owed their positions to seniority. The committees did their work in secret. Bills written in committee typically could not be amended on the floor of Congress. The institution was authoritarian, hierarchical, opaque. And stuff passed.

In the mid-1970s, Congress underwent a revolution. The power of the committee chairmen was broken. The number of subcommittees proliferated. The committees met in public. Amendments multiplied. Congress become more open, more egalitarian, more responsive. And stuff ceased to pass.

Again and again, today's gridlock can be traced to yesterday's reform.

Is the filibuster grinding Congress to a halt? Before the 1970s, filibusters were both very rare and very difficult. But when Congress took action to make filibusters easier to break, it inadvertently made them easier to use. Back in the 1950s, a filibuster would bring the entire Senate to a halt, as the filibustering Senator talked and talked and talked.

A filibuster was both spectacularly visible and personally exhausting: it exacted a high price from the filibustering senator. Then Congress took action to make filibusters easier to break, requiring only 60 votes instead of 67. But that same deal made them much easier to start. No need to speechify all night; no colleagues enraged that the filibustering senator has paralyzed the chamber.

Today, a filibustering senator need only notify the majority leader of his intention. The filibustered legislation is sidetracked until 60 votes are found to enact it, while other business continues as normal. The price of the filibuster has been drastically cut. No surprise we get more of them.

Candidates consumed by fundraising? Two generations ago, candidates barely raised money at all. Once nominated, a candidate would turn to his party apparatus to provide the money and expertise needed to contest an election. But the maximum contribution by a party organization was capped in the 1940s, and it has not been raised significantly since.

This cap was supposed to clean up politics by weakening party bosses. Instead, it has forced every individual member of Congress to spend the bulk of his or her time begging for funds -- the very opposite of clean politics.

Lobbyists everywhere? In 1950, a lobbyist who wanted a tax measure would have very few targets. The chairman of the House Ways and Means Committee could help, ditto the ranking member of the opposition party. The senior members of the Senate Finance Committee would likewise be worth talking to. Maybe some of the upper level officials at Treasury. The days of concentrated power have ended. Today, almost any one of the 535 members of Congress could help -- and so of course the interests must employ many more lobbyists to woo them all.

Congress utterly polarized? Once upon a time, members of Congress did their business mostly in secret. They struck quiet  deals with each other. A Republican might support a Democratic labor measure in return for some discreet help with a farm bill.

Today, everything happens in the bright glare of sunshine, policed by hundreds of ideological interest groups. Deviate one step from the party line, and you are a traitor, a sell-out, an enemy. Just ask Scott Brown, yesterday's Republican hero, today a villain for voting against the filibuster of a jobs bill.

We have an ideology that more publicity, more transparency, more openness must improve Congress. And when each successive wave of openness makes things worse, we tell ourselves that the answer is even more publicity, transparency and openness still.

No contrary evidence makes any impression. Seems like everything's open -- except our minds.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

In '50s and '60s, landmark bills were passed through secret deals, David Frum says

@highlight

Reforms of the 1970s resulted in much more transparency, he says

@highlight

Frum says the result has been that very little major legislation can get accomplished