The middle-aged man stands in line, patiently waiting. He's wearing the de facto uniform of the Seoul businessman, a fitted black suit and thin tie. He's driven an hour to be here at the memorial site at Ansan, joining the 100,000 mourners paying their respects before the school portraits of children who will never grow old.

"I'm a father of two kids," he weeps, his hand firmly over his chest, as if to press in a breaking heart. "I just am very sorry because I can do nothing for these families. I just want to come here to say I'm very sorry to these families."

He knew no one aboard the Sewol ferry -- his life in Seoul should be blissfully separate from the unfolding disaster at sea. But he embodies the grief, guilt and anger that leaves virtually no one in South Korea untouched.

Nation in yellow

The main road into Jindo is lined with yellow. Every 6 feet, another yellow ribbon waves in the wind of the passing cars. At Danwon High School in Ansan, where the junior class lost three quarters of its students in the ferry disaster, yellow ribbons are tied at the gates. But these ribbons didn't start at the disaster site or the school.

In the nation that refers to itself as the most wired in the world, South Korea's ribbons began online, as a simple yellow square with the outline of a bow. University students designed the image and began to spread it on an instant messaging site in South Korea called Kakao Talk on April 19. The meaning began as a hopeful one, "one small step, big miracle." As the death toll continues to rise, it's evolved into a national sign of grief.

People are tying ribbons to their homes and schools across the country. The ribbons prominently appear on television news programs nearly every half hour, somber music sometimes playing underneath the slow-motion images of the yellow across the country. The prim presenters of South Korea's television programs, whose female anchors tend to favor hot pink and royal blue, are all wearing grey and black suits. One story dominates the news channels -- the Sewol ferry disaster, from the investigation to the national mourning.

On Korean language Twitter and Facebook, users share their grief in short messages with a yellow ribbon. Overwhelmingly, the messages tend to focus on a sense of rage and helplessness. "I am sorry that I couldn't rescue you and help you," Twitter user @sbja22 wrote.

Children, a nation's treasure

The palpable desire to rescue the victims centers around who the passengers are -- students from Danwon High School. Juniors in South Korea's high schools have traditionally been granted a special outing or field trip before notoriously rigorous college entrance exams. The teenagers who boarded the Sewol ferry were experiencing a national rite of passage that turned to horror.

Children in South Korea are considered a family's treasure, the ones who have traditionally been doted on and showered with attention. Obedience in the young is prized. Parental protection is the reward.

The Sewol disaster tears through much of the cultural structure expected in modern Korean society of children and elders. The first emergency call from the doomed ferry came from a Danwon student, 17-year-old Choi Duk-ha.

"Save us. We are on a ship, and I think it's sinking," he pleaded as he called emergency services. The adults on the ship failed to make the first distress call and would follow three minutes later. Choi Duk-ha would die on the Sewol ferry.

The crew, the ones trained to protect the passengers, issued a ship-wide announcement for passengers to remain in their cabins, instead of heading to the deck and the life rafts. The high school students, raised in that culture of obedience, overwhelmingly listened to that announcement. Survivors say the passengers who listened to that order were the ones who never made it off.

The crew then abandoned ship, being some of the first rescued by the coast guard. Television news broadcast images fueling national outrage -- the captain jumping into a rescue boat as his young passengers remained trapped, wearing life vests that prevented them from swimming out of flooding rooms.

Systemwide failure

The Sewol ferry was first known as the Ferry Naminoue, built in Japan. It operated in Japan from 1994 to 2012. The Chonghaejin Marine Co. purchased the ferry on October 2012 and refurbished it. Chonghaejin added extra passenger cabins on the third, fourth and fifth decks, raising passenger capacity and altering the weight and balance of the vessel.

The ferry, renamed the Sewol, went through regulatory and safety checks, conducted by the Korean Register of Shipping. On its website, it lists its mission as "protecting life and property." The organization says it has the ability to inspect vessels in 65 nations, from Australia to Spain.

The organization is private but works on behalf of the government. In the case of the Sewol, the Korean Register of Shipping conducted safety inspections, investigating its design and technology. The Sewol's modifications passed inspection and began sailing with passengers last year, operating between Incheon and the resort island of Jeju.

"The modification was part of the reason for the (Sewol) accident," believes Yutaka Watanabe, a marine science and technology professor at Tokyo University who has studied maritime accidents, including a similar ferry disaster in Japan in 2007. "They bought a used vessel from Japan and added lots of cabins, and these cabins were built on the top part of the ship. It shifted the center of gravity upward."

In the wake of the Sewol sinking, Mokpo prosecutors have raided the Chonghaejin Marine Co. and the Korean Register of Shipping. Prosecutors tell CNN while they will not have a conclusion on what caused the accident for months, they are focusing on the retrofit of the Sewol and the shifting and overloading of cargo.

The prosecutor's office also says the Mokpo Joint Investigation Force found serious safety failures on a sister ship, the Ohamana, also owned by the Chonghaejin Marine Co. Investigators found of the life rafts on board the Ohamana, 40 did not work. The emergency slides also did not work.

The Ohamana did not have any equipment to tie down cars being ferried on board. Shipping containers being transported did have equipment to tie them down, but it did not work very well. Korea's Ministry of Ocean and Fisheries says the Ohamana ceased operations after the Sewol accident.

The sense of failure to protect the passengers extends to the South Korean Coast Guard and its rescue of the passengers who did make it to the upper decks of the Sewol. Television images showed the coast guard pulling crew members to safety, while the ferry bobbed on its side.

As Koreans look inward on this disaster, the sinking of the ferry is being viewed as an outrageous system failure, from the company that sought to increase passenger loads to the very government charged with protecting the passengers.

"It makes us wonder if we have to take charge of our own safety," says Cynthia Yoo, assistant professor at Kyung Hee University. "We can't take it for granted that there are proper government safeguards or proper inspections of safety requirements in place to protect us. I think the Sewol is a classic case of corruption or collusion between government agencies, associations and corporations. And it's something that as a nation we must try to fix."

The funerals are well underway, the school pictures of teenagers and teachers being broadcast on television and the Web part of the nation's mourning process.

But there is another call beyond the cries of grief, an inward alarm to repair the flaws and prevent another disaster with such an immense loss.

South Korean prime minister resigns over ferry disaster response

South Koreans mourn teen hero who made first emergency call from ferry

@highlight

Thousands pay their respects at a memorial in Ansan

@highlight

Even those without a connection to the disaster are heartbroken

@highlight

Yellow ribbons have become a symbol of mourning