(CNN) -- When was the last time you consulted an official government travel advisory before booking a trip?

Wars (Syria), political protests (Brazil, Egypt, Turkey), floods (Germany, Manila) and disease outbreaks (China) are all enough to make us click headlines.

But many travelers admit to not giving much credence to advisories from governments.

In recent weeks, travel advisories for Egypt have hit high levels, with some governments evacuating their citizens.

But a similar situation in December last year didn't stop Marielle Butters from traveling alone to Egypt.

"Three days after the president declared himself dictator and all was supposedly in chaos," recalls Butters about the timing of her trip. "It was fine. I felt safe."

In July, protests in Brazil elicited travel alerts.

But local journalist Felipe Araujo says the warnings were unnecessary.

More: 10 things to know before visiting Colombia

"The Brazilian government was siding with the protesters, publicly making an attempt to accommodate some of their wishes," says Araujo. "Brazil was no less safe because of the protests."

Many travelers deliberately seek out reportedly dangerous locales, such as Kashmir, Afghanistan and Colombia, with few mishaps.

What is a Travel Warning?

Just how realistic are government travel alerts and warnings?

And are they even worth looking at?

Alerts and warnings are issued to provide an official source of trustworthy information. If an area were to be engaged in violent protests or war and a warning were not issued, that government would be subjected to serious criticism.

The U.S. Department of State currently has 35 countries listed under a travel warning -- defined as a "protracted condition that makes a country dangerous or unstable," such as war.

A travel alert applies to temporary situations such as demonstrations.

Three-quarters of Brits admitted they do not check official travel advice before traveling in a recent poll, and those that do said they often ignore it anyway.

Countries currently listed by the U.S. Department of State with travel warnings include Egypt, Haiti, Kenya, Lebanon, Mexico, Nigeria, North Korea, the Philippines and Tunisia.

A warning status means travelers should "avoid or consider the risk of travel to that country. A Travel Warning is also issued when the U.S. government's ability to assist American citizens is constrained due to the closure of an embassy or consulate or because of a drawdown of its staff."

"Our obligation is to provide information to the American citizens who are traveling and residing abroad to allow them to make informed decisions," says Michelle Bernier, managing director of overseas citizen services for the U.S. State Department's Bureau of Consular Affairs.

"We want Americans to be vigilant and take security measures especially in an atmosphere of heightened concern."

The State Department website provides specific information on every country in the world.

More: Women: Travel safely but keep traveling

Australia's entry includes a warning to "be careful when consuming alcohol with unfamiliar people, as drink spiking can occur."

The UK's entry includes nearly 2,000 words on terrorist threats and crime, including details on pickpockets and ATM fraud.

Do blanket warnings help or hinder?

Not everyone finds official government warnings helpful.

Like bad Yelp or TripAdvisor reviews, government travel warnings have the potential to negatively affect tourism revenue in a given country or area.

"The worst part is the blanket advisories," says traveler and photographer Jorge de Casanova. "Just because one area of a country is having problems does not mean the whole country is unsafe."

Travel book author Lisa Egle travels primarily to developing countries.

"I check several travel advisories before any trip, not just the State Department, but the British and Australian equivalents for another perspective," says Egle.

"I take what they all say with a grain of salt. They tend to blow things out of proportion."

Before a trip to Indonesia last year, Egle recalls reading warnings about "terrorist cells."

"While these unfortunate incidents have occurred, they're not part of a widespread problem," she says. "The country has 17,500 islands, so the number of these occurrences is disproportionate to the size of the country."

Sometimes there really is a wolf

Yet there are genuine risks associated with areas covered by alerts or warnings and ignoring them can occasionally result in problems.

American student Andrew Pochter was killed in Alexandria during protests.

Pochter was in Egypt teaching English for the summer.

More: Should solo female travelers avoid India?

The United States has had a travel warning in place for Mexico since April 2011. It states that "crime and violence are serious problems throughout the country and can occur anywhere. U.S. citizens have fallen victim to TCO (Transnational Criminal Organizations) activity, including homicide, kidnapping, carjacking and highway robbery."

The warnings haven't stopped Americans from pouring into Mexico.

In 2011, 20.1 million Americans visited Mexico.

Less severe results of ignoring travel warnings

Ignoring travel advisories can affect a traveler's insurance. Some policies will not apply in places under a travel alert or warning.

Depending on the circumstances, airlines may waive cancellation or rebooking fees in areas where official warnings are in place.

US Airways acknowledges it doesn't distinguish between travel alerts and warnings and usually doesn't offer refunds on tickets when government travel advisories are issued. However it "may" waive the fees associated with rebooking.

The U.S. government encourages travelers to visit its official travel website, register trip and contact information with the Smart Traveler Enrollment Program (S.T.E.P.) and download an iPhone app.

"One thing I always try to do is register with S.T.E.P., so the government can track my whereabouts," says travel writer Lola Akinmade Ackerstrom. "Having a laissez-faire attitude about travel advisories really isn't appropriate. The government has a lot more intelligence (than the general public), so take them seriously."

Rejecting warnings

Some governments refute travel warnings, especially when they're subject to warnings from other governments.

Travel warnings advising against travel to Peru in February 2013 were strongly opposed by the local government, with ministers calling for U.S. warnings about kidnappings in the Cuzco region to be retracted.

In 2010, the Jamaican government criticized a travel warning against the entire country, when riots erupted in a small Kingston area.

Guidebook author Lebawit Girma was in Jamaica at the time.

"I was amazed at the travel advisories against the whole island," she says. "For anyone who doesn't know Jamaica, it would be easy to cancel plans.

"Jamaica is a big island, so it didn't stop me from heading to my usual spots in Negril and Montego Bay."

More: 8 things travelers in Bangkok should look out for

Ashley Charmers and her husband canceled their travel plans for Turkey in June 2013 due to protests there.

"We had been debating canceling our 10-day trip through Turkey after receiving emails from our families and S.T.E.P.

"Days before our departure we decided to cancel because of concerns regarding serious travel delays and suspensions. Our decision cost us $500."

Even seasoned travelers, who are comfortable in the unfamiliar, can be taken off guard.

In March 2013, travel blogger Oneika Raymond's wallet was taken from her backpack in Aswad, Egypt.

She winces at the memory because she "wasn't paying attention" after making a few purchases.

"Did I feel safe in Egypt? No, not particularly," she says. "After that I found myself very suspicious of everyone."

More: Chinese tourists targeted in Paris pickpocketing spate

Have you traveled to places under travel alerts or warnings? Let us know what your experiences were in the comments section.

@highlight

U.S. State Dept. currently lists 35 countries under Travel Warning status

@highlight

Travelers report feeling safe in many countries they're warned not visit

@highlight

American student Andrew Pochter was killed in Egypt while a travel warning was in place