(CNN)You could call it a budding romance with the possibility of a strong, long-lasting relationship. More Americans are riding public transportation.

Upwardly trending statistics show it's not just a meaningless crush.

These newcomers -- many thought to be in their 20s and 30s and living in the nation's medium-sized cities -- are joining a love affair that rail-riders and strap-hangers in Chicago and the Northeast have known for generations.

After decades of embracing car culture, experts report growing movement out of the driver's seat and into transit stations.

The change is a reflection of a "do-more-with-less economy" where jobs often pay less than they used to and are harder to hold onto. For many, the cost of owning, insuring and maintaining a vehicle outweighs the value of its function.

The commuter culture got tired of traffic snarls and parking headaches. We may be seeing a statistical movement partially fueled by a generation that's more concerned than their parents about cutting air pollution.

Related story: Opinion: Give up your cars

Dubious? Here are five signs America may be falling in love with public transportation:

1. More Americans are taking mass transit.

Ridership is experiencing a winning streak.

The nation is on track to top 2013's annual ridership, which was the highest since 1956.

Third-quarter figures released Wednesday from the American Public Transportation Association show rising ridership nationwide for 12 of the past 15 quarters.

From July through September of this year, total U.S. trips on commuter rail, subways, buses, streetcars and trolleys topped 2.7 billion. That's an increase of 1.81%.

The increases are happening across the country in cities such as Seattle, Minneapolis and Albany, New York, APTA reports.

Some cities set records, including St. Petersburg, Florida, as well as Oakland, California.

The new figures prove "a dramatic change in public attitude as more people are demanding public transportation services," said  Michael Melaniphy, APTA president and CEO in an e-mail to CNN.

And while ridership increases, gasoline prices are plummeting.

This week, the national average for a gallon of regular unleaded gas hit $2.55, a five-year low.

You might think falling gasoline prices would result in a big ridership drop off as driving suddenly becomes more affordable.

But according to a 2012 APTA study, when the cost of fuel goes down, many riders tend to continue using public transit. The drop-off rate from low gas prices doesn't match the ridership increase that happens when gas prices shoot sky-high.

2. Americans are breaking up with their cars.

Since 2007, Americans have been driving less, breaking a trend that had been rising for more than two decades.

In addition, an October report from consumer group U.S. PIRG shows driving and car ownership is trending down among younger Americans and is likely to keep doing so.

Some commuters may be dumping their cars to save money.

The public transportation industry says commuters could gain an average annual savings of $9,635 by taking public transit instead of driving.

3. Cities think streetcars and trolleys are totally hot.

In Oregon, Portland's success with its streetcars in the early 2000s helped spur similar projects around the nation.

New streetcar projects are in service, under construction or being planned in Atlanta; Charlotte, North Carolina; Cincinnati; Dallas; Detroit; Kansas City, Missouri; Salt Lake City; Tucson, Arizona; and Washington.

Supporters say:

-- Streetcars can create economic growth by attracting shoppers from outlying areas to downtown.

-- They're convenient because they're easy on/easy off.

-- Tourists love 'em.

Critics aren't so sure. They talk about the cost of streetcar infrastructure and they wonder how efficient streetcars can be if ridership isn't constantly high.

4. More city transit centers: New meet markets?

Several city planners are pinning their hopes on spectacular new transportation facilities that combine transportation with other activities such as shopping and eating.

One of these just opened this month in Anaheim, California. It's called the ARTIC, Anaheim Regional Transportation Intermodel Center, KNBC reports. It boasts access to buses and regional and interstate rail lines. It's got bike lockers for the two-wheeled traveler. Price tag: $180 million.

Similar facilities are proposed in San Francisco, the Chronicle reports, and in Newport News, Virginia, according to WAVY. Near Denver, a project is under construction which aims to connect the airport, a new Westin hotel and an 82,000-square-foot plaza to the city via a new rail line. Critics fear it will balloon well beyond its $500-million-plus budget, the Denver Post reported.

In Denver's Lower Downtown district, the city unveiled its renovated Union Station transportation center earlier this year. It's already been credited with spurring a rise in ridership. Denver Regional Transportation District CEO Phillip Washington said the revamped station makes the city "the mother of all transit-oriented communities."

In South Florida, the Miami Intermodal Center -- expected to be finished soon -- will mashup just about every mode of transportation possible: airport, Amtrak, local rail, rental cars and buses, the Miami Herald reports.

5. The rise of regional transit: Long-distance relationships

These days, jobs are where you find them, not necessarily where you live. Supporters say the need for faster, affordable mass transit between nearby cities has never been greater.

Utah Transit Authority's light-rail line called TRAX has connected communities within the sprawling Salt Lake County for 15 years. Since 2008, the UTA intercity commuter railroad called FrontRunner has reached out ever farther with a corridor connecting Provo, Salt Lake City and Pleasant View along about 90 miles of track.

Now, commuter rail lines have been proposed connecting other regional cities -- such as Chicago with St. Louis, Dallas with Houston and Orlando's airport with downtown Miami.

@highlight

The United States is on track to top 2013 ridership on public transportation

@highlight

Despite plummeting gas prices, ridership is still rising

@highlight

Several cities are adding trolley lines and new transit centers

@highlight

Proposed regional railroad lines are moving forward in Florida, Illinois and Texas