Washington (CNN) -- If you bought gas, you paid a tax.

If you drove on a toll road, you paid a fee.

And if you got a speeding ticket, you paid a penalty.

No matter what, government still gets your money.

But the differences between the three can mean the difference between broad public support and strong public opposition.

In the election year battle over which candidate can best stabilize the economy, the issue of taxes is all about messaging.

"Taxes are harder to be perceived in a popular way even though taxes are largely doing the same thing [as fees and penalties]," said George Yin, a University of Virginia law professor and former counsel for the Senate Finance Committee.

President Barack Obama recently announced that he wants to extend the Bush tax cuts only for those families making less than $250,000. Presumptive Republican presidential nominee Mitt Romney says that in doing so, Obama will raise taxes on small businesses and stifle economic growth.

Both political parties have tiptoed around the issue of extending payroll tax cuts that expire at the end of the year. Should they be allowed to expire, someone making around $100,000 would pay about $183 more a month in taxes.

It's the word "taxes" that strikes some voters as cringe-worthy.

Obama was aware of that when he originally denied the individual mandate in the Affordable Care Act was a tax. Republicans who were opposed to "Obamacare" quickly pointed out that the U.S. Supreme Court called the individual mandate a tax.

"It was not at all surprising that politicians would present it that way. Even when the president was pressed a number of times he said, 'No, no, no, it's a fee. It's not a tax,'" Yin said.

In an era when local governments and states are loathe to utter the "t-word" but need to raise revenue, careful phrasing can make all the difference.

"If you think you need to raise revenue, you've got to find a different way to call them other than calling them taxes," said former Rep. Bill Frenzel, R-Minnesota, who now serves as a guest scholar on economic studies at the Brookings Institute.

With 31 states facing budget shortfalls for next year, according to a study from the Center on Budget and Policy Priorities, efforts to raise money from fees rather than taxes can be an attractive option.

Take Texas, for example.

The Lone Star State looked to fees to shore up needed budget dollars for the almost $27 billion, 27% budget shortfall, says Democratic State Rep. Mike Villarreal, who also serves on the House Ways and Means and Appropriations committees.

Villarreal says political pressure, in part from special interest groups keeping score of raised taxes, has created a climate in Texas where politicians are afraid to talk about it.

"Right now with a governor who says he will veto any legislation that is a tax, it leaves little room for any legislator, even if they think it's the right thing to do, to go ahead and file a tax bill," he said.

Texas enacted $58.9 million in new fees and penalties while only raising $10.2 million in new taxes for 2012. The list of targeted fees and penalties collects $1.3 million from bingo operators, $1 million from processing child support payments, and $4.4 million for failure to remit taxes or fees.

The Texas governor's office says that since fees are targeted, they lessen the burden on the larger tax base.

"Fees aren't necessarily across the board," Texas Gov. Rick Perry's spokeswoman Lucy Nashed said, adding that the more money the government is able to keep in Texans' pockets, the better off Texas is economically.

"I think that the majority of Texas voters agree that they want to keep taxes low," Nashed said.

Why all the political theater over taxes versus fees? Yin says it's because public support for fees and penalties is higher than it is for taxes. That's because people want to know where their money is going. They also don't trust politicians.

"The fee or the penalty relates to a specific activity," Yin said, where as taxes go into the larger treasury to be used at the government's discretion.

For instance, when paying a toll on a toll road, the driver gets to travel on a better or more convenient route because their money goes back into the road's upkeep, political experts say.

When you get a speeding ticket, the penalty is tied to the action.

But with the gas tax, money is raised on every gallon purchased. That money is called a tax and not a fee since it is often poured back into transportation infrastructure.

"Fees tend to be a little more opaque to the voter," and therefore are an easier sell, said Eileen Norcross, a senior research fellow at George Mason's Mercatus Center, a think tank dedicated to market-oriented ideas

It's not all that different than shopping for groceries.

"We all understand that when we buy something, we have to pay for something. As long as the charge is reasonable, people are very accepting of that, I think. That's the way society works," Yin said.

The polls agree.

It's not that Americans won't pay or dislike paying taxes. Rather, they distrust government to spend their money wisely, Frenzel said.

A CNN analysis of Gallup and ABC/Washington Post polls show that in the last quarter century, Americans believe 10 more cents of every dollar they pay to the government in taxes is wasted -- up from $0.43 in 1985 to $0.53 in 2010.

"If you ask the question as many pollsters have over time, 'what bothers you more whether it's how much I pay or how my tax dollars are spent,' the answer is how my tax dollars are spent," said Karlyn Bowman, a senior fellow at the American Enterprise Institute who compiles and analyzes polling data.

But the distrust doesn't end there. Since then, voters have consistently said they don't trust presidential pledges on taxes.

"Not only don't they trust the government to spend money wisely, they have that horrible feeling about the word tax that makes it anathema to everything else," Frenzel said.

President George H. W. Bush is famous for promising in his 1988 presidential bid, "Read my lips; no new taxes." But polls showed that in 1992 when he ran, and subsequently lost his re-election campaign, polls showed voters didn't believe him.

A 1992 NBC/WSJ poll asked, "If a presidential candidate took a pledge not to raise taxes if elected, would you or would you not believe him?" Eighty-six percent said no.

Bush, of course, raised taxes.

But Villarreal says distrust doesn't have to be the name of the game.

"I think we need to have a more honest conversation on how these public assets are built and maintained...but you have to do it in conjunction with what you are going to spend the money on," Villarreal said.

@highlight

Penalty, fee or tax, its all money to the government

@highlight

Taxes are all about messaging, political experts say

@highlight

It can be easier to sell revenue-raisers as penalties or fees than as taxes

@highlight

Americans distrust politicians to handle their tax dollars wisely more than they did in 1985