(CNN) -- Bernadette's father died from AIDS complications when she was a child. Her mother never even knew he had HIV until she and her daughter tested positive years later.

Shocked and angry, Bernadette couldn't accept the news. She refused to take her medicine. Depressed and shut off from the world, Bernadette imagined she would soon die. Then, at the urging of her mother, she joined a Sunday support group for young people living with HIV.

Over time, she became engaged in youth activities and opened her heart to the others. Today, she is a youth peer educator at Women's Equity in Access to Care and Treatment, where she shares her experiences with other young people living with HIV, encouraging them to stay in school, take their medicine and work for a better future.

This is just one example of a brave story. And there are millions more:

The teenage girl who was orphaned and had to raise herself and her siblings; the young man who refused to be silenced by discrimination and disclosed his status to friends; or the young couple -- one HIV positive and the other not -- planning their future.

These stories speak to the pain, loss and challenges that HIV and AIDS have put upon this generation, but also to the triumph of what's possible when we come together.

We are part of a generation that has only known a world with HIV. The United Nations says that about 34 million people are living with HIV worldwide -- and 5 million of them are between the ages of 15 and 24. That age group accounts for an estimated 39% of new adult HIV infections globally; and nearly 65% of young people living with HIV are women. Most of them live in sub-Saharan Africa.

Bernadette is one of those young people. Now 20, Bernadette has been a client at the WE-ACTx for Hope Clinic, Keep a Child Alive's partner in Kigali, Rwanda, since 2007.

Cristina and I have had the honor of visiting our Keep a Child Alive programs in Africa -- and Cristina just returned from a visit with some of the young people that I met when they were just toddlers. Ten years later, these young people are living healthy, happy, hopeful lives.

We've seen amazing progress in the past 10 years -- and though we still have a long way to go, more people are getting HIV treatment and fewer babies are being born with HIV. We're seeing the results of so many people's work to "keep a child alive," and now, the first generation of children who received HIV treatment are entering adolescence and young adulthood.

But for all of our progress, we are still failing this generation.

In the United States, young gay men and young women and men of color are particularly vulnerable to HIV. In terms of rates of infection, vulnerability, impact and -- most important to us -- the enormous potential to turn this epidemic around, young people are at the center of the HIV epidemic.

Despite this, most HIV treatment programs and policies are designed for children or adults, leaving young people caught in the middle of programs that fall short in meeting their special needs.

The good news is that across the world, young people are uniting to demand a seat at the table. They are demanding attention from their communities, health facilities, schools, governments and leaders.

At Keep a Child Alive, we believe in nurturing a strong, true and loud collective voice from our world's young people. We recently launched, 5MIL, a new initiative that seeks to address the needs of their generation as it relates to HIV.

Over the next few months, we will roll out 5MIL: Hangout, a youth-led platform to connect young advocates living with HIV and affected by HIV from Rwanda, South Africa, Uganda and the United States. This grassroots, virtual dialogue is about fostering a safe space for young people to come together and talk openly about HIV, share challenges and solutions and connect directly with influential leaders.

We are calling for action from all young people around the world living with and affected by HIV and AIDS and the global community to join this movement.

Get loud! Talk, blog, tweet and text truths about HIV. By talking openly, we can take the power away from silence and fear and put it in the hands of knowledge, acceptance and love.

Tap into the Y-potential: Young people are passionate -- let's harness their energy and willingness to think boldly and take risks. Ask young people what they think and what ideas they have to turn the tide of HIV for their generation, their community and themselves.

Know your status: Get an HIV test and talk to young people about testing, prevention -- including using condoms and having good sexual health -- and treatment if they are positive.

AIDS isn't over yet. And it won't be without including young people in the conversation. We believe in a world where young people living with HIV and its effects can lead a life without fear. You believe they can thrive and follow their dreams.

I hope you will join us in our efforts to bring awareness and money to organizations such as Keep a Child Alive. Together, we are loud, proud, and strong!

And please tune into live streaming of the Global Citizen Festival this Saturday in Central Park, New York. I'll be performing, as well as John Mayer, Kings of Leon, Stevie Wonder and Elvis Costello. It's organized by the Global Poverty Project.

Opinion: Social entrepreneurs dare to change the world

The opinions expressed in this commentary are solely those of Alicia Keys and Cristina Jade Peña.

@highlight

Writers: A generation of young people have only known a world with HIV

@highlight

Millions of young people are affected or live with HIV, especially in Africa

@highlight

They say vulnerable young people don't get the kind of treatment they need

@highlight

Alicia Keys and Cristina Peña call on young people to join movement to end HIV