(CNN) -- The problem with seeing negotiation as a game of chicken is that sometimes you get what you want, but most of the time everyone just gets plucked. That is what I tell my mediation clients, when they take more and more extreme positions, and insist everyone else needs to back down.

That is what I tell my negotiation students when they give blustering ultimatums and ignore what the other side wants. And that is what I wish someone would tell the parties in Washington battling over the budget and a looming default.

So, what do you do when you realize you're in a negotiation where everyone will be worse off if no one finds a path out?

Consider the following:

1) The immediate problem is not how you got here, it is how you are going to get out.

There will be plenty of time later to learn and teach lessons. Right now you need to find a path to a better outcome. Accusations, dissections of past mistakes and allocations of blame will only make it harder to get there.

2) There is no "they" on the other side.

Parties in negotiation tend to say, "They are unreasonable," "They are negotiating in bad faith," or "They are crazy!" Of course, in the current congressional struggle, pundits and politicians are saying far worse (such as "They are anarchists" and "They are fascists."). But thinking of the other party as "they" empowers the most extreme people on the other side. Instead you need to figure out who is most sympathetic to your position and who is least. And you need to negotiate in a way that empowers those most sympathetic and marginalizes the rest. When a party's position is extreme, responding in an extreme way only unifies the other side's moderates with their extremists.

3) Don't just throw the steering wheel out the window.

I recently heard a "negotiation expert" on the radio. He said that when you are in a game of negotiation chicken, you should throw your steering wheel out the window and then tell the other side that you can't turn. But what happens when both sides follow his advice? There is a reason you don't see many real games of chicken. And there is a reason that no one actually throws the steering wheel out the window if he or she does play chicken. Those people don't live very long.

4) Keep your eye on your goal and don't get lost in the negotiation game.

Strategizing, positioning and winning the negotiation game is exhilarating. But don't get so caught up in the maneuvering that you lose sight of your goals. When Congress agreed that it would give back pay to furloughed employees but not return them to work, everyone lost sight of the goal. Is there someone in the political spectrum who thinks we need to spend just as much money but get nothing for it?

5) Negotiation is not about always meeting in the middle

If negotiations always met in the middle, that would just encourage everyone to take extreme initial positions. Meeting in the middle only makes sense if you are meeting between two reasonable positions. So, an effective negotiator searches for the possible area of overlap between the parties and then tries to maximize the value the negotiator takes away. An ineffective negotiator looks only at what he or she wants and then views negotiation as inflating the negotiator's demands in order to meet back in the middle.

6) Fear can be good. Anger is bad.

Too many negotiators focus entirely on trying to scare the other party into making a deal. Not enough negotiators realize they also need to give the other party hope that a deal is possible, and that the deal would be better than walking away. And far too many negotiators push the other side beyond fear to anger. Making others in a negotiation angry just makes it harder to get the deal you want. Why would you ever want to anger the person who has to say "yes" for you to have a deal?

7) Insulting the other parties is just throwing away your negotiating capital.

If members of the other side feel insulted, they will get angry, and it will be harder to get them to say "yes" to anything. And the biggest problem is that it won't matter if you intended to insult them. So, when your worldview is very different from another party's view, be careful that what seems obvious to you is not perceived as insulting by the other party.

8) Playing chicken is for people who love risk, don't value relationships and don't mind losing deals.

If you find yourself playing negotiation chicken, make sure you have something to do if you crash. And figure out if the other side is actually prepared to crash. Chicken is for people who like the thrill of winning. Chicken is for people who value getting a marginal advantage in some deals, at the cost of losing other deals entirely. And chicken is for gamblers. Are you one of those kind of people? And, if you are a lawyer, negotiator or member of Congress, are the people you represent those kind of people? Because if they are not, they are likely to be very angry if you crash. And I have already mentioned that anger is bad for negotiators.

The opinions expressed in this commentary are solely those of Michael E. Dickstein.

@highlight

Michael Dickstein: Washington should take note -- negotiation shouldn't be a game of chicken

@highlight

He says to get a deal the idea is not to blame others but to get out of a problem

@highlight

He says keep an eye on the goal and remember insults and anger can backfire on the process

@highlight

Dickstein: Negotiation isn't about meeting in middle, it's about maximizing parties' takeaway