For Thailand's Queen Sirikit, the 2007 attack on a minibus in southern Thailand's Yala province -- in which suspected Muslim militants shot eight Buddhists through the head in broad daylight -- was simply further proof of what she'd been saying for more than three years.

"We have to help people there to survive. If they need to be trained, train them. If they need to be armed, arm them," she was quoted as saying by one of her military staff, according to media reports.

Meanwhile, Thailand was convulsed by demonstrations condemning the attack.

Her response was to boost her support for the Or Ror Bor or Village Protection Force, the militia the Royal Aide-de-Camp department, under Queen Sirikit's direction, established in 2004.

Unlike other militia in the strife-torn region, whose make up reflects the local demographic, the Or Ror Bor is exclusively Buddhist, is often stationed near temple compounds and is tasked with protecting Buddhist communities.

While Buddhism is associated in the Western mind with pacifism, Buddhist nations such as Thailand, Myanmar and Sri Lanka have been engaged in vicious conflicts.

In Thailand, state security is now locked in an increasingly bloody civil war with the Muslim minority near its border with Malaysia, in Myanmar civil strife looms between Buddhists and Rohingya Muslims in Rakhine State and Sri Lanka has just concluded a protracted civil war with its Tamil minority.

Cycle of birth and death

Buddhism, with its emphasis on karma and samsara -- the idea that the cycle of birth and death is driven by the actions of an individual -- is traditionally deeply averse to killing, believing it creates negative karma that will be revisited on a person in their own lifetime or in subsequent reincarnations.

So how do the largely Buddhist state security in these countries square their beliefs with the need to fight?

Michael Jerryson, Assistant Professor of Religious Studies at Florida's Eckerd College and co-editor of the book Buddhist Warfare, says that warfare is part of the human condition irrespective of religion.

"The first thing to remember is that people have a penchant for violence, it just so happens that every religion has people in it," Jerryson told CNN.

History of conflicts

He said that while Buddhism has a 1,600-year well-documented history of monastic-led rebellions and conflicts, the association of Buddhism in the Western mind is with pacifism.

"Buddhism certainly has a lot within its precepts about pacifism. In fact, almost every global religion does," he said.

However, Buddhism differs in that the act of killing is less the focus than the "intention" behind the killing, he said.

"When there are Buddhist monks traveling with soldiers in Sri Lanka and chanting with them and blessing them, their perspective is that they are not trying to support the violence but ... it's better to have soldiers with a cool, calm, clear head, with good intentions, than those that are hot headed," Jerryson said.

Self-immolations

He said Tibet's Dalai Lama spoke of the same focus on "intention" when asked about the recent spate of self-immolations in Tibet.

"He pointed out that these people are not on drugs, they don't seem insane but they're doing it for a cause - the intention seems to be clear," he said. "This is often used to rationalize violence within Buddhist circles but as we're seeing now with Myanmar and Thailand, cool heads are not prevailing now."

He said Buddhist states often mesh nationalism with Buddhism, justifying war on the grounds that a fracture in the nation state is a tear in the sacred fabric of a land which represents the well-spring of their belief.

"Sri Lanka often speaks about 'the little teardrop island' as the last true vestige of true Buddhism. So when the LTTE, the Liberation Tigers of Tamil Eelam, tried to separate a portion of that 'teardrop island' it was analogous to attacking the mother," Jerryson said.

Political rhetoric

As with most countries that use violence to solve disputes, Jerryson says the political rhetoric will begin to assume that the means justifies the ends.

"The rhetoric of violence as a defense, and this is not unique to Buddhism, is the idea of violence for the sake of peace," he said. "That although this is an infraction, although we are gaining negative karma, it's for the greater good -- prima facie anyway."

Buddhist nation states have historically sought to use Buddhist doctrine to justify war. During the Japanese invasion of China in the 1930s, for instance, soldiers were told not only that they were defending Buddhism but that emptiness in Buddhism is the only true reality, therefore, in the end, nobody was being killed, Jerryson said.

Ultimately,added Jerryson, Buddhist countries battling insurgencies will find that their root problems are economic rather than sectarian.

"How many strong Buddhists states are we looking at in the world? How many of them are economically strong? Because with economic strength and vitality comes less likelihood of civil insurrections and wars.

"Of course, we see a lot violence with Islamic countries now, but we also see a lot of poverty with them too."

Identity crisis

For Thailand-based security analyst Don Pathan the problems in Thailand's south have less to do with religion than with identity.

EXPLAINER: Thailand's deadly southern insurgency

"The fact that the Or Ror Bor is exclusively Buddhist, doesn't say anything about Buddhism in ethical terms; it's just something that sets them apart from other security units," Pathan told CNN. "The issue is not about religion."

He said that while there were many factors influencing the insurgency -- economic, historical and the fact, he says, that the violence has migrated from rural areas to the cities -- he had also noticed a generational dimension to the problems.

"My experience with the older generation is that I still sense a strong fabric of society that still gets along together -- people are still friends whether they are Muslim or Buddhist.

"But I don't get that sense very strongly with the younger generation."

He said that while older Buddhists generally speak functional Malay to communicate with their neighbors, younger people have little interest in learning the language, regarding it as something only their grandparents do. The state emphasis on speaking Thai at schools has created problems, he said, reinforcing differences between the two communities.

"And it's not just Thai, but Central Thai -- that's how ethnocentric the Thai nation state can be. But they don't seem to understand that's a problem; that we need to accommodate the local identity," Pathan said.

He said the confusion between culture and religion was one of the driving forces behind the violence.

"It's like (groups) that say they practice correct Islam, but what is correct Islam? Islam is a religion not a culture," he said. "The problem (in southern Thailand) is that they don't separate these things; for them it's two sides of the same coin."

@highlight

Buddhism is strongly associated in the Western mind with pacifism

@highlight

Despite this, increasingly Buddhist countries are mired in insurgent violence

@highlight

In Sri Lanka to Myanmar and southern Thailand, Buddhists have been urged to take up arms

@highlight

Analysts say, as with many religions, Buddhism is seen as a part of a national identity