(CNN) -- The Republican Party's support for same-sex marriage is starting to grow. In the past 16 months, the number of GOP legislators supporting equal access to civil marriage quadrupled -- from just two to eight. And recently, Republican Rep. David Jolly of Florida, a swing-district legislator with a deep personal and religious belief in traditional marriage, made a case we will hear more -- a good society should confer the rights and responsibilities of civil marriage on same-sex couples while respecting the religious freedom of houses of worship to perform the sacrament of marriage only in the ways they see fit.

"As a matter of my Christian faith, I believe in traditional marriage. But as a matter of constitutional principle I believe in a form of limited government that protects personal liberty. To me, that means that the sanctity of one's marriage should be defined by their faith and by their church, not by their state.

"Accordingly, I believe it is fully appropriate for a state to recognize both traditional marriage as well as same-sex marriage, and therefore I support the recent decision by a Monroe County Circuit judge." That July 17 decision applies only to Monroe County, Florida, home to Key West. Florida's attorney general is appealing the ruling.

Jolly's view is consistent with core Republican values of limited government, individual liberty, personal responsibility and stronger families. More conservatives are starting to understand that the sanctity of a couple's marriage should be determined by their faith and that the legality of their marriage should be determined by law -- equally applied to all.

This means that government should respect the right of churches to perform only blessings in which they believe, and it should respect the inherent right of citizens to marry the person they love, without using tax dollars to deny them that basic freedom. Amen to that. The foundation of the Republican Party respects personal freedom without unnecessary government intrusion. So why should marriage be any different?

The GOP's stance is changing beyond the halls of Congress. Republican governors with traditional perspectives on marriage are finding principled, inclusive positions. Govs. Chris Christie of New Jersey, Tom Corbett of Pennsylvania and Brian Sandoval of Nevada have not changed their personal views of marriage, but they have responsibly refused to pursue costly and certain-to-lose litigation over the issue, choosing instead to focus on bread-and-butter issues.

Wisconsin Gov. Scott Walker, who has opposed same-sex marriage, said recently that his own views don't matter and that courts will resolve the issue. New Mexico Gov. Susana Martinez has allowed her state to move on as well, opting not to amend her state constitution in what would be a misguided attempt to prevent same-sex couples from experiencing the joys and challenges of marriage.

Attitudes toward employment discrimination against gays are also changing. In addition to Christie and Walker's public stands against discrimination, GOP Gov. Rick Snyder of Michigan said he was open to talks on the issue and Gov. Jan Brewer of Arizona has suggested that state law could be updated to ensure American workers are judged on their qualifications, hard work and merit -- and not on their sexual orientation.

These principled statements are not simply a defense mechanism to win votes in upcoming elections. They reflect a heartfelt acknowledgment that every citizen should be treated fairly and equally under the law and that gay and lesbian Americans are just as American as the rest of us.

Appeals court rejects Virginia same-sex marriage ban

The battle within the GOP for gay rights is not yet won. There are outliers like Texas Gov. Rick Perry, who has likely done permanent damage to his presidential aspirations by suggesting being gay and or lesbian is like being an alcoholic -- you can choose not to do it.

These comments are harmful to gay and lesbian people and fly in the face of what straight people innately know about the immutability of sexual orientation. Even worse, Perry's comments repel swing voters from considering worthy Republican policy solutions for fear that the GOP cares more about pursuing a narrow social agenda that threatens the freedom of their family and friends.

The tide is turning in favor of freedom across the country. And that means a more accepting and inclusive message is emerging. The GOP is ready for change, and it's ready to welcome people with sincerely held beliefs on both sides of the marriage issue -- both in terms of party membership and in terms of primary politics.

Across the country, Republican candidates are being judged on their substance and ability to advocate for economic freedom, and not because of their positions on marriage. An impressive number of Republican state legislators, 233, have stood up for the freedom to marry, and only three have lost their seats because of that stand. That reflects a party and a country that's ready bury the politics of LGBT freedom in the graveyard of defunct wedge issues.

The bottom line is that even if your personal religious views do not align with same-sex marriage, someone else's do. And that's OK. We should be able to disagree, treat each other with respect and live our lives with freedom and equal opportunity under the law. Republican leaders are beginning to "get it" and that's good for an America that belongs to all of us.

@highlight

Margaret Hoover: More GOP legislators are starting to support civil same-sex marriage

@highlight

GOP's Jolly says a state can allow gay marriage, but houses of worship should have option

@highlight

Hoover: More conservatives think state determines legality, faith determines sanctity

@highlight

Hoover: Attitudes toward employment discrimination against gays are also changing