(CNN)  -- In graduate school and as a mountaineer and nature photographer, I've visited many of the world's great mountain ranges and seen hundreds of glaciers.

In spite of this, I didn't understand how fast truly enormous quantities of ice could disappear until 2005 when I went to Iceland and shot a story for The New Yorker magazine.

This led to a 2006 National Geographic magazine assignment to document changing glaciers in various parts of the Northern Hemisphere and South America. By the time this cover story was done, the Extreme Ice Survey was born.

EIS merges art and science to give visual voice to the planet's changing ecosystems. Through time-lapse imagery and other innovative methods, EIS documents and communicates environmental impacts from global warming and other human-made causes while inspiring action among citizens and policymakers. Time-lapse photography captures the speed at which glaciers are retreating in places such as Greenland, Iceland, Alaska, the Alps and the Rocky Mountains. Watch video and see EIS project here.

EIS is a collaboration between image-makers and leading environmental scientists, all of us devoted to documenting the changes transforming Arctic and alpine landscapes today. We do this because shrinking glaciers are the canary in the global coal mine, the most visible, tangible manifestations of climate change on the planet.

The survey is extreme in every way -- distances, costs, logistics, field conditions. Truth be told, there are times when I wonder why I'm putting myself through this ordeal. But other voices, asking different questions, ultimately provide the answers.

I picture myself 30 years from now. I hear my daughters Simone and Emily saying with a certain amount of anger and exasperation: "Dad, with what everyone knew back in 2009, how could people not have realized the climate was changing?" And then they ask the personal zinger: "What were you doing about it?"

Hindsight can be merciless. People of any given era often look back in time and wonder how their predecessors could have been so dimwitted.

How could the British navy have taken hundreds of years to make limes and other antiscorbutics a standard part of sailors' diets? The cure for scurvy was known to European navigators as early as the 1500s.

During three epic voyages of the 1770s, Capt. James Cook forced his crews to eat sauerkraut, which was later shown to be rich in vitamin C. He lost not a single man to the disease. Yet the British admiralty waited until 1867 before mandating that its sailors eat limes to stay healthy.

When the future looks back at the late 20th and early 21st centuries, people will be as astounded at our mule-headedness about dealing with climate change, as we now are at the foibles of earlier societies.

Unfortunately, the astonishing pace of climatic events, as witnessed in the ice, doesn't give us the luxury of time to be slow learners.

We cannot afford to be hamstrung by ponderous social institutions or deluded by false information. We must make a major effort to stop climate change right now, and not think we can absolve ourselves of responsibility by educating our children to do things differently. A generation from now will be too late. The voices of the future -- our grown-up children -- will damn us if we are passive and indifferent.

As I head to Copenhagen, Denmark, for the United Nations Climate Change Conference, I hope to bring the extraordinary evidence of melting glaciers that my colleagues and I at the Extreme Ice Survey have worked so hard to collect to both the climate-change believers and the skeptics.

I hope to attract even more widespread attention to this critical issue, because if we rise to the occasion demanded by a changing climate, we will be heroes. Descend into collective complacency and dysfunctional denial, and we will someday be judged to have been fools.

Sir Edmund Hillary once said about great deeds, "People do not decide to become extraordinary. They do extraordinary things." The quality of our society and our lives will be judged by the deeds we do or don't do.

Once upon a time, I was a climate-change skeptic.

I'm not one anymore. The evidence is in the ice.

The opinions expressed in this commentary are solely those of James Balog.

@highlight

James Balog says he didn't know how fast enormous quantities of ice were vanishing

@highlight

He says his eyes opened with photo assignments, now heads Extreme Ice Survey

@highlight

Balog says people will look back, wonder how predecessors could've ignored global warming

@highlight

Once a skeptic, convert says we can't afford to wait or be deluded by false information