New York (CNN) -- Iranian President Mahmoud Ahmadinejad's appearances in New York this week are part of a shrewd strategy that is aimed at enhancing his standing in Iran and the Middle East, says analyst Fareed Zakaria.

Ahmadinejad, who came to the United Nations for the annual meeting of the United Nations General Assembly, met with journalists and was interviewed on Larry King Live, where he called Israeli Prime Minister Benjamin Netanyahu a "skilled killer" and parried questions about his nation's nuclear program.

"The reality about Iran is that it's a middle-rank power, a regional power, and if not for Ahmadinejad's outlandishness, it would not deserve as much attention as we're giving it," Zakaria said. "But we give it and him enormous attention and almost give Iran and Ahmadinejad free power."

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Wednesday. Here is an edited transcript:

CNN: What do you make of Mahmoud Ahmadinejad's appearances in New York this week?

Fareed Zakaria: One of the annual traditions of the U.N. week has become breakfast with Ahmadinejad. He throws a breakfast for 10 or 12 of us in the media, and its always interesting to see. He has certainly become more schooled and practiced at it. He's now very comfortable in the limelight, he's very comfortable with the media attention.

I was struck by the fact that while he's clearly having some troubles at home, he showed no weakness, no hesitation, no nervousness, in fact quite the contrary, he was very confident and quite tough in a lot of the things he said.

CNN: What is his game plan?

Zakaria: At one level he enjoys the limelight and getting all this attention. He also recognizes that it gives him a certain kind of status at home. There's that perverse dynamic at play here where the media understands this and yet ends up building up this person.

But beyond that he's often pursuing a very shrewd definition of of Iran's national interest.

CNN: What makes it shrewd?

Zakaria: For example, the issue that gets the most attention is almost always the comments he makes on the Palestinian issue. His goal clearly seems to be to appropriate that issue from the moderate Arab states -- Egypt and Saudi Arabia -- who are of course his key rivals for leadership of the Middle East. He goes much further than they can in his zealous defense of the Palestinian cause, in attacks on Israel and yet is almost always just short of saying something that is truly belligerent.

He may have said a few things in the early years that could be interpreted as threatening to attack Israel, but now he's very careful.

It makes it impossible for the Egyptian president, say, to make an anti-Iranian speech or an anti-Ahmadinejad speech because on the streets of Egypt, people regard Ahmadinejad as a friend of the great Arab cause.

CNN: Is it in his interest to try to doom the peace talks between the Israelis and the Palestinians?

Zakaria: I asked him why he was opposed to the peace talks if the Palestinians wanted to get into them and would he support any deal that the Palestinian people approved of? And he was uncomfortable, because on the one hand he has often said that he wants the Palestinian people to get what they want and here of course, he's criticized the peace talks.

The honest answer is no, he does not want the peace talks to succeed, and he's trying to find a way to be an obstructionist without seeming to be an obstructionist. He redirects the question into an attack on either Israel or an attack on the United States, arguing that we can't be a fair broker of these talks because we are too one-sided. It helps him to have tension between Israel and the Palestinians.

CNN: What's behind the remarks he made about Netanyahu?

Zakaria: He made some very inflammatory remarks about Netanyahu, he called him a dictator, which is truly bizarre because he's a duly elected prime minister. And then he called him a killer who should be on trial for the death of Palestinians, and that I haven't heard him say before. He's looking for ways where he can be tougher on Israel and more zealous in defense of the Palestinians than anyone else in the Middle East. He wants that mantle.

CNN: Did he make any news on the nuclear issue?

Zakaria: Again I was struck by how tough he was. He did say he would always be willing to talk, but when asked if he was willing to be more cooperative or provide more documents, he was very resistant. It was almost as if he had got his back up on that and felt as though Iran had made enough concessions already.

CNN: There have been reports that the clerical hierarchy in Iran has strong doubts, or fears, about Ahmadinejad?

Zakaria: He now knows how to parry that kind of question pretty well. He didn't back down from a few things he had said that have gotten him into trouble in Iran. One of them was that he had praised Cyrus the Great, the pre-Islamic Iranian monarch, and he had been criticized by some of the conservative clergy who said you should not be highlighting Iran's pre-Islamic past, you should be highlighting Iran's Islamic heritage. And he in effect doubled down on his praise. He said he was a great king, he abolished serfdom, he abolished slavery, I don't see what's wrong with praising him.

He said, there are people who disagree with me in Iran, but I am the elected president. It didn't seem as though he was trying to backtrack. He was more comfortable than in the past in admitting that there was opposition in Iran, but at the same time holding to his position pretty strongly.

CNN: Does Ahmadinejad's tough stance present a dilemma for the Obama administration?

Zakaria: Sure, it presents a real dilemma. Basically the Obama administration's Iran policy was premised on the idea that we would reach out to the Iranians and say let us agree to disagree on the fundamental issues of your legitimacy and our legitimacy and just come up with a workable deal that will give you some benefits and us some benefits.

That strategy was premised on the idea that the Iranians would be willing to talk, to engage. It doesn't appear as if they are, or if they are, we haven't found the magic key to unlocking the gate.

The reality is that the Iranian regime has as its core a kind of anti-Americanism, and maybe that's the DNA and it's just very difficult for them to move out of it. It also may be that at this moment, they face certain internal forces that make it difficult for them to change that basic dynamic and start negotiating with the United States.

CNN: So what's the result?

Zakaria: For whatever reason, they are not willing to play ball, so the Obama administration is left to figure out, in the absence of Iranian cooperation, what's the best strategy. So they've pushed sanctions, and actually been very successful at getting the sanctions passed by the U.N., implemented by the Europeans, supported by the Russians and the Chinese, but it remains to be seen whether in the short-term it will produce the ultimate goal, which is to make the Iranians cut some kind of a deal on the nuclear issue.

CNN: Do you think the U.S. has to make a decision imminently or does it have more time?

Zakaria: I think it has time. I think the biggest mistake we could make is to inflate the importance of Ahmadinejad, to inflate the importance of Iran, inflate the importance of this issue.

Iran is a problem.  It is a regional power on a path which might end up with its acquisition of nuclear weapons. This is not an imminent threat to the United States certainly, and I don't believe it's an imminent threat to Israel.

The reality is that Israel has a very strong nuclear deterrent, probably 200 to 250 nuclear weapons.

The Iranians are not crazy. Seeing Ahmadinejad once more made me feel that these are very savvy calculating characters, and time is not really on their side. Sanctions are having an effect, the economy is in a mess, the regime faces internal problems, so why should we feel any pressure? Let them feel the pressure.

@highlight

Iran president made annual trip to New York for U.N. General Assembly

@highlight

Fareed Zakaria says Ahmadinejad's tough remarks are part of a strategy

@highlight

He says media attention elevates his profile in Iran and the Middle East

@highlight

Zakaria: Iran is middle-rank power that gets more than its share of attention