(CNN) -- If the one great book of American popular music is ever written, Doc Watson might not even need his own chapter. He has a solo -- or a harmony part, or a lead vocal, or a single perfect guitar lick -- in all the important chapters of the past 50 years.

Watson, who died on Tuesday at age 89, is most closely associated with the melodic style of flatpicking that cemented the guitar's role as a solo voice in bluegrass and acoustic country music. But unlike the three-finger "Scruggs style" named after banjo pioneer Earl Scruggs, who crossed musical paths with Watson a number of times across the decades, there isn't a single "Watson style."

The flatpicking turned heads, but the tune that followed it might be a fingerstyle blues, a Travis-flavored country bounce or a parlor song from the Carter repertoire. Watson was a master tailor, not a designer; he fitted techniques to the needs of the song or the generations of players who sat next to him, as if they had been designed that way from the start.

Watson, blind from childhood, took an understated pride in being able to support his family independently. He was already a seasoned local and regional performer, playing both old-time music and what he called "rockabilly and pop standards," when the folk boom of the 1960s put him in front of a new set of audiences with his voice, banjo and acoustic guitar.

For some performers, the welcome influx of new audiences also brought calls for a change in repertoire. Watson merely changed gears; he was comfortable with the ballads and tunes he'd grown up with, and he was equally deft at re-creating the brother duets he had heard on the radio when he played them with their author, Bill Monroe, the prickly creator of bluegrass music.

By the late 1960s, Watson was well known to urban folk audiences and increasingly in the country stronghold of Nashville as well; he had even joined Scruggs and Lester Flatt, the former Monroe sidemen who had become the best-known names in bluegrass, for an instrumental album.

His neutrality in personal and stylistic feuds reflected his own musical open-mindedness and served him well when the Nitty Gritty Dirt Band was recruiting traditional performers for a three-album tribute to its own country roots, "Will the Circle be Unbroken." The "Circle" helped define the sound of dorm rooms and hallways and the song lists of bar bands.

Audiences that had never listened to the Grand Ole Opry itself would applaud the "Grand Ole Opry Song," and they expected the Watson touches that knitted the album together: the instrumental styles, the vocals, the playful treatment of tunes like "Tennessee Stud."

That milestone album could have capped a career. For Watson, it wasn't even a halfway point; he had nearly four decades still to go. (Indeed, he was scheduled to perform next in June with a number of longtime collaborators at a celebration of his work at the North Carolina Museum of Art.)

The newly world-famous Watson was strikingly consistent with the original. He continued to tour primarily with his son, Merle. He recorded music he liked with performers he liked, and he kept an ear out for the generation that was coming up behind him. The Doc Watson you saw on the national stage or heard on public radio was the same one you saw at small festivals in out-of-the-way parts of North Carolina: intimate, genial, as distinctive playing rhythm as he was in the spotlight. There was never a public watershed where Watson formally broke with his roots or humbly returned to them. His roots were always part of what he did; he just kept adding new roots.

That's not to say there were no changes; Merle's death in a farming accident in 1985 was an unimaginable loss, personally and professionally. Watson adapted, with the help of players who could tour and play in the way Merle had. The genre-blending MerleFest, held each year since 1988 as a fundraiser for Wilkes Community College, is a lasting tribute.

Watson continued to record: with country giants like Chet Atkins, newgrass superstars like David Grisman and Tony Rice, and by the end of the century with Merle's son Richard. He was onstage with Scruggs again in 2003 -- as "The Three Pickers," with Ricky Skaggs and such next-generation guests as Alison Krauss -- in a concert that Variety called "one highlight after another."

The British folk rebels of the early 1970s explained their rocked-out Child ballads as a way of taking folk music out of museums and giving it back to folks. Doc Watson made his share of music for museums and dignitaries and international audiences, but it was the same music he would have made in your living room: extraordinary music for ordinary occasions.

@highlight

Doc Watson switched gears to adapt to changing musical scene

@highlight

1960s put him in front of a new set of audiences

@highlight

Nitty Gritty Dirt Band brought him to an even broader audience