(CNN) -- West, Texas, isn't just a town. It's a family.

That's why it hurt so much one year ago Thursday when an enormous explosion at a fertilizer plant claimed 15 lives while destroying 120 homes and damaging 200 others across 37 blocks, shattering windows well beyond that. The blast was earth-shattering, registering on seismographs as a 2.1-magnitude earthquake and shaking homes 50 miles away.

The 10-foot crater the blast left behind pales in comparison to the holes left in the hearts of the town's 2,800 residents. "No one's life was untouched," says Mimi Montgomery Irwin, owner of the Village Bakery, a local gathering spot.

Everyone felt the blast: Those who buried loved ones and the neighbors who consoled them. The displaced students learning Shakespeare in trailers because their schools were condemned. Homeowners left without a home and the friends who took them in.

Mayor Tommy Muska is "not surprised at all" by how his community came together. Some might attribute this spirit to the resiliency of the Czechs who helped settle and still help define the community. Others may credit the strong faith of its residents. Or it may be a product of life in a place where everyone knows everyone and won't leave their neighbors behind. It's telling that, in a town of 2,800, very few left.

"(Residents) pulled themselves up, shook themselves off and started moving forward." Muska says. "They just did what needed to be done."

Thanks to this hard work, this unity, these values -- not to mention well-placed, much-needed government assistance -- the mayor says, "We're going to have a new normal someday."

But that day isn't here.

And the old normal in West isn't coming back.

Newly released video shows moment of deadly blast

War zone now a construction zone

Still, the evidence is everywhere that West is rising again.

It is happening brick by brick, shingle by shingle, prayer by prayer. What once looked like a war zone is a construction zone.

Already, 25 new homes are finished, with about 60 others nearing completion, according to the mayor. A new emergency services facility has replaced a tiny construction trailer. Work has begun on rebuilding the West Rest Haven, a nursing home and once one of the town's biggest employers. Downtown storefronts, which last year had boarded windows, are bustling with business.

"We can see something happening," says Dr. George Smith, West's director of emergency medical services. "There is light at the end of the tunnel."

The view was hard to envision that fateful Wednesday night last spring. Smith was in West Rest Haven, where he is medical director, when the building's ceiling and windows collapsed on him.

Somehow, he and the facility's residents were able to escape.

The very next morning, city officials, including the mayor and several council members who themselves had been left homeless, went to work. Nonprofit groups from the Red Cross to faith-based groups to volunteers who just wanted to help flocked to the small town. In the three days after the blast, the Texas A&M Veterinary Emergency Team treated more than 120 animals -- horses, sheep, chickens and a cow and her calf in the field, household pets like dogs, cats, rabbits, even a bearded dragon -- says spokeswoman Angela Clendenin.

Twelve months later, authorities still haven't pinpointed the cause of the blast, but an electrical malfunction, a spark from a golf cart or an intentional act haven't been ruled out. For now, the state fire marshal's office and the federal Bureau of Alcohol, Tobacco, Firearms and Explosives will only say their joint investigation "is active and ongoing."

While nothing publicly has changed on the investigative front since May, the status of federal assistance took a big step forward in August when President Barack Obama's administration issued a disaster declaration that paved the way for funding for things like new infrastructure and millions of dollars for new schools.

When they open in fall 2015, those new school buildings will be better than what they replaced. There will also someday be a park and memorial. The 120-bed nursing home is expected to be state-of-the-art. New infrastructure and homes likewise will be improvements.

As Smith notes, "In the long run, we're actually going to be better" as a town in many ways.

Muska concurs, while in the same breath adding: "Anything we get as a benefit for this is too much a price to pay for the 11 firemen, two civilians who helped out and two civilians killed."

Loss of lives hits small town hard

In a community full of strong people, the mayor said among the strongest are the 13 women who lost their husbands.

"They are doing as well as can be expected," Muska says, acknowledging that Thursday's memorial may reopen some of the wounds. "It's not going to ever go away. The sting of losing a loved one radiates long after they are gone."

Adds Montgomery Irwin, whose bakery specializing in kolaches and other Czech foods is a frequent meeting place for residents, "Time does heal. But you don't forget."

Even with reconstruction abounding, she adds, "From an emotional standpoint, it seems like it was just yesterday."

Some say the tragedy contributed to more than the initial loss of life.

West Rest Haven's residents dispersed to about 10 facilities after the explosion, leaving their friends and caretakers behind. Over the past year, these elderly people died at about twice the rate that would have been expected, Smith says.

"People ask me if it had anything to do with the explosion," he says. "And I say, 'Yes, it certainly does.'"

The loss of the nursing home didn't just affect its residents. Emil "Sonny" Fridel, 91, misses his almost daily trips to visit friends at West Rest Haven and misses the weekly masses there, according to his daughter, Mary Ann Kubacak.

A reunion a few months ago cheered up the nursing home's former residents, as did the recent groundbreaking on the new facility.

Their feelings are similar to many others displaced by the blast, Smith says: "Most of them want to get back to West as soon as possible."

Ray Snokhous lost two cousins, both firefighters, in the explosion. A lawyer who returned a decade ago to West, where his father had been the town blacksmith, Snokhous says, "It's difficult to put into words" how his and other families are able to rebound emotionally.

But reflecting on the town's history of settlers who fled oppression in Europe and of sending men like himself, a Korean War veteran, to serve in the U.S. military, Snokhous said the people of West have shown their resilience time and again.

"We're survivors," said Snokhous, who is the Czech Republic's honorary consul general in Texas. "And we are also fighters. ... God gives us a wake-up call every so often, and we respond to it."

'We will put it back together'

Residents say their faith has been instrumental in understanding and dealing with last April's tragedy. Montgomery Irwin says the anniversary falling so close to Easter -- with its message of resurrection and renewal -- is especially appropriate for the people of West.

Snokhous lauds not just his own Catholic church, but churches of other denominations that helped heal the mourning community.

"What I have seen is a community come together like (one) could have never imagined," he says. "... We have the blessings of the life remaining. And we will put it back together."

Whoever one talks to, that word -- community -- comes up again and again.

Notes Kubacak, who grew up in the town and still visits regularly, "The people of West have always helped each other."

Montgomery Irwin was living and working in New York, where she was a vice president in Macy's marketing division, after the September 11, 2001, terrorist attacks. The scale of the destruction and suffering was immense, but even then there were many people in the city who didn't know anyone personally affected.

That's not true for West, to which Montgomery Irwin returned seven years ago after her father's death.

It's still a place where everyone seemingly runs into each other every day, be it at her bakery, the supermarket, the hardware store or church. A lot of people don't readily complain or ask for help, but they now more than ever realize their neighbors will open their doors, wallets and hearts when it's needed.

What's most different now is that, through this terrible tragedy, people the world round have gotten to know West. It's not just a town on the east side of I-35, a dot on the map between Dallas and Austin.

"People know now that West is truly a place," says Montgomery Irwin. "And actually, quite a special place."

CNN's Jason Morris and Jessica Ravitz contributed to this report.

@highlight

15 died, hundreds of homes destroyed or damaged in West, Texas, blast last April

@highlight

Official: Death rate higher for displaced nursing home residents after explosion

@highlight

Since then, many homes have rebuilt; so, too, will the nursing home, 2 schools

@highlight

"We're going to have a new normal someday," mayor says