Some people go on pilgrimages abroad for religious reasons or for historical interest. Denis Asselin created his own rite on the Eastern Seaboard in honor of his son who took his own life last year.

For 45 days, Denis Asselin walked from Philadelphia to Boston in memory of his son, Nathaniel, who suffered from a severe form of a mental illness called body dysmorphic disorder. He crossed the finish line Thursday.

"I did really pound a lot of my grief into the ground, and I really did kind of let go of the feeling of loss," says Asselin, 63, of Cheyney, Pennsylvania. "To let go of the anger about that, the injustice of that, and the cruelty of all that, and the beautiful metaphor of moving forward is what it is."

More than 150 people -- including patients, doctors and supporters -- came to the rally in Boston on Thursday to greet Asselin. He had been walking every day since April 24.

Dad walks 525 miles after son's suicide

Asselin's walk helped raise money and awareness of obsessive-compulsive disorder. As a result of his project, Walking with Nathaniel, he has raised more than $17,000 for the International OCD Foundation.

What is BDD?

Body dysmorphic disorder is a chronic mental illness characterized by obsessive thoughts about flaws in one's own appearance. Those imperfections are minuscule or even imagined, but they cause patients great suffering because they feel so ashamed of them.

One to 2 percent of the population is thought to have body dysmorphic disorder. A 2010 study in the journal Archives of General Psychiatry suggested that people with the condition have abnormal brain function when looking at pictures of their own face.

Some patients seek elaborate cosmetic surgery procedures, over and over, but it's never enough. The condition is associated with symptoms of other mental illnesses such as depression, eating disorders, social phobia, anxiety and suicidal thoughts and behaviors.

Cognitive behavioral therapy helps some patients refocus their thoughts and see themselves in a more positive way. There are no approved medications specifically for the condition, but a doctor may prescribe antidepressants. But sometimes the condition can lead a person to attempt to harm himself or herself, or others, and requires hospitalization.

Nathaniel Asselin's symptoms began in fifth grade. He became obsessed with running, feeling he needed to go faster each day. His weight began dropping dramatically. At first, therapy and medication helped, but by 11th grade the boy was spending hours in front of the mirror.

His parents struggled to find treatments that would work for him, trying their hardest to help. Nathaniel Asselin changed schools, tried homeschooling and underwent intensive therapy, including hospitalizations. On April 15, 2011, he took his own life.

The walk

Along Asselin's walk of more than 500 miles, he stopped at schools, clinics and medical facilities where his son had been treated.

Inspired by a trip along the Camino de Santiago in Spain with his family, Asselin decided to trek this pilgrimage of his own. To prepare, Asselin practiced walking locally around West Chester, Pennsylvania, between January and March, walking a total of 500 miles in a little over two months.

A week into the walk, e-mails started coming to Asselin from people affected by body dysmorphic disorder expressing their deep gratitude for his journey. He also met patients at the rally Thursday.

"I just want to hug them," he said. "I just know what they're going through, it's so, so difficult, and how lonely it must feel to them, and how they must get discouraged," Asselin said. "It's not a well-known disease and the protocols are not completely in place."

One of the most poignant moments for him took place at the Shipley School in Bryn Mawr, Pennsylvania, a private school where he'd taught for 19 years. On the third day of the walk, the entire student body lined the street from the Lower School to the Upper School to wish him well, with the younger kids holding "Buen Camino" signs and shouting "ultreya," meaning "onward."

"Here are people who are supporting me virtually, who are right there with me, and can't walk with me, but I could feel their energy, and I could feel that this mattered to them," he said.

Asselin was walking by himself for the most part during the week, but on weekends people would join him -- his wife, his daughter, a cousin, his sister-in-law, other supporters. While he received many offers for accommodation from supporters, sometimes he would have to make last-minute decisions about where to stay, such as after a particularly grueling 28-mile stretch when he didn't stop until he found a hotel.

A young woman who had also been at McLean Hospital in Belmont, Massachusetts, at the same time as Nathaniel Asselin, and who also had body-dysmorphic disorder, also reached out. She and Nathaniel Asselin had often walked and talked together. After correspondence throughout the journey, she joined Asselin in walking on Wednesday from McLean on the same 13-mile route that Nathaniel Asselin had taken when he ran away from that hospital in early 2010, when his father had combed the twisting streets of Boston trying to figure out where his son had called him from.

Asselin calculated that he took 1,110,000 steps on this journey. At his pace, he says, it was more than the anticipated 525 miles, more like 552. He's not sure what he's going to do next but feels he is being called to do advocacy work for this particular disease.

"Often I felt Nathaniel was with me during this whole walk," Asselin said. "I was walking with Nathaniel. Not walking for Nathaniel. Not walking to Nathaniel. I really chose my preposition very carefully."

@highlight

Denis Asselin finished his walk from Philadelphia to Boston on Thursday

@highlight

He raised more than $17,000 for the International OCD Foundation

@highlight

More than 150 supporters came to greet him at the end of the journey