Washington (CNN) -- A civilian mortician who was recently demoted for misconduct in handling remains of the U.S. military's war dead has resigned, the U.S. Office of Special Counsel said Friday.

Quinton "Randy" Keel, who worked at the U.S. military mortuary in Dover, Delaware, was among three supervisors who "illegally tried to suppress (three employees') disclosures and punish them for their whistleblowing" about mismanagement and mishandling of human remains, the independent federal investigative and prosecutorial agency said in a statement.

"It is not surprising that Mr. Keel chose to resign," the agency said. "The Office of Special Counsel's report of investigation, which will be made public in mid-March and which the Air Force received in late January, found that Mr. Keel retaliated against the whistleblowers."

The special counsel's office is awaiting the final decisions by senior U.S. Air Force officials on disciplinary action for the two other supervisors, who remain on staff, the agency said.

The office has been investigating claims by three of the whistleblowers that the Air Force retaliated against them for bringing up the problems, in one case attempting to terminate the employment of one of them.

"The government needs to listen to employees who come forward with serious allegations of wrongdoing," Special Counsel Carolyn Lerner said in a statement. "And it needs to take disciplinary action when supervisors suppress or punish whistleblowers. Failure to do so sends a chilling message."

In November, a Defense Department official confirmed that Keel, a civilian, was demoted to a non-supervisory job and was working in another area at Dover outside the mortuary. Another civilian, Trevor Dean, a mortician and funeral director there, was transferred to a non-supervisory job. Col. Robert Edmonson, the mortuary commander between January 2009 and October 2010 when the incident occurred, was issued a letter of reprimand.

A year-long Air Force investigation into whistleblowers' 14 allegations of wrongdoing involving four U.S. service members killed in action found that Quinn sawed off the arm of a dead Marine without consulting the Marine's family. The body was being prepared for viewing by his family and had a badly damaged arm, whose bone had fused at a 90-degree angle, a Pentagon official said.

The Air Force found no wrongdoing and officials say preparing badly damaged bodies can be very difficult. But the federal Office of Special Counsel, which also investigated the matter, said the family should have been notified, according to a statement issued by that office Tuesday.

In November, U.S. Air Force investigators found "serious misconduct" in the handling of remains of the nation's war dead at the Dover Air Force Base Mortuary, special counsel's office said.

Air Force Chief of Staff Gen. Norton Schwartz referred to "gross mismanagement" in some aspects of the mortuary's operations. Secretary of Defense Leon Panetta appointed a panel to review operations at the Dover mortuary, Schwartz said then.

The Air Force investigation confirmed several of the allegations from whisteblowers, including several instances in which portions of remains from troops killed in action were lost or unaccounted for. It included losing an ankle that had been in storage and some bags that held other body parts and remains.

A Pentagon official confirmed that elements of the Army and Air Force were criticized for shipping fetal remains from military families to Dover in cardboard boxes.

At a news conference in November, Schwartz said the investigation began after allegations from three employees "became known to us." He did not identify the employees or their positions. But the report from the Office of Special Counsel identified the three as James Parsons, Mary Ellen Spera, and William Zwicharowski. The Air Force said all three are still employed by Dover Air Force Base.

"The fundamental result of the investigation was that senior Air Force mortuary operations affairs officials did not meet standards in that they failed to act with clear indications that processes and procedures ... were inadequate to ensure accountability of remains," Schwartz said in November.

He said among their findings, investigators "concluded that the loss of two specific portions of remains constituted gross mismanagement."

Those two cases involved the remains of an Army soldier and those of an Air Force airman.

"In one case we have reason to believe that the remains were properly disposed of; in the second case, we cannot make that argument. It is simply unknown what happened to the second set of remains," Schwartz said.

"This gross mismanagement dealt with the fact that ... supervisors, of which there were three, failed to properly perceive and then act upon ... clear indications that there were systemic issues with respect to accountability of remains in the mortuary."

Special Counsel Carolyn Lerner said in November that the Air Force hadn't taken "sufficient disciplinary action against the officials responsible for wrongdoing," according to an OSC statement.

But Schwartz said last year that he did not believe the situations cited in the report were intentional. He emphasized that "this was difficult work, 24/7. And while their performance did not meet standards, this was not a deliberate act, in my personal view."

The Air Force said in November that it is improving procedures at Dover but admitted that "the mortuary staff failed to maintain accountability while processing remains for three service members."

"While it is likely that the disposition of remains was by appropriate method, it could not be shown that it was in accordance with the families' directions," the Air Force said in a statement in November.

Panetta noted that "one of the Department's most sacred responsibilities is ensuring that the remains of our fallen heroes are recovered and returned to their families with the honor and dignity they have earned.

"I was deeply disturbed to learn about questions involving the possibilities of improper handling and preparation of remains of four service members at the Air Force's Dover Port Mortuary," Panetta said in a statement last year.

The Office of Special Counsel said last year that while the Air Force investigation "confirmed most of the whistleblower's factual allegations," it "nonetheless failed to admit wrongdoing."

"The Air Force did, however, respond positively by changing numerous practices at the mortuary," the OSC said in a statement.

The OSC said that in the incidents in which "three body parts of service members killed while on active duty were lost by the Port Mortuary," the Air Force acknowledged its "negligent failure," but "still concluded that there was no obligation to notify the families."

The OSC also criticized last year the handling of some fetal remains from military families that "were shipped to Dover inside plastic pails, which were in turn placed in non-reinforced, used cardboard boxes, even though military guidelines require that remains be treated with 'reverence, care and dignity.'

"The Air Force acknowledged that this handling was 'substandard' and that it 'wasn't very dignified,' but nevertheless said the remains were afforded the requisite reverence, care and dignity," an OSC statement said.

The remains of those killed in Iraq and Afghanistan have regularly been flown to Dover since the wars began. More than 6,300 deceased individuals have been returned there. Due to combat injuries, remains are often difficult to identify and officials have long acknowledged that Dover does retain some human remains and parts that are so damaged they are not possible to identify.

"The mortuary for the United State military should boast the best conditions and best practices of any mortuary," Lerner said. "These events are deeply troubling, as is the Air Force's failure to acknowledge culpability."

In a letter to President Obama, the OSC said the report "demonstrates a pattern of the Air Force's failure to acknowledge culpability for wrongdoing relating to the treatment of remains of service members and their dependents. While the report reflects a willingness to find paperwork violations and errors, with the exception of the cases of missing portions, the findings stop short of accepting accountability for failing to handle remains with the requisite 'reverence, care, and dignity befitting them and the circumstances.'"

The Air Force has contacted families of the war dead and Schwartz has asked Panetta for an independent assessment of mortuary operations at Dover. Former Surgeon General Richard Carmona was to lead that investigation and provide a report to Panetta.

Schwartz said that he and Air Force Secretary Michael Donley "have taken personal responsibility for this."

"I want to assure our men and women in uniform, and the American public, that the Air Force mortuary standards they expect for our fallen heroes are being met," Schwartz said in a statement.

The Air Force has set up a toll free number for the families of fallen service members to call if they have questions about the investigation. They can call 1 855 637 2583 or e-mail dover.pm@pentagon.af.mil.

CNN Pentagon Correspondent Barbara Starr reported from Washington and Michael Martinez, from Los Angeles.

@highlight

Quinton "Randy" Keel was a civilian mortician at Dover Air Force Mortuary

@highlight

He sawed off the arm of a dead Marine without consulting the family

@highlight

He was a supervisor who "illegally" tried to punish whistleblowers, investigators say

@highlight

Officials are awaiting Air Force decisions on the two other supervisors