(CNN) -- Today's soccer professionals have a battery of physios, fitness trainers and doctors all striving to fine-tune their players' physique for optimum performance.

But are football clubs missing a trick in overlooking dedicated training for the most important organ of all -- the brain?

Scientists at London's Brunel University believe the game's top talents, such as Barcelona's Lionel Messi and Real Madrid's Cristiano Ronaldo, have mental faculties that are better programmed to anticipate their opponents' moves.

Research published in the Journal of Sport and Exercise Psychology found that of 39 players tested, the more experienced footballers were able to suppress the urge to act instinctively, making them less susceptible to feints or tricks from their opponents.

Brunel's study reinforces the view held by one of the greatest players of all time -- Johan Cruyff, who said that football is a game you play with your brain -- and offers tantalizing prospects for clubs.

Neural activity

Should they be able to unpick the best way to condition the brain's ability to anticipate an opponent's trickery, it could lead to better players and a potential stampede as clubs rush to add a neuroscientist to their back-room teams.

"I can see top teams employing neuroscientists in the future," Dr. Dan Bishop from Brunel's Center for Sports Medicine and Human Performance told CNN.

"That's because we have the skills and resources to witness very subtle changes in perceptual abilities that may not initially manifest in performance data, because people can change their mind midway through a task and therefore give an erroneous response, when in fact their initial 'preattentive' brain response was the correct one.

"I imagine that this will be most useful at academy level, to assess the development of young players."

Bishop believes the findings could help nurture a new generation of young sports stars in Britain, which is seeking to capitalize on a potential increase in participation following the London 2012 Olympics.

"We believe this greater level of neural activity is something that can be developed through high-quality training, so the next step will be to look at how the brain can be trained over time to anticipate the moves of opponents," he said.

"Particularly following on from the Olympics, with more people being encouraged to take up sport, we hope that our findings can be used to refine and speed up training techniques to nurture the potential in budding young sports stars."

During the trial, players ranging from novices to semiprofessionals were placed in an MRI scanner and shown video clips of a player dribbling towards them. They then had to decide in which direction to move in order to tackle them.

The study found the better players were more sensitive to moves and tricks by an opponent than those at the less talented end of the scale, which came as no surprise to Bishop. "I am confident the findings would be even stronger with professional players," he said.

"Much of the activation we saw was comparable to the activations we had witnessed in our previous studies of badminton players -- which included a large number of international athletes."

Neurological track

There is growing group of coaches who need no convincing of the power of the brain in developing top players.

One of them is Kevin McGreskin, technical director at Soccer Eye Q -- a company that specializes in elite performance coaching.

"I think that coaches either forget, or don't even realize, that football is a hugely cognitive sport," he said in an interview with football magazine The Blizzard.

"We've got to develop the players' brains as well as their bodies but it's much easier to see and measure the differences we make to a player's physiology than we can with their cognitive attributes."

His views are shared by Michel Bruyninckx, formerly academy director for Belgian club Standard Liege and now at Qatar's Aspire Academy, who is something of a pioneer when it comes to brain training in soccer players.

He places huge value on "brain-centered learning" and devised a specific program designed to foster improvement in a young player's cognitive skills. Bruyninckx places the same level of importance of neuroscience as he does football tactics.

Both Bruyninckx and McGreskin have embraced "overload" drills to help tune players' brains, where some might be asked to speak in different languages during fitness training while others are asked to toss a tennis ball around and call out colors during sessions involving the football.

"We need to develop an engram -- a neurological track -- in the brain," Bruyninckx told The Blizzard. "We always thought that sporting activities were mechanical activities, but we know that there are interventions from the brain."

Bruyninckx's work has been acknowledged by one of the world's top soccer coaches, Jose Mourinho, the current manager at Real Madrid who has won titles in four different countries and lifted the European Champions League twice.

"Mourinho immediately understood what I'm trying to do and he asked a lot of intelligent questions," said Bruyninckx.

"He also noticed that the organization of the drills requires a greater team involvement, more concentration, attention, a continuous inciting of perception and that intelligent playing could grow a lot."

@highlight

Research shows that soccer's best players have brains that are better attuned to the game

@highlight

British university finds better players have ability to suppress urge to act instinctively

@highlight

Study suggests better brain training in younger players could aid their development

@highlight

Coach Jose Mourinho has investigated methods of brain-centered learning