(CNN) -- Pope Francis arrived in Seoul Thursday, marking the first papal visit to the country in 25 years.

The historic visit is also a nod to Catholicism's shifting demographics as an increasing number of believers come from Latin America, Africa and Asia instead of its historic stronghold in Europe.

"The Pope's visit to South Korea is the first part of a very intelligent opening to Asia," said Lionel Jensen, associate professor of East Asian Languages and Cultures at the University of Notre Dame. "The Pope's presence is a powerful symbol of the Vatican's recognition that it is in Asia and Sub-Saharan Africa that the church is growing most prominently."

During his packed, five-day visit to South Korea, the Pope will beatify 124 Korean martyrs, help celebrate the 6th Asian Youth Day, which is a gathering of Asian Catholic youth, and hold Holy Mass for Peace and Reconciliation, expected to be aimed at prayers for peace, including South and North Korean relations.

North Korea fired five short-range projectiles into the sea east of the Korean peninsula, beginning about an hour before the Pope's landing in Seoul, the South Korean Defense Ministry said.

The Korean peninsula remains a divided one. One of the Pope's missions is to "go to Korea and pray for the reconciliation and peace," said Vatican spokesman, Padre Federico Lombardi.

Pope Francis is expected to meet South Korean president, Park Geun-hye, as well as hold Mass with family members of the victims of the sunken Sewol ferry and comfort women, who were forced to sexual slavery by the Japanese in World War II, in attendance.

A message of simplicity

Catholicism's growth in South Korea has been incremental, rising from 5.2 million Catholics in 2005 to 5.4 million in 2013. That represents a significant slowdown from the growth rate of 70% seen in the 10 years to 2005. Just 10.4% of South Koreans are Catholic; most are Buddhist or Protestant.

In a country that is entrenched in the latest technologies and also home to one of the biggest average household debts, Pope Francis is expected to bring his usual message of simplicity and humility. The Pope had requested the smallest car possible for his trip.

"Korea has experienced rapid economic and social development, and now is struggling with the conflicts surfacing from increased social polarization," wrote Rev. Peter Kang U-il, the President of the Catholic Bishops' Conference of Korea. The Korean Church must try to follow spiritual growth, rather than pursue material growth, he wrote.

Thursday - August 14 (Greetings with officials)

After his morning arrival, the Pope is expected to attend a private Mass and then proceed to the Blue House, which is the South Korean president's residence, where he is to meet with Park and other South Korean officials.

He meets with Korean bishops at the Korean Episcopal Conference.

Friday - August 15 (Interaction with youth)

Pope Francis will lead a Mass at the Daejeon World Cup Stadium. The stadium, built for the 2002 World Cup games, can accommodate up to 42,000 people.

As part of efforts of Asian Youth Day, he will lunch with young people at a seminary and meet with more youth at a shrine for Catholic martyrs.

Saturday - August 16 (Beatification)

The Pope will beatify 124 martyrs, many of whom were persecuted from 1791 to 1888.

South Korea's early Catholic history is marked by fierce persecution by the government. Catholicism was viewed as a foreign influence and also a threat to Confucianism, which was the governing social order.

The Catholic Church estimates about 10,000 believers died in the persecutions beginning in late 18th century. Those who refused to denounce their faith were executed. Many of them were tortured and beheaded. One of the most infamous execution sites is Seo So Mun, now located in Seoul.

With his message of embracing the marginalized, the Pope is scheduled to visit Kkottongne, which means flower village. The biggest welfare facility run by the Korean Catholic Church, the program works with homeless, disabled people and substance addicts. The facility includes an adoption center for abandoned disabled infants.

Sunday -- August 17 (Closes Asian Youth Day)

After meeting with Asian bishops from the region, Pope Francis is expected to hold the closing Mass for Asian Youth Day, which is expected to be attended by 2,000 young people.

Monday - August 18 (Mass for Peace and Reconciliation)

After meeting with religious leaders, Pope Francis holds a final Mass for Peace and Reconciliation at Seoul's oldest cathedral, Myeong-dong Cathedral, in Seoul.

Pope Francis is expected to hold a brief farewell ceremony before boarding a flight back to Rome.

CNN's KJ Kwon contributed to this report.

@highlight

North Korea fires projectiles into the sea before the Pope's arrival

@highlight

Pope Francis is making his first visit to Asia

@highlight

His Asia trip is a nod to growing Catholicism outside Europe

@highlight

Pope is expected to hold Mass with Sewol ferry victims, North Korean escapees and former comfort women