(CNN)If I had to describe the U.S.-Iranian relationship in one word it would be "overmatched."

We're playing checkers on the Middle East game board and Tehran's playing three-dimensional chess. Iran has no problem reconciling its bad and contradictory behavior while we twist ourselves into knots over our tough choices, all the while convincing ourselves that America's policy on the nuclear issue is on the right track.

Iran isn't 10 feet tall in this region, but by making the nuclear issue the be-all and end-all that is supposed to reduce Iran's power, the United States is only making Tehran taller. Consider the following:

The U.S.-Iranian relationship is not symmetrical. It's not as if we both are doing terrible things and are looking for a fair and equitable compromise to stop our respective bad behaviors. Iran is about to try a U.S. citizen and Washington Post reporter and we have made a judgment that even while we protest, we will keep the nuclear issue separated not just from this case but from Iran's serial abuse of human rights, including  the behavior of its Shia militias in Iraq. I can only hope there is a carefully orchestrated behind-the-scenes plan to have Iran release Jason Rezaian.

If not, we're legitimizing a bad regime and compromising U.S. values and interests  in the process by not ensuring that all Americans being held by Iran come out as part of the nuclear deal.

America is alienating some of our closest allies because of the Iran deal, and Iran is picking up new ones and bolstering relations with old ones who are growing more dependent because they see Iran's power rising. Our friends aren't perfect, particularly the Saudis and even the Israelis. But we need them precisely because Iran is rising.

Sadly, the administration is sending signals that cutting a deal on the nuclear issue takes precedence over their priorities. In the meantime, Iran's allies, Bashar al-Assad's Syria, Hezbollah and now the Houthis -- not proxies, but instruments of convenience -- see what's happening and are willing to play and cooperate even more in the Iranian game.

The Russians, too, realize that the nuclear issue gives them cover to sell sophisticated missile defense systems and soon to export even more to gain influence and hard currency. We're  losing friends; Iran is gaining them. And in one of the cruelest ironies, Iran's way back into the global economy is as a result of the very issue that made it such a pariah: the nuclear issue.

As the Arab world melts down and lacks a traditional epicenter of strength and power, (Egypt, Iraq, Syria), Iran is rising. The argument here is not that Iran is taking over the Middle East. But in its zone of influence, a zone critical to the United States -- Syria, Iraq, the Gulf, Yemen, Lebanon -- it is expanding its influence, not contracting.

Washington doesn't play this kind of game well. It is tripping all over itself trying to figure out how to combat ISIS in Syria and yet not empower al-Assad (no answer), how to combat ISIS in Iraq without favoring the Shia-dominated government and alienating Iraqi Sunnis (no answer)and how to backstop the Saudis in Yemen without enabling them to make matters worse through their airstrikes (no answer).

Iran has a much easier time managing contradictions. Indeed, it can use the threat of ISIS to keep the Americans away from weakening their ally al-Assad as well as expand its influence in Iraq under the guise of fighting a battle of mutual interest. Battle group naval assets to the Gulf of Aden notwithstanding, the United States is being outfoxed, not outgunned.

Don't expect U.S. ships to stop those of Iran. As State Department spokesperson Marie Harf said, "There are reports about these U.S. ships that have been moved and I want to be very clear just so that no one has the wrong impression. They are not there to intercept Iranian ships. The purpose of moving them is only to ensure that the shipping lanes remain open and safe. I think there was some misreporting and confusion on this. I just want to be very clear that the purpose is not to do anything in terms of those Iranian ships."

It clearly makes sense to try to use diplomacy as a way to constrain Iran's nuclear program. But we should have no illusions about two things. First, we won't end Teheran's nuclear weapons pretensions, and two, we are and will be enabling its rise in the region because of this nuclear diplomacy, not constraining it.  One of the reasons the United States won't strike al-Assad is for fear of emboldening ISIS, but the other is that we don't want a proxy war with Iran in Syria.

As the Russians have made clear in their recent S-300 deal, the nuclear negotiations are only making Iran a more acceptable business partner. And the real fruits of the diplomacy haven't even begun yet. Sanctions relief will make the mullahs more secure and give them the resources to buck up, not tamp down, their regional aspirations.

We've made our bed, apparently, and now are going to have to find a way to sleep. A nuclear deal will avert a crisis over the nuclear issue for now. But unless it really does change Iran's behavior, we've only bought ourselves a bigger one down the road.

@highlight

Miller: While the U.S. entangles itself in the nuclear negotiations, Iran is gaining a freer hand to assert its regional influence

@highlight

He says United States is being outfoxed, not outgunned