Editor's Note: John Kerry, a Democrat, is chairman of the Senate Foreign Relations Committee and the junior senator from Massachusetts.

John Kerry says Barack Obama sent a message that fight against terror will respect America's values.

WASHINGTON (CNN) -- Thursday was an important day for the rule of law in the United States of America.

With a handful of signatures to executive orders, President Obama ordered the eventual closure of Guantanamo Bay prison and CIA "black site" prisons, and placed interrogation in all American facilities by all U.S. personnel under the guidelines of the Army Field Manual.

In a season of transformational changes, these are among the most meaningful, because they send a powerful message that America's struggle against terrorism will once against honor some of the most cherished ideals of our republic: respect for the rule of law, individual rights, and America's moral leadership.

The president understands all too well that the threat our nation faces from terrorism is all too real. And we should all agree that sometimes, in the name of national security, it is necessary to make difficult ethical decisions to protect the American people.

However, I and many others believe that the use of torture and indefinite detention have not only tarnished our honor but also diminished our security.

In this global counterinsurgency effort against al Qaeda and its allies, too often our means have undercut our efforts by wasting one of our best weapons: the legitimacy that comes from our moral authority.

Torture plays directly into a central tenet of al Qaeda's recruiting pitch: that everyday Muslims across the world have something to fear from the United States of America.

From Morocco to Malaysia, people regularly hear stories of torture and suicide at Abu Ghraib, Guantanamo, and other overseas prisons. The result has been a major blow to our credibility worldwide, particularly where we need it most: in the Muslim world.

Once permitted, torture and lawlessness are not easily contained. Coercive interrogation techniques found their way from high-level terrorists at Guantanamo to low-level detainees at Abu Ghraib.

Years later, images of abuse there remain fixtures across the Arab and Muslim world. And as John McCain has argued, the use of techniques like waterboarding leaves its scars on a democratic society as well.

Torture elicits lies -- not just from those experiencing it, but from those who seek to conceal it. After years of Orwellian denials and legalistic parsing, what a relief it was to hear our new attorney general-designee finally acknowledge what we know to be true: that yes, "waterboarding is torture."

As we move forward, President Obama is wise to "reject as false the choice between our safety and our ideals" -- but the American people should know that closing a prison conceived outside the rule of law will not be easy.

Reclaiming Guantanamo and its inhabitants into our legal system from what former Vice President Dick Cheney called "the dark side" will be an enormous challenge and a thicket of thorny legal and policy issues.

However, we are already seeing the international system reorganize itself around an America that is willing to be a moral leader. Countries such as Portugal and Ireland have made welcome offers to join Albania in resettling detainees who cannot be returned to their home countries. Already we are seeing the fruits of a good faith effort with our allies.

Still, it will take time and effort to overcome numerous hurdles, many handed over from the previous administration: looming questions about the inadmissibility of evidence improperly coerced; the difficulty of returning detainees -- including many cleared for departure -- who would face torture or worse in their home countries; and the fact that we already know some released from Guantanamo have returned to the battlefield.

In some cases we simply lack evidence to charge men we know to be extremely dangerous to the American people.

And even as we embrace long-overdue change, we owe it even to those we believe made grave mistakes to acknowledge the urgency of the moment they inherited, the sacred responsibility to protect American lives which they strove to honor, and the humbling reality that there are no easy answers when it comes to such life-and-death matters.

But the American story is one of perfectibility and striving for ever-greater fidelity to our ideals -- it is a journey from colony to republic, from slavery to freedom, from sexism to suffrage, from stark poverty to shared prosperity. The president himself famously said, "The union may never be perfect, but generation after generation has shown that it can always be perfected."

It is true that today we face unprecedented, unorthodox, and vastly destructive enemies that respect neither borders nor rules of war. But this is not the first new challenge America has evolved to meet. Sometimes that evolution requires us to admit mistakes, learn from them and grow as a nation.

The desire to do better has always been a core part of America's greatness. Last week Barack Obama and his administration wrote a new chapter in that old story.

The opinions expressed in this commentary are solely those of John Kerry.

@highlight

John Kerry: Barack Obama's early decisions were victories for rule of law

@highlight

He says president sent message that America's values will guide terror fight

@highlight

Kerry: Torture weakened U.S. national security by sending wrong message

@highlight

He says closing Guantanamo will be an enormous challenge for administration