The Boston Marathon bombing suspects used Christmas lights and model-car parts to make the explosives, prosecutors said in court documents obtained by CNN on Wednesday.

"The Marathon bombs were constructed using improvised fuses made from Christmas lights and improvised, remote-control detonators fashioned from model car parts," federal prosecutors said in a motion filed Wednesday. "These relatively sophisticated devices would have been difficult for the Tsarnaevs to fabricate successfully without training or assistance from others."

To obtain explosive fuel for the pressure cooker bombs, the filing says, brothers Dzhokhar and Tamerlan Tsarnaev "appeared to have crushed and emptied hundreds of individual fireworks containing black powder."

Authorities say Tamerlan and Dzhokhar Tsarnaev, 20, planted bombs at the finish line of the 2013 race. Tamerlan Tsarnaev was killed during the manhunt that paralyzed Boston. Dzhokhar Tsarnaev has pleaded not guilty to killing four people and wounding more than 200.

It's not time yet for prosecutors to make their full case against Dzhokhar Tsarnaev, but as attorneys spar over what evidence can be used in the high-profile death penalty case against him, the description of what materials were used to make the bombs was among several new details about last year's terror attack and its aftermath included in court documents.

The motion also includes additional details about the note Dzhokhar Tsarnaev allegedly wrote while he was hiding out inside a boat in a backyard in Watertown, Massachusetts.

"God has a plan for each person," Tsarnaev wrote, according to the court document. "Mine was to hide in this boat and shed some light on our actions."

In their 29-page motion, prosecutors detail Tsarnaev's medical care while at Boston's Beth Israel Deaconess Medical Center, arguing that information from more than 11 hours of FBI interrogations while he was hospitalized should be admissible.

Prosecutors cite several reasons why they needed to question Tsarnaev without reading him his Miranda rights against self-incrimination and without allowing him access to a lawyer.

Evidence law enforcement had at the time, they argue, suggested a possible larger conspiracy. FBI agents had "reason to believe that the Tsarnaevs had accomplices and that they or others might have built additional bombs that posed a continuing danger to public safety."

The note scribbled inside the boat referred to others, saying, "we are promised victory and we shall surely get it," according to Wednesday's motion.

Also, a search of the Tsarnaevs' homes failed to uncover traces of the black firework powder used to build the pressure cooker bombs, suggesting that it had been built elsewhere and with help. The Christmas lights used as fuses and the model-car remote control used to detonate the devices also suggested a level of sophistication that suggested terrorist training, prosecutors said.

Tsarnaev was lucid while hospitalized and was not coerced into making any of the statements, they argue.

According to the court documents, Tsarnaev was questioned about 22 hours after undergoing surgery for multiple gunshot wounds.

He had been weaned off the sedative propofol but was still on pain medication. FBI agents questioned him on and off over a nearly 38-hour period, conducting 14 interviews and giving Tsarnaev frequent breaks, including a 10½-hour stretch so he could sleep, the court documents say.

Prosecutors say the FBI's interview took time because doctors had performed a tracheostomy to allow greater airflow. Tsarnaev initially answered by nodding or writing in a notebook and then later spoke his answers. Although Tsarnaev denied that anyone else was involved, authorities believed he might be lying or concealing the involvement of others, according to prosecutors.

Government officials have maintained that Tsarnaev was questioned under the "public safety" exception to the Miranda warnings, which allows for limited questioning of a suspect by law enforcement to determine whether there is imminent danger of an attack.

"The fact that Tsarnaev was in the hospital recovering from bullet wounds does not mean the interview was coercive or that the agents who conducted it did anything wrong," the prosecutors' motion says.

Tsarnaev, prosecutors allege, wanted to explain the bombings and take credit for them.

"As the note he wrote in Watertown on the inside of the boat reflects, Tsarnaev was eager to take credit for his crimes and 'shed some light' on their meaning. That indeed is a common practice among terrorists," the motion says.

Tsarnaev's attorneys have said that evidence from the hospital interrogations shouldn't be allowed in court, arguing that he was coerced into making incriminating statements.

They argue that the statements were involuntary, that the public safety exception agents used didn't apply to the interrogation and that Tsarnaev's first court appearance was postponed to allow for additional questioning.

FBI agents questioned Tsarnaev, his attorneys argue, "despite the fact that he quickly allayed concerns about any continuing threats to public safety, repeatedly requested a lawyer, and begged to rest as he recovered from emergency surgery and underwent continuing treatment for multiple and serious gunshot wounds."

They also argue that the FBI agents deliberately misled Tsarnaev about his brother's death.

Prosecutors say that FBI agents didn't tell Tsarnaev about his brother's death "or the manner of that death, to spare him emotional trauma."

CNN first learned of the new court documents from multiple local media reports on Twitter.

Suspect: Immigration history should not factor in death penalty

Suspect can see autopsy photos

Boston marks anniversary, Tsarnaev awaits trial

@highlight

Documents reveal new details about the Boston Marathon bombings and aftermath

@highlight

Prosecutors argue that information Tsarnaev gave to FBI should be admissible

@highlight

Tsarnaev's attorneys ask judge to throw out evidence, arguing it was coerced