(CNN) -- Images beamed around the world last week of unruly and provocative protests by indigenous Australians projected a portrait of an angry and disenfranchised group.

The protesters thumped on the windows of a restaurant where Prime Minister Julia Gillard had been attending a ceremony, prompting security officers to rush her out of the building. They also burned the Australian flag in front of Parliament.

Those actions have provoked alarm and introspection in Australia about the relationship of the indigenous population with society as a whole. And they have stirred controversy at a delicate time: The country is considering the possibility of changing the wording of its Constitution to give better recognition to indigenous Australians.

The protests also gave a misleading impression of the complex role Aborigines play in Australian society.

Many commentators -- both Aborigine and non-Aborigine -- have been quick to stress that the protests involved a small number of people and do not represent the views of the broader indigenous Australian population of about half a million people.

"The Aborigines that I recognized in the television reportage of the protests don't really have a role in the Aboriginal community.," said Marcia Langton, the head of Australian indigenous studies at the University of Melbourne. "They're the disaffected fringe. They have no serious platform or serious demands."

The protesters were part of a long-running Aboriginal demonstration known as the "tent embassy," which was set up 40 years ago to protest the failure of the government at the time to recognize Aboriginal land rights. Some of the protesters also reportedly expressed anger last week about the violence and discrimination toward Aborigines that marked a large portion of Australian history.

The Australian authorities have taken steps to try to address their grievances in recent decades through measures like legal recognition of land rights, the removal of sections considered racist from the Constitution and an apology for the mistreatment of past generations of Aborigines.

Governments have also poured billions of dollars of public money into programs to try to improve life in indigenous communities.

Despite those measures, many indigenous Australians still lag behind the overall population in key areas like health, wealth and education. They also appear to perceive a lack of trust in their relationship with their non-Aboriginal countrymen.

Indigenous Australians, who make up less than 2.5% of the overall population, are much more likely to suffer child abuse, physical violence and chronic disease than other Australians, according to government statistics. Research suggests they have a lower life expectancy than indigenous populations in North America and New Zealand.

"Past approaches to remedying Indigenous disadvantage have clearly failed, and new approaches are needed for the future," said a government report made public last year. The report said that the 3.5 billion Australian dollars, or $3.75 billion, spent annually on programs for indigenous people had "yielded dismally poor returns."

A survey of 1,220 Australians carried out in 2010 by Reconciliation Australia, which promotes the improving of relationships between Aborigines and the wider community, found that 85% of indigenous people polled had "fairly low" or "very low" levels of trust toward other Australians. And 91% of the indigenous respondents said they believed that other Australians had "fairly low" or "very low" levels of trust toward them.

Similarly, high levels of non-Aboriginal Australians also saw the relationships as distrustful, according to the survey.

Some observers, however, say that to speak of indigenous Australians simply as a disadvantaged people separate from the broader society is neither accurate nor helpful.

"Aboriginal people are not a homogeneous cultural group anymore" said Peter Sutton, an anthropologist and linguist at the University of Adelaide and the South Australian Museum. He noted that while some indigenous Australians live in remote communities that maintain aspects of traditional life, others make up a large and growing middle class in more urban areas.

"Many Aboriginal people drive good cars and have children at university. These are not people in the gutter, they've made it," said Sutton, whose book "The Politics of Suffering" examined the failings of past efforts to tackle indigenous disadvantage.

To illustrate the blurring of the boundaries, Sutton highlighted Australian census data that showed the proportion of indigenous people whose partners or spouses were recorded as non-indigenous has been increasing steadily, from 46% in 1986 to 71.5% in 2006.

Despite this nuanced situation, the striking images of the protests last week, which took place during the sensitive period around Australia's national day, brought underlying tensions to the fore.

The events "opened up fissures in our society and taught us lessons that stretch far beyond the crucial issue of indigenous affairs," The Australian, a national daily, said in an editorial at the weekend.

On Twitter and in letters to newspapers, Australians argued over the causes and consequences of the fracas.

Some people criticized Tony Abbott, the opposition leader whose comments about the tent embassy were cited by protesters as the provocation for their actions. Others, such as Frank Pulsford in a letter published by The Australian, expressed outrage over what he called the "disgraceful behavior" of the protesters.

The news that one of Gillard's media advisers was involved in informing the protesters about Abbott's comments and presence in the restaurant with the prime minister only served to intensify the polemic. The adviser, Tony Hodges, has since resigned.

The rancorous debate reflected battle lines that had already been drawn.

"The indigenous affairs scene is this country has become much more riven, much more conflictual and much more polarized in recent years," Sutton said.

He said the disagreements are not simply between Aborigines and non-Aborigines, but between different sides within the indigenous community and among groups outside it.

Several commentators noted that a considerable number of the people participating in the protests last week were not Aborigines.

Much of the contention focuses on the diagnosis of the ills affecting parts of the Aboriginal community, and on how best to cure them.

Certain policies, like the federal government's decision in 2007 to intervene in Aboriginal communities in the Northern Territory to address child abuse, have proved particularly divisive. The intervention included seizures of Aboriginal land, restrictions on alcohol and the suspension of race discrimination legislation.

Some prominent indigenous Australians, such as Barbara Shaw, have campaigned vigorously against the intervention, saying it misrepresents the real situation in Aboriginal communities and is a form of "dictatorship" by the central government

Others, such as Langton, have supported it, arguing that the social problems that many communities face necessitate the strong measures.

"There are very difficult problems to solve," Langton said. "A big part of the change must come from Aboriginal people themselves. They have to change their behavior to take advantage of the opportunities available to them, like sending children to school every day."

One of the most immediate concerns after the protests last week is their potential effect on tentative plans to hold a referendum on changing the Constitution to include better recognition of indigenous Australians, a move many people see as a positive step.

Newspaper columnists and Aboriginal leaders expressed concern that the media furor over the protesters' actions would jeopardize the prospect of a referendum on constitutional change, which would require broad bipartisan support to pass.

The government has so far suggested that it has not been dissuaded.

"I believe that opportunity for us all to share in building a movement of change is still there," Jenny Macklin, the minister for indigenous affairs, wrote in an editorial this week for The Age, a daily newspaper. "It is part of the enduring work we are all undertaking, and that work is bigger than the headlines generated by one incident."

@highlight

Protests involving Aborigines last week prompt introspection and alarm in Australia

@highlight

Many commentators say protests don't represent views of Aborigine community

@highlight

Aborigines lag behind the overall population in terms of health, wealth and education

@highlight

Some say indigenous Australians shouldn't be treated as disadvantaged group