London, England (CNN) -- With competition still fierce in the jobs market, some people might be tempted to beef up their resume by buying a fake degree.

The problem of fake degrees is nothing new, but the Internet has made it easier than ever to obtain a bogus qualification.

George Gollin, a board member of the U.S.-based Council for Higher Education Accreditation, told CNN he estimates that more than 100,000 fake degrees are sold each year in the U.S. alone. Of those, around one third are postgraduate degrees. He added that a bogus degree will typically cost $1,000.

By trade, Gollin is a physics professor at the University of Illinois. He first became interested in degree mills after being spammed with offers of fake college degrees.

According to a story in Wired Magazine, his interest turned to outrage after he stumbled upon news of a forensic psychologist who had purchased her degree. "Here's this person who's untrained doing therapeutic interventions," he told Wired. "I thought, 'Jesus, this is really bad.'"

The institutions that sell these fake qualifications are known as either diploma mills or degree mills. Diploma mills issue fraudulent diplomas supposedly granted by real universities, while degree mills pose as real universities.

According to Gollin, setting up a degree mill is simply a matter of creating a Web site that looks like it belongs to a genuine university. The Web site includes a way for customers to pay for their qualifications online and a place for prospective employers to contact to verify the degree is genuine.

Some degree mills award degrees on the basis of the buyer's supposed "life experience," while others require a small amount of coursework. One degree mill required about a week's worth of coursework to earn a masters degree.

Gollin said this token coursework is largely for the customers' benefit -- to help them convince themselves they have earned their qualification.

While some people might be duped into believing they are obtaining a legitimate qualification, Gollin said that almost everyone buying from a degree mill knows they are getting a fake.

"Anyone who's had any contact with a real college curriculum knows how hard you have to work," Gollin told CNN. "If you can get a whole PhD over the course of one week and you don't know that's not legitimate, then you're just dumb."

But for some, knowingly buying a fake degree is an easy way of improving their job prospects.

"Generally, fake degrees are usually bought for economic advantage for people who are seeking promotion or seeking to get jobs where the employer wants them to have a degree," Gollin told CNN.

Those people come from all walks of life. Gollin gave the example of one American who bought a Bachelor's degree in nuclear engineering, and who's now working in the control room of a nuclear power plant.

He also cited a U.S. degree mill that sells fake PhDs to real medical doctors for $10,000, and added that unqualified doctors have been jailed in the U.S. after attempting to practice medicine with a medical degree bought online.

According to the story in Wired, Gollin was instrumental in the case brought against a degree mill which operated various bogus universities, including Saint Regis University.   The "Saint Regis" degree mill was estimated to have made $7 million from selling fake qualifications to more than some 9,600 customers in 131 countries, according to Wired.   In 2008, the couple behind the Saint Regis degree mill were each jailed for three years.

In the U.S., and other countries, it is illegal to issue what purports to be a university degree without the approval of a government agency. But degree mills are often set up in such a way that makes it very hard to track down the people running the operation.

Gollin warned that degree mills are becoming increasingly sophisticated, often carrying official-seeming accreditation that makes them appear to be genuine universities. The catch is that the accreditation is supplied by bogus organizations -- "accreditation mills."

If it's difficult for the authorities to keep tabs on the degree mills, it can be even harder for employers to spot if a potential employee has fake qualifications, but Gollin said there are steps that employers can take to guard against fraudsters.

Many countries have government-run web sites where you can easily check if a university is officially accredited. But because diploma mills offer fake degrees from real universities, it is essential that employers also check with someone at the university that the degree was actually issued.

If someone claims to have an advanced degree for which they should have written a thesis, they should be able to produce a copy of that thesis. If they can't provide contact details for their graduate studies advisor, be suspicious.

But separating the real from the fake becomes even more complicated if a job candidate has a qualification obtained overseas.

Not only can it be hard to verify that a foreign university is genuine, Gollin said there have been cases of professors at real universities in West Africa selling degrees on the side. He added that some legitimate U.S. universities are unwittingly partnering with degree mills that operate abroad.

Gollin said, "This is a very sophisticated problem and I think it will continue to be a concern as international education becomes more significant."

@highlight

Degree mills sell bogus qualifications online, often without requiring any study

@highlight

An expert says at least 100,000 fake degrees are sold in the U.S. each year

@highlight

Degree mills can be highly sophisticated and hard for authorities to shut down