Lake Victoria, Africa's largest lake, has been plagued by water hyacinth plants for over two decades. While its flowers can be beautiful its foliage can grow to cover large swaths of the waters in a dense green mat of leaves that choke the shoreline of fish.

Fishermen often struggle each day for a meager catch, but an entrepreneurial weaver has found that the invasive plant can be a free source of material for the area's women who make handicrafts.

"When we make products from this hyacinth, we are empowering women economically. They become self-reliant. That means we are alleviating poverty," said Caroline Agwanda, who heads Hyacinth Ornaments Production Enterprises in Kisumu, Kenya.

The organization, which sells products ranging from handbags to furniture, aims to give employment to disadvantaged women, youths and those with disabilities.

For years, the area's weavers have used banana and sisal fibers to make their wares. They are now turning to hyacinth because of its abundance.

But if the weavers' craft is flourishing, many in the local fishing community are suffering.

Water hyacinth grows into a thick bed of waxy leaves and violet flowers that cover the surface of the lake. It is native to South America but was introduced in Africa in the late 1800s. The plant species can double its mass every five days, according to scientists.

Because of its dense growth, it blocks sunlight from reaching the lake's native aquatic plants, which affects fish and other marine life-- and those who make their livelihoods catching them.

"It has really affected us because the quantity of fish that we used to get from this lake has diminished," said Jonathan Opiyo, a fisherman.

The difficulties faced by the fishing community are evident at the local markets, where instead of fish traders and buyers loudly haggling over prices, there are only a few quiet voices.

The weavers are not even putting a dent into the sheer growth of the plant, which at the moment is particularly severe.

"It goes all the way -- the furthest you can actually see," said Philip Ochieng, a research scientist who is working with the government to mitigate the environmental problems caused by hyacinth. "This is the biggest acreage of water hyacinth since it was first reported in Lake Victoria in 1992."

Methods that have been tried in the past include the release of South American weevils that eat the plant, as well as machinery that shreds from the water surface. These efforts worked for a while but were not seen as a permanent solution.

Ochieng does not advocate the weavers' use of hyacinth, because transporting it from the lake to their homes could help the plant spread.

However  Agwanda says she thinks the weavers could make a real contribution to the removal of the harmful plant from the lake. She would like to see support for the project and to have the resources for machinery that would help make thousands of meters of hyacinth rope each day.

"If we have like a factory somewhere, we'll be consuming a lot of hyacinth," Agwanda said.

The wares that Agwanda's group creates are sold mainly in large towns across Kenya. The finished items are not cheap, and some she says some locals do not appreciate the innovation of utilizing a menacing weed.

"They say, 'You normally get this hyacinth free of charge from the lake. You should sell it for 20 shilling.' They're not looking at the time and skill of coming up with new products and a competitive product," she said.

Invasive species: Eat them before they eat everything

@highlight

Water hyacinth covers large swaths of Lake Victoria

@highlight

The invasive plant species is choking the lake of fish and affecting fishermen livelihoods

@highlight

Local weavers have found that the hyacinth can be used to make their products

@highlight

The weavers are not even putting a dent into the dense growth