Boulder, Colorado (CNN) -- Heavy storms returned to northeastern Colorado on Saturday as rescuers scrambled to take advantage of breaks in the weather to continue reaching stranded residents.

The rain Saturday extended eastward from southeast Denver, where the National Weather Service said 1.73 inches of rain fell in less than 30 minutes.

The agency warned that El Paso County, home to Colorado Springs, could endure more flooding because of heavy rain Saturday evening along a "burn scar" created by an earlier fire in Waldo Canyon.

The rain Saturday evening spared Boulder County, scene of the most damage discovered so far. But officials said they received a forecast of up to 4 inches of rain for Sunday afternoon.

Sheriff Joe Pelle said rain that heavy "could be devastating."

Authorities are worried that any additional water on ground already soaked by up to 15 inches of rain will cause more flooding and dislodge mud and debris.

At least four deaths have been blamed on the flooding.

In addition, a 60-year-old woman was presumed dead after witnesses saw her being swept away by waters that demolished her home, said Nick Christensen, executive officer of the Larimer County Sheriff's Office. Neighbors tried unsuccessfully to rescue the woman, Christensen said. Her body had not been recovered.

The sheriff's office said that about 350 people were unaccounted for in Larimer County. That number jumped sharply Saturday afternoon as rescuers reached more empty homes. The sheriff's office lists such residents as unaccounted for until they are located elsewhere.

In neighboring Boulder County, 231 people were on the "unaccounted for" list as of 7 p.m. MT (9 p.m. ET), said Gabrielle Boerkircher, spokesperson for the county office of emergency management. She said that number was fluctuating as some people were found safe even as the county received new requests to locate people.

A surveillance mission carrying Gov. John Hickenlooper and members of Colorado's congressional delegation was diverted twice to pick up people waving to be rescued.

After the officials' delayed arrival at a Boulder airport, U.S. Sen. Mark Udall said, "That dog and the cat and those seven people on those two helicopters didn't ask us whether we were Democrats or Republicans." And he promised a bipartisan push in Congress for federal aid for flood recovery.

Hickenlooper said he spoke by phone with U.S. Transportation Secretary Anthony Foxx, who "was adamant that the $5 million that was released yesterday was just the beginning" of federal assistance.

Experts from Vermont will arrive next week to share lessons learned about improved road-building in the wake of Hurricane Irene, the governor said.

Hickenlooper said he saw many damaged roads with "not just the asphalt taken away, but the entire roadbed, and bridge after bridge missing."

But he promised, "We're going to come back and rebuild better than it was before."

Boulder County alone will need an estimated $150 million to repair 100 to 150 miles of roadway and 20 to 30 bridges, county transportation director George Gerstle said. The repair bill will be "10 to 15 times our annual budget," he said.

Human toll

Evacuations continued Saturday, but were hindered by drainage issues and flooded roadways, he said. Many residents are isolated.

"It's a sinking feeling," Sheriff Pelle said of knowing that emergency responders may not be able to reach everyone who needs help.

The National Guard had rescued more than 1,200 people in Boulder County by Saturday afternoon, Lt. Col Mitch Utterback said.

In Larimer County, there were 46 medical rescues on Friday alone, the sheriff's office said.

Pelle said authorities have to be "realistic" about the chances that the death toll will rise as rescuers penetrate further into isolated areas.

The four confirmed deaths included a woman who was swept away when she got out of her car Thursday in Boulder County. A man jumped out of the car to save her. Both drowned. Authorities recovered both bodies, Pelle said.

Another body was found in a collapsed home in Jamestown in the same county. Rescuers recovered another body on a roadway in Colorado Springs in El Paso County.

In Denver, rushing waters swept a man into a drainage pipe with his dog. Both were saved after traveling two blocks in the water, police said.

Impact Your World: How to help in Colorado

President Barack Obama declared an emergency for Boulder, Larimer and El Paso counties, FEMA announced Friday. The declaration allowed FEMA to bring in four rescue teams, the largest ever deployment in Colorado, officials said.

The clear skies allowed for an uptick in evacuations Friday and earlier Saturday.

National Guard troops using "high-profile" trucks to wade through water evacuated 550 people from the Boulder County town of Lyons, CNN affiliate KUSA reported.

It had been cut off since the flooding began Wednesday night -- without water or sewer service, in many cases without electricity.

Emotional rescues

Melinda Villa was stranded in her apartment with her 1-month-old baby in the inundated town. She had no phone service, no water and was running out of formula and food.

Then the National Guard arrived.

"It just really felt like God came down and saved us," she said.

Some had to rescue themselves.

Catherine Smith and Mandy Stepanovsky lived in a part of Lyons that is accessible only by bridges.

"When those became compromised -- one bridge completely blew out and the other one was very much impassible -- we started looking at other options," Smith said.

So the couple decided to hike for 2 miles to safety -- with their 8-month-old toddler in their arms. Walking was the only way out.

They hiked to Smith's brother's house, where they showered and ate a meal before the weather caught up with them again.

A mudslide suddenly brought mud, debris and water through the house, Smith said. They were forced to run to higher ground.

"It was terrifying," Smith said.

Jonathan Linenberger described a Noah's Ark-style evacuation as he, his fiancee, four dogs and three cats greeted the National Guard truck.

"We had to go (through) knee-deep water, at least. We had to wade our animals across into the truck to get them there," said Linenberger. "That was the first thing you can grab, your loved ones -- and that's what we have."

The National Guard also was evacuating the entire population -- 285 people -- from the town of Jamestown by helicopter, CNN affiliate KCNC-TV reported.

In Larimer County, Sheriff Justin Smith surveyed the heavily damaged Big Thompson Canyon by air Friday. Some people remain stranded in homes there, he said, "How we're going to get them out -- it's going to take a damn long time."

However, he said the break in the rain allowed school buses to begin evacuating students who had been stranded at a school.

HLNTV.com: 8 stunning Colorado flooding Twitter photos

CNN's David Simpson reported and wrote from Atlanta; Nick Valencia reported from Longmont, Colorado. George Howell reported from Boulder; and Ana Cabrera reported from Lyons. CNN's AnneClaire Stapleton, Ben Brumfield, Jack Hanna, Janet DiGiacomo, and John Branch contributed to this report.

@highlight

NEW: Heavy rain on "burn scar" could cause more flooding in El Paso County

@highlight

NEW: Boulder spared Saturday evening but faces possibly "devastating" rain Sunday

@highlight

NEW: 231 "unaccounted for" in Boulder County, 350 in Larimer County

@highlight

Missing woman is presumed dead, in addition to four confirmed dead