Editor's note: Saturday marks one year since Hamas' defeat of Fatah in the fierce struggle for control of Gaza. CNN correspondent Ben Wedeman has been covering the region for over 15 years. He reports from Gaza on daily life and reality over the past year in this fractious land.

CNN's Ben Wedeman reports on the past year in Gaza, where people are safer but out of food, gas, and patience.

GAZA CITY, Gaza (CNN)  -- "If you take pictures, I'll kill you! I'll kill you!" screamed a masked Fatah gunman, pointing his AK-47 assault rifle at my cameraman, Joe Duran.

"Calm down! Calm down!" I shouted back at him, turning to Joe to tell him to put the camera down.

Joe and I had ducked into a fruit and vegetable shop in Gaza City. We had been covering the funeral of a Fatah gunman killed in a clash with Hamas rivals when our third gunbattle of the day had broken out.

The gunman left, much to everyone's relief, and I put my small video camera on the floor and pressed the button to record the constant roar of machine gun fire, which went on for more than half an hour.

Earlier in the day, Joe and I were on a street corner videotaping Hamas militiamen when a jeep full of Fatah irregulars opened fire, just down the street from an elementary school.

As guns blazed, schoolchildren ran for cover.

I watched as shopkeeper Khadar Aliyan slammed shut the doors of his grocery store, the expression on his face one of fear and utter exasperation.

"I'm going home," he told me. "I'm afraid. We're done for. It's never been this bad."

It was violence like this, which we witnessed on December 2006, that reached a climax in the second week of June 2007.

When it ended on June 14, 2007, with Hamas roundly defeating Fatah, Gaza went quiet.

And quiet -- relative quiet, that is -- has been Hamas' biggest accomplishment since. No longer do you worry about being kidnapped. Gunbattles, though they can happen, are much less common.

After last June's takeover (or coup d'etat, as Fatah supporters call it), Hamas quickly imposed law and order, tried to reacquaint Gaza's drivers with long-forgotten traffic regulations, launched a municipal cleanup campaign, and forced the release of kidnapped BBC journalist Alan Johnston, who had been held in captivity for almost six months.

Chaos-weary Gazans applauded all of these initiatives. But the honeymoon ended quickly as reality sank in.

Since Hamas won parliamentary elections in January 2006, and even more so since last year's takeover, Israel has tightened its siege of Gaza.

Israel has restricted supplies of gasoline, diesel and electricity to Gaza, limited the amount of food and other goods entering the strip, and made it virtually impossible for manufacturers and farmers in Gaza to export anything to the outside world.

Israeli officials say these measures are intended to pressure Hamas, which is on the U.S. government list of terrorist groups, to stop its members and other factions from firing mortars and rockets into Israel. Israel Defense Forces reports that 1,500 Qassam rockets were fired into Israel from Gaza in 2007, and 2,383 in the past six years.

As a result, almost all of Gaza's factories have shut down and thousands of workers have lost their jobs.

Between 70 and 80 percent of the population is dependent on food supplied by the United Nations Refugee Works Agency, set up after more than 700,000 Palestinians became refugees after the war that resulted in Israel's creation in 1948.

Life in Gaza, never easy, in the last year has become a grinding daily struggle to make ends meet.

For the vast majority of Gazans, it means they must spend much of their time trying to secure basic commodities. Such as cooking gas, which comes from Israel.

In the past, when supplies were plentiful, it was sold from the back of trucks and donkey carts. Not anymore.

When there are supplies, people flock to a few distribution centers. One is a hot, crowded compound north of Gaza City, where the stench of gas is so strong you shudder with fear that someone will light a cigarette and the whole place will go up in flames.

People have to wait for their cooking gas for hours some claim days, in the hot sun.

There I met a woman who identified herself as Um Wadi'a (the mother of Wadi'a), who at 2 p.m. told me she had been waiting since 5 a.m. She said she had run out of cooking gas three days before.

Typical of so many people here, she blamed both main Palestinian factions for her woes.

"Hamas hasn't done anything for us, nor has Fatah," she said. "All those people want is to sit comfortably on their thrones."

In Gaza City, long lines of immobile cars and trucks wind around the block from gas stations, their owners waiting, surprisingly patiently, for supplies to arrive.

The only other option is to go in search of black market gasoline, much of it smuggled through tunnels from Egypt. It goes for more than $10 a liter, which comes close to almost $50 a gallon.

It is now common for families to divide up responsibilities for the day. One family member will go in search of cooking gas, another will join the line for gasoline or diesel, another for whatever else is in short supply.

To get around the shortages, some motorists mix their fuel with cooking oil, a practice that isn't particularly good for the motor. Many people complain that it's unhealthy -- but it works.

Others, like electrical engineer Wasim Khazandar, are thinking completely outside the box. Wasim has invented an electric car, which he is more than happy to show off. He's already received dozens of orders from motorists weary of the search for fuel.

Beyond material concerns, there are worries here that Hamas has a barely concealed hardline Islamist agenda, and one often hears complaints that the group is intolerant of any form of dissent or criticism.

One man who can testify to that is Ibrahim Abu Al-Naja, the most senior Fatah leader to remain in Gaza after most fled to safety in Ramallah.

Abu Al-Naja is from the Fatah old school, a grizzled veteran of the group's wars in Lebanon.

He told me earlier this year Hamas security officials showed up at his home late at night, bound his hands, put a blindfold on him and dragged him to their headquarters, where they shaved his head and cut off his moustache, then released him without apology or explanation.

He makes no excuses for Fatah's dismal track record of corruption and mismanagement when it ran Gaza, but says the crisis that began with Hamas' rise to power is nothing short of a catastrophe.

"Our people has been transformed," he said, "into a desperate people, who must search for food, for the minimum of survival. It's as if we returned to 1948, dependent on gifts and assistance and relief."

Despite all the difficulties of life under Hamas, despite all the grumbling, the men who run Gaza are as confident today as they were a year ago that they will weather the crisis and emerge stronger.

Last Wednesday I went to see Ahmed Yusif, a senior adviser to Hamas Prime Minister Ismail Haniya.

"Whatever the Israelis think," said the U.S.-educated Yusif, "whatever pressure they put on us, it's not going to make us buckle or give concessions.

"This is part of the Palestinian struggle for more than 60 years living in the refugee camps," he said. "We don't always enjoy a good life. It's the toughness and the suffering [that] are part of the struggle."

Others here don't quite see it that way, like a man I met in Gaza's old market who would only identify himself as Abu Khalid.

I asked him if he was better off today than a year ago. He laughed, cursed Israel, Hamas, Fatah, the United States, the European Union and the rest of the world, then made the following suggestion: "Let them open a market in Gaza so we can sell some of our children [in order to] feed the rest."

@highlight

Wedeman describes violence, gunbattles, fear before Hamas

@highlight

Reports on encounters with assault rifles, children running from gunfire last year

@highlight

Now, it's safer but Gazans desperate for gas, cooking fuel, jobs

@highlight

One woman: "Hamas hasn't done anything for us, nor has Fatah"