Washington (CNN)U.S. officials and lawmakers reeling from the tragic terrorist attack in Paris that killed 12 are turning the attention back home as they assess what the attack means for U.S. national security.

Republican members privy to the Senate's top intelligence briefings criticized President Barack Obama's terror-fighting policies and U.S. national security agencies began scanning their databases Thursday amid reports that the two gunmen in Wednesdays' attack traveled to Syria this summer and as suspicions swirled that the pair were influenced by ISIS. And one Republican lawmaker is staying away from criticizing Obama, instead introducing legislation to keep Americans who join terror groups off American soil.

American officials have been in close coordination with French officials as the hunt for the two gunmen continued into Thursday and U.S. Attorney General Eric Holder will travel to Paris on Sunday to meet with the French interior minister and others to discuss counterterrorism and the threat of foreign fighters.

But earlier in the day, Sens. John McCain, Susan Collins and Marco Rubio called out what they view as the failures of the Obama administration's fight against terrorism after walking out of an unrelated intelligence briefing.

"As long as ISIS succeeds, that will breed this kind of terrorist who goes to Syria, Iraq and fight, return to the country from which they came from -- not only radicalized, but well trained," McCain, chairman of the Armed Services Committee said.  "And that is the reason why the administration is failing in not devoting the sufficient effort to destroy ISIS which is what the President's stated goal is...when in fact there is no strategy to do so."

McCain has repeatedly slammed Obama's foreign policy as too timid and has called for a wider campaign in Iraq and Syria to accomplish the president's goal to "degrade and ultimately destroy" ISIS, the militant group which has claimed broad swaths of territory in Iraq and Syria.

The United States is leading a coalitions of countries from Europe and the Middle East in a military campaign centered around airstrikes and military advisers to bolster Iraqi security forces and combat ISIS. Obama has been repeatedly slammed for ruling out sending combat troops and criticized by McCain for not doing enough to help moderate rebels in Syria.

McCain suggested Obama doesn't understand "the gravity" of the radical Islamist threat, which Maine's Sen. Collins and Florida's Sen. Rubio echoed, attacking the President's past claims that the U.S. has decimated al-Qaeda's core and is on the path to victory in the war on terror. Obama made those comments before the rise of ISIS, a group which grew out of remnants of al Qaeda leadership in Iraq.

"Despite the President's assertion that the war on terror was over and that al-Qaeda was on the road to defeat, this is not accurate," Rubio said.

And Collins focused on the growing threat of foreign fighters, thousands of which have left their homes in Europe and the United States to fight in Syria -- some of whom risk returning to the West to carry out attacks.

And amid suspicions that that was the case in Paris on Wednesday, the FBI, Department of Homeland Security and intelligence agencies are evaluating high priority targets living in the U.S., including foreign fighters who may have returned to the U.S. after fighting in Syria.

"Whenever something like this happens you want to make sure you tighten things up," a U.S. official with firsthand knowledge of the efforts told CNN.

The attack in Paris is also giving new fire to legislation Rep. Ted Poe (R-Texas) believes will help prevent Americans who join ISIS or other terrorist organizations from returning to the U.S.

Poe is reintroducing a bill in the coming days that will compel the State Department to revoke the passports of Americans who join or assist any foreign terrorist organization.

Poe unsuccessfully pushed the legislation in the House in September, but he said the attack in Paris underscores the need for such legislation.

"This tragedy in Paris lets us all know  that homegrown terrorists exist all over the world," said Poe, who is chairman of the subcommittee on homeland security. "They're going to Syria, being trained and we don't want them coming back into the United States."

Sen. Ted Cruz will also reintroduce similar legislation in the Senate, his spokeswoman Catherine Frazier told CNN. The Texas Republican introduced a bill last year to strip Americans who join terrorist organizations of both their passports and their citizenship.

Reports indicate the pair of terrorists (both French citizens) traveled to Syria last summer and Poe suggested they would not have been able to return to France if similar legislation existed there.

CNN Law Enforcement Analyst Tom Fuentes said revoking passports is an important tool, but the challenge will be determining whether an individual is actually joining a terror group. And with thousands of foreign fighters and hundreds of thousands on the terror watch list, Fuentes said people will inevitably slip through the cracks.

Poe will also introduce two bills requiring the State Department in coordination with other agencies to submit reports on the flow of foreign fighters to Iraq and Syria and terrorist groups' use of social media, which groups like ISIS have used to recruit and radicalize foreigners.

Poe said he believes the U.S. should work more closely with social media companies like Twitter to purge sites of terrorist propaganda.

"With what's happened in France, Americans need to understand that this is an ongoing problem that we're facing," Poe said.

Collins called the terrorist threat today greater than ever and said the Paris attack "reminds us that the terrorist threat is still very real for this country as well as for other Western nations."

"The idea that the administration at one point said that core al-Qaeda had been decimated and that we were far safer is just not accurate," Collins said. "And in all my time of studying homeland security issues and the terrorist threat I can't think of a time where the threat level is more dangerous."

Collins added that the U.S. has greater capabilities today to thwart terror attacks, but that the expansive influence of ISIS and other terror groups via the Internet and social media has created a "lone wolf problem," which is harder to address.

U.S. and French law enforcement and intelligence agencies are still working to determine the circumstances behind the terror attack in Paris and whether the two brothers who attacked French publication Charlie Hebdo were acting on their own or with orders from a terrorist group, like ISIS.

@highlight

Republican lawmakers slammed Obama's foreign policy after a terror attack in Paris

@highlight

Meanwhile, U.S. agencies are scanning their databases and reassessing potential terror threats

@highlight

Attorney General Eric Holder will head to Paris Sunday for a meeting on counterterrorism and foreign fighters

@highlight

Rep. Ted Poe is introducing legislation to revoke the passports of Americans who join terror organizations