Nigeria, Africa's largest oil producer, ended oil subsidies on New Year's Day that had kept gasoline prices artificially low.

The cost of a liter of gasoline shot up from 65 naira (40 cents) to at least 141 naira (86 cents) virtually overnight.

Furious Nigerians have since taken to the streets, staging 'Occupy Nigeria' protests and mass demonstrations across the country.

Police have responded forcefully with many arrests. At least one person has died amid the unrest: 23-year-old student Muyideen Mustafa was allegedly hit by a police bullet in Ilorin, Kwara State, on January 03.

Are you there? Send your images or video

A police spokesman in Kano State also confirmed to CNN that they fired teargas into a crowd staging a midnight protest last week in order to disperse a  largely peaceful demonstration by Muslims and Christians.

What is the background to the decision?

The government is attempting to deregulate the oil sector in the country and believes subsidizing consumption of oil is a drain on public finances that will prove unsustainable in the long term. Many argue that the only people the subsidy benefited were fuel importers. The government says the move will save the Treasury more than 1 trillion naira ($6.13 billion) in 2012.

Reuben Abati, spokesman for President Goodluck Jonathan, told CNN the money saved from removing the subsidy will help to improve public amenities and build much-needed infrastructure in a country with poor roads, lack of power and non-functioning refineries.

Nigeria produces around 2.4 million barrels of crude oil a day but imports roughly 70% of its gasoline from countries as far afield as the United Kingdom and Venezuela, because its own refineries are inoperative after years of corruption-fueled neglect.

Why has it caused such an outcry?

Nigerians are angry because they believe the government has introduced the plan without any regard to how it will affect the cost of living in the country.

They say they are already experiencing undue hardship as a result of the move, which they say has already affected the cost of transport, food, medicine, rent and school fees.

Feyi Fawehinmi, an accountant and analyst, told CNN the government's abrupt move was like having a "tooth pulled without a plier."

"When you have so much poverty, a lot of business and lives have been built on petrol being at N65, which is not exactly cheap, even at subsidized rates. People are just not moving out of poverty quickly in Nigeria. There is an economic case but this is not something that can be quantified economically," he said.

"The government cannot tell how many businesses will be ruined or even how many people will die," Fawehinmi continued. "The impact will be so wide-ranging. There should have been a plan to remove this in a sensible way, not in this crude manner." he said.

Many Nigerians see the subsidy, which gives them the cheapest gas price in the region, as the only benefit of being an oil producing country. Most live in grinding poverty and on less than $2 a day. There is little infrastructure, high unemployment and only intermittent electric power.

Nigerians routinely have to buy generators to provide power and supporters of the subsidies say some may be left in the dark because they simply cannot afford fuel costs.

Is there an economic case for the removal?

Those who support ending  the subsidy removal say the move is long overdue because of simple economics. They argue that Nigerians have been paying N65 (40 cents) per liter for at least five years, while petrol prices have risen significantly elsewhere in the world, which means the government foots the bill when worldwide oil prices go up.

They also say that the only people who get any real benefit from the subsidy are those involved in importing oil. The Nigerian oil traders import refined gasoline, claim the subsidy and then sell it on at a higher rate to neighboring countries.

How will Nigerians benefit from any money saved?

There is a widespread lack of trust in the government to provide the infrastructure it says it will. Nigeria is regularly voted among the most corrupt countries in the world and citizens complain that the money saved will be siphoned by a few and salted away into off-shore accounts, as has happened in the past.

They also bemoan the high salaries and daily allowances of government officials. According to Transparency for Nigeria website, the country's senators receive an annual pay of N182m ($1.2m). The national monthly minimum wage is set at N18,000 ($112), although all Nigerians do not currently receive this basic wage.

While at the 2012 national expenditure reading in December, N992.57m alone ($6.2m) was allocated for the President and Vice President's annual food and general catering services.

The sum includes the cost of purchasing foodstuffs, catering supplies and kitchen equipment for the president and his deputy's offices and residences, according to the 2012 Appropriation Bill presented to the Nigerian National Assembly.

However, government spokesman Reuben Abati told CNN he understood Nigerians' concerns regarding a lack of trust because they had been let down by previous administrations.

He added that the president has set up a high-powered committee to ensure money saved from ending the subsidy would not be misappropriated.

What will happen next?

Mass unrest and instability in the country is expected over the next few days, with citizens calling for a return to the cheap prices. So far, the government has refused but has announced the "immediate distribution of 1600 mass transit buses to major cities."

Labor union leaders have called for national strikes and protests that they hope will lead to a mass shutdown across the country.

"We call on all Nigerians to participate actively in this movement to rescue our country. The emphasis is on peaceful protests, rallies and strikes while refusing to be intimidated," the unions' statement said.

There are also calls from some quarters for President Jonathan to be impeached.

@highlight

Nigeria's government removed fuel subsidy on New Year's day ending

@highlight

Thousands of Nigerians have taken to the streets in protest over fuel subsidy removal

@highlight

Price of fuel more than doubles amid anger from Nigerians