London (CNN) -- Stuffy classrooms, annoying classmates and uninspired teachers might be a few of the things that come to mind when reminiscing about school.

Luckily, things have changed.

An inventive new kind of "school" for adults is popping up across the world offering to teach us the life lessons that formal education left out.

Whether you're eager to brush up on your HTML skills, worry less about money or find your inner leader there is a course or class out there for you.

Thinking Business lists some of the most interesting learning spaces around the world.

Staying innovative

Hyper Island

What: Hyper Island isn't really an island; in fact, it's a network of bustling hubs specializing in tech know-how, Hyper Island wants to arm individuals with tools to stay up to speed with digital developments.

A cross between a university and friendly work lab, the school offers intensive courses on data insights and user experience as well as full-time MA degrees on Digital Media Management.

Where: Learning hubs in Stockholm and Karlskrona in Sweden, Manchester in the UK, New York, Sao Paulo and Singapore and classes in a multitude of cities across the world from Vancouver to Kuala Lumpur

Check out: Masterclass - Business Transformation for a two-day course on how to hack your organization and make it more digital, Masterclass - Digital Acceleration to challenge your preconceptions about the possibilities of digital media, Leadership Innovation Lab for how to build creative, inventive teams.

General Assembly

What: "The one constant with technology is change," says Jake Schwartz, co-founder and CEO of General Assembly. "Technologies, frameworks and processes are going through a continual evolution."

Its true, workplaces don't look the same as they did 10 years ago and to adapt to the rapid change in careers and workplace demands, General Assembly have taken it upon themselves to equip professionals looking for a digital edge.

So far, 220,000 students have passed through their campuses across the world.

Where: Sydney, Washington D.C., San Francisco, New York, Melbourne, Seattle, Los Angeles, London, Hong Kong, Dallas, Chicago, Boston, Austin, Atlanta

Check out: Advanced Social Media Strategies to learn what strategies work best for each platform, Programming for Non-Programmers Bootcamp for creatives and entrepreneurs who need to learn to speak geek, Intro to Adobe Illustrator to bring your creative ideas to life.

MakeLab

What: If you haven't already heard, 3D printing is the hottest tech trend around. And if viral pictures of 3D-printed food, clothes and car parts have inspired your inner maker, MakeLab offer small workshops where a skilled tutor will teach you how to make pretty much anything (within reason).

Where: Toronto

Check out: MakeLab's one-to-one sessions to get started with 3D printing.

Boosting creativity

Brooklyn Brainery

What: Perhaps you are stuck in a creative rut or looking to impress friends with a new skill, either way Brooklyn Brainery covers everything from printmaking to HTML.

All classes are suggested by attendees, so if you happen to be a New York resident, or in the area, feel free to propose a course topic.

Where: New York

Check out: Get Unstuck, Get Writing Again for blocked writers hoping to find their mojo, Brewshop 101: Homebrewing Essentials at Bitter and Esters for everything you need to get your first batch going, Strategies for Behavior Management for anyone who works with kids

MAKERHAUS

What: When was the last time you made something with your hands? Are you itching to get away from your screen and work on a tangible project?

MAKERHAUS want to inspire handiwork, and with a course list that spans woodwork, metal work and laser cutting -- there is a good chance that you'll leave having made a masterpiece.

Where: Seattle

Check out: Introduction to Laser Cutting and Engraving, Introduction to CNC Routing, Introduction to 3D Printing with the Makerbot Replicator

Improving well-being

The School of Life

What: Life isn't as complicated as it seems, and according to The School of Life, the challenges of our day to day can be tackled in surprisingly manageable chunks.

Whether it's choosing a new career, figuring how to deal with a broken relationship or questioning -- quite aptly -- the meaning of life, experts are regularly called upon to lead workshops that inspire new ways of thinking.

Where: Headquartered in London, the school also has branches across the world in locations such as Paris, Sao Paulo and Melbourne.

Check out: How to worry less about money to develop a healthier relationship with your dough, The courage to lead for a day-long intensive workshop to develop a better perspective on leading others and Managing work stress with yoga to learn and practice the science of enhancing your well-being.

LifeLabs New York

What: How much can you actually learn in two hours? Well, you can learn how to change people's minds, perfect your posture or get to grips with the art of being cool. LifelLabs simply want to remind us of how to make our lives better -- in 120 minutes.

Combining intense learning with a dose lightheartedness (one lab took place underground), these workshops are perfect for an after-work refresher.

Where: New York

Check out: The Body Language Lab for tips on how to increase rapport, The Coolness Lab to investigate what creates charisma and allure, Rapid Problem-Solving to learn new techniques for tackling issues big and small.

Polishing business skills

In Good Company

What: Business has long been seen as a man's domain however female entrepreneurs the world over are initiating and leading businesses into success.

If you're looking to start your own money-making project or simply want to meet like-minded women, In Good Company will provide just that.

Where: New York

Check out: What is your business worth? for busineswomen looking to maximize value, Branding bootcamp to attract your ideal client for women who want to embody their brand and be more magnetic online and in person, Get S*** done work session for an accountable two hours to finally cross that task off your to-do list.

School for Social Entrepreneurs

What: Goodwill and business can go hand in hand, believe it or not. The School for Social Entrepreneurs, a non-academic facility based in Australia, is committed to training potential business leaders who are keen to create social ventures that benefit local communities. With a selection of practice-based long and short-term courses, SSE is perfect for those who are passionate about social enterprise.

Where: Melbourne, Perth and Sydney

Check out: Social Change 101 if you already have a social enterprise idea and need extra support, Bankstown Changemakers to build your own social business over four months

@highlight

A new breed of "schools" is emerging that teach all the important stuff formal education failed to

@highlight

Now, you can learn everything from assertiveness to how to launch a social enterprise to 3D printing

@highlight

Brush up your skills or learn something new and it could boost your career prospects

@highlight

CNN Thinking Business lists nine of the most interesting schools around the world