After being smacked in the face by wave upon wave of sex abuse scandals for the past decade, it's easy to feel nothing but angry or numb.

So Joe Paterno's statue came down, a slew of dioceses went bankrupt, and thousands of once-secret documents about molesters in the Boy Scouts will soon be made public.  It's fair to ask: Have we learned anything?

That makes it a good time to step back and look beyond individual villains to the big picture. When you put together the stories of Penn State, the Roman Catholic Church, the Boy Scouts and other organizations hit by abuse scandals, you see they reacted in much the same way. Their behavior was shocking, but it was more common than we knew.

Thanks to lawsuits and news reports, we now see this: For decades, some of our most trusted institutions -- from schools, camps and sports leagues to correctional facilities, foster care agencies and religious groups -- have inadvertently enabled child molesters at the expense of victims. While leaders in many youth-serving organizations have confronted the abuse problem head-on, others routinely erred on the side of molesters, ignored the extent of abuse in their ranks, hid abuse from authorities and misled the public.

News: Sex abuse files prompt calls for Boy Scout ousters

Why? To protect the good work of their organizations. They lost their perspective on where organizational protection ends and child protection begins.

The Boy Scouts of America reflects this struggle as much as anyone. From 1971-1991, the Scouts banned more than 1,800 people for alleged sexual misconduct, according to its own "Confidential Files," made public in a lawsuit in the 1990s. Those files reveal a well-intentioned effort to protect kids. But they also reveal a culture of silence that is typical of organizations that stumble over their abuse problem.

Time and again, Scout leaders tried to keep abuse incidents from legal authorities or the media: In Illinois, a volunteer admitted to abusing a Scout and agreed to resign "in return for no further legal action."

In Tennessee, Scout officials talked a victim's parents out of contacting police, promising to "handle the situation" internally. They let the molester resign and he was arrested months later for abusing another boy. When a Pennsylvania scoutmaster was arrested for molesting three boys, a local Scout executive worked with the chief of police to "do everything he could to keep this account out of the newspaper to protect the name of the Boy Scouts."

New report accuses Boy Scouts of protecting child molesters

The result was often disaster: first for kids, as molesters went on to abuse again, then for the organization, as victims eventually spoke up to lawyers and reporters. In this kind of clumsiness, however, the BSA has not been alone:

Schools: The most thorough national report on sex abuse in public schools in 2004 found that "when alleged misconduct is reported, the majority of complaints are ignored or disbelieved." A 1990s study of 225 cases of "educator sexual misconduct" in New York state found that "all of the accused had admitted to sexual abuse of a student but none of the abusers was reported to authorities and only 1 percent lost their license to teach."

Religious communities: The practice of keeping abuse allegations from secular authorities has a long tradition in several denominations besides the Catholic church. Some Orthodox Jewish communities are coming under increasing fire, through indictments and lawsuits, for pressuring families not to report allegations to authorities. When a family in Lakewood, New Jersey, ignored that pressure in 2009, some rabbis circulated a proclamation that said, "It is prohibited (for anyone) to assist and participate with the secular authorities in their efforts to persecute a Jewish person." In Brooklyn, the district attorney launched an initiative in 2009 to uncover abuse in Orthodox Jewish communities.

Similar tales of being pressured to "keep it in the house" are told in lawsuits by families in the Mormon Church and Jehovah's Witnesses.

Corrections: Sexual assaults are rampant in juvenile correctional facilities. A 2010 report by the U.S. Department of Justice estimated that 12% of young people in custody were sexually abused at their facilities in the past year. Of that 12%, 91% were boys and the rest were girls. Most of them were abused by staff, the very people who investigate abuse allegations.

No wonder those allegations often go nowhere. Just a few years ago Texas disbanded the Texas Youth Commission, the state agency that ran juvenile corrections, after investigators found that commission had largely dismissed and covered up hundreds of allegations of sex abuse.

Sports: Former young swimmers and gymnasts allege in several recent criminal and civil complaints that they were abused by coaches, and that their complaints met with superficial inquiries at best. Deena Deardurff Schmidt, a 1972 Olympic champion swimmer, said in a deposition when she reported her abuse: "Most everyone I told in coaching gave me an answer that I felt was very vague and dismissive, that my coach was a great coach."

Today, sex abuse victims are less alone

The good news: The increased awareness brought on by lawsuits, indictments and news reports have driven a cultural shift in which kids are more likely to report abuse and to be believed. That shift has also compelled youth-serving organizations to significantly improve their procedures for preventing and reporting abuse.

From national groups like the Boy Scouts to stand-alone after-school programs, most organizations run more thorough background checks on job and volunteer applicants; better train their staff and youth about how to prevent and recognize abuse; and enforce tighter procedures for reporting abuse.

That's the other side of the big picture: The victims are winning.

@highlight

Patrick Boyle: Boy Scout child sex abuse -- this kind of scandal is way too familiar

@highlight

For decades, he says, trusted institutions ignored abuse in order to protect themselves

@highlight

But lawsuits, publicity have brought this into the light and spurred improvements, he says

@highlight

Boyle: Organizations gearing up to prevent it, kids more likely to report and be believed