(CNN) -- The summit of the Hahnenkamm looms large over the Austrian ski resort of Kitzbuhel, more than 1,700 meters above sea level.

A myriad of ski slopes meander down the mountain in winter, the most famous of which is the notorious "Streif."

Translated as "streak," it is the ultimate in downhill courses, and the World Cup race it hosts every January is often run in ludicrously treacherous conditions.

Watched by celebrities, such as Arnold Schwarzenegger and Europe's jet set, it is often referred to as "the Super Bowl of skiing."

The winner each year attains virtually legendary status within the skiing community, while its famous sections such as the Mausefalle and Steilhang -- taken at speeds of about 90 mph -- have become bywords in the Austrian lexicon.

At the start gate, insignias bearing the names of its most illustrious sons and daughters take pride of place: Franz Klammer, who won the prestigious downhill four times; Fritz Strobl, a three-time winner; and, most recently, Urban Zemmer, a 42-year-old Italian farmer with a Germanic name.

Zemmer's wins on the Streif, though, have come in very different fashion -- and indeed a month after the main event -- as he switches skis for spikes and tackles the course uphill rather than down.

As maverick events go, Vertical Up is right up there.

The night race, now in its fourth year, features multinational competitors from across Europe -- some choosing cross-country skis and poles -- testing their mettle in subzero temperatures.

From the chalets in the valley below, it looks like an eerie blur of lights as the runners in their head torches disappear up the slopes at varying degrees of speed. The goal is simple -- the first one to the top wins.

That has tended to be Zemmer, who holds the course record of 32 minutes. The climb, parts of which are virtually vertical, is 3,312 meters in distance with an uphill in total of 860m.

By day, Zemmer gets up at 6 a.m. to deal with the cattle on his farm. By night it appears he likes nothing more than careering up a mountainside ... at speed. But why exactly?

"Everyone thinks of the Streif in the sense of downhill racing -- the Vertical Up offers an absolutely new possibility of becoming a Streif conqueror with the bottom-up method," he tells CNN.

"Plus I'm now honored by an insignia at the top of the next to the great names like Franz Klammer."

So determined is he to exercise when his working day is done -- Zemmer competes in summer mountain races, likes to cycle and run with his dog, and even his holidays are spent traveling to races -- that he admits: "I have no idea of boredom."

The first event came into being by word of mouth and, continuing in that same vein, it has become more and more popular.

A relatively modest crowd gathers at the bottom but, the whole way up it, crowds hug the advertising hoardings.

"You can feel the enthusiasm and that's very motivating to push myself forward and give the best in order to reach the finish in a good time," Zemmer says.

"In every race, you get yourself to the limit, sometimes even further. And in the race I am totally by myself. After the start, I can't see or hear anything. I am just totally focused on my aims.

"The victory is just the reward for all the struggle and the acknowledgment for all the deprivation, which you have to accomplish in sport."

The motto for the Streif downhill is that the best form of defense is attack, and it is something Zemmer adheres to, although the rest of the competitors, who vary massively in their standard, are not always so gung-ho.

Among them is former cyclist Gerrit Glomser, an ex-Tour de France competitor and a two-time Tour of Austria winner in his heyday. In the Vertical Up, he does not aspire to victory, although he boasts a top-10 finish in his three outings to date.

His inspiration to tackle the slopes came from seeing Austrian skiing great Hermann Maier enter the prologue of the 2003 Tour de France, a race in which Glomser also took part.

He had thought of being one of the skiers who help prepare the Streif for the World Cup event but, perhaps rightly, he decided it was too dangerous so opted for uphill instead.

"This is a challenge but more than that it's fun with friends," says Glomser. "It's not a goal to win but I want to do my best. It's not like I'll be disappointed in 17th or 39th or whatever.

"This is about good times on a route which downhillers have come down a few weeks before... fast."

But it is not all fun for the competitors.

"When you get to the end, it's just a relief," Glomser admits. "There's a 100-meter vertical climb at one point during which it feels like your chest is up at your throat. It's hard but then you finish, you get a warm drink and it's joy."

For an athlete who has tackled the Tour's toughest cycling ascents, Glomser is more naturally prepared than other entrants.

"Running up hills is quite normal for me," adds the 38-year-old. "It's hard to compare pushing in the pedal with running uphill but it's something that suits me.

"But it's totally different to the Tour. It's not like anything else, running up ice in spikes. It's -10 degrees but a short-sleeve T-shirt could be fine as you get warm really fast."

British competitor Paul Doyle, a 26-year-old with a best Vertical Up time of 46 minutes, has been a resident in Kitzbuhel since 2005, working as a skiing instructor and also to become a fitness trainer.

At last year's race, he said his heart rate was an average 190 beats per minute -- the normal resting rate is 60-100.

Like Zemmer and Glomser, he has competed in every Vertical Up to date, and admits to slight nerves beforehand.

"It gets steep immediately and there's only a tiny bit of respite the whole way," Doyle says.

"At the end, it's like you're trying to run but you just can't, and there's a horrible burning in your legs. It feels like at any second you're going to turn to jelly but then the finish comes.

"Some collapse, some are sick, some are relieved and some are joyous, you feel like you have nothing left.

"I watched Urban's winning race and that's just insane. We all think the downhill guys are nuts, and I guess we're nuts in a different way. This is simply not comparable to anything in the world. It's like a crazy gathering."

A crazy gathering where the only way is up.

@highlight

Vertical Up held on World Cup downhill in Kitzbuhel with athletes going up not down

@highlight

Three years since its inception, it has been dominated by a 42-year-old Italian farmer

@highlight

Athletes can boast an average heart rate of 190 bpm during the course of the event

@highlight

Line-up of competitors for Saturday's race includes a former Tour de France cyclist