(CNN) -- A revolution squeezed into its margins -- but that's where it started.

It is February 11, 2014. Three years ago today, I walked to Tahrir Square to celebrate the fall of a dictator. In that square, we felt everything was possible, after Mubarak's 30-year rule. It's that feeling a recent film, "The Square" tried to capture. I resisted watching this Oscar-nominated film for weeks. I was in Egypt for many of the events it portrayed, and I knew I'd be emotionally riven if the film were even partially accurate. Indeed, it was painful to watch a film that captured so many of the core emotions of the past three years, and did it so well.

The film did not portray my own memories: it mediated the emotional history of the revolution through the subjective experiences of certain key characters. They were all archetypes of the revolution. I wondered -- would the filmmakers do what so many writers on Egypt have done, and go for the easy way out, focusing on spoiled rich kids, playing revolutionary? They didn't -- the first revolutionary character, Ahmad, is hardly rich -- he's a young, middle class, average Egyptian. Another central character is Magdy -- a loyal member of the Muslim Brotherhood, the political Islamist group. Ahmad has struggled economically his whole short life -- Magdy has spent time imprisoned for his political beliefs.

There was betrayal. It began with Mubarak himself, addressing the youth of Tahrir with such tenderness -- only to try to crush them. It continued with the military's leadership saluting the revolution's martyrs after Mubarak was forced from office -- only to be shown, unsympathetically, displaying singular disinterest in revolutionary reforms. It lingered with the Brotherhood's leadership insisting on revolutionary intentions -- only to be seen deserting the revolutionary struggle for partisan power.

There was hope. The hope that all of Egypt would become Tahrir Square of the 18 days: a place of respect, pluralism, and freedom. Those that had hope now strive to ensure the hope itself doesn't die. There was anger, as we see the potential of the revolution squandered -- and the anger remains.

There was naivetÃ© -- the naivetÃ© of the revolutionaries to understand where their power was, and where it wasn't. On the second anniversary of the uprising, I was near Tahrir Square trying to convince some activists that, actually, they'd lost the public's support for protests some time before. The protest, for too many of them, had become the strategy itself, as opposed to a tactic for a better-defined goal. Considering the film's partiality to the ideals of revolution, I was pleasantly surprised to see the idealism of one of the characters, Egyptian-Briton Khalid, challenged, more than once. Ahmad shows an innocent unwariness about the June 30 protests against then-President Mohamed Morsy: the film would have benefited from showing a counter to his exceedingly ill-placed confidence that the military of 2013 would be more restrained than the military of 2011.

There was pain. There was the killing of largely Christian protesters at Maspero by the military in late 2011 -- a tragedy the film crew witnessed, and which turned a sizeable number against the military. There have now been more than a dozen "mass protester killings," as the Egyptian Initiative for Personal Rights put it -- and no acknowledgement or justice for them. The single worst incident was the clearing of the pro-Morsy sit-in -- a scene insufficiently covered in the film, though mentioned.

The film is not the story of every Egyptian, or even every revolutionary. It's a mediation of the revolutionary experience through these specific characters. The film is a story of the relationships of these individual characters with the revolution, and with each other. Even though this is a deeply political film, political parties are rarely shown. Central, nevertheless, to the film's development, is the persona of Magdy, a loyal Brotherhood member. He humanizes ordinary Brotherhood members, and of all the central characters, we know Magdy as the most tortured, who suffered the most under Mubarak's regime.

Magdy's story is a profoundly conflicted one, as he struggles between his loyalty to an organization that supported him his whole life, and his ideals. His story causes others to be conflicted as well -- we see that although Ahmad opposes the Brotherhood deeply, he wants to come to the pro-Morsy sit-in towards the end, to stand by Magdy. A deeply sympathetic and gallant character, Magdy survives the clearing of the sit-in, unlike the many hundreds who did not.

The film certainly prioritizes a revolutionary lens, rather than pretending to be a bland chronicle, for these tragic revolutionary heroes provided the context of the square and the revolution. Watching it now reminds us that in the past few months and years, many who would have been in that square would have been killed, or imprisoned. The film reminds us of a revolution that has been squeezed into the margins -- but also reminds us that, indeed, is where the revolution itself started.

READ: How America abandoned Egypt's Arab Spring

READ: Egypt's revolution on the margins

The views expressed in this piece are solely those of H.A. Hellyer.

@highlight

Oscar-nominated 'The Square' traces Egypt's revolution through revolutionaries

@highlight

Different experiences portrayed including working class non-Islamist revolutionary

@highlight

A gallant, loyal Brotherhood member conflicted about his leaders, writes H.A. Hellyer

@highlight

Emotions of hope, idealism, pain, and betrayal shine through - Hellyer