(Health.com) -- For Marika Holmgren, fighting breast cancer was an uphill battle -- literally. She got back on her mountain bike shortly after her diagnosis in February 2007, smack-dab in the middle of chemotherapy.

"The treatment is so intense -- it strips everything away. You're physically and completely changed," says Holmgren, 40. "I was trying to retain some sense of normalcy. And truthfully, I felt a little badass being on my bike during treatment. I was giving cancer the middle finger."

Health.com: My Breast Cancer Diary in Pictures

Tooling around on a mountain bike during chemotherapy sounds intense, maybe even unadvisable. But just the opposite is true: Holmgren was being a model patient.

In the past, doctors often told cancer patients to take it easy during treatment. Although the appropriate amount of exercise varies from patient to patient, that conventional wisdom is now considered old hat. In fact, new guidelines on cancer and exercise from the American College of Sports Medicine (ACSM) urge cancer patients to be as physically active as possible both during and after their treatment.

"The idea that you should be staying put and resting is ultimately doing more harm than good," says Kathryn Schmitz, Ph.D., an epidemiologist at the University of Pennsylvania School of Medicine, in Philadelphia. Schmitz, who studies the role of physical activity in chronic diseases, presented the guidelines at the American Society of Clinical Oncology's annual meeting last week.

Health.com: 30-Minute Workout, No Gym Required

The last thing people overwhelmed by cancer's psychological and physical impact may want to hear is "exercise more." During treatment, bone-crushing fatigue, nausea, and body-changing surgery -- not to mention the emotional drain of coping with worried children, friends, and life partners -- often puts exercise very last on the list of priorities.

Still, experts now say that exercise may help with -- not add to -- those problems. It boosts energy, helps stave off the weight gain often associated with treatment, and provides a psychological pick-me-up at a time when a person's morale is likely to be battered.

Even small amounts help

How much exercise is enough? The ACSM recommends 150 minutes of moderate-intensity aerobic exercise per week, which works out to about 20 minutes a day -- the same amount recommended to the general public.

That said, the organization is realistic about how cancer and its treatment can alter mood and energy levels. Any kind of activity -- even a short walk -- is better than none, the ACSM says.

Health.com: 5 Ways to Stay Healthy After Breast Cancer

"The risk of inactivity for cancer patients is so great that it's best to just get started with something," says Schmitz. If you begin to feel worse or overtired, Schmitz recommends discussing it with your doctor.

People who were sedentary before their diagnosis should start by walking for 10 minutes each day, says Schmitz, and gradually increase their time by 10 percent to 15 percent each week until they can do 30 minutes at a stretch, five times per week.

There may be days when you feel nauseous, exhausted, or utterly despondent. But friends or family can help. "A lot of it will be up to the caregivers, because they are the ones who will know how to motivate patients facing an uphill battle," says Schmitz. "They're the ones who can say, 'Hey, let's get dressed today,' and then, 'Hey, let's get dressed and walk around the house.'"

It's important to pick an activity you enjoy, says Alyson Moadel, Ph.D., the director of the psychosocial oncology program at the Albert Einstein Cancer Center, in the Bronx, New York. "It is not a one-size-fits-all answer, since patients may be more responsive and adherent to different fitness programs," she says. "It's important to allow patients a choice and to tailor a fitness program to each patient."

Fortunately the options are greater than ever before, as exercise programs for cancer patients have become increasingly popular nationwide. In 2007 the Lance Armstrong Foundation partnered with the YMCA to provide physical activities designed specifically for survivors, and more and more hospitals are creating their own programs as well. Cancer patients who aren't willing or able to travel to a facility on a regular basis can sign up for programs that can be delivered by mail, phone, or the Internet.

"Right now we're working to develop a variety in the types of programs available," says Schmitz.

Health.com: The Joy Workout

Holmgren -- a longtime mountain biker -- took to the San Francisco hills with a group of women who ride with the Bay Area chapter of Team LUNA Chix, a group of amateur bikers, runners, and triathletes affiliated with the Breast Cancer Fund, a nonprofit advocacy organization based in San Francisco.

"I had no hair, no eyelashes, and no eyebrows, and yet I didn't think they would know I had cancer," says Holmgren. "The women were so fun and inspiring, and they never babied me. They just let me do my thing at my own pace."

How exercise helps

Dozens of studies have demonstrated the benefits of staying active both during and after treatment.

Regular exercise can help fight the weight gain that often comes with cancer treatment, including breast cancer. "It's about what the typical American could expect to gain over the course of a couple of years, but it's happening all at once," says Schmitz.

But exercise is also important for cancer patients whose treatment can cause them to lose weight. Prostate cancer, cancers of the stomach and gut, and head and neck cancers can all lead to a significant decrease in muscle mass, as well as a loss of taste and an inability to process certain foods.

"Those patients really need to focus on resistance exercises," says Schmitz. "That will help them increase their muscle mass and gain that functional tissue that they need."

Even though most patients won't be able to accomplish the same physical feats they were capable of before their diagnoses, adds Schmitz, staying active helps them achieve "a whole lot more than they would have been able to if they hadn't been exercising."

Health.com: Fit at Any Age: Your 50s Strength Workout

Exercising has more intangible benefits as well. In a 2007 study that followed advanced cancer patients who exercised while undergoing chemo, the participants were asked to keep diaries. Many of them noted the positive mental aspects of exercise. "It feels good to have a sense of an everyday life again," wrote one participant. "I have become incredibly energetic," wrote another.

In addition to making patients feel normal again, staying active is a way for patients to measure the progress of their recovery. Holmgren stuck with her rides all summer while undergoing chemo. "They became a real benchmark for me," she says. "The more I would ride, the more I felt like I was getting back to my old self."

Though Holmgren still can't match some of the climbs she conquered pre-diagnosis, mountain biking has helped her make peace with her changed body.

"The hormone treatment, early menopause, early arthritis, the weight gain, the surgeries -- breast cancer takes a huge toll on your body," she says. "I knew I was going to feel bad no matter what, so I figured I might as well be feeling bad on my bike doing something that I used to do -- and something that people not going through cancer might not be able to do."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2010

@highlight

Marika Holmgren got back on her mountain bike shortly after her cancer diagnosis in 2007

@highlight

Many studies have shown the benefits of staying active during and after cancer treatment

@highlight

Exercising has more intangible benefits as well, in terms of mental health