(CNN) -- Gun violence is a public health threat to our children. My husband, Sean Palfrey, and I are pediatricians. We are not specialists or experts in the field of injuries, but we are, sadly, all too familiar with the devastating impact of guns in children's lives. Firearms have claimed the lives of patients, friends and family members.

The shooting this week of a 6-year-old boy by his 4-year-old neighbor, who apparently had gotten hold of a loaded .22-caliber rifle from his home in New Jersey, reminds us that gun-related tragedies are daily occurrences in America.

Last December, in the days after the school shooting in Newtown, Connecticut, my husband and I wanted the public to know that gun injuries are too common in our children's lives. We wanted doctors and nurses to redouble efforts to help families decrease the threat that guns pose to children and to offer hope and encouragement that there really are positive things we can do to increase our children's safety. So we wrote an article for the New England Journal of Medicine

For the article, we didn't have to look far to discover that guns are as much a threat to our children and grandchildren as infectious diseases and other health disorders. According to data from the Centers for Disease Control and Prevention, 6,570 people ages 1 to 24 died from firearm injuries in 2010. That's 18 people every day and a staggering seven a day for children ages 1 to 19.

In 2010, firearms caused twice as many deaths as cancer, five times as many as heart disease and 15 times as many as the recorded infections. Protecting children from gun violence is not a political decision, it's a public health imperative.

Guns kill teenagers who get into scuffles over weighty and trivial matters. They kill sad boys and girls who make the impulsive decision to end it all right now, and can because they have the lethal means right in their hands. And they kill little children who play act what they see adults doing around them or on television or the internet.

In October, a committee of the American Academy of Pediatrics issued a policy statement on firearm-related injuries. The statement included technical background research and statistics, asked questions about how and why kids get their hands on guns and came to the evidence-based conclusion that if children have access to guns in their homes or neighborhoods, they are at risk of injury.

Here is what the AAP recommended

"The best preventive measure against firearm injuries and deaths is not to own a gun. However, if you choose to have firearms in your home, adhere to these rules for gun safety:

• Never allow your child access to your gun(s). No matter how much instruction you may give him or her, a youngster in the middle years is not mature and responsible enough to handle a potentially lethal weapon.

• Never keep a loaded gun in the house or the car.

• Guns and ammunition should be locked away safely in separate locations in the house. Make sure children don't have access to the keys.

• Guns should be equipped with trigger locks.

• When using a gun for hunting or target practice, learn how to operate it before loading it. Never point the gun at another person and keep the safety catch in place until you are ready to fire it. Before setting the gun down, always unload it.

• Do not use alcohol or drugs while you are shooting.

The massacre at Sandy Hook Elementary School has awakened our nation into action. It prompted our president to declare that "now is the time" to end gun violence. It encouraged our elected leaders to come together to vote on legislation that can make children feel safe in their homes, school and communities. It mobilized advocates and parents to come to Washington. It spurred dialogue in local and national media.

We are at a tipping point. And we can do this.

We have increased automobile and bike safety and prevented drownings and poisonings by making simple but strict rules compelling Americans to change their habits. We can make our country safer, but only if we work together. Only if we look at these numbers and say: Enough.

Gun violence is an epidemic that we can treat over time. We must not only understand this, we must act. Through strong state and federal gun safety policies, through research into the causes and prevention strategies of gun violence, through doctors talking to patients about guns in the home, through reducing children's exposure to violence in the media, in their homes and in their communities, we can do this.

Medical professionals, clergy, government officials, police officers, families must collectively say, without relent or apology: We must protect our children.

The opinions expressed in this commentary are solely those of Judith Palfrey.

@highlight

Judith Palfrey: Gun violence a health threat to kids; New Jersey shooting is an example

@highlight

She says 6,570 people ages 1 to 24 died from firearm injuries in 2010

@highlight

She says Americans must commit to gun laws to keep kids safe

@highlight

Palfrey: We need simple, strict rules to get Americans to change their habits on guns