(CNN) -- The Ebola epidemic now raging across three countries in West Africa is three-fold larger than any other outbreak ever recorded for this terrible disease; the only one to have occurred in urban areas and to cross national borders; and officially urgent and serious. At least 1,090 people have contracted the awful disease this year, though the epidemic's true scope is unknown because of widespread opposition to health authorities in afflicted Guinea, Liberia and Sierra Leone.

This week, 39-year-old physician Sheik Umar Khan -- labeled the country's hero for his brave leadership of the epidemic fight -- died from Ebola, adding yet another public fear: that even the doctors cannot escape the disease.

But as terrifying as Ebola is, the virus has been controlled in the past, and can be again. The current crisis, which threatens an 11-nation region of Africa that includes the continent's giant, Nigeria, is not a biological or medical one so much as it is political. The three nations in Ebola's thrall need technical support from outsiders but will not succeed in stopping the virus until each nation's leaders embrace effective governance.

As was the case in Kikwit, Zaire, in 1995 -- an Ebola outbreak I personally was in as a journalist -- there is no vaccine or cure for the disease. The key to stopping its spread is rapid identification of the sick; removal of the ailing and deceased from their homes; and quarantine and high hygiene measures to prevent transmission of the virus to family members and health care workers.

In the absence of such measures, Ebola will kill upwards of 70% of those it infects, as the virus punches holes in veins, causing massive internal hemorrhaging and bleeding from the eyes, ears, mouth and all other orifices.

Guinea, Liberia and Sierra Leone are among the poorest, least governed states in the world. About half of the nations' adults are illiterate. The 11.75 million people of Guinea have a per capita annual income of merely $527, and their combined male/female life expectancy is 58 years. In 2011, the government of President Alpha Conde spent $7 on average per capita on health.

Life is no better for the 4.2 million people living in neighboring Liberia, where per capita income is $454, life expectancy is 62 years and the government of President Ellen Johnson Sirleaf spends $18 per capita on health. In Sierra Leone, the 6 million residents have a per capita income of $809 per year, life expectancy is merely 46 years, and the government of the President, Dr. Ernest Bai Koroma, spent $13 per capita last year on health.

Since Ebola first broke out in March in Guinea, fear has gripped the region, coupled with suspicion and wild rumors. Some have proclaimed the epidemic "divine retribution" for past sins. In April, Guinean health officials failed to quarantine an Ebola patient who reportedly spread the virus from a remote area to the capital -- a lapse that undermined government credibility.

In April, a mob claiming that foreigners were spreading diseases attacked a Doctors Without Borders clinic in rural Guinea and forced the Nobel Peace Prize-winning group to abandon its mission. The charity returned only after it had negotiated its safety with local religious leaders. In the capital city of Conakry, families have been hiding their ailing relatives.

Even the local Red Cross was forced to abandon a part of the country after men brandishing knives surrounded them. And in one district, police fired tear gas at a mob that was trying to raid the morgue in order to give their loved ones proper burials, despite the risk of contagion.

As the epidemic spread to Sierra Leone in May, brought in by a traditional healer who tended to ailing Guineans and then returned home, similar problems surfaced. Family members defied a local quarantine, thereby spreading infection. By the end of May, authorities were losing track of Ebola sufferers amid widespread fleeing from health facilities; the toll of missing patients approached 60 by June.

Some local leaders spread rumors that "the white people" were conducting experiments, infecting Sierra Leonians or cutting off people's limbs. Doctors Without Borders warned that widespread belief that Ebola does not exist threatened to spread the disease regionally. Today the word "Ebola" carries so much stigma that few ailing individuals even seek diagnosis.

By the end of June, the epidemic was exploding in Liberia, fueled by the same sorts of denial and wild rumors that were rampant in Sierra Leone and Guinea. In one county, men with weapons chased off government health workers.

Today, the World Health Organization is officially loath to say so, but under these circumstances, this epidemic is beyond anybody's control.

Nobody, in any culture, relishes having their ailing loved ones removed from a family's care, or their bodies hauled off to ignominious mass graves. But the violent reaction to such measures in West Africa is far more extreme than anything that has occurred in other Ebola crises since the virus's first appearance in Zaire in 1976.

This should come as no surprise to anybody with a modicum of knowledge of recent history.

The nations of Guinea, Liberia and Sierra Leone have a shared, brutal history of civil wars that since 1989 have left more than 400,000 people dead, displaced half a million people from their traditional homes, seen rape used as a weapon against tens of thousands of girls and women, and put Liberia's former President behind bars as a war criminal.

One of the most heinous features of the 1989-to-2005 wars was public amputation, typically carried out by child soldiers. The violence began in 1980 when Samuel Doe killed President William Tolbert and then tyrannized Liberia for a decade, growing rich off its diamond trade.

In 1990, rebels invaded the country from Ivory Coast, captured Doe, tortured him, dragged him naked through the streets of Monrovia, and then executed him. Charles Taylor took over the nation, running it until 2003. Taylor, in turn, helped his comrade Foday Sankoh seize control of Sierra Leone, and they systematically exploited their nations' mines, leading to the United Nations term "blood diamonds."

What you need to know about the deadliest ever outbreak

With help from Guinea, a second civil war started in 1999 in Liberia, eventually engaging multiple warring factions, each more brutal than the other. It spilled over into Sierra Leone and was egged on by military elements in Nigeria. By 2000, all three of the now-Ebola-torn countries were embroiled. Taylor fled into exile in Nigeria in 2003, and both he and Sankoh faced U.N. war crimes trials. Sankoh died of a heart attack before his trial; Taylor is now imprisoned.

In these three nations, few families have not experienced murders, rapes, torture, maiming, loss of homes and death. Fear, suspicion, poverty, pain and superstition are the norm, the noise that everybody lives with, every minute of their lives. Ebola is simply a new scream heard above that terrible background din.

The challenge today in these barely functioning states is to find ways to lower the overall noise, focus on stopping the Ebola virus, and bring governance and peace to three countries that have rarely experienced either.

@highlight

Laurie Garrett: Ebola epidemic in Sierra Leone, Guinea, Liberia worst ever, could be controlled

@highlight

She says poor governance, ignorance, hysteria have stoked opposition to health care

@highlight

She says key doctor in Ebola fight now stricken, adding new fear that no one can escape

@highlight

Garrett: Lacking governance, desperately poor citizens superstitious, avoid treatment