(Mental Floss) -- When Americans sit down with their families for Thanksgiving dinner, most of us will probably gorge ourselves on the same traditional Thanksgiving menu, with turkey, cranberry sauce, stuffing, and pumpkin pie taking up the most real estate on our plates.

Pumpkin pie didn't make an appearance at the First Thanksgiving, though pumpkins were probably served.

How did these dishes become the national "what you eat on Thanksgiving" options, though?

Are they holdovers from the First Thanksgiving, or did they gradually sneak in?

The Pilgrims may not have had turkey

Turkey may not have been on the menu at the 1621 celebration by the Pilgrims of Plymouth that is widely considered the First Thanksgiving (though fans of Virginia's Berkeley Plantation might quibble with the "First" part).

There were definitely wild turkeys in the Plymouth area, as colonist William Bradford noted in his journal. However, the best existing account of the Pilgrims' harvest feast comes from colonist Edward Winslow, author of "Mourt's Relation: A Journal of the Pilgrims at Plymouth."

Winslow's first-hand account of the First Thanksgiving included no explicit mention of turkey. He does, however, mention the Pilgrims gathering "wild fowl" for the meal, although that could just as likely have meant ducks or geese.

So why do we chow down on turkey, then?

It helps to know a bit about the history of Thanksgiving. While the idea of giving thanks and celebrating the harvest was popular in certain parts of the country, it was by no means an annual national holiday.

Presidents would occasionally declare a Thanksgiving Day celebration, but the holiday hadn't completely caught on nationwide. Many of these early celebrations included turkey; Alexander Hamilton once remarked that, "No citizen of the U.S. shall refrain from turkey on Thanksgiving Day." Mental Floss: Manly ways to prepare turkey

When Bradford's journals were reprinted in 1856 after being lost for a century, they found a receptive audience with advocates who wanted Thanksgiving turned into a national holiday.

Since Bradford wrote of how the colonists had hunted wild turkeys during the autumn of 1621 and since turkey is a uniquely American (and scrumptious) bird, it gained traction as the Thanksgiving meal of choice for Americans after Lincoln declared Thanksgiving a national holiday in 1863.

Moreover, there were pragmatic reasons for eating turkey rather than, say, chicken at a feast like Thanksgiving. The birds are large enough that they can feed a table full of hungry family members, and unlike chickens or cows, they didn't serve much utilitarian purpose like laying eggs or making milk.

Unlike pork, turkey wasn't so common that it didn't seem like a suitable choice for a special occasion, either. An interesting 2007 piece in Slate discussed these reasons for turkey's prominence, but also made another intriguing point.

The publication of "A Christmas Carol" in 1843 may have helped force along the turkey's cause as a holiday delicacy when Scrooge magnanimously sends the Cratchit family a Christmas turkey. Mental Floss: 10 things that deflated the Macy's parade

There was no cranberry sauce, either

While the cranberries the Pilgrims needed were probably easy to come by, making cranberry sauce requires sugar. Sugar was a rare luxury at the time of First Thanksgiving, so while revelers may have eaten cranberries it's unlikely that the feast featured the tasty sauce.

What's more, it's not even entirely clear that cranberry sauce had been invented yet. It's not until 1663 that visitors to the area started commenting on a sweet sauce made of boiled cranberries that accompanied meat. There's the same problem with potatoes. Neither sweet potatoes nor white potatoes were available to the colonists in 1621, so the Pilgrims definitely didn't feast on everyone's favorite tubers.

But they had plenty of venison

Winslow mentions in his writings that the governor sent out a party of four men to do some fowling for the feast, but the Pilgrims and Wampanoag also enjoyed five deer as part of their feasting.

The meat supposedly arrived at the celebration as a gift from the Wampanoag king Massasoit. On top of the venison, other meats probably included lots of fish and shellfish, which were staples of the Pilgrims' diets. So if you want to wolf down a lobster or some oysters in lieu of turkey on Thursday, nobody can fault you for being historically inaccurate.

And pumpkin pie didn't cap things off

It may be the flagship dessert at modern Thanksgiving dinners, but pumpkin pie didn't make an appearance at the First Thanksgiving. The Pilgrims probably lacked the butter and flour needed to make a pie crust, and it's not clear that they even had an oven in which they could have baked a pumpkin pie.

That doesn't mean pumpkins weren't available for the meal, though; they were probably served after being baked in the coals of a fire or stewed.

Pumpkin pie became a popular dish on 17th-century American tables, though, and it might have shown up for Thanksgiving as early as the second celebration of the holiday in 1623. Mental Floss: 10 Thanksgiving traditions

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

First-hand account of the First Thanksgiving includes no explicit mention of turkey

@highlight

It's also unlikely that the feast featured cranberry sauce

@highlight

"A Christmas Carol" may have helped turkeys become a holiday delicacy

@highlight

Pumpkin pie became a popular dish on 17th-century American tables