(CNN) -- Syria smoldered on Saturday as soldiers executed dozens of defectors in Idlib province and shelling persisted in the besieged city of Homs, activists told CNN.

More than 40 soldiers trying to defect from an army unit in Idlib province were executed by government troops, according to activists from the town of Binnish, the opposition Syrian Network for Human Rights, and the Local Coordination Committees of Syria.

The incident occurred at the Abu Athuhoor Military Airport when 50 soldiers attempted to defect, the network said.

A captain loyal to the regime got wind of the plan and thwarted it, telling soldiers he would join them, but then informing a brigadier general about the attempt, the network said.

The group said 44 were executed; their bodies were dumped in a lake. Six escaped, the network said.

"The Syrian Network for Human Rights places the responsibility of such criminal action on the commander in chief of army and armed forces (Syrian President) Bashar Al-Assad, the captain and the brigadier general.

"The SNHR demands an immediate international investigation for this massacre," it said.

The LCC and the Binnish group said 47 soldiers were killed. There was no immediate comment from the government.

Military defectors pose a threat to the Syrian regime. Many have left the army because they have refused to heed orders to fire on civilians. Last summer, the Free Syrian Army, a resistance force composed of defectors, emerged. The group has said soldiers are regularly switching sides for the FSA.

As for Homs, the shelling and miserable conditions continued, opposition activists said.

And in the Damascus suburbs, more than 100 people were arrested, the LCC said.

The bodies of two journalists killed last week in Syrian shelling on the Baba Amr neighborhood in Homs were delivered to Western diplomats in Syria, Red Cross officials said.

Reporter Marie Colvin's body was handed over to Polish diplomats representing U.S. interests in Syria. Photographer Remi Ochlik's body was transferred to the French.

The state-run Syrian Arab News Agency said the Syrian Arab Red Crescent delivered the bodies to the diplomats at al-Assad University Hospital in Damascus. Doctors there identified the bodies.

Poland said it is engaged in efforts to transport Colvin's remains to the United States. France says it doesn't know when Ochlik's body can be taken to France.

Their deaths and the ongoing Syrian military crackdown underscore the hardships and dangers civilians face across the country.

"Where is the free world?" asked opposition activist Sami Ibrahim, describing a dire humanitarian crisis in the city of Homs and crying for international help. "The situation is very bad."

Dima Moussa, spokeswoman for the opposition Revolutionary Council of Homs, called the government's relentless push to pacify Homs a "suffocating siege."

She said there was shelling in the neighborhoods of Bab Tadmur and Jib al-Jandali, and mortars were targeting Ashira.

Food is hard to get and electricity has been cut off, she said. There was no water in most areas and civilians were using melted snow and rain water for drinking. Snipers were blanketing the city and corridors in and out "are nearly closed off completely," she said.

"The medical situation continues to deteriorate and is catastrophic, and all kinds of medicine have run out from field hospitals," Moussa said.

The Syrian government has been seeking to shut down anti-government protests for nearly a year. It has directed its firepower lately on Homs, where many neighborhoods are bastions of the opposition.

Much recent attention has focused on Baba Amr, a neighborhood of five square miles (eight square kilometers) that endured nearly a month of shelling before rebel forces announced a "tactical retreat" on Thursday.

The International Committee of the Red Cross has been trying to enter the devastated neighborhood for days.

On Thursday, Syrian authorities granted teams from the Red Cross and Syrian Arab Red Crescent Society permission to enter; but on Friday, the ambulances and aid workers carrying food and medical supplies were turned away.

SANA reported Saturday that authorities had "restored security and safety" to Baba Amr after ousting "armed terrorist groups who ran amok in it and committed murder and vandalism, turning the locals' life into a living hell."

State TV quoted a resident saying "terrorists" used rocket-propelled grenades and mortars and many of them were foreigners.

"There were Saudis, Qataris, Emiratis, Libyans and others. There were all kinds of nationalities, they didn't have mustaches, just long beards. They were masked. They blocked the streets, stopped us at checkpoints. It was true terror by all means. They had snipers all over. They destroyed the houses. The terrorists forced us to go out and joined their demos or they told us we will be shot if we don't," he said.

But activists and independent observers reported callous government actions.

British journalist Paul Conroy, who was wounded in his stomach and leg and then smuggled to Lebanon in a six-day journey from Baba Amr, called the government siege "a medieval siege and slaughter."

"I would say quite categorically that's the most ferocious, vicious, and unnecessary that I've seen," he said. "And there are actually no military targets within Baba Amr. All of the intense shelling is directed at the civilian population."

The United Nations estimates more than 7,500 people have died since then, while the LCC says more than 9,000 people have died during the conflict. The Syrian government says more than 2,000 security personnel have been killed in the violence.

Including the defector deaths, the LCC said at least 80 people had been killed Saturday nationwide.

In Daraa, the southern city where the anti-government uprising began last year, at least three civilians were killed and 20 civilians and security personnel were wounded, SANA said.

SANA said a "terrorist suicide bomber" blew up a car he was driving at al-Masri roundabout in Daraa's al-Balad area. The opposition Free Syrian Army said state security forces staged the bombing themselves.

Car and suicide bombings, common militant tactics in Iraq and Afghanistan, have been rare in the Syrian uprising. There have been a handful of suicide bombings in Damascus and Aleppo, the country's two largest cities.

The Syrian Observatory for Human Rights, another opposition group, said at least six Syrian soldiers were killed in clashes with defectors after forces loyal to President al-Assad stormed the city of Hirak northeast of Daraa.

CNN cannot independently confirm reports across Syria because the government has severely restricted the access of international journalists.

Protests began last March, when townspeople in and around Daraa protested the arrest of school children for painting anti-government graffiti. The government's fierce crackdown on the protesters and the tenacity of the demonstrators emboldened protests in other cities.

CNN's Saad Abedine, Salma Abdelaziz, Holly Yan, Nic Robertson, Kareem Khadder and Joe Sterling

@highlight

Military defectors are executed in Idlib province, activists say

@highlight

Shelling continues in several Homs neighborhoods, activists say

@highlight

A suicide car bombing is reported in Daraa, where the uprising started

@highlight

The bodies of journalists Marie Colvin and Remi Ochlik are handed over to Western diplomats