(CNN) -- "Pediatrics Group Backs Gay Marriage, Saying It Helps Children," proclaims a headline in The New York Times. But the advocacy group presented no new studies, no new data, to support this claim. And the studies the group cites have been shown to be insufficient to come to this conclusion about same-sex parenting.

Turns out the press release, picked up nationwide, was a PR stunt aimed at influencing the Supreme Court. The nine justices are set to hear oral arguments Tuesday and Wednesday in two cases about the constitutionality of marriage laws.

Today, 41 states define marriage as the union of a man and a woman. Marriage is at the center of an intense national debate, a family-by-family, state-by state conversation that CNN substantively encourages by making room for varying perspectives and supplying state-based data. However, CNN risks obscuring that conversation about what marriage is by framing the issue as measurable by an "LGBT rights calculator."

This writer is for equal rights for all Americans. But no one has the right to redefine marriage.

It's important to future generations that Americans understand what marriage is, why it matters, and the consequences of redefining it. The Supreme Court shouldn't truncate the debate and redefine marriage by judicial decree to include same-sex relationships.

So what about that release from the American Academy of Pediatrics? Two eminent political scientists, Leon Kass (a professor at University of Chicago) and Harvey Mansfield (a professor at Harvard), filed an amicus brief with the Supreme Court cautioning against accepting politicized science: "Claims that science provides support for constitutionalizing a right to same-sex marriage must necessarily rest on ideology. Ideology may be pervasive in the social sciences, especially when controversial policy issues are at stake, but ideology is not science."

Kass and Mansfield urge the court not to redefine marriage based on new, inconclusive research. The academic studies on same-sex parenting purporting to show "no differences" are, they argue, "subject to severe constraints arising from limited data" and a lack of "replicable experiments." The professors contend:

"Even if same-sex marriage and child rearing by same-sex couples were far more common than they now are, large amounts of data collected over decades would be required before any responsible researcher could make meaningful scientific estimates of the effects."

Although we still have much to learn about the impact of same-sex parenting, we do know quite a bit about marriage and child well-being. We have decades of rigorous social science data confirming that children do best with a married mother and father.

In another amicus brief submitted to the court, a group of social science professors explains:

"It is not simply the presence of two parents ... but the presence of two biological parents that seems to support children's development. ... Experts have long contended that both mothers and fathers make unique contributions to parenting."

Indeed, scholars have known this for quite some time. Professor David Popenoe of Rutgers University explains:

"We should disavow the notion that 'mommies can make good daddies,' just as we should disavow the popular notion ... that 'daddies can make good mommies.' ... The two sexes are different to the core, and each is necessary—culturally and biologically—for the optimal development of a human being."

These statistics have penetrated American life to such a great extent that President Barack Obama can refer to them as well understood:

"We know the statistics—that children who grow up without a father are five times more likely to live in poverty and commit crime; nine times more likely to drop out of schools and 20 times more likely to end up in prison. They are more likely to have behavioral problems, or run away from home, or become teenage parents themselves. And the foundations of our community are weaker because of it."

Fathers matter, and marriage helps to connect fathers to mothers and children.

But how can the law teach that fathers are essential if we redefine marriage to make fathers optional?

Redefining marriage denies the importance of mothers and fathers, and same-sex parenting arrangements, as the social science professors note, "by definition, exclude either a mother or a father." The concern is not whether same-sex couples can make "quality and successful efforts in raising children." The concern is that there "remain unique advantages to a parenting structure consisting of both a mother and a father, political interests notwithstanding."

Marriage policy should place the needs of children before the desires of adults. It should respect the rights of children to the care of the man and woman who created them as much as the rights of adults to live and love as they choose—which adults can do, without redefining marriage for the entire nation.

One thing CNN's calculator makes clear is that, wherever they live, Americans are in the middle of a national conversation about what marriage is, why it matters, and the consequences of redefining it.

The Supreme Court shouldn't make marriage policy for the entire nation. Rather than cut short democratic deliberation, the court should uphold the constitutional authority of citizens and their elected officials to make decisions about marriage.

The opinions expressed in this commentary are solely those of Ryan T. Anderson.

@highlight

Ryan Anderson: Some social scientists cite research to support same-sex marriage

@highlight

He says the studies don't support that conclusion about same-sex parenting

@highlight

It will take a long time to answer the question rigorously, he says

@highlight

Anderson: We do know that roles of father, mother are distinct and vital