(CNN) -- An extraordinary thing is about to happen in my native state. More than three decades of communism is about to fall -- not through revolution or bloodshed but by the sheer power of the ballot box.

Even as communism waned around the world with the disintegration of the Soviet empire, West Bengal's communists built up a political dynasty in India, winning seven consecutive state elections in the world's largest democracy.

But if election results to be announced Friday are as predicted, one of the world's little-known bastions of communism will be no more.

Exit polls this week confirmed what political analysts have been predicting for months. The Left Front, firmly entrenched in West Bengal since 1977, will go down in defeat to the populist Trinamool Congress.

People have descended on the state capital, Kolkata, this week to watch the retreat of the red tide, to document for themselves a pivotal moment of Bengali history.

Local media outlets reported record turnout in the state elections that were staggered over several weeks to ensure security and transparency. Word on the street from many who voted against the communists was this: We need change. We need it now.

Led by the former Railway Minister Mamata Banerjee, Trinamool won support as the champion of the poor and through its alliance with the Congress Party that rules India.

The fiery Banerjee, known affectionately as "Didi," the Bengali word for elder sister, has pledged to revive industry and agriculture in West Bengal, a state that has seen its economy plummet under the communists.

The communists rose to power on promises of land reform for the millions of the state's rural and impoverished residents.

"The Congress governments in the past were all urban oriented and connected with the landed gentry," said Shibashis Chatterjee, a professor of international relations at Kolkata's Jadavpur University. "The idea was to economically enfranchise the rural poor who had been long neglected in the past."

The ideology was appropriate for the time, when huge numbers of people were marginalized, Chatterjee said. The communists gave them hope for a new life.

But after three decades, many questioned the relevancy of their ideas in a modern, fast-growing India.

Critics accused West Bengal's Marxist leaders of corruption, cronyism and failing to deliver what they promised to the people.

"I watched the city of my childhood steadily go to ruin," said political scientist Sumit Ganguly. "Unions rose, industry fled, law and order deteriorated. It has a significant effect on my life and the lives of my family."

How much real change comes to the Indian state remains to be seen but one thing is for sure. Culturally, the end to a government dominated by the Communist Party of India (Marxist) is sure to be huge.

For decades, hammers and sickles have been plastered on buildings and billboards in Kolkata, where I was born. Workers were routinely called to my grandfather's house to remove the painted signage on our front wall calling for the people's support.

We drove down Karl Marx road and past Vladimir Lenin's statue. Fidel Castro was a hero. And in a snub to Americans, the street where the U.S. consulate stands was renamed Ho Chi Minh Street after the North Vietnamese leader.

We grew up with the power of labor unions and government employees who called bandhs, or strikes, that were frequent enough to paralyze the city, sometimes for days.

The juxtaposition of communist ideology and India's thriving democracy was difficult to reconcile at times.

"This is a real anachronism that the world has moved on but this peculiar form of communism still persists in a corner of India," said Ganguly, who holds a chair of Indian cultures and civilizations at Indiana University.

Perhaps even more so because it took hold in a corner of India that was known historically for its intellect, talent, skills. Bengal was the home for the Indian intelligentsia, the birthplace of Indian independence.

At one time, West Bengal was considered a leading state in India. Now, the state has lagged behind other places that were once less successful. Kolkata, the old capital of the British Raj, has faded into history. It is a dying, run-down city, likely loved solely by natives like myself.

Young people, including many of my relatives and friends, have fled in droves to seek jobs elsewhere in India.

"And here are some people clinging on to their ideas which have no significance almost anywhere in the modern world," Ganguly said of the communists. "Even Hugo Chavez (of Venezuela) is a populist."

For the younger Bengalis, some of whom have always lived under communism, enough was enough.

"The younger generations seem fed up," Chatterjee said. "They have no memories beyond the left to compare with."

But while many in West Bengal are eagerly anticipating the end of the Left Front, Chatterjee is not sure that communist ideology will vanish with the political loss of power. That is evident, perhaps, in the clout of groups like the Maosist rebels known as the Naxals, who have launched a violent insurgency in parts of India, including West Bengal.

As long as there are millions of poor in India's still burgeoning population, Chatterjee said, there will be room for the ideas of Karl Marx.

@highlight

CNN's Moni Basu writes as a native of West Bengal in India

@highlight

West Bengal's communists built a political dynasty in India in recent decades

@highlight

That may end when election results are announced Friday, Basu writes