(CNN)It was January 2014 and I was sitting on the beach in Malibu looking out at the seemingly endless Pacific Ocean, ebbing and flowing. I had just begun a personal project of challenging my lifelong assumption that God exists.

You see, I had been a Seventh-day Adventist pastor for 19 years. I resigned from my pastoral position the year before, but now I stepped away from my faith altogether. It was a gut-wrenching decision but I couldn't see any other way to find peace and clarity. I encountered major theological differences with my denomination and evangelical Christianity in general, including the way it marginalizes women and LGBT people.

I questioned the problem of evils and God's general silence and inactivity. I sought out more liberal theologies and found them to be the slow death of God. Now I had to face the very real possibility that God does not exist.

Would I discover that God was present and involved, or would I discover that the whole web of theological claims I had embraced and helped develop were false?

I was feeling small against the beautiful and terrifyingly indifferent sea before me. Then I started to feel grateful. "What are the chances that I would be sitting on this beach right now, looking at this remarkable scene of beauty?" I thought. I was struck again by how unlikely my existence is.

One question I've been repeatedly asked is how my life has any meaning without God. While I had heard dozens of Christian apologists claim that meaning cannot be found without God, I had a curious experience. My appreciation for life and its potential increased when I stepped away from my faith.

Atheists are often accused of being nihilists or absurdists. Absurdism is a school of thought arguing that humanity's effort to find inherent meaning in life is futile. Nihilism goes further and in doing so becomes a mood or a disposition as well as a philosophical frame of mind. Nihilism says that nothing matters at all.

"If there is no God, then man and the universe are doomed. Like prisoners condemned to death, we await our unavoidable execution. There is no God, and there is no immortality. And what is the consequence of this? It means that life itself is absurd. It means that the life we have is without ultimate significance, value, or purpose," writes William Lane Craig, a Christian apologist.

But my experience is that acknowledging the absence of God has helped me refocus on the wonderful and unlikely life I do have. This realization has increased my appreciation for beauty and given me a sense of immediacy about my life. As I come to terms with the fact that this life is the only one I get, I am more motivated than ever to make it count.

I want to experience as much happiness and pleasure as I can while helping others to attain their happiness. I construct meaning in my life from many sources, including love, family, friendships, service, learning and so on.

Popular Christian theology, on the other hand, renders this life less meaningful by anchoring all notions of value and purpose to a paradise somewhere in the future, in a place other than where we are right now. Ironically, my Christian upbringing taught me that ultimately this life doesn't matter, which tends to make believers apathetic about suffering and think that things will only get worse before God suddenly solves everything on the last day.

Behold, atheists' new Ten Commandments

It struck me this year that nihilism is a disease born of theism. Some people have been taught to expect meaning outside of this world beyond our earthly experiences. When they come upon the many absurdities of life and see that it's "not as advertised," an existential despair can take hold.

The problem is not solved by inventing a God in which to place all our hopes, but rather, to face life honestly and create beauty from the absurd.

Without dependency on a cosmic savior who is coming to rescue us, we are free to recognize that we are the ones we're waiting for. If we don't make the world a fair and habitable place, no one else is going to do it for us. Our lives matter because our choices affect others and our children's future.

Life does not need a divine source in order to be meaningful. Anyone who has seen a breathtaking sunset or fallen in love with another human being knows that we make meaning from the experiences of our lives; we construct it the way we construct any social narrative.

Free from false expectations we are free to create purpose, share love, and enjoy the endless beauty of our world. We are the fortunate ones. There is no need for fear to have the last word.

@highlight

Ryan Bell, former pastor turned atheist, says we don't need a divinity to find meaning

@highlight

Bell: The absence of God has made him appreciate life and its potential even more