(CNN) -- It's pretty rare for sitting presidents to visit Israel. Only four have done so since the state of Israel was created (Nixon, Carter, Clinton and George W. Bush).

So why is Barack Obama going? And why is this president -- so early in his second term -- reaching out to an Israeli prime minister with whom he has such a tense and dysfunctional relationship?

Indeed, given the personality and policy differences that separate Obama and Prime Minister Benjamin Netanyahu, why not let new Secretary of State John Kerry handle this file for a while?

Here's why Obama's going.

Clearing away old business

Four years in, the relationship between Obama and Netanyahu has become increasingly dysfunctional, and as leaders of close allies, they simply can't afford not to find a better way to communicate. It's also smart politics.

Whether Obama intends to push Netanyahu on peace process issues or pander to him, it's important to get the visit thing out of the way early in the second term. Obama went to Cairo, Egypt, and gave a big speech to bond with the Arabs and Muslims in his first term. That eventually proved to be more words than deeds. But warm words delivered with real empathy would soften Obama's image among many Israelis who see only his hard edge.

Go early with no expectations

It's much better to go quickly when there are no expectations that the presidential trip will produce dramatic deliverables than to wait and hope it will be easier to come up with results later. The longer Obama delays the greater the expectations and the less chance he'll have of producing anything.

Indeed, by folding Jordan and the West Bank into the agenda he makes a virtue out of a necessity. This is a chance for the president to survey the real estate, buck up King Abdullah II, do something for Palestinian Authority President Mahmoud Abbas, too, particularly at a time when his rival Hamas seems to be scoring gains.

And there's nothing wrong with reconfirming America's commitment to Israeli-Palestinian peace at a time when the focus has been on Syria, Egypt and Iran.

There's serious work to be done

Obama is confronting the prospects of two catastrophes on his watch -- seeing Iran go nuclear and the two-state solution to the Israeli-Palestinian conflict expire. Israel, and more importantly his relationship with Netanyahu, can play a key role in preventing those things from happening.

That Obama is coming to Bibi, particularly given the tension between them, offers Netanyahu -- who needs Obama, too, to deal with Iran -- a way to correct the course.

Indeed, the two must begin to test whether or not they can develop a strategic understanding of how to sequence and deal with Iran and the Palestinian issue. The fact is neither can accomplish their objectives without much closer cooperation.

Obama needs to reassure Netanyahu that if the Israelis give him time and space to pursue diplomacy with Iran and that talking fails, the United States will stop Iran from weaponizing with military force. In the interim, Obama needs to hear that Netanyahu won't complicate his life by pushing high-profile settlement activity and that Israel will agree to negotiate in good faith on some of the final status issues such as security and territory. In return, Obama will not press Netanyahu on the identity issues, Jerusalem and refugees for now.

Changing Obama's image

Obama is our first post-"Exodus" president. Leon Uris' 1958 novel, "Exodus," and the 1960 movie version were heroic portrayals of pre-state Israelis in the aftermath of the Nazi genocide confronting insensitive British and fanatic Arabs. Obama was 6 at the time of Israel's stunning victory in the 1967 war. He doesn't relate emotionally to the underdog tropes of Israel as the embattled nation, and grew up in an academic world where being supportive of Israel really wasn't all that important. Unlike the movie "Exodus," to Obama, the Israelis aren't the stalwart cowboys outgunned and outnumbered by the Palestinian Indians.

And unlike Bill Clinton or George W. Bush, Obama doesn't seem to relate intuitively to the idea of Israel but situates it far more along a national interest than a values continuum.

Obama doesn't always emote, but when he does, he can be very effective. His visit to Israel will give him an opportunity to show empathy in a powerful manner and help create a bond.

Obama will never be Clinton; he doesn't have to be. But he does need to demonstrate that he gets it -- that for all of Israel's formidable power and muscle and technological prowess, it's still a small country with a dark past living often on the knife's edge in a very rough neighborhood.

One visit won't a transformed relationship make.

But in the wake of last month's Israeli elections, where a centrist party became the Knesset's second-largest, Obama may find settlement activity somewhat restrained, with Israelis demonstrating some additional flexibility on the Palestinian issue, and perhaps an easing in some of his tensions with Netanyahu.

Let's hope so. The Obama-Bibi soap opera has gone on for too long. The soap opera needs to stop. Common sense and the vital national interests of both Israel and the United States, not to mention the peace and prosperity of a good part of the Middle East, depend upon it.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron David Miller: Barack Obama and Benjamin Netanyahu have a tense relationship

@highlight

Miller: It's smart for Obama to visit Israel now since there are less expectations

@highlight

He says the trip will give Obama a chance to show empathy for Israelis and help create a bond

@highlight

Miller: One trip won't be transformational, but it's a good start to tackling vital issues