(CNN) -- At least four former Marlboro Men, those rugged actors of the famous ad campaign, have died of smoking-related disease. The latest was Eric Lawson, who had chronic obstructive pulmonary disease caused by a three-pack-a-day habit. Lawson, the face of what became the best-selling brand of cigarettes, was felled by the lethal products he helped promote.

Years ago, he became a forceful voice for tobacco control, advising children not to smoke and working with organizations including the American Cancer Society to warn the public about the hazards of tobacco.

Lawson died a week before the release of a new Surgeon General's report showing that, despite decades of progress in reducing smoking rates and holding the tobacco industry responsible for its lies and deception, a tobacco epidemic still exists. About 44 million Americans still smoke, and one-third of all cancer deaths are caused by tobacco use. The report found that a staggering 6 million children alive today will die prematurely from tobacco use. It also found the list of harmful side effects and diseases tied to smoking is growing, including diabetes, erectile dysfunction and rheumatoid arthritis.

Fifty years ago this month, the first Surgeon General's Report on Smoking and Health proved that smoking causes lung cancer and heart disease. Former Surgeon General Luther Terry's landmark report launched a major transformation in the way people think about smoking and sparked a public health movement that has led to remarkable progress in the fight against tobacco use and the devastating death and disease that it causes.

When the first report was issued in 1964, the smoking rate in America was 42%. That figure has been cut by more than half, to 18% today, thanks in large part to proven tobacco control policies that discourage children and adults from smoking and protect nonsmokers from cigarette smoke.

Fifty years ago, passengers could smoke on commercial airplane flights, at work and in movie theaters. There were virtually no smoke-free restaurants. Today, smoking is prohibited on airplanes and in many airports, and nearly half the country's population is protected by smoke-free laws that cover all workplaces, including restaurants and bars. In 1964, a pack of cigarettes could cost as little as 28 cents. The average price today is roughly $6.03, an increase fueled in part by efforts to raise tobacco taxes as a proven way to discourage people from starting the deadly habit.

The tobacco industry spent decades lying to the public about the health effects of its products and waging sophisticated marketing campaigns targeting children and low-income populations. As late as 1996, more than three decades after the original Surgeon General's report, tobacco industry executives famously testified -- under oath -- that nicotine isn't addictive and smoking doesn't kill.

Then in 2006, a federal judge found the major cigarette companies guilty of intentionally defrauding smokers and potential smokers for financial gain. Because the evidence established that the industry was likely to engage in continued fraud, the judge ordered the large tobacco companies to make "corrective statements" admitting their wrongdoing.

The Department of Justice and the cigarette companies last month agreed on the details of an advertising campaign that the industry must fund to air the statements in the country's top-selling newspapers and on the major TV networks during prime time. The factual, blunt statements include "It's not easy to quit" and "Smoking kills, on average, 1,200 Americans. Every day." Fifty years after the country's top health official confirmed that smoking causes death, the industry will finally be compelled to level with the American people about the harm its products cause.

We have a long way to go to end suffering and death from tobacco use. Smoking will kill nearly half a million people in America this year and cost the country a staggering $130 billion in health care costs and lost productivity.

We must seize this moment in history to renew our national commitment to protecting public health by passing strong tobacco control laws. The most effective ways to help people quit smoking and keep children from starting the deadly habit are by consistently and significantly increasing tobacco taxes, passing comprehensive smoke-free laws that protect all workers from secondhand smoke and fully funding programs that help people quit tobacco and prevent others from starting. Lawmakers at all levels of government must make a priority of these policies to end death and suffering from tobacco use.

Without further action, tobacco use will remain the most preventable cause of death in this country, as it has been for more than half a century. For the sake of America's health, we can't afford to ignore this opportunity.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Fourth Marlboro Man dies from smoking; new report shows smoking still an epidemic

@highlight

44 million Americans smoke, and a third of all cancer deaths caused by tobacco use

@highlight

Writers: We've gone a long way but smoking will kill nearly half a million people in U.S. this year

@highlight

Tobacco use is the most preventable cause of death, and we need to redouble efforts