The United States is sending more troops to northern Iraq, a move that U.S. officials told CNN on Tuesday is necessary to help in the rescue of tens of thousands of Yazidis trapped in the mountains by extremists who have vowed to kill them.

About 130 Marines and special operations forces have been dispatched to Irbil, U.S. Secretary of Defense Chuck Hagel said, adding to the hundreds already in the country advising Iraqi troops in their fight against the Islamic State, formerly known as the Islamic State in Iraq and Syria.

"Very specifically, this is not a combat boots on the ground operation. We are not going to have that kind of operation," Hagel said during an address at Camp Pendleton, a Marine base in California.

"But short of that, there are some things we can continue to do and we are doing."

Word of the additional American support came as embattled Prime Minister Nuri al-Maliki ordered his troops to stay out of the political battle being waged in Baghdad, where he has vowed to hold on to power.

Al-Maliki has vowed to fight the nomination of Haider al-Abadi, a man who has the support of the United States and Iran. The new Prime Minister-designate is the deputy speaker of the Iraqi Parliament and a former aide to al-Maliki.

The United States hopes the designate will form a government quickly and build a united front against ISIS rebels, U.S. Secretary of State John Kerry said.

Helicopter crashes during Yazidi rescue

The political turmoil has been playing out against the backdrop of a growing humanitarian crisis, with hundreds of thousands of Iraq's minority ethnic and religious minorities -- Yazidis, Christians, Kurds and others -- fleeing ISIS fighters.

Nowhere is the crisis more evident than the Sinjar Mountains, where an estimated 40,000 minority Yazidis are hiding from the Sunni extremist fighters after fleeing their homes.

Yazidis are considered one of the world's smallest and oldest monotheistic religious minorities, a pre-Islamic sect based in Zoroastrianism that draws from Hinduism, Christianity and Judaism.

An Iraqi helicopter bringing aid to the group crashed after making its food and water drop and picking up roughly two dozen Yazidis.

The pilot died in the crash, but others survived, the Kurdistan Regional Government said. Kurdish rescue crews transported them to safety, bringing the injured to hospitals, the government said.

The military cited "technical failure" in the crash of the MI-17. Fuad Hussein, the Kurdish Regional Government's chief of staff, told CNN the crash appeared to have been caused by pilot error.

Survivors included a woman who has come to symbolize the struggles of Yazidis. Vian Dakhil, the only Yazidi in Parliament, made a heart-wrenching appeal to the Iraqi government last week for help in stopping the slaughter of her people.

New York Times journalist Alissa Rubin suffered "a concussion, at least one broken wrist and possibly some broken ribs but was conscious," The Times reported. Freelance photographer Adam Ferguson "said via cellphone text that he suffered a sore jaw and some minor bumps," the newspaper reported.

Three helicopters are being used by the Iraqi military to reach the desperate Yazidi families who fled to the mountains more than a week ago, Hussein said.

Yazidi plight

The plight of the Yazidis, coupled with the ISIS assault against Iraq's semiautonomous Kurdish region, prompted the United States to begin targeted airstrikes against ISIS.

Airstrikes in northern Iraq have helped Iraqi troops and the Kurdish fighting force, known as the peshmerga, to carry out the missions.

Until recently, the Kurdish region as considered the most stable in Iraq. The Kurds gained semiautonomous rule after the Iraq War.

The deployment of more U.S. military advisers to northern Iraq comes as the Obama administration is looking to boost the capabilities of Kurdish forces.

On Tuesday, the U.S. military carried out airstrikes against ISIS mortar positions north of Sinjar, the military's Central Command said. ISIS had been firing on Kurdish forces that were defending Yazidis who were trying to flee the area, Central Command said.

"ISIS has all sorts of sophisticated weapons," Hussein said.

ISIS, previously known as al Qaeda in Iraq, seized a large number of U.S.-made weapons and vehicles after Iraqi military units in Iraq's second largest city of Mosul abandoned their posts and fled ahead of the militant advance.

The group has tanks, armored vehicles, artillery and more, Hussein said.

"We need either the same kinds of weapons, or more sophisticated weapons, so that we can beat ISIS," he said.

Treacherous journey for Yazidis

If the United States participates in the evacuation of the Yazidis, it may have to work with a group it designated a terrorist organization -- the PKK, also known as Kurdistan Workers Party. The PKK launched a guerrilla war against neighboring Turkey nearly 30 years ago, with an initial goal of establishing an independent Kurdish state.

Hundreds of Yazidis managed to make it on foot down from Mount Sinjar, northward into Syria, in a region controlled by Kurds.

They managed to trek along the border to a crossing point back into Iraq, where a CNN crew saw a number of them arrive Tuesday.

"If you're running for your life, you'll do it. You have no other choice," one elderly man told CNN in describing how he made it with his wife, children and grandchildren.

A number of those who made the treacherous trek off the mountain told CNN that PKK fighters control parts of the mountain, and they fed and protected them from ISIS.

Aid organizations and representatives of the Kurdistan regional government met some of the arrivals with sandwiches and bottles of water.

A U.N. affiliate had buses transporting some people into town. But most of those arriving will have to figure out where to go on their own -- and some told CNN they planned to camp out along the river at the crossing point into Iraq.

While a humanitarian crisis played out in northern Iraq, a series of car bombs ripped through Baghdad.

At least 15 people were killed and dozens wounded in two car bombings, including one near a hospital in the city's Karrada district.

Dozens of angry residents took to the streets following the bombing, blaming Iraqi security forces for not doing enough to protect them, police officials told CNN.

The residents chased the security forces, who withdrew from the area, and then they tore down a security checkpoint, officials said.

@highlight

About 130 military U.S. advisers are being dispatched to Iraq, officials say

@highlight

The advisers will be made up of Marines and special operations forces

@highlight

"This is not a combat boots on the ground operation," defense secretary says

@highlight

Residents in Baghdad riot following car bomb explosion, police officials say