Jason Griffin straps his right arm in bandages, preparing himself to grip the reins of a wildly bucking bronco. Tall, broad-shouldered, with a rough beard, he steps into his cowboy boots, fits a Stetson hat and heads out to meet his mount in the rodeo arena.

Griffin is a four-time world champion bareback bucking horse rider -- competing in a sport that began in the 19th century heyday of the Wild West.

With each victory -- he has also won three all-round rodeo championships -- the Texan raises awareness of a strong tradition which is rarely seen in the many novels, films and television series dedicated to the tales of the old West: The historic story of America's black cowboys.

On cinema screens and paperback covers, the cowboys of old were heroic, hard-bitten and -- almost always -- white.

In reality, the American West of the 1800s was traversed by an assortment of black, white, Mexican and Native American cattle hands. Contemporary records are rare but historians now estimate that up to one in four Texan cowboys was African American, while the number of Mexican cowboys was even greater.

Watch online: the video trailer for the documentary "The Forgotten Cowboys"

John Ferguson and Gregg MacDonald's documentary film -- and multimedia project -- "The Forgotten Cowboys" follows Griffin and other contemporary black cowboys as they gain a following competing at rodeos and go about their working lives.

London-based photographer Ferguson first became interested in the group 10 years ago while watching a news report in New York about local black cowboys holding a parade. His interest was immediately piqued: "It's really nice to find something that's new, isn't it?  They have been around for hundreds of years, but history has forgotten about them."

Read related: 'Texas in Queens': Junior wranglers find refuge with black cowboys

During the 17th and 18th century, many slaves were displaced from areas of Western Africa where cattle herding cultures -- as depicted in 4,000 year old cave paintings at Tassili n'Ajjer, in the south of modern-day Algeria -- had existed for millennia.

But historians say that those who became cowboys in the 19th century joined a new cultural tradition -- developed in the company of their European and Native American counterparts -- with different breeds of cattle and new techniques.

Life for a black cowboy was tough, explains Michael Searles, Emeritus Assistant Professor of History at Augusta State University, who has edited an anthology of writing on the subject.

"Black cowboys were sometimes expected to do ... more than their white counterpart -- in other words, some of the roughest work."

"Breaking of stock (taming horses) and getting horses ready to ride each morning was often the work of the black cowboy -- where there were black cowboys -- and when they had to cross a swollen river to move cattle ... black cowboys were the first to cross that river."

Searles -- known to his students as Cowboy Mike -- lectures in a check shirt, bandana and ten gallon hat. He explains that life as a cowboy was still preferable to other roles given to slaves and, later, free African Americans in the South, such as picking cotton on a plantation.

"Many black cowboys, when they were slaves, weren't treated as you'd think a traditional slave would be treated, because a cowboy needed a lot more independence," said Searles.

In America: Top-ranked polo players hail from Philadelphia's inner city

Even after the abolition of slavery, prejudice and discrimination were still common -- but black cowboys could expect a better relationship with white Americans than many.

Ferguson talks about a "cowboy code" of equal responsibility, teamwork and mutual protection binding today's cowboys and their black and white ancestors. Mike agrees that a kind of loyalty developed between cowboys of different races -- but suggests that cowboys were initially united by necessity.

"If you've got nine or 10 cowboys on a cattle drive, you are interdependent with the folk who are riding with you -- they can either save your life or they can let you die.

"There are times when you really need the assistance of another cowboy. That was not the place to be too prejudiced or too hostile to the cowboy riding next to you," says Ferguson, the filmmaker.

Asked how the image of the black cowboy disappeared from popular culture, Ferguson points the finger at the Western movie business of the mid-20th century.

"Hollywood played a major part in dismissing the role of black cowboys. In 99% of Western cowboy films, there is no black cowboy."

"America was a divided country -- segregation -- Hollywood played their part down. Compare Clint Eastwood or John Wayne to the black cowboys. It just doesn't fit the image. Black cowboy. A hero."

@highlight

Photographer John Ferguson documents the lives of modern-day black cowboys

@highlight

Historians now estimate up to one in four cowboys in Old West were African-American

@highlight

Historian: The black cowboy played a crucial role in taming the American West

@highlight

Were cattle-herding slaves labelled "cow-boys" where the term originated?