(CNN) -- Hope is a wonderful thing when it spurs struggling people to aspire to better circumstances and a more promising future, lifting communities out of poverty. But combined with misinformation, opportunistic politics and outright fraud, hope can be one of the cruelest harbingers of misery. And this is the role of hope on the border these days.

What is drawing thousands of children to America's doorstep unaccompanied by their parents, aunts, uncles or anyone else they know is hope. What is prompting their loving families to send them on perilous, expensive journeys over hundreds of miles in the hands of strange men is hope.

But what is awaiting them is confusion, conflict and despair.

So how did this strange confluence of expectations and suffering begin? And what is going to happen now? Here, in a series of short questions, is how this witch's brew was mixed.

Fast facts: Immigration

1. What is happening on the border?

In simple terms, a flood of children has been pouring across the 1,900 mile United States border with Mexico, children who are accompanied by neither their parents nor proper documentation for immigration. The primary problem is the sheer volume. In a normal year, immigration authorities would expect to apprehend and process about 8,000 undocumented children, according to federal officials. This year that number has soared to almost 60,000, with children ranging from very young to teenagers. By the time the year is over, officials expect 90,000 unaccompanied minors will have trekked into the United States. That's more than enough to fill the Dallas Cowboys stadium. No one knows what next year will bring, but some estimates suggest it will be even worse if nothing can be done to stem the flow. That explosive growth in the caseload has overwhelmed holding facilities, case investigators, and most importantly the immigration courts that must decide what happens with these children.

5 things to know about immigration

2. Why kids?

Because parents in some Central American countries believe if their children can get to America, they will be given citizenship.

Communities protest surge of kids

3. Where did they get that idea?

From President Obama, to hear Republicans (and some Democrats) tell it. They say he has sent mixed messages about how undocumented immigrants will be treated. Although his administration has thrown out so many people for illegal entry that he is known in some Latino communities as the Deporter-in-Chief, he has also told Homeland Security to exercise "discretion" in terms of deporting young people. This was the White House response after Congress failed to pass the so called Dream Act, which would have allowed many children to stay who were brought here illegally by their parents and who frankly had little or no knowledge of their "home" countries. In any event, critics believe the President's actions launched a subtle message south of the border: Send your kids and we'll let them stay.

4. What else could explain the problem?

President Bush. In 2008, just before he left office, he signed a law to protect children from human trafficking, from being sold into the sex trade or domestic servitude. The law stipulates that children who are caught in the United States illegally and who come from countries other than Mexico and Canada should get full hearings on their status. To wit: They can argue for asylum instead of being immediately deported. That's why the current border rush is being principally driven by children from El Salvador, Guatemala and Honduras. Those children qualify for this treatment. The catch? The courts that hold the hearings are so backed up that this process can last years, during which time these children can attend school, live in the United States with relatives or family friends, eat at McDonald's and generally enjoy a full, American lifestyle.

What's the difference between immigrant and refugee?

5. So between Bush and Obama, does that pretty much cover the cause for all this?

No. Severe problems of poverty, gangs and crime have made more families in El Salvador, Guatemala and Honduras desperate to get their children to a better place. All three nations have beautiful scenery, lovely people and stratospheric crime rates. The Honduran city of San Pedro Sula is arguably the single most likely place on the planet for a person to be murdered, higher than many U.S. cities including Chicago, Detroit, New York or Philadelphia. All indications are that smugglers, who can charge thousands of dollars to transport a young person to the United States, are more than happy to fan the flames of hope by suggesting such schemes to escape these dangerous places really will work.

6. Will they?

Strangely enough, maybe. Some unknown percentage of these children will probably successfully argue for asylum. But beyond that, the politics make it all murky. The President's team does not want to appear heartless, especially with children involved. Simultaneously, they don't want it to look like they were illegally "played" for citizenship. They are in a tough spot, and Republican critics are making it tougher because that's what opponents do in Washington. Who will win and what that will mean to the fate of the children is anyone's guess.

7. So what's happening now?

The President has asked Congress for $3.7 billion to set up new places to hold all these children, to speed up the processing of their cases, and to strengthen the border against new arrivals. Republicans want a cheaper program that includes even more dramatic streamlining of the deportation process and even more robust border protection measures. People on both sides of the political debate say emphatically that the well-being of these children must be taken very seriously. But beyond that, the situation is still a mess and there is not yet any agreement about what to do next.

And still the kids keep coming, across the rivers, over the mountains, through the deserts, with little more than their family's hopes in hand.

Immigration crisis is a political conundrum

Share your immigration stories

@highlight

Flood of children pouring across U.S.-Mexico border

@highlight

Many parents believe their kids will get citizenship if they make it to America

@highlight

Some blame Obama, others point to Bush for increase in children crossing border