(CNN) -- You've probably never heard of the race, but there's no doubt you'd appreciate the action. The athletic skill and white-knuckled bravery possessed by Green River Narrows whitewater kayak racers can only be described as impressive.

Over the race's 15-year history, 412 professional and expert whitewater kayakers of the highest caliber have traveled from around the globe to participate in the event near Hendersonville, North Carolina. They race not for money or corporate sponsorship but for bragging rights.

The race begins each year at noon on the first Saturday in November. Organizers estimate that between 140 and 150 racers will compete this Saturday. An estimated 1,000 like-minded river-loving enthusiasts will be on hand to watch.

(CNN Photos: See images from the 2010 race)

Organization of race logistics and details is homegrown; there are no emergency medical services available, and the entire affair is basically DIY. Close relationships between organizers and paddlers and the informal setup contribute to the race's revered reputation among paddlers.

The first race, organized by local kayaker Leland Davis, was held in 1996, with only 16 kayakers participating. That number has grown immensely, with 136 racers competing in 2010.

The most unique element of the Green River race is the great sense of brotherhood and friendship amongst racers, organizer John Grace said.

"Everyone who races the Green is friends for life, because of the shared experience," Grace said. "The Green race mixes danger and extreme with just enough safety."

The perception of "just enough safety" undoubtedly depends on a paddler's risk threshold. The race's course drops roughly 250 feet over six-10ths of a mile. This is squarely Class V whitewater territory, defined by the International Scale of River Difficulty as "Extremely Difficult" or "Expert."

Liability waivers must be signed, and a line from this year's Acknowledgment of Risk section of the registration website illustrates the dangers:

"Racing the Narrows is exceedingly dangerous. Doing so entails known and unanticipated risks, which could result in physical or emotional injury, paralysis and death," the site reads.

"This is not theoretical: several boaters have died running the Narrows and another has been paralyzed from the upper body down for life. Accidents resulting in dislocated shoulders, deep lacerations and extensive dental work are common. Please do not take your decision to race lightly."

In October 2010, first-time participant Jiri Vala traveled from his home in Atlanta to the Green River Gorge, just east of Hendersonville, on weekends to test himself on the Green's unique rapids and river features ahead of the race.

"As a first-time racer, I just want to get through. I want to have a clean run, hopefully a fast one, and keep my heart from exploding," Vala said in anticipation of the race. (Watch the video to see how his run in last year's race turned out.)

Vala will run the Green again this year. "After last year, I'm totally hooked."

But he hasn't had much time to train for his second run. "My training has consisted of sitting at my desk in kayaking position for 10 hours a day. Because, as we all know, sitting is the foundation of kayaking technique," Vala said.

Beyond actual participation, just being on hand to watch the race is a test of physical stamina. Spectators' arrival on the steep and rocky banks that hang over the swift water is preceded by a two-mile hike, a seemingly vertical descent into the river gorge and a final trek upstream that is more of a climb than a straightforward walk. If you want to experience the race, you're going to work.

Most race enthusiasts perch themselves on a slippery outcropping above an 18-foot waterfall, a raging inferno of water affectionately dubbed "Gorilla." The water above Gorilla flows with immense power through a narrow slot that racers call "the notch."

The notch is roughly 6 feet wide and is notoriously the most dangerous spot on the river. It is through this obstacle that racers must pass and quickly set up to drop over Gorilla. This is where much of the race's carnage and therefore entertaining action occurs, so onlookers perch here, anxiously anticipating the racers' miscalculations and unfortunate binds.

As racers pass through "the notch," they often flip or find themselves out of control as they head for the lip of Gorilla. This can result in a backward tumble or worse: an upside-down fall over an 18-foot waterfall with a shallow shelf of rock just below.

In addition to bragging rights, race winners come away with handmade glass trophies. But it's the daring required to participate that earns Green River Narrows Race competitors a badge of honor in boating circles.

@highlight

Green River Narrows kayak racers brave Class V whitewater

@highlight

The homegrown race has grown from 16 participants in 1996 to about 140

@highlight

In the most dramatic stretch, there's a drop over an 18-foot waterfall