The federal government has concluded there's a new leaker exposing national security documents in the aftermath of surveillance disclosures by former NSA contractor Edward Snowden, U.S. officials tell CNN.

Proof of the newest leak comes from national security documents that formed the basis of a news story published Tuesday by the Intercept, the news site launched by Glenn Greenwald, who also published Snowden's leaks.

NSA leaker Edward Snowden asks to extend Russia asylum

The Intercept article focuses on the growth in U.S. government databases of known or suspected terrorist names during the Obama administration.

The article cites documents prepared by the National Counterterrorism Center dated August 2013, which is after Snowden left the United States to avoid criminal charges.

Greenwald has suggested there was another leaker. In July, he said on Twitter "it seems clear at this point" that there was another.

Government officials have been investigating to find out that identity.

In a February interview with CNN's Reliable Sources, Greenwald said: "I definitely think it's fair to say that there are people who have been inspired by Edward Snowden's courage and by the great good and virtue that it has achieved."

He added, "I have no doubt there will be other sources inside the government who see extreme wrongdoing who are inspired by Edward Snowden."

It's not yet clear how many documents the new leaker has shared and how much damage it may cause.

So far, the documents shared by the new leaker are labeled "Secret" and "NOFORN," which means it isn't to be shared with foreign government.

That's a lower level of classification than most of the documents leaked by Snowden.

Government officials say he stole 1.7 million classified documents, many of which were labeled "Top Secret," a higher classification for the government's most important secrets.

Big databases

The biggest database, called the Terrorist Identities Datamart Environment, now has 1 million names, a U.S. official confirmed to CNN.

That's boosted from half that many in the aftermath of the botched attempt by the so-called underwear bomber to blow up a U.S.-bound jetliner on Christmas Day in 2009.

The growth of TIDE, and other more specialized terrorist databases and watchlists, was a result of vulnerabilities exposed in the 2009 underwear plot, government officials said.

A year after Snowden

The underwear bomber, Umar Farouk Abdulmuttalab, was not on government watchlists that would have prevented him from being allowed to fly to the United States.

In 2012, the National Counterterrorism Center reported that the TIDE database contained 875,000 names. There were about 500,000 in 2009 before the underwear bomb plot.

The Intercept first reported the new TIDE database numbers, along with details of other databases.

The Intercept article

As of November, 2013, there were 700,000 people listed in the Terrorist Screening Database (TSDB), or the "Terrorist Watchlist, according to a U.S. official. Fewer than 1% are U.S. persons and fewer than 0.5% are U.S. citizens.

The list has grown somewhat since that time, but is nowhere near the 1.5 million figure cited in recent news reports.  Current numbers for the TSDB cannot be released at this time.

The Intercept report said, citing the documents, that 40% on the "Terrorist Watchlist" aren't affiliated with terror groups.

U.S. officials familiar with the matter say the claim is incorrect based on a misreading of the documents.

Americans on lists

The report said that as of August, 2013, 5,000 Americans were on the TSD watchlist. Another 15,800 were on the wider TIDE list.

A smaller subset, 16,000 names, including 1,200 belonging to Americans, are listed as "selectees" who are subject to more intensive screening at airports and border crossings.

According to the Intercept, citing the documents, the cities with the most names on the list are: New York, Dearborn, Michigan; Houston; San Diego; and Chicago. Dearborn is home to one the nation's biggest concentrations of Arab and Muslim populations.

According to the documents cited by the Intercept, the government has also begun a new effort to collect information and biometric data on U.S. persons in the aftermath of the 2013 Boston Marathon bombings.

The data includes photos from driver's licenses. That effort likely was spurred by the fact that FBI agents investigating the Boston bombings found existing databases lacking when they tried to match images of the two bombers isolated from surveillance video, according to U.S. officials familiar with the matter.

Stored on Pentagon system

Documents classified as "Secret" are stored on a Pentagon-operated computer system called SIPRNet, which the Defense and State departments use to share classified information.

A recent Government Accountability Office study found that between 2006-2011 there were 3.2 million approved by the Pentagon to handle secret, top secret, SCI (sensitive compartmented) information.

SIPRnet is one of the computer systems that the former Army soldier now known as Chelsea Manning accessed to leak hundreds of thousands documents, including State Department cables.

The Manning leak was the largest U.S. intelligence leak until Snowden.

Obama, Congress working on changes to NSA

Opinion: NSA and your phone records: What should Obama do?

Review board finds potential abuses in NSA phone, internet surveillance

@highlight

FIRST ON CNN: New documents formed the basis of story on news site, Intercept

@highlight

The site is run by Glenn Greenwald, who published leaks by Edward Snowden

@highlight

Article focuses on the growth of names on terror databases during the Obama administration