(CNN) -- The seizure of Crimea has boosted the domestic popularity of Russian President Vladimir Putin to an unprecedented 82%. In the long run, however, the invasion could be the death knell of the Putin regime.

Starting a war to solve a domestic problem is now a Russian tradition. The first and second Chechen wars had political motives. Both were intended to distract attention from the consequences of privatization, and the second brought Putin to power. The 2008 invasion of Georgia sharply increased the popularity of Dmitry Medvedev, who was filling in as president for Putin.

The earlier acts of aggression, however, did not evoke a strong international response. This time, Russia faces full-scale war if it invades eastern Ukraine and, at the very least, sanctions if it does not withdraw from Crimea. It is ill-equipped to handle either of these challenges.

Putin has used rhetoric reminiscent of Adolf Hitler in the 1930s, insisting in his speech on March 18 that "Russia was not simply robbed, it was plundered" and denouncing "national traitors." The regime he heads, however, is tied to the West inextricably.

Russia's wealthy, who are dependent on connections to the regime, keep their money, families and assets abroad. They avoid Russian taxes with the help of businesses registered in offshore zones and acquire foreign passports and buy private planes in part so that they can leave Russia quickly and discreetly if that becomes necessary. One foreign lawyer in Moscow with experience of the elite told me, "Their lack of patriotism is astounding."

Russia's businessmen depend on the West because the lawlessness inside Russia allows for assets to be seized by anyone who has political power. Large companies can be seized by state enterprises and small and medium-sized companies by persons connected to the security services.

Businessmen make far more money than they could in a comparable situation in the West because most significant Russian businesses are protected monopolies. The ability to dispense with competition, however, is the result of political patronage that can be affected by the slightest change in the balance of power.

Under these circumstances, Russia's businessmen do not keep capital in Russia and panic at the slightest threat. Western sanctions against Russian were relatively tepid, but for the Russian elite, the precedent was unnerving. Capital flight, which had been running at about $8 billion a month, is now expected to amount to $70 billion for the first quarter.

The conditions in Russia also undermine the ties to their country of persons who are not rich. According to a poll by the Levada Center in 2013, nearly half of all Russian students said that they wanted to emigrate.

"Everyone feels slightly handicapped," said Yelena Panfilov, the head of Transparency International. "You cannot do what you want, invest where you want, say what you want. A journalist cannot write what he wants. Everywhere, there is the need for political protection and the necessity of being subject to control. The more capable a person, the more he chafes under the restrictions."

So far, Russians have not paid a price for their government's acts of aggression. The fall in the value of the ruble and the reduction in the real income of the population began this year independent of the events in Crimea. But these tendencies are now set to continue and accelerate. This is a potential threat to Putin's political base. Since the beginning of the year, the cost of food products in Russia has risen by 25%.

The impending economic crisis will be explained to the Russian population as the result of foreign sabotage. The propaganda in the official press that equates the Ukrainians with Nazis and treats the West as aggressors has been accompanied by the blocking of the critical websites grani.ru, yezhednevny zhurnal.ru and kasparov.ru and actions against the radio station Ekho Moskvy and the Internet television station TV Rain.

Putin will seek to unite the country around him and in opposition to the outside world, as was done in the Soviet Union during the 1930s. Russia today, however, is nowhere near as isolated as the totalitarian Soviet Union, and Russians have much less to believe in.

The educated part of the population will not be impressed by the increasingly grotesque distortions of official propaganda. At the same time, average citizens, witnessing the fall in their living standard and the likely increase in the corrupt machinations of those with connections to power, may finally realize that the anti-criminal revolution in Ukraine has relevance for their future, too.

'The hordes are coming': Ukrainians fear Russian invasion in northeast

White House: Putin, Obama discuss possible 'diplomatic solution' in Ukraine

Does Obama really understand Putin?

@highlight

President Vladimir Putin's domestic popularity has been boosted, writes David Satter

@highlight

Starting a war to solve a domestic problem is now a Russian tradition, he says

@highlight

Satter: Russia's businessmen depend on the West because of lawlessness in Russia

@highlight

The impending economic crisis is a potential threat to Putin's political base, he writes