Rason, North Korea (CNN) -- When Bernt Johansson crossed the mountainous countryside of North Korea into the city of Rason, the crowds there reminded the Swedish biker of the adulation that greeted his 1976 Olympic gold finish in Montreal.

"Street after street was packed with people. When I waved, they cheered. And when I waved with both hands they cheered even more," he said. "It was fantastic."

North Korea is famous for many things -- allegations of human rights violations and nuclear missile threats for a start -- but not for co-hosting international sporting events.

But when some 40 Western cyclists from seven countries crossed the Tumen River between China and North Korea early Monday morning, it was the first time that a bicycle race -- or any sports event -- had started in China and finished in North Korea, according to event organizers and local officials.

Only a few months ago North Korean leader Kim Jong-Un threatened to attack both the United States and South Korea and told foreign embassies in Pyongyang to consider evacuating staff. Now, Seoul and Pyongyang have moved to ease tensions.

At a wrestling competition earlier this month in North Korea, the South Korean national anthem was played and its flag raised for the first time since the division of the two countries. Last week, the joint industrial park in Kaesong -- one of the key symbols of cooperation between North and South Korea -- reopened after a five-month hiatus.

The North Korean government also revealed plans last month to develop its tourism sector, starting direct flights to Pyongyang from China, Southeast Asia and Europe, according to North Korean state media Korean Central News Agency (KCNA).

"The North Korean government is clearly on a charm and smile offensive. They are being nicer to the outside world," said Professor Brian Bridges of the Lingnan University in Hong Kong "We see a change of leadership style from the young leader, although we still haven't seen any change in economic policies or political reforms."

Monday's event, officially named "Nordic Ways Vasa China - DPRKorea International Cycling Tourism Festival," was a non-timed 50-kilometer race that was part of a larger bicycle competition in the Jilin province, northeast China. Nordic Ways, a Swedish company that promotes Nordic-style sports in China, organized the race.

"We've been negotiating with the Chinese and North Koreans for more than a year," said Gåvert Wååg, chairman of Nordic Ways. "With sport we build bridges and break boundaries. This gives North Korea a window to the West."

After leaving Chinese territory on Monday, the cyclists were bussed to the North Korean side of the river and then instructed to lead the bikes back to the middle of the bridge to re-start. While the cyclists were good humored, edgy border guards, guides and government officials carefully monitored their every move ahead of the mass start.

The North Korean path was a demanding track, many bikers said, yet stunningly beautiful. Steep serpentine roads took the riders up to high peaks, offering breathtaking views of the scenic countryside with its widespread cornfields, pine trees and small villages. Peasants and villagers stood by the road. Some clapped, while curious children stood watching wide-eyed in amazement at the spectacle. Police officers posted alongside the roads occasionally gave a discreet nod as bikers passed.

However, it was when the riders rolled into the city of Rason that the real magnitude of the event came into view. The streets were lined with thousands of cheering spectators, waving flags and taking photos with mobile phones. In buildings people were leaning out of windows or standing at balconies to get a glimpse of the Western cyclists, with state media following their every move.

"I've never experienced anything like this before," said 47-year-old Mike Evans from London after passing the finishing line. "And I will probably never experience anything like it again."

Thirty-seven-year-old Brit Helen Simmenes from Norway said it was "just wild" and the greatest day in her life as a cyclist.

It was also a big day for North Koreans. During the welcoming and prize ceremonies, high-ranking politicians praised international friendship and the development of economic cooperation with North Korea and the Rason Special Economic Zone.

"You who have participated in this international cycling tourism festival held in Rason city for friendship and development of relationship of economy and cooperation, (and you) will be able to see the beautiful view of Rason City which is developing to a world-class economic and trade city," Chon Dong Chol, head of the Rason tourism bureau, told the racers after the finish. "You should be proud of yourself that you are the first foreign tourists who have visited northern seaside of the Democratic Peoples' Republic of Korea, the land of morning calm, by bicycle."

The entire event was steeped in propaganda. After the race, the bikers were entertained by a dance performance of little children with songs hailing the "Great" and "Dear Leaders" Kim Il Sung and his son, Kim Jong-Il. That was followed to a visit to a greenhouse full of flowers named after Kim Jong-Il and a foreign-language bookstore filled with tomes dedicated to the Kim dynasty.

The day ended with a lavish dinner party at Rason's top hotel with plenty of boozing and singing. Although the participants were told to keep their opinions about the North Korean regime to themselves, many of the bikers quietly expressed reservations about the bizarre fact that starvation and labor camps were not far away from their oversized dinner tables. But unease about joining the event was tempered by the idea that "something good may come from it," one biker said.

But the signals being sent by North Korea on the international stage remained mixed. Pyongyang rescinded an invitation last month to a U.S. envoy to discuss American prisoner Kenneth Bae. Planned reunions of North and South Korean families were recently canceled. And satellite images of North Korea's Yongbyon nuclear facility last month have again raised questions about whether the country has restarted its plutonium production reactor, which Western experts see as a key component in the development of a nuclear weapon.

"Unfortunately, what good comes out of these quiet and informal contacts could easily be erased as soon as North Korea starts threatening to shoot missiles again," Professor Bridges said.

@highlight

Earlier this week, Western cyclists raced from China across the North Korean border

@highlight

Thousands of spectators at the North Korean finish line greeted the 40 cyclists

@highlight

Comes as Pyongyang gives mixed signals of rapprochement and renewed rancor

@highlight

Analyst: "The North Korean government is clearly on a charm and smile offensive"