Deep inside Jwaneng, the world's richest diamond mine in southern Botswana, Tshepo Kgomokhumo drives his massive truck through piles of rocks forming a lunar-like landscape.

His job is to ferry away ton after ton of unwanted rocks while a small army of bulldozers near him tears into the earth's crust in search of the precious stones.

"I'm a soldier for my country," Kgomokhumo says. For him, as well as many others in this small, arid country, diamonds are a source of both income and pride.

The economy of Botswana, a landlocked country in southern Africa, has been transformed by diamonds. Since their discovery in late 1960s, the development of the country has been built on the gems buried deep in its soil.

In 1969, the Botswana government signed a 50/50 deal with global diamond giant De Beers to explore and mine all of the country's diamonds. The partnership, called 'Debswana,' has helped turn Botswana  into one of Africa's most prosperous countries, boasting today a robust economy and one of the highest per capita incomes on the continent.

The state mines the country's riches as an owner, getting a share of the profit in addition to just collecting taxes and royalties like many other mineral-rich African governments.

This unique arrangement has allowed Botswana to make significant investments in education and health care, officials say.

"Since we partnered with De Beers, we have a lot to show from any community development standpoint," says Bank of Botswana governor Linah Mohohlo. She notes that this model can be emulated in other parts of the continent.

"If you were to replicate what we do in Botswana in other African countries, I have no doubt in my mind that there could be meaningful gains."

Watch: Inside Zimbabwe's diamond industry

And now, Botswana's diamond industry looks set to get a further boost after De Beers announced last year its decision to shift its rough diamond trading operation from London to Gaborone, the Botswana capital.

The company says it expects the move to bring an extra $6 billion of diamond sales into the country. A new head office is also under construction while 80 staff members will be relocated from Europe to Africa.

Watch: High-tech scanning machines safeguard diamonds

Kago Mmopi, of the Diamond Trading Corporation, says the sales agreement will set up Botswana as one of the world's key diamond centers.

"These diamonds are basically your top-of-the-range kind of diamonds," he says. "These are gem diamonds, they will certainly go for jewelry."

Read more: Botswana's fearless legal eagle fights male bias

Those close to the deal say the impact of the De Beers move will be felt in many other ways too. Some international banks, which finance the diamond industry, have applied for banking licenses, says the government.

Mohohlo notes that that extra $6 billion flowing through the country's banking system is the "most significant" offshoot of the deal.

"I was engaged in those negotiations and they were hard, long and daunting," she says. "When you have partners, you can't always agree. But it is important that ultimately we agreed on what we believe serves both interests."

Officials also hope that more people in the country will now be trained and employed in the diamond industry -- 'Debswana' is already  Botswana's biggest  private employer. It is also expected that a growing number of companies will seek to set up shop in the country to have direct access to its rough gems.

Yet, authorities are quick to point out that the country cannot rely solely on the precious stones, especially as diamond sales have been hard-hit in recent times amid the financial crisis.

Read more: Botswana's heavy metal heads

"That is obviously a worrying phenomenon," says says Ponatshego Kedikilwe, the country's minerals minister. "The dependence on diamonds only has been given us sleepless nights, whether it's in terms of revenue, foreign exchange or taxes and the budget."

Mohohlo adds that the government is aware that diamonds are exhaustible and non-renewable. "Therefore we have to continue to ensure that the benefits deriving from them are there for everybody to see," she says.

For now, though, Botswana's economic future is linked to the precious stones still buried in the soil.

The diamonds allure is enduring as people still consume them faster than they are being mined. And a growing gap between supply and demand will, for now, keep prices high.

@highlight

De Beers is moving its rough diamond trading operation to Botswana

@highlight

The move is expected to boost the country's booming diamond industry

@highlight

Diamonds have helped turn Botswana into one of Africa's most prosperous countries

@highlight

Officials say they are aware that diamonds are exhaustible