BOSTON, Massachusetts (CNN)  -- Timothy Connick was in agony for six years. In bed at night, it felt as if a pair of scissors was sticking out of his foot. "I turn over, and it's just like they're getting jammed in more."

Timothy Connick got relief from chronic pain through a peripheral nerve stimulator implanted above his hip.

Connick, 52 from Lynn, Massachusetts, injured his foot falling from a loading dock at work 11 years ago. "I fell about seven feet onto the concrete and smashed my heel. It started hurting that moment and kept hurting for six years after that."

Connick is among millions. As many as one in three American adults suffer from chronic pain, according to the American Chronic Pain Association.

The organization defines chronic pain as "pain that continues a month or more beyond the usual recovery period for an injury or illness or that goes on for months or years because of a chronic condition."  It's usually not constant, the group says, but can disrupt the sufferer's life.

Over the years, Connick consulted multiple doctors and tried two dozen medications for pain management, but nothing eased the pain and the resulting depression. "It was pretty much a no-win situation as long as that pain was going to be there," he recalls.

He was eventually referred to neurologist Anne Louise Oaklander, director of the nerve injury unit at Massachusetts General Hospital in Boston. "Pain is the No. 1 reason why patients seek medical care, but until recently it hasn't been part of the medical school curriculum," she says. "Many physicians and nurses feel uncomfortable and unqualified to treat these patients."

Oaklander sees many patients whom she describes as "bouncing around the health care system" for years with no firm diagnosis. She divides chronic pain sufferers into two groups. "One is the group that has an ongoing cause of their pain," she says. "The classic example of that is patients with arthritis. They have pain in their joints every day." Much more difficult, she says, is the second group: "Patients who have chronic pain without an obvious cause of tissue injury."

Connick falls in the second category, Oaklander says, noting that X-rays show broken bones, but not nerve damage. "It was only many years later when he was examined by a neurologist that his underlying nerve injury was identified and able to be treated," she said.  Health Minute: The struggle of managing chronic pain »

Oaklander says pain medications can help most patients, but there are other options. For instance, she says, if the pain is related to an orthopedic problem, physical therapy may be the best choice.

In Connick's case, relief came through surgery to implant a peripheral nerve stimulator above his hip. Based on pacemaker technology, the stimulator is placed under the skin and works by giving off benign pulses that override pain signals to the brain, Oaklander explains.

She cautions that minor surgery is involved, and the device works in only about half the patients who get it.

For Connick, it made all the difference. "The day they put it in and I turned it on, I was up seven flights of stairs before they stopped me. Everything that I hadn't been able to do and everything that made me happy was back available to me again and I knew it right away."

These days, Connick is back at work loading trucks. He's on his feet all day and doesn't complain about any pain.

Oaklander concludes: "If you have chronic pain, don't take no for an answer....I think it's important for chronic pain patients to keep a sense of purpose, optimism and hope despite the indignities that many are subjected to." E-mail to a friend

Judy Fortin is a correspondent with CNN Medical News. Linda Ciampa of Accent Health contributed to this report.

@highlight

As many as one in three American adults suffer from chronic pain

@highlight

Chronic pain continues a month or more beyond usual recovery period

@highlight

Expert: Pain is the top reason patients seek medical care