Atlanta (CNN) -- It began with scant details released by the military about a heinous allegation: A soldier slipped away from a remote outpost in southern Afghanistan and went on a shooting rampage at nearby villages that left 17 people dead.

The questions were immediate: What was his name? What was he doing at the outpost? Where did the military take him?

The answers from the American military were slower in coming, and the dearth of information fueled angry accusations by Afghans of a cover-up, with President Hamid Karzai at one point accusing the U.S. military of withholding details and refusing to cooperate with Afghan investigators.

"The U.S. military justice system is unfamiliar territory to most Americans. So we should be hardly surprised that Afghans view it with skepticism," said Eugene Fidell, a former judge advocate who teaches military justice at Yale Law School.

Part of the issue is differing cultural and social practices.

But the larger problem, Fidell and other legal experts say, is perceived missteps in a number of high-profile war crimes cases and the closed culture of the military itself have led to a lack of confidence -- whether justified or not -- in the military justice system.

Critics are questioning the military's ability to conduct the transparent, speedy investigation demanded by Afghanistan in the case, which has roiled relations between the two countries and intensified the debate about withdrawing troops ahead of the 2014 deadline.

One way to improve people's perception of the system, Fidell said, "would be a greater transparency for some of the decision makers."

The military's blackout on details surrounding the Afghan case is typical of the lack of transparency.

It was through media leaks the world first learned the identity of the accused soldier and that he had been whisked out of Afghanistan. The military initially refused to release the information, citing security concerns. Only after the leaks did the military confirm that Army Staff Sgt. Robert Bales, 38, was being held in connection with the killings.

"That's not the military justice system. That's some administrative decision unrelated to the justice system," said Gary D. Solis, a retired Marine Corps judge who teaches military justice at Georgetown University Law Center.

Solis believes the military's actions were an attempt, "however wrong-headed," to do the right thing.

But it is that very attempt that has made it more difficult for the military.

As it begins legal proceedings against Bales, the military is under the most intense scrutiny it has faced since soldiers were accused in 2004 of abusing Iraqi detainees at Abu Ghraib prison, and a squad of Marines were charged with killing two dozen civilians in Haditha, Iraq, in 2005.

Eleven soldiers were court-martialed for their roles in Abu Ghraib, though only three received prison sentences of more than a year. In the Haditha case, charges were dropped, dismissed or reduced against all but one Marine, Sgt. Frank Wuterich, who was convicted of one count of dereliction of duty after a plea deal was reached in January in the case.

In Afghanistan, the negative perception of the U.S. military has been exacerbated by a video that surfaced in January showing Marines urinating on the bodies of slain Afghans.

The Marine Corps at the time said it would investigate the actions, and news reports last month indicated Defense Secretary Leon Panetta was briefed on the findings, but the Pentagon has yet to release any details.

Cases like these define the U.S. military for many Afghans, said Sarah Holewinski, executive director of the Washington-based Campaign for Innocent Victims in Conflict.

"I was talking with Afghan officials a few weeks ago about how they view the U.S. military. They said they understood that the U.S. tries not to kill civilians, but all of them noted three things that stand out to them: Haditha, Abu Ghraib and urination on dead bodies," Holewinski said.

"It's a shame," she added, because the NATO-led International Security Assistance Force "has gotten much better about civilian casualties, but these are incidents that civilians remember. And understandably so."

Fidell said Haditha, Abu Ghraib and other high-profile cases have a "cumulative effect" for the public, even though the cases are very different from one another.

"The mere fact that prominent cases are perceived to have several times fizzled or all but fizzled, it is not surprising that it leaves people in other countries less than fully nourished," he said.

Attorney Colby Vokey, who participated in the defense of Wuterich, dismissed criticism in the United States and abroad that there is an appearance the military protects its own.

"The military will prosecute cases that nobody else will touch," said Vokey, a retired Marine lawyer who now works as a civilian defense attorney. "There are no financial constraints, no political constraints. They are insulated from that."

At the same time, however, military courts are insulated from the transparency the public demands from state and federal courts.

In civilian cases, everything from the police investigation to the naming of a suspect to the release of court transcripts is often available for public consumption. In the military, the same material is sometimes withheld because of operations or security concerns, though more often than not it's more a matter of the military's discretion.

"It's easy for those of us who have worked in the system to have a lot of confidence in the system. We're looking at it as insiders to our own system," said Victor M. Hansen, a retired Army judge advocate lawyer and vice president of the National Institute of Military Justice.

Military justice is designed to be a tool for a commander to maintain good order in the ranks, Hansen said. It's the commander who will decide the charges, where a case will be tried and other details.

The problem of perception arises, he said, when commanders do not explain "their actions, their reasoning, their processes, their thoughts on a particular case."

"That's a culture that's beyond military justice. That's a military culture," he said.

Retired military judge Solis said it is that very reason that "the mentality in the military" must change so that clarity and transparency are viewed as a benefit rather than an obstacle.

"And yes, sometimes it means we are going to take our hits," he said.

@highlight

The dearth of details from the military about the case is fueling Afghan anger

@highlight

Legal experts say the military needs to be more transparent with the case

@highlight

Army Staff Sgt. Robert Bales faces charges of murder, attempted murder and assault