(CNN) -- Historically in the United States, communities of color and the police have maintained strained relationships. The death of Michael Brown in Ferguson, Missouri, has stirred up dormant, yet strong emotions.

Brown was tragically killed by a police officer in August. His case has yet to be resolved. Residents in Ferguson plan to march starting Friday in a "Weekend of Resistance" to demand the resignation of the local prosecutor.

When we pull the lens out and take a larger look at the issue we are faced with similar situations across the country, as in the case of John Crawford in Beavercreek, Ohio, or the case of Eric Garner in Staten Island, New York.

When conflict between police and communities of color occurs, the issues of racism, profiling and bias simmer to the surface. These moments create pause for many Americans. Familiar questions come up: "Why did the police shoot? What made them make the decision?"

Each of these regrettable encounters has to be evaluated case by case based on specific circumstances, even if there may be substantial historical and cultural undercurrents of racial issues that run through them.

We cannot draw blind conclusions; we have to seek the truths. We have to seek answers that will provide both communities of color and police agencies with a better understanding of the problems and tools to fix them -- together. A collaborative effort could result in building better communication, and more importantly, trust.

This week, I was invited to a community meeting in DeKalb County, Georgia, that was attended by about 100 people from diverse social and economic backgrounds. The event came about as a reaction to the vivid images in the media surrounding the conflict between the African-American communities and police.

A 9-year-old asked me: "Why do police shoot people?" As I looked down into his face, it was clear that he was afraid. The fear in his eyes seemed to ask if he would somehow be deliberately harmed by police. A 16-year-old African-American asked what she should do if she is pulled over by the police at night. Then a woman asked: "If I were stopped by the police and asked to step out of the car, should I?"

These are the types of questions that are often asked by people of color. The ongoing reports of incidents in the news have only increased their anxieties.

But police have a hard job to do. They are here to protect and serve the communities they work and live in. They are trained to follow policies and procedures while working in potentially dangerous situations. Police officers do the very best they can in circumstances that are often unpredictable. In enforcing community laws, police officers are given a great deal of responsibility, latitude and discretion.

It is essential that we support and respect police officers and the daily challenges they face. Their decisions and actions are constantly being evaluated and at times second-guessed. This creates an environment of suspicion and mistrust, which in turn creates a distance between the police force and those they serve. It is unfortunate that there are communities where citizens feel they can no longer trust their local police officers and other law enforcement agents.

How we can remedy this situation? What do you do or say to ease the fear of a 16-year-old who is concerned about driving home at night and being pulled over by a police officer?

As a first step, we need to start a discussion in communities. We need to listen to people's concerns and work together to forge a better understanding of each other. We must have trained professional police officers who will stand for us, be with us, and protect us. When we see police or hear police we should know that they are coming to help us or someone else.

In order for our society to function optimally and effectively, we have to do away with the negative emotions. I strongly encourage that police and community members meet to dispel and reduce the anxiety and fear that is on both sides. Police officers are human, too.

Across the country, there are police departments that are doing a fantastic job and there are others that are beyond challenged. But we all have to do our part to establish, maintain and nurture strong and collaborative relationships. We have to find a way to meet in the middle where both the community and police can trust each other; otherwise there will be anarchy.

As the national president of the National Organization of Black Law Enforcement Executives, I understand the importance of equality and human rights. We have to be fair and impartial to everyone and know that we all have a shared responsibility in maintaining a safe community. Trust is something we have to work toward in this country.

@highlight

Residents in Ferguson, Missouri, plan to march about the case of Michael Brown

@highlight

Cedric Alexander: We have to find ways for police and communities of color to work together

@highlight

He says we should support and respect police officers who are trying to protect citizens

@highlight

Alexander: Let's find ways to dispel and reduce the anxiety and fear that is on both sides