(CNN) -- The lawyer that helped revolutionize the way football's transfer system works has turned his sights on UEFA's new system of financial regulation.

Jean-Louis Dupont, who helped Belgian footballer Jean-Marc Bosman change European law in 1995 to allow players to move for free at the end of their contract, is representing a Belgian licensed agent who has lodged a complaint with the European Commission over UEFA's Financial Fair Play (FFP) rules.

This season is the first since the rules were introduced and they will come more fully into force in 2014.

They give UEFA sweeping powers, including exclusion from the lucrative Champions League, to punish financially recalcitrant clubs.

The regulations are designed to prevent big spending clubs spending beyond their means and posting unsustainable yearly losses.

However the complaint argues UEFA's "break-even rule" restricts competition -- a key principle of European Law -- and will reduce the number of transfers.

That could potentially lower players' salaries -- and by implication agents' fees -- prompting Belgian agent Daniel Striani to lodge the complaint with the Commission.

Unlike "super agent" Jorge Mendes, who represents Real Madrid coach Jose Mourinho and forward Cristiano Ronaldo, Striani specialises in looking after the interests of a number of young players entering the professional game.

His two most high-profile players are Yohan Benalouane at Parma in Italy and Denis Odoi at Belgian club Anderlecht.

"The "break-even" rule also infringes other EU fundamental freedoms: free movement of capital (as far as club owners are concerned), free movement of workers (players) and free movement of services (player agents)," said the statement issued by Striani and Dupont.

However UEFA expects the Commission to reject the complaint given the support it has received from a number of European bodies as well as clubs ahead of the new regulations' introduction.

"The European Commission, the European Parliament, the European clubs, leagues and players' union have all been fully supportive of FFP and have on many occasions commented positively on this UEFA initiative," said the European governing body in a statement to CNN.

"As is well known, the UEFA rules encourage clubs to 'live within their own means', which is a sound economic principle aiming to guarantee the long-term sustainability and viability of European football.

"UEFA believes that FFP is fully in line with EU law and is confident that the European Commission will reject this complaint."

In December, Malaga were handed a season-long ban from UEFA club competitions after falling foul of FFP.

Any ban would come into place over any of the next four seasons should they qualify to play in Europe.

Malaga, who were the first high-profile club to be punished under new tougher FFP rules, owed player wages and have debts with other football sides as well as the Spanish tax authorities, claim UEFA.

However the Spanish club have lodged an appeal with the Court of Arbitration for Sport against UEFA's decision with a hearing set for May 14 and decision expected sometime in June.

"It is important to note this complaint does not at all question the legality of the UEFA rule (also included in the FFP regulations) that states that any club participating in the UEFA competition must prove -- before the start of the competition -- that it has no overdue payables towards clubs, players and social/tax authorities," said the Striani and Dupont statement.

"In our view, this rule is justified in principle for the attainment of the integrity of the football competition and proportionate to this objective."

Striani contacted compatriot Dupont, who is based in Barcelona, after the Belgian lawyer wrote in the Wall Street Journal about his opposition to FFP in March.

"Some of Europe's biggest clubs are, unsurprisingly, the loudest supporters of rules that entrench their dominance," wrote Dupont in March.

"The time is right for a strong reminder from the EU's antitrust authorities that football, like any other multi billion-euro industry, must comply with the law."

Dupont added that in a letter dated March 12, 2012, competition chief Joaquin Almunia had wrote to UEFA President Michel Platini to say that he welcomed the "break-even rule", stating that "this principle is also consistent with the aims and objectives of EU policy in the field of state aid."

The European Commission must now decide whether to uphold or reject the complaint from Striani and Dupont.

If the complaint is rejected, the Belgian agent and lawyer could then appeal to the European Court of Justice.

The process could take between one and three years.

"Any person or party -- as the English Football Association or the English Premier League or individual clubs -- who can prove an interest in the outcome of a case may apply to join into in the proceedings," said lawyer Guy Thomas of English firm Taylor Walton.

"It sounds like there will be a lot of potentially "interested" parties for this one," added Thomas. "If they all try to get involved the proceeding could be delayed even longer.

@highlight

Belgian agent lodges a complaint with the European Commission over UEFA's Financial Fair Play rules

@highlight

Agent represented by lawyer who helped revolutionize the way transfer system works

@highlight

Complaint argues UEFA's "break-even rule" restricts competition

@highlight

In December, Malaga handed a season-long ban from UEFA club competitions after falling foul of FFP