(CNN) -- Eighty years after Hoovervilles sprung up around the country, and four months after tens of thousands descended on the Wisconsin state capitol, progressives have a new home in what they're calling Walkerville.

The Madison tent city is named in honor -- or, more accurately, in defiance -- of Gov. Scott Walker, who became an icon for conservatives and lightning rod for liberals after he pushed through a controversial new collective bargaining law earlier this year.

David Boetcher, one of Walkerville's coordinators, said the aim is to recapture the spirit of Hoovervilles, the shanty towns that popped up and were named to tweak President Herbert Hoover's perceived inaction in the Great Depression's early years. Since Saturday night's kick-off, about 80 tents have sprung up in and around State Street in Madison, with a handful of people sticking it out throughout but mostly fresh rounds of activists rotating through on a daily basis.

"Just like the original Hoovervilles in the 1930s, we wanted to create that type of atmosphere without being destructive," said Boetcher, a government affairs coordinator for the IBEW union.

Some major differences, of course, are that Walkerville will only be up for two weeks, its participants generally can go home, and it is more of a staged political event. Boetcher noted that, unlike the February protests, this edition is carefully planned with permits, rules, a schedule of speakers and a conscious effort to make a point without disrupting local businesses.

There's a new theme each day: On Sunday, for instance, protests focused on planned $800 million cuts to K-12 education. And one of the most anticipated moments will be Monday, when hundreds of firefighters -- who were exempted from Walker's original collective bargaining law, but could see cuts in its more recent incarnation -- are expected to march in Madison.

Judge strikes down collective bargaining restrictions

It is highly unlikely that organizers, at any point, will match the tens of thousands who, at times, occupied the capitol building in protest this winter. Times have changed, as have public sentiments and strategies. Much of their efforts recently centered around recall petitions aimed at ousting several Republican senators and turning the chamber over to Democrats.

"There was this immediacy and a real intensity at the beginning," recalled Kerry Motoviloff, the head of Madison's teachers' union. "That intensity is still in people's hearts, but now we've entered the next phase for the long term. ... And Walkerville is just another way for us to get the message out."

One major goal, and challenge, with events like Walkerville is to keep up pressure on Walker and other Republican leaders without alienating independents who will eventually decide whether to affirm or reject their decisions, Boetcher said.

"The idea is to balance between a group's right to protest vs. acting in such a manner that people this is too irritating, we don't agree with it," he said. "(The general public) doesn't want to talk about people being arrested. And (demonstrators) know what the rules are this time."

Progressive leaders in Wisconsin insist their message is getting through, including among independents who might have voted for Walker but have since soured on his and Republican tactics in addressing the budget situation.

"There's an incredible amount of frustration," said Steve Hanson, a progressive blogger in northwest Wisconsin. "There is a basic feeling that all these laws are going to be rammed through the legislature, and there's nothing you can do about it."

Yet for all this talk on the left, there's been no change in who controls Madison -- Republicans -- nor any indication that they intend to back down. Whether it has to do with collective bargaining, voting requirements or a host of other matters, the GOP still has the upper hand as it's proven in pushing through a host of measures in the months after the February confrontation.

And Walker, especially, continues to be a darling of the nationwide conservative movement, as does like-minded Wisconsin Republican U.S. Rep. Paul Ryan. In April, Sarah Palin urged others nationwide to follow Madison's example in targeting the benefits and pay of unions, despite intense pressure.

"This is where real courage and real solidarity can be found," the 2008 GOP vice presidential nominee said. "You saw these violent rent-a-mobs trash your capital and vandalize businesses. You held your ground. Your governor did the same thing. And you won."

The law that sharply curbs the collective bargaining rights of most state employees remains the biggest, most critical piece in the fight.

Republicans insist that the measure is necessary to control skyrocketing public employee benefit costs and close a $137 million budget shortfall. Democrats argue that it is little more than an attempt to gut public-sector labor unions, one of their core constituencies.

On Monday, Wisconsin's Supreme Court is set to weigh whether or not they will take up the battle over the law, weeks after Wisconsin Judge Maryann Sumi struck it down. State Democratic leaders claim that Republican legislators violated the state's open meetings law by calling a committee meeting to amend Walker's budget bill without providing the necessary public 24-hour advance notice. Democrats say they were given only two hours' notice.

While the court will have their say, Boetcher says the long-term vision is to use events like Walkerville to reach those in the middle and convince them that they're better off voting out Republicans like the governor.

"This isn't about changing the minds of the Republican legislature," said Boetcher, claiming they've turned a "deaf ear" to such protests. "The ear we want to reach is the Wisconsin voter."

Still for all the speeches, events and acrimony on all sides of the debate -- and for all the twists and turns that have marked the past six months -- even diehard political junkies like Hanson say it is nearly impossible to predict how this political saga will unfold.

"I wake up every morning and there are surprises," Hanson said. "So I'm not sure at all, where we'll be six months from now, or one year or two years."

@highlight

A tent city has sprung up in Madison in what progressives are calling Walkerville

@highlight

It's part of a 2-week rally aimed at critiquing the policies of Wisconsin Republicans

@highlight

Gov. Scott Walker is a darling of the conservative movement for cost-cutting plans