(CNN) -- On Tuesday night, it will be time to meet the candidates.

Again.

There will be a Republican presidential debate, this one hosted by CNN, the Heritage Foundation and the American Enterprise Institute.

This is the 14th televised debate, depending on how you're counting (there was that two-person debate between Newt Gingrich and Herman Cain), since they began back in May.

For generations we have taken it for granted that the way we meet our would-be presidents is on television.

But, of course, it was not always so.

For a good portion of the existence of the United States, the process of choosing a president must have felt like trying to decipher a distant and indistinct rumor.

"Every generation, because of advances in communications technology, thinks that it knows the candidates, and the president, better than the generations that came before," said John G. Geer, chairman of the department of political science at Vanderbilt University and co-director of the Vanderbilt Poll. "But of course, it all comes down to the question: Even when we think we know a candidate, or a president, what do we really know?"

Think of the earliest days of the United States -- and the earliest elections. Pamphlets, handbills, seventh-hand retellings of speeches the teller may or may not have actually heard ... the first (and second and third and beyond) generations of Americans elected as president men who, if they had passed them on the street, they might not have recognized.

Geer believes that readers of American newspapers in those days devoured them with a level of gratitude unfamiliar today: "Reading the paper was seen as a treat -- today, there is so much information, on the Internet and everywhere else, that it overwhelms people. But readers eagerly looked forward to reading the papers back then, because that was their best chance to learn about the world."

Most people today take it for granted that a president will be a constantly televised visitor in their homes -- it has never been any other way for them. But more than 70 percent of all U.S. presidents served in the years before television sets were first installed in homes. Harry Truman was the first president to appear on TV the way we know it (although Franklin Delano Roosevelt took part in a television experiment at the 1939 New York World's Fair).

More than 60 percent of our presidents were never heard on radio; Warren G. Harding, who entered office in 1921, was the first to speak on commercial radio. The voice of Theodore Roosevelt, as large as he loomed in the American mind, was never heard in American homes when he was in the White House. What in our era that would be unthinkable -- a president who did not regularly speak to us -- was, to Americans of a century or so ago, just a fact of life.

Rutherford B. Hayes was the first president whose voice was recorded. The first to be filmed was William McKinley, who took office in 1897. Before McKinley, presidents appeared to the public only in still photographs.

And almost a quarter of our presidents didn't have their pictures taken while in office or running for office. James K. Polk is widely believed to have been the first; George Washington, Thomas Jefferson, James Madison, James Monroe ... the Americans they led had no opportunity to see, photographically, what they looked like. In that era, voters could view their presidents and would-be presidents through reproductions of oil paintings of heroic-looking figures (put forth by the men themselves) or crude and insulting cartoons (put forth by their opponents).

All of this has little to do with the presidents -- they had no control over the technology of their times -- and everything to do with the citizens. It always has been such a leap of faith, deciding who is deserving of one's vote. For all the media manipulation that goes on in the television age, consider the mischief that could be done in the era when presidents and candidates went largely unheard and, before that, unseen.

The day is probably coming -- perhaps soon -- when some long-shot candidate will make a promise that, if elected, he will wear a tiny live video camera in the lapel of his suit jacket, so that Americans, in real time on their computer screens and telephones, can see and hear everything that he is seeing and hearing in the White House, from his vantage point. (And if elected, he will quickly announce that for reasons of national security, he won't be able to use the lapel camera much, after all.)

The leap of faith is the same as ever. We have to tell ourselves that we know our presidents, even if we've never met them. No American ever saw Herbert Hoover talking live on television; no American ever heard Ulysses S. Grant speaking on the radio; no American ever heard Abraham Lincoln's recorded voice. John Adams? No American ever saw a photo of him.

Yet they all had to find a way to appeal to the entire country -- to get the majority of the nation to declare: He's the one. Every four years, we roll the dice anew. Do we truly know the people who would be president any better now than our ancestors did when they had never seen the candidates' faces or had any idea what their voices sounded like?

Of necessity, each generation evaluates a candidate -- and a president -- based on what the voters have available at the time. Vanderbilt's Geer said that we sometimes forget the specifics of that and the limitations.

"Before microphones, the candidate with a booming voice had a great advantage," he said. "Think about it. When candidates had to speak to large crowds without the benefit of a microphone, a person with a quiet voice didn't even stand a chance of reaching the crowd and having his words heard."

In the end, though, according to Geer, all campaigning through various forms of media provides only a rough facsimile of what the person asking for votes is like.

"Imagine if every person in the country was somehow able to have a five-minute meeting with a candidate for president," he said. "Just the two of them, alone. I think we all would have a very different feeling about who we're voting for. I think that would change everything."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Americans think they know their presidents because they are always present on TV

@highlight

Bob Greene: For much of America's history, access to presidents was very limited

@highlight

Before radio and television, presidents were distant figures, more written about than seen