(CNN) -- In parts of rural China, private health can be a very public affair.

Crammed into shop front clinics on the main streets of many provincial towns, patients can be seen paying for routine treatment -- regular injections, intravenous drips or a consultation -- just by walking in off the street.

The conditions are rudimentary -- often no more than rows of vinyl benches replete with drip stands. However, catching the spillover from China's overstrained public health system has become big business for pharmaceutical companies and healthcare corporations.

While China is supposed to have comprehensive state-funded health cover, the stark reality is that many Chinese need medical insurance to make up the shortfall in the system.

For many Chinese people, private savings for medical insurance is one of the reasons the country has one of the highest rates of personal savings in the world.

For most, however, medical insurance is a contentious outlay.

"I don't think it really works for most ordinary Chinese people," 24-year-old Guangzhou-based student Xi Chen said. "Last November, our father's hospital bill came to 6000RMB ($976) but we had to top it up the insurance 2300RMB of our own.

"The doctor told us we should have been thankful for our medical insurance or we would have had to pay more ... The truth is that government officers and hospitals benefit rather than ordinary people."

There's an app for that

It's in this space that medical assistance app Chunyu Yisheng hopes to carve out a niche.

The app -- which this month raised $50 million in funding, the biggest single funding round into a Chinese healthcare startup to date -- connects users with physicians remotely to discuss and diagnose their ailments. The site already commands 30 million users who can connect with 40,000 doctors.

It has set an ambitious target of gaining 100 million users by the end of 2015.

"We started in 2011, wanting to do something in the joint field of mobile internet and medicine," Chunyu chief technology officer Zeng Boyi said. "We wanted to something of practical use that could actually help people.

"In China, it's very difficult for people to get an appointment with a doctor, so the idea of a medical app was quite a natural one," he said.

Zeng said the startup is aimed at resolving minor ailments that often clog up hospital waiting rooms and aims to help people who may be at risk of misdiagnosing by reading up about their complaint on the internet.

"Some problems, mainly mild problems, are better solved online than others," Zeng says. "People get safe, personalized, and professional advice from doctors on Chunyu -- we do not see Chunyu as a replacement for hospital.

"Besides a professional diagnosis, people often want to communicate -- they need to decrease their anxiety, know a bit more about their bodies and decide on the next move even before going to hospital.

"These sorts of problems are not easily solved in the hospital, but they are important to users. By reducing the cost of seeing a doctor, we activate a huge suppressed market."

He says the service acts as an adjunct to normal medical attention.

"We cannot diagnose serious diseases and doctors are careful in the advice they give. If users have serious symptoms -- if they're very sick -- their best choice is to go to a hospital.

"If a doctor is asked about serious symptoms, then the kind of advice we could give is the most suitable hospital to go to, the type of lab tests needed, and any other helpful advice."

Big potential

The startup is currently on a drive to recruit more doctors who not only earn money in their spare time but also gain a profile and a platform from the service.

Of particular interest, says Zeng, are the data that will be generated by the online service.

"There's a lot of doctor/user communications that is logged on Chunyu every day. Those data are of particular importance because they are generated by real doctors whose only focus is solving the problem at hand -- they are not selling medication or promoting hospitals."

Chunyu's model is based on making the service free for both doctors and users, with its revenues raised through advertising from insurance companies, pharmaceutical companies and private hospitals.

"It's hard to estimate how much revenue would be generated by this service. By way of comparison, Baidu (one of China's largest online portals) makes one third of its revenues from the healthcare industry.

"We think it's a huge market."

Read this: The social apps taking China by storm

Read this: Asia's hottest startups right now

More from Virtual Think Tank

@highlight

Chinese startup aims to give medical help online

@highlight

Chunyu Yisheng already has 40 million users and 40,000 doctors online

@highlight

The startup recently gained $50 million in funding

@highlight

While China has a public health system, many people have to rely on medical insurance