Ferguson, Missouri (CNN) -- Hours after federal civil rights investigators and the FBI opened an inquiry into the death of a teenager shot by a police officer in Ferguson, Missouri, violence flared again in the St. Louis suburb.

Police Chief Thomas Jackson told CNN shots were fired Monday night in Ferguson, and police fired tear gas to disperse a crowd that had gathered in an area where looting occurred Sunday.

"Officers were brought in to quell the hostilities," he said. "Tear gas was deployed."

The Saturday-night shooting, which left 18-year-old Michael Brown dead, has fueled rising tensions in the town of 21,000 and sparked national debate.

One side says the African-American teenager was surrendering, his hands in the air to show he was unarmed, when the officer opened fire. Authorities counter that Brown had attacked the officer in his car and tried to take his gun.

After a vigil for the teen devolved into chaos Sunday when violence and looting broke out among some protesters, NAACP President Cornell William Brooks called Monday for people protesting Brown's death to do so nonviolently.

"We have seen young people giving in to violence and frustration and rage. It may be inexcusable. It is not unexpected," Brooks told reporters. "But I say to my young brothers and sisters, note the young man whose rage is your heart, note that he was nonviolent. He never got into a fight. If you want to honor his memory, honor his memory by seeking justice nonviolently."

Witnesses to Brown's shooting say he was unarmed and had his hands in the air when the police officer shot him.

Authorities tell a different story. St. Louis County Police Chief Jon Belmar says the officer tried to get out of his vehicle just before the shooting, but Brown pushed him back into his car.

Brown "physically assaulted" the officer, Belmar said, and the teen tried to get the officer's weapon.

Brown was shot about 35 feet from the vehicle, the chief said, declining to provide more details. The officer's name has not been released by authorities.

"The genesis of this was a physical confrontation," Belmar said, adding that his department has been called in to conduct an independent investigation.

The Ferguson Police Department said its cars are not equipped with dashboard cameras.

Shell casings collected at the scene were from the officer's weapon, Belmar said.

Monday, U.S. Attorney General Eric Holder said the shooting "deserves a fulsome review" by federal investigators.

"At every step, we will work with the local investigators, who should be prepared to complete a thorough, fair investigation in their own right. I will continue to receive regular updates on this matter in the coming days," Holder said in a statement. "Aggressively pursuing investigations such as this is critical for preserving trust between law enforcement and the communities they serve."

Mother: 'No violence, just justice'

The lawyer representing Brown's parents called Monday for a swift investigation.

"We want this investigation to be done fairly, and we make a demand to the Justice Department to come in and help restore trust and confidence in the process of equal justice. ... This family is very distrustful. This community is very distrustful," attorney Benjamin Crump told reporters, calling for witnesses to come forward.

Brown's parents urged people to remain calm.

"No violence, just justice," the teen's mother, Lesley McSpadden, told reporters.

McSpadden said her son recently graduated from high school and was supposed to start college Monday.

"We can't even celebrate," she said. "We've got to plan a funeral."

Standing beside the teen's family, Brooks said the NAACP is committed to determining what happened.

"We are committed to this family, committed to seeking justice, committed to being a presence, day-in and day-out," he told reporters.

Mayor calls for calm

"Obviously, the events of last night are not indicative of who we are," Ferguson Mayor James Knowles said on CNN on Monday morning, adding that Sunday night's chaos was "not constructive" and was only "bringing down the community."

St. Louis County Police said 32 people were arrested and shots were fired at police.

Monday, St. Louis County Prosecuting Attorney Robert McCulloch said charges had been filed against about 10 people in connection with burglaries of several businesses.

"What occurred last night, the mob action, we know certainly is not representative of what's going on and what the people in the neighborhood necessarily think," he said.

Flanked by several from the community Sunday, McSpadden was McSpadden was emotional as she shouted into a television reporter's microphone.

"You took my son away from me! You know how hard it was for me to get him to stay in school and graduate? You know how many black men graduate? Not many!" she said. "Because you bring them down to this type of level where they feel they don't got nothing to live for anyway! (They feel) they gonna try to take me out anyway!"

Others who gathered shouted at police.

"We will stay out here as long as you are!" they screamed at officers.

Many of the officers appeared stoic, watching young men kneel before them and raise their hands up to symbolize surrender, but one officer can be heard on video yelling back, calling protesters "animals."

Some in Ferguson are demanding that the name of the officer who shot the teenager be released.

Monday afternoon, Jackson -- the police chief -- said he plans to release the name in the next 24 hours. Authorities want to make sure the officer is in a safe location, he said.

'Lost control'

"Last night, everything lost control," Knowles said Monday.

He was asked about the officer who called protesters "animals."

"The officers did their best. They're only human," Knowles responded, adding that not every police officer present was from the Ferguson department.

Sunday's gathering became more intense as some people broke windows at a store and began taking things from it. They threw rocks and bottles. Gunshots rang out.

Antonio French, an alderman in St. Louis, said a QuikTrip gas station was looted and an ATM dragged out.

"This QuikTrip is where things started (Saturday) with this case, based on various accounts," French said.

The slain teenager and a friend were "accused of stealing gum from the store or some sort of cigarettes," the alderman said.

"People have a lot of anger and are frustrated," French said. "They don't have recourse in the system, and it happens often in this country, and it has boiled over. I think people are angry and looking for a reason to let it out tonight."

Knowles said he wants to let the independent investigation into Brown's death take its course. He plans to meet with Brown's parents soon and will meet with clergy in Ferguson and African-American leadership in the town.

Whatever the investigation's findings, "we will deal with that," he said.

Multiple gunshots

An autopsy will determine how many times Brown was shot. The medical examiner for St. Louis County, Mary Case, said Monday afternoon the autopsy is complete, but she would not give details and said St. Louis County police will release the information.

Toxicology results on Brown's body are pending.

On the number of times Brown might have been shot, Belmar has said, "It was more than just a couple."

"We don't know what happened, and there are lots of conflicting stories," Knowles said. "Unfortunately, there will have to be some time taken to understand what happened. Hopefully, we will get to an understanding, and justice will be served."

The officer who shot Brown is on paid administrative leave during the investigation and will be available to talk to county homicide detectives.

He has been with the force for six years and will be required to undergo two psychological evaluations before returning to duty, Belmar said.

Crump, who also handled the case of Trayvon Martin in Florida, said Monday that Brown's family is "devastated" and doesn't believe that the teenager got into a physical confrontation with police.

Martin, 17, was killed in 2012 by a Florida neighborhood watch organizer who was acquitted last year of murder charges.

The high-profile case sparked a heated nationwide discussion of race as well as debate over Florida's "stand your ground" law.

Monday, Crump said Brown's shooting once again highlights "the senseless death of a young boy of color at the hands of people who are supposed to protect and serve them."

"Their son was doing all the right things," Crump said. "Graduating from high school, never been in trouble. And for this to happen, for him to be killed in broad daylight ... they want answers just like everybody else in the community."

Trayvon Martin case fast facts

Opinion: How many unarmed people have to die?

CNN's Ashley Fantz and Catherine E. Shoichet wrote in Atlanta, and George Howell reported from Missouri. CNN's Devon Sayers, Shawn Nottingham, Eliott C. McLaughlin, Shimon Prokupecz, Julian Cummings, Jason Carroll, Dave Mattingly, Dave Alsup, Melanie Whitley, Joe Sutton, Faith Karimi, Mayra Cuevas, Shirley Henry, Julian Cummings and Tristan Smith contributed to this report.

@highlight

NEW: Police chief: Shots were fired and "tear gas was deployed" amid new violence

@highlight

Michael Brown was shot by police, sparking outrage in Ferguson, Missouri

@highlight

U.S. Attorney General Eric Holder says civil rights investigators have launched an inquiry

@highlight

NAACP president: "Honor his memory by seeking justice nonviolently"