(CNN)I won't take it personally if you yawn while reading this story.

Chances are you're sleep deprived.

Sleep deprivation is such a rampant problem that last year the Centers for Disease Control and Prevention called insufficient sleep a public health epidemic.

Teenagers may be suffering the most. Researchers at Columbia University's Mailman School of Public Health called the problem "The Great Sleep Recession" in a new study published in the journal Pediatrics.

They surveyed more than 270,000 teens in eighth, 10th and 12th grades between 1991 and 2012 and found teens are getting less and less sleep.

The average amount is seven hours a day, which is two hours less than the nine hours they should be snoozing. African-American and Hispanic boys are the least likely to sleep enough. But why?

Katherine W. Keyes, lead researcher and assistant professor of epidemiology at Mailman, says researchers don't know. She and her team speculate that increased Internet and social media use is a factor as well as pressure and competition over the college admissions process.

Not everyone gets all their sleep at night though.

Babies and toddlers, for example, take naps to get it all in.

But a new study published in the journal Archives of Disease in Childhood says toddlers sleep better at night without the naps.

Australian researchers reviewed 26 previously published studies and found that napping beyond age 2 is linked to poor quality sleep at night. And, as many parents of toddlers will attest to, it can also lead to an array of stalling tactics and protests at bedtime.

The authors of the study say there is no scientific evidence to continue having children older than 2 nap and recommend discontinuing it, especially if the child has trouble sleeping at night.

We know not getting enough sleep causes all kinds of harm to our minds and bodies no matter your age. Study after study tell us so. Sleep deprivation causes us to eat more, it shrinks our brains, is linked to Type 2 diabetes, leads to slow reaction time that can impair driving and can even cause false memories. And that list could go on and on.

So how much sleep do we need? The National Sleep Foundation, recently issued new recommendations on how much sleep we should all be getting.

They are based on a review of research and a consensus from a group of 18 experts in sleep, science, physiology and medicine.

There are now nine age categories, some of them new. Anything more or less than the identified range is simply not recommended:

• Newborns (0 to 3 months) -- 14 to 17 hours per day

• Infants (4 to 11 months)  -- 12 to 15 hours per day

• Toddlers (1 to 2 years old) -- 11 to 14 hours per day

• Preschoolers (3 to 5 years old) -- 11 to 14 hours per day

• School age (6 to 13 years old) -- 9 to 11 hours per day

• Teens (14 to 17 years old) -- 8 to 10 hours per day

• Younger adults (18 to 25 years old) -- 7 to 9 hours per day

• Adults (26 to  64 years old) -- 7 to 9 hours per day

• Older adults (65 and older) -- 7 to 8 hours per day

While there is plenty of research confirming all that goes wrong when you don't get enough sleep, there are also proven steps people can take to help fall asleep and sleep better once they do fall asleep. A new study published in the journal JAMA Internal Medicine says mindful meditation helps adults fall asleep and stay asleep.

Researchers at the University of Southern California, Los Angeles, randomly assigned 49 adults, age 55 and older, who experienced minor sleep disturbances, to one of two groups for one year.

One group was taught mindfulness meditation, which they practiced for 20 minutes per day.

The other group went through sleep hygiene education intervention, which changes daily behaviors and other factors believed to be causing sleep problems.

Those who used mindful meditation ended up sleeping better than those in the other group.

Of course, a larger study is needed to confirm this finding. But the idea of relaxation leading to better sleep is not so far-fetched. In fact, the National Sleep Foundation recommends a relaxing bedtime ritual and winding down before bed. Meditation certainly qualifies.

It also suggests waking up and going to bed at the same time every day, using bright lights to help wake up, avoiding naps and avoiding heavy meals, alcohol and cigarettes at night.

It's a lot to think about. Hopefully it won't keep you up, and you'll be having sweet dreams, and enough of them, in no time.

@highlight

Teens may be suffering the most from sleep deprivation, new study says

@highlight

National Sleep Foundation has new recommendations on how much sleep to get

@highlight

Mindful meditation can help those suffering sleep disturbances, researchers say