Despite the ray of good news in Thursday's Geneva agreement on steps to de-escalate the crisis in Ukraine, President Obama was right to sound a note of caution, observing that "I don't think we can be sure of anything at this point."

The deal, reached by Russia, Ukraine and the West, called for, among other things, disarming illegally armed pro-Russian demonstrators in eastern Ukraine, and the surrender of the government buildings they have seized.

These are good and essential first steps, but unless they can now be implemented as a basis on which the parties can move to further, bolder steps to reverse underlying trends, Ukraine could still slide into civil war. If this happened, how would it affect American national interests? Could Ukraine become a 21st century echo of the Balkans in the 1990s, when the collapse of Yugoslavia saw a decade of war between Serbs, Croatians, Bosnians and Kosovars? (No one should forget that just a century ago Ukraine was sucked into a tragic, bloody civil war shortly after gaining independence in the aftermath of the Russian Revolution.)

There is a saying that history never repeats itself, but it does sometimes rhyme. Fortunately, full-blown civil war in Ukraine still seems unlikely — mainly because one side, the Ukrainian government, appears both unable and unwilling to fight.  Nonetheless, it's not hard to sketch a scenario in which war is the outcome -- and from that to envision a further scenario in which the U.S. finds itself drawn into a direct confrontation. (More on that in a moment.)

As we have seen in the past two weeks in eastern Ukraine, Russian speakers— acting either spontaneously, or at the behest of Russian security services, or both — have taken control of government buildings in 10 cities in Ukraine's eastern provinces of Donetsk, Luhansk and Kharkiv. Ukrainian military, security and police forces are so impotent, demoralized and compromised by Russian infiltration that their response has so far been pathetic.

This week, the New York Times reported on the Ukrainian government's "glaring humiliation," when a military operation to confront pro-Russian militants instead saw Ukraine's 21 armored vehicles separating into two columns, surrendering or retreating.  In several instances, when confronted by pro-Russian crowds, soldiers and policemen have even switched sides.

If Thursday's deal unravels and Ukrainian authorities remain unable to restore basic law and order, the pro-Russian demonstrators occupying buildings will be emboldened to expand their reach. Further steps may include the demonstrators setting up an independent "republic" in the three Eastern regions and seeking to drive out forces loyal to Ukraine's interim government, provoking the Kiev government to respond with greater force, and then calling in Russian troops to defend them against what they will claim to be "fascists" from western Ukraine.

Responding to a crackdown, Russian security forces would likely provide arms and other assistance to the Russian speakers, claiming that such a call for assistance from "compatriots" is impossible to ignore. As conflict intensifies, western Ukrainians, perhaps even Poles or other Europeans, could come to the aid of Ukraine. In this spiral, one thing could lead to the next, ending in significant bloodshed in eastern Ukraine, and perhaps even spreading beyond.

Widespread violence or civil war would certainly be a calamity for Ukrainians. But would its consequences for American national interests require an American military response? Fortunately for Americans, the answer is no. In 2008, when Russia crushed Georgia in a short war that ended in Russia's recognition of independence for the former Georgian territories of South Ossetia and Abkhazia, that was President George W Bush's answer.

As the ongoing civil war in Syria has claimed more than 150,000 lives, neither President Obama nor his most ardent critics, like Arizona Sen. John McCain, have judged this such an extreme threat to U.S. interests that Americans must kill and to die to stop it.

That the U.S. does not have vital national interests in Ukraine will not mean that the U.S. has no national interest in holding Moscow accountable for violating territorial integrity assurances that Russia and the U.S. gave to Ukraine in 1994 in persuading it to give up nuclear weapons. Indeed, if left to take its course, this crisis has the potential to fuel further developments that engage core American national interests.

For example, if Crimea becomes Putin's precedent for creeping annexation in which Russia-instigated Russian speakers occupy government buildings, liberate a territory and establish a relationship with Russia, where will this stop? Could the 25% of the population in Latvia who are Russian speakers be tempted (or coaxed) to follow suit? (Both Latvians and Russians vividly recall that in 1940 Stalin annexed Latvia, Lithuania and Estonia, nations that regained their independence only in 1991 when the Soviet Union collapsed.)

Russian military intervention in Latvia, even under the guise of special forces in green garb without insignia, would almost certainly be engaged by Latvian military and police. If Russian security forces came to the assistance of their brethren in Latvia, as they would be likely to do, this would mean a direct confrontation between Russia and the U.S.-led NATO.

Many Americans are not aware that Latvia and its Baltic neighbors are members of the NATO alliance, of which the United States is the leader. How many Americans know that members of that alliance, including the United States, commit themselves in Article 5 of the North Atlantic Treaty to regard an attack against one NATO signatory as "an attack against them all"? Pursuant to that commitment, successive American presidents have approved war plans in which Americans would fight to defend the territory of all members of the alliance.

Preventing Ukraine's collapse into civil war must therefore be a high priority for the leaders of both the United States and Russia. The Geneva agreement on "initial concrete steps to de-escalate tensions and restore security," which U.S. and Russian diplomats signed, along with their EU and Ukrainian counterparts, represents the first real step in the international community's collective effort to reverse Ukraine's slide into chaos.

Leaders in both Washington and Moscow will have to follow up with further, bolder steps to prevent Ukraine's spiraling into a civil war that could draw them into a direct confrontation. These additional steps will require all parties to accept arrangements that would be unacceptable — except for the fact that all feasible alternatives are even worse.

@highlight

Graham Allison: Geneva deal on de-escalation in Ukraine a ray of hope

@highlight

He says unless terms are implemented and conflict reversed, civil war still a threat

@highlight

He says West does have an interest in stalling Russia-coaxed incursions

@highlight

Allison: If Latvia, part of NATO, were next, U.S. could be compelled to enter conflict