(CNN) -- A new flow of oil emerged from BP's damaged undersea well in the Gulf of Mexico on Tuesday evening after a remote-controlled submarine successfully cut into the well's riser pipe.

BP used robots in its latest attempt to curtail the flow of crude from the largest spill in U.S. history, which spread to barrier islands off Alabama and Mississippi on Tuesday.

When the robot submarines cut into the undersea well's riser pipe, a fresh spew of oil temporarily obscured the view of the mechanical arm. The cut was a first step toward placing a cap over the well that has spewed hundreds of thousands of gallons of oil into the Gulf of Mexico every day since late April.

BP expects to make more cuts to the riser before bringing in a diamond saw to make a clean cut where the cap will be fitted. Doug Suttles, the company's chief operating officer, told CNN's "John King USA" that the procedure should collect the "vast majority" of the oil if it succeeds.

"We'll be putting the cap assembly, loading that out and sending it to the sea bed later tonight," Suttles said. "We should be able to install this tomorrow. And hopefully by late tomorrow or Thursday, we should have this thing operating."

But the operation carries the risk that the flow of crude from the ruptured well could increase by up to 20 percent once the damaged riser is cut away. The job already has been complicated by pipework around the well that has had to be removed before massive metal shears could be brought to bear Tuesday evening, Suttles said. The gusher may not be shut down until August, when BP expects to complete relief wells that will take the pressure off the one now spewing into the Gulf.

The 5,000-foot-deep well erupted after an explosion and fire aboard the Deepwater Horizon drilling rig on April 20. The rig sank two days later, taking 11 men with it and leaving up to 19,000 barrels (798,000 gallons) of oil pouring into the Gulf, according to federal estimates.

After fouling sections of Louisiana's marshes over the past two weeks, the oil was spreading toward the northeast on Tuesday. Tar balls and patches of reddish-brown "weathered" oil came ashore on Dauphin Island, Alabama, south of Mobile, and on Mississippi's Petit Bois Island, off Pascagoula, authorities reported.

Oil hits Alabama, Mississippi barrier islands

More than a dozen miles offshore, researchers from the Dauphin Island Sea Lab reported seeing more rust-colored swaths of oil spattering the surface of the Gulf. They ranged from the size of half-dollar coins to 30 or 40 feet long, said John Dindo, the laboratory's associate director.

BP's handling of the spill has been sharply criticized by members of Congress, officials in the Gulf states and the Obama administration, which announced Tuesday that a criminal investigation of the spill was under way. In addition, federal officials will no longer hold joint news briefings with the company, the administration announced.

Coast Guard Adm. Thad Allen, the government's point man on the spill, will now become the face of the response effort. Allen told reporters in New Orleans, Louisiana, that his job is to speak "very frankly with the American public."

Rear Adm. Mary Landry, who has been the Coast Guard's on-scene coordinator for five weeks, will be returning to her duties as chief of the service's New Orleans district office. Allen praised Landry's work leading "an anomalous and unprecedented response" to the spill, but said Landry now needs to focus "on the larger array of threats" to her district -- including this summer's Atlantic hurricane season, which began Tuesday.

In Louisiana, Plaquemines Parish President Billy Nungesser warned that a hurricane in the area could drive more oil ashore.

"We don't want to scare anybody, but we need to be realistic about it," Nungesser said. "If a storm does top out levees, it will probably bring oil with it." He said residents who evacuate ahead of a hurricane might return "not to a flooded home, but to a home that is completely contaminated with this oil."

Oil spill darkens hurricane fears

Tuesday also marked the start of the recreational fishing season for red snapper, a big draw for sport anglers in the region. But the season opened with a new blow to the region's fisheries industry as the National Oceanographic and Atmospheric Administration extended its restrictions on fishing to almost a third of the Gulf.

The closures extend southward to a point about 240 miles west of the tip of Florida and eastward to federal waters off the Alabama-Florida state line.

The state of Mississippi announced a closure of some of its inland waterways to fishing after oil was found in the area. The closed area includes areas east of 88 degrees, 40 minutes west longitude, and south of the CSX Railroad, but not including Graveline Bayou and its tributaries.

After a meeting with state attorneys general and federal prosecutors from Louisiana, Alabama and Mississippi, U.S. Attorney General Eric Holder told reporters that the Justice Department was looking at possible criminal violations in connection with the spill.

Justice Department launches investigation

"If we find evidence of illegal behavior, we will be forceful in our response," Holder said. "We have already instructed all relevant parties to preserve any documents that may shed light on the facts surrounding this disaster."

In a statement issued in response to Holder's announcement, BP said it would cooperate with any inquiry, "just as we are doing in response to the other inquires that are already ongoing." Suttles told CNN that there have been "very few differences" between company and federal officials working to cut off the spill.

"This is a team that's really all aligned on the same goals and has been since the beginning," he said. "The government clearly presses us very hard to make sure we're responding as quick as we can. We're moving things forward, we're applying all the resources that we need to apply. But I would stress at the working level, those differences are really quite small."

BP, rig owner Transocean Ltd. and oilfield services company Halliburton have blamed each other for the disaster. But BP, as the well's owner, is responsible for the costs of the cleanup under federal law, and Suttles said the company has now spent more than $1 billion to clean up the oil.

BP stock has taken a beating on Wall Street , plunging on Tuesday after the failure of last week's "top kill" attempt to close the well. The company's stock value is down more than a third since the spill began.

CNN's David Mattingly, Tracy Sabo, Patrick Oppmann, Scott Bronstein and Aaron Cooper contributed to this report.

@highlight

Oil spill spreads to Mississippi, Alabama

@highlight

U.S. begins criminal investigation into oil spill

@highlight

Spill makes a third of Gulf off-limits to fishing

@highlight

BP puts cost of spill response at $1 billion