Rear Adm. Anne Schuchat, MD, is assistant surgeon general at the U.S. Public Health Service and director at the CDC's National Center for Immunization and Respiratory Diseases. Edwin Trevathan, MD, MPH, is director of the National Center on Birth Defects and Developmental Disabilities at the CDC.

This week, the world has come together to focus on a major public health issue that affects thousands of children and their families around the world -- autism.

We've all heard the heartfelt and poignant stories of families affected by this disorder. As the nation's health protection agency, the Centers for Disease Control and Prevention is made up of dedicated professionals, including many who are parents and grandparents of children affected by autism.

The CDC is working on many fronts when it comes to autism.

We're currently conducting the largest study to investigate the potential causes of and risk factors for autism.

This study, called the SEED study, looks at genetic, environmental and hormonal factors, as well as selected mercury exposures. We work across government and with private organizations and parent groups to plan the autism research agenda for the country.

Further, given the importance of early identification and intervention, the CDC's "Learn the Signs. Act Early" campaign helps educate parents, health care providers and early educators about early warning signs of autism.

And, of course, we strongly support the efforts of the National Institutes of Health, the Food and Drug Administration and others to create a sound scientific basis for any promising treatments.

One issue that continues to receive attention is whether vaccines somehow play a role in autism. When concerns emerged about the measles, mumps and rubella (MMR) vaccine and about thimerosal in vaccines, top scientists -- with the open-mindedness that characterizes good science -- planned and conducted the highest-quality, large-scale studies. No links to autism have been found.

Recently, many parents have raised questions about the timing and number of vaccines.

Most vaccines are given at an early age because that's simply when children are most vulnerable to infectious diseases and need the added protection.

Although some may call it a "one size fits all" approach, the recommended vaccine schedule is flexible, and it does account for instances when a child should not receive a recommended vaccine or when a recommended vaccine should be delayed.

Those decisions, however, are best made in consultation with the child's doctor, and parents shouldn't be reluctant to have such discussions.

As science advances, we are able to protect children against more diseases than ever.

Today, through immunizations given in the first two years of life, we can protect children from 16 diseases, preventing 33,000 deaths and 14 million illnesses per year.

People do have questions about why certain ingredients are contained in vaccines. Some ingredients, like aluminum, help make the vaccines effective; others, like preservatives, prevent the growth of harmful germs in multidose vials. Read a fact sheet on vaccine additives

This week marked World Autism Awareness Day and was a reminder to all of us at the CDC that much work lies ahead in unraveling the mysteries around this disorder.

As we move forward, we remind ourselves that the best way to find solutions is to work together and make autism prevention a research priority.

We have to continue to support scientific investigations that examine a wide range of potential causes and treatments. We need to make early detection and intervention feasible for all children. Finally, above all else, we must advocate for the support that families and people with autism need in order for them to lead the healthiest and most productive lives possible.

The opinions expressed in this commentary are solely those of the writers. E-mail to a friend

@highlight

CDC says it's conducting large study to investigate autism causes, risk factors

@highlight

Campaign tells parents, care providers, educators about autism warning signs

@highlight

CDC: high-quality, large-scale studies found no links between autism, vaccines

@highlight

Agency defends flexible vaccine schedules, urges parents to talk with doctors