FOLKSTON, Georgia (CNN)  -- Rain or shine, 80-year-old Cookie Williams plops himself on the wooden viewing platform perched over double train tracks.

Cookie Williams, 80, watches a CSX freight train chug by on a typical Tuesday afternoon.

On this warm May afternoon, a patient Williams sits slouched, legs crossed and arms relaxed, donning his vintage CSX railroad company cap littered with miniature train pendants.

He is waiting for a train.

A scanner, listening for oncoming train signals, crackles in the background as it picks up some conductor chatter.

He waits some more.

"A lot of people in this town thought I was on the kooky side," said Williams, who is retired from the paper and pulp industry. "But I love it. I've loved these trains ever since I was a kid."

Folkston, Georgia, where Williams lives, is one of many train hot spots nationwide. Here, the blasting train noises are jokingly called "Folkston music." With up to 60 trains crawling loudly through the quaint town each day, it's become an attraction for fans eager to collect train images and sounds.

In 2001, Williams, who grew up by a train track, pushed town officials to construct a viewing platform with picnic tables, wireless Internet and a scanner to detect oncoming trains. The Southeast Georgia town reports that at least 12,500 visitors from all over the world visit the platform to watch trains each year.   Watch Williams and his friend talk about the joy of train watching »

As the prominence of the iconic American railroad has faded over the past half-century, there remains a devout group of train enthusiasts like Williams and his friends, dubbed railfans, who obsessively chase and watch powerful trains glide along railroad tracks. Trains Magazine, an industry publication, estimates that there are 175,000 U.S. railfans, mostly male baby boomers.

"The word 'enthusiast' doesn't begin to cover their devotion," said Rhonda Del Boccio, head of the Okefenokee Chamber of Commerce, which oversees railfan tourism in Folkston. "Picture [the popular game] 'World of Warcraft' for train people."

On any given day in America, loyal railfans camp out for hours or even days on a platform, a grassy field, a road or a backyard to snap a few photographs or shoot video of the moving trains. Some travel to different cities and countries to capture the right shot.

Last weekend, nearly 20 railfans convened at the Izaak Walton Inn in Essex, Montana, a railroad worker dormitory built in 1939 that was converted into a hotel. The group took pictures of trains set against the backdrop of Glacier National Park during the day and had history lessons about trains at night.

A train festival this summer in Oswego, Michigan, is expected to draw in 30,000 attendees, many of them railfans.

Just like bird watcher keeps an eye out for specific birds, railfans watch for cargo and passenger trains and "critters"-- railfan lingo for small freight trains. On a lucky day, they may spot a historic steam locomotive.

Hardcore railfans spend so much time visually dissecting the trains, they can recite the number of axles in a passing train or recount which years railroad giant Union Pacific Railway Co. changed its logos.

"It's a marvel to see something that weighs hundreds of tons, hauling thousands of tons, moving through rural country," said Bill Taylor, a 62-year-old railfan and former teacher. His Missoula, Montana, home is adorned with antique rail items, such as train silverware and conductor lanterns. "It's an orchestra of motion."

In an age of social media, railfanning has taken a new turn, going viral. On YouTube, there are more than 24,000 railfan videos, ranging from trains chugging through Gary, Indiana, to the subway in New York. Flickr.com touts thousands of pictures uploaded my railfans delighted to share their most prized train spotting moments.

The obsession over railfanning often stems from historical and technological intrigue. Trains not only represent a romanticized era, they have been central to American economic growth and commerce across the country, historians say.

Like any other pastime, railfanning has rules. Most railfan veterans execute the hobby with caution, steering at least 100 feet from private property and dangerous areas, railfans say.

Sometimes, amateur train lovers wander too close to the tracks, raising safety concerns and irritating rail conductors and employees. Rail workers nickname pestering railfans "foamers" because fans stand near the tracks in such awe that they are practically drooling when a train plows through.  See train photos from our iReporters »

"For [conductors and rail workers], it's a dog chasing a car," said Rick Enselman, 41, of Edmond, Oklahoma, who became enamored with railfanning 15 years ago. He started taking his two children to the tracks with him. "They don't understand the rhythm and rhyme of why we're doing it."

Enselman, a salesman, says railfanning takes his mind "away from the real world." His love of trains was inspired by his great-uncle, who bequeathed him a vintage Lionel O Scale train set decades ago.

But it hasn't been a smooth ride for railfans. After September 11, railfanning sparked some controversy. Security officers at railroad companies began to ward off railfans, fearing that they might be a terrorism threat.

Officers soon realized railfans were no harm and could bolster surveillance. In 2006, BNSF Railway Co., one of the largest railroad operators in the United States, created the Citizen for Rail Safety Group, where railfans help the company watch for unusual activity. There are more than 8,700 people, mostly railfans, registered today.

Today, trains are also making a steady comeback despite the challenges of a sluggish economy. Amtrak passenger ridership saw an increase of 10 million over the past decade. President Obama has talked about resurrecting plans for a national high-speed rail network.

"Even though there are fewer railroad companies, they are hauling more stuff than ever before," said Kevin Keefe, publisher of Trains Magazine. "I don't think railroads have lost the ability to capture people's attention."

Back on the viewing platform in Folkston, a 10-year-old boy with eager blue eyes hidden behind a thin pair of glasses, with a videocamera in his hand, is sitting two seats away from Cookie Williams. Surveying the naked tracks carefully, the boy, a railfan from North Carolina, fidgets in his seat

"It's coming up, son," Williams reassures the boy and the four other railfans on the platform. "A few more minutes."

So they wait together, faces brushed by the soft breeze.

And they wait a few minutes more, before the bells jingle a warning. The horn screams twice. And the howling cacophony of a diesel locomotive crashes toward them as they watch the train come into focus from the distance.

@highlight

Trains Magazine estimates there are 175,000 railfans in the U.S.

@highlight

Folkston, Georgia, has about 12,500 visitors to watch trains each year

@highlight

"It's an orchestra of motion," says 63-year-old railfan Bill Taylor of Montana

@highlight

Trains are making a steady comeback despite the sluggish economy