Minamisoma, Japan (CNN) -- The scene of sheer devastation left by powerful tsunami waves looked sadly familiar: trucks slammed into houses, uprooted trees and downed power lines soaked in muddy water, while time stood still inside abandoned homes with unmade beds and scattered stuffed toys.

It was the eerie combination of sounds that stood out as I surveyed a deserted village on this chilly Wednesday morning: Rustling of dangling tin sheets in gusty wind, my own breathing behind a face mask and the constant beeping of my Geiger counter.

My colleagues and I had just entered the 20-kilometer exclusion zone, a radius Japanese authorities drew around the Fukushima Daiichi power plant and ordered some 78,000 residents evacuated in the early days of the crisis, now the worst nuclear accident since Chernobyl.

The March 11 twin disasters of a 9.0-magnitude earthquake and the ensuing tsunami in northeastern Japan have resulted in the plant belching radioactive particles into the surrounding environment.

Driving for two hours on winding highways from the Fukushima train station, we had passed through rural Japan's alternating scenes of snow-covered mountains and green valleys in full bloom -- until we reached a checkpoint with a big "no-entry" sign and flashing red lights.

A friendly police officer, however, waved us through, after emphasizing the need to don face masks despite the relatively low reading on radiation.

Our shoes tightly wrapped in paper booties, we finally stepped onto the soil inside the so-called hot zone, some 18 kilometers north of the stricken nuclear plant. With parts of the ground still wet from days of rain, we avoided murky puddles to minimize the risk of cross-contamination.

The numbers on our Geiger counters fluctuated while the alarms -- with base level set low -- kept going off. Still, we faced no danger of being exposed to anything that would harm human health.

Cars zipped by occasionally as residents were allowed in to check on homes and businesses, but the only other sign of life appeared to be farm animals -- a few cows, horses and chickens -- left behind that have grown gaunt.

We noticed a lone young man in a blue jacket and jeans standing by a large pool of muddy water. Declining to reveal his name, the 34-year-old farmer told us, before the tsunami hit, the pool was a fertile rice field that his family had tilled for 150 years.

"I have lost my work and my home," he said, adding he had come back to retrieve some personal belongings. "And I am scared about my health."

He said he doesn't trust government officials who say risks from radiation are low for local residents. His father wants to return, but he has other plans for the future.

"I may have to face the prospect of leaving my father behind and live faraway from here to start a family," he said.

We wished the young farmer good luck and didn't linger long inside the exclusion zone as it started drizzling from the gloomy sky. As we exited the checkpoint, a news headline flashed on my phone: "Japan to enforce nuclear evacuation zone."

After removing face masks and paper booties, we drove past a line of shuttered storefronts and stopped at the centuries-old Senryu temple just outside the 20-kilometer perimeter.

Sweeping its immaculately kept ground -- complete with a sand garden and a fish pond -- was Shinkoh Ishikawa, a 58-year-old Buddhist monk who offers a rare sanctuary to a community ravaged by a succession of disasters.

The government had advised residents between the 20- and 30-kilometer zones to move away or remain indoors.

"Religion is not something distant, it stays next to you," Ishikawa explained his decision to stay after seeing hundreds of bodies of tsunami victims cremated at the local funeral home without a proper Buddhist ritual. "I hope people understand that death is not the end of one's life, but a revolving step where lives meet again."

Lighting a candle in the temple's main hall where eight boxes of cremated remains lay on a table, Ishikawa chanted prayers for the dead. But it's the tough and cheerful nature of the locals, he said, that has given him the best hope even as the nuclear fallout continues to unfold.

"We will rebuild," he said. "I'm confident about that because we had done the same after the second world war."

@highlight

There is a 20-kilometer exclusion zone around the Fukushima Daiichi nuclear facility

@highlight

A 9.0-magnitude earthquake and ensuing tsunami hit northeastern Japan March 11

@highlight

The twin disasters devastate the nuclear power plant