(CNN) -- Women spend every day juggling bosses and birthday parties, dates and diapers, but when was the last time you had a day to do what you want to do, obligation-free?

How about four?

Enter Campowerment, a retreat for women to, as they put it, "escape, unwind and reignite your flame; to renew and re-energize, however you choose to do it."

Translation: Me time. Big-time.

It was founded by Tammi Fuller, an Emmy award-winning TV producer, who calls camp her "happy place" and dreams of being a camp director full time. Campowerment offers a variety of activities for body, mind and spirit.

"We go out of our way not to make it spiritual," Fuller says, "because there are so many retreats like that. It's all there, but it happens naturally. We say it's a life-changing weekend for some people, but what that is is different for everyone. Some people don't even know what they need when they get there.

"That's what we hear, 'I didn't even know how badly I needed it.'"

The camps are held in Malibu, California, and Ocala, Florida, with an upcoming session being planned in New York next year. The four-day weekend costs $975 for all lodging, meals, snacks, alcohol and activities.

Let me get a few things out of the way: I didn't pay to attend. I was at camp as reporter invited by the organizer.

Although I loved summer camp as a kid, these days I'm not what you'd call a joiner. My emotions run deep, but I don't typically share them with just anybody. And I fantasize about chucking my life and living like a hippie, but for now I enjoy both privacy and luxury of all varieties.

My approach to the weekend was to think of it as a very cool work assignment, and the limited cell reception would give me an excuse not to check e-mail. I didn't expect to love it and I certainly didn't expect to be changed by it.

But then the alchemy of being in nature with a group of amazing women kicks in.

I met women who loved summer camp as a kid, and wanted to relive the days of youth; moms who celebrated a milestone birthday away from the stress of daily life and others who just wanted a getaway.

Our days were filled with yoga and fitness, parenting and relationship workshops, life coaching, healthy cooking demonstrations, energy healing, journaling, astrology and palm reading, fashion and style advice, as well as sing-alongs, s'more roasting, a sex toy party and happy hour featuring vodka-soaked gummy worms.

You're participating in activities (or not -- everything is optional) that push you out of your comfort zone physically and emotionally, and supporting one another in the process. Before I knew it, all of my defenses melted and gave way to deep bonding. In fact, I was so present that, with apologies to my editor, I kinda forgot I was there to write.

"It was so nice to just be with other women and share our stories," says Selena Long, 40, a stay-at-home mother of two from of Scottsdale, Arizona. "It made me a happier person. I felt renewed and like I am not alone."

"It was amazing to see strong friendships form after only three days," says Jill Brody Sundahl, 45, an entertainment marketing consultant from Studio City, California. "I was more open with sharing feelings than I thought I might be with complete strangers."

The idea for Campowerment started in 2001 when Fuller's friend invited her over for wine and chocolate with four other women, none of whom knew anyone but the hostess.

"Apparently we were all bitching and moaning to her about the same things," Fuller recalls. "We were working too hard, we were not working out enough, we were all making more money than our men, we were giving our kids too much and not taking anything for ourselves, we were taking care of our aging parents, we were trying to figure out 'What's this spiritual thing?' and if there's really a god and everything happens for a reason, why the hell am I so miserable?

"Because we didn't know each other, it was the theory of sitting next to the stranger on an airplane: We started to talk about things like guilt and relationships and sex and stuff that is normally off-limits in your world. It was a place to share common experiences; to go and dump in a safe space. There was unconditional acceptance and no judgment at all." The group's meetings eventually grew longer, and their lives more intertwined. The gatherings were so therapeutic, the women decided to share their stories in the hope that it would have the same effect on others.

They also organized retreats, originally dubbed Camp Bombshell. Fuller refined the program over the years. The April Campowerment session I attended was the 19th camp she's produced, and every camp lineup is different.

At ours, a reading led by Mary Ann Zoellner, co-author of "Sh*tty Mom: The Parenting Guide for the Rest of Us," found a roomful of mothers laughing for an hour straight in both recognition and relief as they shared stories of their own so-called s--tty parenting.

One woman sometimes keeps her kids up past their bedtime so she can sleep late, one lies about dead batteries -- even on toys that don't run on them -- when she doesn't feel like dealing. Another accidentally left her sleeping infant upstairs when she and her husband went to a movie for the first time after the baby was born.

"It made me realize there are so many moms out there like me and we aren't s--tty, but truly great moms who aren't perfect," Sundahl says.

"It was highly amusing and it felt good to laugh from the belly," says Tina Ryder, 42, a daycare business owner, from Scottsdale, Arizona.

The centerpiece of the Campowerment experience is the ropes course, which involves traversing an elevated balance beam and swinging off Tarzan-style when you reach the other side, or climbing a 35-foot telephone poll and jumping off onto a trapeze, AKA the "leap of faith."

"I loved the 'leap of faith,'" Long says. "It was scary, emotional and invigorating. So freeing."

"We've got these hot coaches offering encouragement," Fuller says. "You don't realize you're about to be transformed because you just think, I just have to get across that beam or to the top of that pole. But when you get to the top, all of a sudden, you're raw. You're standing looking at the ocean. You're so proud of yourself and can't believe you did it."

That's when the coaches start asking you questions: What do you love about your life? What do you want to leave behind? What's not working for you? What are you afraid of?

"Who thinks about that?!" Fuller says. "Now you're standing on the top of the world with people on the ground cheering for you. There's something magical that happens from the unconditional support you're getting from people that 48 hours before you never even knew that bonds everybody instantly. Everybody is so happy for each other."

Before Campowerment, I was perfectly content for my thrills with poles to take place at sea level. See, I mistook the "leap of faith" for a physical adventure that I wasn't particularly interested in, but would be mad at myself for skipping.

Instead, it was an unexpected confrontation with -- and then triumph over -- my limiting beliefs. My brain tried every excuse to keep me from reaching the top, all of which basically boiled down to: What if you try and you fail? It's a recurring negative thought that has prevented me from taking other risks in my life. Through sheer force of will that this time be different, and the encouragement from the women below, I reached the top with a new outlook on life: The view is breathtaking, and you're supported even if you fail.

"I did the swing and it was fun and all, but the ladies who did the pole brought me to tears every time," Ryder says. "I felt like I was going through all their emotions with them -- with my feet firmly on the ground -- and fighting for them to overcome whatever challenge they were struggling through."

"The leap of faith was a game changer for me," says Alison Manzardo, a 40-year-old mother of two. "I have never done anything like that before. It was a raw fear that I pushed through. I felt supported and found a courage that I didn't know existed."

Of course, Fuller did.

"We didn't just pull the experts off the street," she says. "I spent months building this team. They're well-heeled in what they do, but more importantly, I've been helped personally by them and I just want to share with people the stuff that's helped me.

"I'm a 53-year-old single mother, workaholic, camp-obsessed person," she says. "I'm every woman. I'm 10 pounds overweight, I'm struggling to juggle my life, I want more in the way of money, I want more love, I want to be able to share and have joy every day, I want to have children who contribute to the planet, I want more out of my life."

Now, at least for one weekend at a time, we can.

@highlight

Campowerment retreat draws women to a grown-up version of summer camp

@highlight

Activities include archery, yoga and the "leap of faith," a jump from a 35-foot pole

@highlight

Also: s'more roasting, happy hour sing-alongs, a sex toy party

@highlight

Camper: "It was so nice to just be with other women and share our stories"