Washington (CNN) -- President Barack Obama asked Congress Friday for more power to streamline and reorganize the federal government, a move designed to claim the political middle ground in an election likely to be dominated by questions about Washington's role in the economy.

The president asked legislators to grant him the authority to merge agencies that perform similar functions. If that power is granted, Congress would be required to hold an up-or-down vote on the president's streamlining plan within 90 days of its submission.

Among other things, the president's plan would combine several agencies that focus on commerce and trade, including the Small Business Administration, the Office of the U.S. Trade Representative, the Export-Import Bank, the Overseas Private Investment Corp. and the Trade and Development Agency.

Under the move, the Commerce Department as currently constituted would be eliminated. Some of its responsibilities would be shifted to a new department yet to be named, while other functions would be shifted elsewhere.

In the meantime, the president is elevating the Small Business Administration to a Cabinet-level agency -- a largely symbolic move that does not require congressional approval.

"No business or nonprofit leader would allow this kind of duplication or unnecessary complexity in their operations," Obama told a group of business leaders and administration officials at the White House. "So why is it OK for our government? It's not. It has to change."

The proposal is designed initially to save up to $3 billion over the next decade, partly by cutting up to 2,000 jobs through attrition, according to the administration.

Obama noted Friday that presidents starting in the midst of the Great Depression were authorized to submit federal reorganization plans to Congress for a guaranteed up-or-down vote. That authority, however, expired in 1984.

"When this process was left to follow the usual Congressional pace, not surprisingly, it slowed down," Obama said. "Congressional committees fought to protect their turf. Lobbyists fought to keep things unchanged because they're the only ones who can navigate the bureaucracy. And because it's always easier to add than to subtract in Washington, inertia prevented any real reform from happening."

Obama's plan -- building on a promise made in last year's State of the Union address to streamline government -- could help to place the president in a more centrist position heading into the election, political analysts note. It could also put congressional Republicans in a politically awkward position by forcing them to either accept the plan -- thereby handing Obama a political win -- or reject it and risk ceding a core conservative issue to the president.

"President Obama is trying to counter the perception that he is a big-government liberal," said Keating Holland, CNN polling director. "If he gets his way and can brag about reorganizing the government, that may help him in the fall."

On the other hand, Holland noted, "when then-Vice President Al Gore was put in charge of a 'Reinventing Government' initiative under Bill Clinton, it didn't seem to affect views of Gore in that regard, possibly because few Americans really noticed."

Skeptical Republicans questioned both the merit and the timing of Obama's announcement.

"Given the president's record of growing government, we're interested to learn whether this proposal represents actual relief for American businesses or just the appearance of it," said Brendan Buck, a spokesman for House Speaker John Boehner, R-Ohio. "American small businesses are more concerned about this administration's policies than from which building in Washington they originate. We hope the president isn't simply proposing new packaging for the same burdensome approach."

Don Stewart, a spokesman for Senate Minority Leader Mitch McConnell, R-Kentucky, said that "after presiding over one of the largest expansions of government in history, and a year after raising the issue ... it's interesting to see the president finally acknowledge that Washington is out of control."

Republicans frequently cite the rapid growth in deficit spending over the last three years as an example of explosive government growth under Obama. Democrats insist such spending was necessary to prevent a deeper economic downturn.

California Rep. Darrell Issa, the Republican chairman of the House Oversight and Government Reform Committee, criticized the administration for allegedly not working more closely with Congress on earlier reorganization efforts.

"I stand ready to work with President Obama on proposals to reorganize federal agencies," Issa said in a written statement. "While I have been disappointed that the White House has not embraced earlier bipartisan congressional efforts seeking collaborative engagement on proposals to reorganize government, I hope this announcement represents the beginning of a sincere and dedicated effort to enact meaningful reforms."

Issa noted a letter sent last March from several congressmen to the White House seeking "a tentative timeline for development and implementation of (a) reorganization proposal."

CNN's Kate Bolduan contributed to this report

@highlight

Obama plan would replace the Commerce Department

@highlight

Obama elevates the Small Business Administration to a Cabinet-level agency

@highlight

Plan could save $3 billion by cutting 2,000 jobs through attrition

@highlight

GOP spokesman says proposal only comes after years of government growth