(CNN) -- It's honeymooners' heaven and a surfer's dream. It's America's most remote capital and perhaps its most exotic. Home to hula skirts and palm trees and some of the world's most breathtaking beaches, Honolulu may well be a United States paradise.

But paradise isn't cheap.

The Hawaiian capital and the surrounding island of Oahu are among the most expensive places in the United States, and it can feel intimidating to find reasonably priced meals and activities as a budget-conscious tourist.

Luckily, there are some monetary oases within this American paradise that will bring a smile to the heart (and wallet) of travelers on a budget.

Take "TheBus." TheBus -- yes, it's actually called TheBus -- is Oahu's public transportation system, and it has stops throughout the island. One-way fares for adults are $2.50 and $1.25 for kids. (You can also get a four-day pass for $25.00 and a monthly pass for $60.00). TheBus is a great way to get around Oahu without busting the piggy bank on a rental car. Plus, because it's the driver's responsibility to worry about traffic, all tourists have to do is soak in the sights.

To luau or not to luau? Your Hawaii tips

Taste Hawaiian cuisine. No trip to Oahu is complete without some native Hawaiian fare like kalua pork (smoked pork slow-cooked underground), lomi lomi salmon (fresh tomato and salmon salad), chicken long rice (chicken broth with glass noodles) and poi (mashed taro).

Haili's Hawaiian Foods -- winner of the Healthy Plate Lunch Contest run by Hawaii's Department of Health -- offers a variety of native Hawaiian dishes for under $10. The family-run restaurant has been in business since the 1950s, and the sisters who currently run it are happy to answer questions about dishes with an enthusiastic smile. Haili's Hawaiian Foods is a short 20-minute bus ride from Waikiki on the 13 bus; the restaurant is closed on Mondays.

To sample some of the best short ribs on the island, visit another family-run local favorite, Helena's Hawaiian Food, which has been around since 1946 and was featured on the Travel Channel's "Man v. Food." Expect a line. The B or 2 buses go to Helena's from Waikiki, and the ride takes about 40 minutes. It's also closed on Mondays.

Heavenly Hawaii: Dos and don'ts

Climb Diamond Head. Work off that Kalua pig by climbing Diamond Head crater. One of the most iconic sites on Oahu, it was formed about 300,000 years ago after a volcanic eruption. The trail to the summit was built in 1908 and used by the military to defend Oahu from invaders, but today, guests can climb it to see some of the most spectacular views of the island.

Trekkers should allow 1Â½-2 hours for the climb and should wear comfortable shoes. Some parts of the ascent can be strenuous, and near the summit, there is a 225-foot narrow tunnel; those suffering from claustrophobia should ask for the alternate route to the top. The walk to the base from Waikiki Beach takes about an hour. Diamond Head is also accessible via a short ride on the 22, 23 and 24 buses from Waikiki. Cost of admission is $1.00 for pedestrians.

Pick up souvenirs at the Aloha Stadium Swap Meet. Take the 20 or 42 bus from downtown Honolulu to the Aloha Stadium where a huge swap meet -- kind of like a flea market -- takes place Wednesdays, Saturdays and Sundays. Here, everything from macadamia nuts to Hawaiian shirts and local crafts to junk that residents are trying to unload from their attics are sold at prices well below what's to be found in Waikiki.

While some selling their wares at the swap meet are regular vendors offering deals on beach towels or souvenir magnets, be sure to check out locals selling used items on blankets near their cars, which may be more unique. Entrance to the swap meet is $1.00, and the best time to arrive is between 9 and 10 o'clock in the morning.

Visit Pearl Harbor. Don't miss the opportunity to pay your respects to those who died at Pearl Harbor on December 7, 1941. The mood is a somber, peaceful contrast to the frenetic activity of Waikiki, and the museum offers a unique opportunity to learn about the Pearl Harbor attack from personal accounts of people who were there. While there is a charge to tour some areas of Pearl Harbor, many of the most moving parts of this historic site are free.

There is no charge to visit the World War II Valor in the Pacific National Monument or to tour the USS Arizona. Note: Tours of the USS Arizona must be reserved. To reserve online there is a $1.50 reservation fee per ticket. It is not uncommon for tours to be booked solid several days in advance, though some tickets may be available up until noon on the same day of the tour. The 20, 40, 40A, 42 and 62 buses from Waikiki all make stops at Pearl Harbor; the ride takes about an hour.

Eat shave ice. No visit to Hawaii is complete without an afternoon shave ice. This Hawaiian treat is somewhat like a snow cone, only with smaller ice slivers that hold syrup better. For a really authentic incarnation of this treat, ask for a splash of Li Hing powder on top -- a kind of sweet and sour topping made from dried plums -- or condensed milk. Azuki beans (sweet red beans) and ice cream are also delicious accompaniments.

While it's sure to be delectable just about anywhere on the island, San Lorenzo Shave Ice in Haleiwa is particularly yummy. Expect to spend $4 to $6, depending on size, for your sugary treat.

Cheer as surfer dudes conquer the Banzai Pipeline. Oahu is a surfer's paradise and home to some of the most exhilarating -- and dangerous -- waves in the world. Here, it's not unusual to see daring surfers sliding underneath curling waves of the variety normally reserved for magazine covers and "Blue Crush." Surfers ride waves all day, though they're usually most impressive before 11 a.m. Located on the less developed north side of Oahu, the Pipeline is near the Mokule'ia Beach Park (coming up next). The 52 bus from Honolulu goes to the Pipeline; the ride takes a little over two hours. To get to Mokule'ia Beach Park from the Pipeline, take the 52 bus back toward Honolulu for approximately 15 minutes.

Get lost in awe at "Lost" locations. Most of the hit television series "Lost" was filmed on Oahu and fans can visit everywhere from the mental institution where Hurley lived to the home of the mysterious Smoke Monster. Many of these sites are free: For a quick infusion of "Lost" mystique, visit the Hawaii Convention Center in downtown Honolulu to see where the cast filmed scenes that supposedly took place in the Sydney Airport.

For the quintessential "Lost" experience, visit the site of the fictional Flight 815 crash. Mokule'ia Beach Park, the filming site for most of season one, is on the north shore of Oahu, and a great place to visit along with the Banzai Pipeline. The north side of Oahu is less developed as a tourist destination than the south side where Waikiki is, so it's not unusual for the beach to be empty (though don't be surprised to see a sea turtle napping on the shore).

Beware that the intense surf on Oahu's northern beaches often makes swimming dangerous, and no lifeguards are on duty. By bus, take the 52 to the Wahiawa Transit Center and transfer onto the 55. Get off at the Papailoa Road stop on Kamehameha Highway. Make a left onto Papailoa Road and walk about five minutes to the public access point for the "Lost" beach.

Tour the Dole Plantation. It opened as a fruit stand in 1950, but today, the Dole Plantation is a well-trodden tourist attraction that pays homage to one of the island's most iconic foods: the pineapple. Access to many parts of the Dole Plantation are free, including a garden where children can roam and see different varieties of pineapple growing.

For a bit more of a splurge, the Plantation Garden Tour is $5 for adults and $4.25 for children, and access to the world's largest maze -- complete with a pineapple at its center -- is $6 for adults and $4 for children. A ride aboard the 20-minute Pineapple Express train is a little steeper, costing $8 for adults and $6 for children. If the weather's hot, be sure to indulge in the world-famous pineapple frozen treat known as the DoleWhip before leaving ($4.25). To get to the Dole Plantation, take bus 8, 19, 20, 47 or 58 from Waikiki and transfer onto the 52 at Ala Moana Shopping Center; ride time is approximately 1 hour and 45 minutes.

Slurp some noodles. After a hard day of touring, a hearty meal is always needed. Marukame Udon, located right in Waikiki, is a Japanese cafeteria-style restaurant known for its homemade udon noodles -- a kind of thick, chewy spaghetti -- and the line out the door. Many of the noodle dishes cost under $5 and, for an extra splurge, individual pieces of tempura -- deep-fried shrimp or vegetables -- are available for about $1.50. (Note: Marukame Udon does not take credit cards). Don't be intimidated: The line moves quickly, and the food is worth standing outside for.

Have you been to Oahu? Share your tips below for making the most of a visit.

@highlight

Oahu's public bus system is an economical way to get around

@highlight

Check out the Aloha Stadium Swap Meet for good value on souvenirs

@highlight

Shave ice and Japanese noodles are tasty, affordable snacks