(Health.com) -- The line in the middle of Christine Honeycutt's forehead was barely noticeable at first. It was a faint gray smudge, just a half-inch long from top to bottom.

"It looked like she ran into a doorjamb, which kids do," says Christine's mother, Vicki. But the five-year-old swore she'd done no such thing.

When she looked closer, Vicki also noticed what appeared to be a small bruise or birthmark on the left side of her daughter's neck. That, too, seemed like nothing, but when the marks didn't go away after a couple of weeks, Vicki took Christine to the doctor.

"It's just a discoloration," the pediatrician said, giving Vicki a cream. "Keep her out of the sun and put this on it."

The cream didn't work. Five months later, the gray line was still there -- and it now extended halfway down Christine's forehead.

Health.com: 20 medical mysteries and miracles

The Honeycutts consulted a second doctor -- this time in southern California, where the family had recently moved from Charlotte, North Carolina -- and received the same advice. Vicki wasn't reassured, but she wasn't unduly worried, either. Christine was otherwise healthy, and she seemed to be enjoying kindergarten at her new school.

Then, in first grade, Christine started inexplicably gaining weight and suffered a violent seizure at home one evening, losing consciousness and convulsing. The ER doctors who treated her concluded that the seizure had been brought on by the 102-degree fever she'd been running, but Vicki suspected it wasn't that simple.

Health.com: Doctors induce 5-month coma to save woman's life

A surprising diagnosis

\Within a few months of the seizure, the line on Christine's forehead stretched down to her eyebrow and looked more like an indentation than a shadow. People were noticing. One of Christine's teachers told her to wipe the ink off her forehead. "I can't," she replied. "It's always there."

There were other troubling signs: One side of Christine's forehead was normal, but the other was "meaty," Vicki recalls. And her ears looked out of proportion to one another -- an asymmetry that seemed to extend over her entire face.

"One side of her face looked like a baby," Vicki says. "It looked like one side of her face was growing and the other was not."

As it turns out, that's exactly what was happening.

In 2008, two and a half years after the line first appeared on Christine's face, a geneticist who specializes in facial deformities finally diagnosed her with Parry-Romberg syndrome, an extremely rare autoimmune disorder that affects roughly one in a million people. Christine's own immune system had turned against her so that one side of her face was developing normally while the other side was slowly but surely deteriorating.

Parry-Romberg syndrome, also known as progressive facial hemiatrophy, was first identified in the early 1800s. It usually starts in childhood and gets worse with time, and it seems to be more common in girls. (Although Christine was diagnosed by a geneticist, the condition does not appear to be inherited.) In addition to the distinctive atrophy that occurs on one side of a patient's face, it can also cause seizures and other neurological problems.

The indented line in Christine's forehead -- a feature found in about one-quarter of people with facial hemiatrophy -- is known as coup de sabre, a French phrase that translates as "cut of a saber" and evokes a scar that someone who has sustained a gash in a sword fight might be left with.

After Christine was diagnosed, Vicki went home and looked up Parry-Romberg on the Internet. What she saw was not comforting. "There were horrifying pictures," she says. "One side [of a patient's face] was a skeleton and the other side wasn't."

Health.com: Get really inspired

A bleak prognosis

There is no cure for Parry-Romberg syndrome. Nor are there any proven treatments, although drugs that suppress the immune system have been shown to be beneficial in some cases.

For two years after Christine's diagnosis, the Honeycutts consulted expert after expert, and all of them told the family that not only was there no cure, but Christine could not have her face reconstructed until the disease stopped progressing, which could take years. By that time, the underlying facial bones might also be affected.

"This was mind-blowing," Vicki says. "She's going to go through adolescence with her face destroyed then they're going to reconstruct it?" That wasn't good enough for Vicki. Christine was now 11 years old, on the brink of a stage in life that can be tumultuous for even the healthiest and most ordinary kids.

So Vicki contacted Dr. John Siebert, M.D., a plastic surgeon whose name she'd come across during her online research. A professor of surgery at the University of Wisconsin School of Medicine and Public Health in Madison, Siebert specializes in microsurgery and has operated on about 400 patients with facial asymmetry over the past two decades, 140 of them with Parry-Romberg.

He looked at photos of Christine and agreed to operate in November 2010. The Honeycutts made plans to travel to Wisconsin.

Health.com: "Indescribable, crazy pain": I survived dengue fever

"Like building a teddy bear"

The surgery took about seven hours. Siebert and his team transplanted tissue -- complete with functioning blood vessels -- from under Christine's left arm and inserted it under her face via an incision in front of her ear.

"It's like building a teddy bear," Siebert says. "The skin and the fur is all there. My job is to give the stuffing to bring out its natural form or shape." His goal in these surgeries, he adds, is to "sculpt" the transplanted tissue and integrate it with the healthy tissue on the other side of a patient's face "smoothly and gradually, so it looks like it was there all along."

The relocated tissue will grow along with Christine as she matures, Siebert says -- although he can't explain how. It could be that the transplanted tissue and blood vessels restore normal blood supply to the damaged side of the face and allow the cells of different tissues to "talk to each other" in ways that prevent further atrophy, he says.

Some Parry-Romberg experts are skeptical that the procedure can actually reverse the course of the disease and prevent damage to the underlying bone and muscle. But Siebert says he has rarely had to perform a second surgery, which, he says, would probably be needed if the disease continued to progress.

Health.com: 7 strategies to love the way you look

Back to school

Christine will undergo a brief procedure to fine-tune the tissue in her jaw this summer, and she'll have to visit Dr. Siebert's office every five or six months after that.

She has a scar that stretches from her underarm to her shoulder, an incision mark on her neck, and, three months after the surgery, her face is still a bit swollen. But she's going to school again and is starting to feel like she's returning to normal.

"I like my nose better now," she says.

Copyright Health Magazine 2011

@highlight

Parry-Romberg syndrome is an extremely rare autoimmune disorder

@highlight

One side of her face was developing normally while the other side was deteriorating

@highlight

The relocated tissue will grow along with Christine as she matures