(CNN) -- Motivation is a tricky thing. We need it in every aspect of our lives: to get up in the morning and go to work, to start (and finish) that 10-page paper, to do laundry after a long day.

Yet the motivation to get healthy often eludes us. It hides in the form of excuses -- excuses for why we can't go to the gym or cook a healthy meal, why we can't get enough sleep or make time for ourselves.

Often we lack motivation because we lack inspiration.

Why I became a triathlete

Every year CNN selects iReporters to race in a triathlon with Dr. Sanjay Gupta and the Fit Nation team. This year we're giving six lucky readers a road bike (with all the necessary accessories), a wet suit and a gym membership to help them prepare for the Nautica Malibu Triathlon on September 8.

As they train for their first triathlon with support from our fitness and nutrition coaches, they'll blog, tweet and share their workouts online. You'll watch as they get ready to swim a half-mile in the ocean, bike 18 miles and run 4 miles along the Pacific coast.

We hope this year's Fit Nation Triathlon Challenge team will inspire you to make your own health a priority. Whether it's being a role model for your kids, accomplishing a personal goal or simply being able to enjoy life, find your motivation for getting fit and eating better. If our past Fit Nation team members are any indication, you'll be happy you did.
Meet this year's team:

Douglas Mogle

Douglas Mogle was tailgating at a Notre Dame game in October 2011 when he started feeling ill. On his way out of the parking lot, he passed out and fell down face first. At 31 years old, he had gone into sudden cardiac arrest.

"I have a confession to make," Mogle wrote in his first blog for Fit Nation. "I was petrified of not being selected to the CNN Fit Nation Triathlon Challenge. Seriously, petrified.

"It seemed as though everyone who applied to the challenge was going to 'Start this new way of life,' regardless of being selected or not. They were motivated. They had obtainable goals. They had a plan. I, on the other hand, was shaking in my boots. I was not ready to face the reality of trying to live a healthier lifestyle by myself, again."

A fourth-grade teacher from Atlanta, Mogle is now ready to follow his own advice to his students: You have to work really, really hard to reach success.

"I'm in this for the long term, and failure is not an option. I'll do whatever my CNN Fit Nation coaches and mentors ask me to do. I'll follow their workouts, their eating plans and everything in between. Will it be easy? No, probably not. But 'they' usually say that nothing worthwhile ever is."

Hear more of Mogle's story

Will Cleveland

Will Cleveland grew up in the military, traveling from country to country with his family. As an adult, the Atlanta man became a soldier himself.

Looking back on his childhood has motivated the 28-year-old single father to become a role model for his son. That includes quitting smoking, a bad habit he picked up after leaving the Army.

"I want to stay living as long as possible in order to experience this world in its entirety," Cleveland wrote. "I want to be around when my son has a chance to see the world, and I want to be there to guide him and teach him right from wrong. ... If it makes any sense, I would say just by seeing what I have seen thus far, I know there is much more to see.

"I know this training and competing will be painful and mentally stressful, but if he sees that his father was able to finish something he set out for, maybe he will think he can do the same thing and strive to be the best."

Hear more of Cleveland's story

Annette Miller

Annette Miller wanted to join the basketball team when she was 10 years old. Permission slip in hand, she excitedly told her parents about her plans -- but, she says, they told her she was too fat to play.

"Those five words impacted my life more than I could ever know," Miller wrote on her iReport submission. "For the past 20-plus years I've been 'too fat to' do a lot of things."

The tipping point came when Miller's twin sister needed a kidney transplant. Doctors wouldn't even test Miller to see if she was a match because she was obese. Since then, Miller has lost more than 100 pounds.

"I've seen how my body has changed and how strong I'm getting and it amazes me," the Nashville resident wrote. "My way of thinking and seeing myself are still works in progress. Many days I feel like the 10-year-old that just wanted to play basketball, and I still hear 'You're too fat to play.'

"I need to be able to run across the finish line and be able to call myself a triathlete. Completing this challenge with the 2013 Fit Nation team will do more for me mentally and emotionally than any amount of weight I can ever lose."

Hear more of Miller's story

Stacy Mantooth

"I barely recognize the person I've become," Stacy Mantooth wrote in his first blog. "Who is this fat guy staring back at me in the mirror? Apparently watching sports on TV doesn't actually count as exercise. Who knew?!"

Mantooth is a big fan of triathlons. He has volunteered at several in his hometown of Las Vegas. Watching from the sidelines, he wished he could be one of the athletes crossing the finish line.

"But how could such an unhealthy person become a triathlete?" he asked himself. "The journey seemed so overwhelming, but every one of those athletes, from the pros to the Joes, had to start somewhere, right?"

Thanks to encouragement from his girlfriend, Mantooth will soon get to cross the finish line in Malibu.

"I know that success and real change will come from hard work, but I'm committed to the miles of training that lie ahead," he wrote. "I'm ready to finally improve -- and downsize -- the person I see in the mirror."

Hear more of Mantooth's story

Tabitha McMahon

Life hasn't been easy for Tabitha McMahon. At just 19 years old, the Indianapolis resident was diagnosed with ulcerative colitis, a type of inflammatory bowel disease. Symptoms forced her to quit school, and she spent several years in and out of hospitals.

"Blood transfusions, broken bones, mono, pneumonia, incontinence, painful joints, significant weight loss followed by significant weight gain, major abdominal surgeries and a temporary ileostomy left me physically weary and nearly defeated," McMahon wrote on her iReport submission.

"Nearly defeated" is the key phase. After having her colon removed in emergency surgery, McMahon slowly recovered -- marrying her college sweetheart, earning her degree, starting work in the nonprofit world and adopting a baby. Now she has her eyes set on new goals.

"First and foremost, I want to get fit. I want to lose these extra pounds and be healthy and active every day. I want to live a long life for my husband and 7-year-old daughter.

"I also want to reduce stigma around UC and other digestive disease(s). As you might imagine, this is not the stuff of cocktail party chatter. However, 1.4 million Americans suffer silently from inflammatory bowel disease. It's pretty astounding.

"I have spent many years convincing myself that to be active I can only work out in a gym or at home -- somewhere near a bathroom. ... No more. It's time to face these fears head on. It's time to get out of the gym and on the road."

Hear more of McMahon's story

Rae Timme

Rae Timme, a long-time prison warden for the Colorado Department of Corrections, will retire two weeks after the Nautica Malibu Triathlon. She's excited about her retirement, but wants to be in shape so she can enjoy quality time with her husband, three kids and seven grandkids.

"I have ... learned the past few years how truly precious life is, and that none of us can take our health for granted," Timme, of Pueblo West, Colorado, wrote in her blog. "I have lost my sister, my brother, both of my parents. I am the oldest of the four kids that my parents had -- our younger brother died of leukemia when we were kids -- and the only one that survived them. Sadly, the primary causes of death for my brother and sister were preventable."

Timme has read scary statistics about her profession: People who work in corrections have the second highest mortality rate of any job; on average, a corrections officer's 58th birthday will be their last. That motivated her to apply for the CNN Fit Nation team.

"I am a literal bundle of emotions," Timme wrote in the days leading up to the kick-off weekend trip. "I am excited beyond belief, humbled to have been selected from so many applicants, scared to death about being able to keep up with the youngsters on the team, and terrified of having to wear the tri shorts that came in the mail today in public.

"Most of all, I cannot wait to get started on this journey."

Hear more of Timme's story

Follow Fit Nation on Facebook and Twitter @CNNFitNation

CNN's Caitlin Hagan and Matt Sloane contributed to this story.

@highlight

CNN selected six iReporters to train for the Nautica Malibu Triathlon

@highlight

Fit Nation team will help them swim, bike and run their way to the finish line

@highlight

Follow the team's journey on Facebook and on Twitter