Uncertainty normally comes with the new. This year's Brazilian presidential elections, though, have been like no other. After Sunday's polls gave President Dilma Rousseff, from the left-wing Worker's Party (PT), another four-year term with a narrow margin of victory, Brazilians embarked on a guessing exercise about what her next government will look like.

On the surface it doesn't seem a vote for change, but the President knows it should be. There were exuberant celebrations in the PT camp and frustration in the faces of supporters of the defeated centrist candidate, Aecio Neves, from PSDB. But no one could say for sure what the result means for the next four years.

Since massive street protests in June 2013 called for change in Brazilian politics and economy, that word has been around in almost every political statement -- including Rousseff's victory speech on Sunday night. As she addressed supporters in Brasilia, the President said she had not forgotten the message from the streets. "The most repeated word in these elections has been 'change'. And I know that I have been re-elected to make the big changes the Brazilian society demands."

Rousseff had already hinted that her second term will be different from her first -- "new government, new ideas" was her campaign slogan. "I want to be a much better president than I've been so far", she said on Sunday, while also talking about "building bridges" with political opponents. The challenges, in the economy and in politics, are huge.

So what should Brazilians expect? In her speech, she mentioned wide-ranging political reform. A new direction in the economy? Unlikely. A friendlier approach towards a fragmented Congress? Who knows. A more positive dialogue with the private sector? Possibly. Or nothing of that sort. Dilma Rousseff Part II is still to be revealed.

Almost half of the country wanted a different outcome. Rousseff won with 51.6% of the valid votes, while Neves received 48.4% -- the closest presidential election result in 25 years. The President's performance was 1.4 million votes short of the 55.8 million she got four years ago, while the opposition increased their base from 43.7 million in 2010 to 50.9 million.

Brazilians endured three months of a fiercely fought campaign -- or as some have called it, "dirty" and "shameful" after a number of personal attacks that were both baseless and tasteless. Many voters lost their composure too, with political differences ruining friendships and keeping relatives apart. A wish that something new would come out of this battle was evident in late August when, after the tragic death of socialist candidate Eduardo Campos in a plane crash, his running mate and environmentalist Marina Silva took the helm on their ticket.

In a few weeks opinion polls showed Silva ahead of Dilma Rousseff in a second round simulation. But the scaremongering from the government's camp that Silva's lack of political support could lead her government to collapse made her support drop as quickly as it had risen. The task of trying to dethrone Rousseff in the second round fell to Aecio Neves, with support from a defeated Marina Silva. Brazilians watched the sixth edition of the same PT vs. PSDB face-off that has marked every Brazilian presidential election since 1994.

Dilma Rousseff was re-elected thanks to her party's record in power. In the 12 years that the PT has governed Brazil, extreme poverty has been reduced by more than half. Social programs that increased the income of the poorest now reach 14 million families, most of them in northern regions. In those areas, Rousseff easily won the trust of the voters, beating her opponent by margins that reached 70%. But she came close to losing the election due to poor recent economic results and the word that many today associate with her party's red star: corruption.

Although the unemployment rate remains low, at 5%, analysts expect layoffs to increase in the months to come. Brazil's economy is technically in recession -- its GDP fell in the last two quarters -- and the IMF predicts only 0.3% growth in 2014.

Members of Rouseff's PT party were convicted and jailed for illegal campaign funding and the bribing of Congressmen. And a new (and still ongoing) corruption scandal at the heart of Petrobras, the Brazilian state oil company, hit the government at its core. Poor economic data and sleaze are issues that tend to shock and concern the better-off and well-educated, mainly located in the south of Brazil, where Aecio Neves performed very well. In the State of Sao Paulo, the richest and most populated, he got 64% of the vote.

Massive street protests, a stalled economy, corruption; Dilma Rousseff survived it all -- just. Her main tasks now are to unite a divided nation, find a way of making Brazil's economy grow again, bring down an inflation rate that is stubbornly high (6.75%) and change something. The Brazilian President knows that she has not won this contest because of what she's promised to do in the future, as she didn't even present a formal plan for her second term. She's won because of the past, and the future is still being planned.

In opinion polls, 70% of Brazilians have repeatedly said they wanted change in the federal government. Unsure about how to achieve that, they decided to close their eyes, keep things as they are and hope for the best.

@highlight

With more than 99% of votes counted, incumbent Dilma Rousseff had 51.59% of the vote

@highlight

Simões: Result wasn't a vote for change, but the President knows she must make changes

@highlight

Simões: Rousseff didn't win because of her plan for the future -- she won for past performance