Sierra Leone plans a three-day nationwide lockdown in an effort to halt an Ebola outbreak that has killed hundreds, a move that a leading medical charity said Saturday will not help.

People will not be allowed to leave their homes for three days under the plan, set to start September 19. The lockdown is being billed as a predominantly social campaign rather than a medical one, in which volunteers will go door-to-door to talk to people.

"We believe this the best way for now to identify those who are sick and remove them from those who are well," said Alhaji Alpha Kanu, Sierra Leone's minister of information and communication.

But Médecins Sans Frontières, also known as Doctors Without Borders, said such a lockdown is unlikely to stop the spread of the disease.

"Large scale coercive measures like forced quarantines and lockdowns are driving people underground and jeopardizing the trust between people and health providers. This is leading to the concealment of cases and is pushing the sick away from health systems," the charity group said in a statement.

"This is leading to the concealment of potential cases and is pushing the sick away from health systems."

It's not the first time a quarantine or lockdown has been tried. In August, the Liberian government locked down one of the poorest neighborhoods in the capital of Monrovia in an attempt to stop the spread of the virus. The move resulted in riots.

21,000 volunteers to go door-to-door

Sierra Leone set the lockdown date for September 19-21 to give the country time to train volunteers and get needed equipment, such as ambulances, Kanu said.

During the lockdown, 21,000 volunteers will fan out across the nation to talk with people about how to protect themselves from the disease, as well as identify Ebola cases, Kanu said.

It was unclear how many of these volunteers would be health workers. The information minister described the volunteers as young people from the very communities where they will be working.

"Resistance will be less. They will be talking to people they know," Kanu said.

He did not say what punishment, if any, people would face for violating the lockdown.

Ebola typically kills 90% of those infected with the virus, but the death rate in this outbreak has dropped because of early treatment.

Even so, MSF questioned such a plan.

"It will be extremely difficult for health workers to accurately identify cases through door-to-door screenings as this requires a certain level of expertise," the group said. "And when cases are identified, there will not be enough Ebola management centers to care for them."

Number of cases on the rise

Also, there is a question of what a three-day lockdown will do to slow the spread of the virus, given that the Ebola incubation period can range between two and 21 days.

The virus is spread through contact with bodily fluids, and early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat.

More than 3,600 people have been diagnosed with Ebola since the first documented case in December, the World Health Organization has said. Of those cases, there have been 1,800 fatalities, the agency has said.

More than 40% of the cases have been diagnosed in the past three weeks, the agency said.

The outbreak has been centered in Guinea, Sierra Leone and Liberia, with a handful of cases in Nigeria. The overall fatality rate is 50%, WHO said, ranging from 39% in Sierra Leone to 64% in Guinea, according to the latest figures.

WHO says it believed that fruit bats may be the natural host of the Ebola virus in Africa, passing on the virus to other animals. Humans contract Ebola through contact with the bodily fluids of infected animals or the bodily fluids of infected humans.

The virus is named after the Ebola River in the Democratic Republic of Congo (formerly Zaire), where one of the first outbreaks occurred in 1976. The same year there was another outbreak in Sudan.

While there is no known cure or vaccine available, the first human trial of an experimental Ebola vaccine began this last week.

@highlight

Sierra Leone is giving itself time to train volunteers and get needed equipment

@highlight

Lockdown plan calls for residents to be confined to their homes for three days

@highlight

Volunteers will go door-to-door to talk to people, official says

@highlight

Medical charity warns the lockdown will drive people "underground"