Open, expansive postures reflect and signal power (picture Wonder Woman). They are expressed by individuals who already feel powerful.

Powerless people do the opposite -- contracting, hunching, and making themselves smaller.

When it comes to power, the mind shapes the body, a finding supported by extensive peer-reviewed science. This, to most of us, is not so surprising.

But what is surprising, when it comes to power, is that the body also shapes the mind. Dana Carney (UC-Berkeley) and I, both experimental social psychologists, have conducted research showing that adopting these postures -- "power posing" -- actually causes people to become more powerful: After sitting or standing, alone in a room, in a high-power pose for just two minutes, participants in our experiments resembled powerful people -- emotionally, cognitively, behaviorally, and even physiologically.

They felt more powerful, were more willing to take risks, presented their ideas with greater confidence and enthusiasm, performed better in demanding situations, and experienced significant increases in testosterone -- a hormone linked to assertiveness -- and significant decreases in cortisol -- a hormone linked to stress. In other words -- two minutes of preparatory power posing optimizes the brain to function well in high-stakes challenges.

Watch Amy Cuddy's TED Talk

When I launched this program of research, I was not motivated to turn Gordon Gekkos into Gordon Gekkos-on-steroids. But I can understand how, noticing that I'm a professor at a competitive business school and that I use terms like "power" and "posing," some people might have assumed that I was. In all honesty, my goal -- inspired in part by observing students who were struggling to engage in class discussions and in part by the feelings of powerlessness I'd experienced earlier in my own life (i.e., yes, it was part "mesearch") -- was to discover scientifically grounded ways to help relatively powerless people harness some of the healthy psychological benefits that relatively powerful people often enjoy.

I aspired to embolden the people suffering from what psychologists call "imposter syndrome" -- the experience of hearing that relentless, looping voice in your head that says, "I don't deserve to be here, I don't deserve to be here" -- which can be thoroughly disempowering.

TED.com: Listening to shame

I wanted to equip people with tools that would help them feel stronger and more confident, less stressed and fearful, and better able to bring their full, spirited selves to high-stakes, stressful situations -- like job interviews or speaking in class.

Preparatory power posing is taking a few minutes before walking into a stressful interaction or situation to open up, occupy more space, and make yourself big. Stand with your feet apart and your hands on your hips, or with your arms reaching up in a 'V.' Or sit with your legs in front of you, feet propped up on desk or a table, leaning back, with your hands on the back of your head, fingers interlaced, and elbows pointing out.

Try power poses in the elevator, a bathroom stall, the stairwell...wherever you can find two minutes of privacy.

Who benefits from this, and how can those people use it in constructive ways?

In the month since my TEDTalk was posted, I've received messages from thousands of people around the world describing to me how they've successfully used power posing to confront or overcome a challenge. I must admit, I never could have imagined the diverse range of contexts in which people are using it.

I wish I had the space to tell you about all of them. Let me at least offer a sample: people recovering from grave illnesses, injuries, and losses, unemployed people who have been job-hunting for months or years, young women struggling to get a foothold or to succeed in traditionally male-dominated professions, people trying to survive or leave abusive relationships,  singers/actors/dancers preparing for auditions or performances, older adults and nontraditional students working up the courage to return to or to fully engage in their education, dedicated athletes training for highly competitive events, and teachers and parents of bullied children who -- every day -- have to confront their bullies.

In short, I have heard from women and men, girls and boys, of all ages and races, and from nearly every corner of the world, who have encountered some kind of adversity, have been nagged by that voice telling them they don't belong, and who have been searching for ways to successfully tackle their specific challenges and to prosper.

TED.com: Embracing otherness

As a researcher, I'm moved beyond words by these strangers' willingness to share such personal stories of vulnerability, and I'm humbled and astounded to see how this research has resonated with people outside my science.

One person wrote, "I learned that making progress in life is not a continuous function but rather a bunch of leaps of faith one needs to take in oneself. You need to do what you think is impossible and realize that people who already are doing that, are just like you." Another wrote, "I'm a first generation student and senior at [a large, top-tier university], but I still feel I don't belong here. I was about to withdraw from school this week. Your story inspired me to stay. You'll never know how glad I am I found this video."

And this: "I am a shy person, and I had a job interview this morning. I got there early and I went to the washroom and raised my arms for 2 minutes. It was like magic how confident and outgoing I became during the interview. I got the job."

What more could a social scientist ever hope for? In short, the populations of people who can benefit from power posing extend far beyond business leaders and politicians.

TED.com: How to spot a liar

The word "power" triggers a negative visceral twitch in many people. It's a word that carries more than its fair share of baggage. But the kind of power I study -- intrapersonal power -- should not cause people to recoil, because it is neither zero-sum nor is it about interpersonal dominance.

As Pulitzer Prize-winning author Robert Caro once wrote, "Power doesn't always corrupt. Power can cleanse. What I believe is always true about power is that power always reveals." Power, ultimately, is not about faking or disguising; it's about revealing and bringing forth -- stripping away the fears and inhibitions that prevent people from being their truest, most energetic, vital selves. And, when people feel like their fullest selves -- they create, they connect, and they communicate. Why would we not want a world full of people who feel that way?

So I ask you to do two things. First, try this: Before you walk into a stressful situation or confront a difficult challenge, take two minutes to prepare by power posing in private. Second, please, share this science with people who truly and chronically lack resources, status, and formal power; this is a free, no-tech life hack that has the "power" to significantly change meaningful outcomes in their lives.

@highlight

Amy Cuddy: People who use expansive postures feel more powerful as a result

@highlight

She says posing with your arms extended, taking up more space, affects your physiology

@highlight

Many who have tried "power poses" say it has helped them navigate life, she says