(CNN) -- An Ottoman-era portico in Mecca's Grand Mosque has become the latest battleground in a conflict between those who want to preserve the city's architectural heritage and Saudi authorities pushing for redevelopment.

The 17th century portico -- one of the oldest parts of the Grand Mosque, Islam's holiest -- is being removed by Mecca authorities as part of an expansion project to create more space for soaring numbers of pilgrims.

Millions of people visit Mecca and Medina annually (two million of them during the Hajj pilgrimage alone), a number that is only expected to grow rapidly in the coming years.

However, one UK-based Saudi historian says what Saudi authorities are doing in Mecca amounts to "cultural vandalism."

Irfan Al Alawi, executive director of the Islamic Heritage Research Foundation, which seeks to preserve historical sites in Saudi Arabia, says significant features of Mecca and Medina's architectural history are being lost on account of the renovations.

He has called on the Muslim world to voice its disapproval at the demolitions, which he likened to the torching of ancient manuscripts by Islamists in Timbuktu, Mali.

Every follower must carry out the Hajj once in their lives, if physically and financially able to do so. Overcrowding at the Hajj has resulted in fatal stampedes on a number of occasions, with 1,426 pilgrims killed in 1990 and more than 350 killed in 2006.

Saudi Binladin Group's Mohammed Jom'a, the supervisor of the project at Mecca's Grand Mosque, told CNN the expansion would triple the amount of space there.

"(The authorities) want to offer more space to the pilgrims to avoid crowds," he said.

But Al Alawi says there's a better way.

"I'm not against expanding the mosques at all, but there are ways you can go about it without destroying the historical aspects of these sites," he said. "Rather than engaging with heritage concerns, the Saudis are simply not interested."

Clashes with Turkey

Turkey says it is alarmed by the loss of the Ottoman portico and its Foreign Affairs Ministry has been in correspondence with the Saudis over the matter since 2010.

More from Inside the Middle East: Can Iraq's geeks save the country?

"It is very important to preserve the Kaaba porches as the legacy of the Ottoman Empire where they stand," Turkey's Directorate for Cultural Properties and Museums said in a statement to CNN.

CNN contacted the Saudi Ministry of Islamic Affairs, local officials in Saudi Arabia, including the Mayor and Municipality of Mecca and the Saudi Embassy in London. But we were unsuccessful in getting a response to our request for comment.

Al Alawi said the authorities were inclined not to value aspects of Mecca's heritage that dated from before Saudi control over the city -- such as the portico, going back centuries to Ottoman sovereignty over the city -- because that evidence of a pre-Saudi Mecca undermined the kingdom's important position in the Islamic world as guardians of the city.

This is not the first time Saudi authorities have clashed with Turkey over the destruction of Ottoman-era buildings in Mecca, which Turkey views as in important part of a shared Islamic heritage.

In 2002, Ankara made a heated protest about the destruction of Mecca's Al Ajyad fortress, built on a hill overlooking the Kaaba in the late 18th century.

Both the citadel and the hill it sat on were demolished to make way for the skyscraper city that today looms over the Grand Mosque, prompting Turkey's then Minister of Culture, Istemihan Talay, to accuse the Saudis of an "act of barbarism."

Mecca's changing face

Over the past 10 years, Mecca's skyline has transformed.

Lavish skyscrapers now tower over devotees circling the Kaaba in the Grand Mosque.

Most imposing is the Royal Mecca Clock Tower, a 120-floor hotel that resembles London's Big Ben and which, at 601 meters, is the world's second tallest building.

The U.S.-based Institute for Gulf Affairs estimates that 95% of Mecca's millennium-old buildings have been demolished in the past two decades.

Saudi authorities say the changes are part of a push to modernize offerings to pilgrims, who have traditionally stayed in austere lodgings.

The Saudi government is also pushing forward with major redevelopments at Medina's Mosque of the Prophet -- where the Prophet is believed to be buried.

More from Inside the Middle East: Palestinian women change motor racing up a gear

Al Alawi claims the threat to the heritage of the mosques adds to a wider pattern of destruction of historic sites in Saudi Arabia. He says it reflects an ideological agenda stemming from the kingdom's ultraconservative Wahhabist brand of Islam.

He added that the Wahhabis place great emphasis on avoiding the sin of "shirq" -- idolatry, or polytheism -- which they believe is encouraged by shrines, tombs or anything that could promote alternative forms of worship, or the veneration of an entity other than Allah.

The Commission for Promotion of Virtue and Prevention of Vice says it plans to close or eradicate 14 historic sites around Mecca, so that pilgrims from other countries cannot engage in idolatrous rituals there, the Saudi Gazette reported last month.

As a consequence of their Wahhabist beliefs, said Al Alawi, the Saudis had systematically destroyed such sites since the early days of the kingdom.

Demolitions over the decades

In 1925, the year the first Saudi king, Ibn Saud, captured Medina, the Saudis demolished the mausoleums in al-Baqi cemetery attached to the Mosque of the Prophet.

More from Inside the Middle East: Who will win battle for the new Tunisia?

The raids at al-Baqi -- which is believed to house the remains of number of the prophet's wives, children and other relatives -- and at the Mualla cemetery in Mecca, caused an outcry from the international Muslim community. Some still mourn the destruction as a "day of sorrow."

Separately, the site of the house said to belong to the prophet's first wife, Khadijah, which Al Alawi was involved in excavating in the 1980s, today contains a toilet block for pilgrims, while the site believed to be the prophet's birthplace was a cattle market before being turned into a library.

Some Salafist groups abroad, such as Egypt's Ansar Al Sunna Al Muhammadyeh, support the renovations around the Grand Mosque.

"We do not sanctify places or people, but we go according to what the Quran said and what the Prophet said," the group's secretary general, Sheikh Ahmed Yousef, told CNN.

"There is no place that is holier than the Kaaba, so if the Saudi government decided to expand then this is because they care about Islam more than the heritage."

@highlight

Saudi authorities have begun dismantling a historic Ottoman area of Mecca's Grand Mosque

@highlight

A UK-based Saudi historian says the demolition is "cultural vandalism"

@highlight

Saudi govt says it is expanding mosque to accommodate soaring numbers of Hajj pilgrims

@highlight

Historian disagrees, says demolition is fuelled by Saudi religious beliefs