(CNN) -- Thinking about death can be frightening, no matter your age or medical condition. As we get older, the reality of our own mortality tends to come into clearer focus; this doesn't make talking about death or life-sustaining treatments any less frightening though.

It was fear -- stoked by certain politicians -- that led to the inaccurate and misguided "death panel" rumors that surrounded health care reform proposals last year.

Beginning January 1, Medicare will reimburse physicians who advise patients, in voluntary discussions, about their preferences for end-of-life care treatment during their annual Medicare "wellness visit." This is advance care planning, and it is a good thing for seniors, their families and health care professionals.

It's not new. A law passed in 2008 allowed end-of-life planning to be part of a patient's "welcome to Medicare" exam. Health care reform turned the welcome visit into an annual wellness visit. And now regulations clarify that these important discussions will be covered should the Medicare beneficiary wish to take advantage of this opportunity.

Advance care planning allows a person to make his or her wishes and care preferences known before being faced with a medical crisis. Advance care planning is simply smart life-planning.

Another way to think about advance care planning is that it's like planning a trip to an unfamiliar destination. If you're like many people, once you have your destination in mind, you begin mapping the route you will take to get there. Some people consult AAA or Google Maps to help them chart their course. Other people talk to friends and family members about their experiences on their trips.

While people approach mapping their route in differing ways, few would expect to arrive at their destination safely and comfortably without having a well-thought out map in hand before hitting the road. Yet only 30% of Americans have a living will, a map detailing where they want their health care to go should they become unable to voice their wishes.

An individual's personal wishes, beliefs and values are among the most important factors when making care decisions brought about by a serious or life-limiting illness. Such wishes and preferences can be known only if they are discussed openly.

Research has shown that patient-physician discussions result in a higher quality of life for patients and their family caregivers facing the end of a life.

By having Medicare cover these voluntary consultations, beneficiaries will be able to get information that will help them make their own decisions about their care and what they would or would not want at life's end. And it's only appropriate that patients should be able to have these discussions with the very physicians who have been caring for them and that these doctors be compensated for this valuable service.

An advance care planning consultation is not about limiting or rationing care. It's not about hastening death. It's not about having choices made for the patient. It's not about saving money.

Advance care planning is about examining options, planning and communicating the choices that the individual wants -- either to limit treatments, accept all treatments or something in between. The course charted is decided by individual patients, not their doctors, and certainly not the government.

Advance care planning includes completing a living will and appointing a health care proxy.

A living will charts the course for your health care, letting your family and health care providers know what procedures and treatments you would want provided to you and under what conditions.

A health care proxy or health care power of attorney form allows you to choose someone you trust to take charge of your health care decisions in case you are unable to make those decisions yourself.

Advance directives, as these documents are also known, can be changed as an individual's situation or wishes change.

Based on my 35 years of experience running hospice programs and caring for people at life's end, I know firsthand that frank, open discussions with one's health care providers can relieve anxiety about a situation that we all will one day face.

It makes sense that Medicare help facilitate this important planning.

The opinions expressed in this commentary are solely those of J. Donald Schumacher.

@highlight

Donald Schumacher says many fear talking about how they want end-of-life care handled

@highlight

Some politicians stoked fear with misinformation to try to derail health reform, he says

@highlight

But advanced care planning gives people a say over their care before a crisis, he says

@highlight

Writer: Health care professionals agree Medicare should pay for this sensible planning