In the weeks before every Valentine's Day, Rosie Maizuss wields enormous power, like a modern-day Cupid able to influence millions of romances -- depending on whether she detects just the slightest thing amiss.

Maizuss is a federal inspector lording over the arrival of millions of roses and other flowers from Mexico and elsewhere in Latin America, intended for delivery to couples in the United States.

Her job is monumental: she and other U.S. Customs and Border Protection inspectors are now in one of their two busiest season of year -- Mother's Day is the other one -- at the U.S.-Mexico border near San Diego.

In the span of six weeks, she and her crew will have sniffed, touched, reviewed and inspected shipments of cut stem flowers whose final count is expected to total more 19 million by Valentine's Day on Friday.

"We know that we are going to have an influx of fresh flowers, but we have a special operation to focus on more inspection" during the holiday madness, Maizuss said.

As dizzying as that number is, the U.S.-Mexico border crossing at Otay Mesa, California, is hardly the nation's busiest port for Valentine floral inspections. That title goes to Miami, where during last year's Valentine season, officials processed a whopping 738.2 million cut flower stems shipped in from Colombia, Ecuador, Mexico and elsewhere.

Otay Mesa ranked No. 3 among the nation's busiest ports in processing Valentine flowers last year and No. 6 for finding plant pests in shipments. A total of 59 little critters were found last year.

For anyone who enjoys expressions of the heart, the Otay Mesa crossing is a snapshot -- or a metaphor for Cupid's arrow in flight? -- of how the delivery of Valentine Day's roses can be a long and difficult journey. It's not unlike, well, true love itself.

What makes Maizuss' job so important is that she must keep the bad flowers from possibly causing catastrophic damage to American soil. To do so, she and her colleagues ensure the flowers are free of disease, insects and microscopic pests that, if they found their way on U.S. land, could wipe out swaths of American agricultural and floral industries.

"What we do is we take a random sample out of each variety of flowers, and we do our inspection in either in an edit bay inside, or out on the dock," Maizuss explained at the border crossing, where motorist traffic is routinely backed up for an hour or more.

"What we are looking for is any variety of pest," she added. "The ones that are reportable are the ones we already have here in the States, and the ones that are actionable are the ones that we actually don't want in the States at all, because they are invasive, because they are a big problem for the U.S.

"Cut flowers is a huge industry, and it's very important we protect it all the time," said Maizuss, who's chief agriculture specialist.

Last year, inspectors found a total of 1,715 pests in Valentine flowers at all ports of entry, federal figures shows. The most common insects intercepted were aphids, thrips, moths, miner flies and mites.

Such vigilance can mean headaches for the truckers who waited in standstill traffic at the busy U.S.-Mexico border -- only to be forced to turn around if they don't pass Maizuss' inspection.

"I remember a few times they had sent me back," trucker Samuel Serrano said.

That meant he had to return to Maneadero, Mexico, near Ensenada, where he unloaded the flowers and had them fumigated to kill the bugs, he said. He eventually passed U.S. inspection on a subsequent trip across the border, he said.

It's a necessary protection that Mexican truckers such as Jesus Sanchez Lopez understand -- though they feel the deadline pressure from U.S. markets to deliver the roses, dianthus, sunflowers and larkspur by February 14.

"When our flowers are not clean, they send us back to Mexico, and we have to clean them, take them down from the truck, and then come back," said Sanchez, who has endured such failure to pass inspection several times.

Some rejections have resulted in a total loss for that shipment, he said. Sanchez also delivers flowers from Ensenada, located about 70 miles from the U.S.-Mexico border.

"When that happens we lose money, time, and it's a huge problem because we have to go back and can't deliver the flowers," he added. "You really don't know until you get here and they tell you that some of your flowers are infested."

Despite such setbacks, the demand for love remains insatiable, the truckers say.

"The last two weeks have been very busy because of the celebration of Valentine's Day," Serrano said.

@highlight

Rosie Maizuss and crew review 19 million Valentine flowers at U.S.-Mexico border

@highlight

Valentine's Day and Mother's Day are their busiest season for floral inspections

@highlight

Mexican truckers lament when inspectors find bugs and pests in floral deliveries

@highlight

"Cut flowers is a huge industry, and it's very important we protect it," Maizuss says