(CNN) -- Syrian security forces in last Friday's bloody demonstrations blocked wounded protesters from getting medical care, a humanitarian watchdog said on Tuesday, citing witness accounts.

The developments occurred in the Syrian cities of Daraa and Harasta, where many casualties occurred as protesters clashed with security forces, Human Rights Watch said.

Security forces "stopped medical personnel and others from reaching wounded protesters" and "prevented injured protesters from accessing hospitals," the group said.

"To deprive wounded people of critical and perhaps life-saving medical treatment is both inhumane and illegal," said Sarah Leah Whitson, Human Rights Watch Middle East director. "Barring people from needed medical care causes grave suffering and perhaps irreparable harm."

One witness in Daraa, in the south near Jordan, said "the security forces did not allow the ambulances to approach the road to pick up the wounded, and kept shooting when other protesters tried to carry the wounded away."

Another witness said he saw three people struck by bullets and carried into the Omari mosque, where he saw about 10 wounded protesters, "three of whom died from their wounds while he was still in the mosque."

"People were lying on the floor (of the Omari mosque), all over the place, and there were a couple of doctors and nurses, and also local women struggling to help the injured. But they could not do much -- they only had the basic supplies brought from the local pharmacies; the hospitals were blocked by the security forces and it was impossible to bring the necessary equipment or supplies into the mosque. Several people with serious injuries were dying, and there was nothing we could do to help them," the witness said.

In Harasta, near Damascus, witnesses gave accounts of security forces "firing on protesters seeking to help the wounded."

Two doctors who treated the wounded told Human Rights Watch  "that it was impossible to bring the injured into the hospital because it was surrounded by the security forces."

"I was in the hospital in the afternoon, when I started getting calls from people asking for help. I knew people could not bring the wounded in -- the hospital was surrounded by the security personnel. We also couldn't send an ambulance, fearing the security forces would open fire, as happened in other places," one of the doctors said.

"I rushed out and went to private homes where the rescuers brought the wounded. I could not take any major supplies or tools; only the most basic things. The injuries were serious and we had nothing to work with -- in one case, we had to probe a wound with a metal spoon to see how deep the bullet went."

The family of an injured protester tried to get treatment for the victim at a military hospital, but were rebuffed because civilians couldn't get treatment there. Security at a civilian hospital said only service members and not wounded civilians could get treatment.

Protests started in Syria more than three weeks ago, erupting in Daraa and then spreading to other cities.

The Syrian government, which says it is working to respond to citizen grievances, blames foreigners and instigators for infiltrating peaceful demonstrations and feeding violent confrontations.

But Syrian activists say government forces are violently suppressing their peaceful demonstrations, using tear gas and live fire against unarmed civilians, raiding homes, and making dozens of arrests.

The violence has alarmed the international community. The British Foreign Office on Tuesday is now advising "against all but essential travel" to Syria as a result of the country's "deteriorating security situation."

Syria's leaders talk about political reform, but they meet their people's legitimate demands for reform with bullets," said Whitson.

"They accuse the protesters of inciting divisions in Syria's society, but the violence of their security forces is what is harming Syria the most."

The National Organization for Human Rights in Syria, an activist group, said there were 37 demonstrators killed across the country on Friday, including 30 in Daraa province, four in Damascus province and three in Homs province.

Human Rights Watch said it "confirmed that at least 28 people were killed" in protests on Friday --  27 in Daraa and one in Douma. It said it couldn't get "reliable information" about casualties during protests in other towns.

Syria said 19 security forces were killed in Daraa on Friday and dozens of others were injured in violence caused by "armed groups" firing at citizens and "unarmed security forces."

@highlight

The incidents in question occurred in Daraa and Harasta

@highlight

Witnesses spoke to Human Rights Watch

@highlight

One wound was probed with a metal spoon