Washington (CNN) -- Don't like the way airport screeners are doing their job? You might not want to complain too much while standing in line.

Arrogant complaining about airport security is one indicator Transportation Security Administration officers consider when looking for possible criminals and terrorists, CNN has learned exclusively. And, when combined with other behavioral indicators, it could result in a traveler facing additional scrutiny.

CNN has obtained a list of roughly 70 "behavioral indicators" that TSA behavior detection officers use to identify potentially "high risk" passengers at the nation's airports.

Many of the indicators, as characterized in open government reports, are behaviors and appearances that may be indicative of stress, fear or deception. None of them, as the TSA has long said, refer to or suggest race, religion or ethnicity.

But one addresses passengers' attitudes towards security, and how they express those attitudes.

It reads: "Very arrogant and expresses contempt against airport passenger procedures."

TSA officials declined to comment on the list of indicators, but said that no single indicator, taken by itself, is ever used to identify travelers as potentially high-risk passengers. Travelers must exhibit several indicators before behavior detection officers steer them to more thorough screening.

But a civil liberties organization said the list should not include behavior relating to the expression of opinions, even arrogant expressions of opinion.

"Expressing your contempt about airport procedures -- that's a First Amendment-protected right," said Michael German, a former FBI agent who now works as legal counsel for the American Civil Liberties Union. "We all have the right to express our views, and particularly in a situation where the government is demanding the ability to search you."

"It's circular reasoning where, you know, I'm going to ask someone to surrender their rights; if they refuse, that's evidence that I need to take their rights away from them. And it's simply inappropriate," he said.

The TSA says its security programs are informed by real-world situations and intelligence. Indeed, the immigration agent who refused to let the alleged "20th hijacker" into the United States in 2001 later testified that the man's arrogant behavior contributed to his suspicions.

Agent Jose Melendez-Perez told the 9/11 commission that Mohammed al-Qahtani "became visibly upset" and arrogantly pointed his finger in the agent's face when asked why he did not have an airline ticket for a return flight.

But some experts say terrorists are much more likely to avoid confrontations with authorities, saying an al Qaeda training manual instructs members to blend in.

"I think the idea that they would try to draw attention to themselves by being arrogant at airport security, it fails the common sense test," said CNN National Security Analyst Peter Bergen. "And it also fails what we know about their behaviors in the past."

The 9/11 commission's report says that "none of the checkpoint supervisors (on September 11th) recalled the (successful) hijackers or reported anything suspicious regarding their screening."

But, it says, an airline ticket agent that checked in hijacker Mohammed Atta says Atta "reacted negatively when informed in Portland (Maine) that he would have to check in again in Boston." Atta "clenched his jaw and said ... with some irritation, 'They told me one step check-in,'" he recalled. The ticket agent recommended the United States hire "behavior profilers ... the way they do overseas," the report says.

Rafi Ron, former director of security at Tel Aviv's Ben Gurion International Airport, said an arrogant complaint about security is a legitimate factor to consider. But officials also should be suspicious of effusive praise, he said.

"The other end of the spectrum is almost as bad, although it is maybe less offensive," he said.

The TSA is expanding the behavior detection program, formally known as SPOT, for Screening Passengers by Observation Technique.

Currently, some 3,000 uniformed behavior detection officers are deployed at about 175 airports. President Obama is calling for an additional 175 such officers in his 2012 budget proposal, and the TSA is expected to spend a total of $1.2 billion on the program over the next five years.

In recent years, the TSA has also expanded the scope of the program. Originally intended to look only for suspected terrorists, the program now also seeks to ferret out possible criminals in airports.

Many details of the program are publicly available. According to a Government Accountability Office report, uniformed behavior detection officers typically work in two-person teams at airport checkpoint lines, looking for behaviors that are on the SPOT checklist, each of which is assigned a numerical value.

The officers sometimes initiate casual conversations with passengers, particularly if a passenger is exhibiting behaviors on the SPOT checklist.

In most instances, the Accountability Office said, the conversation resolves the suspicion.

But if both behavior detection officers agree that observed indicators exceed a predetermined numerical threshold, the person is referred to additional screening, which can involve more questioning and physical searches of a person or property.

If the person's behavior escalates, accumulating more points based on the SPOT checklist, the officers can refer the person to local law enforcement for investigation. After the law enforcement investigation, the TSA officials determine whether to allow the passenger to board the flight.

The Department of Homeland Security says the program is successful, telling Congress last week that, in a recent test comparing behavior detection officers to random screening procedures, the officers were 50 times more likely to refer people they checked to local law enforcement, and about 4.5 times as likely to identify people with prohibited items or fraudulent documents.

Taken together, such officers are nine times more likely to identify "high risk" passengers than random screening, the department said.

"SPOT identifies high-risk travelers at a significantly higher rate then random screening," Larry Willis of the department's Science and Technology Directorate testified.

But one member of the study's Technical Advisory Committee said the study did not establish the program's scientific validity.

"The advisory committee has not been asked to evaluate the overall SPOT program, nor has it been asked to evaluate the validity of indicators used in the program," Philip Rubin testified to Congress last week.

Advisory committee members were not shown the list of behavioral indicators, he said.

"My concern is that if I'm a member of the public and I hear (Willis') testimony, it sounds like the SPOT program has been validated," Rubin told CNN.

He said that while large numbers of people were screened, very little criminal activity was detected, and the numbers may not be statistically significant. "The hit rate is so low on this, it could turn out to be a random glitch," he said.

The Government Accountability Office also criticized the study, saying TSA's records are incomplete and the study is not designed to answer the big question people have about the program: Does it work?

The study "is not designed to fully validate whether behavior detection can be used to reliably identify individuals in an airport environment who pose a security risk," the agency said.

Members of Congress also expressed concern about the number of "false positives" -- people flagged for additional screening that resulted in nothing being found. For every person correctly identified as a "high risk" traveler by (the behavior detection officers), 86 were misidentified, Willis said. At random screening, for every person correctly identified, 794 were misidentified.

The TSA does not track the number of arrests, convictions or exonerations of people that are referred to law enforcement, he said.

The ACLU's German, who has not seen the behavioral indicators list, said he fears the indicators "are being used simply as a proxy for racial profiling or other inappropriate police activities." The number of people arrested at airport checkpoints for immigration violations suggests the behavior detection officers are profiling, he said.

Thirty-nine percent of the 1,083 people arrested during the first four and a half years of the program were arrested because they were illegal aliens, according to the Government Accountability Office.

Experts agree that the fact that there is an extremely small number of terrorists makes it hard to evaluate the effectiveness of behavioral observation programs. The Accountability Office said it looked at 23 occasions in which 16 individuals -- people later charged with terrorism-related activities -- passed through high-threat airports. None is known to have been identified. But it is not known if the behavior detection officers were working at the time, the agency said.

Stephen Lord of the Accountability Office is recommending the TSA study airport videos of those instances.

"We believe such recordings could help identify behaviors that may be common among terrorists, or could demonstrate that terrorists do not generally display any identifying behaviors," Lord said.

@highlight

TSA officers look at people who "express contempt"

@highlight

The ACLU says that indicator is inappropriate

@highlight

The TSA says no single factor results in added screening

@highlight

Experts differ on the effectiveness of behavior observation