Hero or agitator? Exposer of wrongdoing or threat to the state? Robert MacLean has been called many things as he fights the federal government over his firing, for what he says was retaliation after he exposed cracks in the nation's air passenger security.

But the Obama administration counters the former federal air marshal's leaks to the media were specifically prohibited by law, and could have had catastrophic consequences.

Now the U.S. Supreme Court for the first time will hear a case involving a federal whistleblower. At issue is whether a government employee who makes a disclosure "specifically prohibited by law" -- in this case, security information -- is still immune from employer retaliation.

A federal appeals court had earlier decided MacLean's disclosures deserve whistleblower protection. The government then asked the justices to intervene. Oral arguments are set for next Tuesday morning.

Tom Devine, a lawyer with the Government Accountability Project who is representing MacLean, said he is "chomping at the bit" to argue that MacLean's leak was in the national interest, saying it may have helped prevent terrorist attacks on the United States.

The Transportation Security Administration and the Justice Department declined comment, as is custom in a pending legal case.

MacLean, now a resident of Orange County, California who sells residential solar systems, hopes a Supreme Court ruling in his favor will eventually lead to his return to the ranks of the Federal Air Marshal Service, which places armed, plain-clothes officers on commercial airplanes.

The case began in July of 2003, when MacLean, then based in Las Vegas, tipped off an MSNBC reporter the TSA was suspending overnight missions just days after air marshals were briefed about a new "potential plot" to hijack U.S. airliners.

The agency planned the cutback -- which would have kept air marshals off most long-distance flights -- because it was then running out of money at the end of a fiscal year. MacLean also said he had privately voiced his concerns to his government supervisors.

The news caused an immediate uproar on Capitol Hill, with Sen. Charles Schumer, and then-Sens. Hillary Rodham Clinton and John Kerry, among others, writing letters expressing concerns. The TSA retreated, killing the scheduling cuts before they went into effect.

A year later, MacLean appeared on NBC News -- in disguise and identified only as "Federal Air Marshal 'Mike'" -- to criticize the agency's dress policy, which, he said, made it easier for terrorists to identify the undercover air marshals.

But someone from the TSA recognized MacLean's voice -- the Justice Department said he used "a disguise that proved to be inadequate" -- and the agency ordered an investigation into MacLean for an "unauthorized media appearance." During that investigation, he admitted leaking information to the media about the 2003 suspension of long-distance flights.

The agency fired MacLean in April of 2006, saying his leak was an unauthorized disclosure of "Sensitive Security Information," or SSI.

Supporters say MacLean brought to public light a TSA action that violated federal law, which mandates that the agency give priority to flights that present high security risks, specifically mentioning "nonstop, long distance flights." They say the information he gave was factual and that it ultimately protected passengers by changing a flawed policy.

MacLean argued the information he disclosed was not Sensitive Security Information, saying the TSA sent the information as a text message on his cell phone, instead of as an encrypted message on his password-protected pager. And it was not labeled SSI.

The former Air Force veteran and Border Patrol agent said his firing was retaliation for his union activities.

But the Merit System Protection Board -- an independent government agency with jurisdiction to review federal personnel actions -- said that even if the scheduling directive was not labeled SSI, deployment information was "within the definition of SSI." MacLean "admittedly knew that he was not permitted to tell anyone about (air marshal) scheduling, yet he did so anyway, and it could have created a significant security risk," the board said.

The board also concluded there is "no direct evidence" the agency retaliated or discriminated against MacLean for his union activities.

But the Washington-based federal appeals court later reversed, holding MacLean had met the threshold of being eligible for whistleblower protection.

If he wins at the high court, MacLean would have to go back to the board and further demonstrate that he reasonably believed that his disclosures "evidenced a substantial and specific danger to public health or safety."

"Frankly, that's a hearing we would relish because there's little question that his disclosures were worthy," said Devine, MacLean's attorney. "Numerous members of Congress attacked (the travel cuts) as betraying the department's (responsibilities). The Department of Homeland Security said it was a mistake and canceled the orders less than 48 hours after his disclosure. They only corrected the mistake because of his disclosure."

The tricky legal issue is whether the revelations were "specifically prohibited by law," as the statute indicates.

The Justice Department will tell the nine justices that these kinds of leaks are covered, since "the phrase 'by law' is presumed to include both statutes and substantive regulations that have the force and effect of law."

"In the course of its efforts to secure the nation's transportation network, the TSA necessarily develops and acquires a great deal of information, including information about security vulnerabilities, that has the potential to cause extreme harm if publicly disclosed," government lawyers wrote to the court. "The (lower court's) decision in this case, however, effectively permits individual federal employees to override the TSA's judgments about the dangers of public disclosure."

But MacLean, supported by a range of lawmakers and advocacy groups, strongly disagrees.

Six bipartisan members of Congress -- including Sens. Charles Grassley, R-Iowa; and Ron Wyden, D-Oregon, told the court they "know that whistleblowers are more likely to come forward when they can do so without fear of reprisal."

A ruling for the government "would open the door to agency over-reach in suppressing inconvenient information, as decades of experience confirms," said the legislative group, which includes four congressmen. "Just from reading the statute, it is far from clear whether the particular information MacLean disclosed is included" in the DHS rules.

MacLean continues his personal crusade with an active website and unflinching mission. In testimony to Congress last month, the married father of three called it "a whistleblowing experience I never wanted to have. But it forced me to make the most difficult choices and decisions of my life, about my duty to the country as a public servant and law enforcement officer."

The case is Department of Homeland Security v. MacLean (13-894). A ruling is due by the spring of 2015.

@highlight

Robert MacLean was fired as a federal air marshal in 2006

@highlight

The TSA says he leaked "Sensitive Security Information" to the media

@highlight

MacLean says he revealed scheduled cutbacks in air marshals on long-distance flights

@highlight

The U.S. Supreme Court will hear arguments in the case