(CNN) -- It is 20 years since Poland's Solidarity movement defeated the Communist Party in an historic election that prompted the fall of communism across central and eastern Europe.

Solidarity leader Lech Walesa takes the oath in front of Poland's National Assembly on December 22, 1990.

CNN International marks this significant anniversary with "The New Poland," a week of programming examining the transformation of Poland from 1989 to where it sits today on the world stage.

The combination of daily live programming and special reports from CNN correspondents in cities across Poland culminates June 4 with "Autumn of Change, an in-depth documentary that takes a retrospective look at the events leading up to the election exactly 20 years ago.

Reflecting the tumultuous year of 1989, which changed Europe forever, "Autumn of Change" will mix live programming and documentary programming, unforgettable historical images with interviews past and present, and a huge online audience initiative through Poland, Hungary, Germany, the former Czechoslovakia, Bulgaria and Romania, in a comprehensive narrative of events that have helped to shape the Europe of today.

"CNN's combination of historic footage, comprehensive reporting and access to Poland's key figures puts us in an unparalleled position to set the scene for how Poland was the catalyst for the Europe of today," said Mike McCarthy, vice president of coverage and feature programming for CNN International.

"In step with the anniversaries of the events themselves, CNN will invite viewers to take part in our ambitious account of how Europe has changed over the last 20 years and what the future may hold."

About the programming:

Just eight months after reporting from Poland for the week-long "Eye on Poland" special, Fionnuala Sweeney returns to the country to anchor the network's live coverage for "The New Poland."

She will report on the various commemoration and celebration ceremonies throughout the week from cities across Poland including Warsaw, Krakow and Gdansk.

In addition to Sweeney's live reports, CNN correspondent Frederik Pleitgen will take viewers inside the Poland of today looking at the political, cultural, social and economic changes that have taken place in the past 20 years.

The programs include:

-- Gdansk Today: CNN explores the city of Gdansk, the birthplace of the Solidarity movement. We visit the main shipyard and spend the day with a foreman who has been working there for more than 30 years. He talks about the transformation since Solidarity was born and the challenges the shipyards face three decades on. Finally, CNN heads out to sea with a polish yacht maker and finds out how they are dealing with the economic crisis.

-- Catholicism in Poland: CNN looks at the Catholic Church in Poland and the challenges it faces. We visit Religia TV, a new project that aims to attract Catholics as well as viewers from other religions.

-- Business in Poland: Solidarity transformed Poland from a communist state into a capitalist economy eventually capable of becoming a democratic member of the EU. During the last 20 years, its economy developed at a thriving pace, but even today there are remnants of the old system. CNN speaks to a family-run business on the local economy. We also visit Poland's biggest copper mining and refining company. We find out how the global market place is impacting the global economy and Polish business.

-- Polish Cuisine: CNN speaks to Krakow's top celebrity chef and historian Robert Maklowicz about Polish cuisine and the recent trend to return to its roots.

-- Poland's Film School: CNN visits Poland's largest film production Centrex, the National Film, Television and Theatre School in Lodz, and finds out what makes this school so unique.

About the documentary:   By combining narratives from key players within the Solidarity movement, the Communist leadership, CNN reporters who covered the events and Polish civilians who lived through it all, Autumn of Change charts the individuals, relationships and astonishing chain of events that shook eastern Europe to its foundations.

About the online coverage:  CNN's television coverage will be complemented by a full interactive companion site. This special site will feature a number of pieces that reflect the cultural influence of this movement as well as narratives from some of the major figures involved in the process.

Via iReport.com, CNN will also encourage viewers and users from Poland and elsewhere to submit content -- photos, videos and comments -- to illustrate personal experiences. Whether a part of this revolutionary period or not, CNN wants to know how these pivotal events affected them.

@highlight

20 years since Poland's Solidarity movement defeated the Communist Party

@highlight

The New Poland is a week of programming examining the transformation of Poland

@highlight

Culminates in Autumn of Change, a look at the events that led to the election

@highlight

Fionnuala Sweeney will anchor CNN's live coverage from Poland