(CNN) -- The clock is ticking as the December 31 deadline approaches for Congress and President Obama to come to some sort of agreement over the infamous fiscal cliff.

But what happens when the country finally reaches the fiscal edge? Tax increases for everyone? Deep spending cuts? Another recession?

As President Obama puts pressure on House Republicans to come to a compromise over the fiscal cliff, it seems like everyone wants to know: What is the best solution?

Adults often have to make compromises to make ends meet financially. CNN iReport invited people to share their stories of financial compromise, and what advice they would give to Congress on the fiscal cliff based on the lessons they've learned.

1. Use cash, not credit

A couple years back, Val Stayskal found herself in a financial conundrum. As a single mother, she said immediate needs such as bills, food and gas would pile up, so she started putting a lot of her expenses on credit. "And when I could not pay off my credit cards, I would go to the bank and get a loan to pay them off," she said. "It was a terrible cycle."

She was finally able to break the cycle with help from a financially savvy friend who helped limit her credit usage. "She only worked with cash and she helped me create a budget," she said. Credit cards "are so dangerous. We are paying so much interest. You think you have all this money, but it is not your own."

Since that time, Stayskal has gotten married and she and her husband own three small businesses in Chicago. They made a pledge to not use credit cards after they nearly lost their home to foreclosure during the recession four years ago. "We only use cash," she said.

Stayskal, 58, believes the president and Congress could learn something from her journey to free herself of credit card debt. "I definitely feel like our nation's reliance on credit has put us in this fiscal cliff crisis," she said.

She advised Congress to "hold fast and push for spending cuts as well as balancing the budget in combination with increasing revenue in whatever way makes sense," she advised. Learning to prioritize spending is something she says was a tough, but an invaluable lesson.

"My life has improved tremendously and I attribute much of it to getting my finances straightened out," she said. "We've had our own financial hiccups with the recession, and each time we apply the same principles and we are back on our feet, even when things were out of our control. It works."

WWJD... about taxes?

2. Take responsibility for your actions

The optimist within 34-year-old Swathi Ravichandran believes Congress and the president will come to an agreement over the fiscal cliff. The associate professor at Ohio's Kent State University said past incidents such as Standard & Poor's 2011 downgrading of the U.S. credit rating should serve as a reminder that there are consequences to not reaching a financial resolution.

"I have to take responsibility for my actions," she said when reflecting on her finances, and she said Congress should do the same. Owning up to financial responsibility is a life lesson she tried to keep in mind when purchasing a home with her husband last year.

"We decided not to let our future incomes dictate the amount of mortgage," she said. "We took the opposite approach and thought, 'Will we be able to afford payments if one of us loses our job?' "

Ravichandran said the bottom line for avoiding the fiscal cliff is for the government to cut spending. "If I spend too much, I have to curtail the rest of the month to reach my savings goal," she said. She said she always looks at discretionary expenses first when limiting personal spending. "I'd cut back on the frequency of eating out, and purchasing clothing and accessories," she said.

She thinks Congress should do the same. "It is time to curb spending and increase revenues. Not one or the other."

3. Stop wasting

Like many people, Savita Naraine said when finances get tight, frivolous spending goes out the window. "This means packing a lunch and snacks and making coffee at home instead of splurging on Starbucks coffee," he said. The San Bernardino, California, resident and recent college graduate knows what it is like to work with a strict budget, especially since he is still looking for full-time employment.

Cutting back on wasteful spending is a lesson he said Congress needs to learn. He said he was frustrated when he read a financial report back in 2011 about the Justice Department spending $16 a piece on muffins and other exuberant amounts of money on lavish business lunches.

"In this economy, it is somewhat shocking to me that people are willing to spend that amount of money when it clearly isn't necessary," the 29-year-old said.

Naraine does not believe Congress and the president will come to an agreement on the fiscal cliff before the December 31 deadline. "In recent years, when facing budget deadlines, the only agreement made is to extend the deadline," he said.

He blames this on the stubbornness of politicians and their unwillingness to compromise, which worries him if taxes were to rise as a result of the fiscal cliff crisis. "I imagine I would need to look for two jobs instead of one so that I could pay off debt incurred during college, pay my bills, and survive," he said.

His advice for Congress is simple: Stop wasteful spending. For starters, he suggests that Congress could try hosting a potluck working lunch next time.

Opinion: Beware the fiscal cliff deniers

4. You can't please everyone

Brian Chandler's family is growing. He and his wife are expecting a second child, and their Georgia home is getting a little cramped. He'd like to buy a new house, but if taxes were to rise because of the fiscal cliff, he said he would reconsider purchasing a new home. "It's more of a want versus a need," he said.

Chandler was raised in a household where his parents made a combined $45,000 in the 1990s. He said growing up he didn't get everything he wanted, "but we got everything we needed."

Chandler worked his way through college and got an entry-level position in data security. Now at the age of 34, he has a high-level managerial position. Despite his salary increase, he said the growth of his income does not change his spending habits.

Decades later, he still maintains the want-versus-need mentality he learned growing up. "I never go over my monthly income," he said. "I don't drive a Porsche, even though I could afford one."

The Georgia resident believes Congress should apply the same philosophy when it comes to the fiscal cliff. "Too often I feel our government tries to appease everyone, which clearly can't happen," he said.

He said the best advice he could give Congress is to not delay the process any longer. "Make the tough decision" and "understand that you won't be popular with all groups of Americans when you make a decision," he said.

5. Learn to live with less

A few years ago, Bobbie Bosworth and her husband retired from teaching. Now at the age of 61, Bosworth is working again in order to pay for rising health care costs. She hopes that President Obama's Affordable Care Act will not only lower the cost of medical care, but also increase jobs in America, as she and others across the country will finally be able to retire for good.

Despite the rising cost of living, and going back to work after retirement, she is hopeful about the economy. She also believes Congress and the president will come to some agreement over the fiscal cliff before the deadline at the end of this month.

She thinks the fiscal cliff agreement should include raising taxes for the wealthy. "I would rather (Congress) go over the cliff than not raise taxes on the rich," she said.

Over the years, Bosworth has learned to live on a tight budget. If taxes rise as a result of the fiscal cliff, she said she and her husband will have to cut back on things like traveling and eating out, which they've done in the past. She said one of the best financial lessons she learned is to spend no more than what you have.

"Learn to live with less," she advised. "We don't need a lot to be happy."

@highlight

Congress and President Obama have until December 31 to come to avert the fiscal cliff

@highlight

iReporters say Congress can learn a thing or two about budgeting the country's finances

@highlight

One possible projected consequence of the fiscal cliff is rising taxes for many Americans

@highlight

Some iReporters urge Congress to work with only the money it has, stop borrowing money