LONDON, England (CNN) -- By its very nature, jatropha is divisive. The poisonous, deep-rooted shrub is traditionally used as hedging to protect food crops from hungry animals.

Workers tend Jatropha plants at a D1 Oils farm in Hluthi district, Swaziland, July 19, 2007.

Now it has a new purpose, and this time it's dividing opinion. Some say it can help solve the world's fuel crisis, others say there are too many uncertainties to call it a sure bet, while environmentalists have another set of reasons again for objecting to its large-scale production.

Jatropha is native to Central America but in recent years the shrub has been propagated around the world by developers convinced of its potential as a source of oil.

Seeds are being sown in India, China, Indonesia, the Philippines, Myanmar, Malaysia, Brazil and large swathes of Africa.

Research firm New Energy Finance estimates that more than 720 thousand hectares of jatropha have been planted. By 2014, it estimates that number to have risen three-fold to over 21 million hectares.

There's little argument that the seeds can be crushed to extract oil that, once refined, makes a high-quality biodiesel.

The question is whether enough oil can be derived from large-scale plantations to make the product economically viable.

In a research note released in early March, New Energy Finance said: "While the positive claims on jatropha are plentiful, promises of high yields in sub-optimal conditions are as yet unproven."

"Concrete figures on productivity and seed oil yields are at best limited and those that are available often contradict stated projections. This is especially the case in marginal conditions, where jatropha is supposed to prove its worth."

The believers

Stanley Wootliff, the chairman of British-based jatropha producer Viridas, has little time for doubters.

"There are a lot of people out there who make pronouncements on all sorts of subjects based on gut feeling without knowing anything in depth about what they're talking about," he says.

"Anyone who was not positive about jatropha I would put under that category because they haven't done their research."

Viridas is doing its research. It has planted a small trial plantation in Brazil where it's testing how much difference varying amounts of water and fertilizer make to the shrub's yield.

"We already know it's going to work. If you take wild jatropha seeds growing in the middle of anywhere, uncultivated, and crush them, you'd get a yield of 1.8 tonnes per hectare and that is economically viable," Wootliff says.

"What we're saying is that's the average yield, therefore one would expect the yields to improve."

Once the results are known at the end of the year, the group plans to go back to the market to raise more money for large-scale production.

"Brazil has 90 million hectares of unused land at this moment in time," Wootliff says.

"Nothing's growing on it. Historically it was forest -- they chopped it down. We're coming back and reforesting it."

Seeds of hope

It's easy to see how the buzz has developed around jatropha as the next big thing in biofuel.

Jatropha's deep root system allows it to grow on marginal land. And, unlike traditional biofuel crops of soy, corn, canola and palm oil, it's poisonous, rendering the argument of food versus fuel irrelevant.

Fully grown crops can be five meters tall and because only the seeds are harvested jatropha qualifies for inclusion in reforestation projects.

On paper it sounds ideal, but environmentalists have reservations about its large-scale production.

"Jatropha is at the moment being promoted as a wonder crop but that's actually not true," says Kenneth Richter, biofuels campaigner for Friends of the Earth.

"Jatropha can grow on relatively poor soils, but obviously it grows far better on good soils. What we see in reality, if you go to India and places in Africa, is that western companies are going in and buying up large amounts of land from the farmers."

He says the poisonous plant is being introduced to areas where it's not native, threatening and, in some cases, killing local wildlife.

And furthermore, he says, once it's been planted, it's there to stay.

"It's particularly difficult to get rid of once you've grown the plants; it's basically a weed in some countries."

Keeping the faith

British-based jatropha producer D1 Oils is a pioneer of the industry. The business was founded by entrepreneur Karl Watkin and listed on London's Alternative Investment Market in 2004.

On March 7, the company warned that it was consulting its workforce about job losses, saying imports of heavily subsidized biodiesel from the U.S. had eroded margins to the point where it had no choice but to consider reducing costs.

The company's share price plummeted, prompting Karl Watkin's resignation. He issued a scathing statement saying he'd become "increasingly frustrated" over "the inability of the investment community, governments and NGOs to differentiate D1's strategy from that of the suppliers of palm, soya and rapeseed whose biodiesel products have been well documented as being environmentally unsustainable."

Graham Prince, communications director of D1 Oils, says in some cases jatropha has been the victim of unsubstantiated hype.

"The key thing is that people need to be realistic about jatropha and its yields."

"We're at the first stage of commercialization of these crops," he says, adding "even at the first stage we're seeing very promising yields."

While keen to put expectations in perspective, D1 Oils, in partnership with oil company BP, has announced plans to plant 50,000 hectares of so-called "elite seed" this year, capable of producing 2.7 tonnes of oil per hectare.

Harry Boyle, analyst at New Energy Finance says his team won't be convinced of the potential of jatropha until it sees firm figures on the table.

'It's like what they say about Brazil -- it's the country for the future and it always will be. People have been getting excited about jatropha for two or three years."

"Until you see a one million hectare plantation producing regular amounts of jatropha crude year after year then it's hard to see how quickly the jatropha industry will progress."

That could be some time away. Many of the seeds that were planted in the rush to gain first mover advantage in what producers say could be a very lucrative field are still years away from maturity.

What is agreed right now is that there's very little scientific information about large-scale production of jatropha oil.

While analysts and cautious investors are content to wait for the plant to prove its worth, for producers and speculators there's no time to waste. E-mail to a friend

@highlight

Opinion divided over potential of Jatropha as an economically viable biofuel

@highlight

Hundreds of thousands of hectares planted around the world in recent years

@highlight

Very little scientific data exists about the potential yield of large plantations

@highlight

Poisonous shrub hailed as hardy alternative to biofuel based on food crops