(CNN) -- Will Congress reform the CIA?

The question seems urgent now that the Senate Intelligence Committee has released a damning report about the use of interrogation methods by the Central Intelligence Agency in the years that followed the tragic attacks on 9/11. The committee reported that the CIA had used extensive forms of "enhanced interrogation," misleading the White House and Congress about what was going on. Waterboarding, mock executions, rectal feeding, sleep deprivation and threats of rape were all part of the program.

Not only did the tactics appear to violate acceptable and maybe legal standards of interrogation, but, according to the committee, they were not effective in obtaining necessary information.

Now the question that faces Congress is: Will there be reforms to make sure that this does not happen again?

There have been a variety of proposals put onto the table, ranging from the appointment of an independent prosecutor to look into the role of high-level Bush administration officials to strict prohibitions on the kinds of facilities that the CIA can maintain to compensation for victims of enhanced interrogation. Former President Bill Clinton said that the nation needs to "keep pushing" on this.

Gergen: CIA chief Brennan, more credible than torture report?

Reform is not impossible. There have been periods of true change.

In the 1970s, the shocking findings of Sen. Frank Church's committee on intelligence activities, such as the fact that the CIA had been involved in assassination attempts and spied on U.S. citizens, produced reform. Congress passed the Foreign Intelligence Surveillance Act, which put constraints on federal agents.

In contrast, though, the chances for that kind of action today are extraordinarily slim. Despite then editorials and op-eds calling for something to be done, it is difficult to expect any real changes resulting from this report.

Why is this case? Why does something so shocking have so little effect? Why are we unlikely to see a repeat of the 1970s when the revelation of rogue unaccountable intelligence agents doing bad things created political pressure for genuine changes?

The most important factor is that when it comes to national security, fear usually triumphs over almost everything else.

The mid-1970s, in the aftermath of Vietnam and Watergate, were exceptions. As the historians Fred Logevall and Craig Campbell captured in their excellent book "America's Cold War," electoral politics usually moves voters toward favoring militaristic solutions.

Politicians in both parties manipulate the anxieties of voters rather than their hopes. This time is no different. Policymakers have been doing this since the 2002 midterm elections when some Republicans blasted Democrats as weak on defense for opposing President George W. Bush's homeland security proposals.

Popular culture has also been extremely kind to torture. Americans have been bombarded with a barrage of movies and television shows where agents are seen extracting vital information through devious means.

Cheney had no regrets: 'I would do it again in a minute'

In the television show "24," Jack Bauer used whatever means necessary to save the world from terrorists. In the movie "Zero Dark Thirty," torture is shown as allowing U.S. agents to find and kill Osama bin Laden. Sen. Dianne Feinstein had criticized the film for shaping public opinion "in a disturbing and misleading manner." There have not been as many shows, such as "Scandal," that depict the dark side of intelligence agents (in their case, the supersecret agency B-613).

We also have a public that in the post-9/11 era that has grown so cynical about what the government does and what it is capable of doing, that nothing seems to shock any more. With each new revelation comes another round of complaint and lament, but the public rarely makes this a central issue when comes time to vote. The outrage that followed the Church Committee seems quaint.

According to a Associated Press/OCR poll, Americans have become much more accepting of torture.

Fifty percent of Americans polled in August 2013 said that torture was sometimes justified. Nor can we expect anything of the scale and scope of CIA reform from a Congress that can barely pass a budget. There has already been an intense partisan divide in the response to the report, with some in the GOP warning that this will bring great danger to the party. Even many Democrats are not that eager to take this on.

Then there is President Barack Obama, who despite entering the White House on a campaign in 2008 that challenged President Bush's policies, has not done that much to transform them. To be sure, he did announce early in his presidency that he would not accept the use of torture and issued a statement last week saying that the tactics described in the current report did not reflect the nation's values.

The torture ban was a hugely important change, but many skeptics still wonder whether that will be tough enough to prevent this from happening again. As Steve Mufson recounted in The Washington Post, Obama rejected creating a "truth commission" to investigate the CIA's use of torture or the pursuit of any criminal prosecutions.

In other areas, such as NSA surveillance and drone strikes, he has strengthened Bush-era policies. There are many controversial techniques that are still permissible, such as force feeding prisoners on hunger strikes and lengthy, intense periods of solitary confinement.

So it's probably best not to expect much from Washington. This is not the 1970s, and the chances for substantive reform are not good.

It is a safe bet that the CIA will probably continue to engage in versions of these tactics for many years to come.

@highlight

Julian Zelizer: Last week's report on CIA activities revealed abuses that can't be repeated

@highlight

He says the odds are slim that Congress will move decisively to reform the CIA

@highlight

In the 1970s, disclosure of abuses did result in sweeping changes, he said

@highlight

Zelizer: Today's Congress is ill-suited to take on task as difficult as CIA reform