(CNN) -- Emil and Leslie Congdon have just one goal, really: Run the best bag company in the world.

It might sound like a stretch for a company of three people operating out of a 1,300-square-foot workshop in Nashville. But Emil Congdon, a self-trained leather craftsman and unabashed perfectionist, doesn't see the point in striving for anything less.

"There are a lot of people making stuff; you have to be unique and offer something different. You just have to make it better," said the 33-year-old father of three, who runs the company, Emil Erwin, with his wife, Leslie.

"The world doesn't need another widget; it needs a better widget."

It's a philosophy that seems to be working so far for Emil Erwin, which is named after Congdon's hometown of Erwin in mountainous eastern Tennessee. In less than four years, Emil Erwin's handmade bags and accessories have drawn the attention of major retailers and customers worldwide, proving a small operation can make a big splash.

But, as Emil Erwin branches into new territory with women's handbags and clutches, the Congdons are playing it safe when it comes to growing their company -- part of the reason they have only one employee who helps create their products.

"I want to grow, but I'm not going to grow for the sake of growth," Emil Congdon said. "I want to make some money, but I have the long view and I want to make sure we're doing it right."

Shopping made in America

From their workshop in Nashville's Marathon Village, the Congdons work constantly to fulfill orders. It's been that way since 2010, Congdon said, when lifestyle magazine Garden & Gun's "Made in the South" awards recognized Emil Erwin's "elegantly simple" bags made by hand from rich, heavy leather and waxed canvas. Congdon's smartphone began ringing with orders, prompting him to disable the notification alert. To keep up, he decided to quit his day job as a computer salesman for Dell.

"We couldn't justify taking orders unless we had a long-term plan for fulfilling them," Leslie Congdon said. "It hasn't stopped since then."

'It's not for everybody'

Emil Congdon's fascination with leather-working began in a shoe and saddle repair store in his Appalachian hometown. In college, he taught himself to sew by mending his own clothes and discovered that he enjoyed it. When he couldn't afford a leather tote bag, he made his own. It was far from a masterpiece, he recalls, but he was hooked and hell-bent on mastering the process.

Making bags and wallets on nights and weekends sustained him through a handful of unfulfilling jobs -- automotive restoration, unloading boxes, customizing tour buses for musical acts -- that enabled him to support his growing family. He began selling his handiwork at craft shows around Nashville and throughout the region, catching the attention of Matt and Carrie Eddmenson, the couple behind American denim company Imogene + Willie.

They began to carry Emil Erwin bags in their Nashville store and in 2009, the two companies collaborated on a bag for the J. Crew men's boutique in New York, earning the attention of other department stores, including Barneys.

Made in America: The short list

The orders kept coming in. They have yet to clear the wait list, Congdon says.

By 2012, Congdon was ready to move his workshop out of the family garage and into a workspace in Nashville's Marathon Village. He shared the space for about a year with another budding Nashville designer, men's accessories maker Otis James. By 2013, both businesses had grown to the point that they needed their own workshops.

Standards over growth

Despite the growth, the Congdons don't measure success by the number of wallets and belts they sell. To them, being the best means making a distinct product that meets their standards. It's part of the reason they haven't hired more people, he said. Congdon makes each bag to order by hand, a craft he said requires a certain amount of raw talent.

"It's not for everybody -- or maybe I'm not for everybody," he said, laughing. "You can't just want to do it and make it happen, not to the level that I expect or our customers expect."

Otherwise, Emil Erwin is growing and changing in other ways. The Congdons just launched a line of women's handbags and clutches in a design collaboration.

The company recently stopped doing wholesale and started selling exclusively through their website. It might sound counterintuitive for a company trying to expand, but it allows them to bring down the cost of their products and interact directly with customers, Congdon said.

"That's the joy of being a small business. We can do whatever we want as long as it makes sense for us and it's fair for our customers," he said.

Besides, he didn't start a family business to get rich, he said. He did it because he loves working with his hands and having something to show for his efforts.

"We're not building this as a brand just to sell something. We want to build it as a legacy for our children and grandchildren," he said. "But it would be nice to walk away from work for a week."

@highlight

Emil and Leslie Congdon launched bag and accessories company Emil Erwin in 2009

@highlight

The line has drawn attention from customers worldwide and retailers Barneys and J. Crew

@highlight

"I want to grow, but I'm not going to grow for the sake of growth," Emil Congdon says