(CNN) -- Authorities want to take DNA samples from "Unabomber" Ted Kaczynski in connection with their investigation into the 1982 incident in which seven people died after taking Tylenol capsules laced with potassium cyanide, according to the FBI office in Chicago.

"As part of the re-examination of the 1982 Tylenol poisonings, the FBI attempted to secure DNA from numerous individuals, including Ted Kaczynski," said Cynthia Yates, FBI spokeswoman. "To date, Kaczynski has declined to voluntarily provide samples."

However, in a handwritten motion filed in federal court aimed at stopping the online auction of possessions taken from his Montana cabin in 1996, Kaczynski writes that he did agree -- with a condition -- to provide the sample.

Read Kaczynski's motion

Kaczynski, 68, killed three people and wounded 23 others in a string of bombings from 1978 to 1995. The FBI dubbed him the "Unabomber" because of his early targets -- universities and airlines. He was arrested in 1996, pleaded guilty in 1998 and is now serving a life term in the federal "Supermax" prison in Florence, Colorado.

Yates would not comment on whether federal authorities already have a DNA sample from Kaczynski or when the request for his DNA was made.

"It would have been standard procedure for DNA to be taken from Kaczynski as an inmate in a federal prison," said Traci Billingsley, a spokeswoman for the federal Bureau of Prisons. But she could not say precisely when Kaczynski's DNA was taken in the past, and had no information on the FBI's request for a new sample.

"The standards on DNA testing have changed over the years, so forensic examiners would want a fresh sample," said Chicago FBI spokesman Ross Rice. He said he did not know whether the original sample was kept or not.

Mark Collins, a spokesman for the "Supermax" prison, would not comment on the DNA issue, saying it was "not a matter of public record."

On April 27, Kaczynski writes in the motion filed May 9, prison officials told him that "the Chicago office of the FBI wanted a sample of my DNA to compare with some partial DNA profiles connected with a 1982 event in which someone put potassium cyanide in Tylenol. The officers said the FBI was prepared to get a court order to compel me to provide the DNA sample, but wanted to know whether I would provide the sample voluntarily."

Kaczynski said he asked for time to think about it, and said he later sent a written response to prison officials saying he would provide the sample voluntarily "if the FBI would satisfy a certain condition that is not relevant here."

Rice said he had no knowledge of what Kaczynski's condition might be.

"I have never even possessed any potassium cyanide," Kaczynski said. "But even on the assumption that the FBI is entirely honest (an assumption I'm unwilling to make), partial DNA profiles can throw suspicion on persons who are entirely innocent. For example, such profiles can show that 5%, or 3%, or 1% of Americans have the same partial profile as the person who committed a certain crime.

"If it happens by chance that I fit one of the partial DNA profiles that the FBI has in relation to the 1982 cyanide incident, then it will be not only to my advantage, but to the advantage of society in general, to resolve correctly the question of any putative connection between me and the cyanide incident. For this purpose, some of the evidence seized from my cabin in 1996 may turn out to be important," and the auction should not go forward, he writes.

A similar motion was also filed in district court, according to court documents.

"Kaczynski has not been indicted in connection with the Chicago Tylenol investigation, and no such federal prosecution is currently planned," federal prosecutors said in a response to the motion. "Consequently, there is no basis for an order interfering with the sale previously approved by the district court, as directed by the court of appeals."

Absent a judge's ruling on the motion, the auction launched as planned Wednesday. Bidding for a handwritten copy of Kaczynski's 35,000-word manifesto, which ultimately led to his capture, stood at more than $12,000 as of Thursday.

In 1982, seven people in the Chicago area died after taking Extra-Strength Tylenol capsules laced with potassium cyanide.

The deaths prompted a national scare as several drug chains pulled Tylenol off their shelves and people in several cities were hospitalized on suspicion of cyanide poisoning. In an October 1982 article, Time magazine quoted Dr. William Robertson, then director of the Poison Control Center in Seattle, as saying, "If it was going to be a lethal dose, you wouldn't have time to call."

Johnson & Johnson, parent company of the McNeil drug maker, was widely credited for its aggressiveness in recalling the product and its transparency in dealing with the deaths, and the product quickly bounced back in sales, remaining a popular analgesic.

The incident led to changes in the way over-the-counter drugs were packaged, as tamper-proof seals were instituted.

The case was never solved.

In February 2009, the FBI announced it was working with Illinois state and local police to review evidence related to the killings. "The review was prompted, in part, by the recent 25th anniversary of this crime and the resulting publicity. Further, given the many recent advances in forensic technology, it was only natural that a second look be taken at the case and recovered evidence."

Tylenol spokesman Bill Price declined comment on the Kaczynski matter Thursday.

About 60 items are featured in the online auction of Kaczynski's possessions, including clothing, books, photographs and documents. Proceeds from the sale will benefit four of his victims who sought restitution and were awarded $15 million. Kaczynski vehemently opposed the auction and fought a court battle to prevent it. The auction runs through June 2 at gsaauctions.gov.

CNN's Shawn Nottingham, Carol Cratty and Georgiann Caruso contributed to this report.

@highlight

NEW: A new DNA sample is sought because of forensic advances, FBI says

@highlight

Seven people died in 1982 after taking cyanide-laced Tylenol

@highlight

The FBI says Ted Kaczynski has not agreed to provide a voluntary sample

@highlight

Kaczynski claims he has agreed to provide the sample on one unspecified condition