(CNN) -- "Fashion is not something that exists in dresses only," Coco Chanel once said. "Fashion is in the sky, in the street, fashion has to do with ideas, the way we live, what is happening".

And what is happening, now that everyone is a smartphone owner, is that fashion and technology, traditionally uncomfortable bedfellows, are coming together like never before.

Fashion editors were invited to the launch of the brand new Apple Watch, showing how much the ground has shifted. Google has teamed up with sunglasses brand Luxottica, which makes Ray Bans and Persol, to design a new range of its Glass wear.

And Natalie Massenet, Net A Porter's founder and chair of the British Fashion Council, declared she wanted London to be "the most tech-savvy fashion capital in the world," as she launched London Fashion Week with Google.

"Innovation is hugely important for brands to showcase," said Matthew Drinkwater, head of the fashion innovation agency at London College of Fashion. "There's recognition that the technology industry needs to engage with fashion lifestyle. All physical stores, not just premium brands, need to create a full experience for customers."

Drinkwater worked with Nokia on the first digital skirt made from mobile phones and with Microsoft on the first wireless charging trousers. He added: "The brand has to live online and offline."

Burberry, which has more than 17 million likes on Facebook, is one luxury brand that has fully embraced fashion tech. Burberry, the British fashion house, is a pioneer in fashion technology. It has integrated the physical and digital in its flagship stores in London, Hong Kong and Chicago. Mirrors become screens showcasing catwalk images. There are about 100 screens and 500 speakers. There are no cash tills (like Apple stores) and you pay on devices. You can even experience weather -- simulated rain showers/sounds of thunder -- just to remind you why you might need a Burberry trench coat. They've rolled out the augmented technology with intelligent mirrors to show the outfit you're trying as if you were the star of a catwalk show.

Luxury retailers have been early adopters of new technology and are more advanced in the field than high street retailers, with greater focus on enhancing the in-store experience with video and microchips in clothing for shoppers to interact with. Angela Ahrendts, the former CEO of Burberry who oversaw its digital revolution, was subsequently poached by Apple to help run their stores and develop new products.

Although the average town's main chains have been slower to embrace fashion technology, there are signs of change. Stores have begun to embrace "showrooming," where people examine the merchandise but purchase later online, often at lower cost, as an opportunity to engage.

Topshop put digital at the heart of its London Fashion Week show by inviting influential bloggers to curate, for example. Chains are also embracing innovation through augmented reality software. Using camera-equipped mobile devices, apps can take detailed personal measurements to ensure clothes will be a perfect fit.

The company Fits.me, founded in 2010, is a leading provider of virtual fitting room solutions. Clothes are photographed on robotic mannequins, allowing shoppers to try items on virtually. It means shoppers can try on every size with a few clicks and then choose the best fit.

James Gambrell, chief executive of the start-up, explained: "I'm a big online shopper and like many men I don't like to try on clothes. Instead of doing that thing where you buy three sizes we decided to try 3D modeling with robots.

"We have become better online than in stores. Online tech in retail can track where people go on the site. Such innovation needs to move back to the physical store."

The firm, Holition, has combined a fabric that changed color in the presence of certain pollutants and a sensor that detected the color change and uploaded the results to the cloud to produce a prototype garment that monitored air quality in Paris. Nike and Adidas have been looking at embedding sensors that connect to smartphones to give a more complete picture of someone's training regime or real-time health. Even Ralph Lauren, which is seen as a more traditional brand, has launched a polo shirt that records the wearer's biometric data.

For companies like these, the goal is to create technical clothing that can passively monitor your health and activity without the wearer having to think about it or carry around additional technology. The forthcoming Apple Watch and iPhone 6 launch promised a new era for wearable technology.

"For the first time fashion is not just an add-on for technology. In the past a bag with a pouch for a phone was the extent of it," said Rachel Arthur, from trend forecaster WGSN. "Now there's a partnership with fashion labels. With technology getting smaller, there's no reason that it won't be embedded in collections and accessories."

But others are more skeptical about wearables. Marc Curtis, head of innovation labs at digital agency TMW, said: "Strictly speaking, ever since Casio launched their CA 53W calculator watch, we've been stealthily trying to combine our technology with our clothes, our watches, our hats, even our shoes.

"Arguably, Apple have not created anything unique in terms of technical innovation. However, they have placed mobile, contactless payments at the heart of their new devices."

Curtis is more excited by the potential of smart fabrics, cloths that can be embedded with sensors and microprocessors that can communicate with mobile phones to process information such as the wearers' heart rate or temperature.

And that is potentially the future of fashion technology: seamless, subtle and intuitive.

Read more: Wearable tech that will turn man into machine by 2015

Watch: Ralph Lauren's new tech threads

Read more: Is your wearable tech helping you - or watching you?

@highlight

Fashion technology is beginning to enter the mainstream

@highlight

Brands like Burberry and Ralph Lauren are integrating new tech in stores and clothing

@highlight

Wearables, including smart fabrics, are the future of this unconventional marriage