Sanya, China (CNN) -- A leadership summit of five emerging economic powers took a decidedly political turn on Thursday, going beyond customary economic issues with a joint declaration against Western-led airstrikes in Libya and urging a peaceful solution to the conflict.

"We share the principle that the use of force should be avoided," the heads of state of Brazil, Russia, India, China and South Africa declared in the Sanya Declaration, which was issued at the conclusion of the annual BRICS Summit in this southern China resort city.

Earlier this year, Brazil, Russia, India and China abstained from voting on a United Nations Security Council resolution that authorized a no-fly zone over Libya. By contrast, South Africa had voted in favor of the resolution.

This is the third annual BRICS Summit, which adopted a new acronym after South Africa joined Brazil, Russia, India and China for the first time. Chinese President Hu Jintao chaired the one-day meeting, which was also attended by South African President Jacob Zuma, Russian President Dmitry Medvedev, Brazilian President Dilma Rousseff, Indian Prime Minister Manmohan Singh and a host of cabinet-level representatives.

This year, the BRICS countries angled for greater collective influence in political affairs. Hu, China's president, called for cooperation to increase the influence of emerging economies in international institutions such as the United Nations and the World Bank.

In the joint declaration, the five countries specifically called for reform and diversification of the UN Security Council by adding more emerging economies so "it can deal with today's global challenges more successfully."

"We underscore our support for multilateralism and the UN system but also agree on the need for the UN, including the UN Security Council, to make it more representative and effective," said South African President Jacob Zuma.

Indian Minister of Commerce Anand Sharma agreed. "This platform as such can make a significant and defining contribution to the global architecture as the world is seeing a major shift," Sharma told CNN.

The BRICS countries also agreed to use their own currencies in place of the U.S. dollar when issuing credit or grants to one another. The declaration, which called for a broad-based international reserve currency system, asserted that such a move would provide more stability and certainty for emerging economies.

While the summit focused on major areas of agreement between the five countries, it was apparent that the meeting purposefully steered clear of controversial topics that still plague this diverse group of nations. Controversial issues directly related to trade, including currency valuation, were pointedly avoided on Thursday.

"As of now, there has been no debate on this issue," Yu Ping, Vice Chairman of the China Council for the Promotion of International Trade, told CNN on Thursday.

Brazil, which has been sharply critical of the way China values its currency, avoided direct comment.

"Brazil has to do what Brazil has to do," said Luciano Coutinho, President of the Brazilian National Development Bank. "We cannot expect others to take care of our problems."

Together, the BRICS countries account for 40% of the world's population, and their combined economic output neared one-fifth of global GDP in 2010. The BRICS countries are expected to pass the G-7's output by 2035, according to official statistics published by the summit.

Next year's BRICS Summit will be hosted in India.

@highlight

Leaders of Brazil, Russia, India, China and South Africa meet in Chinese resort city

@highlight

The five nations also call for more representation on the UN Security Council

@highlight

Controversial topics such as currency valuation are pointedly avoided

@highlight

South Africa makes its first appearance at the BRICS Summit