Ithaca, New York (CNN) -- I work at an inland university in chilly upstate New York. Around here, many people feel a little global warming is good and there is really nothing that they can see or hear that will make them feel differently. News of warming sea surfaces and bleached coral reefs inspire little response when there's a chill in the air and the ocean is hundreds of miles away.

Sure, the ice is off the lakes a few weeks earlier and the growing season is a couple of weeks longer. But there are costs we are seeing now -- mosquitoes, ticks and other species of insects are really thriving with the warmer weather while some species of trees, like sugar maple, are suffering slow declines.

However, none of these small, incremental impacts gives one a sense of imminent disaster, but the reality is that increased sea-surface temperatures will impact hundreds of millions of people, whether they live in Key West or Kalamazoo.

In contrast to the incremental changes we are seeing here in the heartland, the sea is already undergoing catastrophic changes on a massive scale, ones that are unprecedented in human history and that may be largely irreversible on human time scales.

During the past few months, coral bleaching near Aceh, Indonesia, in the Coral Triangle and in the Andaman Sea of Southeast Asia has left vast tracts of reefs impacted, with up to 80 percent of the corals dead or dying at some sites.

Bleaching occurs when corals get so thermally stressed that the symbiotic relationship with their solar-powered algae falls apart, and the pigmented algae get expelled. The result is a bleached reef that looks starkly white because the white skeleton underlying the coral skin shows through.

Imagine if overnight all of the leaves on the trees in your neighborhood turned white from losing their photosynthetic pigments. Then think about what it would look like if more than half of those trees didn't recover and died.

Coral reefs are an ecosystem rich in biodiversity beyond our wildest imagining -- we are still discovering the countless links that support transforming nutrient- poor tropical oceans into an oasis of life. Reefs provide a home to countless small crabs, worms, starfish and rich zooplankton which hide in the reef by day and come out at night to be a rich banquet for fish.

Young fish shelter and feed in the reef, until large enough to survive elsewhere. Gobies are an example of a small reef fish that shows big declines on reefs affected by bleaching; the butterfly fish also is a species that feeds directly on coral and so declines with reef damage. Reefs that have bleached and died quickly erode and cannot fix carbon from the sun or provide habitat for fish.

Even as I write this, I am anticipating that one of the largest bleaching events in the history of the Caribbean is under way. We don't know yet if this event will become the largest because it has not reached its peak. I have checked NOAA's Coral Reef Watch website every week this August and September to monitor the sea surface temperatures and to try to guess at what level they might peak.

Currently, the trajectory is on course to be markedly warmer than the record-breaking summer of 2005. During that year of record-breaking bleaching and devastating hurricanes, including Katrina, scientists identified the extreme sea surface temperatures as a once-in-a-100-year event.

Well, here we are five years later, and with a month to go before the expected temperature maximum during mid-October, it looks like we are in for a greater once-in-a-100-year event in the space of five years!

So, this raises the question -- does this really matter to folks in the heartland? Does it matter that nobody is even aware that this huge event is even going on? Well, it matters if we care about global biodiversity, since those reefs in the Coral Triangle are at the center of both fish and coral biodiversity.

It also matters if we care about the people who make their living on the fish, snails, crabs, and other animals that live on the reefs in the Coral Triangle, Southeast Asia, and the Caribbean -- and the people who eat seafood in your town and every town.

It matters if we are concerned about future tsunamis in the Indo-Pacific because those reefs are the strongest wavebreaks known to protect fragile coastal communities. And finally, it matters because coral reefs fuel billions in tourist dollars to fragile economies in the developing world as well as in our territorial waters.

So, for people who are concerned about the fate of the global environment and human civilization, it does matter.

We are an ocean nation with vast areas of coral reefs. The exclusive economic zone of the US includes not only a 200-mile coastal zone around our fifty states, but a 200-mile zone around rich marine resources in the Pacific, including Guam, Midway Island, Palmyra Atoll and American Samoa.

It is important to realize that the effects of climate change are being felt more directly in the oceans than on land. Just because they are out of sight does not mean that they should be out of mind.

Most people have not experienced firsthand the already disastrous impacts of climate change on our ocean. But soon enough we will start to notice disruptions in terrestrial ecosystems as well. To help coral reefs and other affected coastal ecosystems, much more stringent management policies must be implemented to control overfishing and land-based pollution. This can improve the resilience of these climate-stressed ecosystems.

In the larger policy arena, to slow this sea surface warming we must not only reduce greenhouse gas emissions, we have to figure out a way to get the CO2 concentration below the level of the 388 parts per million it is at now. The target of 350 ppm CO2 advocated by 350.org movement is a way forward if future generations are to benefit from the services coral reefs provide and the sense of awe that they inspire.

The opinions expressed in this commentary are solely those of Drew Harvell.

@highlight

Higher sea temperatures are damaging coral reefs around the world, says Drew Harvell

@highlight

She says the reefs provide a crucial habitat for fish and a lure for tourists

@highlight

Some effects of global warming are most visible in our seas, she says

@highlight

As an ocean nation, the U.S. has much at risk, Harvell says