(CNN) -- If you're of the opinion that the only thing better than viewing great art is owning it, put these destinations on your travel itinerary.

Not only are they cities renowned for their beauty, their museums and their architecture, they are the sites of the world's great art fairs. From ancient objects to art that was conceived yesterday, these carefully curated fairs offer the best of the best to their audiences.

Attending one is like walking through a museum where everything is for sale -- to anyone with adequate funds. Yet even if you're not equipped to buy, you can still visit these fairs, take part in the spectacle and feed your aspirations.

5 train stations worth a stop

Maastricht, The Netherlands

Held annually in Maastricht, the European Fine Art Fair is the art fair by which all others are measured.

"There is no other fair like it," says Lawrence Steigrad, a New York City fine art dealer who specializes in Old Master paintings. At the fair in March, he sold an 1810 painting by Dutch artist Nicolaas Baur to the Rijksmuseum, Amsterdam.

That's the level of "shopper" who attends this fair: museum curators, serious collectors and those who aspire to be serious collectors. Calvin Klein and Kanye West are among those who have been spotted at the invitation-only preview day in recent years. They come because the quality and authenticity of every piece -- from antiquities to contemporary art -- undergoes what is acknowledged in the art world to be the strictest vetting process of any art fair.

After the preview day, the fair is open to all. The ticket price is considerable, but the chance to see and possibly purchase such art, antiques and objects is extraordinary. The next fair takes place March 14-23, 2014, and there's talk of launching a TEFAF Beijing fair as well.

Maastricht, in the southern Netherlands near Belgium, is known as a place where Amsterdam residents go for a weekend break.

The cafes and restaurants around Vrijthof Square are lively and comfortable. Selexyz Dominicanen, housed in a former Dominican church, is one of the world's most beautiful bookstores, and the Bonnefantenmuseum is an excellent place to see art all year round.

The places where masterpieces are born

London

Ever since its debut four years ago, Masterpiece London has been gaining a reputation as a mini-TEFAF. Installed in a specially built pavilion on the grounds of the Royal Hospital Chelsea in London, Masterpiece specializes in fine art, antiques and design, and adds luxury goods -- cars, yachts, watches and wines -- to the mix of offerings.

Everything is vetted, everything is expensive, and Prince Harry was one of the VIP attendees in 2011. The list of exhibitors is hovering around 200 for this year's fair, which will take place June 26-July 3.

Yet the even newer fair that everyone's talking about now is Frieze Masters, an adjunct to Frieze London, both of which will take place October 17-20. While Frieze London showcases contemporary art, Frieze Masters, which premiered in 2012, is for everything pre-21st-century.

Last year's exhibitors included 90 international dealers; attendees included curators from around the world; and sales included ancient Mesopotamian artifacts, Renaissance marbles, a couple of Picassos and a Joan MirÃ³ painting with an eight-figure asking price.

When you're in London, it's never hard to find great art to visit at the Victoria & Albert Museum, the Tate Modern the British Museum or the Royal Academy of Arts. Put the London Transport Museum on your list as well. Its "Poster Art 150 -- London Underground's Greatest Designs" exhibition (through October 27) features art that everyone can understand.

Gatsby's Gold Coast: 8 grand estates

Venice

There are other biennial international art exhibitions, but when people talk about "the Biennale," they're talking about Venice.

This being an odd-numbered year, the city is preparing the 55th Venice Biennale -- a nearly six-month-long festival (June 1 to November 24) with pavilions and art installations throughout the city. An architecture Biennale runs in even-numbered years.

The Biennale seeps into every nook and cranny of the city, and the year won't be the only odd thing about it. For artists, the chance to represent their countries at the Venice Biennale can be a career-making moment. The path to greatness isn't easy, however, and neither is the art, which is typically conceptual, avant-garde and often (not to put too fine a point on it) just plain weird.

Of the 88 nations represented by national pavilions, 10 are exhibiting for the first time. One is Bahamian artist Tavares Strachan whose installation includes a re-enactment of Robert Peary's 1909 expedition to the North Pole. The installation by Vincent J.F. Huang, representing Tuvalu (another first-time participant) involves suicidal penguins. Sarah Sze will represent the United States with an installation called "Triple Point." Chinese artist Ai Weiwei is one of four international artists who will create the installation in the German pavilion.

At times, it can seem that the Biennale is inescapable. Whether that's good or bad depends on your taste.

If, after seeing the newest of the new, you're longing for a cleansing immersion in classical or decorative art, the 11 museums of the Fondazione Musei Civici Venezia will satisfy you.

Basel, Switzerland

When it comes to art fairs that truly put their cities on the map, Art Basel tops the list. In 1970, three Basel gallery owners joined forces and invited their "gallerist" colleagues to Basel to exhibit the works of their current clients. Ninety galleries from 10 countries exhibited, more than 16,000 people attended, and with that one bold move, Basel became a modern and contemporary art pilgrimage destination.

The 2012 Art Basel saw 300 galleries from 36 countries exhibiting and more than 65,000 curators and collectors attending. It's a happening -- and no one who's passionate about contemporary art would miss it.

Art Basel is limited to 20th and 21st century art, and the emphasis is on the new. So, yes, you'll see Warhol and the occasional Leger, but you're more likely to encounter Cindy Sherman, Phyllida Barlow, Edward Ruscha, and Takashi Murakami among the offerings (and possibly among the attendees). In addition to the gallery exhibitors, there are installations of site-specific artworks open to the public free of charge in the Art Parcours section of the fair.

The next Art Basel takes place June 13-16, 2013.

With 40 museums to serve a population of around 165,000, Basel rightly claims the title of Switzerland's culture capital. Recently, Kunstmuseum Basel has been welcoming crowds for its excellent Picasso retrospective (through July 21). In nearby Weil am Rhein, Germany, the Vitra Design Museum is celebrating the work of American architect Louis Kahn (through August 11).

Just as thrilling to locals and sports fans alike, the local soccer team, FC Basel, was the defending Swiss champion until they were defeated on Monday by Zurich-based club Grasshopper for the Swiss Cup title.

Miami Beach, Florida

It's not really cheating to include Art Basel Miami Beach on this list. Yes, the show is an offshoot of the original in Switzerland, but as it approaches its 12th year, Art Basel Miami Beach has earned its stripes in the art community -- and not merely because it gives everyone an excuse to visit Florida in the winter. (The even newer Art Basel Hong Kong kicks off its inaugural show this month, from May 23 to 26.)

Held at the Miami Beach Convention Center, Art Basel Miami Beach features more than 200 exhibitors showcasing the work of some 4,000 artists and competition to be included is fierce -- close to 700 galleries applied to show at Art Basel Miami Beach last year.

As at the original Art Basel, the focus here is on the new, but in Miami Beach, there's emphasis on artists and galleries from the United States and Latin America. The Art Nova and Art Positions sections of the fair showcase recent works, and young and emerging artists. The Art Public section, organized in cooperation with the Bass Museum of Art, places art installations in Collins Park.

The next Art Basel Miami Beach takes place December 5-8.

Miami and Miami Beach have a number of private art collections open to the public.

The Rubell Family Collection is among the world's most respected private collections, featuring works by top 20th century artists and burgeoning contemporary artists. The Margulies Collection at the Warehouse includes works by Olafur Eliasson, Sol LeWitt, Willem de Kooning and Richard Serra. And in 2009, Carlos and Rosa de la Cruz opened the de la Cruz Collection Contemporary Art Space to showcase their collection of contemporary art.

@highlight

Maastricht, Netherlands, hosts one of the world's most prestigious art events

@highlight

Art Basel has expanded from its birthplace in Switzerland to Miami Beach and Hong Kong

@highlight

The Venice Biennale focuses on conceptual -- sometimes weird -- work