(CNN) -- Lane Kommer should be skiing this week. Instead he postponed a trip to Colorado because the snow situation just isn't looking good.

"We've been keeping a close eye on the weather the last few weeks and keeping our fingers crossed, hoping for some good snow and it just got to the point where we decided it's better to reschedule and pay to change our plans than to go out there and be disappointed," said Kommer, who was planning to fly from Dallas to meet up with friends at Beaver Creek Resort. Now they're planning to go in February.

It is a decision faced by skiers and snowboarders across the United States as ski resorts scramble to make the snow that Mother Nature isn't providing. December 2011 yielded the 11th least extensive snow cover in the United States in the past 46 years, according to climatologist David Robinson, a professor in the geography department at Rutgers University.

Weather patterns are moving in and out too quickly and nothing is locking in to produce significant snowfall, he said.

"It doesn't look like there's going to be huge improvement the next two weeks and we're getting halfway through winter by then. But still, hope springs eternal for late January into early March. One would expect that we're going to see at least some interruption in this progressive fast-moving pattern," Robinson said.

Any snow would be a welcome change for the Lake Tahoe area straddling California and Nevada, where odd spring-like weather has plagued snow seekers. Base snow averaged about 14 inches at seven area resorts on Thursday, with summit averages of a little more than 19 inches. The annual average summit snowfall at one of the resorts is 350 inches.

Revenue at some California resorts over the peak week between Christmas and New Year's was down 20% to 30% after a tremendous ski season across the United States last year, according to estimates from the National Ski Areas Association.

It's no good for skiers, but the warm weather is pleasant, said local restaurant manager Vicky Mallett.

"It's just gorgeous. People are paddle-boarding and hiking and riding their bikes, so they're definitely in town hanging out," said Mallett, who manages the Fire Sign CafÃ© in Tahoe City, California.

Lack of the cold white stuff actually brought a boost to the cafÃ©'s business in the past few weeks, she said.

"We're really busy because (visitors are) not skiing." People who would usually be on the trails all day are skiing in the morning and then coming into town, Mallett said, but she suspects the novelty of the warm weather will wear off for vacationers.

Ski resorts in other parts of the West didn't experience such steep declines in December business. In Colorado and Utah, revenue was down by single digit percentages over the holiday week, said Michael Berry, president of the National Ski Areas Association.

Holiday bookings at major destination resorts are usually made before the start of the season. With the lack of snow going into January, some potential customers are hanging back to see what happens, Berry said.

"We are a weather-dependent industry, no matter what, and we've done lots of things to help mitigate it, but at the end of the day, it's always nice to have Mother Nature's help," he said.

Some of Colorado's biggest resorts -- like Aspen and Vail -- are surviving on high altitude, cold temperatures and enough money to produce a lot of man-made snow, said Patrick Crawford, content director of snow sports website OnTheSnow.

Ski areas are trying to make the best of it.

Aspen/Snowmass CEO Mike Kaplan penned a blog post this week titled "The Glass is Half Full" highlighting some of the best trail conditions, and a Facebook comment complaining about attractive photos of "fake snow" on the resort's page received this upbeat response: "Yep - sometimes we've got to lend a hand when Mother Nature is being fickle. Sure beats doing nothing, right?"

Vail Resorts, which owns six resorts in Colorado and California, is looking at a .6% increase in total lift ticket revenue from the start of the season in November through the beginning of January over the same period last year, according to CEO Rob Katz.

Katz said that slight uptick after last year's incredible season is due in large part to the company's investment in snowmaking and family-friendly activities and amenities. So while a lot of expert terrain is closed, the intermediate terrain is available to vacationing families.

"For an expert skier who wants to ski everything, no question, they come and they say 'hey, this isn't as good as it was last year,' absolutely," Katz said.

Despite a very slow start to the ski season, there are a few brighter spots, Crawford said. Western storm systems have split to the far north and south of the country, so conditions in New Mexico, Arizona and southern Colorado in the south and the Pacific Northwest, Alaska and Canada are looking pretty good.

"We can't complain certainly," said Kathleen Goyette, a spokeswoman for Ski Washington. Resorts in Washington got 20 to 35 inches of fresh snow during the last week of December. The state's resorts are aware of their luck compared with many other areas of the country, she said.

"We've been there before," Goyette said. "We've been the ones with no snow."

Not so compassionate is Big Sky Resort in Montana, which is taking a run at Vail Resorts' business with an offer of free lift tickets to holders of the company's Epic Pass, which allows unlimited access to all six Vail-owned resorts in Colorado and California. Epic Pass holders must book lodging through Big Sky to be eligible for free skiing.

Still, there's no bounty of deals, and the OnTheSnow user community isn't happy paying full price for poor conditions, Crawford said. "Considering the state of the snow, you don't see as many discounts as you think you might. But this is also when (resorts) make all their money."

Things have "turned the corner" at ski areas east of the Mississippi after a 10% to 15% slump in holiday week revenue, said Berry of the National Ski Areas Association. There has been some natural snow in some areas this week and colder temperatures mean resorts are "making snow like crazy."

People in the ski business have their fingers crossed for recovery across the country. Lack of snow affects livelihoods as well as vacation plans.

"It's a big big deal for our little industry," Crawford said.

@highlight

Ski resorts have suffered from dry weather and warm temperatures

@highlight

Base snow averaged about 14 inches this week at Lake Tahoe resorts

@highlight

Bright spots include New Mexico, the Pacific Northwest and Alaska