(CNN) -- For observers of Latin America, this week's meeting in Caracas between Venezuelan President Hugo Chavez and Colombian President Juan Manuel Santos was remarkable for how unremarkable it was.

Santos and Chavez, both in suits, sat closely at a table as they signed a number of bilateral initiatives on agriculture, trade and security.

Before last year, the thought of Colombia and Venezuela cooperating on anything at all seemed remote. Relations were so strained between the two countries that the word "war" was on politicians' lips. Chavez and Santos' predecessor, Alvaro Uribe, volleyed insults back and forth like professional tennis players.

The relationship has healed much since then, but analysts say that old wounds remain near the surface.

Distrust had poisoned the relationship between the neighbors -- Uribe accused Venezuela of creating a haven for guerrillas; Chavez accused Colombia of creating a haven for the U.S. military.

When Santos -- Uribe's hardline defense minister -- was elected president, he was expected to continue his policies, and he has, with one big exception.

"When Santos was elected, we thought this was it for Venezuela, but after the election, he took some real steps to patch things up," said Adam Isacson, a Colombia expert and senior associate at the Washington Office on Latin America.

In August of last year, Santos and Chavez agreed to put the hostilities aside. "Starting at zero," Santos called it. "I'm here to turn the page," Chavez said.

"One thing they agreed to do was cooperate more on the FARC presence in Venezuela and it's a real debate on what's actually been done," Isacson said, referring to the Revolutionary Armed Forces of Colombia, a guerrilla group.

Santos has vouched for a Venezuelan claim that all FARC encampments located in Venezuela have been dismantled, but the true test of cooperation will come now that the FARC has a new leader.

Rodrigo Londono Echeverri, also known as Timoleon Jimenez and Timochenko, is the new FARC head after its former chief was killed in a military operation last month.

Colombia has specifically named Londono as a guerrilla that lives in Venezuela. He is believed to cross the border between the two countries freely, Isacson said.

How strongly Venezuela goes after Londono could be an indicator of how deep these new ties are.

Nonetheless, even talk of cooperation is a world away from the atmosphere two years ago.

In November 2009, Chavez ordered his military to begin preparations for a war with Colombia, warning of a conspiracy between Colombia and the United States to attack Venezuela.

Colombia called the announcement a "war threat," and Venezuela retorted by calling Colombia's response "hypocritical" and "immoral."

Eight months later, Venezuela broke off all diplomatic relations with Colombia.

So when Santos and Chavez decided to be friends, "most of the region let out a huge sigh of relief because of it," Isacson said.

But from his perspective, the relationship is "fragile, and it remains fragile," he said.

The friendship between the two leaders also speaks to the pragmatism of each, said Michael Shifter, president of the Inter-American Dialogue.

Unlike Uribe, Santos has aspirations to be a regional leader, and cordial relations with Venezuela make it possible for Colombia to become less isolated from other South American countries, he said.

Also, by cooperating with Chavez, there is probably the expectation of more progress against the FARC, Shifter said.

And cooperation has shown some rewards in the shape of increased trade, reduced tensions and some high-level captures.

During their meeting Monday, the leaders announced that Venezuela had captured Maximiliano Bonilla Orozco, one of Colombia's most-wanted drug traffickers.

"This shows that if we work together, if our police enforcement work together, we will get better results," Santos said.

Chavez added, "We will do everything we can to stop any attacks from Venezuelan soil into Colombia."

There is a sense of pragmatism on both sides, it appears, but mistrust has ruined that before.

"The relationship is based on mutual interest, but I don't think the trust goes very deep on either side," Shifter said.

Other challenges exist as well.

Chavez's health -- he underwent treatment for cancer this year -- has kept the two leaders from meeting often, Isacson said. Their meeting this week was the first in seven months.

Also, Shifter points out, Chavez is unpredictable and Colombia makes an easy target.

"They are very, very close in many areas. That's made for a complicated relationship," he said.

For now, at least, Chavez summed up his view like this on Monday: "We can be an example of how governments with different views ... (can) put those differences aside and put forth a single direction, a single compass."

@highlight

For a period, Venezuela and Colombia were bitterly at odds

@highlight

In the past year that relationship has healed

@highlight

Obstacles to the strength of that relationship remain, analysts say