(CNN) -- For the last 10 years, people have blithely commented, "Mobile is really changing our world." The use of mobile and wireless technologies has thrust people into a permanent technology age with the kind of warp speed that author Alvin Toffler predicted in his groundbreaking book "Future Shock" some 40 years ago.

As a result, we now live in a time of profound social upheaval equivalent to the Industrial Revolution.

It seems we have little choice but to embrace our techno-driven reality. While countless individuals and corporations race to create bigger-better-smaller-faster hardware and software, the rest of the world struggles to keep up.

This struggle takes many forms: learning new gadgets and systems; successfully integrating into the workplace different competencies with digital technology; and somehow being able financially to keep up.

It also includes asking, "How, exactly, is mobile changing our world, and is it all for good? How can we incorporate more and more technology without losing our humanity?"

Many people understand the need for addressing the "human cost" of digital device mobility.

Recently, the Wall Street Journal dedicated two pages of its Weekend Review section to an article entitled, "The Perils of Texting While Parenting." The article addressed whether or not the increase in childhood injuries could be directly attributed to mobile device distraction of supervising adults.

Fortunately, international thought leaders and scholars have begun to examine mobile and wireless for their effects on a wide variety of areas in our lives. I have coined a single word -- Mobilology [mobile + ology] -- to describe and give context to the study of mobile and wireless usage specifically as it relates to human behavior; community (formation, building and abandonment); culture; economics; education; entertainment; healthcare; and international relations.

Since 2009, I have lectured around the world advocating for the creation of mobilology as a new and formal social science at university level. Since mobile affects nearly every established academic discipline, acknowledging its importance, independently, as a pivotal change agent in a rapidly evolving world makes good sense educationally, can cost very little to implement, and will prove invaluable.

By establishing mobilology as a bonafide field of study, universities can remain at the cutting edge of education by offering course work with clear relevancy to incoming and interested students.

The first university to do so will get permanent bragging rights. Furthermore, it will foster the development of future scholars and leaders in an ever-expanding field that heretofore has simply lacked a unifying name.

Students will learn about the effects of mobile and wireless use as it relates to human behavior in their psychology classes. They will gain insight to the effects of mobile on community building (e.g. through mobile gaming), community sustenance (Facebook continues to grow at an unprecedented pace), and community abandonment (remember MySpace?) through their sociology courses.

Similarly, they will learn about the effects of mobile as it relates to culture, economics, education, entertainment, healthcare (which itself is a dynamic growth industry as a direct result of what can be achieved through mobile and wireless devices), and international relations.

Many developing nations are far more innovative and advanced than the U.S. in their uses of mobile. If we are to remain competitive internationally, we must take the lead educationally.

The creation of a distinct mobilology discipline will benefit everyone by identifying those academics and students doing cutting-edge and thought-provoking research that can be applied to almost any industry.

It will allow mobile- and wireless-based enterprise to connect with top minds to share existing information, with the possibility of funding future research that would otherwise not be sustainable.

As for the argument that some companies have in-house R&D and this would cut out independent research companies, I say "no." Major companies will always need commissioned research. This will increase the pool of experts available to glean the truest, most current information for a client.

Right now, hundreds of academics are involved in research either directly or tangentially related to mobilology. But finding these people is not easy. They identify primarily with the schools or departments in which they normally work.

One reason may be that within today's university system, no matrix exists to provide the cohesion necessary for examining a growing cache of independent and/or university-acquired metadata that can reveal profound global trends and potential pitfalls.

Without a formalized matrix to provide global context to their work, and encourage connectivity with other like-minded academics, we will continue to have a disarticulated population of individual experts in the effects of mobile and wireless use.

Today we have the means to connect these individuals to each other, as well as to the global mobile industry, for cross-pollination of ideas, funding, research, manufacturing, and responsible forward growth that advances by incorporating the fascinating and sometimes unexpected effects of mobilology.

@highlight

Florie Brizel is advocating for the creation of "Mobilology" as a new social science

@highlight

Mobilology aims to study how mobile devices are changing our society, and whether it is all for good

@highlight

Social changes created by mobile tech are "equivalent to the Industrial Revolution"

@highlight

Students would learn about the effects of mobile and wireless use on human behavior