Jerusalem (CNN) -- The banners hanging on Israeli street corners boast of the "Unbreakable Alliance" with the United States, and the Stars and Stripes is flying side by side with the Star of David all across Jerusalem.

It is a proud moment for the host nation. But as President Barack Obama heads to Israel and the West Bank for the first time since moving into the White House, there is no expectation of any significant policy breakthroughs and countless questions about his frosty relationship with Israeli Prime Minister Benjamin Netanyahu.

"It is the most dysfunctional relationship in the history of U.S.-Israeli relations," former U.S. Mideast negotiator Aaron David Miller told CNN. "There is no real sense of confidence or trust. There is no capacity to give the other the benefit of the doubt."

Miller: Obama's Israel trip about legacy

And yet, Miller sees a chance that this meeting, on Netanyahu's turf, could at least usher in a period of greater cooperation if not personal warmth.

"I think both have decided for different reasons that it is time to test the proposition that they can work together."

The prime minister clearly supported Obama's Republican opponent, Mitt Romney, in last year's U.S. election, and he has made clear at times he does not think the American president understands Israel's security challenges.

Obama, in turn, was recorded on an open microphone bemoaning having to deal with Netanyahu. And the White House has compiled a list of what it sees as slights by the Netanyahu government, including issuing permits for settlement building during a visit here by Vice President Joe Biden.

And yet, the crowded and messy issues agenda, and the fact the two leaders need each other both for policy and domestic political reasons, is why some like Miller see the possibility of a more cooperative relationship.

Obama, said Miller, "doesn't want to be the American president on whose watch Iran either gets the bomb or he needs to bomb. And he doesn't want to be the American president on whose watch the two-state solution formally expires."

On eve of Israel trip, Obama tells Iran to disarm

An eye on history

Netanyahu is perhaps chastened a bit by his own recent elections, just now forming a new coalition that nudged his government somewhat to the left. Not to mention a concern he shares with Obama: an eye on history.

"The clock is running down for both of these guys," said Miller, a former State Department Middle East hand. "He (Netanyahu) wants to be viewed as the prime minister who did something and not a do-nothing leader. I think that combined with the likelihood the new Israeli government is a tad more pragmatic than the first Bibi government suggest there are some broad areas for cooperation."

Ambassador: Trip shows Obama's ties with Israel

A look at the regional map gives a better perspective of the messy state of the neighborhood and the urgency of the Obama-Netanyahu meeting. The major topics:

Iran: Obama made clear in recent days he believes he has a year or so before Iran reaches the tipping point in its nuclear program, and he comes to Israel to make the case Netanyahu needs to give diplomacy more time. While skeptical there can be a negotiated solution, Israeli officials say Netanyahu is open to months of additional diplomacy but hopes to get a firmer commitment from Obama on when the United States would shift to military options.

Syria: Israel is a critical source of intelligence to the United States about developments within Syria, including movement of regime military assets. While long on record, even before the Obama White House, in saying it was time for Bashar al-Assad's regime to yield power, the rise of the Muslim Brotherhood in Egypt has Israel nervous about possible regime change in Syria. Still, the Obama administration is now saying it would not discourage allies from doing more to help the Syrian opposition.

Weapons movement in Syria an issue as Obama visits Israel

The Israeli-Palestinian dispute: White House officials say Obama is not carrying a new peace initiative and is hardly optimistic there is solid ground to try to revive negotiations. Most of all, the president's aides say, he wants to assess how prepared, if at all, Netanyahu and Palestinian leader Mahmoud Abbas are to return to negotiations.

Because the prospects for that are considered so low, the dispute that often has dominated any U.S. presidential visit to the region is now almost a back-burner issue. Almost.

"I know the president really believes that Arab-Israeli peace is important to America," said Shibley Telhami, a Middle East scholar who leads the University of Maryland's Sadat Center. "Although I am not sure he fully understands what that means in terms of commitment."

Visits to Ramallah, Gaza and several Israeli settlements in the West Bank in recent days bring constant evidence that tensions are increasing again, including some rock attacks on settlers on roads that run between Israeli and Palestinian neighborhoods.

Abdallah Abu Rahma, a Palestinian political organizer, said during a weekend conversation in Ramallah that he constantly preaches nonviolent demonstrations as the best way to air grievances and put pressure on Palestinian leaders and get the attention of Obama.

Rahma argues Netanyahu would benefit politically from any Palestinian violence. But he says he senses growing frustration and worries his advice may not always be heeded.

Wanted: More action, fewer words

"At the beginning there was hope for him," he said of the U.S. president. "But it was just words, and Palestinians are tired of more words."

Nonviolent resistance key to Middle East breakthrough

Palestinians want Obama to prove there are consequences if his call for an Israeli settlement freeze is again ignored -- as it is being ignored at this very moment with construction of subdivisions.

And their grievances are evident in more personal ways: Posters on Ramallah streets sarcastically advise Obama not to bring his smartphone because Israel does not allow 3G or better service in the Palestinian territories.

The nagging sense of rising tensions can be heard in the form of gunfire a short drive from Ramallah in an industrial area tucked between Israeli settlements.

Up one dusty road, the Caliber 3 security training academy is tucked into the hillside.

Inside, there are several ranges where students fire live ammunition, as well as indoor gymnasium space for hand-to-hand combat training. Among the students as we visited: residents of a local Israeli settlement who are part of its security structure, and a half dozen men being trained for anti-terrorism patrols on the light rail system that runs through Jerusalem.

The academy is run by Sharon Gat, a colonel in the Israeli reserves, who says beyond teaching students good marksmanship, he has to disabuse them of any complacency.

"Our enemies are very motivated to do attacks on us in the cities and in the settlements, wherever there are Jews," Gat told us. "We are not waiting for the suicide bomber to come. We want to be prepared."

Conversations at Caliber 3 and in two of the nearby settlements eerily mirror those we had in Ramallah and Gaza: a nagging sense from people who have lived here a long time that tensions are building toward more violence.

"The security guards are preparing for attacks, and not for attacks from the Gaza Strip," Gat said.

Laying the groundwork for progress later

While not carrying a dramatic new peace plan, White House officials say Obama hopes his conversation on this trip begins to lay the groundwork for progress not too far down the road.

Given the mistrust, scholar Telhami said he worries about potential violence and a frustrated Palestinian political leadership.

"They want something concrete," Telhami said. "They need a game-changer. They need a paradigm-changer. The president is not going to offer that on this trip."

Instead, Telhami said, as long as there is follow-through, he could understand the president's longer-term horizon.

"I think that's the way they have to approach it -- looking ahead, not just looking at what you are going to get out of this trip per se," Telhami said.

But Gat says he sees no hope for a major breakthrough, in the short or longer term.

"I remember my mother said, 'I hope you don't have to go through the army.' I told her always, since I was a child, I told her I don't think that will true. And I'm not telling that to my kids. I'm telling them, 'Listen guys: these are the facts -- You live in Israel. You probably will have to go in the army.' "

@highlight

President Obama makes his first trip to Israel as president; later goes to West Bank and Jordan

@highlight

One expert says U.S.-Israeli relations are the "most dysfunctional" in their history

@highlight

Obama and Israeli Prime Minister Netanyahu have eyes on their places in history