(CNN)It lays claim to being the most isolated human settlement on earth, a volcanic archipelago in the South Atlantic Ocean, home to just under 270 people.

Now, the tiny settlement of Tristan da Cunha is seeking the help of architects and designers the world over to secure its future well into the 21st century.

With the help of the Royal Institute of British Architects (RIBA), the UK overseas territory is holding an international competition to improve aging infrastructure and make the island self-sustainable as it approaches the 200th anniversary of its settlement.

As a sign of just how removed Tristan da Cunha is from the rest of the world, there are only seven family names on the islands.

Those who live there are mainly the descendants of Dutch, American and Italian sailors as well as 19th century British explorers. There are also a handful of expatriate Brits.

But watching hit TV series "Lost"or reading up on William Golding's "Lord of the Flies" won't be required research for competition entrants.

Instead, those with experience of renewable energy in remote regions, modern housing and developing cost-effective agrarian systems are encouraged to apply.

"The competition is looking at enhancing the built environment on the island (and) making all structures more energy efficient," the island's administrator, Alex Mitcham told CNN when visiting the UK recently.

Mitcham explained that most existing homes and public buildings on Tristan da Cunha are small, bungalow-type structures made from made from a mix of concrete and local volcanic rock.

Few have simple insulation that can lead to energy savings while the infrastructure for things like renewable power generation and internet provision remain limited.

The island is also only accessible by sea 60-days-a-year through a small port in its only town, Edinburgh of the Seven Seas.

According to James Porter of RIBA Competitions, contestants will have to factor in irregular design questions such as "how can we get the material ashore and how can we actually think of ways that we can put things together once there?"

"There are limitations on the amount of cargo that can be trans-shipped," he added.

In total, Tristan da Cunha is made up of four islands.

Tristan is the largest land mass and the only one to house people. Two more unpopulated islands, Nightingale and Inaccessible, lie close by. A third, Gough, is situated roughly 230 miles away.

Both Gough and Inaccessible are UNESCO World Heritage sites. The closest mainland port is Cape Town, South Africa, some seven days sailing time and 1,750 miles north-east.

Tristan already has a pub, shop, cafe, dance hall, museum, catholic church and swimming pool. There are also two expatriate doctors, two Tristanian nurses and school teachers with some 30 students of varying ages.

The island's main industry is lobster fishing, with exports reaching as far afield as the U.S., Australia, Japan and the EU thanks to a fishing company that has exclusive rights to fish in the surrounding waters.

Tristan earns additional income from the sale of unique stamps, coins and handicraft souvenirs, Mitcham explained. Modest revenue also flows from tourism and visitor accommodation.

"As it is the remotest inhabited island in the world, the Tristanians are already very self sufficient, being able to produce many of their own foodstuffs (like fish, livestock and potatoes)," Mitcham said.

However, the cost of living has increased in recent years, he added.

With limited transport and communication links, the islanders are also keen to see how they can reduce their reliance on fossil fuels, improve the energy efficiency of properties and reduce imports.

"We are slowly updating 40-year old infrastructure," Mitcham said of the last time the island experienced a major redesign.

That modernization happened roughly a decade after the island was evacuated temporarily due to ongoing volcanic activity. Before that period, the main way for the islanders to communicate with the outside world was by Morse code.

Things have already changed a lot since then, however.

"A new water system, electrical system and waste water system have just been completed," Mitcham said.

"And with the 200th Anniversary of the founding of Tristan (2016) almost upon us it is an appropriate time to look at new initiatives that may be able to help the future viability of the community."

Interested architects have until mid-June to submit their initial ideas. The best will be whittled down to an initial 20 and then five after further analysis between June and September.

Porter and Mitcham say the islanders will have to apply to the UK and possibly the EU for grants to fund the project.

The winner is penciled in to be announced in June 2016.

The most important aspect for applicants is to "identify cost-effective and practical solutions to improve the energy efficiency (through renewable energy sources) of properties," Mitcham said "as well as modernizing ... government structures."

@highlight

Tristan da Cunha holds competition for architects and designers

@highlight

Islands are most isolated inhabited archipelago on earth