ESTEROS DEL IBERA, Argentina (CNN)  -- When Doug Tompkins wants to drop in on his neighbor, the best way to do so -- in fact, the only way to do so -- is to fire up his Cessna 206 and fly across the vast subtropical wetlands that he owns in this remote corner of northeastern Argentina.

Doug Tompkins and his wife Kris have dedicated their lives to land conservation in Argentina and Chile.

I'm along for the ride with Tompkins, and I must admit, I'm nervous. Not only is this six-seater the smallest airplane I've ever been in, but it's also windy outside -- and storm clouds are gathering. Not to worry, my pilot assures me.

"I've been a pilot longer than you've been alive," says Tompkins, 66. And it's true.

During the flight we pass a thousand feet over the wetlands, and I watch the landscape change rapidly below: Long, thin lagoons slice through thick fields of brown marsh. Tiny floating islands sit engulfed by lush green prairies. With his keen eye, Tompkins spots a lone marsh deer, knee-deep in water, munching on grass. More than 350 bird species live in the wetlands, which is roughly the size of Belgium.

"It's a hotspot for biodiversity. It's full of creatures. Aquatic creatures. Creatures flying in the air, and on the ground. So its conservation is important: To Argentina and to the world," he says.

I traveled to the Esteros del Ibera -- which means 'shining water' in the Guarani language -- to profile Tompkins and his wife, Kris, for CNN International's "Going Green" series. We are highlighting "Green Pioneers" from around the world, and Doug and Kris Tompkins certainly fit the bill.

For the past twenty years they have dedicated their lives to land conservation in Argentina and Chile. Their method is simple: Buy up huge swaths of land, restore their eco-systems, slow development, and then donate the land to governments as national parks. Wildlife philanthropy has existed in the United States for more than a century, but here in South America, this type of charity is not common -- and is even viewed with suspicion by some.

"South America doesn't have a long tradition of conservation philanthropy. There haven't been a lot of people from the private sector that have said 'Look, we're willing to buy land and turn it back over to the government and make parklands' -- but slowly it catches up," he says.

Tompkins made a fortune as the founder of The North Face and Esprit clothing companies. In 1990, he cashed in his shares in Esprit, making millions in the process. Kris soon followed suit, ending her 18-year stint as CEO of the Patagonia outdoor clothing company.

"The fashion business is not the business to be in if you're trying to contribute to diminishing the impact on nature," Doug says.

Through their Conservation Land Trust and Conservacion Patagonica organizations, the Tompkins have purchased approximately 900,000 hectares in Argentina and Chile, spending $275 million dollars of their own money in the process. They have already helped establish two national parks in the wind-swept Patagonia region: Argentina's Monte Leon National Park and Chile's Corcovado National Park. They are hard at work on several other ambitious projects, including the Esteros del Ibera, which the Tompkins hope to one day turn into Argentina's largest national park.

"Buying land, conserving it and shepherding it towards national park status, yes, it is probably legitimate to call us pioneers," says Kris, 59.

Still, the Tompkins' conservation work is not applauded by all. There has been fierce opposition to their efforts in both Argentina and Chile by those weary of the growing presence of foreign landowners in South America. In addition to the Tompkins, clothing magnet Luciano Benetton, actor Sylvester Stallone and CNN founder Ted Turner also own huge areas of land in Argentina. As anti-American sentiment has grown here over the past decade, the Tompkins have been accused of many things.

"There were really wild allegations that we were creating a Jewish state, though we don't happen to be Jewish. That we were creating a nuclear waste dump for the U.S. That we were creating a passage for Argentina to finally militarily overtake Chile. All these things are society's ways of beginning to accommodate new ideas," says Kris.

Just getting to the Esteros del Ibera is a challenge. My journey started with a 10-hour, 700-km overnight bus ride from my home in Buenos Aires to the small town of Mercedes in Corrientes Province. From there, cameraman Eduardo Aragona and I drove two hours on a bumpy, red-dirt road to arrive at the Estancia Rincon del Socorro, the traditional Argentine ranch that the Tompkins operate, and where guests from around the globe come to get up-close looks at rare species of capybara, caiman, deer and scores of birds.

"We are trying to restore the place and bring back the species that were already extinct, like the anteater. And we are working with the Pampas deer, which is a very endangered species. And perhaps in some years we will bring back the jaguar, that is our big dream," says Sofia Heinonen, a wildlife biologist who heads the Conservation Land Trust's initiatives here.

While the Tompkins are heroes in most environmental circles, some activists and political leaders have labeled Doug as arrogant, eccentric and out-of-touch with the pressing needs of humans. He told me that he does what he does because he feels the need to "pay rent" for living on planet earth.

"The reality is that nature doesn't care about human economies, or social justice or whatever problems exists within the realms of human beings. It's just responding to impacts -- and we have to deal with those impacts one way or another," he says.

Tompkins' way is to use his deep pockets to drive his even deeper commitment to conservation -- one hectare and one animal at a time.

@highlight

Doug and Kris Tompkins have dedicated their lives to land conservation

@highlight

Using money earned through clothing business to buy land under threat

@highlight

They have purchased approx. 900,000 hectares in Argentina and Chile

@highlight

Some suspicious of their motivations, conspiracy theories abound