Washington (CNN) -- In the space of 48 hours, Secretary of State John Kerry likened climate change to a weapon of mass destruction, Newt Gingrich called Kerry delusional, Sunday talk shows argued about it and President Barack Obama announced another executive action to combat it.

After what seemed like a lull in political focus on the issue, why is everyone talking about it this week?

A convergence of events and factors -- blizzards in the East and drought out West, an administration acting on oft-stated intentions, the pending Keystone pipeline decision -- have renewed debate on a topic that alternately captures attention or numbs the public.

Here are five reasons why it is being discussed now:

1) Obama walks the talk

The President had pledged action on climate change since before he entered the Oval Office five years ago, and he renewed his commitment in his second inaugural address as well as last month's State of the Union address.

However, he spent his first-term political capital on stimulus programs in response to the recession and then health care reforms, instead of carbon cap legislation sought by his liberal base.

Faced with relentless Republican opposition to his agenda in a divided Congress, Obama promised to take more executive action in 2014 to get around what Democrats call an obstructionist GOP strategy.

He also brought on stronger voices for combating climate change, including Kerry, who became secretary of state last year, and John Podesta, a former chief of staff to President Bill Clinton who headed the liberal Center for American Progress think tank.

"Before there were certainly many people in the administration, including the President, who had a public commitment to the notion of doing something about climate change," noted David Goldston, the director of government affairs at the Natural Resources Defense Council, a major environmental group. "Now there's a plan. ... They are ready to move."

In his first term, Obama set tougher emissions standards for cars and trucks and on Tuesday, he instructed environmental and transportation agencies to work on the next round of higher gas mileage requirements for big trucks that he said comprise 4% of all vehicles on the road but cause 20% of their carbon pollution.

The presidential moves don't require congressional approval, unlike a new $1 billion climate change preparedness fund that Obama proposed last week. With elections coming in November, congressional approval of such a funding proposal looks impossible.

"There's no way on Earth he's going to get $1 billion out of this Congress to do anything, let alone fight climate change," USA Today columnist Kirsten Powers told "Fox News Sunday."

2) Extreme weather

Frigid temperatures and heavy snow up North, ice storms down South and drought out West instigated a new round of the now familiar debate over whether climate change causes such extreme weather.

Opponents of aggressive action against climate change, such as Republicans protecting the oil and coal energy industries, question if any link to weather exists and how much human activity contributes to it.

"What we have to look at is the fact that you don't make good laws, sustainable laws when you're making them on hypotheses or theories or unproven sciences," GOP Rep. Marsha Blackburn of Tennessee argued Sunday on NBC's "Meet the Press."

Her comment brought a sharp response from Bill Nye, known as the Science Guy from the PBS program.

"There is no debate in the scientific community, and I can encourage the congresswoman to really look at the facts," Nye said on NBC. "You are a leader. We need you to change things, not deny what's happening."

To Nye, the benefits from reducing carbon emissions should be obvious to anyone, whether or not they agree that climate change contributes to the increasing weather extremes.

"The fewer very dirty coal-fired power plants we have, the better," he said. "The less energy we waste, the better. The less inefficient our transportation systems are, the better. The more reliable our electricity transmission systems are, the better."

Powers, the USA Today columnist, said on Fox that the environmental lobby and the politicians supporting tougher climate change action should emphasize the benefits of reducing pollution, rather than talking about the weather.

"Less pollution is definitely a good thing, so that might be a better way to make the argument rather than claiming that climate change is the cause of every single thing that happens with the weather," she said.

3) Kerry's trip to climate change hotbeds

On an extended trip to Asia, the longtime advocate for firm action to reduce carbon emissions went to two countries at the center of the debate -- China and Indonesia.

China is the world's biggest carbon emitter, with the United States close behind, and the two global powers have so far balked at working out new global emissions limits as part of an international climate change treaty to succeed the Kyoto Protocol.

Last week, Kerry announced in Beijing that the two nations would work together on efforts to "move the climate change process forward" in advance of the next major global climate change conference -- in France in 2015.

On Sunday, he delivered one of the strongest speeches on climate change by any American official while visiting Indonesia, which has lost more than 40% of its tropical forests that store carbon absorbed from the atmosphere.

Anyone still arguing against the reality of climate change was "simply burying their heads in the sand," Kerry said, adding that he and President Obama "believe very deeply that we do not have time for a meeting anywhere of the Flat Earth Society."

In one sense, he continued, "climate change can now be considered another weapon of mass destruction, perhaps the world's most fearsome weapon of mass destruction." Kerry also called it "the greatest challenge of our generation."

His speech evoked a protest from Newt Gingrich, the former House Speaker and GOP presidential candidate, who posted on Twitter that "every American who cares about national security must demand" Kerry's resignation, adding that "a delusional secretary of state is dangerous to our safety."

"This is not some U.S. senator just having some wild speech to please the left," Gingrich, a host of CNN's "Crossfire," said Tuesday. He argued that Kerry, a former senator who now is the top U.S. diplomat, should be held to a "higher level of seriousness."

Kerry: Climate change as big a threat as terrorism, poverty, WMDs

4) Keystone decision pending

A Republican attack on Kerry comes as no surprise, because as secretary of state, he will make his department's decision on whether to approve the Keystone XL oil pipeline from Canada that has become a political lightning rod.

The issue has loomed for years, prompting supporters of the project to accuse the Obama administration of stalling to appease his liberal base.

It pits the oil industry and its Republican backers against environmentalists and liberal Democrats who complain the project bolsters the especially dirty fossil fuel production from the tar sands of northern Alberta.

However, the politics get messy for Democrats, because organized labor supports the project that will create several thousand jobs.

Kerry's history makes it appear highly unlikely he would approve the pipeline project, but the final call will certainly come from Obama. His chief of staff, Denis McDonough, recently said a decision would likely take months while the full review process plays out.

Republicans impatient with what they consider to be a political stall, now until after the congressional elections in November, have urged Obama to use his executive authority to approve the project.

U.S. report on Keystone indicates little climate impact

5) It's an election year

Election-year politics always harden positions, and the bitter partisan divide in Washington means little chance for progress on any major initiatives such as immigration reform or deficit reduction.

In that political environment, climate change becomes an easy issue for either side to use to attack the other.

Goldston of the NRDC noted that another major environmental decision is likely in 2014 -- the administration's new limits on carbon emissions for existing power plants.

Under Obama, the EPA in January proposed new rules for emission levels at future plants, which opponents called an effort to prevent additional coal-fired power plants from being built.

A further step to also limit emissions from existing plants, which is expected as soon as June, could shut some of them down and would certainly inflame the debate.

"All this stuff has been in the works," Goldston said, noting that such administrative steps get opponents "more publicly active" and spawns more raucous exchanges.

"Obviously, controversy gets attention," he said. "It's all part and parcel of forward movement on the policy side."

U.S. sets up 'climate hubs' to help rural communities affected by extreme weather

CNN's Steve Almasy, Kevin Liptak and Ashley Killough contributed to this report.

@highlight

NEW: Gingrich calls Kerry "delusional" for climate change remarks

@highlight

President Obama follows through on promised climate change action

@highlight

Extreme weather always raises concern about the impact of climate change

@highlight

Decisions coming on limiting power plant emissions, building the Keystone pipeline