(CNN) -- The release of a scathing report on how Penn State University dealt with a sexual predator who for years abused young boys on and off campus is far from the end of the school's troubles.

The university is still under scrutiny by the Department of Education and the National Collegiate Athletic Association (NCAA), inquiries that could further tarnish Penn State's reputation and that of its storied football program.

The organization that grants the school's crucial academic accreditation is keeping a watchful eye on the unfurling scandal that centers on university officials' handling of Jerry Sandusky, a former defensive coordinator convicted in June of sexually abusing children over a 15-year period.

Two former university administrators are awaiting trial for their role in the scandal, and more charges are possible as the state's Attorney General's Office investigates what Penn State may have known about Sandusky's behavior.

Opinion: After Penn State report, it's time to look at Second Mile

Then there's the possibility of a rash of costly civil lawsuits after former FBI Director Louis Freeh's finding that Penn State's most powerful leaders showed "total and consistent disregard" for child sex abuse victims and covered up attacks by the school's former assistant football coach.

"The university hired their own executioner when they hired Louie Freeh," said CNN legal analyst Paul Callan. "They are going to get pounded in civil litigation," likely for millions of dollars by victims who use Freeh's report as "a roadmap" in their case.

Though in some ways, Callan added, Penn State should be commended for "hiring an investigator who was so brutally honest" in his review.

Freeh's report was so scathing that some say it could be the nadir of the university's reputation.

"In the public minds, yesterday was the moment that everyone remembers about Penn State, the higher ups and Paterno," said Callan. "You didn't hear it to that extent in even the Sandusky trial. This was likely the biggest moment of adverse publicity the university will endure."

Freeh released the results of the university-funded probe on Thursday, reporting that his team of investigators had found that several school officials had "empowered" Sandusky to continue his abuse.

More storms looming for Penn State in wake of report

Legendary head football coach Joe Paterno also could have stopped the attacks had he done more, Freeh concluded.

"Our most saddening and sobering finding is the total disregard for the safety and welfare of Sandusky's child victims by the most senior leaders at Penn State," Freeh wrote. "The most powerful men at Penn State failed to take any steps for 14 years to protect the children who Sandusky victimized."

He blamed Paterno, former Penn State President Graham Spanier and administrators Gary Schultz and Tim Curley for having "never demonstrated ... any concern for the safety and well-being of Sandusky's victims until after Sandusky's arrest," while the board of trustees failed to perform its oversight duties.

That collective failure "to protect against a child sexual predator harming children" lasted "more than a decade" and allowed Sandusky to further harm his victims, the full report says.

Freeh's 267-page report is separate from a grand jury investigation into charges of perjury and failure to report abuse against Curley, a former athletics director for the school, and Schultz, a former vice president.

Penn State review recasts story of football hero Paterno

Trustee Kenneth Frazier, head of the committee addressing the Sandusky scandal, said Thursday that the school's board of trustees is "deeply ashamed" by its lack of oversight identified in the report.

The board met again on Friday for a regularly scheduled session, and again pledged to make good on implementing the changes.

They made some changes Friday including reducing the term of board members from 15 years to 12 years. This change applies to board members elected this year. The board also voted to add 30 minutes of public comment during future board meetings.

It has not gone unnoticed that the school has been up front and cooperative with investigators from various organizations since the scandal surfaced last year, said Richard Pokrass, a spokesman for the Middle States Commission on Higher Education, which issues the school's academic accreditation.

Because university leaders have acknowledged a problem and have been up front, it seems unlikely the school will risk losing that accreditation, Pokrass said.

"That being said, the commission certainly feels there are problems that need to be addressed."

Read the report here (PDF)

It is less clear what the Department of Education and NCAA inquiries will bring the school.

In November, the Education Department notified Penn State that it was looking into the school's compliance with the Clery Act, a federal law that requires universities to report crimes on or near campus and provide timely warnings if reported crimes threaten the campus community.

In his report, Freeh said top university officials forged an agreement to conceal Sandusky's sexual attacks more than a decade ago, outlining a culture of secrecy while pointing to an incident in which janitors aware of the abuse took no action, out of fear.

"They witness what I think in the report is probably the most horrific rape that's described," Freeh told reporters. "And what do they do? They panic." One janitor, a Korean War veteran, said it was "the worst thing he's ever seen." He and other janitors were "alarmed and shocked," but were afraid that if they reported it, they'd be fired.

The law carries fines of up to $27,500 per violation, but more critically, schools that fail to comply can be suspended from the federal financial aid program, according to the Department of Education.

A department spokesman did not immediately return a telephone message left Friday seeking an update on the investigation.

Key passages from the report

The NCAA said Thursday that it is reviewing Freeh's report and is awaiting the school's response to a November 17 letter seeking answers to questions about Penn State's institutional control and ethics policies.

That letter called the allegations "deeply troubling" and said that, if confirmed, appear to show conduct "starkly contrary to the values of higher education, as well as the NCAA."

The organization has not said what penalties the university could face, and the media relations office did not immediately return a message left Friday.

Common penalties include public reprimands and censures, according to the NCAA website. A ban on participation in postseason tournaments and television appearances are less commonly applied. Recruiting restrictions, fines and scholarship reductions are also possible penalties.

The NCAA also has the authority to completely shut down participation in a particular sport for repeat violations, the so-called death penalty.

Clery Act at center of Penn State probe, 26 years after young woman's murder

The report also could play into the criminal trials for Curley and Schultz, who are accused of failing to report abuse and of lying to investigators looking into the allegations against Sandusky last year.

Their attorney said Thursday that Freeh did not have access to critical witnesses and came up with an incomplete report.

Curley's attorney termed it a "lopsided document that leaves the majority of the story untold."

In his report, Freeh said he was asked by the Pennsylvania attorney general not to interview former coach Mike McQueary, instead using information from his testimony before a grand jury in November.

Criminal defense attorney Ted Simon said it was "very, very important" to note that he wasn't interviewed again because there are still questions about what McQueary specifically told Paterno.

"I think there may be an overstatement with respect to what Paterno knew or did not know," he told CNN. "And I think one has to be very careful about that. Keep in mind, also, McQueary claims he made specific allegations, criminal in nature, to Curley and Schultz. But Curley and Schultz out -- completely deny that. So there's a contest with regard to those facts."

Tom Farrell, Schultz's attorney, said at trial the jury will learn that there was no effort among the four leaders to conceal Sandusky's behavior.

Whether anyone else will face criminal charges remains to be seen, but Pennsylvania Attorney General Linda Kelly said Thursday that an investigating grand jury is continuing its work.

The university is already facing three civil lawsuits, and Tom Kline, the attorney for one Sandusky victim, said Freeh's report documents a "colossal, monumental" failure by Penn State leaders that provides a road map for further legal actions in the scandal.

Penn State community still admires Paterno, wants to move forward

Penn State leaders disregarded victims, 'empowered' Sandusky

The shower and locker room in the campus Lasch Building will be remodeled, according to university spokesman David La Torre. Some of the sexual assaults occurred in those showers.

The plans were drawn up after Sandusky's arrest last fall, but the work won't be done until legal proceedings in the case are completed. La Torre provided no further details.

Penn State President Rodney Erickson said substantial security changes have been made in the building and other athletics facilities.

CNN's Susan Candiotti, Josh Levs, Jason Carroll, Steve Almasy and Ross Levitt contributed to this report.

@highlight

University plans to renovate locker room

@highlight

"The university hired their own executioner when they hired Louie Freeh," legal analyst says

@highlight

Trustee Kenneth Frazier says the school's board of trustees is "deeply ashamed"

@highlight

Scott Paterno says he wishes his father had been more aggressive in following up