NEW YORK (CNNMoney.com) -- U.S. President Barack Obama set his green plan into action Monday, potentially reversing several Bush-era decisions on global warming and fuel efficiency.

U.S. President Barack Obama signs orders Monday on vehicle emissions and fuel efficiency standards.

In his first major environmental acts as president, Obama directed his Environmental Protection Agency to review a California application to regulate greenhouse gases and told his Department of Transportation to begin implementing fuel efficiency standards passed last year but not implemented by the Bush administration.

He also pushed for passage of the $825 billion economic stimulus package in the House and Senate. Those bills include money for investments in renewable energy, conservation and a better electric grid.

"No single issue is as fundamental to our future as energy," Obama said at a White House news conference. "It is time for this moment of peril to be turned into one of progress."

California emissions: Under the Clean Air act, California has long sought to tighten its air quality standards.

To achieve those standards, California would likely require cars to emit fewer greenhouse gases. Currently the federal government does not regulate carbon dioxide emissions - the main culprit in greenhouse gases.

The Bush administration recently denied California's request saying that new federal fuel standards made stricter rules there unnecessary.

Obama said his administration will review that decision. Any change in policy would likely take months to implement.

"Let me be clear: Our goal is not to further burden an already struggling industry; it is to help America's automakers prepare for the future," said the president.

The environmental community applauded the move. New emission standards could result in vehicles that get better gas mileage.

"With these actions our new president is not just stepping up to the threat of climate chaos," Dave Hawkins, head of the climate center at the Natural Resources Defense Council, wrote on his blog. "The cleaner cars he will help put on the road will show us the way to reduce our dangerous dependence on oil and will push automakers to make the cars that the world will want and need in the 21st century."

The auto industry, which has opposed California's effort to raise its air quality standards, said in the past it will result in an expensive patchwork of emissions standards and force them to build different cars for different markets.

Seventeen other states may adopt California's rules if the Obama administration allows it, representing over half the vehicle market.

On Monday General Motors said it is trying to make more efficient vehicles, but said any standard must be "workable."

"GM is working aggressively on the products and the advance technologies that match the nation's and consumer's priorities to save energy and reduce emissions," the company said in a statement to CNN. "We're ready to engage the Obama administration and the Congress on policies that support meaningful and workable solutions and targets that benefit consumers from coast to coast."

Chrysler had no comment, and Ford could not be reached.

It's possible automakers would simply make their entire fleet conform to the stricter standard - thus upping fuel efficiency standards for the whole nation.

It's also possible the auto industry would make different cars for different markets, perhaps not selling certain bigger cars in states that adopted the new standard.

Either way, most analysts said it would raise prices for everyone.

"Anytime you have to comply with two different sets of standards, it's more expensive," said Eric Fedewa of CSM Worldwide, an automotive research company.

Fedewa also said having two different standards could be a challenge for the auto industry at this time - they are currently losing money and have recently received billion in taxpayer support.

Federal fuel efficiency rules could be more easily relaxed if the industry had a hard time complying, he said.

"It's in our nation's best interest to be under a common strategy," he said.

Fuel efficiency standards: Regardless of what California does, Obama also moved to implement higher fuel efficiency standards passed in 2007.

Those increases - the first in more than 30 years - called for raising the average fuel economy from 27.5 miles a gallon for cars and 22 miles a gallon for trucks to 35 miles a gallon for the whole fleet by 2020.

Obama said the increased standards would save 2 million barrels of oil a day.

That's about 10% of the country's total oil consumption, and roughly the same amount the country currently imports from the Persian Gulf.

"This rule will be a downpayment on a broader and sustained effort to reduce our dependence on foreign oil," said the president.

The new standards, originally supported by Bush, were put on hold during his last days in office, in response to the woes facing the auto industry.

The industry has long opposed raising fuel economy standards. It has argued that the new rules are expensive and unnecessary since it already makes fuel efficient cars.

Stimulus: Obama also called on Congress to pass the $825 billion stimulus plan currently under debate in both houses.

Tens of billions of dollars are allocated for energy programs under both plans.

The House version contains $20 billion in tax incentives for the industry that are intended to get money flowing back into a sector particularly hard hit by the financial crisis and help Obama meet his stated goal of doubling renewable energy production in the United States in three years.

It also contains $10 billion to modernize the countries aging electric grid, including money for a so-called smart grid.

The smart grid basically involves digitizing and connecting the country's aging utility grid.

Experts say it will result in greater efficiency because appliances will be able to turn on and off when electricity is cheapest, consumers will have more information about how much electricity they are using, and when and where they are using it.

The smart grid is also essential if various forms of renewable energy like wind and solar are to be used.

The House version of stimulus also calls for billion in conservation money for federal buildings, public housing, and homeowner incentives.

"America will not be held hostage to dwindling resources, hostile regimes and a warming planet," said Obama. "This is the boost that our economy needs and the new beginning that our future demands."

@highlight

Obama orders review of California request to regulate greenhouse gases

@highlight

U.S. president orders government to implement fuel efficiency standards

@highlight

Automakers oppose plan as an expensive patchwork of laws

@highlight

Former President George W. Bush stopped earlier attempt for state standards