(CNN) -- Throughout my career, I've been fortunate to have many different roles and responsibilities, serving as an international humanitarian ambassador, television host, model, actress and businesswoman. But the role that's most fulfilling -- and the one that is most important to me -- is "Mom."

First and foremost, as a parent, I welcomed the announcement that 92 mayors from across the United States have signed a letter supporting the Environmental Protection Agency's safeguards against mercury. This is a brilliant testimony to the mayors' understanding of the fundamental need for clean healthy air and water.

Although I do my best to be sure my two sons grow up healthy, strong, independent and responsible, I cannot control what is in the air they breathe. Right now, millions of kids across this country breathe in pollution pumped into the air by coal-fired power plants. This can impair a child's development and cause asthma attacks, the No. 1 reason kids miss school.

These plants are also the largest source of mercury, a potent brain poison that is linked to severe learning disabilities, developmental problems, and lower IQs.

In 2010, power plants emitted 66,050 pounds of toxin into the air. Mercury from coal-fired power plants rains down into our rivers, streams and oceans, where it can contaminate the fish we eat. Exposure to mercury is especially dangerous for pregnant women and young children. Because fish is a dietary staple for my family, this is a huge personal concern, but every family deserves the right to eat safe, healthy fish without worrying about toxic mercury.

The good news is that last year, the Obama administration set historic mercury and air toxics standards to curb mercury pollution from new coal-fired power plants. These safeguards will cut mercury pollution from power plants by more than 90% and dramatically reduce our kids' exposure to mercury, as well as cancer-causing substances such as arsenic and chromium.

Unacceptably, however, these landmark protections are under attack in Congress. On Wednesday, the Senate will vote on whether to overturn the Mercury and Air Toxics Standards.

This shortsighted legislation goes so far that it would prevent the EPA from ever acting on this issue again.

It has taken decades to finally get clean-air protections from mercury in place. We can't let Congress overturn them. By cleaning up or retiring coal plants and transitioning to clean, renewable energy sources such as wind and solar, we can protect our economy, create jobs and attain cleaner air for our families.

Clean energy solutions are ready to go, and we have only just begun tapping their potential. In Germany, 10% of all electricity last month was supplied by solar power, and Germany gets about the same amount of sunshine as Alaska . While here in the U.S., more than 20% of the energy being generated in the states of Iowa and South Dakota is already from wind. With the price of clean energy technologies coming down dramatically, this is the wrong time for our government to backtrack.

As a recognizable face and voice, I've been fortunate to have the opportunity to advocate for the health of women and children around the world, from Ukraine to Ghana. The United States is the last place I'd expect to see politicians roll back public-health protections that are already in place. That's why I'm working with the Sierra Club to raise awareness and encourage people to take action by contacting their senators and asking them to support keeping the Mercury and Air Toxics Standards intact.

Congress has the opportunity to be a part of the solution. It can protect our children's health and our air and water. There's no more important job than that.

The opinions in this commentary are solely those of Elle Macpherson.

@highlight

Elle Macpherson: Coal-fired power plants largest source of mercury pollution, a brain poison

@highlight

Mercury tied to learning and developmental problems, asthma, lower IQs, she says

@highlight

Macpherson: After decades, EPA set mercury and toxin emission standards

@highlight

If Senate votes to kill limits, she says, water, air and kids will continue to be poisoned