(CNN) -- While most college students are hooking up on the dance floor or checking each other out by scrolling through Facebook profile pictures, a small number of students are doing something really counter-cultural -- they're getting married before they graduate.

Marrying as an undergrad is like putting a "scarlet M on your forehead," said Bradford Wilcox, director of The Marriage Project, which studies marriages in America at the University of Virginia.

"In the 19th century, to commit adultery or premarital sex was sort of a big deal, whereas in college circles today, getting married is kind of the ultimate rebellion," he said.

Peter Nesbitt, 20, proposed to Lane Ritchie, 19, in a park earlier this month. The third-year University of Michigan students have decided to get married in less than two months.

The couple, who have dated since freshman year of high school, is more excited to spend the rest of their college days -- and lives -- together than worried about planning a backyard wedding that will be held after the first week of classes in September.

As Nesbitt explained, there are many "benefits" to getting married while still in school.

"You're with your best friend all the time, so it's not like, oh my gosh, it's a ball and chain now," he joked. "Yeah, college is stressful, but now you're getting to share it officially with someone else."

The average national age of marriage is 28, according to the National Center for Educational Statistics, and experts say planning a wedding while still taking finals and cheering at football games is going against the norm.

Out of 20,928 undergraduates surveyed by the National Center for Education Statistics in 2008, about 18% reported they were married.

While there are various reasons why college sweethearts decide to tie the knot, one thing is for sure: Married students face more challenges than they did in the past.

It's financially more difficult for married students today than just five years ago, said Kelly Roberts, a marriage and family therapist and clinical instructor at Oklahoma State University. She cited the decreasing number of student loans available and married students taking on more jobs to cover expenses.

"Students are not just juggling one job to try to make ends meet, but they're juggling two," she said.

The high cost of being a bridesmaid

Nesbitt and Ritchie are responsible for paying their own tuition. To cut down education costs, both are cramming in courses so they can graduate in less than four years. "We're both excited just to have one job that we can focus on, rather than school and work," Ritchie said.

For any couple, Roberts recommends waiting at least six months from the engagement announcement to the wedding, just so couples are certain they're making the right move.

Andy and Brittany Hudson were engaged for 14 months, but Andy Hudson said he would have married his wife sooner if she wasn't finishing her master's at Southern Illinois University.

"You just find the person you love and want to spend the rest of your life with them," he said.

But promising to take care of someone for better or worse might get in the way of a typical college experience.

At Oklahoma State University, approximately 7% of the 18,541 undergraduates were married in 2010. Kami Schwerdtfeger, an OSU assistant professor of marriage and family therapy who counsels married students, said some of these students find adulthood, which can mean paying bills and keeping up a home, can "butt heads" with adolescence -- attending parties, staying out late with friends.

Mark Regnerus, an associate professor of sociology at the University of Texas at Austin and author of "Premarital Sex in America," explained that married college students are forced to "grow up pretty quickly."

"You have to mature and take on a new role," he said. "It's not only your schoolwork that you're tending to, but it's also tending to your marriage."

New dating site helps college students find love

Harvard University senior Chris Jackson married Leah Cogan, a senior at Brown University, on July 1. Before getting married, Jackson said he found it difficult to balance school and his relationship with Cogan, who was about an hourlong train ride away.

"Ideally, you'd have all your work done during the week so we could hang out during the weekend, but it didn't usually work out that way," he said.

Both have one more semester to complete. They plan to divide the year in two, starting at Cambridge in the fall and ending at Providence in the spring, so they're not separated again.

Though all marriages are vulnerable in the first few years, experts say people who marry at age 21 or younger are more susceptible to divorce.

"The longer you can wait to get married up to approximately age 30, the greater your chances are at having a successful and stable committed relationship stay intact," Roberts said

Kate and Paul Bowers got married before their senior year at the University of South Carolina and celebrated their first anniversary last month. Kate Bowers said she appreciates the "smaller moments" of married life -- like grocery shopping together -- which they didn't experience when dating.

Paul Bowers, who started a blog called Married in College, said he didn't miss out on anything by becoming a husband as an undergrad.

"There's this idea that the college experience is based on watching 'Animal House' too many times, but we didn't go to a lot of parties ... we lived a pretty simple lifestyle," he said.

Though the Bowers are confident they'll be together forever, the average divorce or separation rate for a couple marrying for the first time is 40% to 50%, according to the 2010 State of Our Unions report by the National Marriage Project. Wilcox said financial trouble is a leading cause of marital distress and divorce, which could pose problems for married college students accruing debt from student loans.

"Once they've graduated from college and are in the process of paying off that debt, that's something that would be a drag on their marriage and would hang like a cloud over them," he said.

Despite dealing with the stress of student debt, educated couples have better chances for a happy marriage. Americans with at least a bachelor's degree are more likely than those with only a high school diploma to have a stable, high-quality marriage, according to the State of Our Unions report. Religious couples are also less likely to divorce than nonreligious couples.

Arwa Abdelhadi, a 19-year-old student at the University of Missouri, signed the Islamic marriage contract with her 27-year-old fiancÃ© last month. Though she's a devout Muslim, Abdelhadi said her religion played no part in her decision to marry at a young age.

"I've had several older ladies come up to me from the community and tell me, 'Oh, you're so young. You have so much time,' but I think if I've found the right person -- he's the one -- then why should I wait?" Abdelhadi said.

As Wilcox put it, married students often get pestered because they are "breaking the norm."

"You get a lot of raised eyebrows and questions directed to you when you marry in college," he said.

Society expects people to go to college, get a job and then get married, he said. Research also supports the position that the best age to wed is in the mid- to upper-20s, he added.

"It's at that point when you can really form a common life together," Wilcox said. "You're not set in your ways, you can build traditions, you can build hobbies -- things you do together as a couple that will really shape your entire adult life."

Balancing books and babies

Regnerus added that parents and peers "suspect there's no way you could possibly know what you want at age 20 or 21."

Ritchie's mother, Doris Ritchie, is one exception. She's thrilled about her daughter's marriage and said she will chip in financially and help plan the wedding as much as possible.

She's also not ashamed to admit, "I'm anxious and eager for them to bring me grandchildren."

@highlight

Tying the knot in college is considered counter-cultural today

@highlight

Americans with a bachelor's degree are more likely to have a stable marriage

@highlight

The average national age of marriage is 28

@highlight

Experts: People who marry at age 21 or younger are more susceptible to divorce