Athens, Greece (CNN) -- While the election of a new French President will be making headlines around the world on Sunday night, it may well be that the Greek parliamentary election results -- marginal as they may be, obscure and hardly decipherable -- will turn out to be more important for the future of the EU and the euro.

French voting might alter the core European policy mix. Voters in Athens will be sending out an SOS.

What the exact results will be is very hard to tell. Experienced Greek pollsters fear their data might this time prove unreliable: People tend to fume anger instead of discussing politics when called for a poll.

Their findings keep predicting, though, that the two "establishment parties" -- conservative New Democracy and socialist PASOK -- who have previously notched up 78% to 86% of the vote between them, might well lose almost one in two of their 2009 voters.

Faithful voters who have never betrayed their allegiance to one of the two main political families, descendants of the Royalists and Republicans of the 19th century divide, are for the first time considering going against tradition.

The left wing vote is expected to double, and extreme right wing votes may triple.

Lackluster politicians who, overnight, turned from obscure backbenchers to leaders of new, radical, parties are dreaming of double-digit scores.

And a gang of black-clad Nazi admirers who polled just 0.2% in 2009 is threatening to pass the 3% threshold and make a violent entry in parliament.

There is a sense of dÃ©jÃ  vu to all that. All elections in crisis hit countries, during the current Great Recession, from Iceland to Hungary and from Ireland to Portugal, have fallen under the same pattern: Government washed away, governing party defeated, extreme, nationalistic parties on the rise. Greece wouldn't be an exception.

But it is not just a repeat. This time is different.

Greece is the first country to head for elections with its economy not just in recession but in a full-on depression.

Greece will have lost 20% of its pre-crisis GDP by the end of 2012. The economy has lost in 24 months a number of jobs equal to those created over the last decade, with unemployment over 21%.

Labor costs are expected to fall by over 20% and the tax burden on labor income has become the highest among OECD countries.

Was this the expected outcome of the austerity program attached to the bailout and applied by the euro-partners and the IMF two years ago?

Not really.

The recession was initially predicted by the IMF to be -7.5%. The rise in unemployment was under-predicted by half.

Greece was supposed to have regained its credibility and return to the bond markets by early 2012 with its economy back on growth.

A failure of predictions, mass impoverishment and destitution, a recession that leads to failure to meet fiscal targets, growing social unrest: Greece, the poster child of austerity as cure-cum-punishment, is becoming the clear proof of the recipe's shortcomings.

How does that translate into politics?

In all the previous cases of elections in these times of recession, the parties that were unlucky enough to be in power when the crisis struck were punished, and alternative governments that did carry on with fiscal adjustment replaced incumbent governments.

It happened in all cases under IMF or joint IMF-EU programs from Reykjavik to Lisbon to Dublin.

In the Greek case, for the very first time, we might see a disapproval of both governing and opposition parties.

PASOK, the party in power when the country suffered its debilitating heart attack, will take a beating.

But the alternative party, the conservatives, discredited by its pre-crisis record in power and doubly discredited by its participation in a coalition government implementing austerity measures, might be beaten too.

The two of them, together might, and probably will have enough seats in parliament to form a coalition government, but their combined score will send a warning throughout Europe.

Austerity and no growth, recession and unemployment, dictates from Brussels and Frankfurt and Berlin and no consensus building at home, carry a real risk of de-legitimizing not just the euro project but European democracies as such.

It should be read as a democratic SOS.

Not as a sign that the country does not acknowledge the fact that it is facing (alone, with Portugal) a true debt crisis and has a genuine need for fiscal adjustment, but as a sign that if Europe does not change its austerity dogma and invent new, more European, ways of decision making, even a small country like Greece, where 80% of the electorate still believes in the European project and the euro, recession will win over politics.

The opinions expressed in this commentary are solely those of Pavlos Tsimas.

@highlight

Greek voters go to polls Sunday in first election since euro crisis

@highlight

Journalist Pavlos Tsimas says electorate will be "sending out an SOS"

@highlight

Tsimas: Mainstream parties likely to be punished for their role in the financial crisis

@highlight

Extremist political movements may benefit from voters' anger