(CNN) -- Abu Dhabi is often cast in the shadow of the vibrant Dubai, but the state is challenging its more celebrated neighbor as a premier destination.

"Dubai has the reputation of being the glittery one," says travel writer Matthew Teller. "But I didn't find that at all. I found Abu Dhabi so engaging and more diverse than people give it credit for."

Abu Dhabi in the United Arab Emirates -- home to the UAE capital, Abu Dhabi city -- has a strong maritime past. Fishing was pivotal to the economy before the lucrative exploration of oil. But even as the region progresses the water still plays an important part in its modern culture.

Last month Abu Dhabi hosted the Volvo Ocean Yacht Race, ahead of the event's third leg to Sanya, China. The six teams competing in the 39,000 nautical mile challenge across the globe may have been preoccupied by the port races held in Abu Dhabi, but for those taking in the region at their own place, there's plenty on offer.

See also: Volvo Ocean Race: Conquering the 'Everest of sailing'

The coastline, stretching over 700 kilometers of the emirate, is a highlight of Abu Dhabi, which takes in almost 200 islands. An ideal place to take in the stunning blue waters of the Gulf is the Corniche -- a promenade that spans Abu Dhabi's waterfront.

Teller says the Corniche is the perfect people watching spot, with locals descending on the signature walkway once the sun sets and the hot day comes to end. Stroll along with locals or cycle down the promenade to the Emirates Palace.

This lavish hotel cost around $3bn to build and occupies more than a kilometer of the city's sands as its own private beach.

Rooms in the hotel cost $1,000 a night and it boasts 1,002 Swarovski crystal chandeliers and a gold-leaf dome larger than the one atop St. Paul's Cathedral in London.

Out of the city center is the Mina Port fish market and, according to Teller, another opportunity for visitors to the area to get a glimpse of how Abu Dhabi residents live. In the early hours of the morning, the market is bustling with people buying fresh produce. "You really get a great sense of the local feel," says Teller.

See also: A look ahead to the Volvo Ocean Race

Despite its reputation as being a modern city hub, Teller believes Abu Dhabi has not forgotten its past. "The city is very aware of the history of the region," says Teller. He says Abu Dhabi's underlying cultural roots are felt throughout and even though it does not have an old city as such, the Heritage Village gives a glimpse of the traditional culture, with reconstructions of Bedouin tents and old markets.

The Cultural Foundation, in the center of Abu Dhabi, is often considered a "must see" for any tourist. It aims to showcase a range of arts, both of the past and present. There visitors can wander around art exhibits, watch dance or theater performances or simply gaze at the striking building they are housed in.

See also: Oman puts women at forefront of Olympic ambitions

The city is hoping to become more of a cultural hotspot to attract international visitors, with local versions of world famous museums the Louvre and Guggenheim planned, however these projects have reportedly been plagued with delays.

In keeping with Abu Dhabi's more traditional and more religious roots, in the meantime visitors have the Sheikh Zayed Grand Mosque to gaze at. The imposing mosque sprawls over a space the equivalent of five football fields and can accommodate almost 41,000 worshipers. The opulent interior includes the world's largest chandelier spanning 10 meters in diameter.

To escape the capital, Teller recommends a short drive out to the desert city of Al Ain. "The culture of the interior is quite different to that along the coast," he says. The city boasts the magnificant 19th century Al Jahili Fort -- one of the landmarks of UAE's heritage. The summer retreat of Sheikh Zayed the First is now open for visitors and often hosts concerts. It's another example of Abu Dhabi mixing its past heritage with its future arts.

Abu Dhabi may not have the show-stopping reputation of Dubai, but locals are adamant their city offers its Gulf neighbor some tough competition.

@highlight

Abu Dhabi hosted the Volvo Ocean Yacht Race last month

@highlight

The region has a strong maritime past with fishing pivotal to the economy

@highlight

The coastline, stretching over 700 kilometers of the emirate, is a highlight of the region