Thinking of having a baby? You may want to consider moving to Finland -- the best place in the world to be a mother, according to Save the Children's 14th Mothers' Index.

The index, part of the group's annual State of the World's Mothers report, is intended to illustrate the link between maternal and child well-being. Each year, nearly three million babies die within their first month of life -- more than a third die on their day of birth -- and 287,000 women die from pregnancy or childbirth, according to the report.

The index ranked countries according to five indicators of a mother's well-being: maternal health (the risk of maternal mortality); children's well-being (the mortality rate of children under five); educational status (number of years of formal schooling a woman receives); economic status (gross national income per capita); and political status (the participation of women in national government).

Finland was followed closely by its Nordic neighbors and other Western European countries. Australia was the only non-European country to place in the top 10.

The United States ranked 30th, performing poorly in under-five mortality rates, maternal death, and political participation, compared to other highly-developed countries.

Industrialized countries account for only 1% of newborns dying on their first day of life, but among them the U.S. has the highest mortality rate, with approximately 11,300 deaths each year. The report attributed this to the country's high rate of premature births (one in eight births) -- the second highest in the industrialized world.

The U.S. also has the highest teenage birth rate of any industrialized country -- and teenage mothers in the U.S. tend to have less education, prenatal care, and financial resources than their older counterparts.

Sub-Saharan African countries ranked as the 10 worst places to be a mother, with the Democratic Republic of the Congo coming in last place.

While newborn, child, and maternal death rates have declined across the developing world in the past two decades, the report found that progress has been the slowest in this region. Developing countries lack basic healthcare for women and their babies before, during, and after delivery, accounting for the majority of newborn and maternal deaths.

The Mothers' Index ranked 176 countries -- all countries are included except those with insufficient data or a national population below 100,000.

Top 10

1. Finland

2. Sweden

3. Norway

4. Iceland

5. Netherlands

6. Denmark

7. Spain

8. Belgium

9. Germany

10. Australia

Bottom 10

167. Cote d'Ivoire

168. Chad

169. Nigeria

170. Gambia

171. Central African Republic

172. Niger

173. Mali

174. Sierra Leone

175. Somalia

176. Democratic Republic of the Congo

@highlight

Finland ranked as best country for mothers in Save the Children's 14th Mothers' Index

@highlight

Index intended to illustrate link between maternal and child well-being

@highlight

Each year, nearly 3M babies die within first month of life; 287,000 women die from pregnancy or childbirth

@highlight

Sub-Saharan African countries ranked as the ten worst places to be a mother