Paris (CNN) -- When you're in love in Paris, you show it with a lock.

A combination lock, a bicycle lock or, most commonly, a simple padlock -- hundreds of them -- all inscribed with the names of lovers and clinging to the chain link railing of the Pont des Arts, the Bridge of Arts, the keys romantically tossed into the Seine flowing below.

"Without you, my life doesn't make sense," one of the locks reads in French.

"Walter and Tammy engaged," another announces to the world in English.

You might easily miss the modest pedestrian bridge with the shiny accessories in the tourist rush to find historic Pont Neuf or the ornate Pont Alexandre III, but I am taking it slow on my second visit to Paris.

There are no museums on my itinerary and no mad scrambles to fit in all of the city's famous sites. I've already seen the Mona Lisa, been to the top of the Eiffel Tower, gazed down on Napoleon's tomb and admired Notre Dame.

This visit is for savoring Paris: walking to wherever fancy strikes, sitting in any park or café that looks inviting and eating as many baguettes, pastries and other delectable things as my budget (and figure) will allow.

"Sleepless Night"

When I arrive, "Purple Rain" is the talk of the town. It's the first weekend of October, so the streets of Paris are extra crowded for the annual Nuit Blanche -- White Night or Sleepless Night -- when museums stay open until dawn and organizers promise "surprising and unusual" art installations all over the city.

One of them invites visitors to pick up a clear plastic umbrella and walk through a courtyard as rain machines and mauve lights make it look like they've stepped into Prince's hit song.

I start each of my few days in Paris with champagne. It's right there, chilling in an ice bucket in the corner of my hotel's breakfast buffet every morning, not far from a pitcher of milk.

Guests sip from their champagne flutes as casually as from their coffee cups as they fill up on cold cuts, cheeses and buttery croissants spread liberally with Nutella.

An unexpected heat wave bathes Paris in summer light, so I take in the stunning views of the city from Sacre Coeur Basilica and go explore hilly, bohemian Montmartre.

Who knew grapes grow in Paris? They bask in the sun on a slope on Rue des Saules in Clos Montmartre, the city's only vineyard. Not far away, you can feast on sea bass in butter sauce in Le Moulin de la Galette, a restaurant topped by a little 18th-century windmill -- one of only two that remain in the area.

A poster quest

I take alarmingly frequent boulangerie and patisserie breaks.

The bakery near my hotel, just off the Champs Elysées, has baskets of warm crunchy-soft baguettes and display cases full of elaborate sweets that you can't ignore.

My favorite: a raspberry pistachio gateau, with the tart ruby fruit nestled in sweet clouds of pale green cream in between layers of flaky puff pastry. Heaven.

Haunted by a poster of the Le Monde des Chimères restaurant that I've owned for years, I set out for Île Saint-Louis -- one of two islands in the Seine -- where the photo was taken.

The restaurant now has a new name, Mon Vieil Ami, but I'm not disappointed. The peaceful little island, with its boutique-lined center street, is a charmer, and food temptations are all around: "lapin à la moutarde" (rabbit with mustard sauce), "chocolat noir" ice cream, "rhubarbe" sorbet.

Close calls at Place de l'Étoile

For entertainment, I watch the crazy traffic around the Arc de Triomphe.

There are no lanes and no traffic cops. Cars entering the circle have the right of way, and they roar into the giant roundabout as the other cars already in it (and going alarmingly fast) squeal to a stop, sometimes with just inches to spare.

There are honks and angry hand gestures as vehicles of every imaginable size -- from tiny Smart cars to giant tour buses -- negotiate the circle with equal zeal.

Want to exit the roundabout into one of the 12 avenues fanning out of it? Just cut diagonally in front of all the other traffic. It's both terrifying and fascinating to watch.

When I ask the concierge at my hotel whether she drives around the arch, she smiles and shrugs her shoulders, "Sure, you just do it. You just keep going; otherwise the other cars will just" -- here she's at a loss for words and mimes what looks like vehicles swerving wildly around her.

Her colleague at the front desk then confesses that when her husband goes around the arch, "I just close my eyes."

They tell me that when there is an accident at the Place de l'Étoile, the insurance companies of both drivers always split the bill 50/50. It's just too difficult to ever determine who is at fault. "But there are no accidents," one of the women insists.

Cheese heaven

For a traffic-free experience, I head to Rue Cler, a pedestrian market street not far from the Eiffel Tower where Julia Child used to shop. You can sit down for a meal or assemble a moveable feast at the fruit, produce and specialty food shops that dot the area.

The fromagerie itself is worthy of the trip: There are hundreds of varieties of cheeses for sale, their collective aroma wafting out into the street. You could make it your mission to try one cheese each day of the year and still not go through them all.

For now, my time is running out.

I watch one more time as the Eiffel Tower sparkles like a champagne glass at night, with the hourly evening light show eliciting oohs, aahs and applause from the crowd on the Champ de Mars.

Then I give in and buy a souvenir: a "J'adore Paris" T-shirt. I will wear it often.

@highlight

This Paris visit focuses on lots of walking, sitting and eating instead of rushing

@highlight

Montmartre has secret vineyard; Île Saint-Louis is a charmer

@highlight

Watching the crazy traffic around the Arc de Triomphe can serve as excellent entertainment

@highlight

Assemble your own meal at the fruit, produce and specialty food shops on Rue Cler