(CNN) -- Bored of diving among the usual coral reefs and tropical fish? Looking for something a little out of the ordinary?

Ever thought about diving in a crack between two continents in some of the clearest water on Earth? Or what about swimming up to an active volcano? Perhaps underwater art is more your thing?

If so, take a look at some of the most unusual, mysterious and awe-inspiring underwater landscapes from around the world.

Continental rift in Iceland

The only place in the world where you can swim between two continents, the Silfra fissure in Iceland's Thingvellier National Park is where the North American and Eurasian tectonic plates meet.

Not only can you dive in a crack in the earth caused by the two continental plates slowly moving away from each other (at an average of 2 cm a year), the waters are so clear that many divers are said to lose all sense of depth and even experience vertigo.

The water's extreme clarity is thanks to year-round cold temperatures of around two to four degrees Celsius and the water's purity. The water originates from a glacier high on Iceland's Hofsjokull Mountain and is filtered through layers of porous lava rock before reaching the national park. Not only is it cold and clear, the water is so pure it is safe enough to drink.

The three sections of the dive include Silfra Hall, the Cathedral and Silfra lagoon.

Mysterious ruins in Japan

A long-lost civilization, the work of aliens or simply a natural wonder? The mysterious underwater ruins of Yonaguni continue to lure the most intrepid of divers.

Located in the Yaeyama Islands off the westernmost point of Japan, the tiny island of Yonaguni is remote and difficult to reach. But it remains popular thanks to the archaeological riddle submerged off its southern coast.

Exactly how the underwater pyramid structure, known as the Yonaguni monument, was formed is still under debate. Some claim the ruins to be evidence of a long lost city, while others are convinced it is a geological phenomenon. There are even a few who believe the site to be the work of architecturally-ambitious aliens.

Whatever its origin, it's an impressive site. Estimated to be between 5,000 and 8,000 years old, the stepped structures -- with smooth platform steps and right angles -- appear as though they were carved out of the rock.

This is not a diving site for beginners, with the ruins located in open waters with high waves and strong currents.

Volcanic action in Indonesia

Want to see a volcano up close without the threat of lava flows and toxic air? If so, the submerged volcano of Banua Wuhu is the place to head.

Located beside the island of Mahangetan, part of the volcanic island chain of Sangihe in Indonesia, Banua Wuha rises more than 400 meters from the sea floor and is less than five meters below the water's surface.

There is no risk from lava -- instead, the underwater volcano releases ribbons of silver bubbles -- sulfur gas -- escaping deep from inside the earth's crust.

"The bubbles can burn your fingers if you're not careful," said Roman Szalay, managing director of Ocean Rover Cruises, which charters one of the few boats that makes the journey to the volcano.

"If you bring (the gas) up in a bottle to the surface it smells horrible, but if the bubbles come up to the surface it smells like nothing," he added.

The further you descend, the volcano's barren sulfur-covered rocks give way to coral reefs and an extraordinary display of marine life, including huge barrel sponges, black tipped reef sharks and schools of neon fusiliers.

"If the sky is cloudy and the sun is not bright, the atmosphere is quite mystic" said Szalay, "Sometime you can also hear the roaring of the volcano."

Underwater art in Mexico

Want a bit of culture on your next dive? Then try the tropical blue waters of Cancun, Mexico where you will find the Museum of Underwater Modern Art.

Consisting of more than 403 permanent life-sized sculptures, the art-filled sea-bed is one of the largest artificial reef attractions in the world.

The work of British sculptor and scuba diver Jason deCaires Taylor, each sculpture is individually cast and made using a special cement mix to encourage coral growth.

"It's incredibly interesting working underwater," said deCaires Taylor. "The colors are different, the light patterns are very different, the atmosphere and mood is otherworldly.

"The piece takes on a very different tone underwater -- it has a lost feel to it and brings up all these questions that you wouldn't have on land," he continued.

Underwater cemetery in the U.S.

A little over five kilometers off the coast of Miami, Florida, is an altogether different, and slightly creepy, diving experience -- an artificial reef that doubles as a cemetery.

The Neptune Memorial Reef, with its tagline "creating life after life," is a man-made reef, built to encourage the growth of marine life while creating "the ultimate 'Green Burial' opportunity."

People who choose the reef as their final resting place are first cremated. Their remains are then mixed with non-porous cement, sand and water, and molded into a stone shape of their choosing, such as a shell or starfish. The stone is then added to the reef by scuba divers.

The first phase of the memorial has been built in the style of a "classical re-creation of the Lost City." Relatives of the deceased, curious scuba-divers and marine biologists are among those who dive among the coral-encrusted arches and statues of lions that line the sea floor.

When completed, the memorial will cover have the capacity to hold the cremated remains of around 100,000 people.

@highlight

In Iceland you can dive in the crack between two continents

@highlight

The Museum of Underwater Modern Art lets you swim among sculptures

@highlight

Swim in an underwater cemetery at the Neptune Memorial reef