(CNN) -- Cancer is plaguing a growing number of first responders and rescuers who worked at ground zero after the terrorist attack on the World Trade Center on September 11, 2001. These are cancers the federal government says are thought to be directly related to that effort -- cancers like leukemia, myeloma, thyroid and prostate cancers.

There are at least 1,646 certified cancer cases that have been documented by Mount Sinai Selikoff Centers for Occupational Health. There are some additional 863 cancer cases among both fire and EMS personnel, according to FDNY, which keeps a separate database for its members.

That's a total of 2,509 cases. The center has screened more than 37,000 World Trade Center rescue and recovery workers since 2002. It will continue to monitor those workers and volunteers for any new cases.

Some reports suggest the number of cancer cases in this group has doubled since last year. While that may be mathematically true, cancer experts caution that we can't draw any significant conclusions from the increase.

"For every decade of life, if you look at a population ... cancer rates go up the older you are," said Dr. Otis Brawley, the chief medical and scientific officer and executive vice president of the American Cancer Society. "Looking at an increase from one year to the next is a nonscientific way of making an assessment that is incredibly biased to find a link between the activity and the cancer."

Many have cancers after 9/11

To be scientifically accurate, Brawley said someone would have to look at all the cancer records for the people in the 9/11 group and compare them to a group that had the same age makeup, same gender, and other demographic data. There would also have to be a significant portion of firefighters in that sample, because as a profession they tend to have higher cancer rates than the general population, Brawley said.

A deep scientific analysis of available medical data through 2010 showed a 20% increase in the rate of cancer cases for 9/11 rescue and recovery workers when compared to the general population, according to Mount Sinai.

Government reports suggest workers at the World Trade Center were exposed to a number of chemicals that were known to be carcinogens, or agents that may cause cancer.

Many people who worked at the site are struggling with devastating cancers they may not otherwise have had, had they not responded to the tragedy. That much is clear, according to the U.S. government, which set up a special World Trade Center Health Program.

The program provides medical monitoring and treatment services for 9/11 responders and survivors. Nearly 65,000 people are enrolled. Enrollees are qualified to get health care treatment through several reputable medical centers that keep experts on staff who are qualified to treat and identify illnesses related to the terrorist attacks. The program plans to continue to monitor those workers.

"I think all of us are open to the possibility that these brave folks were exposed to things that caused further illness," Brawley said. "What's most important is that someone has cancer and needs help and we should continue to provide them with the good care they truly deserve."

More on September 11th victim aid and compensation

@highlight

There are at least 2,509 certified cancer cases among 9/11 responders and rescuers

@highlight

They suffer from higher rates of leukemia, myeloma, thyroid and prostate cancers

@highlight

The U.S. government has a WTC Health Program that provides care and monitoring