LONDON, England (CNN) -- When you are next in the lobby of a Westin hotel in North America, take a deep breath. It may not hit you at first, but if you're careful you should detect a hint of geranium or a note of freesia.

Branded scents of flowers are becoming a common feature in hotel lobbies

The fragrance is part of the hotel chain's attempt to elevate the senses, transform the space and, above all, create a memorable experience for its guest.

Westin are not alone in this approach. Other business travel environments including business class lounges and planes are filling their air with branded scents as companies cash in on the power of smell as a marketing tool.

The idea is that the sense of smell is closely linked to the part of the brain that controls both emotion and memory. In fact, three quarters of our day-to-day emotions are thought to be influenced by what we smell.

Brands for decades have created logos, and relied on their repeated use to build a visual association, and with that brand loyalty and engagement.

But as Simon Harrop, executive director of Brand Sense Agency (that is spearheading the concept of sensory branding) says, vision goes to the part of the brain that controls rational thought. "This means we tend to override the signals," he says. "But because smell goes to the part of the brain linked to emotion, it creates a more direct and powerful response. If we can create associations with a fragrance, then it becomes a very powerful way to enhance the brand."

Using smell as a branding technique is not new. Since the 1990s, Singapore Airlines has been using its own fragrance, known as Stefan Florida Waters. Flight attendants wear it as perfume, it is blended into the hot towels served before take-off and it wafts through the cabin during the flight.

As outlined in the book Brand Sense my Martin Lindstrom, also MD of Brand Sense Agency, you may not necessarily remember the smell, but as soon as you step into the aircraft it has the "potential to kick-start a kaleidoscope of smooth, comfortable memories, all reflecting the more obvious customer service and quality efforts of the Singapore Airlines brand."

Harrop also founded The Aroma Co that specializes in providing aromatic solutions in marketing. Seven or eight years ago he worked with British Airways to develop a fragrance for seven the airline's business class lounges. The idea was to bring "the outdoors in", says Harrop, through the use of smell of running water.

Unfortunately, this work coincided with British Airway's tail re-branding exercise and the smell was literally drowned out.

Other smells have lingered, however. Retailers and food service companies are increasingly using it as a technique and Starwood Hotels has pumping smells into its 400 Sheraton and 125 Westin Hotels & Resorts for over 18 months.

Amalie Craig, UK spokesperson for Starwood says the scent in the Westin hotels has proved a hit with guests. As a result, they have now created their own line of candles and potpourris so guests can take the smell home with them. "Hundreds of guests asked how to purchase the scent for their home prompting a waiting list for the exclusive collection months before its debut," she says.

But for those who might have thought existing advertising techniques were sinister enough, this new multi-sensory approach may really get up your nose. Literally.

Others have been concerned about the overuse of chemicals and the risk of exacerbating allergies. (Starwood says its smells are natural and hypoallergenic). Other critics say smells are simply obtrusive.

But Harrop is not deterred. This is not about bombarding people with a smell, he says. "We are talking one or two parts of fragrance per billion molecules of air. Humans can detect tiny amount of air, so it should be done very subtly."

And after all, he adds, when you go into a business lounge it's going to smell of something. So rather than the whiff of a take-away burger or a sweaty traveller create the emotional response, why not use something a bit more refreshing? E-mail to a friend

@highlight

Airlines and hotels use smell as a branding tool to create positive memories

@highlight

Creating associations with a fragrance is a powerful way to enhance the brand

@highlight

Starwood has been using smells since 2006 in its Sheraton and Westin Hotels