By day, Scott Loeser works from home for a company based in Hong Kong, selling stationery and school supplies to American big-box retailers.

In the afternoon, he rides a bus about 30 minutes from St. Paul, Minnesota, to a studio where he makes small leather goods by hand in the hopes of one day selling them for his own company. Before he can do that, though, he figures he needs to know how to use a sewing machine and make a scalable product.

"I want to be the guy selling stuff to Asian companies instead of selling for them," said Loeser, 35, whose background is product development, sales and retail branding. "I want to make a name for myself, but even if I have a product that's successful and great, how cool would it be if I could also say that I sew my own product?"

To get closer to his dream, Loeser enrolled in a "sewing and production specialist" course at Dunwoody College of Technology in Minneapolis, where he'll learn the basics of sewing in an industrial setting and the production process.

The program includes on-the-job training and a paid internship with a company in the Twin Cities region that could lead to a full-time job. Upon completion of the 22-week program, which began in January, he'll earn a certificate in industrial sewing through Dunwoody.

It may not sound like the sexiest gig ever, but Loeser is one of 18 students who see the program as a ticket to a brighter future. Ranging in age from 18 to 64, their reasons for joining are as varied as their backgrounds. Some are lifelong Midwesterners, but nearly half are legal immigrants from as far as Somalia, Myanmar and Mexico. Some of them want to make use of a skill they utilized in their homeland or find a steady job that keeps them off their feet; others, such as Loeser, see a path to entrepreneurialism.

Made in America markets create communities of like-minded consumers

That the class exists is a testament to the growing demand for a trade considered nearly obsolete in the last decades of the 20th century. The last time Dunwoody offered a cutting and sewing class was in the 1940s before it was dropped because of a lack of industry demand, said Debra Kerrigan, dean of workforce training and continuing education.

Fast forward six decades and the demand for a skilled cut and sew industry has returned to Minnesota, home to about 8,000 manufacturing companies, many in desperate need of a workforce trained in trades lost in an era of outsourcing and automation.

Read more: The high-tech return of high school shop class

"Dying trades are coming back to life," Kerrigan said. "Companies are looking for people with the right skills and people want to recareer and get back into the work force, and they want to do it quickly."

Birth of a movement

Sure, there are online sewing tutorials and workshops at community centers or crafts stores for hobbyists. Colleges also offer degrees in fashion design and manufacturing and apparel technology. But organizers of the course say its specific focus on skilled sewing certification makes it unique -- and cheaper for students since it's not a course for credits.

The genesis of the course also makes it unique. Representatives from companies that historically manufactured in Minnesota  got together in January 2012 and realized they had a shared need for skilled labor that could work with a variety of materials, from clothing and shoes to medical supplies, tarps, banners and HVAC vents.

Spearheaded by Jennifer Guarino, CEO of luggage maker J.W. Hulme, the coalition moved fast once it identified common goals, reaching out to Dunwoody to create a curriculum suiting their needs and LifeTrack, a nonprofit human services organization that helps job seekers.

Thus was born the Makers Coalition, which bills itself as "a hands-on movement to rebuild the industrial sewing heritage of America" through the collaborative efforts of businesses and industry, educational institutions and nonprofits. The coalition represents a variety of sectors: established accessory and apparel brands like J.W. Hulme, Red Wing and Allen Edmonds; independent designers of bridal collections, dance recital costumes and lingerie; cut and sew facilities and makers of industrial sewing machines.

The story of J.W. Hulme, a heritage brand that has been making bags and accessories in its St. Paul facility for more than 100 years, mirrors the experience of other coalition members. The brand relies on a skilled workforce that's rapidly approaching retirement age in a time when it has begun to see dramatic growth, thanks to swelling brand awareness and interest in American-made goods.

Made in America: The short list

"The more we've grown, the more we've found it very, very difficult to find skilled labor to stay at capacity," Guarino said.

"We lost a whole generation of skilled labor, so we have to jump-start training again. We're the guardians of our trade and, if we don't, it will go away."

The coalition has a nonprofit arm that provides partial funding for scholarships and materials for the course. Additional funding for scholarships, which 16 of the 18 students receive, came from a $75,000 grant awarded to LifeTrack from the Greater Twin Cities United Way's WINGs Giving Community.

Beyond training a skilled workforce, Guarino says the larger vision for the coalition is to create a cut and sew industry in the Twin Cities that compares to those in New York and Los Angeles. But to do so, it needs to convince people that these aren't dead-end jobs -- that they have opportunities for advancement, especially as current workers retire.

A chance to start fresh

The program has its share of creative types in their 20s and 30s looking for alternatives to corporate life. Rhea O'Connor, 34, already has a full-time job in Web design. She decided to enroll in the program's night classes so she'd have a skill that would allow her to potentially change careers.

"I want to actually be able to sew in way that I can produce something from the production standpoint instead of just creating a one-off," she said.

Other students are approaching middle age and looking for a chance to start fresh. Marcus Cook, 47, has held his share of jobs in telecommunications and the service industry; in darker days, he served time in prison for robbery.

But, that's all behind him, he says. Now, he's engaged and has monthly bills, child support and a daughter looking to go to college. He sees the course as a ticket to getting his life back on track in an industry that appears to be growing. Plus, after more than a decade working on his feet in kitchens, it satisfies his desire to be creative in a job that won't require him to stand all day.

"I'm still 20 years from retirement so I took this as an opportunity to learn a trade that will give me another notch in my belt and keep me employed," he said. "I don't see this industry becoming totally automated and robotic; there will always be a human application to it."

Scott Loeser also enjoys making things with his hands, which is why he got into leather-making in the first place. And, if growing consumer interest in the "made in USA" trend translates to a real revival of American manufacturing jobs, he wants to be at the forefront.

Running his own successful leather goods business is the ultimate goal -- he already has a name for it, Marked. But, in the short term, he simply wants to learn a marketable trade that interests him.

"The desire for made in USA is out there, the problem is there's no one to make it, which is a need this program is filling," he said. "I want to be part of a movement that makes factory work cool and sexy again."

@highlight

Sewing and cutting class draws job-seekers from various backgrounds

@highlight

Class organized in response to Minnesota businesses in need of skilled workforce

@highlight

"Dying trades are coming back to life," school rep says

@highlight

Student: "I want to be part of a movement that makes factory work cool and sexy"