(CNN) -- U.S. and Cuban officials held migration talks for the first time in more than two years on Wednesday.

Some saw the meeting as a sign that long-frigid relations between the two nations are slowly thawing. But others said that the meeting was overshadowed by the Cuban weapons shipment to North Korea uncovered by Panamanian authorities this week.

American and Cuban officials met in Washington for the first time since January 2011 to discuss implementing 1994 and 1995 agreements that regulate travel between the United States and Cuba, known as the U.S.-Cuba Migration Accords.

"The U.S. delegation highlighted areas of successful cooperation in migration, including advances in aviation safety and visa processing, while also identifying actions needed to ensure that the goals of the accords are fully met, especially those having to do with safeguarding the lives of intending immigrants," the State Department said in a statement after Wednesday's meeting.

For its part, Cuba's delegation said "the meeting took place in a climate of respect."

But after the meeting, it appeared that key sticking points between the two countries remained unresolved.

The State Department said the United States repeated its call for Cuba to release Alan Gross, a State Department contractor who has been jailed in Cuba since 2009.

And the Cuba delegation once again criticized U.S. migration policies toward the island.

Under migration accords with Cuba, the United States gives at least 20,000 Cubans a year visas to immigrate to the United States legally. But the United States' so-called "wet foot, dry foot" policy means Cubans who reach American soil are not sent back to Cuba, which Cuban authorities say leads to an increase in illegal journeys.

In a statement, the Cuba delegation said it "reiterated its willingness to maintain these exchanges in the future, given their importance to both countries."

But will concerns over Cuba's weapons shipment that Panama seized from a North Korean boat this week put a stop to such talks?

Cuba has said the 240-metric-ton weapons stash consisted of obsolete equipment it was sending to North Korea for repair. Panama has asked the United Nations to investigate whether the shipment violates the organization's North Korea weapons bans.

In the meantime, several U.S. lawmakers who are critics of Cuba's government have said the situation is a warning sign that U.S. officials can't ignore.

"While we are in these discussions ... what does the Castro regime do? It is violating international laws. Why are we having these talks? We should suspend these talks because of this violation," Rep. Ileana Ros-Lehtinen, R-Florida, told CNN en EspaÃ±ol Wednesday.

In a letter to U.S. Secretary of State John Kerry, Sen. Marco Rubio of Florida, a frequent Cuban government critic, described the weapons shipment as a "flagrant violation of multiple United Nations Security Council Resolutions."

"I believe that this revelation, in addition to Cuba's failure to address its abysmal human rights record, should finally prompt the (Obama) administration to re-calibrate its misguided and naive Cuba policy," Rubio wrote. "The administration should immediately reverse its January 2011 decision easing restrictions on people-to-people travel and remittances sent to Cuba; as well as immediately halt granting visas to Cuban government officials."

But others argued that it would be unwise to cut off talks over the matter.

"I do not think it should affect the conversations, because there is much at play, and things have advanced a lot, and it is a conversation that is beneficial for the United States and beneficial for Cuba," said Michael Shifter, president of the Washington-based Inter-American Dialogue think tank.

If anything, the seizure of the North Korean boat shows the importance of more dialogue with countries like Cuba and North Korea, said Antonio Betancourt of the Universal Peace Foundation.

"What creates the problem are the sanctions. This is part of a problem that is going to continue with Cuba and is going to continue with North Korea until...they negotiate an exit so they can become part of the international community," he told CNN en EspaÃ±ol. "When one is forced to live in darkness, the same darkness creates a lack of transparency."

State Department spokeswoman Marie Harf told reporters Wednesday that the issue of the ship was unlikely to be a topic during the migration meeting.

"I would say that we have told the Cubans that we will discuss with them very soon the ship," she said, "but we're focused on the migration talks, specifically on migration-related issues."

CNN's Patrick Oppmann contributed to this report.

@highlight

Some say talks are a sign that frigid U.S.-Cuba relations are slowly thawing

@highlight

Others say a seized Cuban weapons shipment to North Korea is a sign talks should end

@highlight

United States calls for Cuba to release a jailed State Department contractor

@highlight

Cuba's delegation criticizes U.S. migration policies