U.S. President Barack Obama voiced his support for Ukraine's newly elected president and called for the international community to "stand solidly behind" him Wednesday, on a visit to Europe dominated by the crisis in Ukraine.

Obama's meeting in Warsaw, Poland, with Ukrainian President-elect Petro Poroshenko can be seen as a sign of U.S. support for the government in Kiev as it battles to quell a pro-Russian separatist uprising in Ukraine's East.

Ukrainian authorities claimed Wednesday to have inflicted heavy losses on militant forces in the Donetsk region, at the same time as acknowledging that separatists have now seized two military bases in Luhansk. A separatist leader gave conflicting casualty figures.

In remarks at a ceremony to mark the 25th anniversary of Poland's return to democracy, Obama also voiced his backing for Ukraine, and said the United States would stand up for freedom across the region.

Poland and former Soviet states "will never stand alone," Obama said. "These are not just words. They are unbreakable commitments backed by the strongest alliance in the world and by the armed forces of the United States of America -- the most powerful military in history."

Conflicting accounts in heightened eastern Ukraine fighting

He also vowed to stand with Ukraine, which is not a member of NATO, in the face of Russian "aggression," including its annexation of Ukraine's Crimea region in March.

"Ukraine must be free to choose its own future, for itself and by itself," Obama said.

"We will not accept Russia's occupation of Crimea or its violation of Ukraine's sovereignty. Our free nations will stand united so that further Russian provocations will only mean more isolation and costs for Russia."

Obama, who spoke after Polish President Bronislaw Komorowski at the solemn ceremony in the heart of Warsaw, also paid tribute to the Poles whose struggle for democracy lit a spark for revolutionary change.

The 1989 election commemorated Wednesday "was the beginning of the end of communism -- in this country and across Europe," he said.

'Deeply impressed'

Addressing reporters earlier alongside Poroshenko, Obama said he was "deeply impressed" by the newly elected leader's vision of what is required to help Ukraine grow.

"The challenge now for the international community is to make sure that we are supportive of Petro's efforts, and the United States has already stepped up in a number of ways," he said.

Obama said the pair had discussed additional steps the United States can take to help Ukraine through its transition process, including helping to train Ukrainian law enforcement officers and providing more nonlethal aid to its military.

Deadly attack on pro-Russian separatists

He also spoke of the need for Ukraine to undertake economic reforms, including steps to reduce its dependence on natural gas supplies from Russia, currently used by Moscow as a means of leverage.

Poroshenko, a business magnate seen as pro-European, is due to be sworn in Saturday. He thanked the United States for its support and said the Ukrainian people had shown their solidarity in rejecting Russia's annexation of Crimea.

G7 diplomacy

The U.S. President then flew to Brussels, Belgium -- the second stop of his three-nation tour -- for a meeting of the G7 group of industrialized nations.

Obama led the international effort to suspend Russia's participation in the world group of economic powers. That suspension resulted in the relocation of this year's planned G8 summit from Sochi, Russia, to Brussels, as the leaders of the G7 nations decided to meet without Russia.

Obama suggested Tuesday that Russian President Vladimir Putin could regain the trust "shattered" by Russia's incursion into Ukraine, but only if Moscow plays by the rules and stops destabilizing Ukraine.

Putin "has a choice to make" on Ukraine, Obama said, calling on the Russian President to continue to pull back troops from the border with Ukraine, persuade pro-Russian separatists to stand down and back Ukraine's recent presidential election.

Obama and Putin are likely to cross paths while both are in France at the end of the week for events to mark the 70th anniversary of the D-Day landings, but no formal talks have been announced.

Putin told French television station TF1 that he will not "evade" Poroshenko or anyone else.

"There will be other guests, and I'm not going to avoid any of them. I will talk with all of them," he said, according to the Kremlin's translation.

However, German Chancellor Angela Merkel will meet Putin on the sidelines of the D-Day events Friday for discussions on Ukraine, the German government said.

British Prime Minister David Cameron will meet the Russian leader on Thursday night, Downing Street said, adding that their talks will focus on steps Russia can take to de-escalate the crisis.

Obama urges Putin to make choice over Ukraine

NATO defense ministers meet

Amid the heightened East-West tensions, NATO defense ministers met Wednesday in Brussels.

NATO Secretary General Anders Fogh Rasmussen said before meeting it was a timely opportunity "to discuss our shared concerns over Russia's illegal aggression against Ukraine."

The alliance has come to the fore in recent weeks as former Soviet states which are now NATO members seek reassurance amid heightened concerns following Russia's annexation of Crimea.

Obama on Tuesday announced that he would ask the U.S. Congress for a fund of up to $1 billion to allow for a "European Reassurance Initiative" to bolster the security of NATO allies.

This would help the United States undertake increased training exercises, explore the prepositioning of military equipment, and build the capacity of Georgia, Moldova and Ukraine to partner with the United States and NATO.

More U.S. Air Force and Army personnel will be rotated through allied countries in central and eastern Europe, Obama said.

Recent moves by Russia to withdraw some of its forces from its border with Ukraine have the potential to ease tensions between Moscow and Washington. But administration officials caution a new detente is a long way off.

Kiev and the West have said the separatists in Ukraine are coordinated and supplied by Russia, a claim that Moscow denies.

Separatists seize Ukraine military bases

The volatile situation in eastern Ukraine appears to have taken a turn for the worse this week.

The Ukrainian government claimed Wednesday that more than 300 pro-Russian militants have been killed and at least 500 wounded in ongoing Ukrainian military operations in the towns of Chervoniy Liman and Slovyansk. CNN could not immediately confirm the report.

However, Vyacheslav Ponomarev, self-declared mayor of Slovyansk, told CNN that during Tuesday's attack by Ukrainian jets and helicopters, 10 separatist militants had died and 12 were injured. He added in the past three days, three civilians, including a woman, had died in the violence.

The authorities also said that separatist fighters had taken over two military bases in Luhansk -- one run by the Border Guard and the other by the National Guard.

The Ukrainian Border Guard base on the outskirts of Luhansk city has been evacuated and taken over by pro-Russia separatists, according to the Border Guard website.

Ukrainian official: Five militants killed in attack on border guard base in Luhansk

The border guard detachment at the compound, which was badly damaged during 12 hours of clashes Monday, has been relocated to safe place, the Border Guard Service said.

The Ukrainian National Guard said Wednesday it had lost control of its base after an attack by "terrorists" that began late Tuesday. Video appeared to show its detachment surrendering to separatists early Wednesday.

The National Guard said its troops at the base had been relocated to "a safe place." Three of its men were injured, while six of the attackers were killed, it said.

CNN cannot independently confirm the number of casualties.

Civilians killed

The loss of the military bases follows a deadly attack Monday on a regional headquarters building in Luhansk that had been taken over by separatists calling themselves the People's Republic of Luhansk.

Five women and three men, all of them civilians, were killed in the attack, which Kiev blamed on separatists.

A munitions expert who accompanied a CNN crew to the scene, however, said the damage to the building was indicative of an airstrike.

Ukraine's President-elect vows vengeance over helicopter attack

The Special Monitoring Mission of the Organization for Security and Co-operation in Europe came to a similar conclusion.

It's thought to be the first time that civilians have been killed or injured in an attack by the Ukrainian air force since pro-Russian groups began occupying buildings in the Luhansk and Donetsk regions more than two months ago.

The U.N. children's agency, UNICEF, raised concern Tuesday over the plight of children caught up in the violence and urged all groups involved to protect children.

Seven children, the youngest age 4, have sustained gunshot and shrapnel injuries in eastern Ukraine since May 9, the agency said, while others in Donetsk have been exposed to violence and terrifying events.

@highlight

Vladimir Putin tells French TV he won't avoid any world leaders at D-Day ceremony

@highlight

U.S. President Obama celebrates 25 years since Poland's return to democracy

@highlight

He gives his backing to Ukrainian President-elect Petro Poroshenko

@highlight

Obama traveled to Brussels for a G7 meeting, held as NATO defense ministers also meet