GENEVA, Switzerland (CNN) -- The World Health Organization on Wednesday raised its pandemic alert to 5, its second-highest level, warning of widespread human infection from the swine flu outbreak that originated in Mexico.

Patients wait at a hospital Wednesday in Mexico City. The swine flu outbreak began in Mexico.

Dr. Margaret Chan, the U.N. agency's director-general, said the decision to raise the alert on the 6-point scale indicated that all countries should "immediately" activate pandemic preparedness plans.

"This change to a higher phase of alert is a signal to governments, to ministries of health and other ministries, to the pharm industry and the business community that certain actions now should be taken with increased urgency and at an accelerated pace," Chan said.

The announcement came as the number of confirmed cases increased rapidly across the world.

The WHO and national governments have confirmed 148 cases in nine countries. Most of those cases are in the United States, where the Centers for Disease Control and Prevention has confirmed 91 cases.

The figures include seven deaths in Mexico and one in the United States. More than 2,700 other patients worldwide are believed to be suffering from the virus that government officials call by its technical name, 2009 H1N1.

The first cases of the virus were detected in Mexico, where health officials suspect swine flu in more than 150 other deaths and roughly 2,500 illnesses. As of late Wednesday, 99 cases had been confirmed -- up from 26, Mexico's health secretary reported. An eighth fatality was also confirmed. iReport.com: "Regular life" in Mexico with masks

The additional cases and fatality were not immediately confirmed by WHO

Researchers do not know how the virus is jumping relatively easily from person to person, or why it's affecting what should be society's healthiest demographic. Many of the victims who have died in Mexico have been young and otherwise healthy.

The outbreak has prompted Mexican authorities to order about 35,000 public venues in Mexico City to shut down and restrict restaurants to serving only take-out meals.

All nonessential government offices and private business were ordered to close between May 1-5, with only skeletal staffing allowed when necessary, Mexico's health secretary announced Wednesday.

Mexican officials said it was too soon to determine what kind of economic impact the decision would have on the country.

Germany and Austria became the latest European countries to report swine flu on Wednesday, while the number of cases increased in the United Kingdom and Spain. Peru reported its first case late Wednesday.

Yet Chan reiterated the WHO's recommendation not to close borders or restrict trade in response to the outbreak, saying the world "is better prepared for an influenza pandemic than at any time" in history.  Watch how the U.S. is preparing for the worst »

"We need to maintain a level of calmness so that we will continue to manage this in a rational manner," she said, adding that pork is safe for consumption as long as it is cooked properly.

President Obama downplayed the possibility of closing the U.S. border with Mexico, where the recent occurrence of the deadly virus began.

"It would be akin to closing the barn door after the horses are out," Obama said during his Wednesday evening news conference.

Obama said he'll be looking to health officials for guidance on how to handle travel between the two countries.

The $1.5 billion Obama requested from Congress to help fight the outbreaks will help health officials monitor and track the virus and replenish the supply of anti-viral drugs, he said.  Watch President Obama caution Americans on swine flu »

Swine influenza, or flu, is a contagious respiratory disease that affects pigs. When the flu spreads person to person, instead of from animals to humans, it can continue to mutate, making it harder to treat or fight, because people have no natural immunity.

Symptoms include fever, runny nose, sore throat, nausea, vomiting and diarrhea.

The WHO's "Phases of Pandemic Alert," which has been in existence for five years, characterizes phase 5 as a human-to-human spread of the virus into at least two countries in one WHO region, signaling that a pandemic is imminent.

The highest level, phase 6, is defined by community-level outbreaks in at least one other country in a different WHO region, according to the agency.

About a quarter of the U.S. stockpile of anti-viral drugs will be distributed to states by Sunday, Homeland Security Secretary Janet Napolitano said.  Watch how U.S. officials are reacting to the virus »

U.S. officials also are asking scientists whether additional measures to screen for flu symptoms were needed at U.S. ports of entry, she said. Already, customs officers have asked 49 people to submit to tests for the H1N1 virus, she said. Of those tests, 41 have been negatives and the remaining eight have not yet come back.

Researchers in the United States have already taking steps to crack the genetic code of the virus behind the swine flu outbreak in order to produce a vaccine, U.S. officials said Wednesday.

The U.S. government is distributing 25 percent of its stockpile of antiviral medications Tamiflu and Relenza to all states, Homeland Security Secretary Janet Napolitano said Wednesday. Health officials stress that the medications are effective only if taken in the early stages of the infection.  Learn more about swine flu and how to treat it »

The 91 confirmed cases in the United States includes the country's first swine flu fatality: a 23-month-old child visiting from Mexico who died Monday at a Houston, Texas, hospital.

A U.S. Marine in California is the military's first suspected case of swine flu, and three military family members in San Diego have confirmed cases, the CDC said.

As a precaution, the military is banning travel to Mexico for nonessential personnel.

Mexican officials also said they believe they may have found "patient zero" -- the first case of the global outbreak -- in the small mountain village of La Gloria.

Edgar Hernandez, 5, survived the earliest documented case of swine flu. He lives near a pig farm, though experts have not established a connection between that and his illness.

Edgar has managed to bounce back from his symptoms and playfully credits ice cream for helping him feel better.

In the United States, at least 74 elementary, junior high and high schools have closed across the country due to confirmed or probable cases of swine flu, the Department of Education said Wednesday.

Another 30 schools have closed as a precautionary measure, Department of Education spokesman Massie Ritsch said.

Governments around the world are scrambling to prevent further outbreak.

Some countries, such as China and Russia, have banned pork imports from the United States and Mexico, though the WHO said the disease is not transmitted through eating or preparing pig meat. Several other countries, such as Japan and Indonesia, are using thermographic devices to test the temperature of passengers arriving from Mexico.

Egypt reportedly is considering culling all pigs although there have been no reported cases of swine flu there.

Common seasonal flu kills 250,000 to 500,000 people every year worldwide, far more than the current outbreak of swine flu. But there is a vaccine for seasonal flu.

CNN's Dr. Sanjay Gupta and Barbara Starr contributed to this report.

@highlight

NEW: 99 cases confirmed in Mexico, up from 26 earlier Wednesday

@highlight

Some government offices, private business in Mexico to close from May 1 to 5

@highlight

Researchers conducting complete genetic sequencing of the H1N1 virus

@highlight

World Health Organizations reports 148 cases in 9 countries