(CNN)  -- Responding to President Obama's State of the Union comments about the "deep and corrosive doubts about how Washington works," House Speaker Nancy Pelosi said that "the American people don't care about process."

Yet Americans have indicated that they are quite unhappy with how their government is working. According to a recent NBC News/Wall Street Journal poll, only 28 percent of those polled believe that the federal government is "working well," while seven out of 10 believe that the "unhealthy" government is in need of reform. Almost 93 percent said there was too much partisanship; 84 percent said special interests had excessive power.

We must always take these kinds of poll numbers with a grain of salt. Polls frequently show that Americans do not like how their government works, especially Congress. The U.S. is a country that has always expressed strong distrust of government.

There have been a few exceptional periods, like the progressive era or the 1960s and 1970s, when this frustration turns into a concerted movement for government reform.

During the 1960s and 1970s, liberal Democrats and Republicans concluded that much of their policy agenda would be impossible to achieve if the political process did not change. They perceived Vietnam and then Watergate as the outgrowth of deep flaws in how our government worked.

During the 1970s, they were able to pass a series of significant reforms, such as a campaign finance system that included public funds for presidential campaigns and contribution limits. Reforms opened up more of the political process through sunshine laws and retrenched the power of the senior committee chairmen in Congress who had usually done as they pleased, ignoring the will of the majority.

Ethics laws regulated the behavior of executive and legislative branch. Even the sacrosanct filibuster underwent an overhaul in 1975: The Senate lowered the number of required to end a filibuster from two-thirds of the Senate, 67; to three-fifths, 60.

Many of the reforms did not work, some had unintended consequences, and others were gradually unraveled. But substantive reform was possible and, for a moment, changed the way that politics as usual worked.

In addition to diminishing citizens' trust in government, the flaws of the political process constrain and limit what kinds of policies are even possible.

If President Obama, Democrats and Republicans are serious about building trust among citizens and creating a more productive political process, they should work together to do something about it. If Washington is serious about reforming the political process, three specific areas deserve immediate attention.

Filibuster reform: The 60-vote supermajority Senate has become dysfunctional. Both parties have expressed frustration with their inability to move legislation through the process. Both parties have used the filibuster as a normal tool of procedural warfare. Because of the rampant use of the filibuster since the 1960s, senators expect that 60 votes are now required on almost every piece of legislation.

Reform can happen again. One option would be to switch to a majority-based system in which 51 votes can end debate. Another, more feasible, option would lower the number of senators required for cloture to 55. To improve the political prospects for any change, some observers have suggested that any reform would not take effect until after the 2012 election.

Making it easier to end a filibuster is one of the most important concrete steps that Congress could take to actually diminish partisanship. The sources of partisanship are deep-rooted and hard to change. But filibuster reform would disarm both parties by weakening or removing one of their most powerful weapons.

Campaign finance reform: A recent Supreme Court decision eliminated many of the barriers to corporate donations and third-party advertising.

The power of private money in campaigns has been a huge political issue for over a century. Because politicians depend on interest group support to obtain funds for their campaigns, they constantly find themselves constrained when it comes to making policy. The influence of private money also diminishes public trust in government. Every story about another lobbyist like Jack Abramoff confirms their worst fears about corruption.

It is not difficult to understand why Congress has crafted a health care bill that avoids making any huge changes to the basic infrastructure of the health care industry. According to The New York Times, citing the Center for Responsive Politics, the health care and insurance industry spent at least $648 million on lobbying in 2009 -- and 20 percent of the year-end reports were not in yet. Pharmaceutical companies spent about $245 million, which the Times said was more than any other single industry has ever spent lobbying on behalf of any issue.

Several changes have been discussed in recent years. The administration has talked about placing certain kinds of fund-raising restrictions on companies that do business with the government.

A second proposal is to build on local and state reforms by providing matching public funds to candidates who raise a certain minimum of private donations. In the end, offering an alternative source of funds to candidates and parties is the only way to change the system, or candidates will be forced to keep going back to the well of interest group money.

Congressional earmarks and tax breaks: Pork-barrel politics is as American as apple pie. But in recent decades, the system by which legislators pass appropriations targeted to key interests has become pervasive. Legislators are comfortable putting provisions that are tailor-made for lobbyists or particular interests into bills. These earmarks are not subject to hearings or oversight. The use of earmarks by Senate Democrats to close the health care legislation that passed last month made the public uneasy.

The other way in which Congress distributes hidden benefits is through tax breaks. During the 1960s, reformers named these "tax expenditures" to convey the point that the government essentially spends money by forgiving certain groups of their obligation.

We have not had a major tax reform initiative since 1986. The time has come to clean out the tax code once again and reduce the number of provisions that are in the law. There is also bipartisan support for reforms that would limit the use of earmarks by legislators and make certain that they are fully disclosed upon being requested.

Although voters tend to be more interested in bread-and-butter issues, as well as questions about war and peace, there are a few exceptional moments when public anger about the political system becomes so intense that we enter into a period of substantive reform. We might be reaching one of those points, but in the end it will require the initiative of the president and congressional leaders to make sure that calls for reform are not just empty rhetoric.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Public unhappy with government partisanship, ties to special interests

@highlight

Zelizer: Political process flaws limit change in policies

@highlight

Obama, Democrats and Republicans must work together to restore trust, he writes

@highlight

Zelizer urges reforms in filibuster system, campaign financing, earmarks and tax law