(EW.com ) -- Steve McQueen's 12 Years a Slave is an agonizingly magnificent movie: the first great big-screen dramatization of slavery. Based on actual events, it begins in 1841 and tells the story of a free black man from Saratoga Springs, N.Y., a musician named Solomon Northup (Chiwetel Ejiofor), who walks around in a natty gray suit, secure in the courtly modesty of his life as a husband and father of two. But then he accepts an offer to go to Washington, D.C., with a pair of traveling entertainers, and when they're out at a restaurant drinking wine, we get the queasy feeling this is too good to be true. It is. Solomon isn't being hired for his talents. He's being trafficked.

He wakes up in a cold, stark prison cell, with a spiderweb of chains shackling his arms and legs. The traffickers have drugged him and are sending him down to Louisiana, where he'll be sold into slavery. Gazing at his chains as if he were in a bad dream he simply has to wake up from, the brilliant Chiwetel Ejiofor places us right inside Solomon's skin, and instantly we're sharing the horror this man's life has become. Ejiofor may have the most eloquent eyes of any actor now working. They are orbs of pure expression, and in this movie they need to be because Solomon can rarely speak what he's feeling. What we read in his intensely private thousand-yard stare is the agony of a man robbed of freedom, but also the renunciation of despair. Whatever happens, he will persevere and survive. He will know misery, but he will not fall into the trap of madness. He will transcend.

The scalding power of McQueen's artistry begins with this: He uses the fact that Solomon wasn't born into human bondage to draw us into the experience of slavery. Solomon has to learn to answer insults or bear whippings with silence, to pretend he's a toady who can't read or write, and the cruelty of that process becomes the film's way of dramatizing the unnaturalness of slavery. Is it just Solomon who's really a free man? No, every slave is.

12 Years a Slave is based on a book Northup wrote about his ordeal, and McQueen, working from a superb script by John Ridley, has structured the film as a diarylike series of incidents. There are no trumped-up arcs to pad out what we're watching. The crushing reality of Solomon's day-to-day existence is all the drama the film needs. Solomon's first slave owner (Benedict Cumberbatch) reveals a few humane instincts — as much as a slave owner's behavior can be called ''humane.'' But then, after showing too much pride, Solomon gets sold off to Edwin Epps (Michael Fassbender), a seething plantation owner who's a kind of diabolical psychologist of sadism. He can see the fire in Solomon's heart and is driven to break him. When he learns that Solomon has tried to get a white laborer to send a letter north, he holds Solomon's face close, saying he knows what's going on, and Solomon defuses the situation with an ingenious lie that he must sustain for minutes on end, without a tremor, staring his overseer right in his taunting eye. This is virtuoso filmmaking that lays bare the degraded relationships with a terrifying intimacy.

Edwin has a consuming obsession with Patsey (Lupita Nyong'o), the slave who picks more cotton each day than any other slave (500 pounds of it) and whom he regularly rapes. Their ''relationship'' becomes part of a debased triangle, since Edwin's wife (Sarah Paulson) is aware of his fixation. Due to her jealousy, and to Edwin's disgust at his own desires, Patsey is subjected to the torments of hell. Lupita Nyong'o's performance is shattering. She goes to a place of private terror and communion beyond pain. When Edwin is whipping Patsey, McQueen plays a startling trick: He holds on the image of Edwin brandishing the whip — a Hollywood cliché — and then, as we're lulled into that familiar ''it's only a movie'' mode, the camera, without a cut, spins around to show the obscene violence of the whipping. The mortification of flesh hits us in the solar plexus.

It's Ejiofor's extraordinary performance that holds 12 Years a Slave together. He gives Solomon a deep inner strength, yet he never softens the nightmare of his existence. His ultimate pain isn't the beatings or the humiliation. It's being ripped from his family, blockaded away from all he is. 12 Years a Slave lets us stare at the primal sin of America with open eyes, and at moments it's hard to watch, yet it's a film of such emotion that in telling the story of a life that gets taken away, it lets us touch what life is. Grade: A

See the original story at EW.com.

CLICK HERE to Try 2 RISK FREE issues of Entertainment Weekly

© 2011 Entertainment Weekly and Time Inc. All rights reserved.

@highlight

Chiwetel Ejiofo stars in the Steve McQueen directed film

@highlight

Movie is based on true story of a free man kidnapped into slavery

@highlight

Reviewer says "This is virtuoso filmmaking"