Washington (CNN) -- There's a fight brewing and it could get ugly.

In one corner is the Republican Party. And in the other ... the Republican Party.

The stakes could not be higher. The GOP has failed to get a majority of Americans to vote for its presidential candidates in five of the last six elections. And Tuesday night's gubernatorial races -- a win in New Jersey and loss in Virginia -- sent confusing signals, at best, about where the party is headed.

5 things we learned from Election Night 2013

The fight spilled out into the open in a race for Alabama's 1st Congressional District, with two Republicans the face of the party's internal civil war.

Establishment-backed Bradley Byrne beat tea party candidate Dean Young in Tuesday's bitter primary.

The Alabama race could be just a sample of what may come, and the battle within the GOP may get much more intense leading up to the 2014 elections.

That's because some Republicans -- especially what's left of the moderate wing -- don't want a repeat of the 2010 and 2012 elections. The GOP first regained control of the House of Representatives in 2010 and maintained its control two years later.

Confused? Let's explain.

2010 was the year of the Republican

In 2010, Republicans gained 63 seats in the House. They saw a fighting chance at stopping President Barack Obama's expansive health care law and opposing government spending.

But tension started to rise within the party.

Many lawmakers were aligned with the burgeoning, ultra-conservative tea party movement. And in the years since -- particularly after the federal government's recent shutdown -- those newcomers' influence has frustrated and threatened the GOP's more traditional wing.

Even more worrisome than a fight over ideas is that the split has led to real Election Day losses.

So now the moderate wing has decided to fight back.

'No moderate counterbalance'

"There's sort of an inquisition going on," former Republican Rep. Steve LaTourette of Ohio said of the tea party's efforts. And he's leading the charge against it.

"There is no moderate counterbalance ... on the money side," LaTourette, who retired from Congress in 2012 after frustration with partisanship and party infighting, told CNN in a recent interview. "We've been slow to the dance."

Now he vows to fight with campaign dollars, dropping the 11th commandment Reagan made famous about Republicans not speaking ill of other Republicans.

As head of the Main Street Partnership, LaTourette is using his group's campaign arm to fight some well-financed organizations such as Club for Growth and FreedomWorks that finance campaigns of ultra-conservative Republican candidates.

LaTourette's goal is to raise up to $10 million to support as many as 10 Republican incumbents in the 2014 elections. That's a big lift compared with the previous election when Main Street Partnership, formerly the Republican Main Street Partnership, raised a little more than $1 million.

The return of Sarah Palin

Not alone

LaTourette is not the only one who has decided to take this route.

The business community, including the U.S. Chamber of Commerce, and even an official arm of the Republican Party have also decided to get involved.

Big business usually stands back and waits until a general election to flex its financial muscle. But it sent a strong signal recently by donating hundreds of thousands of dollars to Byrne in his Alabama congressional race. It was a rare move and a lot of money for such a primary.

And the National Republican Senate Committee "reserves the right" to get involved in primaries "if we ever thought it was necessary to win," Brad Dayspring, the committee's communications director, said.

In defense of 'RINOs'

LaTourette said the effort is to make the government run better, especially as scorecards and vote watchers keep track of every move Republicans make in Congress.

Too often, LaTourette said, Republicans are backed into positions to avoid being called a RINO -- Republican in Name Only -- and getting pummeled by fellow Republicans on the campaign trail.

"I suspect the 87 Republicans who cast the right vote to reopen the government are not going to be called traitors," LaTourette said, referring to the recent 16-day partial government shutdown over Obamacare.

LaTourette promises to support those "traitors" financially -- or at least a few of them.

Election Night 2013: Christie wins easily; Virginia provides drama

He hosted a fund-raiser Tuesday night in New York, unveiling a new Web ad in which the narrator says, "The time to act is now. Help us fight to protect Main Street. ..."

The ad plays controversial statements from some of the most fiery Republicans, including one-time Senate candidates Todd Akin of Missouri, Richard Mourdock of Indiana and Christine O'Donnell of Delaware. The spot reminds donors that these candidates all have one thing in common: They lost to a Democrat.

Taking a shot at the birther movement, LaTourette said the only question he asks of potential candidates is "if Barack Obama was born in the United States. And if they say yes, then we'll help them."

One candidate LaTourette knows he's going to help is Rep. Mike Simpson of Idaho. The House veteran and chairman of an appropriations subcommittee faces a challenge from Bryan Smith, one of three candidates Club for Growth has already endorsed.

"If Smith defeats Simpson, a favorite of the Republican leadership and a member of the Appropriations Committee, it will send a shiver down the spine of the party establishment," Club for Growth said about Smith's candidacy on its website.

Targeted for defeat

Club for Growth has tried to defeat a cadre of Republicans considered too squishy for the party brand.

In 2012, it spent more than $600,000 in the Republican primary of Arizona's 4th Congressional District against incumbent Paul Gosar, according to the Center for Responsive Politics, which tracks campaign spending. Gosar has a 77% rating on the Club for Growth's issues scorecard, but the group backed an even more conservative challenger -- Arizona state Sen. Ron Gould. However, Gosar ultimately won the primary and went on to win in November.

Another GOP senator facing primary challenge

In all, Club for Growth spent $18 million in 2012, the Center for Responsive Politics says. Nearly $10 million was spent to defeat other Republicans. Mourdock was one of its candidates. He beat longtime Sen. Richard Lugar of Indiana in the primary but ended up losing to Democrat Joe Donnelly in the general election.

"I refer to them as the Club for Democratic Growth," LaTourette said about the group and its efforts.

Incumbent Wayne Gilchrest was another Republican defeated in a primary challenge. A moderate, he lost to Andy Harris, a Club for Growth-backed and financed candidate in the 2008 primary for Maryland's 1st Congressional District.

"Some very thoughtful, deep-thinking smart people have been voted out" because they didn't completely align with tea party credentials, Gilchrest told CNN.

Gilchrest said he can't afford to back LaTourette's effort financially, but he "supports the idea 100%."

Financial drain

LaTourette said the aggressive tactics used against Republicans means the party's candidates have to spend large amounts of money against each other, making it more difficult to have enough cash to beat Democrats in general elections.

That issue doesn't seem to faze Club for Growth spokesman Barney Keller.

"We care only about passing pro-growth policies, and we don't care about what some lobbyist thinks about us," he said, referring to LaTourette.

"Come on in. The water's warm," Keller said.

CNN poll: GOP and tea party unfavorables at all-time highs

GOP strategist John Feehery said the Republican Party is in a phase where it is taking "two steps back" before it can move forward.

"This is the biggest problem: Internal fights are wasting money," he said.

And a lot more money is likely to be spent in this civil war.

@highlight

Moderates are moving to battle tea party conservatives for the soul of the GOP

@highlight

Ex-Rep. Steve LaTourette is helping raise funds to counter tea party support in primaries

@highlight

"Internal fights are wasting money," GOP strategist says