KABUL, Afghanistan (CNN) -- "In Afghanistan, the sacrifice in the political game is women and children," female Afghan parliamentarian Fawzia Koofi said.

Critics say they fear that Afghanistan's new Shiite law will set the nation backward.

Koofi says that is exactly what happened when the Afghan parliament recently passed a bill intended to give the minority Shia community their own identity. But critics say the latest draft strips Shia women of rights as simple as leaving the house without permission from a male relative and as extreme as allowing a man to have sexual intercourse with his wife even when she says, "No."

These critics wonder how what amounts to rape in marriage could be passed by parliament and signed into law by President Hamid Karzai.

Amid blistering criticism from the West, Karzai addressed the law over the weekend, saying that key elements of the bill were misinterpreted by Western news organizations.  Watch Karzai react to controversial law »

"We understand the concerns of our allies and the international community. Those concerns may be due to an inappropriate, not-so-good translation of the law, or misinterpretation," Karzai told reporters in Kabul.

He added that the Minister of Justice will study the "Shia state law," line by line, to make sure it follows the nation's constitution, which requires equal rights to both sexes.

"If there is anything that is of concern to us, then we will definitely take action in consultation with our [religious clerics] and send it back to the parliament. You be assured of that. This is something that we're also serious about and should not allow," he said.

However, Karzai did not address the most controversial part of the bill, dealing with rape of a wife.  Watch a report on the law »

The Shia state law was debated by 249 members of the lower house, including 68 women, some of whom voted for the bill. It was then sent to the upper house. Even some lawmakers are baffled at the manner in which it passed.

"Most members of the parliament did not know what they were going to vote for," Koofi said. "Even some of my friends, MPs sitting with me, voted in favor without knowing what happened."

U.S. President Obama called the law "abhorrent" and said his administration has made it clear to the Karzai government that it objects to the law. Human rights groups and the international community have condemned the law and say it could undermine efforts to support basic human rights in the war-torn nation.

"We very much hope that the draft piece of legislation is to be withdrawn," German Chancellor Angela Merkel said during a NATO summit on Afghanistan over the weekend. "It is unacceptable if such a law were to be passed in Afghanistan and become a part of Afghan legislation."

According to lawmakers who opposed the bill, conservative legislators are pushing back any progress made for women's rights in Afghanistan after the brutal oppression under the Taliban regime.

From 1996 to 2001, under the Sunni fundamentalist government of the Taliban, women were not allowed to leave their homes without being escorted by a male relative, and girls were not allowed to go to school.

When women did leave their homes, they were required to wear a blue burqa, which covered their bodies from head to toe. The only opening was a small net that provided an eyehole for the women to see through.

Women remember those days with despair.

One female teacher, who asked not to be named, said that during the Taliban regime, she was stopped at the market by the Taliban and beaten with a whip. Her crime: She wore a shawl covering her body instead of a burqa. She says she was too poor to purchase a real burqa.

After that beating, she was stuck in her home for months until someone was able to give her a used burqa. But even then, she didn't know how to function wearing the suffocating fabric.

"I remember stepping out of a taxi with my son, and my foot was caught inside the burqa, making me fall out of the taxi onto mud. And everyone started laughing. It was humiliating," she said.

Women in Afghanistan can still be seen wearing burqas. But Koofi says advances have been made for women's rights in recent years. In some cases, it's as simple as putting on makeup and walking down city streets.

But she fears that the rights of women and children could slowly be eroded, the "victims of political games," as she puts it. "I mean, they don't have a gun to fight [with], they cannot create a mess," Koofi said.

That's a sentiment echoed by rights groups. "The reported new law on women's rights could be about to seriously undermine women's rights for millions of Afghanistan women," Amnesty International said in a statement.

The new law was intended to give the minority Shia community its own identity within the predominantly Sunni country. Shias have been practicing their form of Islam for centuries in Afghanistan, but they agree that there needs to be a governing Islamic law for Shias alone, one recognized by the central government.

Koofi welcomes international support in fighting the new law, telling CNN that international investments in Afghanistan should go beyond financial donations.

"I don't ask that the international community come and make laws for us, but they have to make the government of Afghanistan accountable for their commitment to women and children ... and basically the human rights situation in this country," she said.

@highlight

Afghan law appears to let a man to have sex with his wife even when she says "no"

@highlight

President Hamid Karzai says the law will be reviewed line-by-line

@highlight

Rights group: "President Karzai needs to start standing up for human rights"

@highlight

Afghan lawmaker says women and children are "victims of political games"