People wait in long lines and even camp out to get their hands on new Apple devices as soon as they're available. But they drag their feet, sometimes for years, when it comes to purchasing another piece of technology that could greatly improve their lives: hearing aids.

Hearing-aid manufacturers and audiologists hope a new collaboration between them and Apple will help.

Danish hearing-aid company GN ReSound last week announced a new hearing aid that's compatible with the iPhone, iPad and iPod Touch. Called LiNX, the device syncs wirelessly with the newest Apple mobile devices and takes advantage of iOS 7's new accessibility options for the hearing-impaired.

At its most basic level, the LiNX acts like a hybrid of hearing aids and stereo Bluetooth headphones. Phone calls, FaceTime chats, music, movies, turn-by-turn navigation or other audio can be streamed directly to a small earpiece. When they're not pulling in audio from a smartphone or tablet, the hearing aids work like normal, picking up in-person conversations and surrounding sounds.

Apple worked closely with ReSound on the hearing aid and assisted them in publicizing its launch. And this being Apple, there are plenty of bells and whistles packed into the device.

A feature called Live Listen turns an iOS device into microphone. If someone's in a loud environment -- a busy meeting, a sporting event, a noisy car -- and wants to focus on one person's voice and cut down on background noise, they can get a stream directly from the smartphone's mic to their ears. (This feature has the potential for some fun eavesdropping mischief.)

Using GPS, you can save custom settings for a specific location, say a movie theater or your cubicle at work, and get a pop-up notification on your mobile device asking whether you'd like to switch every time you return to that spot. Don't remember where you left your hearing aids? Use a phone or tablet to locate them.

Apple and the device's makers hope it will encourage more people with hearing loss to get help earlier.

"Right now, people wait about eight years on average between the time they think they have a hearing problem and when they see someone about it," said audiologist Dr. Ken Smith.

More than 36 million people in the U.S. have some hearing loss, according to the National Institute on Deafness and Other Communication Disorders, but only one out of five people who need a hearing aid actually have one.

Smith attributes this gap to antiquated stereotypes of hearing aids. People still picture the hardware as it was many years ago: large and obvious, making embarrassing whistling and beeping sounds, and ineffective at filtering out background noise.

But today's models are quieter, discreet and more effective. And sprinkling a bit of Apple's magic on the devices could help decrease the stigma of wearing them.

"The association with Apple is going to make a great difference in getting people in the door in the first place," Smith said.

Even the most advanced current hearing aids can still draw unwanted attention when wearers must reach to change the settings. For many hearing-impaired people, the biggest advantage of Apple-ized hearing aids is being able to control the devices' settings directly from a phone.

With Apple integration, wearers can make adjustments as easily as they can check e-mail or watch a video. Basic settings like battery life and volume are built directly into the iOS 7 operating system. More advanced settings such as treble and bass can be set using the more complicated ReSound app.

It's been possible for people to operate their hearing aids via custom remote controls and even link them to smartphones, but that has required an intermediary piece of hardware, most often a small, clunky box worn around the neck. Now, using a combination of Bluetooth and a proprietary Apple protocol, the LiNX hearing aids can communicate directly with Apple mobile devices.

Flashy features aside, just being able to make calls on a smartphone is a big step.

"Cell phone calls are something that are very difficult for hearing aids to do," said Laurel Christensen, chief audiologist at ReSound, who helped develop the device.

Smith, who is hearing-impaired himself and was part of an early test group using the hearing aids, said he used to avoid talking on his smartphone. When he did take a call, he would push the volume up on his phone and then place the receiver above his hearing aid, searching for the elusive sweet spot where he could best hear the caller. Now, he says, he actually prefers that people call him on his cell.

The hearing aids are still specialized medical devices, meaning you won't find them on the shelves of your local Apple store. Customers must have their hearing tested and get fitted for the devices by an audiologist.

And they're not cheap: A single LiNX hearing aid can cost about $3,000.

Apple added support for the new technology when it released iOS 7 last year, but these are the first hearing aids to actually work with many of the system's accessibility features. Because of the specialized technology, a third-party hearing-aid maker can't just jump in and create devices that work with iOS without partnering directly with Apple.

ReSound executives have not revealed whether they are developing hearing aids for Android devices or other platforms.

ReSound worked on this specific technology for almost two years, so other companies might have some catching up to do. However long it takes, this marriage of medical and consumer technology is the first step into a welcome future for hearing-impaired people.

"This is the first generation, but there's no doubt that what we can do by marrying a phone and a hearing aid will explode," Christensen said.

@highlight

Apple and Danish company ReSound have teamed up on a new hearing aid

@highlight

The technology pairs with the latest iPhone, iPad and iPod touch

@highlight

Wearers can stream stereo audio from their mobile devices directly to their ears

@highlight

Doctors and manufacturers hope Apple's integration will do away with hearing aid stigmas