(Health.com)  -- The growing use of a popular drug in the long-term treatment of bipolar disorder is based largely on a single, flawed clinical trial that may be steering doctors and patients away from drugs with a more established track record, a new review published this week in the journal "PLoS Medicine" suggests.

The drug, Abilify (aripiprazole), was initially used to treat schizophrenia and acute episodes of mania, the better-than-good feeling that characterizes bipolar disorder. In 2005, the Food and Drug Administration also approved it for long-term use in bipolar patients whose moods have stabilized (known as "maintenance" therapy).

Since then Abilify sales have more than doubled, according to market research cited in the review. And a 2008 survey of doctors found that it had become the first-choice drug for bipolar maintenance therapy among 23% of psychiatrists and 16% of primary care physicians.

Health.com: Subtle signs of bipolar disorder

The medical research does not appear to justify the widespread use of Abilify for maintenance therapy, says psychiatrist Alexander C. Tsai, M.D., one of the lead authors of the review and a visiting researcher at Harvard University. "We failed to find sufficient data to support its use."

Tsai emphasizes that individuals taking Abilify for bipolar disorder should not abruptly stop the medication. "It may actually be working for some people," he says. "But it's certainly worth talking to your doctor about how it's working for you."

After noticing that a growing number of patients seemed to be asking for Abilify by name, Tsai and his colleagues performed an in-depth search of double-blind, randomized controlled trials -- both published and unpublished -- on the use of Abilify for the long-term treatment of bipolar disorder. Studies of that design are considered the gold standard of medical research.

Health.com: Bipolar celebrities: does it make them more creative?

Their search turned up just one clinical trial, data from which was used in two published studies. The trial was funded jointly by Otsuka Pharmaceutical Co., the Japanese company that developed Abilify, and Bristol-Myers Squibb, which markets the drug in the U.S.

That trial had several important limitations, according to Tsai and his coauthors. For one, they say, it may have been too short to judge the drug's true effectiveness in preventing mood swings over the long term. The first phase of the trial lasted for 26 weeks, and less than one-fifth of the participants went on to complete the 48-week follow-up phase.

What's more, the study population was limited to people whose mood had already stabilized on Abilify during the preliminary phase of the trial, and the placebo group therefore consisted of patients who were abruptly switched from Abilify to placebo. The potentially harmful effects of rapid drug withdrawal may have made the placebo group appear artificially prone to relapse -- the key finding that made Abilify appear beneficial, Tsai and his colleagues say.

Health.com: 10 tips for treating bipolar disorder

Psychiatrists have continued to refer to the results of the trial despite these weaknesses, Tsai says. "Frankly, I think it's an embarrassment to the profession that [Abilify] has been accepted so uncritically for this indication."

Gregory E. Simon, M.D., a psychiatrist at Group Health Research Institute, in Seattle, says that the perceived flaws noted in the review are not so clear-cut. "The methods of studying long-term effectiveness are complex, and experts disagree regarding the best ways to study this question," he says.

Alternatives within the same class of drugs, known as atypical antipsychotics, include Seroquel (quetiapine) and Zyprexa (olanzapine). Older drugs, such as lithium, also remain in popular use.

Evidence for the long-term effectiveness of lithium is far stronger than that for newer medications, including Abilify, Simon says. For that reason, lithium remains his first-line treatment for maintenance therapy in bipolar disorder, despite the potentially dangerous side effects associated with too-high doses.

Health.com: Must-read books about bipolar disorder

The increased use of Abilify for maintenance therapy may be leading to higher treatment costs for consumers, Tsai says. Abilify runs upwards of $600 for a month's supply and is not yet available in a generic form. "But our main concern," he adds, "is that patients are getting diverted from more effective treatments."

Sonia Choi, the director of public affairs for Bristol-Myers Squibb, said in a statement that the company has conducted five long-term studies of Abilify in the maintenance of bipolar disorder, some of which were presented at medical conferences rather than published in peer-reviewed journals. (Tsai and his colleagues restricted their analysis to peer-reviewed randomized controlled trials.)

Bristol-Myers Squibb and Otsuka are committed to making data from those studies available to physicians, Choi said. "We are confident in the Abilify clinical development program and will continue to make available information about the efficacy and safety of Abilify from our studies in this and other indicated uses."

Sandy Walsh, an FDA spokesperson, said the agency will review the new study.

Copyright Health Magazine 2011

@highlight

Journal says treatment largely based on a single, flawed clinical trial

@highlight

Drug initially used to treat schizophrenia and acute episodes of mania

@highlight

Use of Abilify for maintenance therapy may be leading to higher treatment costs