(CNN) -- The Measles-Mumps-Rubella (MMR) vaccine causes neither autism nor gastrointestinal disorders, a study reported Wednesday, disputing a theory that has persisted for a decade.

A researcher had theorized that the measles vaccine caused gastrointestinal problems that he linked to autism.

The theory was created in 1998, when British researcher Andrew Wakefield published studies that suggested the measles vaccine caused gastrointestinal problems and that those GI problems led to autism.

W. Ian Lipkin of Columbia University in New York, who co-authored the most recent study, said Wakefield theorized that the virus used in the vaccine grew in the intestinal tract, leading to inflammation that made the bowel porous. That allowed material to seep from the bowel into the blood, Wakefield's theory surmised, affecting the nervous system and causing autism.

In Wednesday's study, the researchers replicated key parts of Wakefield's original study to determine whether the vaccine causes autism and GI problems, said Mady Hornig, a study co-author. Irish pathologist John O'Leary, co-author of Wakefield's studies that supported the autism link, also is a co-author of the new study.  Watch and learn more about the study »

O'Leary and the other researchers looked for evidence of the measles vaccine in children's intestines after they had been vaccinated and sought to determine whether their GI problems and autism symptoms occurred before or after they were vaccinated.

They analyzed samples taken from 38 children with bowel disorders, 25 of whom also had autism. The investigators found only one child in each group had trace amounts of the measles virus in their samples.

The samples were analyzed at Columbia and at a laboratory of the Centers for Disease Control and Prevention, as well as at O'Leary's lab -- the same one Wakefield used for his original studies.

The conclusion: "no evidence" linked the vaccine to either autism or GI disorders, Lipkin said.

They also said they found no relationship between the timing of the vaccine and children getting GI disorders or autism.

"This really puts this issue to bed," said Andy Shih, vice president for scientific affairs of "Autism Speaks," an advocacy group.

Dr. William Schaffner, vaccine expert and chairman of preventive medicine at Vanderbilt University, called the study results "conclusive."  Watch more on the measles vaccine study »

Dr. Neal Halsey, a pediatrician at Johns Hopkins Children's Center who specializes in infectious diseases, told CNN, "They have shown the Wakefield study was incorrect." The new study shows "there's no temporal relationship between the vaccines and the gastrointestinal disorders and autism."

But the Autism Society of America cautioned that the cause of autism is complex and more research is needed to fully understand the role, if any, of the vaccine.

Another autism advocacy group, the National Autism Association (NAA), said the study is flawed.

"This new study does nothing to resolve the controversy whether MMR vaccine has contributed to the autism epidemic," said a press release from the group.

Wendy Fournier, an NAA spokeswoman, told CNN Thursday that the new study raises more questions than answers and should have looked at more children who developed autism and GI problems after they received the vaccine.

Only 5 children in the Columbia study were vaccinated before they developed GI symptoms and autism.

According to the CDC, measles is a highly infectious disease that can result in severe, sometimes permanent, complications -- even death.

Measles remains widespread in most countries, but widespread vaccination has limited its spread in the United States.

Some parents, familiar with the Wakefield theory's putative link between vaccine and autism, have chosen not to vaccinate their children.

Last month, the CDC reported 131 cases of measles in the United States in the first seven months of the year, of which 112 were either among unvaccinated children or children whose vaccination status was unknown.

Halsey hopes this new research will help convince new parents that (the MMR) vaccination is safe.

The study is published in the peer-reviewed online journal of the Public Library of Science, PLoS ONE.

@highlight

Study disputes Wakefield theory linking vaccine to autism

@highlight

New study published in the journal of the Public Library of Science, PLoS ONE

@highlight

Autism Society of America cautions more research is needed