(CNN) -- The Green Vault in Dresden Castle houses one of the largest collections of treasure in Europe, with its spectacular baroque chambers filled with jewels and objets d'art. Although these masterpieces are comparable with those of Florence or Venice, they have yet to achieve the renown of the Italian museums.

But with restoration of the castle completed last year, the Green Vault stands out as the jewel-box of Europe for its exceptional art and architecture, and its representation of one of the world's great cultural cities.

In the early 18th century, Augustus the Strong, ruler of Saxony, worked to establish Dresden as a major center for the arts, inviting talented sculptors, goldsmiths and painters to take up residence. He commissioned a series of magnificent rooms to showcase his valuables as a way of advertising the city's cultural prominence in addition to its wealth.

The result was the Green Vault, the first public museum in Europe. It is an astounding collection of ornaments, ranging from shimmering bowls carved out of crystal and agate to jeweled gold figurines to the Dresden Green, the largest and finest green diamond in the world.

During the Allied bombing of 1945, Dresden was decimated, and the vault was destroyed. Though the treasures had been relocated to a fortress, they were later confiscated by the Red Army and taken to Russia. In 1958, the jewels were returned to Dresden, but most of the pieces were not on public display until 2004, after a reconstruction project costing over 45 million euros.

Striking photos reveal hidden history of black Britons in the Victorian era

Today, this splendid museum is divided into two parts. In the elegant New Green Vault, individual pieces are shown in modern minimalist cases, with lighting and technology designed precisely to enhance each object.

Downstairs, the Historic Green Vault recreates the grand halls of Augustus, with rooms devoted to specific materials such as ivory and amber, and suites of gems classified by color. These rooms are baroque works of art in themselves, mirrored and painted malachite green with gold trimmings.

The curiosities here include goblets fashioned from gilded ostrich eggs, ivory towers with impossibly tiny spirals and a radiant cabinet of carved amber.

The New Green Vault is celebrating the 10th anniversary of its opening, and it contains over a thousand of Augustus' best pieces, which were intended to stun visitors and subjects with a show of extravagance and craftsmanship. Among the highlights are drinking vessels engraved with Chinese motifs and jewelry inspired by the royal court of Delhi.

It is fascinating to see how often European ideals of luxury took the form of orientalist fantasies during this period. According to Dr. Larry Silver, professor of art history at the University of Pennsylvania, the Mughal empire had acquired a legendary reputation at this time, becoming a symbol of "power and wealth [that] could only be imagined and envied by European rulers ... a fairytale image of magnificence to be admired and imitated."

How some whisky lovers are now making millions

Augustus' most valued possession was a miniature diorama depicting the unlimited riches of the Mughal emperor Aurangzeb, Augustus' contemporary on the Indian subcontinent. Aurangzeb, who was referred to as the "world-seizer," is seen at his 50th birthday celebrations during the height of the empire.

From his throne, he receives rajahs and princes; dishes filled with gold coins and elephants draped in gems are presented as gifts. In an unusual twist, the walls of the court are decorated with Chinese dragons, so that a dream of orientalism becomes even more fantastic.

This diorama was created over seven years by the great goldsmith and royal jeweler, Johann Melchior Dinglinger, and features rubies, emeralds, pearls, over 4000 diamonds and a single sapphire. Only 58 centimeters tall, it cost Augustus more than the construction of the opulent Moritzburg Castle.

Dinglinger is responsible for several of the masterworks in the collection, including the Jewel of the Order of the Golden Fleece, a prestigious insignia with three flaming rubies used to signify the values of knighthood. His most iconic piece may be the so-called Moor with Emerald Cluster, a statue of a dark-skinned young prince (whose tattoos are actually native American) bearing a tortoiseshell platter of Colombian emeralds.

The memorabilia honoring Soviet space dogs

Like the city of Dresden, the Green Vault has been strategically rebuilt, in a style which combines modern and baroque elements. For Hartwig Fischer, director of the Dresden State Art Collections, the construction of the vault has caused people in Saxony to "fundamentally rethink our architectural heritage," more than any building of the last century.

The New Green Vault is a triumph of sleek lines and cutting-edge presentation; for its 10th anniversary, a new lighting scheme has been introduced to focus the gaze on individual works. On the other hand, the restored Historic section embodies the total fusion of art and architecture envisioned by Augustus. As such, the vault reflects Dresden's two sides: its past as the "Florence of the Elbe" and its current status as a hub for contemporary design.

The 10 greatest book covers of all time

Meet the surrealist behind fashion's most memorable images

Works of art that shocked the world

Ink with meaning: What we can learn from the tattoos of our ancestors

@highlight

Recently renovated Green Vault at Dresden Castle houses world's largest collection of treasures

@highlight

It was the first public museum, built in the early 18th century by Augustus the Strong

@highlight

Recent restoration efforts cost over 45 million euros