Beijing (CNN) -- On a typical day, China's border with Myanmar is quite porous and vibrant. Often from the same ethnic groups, traders from both sides share much in common and do brisk business.

I saw that up close during a reporting trip for CNN a few years ago. At one border town in China's Yunnan Province, I saw residents from both sides, speaking similar dialects, buying and selling produce, consumer goods, minerals and timber, before crossing back to their own country.

We even brought back Myanmar bank notes as a souvenir from the trip.

Scenes like this along the two countries' 2,000-kilometer border serve as constant reminders of long and deep bilateral ties.

Myanmar, also known as Burma, was one of the first countries to recognize China's Communist government in 1949.

Over the years, after the 1962 coup d'Ã©tat in Myanmar, most Western governments shunned the Southeast Asian nation because of its poor human rights record. China and the ruling junta grew closer, however, with Beijing becoming the country's most influential supporter on the world stage.

"The Myanmar government really was thrown an economic, military and political lifeline by the Chinese, particularly in the last 20 years in light of Western sanctions," says Stephanie Kleine-Ahlbrandt, Northeast Asia director of the International Crisis Group, an independent think tank.

"There is a very strong continuing political and economic relationship."

By the end of 2010, China had become Myanmar's second-largest trading partner. China is also the biggest foreign investor there, with Chinese companies building highways, pipelines and other major projects.

For its part, Myanmar offers China energy resources and a strategic gateway to the Indian Ocean.

Chinese access in and through Myanmar will lessen China's dependence on the Malacca Straits, a long and congested sea lane through which an estimated 80% of Chinese imported energy supplies pass.

"Close to the shipping lanes of the Indian Ocean and Southeast Asia, Myanmar is important for China to develop its southwestern provinces, which have a population of 200 million people," writes Li Xiguang, a professor with Tsinghua University in Beijing, in his column in the state-run Global Times newspaper.

Just days before U.S. Secretary of State Hillary Clinton's historic visit to Myanmar, amid signs of what Washington considers positive changes in the country under a new government, China's vice president Xi Jinping told Myanmar's top general in Beijing the two countries should strengthen military ties.

But not all has gone smoothly in China-Myanmar relations.

In September, Myanmar unexpectedly suspended the construction of the $3.6 billion Myitsone hydropower station financed by a Chinese company, citing environmental and social concerns.

The project was meant to provide much-needed power to China but it would have displaced thousands of local residents.

"The Myanmar people are very upset about particularly resource-extraction activities, where the Chinese are not consulting the communities, they are not providing benefits to the communities, they displace populations and they engage in environmental degradation," says Kleine-Ahlbrandt, the International Crisis Group analyst.

The decision was seen as a rare concession by the government to public pressure -- and a blow to China.

"This incident made some believe that Myanmar is showing goodwill to the West at the expense of Chinese interest," an editorial on the Global Times this week reads.

Other observers say Myanmar's decision on the dam project was largely driven by internal factors.

"It's a strong indication that the government is ready to say 'no' to Beijing when it is in its interest to do so," says Suzanne DiMaggio of the New York-based Asia Society.

Clinton's visit is "an opportunity for the U.S. to help move Myanmar away from authoritarian rule and into the world community," she adds. "The visit also sends a strong signal to China that the U.S. is seeking to contain Beijing's influence in Myanmar."

Some Chinese political observers are picking up that signal too.

Clinton's visit "will further unnerve China, which has recently been increasingly worried that the aim of the United States' new Asia policy is to isolate and encircle China," writes Li, the Tsinghua University professor.

Publicly, at least, Beijing's diplomats maintain China is not worried about Myanmar's engagement with the U.S.

"China welcomes Myanmar and Western countries to improve their relations on the basis of mutual respect," says Foreign Ministry spokesman Hong Lei. "We hope Myanmar's move will be conducive to the country's stability and development."

Beijing also appears more proactive in engaging the Myanmar people, especially after the controversial decision on the dam. It recently sent a rare Buddhist relic to Myanmar, a predominantly Buddhist country, to be on public display.

"It's part of this new outreach -- using religion, using media, using non-governmental organizations," observes Kleine-Ahlbrandt of the International Crisis Group. "China is trying to learn about how it can exert soft power."

Even as Myanmar's leadership begins to mend fences with Washington, few expect to see China and Myanmar drift too far apart, thanks to the two neighbors' inter-dependent relationship.

"Myanmar continually depends on China's investment, on Chinese trade and Chinese political cover in the international community," says Kleine-Ahlbrandt.

"China depends on Myanmar for access to its resources and also for the border to remain peaceful."

@highlight

Myanmar was one of the first countries to recognize China's Communist government in 1949

@highlight

Beijing became the previously reclusive country's most influential supporter on the world stage

@highlight

By the end of 2010, China had become Myanmar's second-largest trading partner

@highlight

Myanmar offers China energy resources and a strategic gateway to the Indian Ocean