(CNN)Jurors will get to see Aaron Hernandez's trophy case when they visit his home during the former New England Patriots star's murder trial, a judge ruled recently. The visit may happen Friday.

The Assistant District Attorney asked the court for permission to hide the trophy case, indicating the defense was trying to engage in "strategic manipulation" or impress the jury with trophies or medals.

The defense's position was simple: That's the way the house looked when the alleged victim was killed ... and that's how it should be shown.

Trophy cases aside, the rest of us defense attorneys and prosecutors must be wondering about a threshold issue:

What's with the jury excursions in these kinds of cases? This doesn't happen in most trials.  Why the special treatment?

The decision whether to grant a "jury view" rests, as with many things, in the sound discretion of a trial judge.  Courts, meaning judges, have the inherent power to allow a jury in either a civil or a criminal case to view places or objects outside the courtroom. Whether to permit a jury to conduct a view in a particular situation is a question committed to the trial court's informed discretion.

Practically, what that likely means is, the judge just conducts a balancing test by weighing "what's the point?" against "do I really feel like going out in the cold for a jury view?"  This calculus usually yields the following result in a run-of-the-mill case: motion denied.

There is a growing bifurcation of the criminal trial system and it has nothing to do with race.  It has nothing to do either with the wealth of the defendant.  Simply put, there is a growing chasm between the way regular trials are conducted and the way high-profile trials are conducted.

Most murder trials do not conduct jury views of the murder scene.  On one hand, parties should be able to request jury views where it would be important for a jury to view a scene in person, and photographs or video are inadequate substitutes.

Of course, on the other hand, establishing a defendant's absolute right to a jury viewing would not work either, because parties would inevitably abuse the system; the courthouse would look like a yellow bus depot dispatching a fleet of juries on field trips: depressing, macabre field trips.

As gruesome as the facts are, the Hernandez case is not all that different from thousands of other murder prosecutions, except that it is a trial being covered by the media.  Coverage means scrutiny. Scrutiny means the judge and the lawyers on either side will err on the side of caution.  Erring on the side of caution means motions and requests will be considered that would not ordinarily be considered.

It's a common misconception that only rich or famous defendants get this special consideration by the courts, but that's not the case at all.  Jodi Arias was an indigent, noncelebrity defendant, and Arizona squandered half its GDP considering every request from both sides in that case.  Race really isn't a factor either.  George Zimmerman's trial judge entertained many creative motions from both sides, and, contrary to initial reports, he is Latino.

High profile cases are terrific for both legal professionals and the general public, because parties are allowed to develop arguments they otherwise might not be allowed to make in an ordinary case.  But it also gives the public a false impression: They don't get a sense of the conveyor belt fashion in which the vast majority of criminal trials are conducted.

There are two tiers of justice emerging in the United States.  You don't need to be a celebrity defendant to have access to the subtle accommodations of a high-profile case.

You can be an unknown person, as long as you meet certain criteria.  You have to be attractive (Jodi Arias or Scott Peterson).  You have to inspire a controversial racial dialogue (George Zimmerman or Officer Darren Wilson).  Or, as Hernandez or O.J. Simpson can tell us—having a career in the NFL doesn't hurt either.

@highlight

Danny Cevallos: Celebrity trials are vastly different from the justice most people see

@highlight

In a case like that of Aaron Hernandez, judges may be more willing to take a field trip