(CNN)Twenty-five year old Lujain al-Hathloul -- a Saudi holding a valid UAE driver's license -- drives from Abu Dhabi to Saudi Arabia's border and attempts to cross on November 30 as a form of protest at Saudi Arabia's driving ban for women.

Saudi authorities hold the activist in her car overnight, confiscate her passport, and then jail her on the morning of December 1. She remains in prison, according to Human Rights Watch. According to some reports, the accusations against al-Hathloul are focused on her social media activity rather than her driving.

A prominent Shiite cleric calls for peaceful rallies against what he calls systemic discrimination against the Shiite minority in Saudi Arabia. The Gulf state sentences Sheikh Nimr al-Nimr to death in October for "breaking allegiance with the ruler," "inciting sectarian strife," and supporting violence, Saudi officials tell CNN. Nimr's family accused the court of a politically motivated decision and continue to appeal the verdict.

A blogger starts the "Free Saudi Liberals" forum in 2008 to encourage discussion about Islam and particularly the intrusion of the religious police in personal lives. A Jeddah court convicts Raif al-Badawi of "insulting Islam" and hands down a 10-year prison term and 1,000 lashes.

Prison for female driving, death for dissent, lashes for liberalism - these are some of the punishments, human rights groups say, Saudi Arabia has handed down in recent months.

A key ally in the U.S. led coalition against ISIS -- a terror group known to behead, flog, and crucify its victims -- Saudi Arabia faces accusations of hypocrisy for institutionalizing what some consider similar acts of barbarity.

Under the country's Sharia or Islamic law system, these practices are acceptable ways to penalize criminals convicted by the Saudi judiciary.

The country's friends in the West are also under fire for meek condemnations after Badawi endured the first of 20 consecutive weekly floggings in Jeddah.

"Canada is deeply concerned by the public flogging of Raif Badawi. This punishment is a violation of human dignity and freedom of expression, and we call for clemency in this case," Canada's Foreign Affairs Minister said in a statement. While Mr. Badawi is not a Canadian citizen, we will continue to make our position known, both publicly and through diplomatic channels."

The U.S. State Department described the sentence as "inhumane." In a statement it said: "The United States Government calls on Saudi authorities to cancel this brutal punishment and to review Badawi's case and sentence. The United States strongly opposes laws, including apostasy laws, that restrict the exercise of these freedoms, and urges all countries to uphold these rights in practice."

Madawi al-Rasheed, a Professor at the Middle East Center of the London School of Economics, told CNN's Becky Anderson this week: "None of those countries are willing to challenge Saudi Arabia as they challenge other countries deemed as opposed to the West."

Al-Rasheed said: "The United States adopts double standards when it deals with a country like Saudi Arabia because of the importance of Saudi Arabia for U.S. interests and for European interest."

The defiant Gulf State says its judiciary is independent and impartial and bases its sentencing on Islamic law, a system freely and willingly chosen by the sovereign state.

"The Kingdom is proud and cherishes Islamic law and its constitutional curriculum, where justice and the preservation of rights is ensured for all beings made by the Almighty Creator," Mohammed al-Muadi, of the government backed Saudi Human Rights Commission told CNN.

The Riyadh government drew the ire of the international community when a video surfaced last year purporting to show a beheading by sword, the predominate form of execution. The country executed 87 people in 2014 most by decapitation, Human Rights Watch told CNN.

"The Kingdom will not back down on the issue of justice, the issue of applying the rules of God,  particularly in capital cases.  And no sentence is carried out without providing the full legal right to the defendant," said al-Muadi.

Under Saudi interpretation of Islamic jurisprudence charges of murder fall under a system of retribution which allows the family of the victim to choose the fate of the perpetrator. Relatives may accept "diyya" meaning blood money instead of the death penalty.

"We emphasize respect for the right to life as one of the fundamental rights guaranteed by the law. It should not make us forget the rights of other parties violated by the perpetrators, which has to be seen with the same degree of respect, "al-Muadi said when asked specifically about the practice of beheadings.

Last month, Saudi executioners cut off Filipino worker Carlito Lana's head for killing his employer in 2010, a CNN affiliate in the Philippines reported. The Lana family said the father of three acted in self-defense. The Department of Foreign Affairs of the Philippines says that the family of the victim opted for the death penalty, rather than accept any money from Lana and initially tried to raise funds to pay the Saudi relatives.

"This is a dark day for migrant Filipinos, especially for those on death row abroad," a statement by the group Migrante International, which defends the rights of workers abroad, said. The statement added that the case highlighted the "vulnerability of migrant laborers."

The scheduled flogging of Raif Badawi -- for blogging about the discussion of faith -- has begun. Every Friday, he will be flogged 50 times, until his sentence of 1,000 lashings is complete.

In the unverified video of the public act, a man in uniform can be seen striking a shackled prisoner with a cane as a crowd gathers around. Men in the crowd whispered "he spoke about God and his Prophet" shortly before the flogging.

Badawi's wife, Ensaf Haidar, said the video was difficult to watch.

"It's a scene I cannot describe. It was horrible," she said from Canada. "Every lash killed me," she told CNN.

The flogging again shines the spotlight on the nation that analysts say effectively manipulates its justice system to silence dissent and create strife among opposition on both sides of the aisle. U.S. officials have also called on Saudi officials to withdraw the sentence and review Badawi's case. But Saudi Arabia maintains its right to carry out their laws.

"Raif Badawi and others with charges against them are afforded all legal rights including the right to attorney," said Saudi Arabia's Mohammed al-Muadi.

But analysts say it's as much about the internal conflict within the country.

"The case of Raif al Badawi tells us a great deal about the polarization in Saudi society between the Islamists and the liberals," Professor Madawi al-Rasheed explained. "The Saudi regime tries to appease both by showing as if it is equal in punishing both groups that endorse discourse or opposition."

@highlight

The Flogging of liberal blogger Raif Badawi has placed a spotlight on Saudi Arabia's justice system

@highlight

Lashes for liberalism, prison for female driving, death for dissent are among recent punishments, rights groups say

@highlight

The Saudi government says its judiciary is independent and sentencing based on Islamic law