(CNN) -- This week marks the Jewish holiday of Sukkot. Across Israel, families build primitive structures with branches or palm fronds as roofs. They do so to remember the biblical exodus from Egypt and 40 years of exile in the Sinai Desert. It is a celebration of survival.

Despite a raging war in neighboring Syria and a confrontation between the military and Islamists in Egypt, Sukkot finds Israelis in an upbeat mood. Ben Gurion Airport is packed with vacationers, the shekel is strong, and economic growth this year is expected to be close to 4%. As they recall their ancestors' wandering in the desert, Israeli Jews feel surprisingly secure. In a poll by the Israel Democracy Institute this month, 74% expected their security situation to remain the same or improve over the next year.

Israel's leaders are less sanguine, but not because Syrian President Bashar al-Assad might lash out against the Jewish state. They are much more apprehensive about a new Iranian president bearing gifts at the United Nations General Assembly.

Hassan Rouhani, elected in June to succeed Mahmoud Ahmadinejad, has already extended an olive branch. He has released "prisoners of conscience" and told NBC that Iran would not "seek any weapons of mass destruction" under any circumstances. Now, the diplomatic corridors are abuzz with speculation that Rouhani will make a dramatic announcement at the U.N. General Assembly, perhaps offering to close the Fordow enrichment plant or allow inspectors into the Parchin site for the first time. Rouhani is expected to meet ministers of most if not all the permanent members of the U.N. Security Council.

Iran's Rouhani: Diplomat's touch, no pushover

Gary Sick, executive director of the Gulf/2000 Project at Columbia University, said this week in an interview with the Council on Foreign Relations that the Iranians "are tough bargainers, they have real principles, and they're going to insist on them, but they're going to put those principles out in a much more attractive way than the previous administration did."

Sick is among those arguing for a new dialogue between the United States and Iran, as is The New York Times, where Bill Keller wrote that Iran was an indispensable partner in resolving Syria's crisis. And that's what worries Israel. It sees Rouhani, who once led Iran's nuclear negotiating team, as an able tactician. Intelligence Minister Yuval Steinitz put it most colorfully, saying Rouhani would "smile all the way to the bomb." He is "a wolf in sheep's clothing," Steinitz says.

Prime Minister Benjamin Netanyahu has very publicly reiterated that the Islamic Republic must stop enriching uranium, get rid of the enriched uranium it currently has, close the facility in Qom and stop its program to develop a plutonium "track."

"Until all these measures are taken, the pressure on Iran should be increased and not relieved, certainly not eased," Netanyahu said.

In short, the message to Tehran should be: "If you want to save the Iranian economy, give up your nuclear program." There is no third way.

President Rouhani says Iran won't develop nuclear weapons

Israeli officials are worried that the United States and Europe, in an effort to encourage Iranian moderation, will begin to relax the devastating financial, shipping and oil sanctions built up against Iran, and allow more time to coax the Iranians toward agreement in the long-running "P5 + 1" talks. That would be a fatal mistake, in the Israelis' view, allowing Iran to run the last lap toward building a bomb.

The Israeli media have seized on remarks by Iran's supreme leader, Ayatollah Ali Khamenei, who this week said cryptically: "Heroic flexibility is very useful and necessary sometimes but with adherence to one main condition. ... A wrestler sometimes shows flexibility for technical reasons. But he does not forget about his opponent nor about his main objective."

Columnist Smadar Peri in Yedioth Ahronoth wrote that Khamenei's remarks could suggest a change in Iranian policy but equally might also indicate "a trick in the spirit of the Persian bazaar. First you have to smile, calm the customer on the other side, and then produce the goods without revealing the final price."

While U.S. officials and analysts are divided about Iran's ultimate intentions and debate when the capability to build a nuclear device might become a program to do so, Israelis in and out of government have no doubt about Iran's objective: a "critical capability," or the ability to produce sufficient weapon-grade uranium from its stocks of low-enriched uranium for a nuclear explosive without being detected.

The term was used by the Institute for Science and International Security in July when it estimated Iran could achieve this critical capability in mid-2014, given the rapid increase in the number of centrifuges at the Natanz and Fordow sites. It is an assessment the Israelis endorse.

In a CNN interview, Intelligence Minister Steinitz said that Iran's nuclear program was many times larger than North Korea's and that only a credible threat of military force and serious deadlines would deter the Iranians. He drew a parallel with Syria: Only when President Obama declared that the Assad regime had crossed a red line and that military action would follow did the Syrians blink.

Israeli officials were disappointed -- to put it mildly -- when Obama decided to seek congressional authorization for military strikes. And they were horrified when it appeared that Congress, under the influence of overwhelming public opposition to another foreign engagement, seemed unlikely to grant that authorization. What a message to send to Iran.

Iran's president calls for 'constructive' dialogue, end to 'unhealthy' rivalries

The immediate response among officials and commentators in Israel was to invoke the Jewish sage Hillel: "If I am not for myself, who will be for me?"

So the Russian-U.S. deal to strip Syria of its chemical weapons came as a relief in Jerusalem. As one Israeli analyst put it, "It's a win-win-win-win." The Russians re-established themselves as diplomatic heavyweights, Obama was spared humiliation, al-Assad avoided a shower of cruise missiles. And Israel could at least hope that the Syrian chemical arsenal would be incinerated rather than be used in desperation by a sinking regime or fall into the hands of Hezbollah.

That is "hope" rather than "expect." Most Israeli analysts are deeply skeptical that al-Assad will give up all his chemical weapons. Syria developed the weapons in response to Israel's growing military superiority and its nuclear deterrent. Ely Karmon of the Institute for Counter-Terrorism at The Interdisciplinary Center in Herzliya says chemical weapons are also al-Assad's insurance policy, his ultimate deterrent in protecting the Alawite minority.

In common with many Israeli analysts, Karmon believes the timetable for the removal and destruction of Syria's chemical weapons is unrealistic. He told CNN that the process would take three to four years and would require a cease-fire to be effective, and there would be ample opportunity for obstruction and evasion.

The Israeli government wants the threat of military action against Syria to be simmering on the front burner. It's the only language that al-Assad understands, they say, just as it's the only language Khamenei and Rouhani understand.

In many ways, the winds of change across the Arab world are blowing favorably for Israel, even if they could change direction without warning. The Egyptian military is hurting Hamas in the Gaza Strip by closing many of the tunnels that it relies on for trade and weapons. And the Palestinians have submitted to yet another attempt to reach a two-state solution (one that's going nowhere, Palestinian sources say).

Two once-mighty Arab armies, the Syrian and Iraqi, are debilitated. The Israeli intelligence community is confident that it will detect any Syrian effort to transfer chemical weapons to Hezbollah, and Hezbollah risks losing one of its main patrons in al-Assad (though its fighters are gaining valuable experience helping him).

The Israelis appear confident of being able to contain Sunni extremists should they emerge as a force in a post-Assad Syria. Until now, Israeli policy has been to say little and hope al-Assad's forces and the rebels cancel each other out. But Michael Oren, Israeli ambassador to the U.S., suggested this week that al-Assad is the worse of two evils.

"We always preferred the bad guys who weren't backed by Iran to the bad guys who were backed by Iran," he told the Jerusalem Post.

"The greatest danger to Israel is the strategic arc that extends from Tehran, to Damascus to Beirut," he added.

In Israel, so much of the regional picture is seen through the prism of Iran. So it's not the Arabs that most worry Israel at the moment. It's the Persian bazaar, described a long time ago by an American diplomat as a "mindset that often ignores longer-term interests in favor of immediately obtainable advantages, and countenances practices that are regarded as unethical by other norms."

Israel worries that its allies will be overly enthusiastic buyers.

@highlight

In Israel, the shekel's strong, the economy's growing, and Israeli Jews feel surprisingly secure

@highlight

But Israel's leaders are apprehensive about diplomatic efforts from Iran's new president

@highlight

They also worry that the U.S. and Europe will relax sanctions that have devastated Iran

@highlight

Israel's government wants the threat of military action against Syria to stay on the front burner