Washington (CNN) -- Analysts and sources say a combination of experience working with the CIA in the field and political considerations are behind President Barack Obama's expected nomination of Gen. David Petraeus to be the next director of the Central Intelligence Agency.

Petraeus, the 58-year-old four-star general who commands the U.S.-led international military force in Afghanistan, represents a new breed of military leader well-versed in counter-insurgency strategies that depend on coordination and cooperation with the CIA, analysts say.

His experience and strong contacts in the major foreign-policy hot spots for the Obama administration -- Iraq, Afghanistan and Pakistan -- provide strategic value for the leader of CIA operations on the ground in those countries, according to security experts.

Obama reorganizes national security team

"He has a unique understanding of the important role of the CIA -- what they do, how they do it," said Frances Townsend, CNN's security analyst who was a homeland security adviser to President George W. Bush. "I think he's got a both a good understanding of how they work and their value to the military mission."

Bruce Riedel, a former CIA officer now at the Brookings Institution's Saban Center for Middle East Policy, called the expected nomination of Petraeus a good move for the administration and the CIA.

"He has a great deal of experience in dealing with the most difficult problems confronting the American intelligence community today," Riedel told CNN. "He also brings the perspective of a battlefield commander to the intelligence community."

At the same time, Petraeus also was considered a credible candidate to succeed Adm. Mike Mullen as chairman of the Joint Chiefs of Staff when Mullen's term expires this year.

As the architect and leader of the surge in Iraq and now head of the Afghanistan mission, Petraeus is considered the nation's most well-known and popular military leader since Colin Powell.

Sources told CNN that Petraeus, whose current tour in Afghanistan is winding up with the expected start of a troop drawdown later this year, never really wanted to be Joint Chiefs chairman. Instead, Petraeus wanted to be in a "command" rather than the joint chief chairman's advisory role to the president, the sources said.

For the White House, the sources noted, the CIA role for Petraeus gives him an important command position that tends to stay out of the public spotlight, which could be important given Petraeus' strong personality and the pending challenges of the Afghanistan mission as the presidential campaign gets going.

Some conservatives complained that moving Petraeus to the CIA would deny the nation his leadership in a key role as the nation's top military officer.

"It seems clear that the administration's number one desire was to deny one of the greatest generals of the last century the chairmanship of the Joint Chiefs," said Danielle Pletka, vice president for foreign and defense policy studies at the American Enterprise Institute.

"It is an incredible misuse of a great military leader, and the notion that someone of his caliber should go from turning around two wars to being number two in the U.S. intelligence community seems almost comical," she added, referring to Director of National Intelligence James R. Clapper as being the head of U.S. intelligence.

Townsend called a move to the CIA for Petraeus "surprising," given his military command experience.

"Is it the obvious next step in his illustrious career? No," Townsend said, adding: "But he'll do very well at it."

Riedel said Petraeus knows the Washington decision-making process and probably never would have agreed to the move without a guarantee of access to Obama.

"Any appointment in every administration has political angles to it," Riedel said. "The David Petraeus I know is not a shrinking violet. If he thinks a decision is a wrong, decision, he'll have ways of making that clear."

Petraeus enjoys widespread popularity in Congress. Republican Rep. Peter King of New York, chairman of the House Homeland Security Committee, praised the choice of Petraeus to head the CIA in a statement Wednesday.

However, Democratic Sen. Dianne Feinstein of California, who chairs the Senate Intelligence Committee, indicated Petraeus could face tough questioning from her panel.

"He is clearly a very accomplished officer and familiar with the parts of the world where many of the threats to our security originate," Feinstein said, noting that Petraeus has commanded intelligence resources in Iraq and Afghanistan. "But that is a different role than leading the top civilian intelligence agency. I look forward to hearing his vision for the CIA and his plans to make sure the CIA is collecting the type of intelligence that policymakers need."

Rick Nelson, national security expert from the Center for Strategic and International Studies, said Petraeus has "a lot of respect around Washington and in the broader international community, which is very important as head of the CIA."

"Petraeus has the gravitas to deal with Congress, the administration, and the other executive branch agencies," Nelson noted.

The general literally wrote the book on counterinsurgency techniques by overseeing development of the Army/Marine Corps Counterinsurgency Manual. In heading the U.S.-led military missions in both Iraq and Afghanistan, he has experienced and benefited from the CIA's support and increased the CIA role, including the operation of unmanned drone strikes in Pakistan.

While the CIA role in Iraq, in combating al Qaeda and in the Pakistan drone operation "has grown tremendously" under Petraeus' military command, he also understands the limitations of what the CIA can do, Rieder said.

That could make his term as CIA director "a bit of fresh air" for the agency, Rieder said, adding: "He will say I'm very proud of your successes, but there are areas where you can do better and I intend to make this organization better."

The last military officer to head the CIA was Michael Hayden, a four-star Air Force general who took office in uniform in 2006 but then retired his military post in 2008 under "some pressure from Congress," according to Townsend.

Sources including a senior administration official said Petraeus also would retire from the military once confirmed and would be a civilian director of the CIA.

"The CIA should be a civilian organization, and we want it to have that cultural identity," Townsend said. Asked about the importance of having a civilian at its helm, she said: "I don't really think it matters. It's dependent on the person and it's dependent on the mission."

CNN's Barbara Starr, John King and Alan Silverleib contributed to this story.

@highlight

NEW: Sources say Petraeus will resign from the military once confirmed

@highlight

The decorated general is expected to be nominated to be CIA director

@highlight

Sources say Petraeus didn't want to become Joint Chiefs chairman

@highlight

Analysts cite Petraeus' experience working with the CIA in battle zones