(CNN) -- Vice President Joe Biden recently confided a sensational bit of news to the New Yorker magazine: In a 2011 meeting with Vladimir Putin, he had actually told Russia's then-prime minister that he had no "soul." Even more remarkable was Putin's response. "And he looked back at me, and he smiled, and he said, 'We understand one another.' "

Many people -- in Ukraine, Europe, America and even Russia -- probably share Biden and Putin's estimation of the Russian president's spiritual condition. In saying Putin has no soul, it means he seems to lack both the capacity to feel emotions and to show empathy.

Russia's leader certainly has a long record of inhumanity. He was an agent of the Soviet secret police, a criminal institution with a record that goes back to the purges of Stalin, a record more bloody than that of the Nazi SS.

John Dunlop of Stanford's Hoover Institution wrote in "The Moscow Bombings" that there is strong evidence to suggest that Putin was in on the plot to bomb two apartment buildings in Moscow in September 1999, in which 300 Russian citizens were killed and several hundred others were wounded. He says the bombings were blamed on Chechen rebels as a pretext to invade Chechnya.

Putin has funded, promoted, supplied and aided and abetted the Russian and pro-Russian terrorists in eastern Ukraine. And by invading Crimea, he created the conditions of war, hatred and fanaticism that led to the destruction of 298 innocent lives aboard Malaysia Airlines Flight 17 on that day of infamy, July 17.

Who are Ukraine's pro-Russia rebels?

Is Putin evil? His actions certainly are, if by evil we understand behavior that willfully, consciously and purposely destroys human life. Perhaps we can call his actions undeniably evil and Putin himself "evil enough." Evil enough for what? Evil enough for condemnation by people of good will.

How rebels in Ukraine built up an arsenal capable of reaching the skies

If Putin is "evil enough," what are the implications for policy-makers?

First, they should openly state that they condemn Putin's behavior. Because silence implies approval, policy-makers must understand that their moral standing, like that of the countries they represent, is on the line. Evil is indivisible. If they refuse to condemn this instance, they effectively surrender the right to condemn any instance of evil.

Second, they should refuse to shake his hand, engage in chitchat, attend photo ops with him and in any way create the impression that they accept his behavior as a socially acceptable. German Chancellor Angela Merkel would not hobnob with a German neo-Nazi; President Barack Obama would not have drinks with the head of the Ku Klux Klan. By extension, neither of them should hobnob with Putin at World Cup soccer games.

Third, policy-makers should avoid doing anything that aids and abets Putin's proclivities. Since those proclivities largely rest on his ability to employ armaments to cause death, any form of assistance to Putin's war machine or repressive apparatus is the moral equivalent of supplying barbed wire and bullets to Auschwitz. Two examples will illustrate this point.

The Dusseldorf-based German defense company Rheinmetall is manifestly abetting Putin's evildoing by continuing to insist that it has "to meet its contractual obligations with Moscow and finalize a combat simulation center where up to 30,000 soldiers could be trained annually." Since Rheinmetall signed the contract with Russia in 2011, when Putin's record was already on full display to the world, it cannot claim ignorance of Putin's evil intentions.

France's continued determination to supply the Putin war machine with two Mistral-class assault ships is no less of a moral outrage.

As Robert C. O'Brien, a former U.S. representative to the United Nations, argues, "With the downing of Malaysia Airlines Flight No. 17, it should now be clear to all observers that Russia is fully intent on subjugating and intimidating its former Soviet constituent states and Warsaw Pact allies, and will do so with the most advanced weapons in its inventory.

"There is no reason to believe that the Mistral-class warships, once in the Russian Navy, will not also be used in the Black Sea, Baltic and Pacific to further increase the pressure on Russia's neighbors. Given its recent history, Moscow should not be handed another military tool of the Mistral-class magnitude."

This does not mean that morally concerned policy makers should refrain from talking to him entirely. As professor Walter Clemens, an associate of Harvard's Davis Center, argues in a fascinating paper, "Can -- Should -- Must We Negotiate with Evil?": "If a cruel dictatorship is willing to negotiate security arrangements likely to limit arms competition and make war less likely, democratic governments should engage and seek verifiable arrangements."

So, yes, according to this logic, talk to Putin about making "war less likely" in eastern Ukraine and talk to him about limiting "arms competition." Otherwise, shun him and everything he stands for.

Opinion: Are the pro-Russian rebels terrorists?

Such countries as France and Germany, which have extensive economic relations with Russia, face a difficult moral choice. They must ask themselves whether Putin is evil or evil enough. If they decide his killing spree in eastern Ukraine is neither evil nor evil enough, they must explain -- to themselves and to the rest of the world -- just why they believe the destruction of Ukrainian, Russian, Malaysian, Dutch and other lives is not a form of evil behavior.

If, alternatively, Putin's behavior strikes them as evil, they must either act on that conviction, in the manner suggested above, or explain to themselves and the rest of the world just why their enhancing Putin's war-making proclivities is not wrong.

Pentagon: Russia getting ready to send more powerful weapons into Ukraine

Ultimately, France and Germany, as well as all countries that aid and abet Russia's destructive capabilities, have to decide whether they care more about values or about money. Dictatorships can answer that question easily: Their leaders are indifferent to values.

Prosperous capitalist democracies, and especially prosperous capitalist democracies that are part of a self-styled community of values called the European Union, cannot take the easy way out and pretend values do not matter. In the final analysis, the willingness of France, Germany and all the other states making up the European Union to respond to Putin's evil doing will determine the moral fate of the EU. If they sacrifice morality to arms contracts or gas, the EU will have lost its rasion d'etre. Worse, like Putin, it will be without a soul.

@highlight

Alexander Motyl says Putin has promoted, supplied Russian and pro-Russian terrorists

@highlight

Motyl: Putin was member of brutal secret police and behind invasions in Georgia, Ukraine

@highlight

He is evil enough for all to condemn, Motyl says; countries' silence implies approval

@highlight

Motyl: France, Germany must end economic ties with Russia; EU must take a moral stand