(CNN) -- Jagged oranges, reds, purples and pinks make up the view from the rim of the Grand Canyon, changing color as the sun's angle constantly adjusts their tint and position.

Meanwhile, the Colorado River swerves and curves through the canyon floor, slowly expanding the six million-year-old gash in the high desert of northwest Arizona.

Grand Canyon National Park lies around and within one of the seven wonders of the natural world; it's close to two million acres of practically untouched hinterland offer a lifetime of adventure and exploring.

Park stats: Grand Canyon was the second most visited national park in 2012, attracting almost 4.5 million visitors. It has been more than 20 years since fewer than 4 million people visited Grand Canyon National Park in a given year.

The location: The Grand Canyon is in northwest Arizona near the Utah and Nevada borders. Flagstaff is about a 90-minute drive from the South Rim. The park is about a four-hour drive north of Phoenix and a four-hour drive east of Las Vegas.

The Grand Canyon became a national park in 1919. It stretches along 277 miles of the Colorado River, which runs through the bottom of the canyon. The distance from the South Rim to the canyon floor is a full vertical mile. While the canyon's width varies, it measures 18 miles in several places.

If you go:  Park entrance fees are $25 per vehicle and $12 for individuals (hikers, cyclists and motorcycles). Be sure to check the weather in advance as temperatures vary according to season and what part of the park you are visiting. The North Rim is generally the coolest place in the park, and the canyon floor is the warmest.

There is no additional cost for day hikes on the rim and into the canyon, but overnight trips require buying a backcountry permit. The permit costs $10 plus an additional $5 for each person in the group.

The park is divided into the North and South Rim. The South Rim is open year-round, while the North Rim is open during the spring and summer.

Grand Canyon Village: There are several lodging options at the Grand Canyon Village on the South Rim, including hotels and campgrounds. There is also access to Desert View Drive and the east entrance to the park. Book early. The park's rooms fill up months in advance.

Getting around: There are free shuttle buses in the South Rim that connect the visitor center, museums, lodging and dining to trail heads and scenic overlooks.

North Rim: Due to high winds and heavy snows, the North Rim is only open from May 15 to October 15. The Grand Canyon Lodge is the only hotel on the North Rim. Campground space is available, but like the South Rim, reservations are required and advance reservations are recommended.

North Rim visitors can also stay outside the park at the Kaibab Lodge and Jacob Lake Inn, which are 18 and 45 miles north of the park. The North Rim has a visitor center but does not have shuttle buses.

Hiking on the rim and into the canyon: Temperatures on the rim change with the season, and increase dramatically during summer hikes into the canyon. Visitors should be prepared for extreme cold and intense heat. Hiking at the Grand Canyon is physically demanding, even for experienced hikers. Be sure to drink plenty of water, carry plenty of food and never hike alone.

The trail from the South Rim to the canyon floor is seven miles. Mules are a common sight on hiking trails into the canyon. When you see them approaching, move off the trail to the side away from the edge, stand still, keep quiet and do not return to the trail until the mule is at least 50 feet away from you. Always follow directions given by the mule wrangler.

Lodging is available in the bottom of the canyon at the Phantom Ranch. Reservations are required and you do not need a backcountry permit to stay there.

Rafting on the Colorado River: There are several options for taking Colorado River rafting trips at the Grand Canyon. Check out the park's permit information online for specifics. Trips can last between a half day and 25 days.

Meet our ranger: Andy Pearce, 52, is the environmental education specialist at Grand Canyon National Park and loves spending the majority of his time teaching kids about the park.

"I feel like with school groups we are connecting a whole population of young people to the national parks that otherwise wouldn't come here," he says

Pearce was born in Wilmington, Delaware, and his parents, especially his mother, Eleanor, raised him with a love for national parks and hiking. He graduated from Colorado State University with a degree in geology and was working a summer construction job when he received an opportunity to volunteer at John Day Fossil Beds National Monument.

The experience helped him get his foot in the door as a seasonal ranger and eventually get his first full-time position at Wupatki National Monument near Flagstaff, Arizona. He worked at nine other national parks before coming to Grand Canyon in 2002.

"It's a fantastic resource," he says. "It changes year-round with four seasons. It's not Arizona as you'd think of Arizona when you're on the rim of the canyon."

For a day trip, don't miss:  Stop at the Grand Canyon Visitor Center on the South Rim and then visit Mather Point, Mohave Point and Desert View Watchtower. Part of the magic of going to the Grand Canyon is that you often can't see the canyon until you reach the edge.

Mather Point has "a wow factor that makes the first view quite spectacular."

If you are traveling by car, Pearce says these areas are close enough to each other that you can see them all in one day.

Favorite less-traveled spot: The North Rim, which has a higher elevation and is more heavily forested than other areas in the park. It is only 10 miles as the crow flies from the South Rim. Pearce says it takes up to five hours to drive there because the road runs along the rim's twists and turns.

"If you want to experience a national park kind of like they were decades ago -- the feeling of slower pace, quieter, fewer people -- the North Rim is the place to go."

Favorite spot to view wildlife: The grassy areas near the train depot in the village and Hopi Point. Pearce says elk and deer gravitate toward the train depot's grassy areas and endangered scavenger birds, including the California condor, nest and socialize near Hopi Point.

Never feed the animals in the park, especially squirrels, which bite between five and 10 guests every day during the summer, he says.

"We want to keep the 'wild' in wildlife," he says.

Most magical moment in the park: Cross-country skiing under a full moon to the South Rim of the canyon in 2004. The experience was so peaceful, Pearce says, he has made it an annual tradition.

"It'll be quiet, really chilly," he says. "The air will be still. The moon sparkles on the snow and the canyon has a moonlit glow coming from it. It makes some of the cliff walls appear to glow."

Oddest moment at the park: Seeing a man walk backward down into the canyon on the South Kaibab Trail in 2009.

"I found out later he was trying to break some record for walking backwards," he says. "Of course I had to step to the side and watch him go by."

A ranger's request: Come to the Grand Canyon informed and prepared. Pearce stresses that the park is a unique geographic setting, significantly cooler than the rest of Arizona.

When it comes to hiking down into the canyon, Pearce says to keep in mind that the temperature increases as you descend and that walking back up takes more time than going down.

"The elevation is the factor," he says. "People get in trouble because they do not realize it will be much more of a workout coming up."

Another park he'd like to visit: Great Sand Dunes National Park and Preserve in Colorado. The dunes are the tallest in North America and seasonal Medano Creek offers guests the chance to relax and rinse off after playing in the sand.

"You've got 40 square miles of sand that provide endless entertainment for kids," he says.

@highlight

The Grand Canyon was the second most visited national park in 2012

@highlight

It is one vertical mile from the South Rim to the canyon floor

@highlight

The North Rim is more remote and is open from mid-May to mid-October

@highlight

Overnight reservations at the Grand Canyon must be booked far in advance