Los Angeles (CNN) -- AEG Live's negotiations with a doctor to treat Michael Jackson were "highly inappropriate," a music industry veteran testified Monday.

The concert promoter's agreement to pay Dr. Conrad Murray $150,000 a month during Jackson's comeback tour set up an "egregious" conflict of interest in which the physician was beholden to the company and himself before Jackson's interests, he testified.

David Berman, who once headed Capitol Records and worked for decades as an entertainment lawyer, was brought into court as an expert witness by Jackson's mother and children in their wrongful death lawsuit against AEG Live.

The tiny Los Angeles courtroom became less crowded Monday after the city fire marshal, acting on a complaint from an unidentified party, ordered that fewer people be allowed inside, according to a court spokesman.

Just one seat is allotted to the public and the number of journalists allowed inside was reduced to just eight at a time under the new limits. The 30 seats set aside for lawyers were not reduced.

The judge rejected CNN's request to televise the trial in March, but she has allowed a small camera and microphone to be focused on the witness so that people in another courtroom can watch the trial.

Michael Jackson's longtime personal chef Kai Chase, who was in his home when he died, is set to testify Tuesday.

Also coming up, the Jackson lawyers will show jurors the "This Is It" documentary produced using rehearsal video.

The wrongful death trial, which is in its eighth week, is expected to last until August, according to lawyers. Jackson lawyer Brian Panish estimated Monday that he would call his last witness around July 8.

One of the four alternative jurors asked the judge to dismiss him from the case Monday because he has sold his Los Angeles home and must move to Atlanta. "If we are only a third of the way through there's no way I can make it," he said.

Judge Yvette Palazuelos said it is"highly likely I'm going to excuse you," but she will confer with lawyers from both sides before deciding.

The Jackson lawsuit accuses AEG Live of liability in Michael Jackson's death because it negligently hired, retained or supervised Dr. Murray, who was convicted of involuntary manslaughter in Jackson's death.

Murray told police he used the surgical anesthetic propofol to treat Jackson's insomnia so he could rest for rehearsals for his "This Is It" concerts. The coroner ruled Jackson's death was from an overdose of the drug.

AEG Live lawyers argue it was Jackson who chose and supervised Murray. They contend AEG executives had no way of knowing the doctor was using propofol on Jackson.

Berman, who is paid $500 an hour by the Jacksons as an expert witness, said he reviewed "an enormous amount" of material, including an "extraordinary number of e-mails," to reach his conclusions that Murray's hiring was "highly inappropriate and "highly unusual."

"I have never heard of it being done, and indeed, it is my understanding up until these case, AEG had never done it," Berman testified, referring to a concert promoter hiring a doctor for an artist.

"It creates an inherent conflict of interest on the part of the physician," Berman said. "The physician has dual obligations to the patient and the entity that is engaging them and who is paying his compensation. That, in of itself, is a conflict. It's a more egregious conflict in the circumstances in this case."

Berman was critical of AEG Live CEO Randy Phillips' response to an e-mail from show director Kenny Ortega warning five days before Jackson's death about the singer's "continued physical weakening ad deepening emotional state."

"Kenny, it is critical that neither you, me, or anyone around this show become amateur psychologists or physicians," Phillips wrote "I had a lengthy conversation with Dr. Murray, who I am gaining immense respect for as I get to deal with him more. He said that Michael is not only physically equipped to perform and that discouraging him to, will hasten his decline instead of stopping it. Dr. Murray also reiterated that he is mentally able to and was speaking to me from the house where he had spent the morning with MJ. This doctor is extremely successful (we check everyone out) and does not need this gig so he totally unbiased and ethical."

Phillips' response is "very telling on a number of levels," Berman said. "He is somewhat dismissive of Mr. Ortega's concerns."

"There are serious problems with that statement because he recognizes the potential of the doctor not being ethical and unbiased if he does need the gig and has financial problems," he said.

It shows AEG Live was aware of the potential for a conflict, Berman testified. "When, in fact, Dr. Murray was in dire financial straits at the time and did need the gig."

A Los Angeles Police detective testified earlier in the trial that Murray was more than $1 million in debt and that his Las Vegas medical clinic faced eviction in the months before he was hired to treat Jackson.

The contractual relationship between AEG Live and Dr. Murray was "not unlike the team doctor for a football team, where the quarterback is injured and the doctor comes to the medical conclusion that the quarterback should be taken out of the game for a period of weeks, but the team doesn't want him out," Berman said. "There is an inherent conflict."

Berman also noted that the contract said AEG Live could terminate Murray if concerts were postponed or canceled.

"The fact that if the tour is even just postponed that AEG Live has the ability to cease any further compensation for Dr. Murray, giving Dr. Murray even greater conflict of interest since he was in financial dire straits, he did need this gig and if it was postponed, which could hypothetically be in the best interest of Michael Jackson, he ran the risk of losing any further compensation," he testified.

Berman was asked about the so-called "smoking gun" e-mail sent by AEG Live Co-CEO Paul Gongaware ahead of a planned meeting with Dr. Murray: "We want to remind him that it is AEG, not MJ, who is paying his salary. We want him to understand what is expected of him."

The e-mail indicates AEG Live executives wanted "to control, to some extent, Dr. Murray" by reminding him they are paying his salary, Berman said.

Is that reasonable, he was asked. "Certainly not," Berman said. "It is indicative of the fact that they want to control the services of Dr. Murray, as opposed to the artist."

Berman testified that AEG Live executives should have recognized there could be a problem with Dr. Murray when he initially asked for $5 million for one year as Jackson's doctor. "That is a pretty bizarre amount," he said.

The eventual agreement to pay the doctor $150,000 a month was still "an exorbitant amount, more than any other person on the tour was paid," he said. "Even more of a red flag since AEG was aware of another doctor who was willing to take the job for $40,000 a month."

"It's indicative of something out of whack," Berman testified.

Berman also said it was "inappropriate" for AEG Live to not loop in any Jackson lawyer or manager into the negotiations with Murray. "I find that extremely unusual," he testified.

Murray signed the contract and faxed it back to AEG Live on June 24, 2009 -- a day before Jackson's death. But AEG Live's executives never signed and the signature space for Jackson's signature was also left blank.

"That is not inconsistent with this being a valid oral agreement," Berman said.

Berman testified the e-mails confirmed an oral agreement was in place. It is a common practice in the music industry for oral agreements to be put in writing long after the services are commenced, he said.

He pointed to the certification of sponsorship AEG submitted to the British government for Murray to practice in England as evidence they considered him hired.

@highlight

Music industry veteran David Berman testifies for Jackson side in wrongful death trial

@highlight

AEG Live's contract with Dr. Murray caused 'an inherent conflict of interest'

@highlight

Jackson's longtime chef Kai Chase set to testify Tuesday

@highlight

Fire marshal limits number of observers in court, allowing just 1 member of the public