Cape Town, South Africa (CNN) -- Judging by the ferocity with which Gerrie Nel pursued a case of "planned and premeditated" murder against Oscar Pistorius at his bail hearing, it would not be unreasonable to assume the state had a strong case. From the outset, however, the veracity of the state's case appeared to dwindle.

At the bail hearing in February, the then-lead investigator Hilton Botha crumbled on the stand and had to concede that there was little appreciable evidence gathered to back up the state's claims. Worse, he admitted serious breaches of investigation protocol, including the failure to wear protective foot coverings at the crime scene, thereby contaminating certain forensic evidence. Botha also had to concede that Pistorius' version of events was not implausible.

This of course did not help Pistorius in the court of public opinion, as once the state's sensational claims were made they were immediately disseminated around the world. Nonetheless, much of the state's case was castigated by Magistrate Nair in his unusually long bail decision.

Adding to the perception that the state's case is floundering, on Tuesday, rather than presenting their charges to which Pistorius would plead, the state requested a two-month postponement to conduct further investigations. This equivocation is in stark contrast to their initial aggression at the bail proceedings.

The most interesting part of the postponement hearing was the stark warning the magistrate issued to the media and the state to act responsibly and avoid "scandalising the sanctity of justice" through a "trial by media."

Read more: Pistorius judge warns of 'trial by media'

Clearly he was referring to the leaked photographs of the crime scene which were recently published. The leaking of these pictures, as well as reports in local newspapers that numerous police cell phones have subsequently been confiscated, adds to the perception that the state is mismanaging this case.

This begs the question: considering a litany of state missteps and the wild public speculation triggered at the bail proceedings, can Pistorius get a fair trial?

Regarding his eventual trial in a court of law, the answer is clearly "yes."

South Africa abandoned trial by jury in 1969. Pistorius' trial will thus be presided over by either a regional magistrate or a high court judge, possibly assisted by assessors. Judicial officers in South Africa are highly skilled and experienced and are keenly aware of their responsibility to apply the law in an impartial manner, guided by the evidence presented in court, not discussions occurring outside court.

This much was inherently acknowledged by the magistrate's warning yesterday -- he did not focus on the fairness of the trial being damaged but rather the sanctity of the justice system being called into disrepute.

Read more: Photos show Steenkamp's transformation

However, Pistorius is unlikely to fare as well in the court of public opinion.

To many South Africans Pistorius' story of triumph over adversity came to symbolize the country's own story. His personal fallibility has thus touched an uncomfortable nerve, reminding the country of its own fallibility, and leading to an angry backlash. To this segment of society Pistorius is already guilty of murder -- irrespective of what the evidence ends up revealing.

The state's bungles have only served to fuel the determination of Pistorius naysayers: if he is acquitted of murder it will not be put down to the fact that he was telling the truth, but because the state dropped the ball.

This stance fails to acknowledge that even the best-run cases can result in an acquittal when the facts, as revealed through the evidence gathered, end up supporting an acquittal.

So where does the evidence currently point? It is simply too soon to tell. What we can ascertain is what evidence is likely to become pivotal.

For example, the question of whether or not Pistorius was wearing his prosthetics is critical. Thus the ballistics evidence will be critical. The state appears to be relying on a contention that he took the time to put on his prosthetics before firing through the bathroom door. This, they claim, shows premeditation.

Read more: Oscar Pistorius heartbroken, uncle says

The defence has claimed he was not wearing his prosthetics, which left him feeling particularly vulnerable to a suspected intruder, thus flooding him with fear.

The evidence at trial will eventually support one of these versions over the other. Before that evidence is offered in court, the public cannot be clairvoyant -- despite firmly held beliefs either way, we simply don't yet have enough information to know the truth.

This is the purpose of a criminal trial, it is essentially a truth-finding mission and the rules of evidence and procedure are set up to enhance this.

Hilton Botha, now retired from the police service, would do well to remind himself of this. He has given interviews to the media vociferously claiming Pistorius' guilt and affirming that he will be called at trial to testify for the state. With respect, more is required than a policeman's hunch to convict a person of murder. If he is trying to serve the interests of justice, rather than merely grinding an axe, he would do well to stop talking to the media and save his words for court.

Read more: Who is 'Blade Runner' Oscar Pistorius?

The opinions expressed in this commentary are solely those of Kelly Phelps.

@highlight

Olympian and Paralympian Oscar Pistorius accused of killing girlfriend Reeva Steenkamp

@highlight

Pistorius denies murder, says he believed Steenkamp was an intruder

@highlight

Judge in the case has warned of danger of "trial by media" because of press reports

@highlight

Phelps: We simply don't have enough information yet to know truth of the case