(CNN) -- We've been nearing the end of the late-fees era for years -- and, thanks to technology, we're one step closer this week. Amazon just launched a no-fees library loan program for digital books.

This shift actually started more than a decade ago with the DVD-rental business. Or, more specifically, when Reed Hastings, now the CEO of Netflix (er, Qwikster?), forgot to return a copy of the movie "Apollo 13" for six weeks and racked up a $40 late fee from a video-rental store.

That inspired his DVD-by-mail service, according to a 2006 essay in The New York Times, in which customers pay a monthly fee for the privilege to leave "Romy and Michele's High School Reunion" under their couches for as long as they'd like without financial penalty.

Ba-da-bing. No more late fees. (Customers still gripe about Netflix's prices, though).

Now, books are the next frontier.

Sure, there have been previous no-tech attempts to waive library fees. Some book-loaners have programs called "Amnesty Week," in which good-willed librarians let anyone return an overdue book -- no questions asked. Last year, someone brought a 35-years-overdue book back to a library during one of these events. The fine otherwise would have been $1,400, according to Time.

In other cases, the fees to be charged were so hefty that libraries just decide to give up.

In Oakland, Jim Pavon returned a 78-years-overdue copy of a Rudyard Kipling book, according to a 2005 story in The San Francisco Chronicle. "Stunned library officials agreed to waive the late fees," the paper says, "which under the 1927 rate of 2 cents per day would have amounted to more than $550 by now."

Digital books allow for a different approach.

Instead of charging owners for overdue e-books, the files just lock up on the borrower's e-book reader or smartphone.

"E-books automatically expire," said David Burleigh, a spokesman for a company called OverDrive, which is managing this library book-loaning program for Amazon and has apps that work for other e-reading platforms. "So that definitely is a benefit from borrowing e-books. And you don't have to go back and forth to the library. You can do it remotely."

That's good for forgetful types, who can stash books away from weeks or decades before remembering they've borrowed them. And it's good for libraries, too, since they can loan these books out again right away -- rather than waiting for them to be returned.

"It's fantastic," said Carrie Russell, director of the American Library Association's program on public access to information.

The fact that libraries don't charge late fees on overdue e-books isn't a big deal, she said.

"Having been a librarian, the libraries don't really rely on late fees as a big budget boost," she said. "It's negligible. It doesn't matter to us if we don't collect late fees. We'd rather the information gets out to people."

Most digital book "rentals" last for two weeks. Libraries purchases a certain number of licenses for the digital books, and then lend those out to patrons. So it's not like the library can loan out 1,000 copies of "The Help" just because that book is popular.

That's a good start, but is based on the "print model," Russell said.

In the future, she expects new "Netflix models" for books to emerge, where libraries pay monthly fees to publishers, perhaps, and can lend out as many copies of a book as their patrons would like.

Amazon is in talks to do that for consumers, according to The Wall Street Journal. "Customers would pay an annual fee to access a library of content" under the potential plan, that paper says.

The Amazon program is the largest so far, with 11,000 libraries participating, all of those in the United States only.

That sounds like a lot, but it's only 9% of the libraries in the country, according to data from the American Library Association.

The rest of the country may have to keep sweating overdue book fees. But perhaps not for too much longer.

@highlight

New program lets libraries lend e-books to Kindle users

@highlight

11,000 libraries in the United States participate

@highlight

There are no late fees for the e-book rentals, but the files lock when they're overdue

@highlight

Tech has slowly been whittling away at the idea of late fees