Istanbul (CNN) -- The latest ISIS advance in Syria has brought a swath of the country's north-central Kurdish region under siege, with Kurdish leaders warning of another humanitarian crisis without international intervention.

The Syrian Kurdish town of Kobani (Ayn al-Arab in Arabic) is an island, surrounded by ISIS on three fronts and the Turkish border to the north.

The town was already mostly blockaded by ISIS, but in the past three days some 60 nearby villages fell under ISIS control, according to the London-based Syrian Observatory for Human Rights.

The Islamic State in Iraq and Syria, or "Islamic State," as the group calls itself, took 39 villages on Friday alone as Kurdish forces withdrew from their positions, the Observatory said.

Clashes are constant around Kobani as Kurdish fighters attempt to hold off ISIS, which is armed with heavy artillery and tanks, Kurdish activist Mostafa Baly told CNN.

"Mobilization of people in Kobani is not enough," said Redur Xelil, a spokesman for the Kurdish fighters. "The international community has to take action. If not, there will be a new (Sinjar) genocide, but this time in Kobani."

Sinjar is the Iraqi city that came under ISIS attack last month, causing thousands to flee onto adjacent Mount Sinjar, where refugees became stranded and were starving before U.S. airstrikes helped pave a way for them to flee.

The fighting around Kobani has been intense for four days, Xelil told CNN.

Masoud Barzani, the President of the Kurdish Region in Iraq, called the ISIS attacks in northern Syria "barbaric" and described them as ethnic cleansing.

"I ask the international community to take every measure as soon as possible to save Kobani and the people of Syrian Kurdistan from the terrorists," he said in a statement. "The ISIS terrorists perpetrate crimes and atrocities wherever they are, therefore they have to be hit and defeated wherever they are."

As ISIS encroached on the nearby villages, residents fled toward Kobani, said Baly, the Kurdish activist. There were reports that ISIS kidnapped some of those fleeing to Kobani, including women, children and the elderly, Baly said.

At least three rockets landed in Kobani, causing much panic, he said.

"There is a great deal of fear, but people are insisting on standing up to ISIS and remaining steadfast in the face of their attack," he said.

Turkey opens border

The fear of a humanitarian crisis in Kobani rose as displaced people sought refuge there but became trapped between the fighting and the Turkish border.

An estimated 3,000 to 4,000 Kurds fleeing the violence walked right up to the wire border fence with Turkey, where they initially were not allowed in. They just sat at the border as Turkish Kurds on the other side of the fence tried to persuade the Turkish guards to let them in.

The situation on the border could be observed on a live feed from the border and from video footage aired on Turkish news outlets.

The refugees also tried to force their way into Turkey, creating chaos as one woman stepped on a landmine.

Turkey finally opened the border, relieving some of the mounting pressure in Kobani and allowing refugees to enter Sanliurfa province.

"Four thousand of our siblings will be hosted in our country," Turkish Prime Minister Ahmet Davutoglu told state media. "Opening our arms to our Syrian brothers is our historic humanitarian responsibility."

Hosting Syrian refugees is nothing new for Turkey and other neighboring nations. About 815,000 registered Syrian refugees were in Turkey as of last month, part of the 3 million total registered Syrian refugees that the U.N. has counted amid Syria's three-year civil war.

A further 6.5 million people were believed to be displaced within Syria as of last month, according to the U.N.

U.S. military on deck

The U.S. Senate on Thursday voted overwhelmingly to approve the arming of Syrian rebels as top U.S. military leadership approved a plan to strike ISIS in Syria. The House approved Obama's request Wednesday.

The approval allows President Barack Obama to carry out part of his stated strategy to combat ISIS, though some political leaders remain divided on the way forward.

With approval in hand to arm and train Syrian rebels to fight ISIS, Obama said Thursday the plan keeps with "the key principle" of U.S. strategy: No American combat troops on the ground.

"The American troops deployed to Iraq do not and will not have a combat mission," he said in televised remarks from the White House.

"Their mission is to advise and assist our partners on the ground. ... We can destroy ISIL without having our troops fight another ground war in the Middle East."

Obama said more than 40 countries, including Arab nations, have offered assistance in the battle against ISIS.

Long vetting and training process

National Security Adviser Susan Rice, speaking to reporters Friday, said that now that approval to arm moderate Syrian rebels has been given, a long process will start to vet and train those who will be benefit from the measure.

U.S. military personnel will train the Syrian fighters outside of Syria, and the process of planning the training and vetting the participants will take months, she said.

"This is a serious training program, and we are serious about vetting those we are training and equipping," she said.

Rice stepped around questions about whether airstrikes against ISIS in Syria will require an additional thumbs-up from President Obama, repeating the President's own announcement that the United States is "prepared" to broaden its actions in the region into Syria.

ISIS videos

The advance by ISIS in northern Syria comes as the Islamist group released a 55-minute English-language video warning America against "direct confrontation."

The video describes the conflict as a fight between believers and nonbelievers, and praises its successes on the battlefield.

Earlier this week, ISIS released another video showing a captive British journalist criticizing the American and British governments.

Citing the Sunni terror group's brutality, from beheading civilians -- including American journalists James Foley and Steven Sotloff -- to the mass execution of its opponents, Obama said the United States will not back down.

"With their barbaric murder of two Americans, these terrorists thought they could frighten us or intimidate us or cause us to shrink from the world," Obama said.

"But today, they are learning the same hard lesson of petty tyrants and terrorists who have gone before: As Americans, we do not give in to fear. When you harm our citizens, when you threaten the United States, when you threaten our allies, it doesn't frighten us. It unites us."

The question now appears to be not if, but when, the United States will strike ISIS in its stronghold in northern Syria.

The U.S. military has everything it needs to strike ISIS targets in Syria, a plan that officials told CNN is still waiting on Obama's signoff.

ISIS, meanwhile, is modifying its behavior, from the way it communicates to the way it conceals itself, in response to potential U.S. airstrikes in Syria, U.S. military officials told CNN.

The officials expressed confidence the airstrikes would be effective.

Gul Tuysuz reported from Istanbul, and Mariano Castillo wrote and reported from Atlanta. CNN's Salma Abdelaziz, Barbara Starr, Jason Hanna and Chelsea J. Carter contributed to this report.

@highlight

NEW: Group says ISIS has taken over 60 Kurdish villages in three days

@highlight

U.S. official says it will take months to train and vet Syrian rebels who will take part

@highlight

Kurdish leaders warn of humanitarian crisis without international help

@highlight

Turkey opens border for Kurdish refugees in northern Syria