(CNN)The neighborhoods look like those in many European cities. Restaurants and shops abound. There's a mix of new and old. Cars and buses shuttle from here to there. And people crowd the streets, the only thing distinct about them being that they look more diverse than some other places.

These are places to go, locals say -- not "no-go zones," as described by a Fox News commentator as well as Louisiana Gov. Bobby Jindal.

The last few weeks have seen characterizations of some European cities as inordinately full of Muslims, areas where a woman without a veil might feel too scared to explore, areas that police largely avoid, and where Sharia law rules the day.

This storyline has struck a nerve in place like the British city of Birmingham and the Belleville neighborhood of Paris, coming on the heels of terror attacks in France that killed 17 and stirred worries around Europe.

It's left some angry, dismissive or incredulous, unsure of what to make of it all. Who are these people, they ask, making sweeping, damning assessments of their hometowns from thousands of miles away?

"When I heard this, frankly I choked on my porridge, and I thought it was April Fools' Day," British Prime Minister David Cameron told network ITV, referring specifically to Fox News commentator Steve Emerson's remarks. "This guy is clearly a complete idiot."

The central English city of Birmingham has a long and proud history, from Stone Age-era natives to Roman conquerors to medieval markets and more. Today, the city is home to more than 1 million people -- who, partly due to its universities, are younger than England's overall population with 45.7% under age 30.

Birmingham is also relatively diverse, with about 42% of its citizens being not white and 22% born outside the country. In terms of religion, just over 46% of residents are Christian, just under 22% are Muslim, and about 19% have no religion.

It is not as Emerson described it earlier this month: "There are actually cities like Birmingham that are totally Muslim, where non-Muslims simply don't go in."

This assertion is wrong, as Emerson and Fox later admitted. But that doesn't mean it didn't sting.

Britain's Press Association talked to several people in Birmingham, some of whom called such claims ridiculous, others who dismissed them as misconceptions, and one called it simply ignorant.

"We are not in cuckoo land," Raja Mohammed Ishtiaq, co-owner of the Raja Brothers market founded by Pakistani immigrants, told the Guardian. "There are lots of Muslims here, but this is a multicultural society and there are beautiful links between the different religions. How can they say this? Birmingham is one of the stable communities."

Some poked fun at the remarks on Twitter, with one claiming "the British army ... sent snow to make Birmingham white again" and another showing a picture of a bingo hall called "Mecca."

Joked one man: "Was a bit surprised that I had to convert to the Muslim faith before they'd let me off the train at Birmingham the other day."

Birmingham wasn't the only British city caught up in the controversy. So, too, was the capital, London.

Emerson, for one, talked about "no-go zones" around England. And during a speech in London, Jindal said that "in the West, non-assimilationist Muslims establish enclaves and carry out as much of Sharia law as they can without regard for the laws of the democratic countries which provided them a new home."

"It is startling to think that any country would allow, even unofficially, for a so-called 'no-go zone,'" he said. "The idea that a free country would allow for specific areas of its country to operate in an autonomous way that is not free and is in direct opposition to its laws is hard to fathom."

Jindal later doubled-down on the comments, telling CNN's Max Foster that "there are people here in London that will tell you there are neighborhoods where women don't feel safe ... without veils" and "where police are less likely to go."

A CNN crew went out to Newham, the London borough with the largest Muslim population, and found people who thought the Republican governor's remarks were not based in reality. They said they felt safe and comfortable in a community that looked like many other parts of the city.

Ken Marsh, who represents London's police union, was similarly disbelieving.

"This is not something we recognize at all," Marsh said. "We don't have areas in London that are no-go. We don't have areas in London that are Sharia law only. And we police all areas of London."

This debate unfolded hundreds of miles from the place that got the world talking about it in the first place: Paris.

That's where two Islamist extremists stormed the offices of Charlie Hebdo magazine January 7, leaving 12 dead. A policewoman in the Paris suburb of Montrouge was killed a day later. The next day, the national nightmare climaxed in a pair of raids that killed three terrorists, on top of the four civilians dead after a hostage siege at a kosher market in eastern Paris.

These events and their ties to an extreme, twisted and violent form of Islam made what's happening in France a talking point for commentators worldwide.

Some of that media buzz drew the ire of French nationals, in particular Fox News for Emerson's comments and segments suggesting there are parts of Paris and other European cities where Islamic law is practiced and where police are fearful to work. Paris Mayor Anne Hidalgo went so far as to lay out plans to sue Fox News for having "insulted" her city.

"The image of Paris has been prejudiced," she told CNN's Christiane Amanpour. "And the honor of Paris has been prejudiced."

Not everyone in France is rallying around Charlie Hebdo, especially after it published a cartoon depicting the Prophet Mohammed after the attacks. Teacher Eric Betencourt told CNN that many of his Muslim students felt the magazine's staff had some responsibility for what happened, saying, "they continued doing what they were doing in full knowledge of the risks."

Yet even if the entire country isn't on the same page when it comes to the satirical magazine, that doesn't mean some places are isolated -- at least when it comes to police patrolling the streets or whether anyone, including women without veils, feel welcome on them.

CNN's Laura Akhoun grew up in the Paris neighborhood of Belleville, which has a large number of Muslims and immigrants. She describes it as a lively place where rent is a little cheaper, items at the market cost a little less, and people feel welcome, wherever they come from. People who are there now echo that view, saying they feel safe, comfortable and happy to live somewhere that people of all ethnicities and religions call home.

It's no wonder then, that some proud French nationals felt disgusted by the idea of outsiders casting aspersions on such neighborhoods as dangerous places. Others fought back with humor -- as evidenced in a fake French news show, "Le Petit Journal," in which two men pretending to be Fox News reporters are seen on the streets of Paris. A graphic on the screen reads, "PARIS DANGEROUS CITY."

At one point, one of the actors talks about getting in a taxi with a driver who had "a Muslim beard. Oh my God, he's a very dangerous Islamist. He wants to kill us." A little later on, one commentates as his fellow correspondent goes in and out of a Turkish restaurant.

"John, it's too dangerous. Come back, come back; run away, run away," the actor screams in seeming desperation. "Oh my God, couscous! Couscous is very dangerous. Couscous in Paris!"

CNN's Natalie Orchard and Max Foster in London, as well as CNN's Jim Bittermann in Paris, contributed to this report.

@highlight

Some in U.S. media have said certain Muslim areas in Europe are unwelcoming, under Sharia law

@highlight

Residents of Birmingham, England, dismiss such claims, saying they're not based in reality

@highlight

Paris' mayor has sued Fox News over such assertions, while others in France responded with satire