(CNN) -- Before memories begin fading of the funny, feisty, combative former mayor of New York City, America would do well to pause one last time, and remember the greatest achievement of the late Ed Koch: his extraordinary, multi-billion-dollar program of building low-cost, affordable housing.

It's easy to lose perspective on the legacy of this larger-than-life character. As host of New York's only nightly political show, I got to sit and talk with Ed Koch every Tuesday night for the last two years, when he appeared on our "NY1 Wiseguys" segment, a weekly forum for retired politicians to weigh in on the issues of the day.

Koch's final appearance came less than three weeks before he died -- and to the very end, he was a dazzling showman, always ready with a quip, a quarrel or a crusade. All of us will miss him terribly.

But we shouldn't miss the main lesson of his mayoralty: Investing in low-cost housing helped families, preserved neighborhoods, and saved a city. And it might be used to do the same for the rest of the country.

In 1977, the year Koch was elected mayor, New York had been devastated by waves of arson, abandonment and economic decline, leaving entire neighborhoods strewn with rubble and vacant shells where apartments once stood. A front-page story in the New York Times captured the scene when President Jimmy Carter made a dramatic, unannounced trip to Charlotte Street in the South Bronx to see "block after block of burned-out and abandoned buildings, rubble-strewn lots and open fire hydrants."

Opinion: Koch, a friend and force to the end

Koch, who was elected a month after Carter's "sobering" visit, scrambled to organize a response to the blight but encountered a roadblock a few years later, when the Reagan administration effectively ended federal support for low-income housing, replacing a longstanding program with rent vouchers for the poor.

As the federal government got out of the housing business, Koch decided that New York would get in -- and get in big. In 1985, he announced a $4.4 billion plan to create 100,000 units of subsidized housing over a 10-year period, a number that later expanded to 252,000 units that eventually cost $5.1 billion.

The plan was audacious. It required massive rezoning of the city and coordination between multiple agencies. More importantly, it deployed New York's capital budget, normally used to pay for sidewalks, roads, bridges and government buildings.

Koch put the full faith and credit of the city on the line, borrowing the billions needed for rebuilding and trusting that a general economic recovery would provide the funds to repay bondholders. It was a gutsy move, coming barely a decade after New York's near-bankruptcy.

Tweeters loved Koch's 'New York-iness'

But the plan was a spectacular success. A veritable army of nonprofit, community-based housing developers worked in partnership with the city to reclaim and rebuild apartments, and neighborhoods like the South Bronx, Bedford-Stuyvesant and Harlem slowly reversed pernicious patterns of decline.

Some who had been homeless left the streets and got their lives back on track, while middle-class families moved back in and began paying taxes, raising families and supporting local businesses.

Ironically, it was the very neighborhoods Koch saved that provided the votes that speeded his political downfall, with the election of David Dinkins as New York's first black mayor in 1989. But Dinkins and every other mayor since Koch has sworn allegiance to the housing plan, using the capital budget and alliances with community organizations to build and subsidize workforce housing.

Eulogists remember Koch

It's surprising that more cities haven't followed Koch's example. Year after year, for decades, New York has produced or rehabilitated 15,000 units of affordable housing. In some years, it has spent more on housing than the next 50 cities combined.

Compare modern Harlem or Bed-Stuy to the most troubled sections of cities like Newark, Baltimore, Philadelphia, and Detroit, and you see what a difference a massive housing program can make.

We'll all miss Ed Koch terribly. It would be a shame to miss a chance to spread his greatest triumph to other cities around the nation.

The opinions expressed in this commentary are solely those of Errol Louis.

@highlight

Errol Louis: Building affordable housing in NYC was a Koch feat; other cities should follow

@highlight

He says Koch made major investment in housing to raise up families, neighborhoods

@highlight

He says Koch did this at a blighted time in NY when fed housing support dried up

@highlight

Louis: New York continues to lead in spending on rehabs, new housing, a Koch legacy