(CNN) -- For the first time in nearly 40 years, Congress looks poised to limit the powers of the U.S. intelligence community, an opportunity it should seize.

When Congress returns from its August recess, surveillance reform will be high on the agenda. In May, the House passed the USA Freedom Act, a measure aimed at ending bulk collection of Americans' phone records under the Patriot Act. And in July, a much stronger version of the bill was introduced in the Senate.

The Senate version would curb the most egregious abuses of the telephone metadata program and represents a compromise among the White House, civil liberties advocates and private industry.

Yet, important work remains.

In particular, the bill doesn't reform NSA surveillance under Section 702 of the Foreign Intelligence Surveillance Act. Under that program, the NSA collects the content of phone calls, text messages, e-mails and other electronic communications of Americans who are in touch with foreign targets abroad.

The problem is bigger than you think.

A four-month investigation by The Washington Post into documents leaked by Edward Snowden confirms suspicions long-held by privacy advocates: The intelligence community is engaging in dragnet surveillance of people all over the world and in the process intercepting Americans' international communications without any showing of probable cause.

After reviewing a cache of roughly 160,000 e-mail and instant message conversations, the Post determined that roughly 50% of the communications were either to, from or about Americans. The documents, which include health records, academic transcripts and revealing photographs, tell stories of adultery, mental illness, and religious conversion.

This raises the question: When did Americans become digital bystanders?

The 2008 amendments to the Foreign Intelligence Surveillance Act tell part of the story.

In its original form, FISA prohibited the government from monitoring the phone calls and other electronic communications of Americans without a targeted order from the newly created intelligence court. The court, in turn, would only issue the order under narrow circumstances: The government had to establish probable cause that the American targeted was a "foreign power or an agent of a foreign power" and that each of the facilities and places to be under surveillance was associated with the target.

The 2008 FISA amendments, however, upended this equilibrium and drew an arbitrary distinction between Americans' domestic and international communications.

The amendments allow the NSA to listen to or read Americans' international communications in the course of targeting one, non-Americans; two, those located outside the United State; and three, those who possess "foreign intelligence information."

All three conditions must be satisfied, and all three are vague and broad.

In determining "foreignness," for example, NSA analysts must have only a reasonable belief that the target is foreign and located abroad. Many have appropriately dubbed this the 51% standard, and indeed some analysts have admitted to signing off on a target simply because their e-mails were written in a foreign language. Although information collected inadvertently must be destroyed under NSA rules and regulations, there's little court oversight over this process.

"Foreign intelligence information," meanwhile, is defined so broadly that it includes information relating not just to crime and terrorism but also "foreign affairs." This language was introduced in the 2008 amendments for the express purpose of widening collection efforts.

Under this approach, the communications of foreign lawyers, journalists and human rights workers can all be captured, including their communications with Americans. Amnesty International, Human Rights Watch, The Guardian newspaper in Great Britain and Al Jazeera, for example, have reason to be worried, as do people who communicate with them. Communications to or from these institutions could be collected under the guise of "foreign affairs."

Others should be worried, too.

Once the NSA has its database, no law precludes the NSA from searching it for any U.S. name or search term it wants. The FBI and CIA also have access to the NSA repository and engage in "backdoor searches" routinely.

This dragnet collection violates the human rights of foreigners abroad and the constitutional rights of Americans.

Indeed, in 2011, under this sole program alone, the government collected over 250 million Internet communications, not including phone conversations. The Post's investigation suggests that many of these communications reveal private details about Americans' lives.

The NSA also misuses the 2008 FISA Amendments. For example, under an absurd reading of the statute, the NSA engages in so-called "about" or "inadvertent" collection, in which it collects communications that are neither to nor from a foreign target but instead merely mention that name: in other words the data from Americans who are in direct contact with foreign targets can also be collected without a warrant.

The story doesn't end there.

Other loopholes exist, and so do other surveillance programs. Indeed most of what we know comes from documents leaked by Edward Snowden. But there's much more that simply hasn't been revealed.

Most troubling is Executive Order 12333, a 1981 presidential decree that is being used to authorize wide-ranging surveillance programs distinct and separate from the FISA one. Details are still sparse as the executive order isn't subject to court oversight and Congress has refused to intervene.

But what we do know is troubling.

According to the investigative website The Intercept, leaks tell us the executive order has been used to collect and store every communication coming into or out of the Bahamas as well as another country, whose name has been withheld from publication for national security reasons. And just recently, a person knowledgeable about surveillance under the executive order suggested that the NSA might be using it to create a national e-mail metadata database.

Americans deserve better. So does the Constitution.

Probable cause, a time-tested safeguard against unreasonable searches and seizures, has been replaced with excessive deference to the intelligence community and obscure agency rules. A robust system of checks and balances, where searches and seizures were approved individually by neutral magistrate judges, has been swapped for general surveillance orders and bulky collection. And sensible targeting criteria, such as information relating to terrorism and crime, has been jettisoned for the amorphous standard of "foreign affairs."

Secrecy has triumphed over transparency. Indeed we still don't know how many Americans' communications are intercepted or even under what authority.

Still, progress may be in sight.

In June, the House voted decisively to pass an amendment to an appropriations bill that would prohibit the government from searching the NSA database for U.S. names unless it has reason to believe that they are engaged in wrongdoing. The Senate should follow suit.

Protecting Americans from terrorism is undoubtedly a national mandate. But so are fidelity to the Constitution and the human right to privacy.

Opinion: I was targeted because of my faith

@highlight

USA Freedom Act before the Senate would limit NSA surveillance

@highlight

Arjun Sethi: Bill doesn't change ability of NSA to gather incidental records on Americans

@highlight

Sethi: Global dragnet surveillance includes Americans with no reason

@highlight

Still, he says, Senate bill limits ability for government to search database for Americans' names