Airplane travelers will soon be able to watch videos and play games with their electronic devices throughout their entire flight -- and not just above a certain altitude -- the Federal Aviation Administration said Thursday in a long anticipated announcement.

But don't expect to be chatting on your cell phone. A ban on using cell phones for voice communication remains in effect.

The FAA, following months of study by a group of aviation experts, said that airlines can soon allow passengers to use portable electronic devices such as tablets, laptop computers, e-readers and cell phones in airplane mode throughout the flight -- with some circumstantial restrictions.

Can your cell phone bring down a plane?

Until now, passengers in the United States were prohibited from using the devices until their plane rose above 10,000 feet. The timing of the changes will depend on individual airlines, but an FAA statement said it expects "many carriers will prove to the FAA that their planes allow passengers to safely use their devices in airplane mode, gate-to-gate, by the end of the year."

"Each airline will determine how and when this will happen," FAA administrator Michael Huerta told reporters at Reagan National Airport.

Some fliers admit leaving devices on in flight

The periods of flight in question are fairly short. The ascent of an aircraft to 10,000 feet usually takes 10 minutes or less, depending on the airport and weather conditions, said Patrick Smith, a commercial airline pilot and Askthepilot blogger.

Delta Air Lines and JetBlue wasted no time announcing Thursday morning that both airlines have filed plans with the FAA to allow for use of approved electronic devices below 10,000 feet on their flights. Both carriers had representatives on the FAA advisory panel.

The FAA said Thursday afternoon that it had already received plans from some airlines.

"The agency is reviewing the plans to make sure they conform to the guidance we released a few hours ago," the FAA said. "Depending on the condition of the plan, we could approve expanded use of electronic devices very soon."

The FAA also permits the use of in-flight Wi-Fi service if the airline offers and allows it. Delta said its service will continue to be available above 10,000 feet.

The FAA had long claimed that using electronic devices during takeoff and landing posed a safety issue and that radio signals from the devices could interfere with an aircraft's communications, navigation and other systems.

But a panel the FAA established last year to study the issue concluded that most commercial airplanes can tolerate radio interference signals.

Before an airline switches to the relaxed rules, it will have to prove to the FAA that its aircraft can tolerate the interference. Airlines have, over the years, built newer planes with portable electronics in mind, hardening them against electromagnetic interference.

The FAA did outline an exception to the new rule: "In some instances of low visibility -- about one percent of flights -- some landing systems may not be proved PED tolerant, so you may be asked to turn off your device."

An airline pilots union that participated in revising the rules voiced support Thursday for the requirement that airlines prove their fleet's tolerance to signal interference, but expressed reservations about traveler compliance.

"We remain concerned that relying on passengers to selectively turn off their devices in areas of extremely poor weather is not a practical solution," the Air Line Pilots Association said in a statement.

Enforcing the policy

Flight attendants' hard jobs just got harder, said travel blogger Johnny "Jet" DiScala. That's because they'll have to ensure that passengers are only using devices in "aircraft safe" mode, not downloading anything from the Internet.

"No one turns their devices off anymore," DiScala says. "I don't say anything (to fellow passengers about turning them off) these days because all the studies have shown that it doesn't cause any problems, and the pilots are now using stuff (iPads and other electronic devices) in the cockpit."

The Association of Flight Attendants expressed some concerns, asking in a statement that testing be streamlined to ensure that "airplanes can tolerate electromagnetic interference" from passenger devices.  Development of crew training and passenger messaging is also needed to ensure passengers pay attention to safety messages from flight attendants, the union said.

Opinion: Cell phones on planes? For texting, not gabbing

Benefits for travelers, electronics manufacturers

It's no surprise that advocates for the travel and electronics industries cheered the easing of the restrictions on devices during flight.

"We're pleased the FAA recognizes that an enjoyable passenger experience is not incompatible with safety and security," Roger Dow, U.S. Travel Association president and CEO, said in a prepared statement. "What's good for the traveler is good for travel-related businesses and our economy."

Travel blogger Brett Snyder said he expects a lot of consumer satisfaction related to the new policy.

"This is exactly what travelers have wanted," said Snyder, the Cranky Flier columnist, via e-mail. "It will, however, mean people have more distracting them from paying attention during the safety briefing, so airlines are going to really have to step up their game to make sure people understand how to be as safe as possible."

In early October, the Consumer Electronics Association announced support for an FAA committee recommendation that passengers generally be allowed to use typical lightweight electronic devices at all altitudes of flight on airplanes hardened against radio interference.

About 69% of passengers traveling with an e-device reported using their devices on a flight, and almost one-third of passengers admitted to accidentally leaving one on in flight, according to a 2013 CEA/Airline Passenger Experience Association study.

@highlight

FAA says it is reviewing plans it's received from airlines

@highlight

Air travelers will soon be able to use e-devices below 10,000 feet

@highlight

Airlines are already filing requests to grant passengers that ability

@highlight

A ban on cell phone calls remains in effect