If you've never been to a Japanese onsen, there's one tiny bit of protocol worth knowing before you plunge into those steamy waters.

Nudity isn't just the norm, it's the rule.

A testament to the shock some of us Japan first timers experience upon learning we have to doff our skivvies to take part in the country's favorite holiday past time, multilingual signs are frequently posted outside the more popular hot springs to outline onsen etiquette.

The best ones have hilarious cartoon depictions for added emphasis.

Things are no different at historic Sakinoyu Onsen, a gorgeous hot spring facility right on the coast of Shirahama in Japan's Wakayama prefecture.

One of the three most revered onsens in Japan and more than 1,300 years old, it's mentioned in historic Japanese texts and was once visited by emperors and noblemen.

But you still have to get naked.

Nowhere to hide

At the entrance of the wooden building, visitors enter through the men (blue) or women's (red) doors to reach changing rooms which open up to a series of beautiful stone pools filled with natural mineral waters, edged only by the Pacific Ocean.

A high wooden wall divides ladies and gents.

The manager of Sakinoyu says that on the days when the sea is rough, waves are known to crash over the rocks, giving bathers a refreshing cool down.

"We've had foreign tourists get too hot and decide they want to take a naked dip in the ocean, only to be pulled away by the current and in need of rescue," he says with a laugh, adding that this actually isn't allowed.

A wall of huge rocks keeps the women safe from outsiders' eyes, but the men aren't so fortunate.

Their pools are easily viewed from several rooms in the nearby Hotel Seamore, as well as a viewing platform, where I find myself barely an hour later.

Did I dare look across the shining waters to "see more"?

Of course.

Admittedly, I'm not much of a voyeur.

At the first blurry glimpse of naked male flesh I direct my eyes anywhere but that onsen.

Aussie sands, chilly waters

Shirahama isn't just about historical hot tubs and naked humans.

It's beautifully compact, centered around a long, blindingly white beach -- the sand was imported from Australia -- book ended by impressive rock formations, fishing piers, free onsen foot baths and a few kitschy attractions.

Dotted with aging hotels, Shirahama Beach has a seaside resort vibe that takes off in the summer, with street vendors and nightly fireworks.

As I walk across its white sands, I'm floored by how unexpected it feels to find such a beach outside of semi-tropical Okinawa.

The beach is so pristine I feel I could be in the Caribbean.

That illusion is shattered by dipping my feet in the ocean to be reminded with a jolt that Japan's coastal waters are still chilly in May.

Nonetheless, proving yet again my theory that children possess underdeveloped thermoreceptors, many kids splash about happily nearby.

Back up on shore, the open-air Shirasuna beachside onsen -- swimsuits permitted -- is a nice way to warm up post swim.

Made for breeding giant pandas

Shirahama is a hot spot for Japanese families, due in part to the presence of Adventure World.

No ordinary theme park, Adventure World also has a zoo that is home to five giant pandas -- the most of any zoo in Japan -- including twins born in 2010.

It's credited with having one of the the most successful panda-breeding programs outside of China, and is the Japanese branch of China's famed Chengdu Panda Research Base.

References to the local celebs can be found all over the town, in the form of kawaii (cute) souvenirs and signage.

Pirate hideaways and one giant rock tatami mat

Another top attraction is Shirahama's Sandanbeki cliffs and caverns.

Up to two kilometers of steep cliffs, some 50 meters high, make up this stunning site, where birds of prey regularly circle overhead.

Visitors can take an elevator down 35 meters to the underground caves (open daily, 8 a.m.-5 p.m.) to see where the ocean rushes in.

There's also a small exhibit showing how Kumano pirates of the Heian era (794-1185) used the caves as hiding spots.

Nearby is Senjojiki rock.

Eroded by thousands of years of sea action, the rock's name loosely translates to "1,000 tatami mats," supposedly because it resembles the popular Japanese flooring material.

Engetsu Island

Shirahama's rock stars don't end there.

Engetsu Island is a 130-meter-wide rock formation, famous for the moon-like hole in the middle.

Designated a "place of scenic beauty of Japan", it's easily viewed from a road on the nearby mainland.

At sunset, the sun appears right in the center of the hole, making it a favorite with photographers.

Where to eat/shop

Shirahama is all about seafood.

I had a fabulous seafood BBQ meal at Shirahama's recently opened pier-side Fisherman's Wharf.

The venue has an Italian restaurant and a Japanese restaurant, but the real prize is the rooftop Club Caribbean joint with its views of the nearby beach.

Here, diners can choose live seafood from the market on the main floor and cook it themselves on a little grill.

For those who find watching shellfish writhe on hot metal a bit too gruesome, there's a non-seafood menu of beef and pork.

Just outside of Shirahama lies the massive Tore Tore Ichiba Market.

Visitors can take in a tuna cutting demonstration and shop for seafood, produce, fruit and countless Japanese souvenirs.

There are also a few quality dining options, including a food court and a seafood BBQ spot where you can cook up the fresh seafood you just bought at the market.

The local brew

Umeshu is Shirahama's drink of choice.

A few kilometers outside Shirahama on the way to the city of Tanabe sits Nakata, one of Wakayama's biggest ume (Japanese apricot) fruit processing and brewing factories, which is open for tours.

"Everything is carried out by hand, as the fruit is too delicate to be handled with machines," explains Nakata's president, Yoshiaki Nakata, whose great grandfather founded the company.

Where to stay

The 109-room Kaisyu Hotel (rates from 23,500 yen/$229) offers great food, private onsens, comfortable Japanese and Western rooms with sunset views, plus a few cliffside cottages.

Upon check in, guests leave their shoes at the door and are invited to select from a variety of Japanese yukata (robes) or samue (shirt/pant combo).

It's rather fun seeing everyone plodding around in their bare feet through the lobby, wearing their robes to dinner.

The hotel is lacking in English speakers/materials, but staff are very friendly and make an effort.

Travel/contact info

Shirahama Station is two hours and 30 minutes from Shin Osaka station on the JR Kinokuni Line Express Train.

The town has a decent bus system that will get you to many of the major stops, including Adventure World, the beach, Sakinoyu Onsen, Tore Tore Market and Sandanbeki.

Sakinoyu: 1668 Shirahama Town, Nishimuro District; +81 (0)73 942 3016

Adventure World: Nishimuro, Katata Shirahama, Wakayama 649-2201; +81 (0)57 006 4481

Fisherman's Wharf: 649-2211 Nishimuro-gun, Shirahama, Wakayama 1667-22; +81 (0)73 943 1700

Tore Tore Ichiba Market: 2521 Katata Shirahama, Wakayama 649-2201; +81 (0)73 942 1010

Nakata: 1475 Shimomisu, Tanabe, Wakayama 646-0292; +81 (0)73 922 2486

Kaisyu Hotel: 1698-1 Shirahama, Nishimuro, Wakayama

@highlight

Shirahama, Wakayama is one of the most popular beaches in Japan's Kansai region

@highlight

More than 1,300 years old, Sakinoyu Onsen is one of Japan's three oldest hot springs

@highlight

Other popular Shirahama sites include caves, fish markets and a famed panda center