On Thursday, Groupon founder and CEO Andrew Mason summed up his day, and perhaps an entire niche industry, with a joke.

"I've decided that I'd like to spend more time with my family," he said in a companywide memo. "Just kidding -- I was fired today."

Mason made some decisions while running the daily-deals site that can certainly be questioned. Refusing a reported $6 billion buyout from Google in favor of what would turn out to be a tepid stock offering, for one. (It was trading Friday for about $5). Approving those dubious Super Bowl ads two years ago was another.

But his unceremonious ouster from the company he created speaks, too, to how online and mobile coupons -- for a brief, shining moment the darlings of the tech world -- have fallen out of favor.

LivingSocial laid off 400 workers in November, not long after Amazon reported it had lost $169 million due to investing in the company.

Last year, Atlanta-based mobile app Scoutmob took a unique tack, appealing to investors by announcing that its creators never considered it a "daily deals" tool.

So, what happened? Here are four factors that have contributed to the decline of the daily deal ... and one that could help it survive.

1. Spam

Groupon spawned a glut of copycat services. And let's face it, once you signed up for a pile of deals sites, that meant a pile of e-mail in your inbox every day.

As a harried digital world began dreaming of the Internet's white whale -- "Inbox Zero" -- people got tired of looking at one offer after another, especially at a time when some folks found their paychecks stretched so thin that even 25% off of a restaurant meal was outside their budgets.

The barrage got so bad that at least one tool was created to combat it. UnsubscribeDeals.com offers one simple service: the sometimes-tricky task of getting you off of the mailing lists of major deals sites. You can then opt for a single e-mail, weekly, with personalized offers.

"The industry, and Groupon specifically, received a lot of attention over this 18-month period. They got a lot of press, they spent a lot of marketing dollars getting users," said Unaiz Kabani, product manager for daily-deals analysts Yipit. "What they did is sign up way more customers than are going to actually be interested in the product.

"Those are the ones that are just kind of viewing the e-mails as spam."

2. Irrelevance

With four or five, or more, deals hurtling toward you every day, what are the odds you're going to be interested in most of them? The law of averages says they're not very high.

Don't need your teeth whitened? Bungee jumping not your thing? Not sure your slow-pitch softball team would appreciate you skipping practice for Bikram yoga?

If you have to wait weeks for something interesting, eventually you'll lose patience. (Note: See item five for hope on this front.)

3. Angry businesses

Research done by Yipit showed that about 90% of businesses that used Groupon and LivingSocial were satisfied with the experience, Kabani said.

But in the daily-deals heyday, stories started surfacing from businesses, particularly restaurants, saying the digital coupons were a bad bargain.

Customers who showed up for a deeply discounted meal never came back to pay full price, presumably having moved on to the next bargain. Deal-seekers were regularly bad tippers.

One cafe owner in Portland said she lost $8,000 on a Groupon deal. At the time, businesses couldn't cap the number of Groupons the site could sell, and she got clobbered by tons of people taking her up on an offer for $13 worth of service for $6.

(Mason, to his credit, heard her story and offered to "make things right.")

As we noted, that wasn't the majority of businesses. But a spate of stories like that made some merchants think twice about signing up.

4. Deal fatigue

The Internet is a "been there, done that" sort of place.

While 2010 and 2011 brought us stories of daily-deal addiction, 2012 and 2013 have brought more about daily-deal burnout.

From "Draw Something" to location-based games to those funny Facebook quizzes, what's hot today on the Web can  be virtually gone tomorrow.

We're looking at you, "Harlem Shake."

5. Hope for the future?

Adapt or die. It's the law of the jungle, and the digital marketplace.

Kabani notes that Groupon actually had pretty good results last quarter. One thing they've done is become more of a buffet and less of a blue-plate special. Users can now go to the Groupon site and search for something they're actually interested in, rather than just waiting to see what pops into their inbox.

"Instead of just one daily deal, they're creating this open-ended marketplace that's done really well," he said. "Say you're looking for a massage deal or to get a haircut. You can go to Groupon now and find something like what you're looking for."

As noted above, Scoutmob scored a few million dollars in investments last year by positioning itself as a more well-rounded mobile company than some deals sites.

"The industry matured really, really quickly; that's kind of when you saw that hyper growth period," Kabani said. "It's obviously not in that space any more. They're in the optimization mode ... trying to understand how to best optimize their subscribers."

@highlight

Groupon founder's ouster highlights the struggles of daily-deals services

@highlight

Once Web darlings, sites like Groupon, LivingSocial have struggled

@highlight

Complaints of spam, irrelevance top users' gripes

@highlight

Change could be the key to their future