Kabul, Afghanistan (CNN) -- The "terrible" weekend killings of civilians won't knock the United States and its NATO allies off the course they've charted in Afghanistan, Defense Secretary Leon Panetta said Monday.

An American sergeant is suspected of killing 16 people: nine Afghan children, three women and four men in two villages near his combat outpost on Sunday. Gen. John Allen, the U.S. and NATO commander in Afghanistan, called the rampage "the actions of a single soldier," but it has added new strains to the relationship between the coalition and the Afghan people in the decade-old war.

As he set out for a trip to the Middle East, Panetta told reporters the allies "seem to get tested almost every other day." But he added, "It is important that, all of us, United States, Afghanistan, the ISAF forces all stick to the strategy that we've laid out."

"War is hell," he said. "These kind of events and incidents are going to take place. They've taken place in any war. They're terrible events. This is not the first of those events, and they probably won't be the last."

Sunday's killings followed a string of incidents involving U.S. troops that have strained ties between the United States and Afghanistan, and Afghan President Hamid Karzai condemned the weekend bloodshed as "unforgivable." Afghanistan's parliament demanded a public trial for the suspect, while the Afghan Taliban condemned U.S. troops as "sick-minded American savages" and vowed to exact revenge.

"This is a very negative act in relations between the Afghans and the Americans," said a tribal elder in the district of Panjwai, where the killings took place.

"All Afghans have been hurt by this act and I don't think people will trust the Americans anymore," said the official, who asked not to be named out of fears for his safety.

But Allen told CNN's "The Situation Room" that the decade-old allied campaign in Afghanistan "remains on track" despite the violence.

"Every single day, Afghan soldiers and Afghan police and ISAF troops are serving shoulder-to-shoulder in some very difficult situations," he said. "And our engagement with them, our shoulder-to-shoulder relationship with them, our conduct of operations with them every single day defines the real relationship. This is an isolated act."

The still-unidentified suspect served three tours of duty in Iraq before being deployed to Afghanistan, Allen said. A U.S. military official, who asked not to be named because he was talking about an ongoing investigation, said the suspect is an Army staff sergeant who arrived in Afghanistan in January.

"The evidence at this point, both in terms of observations and reports and interviews, leads us to believe that he acted as an individual at this point," Allen said.

During the suspect's last deployment, in 2010, he was riding in a vehicle that rolled over in a wreck, according to a senior Department of Defense official who also spoke on condition of anonymity. The sergeant was diagnosed with a traumatic brain injury after the wreck, but was found fit for duty after treatment, the official said.

Allen said the suspect's medical history would be part of the investigation, which would be handled by American military authorities.

"We will certainly keep the Afghan government informed throughout this investigation," he said. "We will keep the Afghan government informed throughout the process of adjudicating the outcome. But this individual will be investigated and the outcome will be in accordance with U.S. law."

White House response to shooting spree

The suspect is in his mid-30s, with a wife and children, officials said Monday. The senior defense official said he is an infantry sniper trained to fire fatal shots from up to 800 meters (yards) away, and was assigned to an outpost near the southern Afghan city of Kandahar to support a Special Forces unit, according to a second military official who asked not to be named because of the investigation.

After the predawn shootings Sunday, Panetta said the suspect "basically turned himself in and told individuals what had happened." But the senior defense official said the suspect has invoked his right to remain silent and has given no indication of his motive.

A congressional source not authorized to speak publicly identified his unit as the 3rd Stryker Brigade Combat Team, 2nd Infantry Division, stationed at Joint Base Lewis-McChord near Tacoma, Washington. The source said the soldier was put in pretrial confinement in the southern Afghan city of Kandahar, about 25 kilometers (15 miles) from the outpost where he was stationed, while the senior defense official said the suspect's family has been moved on to Joint Base Lewis-McChord for their safety.

Allen said an Afghan soldier at the outpost spotted the suspect going out around 3 a.m. Sunday and notified American commanders.

"A search party was being put together immediately," he said. "There was a head count done amongst the American soldiers, recognized that he was missing, unaccounted for. We put together a search party right away and it was as that search party was forming that we began to have indications of the outcome of his departure."

The killings could intensify the rage that sparked deadly riots directed at international forces last month over the burning of Qurans by U.S. troops. In addition, U.S. commanders were forced to condemn a video of a squad of Marines urinating on bodies in January, and several soldiers -- also from Joint Base Lewis-McChord -- were charged with taking part in a rogue "kill squad," with the highest-ranking soldier being sentenced to life in prison in November.

Taliban link attack to Quran burning

The latest incident brought a new round of high-level statements from Washington.

"This is not who we are, and the United States is committed to seeing that those responsible are held accountable," U.S. Secretary of State Hillary Clinton said Monday.

On Sunday, President Barack Obama phoned Karzai to offer his condolences, assuring his Afghan counterpart that justice would be done.

According to the White House, Obama said the attack "does not represent the exceptional character of our military and the respect that the United States has for the people of Afghanistan."

But villager Muhammad Wali said many of his neighbors have lost confidence in both the Americans and the Afghan security forces, whom they accuse of failing to protect them, he said.

"The people in these villages are scared, and we don't know what is going to happen next," Wali said. "They saw nothing except the Americans going and killing them in their homes," he added.

Kandahar and the surrounding region is the home of the Taliban, and eight of the 69 coalition troops killed in Afghanistan so far this year died in the province.

Officials within the Obama administration said the incident will not derail talks on the role of U.S. troops beyond 2014, when foreign combat troops are scheduled to withdraw.

The United States and its allies invaded Afghanistan in 2001, after al Qaeda's attacks on New York and Washington that killed nearly 3,000 people. The invasion quickly toppled the Taliban, an Islamic fundamentalist movement that ruled most of Afghanistan and had allowed al Qaeda to operate from its territory. But the militia soon regrouped and launched an insurgent campaign against the allied forces and a new government led by Karzai.

The No. 1 U.S. target in the conflict, al Qaeda founder Osama bin Laden, was killed in a commando raid in neighboring Pakistan in May 2011. American and allied combat troops are scheduled to leave Afghanistan by 2014, and Karzai has been increasingly critical of the allied force.

Tensions ramped up dramatically in February after a group of U.S. soldiers burned copies of the Quran, Islam's holy book, that had been seized from inmates at the American-run prison at Bagram Air Base because they allegedly contained extremist communications.

CNN's Sara Sidner, John Dear, Jethro Mullen, Barbara Starr, Chris Lawrence, Brianna Keilar, Diana Magnay, Deirdre Walsh and journalist Ruhullah Khapalwak contributed to this report.

@highlight

NEW: "War is hell," Panetta says, but killings won't affect strategy

@highlight

The suspect was treated for a 2010 brain injury but was cleared for duty, an official says

@highlight

His medical history will be part of the investigation, NATO commander says

@highlight

"The people in these villages are scared," one Afghan tells CNN