(CNN) -- With no wreckage or flight recorders from Flight 370 to guide them, investigators in Malaysia are poring over information about the backgrounds of the pilots and passengers, radar data, and the transmissions from the cockpit. They also need to pay close attention to another important clue: the cargo manifest.

The list of what ends up in the cargo hold of a passenger airplane goes beyond checked luggage. Freight shippers use passenger carriers as well as cargo lines to deliver goods and raw materials. Knowing what was in the cargo hold -- or at least what the official list says was in it -- is important in any accident investigation.

It was never more important than it was in the case of the 1996 crash of ValuJet Flight 592.

Opinion: Flight's resting place is best clue

The ValuJet plane, a DC-9, crashed into the Florida Everglades shortly after takeoff from Miami. Investigators found the pilots were unable to control the plane after a fire raced through the cargo hold, disabling some of the plane's systems. The source of the fire was traced to a shipment of oxygen canisters that had been mistakenly labeled and improperly packed.

The accident led to a push by the National Transportation Safety Board to put smoke detectors and fire-suppression systems in the cargo bays of all passenger aircraft. The Federal Aviation Administration responded and today, halon fire-suppression systems tucked into the cargo holds are an important safety feature on passenger planes.

So far, so good. Since then, a new type of cargo has emerged: lithium batteries. There are two types of lithium batteries. One is the rechargeable batteries like those in your phone and laptop, also called lithium ion batteries. A second type, nonrechargeable batteries, also called lithium metal batteries, are used in everything from toys to medical devices.

Lithium metal batteries deliver extremely high densities of energy, and if they are mishandled they can catch fire, a fire that can't be extinguished with halon, the most common kind of fire-suppression systems in passenger aircraft. That's one reason the FAA banned shipments of nonrechargeable lithium metal batteries on passenger planes in 2004. But that ban only applies in the United States; international authorities are still considering whether to enact such a rule. Cargo and passenger aircraft are free to carry lithium ion batteries, although they are subject to labeling and packing regulations.

So what was on board Flight 370? Malaysian officials, after saying the cargo manifest would "be released in due course," later got a little more specific and said the Boeing 777 was carrying 440 pounds of lithium ion batteries. What else? Nothing that would cause a problem, the Malaysians assure us. An Australian news media report said the Malaysian government refused to release the manifest to the Australian government, which would find such information helpful as it tries to map out a search.

Let's assume little more than luggage and lithium ion batteries were in the plane's cargo hold. Although lithium ion fires are easier to suppress than lithium metal battery fires, both are susceptible to what's called "thermal runaway" when ignited. That's when one cell ignites the next cell, creating a fire that's more difficult to control with traditional fire suppression methods.

It's worth noting that lithium ion batteries were the main suspect in the crash of a UPS Boeing 747 in Dubai in 2010, killing both pilots as they tried to make an emergency landing. Investigators in the United Arab Emirates studied the cargo records and found that shipments of lithium ion batteries that should have been declared hazardous cargo were not. The reinforced cargo liner was no match for the fire that quickly destroyed the aircraft's control systems and filled the cockpit with smoke, incapacitating the pilots.

Presumably, the Malaysian government is paying close attention to anything on board the aircraft that might have caused a catastrophic fire. They need to be looking beyond the list of transported items, talking to freight shippers who might have had anything on board that was mislabeled, damaged or not handled correctly in transit. That's just as important as talking to the relatives of the pilots and investigating the flight simulator one had in his home -- which, by the way, is not a crime and in the case of a pilot, often only shows a passion for the job.

The opinions expressed in this commentary are solely those of Sylvia Adcock.

@highlight

Sylvia Adcock: Investigators need to look closely at Flight 370's cargo manifest

@highlight

Adcock: Malaysian officials said jet was carrying 440 pounds of lithium ion batteries

@highlight

Adcock: Lithium ion batteries are flammable, can burn in a way that's difficult to extinguish

@highlight

Checking this is at least as important as investigating pilot's flight simulator, she says