DAR ES SALAAM, Tanzania (CNN) -- President Bush gave Tanzania's president, who played basketball as a youth, a pair of Shaquille O'Neal's shoes Sunday, along with millions of dollars to help combat disease and poverty in the east African country.

President Jakaya Kikwete, next to President Bush, looks on as Bush greets a boy at a Tanzanian hospital Sunday.

The gift of the American basketball icon's size-23 hightops spoke to the lighter side of Bush's visit. President Jakaya Kikwete presented gifts, too -- a stuffed leopard and lion, a Zebra skin and a wood carving for the American president who was enthusiastically welcomed on the second stop of his five-nation African tour.

The Tanzanian president later artfully dodged a reporter's question on the potential that the U.S. might elect a black president, Sen. Barack Obama, whose father is Kenyan.

Kikwete looked at Bush before demonstrating his political deftness, saying, "Let him be as good a friend of Africa as President Bush has been."

But there was plenty of serious business to tend to as well, namely the signing of a compact under which the U.S. is to provide a $698 million grant to Tanzania.  Watch how Bush explained what African nations are candidates for U.S. aid »

U.S. funding is intended to help African governments buy mosquito netting and insecticide to prevent the spread of malaria.

"It breaks my heart to know that little children are dying needlessly because of a mosquito bite," Bush said.

Bush also attended a roundtable on the President's Emergency Plan for AIDS Relief, or PEPFAR, program, which Kikwete said is saving lives and helping the African continent avert a health disaster.

Bush said he has requested $30 billion over the next five years for the program.

Though PEPFAR has helped increase accessibility to anti-viral drugs, the program is controversial because there is little focus on distributing condoms -- a staple of the program under President Clinton -- or on sex education, said Joel Barkan, a senior associate for the Center for Strategic and International Studies.

The program is "largely pursued through faith-based initiatives," he said, adding that it's not clear whether the AIDS-prevalence rates are going down.

After their visit to Tanzania, the president and first lady Laura Bush will travel to Rwanda to meet with President Paul Kagame.  Watch why Bush looks to Africa as part of his legacy »

The U.S. has provided nearly 7,000 Rwandan troops with training, and spent more than $17 million to equip the troops and send them to Sudan, according to National Security adviser Stephen Hadley.

Ethnic and tribal violence has raged for years in Sudan's western Darfur region, leaving about 200,000 dead and more than 2 million displaced. Arab militias, said to be backed by the Sudanese government, have wantonly attacked Africans, and numerous rebel groups have attacked government targets.

"In Darfur, the U.S. will continue to call the killing what it is -- genocide," Bush said last week.

The Bushes will go to Ghana then Liberia after visiting Rwanda. Secretary of State Condoleezza Rice, who is on the Africa trip, will head to Kenya on Monday to support efforts to reach political conciliation there.

The country erupted in ethnic violence after a December presidential vote, in which President Mwai Kibaki kept his post. Opposition leader Raila Odinga blasted the results, saying the election was rigged. He and his supporters declined to recognize the election results.

Violence has declined some since former U.N. Secretary-General Kofi Annan began mediating between the two groups.

Bush's first stop on the six-day tour was Benin, where he arrived Saturday.

There, President Thomas Yayi Boni inducted Bush into the National Order of Benin and gave the American president a sash, cross medallion and lapel pin. He also thanked Bush for U.S. aid aimed at fighting poverty, malaria and HIV/AIDS, and he asked for help for Benin's struggling cotton exports.

Boni said it was tough for Benin to compete with Asian cotton producers because of their superior infrastructure and with U.S. cotton growers because of government subsidies.

Bush responded that the U.S. is willing to make concessions, but suggested that Benin might be better served to develop a cotton-products industry rather than trying to export raw cotton.

Boni said Benin needs international help bolstering its electricity, water, communication and transportation systems before expanding its manufacturing sector.

Bush said he chose Benin to start his African tour because its leaders were determined to fight corruption and were careful to make sure U.S. aid dollars were properly spent.

"The United States wants to partner with leaders and their people, but we're not going to do so with people who steal money, pure and simple," Bush said.

The United States has given Benin $307 million in a five-year grant to fight poverty, part of Bush's Millennium Challenge Account, which provides aid to countries that practice democratic principles and sound economic policy.

Bush's trip to Africa is "basically an effort to celebrate successes," said Joel Barkan of the Center for Strategic and International Studies. Most Americans picture Africa as the "continent of gloom and doom," but the president is saying the bigger picture is one of "making progress."

Barkan added, "The question might be asked why he's not going to a number of countries," in particular the regional powers of Kenya, South Africa and Nigeria.

"If the election in Kenya had gone well," the analyst said, "I'm sure Kenya would have been included. That's not possible now."

The trip marks Bush's second to the continent and his wife's fifth. E-mail to a friend

@highlight

President Bush signs aid compact with Tanzania during Africa tour

@highlight

President, first lady visiting five nations during six-day visit to the region

@highlight

Benin thanked President Bush for anti-AIDS efforts, other U.S. help Saturday  Condoleezza Rice will visit Kenya to back efforts to end political crisis there