(CNN) -- The horrors of war are best illustrated in the drawings.

In one sketch, a child details a helicopter and warplane firing over a tank shooting a missile.

Underneath, men fire guns at each other as a stick figure lies on the ground nearby.

The Syrian civil war has taken a massive psychological and physical toll on the most innocent of victims -- the children.

More than 2 million Syrian children have been afflicted by trauma, malnutrition or disease, the aid group Save the Children said in a report Wednesday.

The fighting has left one in three kids with injuries.

And it has decimated vaccination programs across the country, with about two-thirds of children in northern Syria without protection against preventable diseases.

U.N.: Number of Syrian refugees escalating at rapid rate

Nowhere to hide

With more than 3 million buildings pummeled by attacks, children and parents across the country are running out of places to take cover.

About 80,000 Syrians are now sleeping in caves, parks or barns, Save the Children said.

Those slightly more fortunate pack into overcrowded apartments or homes with other families. But with the front lines of war shifting daily, no dwelling is spared from the bombings.

"Most of the houses were being hit. We had to stay in one room, all of us. The other rooms were being hit," 12-year-old Yasmine told the agency.

"The shelling was constant. ... I knew we could not move from that one room. There were 13 of us... crammed into one room. We did not leave that room for two weeks."

When her father finally ventured out, Yasmine's life changed forever.

"I watched my father leave, and watched as my father was shot outside our home," the girl said. "I started to cry, I was so sad. We were living a normal life, we had enough food. Now, we depend on others. Everything changed for me that day."

Prince Charles visits Syrian refugee camp

Traumatized by grief

Yasmine's ordeal is just one of countless stories of children struggling with the killings of family members.

A new study from Bahcesehir University in Turkey found three in every four Syrian children interviewed had lost a loved one because of the fighting, Save the Children said.

"I don't think there is a single child untouched by this war," a resident named Safa said. "Everyone has seen death. Everyone has lost someone."

Used as pawns

They're too young to fight, too young to fire a weapon. But that doesn't mean they've been spared from the front lines.

"Children are increasingly being put directly in harm's way as they are being recruited by armed groups and forces," Save the Children said. "There have even been reports that children as young as eight have been used as human shields."

A recent U.N. report echoes this finding, saying government and rebel forces have recruited boys as young as 12.

No school to go to

Ten-year-old Noura said she loved going to school. But like thousands of students, now there is no school to attend.

"I stopped going to school when the shelling started. It wasn't safe," Noura told the aid group. "I feel sad that my school was burned because my school reminds me of my friends."

More than 2,000 schools across the country have been damaged, with many more turned into emergency shelters, the group said.

Any way out

Save the Children called for the U.N. Security Council to unite on a plan that will bring an end to the civil war.

But two years of U.N. diplomacy, negotiations and chronic stalemates at the Security Council have so far failed to produce an effective solution in Syria.

Earlier this year, Syrian President Bashar al-Assad announced a plan to resolve the conflict, which included national dialogue and a new constitution that would be put up for a public referendum.

But there's a major caveat: Al-Assad said he refuses to deal with "terrorists," a term the government often uses to describe the opposition seeking to end 42 years of al-Assad family rule.

Similarly, opposition members have said they will not work directly with al-Assad's "criminal" government, nor will they accept any solution that doesn't involve the president's departure.

"We don't know who is right and who is wrong, but I know we civilians are paying the price," a mother named Hiba said.

"I just wanted to keep my children safe. If I die, it is fine ... but not my children."

@highlight

Save the Children: Kids as young as 8 are reportedly used as human shields

@highlight

In northern Syria, about two-thirds of children lack proper vaccinations against diseases

@highlight

A 12-year-old describes watching her father get shot outside her home

@highlight

"I stopped going to school when the shelling started. It wasn't safe," a child says