(CNN) -- Could a massive passenger jet slip past radar, cross international borders and land undetected?

That's a key question investigators are weighing as they continue the search for Malaysia Airlines Flight 370, which vanished March 8 on a flight between Kuala Lumpur, Malaysia, and Beijing.

Radar does have some blind spots, and it's possible to fly at lower altitudes to avoid being spotted, analysts told CNN.

But experts are divided over whether that could be what happened to the missing Boeing 777.

Jeffrey Beatty, a security consultant and former FBI special agent, says someone could have planned a route that avoided radar detection.

"It certainly is possible to fly through the mountains in that part of the world and not be visible on radar. Also, an experienced pilot, anyone who wanted to go in that direction, could certainly plot out all the known radar locations, and you can easily determine, where are the radar blind spots?" he said. "It's the type of things the Americans did when they went into Pakistan to go after Osama bin Laden."

On Monday, the Malaysian newspaper New Straits Times reported that the plane may have flown low to the ground -- 5,000 feet or less -- and used mountainous terrain as cover to evade radar detection. The newspaper cited unnamed sources for its reporting, which CNN could not immediately confirm.

And a senior Indian military official told CNN on Monday that military radar near the Andaman and Nicobar Islands isn't as closely watched as other radar systems. That leaves open the possibility that Indian radar systems may not have picked up the airplane at the time of its last known Malaysian radar contact, near the tiny island of Palau Perak in the Strait of Malacca.

U.S. officials have said they don't think it's likely the plane flew north over land as it veered off course. If it had, they've said, radar somewhere would have detected it. Landing the plane somewhere also seems unlikely, since that would require a large runway, refueling capability and the ability to fix the plane, the officials have said.

Malaysian officials said Monday that they were not aware of the Malaysian newspaper's report.

"It does not come from us," said Malaysia Airlines CEO Ahmad Jauhari Yahya.

Analysts interviewed by CNN said that it would be extremely difficult to fly such a large aircraft so close to the ground over a long period of time, and that it's not even clear that doing so would keep the plane off radar scopes.

"Five-thousand isn't really low enough to evade the radar, and that's kind of where general aviation flies all the time anyway, and we're visible to radar," said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

"It just seems really highly improbable, unless we've been overestimating a lot of other countries' radar system capabilities," said Daniel Rose, an aviation and maritime attorney.

Buck Sexton, a former CIA officer who's now national security editor for TheBlaze.com, said radar would have detected the plane if it flew over land.

"This is a bus in the sky. It's a lot harder to get under the radar with this kind of thing than I think most people realize," he said. "So really, while the search I know has extended to this vast area stretching up into (the nations and central or south Asia), clearly there really should be much more of a search over open water, because this is not getting past people's radars."

It wouldn't be easy to avoid radar detection, experts say, but it could be done.

"Anything like this is possible," radar expert Greg Charvat told CNN's Piers Morgan Live. "But to do it, you'd have to have very detailed information of the type of radars, their disposition, their heights and their waveforms to pull that off."

Different countries would likely be using different radar systems, he said, but it's unclear how advanced the technology is in many countries.

"It took a great deal of skill to do this," CNN aviation analyst Jim Tilmon said. "I think somebody was at the controls who understood the value of altitude control to eliminate the possibility of being spotted and tracked on radar."

Whoever was in control in the cockpit, he said, "really had the ability to map out a route that was given the very best chance of not being detected."

One other possibility, he said: the plane could have shadowed another plane so closely that it slipped by radar detection.

Other analysts say that would require so much skill that it would be nearly impossible to pull off without getting caught.

There's another possible wrinkle, experts say. Some countries may be hesitant to reveal what they've seen on radar.

"They want to protect their own capabilities," Beatty said. "Their intelligence services are not going to want to publicize exactly what their capabilities are."

Here are other developments in the search and investigation, as search crews from 26 nations continue scouring vast swaths of ocean and land for any trace of the airliner:

Timeline clarification

Ahmad Jauhari said Monday that it wasn't clear whether the final words from the cockpit came before or after the plane's data-reporting system was shut down. Earlier, Malaysian authorities had said the message "All right, good night" came after the system had been disabled.

The voice message came from the plane's copilot at 1:19 a.m. Saturday, March 8, Ahmad Jauhari said. The data system sent its last transmission at 1:07 a.m. and was shut down sometime between then and 1:37 a.m. that day, Ahmad Jauhari said.

Grief counselor: Families holding on to hope

As authorities keep searching for the plane, the loved ones of the 239 passengers and crew members who were on board are left in limbo.

Helping them has been difficult, grief counselor Paul Yin told CNN's "AC360."

"Grief counseling, or any kind of recovery from this, has to have a starting point. And the starting point is having a verdict of what happened," he said. "Without a starting point, every day people's emotions go up and down, from hope to despair."

He heard some family members cheer when they learned that hijacking was possibly what caused the plane's disappearance.

"Because that means they could still be alive," he said. "They're trying to hold onto any little bit of hope."

Chinese response

China said Monday that it had deployed 10 ships, 21 satellites and multiple aircraft to aid in the search.

Premier Li Keqiang spoke with Malaysian Prime Minister Najib Razak to ask for more information to help speed the search along, according to a statement posted on the Chinese government website.

A top Malaysian official denied the allegation that his country had held back information about the missing flight.

"Our priority has always been to find the aircraft. We would not withhold any information that could help," Acting Transport Minister Datuk Seri Haishammuddin Tun Hussein told reporters. "But we also have a responsibility not to release information until it has been verified by the international investigations team."

U.S. Navy pulls out destroyer

The USS Kidd and its helicopters have stopped combing the Andaman Sea and are no longer part of search efforts for the missing plane, the Navy said.

The move is partially because Australians are taking over the majority of the searching in that area, U.S. officials said. A U.S. P-8 aircraft will move to Perth, Australia, to be based there for searching.

Fewer U.S. assets will be involved in the search for the missing plane, but U.S. officials said the P-8 will be able to cover a wider range of ocean more quickly than the ship could.

"This is actually much more effective for the overall search," Cmdr. William Marks of the U.S. 7th Fleet told CNN's Wolf Blitzer Monday.

"The real challenge is this huge expanse of water. I keep saying, if you superimposed a map of the U.S. on here, it'd be like trying to find someone anywhere between New York and California. so that's the challenge here," he said. "We have amazing, dedicated air crews. it's just a matter of how much area we can search."

CNN's Barbara Starr, Brooke Baldwin, Wolf Blitzer and Elizabeth Joseph contributed to this report.

@highlight

NEW: Grief counselor: Families are trying "to hold onto any little bit of hope"

@highlight

Experts are divided over whether plane could have slipped past radar

@highlight

Analyst: Radar blind spots could be determined "easily"

@highlight

USS Kidd pulls out of the search for the missing plane