Kuala Lumpur, Malaysia (CNN) -- There were few answers Sunday about the fate of Malaysia Airlines Flight 370, a day after contact was lost with the commercial jetliner en route from Kuala Lumpur to Beijing.

An aerial search resumed at first light, with aircraft searching an area of the South China Sea for any sign of where the flight may have gone down, Azharuddin Abdul Rahman, the director general of civil aviation in Malaysia, told reporters

"We have not been able to locate anything, see anything," Rahman said. "There's nothing new to report."

The closest things to clues in the search for the missing jetliner are oil slicks in the Gulf of Thailand, about 90 miles south of Vietnam's Tho Chu Island -- the same area where the flight disappeared from radar early Saturday morning. A Vietnamese reconnaissance plane, part of a massive, multinational search effort, spotted the oil slicks that stretch between six and nine miles, the Vietnam government's official news agency reported.

Malaysian authorities have not yet confirmed the Vietnamese report, Rahman said.

The reported oil discovery has only added to a growing list of questions about the fate of the plane carrying 227 passengers and 12 crew members: What happened to the plane, why was no distress signal issued, and who exactly was aboard?

Passenger manifest questioned

Bits and pieces of information have begun to form, but it remains unclear how they fit into the bigger picture, if at all.

For instance, after the airline released a manifest, Austria denied that one of its citizens was aboard the flight. The Austrian citizen was safe and sound, and his passport had been stolen two years ago, Austrian Foreign Ministry spokesman Martin Weiss said.

Similarly, Italy's foreign ministry confirmed none of its citizens were on Flight 370, even though an Italian was listed on the manifest.

On Saturday, Italian police visited the home of the parents of Luigi Maraldi, the man whose name appeared on the manifest, to inform them about the missing flight, said a police official in Cesena, in northern Italy.

Maraldi's father, Walter, told police he had just spoken to his son, who was fine and not on the missing flight, said the official, who is not authsorized to speak to the media. Maraldi was vacationing in Thailand, his father said.

The police official said Maraldi had reported his passport stolen in Malaysia last August and had obtained a new one. But U.S. law enforcement sources told CNN that both the Austrian and Italian passports were stolen in Thailand.

"No nexus to terrorism yet," a U.S. intelligence official said, "although that's by no means definitive. We're still tracking."

Malaysian authorities have been in contact with counterterrorism organizations about possible passport issues, Malaysia's transportation minister Hishamuddin Hussein said. He did not state how many passport issues there are, saying authorities are looking at the whole manifest.

The U.S. government has been briefed on the stolen passports and reviewed the names of the passengers in question but found nothing at this point to indicate foul play, said a U.S. law enforcement official, who spoke on condition of anonymity.

Of the two passports in question, the Italian one had been reported stolen and was in Interpol's database, CNN Law Enforcement Analyst Tom Fuentes said, citing sources at Interpol.

Additionally, no inquiry was made by Malaysia Airlines to determine if any passengers on the flight were traveling on stolen passports, he said. Many airlines do not check the database, he said.

During the news conference in Kuala Lumpur, Rahman declined to say whether the airline or Malaysian authorities had checked the database.

Not ruling anything out

Malaysian authorities reiterated during a news conference that they are not ruling anything out regarding the missing aircraft.

The Boeing 777-200ER departed Kuala Lumpur International Airport at 12:41 a.m. Saturday in good weather, and it was expected to land in Beijing at 6:30 a.m., a 2,300-mile (3,700-kilometer) trip.

Air traffic controllers in Subang, outside Kuala Lumpur, lost contact with the plane about 1:30 a.m., Rahman said. Earlier, the airline said the jetliner lost contact at 2:40 a.m.

The pilots did not indicate to the tower there may be a problem, and no distress signal was issued, the airline said.

It may be days, possibly weeks or months, before authorities can offer any firm answers.

It took five days for authorities to locate the wreckage of Air France Flight 447 when it crashed June 1, 2009, in the Atlantic Ocean, killing all 228 on board.

It took four searches over the course of nearly two years to locate the bulk of Flight 447's wreckage and the majority of the bodies in a mountain range deep under the ocean.

If Malaysia Airlines Flight 370 went down in the Gulf of Thailand, the recovery may be a bit easier because it is a relatively shallow area of the South China Sea, according to marine officials.

Hussein, who in addition to being Malaysia's acting transportation minister is also its defense minister, said that the search area has been expanded because of the possibility the plane had turned back.

China, Vietnam, Singapore and Malaysia were conducting search and rescue operations south of Tho Chu island in the South China Sea, according to the airline and reports from Xinhua, China's official news agency. Ships, helicopters and airplanes are being utilized.

The USS Pinckney, a destroyer conducting training in the South China Sea, is being routed to the southern Vietnamese coast to aid in the search, the U.S. Navy said. The United States is also sending a P-3C Orion surveillance plane from Japan to provide long-range search, radar and communications capabilities, the Navy said.

Meanwhile, the Chinese Coast Guard has ordered on-duty vessels to aid in the search, Xinhua reported, citing government officials. China also sent a diving and salvage team to the area where the airplane is suspected to have gone down, the news agency reported.

Because of the Americans aboard the flight, the FBI has offered to send a team of agents to Malaysia to support the investigation into the disappearance if asked, a U.S. official familiar with the issue told CNN on condition of anonymity. Earlier, an official had said FBI agents were heading to the area.

The FBI is not ruling out terrorism or any other issue as a possible cause in the jetliner's disappearance, the official said.

Officials appeared resigned to accepting the worst outcome.

"I'd just like to say our thoughts and prayers are with the bereaved families," Malaysian Prime Minister Najib Razak said during a news conference.

Grief, especially in China

The plane carried 227 passengers, including five children under 5 years old, and 12 crew members, the airline said. At the time of its disappearance, the Malaysia Airlines plane was carrying about 7.5 hours of fuel, an airline official said.

Among the passengers there were 154 people from China or Taiwan; 38 Malaysians, and three U.S. citizens.

Relatives of the Chinese citizens on board gathered Saturday at a hotel complex in the Lido district of Beijing as a large crowd of reporters gathered outside.

"My son was only 40 years old," one woman wailed as she was led inside. "My son, my son. What am I going to do?"

Family members were kept in a hotel conference room, where media outlets had no access. Most of the family members have so far refused to talk to reporters. The airline said the public can call 603 7884 1234 for further information.

In Malaysia, the families and loved ones of those aboard the flight were gathered at the Everly Hotel in Putrajaya, south of Kuala Lumpur, according to Bernama, the Malaysian national news agency.

Twenty of the passengers aboard the flight work with Freescale Semiconductor, a company based in Austin, Texas. The company said that 12 of the employees are from Malaysia and eight are from China.

The airline's website said the flight was piloted by a veteran.

Capt. Zaharie Ahmad Shah, a 53-year-old Malaysian, has 18,365 total flying hours and joined Malaysia Airlines in 1981, the website said. The first officer is Fariq Ab Hamid, 27, a Malaysian with a total of 2,763 flying hours. He joined Malaysia Airlines in 2007.

Still an 'urgent need' to find plane

"The lack of communications suggests to me that something most unfortunate has happened," said Mary Schiavo, former inspector general of the U.S. Department of Transportation, in an interview with CNN International.

"But that, of course, does not mean that there are not many persons that need to be rescued and secured. There's still a very urgent need to find that plane and to render aid," she said.

Malaysia Airlines operates in Southeast Asia, East Asia, South Asia, the Middle East and on the route between Europe and Australasia.

It has 15 Boeing 777-200ER planes in its fleet, CNN's Richard Quest reported. The missing airplane was delivered to Malaysia Airlines in 2002.

Part of the company is in the private sector, but the government owns most of it.

Malayan Airways Limited began flying in 1937 as an air service between Penang and Singapore. A decade later, it began flying commercially as the national airline.

In 1963, when Malaysia was formed, the airline was renamed Malaysian Airlines Limited.

Within 20 years, it had grown from a single aircraft operator into a company with 2,400 employees and a fleet operator.

If this aircraft has crashed with a total loss, it would be the deadliest aviation incident since November 2001, when an American Airlines Airbus A300 crashed in Belle Harbor, Queens, shortly after takeoff from JFK Airport. Killed were 265 people, including five people on the ground.

CNN's Jim Clancy reported from Kuala Lumpur, and Chelsea J. Carter reported and wrote from Atlanta. CNN's Andrew Stevens in Beijing, Yuli Yang in Hong Kong, Jim Sciutto in Washington, Hada Messia in Rome and Ralph Ellis, Elwyn Lopez and Pamela Brown in Atlanta contributed to this report.

@highlight

"We have not been able to locate anything," an airline official says

@highlight

U.S. law enforcement sources say both passports were stolen in Thailand

@highlight

One of the two stolen passports is listed in Interpol's database, sources say

@highlight

Vietnamese searchers spot oil slicks in the South China Sea