(CNN) -- From the British Museum to the Louvre, the world's leading museums house treasured artifacts and storied works of art. They may protect centuries of culture, but they don't want to be perceived as dusty relics themselves.

In response to growing numbers of visitors and, in some instances, creaky infrastructure, these and other iconic museums are undergoing unprecedented expansions.

From London's Tate Modern to the Louvre in Paris, museums are adding extensions, constructing new branches, and erecting gleaming new exhibition spaces, often with the help of the world's leading design firms.

The Tate Modern, the world's most popular museum of modern art, receives around five million visitors a year. That is twice the number that Trustees had in mind when they opened the museum in 2000.

So, as part of a £215m ($357m) expansion plan, the museum commissioned Herzog & de Meuron to convert underground oil tanks into subterranean galleries, which opened in the summer of 2012.

Museums of wonder

When the final expansion is complete at the end of 2016, the museum will have expanded its area by 60%, adding 20,670 square meters of space. The additional space is equivalent to nearly four American football fields.

Chris Dercon, the museum's director, sees the expansion as essential to accommodate the museum's expanding collection and programs.

"It is about transforming the museum into an even more open, engaging place for increasingly diverse audiences," he says. "Our audiences want us to offer many different activities - to be a place for acquiring knowledge, meeting people, discussing ideas, being entertained - and they want to be participants in their own right. The new Tate Modern will be a place to enjoy art from all over the world in all its variety, and will provide artists and visitors with the different kinds of spaces they need to do so."

Nearby, the British Museum has sunk £135 million ($224 million) into its World Conservation and Exhibitions Centre, which opened in March. Designed by Rogers Stirk Harbour+Partners, it stretches out over nine floors and will include 1,100 square meters of gallery space devoted to temporary exhibitions.

Growing audience

In 2013, more than 470,000 visitors filed through the museum's blockbuster show "Life and death in Pompeii and Herculaneum." As with many of its other shows, the museum had to stage the exhibition in its former Reading Room.

"This has limited what we can achieve in terms of exhibition narrative and the display of loan objects," says Hannah Boulton, the museum's head of press and marketing. "The new dedicated space means we can encourage the widest possible audience to come and experience our exhibitions."

Expansion doesn't always involve the original building. In recent years the number of museums opening satellite branches has increased dramatically, and looks set to increase in the coming years.

London's Victoria & Albert Museum, the world's largest museum of decorative arts and design, will open the V&A Dundee in Scotland in 2017. It marks the first time that a design museum will be built in the UK outside of London.

The Louvre Abu Dhabi opens in 2015 with a price tag of $650 million.

Designed by Jean Nouvel, it will sit on Saadiyat Island and touches both sand and sea. It's meant to look like as if it is floating from a distance.

About two-thirds of the structure will be covered by a white dome, with a diameter of 600 feet. Geometric openings in the roof will create a "rain of light" meant to invoke light entering a souk

Curators go to Harvard

University museums see expansion and renovation as key to their mission, too.

In November, Harvard University's three art museums -- the Fogg, the Busch-Reisinger and the Sackler -- will re-open under one roof.

Starchitect Renzo Piano has consolidated the Harvard Art Museums under a single glazed rooftop structure, while restoring and upgrading the 1920s Georgian revival architecture.

Like museum officials elsewhere, Harvard's administration believes the museums' facelift will help them inspire the students and community they serve.

As Harvard President Drew Gilpin Faust says: "Renzo Piano has designed a building that is as beautiful as the works of art it will house and as thoughtful as the people who will work and learn within it."

@highlight

The world's biggest museums are adding new wings to accommodate visitors

@highlight

New exhibition spaces help expand existing programs and stage new shows

@highlight

Renzo Piano has created a glass structure to unite the Harvard Art Museums