(CNN)  -- E-books are revolutionizing the publishing industry and reader preferences, and Amazon might be in a unique position to hasten that change -- if they decide to start giving away their popular Kindle e-reader for free.

Here's why they might want to do that.

Last year, nearly $1 billion in e-books were sold, according to Forrester. By 2015, this is expected to jump to $3 billion. That's an awful lot of money to be made selling e-books.

At that point, selling e-readers at any price might just become an obstacle to selling more e-books. So why not just give away some e-readers for free?

Back in October 2009, blogger John Walkenbach noticed that the Kindle price -- currently $139 -- was falling steadily. By June 2010 this rate was so consistent that he projected that by November 2011 the Kindle price should be $0. Last summer, author Kevin Kelly asked Amazon CEO Jeff Bezos about this projection.

According to Kelly, Bezos "merely smiled and said, 'Oh, you noticed that!' And then smiled again."

In a way, Amazon has already been giving away Kindles for awhile -- in the form of the free Kindle smartphone, tablet, and computer apps. Right now, about 6 million U.S. adults own e-readers -- but this field is getting much more crowded.

According to recent research from Changewave, Kindle currently holds 47% of the e-reader market. Apple's iPad (which is much more than an e-reader, so I'm not sure that's a fair comparison) holds only 32% of this market. Sony's Reader, at 5%, is just barely leading the Barnes & Noble Nook, at 4%.

Plus, Google recently acquired eBook Technologies, Inc., so it'll be interesting to see what that yields on the e-reader front.

The Kindle's core business model has always been to sell books, not devices. So a free Kindle seems like a potentially savvy business move.

Forrester analyst James McQuivey recently noted: "Just 7% of online adults who read books read e-books. But that 7% happens to be a very attractive bunch: they read the most books and spend the most money on books. And here's the kicker: the average e-book reader already consumes 41% of books in digital form.

"Oh, and that includes the people who don't have an e-reader yet, which is nearly half of them. For those that have a Kindle or other e-reader, they read 66% of their books digitally.

McQuivey believes the e-book market has plenty of room for growth and will, by conservative estimates, reach $3 billion by the middle of the decade.

All e-readers, including the Kindle, have their pros and cons -- not the least of which are concerns about digital rights management, and whether you can loan or sell your used e-books.

But if Amazon doesn't offer free e-readers, someone certainly will. I'm sure Amazon wishes to maintain its market lead. Here are three ways they might do that:

1. Buy X number of Kindle books, get a Kindle free

And maybe the Kindle books you've already bought to read on your phone, tablet, or computer might count toward that benchmark.

2. Free Kindles for Amazon Prime members

Millions of Amazon.com customers already pay $79/year to get free two-day shipping on many items, plus (now) free video streaming. TechCrunch speculated on this a year ago.

3. Partner Kindle giveaways

Already some banks have started giving away Kindles to customers. But here's a more intriguing option, from the London Review of Books: "The New York Times, if it stopped printing a physical edition of the paper, could afford to give every subscriber a free Kindle.

"Not the standard Kindle, but the one with free global data access. And not just one Kindle, but four Kindles. And not just once, but every year. And that's using the low estimate for the costs of [their] printing."

Personally, I think free e-reader devices, if they worked with library e-book lending programs (like the one in Oakland, California) and open e-book formats (like .mobi and .pdf) -- could help increase access to books for youths, seniors and low-income communities.

For many in these groups, smartphones and tablets are too expensive or complicated, and it's not always easy to get to the public library -- especially if, as in Oakland and Los Angeles, public library hours are being steadily whittled away.

As a matter of fact, I'm writing this article sitting in the former card catalog room of Doheny Library on the campus of the University of Southern California in Los Angeles. It's a gorgeous space, all four walls lined with built-in wooden card catalog drawers, stacked six feet high. Every one of those drawers is empty.

Like in most libraries today, students now search the library catalog from computer terminals. But they still must go to the shelves to get their books. With free e-readers, maybe libraries could be everywhere, and open all the time.

Hmm, maybe Amazon wouldn't like that so much. But if their e-book market was big enough, they probably wouldn't care.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Amazon is in a unique position to hasten the change in the publishing industry

@highlight

Selling e-readers at any price might just become an obstacle to selling more e-books

@highlight

The Kindle price has fallen steadily anyway since it came on the market