On the eve of peace talks, photos of alleged mass torture in Syria gruesomely illustrate the difficult task before United Nations-led negotiators to end the country's civil war.

On Tuesday, a day after the photos were revealed by CNN, a prominent Syrian opposition group charged the pictures demonstrate "industrial killing" by President Bashar al-Assad's regime. The Syrian Coalition also urged world leaders Tuesday "to exert all possible pressure on the regime to step aside and allow Syrians to realize their desire for a free country."

U.S. State Department deputy spokeswoman Marie Harf said the photos underscore how negotiators need to establish a political transition and "get the Assad regime out of power."

"These most recent images, I think presented by your network first, are extremely disturbing," Harf said. "They are horrible to look at, and they illustrate apparent actions that would be serious international crimes."

A preliminary session for the peace talks, dubbed Geneva II, will begin Wednesday in Montreux, Switzerland, and the formal international talks will commence Friday in Geneva between the Syrian government and opposition delegations.

Even as U.N. Secretary General Ban Ki-moon arrived Tuesday in Switzerland, controversy roiled over how the U.N. rescinded an invitation to Iran to join the talks, with Russian officials saying it was a mistake but "not a catastrophe."

Iran, accused of supporting the al-Assad regime, announced Monday it would not attend the conference because it objected to preconditions seeking a transitional government. The Syrian Coalition, however, said Iran's attendance would have been "a deal-breaker."

"Continued Russian and Iranian support for the regime is the main obstacle to finding a solution to the violence in Syria," the coalition said in its Tuesday statement.

Meanwhile, in Geneva, delegations to the conference continued arriving Tuesday as media outlets awaited their reaction to photographs purporting to show "systematic torture and killing" of detainees by the al-Assad regime.

Could photos be a game changer?

That assertion is being made by a team of internationally recognized war crimes prosecutors and forensic experts, who analyzed thousands of digital photos taken and provided by a Syrian defector codenamed "Caesar," who, along with his family, is now living outside Syria in an undisclosed location.

The experts' report was partly sponsored by the government of Qatar, which funded the British law firm Carter-Ruck to write it. Qatar and Saudi Arabia provide most of the outside support for Syria's rebel forces.

The experts advancing the report are David Crane, the first chief prosecutor of the Special Court for Sierra Leone; Sir Desmond de Silva, the former chief prosecutor of the same special court; and Professor Sir Geoffrey Nice, former lead prosecutor against former Yugoslav President Slobodan Milosevic.

They shared their findings in a joint exclusive this week with CNN's "Amanpour" and The Guardian newspaper.

The experts contend their analysis -- based on thousands of photographs of the dead bodies of alleged detainees killed in Syrian government custody -- would stand up in an international criminal tribunal.

In the photos, lifeless bodies show signs of starvation, brutal beatings, strangulation and other forms of torture and killing, according to the report.

4 things to know about Syria

In one group of images of 150 individuals examined in detail by the experts, 62% of the bodies showed emaciation -- severely low body weight with a hollow appearance indicating starvation. The majority of all of the victims were men most likely between ages 20 and 40.

Stomachs, faces and even legs are concave -- sunken, rather than convex. On some torsos, bruising and bleeding is so severe that the victims' skin is a mosaic of black, red, purple and pink.

Oblong and parallel wounds, a mix of bruises and torn skin, line one man's chest and torso, covering every inch of the victim's body from neck to pelvis.

The forensics team identified the neck bruising as consistent with strangulation with a rope, piece of rubber, or other such object, as opposed to the marks that would be left by a hanging.

De Silva likened the images to those of Holocaust survivors.

The emaciated bodies were the product of starvation as a method of torture, "reminiscent of the pictures of those (who) were found still alive in the Nazi death camps after World War II," de Silva said in a CNN interview.

The report asserts the killing was orchestrated by Syria's highest levels of government.

Haunting images of Syria's abandoned homes

A complex numbering system was used to catalog the corpses, with only the relevant Syrian intelligence service knowing the identities of the corpses. It was an effort, the report says, to keep track of which security service was responsible for the death, and then later to provide false documentation that the person had died in a hospital.

CNN cannot independently confirm the authenticity of the photographs, documents and testimony referenced in the report and is relying on the conclusions of the team behind it, which includes international criminal prosecutors, a forensic pathologist, an anthropologist and an expert in digital imaging.

The report draws its evidence from the testimony of a defector dubbed "Caesar" and almost 27,000 photographs he provided; in all 55,000 such images were taken out of the country.

Caesar worked as photographer in the military police, and once the war broke out, his work consisted entirely of documenting "killed detainees," the report said.

He claimed to have photographed as many as 50 bodies a day.

At one point he took the unusual step of photographing a group of bodies to show that it "looked like a slaughterhouse," according to the report.

Refugees starving to death in Syrian camp

The fact that all the bodies were photographed, the report's authors say, strongly suggests that "the killings were systematic, ordered, and directed from above."

It is also possible that far from being a systematic plan to document human rights abuses, photographing the bodies was the unexamined continuation of a long-time practice.

Syria is not a member of the International Criminal Court. The only way the court could prosecute someone from Syria would be through a referral from the United Nations Security Council.

But because of Russia's support for the al-Assad regime, and because it has veto power on the council, such a referral seems unlikely, at least for now.

More than 100,000 people have been killed in Syria since the revolt against al-Assad began in March 2011, the United Nations says. A communique by last year's Geneva I conference calls for a transitional government and eventual free elections as part of a political settlement to end the war.

Al-Assad has called for this week's conference to include a focus on "fighting terrorism" in Syria. Throughout the civil war, Syria has blamed violence on "terrorists."

In a meeting with Syria's delegates to the talks, al-Assad directed them to preserve their nation's sovereignty by "preventing and rejecting any foreign interference no matter its form and context," Syria's state news agency, SANA, reported Monday.

Al-Assad also said no political solution could be reached without the agreement of the Syrian people and "first and foremost the complete cessation of terrorism" and its support by other countries, the news agency said.

Syria peace talks: Russia criticizes rescinding of Iran's invitation

@highlight

"They are horrible to look at," State Department spokeswoman says

@highlight

Photos of alleged mass torture and killing in Syria come as peace talks are to begin

@highlight

An opposition group in Syrian civil war says images show "industrial killing"

@highlight

A preliminary session to the U.N.-led peace talks will begin Wednesday