(CNN) -- Most people would struggle to place it on a map, but Socotra is one of the world's last unspoiled island chains -- an archipelago off the coast of Yemen that has wildlife so diverse it has been described as the Galapagos of the Indian Ocean.

Its isolation lends Socotra a bucolic serenity and has blessed it with an array of unique animals and plants. A third of Socotra's 825 plant species, 90% of its reptile species and 95% of its land snail species do not occur anywhere else in the world, according to UNESCO, which added the archipelago to its World Heritage List for its natural beauty.

German photographer Claudius Schulze had been fascinated by Socotra since reading about it in a magazine, but he was led there by an old proverb.

"I had a project that didn't work out and we have a proverb in Germany about being 'ready for the island' if you are exhausted -- so I thought it was time to go to Socotra," he said. "I started looking up flights and applying for a visa straight away."

When Schulze, 27, finally made it there he was captivated by both the scenery and the people he met.

"It blew my mind. It's incredibly amazing and other-wordly," he said. "The landscape is bizarre, with mountains, valleys that cut 600 meters into the landscape, moon-like desert plains and huge sand-dunes and endemic plants that are completely different from anything I've seen."

The archipelago has four islands, of which one is uninhabited and two others have only 450 and 100 residents respectively. Schulze visited only the main island, also called Socotra, which covers an area of 3,625 square kilometers. He has published a book of photographs and the story of his travels, called "Socotra, an island."

The tribal Bedouin people of Socotra live mostly from goat herding, date plantations and fishing.

The population of the islands is estimated at 44,000, according to the Socotra Governance and Biodiversity Project (SGBP). However, Schulze said there appeared to be far fewer people, with official figures including many who now live elsewhere.

Although the official language is Arabic, most people speak an unwritten Socotri language of pre-Islamic origin, according to the SGBP.

Also on Inside the Middle East: Qatar's first female Olympians

Schulze received hospitality from the Bedouin people of Socotra, staying in their homes and eating with them, but said he was never quite able to bridge the cultural divide he felt.

"I discovered I was alien to the people and they were alien to me," he said. "They were extremely hospitable, they welcomed me in their houses and I had tea with the village elders, but there was an invisible world of extreme cultural difference."

Schulze said he also witnessed the devastating impact of industrial fishing on the island's small boats.

"I was a guest of fishermen on the coast and there were days when they didn't catch anything so there was nothing to eat but yesterday's bread," he said.

"They are often victim of pirate European fishing trawlers illegally depleting their stocks, because neither Yemen nor (nearby) Somalia has effective coast guard to stop them.

"I realized for the first time what overfishing means. It's not about running out of tuna in 10 years' time, it means people will starve now because they don't get their daily fish."

Also on Inside the Middle East: Auctions celebrate art of the Islamic world

He visited Socotra three times over a year, each time for three weeks, in order to see it in different seasons.

Schulze has been unable to return to Socotra with his finished book, and a lack of a postal system makes it impossible to send it there. However, he has presented the book to members of the Friends of Socotra, an international group composed mainly of scientists interested in the unique biodiversity and culture of the islands.

In addition to its endemic plants, reptiles and snails, Socotra has 192 species of land and sea birds, including many threatened species, and diverse marine life, according to UNESCO.

The SGBP says the local population has developed strong traditional rules to protect the island's natural resources because of its isolated position and history of self-sufficiency.

Schulze's book is available through his website and at selected bookshops listed on the site.

@highlight

Socotra, off the coast of Yemen, has been described as the Galapagos of the India Ocean

@highlight

Photographer Claudius Schulze visited in search of adventure and exploration

@highlight

He has produced a photography book of his travels in Socotra