(CNN) -- The blown-out well at the heart of the worst oil spill in U.S. history has been cemented shut and is "effectively dead," the federal government's point man for the disaster said Sunday.

"Additional regulatory steps will be undertaken but we can now state, definitively, that the Macondo well poses no continuing threat to the Gulf of Mexico," former Coast Guard Adm. Thad Allen announced.

President Barack Obama hailed the "final termination" of the ruptured well, but said the federal government will continue to do "everything possible to make sure the Gulf Coast recovers fully from this disaster."

The well erupted on April 20 and spewed an estimated 4.9 million barrels (206 million gallons) of crude into the Gulf of Mexico before it was temporarily capped in July.

Its owner, oil giant BP, began its final cementing operations to cap the well on Friday.

The death of the well is a milestone that likely will draw only momentary celebration.

As scientists debate how much oil remains below the surface, years of economic and environmental recovery in the region lie ahead.

The federal government will press for answers on what went wrong April 20 and lawsuits -- including those brought by the families of the 11 workers who died in the Deepwater Horizon rig explosion -- will eventually make their way through the courts.

BP stopped the oil July 15, but pumping the bottom of the well with concrete -- the "bottom kill" -- was the final step in a five-month operation to ensure it will not leak.

"This spill began with a bang, ends with a whimper, and leaves a number of issues still screaming for attention," Rep. Edward J. Markey, D-Massachusetts, said Saturday.

"This may be the final nail in the coffin for BP's well, but the investigations into this crime against the environment are continuing. Inquiries by Congress, the Obama administration's independent panel, and others will progress until every inch of this environmental crime scene has been examined and a full autopsy has been performed on the spill's effects," Markey's statement said.

The well operation is wrapping up as the company works to repair its image since the disaster. So far, BP has said it has paid $1.6 billion in claims and government payments.

"BP is doing everything we can to make this right. We continue to ... clean up the environment, and make sure that people are compensated for legitimate claims," its website says.

Chief Executive Tony Hayward was moved to other duties partially because of a perceived lack of empathy for the victims of the spill.

Hayward recently testified before a British parliamentary committee about the failure of the well's blowout preventer, which is now in custody of the U.S. Justice Department and a focus of a criminal investigation into the disaster.

BP shouldered some responsibility for the Gulf of Mexico oil disaster after an internal investigation of the spill, but assigned much of the blame to contractors Halliburton and Transocean.

Faulty cementing, a misread pressure test and the improperly maintained blowout preventer all contributed to the April 20 explosion, BP's nearly 200-page report on the disaster concluded.

"The team did not identify any single action or inaction that caused this accident," BP's report states. "Rather, a complex and interlinked series of mechanical failures, human judgments, engineering design, operational implementation and team interfaces came together to allow the initiation and escalation of the accident. Multiple companies, work teams and circumstances were involved over time."

Both Halliburton and Transocean sharply disputed the findings, with Transocean calling them "self-serving" and Halliburton insisting that the problem lay with BP's well design.

Government scientists have estimated that at least 200 million gallons of oil leaked from BP's damaged well, but 74 percent of it subsequently evaporated, broke up, or was skimmed or burned off.

A team of researchers in the Gulf of Mexico say they found an oily layer as thick as two inches coating the sea floor in some places, and they believe it may be from the BP spill.

"I think what we're seeing is oil that was on the surface, that has sedimented down to the bottom," said Samantha Joye of the University of Georgia.

An analyst from the National Oceanic and Atmospheric Administration cautioned against jumping to conclusions before the samples are chemically analyzed.

@highlight

NEW: Obama hails capping of well, says recovery efforts continue

@highlight

BP well "poses no continuing threat," says government's point man

@highlight

BP began final cementing operation to cap Gulf well on Friday

@highlight

Environmental and economic recovery lie ahead