(CNN) -- Angry supporters of the Syrian president rallied Saturday night at embassies and consulates of countries that voted hours earlier to suspend Syria's membership in the Arab League, anti-government activists said.

Videos posted on YouTube purportedly showed several of the events. One from Damascus shows a large crowd of people chanting as they gathered outside Saudi Arabia's embassy in Damascus. Another, from Aleppo, shows angry backers of President Bashar al-Assad yelling as they appear to break through barriers at the Turkish consulate. Some demonstrators are seen taking a Turkish flag, which previously hung over the consulate, and burning it. Neither YouTube video showed any evident violence.

Anti-government activists tell CNN that supporters of the Syrian regime also attacked the Turkish and French consulates in Latakia.

CNN could not independently confirm the accounts because Syria has not granted international media access to the country.

The developments came after 18 of the Arab League's 22 members voted to punish Syria in an emergency session at its headquarters. The move to suspend Damascus' membership in the alliance -- a stinging blow to al-Assad -- takes effect Wednesday.

Only two member nations -- Lebanon and Yemen -- voted against the measure. Iraq abstained and Syria was barred from voting.

Why did Arab League move on Syria?

The league also called for sanctions against al-Assad's regime, but did not specify what those may include.

Qatari Prime Minister Sheikh Hamad bin Jassim read the league's decisions at a news conference after the meeting of the foreign ministers.

The league called on member states to withdraw their ambassadors from Damascus, a decision that will be left up to each nation.

And perhaps most surprising of all, the league urged the Syrian army to stop attacks on civilians and said that it will hold a meeting with opposition groups in the next three days to discuss a transitional phase in Syria's future.

The Syrian National Council, a leading opposition group, welcomed the league's decision, calling it "a step in the right direction, and a clear condemnation of the Syrian regime."

"The National Council emphasizes its readiness to participate in discussions regarding the transitional period within the scope of the Arab League, to ensure the stepping down of Bashar Al-Assad and the transition to a democratic government that represents the Syrian people and does not (include) anyone from the regime whose hands have been tainted with blood," it said in a statement.

The fact that the league, the formal family of Arab states, took such a bold step against a nation that prides itself as the beating heart of Arabism, is a major development, said Fawaz Gerges, director of the Middle East Centre at the London School of Economics.

"Syria is now as isolated as ever," Gerges said. "I would call it a game-changer."

The Arab League's stated purpose is to strengthen ties among its member nations, coordinate their policies and promote common interests. But the divisions among the 22 nations have diminished its effectiveness.

In the case of Syria, however, the league's decision could open the door for broader international sanctions against the al-Assad regime.

The punitive measures come after al-Assad's failure to abide by an Arab League proposal earlier this month to halt all violence, release detainees, withdraw armed elements from populated areas and allow unfettered access to the nation by journalists and Arab League monitors.

But none of that has happened, according to daily reports streaming out of Syria.

There have been reports of civilian deaths in the last few days and Saturday was no exception. The Local Coordination Committees, a network of opposition groups, reported 21 people dead, including 10 in Homs, the restive city that has emerged as the epicenter of the uprising.

With pressure on Syria ratcheted up, some fear an escalation of brutality in the next few days.

Syria's representative to the league, Yousef Ahmad, blasted the alliance's decision as illegal.

He said it was "a eulogy for Arab common action and a blatant announcement that its administration is subordinate to U.S.-Western agendas," according to the state-run Syrian Arab News Agency.

Earlier Ahmad had reiterated the government's claim that terrorist gangs were behind the violence and said Syria "made strides" in quelling the violence "despite armed groups' attempts to foil the plan since it was announced."

Western leaders welcomed Saturday's decision.

"After the al-Assad regime flagrantly failed to keep its commitments, the Arab League has demonstrated leadership in its effort to end the crisis and hold the Syrian government accountable," said U.S. President Barack Obama.

"These significant steps expose the increasing diplomatic isolation of a regime that has systematically violated human rights and repressed peaceful protests," he said in a statement.

U.S. Secretary of State Hillary Clinton echoed those comments, calling the action "strong and historic."

"The United States commends the principled stand taken by the Arab League and supports full implementation of its efforts to bring a peaceful end to the crisis," Clinton said in a statement.

French Foreign Minister Alain Juppe said the league's actions show "that it is time to increase pressure on the Syrian regime."

Human rights activists have been pushing for weeks for the United Nations to take action and Amnesty International said Saturday that the Arab League's decision should pave the way for the Security Council.

"Now that the Arab League has taken decisive action, it is time for the U.N. Security Council to finally step up to the plate and deliver an effective international response to Syria's human rights crisis," said Philip Luther, the monitoring group's Middle East and North Africa director.

Human Rights Watch has also urged the Security Council to impose sanctions.

It published a damning 63-page report Friday, based on interviews with victims and witnesses in Homs, that said al-Assad's regime's "systematic" crackdown on civilians amounted to crimes against humanity.

The U.N. High Commissioner for Human Rights said earlier this week that more than 3,500 people have been killed in the brutal suppression of dissent since the Syrian uprising began eight months ago.

CNN's Ben Wedeman and journalist Mohamed Fadel Fahmy in Cairo contributed to this report.

@highlight

NEW: The Syrian National Council cheers the Arab League's decision

@highlight

Videos purport to show regime backers at the Saudi embassy and Turkish consulate

@highlight

Anti-regime activists say there were attacks at a French consulate as well

@highlight

They were in reaction to the Arab League's call to suspend Syria's membership