(AOL Autos) -- Some drivers would say that the United States is a crazy quilt of speed limits, with an emphasis on the "crazy."

A sign indicating the highest speed limit in the country stands by Interstate 10 outside of the West Texas town of El Paso.

Since 1995, states have been free to set their own maximum speed limits, leading to long debates on safety standards. To some folks, the speed limits are just insane -- either too low or too high, depending on their views about what makes driving safe.

Advocates of low speed limits won't find much to like about Texas. True to its frontier roots, it stands out as the land of the fast getaway. The top rural speed limit is normally 70 mph, but in 2006 it set a maximum daytime speed of 80 miles per hour, the highest speed limit on the country, on more than 500 miles of rural interstate in its southwest corner.

This includes parts of Interstate 10 between Kerrville and El Paso and of I-20 between Monahans and the I-10 interchange.

The speed limit for rural roads in Montana is 75 mph. As a result, it takes just three hours to travel the 228 miles from Billings to Butte at the posted speed. But that's much slower than a Montana driver could have made the trip in early 1999. At that time there was a six-month speeders' honeymoon when the state had almost no control over rural speeds, partly as a result of an unfavorable court ruling.

St. Thomas in the U.S. Virgin Islands is at or near the other end of the spectrum. In the U.S. territory the speed limit is 20 mph in the city and 30 out in the country. When it comes to accident rates, though, you would be far better off on a Montana interstate than competing with the island's frenetic drivers on the way to Paradise Point.

Nationwide, maximum speeds range from 60 miles per hour in Hawaii to 75 in most of the West. Meanwhile, much of the eastern Midwest and the Northeast has opted for maximum speeds of 65 mph, although Michigan and Indiana chose the 70 mph standard more common to the South and the Great Plains states.

So if you are cruising west along I-90 out of Ohio, you can enjoy the increase in speed across 150 miles of Indiana before Illinois' lower speed limit -- or its state police -- reins you in. As you continue west, interstate speed limits bump up to 70 in Iowa, and then you can maintain a steady 75 from Nebraska through to the California line, where interstate speeds drop off to 70 again. Should you choose to detour into Oregon, you're back down to 65.

From a highway safety standpoint, the patchwork of speed limits at least seems to make sense. Speeds are slower in more populous Eastern states and faster in the wide-open West, although the Insurance Institute for Highway Safety argues that some of the new, higher speed limits out West and elsewhere are costing lives. It estimates that deaths on interstates and freeways have increased 15 percent due to the higher speed limits.

But some researchers are skeptical about the link between accidents and high speeds on rural highways, if not on city streets and rural two-lanes. They point to the lower fatality rates on European highways, even though the speeds are generally higher.

The maximum legal speed is roughly 80 mph in Poland, Austria, France and a few other countries. There is no speed limit on much of Germany's autobahn, although some sections are restricted to about 80 mph or less.

Ironically, the new regime of U.S. speed limits has helped researchers make sense of whether higher rural speed limits are dangerous.

Political scientist Robert Yowell, a professor at Northeast Lakeview College in Texas, examined what happened after states began setting higher rural speed limits in 1995. With the federal 65 mph limit gone, it was possible to compare the accident rates before and after the new limits went into effect.

The results were clear: "By and large, across the 50 states, there was no discernible effect from the higher limits," Yowell said. "Two or three states actually had a decrease in fatalities."

Once speed limits are raised on interstates, drivers are more likely to get off the more dangerous two lanes and use the faster routes, Yowell said. Furthermore, the motorists traveling the fastest on the higher-speed interstates tend to be good at that kind of driving. The less competent drivers at high speeds tend to drive more slowly.

While Yowell admits most states are well-intentioned, he's "not willing to accept that speed limits are solely a function of safety," he said. "They are a function of revenue generation as well. There have been cases of judges saying communities have to raise their speed limits because they were obviously being used to raise revenues and that's not a proper use of the law."

In part, Yowell looks to differences in political cultures to explain the great continental divide in speed limits. "It may be that certain states have a different approach to questions involving personal liberty versus collective safety," he said.

His research doesn't surprise Jim Baxter, president of the Waunakee, Wisconsin-based National Motorists Association. His organization had lobbied heavily for an end to the federal limits.

Baxter's rule of thumb for computing the right speed limit is the traffic engineering standard known as the 85th percentile speed. That's the speed that 85 percent of motorists drive at or below. But it tends to be well above the speed limits that most jurisdictions set.

With the speed limit set at that level, traffic tends to move smoothly, reducing the risk of accidents, Baxter said. If you put the limit below that speed, some vehicles are traveling far more slowly than the fastest drivers, creating the most dangerous conditions of all.

Baxter argues that most drivers naturally tend to drive at speeds that suit the road conditions and their driving skills.

St. Thomas is a case in point, albeit an extreme one. With its congestion and rugged terrain, the island is bereft of performance cars; many of the vehicles are older pickups, aging Japanese compacts and SUVs. The treacherous conditions restrict speeds far more effectively than any local law.

As Joe Aubain, executive director of the St. Thomas-St. John Chamber of Commerce, puts it, "Even if you wanted to go a whole lot faster, you couldn't," he said. E-mail to a friend

@highlight

U.S. drivers face patchwork of speed limits across the nation

@highlight

Parts of Texas have speed limits of 80 miles per hour

@highlight

Some researchers skeptical of link between accidents, high speeds