Los Angeles (CNN) -- Firefighters in Southern California seemed Saturday to be winning the fight against the half dozen wildfires still burning.

Santa Ana winds diminished significantly Friday, aiding first responders in their progress toward containment of the fires.

Winds have shifted across much of Southern California, bringing cooler temperatures and higher humidity.

Despite the reduction in winds, most of San Diego County continues to experience hot temperatures which, combined with dry conditions, allowed for at least one new wildfire to ignite.

According to Cal Fire, a new 30-acre blaze began burning Saturday in Sycamore Canyon, inland from San Diego.

Firefighters were able to stop it from spreading farther and no structures were threatened.

On and around the Marine Corps' Camp Pendleton, six large wildfires remain active, having burned over 25,000 acres total.

Since January 1, Cal Fire has responded to over 1,500 wildfires -- well above the average yearly number of approximately 800. This week's rash of wildfires is a reminder of just how dry conditions in California are.

The agency is urging all Californians to ensure they are prepared by visiting ReadyForWildfire.org.

At least four wildfires were completely contained early Saturday. Two more were nearly contained, and four others were steadily shrinking.

But early Saturday, thousands of acres were still in flames that were driving walls of smoke skyward. The fire has scorched more than 31 square miles so far.

The blazes in the state so far this year are "unprecedented," Cal Fire Director Ken Pimlott has said.

Flames have swallowed up dozens of homes and businesses. And the wildfire season has only just begun.

Erica Bene was running errands at Camp Pendleton with her two children when she spotted a huge plume of smoke behind a school.

A wildfire was coming her way despite progress made by an army of firefighters in San Diego County in quelling a spate of blazes this week.

Bene, the wife of a U.S. Marine deployed to Afghanistan, headed home to pack up some important items and evacuate.

"I said 'let's go get the pets, and let's get out of here," she said.

On the drive back home, orange flames raged. Shortly thereafter, the Marine Corps put out an evacuation order.

The order spooked her 5-year-old son and 7-year-old daughter, but she explained that it didn't mean their house would burn down. The order just gave firefighters room to combat the blaze without having to worry about danger to residents.

Her children are used to feeling uneasy because of their dad's dangerous deployment, Bene said.

She took her children and the pets to a friend's home in nearby Temecula, where they plan to stay the night.

By late Friday, the evacuation order had been lifted. If it remains lifted, she planned to go home Saturday.

Arson arrests

Investigators have filed an arson charge against a man in one small fire in the county.

At a news conference, the prosecutor identified him as Alberto Serrato, who's accused of adding brush onto an existing fire, District Attorney Bonnie Dumanis said.

Serrato could face up to seven years in prison if convicted, Dumanis said Friday.

Neither Serrato nor his attorney were immediately available for comment.

Meanwhile, the prosecutor is weighing whether to press charges against a 19-year-old man and 17-year-old juvenile, both of Escondido, who were arrested Thursday in connection with a small fire that was extinguished, Dumanis said.

Thousands on the move

Thousands of firefighters used air tankers, specially equipped DC-10s and military helicopters to douse the flames this week.

Bene was just one of tens of thousands of residents to evacuate.

In all, 176,000 notices of evacuation were sent throughout San Diego County via cell phone calls, e-mails, text messages and calls to homes and businesses, county Supervisor Dianne Jacob said.

When Elisha Exon saw towers of smoke looming over her San Marcos, California, home, she knew it was time to go. The only problem: All the nearby places she'd normally take her family in an emergency were threatened by fire, too.

"You kind of feel like your only safety would be to hop town, completely," she said.

Ash and smoke filled the air in many places, making breathing difficult.

So far, injuries have been few: Authorities found a charred body in Carlsbad, but it was unknown whether the person died because of the fire. A Camp Pendleton firefighter suffered heat exhaustion.

Homes in the crosshairs

Thousands of homes across the county are still in jeopardy.

"I've been doing this for 20 years," San Diego County Supervisor Bill Horn said. "This is the worst I've seen."

Images from the fires were jarring.

The night sky glowed orange from towering flames that consumed homes. Whirling columns of flame -- dubbed "firenadoes" or "fire whirls" -- spun across the landscape, in one case nearly devouring a hilltop home.

Firenadoes can spit out winds as powerful as an EF-2 tornado.

In video shot by Jeb Durgin and Byron Bowman, a helicopter wheeled over homes, dumping fire retardant just yards from a burning canyon choked with flames. Smoke obscured the road the two were driving on.

Evolution of a disaster

The wave of wildfires started Tuesday with the Bernardo Fire in San Diego County. The next day, new blazes popped up -- each one separate from the others, each posing its own dangers.

Here's where some of the major California fires stood late Friday, according to the agencies responsible for tracking them. The fires are listed by the names they have been given. The list begins with still active fires and ends with contained fires.

Also included is a list of damage to structures:

Lead agency: Cal Fire

Bernardo Fire, San Diego County: 1,548 acres, 95% contained (all evacuations have been lifted)

Cocos Fire, San Diego County: 2,520 acres, 70% contained (evacuations in effect)

Poinsettia Fire, San Diego County: 600 acres, 90% contained

Lead agency: Marine Corps Camp Pendleton

Pulgas Fire, San Diego County: 15,000 acres, 40% contained

San Mateo Fire, San Diego County: 800 acres, 25% contained

Tomahawk Fire, San Diego County: 5,400 acres, 79% contained

Contained Fires

Aurora/Lakeside Fire: 17 acres, 100% contained

Freeway Fire, Naval Weapons Station in Fallbrook: 56 acres, 100% contained

Highway Fire, Deer Springs: 380 acres, 100% contained

Miguelito Fire, Santa Barbara County: 632 acres, 100% contained

River Fire, Oceanside: 105 acres, 100% contained

Initial damage assessment for San Diego County

City of Carlsbad has advised of the following damage and losses:

- 8 single family homes were destroyed or incurred substantial damage

- 3 single family homes sustained minor damage

- 1 multifamily 18-unit apartment building was destroyed

- 1 multifamily 18-unit apartment building incurred considerable damage

- 2 commercial buildings destroyed/substantially damaged

- 1 modular building was destroyed

City of San Marcos: reported the loss of one single family home

Cocos Fire: 11 single family homes were destroyed. In addition, 25 structures were destroyed at the Harmony Grove Spiritualist Association.

Bone dry + brutal heat + gusty winds = unseasonably early wildfires

What to know about wildfires

Are you there? If you're in a safe place, please share your photos and videos.

CNN's Chelsea J. Carter, Ben Brumfield, Carma Hassn and Kisa Mlela Santiago reported from Atlanta. Michael Matinez and Artemis Moshtaghian reported from Los Angeles.

@highlight

NEW: Diminishing Santa Ana winds aid firefighters

@highlight

NEW: Over 1,500 wildfires already this year -- well above average

@highlight

Charge of arson is filed against one man for a small fire in Oceanside

@highlight

A 19-year-old man and a 17-year-old juvenile, both of Escondido, are arrested in fire probe