The UK government raised its terror threat level Friday from "substantial" to "severe," the fourth highest of five levels, in response to events in Iraq and Syria, where ISIS militants have seized a large swath of territory.

"That means that a terrorist attack is highly likely, but there is no intelligence to suggest that an attack is imminent," Home Secretary Theresa May said.

The "root cause" of Britain's terror threat is "Islamist extremism," Prime Minister David Cameron said. The execution of American journalist James Foley is clear evidence that ISIS's fight in Iraq and Syria "is not some foreign conflict thousands of miles from home that we can hope to ignore," according to the UK leader.

ISIS is unlike other Islamist extremist groups in its primary focus not to find a country that can be its base of operations, but to create its own country. And the group has had ample success in that regard, given the vast reach already of what it calls the Islamic State.

While it's been widely reviled internationally, ISIS has managed to attract some support among Muslims and drawn foreign fighters, like the masked man with an apparent British accent who took part in Foley's beheading, who some fear could soon carry out attacks back home.

Even without specific threats in the West, ISIS' track record in Syria and Iraq -- where it was known to massacre minorities, forcefully institute Sharia law and stage executions and stonings -- suggest it may be capable of anything. Cameron said the group  poses a "greater and deeper" threat than Britain has ever known.

"This is al Qaeda version 6.0," Ryan Crocker, a former U.S. ambassador to Iraq and Syria, told CNN on Friday. "They are like nothing we have ever seen before."

Travel restrictions, an increase in police activity

ISIS has been operating for years; now its actions in Iraq are prompting the United States to target its fighters with airstrikes there and to threaten more such strikes in Syria.

Cameron said military force is among the tools that can be used against ISIS, while adding that aid, diplomacy and political influence should also be part of Britain's response.

That said, his focus Friday wasn't so much about what to do about ISIS overseas as it was keeping British citizens back home safe.

The Prime Minister vowed he will soon announce plans to stop would-be jihadists from traveling to Syria and Iraq and to make it easier to take their passports away.

Britain also needs to do more to stop current fighters from returning from the Middle East and to deal decisively with those who already have returned, he said.

UK authorities estimate that 500 Britons have gone to Syria and Iraq to fight with Islamist groups.

Britain's national policing lead for counterterrorism, Mark Rowley, said -- while the threat level just went up Friday -- police have been escalating their efforts to combat the jihadist threat for months. He claimed 69 arrests in the first half of 2014 for offenses ranging from funding "terrorist activity through to the preparation and/or instigation of terrorism acts and traveling abroad for terrorist training."

CNN National Security Analyst Peter Bergen says Britain likely hiked its terror threat level because "there's no way you can track 500 people." At the same time, he downplayed the idea that Friday's announcement means an attack is imminent.

"This is what governments are paid to do: They are paid to worry about their citizens," Bergen said, noting that the UK threat level has gone up before without a subsequent attack. "That doesn't mean their citizens should be in a constant state of worry."

Holiday security amped in U.S. -- but not due to ISIS

Security will increase this long Labor Day weekend for those traveling in the United States -- though not necessarily because of ISIS.

A U.S. federal official says its customary to see increased security presence leading up to a holiday weekend, but that's not necessarily tied to an increased terror threat.

To that point, White House spokesman Josh Earnest said he doesn't anticipate the U.S. terror threat level will rise anytime soon. And  U.S. Secretary of Homeland Security Jeh Johnson pointed out there is no specific threat against the United States.

That said, Johnson noted that ISIS has proved to be a threat to Americans overseas -- with Foley's execution and the threats of more killings to follow being exhibit No. 1.

The Homeland Security department "has taken a number of steps to enhance aviation security at overseas airports with direct flights to the United States, and the United Kingdom and other nations have followed with similar enhancements."

Daniel Benjamin, a former State Department counterterrorism director in President Barack Obama's administration, acknowledged ISIS sympathizers could lash out domestically or Americans who've gone to fight with militants could bring that fight back home.

Still, that doesn't mean we should expect a coordinated attack outside the Middle East anytime soon, he said.

"I think there is a certain amount of hyperventilation at the moment," said Benjamin, now head of Dartmouth College's John Sloan Dickey Center for International Understanding. "The long-term threat is quite serious ... But this is a group that has no track record of plotting terrorist attacks outside of its own area."

Report: ISIS computer included files on biological weaponry

So what is ISIS capable of -- whether it's in the Middle East or elsewhere?

That's hard to answer definitively, since the group hasn't lashed out outside the Middle East like al Qaeda. A recent story in Foreign Policy magazine, however, suggest that ISIS is thinking big.

The report talks about files on a laptop that purportedly once belonged to ISIS before being abandoned in Syria. They files reportedly include talk about biological and other such weapons, including the weaponizing of the bubonic plague.

If these documents are legitimate, they'd suggest that ISIS has a grand strategy and is willing to kill thousands -- including civilians -- using weapons of mass destruction to further its aims.

But that doesn't mean the group is close to putting such plans into action. CNN Terrorism Analyst Paul Cruickshank cautioned that there's a big difference between researching chemical and biological agents and creating the capability to use them.

He noted that al Qaeda tried for two decades to develop such weapons, with no apparent success. And there's no evidence that ISIS has a dedicated WMD program of its own, said Cruickshank, who suggested the files might "just be one guy, doing research."

"It's extremely hard to weaponize these kind of agents -- especially on the delivery side," he added.

Airstrikes continue

Still, even if ISIS hasn't deployed or even developed chemical or biological weapons, its fighters have proven to be plenty effective with conventional weaponry.

Yet now, in Iraq at least, ISIS forces find themselves under fire.

The U.S. military has carried out 110 airstrikes in that country since August 8, at an average cost of $7.5 million a day, said Pentagon spokesman Rear Adm. John Kirby.

That includes more strikes Friday targeting ISIS fighters near the Mosul Dam, according to U.S. Central Command. The strikes destroyed four armored vehicles, damaged one more and destroyed three support vehicles, all belonging to the terrorist group, the military said.

Iraq's air force continued its own assault on ISIS-controlled Falluja, with the militant group responding in turn.

The bombardment killed 18 people and wounded 57 others, a Falluja hospital official and two residents at the facility told CNN.

Kirby, like the British Prime Minister, argued that military action alone is not enough to combat extremism.

"If we've learned nothing over 13 years of war, it's that you can't completely eliminate extremism anywhere through simply kinetics, through airstrikes alone," he said at a press briefing Friday.

Obama's no 'strategy yet' comment on ISIS in Syria sparks a political uproar

@highlight

Ex-U.S. official notes ISIS has yet to attack outside the Middle East

@highlight

UK terror threat hiked to second-highest level due to events in Iraq, Syria

@highlight

Cameron: We can't ignore Islamist extremists after James Foley's killing

@highlight

Spokesman: U.S. has no plans now to raise its own terror threat level