(CNN) -- Democrats hoping the capture of Ahmed Abu Khatallah will bring some kind of closure to the Benghazi issue are sorely mistaken. In fact, in terms of policy, events surrounding his arrest only highlight the awful legacy of the Libyan venture -- when NATO assisted the rebels and helped remove the dictator from power in 2011.

Democracy did not spring up after strongman Moammar Gadhafi was deposed, captured and killed in 2011, but instead a tyranny was replaced with an anarchy. There were an estimated 1,700 armed groups left fighting for control of the country and it became, in the words of some security analysts, "an arms bazaar."

Moreover, the attacks upon the U.S. mission in Benghazi in 2012, which led to the deaths of four U.S. citizens, raised questions about the Obama administration's competence and challenged the idea that the war on terror had brought greater security to the United States. It is doubtful that seizing Abu Khattalah, accused of masterminding the attack, will allay fears.

The Libyan government, such as it is, denies that it gave permission to seize Abu Khattalah and is apparently angry that it happened -- as well it might be. The incident suggests that a) the United States retains some form of military presence in Libya and b) it is quite happy to carry out extraordinary rendition with a minimum of good diplomatic manners. Abu Khattalah was reportedly carried away to face justice in a naval ship. Why? Perhaps partly because it's difficult to find any countries left in the region who might be willing to help with a transfer by air.

While Obama flexes America's muscles in Libya, the United States' regional sway is in sharp decline from the heady days of his "New Beginning" tour in 2009. The Arab world is in crisis: Bashar al Assad fights on in Syria, Egypt's path to democracy is proving long and tricky, Iraq is descending into sectarian conflict. And the past few days have witnessed the near farcical prospect of the United States and Iran being allied in Iraq.

It should be noted that the Iran turnaround has caused some Republicans to make some extraordinary shifts in their own position. Last year, Republican hawk Sen. Lindsey Graham of South Carolina wanted to grant the authority to declare war on Tehran. Now he's talking solemnly of the need to ally with the Iranians as the West once did with Stalin.

Opinion: Why U.S. raid in Libya is a sign of hope

As for Hillary Clinton, this will be no quick fix for her problems either. Criticisms of her role in Benghazi while she was secretary of state range from charges that her department engaged in a cover-up to the rather more vague "lack of leadership;" there is also the cruel insinuation that she just doesn't care, based upon a misinterpretation of her question "What difference at this point does it make?" regarding the killers' motives.

Clinton might have hoped that capturing Abu Khattalah would prove that justice can still be done when it comes to Benghazi, but it's difficult to see how it would address the essential question of the adequacy of the administration's response.

The reason Benghazi is controversial has less to do with how difficult it has been to catch the perpetrators than with lingering suspicions that the administration did not act quickly enough and tried to deflect criticism by blaming the whole thing on a badly made, anti-Islamic video. Benghazi is raw with emotion, as was obvious when Pat Smith, the mother of one of the victims, demanded answers through Clinton via CNN.

Of course, Benghazi is a deeply personal and specific issue for Smith. But for many Americans, particularly those on the right, it goes to the heart of an alleged carelessness in Obama's foreign policy. He could just as easily be criticized for the thousands of drone attacks he has ordered or the invisible red lines that he drew in Syria and then forgot about. But those decisions largely affected foreign citizens, whereas Benghazi is a tale of all-American heroes being let down by the incompetence of their own side.

To conservatives, it's nothing less than a case of martyrdom. It could be Obama and Clinton's Iran/Contra: the scandal that comes to define everything morally murky or simply inept about their time in office.

@highlight

Timothy Stanley: Capture of terror suspect doesn't blunt Benghazi issue for Obama

@highlight

He says it highlights the anarchy left behind after U.S. helped unseat strongman Gadhafi

@highlight

He says for many Americans Benghazi is emblem of Obama's careless foreign policy

@highlight

Stanley: If Hillary Clinton thinks Benghazi issue behind her, she doesn't get its political saliency