(CNN) -- There is a striking contrast between the issues being discussed at the climate talks in Cancun, Mexico, this week, and news reports of the views voiced by some of the incoming freshmen to the House of Representatives.

In Cancun, where the United Nations Framework Convention on Climate Change conference will be meeting until Friday, there are talks about targets for emissions cuts, the role of deforestation and the effect on climate if we continue with a business-as-usual approach on emissions. Meanwhile, in Washington, D.C., some new members the new congressional intake have expressed either disbelief or ignorance about how humans influence climate change.

Both sets of discussions are mired in seemingly intractable political and economic issues. However, in both environments, science can play an important role in breaking the logjam.

Policymakers are used to the complexity of  balancing different interests or shaping economic policy, but they aren't generally very familiar with the complexities of atmospheric science. These matter because actions that policymakers can take -- whether on raising vehicle mileage standards, promoting rural electrification in Asia or mandating renewable energy portfolios for power generation -- don't just have positive impacts for climate.

They can also produce on-the-ground effects that citizens (and voters) can readily appreciate: reduced air pollution and smog, improved public health and strengthened ecosystems and water resources.

These co-benefits occur through the actions of atmospheric chemistry and wind patterns and via the physics of such things as how clouds form and how soot falling on snow can change the way the sun's rays are reflected. But while these effects are complex, scientists can now more comprehensively assess the environmental effect for any specific policy that is suggested.

Unfortunately, the agencies and organizations that bring the science of climate to the attention of policymakers (like the Intergovernmental Panel on Climate Change or the National Academies) have too often focused on science that is interesting to scientists, rather than the science that would be of most use to policymakers.

This is beginning to change, and far more people in the scientific community are now on board with the idea that science can directly answer questions that policymakers are interested in.

New initiatives from the American Geophysical Union or individual groups of scientists can help provide access to that information more efficiently than the multiyear assessment bodies.

Indeed, since many scientists are publicly funded, part of our mission is to make our expertise available to the wider society.

Many of those scientists even live in the same districts or states as the new representatives and can perhaps usefully communicate across a perceived partisan divide.

Here are two examples of how more appropriate science can help make better policy:

• Recent work from NASA has shown that reductions in tailpipe emissions from cars and trucks in the United States, resulting from a shift toward more plugin-hybrid vehicles, would help the climate by reducing emissions of carbon dioxide, ozone precursors and soot particles (three of the main drivers of global warming). But ozone and soot are also big contributors to smog and its noxious effect on health, and reductions can also have immediate benefits on local populations.

• In Asia, using coal and biomass in homes for heating or cooking are important factors in creating the "atmospheric brown cloud" that is damaging the health of Chinese and Indian populations, and causing changes in temperature and rainfall.

Climate policy initiatives that tackle these issues provide incentives at both the large, regional scale of China and India and  the small scale affecting congressional districts.

My point is not that if policymakers knew more science they would all agree on measures to deal with global warming. This would be naive. Rather, it is that by appreciating more of the nuances, they will be able to find paths forward that reflect their priorities and values and help improve the climate outlook, too.

The freshman congressional caucus was elected on a promise to end business as usual in Washington. With help, they might be able to end business as usual on climate-changing emissions, too.

The opinions expressed in this commentary are solely those of Gavin Schmidt.

@highlight

Gavin Schmidt: There's a gulf between Cancun climate goals, views of some new to Congress

@highlight

It would help if scientists could show link between climate change, voters' lives, he says

@highlight

He says scientists are increasingly aware of need to explain this link to policymakers

@highlight

Schmidt: Scientists must make goals on climate change meld with policymaker concerns