(CNN) -- In a case that would have been impossible even five years ago, bad-girl rocker Courtney Love is being sued for libel by a fashion designer for allegedly slamming the woman on Twitter.

The suit claims that after a disagreement over what Love should pay Dawn Simorangkir for the clothes she designed, Love posted allegedly derogatory and false comments about the designer -- among them that she had a "history of dealing cocaine" -- on her now-discontinued Twitter feed.

But as technology evolves faster than the laws that govern free speech online, it's not just the famous who are finding trouble.

Consider the case of Amanda Bonnen and her former landlord. Bonnen, an Illinois resident, is accused of using Twitter to tell another user: "Who said sleeping in a moldy apartment was bad for you? Horizon Realty thinks it's okay."

Horizon Group Management LLC, the company that owned the apartment in question, sued Bonnen for libel over the alleged tweet. Horizon is seeking $50,000 in damages.

Legal experts say such Internet-related cases are being watched closely because they confront new and unaddressed areas of American law.

For example, how should a libel case be handled when it comes to social media? How can society balance accountability with free speech? And if information -- from private thoughts to public data -- is so readily available, how do we define what constitutes privacy?

A time of 'cultural shift'

Legal experts said it's difficult for the law to keep up with emerging technology.

"Generally, it is at least five years behind technology as it is developing," said Andrea Matwyshyn, a professor at the University of Pennsylvania's Wharton School, who tracks the intersection of law and technology.

There are several reasons why the law tends to play catch-up, experts said.

The first is that it's typically difficult to predict or anticipate technology innovations. Think of the music-sharing battles that began -- and are still going on -- after the advent of Napster.

Another reason is that it's difficult to handle cases that deal with the Internet and the Web because it confronts a fundamental schism: Is the Web a unique, separate space or is it really an extension of real space?

That concept might be a little bit abstract, but think of it this way: When a person dies, a house, property or car owned by that person can be passed on, relatively easily, to a family member or an identified heir.

But what about online property like account profiles, passwords and digital content?

"We really haven't thought about this much because there haven't been many generations of users with copious digital assets to even trigger the need to think about what happens if they pass away," Matwyshyn said.

Another challenge for the law is the way the Web crosses state and international borders. Let's say a Facebook user in England sues another user in Australia for defamatory comments posted on the site. Who has jurisdiction over the case, which country's laws should be applied: England's, Australia's or those of the United States, where Facebook is based?

One last hypothetical: Let's look at a Facebook or Twitter network of 10 people. Half of them are co-workers; the other half are not. One co-worker is offended by something another co-worker said. Do harassment laws apply? Does the company that employs some of the people have any liability?

"There's an increasing breakdown of the traditional social boundaries between workplace and homelife, and personal and public information," Matwyshyn said. "It's a time of cultural shift and this is going to take a while to stabilize itself and shake out."

That process, seemingly, has begun.

Anonymity and immunity

In August 2008, a user of Blogger.com, a Google subsidiary, created "Skanks in NYC."

The blog assailed Liskula Cohen, 37, a Canadian-born cover girl who has appeared in Vogue and other fashion magazines, by featuring photos of Cohen captioned with derogatory terms.

Cohen sued Google to learn the name of the anonymous blogger on the grounds that the post was defamatory and libelous. A New York Supreme Court judge ordered Google to reveal the anonymous blogger's name, and Google complied.

The case provided insight into the debate between the competing values of privacy and free speech, said Jeffrey Toobin, CNN's senior legal analyst.

"You have a robust debate on a million different subjects every day on the Internet," he said. "But on the other hand, is that a license to damage people's reputation with knowing falsehood?"

The courts are trying to strike a balance between the two, Toobin said.

"There have been a lot of cases about trying to get behind the anonymity of the Internet," he said. "What the courts are ... saying is that you have to show good reason, you can't just frivolously ask."

Nicholas Thompson of Wired magazine said such cases make it clear that anonymity on the Web does not necessarily guarantee a measure of immunity.

"The more people learn about it, the more they're going to realize that laws do apply online," he said.

'A world without anonymity'

In 2006, Stacy Snyder was a 25-year-old single mother hoping to begin a career as an educator. She had finished her coursework and was a student teacher. Yet Millersville University, located in Pennsylvania, wouldn't give her a degree.

Snyder filed a lawsuit alleging the school denied her a degree because administrators discovered a photo on her MySpace page that showed her wearing a pirate's hat and drinking from a plastic cup, with the caption "drunken pirate."

She lost her case. According to the decision by the court, the school provided alternative reasons for denying Snyder a degree.

Whatever the outcome of the case, it speaks to the broader issue of commingling public and private lives in the digital age, experts say.

Thanks to the Internet, it's now relatively easy to find the value of a person's home or the extent of their political contributions. Meanwhile, people use social media applications like Flickr or Twitter to share personal details with the world.

The result is a blurring of the lines between what ought to be considered private and public.

It is the challenge of "a world without anonymity," said Jeffrey Rosen, a law professor at George Washington University, who has written extensively about privacy and the law. He is also the legal affairs editor at The New Republic.

"One thing that privacy protects is the ability not to be judged out of context on the basis of isolated snippets of information rather than genuine knowledge," he said.

So if the law were to catch up to technology, could it actually remedy these situations?

Rosen believes the law can only act on society's consensus.

"The law is only good at policing the most extreme invasions and the most outrageous cases," he said. "It can't take the place of good manners, social norms and etiquette -- the kind of thing that has always governed negotiations about face-to-face behavior.

"We should never expect that the judges are going to save us from our own worst impulses."

@highlight

As technology evolves at breakneck speed, thorny legal issues are emerging, experts say

@highlight

People are being sued for what they post on social-networking sites such as Twitter

@highlight

Some of the legal issues involve privacy, defamation and content ownership

@highlight

The law is "at least five years behind technology as it is developing," legal expert says