Tunis, Tunisia (CNN) -- Army tanks and armored personnel carriers patrolled the streets of Tunis Saturday, a day after the prime minister announced that he is the interim president -- the latest development in a story of unrest and public outrage in a tiny but significant corner of the Arab world.

Prime Minister Mohamed Ghannouchi announced Friday on Tunisian state TV that he has taken over the responsibilities of President Zine El Abidine Ben Ali -- who ruled the nation since 1987 and fled in a plane Friday with his relatives.

He left a country reeling. Before he stepped down, Ben Ali had dissolved the government and declared a state of emergency.  Under the emergency declaration, people are not allowed on the street between 5 p.m. and 7 a.m. Groups of three or more people are subject to arrest and, if they try to flee, can be fired on.

His departure followed weeks of widespread outrage over poor living conditions and repression of rights. In daily demonstrations, thousands of protesters had denounced corruption in the Ben Ali government and had urged that he step down.

He apparently got the message. Ghannouchi moved quickly to fill the vacuum. "Considering the fact that at the current time he (Ben Ali) cannot fulfill his duties, I take over today, the powers of the president of the republic," he told his countrymen.

He appealed for calm and pledged to respect the constitution and to carry out the political, economic and social reforms announced this week by Ben Ali.

Ghannouchi asked residents to cooperate with the army, which was ordered to take charge of the streets following a state-of-emergency declaration.

Moving to calm widespread disillusionment with Ben Ali's government, Ghannouchi told Arabic-language Al Jazeera Television that "certain measures" had already been taken against "corrupt families." He was referring to those business owners who were close to Ben Ali.

Ben Ali's return to Tunisia "is impossible," Ghannouchi said, adding that he would set a date for new elections after conferring Saturday "with all political powers."

And he extended a welcoming hand to government critics, saying that "oppositions groups who reside overseas can return to the country."

Meanwhile, the army appeared to be wielding the most power, staking out positions on major streets.

"We hope that the army will match its reputation for being more professional and less trigger-happy than the security forces that have been responsible for much of the violence over the last several weeks," said Amnesty International spokesman Claudio Cordone from London.

In a telephone interview with CNNI, he said 55 people were killed in Tunisia over the last several weeks of demonstrations.

Prior to his departure, Ben Ali had put the number at 21.

But the Army's power had limits: Tunisia TV reported looting in different parts of the country on Friday.

Ben Ali's plane went on to Jeddah, Saudi Arabia, where the Saudi official news agency reports said he was welcomed by the king.

Back in Tunis, the airport was under a lockdown Friday night, with the facility closed and ringed by soldiers. Reporters driving from the airport into the city were stopped several times at military checkpoints.  A few gunshots could be heard at the airport, but otherwise the streets were quiet.

Tunisia under Ben Ali has been a pro-Western state supportive of U.S. policy in the Middle East and in its efforts against terrorism.

It has been a relatively stable and more prosperous country in what diplomats call "a rough neighborhood."

The education level in Tunisia is high for the Arab world, and the country is close to France and French culture.

Events in Tunisia were being watched closely elsewhere. In Cairo, Egypt, about 45 protesters stood outside the Tunisian Embassy and chanted, "Revolution in Tunisia is revolution in Egypt!"

They promised to hold a larger demonstration Saturday evening.

In Washington, Secretary of State Hillary Clinton said the United States was monitoring the events. "We condemn the violence and urge restraint on all sides," she said in a statement.

She urged the Tunisian government to "respect the right of its people to peacefully assemble and express their views" and called for "free and fair elections in the near future that reflect the true will and aspirations of the Tunisian people."

The United States, France, and Britain have issued travel advisories, warning against nonessential visits, and a tourism company announced the evacuation of 2,000 German vacationers.

U.N. Secretary-General Ban Ki-moon called for restraint, respect for freedom of expression and dialogue to resolve problems peacefully.

Recent diplomatic cables from the U.S. Embassy in Tunisia obtained by WikiLeaks revealed growing disquiet with the government -- especially over nepotism within the government.

WikiLeaks published a 2009 cable recounting a lavish dinner for the U.S. ambassador given by Ben Ali's son-in-law, Mohamed Sakher El Materi, a prominent businessman.

The ambassador wrote in the cable: "After dinner, he served ice cream and frozen yogurt he brought in by plane from Saint Tropez (a high-end French resort), along with blueberries and raspberries and fresh fruit and chocolate cake."

The wave of demonstrations in Tunisia -- in which thousands of people protested high unemployment, alleged corruption, rising prices and limitations on rights -- was sparked by the suicide of an unemployed college graduate, a man who fatally torched himself in December after police confiscated his fruit cart, cutting off his source of income.

CNN's Rima Makatabi, Ben Wedeman and Mary Rogers in Tunis, Caroline Faraj in Dubai, Niki Cook in Paris, Amir Ahmed and Bobby Afshar in Atlanta and Journalist Ian Lee in Cairo contributed to this report.

@highlight

NEW: Ghannouchi calls Ben Ali's return "impossible"

@highlight

NEW: Army appears to be wielding the most power

@highlight

Military manning checkpoints in the streets of the Tunisian capital

@highlight

Ben Ali welcomed in Jeddah by the king of Saudi Arabia