(CNN) -- "We face neither East nor West, we face forward."

Those words were spoken by Kwame Nkrumah, the man who led the creation of the independent nation of Ghana out of British colonization in 1957.

And over half a century later, they are still inspiring a man who is doing his best to lead a small sporting revolution in his homeland.

It is no small irony that the focus of his mission so far was the Commonwealth Games -- a competition formerly known as the British Empire Games, bringing together nations and dependent territories from around the globe.

And when Jedidiah Amoako-Ackah took to Glasgow's velodrome last week, he became Ghana's first international track cyclist.

It was some achievement -- the 23-year-old had only taken up the sport the previous September, and did not know his best event until March.

"I had never competed in cycling or track in any kind of level, so it was a big ask," he tells CNN's Human to Hero series. "It was quite a steep learning curve to start with the aim of competing at the Games.

"I was very excited by it, but also, my common sense told me that, you know, you've never done this before. All the logical things go through your head, 'What are you thinking? You must be mad.'

"You know all these things, but I think it's worked out fantastic and taking that risk has proved worthwhile."

To some degree, Amoako-Ackah had the benefit of home advantage at the Commonwealth Games -- but it was a long journey.

Born in the town of Asamankese, by the age of five he had moved almost 3,000 miles south to Botswana with his mother, a midwife, and father -- a pastor.

"I learned to ride a bike in Botswana," he recalls. "It's just something I did recreationally and it's the quickest way to get from A to B without paying any money, so it was a thumbs-up for me."

The family's wanderlust meant that by 2000 they ended up in London, the former control center of Britain's once-proud global reign, and a year later had settled north of the border in Scotland -- a country which will hold a referendum on the issue of independence from the UK on September 18.

"I've lived in Glasgow for nearly 14 years now, so it's my home," Amoako-Ackah says. "I feel like I've got a great connection with the Scottish people."

He had been studying sports therapy at university when a chance opportunity arrived that would reconnect him with the land of his birth.

With the Commonwealth Games heading to Scotland, a fellow expatriate Ghanaian businessman had a plan -- but he needed someone to execute it.

"In Ghana, track cycling is not really a sport. We're really big on road and time-trialing," Amoako-Ackah says.

Deep into his studies, he initially decided not to take part. But his first trip back to Ghana in 18 years changed his thinking.

"It was all new to me and I kind of fell in love with the place again and really enjoyed my seven weeks there," he says.

"After I came back to the UK, it made so much sense to actually do something for the Ghanaians who I've got to know and love after my holiday there."

So in September 2013, Amoako-Ackah took a year out of university and began the process of trying to catch up with cyclists who'd been training for more than a decade.

You have to pass tests just to be allowed to ride on the steep contours of a velodrome.

"The first time I got on the track, I thought it was very, very easy," he recalls.

"Then it got harder and harder in terms of bike handling skills and techniques on the track, and I had to repeat my accreditations I think about eight times, so it was slightly embarrassing and one of those moments where you either quit or you fully commit."

You need to know what you're doing in track cycling -- the bikes have fixed gears and the punishment for mistakes can be painful.

"It's not like a road bike where you just put on the brakes and you're safe from any drama," Amoako-Ackah says.

"I always say to my friends I've got little pieces of me on the Glasgow velodrome!"

By the end of the year he had decided to keep pursuing his dream.

"It was kind of do it yourself, go onto the internet, watch YouTube videos, download journals and read and read and kind of consume as much as possible," he says.

"Because of my sport background, I had an understanding of how to write training programs and through reading journals about track cycling and just asking the coaches there, I started to write programs."

By March, he realized he was not suited to endurance events, so switched to sprints. And his hopes were boosted by the support of Englishman David Daniell, who had won silver at the 2010 Commonwealth Games but was now part-time coaching after injuries restricted his riding opportunities.

"A lot of the local community were very supportive and very inspired by what I was doing," Amoako-Ackah says.

"I find it quite funny because I never thought I'd be one of those guys, but they've been amazing and encouraging and a lot of local businesses in Glasgow have contributed a lot to funding and paying for the track sessions and equipment."

Ghana's cycling federation was in no position to help financially, but supported his bid to make history in Glasgow.

"They really motivated me, gave me advice and assisted me in finally being able to be part of the Ghana Commonwealth Games team. Their support and their encouragement has been incredible."

He went into the competition not expecting great results -- and that proved to be the case.

Amoako-Ackah was 26th out of 28 in the men's sprint qualifying (12 riders went into the final) and was last in both his heats in the keirin -- watched in the latter event by his parents, two brothers and younger sister.

"It was a very good experience to get an idea of what it's like to compete at the very top," he says.

"These guys have been doing it for 20-plus years and you come in after 10 months in the sport to challenge them -- the audacity of it!

"In terms of performance I didn't do as well as I could have, or I wanted to, but I think the lessons will help for Rio 2016. I've been encouraged by the other teams here. One of the New Zealanders came up to me at the end and gave me a jersey, shook my hand and said, 'Well done mate.' "

Next he is targeting the 2016 Olympics, both on the track and off it. Ghana had a road cycling team for the first time in Glasgow, sending five riders.

"We're a very small nation in terms of cycling and we're taking it one competition at a time," Amoako-Ackah says.

His long-term dream is to build a national cycling center in Ghana, and he has started down that path by setting up the Gift A Bike foundation to both help children in Ghana with transport and stimulate their interest in cycling as a sport.

"Cycling as a whole is developing rapidly on the continent of Africa," he says, and cites the example of 2013 Tour de France champion Chris Froome, who was born to British parents in Kenya and started his racing career in South Africa.

"I think there should be an eye kept out on these countries because if you look at their development in athletics, it's going to be similar," Amoako-Ackah says.

"The only difference is they just need the time, the facilities and the funding to get the talent -- which is tremendous there -- to the platforms where they can compete."

And that will hopefully mean he's not another one-man band on the track at the 2016 Olympics.

"Representing Ghana as the first track cyclist is a tremendous honor," he says.

"It's a privilege for me, who has only been involved in this sport for a very short time, so I hope to do them proud and progress the sport and facilitate Ghana's long-term involvement in track cycling."

@highlight

Jedidiah Amoako-Ackah is Ghana's first international track cyclist

@highlight

The 23-year-old competed at Commonwealth Games in sprint events

@highlight

He trained for just 10 months in his adopted home city of Glasgow

@highlight

Amoako-Ackah dreams of building a national cycling center in Ghana