Cairo (CNN) -- Six months after the improbable revolt that toppled one of the world's longest-serving rulers, protesters are once again camping in Cairo's Tahrir Square to demand speedy change.

The president they ousted, Hosni Mubarak, faces a possible death sentence if he survives a variety of ailments that have left him hospital-bound since April.

The tourists who once flocked to the pyramids of Giza and the beaches of the Red Sea have yet to return, and the joblessness and poverty that fueled the protests is deeper than before.

The result is a revolution that remains incomplete, with the coalition that formed in Tahrir Square splintering over different visions of a post-Mubarak future. But few dispute that the uprising launched on January 25 has changed an ancient nation in a fundamental way.

"I am optimistic about the future. We can't go back," said Lillian Wagdy, a photographer who was taking part in the protests. "The wall of fear has fallen, and the people will now demand their rights and stay on the streets."

And Fawaz Gerges, director of the Middle East Center at the London School of Economics, said Egyptians have undergone a "psychological rapture" since the revolution.

"The psychology of the citizen has changed," he said. "Millions of voiceless people have regained their voices ... It's changed the relationship between sons and fathers and fathers and daughters."

The protests lasted 18 days, growing despite clashes with police and pro-Mubarak gangs. The armed forces refused to intercede on Mubarak's behalf, and he handed over power to a council of generals on February 11.

The generals suspended Egypt's constitution and named a civilian caretaker government, but remain the final authority in Cairo. That's one of the things that rankles the protesters who have made camp in Tahrir Square since a fresh round of protests in June.

"For me to leave Tahrir, the ruling generals need to listen to our demands and take action to ensure them," said Mustafa Sadek, a 16-year-old high-school student taking part in the protests last week. "We also want a clear schedule, a path to elections and reform. We want a plan that lays out the future."

Rajia Omran, a lawyer and human rights activist, said the revolution "isn't going too bad." But she said patience will be needed for months or even years to come.

"It will take 5 to 10 years to evaluate the revolution," said Omran, whose group helped organize the first protests. "Nobody can evaluate it now. Any evaluation now is premature."

With liberals, nationalists, leftists and Islamists now split over whether elections or constitutional reforms should come first, Gerges said the protesters are realizing an old lesson: "Revolutions are messy." But those debates are "a healthy sign that civil society is still alive."

"My worry is the cleavages are much deeper than we think, and the question is, will there be a government that will be able to govern in the next two or three years?" Gerges said. "If you don't have a consensus on what the future is, you won't be able to govern."

Jumana Shehata, a former media consultant at the National Council for Human Rights, has been critical of the path the revolution has taken. She said secular political parties need more time to organize as a counterweight to the long-suppressed Muslim Brotherhood.

"Right now, the Muslim Brotherhood is the only strong party, and we need more diversity," she said.

But Gerges said the Brotherhood has its own divisions, with younger members "closer to the nationalists and the liberals and the leftists than the old guard."

The military's decision recent decision to delay parliamentary elections until November is a concession to the secular groups, said Shadi Hamid, an analyst at the Qatar-based branch of the Brookings Institution. Hamid said that vote "will clarify matters," demonstrating which of the competing factions "have the support and capability to push things forward and challenge the military's hold on power."

Shehata took part in the January protests at Tahrir Square and said most Egyptians still support the revolution, but are "fed up" with the new demonstrations.

"I understand the chaos after a revolution, but I don't see the people in Tahrir now as revolutionaries," she said.

And Hamid called the renewed protests a "frightening turn" in post-revolutionary Egypt.

"More and more, the military staff is being portrayed as an enemy of democracy and an enemy of the transition, at least among the people in Tahrir Square," Hamid said. Neither side appears willing to back down, "and it increasingly looks like the interests of both sides are in some ways impossible to reconcile."

Egypt's military has been the backbone of the state since 1952, when Col. Gamal Abdel Nasser led a coup that toppled the country's monarchy -- and the generals will likely try to keep much of that influence in any new government, said Nathan Brown, a Middle East analyst at George Washington University.

"There's no question the military does not want to be responsible for collecting the trash and running the schools and the health-care system and the economy, which is a mess," Brown told CNN. "They don't want civilian oversight when they do go back to the barracks, and they don't want to lose a privileged position in Egyptian political and social life."

But that sort of privilege may be harder to come by in the new Egypt. During the March referendum on changes to the country's constitution, Brown said, newspapers carried stories about VIPs who showed up at polling places where long lines had formed, expecting to be allowed to vote ahead of the hoi polloi.

"Every time this happened, they were told, 'Wait a minute, this is a different country now. You've got to wait in line,'" he said. "It's a less deferential, less hierarchical place than it used to be."

Hamid said the most realistic outcome is that the military will keep "some control" over international affairs and defense policy in a new government, as well as its extensive economic interests. But he said the generals appear to be boxing in the debate over their own authority in advance.

At the same time, Egyptians are awaiting a reckoning with Mubarak and some of the leading figures in his former regime. Mubarak and his ex-interior minster, Habib al-Adly, are accused of ordering police to use live ammunition on protesters -- a charge that could carry a death sentence upon conviction. Several other figures, including Mubarak's two sons, face public corruption charges. And Wagdy said some of the generals need to be in the dock as well.

"The main generals were part of the Mubarak regime and part of the corruption," she said. "We need to dig into their files and prosecute them."

Gerges said the show trials that followed the 1952 coup "did a great deal of damage to the whole question of justice," and warned that similar treatment of Mubarak would be "horrible for Egypt."

"I do hope that the Egyptian judicial system and Egyptians resist the temptation for vengeance and give Mubarak and his cronies a day in court and due process," he said.

And Shehata said what Egypt needs is a process like South Africa's post-apartheid Truth and Reconciliation Commission, in which those responsible for human rights abuses became eligible for amnesty if they came forward and testified truthfully about their actions.

"I don't believe it is right to call everyone who worked in the old regime as corrupt," she said. "You either agree in the system and let the law decide about the people, or you take matters into your own hands and act like they are acting."

This story is based on reporting done by journalist Ian Lee in Cairo, Egypt, and CNN's Matt Smith in Atlanta, Georgia, who wrote it.

@highlight

"Any evaluation now is premature," a human rights lawyer tells CNN

@highlight

Protesters in Tahrir Square are calling for speedier reforms

@highlight

The new Egypt is a "less deferential," more outspoken place, observers say

@highlight

Some worry that interests of military, protesters can't be reconciled