BOSTON, Massachusetts (CNN) -- The U.S. Army says it will honor the "heroism and sacrifice" of 350 U.S. soldiers who were held as slaves by Nazi Germany during World War II.

Bernard "Jack" Vogel died in a Nazi slave camp in the arms of fellow U.S. soldier, Anthony Acevedo, in 1945.

The decision by the Army effectively reverses decades of silence about what the soldiers endured in the final months of the war in 1945 at Berga an der Elster, a subcamp of Buchenwald where soldiers were beaten, starved, killed and forced to work in tunnels to hide German equipment.

More than 100 U.S. soldiers died in the camp or on a forced death march. Before they were sent back to the United States, survivors signed a secrecy document with the U.S. government to never speak about their captivity.

"The interests of American prisoners of war in the event of future wars, moreover, demand that the secrets of this war be vigorously safeguarded," the document says.

CNN last month reported the story of Anthony Acevedo, who was a 20-year-old medic when he was sent to Berga with the other soldiers. Acevedo kept a diary that details the day-to-day events inside the camp and lists names and prisoner numbers of men as they died or were executed.  See inside Acevedo's diary »

That story prompted a chain of events, including hundreds of CNN.com users urging their congressional leaders to honor the soldiers of Berga. Two congressmen, Reps. Joe Baca, D-California, and Spencer Bachus, R-Alabama, wrote U.S. Army Secretary Peter Geren and asked him to recognize the 350 soldiers.

The Army recently responded to the two congressmen, saying it is working "to determine an appropriate way to honor the heroism and sacrifice of these soldiers. We expect this review to be complete by March 6, 2009."

After learning of the Army's decision, Baca said in a press release, "The courage and perseverance they demonstrated in enduring such inhumane conditions is awe inspiring, and I am pleased the Army has opened a more extensive investigation into honoring these men."

For the dozen of Berga survivors who are still living, the news came as a shock. Many had long ago given up hope that their country would ever recognize them for what they endured.

"It's amazing," said Morty Brooks, now 83, when informed of the Army plans. "It's a recognition that's many years past due. No particular notice was ever given to us by the government, and it should be part of the military's annals."

Acevedo, now 84, noted the ages of the remaining survivors -- all of whom are in their 80s. Some are in failing health. He said he hopes the Army can reach its decision before March, because of the possibility some could die before then.

"If they can do it a lot sooner, we would appreciate it much," he said. "I thank God I'm still able to communicate and express myself with dignity, and I'm hoping the other fellas are able to communicate also.

"I've always been proud to be a U.S. soldier. It did me some good, with God's help and faith. I'll pray for everybody, all my other fellas."

He said the 350 soldiers are heroes who "exposed our lives for our country, for democracy and freedom of speech." The soldiers, all of them survivors of the Battle of the Bulge, had originally been sent to a POW camp known as Stalag IX-B in Bad Orb, Germany. From there, the Nazis separated the 350 soldiers based on being Jewish or "looking like Jews" and sent them to the slave camp around February 8, 1945. Watch Acevedo describe treatment in the camp »

In Boston, Martin Vogel sits quietly in his home. His brother, Bernard "Jack" Vogel, died in Acevedo's arms at the age of 19 in April 1945. Bernard Vogel had tried to escape from Berga with another soldier named Izzy Cohen. Both were captured and forced to stand in their underwear outside the barracks for at least two days until they collapsed.

The last words Bernard Vogel ever uttered were "I want to die, I want to die."  Listen as Acevedo tells brother of victim: "I held him in my arms" »

Martin Vogel, 82, said that "since learning of my brother's death in 1945, a week has not passed that I don't think of his untimely death. Many questions had gone unanswered during this time."

After talking with CNN.com and the few remaining survivors, he said, "My thoughts have come into a clearer focus. I have learned of the last few days of [Bernard's] life and what horrendous event took place prior to death. This has at least crystallized the uncertainty of his death and brought a close to this chapter."

Vogel still gets emotional talking about his brother's death. He wrote his thoughts so he wouldn't cry talking about it.

He continued, writing that questions remain on many issues, including the fate of his brother's captors and "the unwillingness of the Army to publicly document the capture and imprisonment of these soldiers. ... The least is I now know Jack died with friends near him, giving him comfort in his last moments."

The two Berga commanders -- Erwin Metz and his superior, Hauptmann Ludwig Merz -- were tried for war crimes and initially sentenced to die by hanging. But the U.S. government commuted their death sentences in 1948, and both men were eventually set free in the 1950s.

Charles Vogel, the uncle of Bernard and Martin, was outraged at the decision. At the time a powerful Manhattan attorney, he petitioned President Harry Truman, Secretary of State George Marshall and Defense Secretary James Forrestal to overturn the commutation.

Charles Vogel also helped form a group called "Berga Survivors" after the war in which some of the slave camp soldiers would meet to discuss the best way to pressure the government to honor them and allow them to testify against Metz and Merz.

In a bulletin from one of their meetings in early 1949, the "Berga Survivors" appeared optimistic the government would act. "Your cooperation now is doubly important, for things are beginning to break our way," the bulletin says. "A little enthusiasm, a little more cooperation, a little more action will accomplish a great, great deal now."

It adds, "You can aid in the campaign to get Washington to procure full justice for us."

More than six decades later, it appears the work of the original "Berga Survivors" group was not in vain. Most have since died, but the few who remain alive say they will never let their fellow soldiers be forgotten.

"It's finally gotten to a point where the Army is coming to their senses after they had ignored us in the past," Acevedo said. "Why the silence all these years? It's time to recognize all these soldiers who sacrificed their lives."

CNN.com has located 14 Berga soldiers who are alive and will keep working to find if any others are still living.

@highlight

Surviving soldiers happy that recognition will finally come

@highlight

Army's decision comes at urging of two congressmen

@highlight

Soldiers signed secrecy document before returning to the U.S.

@highlight

U.S. soldiers were starved, beaten, killed at Nazi camp