New York (CNN) -- People come up to Aimee Mullins all the time and say, "you know, I have to tell you, you just don't look disabled."

The record-setting athlete, actress and model says, "And it's sweet because I know that they're confused, and they're telling me this because they know I'm missing both legs from the shin down, but they're presented with this package of a highly capable young woman. This has happened all over the world. I tell them it's interesting because I don't feel disabled."

She believes that people are not born disabled. "It's society that disables an individual by not investing in enough creativity to allow for someone to show us the quality that makes them rare and valuable and capable."

Mullins was born without fibula bones and was expected to use a wheelchair to get around. Her legs were amputated below the knees when she was a year old. She learned to walk, bike, swim and play sports using prosthetics.

While a student at Georgetown University, she competed in the NCAA Division I, using pioneering carbon-fiber prosthetic devices designed to imitate the hind legs of a cheetah. At the Paralympics in 1996, she set world records in several track events, drawing attention that landed her on magazine covers and in one media "best of" list after another.

Mullins was featured in a 1999 show by the late fashion designer Alexander McQueen and has gone on to a career as an actress. In an interview with CNN.com, she said she's beginning work on a screenplay about the life of scientist Rosalind Franklin, whose discoveries helped lead to the unlocking of the structure of DNA.

In a talk at last year's TED MED conference in San Diego, Mullins explored the concept of disability and talked about how overcoming adversity is something everyone must confront, in one way or another. [TED is a nonprofit that distributes talks on a wide variety of subjects at http://www.ted.com/; TED MED is a separate organization that focuses on medical and health care related issues.]

Mullins spoke to CNN Monday. Here's an edited transcript:

CNN: You spoke at the TED MED conference about the negative connotations of the term "disabled." How important is it that we get the language right?

Aimee Mullins: It's not so much the word itself. The idea of being politically correct is not the goal here. It's how we use the word very casually as a label to try to encompass somebody's value to our community and the worth of their contribution to our community. That's what we need to get right.

I've had so many letters from parents or medical professionals who will say, I didn't even think about how casually I'll tell someone oh, I have a disabled child. It never even occurred to them that if they really stop to think about it, their child may have a specific medical condition that can be defined as paralysis or autism or being an amputee. ...it's how we use words and how they shape what we think about difference and other people in our community.

CNN: In your own life, how significant have these kinds of words been?

Mullins: Well for me I never ever felt the ownership or any identity with any community of disabilities. I didn't grow up being told that I was a disabled child. After the '96 games, and I was competing in Division I track at Georgetown and I was starting to get mainstream press ... where I'd be on the cover of a magazine that was heralding my speed and athletic prowess and it would say, "Disabled athlete Aimee Mullins runs faster than most people on the planet with flesh and bone legs." And I thought how does a journalist miss that, and just casually write "disabled athlete."

I've had journalists asking me what do we call you -- is it handicapped , are you disabled, physically challenged? I said well hopefully you could just call me Aimee. But if you have to describe it, I'm a bilateral below the knee amputee.

Ten years later, watching Oscar Pistorius go through many of the same issues I had 10-12 years ago, I realized that our language just hasn't caught up with the opportunities technology is providing for people...

I feel like today there's a different sense, so much more widespread, of people feeling like they don't want to be negated, they don't want to be marginalized, they want to make their own definitions of their identity. They want to identify themselves.

CNN: You have said that there's a stigma relating to differences between people. Do you think, just setting the word aside, is there still a stigma relating to physical limitations such as being an amputee?

Mullins: There's much, much less of a stigma here. It's my own personal experience that parents of children today who are amputees have an entirely different view. I think a lot of this is because of the Internet. They have so much more access to information and to learn about what prosthetics are out there. And a sense of sheer numbers, to learn that you're not alone. ...

I've been in developing countries where being an amputee and indeed having any kind of physical or intellectual or emotional disability is highly stigmatized. I was in Kibera [in Nairobi, Kenya], one of the largest slums in the world, last fall, and mothers of babies born with club feet are encouraged to abandon these children. If the babies are born with Down Syndrome, they're encouraged to abandon them.

If the mother doesn't actually abandon the child, the child is kept in a backroom in a shack and literally does not see the light of day. And the child is not even counted. When I asked a mother how many children she had, she told me she had three, but there were four. I was sitting in their living room and her three year old had been born with his head enlarged and the rest of his body wasn't developing at the same rate.

I had a really disturbing message from a doctor who was at TED MED and heard me speak and went to Haiti immediately after the earthquake -- he's an anesthesiologist. And he said, we have to talk because I have so many patients down here who are choosing death over amputation.

And so I'm sure that part of the social stigma in a developing country when employment and work are already scarce, it's hard for people to imagine how they could support their family financially with a different body.

CNN: How does technology play into this and how is it changing the lives of amputees?

Mullins: Technology's a huge factor. There had been a real dearth of technological advancement since the last world war. ...

I grew up as a teenager having this wonderful naivete about, well I can go see something that James Cameron dreamt up and [Oscar-winning visual effects designer] Stan Winston built it. Why can't I have that for my body? Or I would go into Madame Tussaud's wax museum and see the kind of artistry was done there for a leg. Why can't I combine that with Stan Winston's doing?

Watch James Cameron's talk at TED2010

It was a very lonely voice echoing in the wilderness... And I really think because of the two wars we are in right now and because of the fact that we have so many young men and women in this situation, it's unthinkable that we're willing to make a 19-year old irrelevant by not giving them their capabilities. And that's why you're seeing so many leaps in progress.

Again with the growth of the Internet, so many more people are saying I found some designer in Silicon Valley who's using a 3-D printer to create a model of a prosthetic leg and customize it and print it out. There is that sense of possibility that's been so expanded because of technology and because so many more people have accepted this invitation to come into the conversation. I've had fashion designers, graphic designers, and communication designers, people who don't have engineering backgrounds, who don't have medical backgrounds, who are very intrigued by the idea of creating prosthetics for assistive devices...

The idea of prosthetics is a tool. Most people's cell phones are prosthetics. If you leave your cell phone at home, you feel impacted by not having it. It's an important part of your daily function and what you can do in a day.

CNN: How much of your own time do you devote to raising awareness about these issues?

Mullins: I'm not an advocate for disability issues. Human issues are what interest me. You can't possibly speak for a diverse group of people. I don't know what it's like to be an arm amputee, or have even one flesh-and-bone leg, or to have cerebral palsy.

I don't speak for such huge and diverse groups. What I've tried to do, what I've been fortunate to do, is to live my live and create my life as I've wanted to create it. To be able to live with such an autonomy has itself raised awareness.

@highlight

Mullins set world records using prosthetic devices, she's an actress and model

@highlight

She believes people aren't disabled; society disables people when it denies their potential

@highlight

Mullins: The stigma of amputation is largely gone in the United States thanks to technology