The finger-pointing began almost immediately -- and with good reason.

A mere few inches of snow had shut down Atlanta, forcing children to spend the night at schools, stranding drivers on interstates and making the city a laughingstock to the country.

Why did this happen? Who's to blame?

And, more importantly, could this happen elsewhere?

Perhaps.

Unlike Boston and New York, with their long-established infrastructures and diverse mass transit systems, Atlanta resembles the new American city.

It's not just a city but also a region; a metro area that claims its outlying suburbs as its own -- as do Orlando and Dallas and Charlotte. It spans 28 counties sprawled over an area the size of Massachusetts.

On Tuesday, a rare weather phenomenon mixed with poor planning and an overdependence on cars conspired to create a perfect storm.

What can other cities learn from Atlanta's debacle?

Let's comb through the claims and realities:

Ugly remnants after storm clobbers Deep South

CLAIM: This fiasco could have been avoided if Atlanta had a mass transit system like Boston's or Chicago's

Both Atlanta Mayor Kasim Reed and Georgia Gov. Nathan Deal put much of the blame on the fact that everyone -- government, businesses and schools -- all tried to go home at the same time, clogging highways for hours.

"I said immediately yesterday that releasing all of these folks was not the right way to go," Reed said Wednesday. "If I had my druthers, we would have staggered the closures."

REALITY: Yes, it could have

But the problem highlights how Atlanta and cities like it depend almost exclusively on cars. Atlanta does have a commuter train system, but it doesn't serve the whole metro area.

While the city has a workday population of 1 million, the metro area's population is 6 million.

And when offices and schools let out Tuesday, the masses got into their cars to head to the suburbs. An expansive public transportation system would have undoubtedly alleviated some of the ensuing traffic stress.

This week's debacle is also disturbing because if another catastrophe were to hit and roads were the only path out, Atlanta would be in the same situation again.

While a recent poll shows that many in the metro Atlanta area support expanded mass transit, the city hasn't figured out a way to pay for it.

A transportation tax proposal recently failed, with some saying it would have spent too much money on roads instead of light rail.

Was Atlanta asleep at the wheel?

CLAIM: Atlanta needs a city government more like New York's

Former Lt. Gen. Russel Honore, who coordinated relief efforts along the Gulf Coast after Hurricane Katrina, said things would have gone more smoothly this week if Atlanta's city government was more like New York's.

"They need to have in Atlanta the same type of government you have in New York City, where the mayor controls the city and everything around that city, and the mayor can make decisions on road closures; he has emergency powers as when schools close," he said.

The schools and the government should have been closed Tuesday, he said.

REALITY: The metro area has many leaders

Metro Atlanta comprises 140 cities and towns -- most of which have their own leaders making their own decisions. And even within the city of Atlanta, Reed doesn't call all the shots, like New York's mayor.

Reed said he doesn't have the ultimate say on some issues. For example, Atlanta Public Schools was responsible for deciding when to send students home. And the state is responsible for clearing interstate freeways.

But the mayor also said he would have done some things differently.

"We made a mistake by not staggering when people should leave, so I will take responsibility for that -- in lessons learned," Reed said Wednesday.

"If we had to do it again, we would have said, 'Schools, you go first, private sector, you go second, and government goes last.' And so I think that would have helped."

Snow-stranded children

CLAIM: This was an "unexpected storm," and Atlanta didn't play it safe like New Orleans did

As thousands of Atlanta commuters sat motionless on interstates Tuesday night into Wednesday, Georgia's governor said the path of the storm caught officials off guard.

"We have been confronted with an unexpected storm that has hit the metropolitan Atlanta area," Deal told reporters late Tuesday night.

He said as of 10 a.m. ET on Tuesday, "it was still, in most of the forecasts, anticipated that the city of Atlanta would only have a mild dusting or a very small accumulation, if any, and that the majority of the effects of the storm would be south of here. Preparations were made for those predictions."

REALITY: No it wasn't, and Atlanta should have

The National Weather Service put the entire Atlanta metro area under a winter storm warning at 3:38 a.m. Tuesday. The agency warned of 1 to 2 inches of snow accumulation and said it would begin "as early as mid-morning and last into tonight."

CNN meteorologist Chad Myers said Atlanta had plenty of warning. Myers himself had predicted that up to 2 inches of snow would fall.

In reality, just over 2 inches of snow landed in Atlanta. While that's nothing for most Northern cities, it can be a huge burden for Southern cities not accustomed to it.

Contrast Atlanta's response to New Orleans'. It, too, was hit with snow and ice this week, but it decided to play it safe by closing certain roads.

To be sure, New Orleans responded slowly to the disastrous Hurricane Katrina. But it's learned to heed warnings.

Georgia's governor said he's also learned from this week.

"We all have some lessons we need to learn here from this," Deal said. "And I think we all will."

Opinion: Stranded in Atlanta

CLAIM: Atlanta didn't pre-treat roads the way Buffalo (and many other Northern cities) do

It was a common refrain from drivers who sat more than 10 hours on Atlanta roads: Where are the salting trucks?

Ashley McCants spent half a day in her car before she gave up, got out and carried her son 2 miles to a stranger's house, where they spent the night.

During those 12 hours, she didn't see a single salting truck or snowplow.

"It was disheartening," McCants said. "I felt like everyone knew this was coming."

She said the amount of snow "was not that horrible." But "Atlanta was not prepared for it."

REALITY: Atlanta isn't entirely responsible, and the city doesn't have the capacity

While many pointed their fingers at the mayor, Atlanta's only responsible for surface streets in the city. It's actually the state that's responsible for maintaining interstates, where much of the gridlock occurred.

The Georgia Department of Transportation commissioner said crews had been deployed farther south, but then scrambled closer to Atlanta as the storm got under way. But the traffic already choking the roads also blocked salt and sand trucks and snowplows.

Myers, who is originally from Buffalo, New York, said streets there are salted well in advance of a coming storm. But Atlanta doesn't have the capacity for that kind of treatment.

"We simply have never purchased the amount of equipment necessary," he said. "Why would you in a city that gets one snow event every three years? Why would you buy 500 snowplows and salt trucks and have them sit around for 1,000 days, waiting for the next event?"

Stranded drivers tell their stories

@highlight

Atlanta doesn't have a diverse transit system

@highlight

The city's mayor doesn't call all the shots

@highlight

The state, not the city, is responsible for treating interstate roads

@highlight

The governor said he was caught off guard by the storm's path