(CNN) -- This is all we know for sure:

Kari Bowerman, 27, and Cathy Huynh, 26, were backpacking in Vietnam while on break from their jobs teaching English in South Korea.

On July 30, the friends were admitted to Khanh Hoa General Hospital in Nha Trang. Both were vomiting, had difficulty breathing and showed signs of severe dehydration.

Huynh was eventually released from the hospital. She returned later that night to hear the devastating news -- three hours after being admitted, Bowerman had gone into respiratory failure and died.

Two days later, Huynh was dead.

What we don't know for sure is what triggered their deaths.

The travelers' stories are just the latest in a string of mysterious tourist deaths in Southeast Asia. Investigators with the World Health Organization suspect poisoning is to blame, but determining the origin has proven difficult. Meanwhile, friends and family are desperate for answers.

"It's been a nightmare trying to get information," Bowerman's sister Jennifer Jaques said. "No hospital reports. No police report. No nothing. Whatever happened to her we need to make sure doesn't happen to somebody else."

Not yet determined

Almost immediately, international media reports began linking the deaths to an incident in Thailand in June in which two Canadian sisters died.

A hotel maid found Noemi and Audrey Belanger, 25 and 20, in their room on Phi Phi Island more than 12 hours after their deaths. The sisters were covered in vomit, according to CBC News.

In February 2011, New Zealand resident Sarah Carter, 23, died in Chiang Mai, Thailand, after arriving at a local hospital with low blood pressure, difficulty breathing and dehydration from vomiting, according to the New Zealand television network TV3.

In the Downtown Inn where Carter had stayed, the Bangkok Post says three other visitors -- a Thai tour guide and an elderly British couple -- died between January and May 2011.

Other media reports linked Bowerman's and Huynh's deaths to the 2009 deaths of Jill St. Onge and Julie Bergheim, who had similar symptoms in adjacent rooms at the Laleena Guesthouse on the island of Phi Phi. (The hotel has since changed its name).

Speculation on the cause arose with each death -- ranging from alcohol poisoning to something the victims ate.

As Bowerman's relatives read story after story, they realized they weren't the only family frustrated and confused. The cause of death in every case was eerily similar to the one written on Kari's death report: "not yet determined."

Global citizens

Ashley Bowerman says it was "heartbreaking" to unzip her sister's backpack. Inside was a big map of Vietnam, a book about the history of the region and a list of historical sites she wanted to visit.

Her belongings had been returned home to Lake Geneva, Wisconsin, where the girls grew up. Fundraisers helped offset the more than $10,000 it cost the family to repatriate her cremated body.

Ashley is still in shock. Kari -- beautiful, adventurous, full-of-life Kari -- is dead.

Born just a year and 10 days apart, the sisters talked every day, even when Kari was halfway around the world.

"She was the funniest person I know," Ashley said. "She always made me laugh. She never wasted a day ... every weekend she was doing something exciting."

Both Bowerman and Huynh were experienced travelers. Bowerman had applied for the teaching abroad program after graduating from Winona State University in Minnesota. She had already taught for two years in South Korea when the school asked her to come back for a second stint.

"Those kids adored her," Jennifer Jaques said.

Huynh, originally from Hamilton, Ontario, had vacationed in China, Cuba and the United States, her high school friend Jetty Ly told CNN.

Both women had been to Vietnam before and Huynh spoke the language. Among the belongings returned to Huynh's family was detailed information about the Canadian Embassy and emergency contact numbers.

"I encouraged her to follow her dreams, go where her heart wants to go," Ly said. "I wanted to live vicariously through her adventures. But not like this."

When Bowerman's friend Jason Von Seth posted about her death on Facebook, e-mails started flooding in.

A frequent traveler himself, Von Seth had a large network of international acquaintances whom had never heard about this series of mysterious deaths and expressed concern.

He launched a Facebook page last week called Protected Travels. He said he hopes the site will become a community of global citizens who are eager to educate others on the challenges facing travelers abroad.

Five ways to stay healthy while traveling abroad

At the top of the Facebook page is a collection of photos of those who have died in circumstances similar to Huynh and Bowerman.

"All these girls, you see their faces," Von Seth said. "(They're) all young, 20-somethings that just wanted to have a life-changing experience."

Seeking answers

In 2011, TV3 traveled to Chiang Mai, Thailand, to search for evidence in the Sarah Carter case. Show producers spoke with Dr. Ron McDowall, a United Nations toxic chemical consultant, who had reviewed Carter's pathology reports and believed she died of pesticide ingestion.

The swabs collected by TV3 in the Downtown Inn showed moderate levels of chlorpyrifos, McDowall told CNN in an email last week.

According to the Environmental Protection Agency, chlorpyrifos can cause nausea, dizziness, confusion and, in high levels, respiratory paralysis and death.

The chemical is banned for use in homes and hotels in most countries, McDowall said. Yet it's still legal in Thailand and Vietnam, he said, and was included in the pesticide sprayed in the Downtown Inn.

"The level of (chlorpyrifos) in this product is quite low and should not normally cause a problem. However, in my work we have found many sprayer companies 'top up' the level of (chlorpyrifos) when they are battling bedbugs in Asia."

Evidence for the insecticide theory is mounting. Thai police recently announced they found traces of the insect repellent DEET in the Belanger sisters' bodies, according CBC. Investigators believe the DEET was added as an ingredient to a popular cocktail served on the island.

The Downtown Inn was torn down this summer after the Thailand Disease Control Department concluded three of the deaths were "probably connected to the use of pesticides," according to the Bangkok Post.

The problem is that chemical poisoning is very hard to verify, McDowall says. Chlorpyrifos' half-life -- or the amount of time that passes before half of the original amount disappears -- in humans is about one day.

Vietnamese authorities have released very little information about the cause of death for Bowerman and Huynh. Investigators might know more when autopsy results come back in a couple of weeks.

But for the survivors, just knowing the answer isn't good enough anymore. They are determined to raise awareness and are searching for the next step, whether that's better education, tougher insecticide regulation or banning these chemicals outright.

"Cathy could have been alive today," said Ly. "I feel like if we can at least let the world know that this is happening ... maybe when a parent's daughter (or) son tells them that they are backpacking in South Asia, it will not be the last goodbye."

@highlight

Kari Bowerman, 27, and Cathy Huynh, 26, died in Vietnam on July 30

@highlight

Their symptoms matched others' who have died in Asia: vomiting, low blood pressure, dehydration

@highlight

Experts suspect pesticide poisoning from a spray used to combat bed bugs in the region