Washington (CNN) -- State visits to the White House are full of show and symbolism, and Tuesday's visit by Indian Prime Minister Manmohan Singh is no exception.

But Singh's visit, the first state visit hosted by the Obama administration, reflects India's growing political and economic importance to the United States and the deepening partnership between Washington and New Delhi.

The 2005 civil nuclear cooperation deal between the two countries symbolized a new status in U.S.-India relations. But that deal, yet to be ratified by the Indian parliament, was not in a vacuum. The Bush administration followed that up with agreements for increased cooperation on security, science and technology and education.

Singh's visit this week will build on that, with announcements expected on a range of areas from the economy and defense to climate change and energy.

India is a fellow democracy, and there is a strong Indian-American community in the U.S. So as it rises to power, India is a natural U.S. ally.

On every big global issue today -- from the economy to climate change to fighting terrorism and curbing nuclear proliferation -- Washington needs New Delhi's cooperation.

India is one of the biggest donors in Afghanistan, with $1.2 billion in aid. Although this has been met with suspicion in Pakistan, it has helped the United States, sharing some of the burden of stabilizing Afghanistan and providing civilian support.

India is also considered a critical U.S. partner in dealing with other instability in the region, in places like Bangladesh and Sri Lanka.

Even as the U.S. deepens its cooperation with China on global issues, both Singh's government and the Obama administration want to manage China's meteoric rise.

Strong U.S.-India ties help both countries ensure that the "Asian century" is not merely the "Chinese century."

India has also become a major trading partner with the U.S., with $61 billion in trade in 2007. The U.S. is India's second-largest trading partner.

And India is a major exporter of technology software and services to the U.S., and that's expected to increase as India strengthens its role as a global leader in technology.

The relationship is not without its irritants, however, the biggest one being India's nuclear neighbor, Pakistan.

India believes the U.S. has failed to curb Islamabad's backing of anti-India extremists based in Pakistan, and tensions between India and Pakistan remain high, especially with Pakistan's slow progress on the investigation into last year's Mumbai attack that killed 166 people.

Before coming to Washington, Singh said that Pakistani objectives in Afghanistan aren't necessarily those of the U.S.

Pakistan has long seen instability in Afghanistan as critical to its war strategy against India. India is also nervous about a possible integration of some Taliban into power in Afghanistan.

Climate change is another point of friction. The U.S. wants India, one of world's the largest emitters of greenhouse gases, to accept limits on its carbon emissions. India maintains it is still a developing country and wants developed nations, like the U.S., to assume the lion's share of burden in dealing with climate change.

Another potential difference looms over Iran. India has been careful not to support Iran's government, but if U.S. diplomacy with Iran fails, it remains to be seen if New Delhi will support tougher sanctions if the U.S. decides to go that route.

As India's economy grows, so will its capability to be one of the U.S.' great partners. But as its international position strengthens, New Delhi's interests may not always be aligned with Washington's.

Obama must work to convince India that the U.S. sees it as an important ally and that its rise to power is in the U.S.' strategic interest. The symbolism of giving Singh the administration's first state visit will be a good start.

@highlight

Visit by Indian PM reflects India's growing political, economic importance to the U.S.

@highlight

Visit will build on deals for unity on security, nuclear, science, technology, education issues

@highlight

U.S. wants good relations with India as it seeks stability, influence in Asia

@highlight

Nations' frictions include relations with Pakistan, climate change legislation