(CNN) -- The census is inherently political, even if most people don't see it that way.

Every 10 years, new census data is used to reapportion congressional seats across the country, while all states must use the census to redraw congressional districts.

These processes don't get much attention, but the stakes are high: They help determine control of Congress and state legislatures and, because they determine the Electoral College map, who wins the White House.

And the census's political influence doesn't stop there.

Because it presents a unique demographic portrait of the country, the census is mined for political intelligence by strategists from both parties and applied to campaigns from the county level all the way up to the presidency.

Here are eight political takeaways from the 2010 Census:

1. Republicans need to improve relations with Hispanics. Fast.

The single biggest headline from the 2010 Census may be the explosion in Hispanic growth. More than half of U.S. population growth in the last decade is due to growth among Hispanics; nearly one in six Americans now identify as Hispanic.

That's bad news for Republicans, who've seen Hispanic support slip since 2004, when President George W. Bush made major inroads among those voters. Bush won 44 percent of Hispanics. Last November, by contrast, when the GOP wave swept control of the House out of Democratic hands, Republicans captured just 38 percent of that vote.

Much of the falloff is due to the tough Republican line on illegal immigration, including widespread GOP opposition to immigration reform that includes a path to citizenship for undocumented workers. Bush's efforts at such reform were brought down by his own party.

And then there's Arizona's 2010 immigration law, championed by Republicans, that requires immigrants to carry their alien registration documents at all times and allows police to question people's residency status while enforcing other laws.

Grover Norquist, president of Americans for Tax Reform and an influential conservative strategist, says the problem runs deeper. "Republicans have not reached out to Hispanics as they should have for the last 20 years," he says. "The census numbers are not the wake-up call, they're the follow-up call."

Look for a handful of rising Hispanic Republican stars, like newly elected Florida Sen. Marco Rubio, to echo that line.

2. Democrats need to compete harder in red states

Of the 12 new U.S. House seats that will be created this year because of population shifts revealed by the 2010 Census, eight are in solidly red states: Arizona, Georgia, South Carolina, Texas and Utah.

The booming Hispanic population -- among which Democrats have an advantage -- is responsible for much of that growth, but not all of it. Demographers say there has also been a migration of Americans from the Northeast and the Rust Belt, both traditional Democratic strongholds, to the more Republican-dominated South and West.

GOP strategists argue that those transplants are more likely to be entrepreneurial and connected to business -- and therefore more likely to vote Republican. And they say that policies like no state income tax in Texas and Florida, identified with the GOP, will win over new arrivals.

"People who are showing up here are tired of policies that have driven jobs and families from their old states," says Chris Elam, a spokesman for the Texas Republican Party. "They're showing up with a chip on their shoulders about failed government policies."

Democratic pollster Cornel Belcher, who worked for President Barack Obama in the 2008 campaign, won't go that far. But he says his party has a lot of work to do in the South and West.

"The Western states don't lean left, so the Democratic Party has to shift its brand," he says. "Issues like new energy sources and energy independence are what appeal to a Western audience."

3. The battleground states are moving south and west

It wasn't long ago that Ohio was considered the central battleground in presidential politics. Winning the Buckeye State put George W. Bush over the top in 2004.

But Ohio and other Rust Belt battlegrounds have seen their populations plateau, shifting electorate clout to the West and parts of the South, like Georgia and North Carolina. The 2010 Census numbers will take two House seats each from Ohio and New York and give seats to states like Georgia and Arizona.

But it's not just that Southern and Western states are gaining political muscle. They're also growing more politically competitive, thanks to increasing racial diversity and suburbanization, both threats to Republican hegemony.

"Moving forward," Belcher says, "we're going to be waiting for returns from states like Colorado, Nevada and Arizona to determine how our national elections turn out."

4. New electoral math makes it harder for a Democrat to win the presidency

In shifting congressional seats to the South and West, the 2010 Census is also shifting Electoral College votes in that same direction. While deep blue New York will lose two Electoral College votes, deep red Texas will pick up four.

Measured against the national total of 538 Electoral College votes -- used to determine the outcome of presidential elections -- such modest swings might seem like small potatoes. They certainly wouldn't have mattered in the landslide 2008 election, when Obama beat Republican presidential nominee John McCain by 192 electoral votes.

But in squeaker elections like 2000, when George W. Bush bested Al Gore by just five electoral votes, the slightly revised electoral math could have big consequences.

5. Mormon political influence is growing

The U.S. Census Bureau hasn't asked Americans about their religious affiliation since the 1950s, saying that such questions infringe church/state separation rights.

But the 2010 Census found that Utah, home to the headquarters for the Church of Jesus Christ of Latter-day Saints and to the nation's largest Mormon population, was the second-fastest-growing state in the last decade, seeing a 24 percent population spike.

The other three fastest-growing states -- Nevada, Arizona and Idaho -- all have substantial Mormon minorities.

With Mormon numbers growing, through high birth rates and proselytization, and with the religion gaining greater acceptance among other Americans, especially in the West, look for more Mormon-fueled political activism, especially in the GOP.

The trend is already visible: Former Massachusetts Gov. Mitt Romney and former Utah Gov. Jon Huntsman, both Mormons, may soon announce bids for the presidency.

6. The face of American politics will get less white

Obama is the country's first African-American president, but, racially speaking, he's probably more of a sign of things to come than a political anomaly. New census figures show that minorities are becoming a bigger slice of the American pie, while white Americans are claiming a smaller share.

In fact, white Americans were the only racial group to see their proportion of the population shrink in the last 10 years, from 75 percent to 72 percent.

Want to help define America? Take the iReport cultural census

That's due to more than just Hispanic growth. The Asian population, for instance, grew by 43 percent in the last decade, faster than any other major racial group.

The election of Indian-American governors like Bobby Jindal in Louisiana and Nikki Haley in South Carolina, both Republicans, shows how the face of politics is already changing to reflect the new racial map.

The next frontier: Congress, where whites are still overrepresented. Asians occupy just 3% of congressional seats, while Hispanics occupy 6% -- substantially less than those groups' shares of the nation's population.

7. Our politics are moving from country to city, or at least near the city

More than 80% of Americans now live in metropolitan areas -- places with cities of 50,000 or more people. An additional 10%, the 2010 Census found, live in so-called micropolitan areas, organized around towns of 10,000 to 50,000. Both kinds of population-dense areas saw big growth in the last decade, with greater Houston and metro Atlanta watching their numbers surge by around 25 percent.

Some of that growth came on the backs of the country's rural areas. The census found that large swaths of Appalachia and the Great Plains -- which encompasses the Dakotas, Kansas, Nebraska and the Texas panhandle -- lost population.

Many Democrats argue that a national shift from traditionally Republican rural areas to more urban ones gives them a leg up. "It's the red states that are growing, but it's blue terrain in those states," says Jesse Ferguson, a spokesman for the Democratic Congressional Campaign Committee.

But it's suburban and exurban counties -- as opposed to cities themselves -- that are seeing the biggest growth, which means that areas outside of cities are becoming more politically powerful -- they'll be focal points for many new House districts that will be carved up this year -- and more competitive, but not necessarily more Democratic.

8. 2011 is a good year to be a Republican

OK, this isn't political intelligence gleaned from the census -- it's a fact that will determine how census numbers are used politically: The state governments tasked with drawing up new House districts based on the most recent census data are dominated by Republicans.

Every 10 years, each state is required to draw up new congressional and state legislative districts that reflect population shifts from the last census. This year, the GOP has a big advantage: It controls 26 state legislatures, while Democrats control just 15, with eight others divided. (Nebraska, not included in that tally, has a nonpartisan legislature.)

"Republicans are in the best position for redistricting since the 1960s," says Tim Storey, senior fellow with the National Conference of State Legislatures.

Redistricting of House and state legislative districts will occur in all states by early next year. Look for Democrats to challenge most of the redistricting plans in Republican-controlled states -- and for the GOP to do the same in Democratic-controlled states.

Political posturing around the process is already under way.

"Even in places where Republicans control the process," says the DCCC's Ferguson, "they can't control the demographic realities that voter growth is happening among Democratic communities."

@highlight

The census's influence doesn't stop with redistricting

@highlight

Hispanic population is exploding, but GOP has seen Hispanic support slip since 2004

@highlight

The battleground states are moving south and west

@highlight

New electoral math makes it harder for a Democrat to win the presidency