(CNN) -- In a summer crowded with books about vampires, werewolves and things that go bump in the night, a young novelist is stepping forward with his own fresh take on the supernatural suspense thriller.

Michael Koryta's newest novel is "The Ridge." At 28-years old, it's hard to call Koryta a veteran, but this is his eighth novel already. His work has won high praise from critics and some well-known peers, including best-selling authors Michael Connelly and Dennis Lehane.

Set in rural Kentucky, Koryta's book includes a murder, a lonely lawman in love with a dangerous woman and a newspaper veteran determined to dig up the truth.

But the story adds some chilling and unexpected twists, including a landlocked lighthouse, a mysterious blue light and a home for rescued lions, tigers and other big cats.

CNN caught up with the author and the following is an edited transcript.

CNN: What was the spark behind "The Ridge"?

Koryta: I wanted to write a contemporary thriller that drew from the feel of frontier folklore and legend. A single image -- a homemade lighthouse built in the woods -- got me started. I can't explain how I got to that, because I simply don't know. One day it was just there, and I've never loved a book cover as much as this one, because it captures the feel I had from the image: mysterious, haunting, ominous.

A lot of the ghostly tales and legends that were in my mind at the time involved cats -- the mythical black panthers people are always claiming to spot, particularly -- and that gave the idea some traction, because I had a very real setting with which to work.

There's a place in Indiana, not far from my hometown of Bloomington, called the Exotic Feline Rescue Center. This operation, which is truly out in the middle of nowhere, down a long gravel road, is currently home to 230 tigers, lions, cougars, leopards and other exotic cats that have been rescued from terrible, abusive circumstances.

The center exists simply to provide safe homes for cats that have none. The very idea that there are so many exotic cats in need is strong on its own merits, but the center was also a gold mine of atmosphere for a novelist. It can be a very intimidating place the first time you see it. And, of course, these large cats are and always have been a source of endless fascination for humans.

Every civilization that ever interacted with these animals had their own set of stories, symbolism and myth.

So the spark was in the intersection of these things, in the idea of trying to create something very original that also carried with it a generations old weight of familiarity, that sense of legend.

CNN: You started out writing crime novels, what prompted the change to supernatural?

Koryta: Initially, it was simply the right fit for the story, that being "So Cold the River." I knew I wanted to draw upon the history and mythology that surrounded West Baden Springs, which was this glorious resort around the early 20th century, when people came from around the world to experience what they believed were truly miraculous mineral springs. It was also a story that required bridging eras.

Those things just kept shouting "Ghost story!" and so I listened. During the course of writing that book, I really fell in love with the form. It didn't seem all that different to me -- still suspense, still mystery, just with a new layer, an added wrinkle. The supernatural elements were more of a plotting challenge, too, and I think good things happen when you challenge yourself as a writer.

I never envisioned, early on, that I'd write anything with a supernatural thread. I suppose I shouldn't be overly surprised, because one of the really key moments in my writing life was when I found Stephen King's book " On Writing," which is the definitive work on the craft for anyone who values storytelling first and foremost. At the time, while I read widely, I was very focused on writing detective novels.

People don't really consider it because I'm a younger writer, but when "The Silent Hour," the last of my detective novels to date, was released, I'd been working in that form for a decade. Trying something a little different was wonderful, creatively. You have only so many chances to tell stories. I didn't want to be forever wedded to one form of storytelling when there are so many out there.

CNN: I've heard several of your novels may hit the the big screen?

Koryta: Chris Columbus, who directed the first two Harry Potter films and was the family comedy king through the '80s and '90s -- "Mrs. Doubtfire," "Home Alone," etc. -- has acquired rights to "The Cypress House" and is working on the script himself, with intent to direct.

For "So Cold the River." I'm actually working on adapting the book with Scott Silver, who was just nominated for an Oscar for "The Fighter," and who also wrote "8 Mile," which I think is a terrific screenplay. The chance to work with Scott is a tremendous pleasure and I'm learning a lot.

CNN: You've worked as a private investigator, a journalist and a teacher but I understand you knew at a young age that you wanted to be a writer?

Koryta: Always, yeah. This was it. This was what I wanted to do from the time I began to read. I just fell in love with stories, with books. I was always writing. I finished my first novel, it was around 300 pages long, when I was 16. Wrote one more before I got out of high school, then wrote the first Lincoln Perry novel when I was 19. It didn't sell, but I liked the character and I knew the world so I tried what was, in my mind, a sequel. Wrote that when I was 20, and that one made it.

That's "Tonight I Said Goodbye," which came out when I was 21 and won some prizes and was nominated for the Edgar and translated into a bunch of foreign languages, all while I was working two jobs and going to school. Looking back on that now, it seems impossible. The time management seems impossible. But right then, it was just my life, and I was having a lot of fun. I wrote from midnight to 3 a.m. because that was when I had free time. It never felt like work. It was fun, it was all I wanted to do, to be.

I just wanted to get something between the covers, as my friend Stewart O'Nan says about his books. I love that phrase, particularly when it comes from such a brilliant novelist as Stewart, who is as good as anybody alive. There's a humility in that, a gratitude: "Just to get it between the covers." The idea that it's a privilege to have that chance is really a good thing to remember.

CNN: I understand music is a big source of inspiration to you while you write?

Koryta: It runs the engine, plain and simple. At the start, I needed headphones because I was writing in my college apartment and my roommate was, you know, entitled to do his thing and not create a cocoon of silence for my attempts at genius.

Then I realized how much the music was impacting the mood of the writing, and I started to pair things up -- this song for this kind of scene, things like that. Then I'd get superstitious -- you've had a good run on this playlist, don't change it until things tighten up. Like a baseball player not changing socks.

I usually pick one song that I listen to with my eyes closed every day before I start writing. That can range from classical to rap. In one case, a song inspired the entire book. "So Cold the River" developed from my imagining a story behind Joshua Bell's violin piece "Short Trip Home."

For "The Ridge" I was really into The National, riding their album "High Violet" pretty hard, and a band called Gaslight Anthem, and of course the two artists I quote in the book, Josh Ritter and Joe Pug. They're brilliant songwriters. Just brilliant.

Ritter has made a good name for himself but Pug is criminally overlooked at this point. He'll be around for a long, long time, though. He's that good.

CNN: What's next for you?

Koryta: I stepped back and took a breath. That needed to be done. I went almost two months without writing a word of prose, but I needed that after the last stretch, I really did. Now I'm back at it.

The next book is a return to traditional crime fiction, no ghosts in sight, and it is one I've wanted to write for a long time. It's about two brothers who lost a sibling to violent crime when they were in their teens, and went about coping in very different ways. One is an ex-cop turned bail bondsman, the other a high school football coach who is involved with prison ministry.

It's set in Ohio, where high school football is a very big deal, and I've always wanted to mine from sports for fiction and never really had a chance. As I said earlier, we have a limited number of shots, so I felt it was time to take this one.

@highlight

Michael Koryta's newest novel is "The Ridge," his eighth at age 28

@highlight

Koryta was inspired by ghost stories and a rescue center for exotic cats

@highlight

Music is a huge inspiration for the author and has become a part of his writing process