(CNN)Sen. Rand Paul, who is expected to announce on April 7 that he will be running for the presidency, is garnering a great deal of attention as he travels around the country promoting his brand of libertarian conservatism.

The Kentucky senator's widely publicized appearance this month at the South by Southwest festival at Austin, Texas, was one opportunity he used to appeal to a tech-savvy audience. His particular blend of ideas -- a combination of libertarianism and Republican conservatism -- stands out from the rest of the pack. Younger Republicans, the much-desired millennial vote, seem attracted by what they are hearing.

What accounts for his appeal? In an era when so many Americans seem frustrated with shallow, personality-based politics, there seems to be genuine interest in a candidate who is fighting for a set of ideas. For many disaffected younger Republicans, Paul offers a version of the conservative agenda that seems foreign to the modern GOP.

For almost half a century, "big government conservatism" has ruled the party. Although conservatism is theoretically about limited government, the historical reality has been much different. On national defense, the hawks of the GOP have been victorious.

Even while railing against the dangers of a big federal government, Republicans have lined up to support higher defense spending and a massive military-industrial complex. Though the GOP has little tolerance for many social safety net programs, the party has accepted sizable government support to industry, such as the financial bailout known as TARP in 2008 and subsidies for certain economic interests.

Paul has been a vocal critic of the neoconservative turn that the GOP has embraced in recent decades, during which the party moved beyond support for high national security spending and toward a bolder vision of aggressive nation-building and regime change.

For some Republicans, including Paul, these policies were at the heart of the failures of George W. Bush's presidency and a sharp departure from the party's principles. Similarly, Paul has been one of the few Republican voices to argue that post 9/11 surveillance policies have dangerously curtailed civil liberties. At the local level, he has criticized the militarization of police forces and the treatment of African Americans by law enforcement officers.

Paul has also backed away from some tenets of social conservatism that don't sit well with a growing number of Republican voters. He has been an outspoken advocate of giving states the right to legalize marijuana. He has been attuned to the ways in which younger generations of Republicans are not on board with the evangelical fervor of the 1970s conservative movement and want to move in a different direction.

While many Republicans have talked about the need for their party to tackle issues involving race and inequality in ways that are different from Democrats, most have been unwilling to offer any substantive ideas. Indeed, the recent budget blueprint from congressional Republicans exposed how thin discussions of a Republican anti-poverty program are.

Their budget centers around cuts to key social safety net programs such as Medicare and regressive supply side tax cuts. But Paul, who has appeared to be supportive of a stringent budget, has also been willing to put forward bolder ideas, including criminal justice reform, that deal directly with the conditions that have devastated African American communities.

Can Paul really win? That is unclear. Republican strategist Matthew Dowd told The New York Times: "It's one thing to be interesting; it's another thing to be compelling. They've got to see him sitting in the Oval Office. And I do not think Rand has crossed that threshold yet."

There are many skeptics who don't think that he has what it takes and that he has a controversial record. Paul's extremely critical remarks about key aspects of the Civil Rights Act of 1964 will certainly come back to bite him, as will some of his blistering attacks on the Federal Reserve.

Paul is also trying to make the case for a libertarian conservatism that is not pure. Paul is still a Republican, so he will continue to fit his ideas within the broader agenda of the GOP. He is also a politician at heart and will make compromises that he believes are essential to survive.

While Paul argues that he is trying to take some of the ideas that libertarians liked about his father and make them politically viable, some of his supporters smell a sellout. Arguably, we have seen this recently when he signed the controversial letter to Iran led by Sen. Tom Cotton of Arkansas (a neoconservative mentored by the hawkish Bill Kristol), switched his approach to the issue of same-sex marriage and gave support to an aggressive war against ISIS.

"This is more than a flip-flop. This is a backflip," the editor of an anti-war website told the Daily Beast. "This was the last straw. I've put up with a lot from that guy! I've had to defend him like a Jesuit. I'm done. Let somebody else do it."

But if Rand Paul can sell primary voters that his blend of ideas still offers something distinct from the rest of the Republican candidates, at a minimum he can help reshape the debate within the GOP by raising questions about some of the party's core positions.

@highlight

Julian Zelizer: Rand Paul, due to announce for presidency, has attracted a lot of attention

@highlight

He says the Kentucky senator can appeal to younger Republicans with a libertarian brand of conservatism