(CNN) -- In the early 1980s when I served on the staff of the Joint Economic Committee, we invited the Republican deficit scourge, Peter G. Peterson, to testify on Reaganomics, but he wouldn't come. Somewhat understandably, he declined to sabotage his own team. This week, when I was asked to comment on President Barack Obama's proposed "Buffett Rule," I had a similar urge to duck. But it passed.

The Buffett Rule would increase taxes on a handful of Mitt-Romney-like figures in today's America, raising a few billions of dollars in new revenues each year from the very rich. It is perfectly tailored to the Obama political style, which is to nod symbolically leftward while reserving big concessions for banks, venture capitalists and insurance companies.

Symbolic gestures have their place. In this case, the proposed rule states an important principle of tax fairness. It calls attention to the larger issue of income inequality. It could be the start of a larger push for tax reform. No political progressive should sneer at an idea that helps bring these issues into focus. And especially not, if the direct effect might be to cost Romney, personally, millions of dollars. The image of him writing the check will, no doubt, give universal pleasure.

Another virtue of the Buffett Rule is that it exposes the craven hypocrisy of its opponents. This is, after all, a very small tax increase. It is exquisitely targeted on a few individuals with large investment incomes. As drafted by Sen. Sheldon Whitehouse, D-Rhode Island, it would provide a useful spur to their charity. There is no serious argument that the rule would make the tax code more inefficient than it already is. The grounds for opposing it can only be, well, craven and hypocritical.

And yet, at the same time, by itself, the Buffett Rule solves no significant economic problem. It will not create any jobs, raise any wages, reduce the crushing debts of the middle class, slow the wave of foreclosures, conserve energy or reduce the price of gas. Nor will it restore confidence in the banks. And it is directed, at least in principle, toward a notorious nonproblem, namely the deficit and the public debt, on which we waste far too much ink as things stand.

I noticed in the news that a number of states are once again taking the lead on measures to raise the minimum wage -- with Massachusetts moving toward a minimum of $10 per hour, and with other measures on the table in New York, Illinois, New Jersey, Connecticut and Missouri. Meanwhile Sen. Tom Harkin, D-Iowa, is pressing for the federal minimum to rise to $9.80 per hour by 2014.

According to the Economic Policy Institute, Harkin's proposal would raise the incomes of 28 million American workers. It would make a big difference in the South, where wages are lower. It would especially help younger workers, minorities and women. It would not add to the deficit -- since federal workers all make more than that anyway -- and would likely spur the economy and increase tax revenues -- by a lot more than the Buffett Rule.

I've proposed pushing the minimum wage up to $12 an hour, and at least some conservatives -- the editors at The American Conservative -- agree with this goal. (Actually I took my cue from them.) More recently, Reihan Salam at the National Review has weighed in, calling the idea "a tougher call than I would've thought." Salam suggested that Romney could transform his campaign by endorsing it. That's still possible, I suppose. But anyway we have a discussion and maybe even a left-right coalition -- that rarest of political birds -- getting under way. And on something real.

The Buffett Rule would zing a few thousand high fliers, which is not bad. But maybe Obama should go beyond symbols and grab this idea while it's hot.

The opinions expressed in this commentary are solely those of James K. Galbraith.

@highlight

Democrats are making a case for the "Buffett Rule" to raise taxes on the very rich

@highlight

James Galbraith: While the legislation calls for tax fairness, it is a symbolic move

@highlight

Galbraith says the Buffett Rule won't solve any significant economic problem

@highlight

It's better if President Obama would focus on raising the minimum wage, he says