Cairo (CNN) -- Syrian authorities have moved perhaps hundreds of detainees to military sites to hide them from Arab League monitors assessing whether the government is upholding a commitment to end its crackdown on protesters, Human Rights Watch said Tuesday.

"Syria has shown it will stop at nothing to undermine independent monitoring of its crackdown," said Sarah Leah Whitson, Middle East director at Human Rights Watch. "Syria's subterfuge makes it essential for the Arab League to draw clear lines regarding access to detainees, and be willing to speak out when those lines are crossed."

Syrian Foreign Minister Walid Moallem told The Independent last week that the international monitors could move around the country "under the protection" of the government but would not be permitted to visit sensitive military sites.

HRW said it was told by a Syrian security officer in Homs that his prison director had ordered him to transfer about 400 to 600 detainees from his detention facility to other places.

"The transfers happened in installments," the official said, according to HRW. "Some detainees were moved in civilian jeeps and some in cargo trucks. My role was inside the prison, gathering the detainees and putting them in the cars. My orders from the prison director were to move the important detainees out," the official said, according to HRW.

He said that officials told him the detainees were being taken to a military missile factory in Zaidal, outside of Homs.

Other witnesses corroborated his account, HRW said.

The Syrian security officer also said the government has issued police identification cards to military officials, according to the human rights group. HRW said it has a document that appears to be from the Syrian Defense Ministry ordering the transfer of personnel from the Defense Ministry to the Interior Ministry, which oversees the police.

"Dressing soldiers in police uniforms does not meet the Arab League call to withdraw the army," Whitson said. "The Arab League needs to cut through Syrian government deception by pushing for full access to anywhere Syria is holding detainees."

Jamal Barakat, a member of the Egyptian National Council for Human Rights, said he is part of the Arab League mission. He said Arab League Secretary-General Nabil el-Araby had "emphasized the importance of neutrality, objectivity and transparency of our work" during the fact-finding mission.

During the mission, the areas visited will include the provinces of Homs, Idlib, Hama, Damascus and Daraa, el-Araby said.

In Washington, acting State Department spokesman Mark Toner said that the Syrian government has used the last few days -- before the arrival of the international monitors over the weekend and on Monday -- to increase their attacks on Daraa and other cities. "They saw an opportunity prior to these Arab League monitors arriving," he said.

"We obviously look to these individuals to be intrepid in their search for the truth of what's happening on the ground, and we would ask, or demand rather, that the Syrian authorities allow them full access to the Syrian people in order to carry out their mission."

Inside Syria, the carnage continued, with security forces assaulting demonstrators in the Syrian cities of Homs and Hama on Tuesday, witnesses told CNN.

An opposition group said 39 people, two of them children, were killed Tuesday. Four deaths occurred along the Lebanese border, 14 in Homs, three at Damascus University, four in Daraa, four in the Damascus suburbs, three each in Idlib and Hama, two in Deir Ezzor and one each in Saraqeb and Latakia, said the Local Coordination Committees of Syria, an activist group that organizes and documents demonstrations.

Security forces shot tear gas and bullets at protesters at Clock Square in downtown Homs, where thousands had gathered, said Loubna, a Homs resident who cited security concerns in asking that her full name not be used. She said she saw seven people injured and dozens arrested.

The London-based Syrian Observatory for Human Rights, an opposition activist group with contacts across the country, said more than 70,000 protesters tried to enter the square but were dispersed by security forces.

Danielle Moussa gave a similar account of events in the city's northeast neighborhood of Khalidiah, where thousands of people had gathered. "I saw several get shot and I ran," said Moussa, an opposition activist whose group was working to retrieve bodies.

Some 35,000 protesters had turned up in the neighborhood of Khalidiah, reported the Local Coordination Committees of Syria, an opposition activist network that organizes and documents demonstrations.

The observatory estimated the turnout of protesters in Khalidiah at 20,000.

Loubna said thousands of the protesters left Khalidiah for Clock Square when they heard the Arab League observers were at the downtown location, also the site of the city's police headquarters and several government buildings.

The observatory also reported gunfire near the Homs neighborhood of Baba Amr. It said security forces fired at mourners attending a funeral for those killed on Monday.

The LCC reported "heavy gunfire and the presence of snipers aiming at everything that moves in the orchards of Baba Amr and Jober."

Alaa Shalaby, a member of the Arab League advance team, said Sudanese Lt. Gen. Mohamed Ahmed Mustafa Al-Dabi, the head of the observer mission, had returned to Damascus but 10 monitors remained in Homs.

Shalaby said residents rushed toward the monitors and security forces fired warning shots.

Videos from Hama showed demonstrators amid sounds of gunfire. Avaaz, a political activist group, said "mass demonstrations took place in Hama today after news reached the city of the arrival of the Arab League observers. Demonstrators attempted to reach al Assi Square but were stopped when security forces opened fire at them."

The LCC had said three people were killed and "dozens injured in neighborhoods of Mourabet and Barodiyeh after security forces opened fire at protesters attempting to reach al Assi Square."

The Arab League fact-finding team is monitoring an Arab League initiative that calls for President Bashar al-Assad's security forces to withdraw from cities, release detainees and end violence.

The monitors arrived amid what opposition members said was a military siege in recent days against protesters in Homs, Syria's third-largest city.

The observatory called the reported withdrawal of government forces a deceptive "show" for the Arab League monitors. It said at least 11 tanks had repositioned themselves inside government centers in the city from where they could return quickly to their previous positions.

"It shows its (the al-Assad regime's) attempt to circumvent the Arab League mission in order to give credibility to its false stories and deny the crystal-clear fact that there is a huge political crisis and a 'popular revolution', by all the standards, by the Syrian people who are trying to regain power, freedom and dignity," the observatory said on its Facebook page.

The Arab League observers "will have access to any place they want, freely," said a senior official in the league's advance group.

"The protocol entails that Syrian security only escorts the monitors to the entrances of the city only. According to the protocol, any party on the ground has the right to contact the monitors as they please," said the official, who did not want to be identified because he is not authorized to speak with the media.

The team is composed of 12 international monitors, the senior official said.

The state-run Syrian Arab News Agency (SANA) reported on burials of "martyrs" from the army and security forces who were killed by "armed terrorist groups" -- a phrase Syria uses to describe those responsible for violence during the uprising.

The news agency said "an armed terrorist group" was responsible for sabotaging a gas pipeline in Homs province on Tuesday.

CNN cannot verify opposition accounts of violence or reports of casualties in Syria. Al-Assad's government has restricted access by international journalists.

The unrest in Syria began in March when protesters, emboldened by democracy movements in Tunisia and Egypt, called for open elections and an increase in political freedoms and demanded an end to brutal regime actions. The movement quickly spiraled into a call for the ouster of al-Assad as the regime cracked down on peaceful demonstrators.

The uprising launched the Free Syrian Army, a rebel force composed of military defectors, and efforts to create a breakaway government. Other opposition groups, most notably the Syrian National Council, have emerged.

The Arab League has expelled Syria over its crackdown. Al-Assad has been under enormous pressure from the Arab League, Turkey, the United States, and the European Union to end the violence.

More than 5,000 people have died since mid-March, when al-Assad began the crackdown on anti-government protesters calling for his ouster, the United Nations said this month. But activist groups, such as Avaaz and LCC, put the toll at more than 6,000.

CNN's Hamdi Alkhshali, Mohammed Jamjoom, Amir Ahmed, Joe Sterling and Tom Watkins and Journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: "Syria has shown it will stop at nothing to undermine independent monitoring," HRW says

@highlight

Demonstrations erupt in Hama on news of Arab League observers' arrival

@highlight

Thousands gathered in Homs to protest the regime of Bashar al-Assad

@highlight

An Arab League official says observers will have free access