Editor's note: This is the first in a series of planned collaborations between CNN and the online investigative journalism organization, ProPublica.org.

Silver State Bank grew impressively under CEO Tod Little. He says he was forced out for favoring slow growth.

LAS VEGAS, Nevada (CNN) -- Sitting back in his leather chair, working as a consultant for a small Las Vegas bank, Tod Little is sure of one thing: Practically anyone, he says, could have made money as a banker in the go-go days of real estate in Nevada. Go-go days that lasted until the fall of 2008.

"It didn't take a rocket scientist to run a bank in this town for the past 10 years," Little told CNN.

CNN's Special Investigations Unit and the online investigative journalism organization ProPublica.org got a brief look inside the collapse of a regional bank. What the two organizations learned was both old and new: bankers giving themselves large salaries and generous bonuses, at the same time they are lending millions of dollars on what, according to one lawsuit, were essentially parcels of bare dirt with little potential of big income.

Silver State Bank had been in business in the Las Vegas suburb of Henderson for 10 years when Little, the bank's founder and CEO left. The bank had grown impressively under his guidance, but Little said his managers wanted more and he was forced out.

"They wanted bigger salaries, bigger lifestyle, fancier offices. Whatever. However you want to view that," Little told CNN.

One of those managers was new bank president Corey Johnson, who declined to answer any questions. Three other managers declined comment to CNN, as well.

Silver State and others loaned money on the promise of Las Vegas' commercial real estate boom with the belief that undeveloped land would be turned into shopping centers, hotels and offices. Records show that land and houses were being "flipped" or resold over and over at huge profits.

Bill Martin, a Las Vegas banker who once worked as a regulator for the Comptroller of the Currency in Washington, said what was happening to Silver State was clear.

"They were over-advancing on construction, you know, more liberal advances on construction," Martin said. "It all worked last year [and] the year before and the year before. So they just kept doing it."

Banking regulators issued repeated so-called "mild" warnings to banks concerned they were amassing large amounts of commercial development loans and lowering lending standards. But Martin says those warnings -- delivered by Federal Deposit Insurance Corporation personnel often on a quarterly or semi-annual basis in their field visits to Silver State -- were ignored.

One Silver State loan that turned out to be especially poor was to a Las Vegas developer who had been a longtime customer of the bank. According to bank records, a developer named Thomas Jurbala, received almost $100 million from Silver State during a 10-year period.

In 2008, Jurbala came calling again and the bank approved a $24 million loan for a piece of ground in North Las Vegas far from the Last Vegas strip, supposedly valued at $48 million. It was a so-called "interest reserve loan" in which the bank not only loaned the principle amount but the interest, as well. Then, according to bank records, it booked the interest as revenue.

Regulators say those sorts of deals are not uncommon in construction loans. But this particular piece of land was undeveloped with only a permit to build a casino there one day. It is near the Las Vegas Speedway and in court papers the developer said he hoped a casino could be built. However, the entire project was scrapped before a spade was ever turned, and the land sits empty surrounded by a fence. The project was scrapped because Silver State went under.

Doug French, the man who made that loan, reluctantly agreed to sit down with CNN for a taped interview. He is now vice president at a Libertarian think tank in Auburn, Alabama. French told CNN that at "the time" he believed the land was "very valuable." But when it all went up in smoke, he says, "It's very humbling, believe me."

French says mistakes at Silver State Bank were "preventable," but according to a lawsuit filed by the developer, the loans were part of a series of loans, each one preceding the other -- to different corporations.

At the time French left Silver State Bank, the bank told reporters he had resigned for "personal reasons." But French told CNN he was fired from Silver State.

According to Securities and Exchange Commission documents, he sold $1.8 million in Silver State stock from November 2007 through February 2008. That was on top of his $650,000 in salary and bonuses, according to bank records. He left the bank in March 2008.

In September 2008, when Silver State Bank collapsed, a group of elderly Las Vegas deaf residents was especially hurt. The local chapter of the Deaf Seniors Association put an estimated $400,000 into certificates of deposit sold by Silver State. That money was to be used to help fund the group's annual national convention in Las Vegas in 2009. The group lost half of its money. The FDIC said after it seized Silver State that it did not have enough capital to cover business activities.

"I just can't believe it happened," one woman told CNN through a sign language interpreter. "We're just so frustrated."

The group is trying to raise funds in a more traditional manner by making quilts. They have a very long road ahead, its members say.

Silver State Bank was the 25th bank to fail in the United States in 2008. As a result, the FDIC was left to cover more than a half-billion dollars in Silver State liabilities. Already this year, three U.S. banks have collapsed and experts predict many more will tumble as the economy continues to suffer.

@highlight

Bank CEO says he was forced out for favoring slow growth, not being powerhouse

@highlight

Former regulator: Silver State ignored repeated warnings from banking regulators

@highlight

Silver State one of 27 that failed in 2008; many bankers believe 2009 will be worse