(CNN) -- You may be relieved or even ecstatic about the end of a symbol of terror, or maybe it seems like the pain is just beginning all over again.

Both of these reactions to the death of Osama bin Laden, who was killed by U.S. troops in Pakistan, are natural, experts say.

From the celebrations in Washington and New York, it looks like lots of people are happy. Chants of "USA! USA!" reverberated outside the White House and at New York's ground zero as crowds celebrated the death of the terrorist leader,  President Obama announced Sunday.

As far as the collective American psyche goes, it makes sense that this is a moment of celebration, says Columbia University psychiatrist Dr. Jeffery Lieberman. The country has been experiencing emotional malaise, with a slow-moving economy, a sense of America losing its No. 1 status in the world, and a decade of pent-up anguish about the threat of terrorism. Much like the World War II years, these have been uncertain times.

Then, rumors of bin Laden's death, confirmed by an announcement from the president, lifted that burden of pain and helplessness.

"In the blink of an eye, the gloom and doom and pessimism has dissipated," Lieberman said.

After bin Laden: What does it mean to you?

But wait a minute: Should we rejoice in the death of another human being?

But although bin Laden claimed responsibility for the destruction of the World Trade Center and the deaths of thousands of Americans, the outpouring of celebration doesn't feel right for everyone.

David Sirota, a newspaper columnist and a contributor to Salon felt uncomfortable with the jubilation because he said there is a "difference between relief and euphoria."

"A euphoric response instead of somber relief suggests that we are celebrating revenge. We are not celebrating an end to the war," he said, comparing it to the public's euphoria when World War II ended.

"What's a little scary about this: We were once a country that saw violence as regrettable, but sometimes necessary act. But we're not celebrating end of violence, but the exercise of it."

Josh Pesavento, 22, a journalism student in New York who photographed the cheering crowds in Times Square on Monday morning, also felt conflicted about the celebrations he witnessed.

"I don't believe that any person has the right to kill anyone, and I don't think that we should be cheering for yet more loss of life. However, I tell myself that in this situation, these people may be cheering for the end of an icon who led to the death of far, far too many," Pesavento said.

For some, bin Laden represents an idea more than a person who lived and died. More than the death of a human being, this ends the life of a powerful symbol of terrorism and destruction, said Nadine Kaslow, psychologist at Emory University. Bin Laden's death hits closer to home in the U.S. than the capture and execution of Saddam Hussein, for example, because the Iraqi dictator did not directly attack American soil, she said.

The celebratory mood reflects a sense that fairness and justice had been restored and that a terrorist got his comeuppance, said Kaslow.

"I think people feel like this guy got what he deserved. It was a sense that it was 'our family' that was killed," she said.

But there are likely others who aren't chanting on the streets for whom the death of bin Laden brings back painful memories of the September 11, 2001, terrorist attacks, she said.

People who lost loved ones on September 11, 2001, may have symptoms of post-traumatic stress disorder, and the killing of bin Laden may open old wounds, Lieberman said.

"It doesn't bring their loved ones back. It doesn't ease their pain. There was so much more to this than catching bin Laden. At best, they would be bittersweet: It feels good to have the relief of this guy being gone, but the pain of their loss is very strong and very real to them," said Dr. Susan Nolen-Hoeksema, a Yale University psychologist.

Is it morally right to celebrate bin Laden's death?

Diana Massaroli, who lost her husband, Michael Massaroli, in the World Trade Center on September 11, 2001, said the news of bin Laden's death made her feel an "overall calm that I haven't felt in 10 years."

"I feel better ... like I can start a new chapter in my life."

Sirota and Kaslow likened bin Laden's death to the execution of a convicted murderer of someone's family, which may bring a sense of closure for some. In the case of bin Laden, though, there is fear of retaliation from terrorist groups.

"Relief also comes with a kind of sadness that the victims can never be brought back and sadness at the world that creates such a perpetrator," Sirota said.

Even people who didn't feel the direct impact of the attacks on September 11, 2001, will feel relief, Kaslow said. After all, everyone gets reminded of the global insecurity that resulted whenever they go to the airport.

The terrorist leader's living situation also doesn't bring about any sympathy -- he wasn't starving and struggling in a cave, but rather lived in a mansion, which adds to his perceived arrogance, Kaslow said.

The news of bin Laden's death "allows us to put some sort of order" to the horror of 9-11 because otherwise, "it's upsetting, disconcerting when we're reminded how unpredictable life, death and the world around us could be," said Sam Sommer, associate professor of psychology at Tufts University.

People's reactions are likely tied to how emotionally and personally they felt to the events 10 years ago, Sommer said.

"It seems to me that the emotional reaction had a lot to do with the differences in how people view this -- whether it's the right triumphing over evil -- a lot of young people are viewing this in that way," Nolen-Hoeksema said.

She noted that her teenage son and his friends were enthusiastically tweeting about the news in a tone that "this is a bad guy, the good guys got him finally -- that's all they are seeing." After, all Jack Bauer of "24" was trending on Twitter.

But the one common factor was that everyone felt a need to share the news and their observations -- whether it was rallying in front of the White House, or tweeting or updating their Facebook page.

"These emotionally charged events send us back to our social roots and make us need to affiliate with other people," Sommer said.

CNN's Nicole Saidi contributed to this report.

@highlight

Osama bin Laden was killed by U.S. troops in Pakistan, President Obama announced Sunday

@highlight

Bin Laden's death may come with feelings of relief for many people

@highlight

Reactions likely tied to emotions felt on September 11, 2001