(CNN) -- Life was good for Kenny Sparks. A handsome man with a big smile, he was well-known in his town of Little Compton, Rhode Island. He had a loving wife, two beautiful, college-age children and was the co-owner of a multimillion-dollar contracting business.

At 49 he had it all. But then he began to change. At first the family thought Kenny had Alzheimer's disease; he had all the signs. But they got a diagnosis that turned out to be more devastating. Kenny has a condition known as frontotemporal dementia, or FTD.

When doctors told Kenny's wife, Cheryl, she was relieved. "I was thankful it wasn't Alzheimer's," she said. "Clearly, what did I know?"

She noticed the first changes more than four years ago.

"He was stumbling over words," she said. "And he would forget what he was saying -- but at almost 50, I think we all tend to do that."

Kenny's personality wasn't the same, either. He grew distant, more agitated. Cheryl thought it was stress, that the pressure of work was getting to him. But as the months went by, his condition got worse. He was put on medication for depression. Although it helped, Cheryl said, "He just wasn't Kenny."

His children also noticed the change. During a family trip to France, he hardly spoke. His son, Graham, knew this wasn't his dad. "He'd tell stupid jokes all the time," said Graham. "And on this trip, he wasn't telling jokes. He was sitting there with a blank stare on his face."

His daughter, Alexandra, noticed that Kenny didn't care about his health any longer. "He exercised all the time. He would swim constantly and he ate well," she said. "And all of a sudden he was downing gallons of ice cream. Gallons!"

Watch more of the Sparks' family odyssey

But it was his inability to communicate that finally pushed Cheryl into action. "We were working on a project ... and he turned to me and asked me, can you give me that screwdriver with the little cross on top," she recalled. "And then I knew: This was a man who built his house from the ground up and he couldn't ask for a Phillips screwdriver?"

Cheryl got Kenny to the doctor. During the course of numerous cognitive tests, Cheryl learned details about her husband that were shocking.

"He couldn't draw a clock and put the numbers or hands on it," she said.

Doctors told her, FTD would rob Kenny of his personality, his speech and eventually his life. "They told me, 'If you are going to travel or do anything with your husband, you'd better do it in the next few years,'" she said. "And that's when I fell apart."

Frontotemporal dementia is an umbrella term for a group of degenerative disorders that damage the cells in the temporal and/or frontal lobes of the brain. Doctors believe certain proteins in the brain attack the cells. They don't know why.

The disease is typically diagnosed in people in their 50s and 60s, but can strike people in their 40s or younger. It affects areas of the brain responsible for reasoning, communication, social awareness and memory, causing changes in personality and judgment. Although its symptoms can vary depending on the parts of the brain affected, FTD eventually leaves a patient in a state of confusion and helplessness. It also leaves affected families feeling helpless.

"Many patients will lose their inhibitions; they'll act totally inappropriately, leaving their families to wonder what is wrong," said Dr. Murray Grossman, a neurologist with the University of Pennsylvania. "Some patients will have no problem spending the family fortune, taking all their money and putting it into scams, get-rich-quick schemes, or going off and buying an expensive car or boat the family doesn't need. The patients lose their reasoning."

"What's particularly frustrating for family members is, the patients don't seem to have much insight into the difficulties they are having or causing for others," Grossman said.

FTD affects approximately 250,000 Americans -- about 10 percent to 20 percent of all dementia cases -- and misdiagnosis is common, according to the Association for Frontotemporal Dementias.

"There's a great lack of awareness among physicians. So on the journey to diagnosis many of our families take five or six years [before they find out], and they go through a series of misdiagnoses," said Susan Dickinson, director of the association.

Grossman said misdiagnoses can cause trouble.

"Many patients take on symptoms of a stroke and, of course, Alzheimer's or even severe depression and are misdiagnosed, which can be dangerous because many of the medications used for these conditions can make FTD worse," said Grossman. "So correct diagnosis is critical."

"And when they do get the news, it's very difficult," said Dickinson. "They are told, 'Your loved one has FTD. It's a neurological degenerative disease. It's fatal, and there is no cure. Now go home and deal with it.'"

And that's what Dickinson wants to change. The association is trying to get the word out by offering resources for physicians and information on support groups for families through its organization and on its Web site. Dickinson says 40 support groups have been formed so far, "most of them started by families and volunteers."

"Because many of our patients are diagnosed in the prime of their lives, families are faced with financial problems. Where do they go for help? How can they better deal with this disease?" said Dickinson. "That's what we are here for: to help them find resources and ways of coping."

The association also wants to raise money for more research.

Although at this point there are few treatments and no cure, Dr. Grossman says there is hope.

"The good news is that as we learn more about the condition we are developing treatments that are specific, that we hope can change the natural history of the condition," he said. "So there are medications in development that go after the proteins that accumulate in the brain cells that cause this condition."

In the four years since his FTD was diagnosed, Kenny has taken trips with his family. Until recently he was able to ride a bike and get around, although he can't drive a car. He has become progressively more dependent on Cheryl, who quit her job to be with him 24/7.

"His need to be with me is constant, because he feels safe," she said.

Although Kenny goes with a caretaker several times a week to give Cheryl a break, keeping up with him can be exhausting.

"He can't read a clock. So he'll get up at 3 a.m., and that's when we start our day," said Cheryl.

Right after the diagnosis he had good days and bad days, Cheryl said.

"And when he had bad days, they were very bad." she said. "Now, he's more like a child, most times."

When Kenny's children visit, it can be hard for them to see him slip away.

"When he has his bad days and he lashes out it makes it hurt more, and that's when you have to blame the disease," said daughter Alexandra.

Son Graham agreed. "You've got to understand your dad is actually gone, and it's the disease."

Cheryl looks at it differently.

"Our doctor says if we don't take this on with a sense of humor our family will be destroyed," she said. "In so many ways we've been blessed. So we've got to keep going with a good heart."

"A lot of our friends and family don't understand this illness. But we do," she said indicating her children. "And we have to deal with it."

"There is no one hardest part," Cheryl said. "Well, for me, knowing that the man I thought I was going to grow old with -- I'm not, I guess."

Cheryl stopped, and with tears in her eyes, realized, "Yes, that's the hardest part."

@highlight

Frontotemporal dementia affects part of brain responsible for personality, memory, reasoning

@highlight

250,000 people in the United States have it, representing 10-20 percent of dementia cases

@highlight

The condition is often misdiagnosed, resulting in wrong medications

@highlight

Hope on the horizon as researchers target the proteins that accumulate in the brain cells