(CNN)Can you imagine paying $1,000 a month in rent to live in a one-car garage?  Nicole, a 30-year-old woman, doesn't have to imagine this scenario because it's her everyday reality.  The small and unusual living space is all that this employed, single mother can afford in her high-cost community in San Mateo, California.

Nicole isn't alone in her struggles.

CNN recently published a powerful piece called "Poor kids of Silicon Valley" that documents the affordable housing challenges facing families in the Bay Area.  One aspect featured a house that is home to 16 people, including 11 children.  Another chronicles a husband and wife named Rich and Stacey, both of whom have jobs, who are living in a San Jose homeless shelter with their two kids because they don't have the money to go anywhere else.

Although Silicon Valley has unique characteristics, it isn't the only community confronting these challenges.  Our entire nation is in the midst of an affordable housing crisis.  The agency I lead, the U.S. Department of Housing and Urban Development, recently released a report estimating that 7.7 million low-income households live in substandard housing, spend more than half their incomes on rent or both.

These are families who are dedicating $1 out of every $2 they earn just to keep a roof over their head.  And the more they spend on housing, the less they have to invest in their children's education, build up savings and shop at local businesses.  These are outcomes that hurt our nation's economy and require us to respond with swift and bold action.

HUD is working with local partners across the country to do just that.

First, we're focusing on preserving the affordable housing that already exists. Since the mid-1970s, we have directed and insured loans for multifamily properties that have resulted in more than 700,000 affordable units.  But by 2020, we're in danger of losing more than 125,000 because these mortgages are maturing, ending agreements to control rents in these units.  So we've launched a preservation effort with private partners to keep these properties affordable for generations to come.

We're also doing the same with public housing. Right now, the nation is losing 10,000 units of public housing every year, mainly because of disrepair, HUD created the Rental Assistance Demonstration  initiative to bring private investment into the fold for the public good.

It's cost neutral for the federal government and making a big impact for communities such as Lexington, North Carolina, where the local housing authority is making 58 years' worth of repairs in just 22 months, including new lighting, modern windows and better insulation to help residents stay warm and cut energy costs.

RAD has allowed local communities to raise more than $733 million in new capital to date. That's why we're asking Congress to give every community the chance to participate by lifting the restrictions on this program. No American should ever have to wait six decades to have a decent and healthy place to call home.

In addition to preservation, HUD is also working to create new affordable housing.  A Harvard study revealed that in 2012, there were 11.5 million extremely low-income households and only 3.3 million affordable units available.  It's clear that we can't preserve our way out of this problem.  We've got to grow the supply to meet demand, so HUD is taking a multifaceted approach.

For example, our HOME Investment Partnerships Program is leveraging $4 in private and other public resources for every $1 in HOME funds and leading to more than 1 million new and rehabilitated units for rent or sale to lower income families.

This is more than just a statistic: It is progress for people, from the families living in the Broadway Crossing development in Washington to the seniors living in the Woodcrest Retirement Residence in Pennsylvania.  To keep this momentum going, we've asked Congress to increase HOME funding by 16% to keep building affordable homes, prosperous partnerships and strong communities across the nation.

We are also asking Congress to expand our Housing Choice Voucher Program, which allows recipients of modest means, the elderly, and people with disabilities to find housing in the private market.  This includes restoring 67,000 vouchers that were lost to sequestration.

And we're targeting our resources where they can have a big impact.

For instance, HUD awarded $94 million in targeted homelessness assistance to 274 programs across the San Francisco Bay Area, including Silicon Valley, in January.  And we continue to work with local partners to encourage private investment. To empower communities, President Barack Obama has also requested $300 million for new Local Housing Policy Grants to help them increase housing affordability, economic growth and access to jobs. All of this work is making a significant contribution to families and communities from coast-to-coast.

Our nation's affordable housing challenges won't be solved overnight, and we still need to do more to make sure that more folks are able to prosper. Let's not squander this chance to make real progress for American families. Incredible things can happen when a wide variety of leaders come together for the common good.

By leveraging private investment and increasing collaboration with state, local and tribal governments and other traditional housing partners, I know we can build a future where affordable housing is available to all.

@highlight

CNN's John Sutter told the story of the "Poor kids of Silicon Valley"

@highlight

HUD Secretary Julián Castro: Our shortage of affordable housing is a national crisis that stunts the economy