Pretoria, South Africa (CNN) -- An international sports icon is behind bars. His girlfriend is dead. And South Africa is grappling with one of its most notorious killings in recent memory.

Olympic runner Oscar Pistorius, known as Blade Runner for his lightning-fast prosthetic legs, shook and sobbed Friday when a judge officially charged him with killing his girlfriend on Valentine's Day.

Wearing a dark suit, he buried his head in his hands at a packed courtroom in Pretoria. Prosecutors said they plan to charge the 26-year-old with premeditated murder.

Pistorius rejects the murder allegation "in the strongest terms," his agent, Peet Vanzuyl, told CNN.

His girlfriend, model Reeva Steenkamp, was found in a pool of blood at Pistorius' home Thursday in an upscale neighborhood in the capital.

Neighbors alerted authorities to the early morning shooting, saying they had "heard things earlier," according to police spokeswoman Denise Beukes. She did not clarify what the neighbors reported they heard.

The track star was arrested the same day.

Steenkamp's killing rattled South Africa, not only for the fame factor, but also because the country is grappling with a disturbing problem -- 71% of women report that they've been the victim of sexual abuse. Just in the past few weeks, 17-year-old Anene Booyson died after being gang-raped and mutilated in the tiny tourist town of Bredasdorp, two hours southeast of Cape Town.

Booyson's death inspired this week's nationwide rape awareness day dubbed Black Friday. The day before she was killed, Steenkamp retweeted a message on Twitter in support of Black Friday.

While police have not discussed a possible motive for the model's killing, local media reported that Pistorius had mistaken his girlfriend for an intruder.

South Africa has a high crime rate, and many homeowners keep weapons to protect themselves from intruders.

But Beukes, the police spokeswoman, stressed that this scenario did not come from authorities.

There was no evidence of forced entry at the home, she said.

Police said there had been previous "allegations of a domestic nature" at his house, but they did not elaborate.

Investigators found a pistol at the scene.

South Africa's gun debate

On a larger stage, Steenkamp's killing has given gun control advocates a spotlight to push for stricter laws.

Gunpolicy.org says there are just under 6 million licensed firearms in South Africa, a country of 50 million people.

"There are 1.5 million gun owners -- about 3.5 million guns in civilians hands," said Alan Storey, chairman of Gun Free South Africa.

Most of the victims of gun homicides are between the ages 20 and 30, he said.

South Africa has passed tough legislation that includes a requirement for a thorough background check for prospective gun owners. The check includes spouses and partners, and is repeated every few years, he said.

WATCH: Police probe shooting at Pistorius home

"People acquire guns believing they are more safe ... but they place themselves at great risk," Storey said. "We've made airplanes a gun-free zone. We need to bring that logic down to earth."

But the South African Gunowners' Association, a popular gun lobby group, has said citizens have the right to protect themselves from increasingly violent crimes.

"There are already more than enough laws and regulations to control the possession of firearms by private citizens," it says on its website. "Fewer and less complex laws reasonably, yet properly, applied could achieve the required objective."

One issue in South Africa is stolen guns. Guns are often stolen from home, reports show, but also from the police.

Statistics suggest that 18,196 police firearms have been lost or stolen during the five-year period beginning April 1 2005 to March 31 2011.

From hero to murder suspect

Beyond the violence, South Africans struggled with the idea that they've lost a hero, an athlete who embodied what it meant to overcome incredible physical odds.

When Pistorius was a toddler, his legs were amputated below the knees because of a bone defect.

Earning the nickname "Blade Runner," Pistorius runs on special carbon fiber blades.

He became the first Paralympic sprinter competing against able-bodied athletes at the London Olympics last year.

His face became a fixture on billboards across the nation, and he and Steenkamp were photographed at high-profile celebrity events and around town.

Hours after the news of his arrest, some of the billboards started coming down.

His sponsors also pulled away.

Nike removed an ad featuring him from its website showing him taking off for a run with the words "I am the bullet in the chamber."

Other Pistorius sponsors -- including prosthetics manufacturer Ossur, British Telecom, and Oakley, which makes sunglasses and other products -- expressed condolences and said they had no further comment.

The sports icon appeared in headlines across the nation, overshadowing the State of the Union address by President Jacob Zuma.

"Golden Boy Loses Shine," read a headline on the front page of the Sowetan.

The Pretoria court postponed Pistorius' bail hearing to Tuesday and ordered him to remain in custody until then. Prosecutors said they will argue that he committed premeditated murder.

Authorities said they will oppose bail, but did not provide their reasons for the decision.

He shattered barriers

The double amputee's London Olympics appearance brought controversy, as some said the prosthetic limbs gave him an advantage.

Pistorius was initially refused permission to enter the Olympics, but he hired a legal team to prove that his artificial limbs did not give him an unfair advantage, and he was allowed to compete.

While he did not win a medal, his presence on the track was lauded as an example of victory over adversity and dedication to a goal.

In the 2012 Paralympics, held a few weeks after the Olympics, he smashed a record to win the men's 400-meter in the final athletics event of the Games.

In October, he discussed the "massive blessing" of inspiring people around the world.

"Being an international sportsman, there's a lot of responsibility that comes with that," he told CNN's "Piers Morgan Tonight."

PHOTOS: The career of Oscar Pistorius

CNN's Robyn Curnow reported from Pretoria, and Ashley Fantz and Faith Karim from Atlanta. CNN's Josh Levs, Marilia Brocchetto and Emily Smith contributed to this report.

@highlight

Famous runner Oscar Pistorius rejects murder allegation

@highlight

Pistorius shakes uncontrollably as he faces murder charges

@highlight

Nike pulls an ad featuring Pistorius and the word "bullet"