Washington (CNN) -- They are losing the battle over higher taxes on the wealthy, so now Republicans are threatening a political war next year when it comes time to raise the nation's debt ceiling.

With cracks appearing in their anti-tax facade and polls showing most Americans favoring President Barack Obama's stance in the fiscal cliff negotiations, GOP legislators are starting to advocate a tactical retreat to fight another day.

Conservative Sen. Lindsey Graham, R-South Carolina, promised the newly re-elected Obama "one hell of a fight" next year if the president forces through his plan for high-income earners to pay more taxes without agreeing to substantive steps to reduce the nation's chronic federal deficits and debt.

"But there will come a time in February and March where we have to raise the debt ceiling," Graham said Tuesday on "Piers Morgan Tonight" on CNN.

"I will not raise the debt ceiling ever again until we get significant entitlement reforms, because if we don't reform entitlements, we're going to become Greece," adding that the situation presented a chance for Obama to lead. "But if he doesn't lead, there's going to be one hell of a fight over raising the debt ceiling."

Survey: 70% want compromise

Senate Republican leader Mitch McConnell concurred on Tuesday, telling reporters that "we are going to insist that we have another discussion about the future of our country in connection with his request of us to raise the debt ceiling."

Meanwhile, McConnell and House Speaker John Boehner on Tuesday called for Obama to make public the specific spending cuts he will offer in a deficit-reduction deal.

Both complained that Obama was deliberately holding up progress in negotiations by refusing to provide the details of his cost saving plans.

"Where are the president's spending cuts?" asked Boehner, R-Ohio, the lead GOP negotiator. "The longer the White House slow walks this process, the closer our economy gets to the fiscal cliff."

In response, White House spokesman Jay Carney said Boehner and McConnell were wrong because Obama detailed his proposed spending cuts more than a year ago.

He added that Republican negotiators had yet to offer any details of their own on how to raise more revenue from taxes, "and it would be helpful if they did."

House Democratic leader Nancy Pelosi, meanwhile, argued that the $1 trillion in spending cuts agreed to by Congress in the past two years should be counted toward deficit reduction in the current negotiations.

"Where are the cuts? They're in bills that you, Mr. Speaker, have voted for," Pelosi, D-California, said Tuesday.

Three weeks remain to cut a deal before the automatic tax increases and spending cuts of the fiscal cliff go into effect on January 1.

Without an agreement during the current lame-duck session of Congress, everyone's taxes will go up, and economists warn the impact of the fiscal cliff could cause another recession.

Obama, Boehner speak by telephone after GOP counter-offer

However, the administration has signaled it can delay some of the effects to allow time to work out an agreement when a new Congress convenes in January.

Obama has held a campaign-style series of public events to back his call for extending Bush-era tax cuts for 98% of Americans while allowing rates to return to higher 1990s levels on income over $250,000.

The issue was central to his re-election in November, and Obama made clear on Monday that he intended to adhere to his belief that the wealthy must contribute more.

"I'm willing to compromise a little bit," Obama said at a Michigan diesel engine plant. However, he said higher tax rates on the the top income brackets was "a principle I'm not going to compromise on."

The president's public push appears to be working as polls show that most Americans back the president's position.

A new Politico/George Washington University survey on Monday said 60% of respondents supported Obama's proposal compared with 38% who opposed it.

On Tuesday, a Gallup poll showed that 70% of adult Americans want Congress and the White House to reach a compromise that would avoid the fiscal cliff. A similar Gallup poll last week said 62% wanted compromise.

The deficit-reduction debate hinges on the tax issue, with Republicans opposing any increase in tax rates in their quest to shrink government, while Obama and Democrats want to secure more tax revenue as part of a broader package.

Americans already making big decisions over fiscal cliff

Both sides call for eliminating tax deductions and loopholes to raise more revenue, but Obama also demands an end to the tax cuts of 2001 and 2003 for the top brackets.

Republicans oppose the return to higher rates, saying it will inhibit job growth because small business owners declare their profits as personal income and therefore would face a tax increase.

In response, Obama and Democrats note that their plan -- already approved by the Senate and needing House approval to be signed into law by the president -- affects just 2% of taxpayers and 3% of small business owners.

While Republicans argue those small business owners account for about half of all business income, Democrats say that's because they include law firms, hedge funds traders and other high-income operations.

Obama and Boehner met face to face on Sunday for the first time since November 16. It also was their first one-on-one meeting in more than a year, when deficit talks broke down.

The outline for a deal has become clear in recent weeks. Both sides agree that more revenue from taxes should be part of the equation, with Obama seeking $1.6 trillion and Republicans offering $800 billion.

A source close to the talks said Tuesday that the White House had floated the idea of dropping the revenue target to $1.2 trillion, then went up to $1.4 trillion on Monday.

Later, Boehner spokesman Michael Steel said his side made a counteroffer to the White House "that would achieve tax and entitlement reform to solve our looming debt crisis and create more American jobs."

Steel also said Boehner and Obama spoke on the phone after the Republican proposal was floated. Steel provided no further details on the counteroffer or the phone conversation, and repeated Boehner's earlier assertion that Republicans were waiting for Obama to identify specific spending cuts he would be willing to make.

Federal Reserve may buy more bonds

Boehner's side wants additional revenue to come from tax reform, such as eliminating some deductions and loopholes, while Obama demands the higher rates on income over $250,000 for families as part of the equation.

Republicans also seek savings from entitlement programs totaling another $800 billion or so, while Obama has proposed $400 billion in reduced entitlement costs. Social Security would not be included in the president's plan.

Another sticky issue -- whether the need to raise the federal debt ceiling early next year should be part of the discussion -- also remains unresolved. Obama says absolutely not, while Boehner says that any increase in government borrowing to pay its bills must be offset by spending cuts.

Graham's comments this week showed that Republicans plan to regroup around negotiations to raise the debt ceiling.

From my home to the house: How to fix the fiscal cliff

He noted that Obama proposed making permanent a process originated by McConnell that would allow the president to increase the debt ceiling and Congress to then try to block it, an unlikely scenario given Democratic control of the Senate.

"That's going nowhere," Graham told Fox News on Monday, adding: "He's not king. He's president."

However, a top House Democrat said that exploiting the debt ceiling for political gain would backfire on Republicans.

"Threatening to tank the entire economy, which is what would happen if we ever defaulted on our debt, is not a kind of negotiating strategy that is going to be popular with the American people," Rep. Chris Van Hollen told MSNBC on Monday.

It remains unclear if a deal will happen before the end of the year or if the negotiations will carry over into 2013, after the fiscal cliff takes effect.

Without action now on the fiscal cliff, the nonpartisan Tax Policy Center estimates that middle-class families would pay about $2,000 a year more in taxes. Even with a deal, revisions in the tax code and other changes would mean everyone pays a bit more starting next year.

All signs point toward a two-step approach sought by Obama, with initial agreement now on some version of his tax plan with targets set for comprehensive negotiations on a broader deficit reduction deal in the new Congress next year.

Opinion: Generals, get real and cut Pentagon spending

Such an outcome would put off the main worry of the fiscal cliff, the expiration of the Bush-era tax cuts that would result in higher rates for everyone.

Obama and Democrats say they would then be ready to negotiate significant savings from entitlement programs, while Republicans say they need to first see commitment on entitlement reforms before accepting any higher tax rates.

McConnell, R-Kentucky, warned on the Senate floor on Tuesday that "until the president gets specific about cuts, nobody should trust Democrats to put a dime in new revenue toward real deficit reduction or to stop their shakedown of the taxpayers at the top 2%."

He and Boehner want Obama to take some of the political heat for proposing cuts to entitlement programs and other government spending.

On Tuesday, congressional Democrats rejected any cuts to the Medicaid health care system for poor and disabled Americans as part of a fiscal cliff deal. The opposition by Democrats showed the pressure Obama faces from his liberal base to avoid significant changes to the entitlement program that benefits millions.

Some in Congress warn that the legislative process will need at least a week to work through potentially complex measures from any proposed deal, meaning there is a de facto deadline of Christmas Day at the very latest for negotiators.

Retiring Sen. Kent Conrad, D-North Dakota, predicted Tuesday on MSNBC that a deal would get worked out in a week's time.

"It would be wise on their part not to come too quickly with a deal because that would give all the interest groups a chance to get organized and try to kill it," Conrad said. "And we know that on the right, on the left, special interest groups are just salivating at the chance to attack any agreement because, look, any agreement is going to have controversy attached to it."

iReport: How will the fiscal cliff affect you?

CNN's Dana Bash, Deirdre Walsh, Ashley Killough and Kevin Liptak contributed to this report.

@highlight

NEW: White House, Republicans exchange counteroffers; Boehner, Obama talk on phone

@highlight

NEW: Graham promises "one hell of a fight" over debt ceiling hike unless deficit cut

@highlight

The White House challenges GOP leaders over who lacks specifics

@highlight

Polls show most Americans back the president on raising taxes on the rich