(CNN) -- It's hard to say exactly what percentage of desktop and laptop computers run Apple OS X, but it's clear that the operating system has made slow but steady gains at chipping away at that the sizable lead Microsoft established in the '90s with its Windows operating system. Some figures put the number at about 6 to 7 percent of the desktop market.

But one thing's for sure: OS X has been more successful than Linux, the open source operating system that has found a home on data-center servers but is still a rarity on desktops and laptops. Linux may have seen a surge last year, but it still hasn't seen the sort of growth OS X has, nor the growth that Linux supporters have long hoped for.

Why is that? Miguel de Icaza -- one of the original creators of GNOME, a Linux desktop interface that has struggled to take hold -- believes that a large portion of the software developers that could have taken Linux to greater heights defected to other platforms, including not only Apple OS X but -- more importantly -- the Web.

Some might blame the slow progress of desktop Linux on the fragmentation of the desktop user interfaces used by the major Linux distributions. In 2010, Canonical announced that it would replaced the popular GNOME desktop environment with its own homegrown Unity environment in the Ubuntu distribution, much to many Linux geeks' chagrin. But many are also unhappy with the direction GNOME has taken, including Linux creator Linus Torvalds, who posted a tirade about it on Google Plus last year.

Torvalds switched to Xfce, a desktop environment originally created as a lighter-weight alternative to the dominant GNOME and KDE environments. The audio and video centric Ubuntu Studio completed a transition to Xfce last month, and earlier this month, the venerable Linux distribution Debian dropped GNOME as its default desktop environment and replaced it with Xfce.

But de Icaza says the desktop wars were already lost to OS X by the time the latest shakeups started happening. And he thinks the real reason Linux lost is that developers started defecting to OS X because the developers behind the toolkits used to build graphical Linux applications didn't do a good enough job ensuring backward compatibility between different versions of their APIs. "For many years, we broke people's code," he says. "OS X did a much better job of ensuring backward compatibility."

But at the same time, development was shifting to the web. Open source on the desktop became a lot less important than open source on the server. The need to develop native applications was diminishing and at the same time OS X provided a good enough Unix-like environment that programmers could develop on a Mac and then deploy to a Linux server.

The web is where open source truly thrives. Even Steve Ballmer admits that Linux is beating Windows in the web server market. Even if you don't have a single open source application installed on your laptop, if you use the web you're probably being served by several open source technologies, including web servers like Apache and Nginx and programming languages and frameworks like PHP and Ruby on Rails all running on an open source operating system. The latest trends in web technology, from cloud computing to big data, are also built on open source technologies such as Apache Hadoop, MongoDB and the Xen hypervisor.

Open source powers the server side of the web, but there's no guarantee of openness on the user-facing side. And that's where open source advocates are focusing much of their efforts now, even if they have started using Macs. "Many people who were talking about Free Software are the people talking about the open web now," de Icaza says.

One of them is Stormy Peters, the former executive director of the GNOME Foundation. She's still on the GNOME Foundation board an like de Icaza she still keeps some Linux machines around. But as director of websites and developer engagement at the Mozilla Foundation, her focus is now on the open web.

"The reason I'm personally at Mozilla is that I saw a lot of websites that weren't designed with the principles of free software," she says. Thanks to AJAX and HTML5, the web has become the dominant platform for applications she says.

In what ways can the principles of free software be applied to the web? Peters says one of the most important aspects of open source software is that you, or someone you trust, can examine an application's source code and see what it's doing. One way to bring this level of insight to the web is help users control their data and how it is used by web applications. That's the goal of Mozilla Identity team, who are working on Mozilla Persona, a browser-based identity and authentication system.

Another big change since the early days of the Linux desktop is the rise of the mobile web. "There's a huge portion of the world who are going to first experience the internet through the mobile devices," Peters say.

To that end, Mozilla is working on its Boot to Gecko open source mobile operating system, but possibly more importantly is the Mozilla Marketplace. These applications will run anywhere that the Firefox web browser will.

Mobile development is also on de Icaza's mind. Since 2001 he's been working on Mono, an open source framework for running Microsoft's .NET languages on non-Microsoft operating systems like Linux and OS X. Now the project is available on Android and iOS as well.

Meanwhile, through all of this, GNOME and the Linux desktop are still chugging along. GNOME 3.6 is out, and is working to improve the developer experience.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

As Apple's operating system emerges, Linux stalls

@highlight

Open-source system has found a home on data-center servers, but not captured the public

@highlight

One creator says developers who could have pushed Linux have defected

@highlight

At Mozilla Foundation, focus is now on Web development