London, England (CNN) -- A widespread shortage of organs for transplantation means surgeons are forced to use "less than ideal" organs -- a practice that can have deadly consequences.

In October 2009, the inquest into the death of British soldier Corporal Matthew Millington revealed he had received a double lung transplant from a donor who may have smoked up to 50 cigarettes a day.

Less than a year after the transplant, Millington died after doctors found a tumor in his lungs. The case highlighted the fact that with a desperate shortage of donors, surgeons are often forced to transplant imperfect organs.

Chris Watson, vice-president of the British Transplantation Society (BTS), told CNN that 49 percent of last year's lung donors in the UK were smokers.

"We're not in the luxurious position in transplantation to turn down organs because they're not absolutely perfect -- there are very few perfect organs," he said.

Watson told CNN that around 7,000 people in the UK are currently waiting for a transplant; according to BTS figures, almost 1,000 people died last year while waiting.

In the U.S., about 105,000 people are currently waiting for an organ transplant, and approximately 19 people die every day while waiting for a transplant, according to according to official figures.

Spain leads the world in organ donation, with 33 deceased donors per million people, compared with 12 donors per million in the UK, according to Watson.

Spain has a "presumed consent" law, where individuals are automatically considered an organ donor unless they opt out, but Watson said that is not the only factor that explains the country's high level of organ donation.

He told CNN that Spain has a well-developed infrastructure for managing patients in intensive care and dedicated donor coordinators who are able to counsel the families of the deceased and discuss their consent to organ donation.

It's a system that has been trialled in the UK for the last two years, and one that Watson hopes will improve donation rates.

But with current levels of donation, Watson is happy to use the organs that are available. He told CNN that data shows that transplants using smokers' lungs are just as effective in the long term as those using lungs from non-smokers.

"In the case of Corporal Millington, the donor had a chest X-ray, broncoscopy and a careful inspection of the lungs once they were removed," Watson told CNN.

"When they found the tumor in Corporal Millington it was seven millimeters across and it was likely to have been two or three millimeters when it was transplanted. To find something that small you'd need to chop the lungs up into fine pieces, and then you can't transplant."

Watson told CNN that organs are thoroughly tested for suitability before they are transplanted.

He said that once a patient has been diagnosed as brain-dead and donation is a possibility, a donor coordinator will approach their family to learn more about the patient's history.

Medics ask about the donor's medical history and lifestyle. They also take a blood test and may contact the donor's doctor for more information.

But Watson stresses that medics only have a few hours between diagnosis of brain death and organ removal.

Those time constraints mean medics have to make quick judgments about the suitability of donated organs.

"We're happy to use the organs available knowing they're not ideal and we'll make the best use of them and keep them functioning as well as we can," said Watson.

"The alternative for recipients is to die, so there's really not much choice for them."

@highlight

British surgeon says shortage of donors means he must use imperfect organs

@highlight

In the United States, 19 people die every day waiting for an organ transplant

@highlight

Spain leads the world in terms of organ donation, and employs donor coordinators in hospitals.