(CNN) -- Roy Braswell was 9 years old when the flu pandemic of 1918 hit.

Margaret Duchez, 94, sees some similarities to the 1918 situation, like the dozens of school closings.

"I know it's a bad feeling, 'cause I had it," said Braswell, 100, who now lives in Cobb County in Georgia. "It makes you have headaches, you be out of your head, you don't know nothing."

Margaret Duchez, 94, did not have the flu, but remembers that in 1918 her grandmother locked the door so that she couldn't go outside during the pandemic. In her community near Cleveland, Ohio, people were afraid to go to church, walk in the street or let children play outside, she said. An entire family died around the corner from her.

"People were dying so fast in our parish, which was old St. Patrick's, they could not bury them fast enough," Duchez said.

A study in Nature last year showed survivors of the 1918 pandemic still have some immunity to that virus in the form of B cells, which are immune cells that produce antibodies.

Now, researchers are taking the knowledge from that study to work toward an antibody treatment for swine flu, the 2009 H1N1 virus that has sickened hundreds of people worldwide.  Learn about other influenza pandemics in history »

When a person gets infected with a virus, the body typically mounts an immune response to it. B cells produce antibodies, leaving the person at least partially immune to the disease, said Dr. James Crowe, professor at Vanderbilt University and lead study author.

The levels of immune response tend to wane with time, he said. The response is strongest within the first several months, and then diminishes over the following years.

In the Nature study, supported by the National Institutes of Health, Crowe and colleagues took these rare B cells from survivors' blood and cloned the antibody genes from these cells to produce antibodies in the laboratory.

"It's interesting because we had this technology, and we should be able to do this with survivors of any flu," he said.

Applying this technique to the 2009 H1N1 virus, researchers could use blood from swine flu survivors to develop an antibody molecule, which is "a biologic drug that we could give to people to protect them against the current swine flu, or possibly to treat them," he said.

Crowe said he was shocked to find B cells that produce 1918 flu antibodies from the blood of flu survivor volunteers 90 years after they got the illness.

"Typically, it's thought that you have high levels of antibodies for about 10 years," he said. "Our studies have shown in some cases you keep antibodies for the rest of your life.

Crowe and collaborators are now in the process of working with the Centers for Disease Control and Prevention to get blood samples of survivors of 2009 H1N1.

If a survivor of a virus maintains immunity for years, does this mean people should try to contract a mild case of a virus so that they will naturally develop antibodies? This used to be the logic with chicken pox, a far more serious illness for adults than children. Before there was a vaccine, people thought children ought to catch the disease to avoid complications later in life, he said.

But Crowe does not advise that anyone purposely contract swine flu to develop immunity, even in the United States, where most cases appear mild.

"We don't know yet how severe this virus is going to be," he said.

Duchez, who follows the news on television from her assisted living community in Westlake, Ohio, sees some similarities to the 1918 situation -- for example, the dozens of school closings nationwide.   Watch another 1918 epidemic survivor share her memories »

Still, the swine flu does not seem as bad, she said. Duchez recalls that when she went to school at age 6, in 1920, the nuns told of how they became nurses and put sulfur in their shoes to protect themselves from catching diseases.

People are worried now, but not like they were back then. And Duchez herself does not fear the swine flu.   "My life is in the hands of God. Why should I be afraid?" she said.

@highlight

Study: Survivors of 1918 pandemic still have some immunity to that virus

@highlight

Researchers are working with CDC on antibody treatment

@highlight

Expert: Don't try to catch swine flu just to be immune to it later