NEW YORK (CNN)  -- Toward the end of her marriage, Rabia Iqbal said she feared for her life.

Robina Niaz said the Quran "condemns" abuse of women. "If we witness injustice, we're required to speak up."

Iqbal was born in New York to parents who had immigrated to the United States from the tribal areas of Pakistan. She had a strict Muslim upbringing and when she was 16, her parents arranged her marriage to a 38-year-old man. She claims her husband turned violent during their 10 years of marriage.

When she finally left him, she did not know where to turn. Going home wasn't an option, she said.

"My parents ... made clear that they would disown me," Iqbal said. "My father even said ... 'You're lucky you live in America because if you lived back home, you would have been dead by now.' "

She was hiding out in her office at work when a friend put her in touch with Robina Niaz, whose organization, Turning Point for Women and Families, helps female Muslim abuse victims.

"It was such a relief ... to speak about things that ... I thought no one would understand," said Iqbal, who has received counseling from Niaz for more than two years and calls Niaz her "savior."

"Robina understood the cultural nuances ... the religious issues," Iqbal said.  Watch Iqbal tell her story »

A devout Muslim, Niaz stresses that there is no evidence that domestic violence is more common among Muslim families.

"Abuse happens everywhere," said Niaz. "It cuts across barriers of race, religion, culture."

But, she said, Muslims are often reluctant to confront the issue.

"There's a lot of denial," she said. "It makes it much harder for the victims of abuse to speak out."

When Niaz launched her organization in 2004, it was the first resource of its kind in New York City. Today, her one-woman campaign has expanded into a multifaceted endeavor that is raising awareness about family violence and providing direct services to women in need.

Niaz said she firmly believes that domestic violence goes against Islamic teachings, and considers it her religious duty to try to stop abuse from happening.

"Quran condemns abusive behavior of women," she said, noting that the prophet Mohammed was never known to have abused women. "Allah says, 'Stand up against injustice and bear witness, even if it's against your own kin. So if I see injustice being done to women and children, I have to speak up. It's my duty."

Niaz's mission began after a difficult period in her own life. Born and raised in Pakistan, she had earned a master's degree in psychology and had a successful career in international affairs and marketing when she moved to the United States to marry in 1990.

"It was a disastrous marriage," she said.

As Niaz struggled to navigate the American legal system during her divorce, she said she appreciated how lucky she was to speak English and have an education. She realized that many immigrant women without those advantages might be more likely to stay in marriages because they didn't know how to make the system work for them.

"If this is how difficult it is for me, then what must other immigrant women go through?" she remembered thinking.

After volunteering with South Asian victims of domestic violence, Niaz, who speaks five languages, got a job using those skills to advocate for immigrant women affected by family violence.

But Niaz's focus changed on September 11, 2001. "I was no longer a Pakistani-American ... I looked at myself as a Muslim."

Niaz said the backlash many Muslims experienced after the terror attacks made abuse victims more afraid to seek help; they feared being shunned for bringing negative attention to their community.  Watch Niaz explain the effects of 9/11 on abused Muslim women »

"Women who were caught in abusive marriages were trapped even more," recalled Niaz.

In 2004, Niaz used her savings to start Turning Point for Women and Families. Today, her work focuses on three main areas: providing direct services to abused women, raising awareness through outreach, and educating young women -- an effort she hopes will empower future generations to speak out against abuse.

Crisis intervention services are a critical element of Niaz's efforts. Through weekly counseling sessions, she and her team provide emotional support to the women while helping them with practical issues, such as finding homeless shelters, matrimonial lawyers, filing police reports or assisting with immigration issues.

Niaz has helped more than 200 Muslim women. While most of Turning Point's clients are immigrants, the group helps women from every background.

While Niaz has support from many people in New York's Muslim community, she acknowledges that not everyone appreciates her efforts. She keeps her office address confidential and takes precautions to ensure her safety.

"There have been threats ... but that comes with this work," she said. "I know that God is protecting me because I'm doing the right thing."

Want to get involved? Check out Turning Point for Women and Families and see how to help.

@highlight

Robina Niaz's organization helps female Muslim domestic violence victims

@highlight

Turning Point for Women and Families was first resource of its kind in New York City

@highlight

Niaz: Domestic violence goes against Islamic teachings, but "denial" is a problem

@highlight

The Top 10 CNN Heroes will be announced on October 1