(CNN) -- New details are emerging about the agent sent by Saudi counterterrorism agents into Yemen to track a plot by al Qaeda in the Arabian Peninsula to bomb a U.S.-bound airliner.

The agent is of Arabic origin but holds a British passport, according to Mustafa Alani, director of security studies at the Gulf Research Center. Alani was briefed on the operation by Saudi counterterrorism officials.

The agent, whom another source said had Saudi roots, lived for a long time in the UK and at some point fell in with jihadist sympathizers, Alani told CNN. That made him an attractive target for Saudi counterterrorism agencies, which recruited him about a year ago, Alani said.

His background gave him the credibility to infiltrate AQAP, the Yemeni-based branch of the terrorist organization, which is exceptionally careful about whom it accepts and trusts. At the same time, his possession of a British passport enhanced his appeal to the terror group -- because he could travel without a visa to the United States.

According to Alani, the agent was sent into Yemen as a potential suicide bomber after the Saudis heard from other informants that a new AQAP plot was in the works. The agent enrolled in an Arabic language school in Yemen in the hope of being talent-spotted by the group.

AQAP fell for the bait and the mole connected with the group. After he joined them he had to handle the tremendous pressure of what discovery by al Qaeda would entail, said Alani.

Two or three months ago, the agent learned that the group was working on a new device to bomb a U.S.-bound airplane, and he contacted Saudi counterterrorism officials from Yemen. At this point they informed the Americans of the potential threat, and that they had a mole inside the group, according to Alani.

The agent was later provided training in how to use the explosive device in a training facility in Yemen, possibly inside a safe house, according to Alani.

"He received instruction how to how to avoid detection at the airport, how to behave," Alani told CNN. "Apparently he was able to convince al Qaeda that he is genuinely ready to carry out the mission."

Alani said his understanding was that AQAP intended the would-be suicide bomber to fly through a Gulf country to connect to a U.S. bound flight.

The Saudi operation culminated with the agent and another Saudi informant -- likely his handler -- being whisked out of Yemen, Alani said. The Saudis knew they would never be able to use the agent again, and they and smuggled him through a number of Middle Eastern countries to protect him from al Qaeda retaliation, Alani told CNN.

"My information that he was pulled out after the device was handed to him, and they ordered the green light to carry out the operation. I don't think he was pulled out prematurely," Alani told CNN.

"The family is secure, and the man is outside the Middle East," Alani told CNN. The device that AQAP bomb-makers had built for the mole was flown from Yemen to Saudi Arabia by Saudi counter-terrorism agents and handed over -- around April 20th -- to U.S. intelligence officials. They subsequently took it to the United States for forensic analysis, Alani told CNN.

He also said the intelligence community remained deeply worried that similar devices might be unaccounted for and that AQAP may be planning a similar operation. The details collected from the device brought out of Yemen could allow for important counter-measures to thwart al Qaeda's next operation.

The recovered device had two triggering mechanisms -- one involving a chemical reaction and one designed to be set off manually -- to maximize the chances that the device would work, said Alani. It contained 250-300 grams of the high explosive PETN, a slightly smaller amount than that used in two printer cartridges for an October 2010 plot aimed at blowing up cargo planes en route to the United States.

Those devices were intercepted after a tip by Saudi counterterrorism, and had the potential to bring down a plane, according to British and U.S. officials. The underwear device used in the attempt to bring down a U.S. airliner on Christmas Day 2009 contained about 200 grams of the same explosive.

Saudi counter-terrorism officials believe the device was likely constructed by a team working under the supervision of Ibrahim al-Asiri, AQAP's chief bomb-maker. When the device used in the Christmas Day plot was examined, a set of fingerprints matched those of al-Asiri held in a Saudi database.

Alani said al-Asiri was the target of a drone strike last year after Yemeni and Saudi intelligence developed information about his possible location. The Yemenis, he said, subsequently established that another member of the group and not al-Asiri was killed in the strike.

Meanwhile, a source working closely with U.S. intelligence agencies and the military told CNN that al Qaeda's Yemeni affilliate now has "a whole outfit designated to target the U.S. homeland." The United States believes AQAP is working on "several types of bombs" that could get past airport X-ray screening machines.

Counterterrorism officials in the Gulf and the United States say that AQAP's expansion in Yemen over the past two to three years has given it greater breathing room and resources to plot attacks against the United States.

"This is going to give them a major advantage in future operations," Alani told CNN.

The group operates out of rudimentary training camps in southern Yemen. Thought it has not yet succeeded in any bomb plot targeting Americans, observers say there are several bombmakers and a group of would-be suicide bombers working inside the group.

"What I think is concerning to myself and other people is that it seems the talent of the organization is getting better," said Gregory Johnsen, a Near East studies scholar at Princeton University. "That is, they are much more capable of carrying out attacks. So when something fails, like the Christmas Day plot in 2009 or again, the cartridge plot in 2010, the organization is able to adapt. And the next time they come back, they present a better and more lethal threat. I think that's what has a lot of people in U.S. and Saudi intelligence quite concerned."

CNN has previously reported that al-Asiri has been involved in training both bombmakers and suicide bombers. The U.S.-affilliated source said al-Asiri is now not making all the components himself, giving the group extra security and the advantage of having multiple manufacturing capabilities if al-Asiri were to be killed.

The source also confirmed that the device the mole turned over had no metallic parts and an advanced detonation system to improve the chances the entire bomb would explode. AQAP bomb designs are aimed at hiding explosives in clothing, camera lenses and animals, according to the source.

And the fundamental growth in AQAP's ability to control territory has made them tougher to target since the 2009 incident, Johnsen said.

"AQAP at that time was about two to three hundred members, and it controlled no territory in Yemen. Now, two and a half years later, the terror group has more than tripled in strength to over a thousand members and it controls a great amount of territory in southern Yemen," Johnsen said. He said the group controls towns, is running its own police department and in some places has established court systems.

"It's providing services -- electricity and water -- to some of the citizens, and really it sees itself in parts of southern Yemen as a government," he said.

CNN Pentagon Correspondent Barbara Starr contributed to this report.

@highlight

NEW: The mole studied Arabic in Yemen to draw al Qaeda's attention, analyst says

@highlight

NEW: Saudi agents smuggled him out of Yemen and separately retrieved the bomb, he says

@highlight

The man was a British citizen of Saudi descent who had fallen in with jihadist sympathizers

@highlight

Al Qaeda's Yemeni branch has "a whole outfit" targeting U.S., source says