(CNN) -- Hillary Clinton's weeklong trip to sub-Saharan Africa takes her to a continent hungry for economic growth and political accountability but still shackled by poverty and government corruption.

The U.S. secretary of state will see the effects of that poverty close-up:

-- In Tanzania, she'll meet with women who are victims of gender-based violence.

-- In Ethiopia, she'll visit a hospital where women are suffering from fistula, their internal organs scarred. They've been abandoned by their husbands and ostracized by their communities.

She also will see initiatives designed to improve Africans' lives, such as programs providing mothers and children with nutritional food for the critical 1,000-day period from the start of a woman's pregnancy until her child's second birthday.

At her first stop Friday in Lusaka, Zambia, Clinton will speak to the 2011 U.S.-Sub-Saharan Africa Trade and Economic Cooperation Forum, the centerpiece of the United States government's trade policy with sub-Saharan Africa. It gives trade preferences to countries of the region that meet criteria on economic, legal and human rights issues.

Eligible countries can export nearly 6,500 products -- including apparel, automobiles, footwear and fruit -- duty-free to the U.S.

At the forum, government officials, business leaders and civil activists from African countries and the United States will discuss trade, business and investment opportunities in Africa. Clinton will meet with participants in the African Women's Entrepreneurship Program, an outreach, education and engagement initiative that aims to give African women entrepreneurs the tools to fight for change in their communities.

"People in Africa are very hopeful," says Melvin Ayogu, fellow at the Brookings Institution's Africa Growth Initiative, but when they look at their governments "they often see the politics of impoverishing people to stay in power."

In Zambia, Tanzania and Ethiopia, Clinton will meet with government officials, stressing U.S. goals of fostering good governance and protection of human rights.

In strategically located Zambia, Clinton will meet with President Rupiah Bwezani Banda, but she also will confer with opposition presidential candidates Michael Sata and Hakainde Hichilema.

In Tanzania, she heads for the State House and a meeting with President Jakaya Kikwete then flies to Addis Ababa, Ethiopia, for a speech to the African Union.

One of her last events on her trip will highlight a priority issue for Clinton: cookstoves. As the Global Alliance for Clean Cookstoves notes, cooking is one of the most dangerous activities for a woman in many developing countries.

Nearly three billion people use traditional cookstoves that burn wood and create smoke that causes almost 2 million premature deaths annually -- more than twice the number from malaria, according to the Global Alliance for Clean Cookstoves. Breathing in toxic fumes, women and children develop pneumonia, emphysema, cataracts, lung cancer and other illnesses.

At a Peace Corps building in Addis Ababa, Clinton will meet with local women who make money selling new, clean cookstoves.

"The next time you sit down with your own family to eat, please take a moment to imagine the smell of smoke, feel it in your lungs, see the soot building up on the walls," Clinton said in September of 2010. New, clean cookstoves, she said, can save millions of lives.

"The benefits from this initiative," she said, "will be cleaner and safer homes, and that will, in turn, ripple out for healthier families, stronger communities, and more stable societies."

@highlight

U.S. Secretary of State Hillary Clinton will visit Zambia, Tanzania, Ethiopia

@highlight

She's expected to push human rights and discuss economic development

@highlight

One special project on weeklong trip: Safe cookstoves for African women