(CNN) -- While snow from a massive winter storm system continued to fall Wednesday night in parts of the Northeast, millions in the Midwest were left to dig themselves out, brave dangerously frigid temperatures and cope with sporadic power outages.

An Arctic cold front followed the storm that dumped nearly 2 feet of snow in some locales, complicating cleanup efforts and spurring freeze warnings that spanned much of the nation's midsection.

In much of Wisconsin, for instance, wind chill values were expected between 20 and 25 degrees below zero Wednesday night, according to the National Weather Service.

Still, Green Bay Packers fans down in north Texas ahead of their team's Super Bowl showdown with the Pittsburgh Steelers only got a relative respite, temperature-wise.

In Arlington, Texas, site of Sunday's game, there was a wind chill advisory in effect due to very cold conditions that made the temperature feel between zero and minus-10 degrees, and several inches of snow and ice had a debilitating effect in parts of Dallas, Fort Worth and their surrounding areas.

"It was funny to see a whole city shut down. Everything was closed," said Packers' defensive lineman Ryan Pickett. "In Green Bay, this is just a normal day."

The problems facing Texas were largely because of icy conditions exacerbated by cold temperatures. Besides slick roads, Gov. Rick Perry said in a statement that the weather put an unprecedented demand on the state's energy grid, leading to power outages Wednesday that were expected to continue into Thursday.

Furthermore, 50 power  plants were out statewide due to the extreme weather,  leading to a 10%-15% reduction in electricity production, said the  state's utility commission  spokesman Terry Hadley. The commission said in a statement  that rotating outages would be  limited to 10 to 45 minutes, unless equipment fails due to a power surge  during the restoration process.

It's all part of the effects of a storm system that blanketed 30 states with a mix of snow, sleet and freezing rain over several days, producing record-breaking accumulations in several Midwest locales, making for treacherous travel on snow-choked roadways and forcing airlines to cancel thousands of flights.

The huge  demand for information caused sporadic outages for the National Weather Service's  web servers, which struggled to handle a deluge of 10 million to 20  million hits per hour, officials said. The site normally get 70 million hits per day.

The last of the storm was drenching the Northeast late Wednesday, dumping freezing rain and snow in much of southern New England. While the amounts were less there than what some had forecast previously, the cumulative effect of relentless precipitation had a crippling impact in places.

In Massachusetts, for instance, a number of roofs collapsed under the weight of rain-soaked snow, including the roof of a large commercial building in the town of Easton, according to fire captain David Beals. Up to 100 employees were evacuated prior to the collapse, he said. No injuries were reported.

About 800 miles away, residents of Chicago were recovering from the system, which at times hit the Windy City hard with its combination of strong gusts and blinding precipitation. O'Hare International Airport received a record-breaking 20.2 inches of snow, according to the weather service.

Raymond Roscoe, chief of staff for Chicago Mayor Richard Daley, said that many motorists remained stuck in their cars throughout the night, while others abandoned their vehicles. Police, fire department and sanitation crews spent much of the night pulling people out of their cars, he said. Roscoe said there were no reports of injuries.

"There were no cars or people on the street and you couldn't see the buildings nearby because of the thick snow," said city resident Sruthi Swaminathan. "The only thing you could see clearly were the lights from the Chicago theater."

The good news was that the blizzard warnings for northeastern Illinois, including the Chicago metropolitan area, were called off. Still, even as the snow tapered off, forecasters said wind chills may fall to 20 to 40 degrees below zero late Wednesday.

"The wind on the lake shore is beyond belief," said Chicago resident Anni Glissman. "It almost knocks you over."

Elsewhere, Illinois State Police carried out a rescue operation in Kankakee County after 20 cars were stranded in the snowstorm, where snowdrifts were measured at about 3 feet, the agency said.

The rescued motorists were taken to temporary warming centers in Manteno or Peotone, said state police Sgt. Angie Kinstner.

In Wisconsin, the Department of Transportation reported that Interstate 42 and Interstate 94 were impassable south of Milwaukee. The National Guard was making a sweep of the interstates for stranded motorists.

On Wednesday night, President Barack Obama approved a request from Oklahoma Gov. Mary Fallin and approved an emergency disaster declaration for all the state's 77 counties, a move that will expedite post-storm assistance, according to a statement from FEMA.  Fallin had declared a state of emergency on Monday in advance of the storm, a release from the state's Department of Emergency Management said.

A 20-year-old Moore, Oklahoma, woman died after hitting her head while sledding during the storm, the statement said. Many others were injured in Oklahoma -- 77 in falls, four in carbon monoxide poisonings, 13 with cuts, 24 in road accidents, two with frostbite and five in other storm-related injuries, according to the state health department.

In addition, the state highway patrol responded to 81 storm-related crashes and 278 calls from motorists seeking help.

And nationwide, the storm crippled air travel through much of the Midwest and the Northeast, as major carriers cancelled thousands of flights that stranded tens of thousands of passengers. Airports were set to get back on track Thursday, with Amtrak also announcing that service should return to normal then along the Eastern seaboard.

The other glimmer of hope came from the world's most famous groundhog, Punxsutawney Phil. Wednesday morning, from his perch right in the middle of the storm track in central Pennsylvania, Phil didn't see his shadow. According to a tradition dating back 100 years, that means spring will come early this year.

CNN's Sean Morris, Mark McKay and Tracey Sabo contributed to this report

@highlight

NEW: Amtrak, most airports expect to return to normal Thursday

@highlight

NEW: President Obama declares a federal emergency in Oklahoma, expediting aid

@highlight

Extreme weather halts energy production at 50 Texas power plants, a spokesman says

@highlight

Wind chills in Wisconsin may fall to 20 to 25 degrees below zero Wednesday night