Northern Syria (CNN) -- They packed one on top of another -- children, parents, grandparents -- onto motorcycles, as many as six at a time, and then sped away as fast as they could. Others clambered into cars, as gunfire crackled around them.

There was no time to wait, with violence engulfing their home city of Aleppo.

These families were not alone. Amid intensifying shelling and heavy weapon fire in Syria's most populated city, a U.N. official -- citing the International Committee of the Red Cross and the Syrian Arab Red Crescent -- said that about 200,000 people have fled Aleppo over the past two days.

Fighting rages in Aleppo

Some went to neighboring towns and villages they hoped would be safe, while others successfully made the 55-kilometer (35-mile) trek north across the Turkish border.

But not everyone has been able to get away. Valerie Amos, the U.N.'s under-secretary-general for humanitarian affairs, said Sunday in a statement that some residents had huddled in schools and other public buildings trying to find some safety amid the carnage. Basic necessities -- like mattresses, hygiene items, food and drinking water -- are in perilously short supply, she added.

"It is not known how many people remain trapped in places where fighting continues today," Amos said.

Not long ago, Aleppo was busy as Syria's commercial and cultural hub. The northern Syrian city has seen considerable death and destruction over the past few months, after popular anti-government protests spurred a bloody crackdown by President Bashar al-Assad's forces and, eventually, a civil war with organized fighting forces on both sides. Still, the violence wasn't always on the level of places like Homs and the Damascus suburbs.

Historic Aleppo torn apart by war -- again

In the past week, Aleppo has become a major focal point in the war. After taking over surrounding towns and villages, rebel fighters have pushed to try to control the city itself. They've had some success, managing to secure key locations and even set up checkpoints.

An eerie, relative calm prevailed in pockets of the city on Sunday. Families gathered on balconies, while children walked the streets as if nothing had happened.

But that was hardly the case elsewhere in Aleppo, parts of which appeared largely devoid of civilians. Rockets and mortar shells had fallen and continued to fall in many residential areas, while Syrian troops defending a military base located just north of the city fired into neighborhoods.

Concerned about innocent civilians getting caught up in the violence, Arab League chief Nabil Elaraby said Sunday that he believed war crimes were being committed in Aleppo.

Abo Hamdi, an activist, said government forces, tanks and heavy machinery have tried to overrun the neighborhood of Salahuddin, but by Sunday night they were on the outside looking in. He said that opposition Free Syrian Army fighters have brought in ammunition and taken positions around the neighborhood, though government forces with tanks and heavy artillery were stationed nearby.

"The situation in the city of Aleppo is very critical and quite serious," he said. "We are trapped in this neighborhood, but the ... Free Syrian Army is preparing for fierce battle."

Syrian rebels seize military base outside Aleppo

Local diplomacy wins in tense Syria prisoner exchange

CNN's Ivan Watson and journalist Shiyar Sayed Mohamad reported from northern Syria.

@highlight

Aleppo, Syria's largest city, is rife with violence and a focal point in Syria's civil war

@highlight

Families packed onto motorcycles and into cars Sunday, trying to flee to safety

@highlight

An unknown number of people are trapped in their homes, a U.N. official says