A series of high-profile rape cases involving girls, foreign tourists and a physiology student who died following a brutal gang rape in December  has hit India's reputation.

In response, the nation's lawmakers have introduced tougher laws and punishments for sexual crimes and harassment. Despite such action, India continues to see episodes of sexual violence.

The latest case to draw outrage involved a 7-year-old girl who was raped in a train's toilet compartment in central India last weekend.

Why is rape and sexual violence getting such attention in India?

A robust public dialogue on sex crimes in India emerged in December after the gang rape of a 23-year-old woman in a bus in New Delhi. The physiotherapy student died in a Singapore hospital.

An outcry quickly grew over her death and expanded to include widespread concerns about women's safety and inequalities, triggering demonstrations in India's capital.

Advocates criticized the world's largest democracy for failing to protect half of its population. Protesters demanded better treatment of women and decried the apathy of police and the judicial system.

"The truth is, when most women report sexual harassment in India's cities, towns and villages, they are typically met with a shrug," Anjana Menon wrote in an opinion piece. "Slowly, but firmly, the onus of remaining safe seems to have shifted to women, instead of being shared by society and law-keepers."

The country has continued to see several high-profile cases of rape and sexual violence.

A Swiss tourist and her husband were attacked while they had set up camp near a forest in the state of Madhya Pradesh. A group of men beat the husband and raped the wife in March, according to police. Last month, a court sentenced six men to life in prison in the gang rape case.

In April, a 5-year-old girl was abducted and raped repeatedly, until she was found semiconscious three days later. In May, a 4-year-old died after being abducted and sexually assaulted.

Is rape more common in India than other countries?

Official data in India show that rape cases have jumped almost 875% over the past 40 years -- from 2,487 in 1971 to 24,206 in 2011. But campaigners say this is the tip of the iceberg.

Statistics concerning rape and sexual violence tends to be underreported because of stigma and cultural factors. It's an inexact science to compare one country's rape statistic to another, because of the tendency to underreport.

In 2010, women in the United States experienced 270,000 completed, attempted or threatened rape or sexual assaults, according to the Bureau of Justice Statistics.

Overall, the World Health Organization estimates that the global toll of sexual or physical violence in women is 35.6%, which is likely to be an underestimate. Dr. Margaret Chan, the WHO's director-general, described violence against women as a "global health problem of epidemic proportions."

Why is this happening in India?

Some observers say violent acts against women stem from the country's largely patriarchal social setup. Some blame pornography and Bollywood for objectifying women, and a culture that values chastity.

Many women's rights activists say the issues of violence and inequality start before birth.

Sex-selective abortions continue, despite being illegal in the country. The sex ratio in the 2011 census dwindled to 940 females to 1,000 males.

Parents prefer boys, because many don't want to pay dowry (which is also illegal). Girls are seen as a burden, while boys are viewed as contributing to their families, advocates say.

"Often they get less food than their brothers, they're pulled out of school early to help at home or get married," said Ruchira Gupta, the founder of ApneAap, a women's organization.

Women's rights advocates point to an entrenched societal view that values men more than women.

What's being done?

The government passed tougher anti-rape laws, introducing the death penalty for repeat offenders, and imprisonment for acid attacks, human trafficking and stalking. It also punishes public servants, such as a police officer, who "knowingly disobeys" the laws required in an investigation. It has prompted an increase in the number of women working in New Delhi police stations.

But some say while the laws have changed, the mindset and enforcement haven't.

Some advocates are taking the situation into their own hands, with groups of girls patrolling their local streets to protect women from harassment, educating boys on how to properly treat girls and men holding campaigns to challenge the patriarchal views.

@highlight

Rape of a 7-year-old on a train draws outrage in India

@highlight

India sees a series of high-profile sexual violence cases since the deadly gang rape case

@highlight

Government passes stricter laws to punish those who don't investigate reported cases