Newtown, Connecticut (CNN) -- "We can't tolerate this anymore."

That's what President Barack Obama told those attending a memorial service Sunday in Newtown, Connecticut, two days after a man shot his way into Sandy Hook Elementary School and killed 26 people -- 20 of them children no older than 7, who would never go on a date, drive a car, marry or have kids of their own.

Obama offered his condolences, saying, "All across this land of ours, we have wept with you." He praised the residents of Newtown for having pulled together and "loved one another" with a spirit all could emulate. And he asked whether more could be done to prevent more parents, sisters and brothers, like those in this quiet New England town, from suffering similar heartaches.

"Can we honestly say we're doing enough to keep our children -- all of them -- safe from harm?" Obama said, adding that "if we don't get that right, we don't get anything right."

"If we're honest with ourselves, the answer is no."

Read the full text of the president's speech

His call to action capped an emotional prayer service at Newtown High School, in which local leaders of several religions -- a Jewish rabbi singing a prayer, a Muslim man choking back tears, and several Christian leaders offering perspective -- attempted to comfort a shattered community. Nine hundred watched in the school's auditorium, including several children toting teddy bears, and another 1,300 saw the proceedings from a nearby overflow room.

The aim was to show those suffering in Newtown they were not alone. With the help of their neighbors, they could move past this "act of unfathomable violence and destruction," explained the Rev. Matt Crebbin, senior minister at Newtown Congregational Church.

"We needed this," Crebbin said of the service. "We needed to be together."

Remembering the victims

That sentiment was echoed by Obama, who said the nation stands with Newtown. Then he went further than that, saying that the country owes it to them -- and to the people of Tuscon, Arizona; Oak Creek, Wisconsin; Aurora, Colorado, communities that also have been sites of mass shootings in the last two years -- not just to remember the victims, but take steps to prevent more bloodshed in the future.

The president didn't specify what steps he favors, but he did promise to put the power of his office toward preventing more senseless grief -- saying, "We can't accept events like this as routine."

"These tragedies must end. And to end them, we must change."

Analysis: Why gun controls are off the agenda in America

Clearer picture of what happened, but not why

The first calls came into police around 9:30 a.m. Friday.

Adam Lanza used "an assault weapon" to "literally (shoot) an entrance into the building," Connecticut Gov. Dannel Malloy said Sunday. The nightmare got worse as he moved through Sandy Hook's halls.

Timeline of the shooting

Using a Bushmaster AR-15 "assault-type rifle," the 20-year-old fired "multiple magazines" -- each of which contained 30 bullets -- to gun down six adults and children in two classrooms, said Connecticut State Police Lt. J. Paul Vance. He then took out a handgun and shot himself in a classroom as law enforcement officers approached, officials said.

All the victims were shot multiple times, said H. Wayne Carver II, Connecticut's chief medical examiner. Their deaths -- as well as that of Nancy Lanza, Adam's mother who suffered "multiple gunshot wounds" at their Newtown home -- are classified as homicides.

"This probably is the worst I have seen or the worst that I know of any of my colleagues having seen," said Carver, who did autopsies on seven victims.

Why did Lanza do it? That much, at least publicly, remains a mystery.

He had no criminal record. He and his mother, who collected guns, had visited a gun range at least once, ATF spokeswoman Ginger Colbrun said.

The few who spoke of Lanza publicly, including an aunt and former classmate, described him as very intelligent and quiet.

His father, Peter Lanza, released a statement Saturday saying his family is "grieving along with all those who have been affected by this enormous tragedy."

"We are in a state of disbelief and trying to find whatever answers we can," the father said.

Authorities shared that sentiment. Even as they have offered more details on what happened Friday morning, they haven't given a motive.

"We will and we are searching diligently and nonstop to attempt to answer that," said Vance, the police spokesman.

Tears and hope

At Sunday's memorial service, Obama solemnly read out the first names of those Lanza killed.

"God has called them all home," he said.

Share your tributes

And for every victim, there's a story.

Six-year-old Emilie Parker was "bright, creative and very loving," her father, Robbie Parker, recalled Saturday.

"My daugher Emilie would be one of the first ones to be standing up and giving her love and support to all of those victims, because that is the type of person she is," he said. "...This world is a better place because she has been in it."

Victoria Soto, 27, moved her students away from her first-grade classroom door when she heard gunfire. She is being hailed for having saved some of her students, even though she herself didn't survive.

"She was truly selfless," her mother Donna Soto said Sunday. "She would not hesitate to think to save anyone else before herself and especially children. She loved them more than life."

Many more tears will be shed in the coming days, as victims are laid to rest.

The first two funerals tied to the massacre -- for Noah Pozner and Jack Pinto, both Sandy Hook students -- will begin Monday at noon and 1 p.m. respectively, according to the Connecticut Funeral Directors Association.

Malloy, Connecticut's governor, said Sunday that they will never be forgotten. At the same time, he expressed hope that the strength of community will make a difference.

"We will go on. We will find strength," he said at Sunday's memorial service. "We will get better."

What really makes schools safer?

School shooting: Shattering the sense of safety

10 ways to put brakes on mass shootings in schools

CNN's Susan Candiotti reported from Newtown, Connecticut, and Greg Botelho reported from Atlanta. CNN's David Ariosto, Candy Crowley, Dana Ford, Catherine E. Shoichet, Ashleigh Banfield, Joe Johns, Terry Frieden, Michael Martinez and Chuck Johnston contributed to this report.

@highlight

NEW: "These tragedies must end. And to end them, we must change," Obama says

@highlight

NEW: He vows action, saying America must do more to protect its children

@highlight

NEW: The mother of a teacher being hailed as a hero calls her daughter "selfless"

@highlight

All victims at the Sandy Hook school were shot multiple times, a medical examiner says