London, England (CNN) -- Religious leaders in Britain on Friday hit back at claims by leading physicist Stephen Hawking that God had no role in the creation of the universe.

In his new book "The Grand Design," Britain's most famous scientist says that given the existence of gravity, "the universe can and will create itself from nothing," according to an excerpt published in The Times of London.

"Spontaneous creation is the reason why there is something rather than nothing, why the universe exists, why we exist," he wrote.

"It is not necessary to invoke God to light the blue touch paper [fuse] and set the universe going."

But the head of the Church of England, the Archbishop of Canterbury Dr. Rowan Williams, told the Times that "physics on its own will not settle the question of why there is something rather than nothing."

He added: "Belief in God is not about plugging a gap in explaining how one thing relates to another within the Universe. It is the belief that there is an intelligent, living agent on whose activity everything ultimately depends for its existence."

Williams' comments were supported by leaders from across the religious spectrum in Britain. Writing in the Times, Chief Rabbi Jonathan Sacks said: "Science is about explanation. Religion is about interpretation ... The Bible simply isn't interested in how the Universe came into being."

The Archbishop of Westminster Vincent Nichols, leader of the Roman Catholic Church in England and Wales, added: "I would totally endorse what the Chief Rabbi said so eloquently about the relationship between religion and science."

Ibrahim Mogra, an imam and committee chairman at the Muslim Council of Britain, was also quoted by the Times as saying: "If we look at the Universe and all that has been created, it indicates that somebody has been here to bring it into existence. That somebody is the almighty conqueror."

Hawking was also accused of "missing the point" by colleagues at the University of Cambridge in England.

"The 'god' that Stephen Hawking is trying to debunk is not the creator God of the Abrahamic faiths who really is the ultimate explanation for why there is something rather than nothing," said Denis Alexander, director of The Faraday Institute for Science and Religion.

"Hawking's god is a god-of-the-gaps used to plug present gaps in our scientific knowledge.

"Science provides us with a wonderful narrative as to how [existence] may happen, but theology addresses the meaning of the narrative," he added.

Read why Hawking says God didn't create the universe

Fraser Watts, an Anglican priest and Cambridge expert in the history of science, said that it's not the existence of the universe that proves the existence of God.

"A creator God provides a reasonable and credible explanation of why there is a universe, and ... it is somewhat more likely that there is a God than that there is not. That view is not undermined by what Hawking has said."

Hawking's book -- as the title suggests -- is an attempt to answer "the Ultimate Question of Life, the Universe, and Everything," he wrote, quoting Douglas Adams' cult science fiction romp, "The Hitch-hiker's Guide to the Galaxy."

Read CNN's Belief Blog

His answer is "M-theory," which, he says, posits 11 space-time dimensions, "vibrating strings, ... point particles, two-dimensional membranes, three-dimensional blobs and other objects that are more difficult to picture and occupy even more dimensions of space."

He doesn't explain much of that in the excerpt, which is the introduction to the book.

But he says he understands the feeling of the great English scientist Isaac Newton that God did "create" and "conserve" order in the universe.

It was the discovery of other solar systems outside our own in 1992 that undercut a key idea of Newton's -- that our world was so uniquely designed to be comfortable for human life that some divine creator must have been responsible.

But, Hawking argues, if there are untold numbers of planets in the galaxy, it's less remarkable that there's one with conditions for human life. And, indeed, he argues, any form of intelligent life that evolves anywhere will automatically find that it lives somewhere suitable for it.

CNN's Richard Allen Greene contributed to this report.

@highlight

Hawking: "Given existence of gravity the universe can and will create itself from nothing"

@highlight

His new book is an attempt to answer "the Ultimate Question of Life"

@highlight

Archbishop of Canterbury rejected Hawking's claim that God has no role

@highlight

Rowan Williams: Belief in God not about plugging a gap in explaining how one thing relates to another