Let's start with some statistics: Alaska has the highest rate of reported rape in the country at three times the national average.

An estimated 59% of adult women there suffer from sexual or intimate partner violence, according to a statewide survey published in 2010.  And 37% suffer from sexual violence.

There are many reasons why that's the case, as I detailed in a recent series on rape in Alaska for CNN's Change the List project. But here's a factor I didn't really consider until readers brought it to my attention: Alaska doesn't require sex education.

Given the rates of violence, that's puzzling and negligent -- especially since programs that teach kids about healthy relationships, child sex abuse and dating violence have been proved effective in evaluation studies.

A bill proposed by Alaska Rep. Geran Tarr, a Democrat from Anchorage, would be a good place to start changing these policies.

Called Erin's Law, after an Illinois victim of child sexual abuse, and based on a national movement, the bill would require school districts in Alaska to teach warning signs for child sexual abuse. "If we really want to change the outlook and the trajectory going ahead 10, 20, 30 years, we really need to be going in and working with the kids," Tarr told me in a phone interview.

Makes sense, right? The state also should consider broader legislation to include requirements for students to learn about sex, dating violence and safe relationships.

Sexual violence in some Alaska communities I visited is so common that it starts to be normalized. If young people grow up in a violent home, where women are valued less than men, then there's little reason to expect them to break the cycle.

"It's so normal to them," one student in southwest Alaska told me. "It could be their mother -- being ashamed (of being abused) -- and it's so normal to you that you just become that. You because the abused or the abuser. It can go back and forth."

Teachers and schools can and should intervene.

Some school districts in Alaska are doing a commendable job of bringing up these uncomfortable issues and preparing students to end the violence, but none of the programs is required. Alaska is part of a relatively small minority of states that does not require school districts to teach a form of sex or health education, said Megan Comlossy, a policy expert at the National Conference of State Legislatures.

State statutes say "each district in the state public school system shall be encouraged (emphasis mine) to initiate and conduct a program in health education for kindergarten through grade 12 ..." Encouraged but not required. School districts decide individually if and how they want to teach these sensitive subjects.

Many don't.

One effective program, called "The Fourth R" for "relationships," encourages students to participate in role-playing exercises and other forms of learning. The program, which was developed in Canada and includes about 20 lessons, has been shown to lead to "reductions in dating violence" and "significantly fewer violent acts towards peers," said Patricia Owen, an education specialist at the Alaska Department of Education & Early Development. But only 22.2% of schools in Alaska are using the voluntary program, said Lauree Morton, director of the Alaska Council on Domestic Violence and Sexual Assault. That's up from 9.7% in 2011, but it's still not enough.

A federal grant helps pay for the program, Owen said.

The Anchorage school district teaches sex education and healthy relationships, and some school districts, such as one in Kenai, have developed curriculum in collaboration with local women's rights advocates, according to Morton. There are also encouraging programs such as Teens Acting Against Violence in Bethel. It's an afterschool program to help young people connect with traditional culture and learn how to lead healthy and violence-free lives. I met some students in that program on my trip to the state in December, and they raved about its impact.

Most kids in that town aren't in the TAAV program, though.

It's Morton's view that Alaska's school districts should choose to teach these programs -- because they will be implemented more powerfully and wholeheartedly if they do. She wants to see this info taught, but she wants it to be voluntary.

Maybe there's something about Alaska's pioneer spirit that compels this opt-in approach. But it's clear rates of violence remain unacceptably high under the voluntary system.

Perhaps change should come in the form of a mandate that all school districts in Alaska teach about sex abuse and healthy relationships. Tarr's bill would be a good start. Or maybe there are other incentive structures to convince more schools that health and sex education aren't just optional, they're essential.

I asked some students who participate in the TAAV program in Bethel what they thought should be done to curb the state's high rates of violence against women.

The answer was obvious to them.

"People need to know about it," one person said.

And another: "Realize it's there."

I hope the legislature will uncover its ears.

@highlight

Alaska does not require school districts to teach sex ed

@highlight

John Sutter: Given high rates of violence against women, it should

@highlight

Sutter says the some districts implement progress curriculum, but many don't

@highlight

One effective program is only used by 22.2% of schools, for example