(CNN) -- Buckle up! The political conventions in Tampa and Charlotte over the next two weeks will throw the 2012 election campaigns into high gear, and send it careering down a mean, rocky road toward one of the most important choices Americans have made in half a century.

Only twice before in the lives of most voters have we seen an election offering such radically different visions about the role of government in national life.

The first was 1964, when Lyndon Baines Johnson was holding up the Democratic standard, calling for government to create a Great Society with a cornucopia of new federal programs. On the other side, Barry Goldwater had seized the Republican banner from previously-dominant moderates and crusaded on the most conservative agenda in six decades, seeking to push back not only the Great Society, but much of the New Deal.

"Extremism in the defense of liberty is no vice and ... moderation in the pursuit of justice is no virtue!" Goldwater declared to thunderous applause at the GOP convention. It was a bare-knuckles fight, but LBJ was campaigning in John F. Kennedy's cloak and Goldwater's proposals were seen as scary and radical. LBJ swept to a crushing victory. Score one for bigger government.

The second "choice" election came in 1980, when, after a decade of failed leadership, a man came galloping out of the West who seemed the most improbable of figures to get the country going again. And he was carrying with him many of Goldwater's ideas. But Ronald Regan turned out to be a strong leader with a million-dollar smile; Jimmy Carter, a man better suited to be a saint than a politician, went down decisively. Score one for smaller government.

This year's election is shaping up to be a rubber match with major implications for the country's future. Gov. Mitt Romney's choice of Paul Ryan as his running mate has dialed up the ideological contrast between the two tickets, while both sides have been throwing sharp elbows at each other (even by the low standards of American politics).

The harshening words and diverging visions speak to an election that breaks somewhat with tradition. Time was, as Chris Cillizza at the Washington Post and others have pointed out, the playbook was simple: run to the base in the primary and pivot back to the middle in the general election, winning over as many of the voters in the middle as you can. (In economics, this effect is called Hotelling's Game and is otherwise normally used to explain why gas stations all seem to be on the same corner.)

But this election features a small number of genuinely undecided voters --and high negatives for both party candidates, as Karl Rove notes in Thursday's Wall Street Journal. So, (although Rove would disagree) the dominant strategy has become playing to the base.

That explains Romney's picking Paul Ryan, but it also explains why partisans of both sides rejoiced when Ryan was picked: His strong conservative beliefs fire up the Democratic base as well as the Republican one.

If anything, this year's choice is starker than in 1980: Reagan had a pragmatic streak, so he was willing to compromise to get a deal done and keep moving forward (Tip O'Neill used to say that the Gipper would win more than half a loaf and come back for the rest later). Romney and Ryan, however, reinforced by the tea party, show no inclination to compromise. On the Democratic side, aides to President Obama are spreading the word that, if he wins, he has had enough of trying to accommodate the Republicans and will also be more confrontational.

Whether the two sides will seize upon their conventions to set forth more complete, detailed plans for the next four years remains to be seen. So far, they have refused to go beyond vagaries and harsh, trivial attacks on each other. Most voters are yearning for more courage and less bile.

But there should be no doubt that the two tickets stand behind radically different visions of the role of government and individuals. Under President Obama, federal spending is now 24% of GDP, far higher than in recent decades. While Obama talks of trimming, his most thoughtful advisers think the government is likely to grow in coming years no matter who wins (see Larry Summers's provocative column in the Financial Times this week).

In contrast, Romney has vowed to get federal spending down to 20%. That difference may not sound like much, but it roughly equates to over half a trillion dollars each year. At a time when 10,000 Baby Boomers are becoming eligible for Medicare and Social Security each day, going from 24% to 20% of GDP would mean massive cuts.

Presented with a stark choice between bigger government and smaller government, where are voters likely to come down? That is a question that has interested scholars for a long time. Some years ago, political scientists Lloyd Free and Hadley Cantril observed that Americans were "philosophical conservatives" but "operational liberals," that is, they would tell pollsters they wanted to keep government small, taxes down and socialism out. But when asked if they wanted the government to spend more on programs and benefits, they were all for it.

In the coming election, we may have finally reached a point of reckoning between these two conflicting impulses. And so, while conventions are generally the place for sweeping statements, the winning ticket will need to be able to speak operationally as well as philosophically.

All this makes for a dramatic series of addresses, not just from Mitt Romney and President Obama, but from their parties' top messengers: people like New Jersey Gov. Chris Christie and San Antonio Mayor Julian Castro. These conventions will offer them a chance to make a firm case to the American people on which kind of government, both operationally and philosophically, they should choose.

Looming over that choice is the question of whether, at the end of this campaign, the winner can actually govern. Certainly, the raucous, often vicious nature of the combat so far has not been encouraging. One of us (David) has been attending conventions for some 40 years and has witnessed a distinct change in tone; listening to the hot rhetoric in both conventions in 2004, it suddenly became comprehensible how the country could have wound up in Civil War back in 1861 after another election full of ramifications for the nation's future.

And the chasms between the two parties continue to widen before us. A deeply illuminating study, released a few days ago by the Washington Post and the Kaiser Family Foundation, has shown that over the past 14 years, the percentages of Democrats and Republicans who consider themselves "strong partisans" has shot up by about 20 points in each case.

So, in pushing voters to make a choice between sharply different visions, it is also imperative that the candidates look beyond November to the next four years, figuring out how they will bring the country together again when the brawl is over. The acceptance speeches are not just a moment to rally the base, they are also a place to begin laying the foundations of a successful presidency.

The opinions expressed in this commentary are solely those of David Gergen and Michael Zuckerman.

@highlight

David Gergen, Michael Zuckerman: GOP convention jump-starts general election

@highlight

They say it's a "choice" election, presenting radically different visions about government's role

@highlight

Writers: Election breaks tradition, not pivoting to center for general, but staying with base

@highlight

Writers: Vote may force voters reckoning with stark question: Big government or small?