(CNN) -- Iran has submitted an official request for two of its warships to sail through the Suez Canal, an Egyptian official told CNN Thursday, in a move that puts Egypt's new military regime in a prickly position with Israel.

The post-Hosni Mubarak caretaker government must decide whether to give a green light to the Iranian warships, believed to be the first that would sail through the Suez since the Islamic republic's 1979 revolution.

The Egyptian official told CNN that permission will likely be granted. But Egypt might find itself in muddy water over the Suez.

The canal is an internal body of water and as such, Egypt has sovereignty over it. But Egypt also is bound by the 1976 Camp David Accords, which guaranteed the right of free passage by ships belonging to Israel and all other nations on the basis of the Constantinople Convention of 1888. Before that, Egypt did not allow Israeli ships to sail through the canal.

Last week, Egypt's military government said it would honor all its international treaties. That would include Camp David.

Now it finds itself in the position of allowing ships belonging to the sworn enemy of its peace treaty partner to sail through.

"This is awkward -- at a minimum," said David Schenker, director of the Program on Arab Politics at the Washington Institute for Near East Policy.

Schenker said the Iranians want a frigate -- the Alvand -- and a military supply ship -- the Kharg -- to cross into the Mediterranean. Both are armed with missiles, he said. Their passage would create more uncertainty in the region.

"It's destabilizing. It raises tension, particularly in this time of transition in Egypt," Schenker said. "This is typical of Syrian-Iranian opportunism."

Schenker predicted the Egyptians will let the Iranians through. Former President Hosni Mubarak might have done otherwise, given Hezbollah's calls a while back for his ouster. But, "There is not a war between Iran and Egypt," he said.

Get more from CNN.com Arabic

Some maritime analysts privately said Washington could pressure Egypt's new military caretaker government to say no to Iran. Washington agreed to a $13 billion, 10-year military aid package to Egypt in 2007.

Egypt's decision, the analysts said, could serve as a barometer for the direction the military caretakers intend to take the Arab world's most populous nation.

"It does raise an unwelcome political issue that has to be resolved," said Cmdr. James Kraska of the U.S. Naval War College in Rhode Island.

Ahmed El-Manakhly, the transit director of the Suez Canal Authority, had said earlier Thursday that no official request from Iran had been received. Warships planning to cross the canal must ask permission of Egypt's defense and foreign ministries, El-Manakhly said.

The canal authority's website states that ships intending to sail northbound must be in place by 6 a.m. No Iranian ships were there Thursday, but Iran's state-run Press TV reported the warships were making their way from the Red Sea toward the Mediterranean.

Iran said earlier that the flotilla was on a yearlong intelligence-gathering and training mission to prepare young cadets to defend Iran's cargo ships and oil tankers, according to the semi-official Fars News Agency.

Israeli Foreign Minister Avigdor Liberman said the two Iranian military vessels had been expected to sail Wednesday night through the Suez on their way to Syria.

"This is a provocation that proves that the self-confidence and insolence of the Iranians is growing from day to day," he said Wednesday. "This happens after the Iranian president's visit to south Lebanon and his aggressive declarations there towards Israel."

Liberman did not mention Egypt by name but said Israel's allies should pay close attention to the situation.

"We expect the international community to act speedily with determination against the Iranian provocations, designed to deteriorate the situation in the area, and put the Iranians in their place," he said.

The Israeli Defense Ministry said Israel was monitoring the movement of the Iranian ships and alerted its allies.

At the U.S. State Department, spokesman P.J. Crowley said Wednesday the United States is also watching the situation.

Reports of the Iranian passage also sent jitters through the global market and oil prices spiked for a time on Wednesday.

The Suez Canal serves as a key waterway for international trade, allowing ships to navigate between Europe and Asia without having to go all the way around the vast African continent. Millions of barrels of oil move through the Suez every day on the way to both Europe and North America.

CNN's Kevin Flower, Saad Abedine, Fionnuala Sweeney and Zain Verjee contributed to this report.

@highlight

Iran has submitted a request for two ships to sail through the Suez Canal

@highlight

Egypt is bound by a treaty to allow them to pass

@highlight

But Israeli Foreign Minister Avigdor Liberman calls it an act of provocation

@highlight

The situation could further escalate tensions in the region