(CNN) -- Children living in the Syrian city of Aleppo watch the sky. Not for signs of winter's approach, although the cold winds are already blowing, but for the barrel bombs, mortars and shellfire they know will not distinguish between military targets and their families' homes.

It is hard to be a child -- or to have a childhood -- in Aleppo.

The litany of deprivation and endangerment is long. Indiscriminate attacks have reduced entire neighborhoods to rubble. Across the city, more than a half-million displaced people are living in appalling conditions, struggling every day to find safe drinking water, enough food to feed their children, fuel, or even a warm place to sleep. Most hospitals are closed and most doctors and health professionals have been either killed, forced to flee, or unable to go to work. Interruptions in immunization programs have left tens of thousands of children more vulnerable to disease.

The threat of attacks has driven some children underground into makeshift classrooms -- while others are learning in converted shops, mosques or empty buildings -- when they're lucky enough to go to school at all.

This has been the situation in Aleppo for more than two years. And while some parts of the city remain relatively calm, escalating violence in recent months has signaled ominously of worse days to come.

Despite all this, Aleppo is not a place without hope -- and there has been progress. Working with communities and local authorities, humanitarian staff are reaching some children and families in need across the city. In recent months, United Nations convoys, including those led by UNICEF, have been able to cross conflict lines, bringing with them critical supplies to help children suffering from a lack of nutrition and to increase the availability of safe water and improved sanitation.

In all the hardest-hit areas of Syria -- in Aleppo, in Homs and in Deir Ezzor -- we are doing all we can to reach the hardest to reach children and families with therapeutic foods, water purification supplies, warm clothing, school supplies and textbooks, and other critical assistance as winter descends.

Of course, we are acutely aware that this assistance is not enough. Not even close to enough, when there are up to 2 million people in the troubled city of Aleppo alone -- including 250,000 children and families in eastern Aleppo who are cut off from regular humanitarian assistance. When hundreds of thousands of children cannot be reached in rural Damascus due to fighting and siege. When the nation's youngest children have known nothing but war and adolescents are coming of age in a culture of conflict.

The reality is that an entire generation of Syrian children is at risk, not only from violence itself, but also for want of education, protection and emotional support to help them overcome the trauma they have been suffering for nearly four brutal years. Without these critical necessities, how will they have the ability and the desire to rebuild their country someday?

We must reach them, not only for the good our support can provide today, but for the hope for tomorrow it can help keep alive. For children who have been robbed of nearly everything, it is a reminder that they have not been forgotten. That their futures matter.

In the end, the only solutions for Aleppo, and for Syria and for the region -- are political solutions. But in the meantime, the children of Aleppo need protection now. And we need unconditional, unrestricted humanitarian access from all sides now. Before another bomb or shell drops.

@highlight

An entire generation of Syrian children is at risk, says Anthony Lake

@highlight

Indiscriminate attacks have left entire neighborhoods in rubble, Lake says

@highlight

Lake: Most of Aleppo's hospitals are closed