(CNN) -- On Sunday, there was a rally in London to protest something I never thought would need protesting in modern Britain: the rise of anti-Semitism.

The rally was in reaction to a series of strange, unsettling incidents that took place during the recent demonstrations against Israeli military actions in Gaza. In one case, the manager of a supermarket in London decided to take all the kosher food off the shelves. He apparently feared that demonstrators outside might trash the shop; one member of the staff reportedly said, "We support free Gaza." The supermarket chain called it "an isolated decision ... in a very challenging situation."

Isolated it may have been, but it is part of a bigger picture. There have always been people in the West who disagree with aspects of Israeli foreign policy and there has always been a peace movement ready to protest Israel's actions. But what has made the 2014 protests different is the growing conflation of Israel in particular with Jews in general.

Not all kosher food comes from Israel, not all Jews who eat it agree with the assault on Gaza. Yet such an important distinction between state and racial identity has begun to erode. The result: a return of low-level anti-Semitism to public life.

Of course, some of it has never gone away. Just two years after the end of the Second World War, there were anti-Semitic riots across Britain. Europe has an insidious history of Holocaust denial, and even a multicultural haven like New York has seen racial tensions flare.

But in 2014, anti-Semitism went global all at once. In July, an anti-Israeli demonstration in Paris broke into racist rioting: Jewish-owned shops and synagogues were targeted. In Berlin, they were chanting: "Jew, Jew, cowardly pig, come out and fight alone."

In New York, just last week, a Jewish couple were roughed up by thugs waving Palestinian flags, according to the New York Post. In my native Britain, anti-Semitic attacks have risen and we've seen the return of old prejudices on anti-war marches.

It's important to stress that these are -- like the kosher food disappearance -- "isolated" incidents that do not indict everyone in the peace movement. But they are making Jewish communities which once felt safe suddenly feel threatened. Emigration to Israel by French Jews jumped 70% in 2013 and will likely be even higher this year.

At the beginning of the Gaza operation, Times columnist Hugo Rifkind wrote in The Spectator that he was uncomfortable with Israel's policies. One month later, after the protests, he wrote in The Times that he felt "uncomfortable to be a Jew." There is a creeping sense of sickness in all of this. Like a virus that starts with an itch in the back of your throat -- that you suspect could be something dormant about to break through.

Part of the reason is genuine, understandable anger at what has happened in Gaza. But while that might explain fury at the Israeli state, it does not explain attacks on Jews overseas. After all, a state does not speak for all its citizens, let alone its ethnic diaspora.

In Die Welt newspaper, one Jewish German wrote, "Jewish students get anti-Zionist hate mail when Israel responds to rocket attacks by Hamas. The loudest part of supporters of Palestine has lost all sense and gives all the guilt to anyone who wears a skullcap or a Star of David." He added: "For Jews, the danger comes not long only from the right."

That is a big part of the problem. Anti-Semitism has historically been associated with the far right, parties of which have capitalized upon the Credit Crunch and done well in recent European elections. The recession has drawn some back into narrow-minded nationalism, and even the blood and soil politics of the 1930s.

The most striking examples of this are the virulently racist Jobbik movement in Hungary or the more subtly racist Front National in France. But anti-Semitism has also been allowed, even invited, to enter the left, too.

The peace movement has been reinvigorated by Muslim immigration to Europe, and aspects of the left have made alliances with people who make spurious claims to be Muslim community leaders.

In reality, those leaders do not speak for the vast, vast majority of Muslims who understand the distinction between Israeli policy and Jews. But the influence of this particular brand of Islamic extremism is being felt on the marches -- as the Parisian riots attest.

At the same time, left-wing critics of Western foreign policy have often flirted with the notion that there is an unholy alliance of America and Israel making all the decisions. Or even that Israel is in fact directing what the United States does through a conspiracy of lobbyists, capital and media. I encountered this firsthand when I did a TV debate with a leader of the Stop the War Coalition in London last week. I was told that the West was only supporting the Kurds against ISIS in northern Iraq because of American and Israeli oil interests. I laughed. I could think of no more fitting response.

That experience caps several years of noticing a quiet perversion of peace movement politics taking place. On a personal note, I am anti-interventionist (borderline pacifist) and happily marched with the Stop the War Coalition against the Iraq War in 2003. But when working as a lecturer a few years later, I quit my labor union when it signed on to a boycott of Israeli academics. And I've witnessed a strange slide within the anti-war movement toward a variety of politics that leaves a bitter taste in the mouth.

Obviously, I'm concerned about a rise of a socially acceptable anti-Semitism that threatens the well-being of those Jewish friends that I know and love. But I also despair that the European peace movement has allowed this situation to develop without stopping even to think about it.

The tolerance that some on the left are showing toward anti-Semitism threatens to delegitimize fair and reasonable criticism of Israeli policy. They have allowed a potentially noble cause to be infiltrated by people without a shred of nobility. They need to put their house in order before it collapses down on all of us.

@highlight

Tim Stanley: Anti-Semitism surfaced in the wake of the controversy over Gaza war

@highlight

He says some conflate Israel and its policies with Jews in general

@highlight

It's vital to ensure that historic prejudice doesn't get revived, he says

@highlight

Stanley: Anti-Semitism has long been connected to far right, but some on left tolerate it