Elbow Beach, Bermuda (CNN) -- Winds and rain associated with Hurricane Igor lashed Bermuda on Sunday ahead of the storm's arrival, forecasters said, as the island braced for a potential direct hit.

The official weather-observing site on Bermuda reported sustained winds of 54 mph (87 kph) with a gust to 67 mph (107 kph), the National Hurricane Center said. A gust of 89 mph (143 kph) was earlier reported at an elevated observation site.

As of 8 p.m. ET Sunday, Igor's center was about 60 miles (95 kilometers) west-southwest of Bermuda and moving north at about 14 mph (22 kph). The storm was a Category 1 hurricane, with maximum sustained winds of 75 mph (120 kph), and forecasters said its intensity was not expected to diminish before it approached Bermuda.

Igor was also very large, forecasters said -- hurricane-force winds extended outward up to 90 miles (150 kilometers) from the center and tropical storm-force winds outward up to 345 miles (555 kilometers).

As of Sunday afternoon, CNN meteorologist Reynolds Wolf in Bermuda said the island was being battered by wind gusts and experiencing heavy surf. The airport was closed, and the capital of Hamilton was "a ghost town."

It was estimated that half of the island's 67,000 people had lost power, he said. Some roads were closed. The island will bear the brunt of Igor, particularly its most destructive northeast quadrant, regardless of whether the storm makes landfall, he said.

It is hoped that not much structural damage would result, as Bermuda does "an incredible job in terms of hurricane-proofing their structures," said CNN meteorologist Jacqui Jeras.

CNN iReporter Alyson Ritchie in Bermuda showed video of rough surf churning at Warwick Long Bay, Bermuda, ahead of the storm's arrival. Ritchie said she lives up the street from the bay, but her home's windows were taped and she has "plenty of supplies" on hand.

Another iReporter, Claire Hattie, shot video of palm trees swaying in the wind from her balcony in Pembroke, Bermuda, Sunday morning. Hattie said she lives in a sheltered area, not near the water, so the effects might be worse closer to shore.

The weather is "steadily deteriorating," she said, but she is prepared.

"Most people have stayed indoors since last night," she said, adding that  "driving conditions are very dangerous."

"There is also some flying debris already so it's too dangerous to walk either," she said. "All of our storm shutters are secured, the cupboards are stocked with tinned and boxed food, and the baths and jugs have been filled with water. There is really nothing more we can do at this point to prepare. We just have to wait it out and hope for the best."

The center of Igor is projected to pass over or near Bermuda Sunday night. Hurricane conditions are expected to continue throughout the evening, the hurricane center said. A hurricane warning was in effect.

"A direct hit would be the worst-case scenario, because the island would have to endure the extremely strong winds in the eye wall, as well as a dangerously high storm surge," CNN meteorologist Angela Fritz said.

In order for a hurricane to make landfall, the center of its eye must come ashore, said CNN meteorologist Sean Morris. If the center does not come ashore, but the eye wall moves over the island, it would be considered a direct hit.

"Bermuda could experience the strongest winds without Igor ever making landfall," he said. "It is also possible that Bermuda may not experience landfall or a direct hit."

The hurricane center did not offer an estimate for how high the storm surge is forecast to be, but said it will produce "significant coastal flooding" and will be accompanied by "large and destructive waves," particularly on the southern coast.

Igor is forecast to dump 6 to 9 inches of rain on the island.

Meanwhile, large swells are expected to affect the East Coast of the United States through Monday. Swells will subside over the next couple of days in locations including the Leeward Islands, Puerto Rico, the Virgin Islands, Hispaniola and portions of the Bahamas, forecasters said, but may cause dangerous surf and rip currents.

Tracking maps show Igor remaining off the coast of the United States, possibly brushing the tip of Newfoundland, Canada, next week.

Farther east in the Atlantic Ocean, Tropical Storm Julia continued spinning with considerably less threat to land than Hurricane Igor. As of 5 p.m. Sunday, a weakened Julia was located about 1,280 miles (2,055 kilometers) west of the Azores Islands. It was headed northeast at about 14 mph (22 kph). Its winds had decreased to 45 mph (75 mph). Additional weakening was expected, and Julia was forecast to dissipate by Tuesday, forecasters said.

@highlight

It's estimated half of Bermuda's residents have lost power

@highlight

Hurricane-force wind gusts reported on Bermuda

@highlight

Category-1 Igor may make a direct hit on the island

@highlight

A hurricane warning is in effect