Three or four years ago, it was supposed to be the next big thing in consumer tech: the magic of 3-D, right in your living room.

Fast-forward to today, however, and the truth comes right at you. Despite waves of hype, 3-D TV has never caught on. And now that one of its biggest early champions is abandoning the format, some are wondering whether the 3-D experiment should be declared dead.

ESPN, which in 2010 announced that it would offer events like World Cup soccer and the NCAA national championship football game in 3-D, now says it will stop doing so this year.

"ESPN 3D was great at home but due to low adoption of 3D to home, we are discontinuing to focus on other products for fans and affiliates," ESPN spokeswoman Katina Arnold announced on Twitter.

She followed up by promising that the network will keep trying to push the boundaries of the viewing experience.

"ESPN 3D production unmatched!" she wrote. "As tech leader, ESPN will continue to experiment with things like UHDTV (ultra high-definition)."

Analysts say ESPN's reasoning reflects a sad truth for an industry that once thought the runaway success of movies like "Avatar" meant consumers would have similar interest in watching 3-D in their living rooms.

"The excitement around 3-D TV was coming from many places: the industry, the TV manufacturers and the content providers," said Carolina Milanesi, a technology analyst for Gartner Research. "But not the consumers, and ultimately that is what proved fatal."

According to data from research firm DisplaySearch, adoption of 3-D TV in North America peaked in early 2011, when about 11% of TV owners had one. But growth has stalled and even dipped since then.

The technology fared better among TV owners in the rest of the world, growing to about 20% of the market before beginning to slide late last year.

Quite simply, Milanesi said, consumers just haven't considered it worth the money. Combine that with consumer-tech trends moving in the opposite direction, and it's a recipe for failure, she said.

"The lack of content and the higher cost of the hardware made adoption slow," she said. "And now we see consumers focus their money on other consumer electronics such as tablets, adding screens to their home rather than focusing on the main screen."

Complaints about home 3-D have centered around high prices, the limited number of 3-D offerings and the awkward glasses that made viewing uncomfortable over long periods of time. And many consumers, having recently traded in their clunky tube TVs for high-def flat screens, weren't ready to replace their sets yet again with newer models.

ESPN's 3-D channel has been carried by several cable networks, but  AT&T's Uverse dumped all 3-D in 2011, saying it was too expensive. That's not the sort of thing that's going to encourage many producers or networks to make their own 3-D shows or pay for the pricey equipment needed to shoot live events in three dimensions.

A few other 3-D providers remain, most notably 3net, a channel jointly owned by Discovery, Sony and IMAX. In a statement, 3Net said ESPN's decision would have "no impact on our business."

"It's understandable that content creators are hesitant to continue investing in costly new technologies if the viewer base is not growing at an attractive rate," said Paul Gagnon, DisplaySearch's director of TV research in North America. "This move by ESPN might signal that the momentum has shifted away from 3-D in the U.S., and TV manufacturers and retailers would be wise to take note."

That momentum appears now to be swinging toward the technology Arnold mentioned in her post: ultra HD, also known as 4K TV.

Screens on that emerging format promise definition that's four times sharper than regular HD. Sony is leading the pack with a giant 4K model already on the market and others hitting stores soon. But other manufacturers aren't far behind.

As with 3-D TV, there's still not a ton of available content for that level of definition. But 4K is in its infancy, and observers, including Milanesi, predict it will catch on in a way that home 3-D never has.

@highlight

ESPN announced it will suspend 3-D TV broadcasts by end of the year

@highlight

The prospect of 3-D excited the TV industry, but consumers never took to it

@highlight

Consumers complained about cost, awkward glasses, scarce 3-D content

@highlight

Analysts say ultra-HD, 4K television may be the next wave