A remote island with stunning underground architecture.

A massive crypt lined with copper bars, a colossal sphere at its center.

Mazes made of stone that lead from one underground chamber to another, each differing in shape and size.

I didn't expect my visit to the Japanese "art island" of Naoshima to remind me of the world of Myst, the computer game I played as a child.

It's been more than a decade since I played the game, but that strange, beautifully desolate island and the eerie feeling of wandering around it alone have stayed with me.

Exploring Naoshima's underground galleries, I was reminded again and again of Myst's mysterious mechanical structures, right down to the discovery of "puzzles" that visitors are meant to figure out on their own.

Magnificent architecture

Some 3,000 islands dot the Seto Inland Sea of Japan, which separates Honshu, Shikoku and Kyushu, three of the four main islands of Japan.

While many of those islands remain quiet and uninhabited, Naoshima has been turned into one of the most remarkable art and architecture destinations in the world.

Visitors often refer to it as "Ando Island," since most of the structures on the island were designed by Pritzker Prize-winning architect Tadao Ando.

A museum designed by and dedicated to the renowned architect is also located on the island.

Naoshima's transformation into a unique art project began in 1987, when Soichiro Fukutake, the chairman of Fukutake Publishing, now known as the Benesse Holdings, Inc., purchased the south side of the island.

Enlisted by Fukutake to supervise development on the southern portion of the island, Ando went to work over the next two decades designing a hotel complex and museums.

Adhering to his guiding principle of designing buildings that follow the natural forms of landscapes, Ando's buildings on the island blend into or are built into the earth, some of them opening up to the sky.

'Perfect balance of light, sound, space, color'

Some of Ando's buildings became part of the Benesse Art Site Naoshima (BASN), which showcases major artworks acquired by the company over the past decades.

Since 1995, many of those pieces have been created specifically for the island.

That same year, the company established the Benesse Prize at the Venice Biennale, commissioning winners to create works specifically for BASN, which includes Naoshima and the nearby islands of Teshima and Inujima.

Just as the art has been designed for the island, the buildings that house the works have been designed to maximize the impact of the art.

Opened in 2004, the island's Chichu Art Museum showcases its collection in spectacular and unexpected ways.

In the museum's Claude Monet Space, a vast, pure white underground chamber is made up of hundreds of thousands of tiny stone tiles.

The dazzling while tiles perfectly show off the enormous blue and violet paintings on each wall. Visitors remove their shoes at the entrance and are given soft slippers.

When I visited, I was the only person in the room (not counting an attendant who stood in a corner as still as a sculpture).

The space gleams white from the natural light peering through a white stone ceiling.

It was the same everywhere I went on the island -- quiet, stupefying displays of beauty and art with breathtaking sea or landscapes in the background. Visitor numbers are restricted throughout the exhibitions.

"They've managed to create a perfect balance of light, sound, space, color and proportion, which makes the experience transcendent and unforgettable," says Rhea Karam, a New York-based fine arts photographer at work on a project inspired by Naoshima.

The same as I did, Karam found the Claude Monet Space a shock.

"Growing up in Paris, I was very familiar with Monet's work and accustomed to seeing it everywhere to the point that I wasn't particularly interested when I heard he was displayed in the Chichu Art Museum," says Karam.

"The unbelievable, almost holistic presentation of Monet's Water Lily paintings made me see them in a light I had never before experienced."

Where to stay, what to see

Limited accommodation on the island mean the number of visitors is limited.

While small inns have been cropping up on the island, a stay at the hotel Benesse House remains by far the best way to get the full Naoshima experience.

Comprised of four different lodgings (Museum, Oval, Park, Beach), the hotel's rooms all provide incredible views of the Seto Inland Sea and have beautiful art of their own. It's a bit like staying at a modern art gallery.

The standout is the breathtaking Oval (see gallery above), with its six rooms built around an oval pond.

Oval is connected to the Benesse House Museum by a monorail accessible only to Oval guests.

Benesse operates a free shuttle bus from Benesse House Museum to nearby Lee Ufan Museum and Chichu Art Museum.

The shuttle also runs to the more removed Honmura District, once a castle town, on the island's east side, where the Ando Museum and the Art House Project are located.

The former is a small museum designed by Tadao Ando featuring his architecture; the latter is a project that turns empty houses into works of art.

Visitors to the Honmura side can pick up a map from the Honmura Lounge, a visitor's center and gift shop, and take part in a treasure hunt around the old castle town to find the art projects hidden in century-old houses.

The nearby islands of Inujima and Teshima house continuations of the remarkable Benesse Art Site Naoshima project.

Naoshima is reached by ferry from the ports of Uno (near Okayama) and Takamatsu.

Benesse House, Gotanji, Naoshima, Kagawa; +81 87 892 3223; rooms range from ¥31,000/$300 (single room at Park) to ¥87,000/$854 (four-person suite at Museum or Park during high season). Only guests staying at Oval have access to Oval.

Chichu Art Museum, 3449-1 Naoshima, Kagawa; +81 87 892 3755; 10 a.m.-6 p.m. (last entry 5 p.m.), closed Mondays; ¥2,060 ($20); free for children 15 and under; annual membership ¥10,300 ($100); no photographs allowed

Lee Ufan Museum, 1390 Azakuraura, Naoshima, Kagawa; +81 87 892 3754; closed Mondays; ¥1,030 ($10); free for children 15 and under; annual membership ¥5,100 ($50); no photographs allowed

Benesse House Museum, Gotanji, Naoshima, Kagawa; +81 87 892 3223; 8 a.m.-9 p.m. (last entry 8 p.m.); ¥1,030 ($10), free for Benesse House guests and children 15 and under; no photographs allowed

Art House Project, Honmura, Naoshima, Kagawa; +81 87 892 3223, 10 a.m.-4:30 p.m., closed Mondays; ¥1,030 ($10) for multi-site ticket (six art houses); no photographs allowed

Ando Museum, 736-2 Naoshima, Kagawa; +81 87 892 3754; 10 a.m.-4:30 p.m., closed Mondays; ¥510 ($5), free for children 15 and under; no photographs allowed

@highlight

The remote island of Naoshima in the Seto Inland Sea is a high-end art destination

@highlight

Tadao Ando designed hotels and underground museums to showcase art in remarkable ways

@highlight

Nearby islands of Teshima and Inujima are part of Benesse Art Site Naoshima