(CNN)Terrorism is nothing new to Europe. But there are new, pressing questions tied to the latest threats -- ones that authorities are trying to answer in their quest to get the upper hand and keep the continent safe.

European security services in recent weeks have received indications that the extremist group ISIS may have started directing European adherents in Syria and Iraq to launch attacks back in their home countries, a senior European counterterrorism official told CNN terrorism analyst Paul Cruickshank.

Separately, a Western intelligence source told CNN national correspondent Deborah Feyerick that the threat appears to involve as many as 20 sleeper cells of between 120 and 180 people ready to strike in France, Germany, Belgium and the Netherlands.

The source said that European Union and Middle East intelligence agencies identified an "imminent threat" to Belgium, and possibly also to the Netherlands.

Last week's attacks in France are proof that these threats could become reality at any time.

Assessing how close Europe is to another such attack, and doing whatever possible to prevent it are top priorities now for European authorities.

What is the nature of the threat?

Beyond what has emerged about Thursday's raids in Belgium -- which ended with two suspects dead -- details remain sketchy.

The European counterterrorism official told Cruickshank that there were indications that returnees from Iraq and Syria had been directed by ISIS leadership to launch attacks on European soil in revenge for airstrikes in Syria and Iraq.

"That would be a game changer because ISIS up to this point has not orchestrated any terrorist plots in the West," Cruickshank said. "There have been some ISIS fighters who have come back, but they have launched plots on their own steam."

The official named France, the United Kingdom and Belgium as countries facing a particular threat and said counterterrorism agencies in Germany are also on high alert.

Several European nations, including the United Kingdom, France, Belgium and the Netherlands, are participating in the air campaign against ISIS in Iraq.

A senior Belgian counterterrorism official told Cruickshank that the suspected terrorist cell that was raided is believed to have received instructions from ISIS.

German authorities, meanwhile, said they had arrested three men on suspicion of links to ISIS. A 26-year-old man suspected of having trained to fight in Syria and trying to recruit others to join ISIS was detained in Lower Saxony on Thursday; and two men in their early 40s suspected of supporting ISIS in Syria were taken into custody in Berlin on Friday.

But none of the men appear to have been planning attacks in Germany, authorities said.

Are there concerns about any other groups?

Al Qaeda in the Arabian Peninsula has claimed responsibility for the deadly shooting at the offices of French satirical magazine Charlie Hebdo in Paris last week.

U.S. authorities said they thought the video was authentic. But they weren't ready to say that AQAP helped carry out the assault.

"We're not there yet. There are good indicators" that the group was behind the attack, but the intelligence community is still assessing, a senior administration official told CNN.

At least a dozen people were detained in the Paris region overnight in connection with last week's shootings, the city prosecutor's office said Friday.

The European counterterrorism official told Cruickshank that there was also significant concern about Khorasan, an al Qaeda affiliate group, plotting attacks against Europe.

Last week, Andrew Parker, the head of the British security service MI5 warned that a group of core al Qaeda terrorists in Syria was planning mass casualty attacks against the West, an apparent reference to the Khorasan group, according to Cruickshank.

Are ISIS and al Qaeda working together in Europe?

That doesn't seem to be the case, despite the apparently mixed affiliations of the Paris attackers.

Cherif and Said Kouachi, the two brothers who French authorities say carried out the Charlie Hebdo attack, are believed to have had links to al Qaeda in the Arabian Peninsula. But Amedy Coulibaly, who attacked a kosher supermarket in Paris and demanded that police end their siege of the Kouachi brothers, pledged allegiance to ISIS.

In Syria, ISIS and al Qaeda have become fierce rivals since they severed ties early last year.

"I think the leadership of the two groups is not working together. And indeed, in many cases in Syria, they have fought each other," said Rep. Adam Schiff, a senior member on the U.S. House Intelligence Committee. "But outside of the theater of war, it certainly appears that those collisions and conflicts are less important to some of the people who are radicalized."

"In France, as in probably the United States, Europe and elsewhere, you have people that have a closer affinity to one or the other," he told CNN.

"Some have been just radicalized online, and maybe the message of ISIL and the caliphate resonates more," Schiff said, using another acronym for ISIS. "Others may have actually received training or support from AQAP, as may have been the case with the Kouachi brothers. And plainly, they don't have a problem working together overseas to attack Western targets."

The European counterterrorism official told Cruickshank that the possible shift by ISIS to direct attacks in Europe was partly the result of increased competition between ISIS and al Qaeda affiliates, including Khorasan, to be seen as the standard bearers of global jihad.

Are the Belgian raids connected to the Paris attacks?

CNN affiliate VTM reported that the terrorism investigation in Belgium started weeks ago, and there has been no connection established with the Paris attacks.

The three people targeted in the raid in the city of Verviers, in which two of them were killed, had been under surveillance for some time, said Belgian prosecutors' spokesman Thierry Werts.

A Western intelligence source told CNN that the Paris attacks played a role in accelerating the timing of the Belgian operation.

That included the arrest of a Belgian arms dealer suspected of providing weapons to Coulibaly. Belgian investigators questioned the arms dealer and searched his possessions, the source said.

Through him, the investigators got a number of "positive hits" on suspected extremists already known to authorities. After the Paris attacks, the source said, investigators stepped up the urgency.

How big is the challenge facing security agencies?

European officials have been warning for months about the unprecedented challenge posed by fighters returning from Syria.

More than 3,000 Europeans have left to fight in Syria in recent years. The total number who have returned to Europe is now estimated to be over 500, according to Cruickshank, including 250 who have returned to the United Kingdom, almost 200 to France and around 70 to Belgium.

An indication of the potential threat came last year in the deadly shooting at the Jewish Museum in Brussels, Belgium. The suspect in that case is Mehdi Nemmouche, a French citizen who has also been accused of helping to guard ISIS' Western hostages in Syria.

Nemmouche was arrested in France and extradited to Belgium to face trial over the museum shooting. He has denied the charges.

But the sheer number of Europeans returning from Syria, as well as those suspected of other jihadist activities, makes the task of identifying who is a threat very difficult for law enforcement agencies.

"If there are literally hundreds of people going back to Western Europe, the ability of the police to literally sit on everybody becomes problematic from the standpoint of having the manpower," said Michael Chertoff, who was secretary of homeland security under President George W. Bush.

CNN's Susannah Palk contributed to this report.

@highlight

European authorities are busy after last week's terror attacks in France

@highlight

There's been a raid in Belgium and arrests around Europe

@highlight

Officials are trying to assess the nature of the threats