(CNN) -- The same hands that are helping Haiti recover from a massive earthquake could cripple its long-term recovery.

That's the concern voiced by some Haitian scholars, natives and relief workers.

The world has rallied to Haiti's side since the January 12 earthquake killed at least 217,000 people and displaced at least a million in the impoverished island nation.

Yet the same groups that have lined up to help Haitians the past two months -- foreign governments, relief groups and companies pledging to rebuild  -- could hobble Haiti's long-term survival, some say.

Ronald Agenor, a Haitian-American, says he's grateful for the world's assistance. But he doesn't want the earthquake to wipe out one of his native country's most precious assets: its independence.

"We're not a country anymore," said Agenor, a former top-ranked professional tennis player. "It doesn't seem like we have a government. We're a place where people go to give money."

How aid can hinder Haiti's government

Much of Haiti's national identity is shaped around its unique history. Haitians are the descendants of the only slaves who revolted against their masters in the 19th century.

Haiti, though, has struggled since it broke away from its colonial rulers, the French. Even before the earthquake, unemployment hovered around 50 percent, and more than half of all Haitians live on a dollar a day. Ongoing political instability adds to Haiti's misery.

Western nations and relief groups have stepped in over the years to help. But some of that help has backfired, says Alex Dupuy, a native of Haiti and a professor of sociology at Wesleyan University in Connecticut.

"Haiti has been transformed over the years into an aid-dependent country," Dupuy said. "Much of the aid has further weakened the ability of the state to deliver."

In Haiti, the government doesn't provide basic services such as sanitation, electricity and drinking water, Dupuy says. Much of that is provided by non-governmental organizations, or NGOs, like relief groups, he says.

"It becomes a vicious cycle," Dupuy said. "The state is never forced to face up to its responsibilities."

Educated Haitians could stay and help their country, but many prefer to move elsewhere for more comfortable living, Dupuy says.

"There are more Haitian doctors practicing medicine in Montreal than in Haiti," Dupuy said.

Full earthquake coverage

Those educated Haitians who do stay are often siphoned off into working for the non-governmental organizations stationed there, says J. Phil Thompson, an urban studies professor at the Massachusetts Institute of Technology who has traveled to disaster zones around the world to help communities recover.

Thompson says there are about 10,000 NGOs in Haiti.

"Haitians often don't want to work for the government, because the salaries can't compete with the donations various intermediaries can pay," Thompson said.

Profiting from Haiti's misery

Helping hands have hurt Haiti in the past, some Haitians say. Powerful outsiders took advantage of Haiti's weakened government for profit.

Dupuy says that in the early 1970s, Haiti was self-sufficient in its rice production. Today, it is the fourth largest importer of rice from American farmers who are subsidized by the U.S. government.

The change came about because much of the foreign aid to Haiti had strings attached. Haiti had to remove its tariffs and open its economy to foreign imports, he says.

"All of which had devastating impacts on Haitian agriculture," Dupuy said. "Haiti has nothing to show for it. Now it imports 25 percent of the food it consumes."

Haiti's impoverished condition also provides opportunity for companies that flock to the country.

"It's being used as a haven for cheap labor in the textiles and garment industries," Dupuy says. "Those industries are going to Haiti because there is an abundance of the cheapest labor in the Western hemisphere."

Even those companies that promise to help rebuild Haiti must be viewed with suspicion, one scholar says.

Haiti's recovery could be hampered by unscrupulous outsiders and opportunistic Haitians who may seize land for themselves by passing their efforts off as "helping the recovery," Thompson said.

After Hurricane Katrina wiped out the Lower Ninth Ward in New Orleans, Louisiana, a group of developers proposed turning the area into a golf course, Thompson says. After the 2004 Asian tsunami, developers proposed building luxury hotels on the fishing communities that had just been wiped out, he added.

The same pattern could repeat itself in Port-au-Prince, the capital, to "redevelop" Haiti, Thompson says.

"Everywhere I've worked, where there's been a disaster, there's been land grabs by the elite," Thompson said.

Haitians say how their country can recover

Haitians can come out of this disaster stronger if they take more control of their destiny, Thompson says.

Thompson suggests that Haitians create a social investment fund, which would be used to funnel money that expatriates send to their homeland into investments in renewable energy, education and housing.

It's been estimated that up to 36 percent of Haiti's gross national product comes from remittances, or money Haitians receive from other Haitians abroad.

"Because Haitians are investing in Haiti, they are going to make sure no one is ripped off," Thompson said of the investment fund.

Agenor, the Haitian-American tennis player, recommends an even more subtle change for improving his country's prospects: teach more English to Haitian youth.

Creole and French are the primary languages in Haiti. But the best employment opportunities for Haitians rest about an hour's flight away in the U.S., where English is the main language, Agenor says.

"We have a French culture, but we're so close to America," said Agenor, who now lives in Los Angeles, California. "When Haitians go to America, they don't speak English. They can't go to college. When other English-speaking islanders go to America, 80 percent of the job is done."

Relief groups can help Haitians in the short term by not only providing food, shelter and water but  by hiring Haitian workers in reconstruction projects and soliciting their advice, one relief expert says.

"There's nothing worse than a bunch of foreigners coming in to fix everything," said David Humphries, a spokesman for CHF International, a humanitarian organization that is in Haiti. "Self-esteem and buy-in are very important for any community. They need to say, 'This is our building, our hospital.' "

iReport: Haiti's missing and found

Local input can also avoid wasting precious resources, Humphries says.

"You can build a hospital, but if there's no functional road to it, it's a white elephant," Humphries said. "People will despise it. Go in the community, get their input and employ them."

Despite the challenges ahead, some Haitians remain optimistic. News accounts of the earthquake's aftermath are filled with stories about the resilience of Haitian people.

Maggie Boyer, a Haitian native who is communications director for World Vision, an international Christian humanitarian agency, says the street vendors and the colorful Tap-Tap taxicabs have returned to the streets of Port-au-Prince.

"Given our history as the first black republic," Boyer said, "this has left us with the sense that we are good, we can win, and we can go forward."

@highlight

Massive aid flowing into Haiti could hobble country's recovery, some say

@highlight

Aid weakens ability of Haitian government to develop, sociologist says

@highlight

"We're not a country anymore," one Haitian says

@highlight

Powerful outsiders can use crisis for land grabs, professor says