(CNN) -- This is it: the night that RUSH fans have waited for since 1998, when the group was first eligible to be inducted into the Rock and Roll Hall of Fame. Thursday night, the Canadian trio -- a staple of classic rock radio stations -- will jam onstage with their fellow class of inductees.

We should feel vindicated, right?

For the last 13 years, fans of the band have been outraged as the Hall of Fame overlooked their heroes. From the moment RUSH was eligible for consideration, fans signed petitions and wondered what kind of critics could be keeping their heroes from the limelight.

Even now, fans still feel slighted.

You see, these are fans who are used to explaining -- and being summarily dismissed for -- their love of the band, said "RUSH: Beyond the lighted stage" documentarians Sam Dunn and Scot McFadyen.

RUSH has been a band almost 40 years. Their music has encompassed genres ranging from heavy metal to new age. They even penned a rap once (and caught a lot of flak for it from fans, too.)

Despite selling millions of records and achieving top-of-their-field musicianship, they've never really had the respect of music critics.

By extension, neither have their fans.

"I remember reading once (RUSH drummer and lyricist) Neil Peart got voted one of the worst lyricists of all time," Dunn said.

"And I can't imagine the rage that that would inspire in a lot of fans," he said. Peart's lyrics are a major reason fans cite interest in the band's music, he said.

They identify and connect with Peart's words so personally, "I absolutely think it's 'By attacking RUSH, you're attacking us,' " Dunn said. "And it's war."

Likewise, Geddy Lee's vocals are an unavoidable hurdle to RUSH appreciation, which fans are well aware of. His singing voice is highly pitched, in the tradition of singers like Robert Plant or Roger Daltrey, but in an extreme.

"I think one critic said it sounded like a hamster in a blender," McFadyen said. When they were working on the documentary and discussed with people in the industry what they were doing, people would tell him, "Oh, I detest RUSH. They suck. I cannot stand Geddy's voice."

He's heard that before. He knows Geddy Lee's singing has a polarizing effect on people. But if you love it, you love it for life, he said, and you don't mind that it's complex, nerdy music.

At their core, RUSH is a trio of outsiders. They grew up in suburban Canada, where guitarist Alex Lifeson and bassist and singer Geddy Lee were both first-generation Canadians from immigrant families, doing the best they could to avoid being the target of bullies. They didn't graduate from high school. And although they forged a career as one of the best-selling rock bands in history, the only thing rock 'n' roll about them is their music -- no drug overdoses, no sex scandals, no trashing of hotel rooms. Ever.

Musicologist, author and RUSH researcher Christopher McDonald said fans deeply identify with the band because of that nonconformity.

While the first wave of RUSH fans in the 1970s were seen as a homogenous audience of jean-jacket-wearing, frowning boys, it soon became obvious that the fan base was far more diverse.

RUSH was dismissed by critics for their complicated songs and epically tackling fantasy and sci-fi topics in their lyrics. According to McDonald, those same qualities won them the attention of a nontraditional fan base, people who loved Dungeons & Dragons.

"RUSH didn't always go after the pop culture cliches," McDonald said. "The songs were sometimes very long, the song topics were sometimes overwrought. They would have songs that quoted Hemingway, songs with a science fiction theme, an album that drew ideas from Carl Jung," he said.

"Who's going to be interested in something like that? It's going to be some of the people in the Chess Club."

That's why 43-year-old Web developer and proprietor of RUSH Is A Band Ed Stenger likes them. He's the first to admit you can "count the number of RUSH love songs on one hand."

Like many fans who were exposed to the music of RUSH before 1980, (including McFadyen) he was ushered into the fandom by an older brother.

"When '2112' came out, he was 14 and the time and I was 6," Stenger said. "RUSH was the background noise to my youth." And once his older brother went to college, it was easy to dig up old RUSH LPs and cassettes.

The science fiction-evoking titles caught his eye first. Then he noticed "2112" was a 20-minute song.

"I was like, what?!" Stenger said, "A song can't be 20 minutes long!"

So he listened, and the story of the lyrics and Geddy Lee's emotional delivery hooked him. He's been a RUSH fan ever since. The defining moment of his fandom was when RUSH played the entirety of "2112" in 1996 at Cleveland's Gund Arena.

The RUSH fandom has many social divisions. As Dunn and McFadyen showed in their documentary, some people -- especially musicians -- are fans of the ideals RUSH stands for: virtuosic musicianship, fearless exploration as artists and certainly stamina and longevity..

Most easily recognized is their level of musical ability. Billy Corgan, Trent Reznor, Kirk Hammett and Les Claypool appreciate the complexity of the music and the skill it takes to execute something like the guitar solo from "La Villa Strangiato."

"They're like musical superheroes," McFadyen said. "They do things on their instruments that mere mortals can't do."

Ask any drummer, Stenger said, and they'll tell you Neil Peart is one of the best in the world. His drum kit is a virtual fortress of percussion, dwarfing any other professional drummer's setup, McDonald said.

Peart's drum solos, which can last upwards of 10 minutes, are far from a good excuse to use the restroom during a concert. "There's people who come specifically to see his solo," Stenger said.

"He's able to make sounds and you can't even see him make them," said Dunn of Peart's legendary drumming.

Fans also appreciate the artistic integrity of the band, who has historically ignored concerns and direction from their record company -- and won autonomy.

Suburban youth especially appreciate the appeal of RUSH. McDonald discovered that the experience of the band spoke deeply to many others who dreamed of escaping their bedroom communities. Songs like "Subdivisions" from the album "Signals" and "Middletown Dreams," from the album "Power Windows" became anthems for them, he said.

But the albums themselves can also mark divisions in the fandom. When Geddy Lee introduced dominant synthesizers into the band's until-then heavy guitar sound, many fans stopped listening, Stenger said.

"There's a cutoff at (the album) "Moving Pictures," Stenger said. RUSH's next album, "Signals" put the group solidly into synth-pop territory, "and a lot of people did not like that at all." But even so, he said, the group of RUSH fans who grew up with the band's music from the 1970s is still the largest group in the fandom.

"Then you have the fans who grew up with their music from the 1990s. Their favorite albums are 'Presto,' 'Roll the Bones,' and 'Counterparts,' " he said. "I tell them my favorite album is 'Caress of Steel' and they say, 'what?' "

"Counterparts" is another one of those divisions, McDonald said. "That was the exact moment when Nirvana and Pearl Jam hit and the alternative '90s really started to go," he said. "In some ways, the world RUSH had inhabited to great success in the '80s was ending. I think 'Roll the Bones' in '91 was their last million-seller," he said.

Even specific songs in the RUSH repertoire divide the fandom. The aforementioned rap on the song "Roll the Bones" makes fans either roll their eyes or chuckle at the band's sense of humor. The song "The Trees" off the album "Hemispheres" either induces an "icky feeling," as Dunn puts it, or evokes a passionate speech about the epic qualities of the guitar-driven composition and political analysis of Peart's fable-like lyrics.

RUSH probably won't play "Roll the Bones" or "The Trees" during the Rock and Roll Hall of Fame induction ceremony, but it's a safe bet there won't be a single unlit Zippo in the group's fanbase when Peart breaks into his solo.

@highlight

RUSH fans are used to being dismissed for their love of the band

@highlight

There are many different kinds of RUSH fans

@highlight

RUSH fans have mixed emotions about the Rock and Roll Hall of Fame