(CNN) -- Decades after the end of colonial rule, thousands of elderly Kenyans are getting compensation and an apology from Britain for years of torture during the fight for independence.

Britain announced a Â£19.9 million ($30 million) settlement Thursday for human rights violations during its colonial rule in the East African nation.

"The British government sincerely regrets that these abuses took place and that they marred Kenya's progress towards independence," British Foreign Secretary William Hague said.

The victims had accused the former colonial master of a series of human rights violations, including rape, illegal detentions and castration.

"The elderly victims of torture now at last have the recognition and justice they have sought for many years,"said Martyn Day of Leigh Day, the law firm that represented the plaintiffs. "For them, this significance of this moment cannot be overemphasized."

In addition to the payout for the 5,228 victims, the UK said it plans to fund the construction of a memorial in Kenya to honor the freedom fighters.

"This is part of a process of reconciliation," Hague said. He denied that the settlement could potentially open the floodgates for colonial-era claims from other former British colonies.

Plaintiffs provided evidence of torture, and the amount of payout will be based on the scale, according to Donald Rabala, another attorney representing some of the fighters.

The abuse occurred between 1952 and 1961, when fighters from the Mau Mau movement battled British forces for land and freedom. Colonial forces killed thousands of fighters and detained others, including Kenyans who were not part of the rebel group.

Kenya went on to gain independence from Britain in 1963.

Secret files

Day said the "long, hard struggle for justice" took four years.

The Mau Mau veterans' claims, issued in 2009, faced resistance from Britain, which said the statute of limitations had expired. The veterans filed a lawsuit, but the British government asked the judge to throw out the case, saying it transferred all liability to Kenya when the country gained independence.

Kenya rebuffed the blame and stood behind the victims.

In January 2011, Britain found secret documents detailing the torture, which provided a big break for the case, Day said.

Britain kept immaculate records that revealed systemic human rights violations, including graphic accounts of prisoner abuse, he said.

The Foreign Office was ordered to produce all evidence relevant to the Kenya case, including hundreds of boxes of files, secretly smuggled out of Kenya ahead of independence.

Court paves way for lawsuit

After the revelation of the secret files, a court ruled that there was enough evidence to proceed to trial.

Last year, the London high court ruled that three Kenyans tortured during the colonial rebellion could sue the United Kingdom for compensation. Thousands of others followed suit.

The three men who filed the original case made numerous trips to London to give their testimony. They are among the group that will be compensated.

After the ruling last year, thousands of miles away in the Kenyan capital of Nairobi, jubilant colonial-era fighters, balancing on canes, gingerly danced.

Others prayed and wept.

"It's a great day. I am as happy as the day I was released" from the detention camp, said Wambugu Wa Nyingi, one of the three original plaintiffs.

Who are the Mau Mau?

The Mau Mau insurgency was made up of Kenya's largest tribe, the Kikuyu. Its members were against British domination and fought colonial forces for years.

During the uprising, as many as 150,000 Kenyans were incarcerated in what was then British East Africa, accused of joining resistance movements started by marginalized tribes. Among them were many civilians, including U.S. President Barack Obama's grandfather.

Obama referred to his grandfather's incarceration in his memoir "Dreams from My Father," writing that he was held for six months by the British, but found innocent.

CNN's Nima Elbagir contributed to this report from Nairobi, Kenya

@highlight

The abuse occurred from 1952 to 1961

@highlight

Fighters from the Mau Mau movement battled British forces for land and freedom

@highlight

Colonial forces killed thousands of fighters and detained others