(CNN) -- Navy officers knew that Aaron Alexis had been arrested in 2004 for shooting out the tires of a car -- in a blackout fueled by anger -- and yet they admitted him into the Navy and granted him security clearance anyway, a senior Naval officer told CNN.

"It appears as if investigators were aware of the incident, interviewed him and were satisfied that it did not preclude granting the clearance," the officer said.

Alexis, who killed 12 people Monday at the Washington Navy Yard, was a military contractor who used a valid identification to gain access to the secured facility, law enforcement officials said Tuesday.

But experts, lawmakers and many in the media are now asking how Alexis was able to obtain that clearance, given his previous run-ins with the law -- some involving guns -- as well his checkered past in the Navy and a history of mental illness.

Did government background investigations dig up the things about Alexis that news agencies managed to find out within hours?

Experts weigh in

Alexis "should have been screened out early on in his enlistment," said one expert on Navy processes, who asked not to be identified. "The Navy and the various entities responsible for his adjudication were either unwilling or worse unable to determine he was unfit for service in the United States Navy."

The incidents in Alexis' past "should have been a red flag that maybe we need to delve a little deeper into this individual," said retired Navy Cmdr. Kirk Lippold.

2008 arrest led to Alexis' Navy discharge

And private experts told CNN Alexis shouldn't have kept his clearance.

"In all of my experience with this, he absolutely should not have gotten a clearance. Anybody that I've encountered with any kind -- even half of this record -- does not get a clearance," said private attorney Sheldon Cohen, who specializes in clearance cases.

The gun arrests alone should have disqualified him, Cohen said.

A checkered past

The shooter at the Washington Navy Yard had a "pattern of misconduct" as a Navy reservist and sporadic run-ins with the law, and had contacted two Veterans Affairs hospitals for apparent psychological issues, sources have told CNN.

Alexis told police he was hearing voices

At around 8 in the morning on May 6, 2004, Alexis used his Glock to shoot out two of the tires of a 1986 Honda Accord near a Seattle, Washington, home where Alexis was residing. He was ultimately arrested and charged with "malicious mischief." Alexis said that the owners of the car "had disrespected him" and that, he claimed, led "to what Alexis described as a 'black-out' fueled by anger," according to the police report.

Alexis also was arrested on a gun-related offense in 2010 as well as on a disorderly charge in 2008, but he was never prosecuted. Also, although he was honorably discharged as a Navy reservist, he had at least eight instances of misconduct while on duty, according to a US defense official.

So why was he given clearance?

"The way it happens is a poor background check," says Tim Clemente, a former FBI counterterrorism agent.

Navy officials are going back to see if his clearance should have been pulled.

"We're looking at his entire service record," Navy spokesman Rear Adm. John Kirby told CNN's The Situation Room. "See what red flags, if any, were missed, and if there's an accounting to be done."

How clearance works

Contractors can receive three levels of clearance: confidential, secret and top secret. Alexis had secret clearance, the middle category.

Navy Yard shooting: What we know and don't know

A Defense Department office oversees clearance. Applicants fill out a very long form, which asks about any contact with police, charges and convictions. The form also asks about mental instability. Interviews with applicants follow.

Before obtaining clearance as a contractor, Alexis would have theoretically been investigated by the Office of Personnel Management and ultimately granted clearance by "DONCAF" -- the Department of the Navy's Central Adjudication Facility, in Fort Meade, Maryland.

An official at DONCAF refused to comment, referring CNN to the Pentagon.

Kirby told CNN he couldn't speak for DONCAF or its process, but Alexis "passed a routine security clearance back in 2007 when he enlisted. It was good for 10 years."

As a reservist Alexis was exempted from the periodic reinvestigation of clearance that active duty officers go through every 4Â½ years, or the polygraphs they go through every 2Â½ years.

"We're doing the forensics now to better understand if and how that clearance was reviewed," Kirby said. "If we need to account for missed flags, we will. While not a stellar sailor, nothing Alexis did gave us an indication that he was capable of this brutal level of violence against people."

'Secret' clearance granted in March 2008

Alexis was given a "secret" security clearance in March 2008, shortly after he joined the Navy in 2007.

He carried that clearance with him when he was honorably discharged in 2011, Kirby said, and could use it in another position so long as he is hired within two years.

Alexis was hired by a company called The Experts in September 2012 to work on a HP contract in Japan refreshing computer systems.

"Because he wasn't out of work very long before this next job the security clearance went with him," Kirby said. "We're taking a look at all the run-ins with the law if anything should have been done differently."

The initial background investigation on Alexis was done by the Naval Criminal Investigative Service, Kirby said.

A Defense Department statement issued Tuesday night said "according to applicable federal investigative standards, an individual with Mr. Alexis' non-critical level of eligibility would only need to be reinvestigated once every 10 years."

The Experts issued a statement saying Alexis was properly screened.

"We enlisted a service to perform two background checks, and we confirmed twice through the Department of Defense his Secret government clearance," the statement said. "The latest background check and security clearance confirmation were in late June of 2013 and revealed no issues other than one minor traffic violation."

With security clearance, Alexis worked from September 2012 through January in Japan. His clearance was renewed in July, and he worked at facilities in Rhode Island, North Carolina and Virginia for weeks at a time upgrading computer systems, according to Thomas E. Hoshko, CEO of The Experts. No one reported having any problems with him, Hoshko said.

Alexis began working at the Navy Yard last week, though it was unclear whether he had actually begun doing work or was still securing his base clearance, Hoshko said.

Lawmakers react

The possible red flags that went unnoticed have members of Congress outraged -- with promises to fix what they say could be gaping holes in the system.

"We are so reliant on military contractors" that the vetting is key to our national security, Sen. Susan Collins told CNN.

Collins, a Republican who serves on the Senate Intelligence Committee, said she now questions "the kind of vetting contractors do."

Washington needs a lot more answers," Rep. Eleanor Holmes Norton, D-District of Columbia, told CNN Tuesday.

Sen. Kelly Ayotte, R-New Hampshire, is asking for a hearing to examine problems the shooting at the Navy Yard highlighted.

"In the wake of this tragedy, we must thoroughly review and fix deficiencies within existing federal contracting hiring practices that the alleged Washington Navy Yard gunman exposed and exploited to ensure the safety of the rest of our service familyâ€”servicemembers, civilian workers, and contractors, alike," Ayotte said.

Government relies on contractors

In the 12 years since the September 11 attacks, the United States has ramped up contracting to support new defense and intelligence efforts.

And contractors are a major reason the federal government can operate today as its workforce shrinks.

According to statistics, last year it spent more than $500 billion -- or roughly 14% of the federal budget -- on private-sector contracts.

That doesn't include many contracts awarded by the National Security Agency and other intelligence agencies, which keep their spending classified.

There are already moves in Congress to tighten the security clearance system.

Sen. Bill Nelson, D-Florida is a co-sponsor of a bill to force government agencies asking for the background checks of potential clearance holders to increase oversight and to fire investigators who falsify those investigations.

Because of the rise in number of contractors, federal agencies often farm out background check investigations before deciding whether to grant security clearance. While the process is supposed to be the same whether it is done by a government or private sector employee, some experts question whether that is the case.

One of the largest private firms that specializes in these investigations, USIS, which did former NSA contractor Edward Snowden's background check, is under investigation, according to an official from the Office of Personnel Management who testified before Congress in June.

Sen. Claire McCaskill, D-Missouri, said at the hearing her staff had been informed of the company's "systemic failure to adequately conduct investments under its contract" with OPM. USIS has not commented on the investigation.

Broader review planned

The issue of contractors also has the attention of the Obama administration.

Because of the leaks from Snowden, the Director of National Intelligence was already examining who should have access to classified materials. Now officials say there will be a broader review of contractors and employees across all federal agencies. This review will look at the oversight, nature and implementation of security protections as well as looking at whether these employees and contractors are suited to work for the federal government, an administration official told CNN.

"I can tell you at the President's direction (the Office of Management and Budget) is examining standards for contractors and employees across federal agencies. So this is obviously a matter the President believes and has believed merits review," White House Press Secretary Jay Carney told reporters Tuesday.

Stan Soloway, president and CEO of the Professional Services Council -- the trade association for contractors -- told CNN that "contract employees and government employees go through the same process."

He argues that the focus now should not be on how Alexis got his security clearance, but "what are the procedures for access to facilities. ... How do you get into the building with a gun?"

CNN's Drew Griffin, Mariano Castillo, Dugald McConnell and Larry Shaughnessy contributed to this report.

@highlight

NEW: The Navy was aware of Aaron Alexis' 2004 arrest and granted him clearance anyway

@highlight

NEW: Expert: Alexis "should have been screened out early on in his enlistment"

@highlight

Alexis had at least eight incidents of misconduct in the Navy, a defense official says

@highlight

Lawmakers ask why the alleged gunman's past didn't prevent his security clearance