Syrian government forces seized control Wednesday of the strategically important border city of Qusayr, which had been the site of nearly seven weeks of fighting.

State-run TV credited an offensive "that led to the annihilation of a number of terrorists," the government's term for rebels.

"Our heroic armed forces are always determined to confront any aggression that our beloved homeland may face in the future," an anchor on Syrian state television said.

The Syrian opposition acknowledged the report.

"Yes, dear brethren, this is a battle that we lost, but the war is not over yet," said the Homs Revolution News, which is associated with the Local Coordination Committees of Syria, an opposition activist network.

One dissident group said Hezbollah, the powerful Lebanese Shiite militia backed by Iran and the Syrian government, was instrumental in the siege's success.

"Hezbollah fighters took control of Al-Qusayr city after the regime forces covered their night attack with heavy bombing ... and continued into the morning," the Syrian Observatory for Human Rights said.

Eleven of the regime's security forces were killed and 25 others were injured in the Qusayr fighting overnight and on Wednesday, the Observatory group said. There were also reports of deaths among Hezbollah fighters Wednesday morning.

The Syrian Network for Human Rights reported that more than 1,000 civilians in Qusayr were injured, almost 600 of them unable to walk. Many are trapped in narrow areas near the city, the network said.

France: Sarin gas used in Syria

The government's capture of Qusayr came on the day that U.S., Russian and U.N. officials met in Switzerland to plan an international conference on the Syrian crisis. After Wednesday's meeting, the United Nations' special representative for Syria, Lakhdar Brahimi, told reporters that the conference wouldn't happen in June as previously expected but could take place in July.

The loss of what had been a rebel stronghold near the Lebanese border represents a blow to rebels' efforts to oust Syrian President Bashar al-Assad and may portend heightened sectarian tensions.

That echoes what rebels have been predicting for weeks: that a government takeover of Qusayr could lead to a new level of sectarian warfare between Sunnis -- who dominate Syria's population -- and Shiites and Alawites. Al-Assad's family, which has ruled Syria for 42 years, belongs to the Alawite sect.

"If Qusayr falls at the hands of the regime, there is no way to stop the acts of reprisal, and that retribution will (reach) another level," rebel spokesman Col. Abdul Hamid Zakaria told the Al-Arabiya TV network last month.

"This will lead to Shiite and Alawite towns to be completely wiped out of the map."

Indeed, video appeared Wednesday on YouTube showing what the poster said were Free Syrian Army fighters launching rockets at two Shiite villages, inhabited mostly by Assad loyalists, in an overwhelmingly Sunni region in the northeastern province of Aleppo.

Meanwhile, on Wednesday, rockets fell on the mostly Alawite neighborhoods of Ekrema and Zahraa in the city of Homs, the Syrian Observatory group said.

Last week, Brig. Gen. Salim Idris of the rebel Free Syrian Army asked the public to "excuse (the) FSA" for any retaliation.

"We are being subjected to genocide conducted by Hezbollah," he told Al Arabiya.

France has said that Hezbollah sent as many as 4,000 fighters to Syria to bolster al-Assad's forces. The Lebanese militants "produced major results," particularly in the battle for Qusayr, said Fawaz Gerges, director of the Middle East Center at the London School of Economics.

The Obama administration condemned "in the strongest possible terms" the takeover of Qusayr, press secretary Jay Carney said.

"It is clear that the regime could not contest the opposition's control of Qusayr on its own and is depending upon (Hezbollah) and Iran to do its work for it in Qusayr," Carney said in a statement.

Hezbollah's "involvement in Syria and the Syrian regime's cross border attack today on Arsal represent blatant violations of Lebanon's sovereignty and a deliberate threat to Lebanese stability.  The United States firmly supports Lebanon's security, stability and sovereignty," Carney added.

Lebanon's leaders call for a policy of disassociation from the Syrian conflict, Carney said.

Arab League Secretary-General Nabil Elaraby condemned any form of foreign intervention in Syria, especially Hezbollah, but he expressed frustration.

"You could say the Arab League has not succeeded to stop the conflict. But also the United Nations -- with all its powers -- could not do anything!" he said. "The international community has not succeeded in stopping the violence or the humanitarian catastrophe which the Syrian people are experiencing."

War-torn Syria issues travel warning against Turkey

Qusayr's importance

Qusayr's location has made it a crucial battleground for regime and rebel forces.

The government's control of the city helps secure a critical link between the capital, Damascus, and Alawite strongholds such as Tartus and Latakia, said Charles Lister, an analyst at IHS Jane's Terrorism and Insurgency Centre.

He said the rebels' loss will likely spark a rise in cross-border attacks on Shiite towns in eastern Lebanon and possible attacks on Hezbollah forces farther inside the country.

Idris of the FSA  has said that the Syrian rebels will hunt Hezbollah down in Lebanon and "in hell, if they have to," over the Shiite militia intervention in Syria.

Mia Farrow: Don't let Syria's children die

Nasrallah's deputy, Sheikh Nabil Qaouk, responded by saying that his party can protect its Shiite supporters in Lebanon and they "will punish the murderers who attack Lebanon's sovereignty."

A Syrian helicopter fired five missiles into Kherbet Dawoud, near the Lebanese town of Arsal, which is largely Sunni and has served as a refuge for people who fled Qusayr; no casualties were reported, the Lebanese Army Information Directorate said Wednesday.

Lebanon's National News Agency reported that clashes were occurring in Tripoli between residents of rival areas of the city -- the Bab-al-Tibbaneh neighborhood, which is dominated by Sunnis, and the adjacent Jabal Mohsen neighborhood, which is dominated by Alawites.

"The Syrian conflict is no longer an internal struggle between Assad and the internal opposition," Gerges said. "It's an open-ended war by proxy -- Iran, Hezbollah and Syria, Turkey, Qatar and Saudi Arabia, plus Russia and the United States."

Shortly after the Syrian regime seized Qusayr, Iran sent congratulations.

No Geneva conference in June

Brahami, after  Wednesday's meeting with U.S. and Russian officials in Geneva, told reporters that "it will not be possible to hold the conference (on Syria) in June."

The talks, slated to be held in Geneva, would have brought  together officials from Assad's regime and members of the Syrian opposition to discuss a political solution.

The three parties organizing the talks -- the United States, Russia and the United Nations -- have agreed the conference will be sponsored by the U.N. secretary general and will meet again in Geneva on June 25 to discuss details, Brahami said.

Officials will look at "windows of opportunities to hold the conference as soon as possible, hopefully in July," he said.

Al-Assad told Hezbollah's Al-Manar TV on May 30 that his government agreed in principle to participate in the talks.

Syria's main rebel umbrella group, the National Coalition for Syrian Revolutionary and Opposition Forces, has demanded al-Assad step aside in order for it to take part in the talks.

Meanwhile, sarin gas has been used several times in the Syrian civil war, including at least once by the Assad regime, France's foreign minister said Tuesday, citing results from test samples in France's possession.

The evidence of chemical weapons in Syria poses a real problem for Russia's continued support of the Assad regime, a diplomatic source said.

Some in the international community have been surprised by the U.S. reaction that evidence needs to be expanded and corroborated, but a U.N. commission for chemicals could be called upon to go to Syria to take its own samples and conduct an investigation, the official diplomatic source said.

Stark choice for residents

More than 70,000 Syrians -- most of them civilians -- have been killed in the two-year conflict, according to the United Nations.

In Qusayr alone, about 1,500 people are reported to be in need of medical care. Some residents escaped the violence by digging holes and hiding in them, refugees told U.N. staff.

Most of those who fled Qusayr to Lebanon are women and children.

"Those we have spoken to say it is unsafe to flee with men, who are at heightened risk of being arrested or killed at checkpoints along the way," said Melissa Fleming, spokeswoman for the U.N.'s refugee agency.

Fleming said one woman told the agency that Qusayr residents face a stark choice: "You leave and risk being killed ... or you stay and face a certainty of being killed."

But thousands of residents remain in Qusayr,  their futures unknown.

'Open-ended' Syrian conflict draws in region

@highlight

More than 1,000 civilians are injured; many remain trapped, group says

@highlight

Hezbollah in Syria is "blatant" violation of Lebanon's sovereignty, White House says

@highlight

Some surprised by how U.S. wants more evidence on use of sarin gas, diplomat says

@highlight

Rockets fall on Alawite communities in Homs