It was a staggering sight, even in a Mexican city that has seen its share of violence in recent years as drug-related crimes surged.

Seven bodies sat slumped in white plastic chairs placed near a central plaza in Uruapan, Mexico.

Local media reported messages were left behind, written on poster board and pinned to some of the victims' bodies with icepicks.

The men appeared to have been killed by gunfire, and investigators believe organized crime groups are to blame, Mexico's state-run Notimex news agency said. Investigators haven't provided details about who they suspect was responsible or why they targeted the men -- windshield washers and farm workers, according to Notimex.

Uruapan, a city of a quarter million people in the western state of Michoacan, made headlines in 2006 when members of a drug cartel -- La Familia Michoacana -- hurled five decapitated heads of rival gang members onto a dance floor there.

That cartel has since fractured, but violence in the region has remained a grisly reality.

The seven corpses found in Uruapan last weekend were among at least 30 killed nationwide -- a high death toll that once again drew attention toward drug-related violence in Mexico, where more than 60,000 people were killed in drug-related violence from 2006 to 2012, according to Human Rights Watch.

Read more: Rape case in Mexican resort city puts violence back into the spotlight

The violence comes as Mexican President Enrique Pena Nieto pushes a new strategy aimed at focusing more on dealing with social and economic issues that fuel the drug trade and less on combating cartels head-on.

Uruapan is among the metropolitan areas in Mexico tapped for the president's new program, which aims to prevent violence, school dropouts, addiction and domestic violence, and also to better detect problems in Mexico's education system.

Without jobs and social programs, Pena Nieto told CNN last year, millions of Mexicans "have no other option than to dedicate themselves sometimes to criminal activity."

The goal of the government's new strategy, Interior Minister Miguel Angel Osorio Chong said last month, is creating a "culture of peace and respecting the law."

Mexico reports more than 26,000 missing

"It is the responsibility of the state to pursue criminals and punish them to preserve peace and harmony," he said, "but we are convinced that fighting and punishment alone do not resolve the problem."

Some analysts have praised the new government approach.

"The cartels have been able to recruit tens of thousands of killers in part because poor neighborhoods have been systematically abandoned over decades and lack sufficient schools, community centers and security -- in short they lack opportunity," the International Crisis Group said in a recent report on Mexico's cartel violence. "There are many dedicated Mexican social workers with the experience and ability to reach the vulnerable groups if they are given resources. If they succeed in reducing violence, theirs can become a security model to follow instead of one to fear."

Will the new strategy work?

Is this past weekend's violence in Uruapan and elsewhere a sign that the new tack isn't working?

It's soon to tell, less than four month's into Pena Nieto's presidency, one analyst told CNN en Español this week.

"In politics, there are no miracles, in economics, there are no miracles, and in security even less so," said Jose Carreno, a Mexican journalist who has covered the government's security strategy. "They are things that happen little by little, gaining ground piece by piece."

It could be up to a year before any significant changes show up in statistics, he said. And it's likely Mexican military troops deployed by former President Felipe Calderon to fight cartels will remain in the streets for another year as well, he said.

"I do not see any immediate substitute for them," he said.

Some Mexicans have said they aren't ready to wait for a change in the government's approach.

Self-defense groups have started forming in some areas where government troops haven't been able to put a stop to cartel violence.

"We think the government is very timid, very slow," Sergio Mejia, the head of an association of restaurant and business owners in Acapulco, told CNN last month. "If there is no immediate response, it leaves us no choice but to join the fight."

Authorities are investigating the emerging defense groups, a top Mexican official told CNN en Español this week.

"It is an investigation to find out who they are, what weapons they have, how many of them there are, what they are pursuing, etc. We have them located, mapped, all of them. We are busy resolving the issue," said Manuel Mondragon, Mexico's national security commissioner. "What are we going to do? Well, this is an issue that I can't reveal openly, but what I can say is that we have them precisely located and identified."

13-year-old assassin murdered in Mexico

U.S. approach also shifting

In a report to Congress this month, the U.S. State Department said some efforts to combat cartels in Mexico have paid off. Major cartel leaders have been captured, the report says, and the number of annual deaths because of drug-related violence declined from 2011 to 2012.

The United States and Mexico's cooperation to fight cartels is "unprecedented," according to the State Department's 2013 International Narcotics Control Strategy Report, which says the United States has provided $1.1 billion in security aid to Mexico since 2008 through the Merida Initiative.

More leaders of criminal organizations have been brought to justice as a result, the report says.

"That success, however, has also resulted in smaller, fractured organizations that have violently attempted to consolidate their power," the report says. And with profits from the drug trade dropping, cartels have turned to other activities, such as kidnapping, extortion and human trafficking.

The report suggests that for the United States, too, it's time for a new approach.

"The focus of U.S.-Mexico cooperation has shifted from providing large-scale equipment to engaging in training and capacity building, and from focusing on the federal-level to building state- and municipal-level capabilities. Accordingly, justice sector reforms, drug demand reduction, and culture of lawfulness initiatives should play a larger role," the report said. "The United States should also continue programs to curb its domestic drug demand and inhibit the illegal flow of arms and cash into Mexico."

Pena Nieto has been pushing for ties for the neighboring nations to go beyond the drug war.

And security issues received only a slight mention in statements from both governments Wednesday announcing President Barack Obama's plans to visit Mexico in May.

As officials change their tones and tactics, authorities in Uruapan also will be trying a new approach, Mexico's state-run Notimex news agency reported Wednesday.

Next month, officials will open trade-in centers there and elsewhere in Michoacan state where residents can receive tablets, netbooks or money.

In exchange, they'll have to hand in their guns.

Slaying highlights violence at Mexican tourist hotspot

@highlight

Seven dead bodies sit slumped in white plastic chairs left in a public view in a Mexican city

@highlight

The city is one of the places tapped for a new program from Mexico's president

@highlight

The new strategy focuses on dealing with social and economic issues that fuel the drug trade

@highlight

Analyst: It's too soon to tell whether the new approach is working