Washington (CNN) -- A divided federal appeals court on Friday struck down Michigan's controversial ban on consideration of race and gender in college admissions.

The 2-1 panel at the 6th Circuit U.S. Court of Appeals concluded the voter-approved ban on "preferential treatment" at state colleges and universities was unconstitutional, and "alters Michigan's political structure by impermissibly burdening racial minorities."

The issue is likely to renew the national, political and legal debate over affirmative action, which the Supreme Court could be poised to resolve in the coming months.

The affirmative action ban was passed five years ago in a referendum and was added to the state's constitution, barring publicly funded centers of higher education from granting "preferential treatment to any individual or group on the basis of race, sex, color, ethnicity, or national origin." That prompted a series of lawsuits and appeals from various groups.

"The university is reviewing the possible implications of the court's decision, and recognizes that there may be further legal steps as well," Kelly Cunningham, a spokeswoman for the University of Michigan, said Friday. She would not speculate how or when the school would need to alter its policies in response to the court's ruling.

A state appeal to the Supreme Court is almost certain, setting up a potentially heated election-year debate in 2012 over whether race and gender preferences are still a socially necessary step.

The issue comes after the justices in 2003 ruled that while Michigan universities could use race as a factor in choosing which students to admit, they could not make race the determining factor in deciding whether applicants are accepted.

The appeals court has now said the Michigan law violated the Constitution's equal protection laws.

"Because less onerous avenues to effect political change remain open to those advocating consideration of non-racial factors in admissions decisions, Michigan cannot force those advocating for consideration of racial factors to go down a more arduous road than others without violating the Fourteenth Amendment," said Judges R. Guy Cole and Martha Daughtrey, both named to the bench by former President Bill Clinton.

In dissent, Judge Julia Smith Gibbons said voters had a right to pass this kind of referendum, even though school officials ultimately make the individual admissions decisions.

"Having no direct or indirect influence on the bodies vested with authority to set admissions standards -- the faculty committees -- the people of Michigan made a political change at the only level of government actually available to them as voters," said Gibbons. "The Michigan electorate, therefore, as opposed to choosing a more complex structure for lawmaking, employed the one method available to exert electoral pressure on the mechanisms of government."

The current controversy was sparked by the earlier Supreme Court decisions. In two cases from the University of Michigan, the divided high court said the university's law school could give preferential treatment to minorities -- as one factor in the admissions process -- but could not set quotas or use a point system. Writing for the majority in the law school case, Justice Sandra Day O'Connor said the Constitution "does not prohibit the law school's narrowly tailored use of race in admissions decisions to further a compelling interest in obtaining the educational benefits that flow from a diverse student body."

The moderate-conservative O'Connor has since left the bench, replaced by the more right-leaning Justice Samuel Alito, who could prove the decisive vote if the current case reaches the Supreme Court.

The referendum effort was led by Jennifer Gratz, who was at the center of the high court case eight years ago. As a white student, she was put on the waiting list for undergraduate admission to the state's largest university. She eventually attended another school, and became the lead plaintiff in a subsequent reverse discrimination lawsuit. She ultimately prevailed at the Supreme Court -- long after she had graduated -- and then began a public campaign to end racial preferences in admissions.

Efforts over decades to create a diverse classroom have been controversial. The famous Brown v. Board of Education high court ruling in 1954 ended segregation of public schools, but sparked nationwide protests and disobedience by states who initially refused to integrate.

In 1978 in the so-called Bakke case, the justices said universities have a compelling state interest in promoting diversity that allows for the use of affirmative action. That issue involved a reverse discrimination claim by a white man denied admission to law school.

And the high court in 2007 struck down public school choice plans in Seattle and Louisville, concluding race could not be a factor in the assignment of children. Those school districts had sought to use raced-based criteria to achieve diversity.

The issue in recent years is whether and when affirmative action programs -- while constitutionally permissible now -- would eventually have to be phased out as the goal of obtaining diversity is met.

O'Connor in her 2003 decision predicted, "The court expects that 25 years from now, the use of racial preferences will no longer be necessary to further the interest approved today."

The justices could be asked to decide whether Michigan's current policy meets that legal and social test.

The current case is Coalition to Defend Affirmative Action, Integration, and Immigrant Rights and Fight for Equality by Any Means Necessary v. Regents of the University of Michigan (08-1387).

@highlight

The court concludes in a 2-1 ruling that the voter-approved ban is unconstitutional

@highlight

The case is likely to renew a national debate over affirmative action

@highlight

The University of Michigan is reviewing the implications of the ruling, a spokeswoman says