(CNN) -- The Internet connection in Myanmar was cut Friday, limiting the free flow of information the nation's citizens were sharing with the world depicting the violent crackdown on monks and other peaceful demonstrators.

Ko Htike runs his Myanmar blog out of his London apartment and says he's trying to stop the violence.

Myanmar-based blogs went dark suddenly. But London-based blogger Ko Htike -- who has been one of the most prominent bloggers posting information about the violence -- has vowed to keep up the fight, saying where "there is a will, there is a way."

"I sadly announce that the Burmese military junta has cut off the Internet connection throughout the country," he said on his blog Friday. "I, therefore, would not be able to feed in pictures of the brutality by the brutal Burmese military junta."

Ko Htike is a 28-year-old who left Myanmar, once known as Burma, seven years ago to study in England.  Watch a blogger's fight for Myanmar »

He told CNN.com a day earlier that he has as many as 40 people in Myanmar sending him photos or calling him with information. They often take the photos from windows from their homes, he said.

Myanmar's military junta has forbidden such images, and anyone who sends them is risking their lives.

"If they get caught, you will never know their future. Maybe just disappear or maybe life in prison or maybe dead," he told CNN.

Why would they take such risks?

"They thought that this is their duty for the country," he said. "That's why they are doing it. It's like a mission."

Even with Friday's action by the government, he said he will continue to do all he can to get images of what's happening out for the world to see.

"I will also try my best to feed in their demonic appetite of fear and paranoia by posting any pictures that I receive through other means," he said on his blog. "I will continue to live with the motto that 'if there is a will there is a way.' "

With few Western journalists allowed in Myanmar, his blog has become one of the main information outlets. More than 170,000 people from 175 countries have gone to the blog, according to a counter on the page.

On Friday, shots rang out in the streets of Myanmar's biggest city of Yangon, marking the third straight day of violence at the hands of the ruling military junta to suppress citizen protests.  See photos of the protests »

One diplomat told CNN that a Western witness had reported seeing about 35 bodies lying in rows on a street near Sule Pagoda, with civilians praying over them. CNN could not independently confirm the report, and it was not known if the bodies were from Friday or the result of earlier violence.

According to The Associated Press, British Prime Minister Gordon Brown said Friday he believes the loss of life in Myanmar has been "far greater" than is being reported.

In a country where Buddhist monks are revered, the violence against them could stir even more outrage among the people of Myanmar. "Now, there is blood shed on the monastery," Htike said.

The Internet has also spawned other Myanmar pages. On the popular online community of Facebook, several Myanmar support pages were set up with links keeping a close eye on the latest developments. One letter floating around the Internet from a group calling itself the "Global Alliance of Burmese Students" called on people abroad to stage protests.

"We call on you to take action, to take the lead, and to show solidarity with our fellow countrymen back home," it said. "The streets of Yangon bleed red, and it will all be in vain if we do not act and mobilize for change."

Other people used technology as simple as the cell phone as a means to get the word out on what was happening.

"We didn't do any terrorism, but they sharp-shoot us," one woman said by phone inside Myanmar Thursday. "I just want to say we have no weapons and no rights."

She added, "Who can help us?"

The last time the nation saw such widespread protests was in 1988, when today's instantaneous means of communication did not exist. The government used brutal force to quash that democratic uprising, with few people seeing what happened.  View a timeline of events there »

Today's technology allows anyone with the means to capture what is happening. Despite the cutting of the Internet inside the country, people can still take pictures and videos with cell phones and send them to the outside world.

"They are ready to die for that," Vincent Brossels with Reporters Without Borders said on Thursday. "I spoke with a Burmese journalist this morning in Rangoon and he told me that now I don't care about anything. I'm ready to be in jail. I'm ready to die for that."

Benjamin Valk, a 25-year-old student from a university in Tokyo, Japan, sent CNN.com video of saffron-robed monks carrying out a peaceful protest earlier this week in Yangon, once known as Rangoon. The video shows thousands of monks and civilians walking together and chanting.

He said he felt compelled to share the video because people "should know what is happening in a country like Myanmar."

"In a world where democracy is considered the better or perhaps the best political system, there is huge global support for a people who dare to openly challenge a military dictatorship and call for democracy," Valk said. "I think it's good for the world to see."

Htike agrees, saying he's just trying to stop the killing in his homeland.

"If I can publish these kind of [photos] and this kind of news to the world, so maybe they may stop a little bit." E-mail to a friend

CNN's Phil Black contributed to this report.

@highlight

Internet connection in Myanmar has been cut off

@highlight

London-blogger vows to keep up the fight

@highlight

Woman on phone: "Who can help us?"

@highlight

Student sent video to CNN because people "should know what is happening"