(Mental Floss) -- When it comes to the following tourist destinations, the trick will be getting there before the wrecking ball does.

Limestone pinnacles do not make Nauru a pinnacle of success in the tourism business.

1. Nauru

This tiny island in the South Pacific may soon be completely uninhabitable, and it's all because the locals forgot to follow the Boy Scout motto: Be prepared.

Since the turn of the 20th century, Nauru has been one of the world's prime sources for phosphate, a mineral compound formed over time from bird excrement, and an important ingredient in fertilizer.

Phosphate mining quickly made Nauru rich, and at one point, the island even boasted the world's second-highest per capita GDP. But, as it turns out, basing your entire economy on dung can have its drawbacks.

For one thing, phosphate is a limited resource. By 2000, many believed the island's supply had dried up. In fact, all mining ceased until the government managed to hunt down the last few traces of the mineral in 2006.

But the phosphate will soon be gone, leaving Nauru without a profitable export and without decent, farmable land. That's because phosphate runs in veins throughout the limestone and coral foundation of the island. To collect it, miners have to rip up the ground, leaving pillars and pits of less-valuable land behind.

About four-fifths of the island is now ravaged to the point that no crops can grow and no one can inhabit it. Worse, the ruined landscape collects heat, which ends up creating a pattern of warm air that prevents rain clouds from forming.

Currently, Nauru imports almost all its food and water, and there don't seem to be any industries poised to replace mining once the phosphate is gone.

2. The Dead Sea

The Dead Sea is famous for being the lowest point on Earth (an ear-popping 1,400 feet below sea level) and for being so salty that humans naturally float on top of it.

But in recent years, it's also become famous for the tremendous rate at which it's evaporating. Currently, the Sea recedes about 3 feet each year, leaving ever-growing plains of salty, puckered, sinkhole-prone dirt in its wake.

To really understand the phenomenon, tourists need only visit the Ein Gedi Spa. When it opened 20 years ago, you could step out the back door and be within a few feet of the salty water. But today, the Sea has receded so much that the trek to its shore amounts to a 1-mile hike.

The Dead Sea's imminent demise is also due to its neighbors' need for water. For the past several decades, Israelis, Palestinians, and Jordanians have been siphoning off more and more of the River Jordan -- the Dead Sea's primary water source. Growing populations and increased agriculture now require so much hydration that the Jordan is barely a trickle of its former self.

Several solutions have been suggested, but the most promising is a canal that would funnel water from the Red Sea to the Middle East. The only problem is that the plan relies on Israel, Palestine, and Jordan engaging in long-term friendly relations -- something that may not happen in time to save the treasured landmark.

3. Mexico City

We've all felt that "sinking" feeling in the pit of our stomachs before, but imagine having it under the soles of your shoes -- all the time. That's part of life in Mexico City, which is built on the site of a former lake.

In fact, the city was originally built on the lake, via a series of Aztec-designed aquatic platforms. Nifty as that was, the Spanish conquerors who tore through the land in the 16th century preferred a more traditional approach to urbanization, so they drained the lake and built a European-style city in the empty basin. Almost immediately, this proved to be a poor idea. Foundations sank into the soft clay and left many buildings tilting at odd angles.

That alone might have made Mexico City just a little eccentric -- charming, even. But as its population ballooned during the 20th century, the government had to search for new sources of water. Officials ended up pumping much of the city's supply out of the underground aquifer that had once fed the lake, which amounted to yet another bad idea.

As the aquifer emptied, the soft clay above sank faster and deeper. In the past century, Mexico City has sunk more than 30 feet. Even worse, there's no clear, practical plan today for how to stop the droop and still provide water for the area's 22 million people.

We suggest you run for the border with a camera and click some pics while you still can.

4. Amish Country

Don't get us wrong; in 20 years, there will still be Amish people, and there will still be places known as "Amish Country." But, chances are, both will be very different from their traditional versions.

The Amish, who originally emigrated from Europe in the 18th century, are most closely associated with farming and a technology-free lifestyle. And while the community has valued its isolation since the 1970s, those cultural norms have been shifting.

The key culprit? The ever-skyrocketing price of land. Amish families typically have an average of seven children, which translates to a fast-growing population -- a population that's running out of room to expand. Because rural regions have become more popular with average Americans, many places that were farmland 20 years ago are now subdivisions, factories, and office complexes (not to mention a fair share of Amish Country tourist condos). Basically, the Amish need more land, but that land is now scarcer and more expensive.

So what's a separatist religious community to do? In many cases, the answer has been "become less separatist." Today, a majority of Amish don't rely on farming as their sole source of income. Many have side businesses, often connected with the tourism industry, and some Amish have even taken jobs in non-Amish owned factories, making the old life increasingly difficult to maintain.

5. Freetown Christiania

The area now known as Freetown Christiania was originally a military base meant to defend one of the main waterways into the Danish capital of Copenhagen. But in 1971, it was captured by an invasion force nobody in the Danish military expected -- hippies.

At the time, the base wasn't being used, so it was pretty easy for a gaggle of unarmed characters to take over. Beyond simply staging a short-term sit-in, the group hunkered down for the long haul and declared the abandoned base its own autonomous country.

With little resistance from Denmark's tolerant government, the residents of Christiania spent the next several years building a society where all property is collectively owned, all decisions are made by painstaking group consensus, and all marijuana is openly grown and sold.

Through the years, the hippies became entrepreneurs as well -- founding businesses, opening cafes and music venues, and even inventing and marketing a transport bicycle perfect for moving large loads through Christiania's car-free streets.

Despite its status as one of Copenhagen's top tourist attractions, Christiania's days may be numbered. Since 2004, the newly elected conservative government has been cracking down on the hippie enclave -- first by staging a major drug bust and, more recently, by instituting a redevelopment plan for the land (which is still, technically, federal property).

One major change tentatively approved by Christiania residents in April 2007 would turn the Citizen's Council into a regular public housing association and greatly increase rents. According to the Copenhagen Post, adult Christianians previously paid about $45 a month into a common fund to live there. Now, they'll have to pay the government closer to $800 a month. In addition, the plan gives the government the authority to tear down some hippie-built homes and replace them with (gasp!) condos. E-mail to a friend

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Some tourist destinations may not last forever

@highlight

Dead Sea is evaporating three feet per year

@highlight

Amish running out of farmable land

@highlight

Mexico City is slowing sinking