(CNN) -- David Frum's recent op-ed on CNN.com exemplifies why Americans are becoming deaf to the critics of pot legalization. Their hyperbolic claims about the dangers of pot -- along with the realistic ones -- are being dismissed by a justifiably cynical public. Anti-marijuana propaganda isn't stopping the march toward national legalization, but the opposition is losing its voice as it screams about the falling sky.

A majority of Americans favor full legalization, and they understand that recreational cannabis is not now and will never be legal for minors. They know better than to believe Frum's prediction that "half the states may soon allow the sale of marijuana to almost anybody determined to buy it" -- an assertion so broad as to imply that even children would be permitted to buy pot legally. This is simply not so.

Americans are also informed enough to realize that medical marijuana is not a "laughable fiction." This week, I saw a longstanding patient with a rare, ultimately fatal neurological disorder that causes chronic, painful muscle spasms. For years, this patient has smoked marijuana to counteract this terrible symptom, and it works.

With medicinal marijuana now legal in New Jersey, this patient is not convinced that she will be safe from federal prosecution if she goes through the state's one operational dispensary, so she continues to purchase illegal, untaxed and potentially adulterated cannabis. While she is technically a criminal, she is neither laughable nor fictional.

Those opposed to marijuana do raise important concerns that are often neglected in the movement toward legalization.

Cannabis is indeed associated with low motivation and poor performance in minors. It may have subtle but long-term negative effects on young users and worsen the condition of some individuals vulnerable to psychosis. Smoking marijuana may be harmful to users' lungs, although vaporizers have long been available as a safer alternative.

Cannabis is habit forming in a small percentage of users. Marijuana intoxication impairs driving, though the risk is similar to that of drivers with a blood alcohol level of 0.05%, which is well below the federally mandated legal limit of 0.08%.

So why can't the opposition discuss these problems realistically?

It's simple: Because the only rational conclusion is that the dangers of pot are not sufficient to warrant its prohibition. Yet those who have an ideological opposition to legalization appear immune to reason.

Interestingly, Frum is a moderate in the opposition camp, in that he favors reducing the penalties for marijuana use through decriminalization. But by maintaining pot's nominal illegality, decriminalization denies our government the power to regulate and tax cannabis while removing obstacles to its consumption.

Those who would limit the cannabis trade must make a choice between two Americas -- one that crushes the marijuana trade by any means necessary (as nothing less has worked) or one that regulates and taxes a "soft" drug that millions of consenting American adults already consume medicinally as well as recreationally.

Frum warns of the coming of "Big Marijuana," a term he quoted from legalization opponent Kevin Sabet. Frum and Sabet compare this hypothetical Leviathan to the alcohol and tobacco industries, both of which have been accused of marketing to minors and encouraging destructive consumption of their products by adults. I share this concern, which is why several of the 15 steps I proposed for the federal regulation of cannabis are designed to limit the power of the cannabis industry.

Frum predicts that Big Marijuana will target "young people and racial minorities" because "secure and contented people don't tend to be heavy consumers of psychoactive substances." Setting aside the odd assumptions about who are insecure and discontent, minors and minorities could both benefit from legalization.

It is our government, not Big Marijuana, that disproportionately targets racial minorities for prosecution of marijuana crimes, causing much more harm to those communities than cannabis itself ever could. And our prosecution of healthy adults for their relatively benign use of marijuana prevents the justice system from focusing on the diversion of pot to the young people we all want to protect.

But in reality, we already have "Big Marijuana" in the form of violent Mexican drug cartels and an underground economy in the 48 states where pot remains illegal.

We currently live in a nation that does not regulate the ubiquitous, thriving cannabis trade. I want to raise my children in an America that does.

The opinions expressed in this commentary are solely those of David Nathan.

@highlight

David Nathan: Most Americans favor full legalization of medical marijuana

@highlight

Nathan: While critics raise important concerns about pot, its dangers are exaggerated

@highlight

He says the arguments against pot are not sufficient to warrant its prohibition

@highlight

Nathan: I'd rather live in a nation where cannabis and its trade is regulated than not