(CNN) -- At the funeral of Venezuelan President Hugo Chávez, his good friend, Iranian President Mahmoud Ahmadinejad, was photographed embracing Chávez's bereaved mother, in a show of compassion and support.

Back home in Tehran, Ahmadinejad was immediately bashed by newspapers and by conservative politicians who cited a religious prohibition against touching a woman who is not your wife or a relative.

While theology is a factor, there may have been a deeper message to this backlash from Tehran: that it's no longer cool to be supporting Chávez, his family and political allies, and that this alliance, like others cultivated by Chávez, may be in jeopardy.

Chávez put great effort into his friendship with Iran and into a broader alliance with other states in Latin America, with both efforts motivated in part by opposition to the United States' international role.

Chávez's death is certainly changing the political calculus in Venezuela, but will it also result in a broader shift that could realign much of Latin America and affect attitudes toward, and relationships with, the United States?

The answer is likely "yes."

First, the grouping of nations previously opposing the United States under Chávez's leftist alliance -- namely the "Alba" alliance, comprised of Venezuela, Cuba, Ecuador, Nicaragua, and Bolivia -- could well wither away, due to Venezuela's ongoing recession and fears that alliance members will no longer have Venezuela's financial backing. When combined with reports of Chávez's expressed desire to strengthen ties with the Obama administration, regional hostility towards the United States may decline.

Since assuming office in 1999, Chávez viewed Washington as an oppressive force manipulating Latin American politics while keeping the region underdeveloped through its dependence on U.S. resources. In response, Chávez approached like-minded leaders to build a coalition challenging the regional influence of the United States.

By 2005, Bolivia, Nicaragua, Cuba, Honduras and Ecuador joined Chávez's coalition, which led to the formation of the Bolivian Alliance of the Americas, also known as Alba. Alba served as an alternative to the Free Trade Act of the Americas, with an explicit focus on poverty reduction, but it also facilitated the unification of these nations in their anti-American sentiments .

With Chávez gone, however, there may be no one left who has the clout to keep financing this alliance. Venezuela is Alba's largest financier, contributing millions in aid to its members as well as oil at low prices. But Venezuelans may believe that with ongoing poverty and inequality, their country's needs are more important than those of Chávez's small club of nations.

This situation worries Alba members. According to Cynthia Arnson of the Woodrow Wilson International Center for Scholars, while Bolivia and Ecuador are independently wealthy and not financially dependent on Venezuela, Cuba and Nicaragua are.

Cuba receives roughly 100,000 barrels of Venezuelan oil a day, while Venezuela accounted for $8.3 billion of Cuba's $20 billion in foreign trade in 2011. Chávez also paid approximately $6 billion annually for 40,000 Cuban doctors and nurses, according to Reuters.

Cuban citizens fear that Chávez's death will push them back to the days of the post-Cold War recession, when Russia gradually withdrew its funding for Cuba. Meanwhile, Nicaragua has received approximately $500 million a year in loans and oil credits, increasing to $609 million in 2011, while earnings from agricultural exports to Venezuela increased from $2 million in 2006 to $300 million in 2011.

But alliance members also realize that they have options. Nicaragua's economic minister, Bayardo Arce, recently stated that it's time to diversify Nicaragua's economic relations with China, Europe and the United States, mainly because Nicaragua has "to anticipate that Alba is not going to be permanent." Cuba may also seek to strengthen its relations with Brazil, its second-largest trade partner in the region. In fact, both governments already have plans to engage in several trade and infrastructure projects and are ramping up trade, mainly in sugar exports.

Ecuador and Nicaragua are working more closely with Brazil in helping to construct hydroelectric energy plants and chemical industries, respectively. In addition to strong economic growth rates, Brazilian President Dilma Rouseff's policy commitments to the poor and enhanced control over key economic sectors, such as oil, may provide a more appealing leftist model.

In recent years, Chávez was also interested in improving relations with the United States. He saw President Obama's re-election victory as an opportunity to strengthen diplomatic ties. Chávez once commented: "I wish we could begin a new period of normal relations." Chávez was so committed to this endeavor that even from his hospital in Cuba, he authorized his second in command, Vice President Nicolas Maduro, to start negotiating with the U.S. State Department.

While it may seem that Maduro may have a difficult time working with the United States, considering his accusations that the United States has historically plotted against Venezuela and the recent removal of U.S. diplomats from Caracas, it appears that this was mainly done to gain the trust of Chávez political supporters in order to secure Maduro's position as the next president.

U.S. diplomatic officials view Maduro as a pragmatist and the fact that he was supportive of initiating closer ties with the United States last year suggests that this could continue, especially in light of Venezuela's economic troubles and the need to increase revenues through trade.

Chávez's passing should motivate the United States to seek a new partnership with Venezuela. First, Secretary of State John Kerry should reopen the U.S. embassy in Caracas, which has been closed since 2010, while assigning diplomats who are committed to engaging in peaceful dialogue and political and economic cooperation.

Second, Kerry should take this opportunity to strengthen cooperation over issues that can provide mutual benefits in the areas of national security and the economy, such as counternarcotics, counterterrorism, as well as sustaining oil trade: the United States currently imports just under 1 million barrels a day from Venezuela.

But the United States should also see this situation as an opportunity to strengthen its ties with other nations, such as Cuba. With the likely decline in economic assistance to Cuba from Venezuela, Cuban President Raul Castro may consider stepping up negotiations with the Obama administration over the U.S. embargo, human rights and the release of American prisoners, such as Alan Gross.

Chávez is gone, but the United States' commitment to peaceful democratic relations persists. Going forward, the United States should explore ways of strengthening its ties with Venezuela and other Latin American nations.

But this is not a one-way street: Maduro in Venezuela will also need to find ways to strengthen his government's ties with the United States, which may be a balancing act if he wants to sustain his government's good relations with Iran, particularly after Ahmadinejad leaves office.

The opinions expressed in this commentary are solely those of Eduardo J. Gómez

@highlight

Eduardo J. Gómez: Ahmadinejad criticized back home for hugging Chávez's mother

@highlight

He says support in Iran may be waning for alliance with Venezuela

@highlight

Chavez bankrolled anti-U.S. alliance, but new leaders may not want to, he says

@highlight

Gómez: Nations in Latin America may see benefits of improved relations with U.S.