(CNN) -- A statue resembling the goddess Athena and jewelry bearing images from Greco-Roman mythology may not be objects you'd expect to see in a museum exhibit of Buddhist art from Pakistan.

Their presence among carvings of Buddha and Indian deities is meant to serve as a reminder of Pakistan's oft-forgotten multicultural roots, which form the basis of a new exhibit, "The Buddhist Heritage of Pakistan: Art of Gandhara."

The show, which runs until October 30 at New York's Asia Society, is the first to bring works of Gandharan art to the United States since 1960. The pieces, on loan from museums in Karachi and Lahore, highlight Pakistan's history as a crossroads of cultural influences, despite present-day associations of the country as an incubator of religious extremism, museum director Melissa Chiu said.

"When we think of Pakistan, Americans might associate it with the place where Osama bin Laden was captured, with terrorism and natural disasters," she said. "But actually, it has a much longer history that dates back to an ancient culture that gives us a sense of a pluralistic tradition that was all about tolerance."

At its height, Gandhara encompassed present-day Peshawar in northwest Pakistan and parts of eastern Afghanistan, the Hindu Kush, and northwest India, making it a major center of trade, commerce and the development of arts and education. Pakistan may be 95% Muslim today, but Buddhism flourished in Gandhara between the 2nd century B.C. and 10th century A.D., giving rise to a distinct style of Buddhist visual art.

The statue of Athena and a gold carving of Aphrodite in the exhibit demonstrate the early influence of Greco-Roman culture in the region, which began with its conquest by Alexander the Great. Themes from classical Roman art persisted in Gandharan art even as Buddhism began to flourish in the first century A.D., fostered by Silk Road trade and cross-cultural connections from the Mediterranean to China.

Depictions of the Buddha and the concept of bodhisattvas, or "enlightened beings," became the main icons of Gandharan art. A section of the exhibition, "Buddhas and Bodhisattvas," explores the diverse visual imagery of Buddha and bodhisattvas in Gandhara and how it relates to the multifaceted nature of Buddhism in the region.

A carving of a standing Bodhisattva bears drapery and folds reminiscent of what you might find in classical art; another flaunts a chiseled torso reminiscent of, well, a Greek god, Chiu said.

"A number of sculptures show us the narrative of the life of Buddha, where we see Buddha represented as person, in symbols, footprint, but it's his representation in human form that went on to influence art that went to China, Japan, Korea, other parts of Asia," she said.

Getting the pieces to the United States is a tale of bureaucracy in true form two years in the making, but the initiative never suffered from a lack of desire, Chiu said.

As an international team begins rebuilding two massive Buddha statues in Afghanistan destroyed by the Taliban in 2001, the exhibit also demonstrates Pakistan's dedication to preserving its multicultural heritage, Pakistan's representative to the United Nations said.

With Buddha at its thematic core, the exhibit also highlights lessons of tolerance and humanity of enduring relevance, especially in a time when relations between the U.S. and Pakistan are not at their best, UN Amabassador Abdullah Hussain Haroon said.

"Buddha represents a human being whose ethereal qualities were so magnified by his enormous wisdom that his values of himself, which were espoused by Gandhi and so many others, became his contributions to mankind," said Haroon, who was instrumental in helping secure the works on loan from the National Museum in Karachi and the Lahore Museum in Lahore.

"This was one of the great periods of the world of fundamental equity, of human rights and so many other important principles, which are important to Pakistan and the United States today," he said.

"We're constantly going to strive for a better understanding of each other and a better relationship, and despite what's happening between the U.S. and Pakistan, there are very strong grounds for us to coexist in peaceful fashion."

@highlight

"The Buddhist Heritage of Pakistan: Art of Gandhara" opens at Asia Society in N.Y.

@highlight

Statues of Greco-Roman idols featuerd alongside images of Buddha, Indian deities

@highlight

Pieces took more than two years to secure on loan from museums in Karachi and Lahore

@highlight

Exhibit shows Pakistan's dedication to preserving multicultural heritage, UN ambassador says