(CNN) -- Over the past two years the United Kingdom's press freedom ranking has declined.

In the 2011/2012 Reporters Sans Frontieres (RSF) index, the UK ranked 28th out of 179 countries, and in the 2013 index the country went down a point ranking at 29 out of 179 countries.

The UK prides itself on being a country with a long heritage of upholding the rights of individuals accompanied by a free and strong press. The UK government is a P5 member of the U.N. Security Council, a leading country in the G8, European Union, and the Commonwealth, and uses its influence to advocate for human rights to be respected globally.

Two years ago, the News of the World phone hacking scandal shook the institutional confidence of the UK media to its core. The UK's innate belief of the right to a free and strong press betrayed the innate respect of the same national belief -- the rights of individuals. The conclusions found in the Lord Judge Leveson inquiry cemented this scandal as not only unprecedented but raised the question, for the first time ever, if legislation was needed to regulate the UK press?

Greenwald: Lawsuit filed in UK over Miranda's detention

Much debate led to the draft Royal Charter for UK Press Self-Regulation. The draft document outlines how the UK should devise a self-regulatory body within its longstanding history of media freedom. The UK is now faced with yet another situation that has shocked the international community and shaken the country's press freedom identity for a second time -- the detention of David Miranda (assisting his partner, Guardian journalist Glenn Greenwald). The Greenwald/ Miranda case, however, flies in the face of the argument of UK press self-regulation and raises great concern over terrorism laws, investigative journalism and the protection of journalists' sources.

The question remains, however, does the UK's press freedom ranking reflect the debate now ensuing the country on UK press regulation and now the protection of journalists sources, or is there more to the methodology of the UK ranking than meets the eye? In other words, can the UK improve its ranking?

The research is based on a two tiered system: In-house research and a questionnaire sent to press freedom experts and journalists.

RSF's research for the UK's 2013 ranking focused on areas of concern such as, the [then] libel laws (which had been reformed after the publication of the 2013 index), the draft Communications Data Bill, which had been rejected but is now under reconsideration and, lastly, elements of the UK anti-terror laws.

UK based NGO Article 19 published a report which outlines the three problematic "themes" found in UK anti-terror laws: "The broad definition of terrorism, the use of anti-terror laws to stifle legitimate social and political protest and the new prohibitions on the encouragement, other inducement or glorification of terrorism."

RSF has found that a significant factor in index ranking methodology is that index rankings should not be taken as an indication of the quality of the media in the countries concerned. Such a concept brings the discussion to the heart of the matter within the UK. How can the UK, with the established fundamental freedoms of a democratic society, government, parliament, judiciary and media not rank in the top echelon of press freedom indexes? When examining countries that score within the top echelon in the RSF and Freedom House press freedom indexes, a number of the countries do have press self-regulatory bodies underpinned by statute.

Miranda 'afraid' during questioning

Media regulation within historically and fundamentally democratic nations does not necessarily equate to a lack of press freedom in countries which rank in the top echelon on press freedom indexes and have self-regulatory bodies underpinned by statutes. Self-regulatory press systems, however, might not be applied as successfully in countries that do not have deeply rooted democratic traditions and systems in place, and do not meet all international standards of human rights.

The issue is wider and more complex than the notion of one glove fits all. Is such a system right for the UK with a deeply rooted tradition of good governance and democratic values compared to other like-minded western countries that have press self-regulatory bodies, underpinned by statute, and rank higher than the UK in press freedom indexes?

Professor Robert Picard, director of research at the Reuters Institute for the Study of Journalism at Oxford University states: "Indexes are not a perfect science; many smaller Western countries are more open and transparent [Iceland and Sweden, for example] as opposed to larger Western countries, particularly those larger Western countries that lead in international intervention.

Western countries that lead in international intervention will not be as transparent with official documents and operations, as Western countries which do not lead on international intervention, due to security reasons and because of confidential relationships with foreign governments. For example, in Iceland, almost all official and political documents can be viewed by the public on or off line -- even the Iceland president's telephone number can be found in the phone book."

Professor Picard concluded: "With this in mind, countries like the UK will most likely never be number one in press freedom rankings, unless the county's entire political, economic and international stance changes drastically, making the UK a country that does not lead on international intervention."

Some research has found that a country having a press self-regulatory body underpinned by statute does not always mean that the quality of the media within the country suffers, if the country has strong standing democratic traditions of good governance, independent judiciary, and upholds international standards for all human rights.

In the wake of the Greenwald/ Miranda case, the UK must examine that the legal frameworks in place to protect its citizens from terrorism, has intelligent checks and balances that allow for the free flow of investigative journalism and information that is published for the same national interest.

Upon publication of the Leveson report, RSF pointed out, however, that non-regulation, especially for a country that sets the precedent with longstanding respect and tradition of press freedom, is always the most advantageous, and in some circumstances, the best choice.

As pointed out in Lara Fielden's report, "Regulating for Trust in Journalism," James Harding, editor of The Times observed: "The phone-hacking scandal has put investigative journalism in the dock, and it was [UK] investigative journalism that put it there."

In regards to the Greenwald/Miranda case -- if you silence the media, you silence informed citizenry; without informed citizens freedom of information, freedom of any kind, can be greatly compromised.

Read more: UK police defend detention

Read more: White House knew Miranda would be detained

The opinions expressed in this commentary are solely those of Heather Blake.

@highlight

David Miranda, partner of journalist Glenn Greenwald, was detained at Heathrow

@highlight

Greenwald broke news of secret NSA surveillance programs in the Guardian

@highlight

UK prides itself on upholding rights of individuals and free press, writes Blake

@highlight

If you silence the media, you silence informed citizenry, she says