Berlin (CNN)The horrific twin attacks in Paris last week have sent shockwaves throughout Europe. Political leaders from across the EU joined millions of French mourners on Sunday, and Europeans-at-large continue to pay tribute with public vigils, flowers and candles, and minutes of silence.

Yet this outpouring of solidarity must not obscure another response across the continent. Leaders of Europe's far-right have been quick to blame Islam and immigration, mosques have been defaced in France and elsewhere, and a xenophobic movement called "Patriotic Europeans against the Islamization of the Occident" brought tens of thousands to the streets of Germany this week. This extreme strand of European publics and politics will likely receive a boost from the French tragedy.

Anti-immigration and anti-Islamic sentiments have been on a steady rise in Europe for years. While a majority of Europeans appreciates mobility and migration within the European Union, they are largely negative about immigration from outside of the EU, according to the latest Eurobarometer survey.

This opposition is particularly pronounced towards Muslim immigrants. Half and more of all Europeans view Islam as incompatible with the Western world, while Islam is seen as an outright threat by between one-third of all Brits and almost two-thirds of all Spaniards, according to a recent Bertelsmann study.

Holders of such views will surely see the Paris attacks as confirmation; many others may now question their hitherto more moderate opinions.

It is these sentiments, along with fears over economic prospects, aversion to the political establishment and doubts in the European project, that populist and typically far-right parties have successfully tapped in recent years.

Virtually every EU country has seen the rise of such a political force, and their combined representation in the European Parliament has shot up to 20% in last year's elections.

For these parties, the Paris attacks truly are a "told-you-so" moment.

Nigel Farage of the United Kingdom Independence Party blamed "a fifth column within our countries," while Geert Wilders of the Freedom Party in the Netherlands claimed that it was time to "de-Islamize our country." Marine Le Pen of the French Front National urged that "time's up for denial and hypocrisy," and Alexander Gauland of the Alternative for Germany saw all those proven wrong who had ignored the Islamist threat. Sadly, these slogans are more likely than ever before now to resonate with European publics.

This combination of a considerable portion of Europeans that are skeptical of, if not outright hostile to, Muslims and migrants, and the ever more aggressive rhetoric of the populist far-right puts a massive pressure on Europe's politics and societies alike.

First and foremost, Europe's Muslim communities are likely to suffer. Although in their overwhelming majority, they are integrated and identify with Europe, blanket suspicion against Islam, resentments in day-to-day life, and assaults on their community are bound to increase and deepen fear and alienation among Muslims. This will feed segregation among Muslim and non-Muslim communities, and provide a fertile ground for the radicalization of some young Muslims. In short, European Muslims are at risk of being driven away from mainstream European societies.

Secondly, the political climate and culture in Europe will change. Under attack from extremists, whether in parliament or in the streets, mainstream political parties will be tempted to move away from their typically centered, whether somewhat to the left or right, positions. Politics will move to tighten immigration laws, select highly-skilled migrants over refugees from war zones, push for their greater assimilation, and install additional security measures. As a result, further liberties of European citizens are likely to be sacrificed as political establishments try to preempt a further growth of extremist parties. This is a slippery slope, as radicals will quickly produce the next phobia that they demand to be addressed.

Thirdly, this changing climate and politics will also impact on migration and migrants broadly, beyond Muslims. Already there have been fierce debates to limit intra-European migration, whether hurdles to Central and Eastern Europeans after their countries joined the European Union, or restrictions on social benefits EU citizens can draw across borders. Much as these debates  are already taking their toll on some of Europe's poorest, such as the Roma, future approaches to immigration to the EU will likely exclude some of the world's most underprivileged, such as asylum-seekers. Fortress Europe will become even more of a reality.

Europe can still stem this dangerous trend. Millions of French people, of all origins and faiths, have given a powerful example of unity, openness and inclusiveness last week, as have tens of thousands of pro-tolerance and pro-immigration marchers in Germany this week. It is now also on Europe's political class to resolutely refute the many "told-you-so's" on the continent.

READ: Attack will empower Europe's far right

@highlight

Leaders of Europe's far-right have been quick to blame Islam and immigration for the Paris attacks

@highlight

Europe's Muslim communities set to suffer, Joerg Forbrig says, as politicians question hitherto moderate opinions

@highlight

Radicals will quickly produce the next phobia that they demand to be addressed, Forbrig writes