Hong Kong (CNN) -- When you walk into a store, you may not realize that there's literally something in the air that's already trying to convince you to buy something.

The invisible force is something called scent marketing, a concept used in Europe and the U.S. but is still fairly new to Asia. The idea is to infuse a certain smell in a retail shop that makes a customer linger and more inclined to make a purchase.

Oriental Watch Co. is a large luxury watch retailer which has stores across Asia. The store hired a Hong Kong-based scent strategy company, Skywork Design Ltd., to create a store scent that captured the essence of the company. The lab created a special green tea smell for the store. Daniel Fong, creator of Skywork Design Ltd., felt that green tea mirrors the Chinese identity of Oriental Watch Co.

"When you see a watch, it's easy to forget it. But when you smell something, it's forever," Fong says. "The smell goes directly to the emotional part of our brain."

For the past four months, Oriental Watch has used the green tea scent in all 12 of its Hong Kong stores. Salesman Ken To can't say definitively if the scent has led to a direct increase in sales but he is certain the scent relaxes customers. "We see customers are willing to stay longer at our store, especially in the area close to the machine (scent diffuser). We can have more conversations with them and hopefully, we can make a sale," says To. "Our staff like it too. We have a stressful job because we're dealing with $,1000 to $1,000,000 watches. So the scent helps lower the tension for the frontline staff."

After 20 years in the advertising business, Fong started Skywork Design last year to fill a niche he noticed was lacking in Hong Kong and China. He used his existing network of advertising clients and word of mouth to kick off his business. Today, his biggest clients are teen fashion store 2%, Oriental Watch Co., Peninsula Arcade and Hang Lung Properties. Fong says his young company became profitable four months after launching.

There are companies that create scents for hotels and casinos. Fong says their goal is to create a pleasant experience for guests. His company has a different target and approach. "My strategy is not to focus on hotels because there are a lot of competitors focusing on hotels and property management. Our strategy is targeting the marketing people, to increase the sales and the branding of a company....mainly in retail stores."

2% is a Hong Kong-based teen clothing store. When you walk into the store, you will immediately breathe in a bubble-gum scent -- which Fong describes as "juicy, girlish, sweet" -- that circulates through a diffuser in the shop. He recently lingered outside a 2% store to watch customers. He saw a teenage girl near the store entrance and overheard her saying, "Oh, that smell is 2%." He took that comment as a successful sign in brand building. The clothing chain first hired him to work on two stores, sales increased and he now supplies the scent to all 35 stores in Hong Kong. Negotiations with 2% are underway to supply 100 of their stores in mainland China.

Samsung recently put on several road shows to promote its new Galaxy S3 smartphone. Samsung says this new Android phone is "inspired by nature -- it sees, listens, responds."

Its marketing agent asked Fong to create a special fragrance for several four-day road shows in Asia, a fragrance that embodied the image of nature.

"We were inspired by the new functions (of the phone) that related to natural behavior," Fong said. For example, the phone uses its frontal camera to follow the user's facial movements and the phone only goes into sleep mode when it knows the user is not looking at it. Because of contractual confidentiality, he couldn't tell me what fragrances he used for the Samsung scent but he did open the bespoke bottle and let me take a whiff. To me, it smelled like a cologne with a little metallic twist -- not so much "nature," but more "metal, gadget, male."

As Fong's creations are making cash for his young company, an international bank has asked Fong to create the ''scent of money'' for its offices in Hong Kong. He's playing with the idea of blending the bergamot, moss-like scent of chypre flowers with metal. "But I'm still thinking about that one," he says.

@highlight

Businesses use scents to try to draw and keep customers in stores

@highlight

Scent marketing began in the U.S. and Europe but is now growing in Asia

@highlight

Samsung used aroma to promote its new Galaxy SC smartphone

@highlight

Scent marketer: "Smell goes directly to the emotional part of our brain"