(CNN) -- Not long ago, attending international oil and gas conferences, East Africa was the graveyard session. All the smart money was on the Gulf of Guinea and I and a few other analysts would sit through almost empty sessions more out of courtesy than curiosity.

No longer, East Africa is the new oil and gas frontier, and the meetings are packed. Three statements released in March by international oil and gas companies prospecting in Eastern Africa demonstrate this - a fourth impressive gas find in Tanzania by BG Group and London-listed Ophir Energy saw their shares soar.

Italian energy company ENI also announced new gas reserves in Mozambique, and Anglo-Irish Tullow Oil, announced an oil discovery in Kenya, that "is beyond our expectations and bodes well for the material programme ahead of us." How times have changed.

Kenya's President Mwai Kibaki, couldn't contain his excitement on 26 March and interrupted a scheduled speech to announce the find by Tullow in the country's north-western Turkana region. You could feel his relief as he called it a "major breakthrough".

Ever since independence Kenyans officials have been wondering why their geology has been less generous than others, and in recent years the pressure has been on, gold, Tanzanite and now significant gas finds in Tanzania and oil in Uganda.

Read more: Oil discovered in Kenya

Kenya has a strong agribusiness base, exporting tea, coffee, flowers and vegetables. It also enjoys a major tourism industry and Nairobi is a regional hub, providing financial and other services and is a continent leader on telephone banking. If significant oil reserves are found, this could be transformative for its economy.

It will also embolden Kenya, that has ambitions to become a leading regional power, but as a columnist in Kenya's Business Daily wrote, 'Kenya's economic and diplomatic clout had largely suffered from a lack of known natural resources that are of strategic importance to the rest of the world'.

Kenya's politicians will need to keep a close eye on this, as regional co-operation within the East African Community rather than head-on competition makes better economic sense.

Kenya has already been positioning itself to develop regional oil facilities for exports of oil from Uganda and South Sudan. Work started in March on building a huge deep-water port in Lamu, to service a pipeline across northern Kenya to connect to the port.

The West sees Kenya as a regional anchor state although its reputation as a stable democracy, took a knocking with the surge of violence that followed the presidential elections in 2008. New presidential elections are scheduled late 2012 or 2013, and oil will additionally raise anticipation of the spoils of billions of future oil dollars for the victorious.

The stakes in these elections have just risen, and the resilience of Kenya's institutions to ensure a fair election, but also its politicians to gracefully accept defeat is critical. President Kibaki, himself will not be running and has a golden opportunity to secure his legacy by working tirelessly to ensure credible and peaceful elections take place.

See also: Ghana's oil discovery: blessing or curse?

The greatest worry about oil finds in Kenya is that oil money might further blight an already corrupted political class that many Kenyans complain about. Kenya has a poor reputation for corruption, especially by its political class. A former anti-corruption tsar, John Gitongo fled the country in 2005, fearing for his life and lived in exile in Britain.

He returned to Kenya in 2008 and has set up Kenya Ni Yetu (Kenya is Ours), a campaign aimed at mobilizing ordinary people to speak up against corruption, impunity and injustice.

If Kenya is to effectively benefit from oil, and avoid the resource curse that many other oil producers have experienced it needs to learn from the mistakes of others.

The lessons are clear, strengthen independent institutions and oversight; publish all the taxes and royalties from oil; do not rush into prestige projects and extravagant consumption and don't neglect creating meaningful employment for Kenyans. Kenyans need jobs, but the oil industry itself never employs many.

The key is to use any oil funds, to build up a competitive economy - Kenya's luck is that it already has a successful base from which to build from.

The opinions expressed in this commentary are solely those of Alex Vines

@highlight

Alex Vines, an expert on Africa says East Africa is becoming the new oil and gas frontier

@highlight

The author suggests the discovery of oil in Kenya adds complexity to the upcoming presidential election

@highlight

He says many worry that the oil money may further blight an already corrupted political class in Kenya

@highlight

Using oil funds to build up a competitive economy is the key to avoid a resource curse, concludes Vines