Hundreds of voters voted Tuesday in Sanaa's old town section to replace Yemen's longtime ruler, Ali Abdullah Saleh, in an election marred by sporadic violence.

While the election was short on candidates -- the only person on the ballot was Vice President Abdurabu Mansur Hadi, who became acting president in November as the result of a power transfer brokered by the Gulf Cooperation Council after months of protests -- it appeared to be long on hope.

"It's the first time people in Yemen are electing somebody on their own, without being influenced by political parties," said Mohammed al-Rowdy, a voter who works with the Interior Ministry. "This is a people's election. That's why we are optimistic things will get better."

In a statement, U.S. Secretary of State Hillary Clinton congratulated the people of Yemen "on today's successful presidential election," calling it "another important step forward in their democratic transition process."

But she said that more work remains. "As part of the GCC Initiative, Yemenis will convene a National Dialogue Conference to address critical issues of national unity and the fundamental structure of Yemeni government and society, while taking steps to address urgent economic, social, and humanitarian challenges," she said. "The United States, along with its partners in the international community, will continue to support Yemen as it works to implement these reforms and confront these challenges so that all Yemenis will have the opportunity to realize their potential."

Officials in Sanaa described a successful effort Tuesday, but conditions in the southern port city of Aden were different.  Four people were killed in clashes between gunmen and security forces, two senior security officials in the city said.

Another 14 people were injured and were treated at a hospital, security officials said.

In the port city of Mukalla, southwest of Sanaa on the Gulf of Aden, a soldier was killed Tuesday and four were wounded when polling centers were stormed, Yemen's official news network SABA reported, citing an official source.

"Gunmen have ambushed the soldiers, as they were removing stones from a street in Ghuaizi area in Mukalla," the agency reported.

"Outlaws" were blamed for breaking into polling centers in two districts of Hadramout, the source said.

And a sniper killed a member of the security forces at a polling station, said members of the Supreme Commission for Elections and Referendum.

But there were no signs of such problems in Sanaa's At Altabari school -- one of the oldest in the capital. Voters left with ink on their fingers and thumbs, proof of their participation in a historic election that signifies the formal end of Saleh's 33-year reign.

"I was particularly very impressed in seeing the women turning out," said Michele Cervone d'Urso, European Union ambassador to Yemen, who was observing the polling station. "The women are the key for this county, for sedating this country," he said in reference to the need to calm conditions there. "They have to be recognized as a key part of society."

Security around Sanaa and elsewhere was tight Tuesday.

Around the capital, posters of Hadi have replaced posters of Saleh. "A New President for a New Yemen," read a banner hanging from Change Square, which was the epicenter of the anti-government  movement last year.

Some who took part in the protests said they were not  particularly excited about Tuesday's vote.

"Maybe you can call them elections," Nadia Abdullah said. "But for me, elections should have more than one candidate."

Still, Abdullah said she would stand by Hadi as long as he made good on his promises.

"If he goes through with it, we will stand hand in hand with him," she said. "If he doesn't, or if we see a lot of game-playing between him and the government, I believe the youth will remain in the squares. They would say, 'Leave,' as they did to Ali Abdullah Saleh."

Abullah al-Saidi, 27, an accountant volunteering as an election observer, told CNN he voted against Hadi by putting an "X" next to the name instead of a check. He said he believes many people do not realize they have the option of voting against the vice president.

"He is old school -- I don't believe he will change a lot," al-Saidi said of Hadi.

D'Urso said the elections are not "simply for vice president Hadi. These are the elections for process, a different Yemen. And you can see Yemenis want to move to a different type of society, one of co-existence and tolerance. It's not going to be easy. I think transition in this country will probably take a generation, but I think we are moving forward, and we have kicked off in the right way today, at least here in Sanaa."

Human Rights Watch called on Hadi to make changes without delay.

"Yemen's potentially historic transition will be off to shaky start unless Hadi makes an immediate break with the abuses of the past," said Letta Tayler, HRW's Yemen researcher. "Yemen's new leader needs to move decisively to usher in promised reforms that uphold human rights and the rule of law."

The 65-year-old Hadi is a British-, Egyptian- and Soviet-trained army officer, recently promoted to field marshal. He has been vice president since 1994 and is running for a two-year term as president on pledges of improving security and creating jobs.

But he's never had much of a power base, and Yemen's problems are expected to take longer to fix than the two-year mandate he's expected to receive. Yemen is the poorest country in the Middle East, with a severe shortage of water and rising levels of malnutrition among its population of about 25 million.

Even before last year's upheaval, Saleh faced a separatist movement in the south, sectarian tensions in its north and the growing presence of what Western officials describe as al Qaeda's most dangerous affiliate, al Qaeda in the Arabian Peninsula.

For some, particularly in the once-independent south, Hadi is too closely tied to Saleh's rule to represent any change.

"Why do people expect southerners to celebrate that Saleh is gone?" asked Mohammed Mosed Okla, a separatist leader in Aden. "His regime is still in control, and his family still controls all the major security factions in the country. We will not be tricked again, and southerners will not celebrate until complete change takes place in south Yemen."

Hussein al-Aqil, a professor at Aden University and another separatist leader, said Hadi simply watched as Saleh "oppressed us for more than two decades."

"I was imprisoned for three years because I expressed my opinion and rejected the corruption that Ali Saleh stood behind," al-Aqil said. "The old regime tortured me and made me suffer for years. Hadi is part of the old regime and will not be recognized as a southern leader."

Ahead of the vote, officials had set up at least 10 checkpoints in Aden. But late Monday, hours before polls opened, explosions rocked four neighborhoods. Security officials said no one was hurt.

Saleh handed power to Hadi as part of a deal brokered by Persian Gulf states and will formally relinquish his office after the vote. Saleh is in the United States for medical treatment for wounds suffered in a June assassination attempt at his presidential palace during battles between government troops and tribal fighters.

The United States has been backing Yemeni efforts against al Qaeda and has periodically struck targets inside Yemen, as occurred in September, when a drone strike killed American-born cleric Anwar al-Awlaki.

Gerald Feierstein, U.S. ambassador to Yemen, said the transition laid out in the Gulf plan as well as efforts to boost the economy and deliver basic services will be critical "in terms of our ability to defeat al Qaeda and other violent extremist organizations in the country."

@highlight

Violence reported in several areas

@highlight

Human Rights Watch urges sole candidate on ballot to make changes immediately

@highlight

European observers said early turnout was healthier than expected

@highlight

Longtime leader Ali Abdullah Saleh stepped down after 33 years