(CNN) -- Thomas Hagan, the only man who admitted his role in the 1965 assassination of iconic black leader Malcolm X, was paroled Tuesday.

Hagan was freed a day earlier than planned because his paperwork was processed more quickly than anticipated, according to the New York State Department of Correctional Services.

Hagan, 69, walked out of the minimum-security Lincoln Correctional Facility at 11 a.m. The facility is located at the intersection of West 110th Street and Malcolm X Boulevard.

Hagan had been in a full-time work-release program since March 1992 that allowed him to live at home with his family in Brooklyn five days a week while reporting to the prison just two days.

Last month, Hagan pleaded his case for freedom: To return to his family, to become a substance abuse counselor and to make his mark on what time he has left in this world.

He was dressed in prison greens as he addressed the parole board. He had been before that body 14 other times since 1984. Each time, he was rejected.

Hagan was no ordinary prisoner. He is the only man to have confessed in the killing of Malcolm X, who was gunned down while giving a speech in New York's Audubon Ballroom in 1965.

"I have deep regrets about my participation in that," he told the parole board on March 3, according to a transcript. "I don't think it should ever have happened."

Hagan had been sentenced to 20 years to life imprisonment after being found guilty at trial with two others in 1966. The other two men were released in the 1980s and have long denied involvement in the killing.

To win his release, Hagan was required to seek, obtain and maintain a job, support his children and abide by a curfew. He must continue to meet those conditions while free. He told the parole board he's worked the same job for the past seven years. He told the New York Post in 2008 he was working at a fast-food restaurant.

A parole officer checked on him while outside prison, and he had to undergo random drug tests.

CNN was unable to reach Hagan for a comment about his release. The Nation of Islam declined comment for this story.

Malcolm X is best known as the fiery leader of the Nation of Islam who denounced whites as "blue-eyed devils." But at the end of his life, Malcolm X changed his views toward whites and discarded the Nation of Islam's ideology in favor of orthodox Islam. In doing so, he feared for his own life from within the Nation.

Malcolm X remains a symbol of inspiration for black men, in particular, who are moved by his transformation from a street hustler to a man the late African-American actor Ossie Davis eulogized as "our own black shining prince."

The ballroom where he was killed has now been converted into The Malcolm X & Dr. Betty Shabazz Memorial and Educational Center. Board Chairman Zead Ramadan said the center doesn't have a position on Hagan's release.

"I personally find it strange that for a couple decades any person convicted in the assassination of such an iconic figure would be allowed such leniency," Ramadan said.

There's outrage among some African-Americans, he said, that he's being released. Would he be set free if he had killed an iconic white leader?

"It's really a struggle for Muslims to contemplate this issue, because our faith and our religion is full of examples where we have to exert mercy," he added. "The Malcolm X story has not ended. His populuarity has grown in death. ... Only God knows why this was allowed to happen."

The center is preparing for a special service next month to celebrate what would have been Malcolm X's 85th birthday. Would the center welcome Hagan if he asked to attend?

"We'd cross that bridge if he called us," Ramadan said, "Think about that: How far-fetched is it that he could meet one of the daughters of Malcolm X? And what's going to happen then? Mercy, fury, anger, emotions -- who knows?"

Killed in front of his family

On February 21, 1965, Malcolm X took to the stage of the Audubon Ballroom, a site often used for civic meetings. His wife, Betty Shabazz, and four children were in the crowd.

"I heard several shots in succession," his wife later told a Manhattan grand jury. "I got on the floor, and I pushed my children under the seat and protected them with my body."

Gunshots continued to ring out, she said. Her husband's body was riddled with bullets. The native of Omaha, Nebraska, was 39.

"Minister Malcolm was slaughtered like a dog in front of his family," A. Peter Bailey, one of Malcolm X's closest aides, told The New York Times on the 40th anniversary of the killing.

The assassination came after a public feud between Malcolm X and the Nation of Islam's founder, Elijah Muhammad. Malcolm X had accused Muhammad of infidelity and left the Nation in March 1964.

"For the next 11 months, there was a pattern of harassment, vilification and even on occasion literally pursuit in the streets of Malcolm by people associated with the Nation," said Claude Andrew Clegg III, author of a biography on Elijah Muhammad called An Original Man.

"Malcolm felt that if Elijah Muhammad snapped his fingers, then he could stop the escalation of the violent tone around the split of the two men. And I think there's some truth to that."

Over the years, the killing of Malcolm X has been the subject of much debate, with conspiracy theories involving the Nation of Islam and others. The Nation of Islam has repeatedly denied any involvement in Malcolm X's assassination.

On a deadly mission

Hagan, then known by the name Talmadge X Hayer, was in his early 20s and a radical member of the Nation of Islam the day he entered the ballroom armed and ready to kill. His allegiance was to the Nation's founder, and he was outraged Malcolm X had broken from its ranks.

After the shooting, Hagan tried to flee the scene but he was shot in the leg. He was beaten by the crowd before being arrested outside.

Last month, he told the parole board he felt the urge to kill Malcolm X because of his inflammatory comments about the Nation's founder.

"It stemmed from a break off and confusion in the leadership," Hagan said. "Malcolm X broke with the Nation of Islam, separated from the Nation of Islam, and in doing so there was controversy as to some of the statements he was making about the leader."

He added, "History has revealed a lot of what Malcolm X was saying was true."

Two other men, Muhammad Abdul Aziz and Kahlil Islam, were also found guilty of murder in 1966 and received 20 years to life. Both proclaimed their innocence. Hagan, who eventually admitted his part in the murder, testified at trial and subsequent parole hearings that both men were innocent. Aziz was paroled in 1985; Islam was freed in 1987.

At last month's parole hearing, Hagan again maintained that Aziz and Islam were not the other assassins. He said it was two other men who helped plot, plan and participate in the killing.

Did they receive orders from the Nation to carry out the killing?

"I can't say that anyone in the Nation of Islam gave us the idea or instructed us to do it. We did this ourselves for the most part, yes," Hagan told the parole board.

Hagan said he received a master's degree in sociology while incarcerated and that helped him deal with his actions from 45 years ago.

"I understand a lot better the dynamics of movements and what can happen inside movements and conflicts that can come up, but I have deep regrets about my participation in that."

He added, "Unfortunately, I didn't have an in-depth understanding of what was really going on myself to let myself be involved in anything like that. ... I can't really describe my remiss and my remorse for my actions -- basically a very young man, a very uneducated man. "

He is still a Muslim but no longer a member of the Nation of Islam. He volunteers at a mosque to help young men. He told the parole board he hopes to become a qualified substance abuse counselor.

His primary mission is to help his four children, ages 21, 17, 14 and 10. He has two other grown children.

"My focus is to maintain my family and to try to make things a little better for them. It's upward mobility, and to encourage my children to complete their education because it's a must."

@highlight

NEW: Thomas Hagan walks out of Lincoln Correctional Facility at 11 a.m.

@highlight

Hagan set free a day earlier than expected; he's the only confessed killer of Malcolm X

@highlight

Hagan, 69, has been in a work-release program the past two decades

@highlight

Hagan told parole board he killed Malcolm X over his split with Nation of Islam