Moscow (CNN) -- Thousands of people in Moscow rallied for and against Vladimir Putin in separate rallies Monday after official election results showed the Russian prime minister handily winning back the presidency.

International observers blasted the Sunday election, saying the outcome was never in doubt. Some foreign governments pledged to work with the new leader despite concerns about electoral violations.

"The election has not been exemplary, to say the least," said French Foreign Minister Alain Juppe.

With more than 99% of the votes counted, Putin received 63.75% of the vote, easily avoiding a runoff in a field of five candidates.

Putin's closest challenger, Communist leader Gennady Zyuganov, got slightly more than 17%, and the other three candidates -- including Mikhail Prokhorov, the owner of the New Jersey Nets basketball team -- were in the single digits.

The result was still considered preliminary, however; the state-run RIA Novosti news agency reported final results may come next week.

Putin, 59, declared victory before thousands of cheering supporters near Red Square on Sunday night, and a similar crowd returned Monday to celebrate his victory, RIA Novosti reported.

The news agency said about 10,000 people were at Manezhnaya Square, where sports figures and celebrities congratulated Putin and denounced the opposition's claims that the voting was unfair and rigged. Other pro-Putin rallies took place around the country, RIA Novosti said.

Thousands of Putin opponents also turned out in central Moscow on Monday, and police arrested 250 people. Among them were opposition activists Ilya Yashin, Alexei Navalny and Sergey Udaltsov, the Moscow branch of the Russian Interior Ministry reported.

Police detained 16 nationalists in central Moscow because they were attempting to create unrest, the ministry said, and roughly 50 supporters of the banned National Boshevik Party were detained for attempting to hold an unauthorized rally.

"All those arrested were taken to a police station for their actions to be processed, and for the authorities to decide whether to press charges," the Moscow branch of the ministry said.

International observers blasted Russia's presidential election Monday and expressed disappointment and frustration with the way Putin won.

"The point of an election is that the outcome should be uncertain. This was not the case in Russia," said Tonino Picula, the head of an observer mission from the Organization for Security and Cooperation in Europe (OSCE).

Observers said they observed ballot stuffing and other irregularities in about a third of polling stations they monitored, and an uneven playing field in the run-up to the election.

Sounding somewhat exasperated, the Council of Europe's Tiny Kox urged Russia "to have a fair election," saying "it's not that difficult."

Ambassador Heidi Tagliavini of the OSCE was particularly critical of irregularities in vote counting because "what matters in an election is the counting," she said.

She declined to say whether the irregularities affected the outcome of the vote -- a landslide for Putin by international standards, if not Russian ones.

And she praised incremental improvements such as web cameras in polling stations and transparent ballot boxes, as well as the "massive mobilization of civil society demanding fair elections."

The U.S. State Department urged the Russian government to conduct an independent, credible investigation of all reported electoral violations, but it also noted steps, like webcams installed at polling places, intended to make the voting process more transparent.

Some 90,000 webcams at polling places around the country allowed people around the world to watch live as Russians cast their ballots on election day.

Putin called for unity Sunday night as he appeared headed for his third term as president, declaring he had won an "open and honest fight."

But chess champion-turned-opposition-activist Garry Kasparov accused Putin's supporters of "massive fraud," saying early Monday they packed the polls with additional voters.

Kasparov, who served as a poll watcher in his Moscow neighborhood, said Putin's supporters "simply added new voters to the register using so-called supplementary voter rolls."

"At one of the polling stations, the number of extra voters even exceeded the number of registered voters," he said.

A former KGB officer, Putin served two straight terms in the Kremlin before term limits forced him to step down in 2008. But he served as prime minister under his successor, Dmitry Medvedev, and continued to dominate Russian politics.

Presidents Hugo Chavez of Venezuela and Bashar al-Assad of Syria on Monday congratulated Putin on his win.

CNN's Clare Sebastian contributed to this report.

@highlight

NEW: Police arrest 250 people in Moscow, including three opposition activists

@highlight

Thousands take part in rallies both for and against Putin

@highlight

Vladimir Putin received more than 63% of the vote

@highlight

Monitors say they observed ballot stuffing and other irregularities