(CNN) -- When Darla Arni's mother began showing the first signs of dementia 16 years ago, Arni worried she was doomed to the same fate.

So Arni began reading up on what she could do to stay mentally sharp. Turns out, plenty.

Arni, now 55, grew up on a farm where her mother fried just about everything in lard. Today, she skips the fried foods and eats plenty of fruits and vegetables, takes fish oil pills, goes for regular walks and meditates during a weekly yoga class.

"I'm doing everything I can," says Arni, a public speaker and author who lives in Slater, Missouri.

And what's the point?

Doctors who specialize in the aging brain say that dementia is not inevitable, even in very old age. Making positive lifestyle changes earlier in life, they say, can lessen the chances of the faulty thinking and flagging memory that often come with advancing years.

Dr. Gary Small, director of UCLA's Longevity Center, says lifestyle may play a bigger role than genetics when it comes to who will fall into what he calls the "mental fog" of dementia.

Alzheimer's is perhaps the best known and most feared form of dementia. Early onset Alzheimer's disease, which often has a strong genetic component, may not be delayed with any lifestyle changes.

But late-life Alzheimer's, affecting people in their 80s and 90s, has only a minor genetic component and can be delayed or prevented with lifestyle changes -- especially if the changes begin in midlife, says Dr. Majid Fotuhi, chairman of the Neurology Institute for Brain Health and Fitness and a neurology professor at Johns Hopkins University School of Medicine.

I say, 'Dance'

Fotuhi began ballroom dancing when he was a student at Harvard Medical School. It was a break from all the studying. More than that, it was fun.

Now a neurologist, Fotuhi still dances. He and his wife, Bita, have mastered the tango. As an expert on how the brain ages, Fotuhi sees another benefit: Dancing is the perfect activity to keep the brain young.

"When people say, 'What's the one thing I can do?' I say, 'Dance.' " Fotuhi says.

The answer to keeping the brain sharp, neurologists agree, is not sudoku or crossword puzzles -- despite the conventional wisdom.

Staying physically fit is the most important element to keeping the brain young later in life, they say. Remaining socially engaged and mentally active in new and challenging ways are the two other components to long-term brain health.

Fotuhi says ballroom dancing is perfect because it combines physical activity, social interaction and the mental challenge of remembering the steps.

Growing the brain

Using new, more powerful MRI scanners, researchers have shown how even moderate exercise can actually increase the size of the hippocampus, the part of the brain responsible for forming memories, essentially turning back the clock and making the brain younger.

"We have found this treasure, this amazing phenomenon that the brain can grow," Fotuhi says.

After 50, the brain -- and the hippocampus -- typically begins losing volume. The hippocampus loses 1% of its volume every two years and accelerates up to 2% per year later in life. But this loss is not set in stone.

Dr. Arthur Kramer at the University of Illinois and his colleagues took 120 older adults and put half of them into an exercise group, which walked three days a week, and the other half on a stretching regimen.

After a year, the group that walked had better memory than at the start of the study. More than that, MRI scans showed that hippocampal volume increased, on average, by 2%, effectively making their brains a year or two younger. The brains of the group that stretched continued to age.

"This is cutting edge. We can reverse the atrophy that happens to the brain with aging, particularly the hippocampus," says Fotuhi, author of "The Memory Cure."

A study at the University of Pittsburgh showed that exercise improved the thinking speed of previously sedentary people in their 80s. Staying in shape helps maintain a healthy blood flow to the brain, critically important because blood vessels make up one-third of the brain's volume.

But Caterina Rosano, the study's lead author, says the benefits to the brain of such modest exercise as walking three times a week appear to exceed the small improvement in overall fitness that exercise offers, though she's not sure why. One hypothesis: Walking is often a social activity, which engages the brain. It also may elevate the mood of the walker.

Begin early

Exercise doesn't help just the elderly. Another University of Illinois study found an association between aerobic fitness, hippocampus size and memory performance in preadolescent children.

UCLA's Small says the focus on keeping the brain healthy should begin early.

"My opinion is we should begin in school," says Small, author of "The Alzheimer's Prevention Program," scheduled for publication in January. "The earlier you get started, the more you're going to benefit from it."

Fotuhi uses the analogy of saving for retirement. The more "savings" you build up with a brain-healthy lifestyle, the better off you'll be in your 60s and beyond.

A model life

If Fotuhi was looking for someone who has done everything right, he'd have trouble finding anyone more on the ball than 91-year-old Angela Little.

"I've lived a fairly healthy life. I've been active. I exercise. I eat moderately. I try to keep my mind as tranquil as possible, not get too upset about anything," says Little, a retired professor of biochemistry at the University of California, Berkeley.

Little belongs to the Bay Area History of Medicine Club, attends a class on Italian literature and discusses the classics -- in Italian -- and attends a weekly conversation circle, also in Italian. She does tai chi and goes to the gym three times a week for weightlifting, core strengthening and stretching.

"I keep myself busy, and I keep my mind engaged," Little says. "These are the things that keep me happy."

Mothers and daughters

In Missouri, Arni's mother, Dorothy, went on blood thinners more than 11 years ago. Doctors were worried about a massive stroke because the arteries leading to her brain were dangerously narrowed by plaque.

Even so, Darla Arni says, her mother's condition has progressed to the point where she no longer recognizes her during visits. But Arni, who has a daughter of her own, says she no longer fears dementia.

"I have a lot of friends. They're scared to death," Arni says. "I'm not so scared. Education and awareness make a difference."

@highlight

Doctors who specialize in the aging brain say that dementia is not inevitable

@highlight

Making positive lifestyle changes earlier in life can lessen your chances, they say

@highlight

Alzheimer's is perhaps the best known and most feared form of dementia

@highlight

Even moderate exercise can actually increase the size of the brain's hippocampus