(CNN) -- Liberals need to stop complaining about the right.

In recent weeks, the chorus of criticism emanating from liberals has been intensifying, focusing on how right-wing Republicans have shut down the government and are threatening the global economy.

Many observers agree with this criticism, including a number of Republicans who are also frustrated with their own party. A recent Pew poll showed that support for the GOP has plummeted since September.

But simply criticizing congressional intransigence never goes very far in Washington politics. Liberals who rail against the right are unlikely to accomplish much. The 40 or so conservative Republicans who have been controlling the House Caucus don't really care what liberals in Washington have to say. Even if some House Republican politicians are listening to their critics, most of the short-term electoral incentives are pushing them in a different direction than Democrats hope.

If liberals want to bring change and truly alter the political dynamics in Washington, they are going to need to build grass-roots pressure to shape national debate and genuine electoral pressure in the states and districts of Republicans who are not among the hard-core of the right-wing -- still a majority of the GOP.

Political scientist Matthew Green estimates that there are 48 Republicans in the "fearful caucus," who are not in the hard "no" faction but whose primary concern is being at risk in a primary challenge. There are 29 Republicans who are loyal to the House leadership, and 17 more in districts won by President Barack Obama who are interested in a compromise.

Thus far, it has been striking during the federal government shutdown to see the relative inaction of the left in terms of mounting actual grass-roots pressure on legislators to reopen the government, raise the debt ceiling and deal with budgetary disputes through the normal paths of the legislative process.

Although the budgetary process is not an issue that has the same urgency as immigration reform or climate change, the stakes of continuing with this kind of budget politics are enormously consequential.

The more that Republicans can normalize the decision to shut down the federal government, the more comfortable they will be in disputes to do this again.

If they are willing to go to the length of actually sending the government into default over health care, they will use this kind of threat in future policy disputes.

Republicans, to some extent, are comfortable with this outcome. They have been warning about the ills of government for decades, so this kind of breakdown fits well within their broader narrative. Liberals need government to work, as they believe that government is an essential part of a fair and just society.

In the past, liberals have scored their biggest breakthroughs against congressional conservatism through grass-roots pressure. Between the late 1930s and the early 1960s, a conservative alliance of Southern Democrats and Midwestern Republicans held up progress on legislation meant to benefit African-Americans, union members and Americans living in the cities.

Since Southern Democrats chaired many of the major committees, they were able to prevent bills from coming up for a vote or they forced legislation to be so watered down by the time of passage that it was ineffective. In the Senate, they could use the filibuster on bills such as civil rights to ensure that bold measures did not come up for a vote.

During the early 1960s, liberals were finally able to break the hold of this conservative coalition through a massive and dramatic grass-roots mobilization, spearheaded by the civil rights movement. This changed national opinion and created electoral pressure on Midwestern Republicans to break ranks with their Southern counterparts.

During the 1980s, liberals faced similar problems.

After the 1980 election, President Ronald Reagan allied with the newly Republican Senate and an expanded conservative coalition in the House to push through major legislation, such as the historic tax cut of 1981, that took away revenue the federal government badly needed and made the tax code less progressive.

Reagan also obtained a huge increase in the defense budget and undertook an aggressive shift in foreign policy that heightened tensions with the Soviet Union. His team avoided negotiations with the Soviets and insisted on a build-up of intercontinental missiles in Europe. But liberals pushed back.

When Reagan proposed cuts to Social Security in 1981, House Democrats worked with organizations and citizen groups allied with the elderly to stop this in its tracks. During the 1982 midterms, liberals focused on "fairness" in the economy and blamed Reagan's policies for the economic recession.

In 1983 and 1984, the millions of Americans involved in the nuclear freeze movement generated immense support for the need to reduce international tensions and created the framework for negotiations that started in 1985 when Mikhail Gorbachev emerged on the scene. A new book by historian Michael Foley, "Front Porch Politics," shows how grass-roots activists in this period participated in a wide range of protests on issues such as industrial policies for depressed areas to gay rights.

Liberals have an opportunity to influence the political debate. An unusual alliance is possible.

First, liberals will find support from Republicans who care about the party's national standing and are unhappy with the polls reflecting the public's discontent with House GOP tactics. Second, a growing number of leaders in the business community are starting to consider the possibility of funding primary challengers to hard-right Republicans whose policy demands are threatening the economy.

But liberals will have to be part of the equation of isolating the far right politically by building pressure in swing states, generating support for Democrats who push back against these kinds of tactics, staging protests, holding marches and meeting with constituents in states where Republican politicians will feel pressed to moderate the ways of their party.

Conservatives have been quick to turn to protest politics, such as the recent protests at Washington monuments, so there is no reason liberals should be hesitant to do the same, although they will need to do so on a much larger scale. Without that kind of grass-roots pressure from liberals, the current stalemate is likely to be the new normal.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Liberal complaints about the tactics of the right accomplish nothing

@highlight

He says liberals should be looking for ways to pressure GOP members in their districts

@highlight

If GOP can normalize shutdowns, it will use tactic again and again, he says

@highlight

Zelizer: Moderate Republicans might help push back against conservatives