(CNN)When the earthquake hit, many of Nepal's most renowned pagodas in and around Kathmandu crumbled into rubble-covered stumps. Others were smothered under splintered hand-carved wooden beams or multi-level rooftops.

But the Kathmandu Valley's other pagodas, stupas and shrines -- also built mostly of red brick hundreds of years ago -- suffered surprisingly little damage and remained standing next to  structures which disappeared.

The worst architectural losses have included the majestic Shiva temple pagoda and its twin, the Narayan temple pagoda, which dominated Kathmandu's main Durbar Square.

From the late 1960s onwards, Western hippy backpackers who traveled the legendary overland route to Kathmandu would climb the Shiva pagoda's wide, nine-step plinth, sit in the shade under the triple-layered roofs, smoke hashish and enjoy the lofty view.

But now the two pagodas have been obliterated and the scene comprises pathetic piles of rubble, a bulldozer shoveling a path for vehicles, shocked and miserable witnesses and a sense of irreplaceable visual and spiritual loss -- unless the structures are eventually rebuilt.

The Shiva temple pagoda may have been hundreds of years old, but before its destruction impoverished rickshaw drivers, coolies and others would publicly urinate into the gutter surrounding it while waiting for passengers or heavy loads to transport.

The slightly shorter, triple-roofed Narayan pagoda allowed vegetable sellers to display their foodstuff on the temple's broad, five-level base.

Both pagodas also served as public platforms. Jostling crowds of Nepalis and foreigners used to gather there because the plinths' height above street level allowed excellent views of major Hindu processions and other events.

Those two landmarks fronted the enclosed dwelling place of Nepal's Hindu virgin goddess, or Kumari, whose ornate front of bricks, statues and carved wood seem to have survived the initial quakes. It is not immediately known if the inner courtyard and rooms are safe.

On the other side of Durbar Square, the brick-and-wood Shiva-Parvati temple house -- where the Hindu gods Shiva and his consort Parvati shelter -- appear to also have survived.

On Kathmandu's outskirts the town of Patan suffered terrible damage when its central Durbar Square lost several pagodas as structures pancaked straight down while others merely shook and cracked.

Fortunately others appear to still be standing, including the Sundari Chowk temple and a surviving lucky trio of holy structures: the gray stone, Mogul-influenced Krishna Mandir; the 17th-century Bishwa Nath Mandir with its large stone elephants at the entrance; and the nearby smaller 17th-century Bimsen Mandi "god of the traders" pagoda.

Several miles away from Kathmandu, witnesses have been unable to immediately confirm the levels of destruction which have occurred in the lavish town of Bhaktapur. The locality had undergone years of extensive restoration work thanks to foreign and local artists and funding.

The town offset some of that cost by charging tourists a fee to enter its central area, which displayed refined temples, pagodas, shrines and even a restaurant built into a main pagoda, allowing diners to view the best sites while munching their meals.

Elsewhere in the Kathmandu Valley, the white-topped dome of the Boudhanath Stupa remains standing, but its smaller neighboring stupa has shown some damage from the quake.

The Boudhanath Stupa is prized by Tibetan Buddhist refugees who have fled their Chinese-occupied homeland on foot through the Himalaya mountains. They are often seen reverently walking in a circle around the stupa's base while twirling "prayer wheels" and chanting.

There has been no news as yet on damage caused to other famous places of Hindu and Buddhist worship, including the hilltop Swayambhunath temple on the outskirts of Kathmandu. That imposing structure is popularly known as the "Monkey Temple" because its often vicious wild monkeys are allowed to scamper among the trees on the temple's hill, terrifying visitors who have to hike up a lengthy stairway to reach the temples, shrines, shops and monks' residences..

The fate of the Pashupatinath Temple complex near Kathmandu's international airport is also not known. Pashupatinath's multiple pagodas and shrines flank its public funeral pyres which emit smoke whenever human corpses are routinely cremated before the ashes are dumped into a narrow river.

@highlight

Several of Nepal's best known landmarks have been destroyed by the earthquake of April 25

@highlight

But outside the capital Kathmandu there is hope that many have survived