Bayonne, New Jersey (CNN) -- If you don't know Chuck Wepner's claim to fame, you will in a hurry after you enter his small apartment in this gritty North Jersey city on the Hudson River.

Maybe you'll see the framed poster of the most famous boxer of all time in his office, the one autographed, "To Chuck and Linda: Good luck to my dear friends, from Muhammad Ali. After me, there will be no other. P.S. Stay off my foot!" (We'll explain that in a minute).

Or maybe he'll hand you a business card for his job as a liquor salesman. Flip it over, and you'll find a photo of a young Wepner, boxing trunks pulled over his navel, standing over a fallen Ali in the ring.

Or maybe he'll sit down in his recliner and tell you one of his favorite stories, like the night he came back to his hotel room after he survived 15 rounds with Ali in a stunning 1975 fight.

"The day before the (Ali) fight, I took my wife out shopping and bought her a powder-blue negligée, because I told her, 'You need to look right when you sleep with the heavyweight champion of the world,'" he said. "The night I lost, my (ex-)wife is sitting on the edge of the bed in the negligée and she asks, 'So, am I going to Ali's room or what?'"

But you don't have to meet Wepner to know why he's famous -- and why he's about to become even more well-known in the coming months. You've seen the movies, all six of them, in the theaters or a few dozen times on cable TV. Sylvester Stallone played Rocky in the famous film series.

Wepner is Rocky, the man who went almost the full 15 rounds (the fight was stopped in the 15th) with Ali in 1975 to inspire the Oscar-winning movie. But his real-life story is actually more fascinating, more layered and compelling, than the one that has raked in more than $1 billion.

That's why ESPN is making a documentary about his life, and why Hollywood is making another movie about the man who inspired Rocky. But Wepner is clear on one point.

"This is not another Rocky movie," he said recently. "It's a movie about the real Rocky."

The changing face of women's boxing

The real Rocky is one of boxing's true characters, a burly former Marine nicknamed the Bayonne Bleeder who went from fighting in smoky New Jersey clubs to knocking down (but not out) the mighty Ali. He's also a man who spent three years in prison for cocaine possession but rebounded to find the love of his life.

He has a story about the night he asked Linda, his wife, on a date. "I used to drink vodka all the time, but I remember that the beer cooler was on the other side of the bar and you had to bend over to get into it," he said. "So she bent over and got one and I said, 'You wanna go out!' I picked her up after work that day. That's a true story."

They're all true stories. Or, at least mostly true. Again, with 72-year-old Wepner, it's always best to let him explain.

"There's one scene in (the movie), I'm in a hotel room with a couple of my go-go girls," he said. "I'm pouring champagne all over their bodies and drinking the champagne.

"I said (to the writer), 'You got me laying in the bed with three go-go girls pouring champagne over them. It was only two!' And he said, 'Chuck, three, four, five girls, people will believe anything about you!'"

Liev Schreiber is set to portray him in "The Bleeder," which is scheduled to hit theaters in 2012, while Christina Hendricks will play Linda and Naomi Watts will play his first wife. The project has been in the works for more than seven years, and Wepner is convinced it can shock the world the way Stallone's fictional version did 35 years ago.

But first, sports fans will revisit Wepner's career with an hourlong ESPN documentary, set to air on October 25, called "The Real Rocky." Mike Tollin, who has produced sports movies like "Coach Carter" and documentaries like "The Bronx is Burning," is producing both projects.

"With Chuck Wepner," Tollin said in a phone interview, "you have a guy who outside of certain parts of New Jersey can be treated almost like a fictional character, but you have this fascinating chapter of boxing lore and all these real-life characters to draw from."

None of this would have happened if Wepner's mother didn't interrupt him during an episode of "Kojak" in 1975 and tell him to pick up that day's newspaper. Promoter Don King had chosen Wepner to fight Ali, but no one had bothered to tell him.

Q&A: USA Boxing Coach Gloria Peek

It was supposed to be an easy fight for Ali, who had just stunned George Foreman in Zaire to regain the heavyweight championship.  Ali was 45-2, at the peak of his fame.

Wepner? He was no slouch, but not in the same league. Larry Merchant, the longtime boxing writer for The New York Post, called it "a fight between a house painter and an artist." But Wepner spent seven weeks "laying off the booze and women," he said, training for his moment.

And it lasted more than a moment. On March 24, 1975, Wepner went 15 rounds with Ali, briefly knocking him to the canvas in the ninth round. (Wepner insists he hit the champ with a shot just below his heart; Ali has long contended that his opponent stepped on his foot.)

Watch Wepner knock down Ali

The fight made him famous, but the movies changed his life. Stallone was watching in Los Angeles, and two years later, Wepner was sitting in a Manhattan theater thinking, "I hope this movie's decent."

"It was amazing!" Wepner said. "I had no idea. It was amazing. After the knockdown of Apollo, the crowd started jeering him and started cheering for me. People are coming up to me and hugging me, 'CHUCK! Great movie!'"

But the movie is only one twist in Wepner's life. He retired from boxing and wrestled "Andre the Giant" at Shea Stadium, the massive pro wrestler spun him in the air before tossing him out of the ring. He also partied. A lot.

Watch Wepner fight "Andre the Giant"

"You know what it was? The late '70s and early '80s, it was all parties," Wepner said. "Everywhere you went there was cocaine. I've got to be honest with you, it was a great, great time in my life, other than getting in trouble. I managed to get through that and everything is great now. It was one party after another. I used to be out from Thursday to Sunday. It was so much fun. You might say the good times were very addictive."

The trouble: Wepner was arrested in 1985 for cocaine possession. He spent nearly three years in prison, but he re-emerged clean and, with Linda, happy. Plus, in 2006 scored his biggest victory outside the ring: He settled a lawsuit with Stallone for using him as his inspiration for the Rocky series. (Details of the settlement have not been revealed.)

Now, he'll have a documentary and a movie on his life and career, which is more fascinating than anything a screenwriter could dream up. But for the real Rocky, this is no case of sudden fame.

"Somebody said to me, 'Wow, you're finally getting some recognition.'" Wepner said. "For 36 years, I've been the champ."

@highlight

Former heavyweight boxer Chuck Wepner fought Muhammad Ali in 1975

@highlight

The match, and Wepner's life story, inspired Sylvester Stallone's "Rocky" movies

@highlight

Wepner was arrested for cocaine possession in 1985; spent time in prison

@highlight

ESPN will air "The Real Rocky," a new documentary about Wepner, in October