Washington (CNN) -- President Barack Obama warned Tuesday of diminished emergency services, longer airport security lines and other problems if Congress fails to reach agreement on avoiding the harshest impacts of automatic, across-the-board spending cuts set to begin March 1.

With firefighters, police officers and other emergency responders standing behind him, Obama said that "people will lose their jobs" if the forced cuts are allowed to take effect.

The cuts -- known as sequestration in Washington jargon -- won't help grow the economy or achieve jobs, Obama said, calling those goals the top priority of his administration.

He listed a litany of possible impacts intended to inspire public outrage at the potential new reality caused by the spending cuts, such as fewer police and firefighters on the streets, reduced military readiness, less border security, and criminals going free because federal prosecutors will have to close cases.

"Air traffic controllers and airport security will see cutbacks, which means more delays at airports across the country," Obama continued. "Thousands of teachers and educators will be laid off. Tens of thousands of parents will have to scramble to find child care for their kids. Hundreds of thousands of Americans will lose access to primary care and preventive care like flu vaccinations and cancer screenings."

However, top congressional Republicans shot back that Obama can prevent harmful reductions in essential services by targeting other areas that his party believes reflect bloated and inefficient government.

"To keep these first responders on the job, what other spending is the president willing to cut?" House Speaker John Boehner of Ohio asked in a statement, echoing a theme also asserted by Senate Minority Leader Mitch McConnell, R-Kentucky.

"Surely the president won't cut funds to first responders when just last year Washington handed out an estimated $115 billion in payments to individuals who weren't even eligible to receive them, or at a time when 11 different government agencies are funding 90 different green energy programs," McConnell said in a statement. "That would be a terrible and entirely unnecessary choice by a President who claims to want bipartisan reform."

At the White House, Obama said the mechanics of the forced spending cuts prevented such decision-making.

"If Congress allows this meat-cleaver approach to take place, it will jeopardize our military readiness, it will eviscerate job-creating investments in education and energy and medical research, it won't consider whether we're cutting some bloated program that has outlived its usefulness or a vital service that Americans depend on every single day," Obama said. "It doesn't make those distinctions."

Senate Democrats have proposed replacing the imminent cuts with a combination of more tax revenue from millionaires, ending agriculture subsidies and reducing defense spending after the end of combat operations in Afghanistan.

House Republicans, who control the chamber, reject any increased tax revenue as a solution, setting up another in a series of congressional showdowns over spending and taxes that dominated Obama's first term.

Obama repeated his call from last week for Congress to agree to a temporary respite from the forced spending cuts while possible negotiations continue on a larger solution.

He also complained that Republican ideas so far for avoiding forced budget cuts "ask nothing" from the wealthiest Americans or big corporations. He added that the GOP prefers having the reductions take effect instead of having "a single tax loophole" disappear for those who don't need it.

"None of us will get 100 percent of what we want," the president said. "But nobody should want these cuts to go through because the last things our families can afford right now is pain imposed unnecessarily by partisan recklessness and ideological rigidity here in Washington."

Republicans were forced to concede on their steadfast opposition to increased taxes by agreeing in early January to higher rates on top income earners as part of a deal to avoid some of the harshest impacts of what was known as the fiscal cliff, which included the forced spending cuts of sequestration as well as automatic tax hikes.

That agreement put off action on the sequester cuts, which were mandated by a 2011 agreement to raise the federal debt ceiling.

By the numbers: Automatic spending cuts

The purpose of the deep cuts to all discretionary programs and the military was to motivate Congress to reach a comprehensive deficit reduction agreement that would replace them.

However, such a deal has proved impossible, leading to the imminent application of $85 billion in spending cuts for 2013 and almost $1 trillion over 10 years.

Defense Secretary Leon Panetta and other officials warn that the cuts will have a dire impact on government operations and military readiness. The Pentagon would absorb about half of the reductions.

In a letter to Congress last week, FBI Director Robert Mueller said "sequestration will require immediate and significant reductions" to the agency and its operations.

"Because sequestration calls for across-the-board cuts, the FBI would be required to do less in all its programs, including against Al Qaeda and its affiliated groups, as well as the growing and sophisticated threats from cyber attacks, foreign intelligence, and national and transnational criminal activities," Mueller's letter warned.

For example, he noted, sequestration would mean cutting 2,285 FBI employees.

The GOP opposes any increase in tax rates or other steps to bring in more tax revenue, saying the nation needs to reduce the cost of government.

"We should close loopholes and carve-outs in the tax code, but that revenue should be used to lower rates across the board," Boehner's statement said. "Tax reform is a once-in-a generation opportunity to boost job creation in America. It should not be squandered to enable more Washington spending."

To Senate Majority Leader Harry Reid, D-Nevada, the GOP stance means "Republicans have shown that they would rather let the sequester go into effect, or make even deeper cuts to Medicare, education and medical research, than close a single wasteful tax loophole."

In their plan unveiled last week, Senate Democrats proposed replacing the forced spending cuts of sequestration through the end of this year, leaving time for possible negotiations on a broader deficit-reduction package that would eliminate sequestration entirely.

They called for $54 billion in new revenue by implementing the "Buffett rule," a principle by billionaire financier Warren Buffett that he shouldn't pay a lower tax rate than his secretary.

Under it, anyone with adjusted income of more than $1 million after charitable deductions would pay a minimum 30% tax rate.

Other revenue measures in the package include ending tax breaks for companies that ship jobs overseas and closing tax loopholes for the oil industry.

In addition, the package would cut military funding starting in 2015, following the planned end of U.S. combat operations next year in Afghanistan. It would also end agriculture subsidies for a total saving of $55 billion.

Also Tuesday, Erskine Bowles and Alan Simpson proposed a new framework to cut the country's debt by $2.4 trillion over the next decade.

The real impact of automatic cuts

Bowles and Simpson were the co-chairmen of Obama's bipartisan fiscal commission in 2010, and their recommendations came to serve as a yardstick for other debt-reduction proposals.

Since the fiscal commission disbanded, Congress and the White House have enacted about $2.7 trillion worth of savings that will occur over the next decade.

The $2.4 trillion in deficit cuts in the new Bowles-Simpson proposal would eliminate the need for the forced spending cuts of sequestration.

Bowles and Simpson called for tax reform that eliminates or reduces some write-offs and loopholes, reducing spending on Medicare and Medicaid and adopting a less generous inflation formula for entitlements and benefits such as Social Security.

Other provisions in their new plan included curbing farm subsidies and increasing how much civilian and military personnel contribute to their health and retirement plans.

If the forced spending cuts of sequestration take effect on March 1, federal workers could start facing furloughs as early as April, according to federal agencies trying to prepare for the worst.

Daniel Werfel, a controller for the Office of Management and Budget, told a Senate panel last week that furloughs won't happen until after agencies negotiate with unions, and that's not expected to be finished until after March 1.

After union bargaining, the agencies still need to give employees their official 30 days notice of impending furloughs, realistically pushing most furloughs off until April. However, some non-union employees could face furloughs in March.

Unions usually have the final say on how the furloughs will be implemented, said Colleen M. Kelley, president of the National Treasury Employees Union (NTEU). She said they get to bargain with federal agencies on issues such as how the furloughed days will be spread out.

The exact number of total furloughs planned is still unavailable, since agencies are still deciding how to spread the cuts. It's possible some agencies may yet be able to spare some employees from furloughs or at least minimize days of unpaid leave.

CNN's Ted Barrett and Alan Silverleib and CNNMoney's Jeanne Sahadi and Jennifer Liberto contributed to this report.

@highlight

NEW: GOP leaders say Obama can avoid the worst cuts

@highlight

President Obama says Republican ideas lack any contribution by the wealthy

@highlight

House Republicans oppose any new revenue as a replacement for forced spending cuts

@highlight

Federal workers could face furloughs in April without an agreement