Millions of "Downton Abbey" viewers were shocked Sunday night when one of the show's main characters, Lady Sybil Branson, died from eclampsia shortly after delivering a daughter.

"Although the fictional TV series represents life in the early 1900s, women in the United States and elsewhere still die or suffer terrible outcomes from the hypertensive disorders of pregnancy," including preeclampsia and eclampsia, the Preeclampsia Foundation said in a statement issued after the show aired Sunday night.

Here, five things you should know about preeclampsia and eclampsia:

1. Eclampsia is a serious complication of preeclampsia. It's characterized by one or more seizures during pregnancy or in the postpartum period.

"In the developed world, eclampsia is rare and usually treatable if appropriate intervention is promptly sought," according to the Preeclampsia Foundation. Left untreated, however, the seizures can result in coma, brain damage and potentially in maternal or infant death.

Preeclampsia is typically treated with magnesium sulfate, as it has been proven to be extremely effective at preventing eclampsia from occurring, said Dr. Jim Martin, a member of the foundation's medical board and immediate past president of the American College of Obstetricians and Gynecologists.

"We see most eclampsia now after delivery (in the United States)," Martin said, "because we use medications to prevent it during labor and delivery."

Previously, as seen on "Downton Abbey," "the highest-risk time was at the end of pushing efforts for vaginal delivery," he said.

"The way I teach it ... is eclampsia really is preeclampsia affecting the brain," he said. Preeclampsia can also affect the liver -- a condition known as HELLP syndrome -- or the kidneys, Martin said.

2. Preeclampsia typically appears after the 20th week of pregnancy. It most frequently is seen during the third trimester. It's characterized by a large rise in blood pressure and failing kidneys.

Doctors monitor an expectant mother's blood pressure as well as check for excessive protein in her urine.

"It's considered to be a complication of the second half of pregnancy and after delivery," Martin said.

Preeclampsia was initially thought to be a disorder preceding eclampsia, hence its name, according to the foundation.

Doctors used to believe eclampsia was a progression of preeclampsia, but seizures can occur all of a sudden in women who previously have not shown signs of preeclampsia, he said.

Preeclampsia, along with other hypertensive disorders of pregnancy such as HELLP syndrome, impact about 5 to 8% of births in the United States, according to the foundation.

The condition underscores the need for prenatal care, Martin said. "There are supposedly 50,000 deaths in the world due to eclampsia," most of them in developing countries where prenatal care is not widely available, he said.

3. Preeclampsia is more likely to occur during the first pregnancy. Risk factors for preeclampsia include multiple gestation (pregnant with more than one baby); a history of chronic high blood pressure, diabetes, kidney disease or organ transplant; a family history of preeclampsia; maternal age and obesity, particularly with a body mass index over 30.

"It's still correctly described as a disease of the age extremes," most often seen in pregnant teenagers or pregnant women in their late 30s and 40s, Martin said.

However, women who did not have preeclampsia in their first pregnancy should not believe they're in the clear, he said. HELLP syndrome, for instance, is more common in later pregnancies.

The cause of preeclampsia is unknown. However, there is "general agreement that the placenta plays a key role in preeclampsia, and women with chronic hypertension and certain metabolic diseases like diabetes are more susceptible," according to the Preeclampsia Foundation.

"Pregnancy causes it, but beyond that, the specific problem between the fetus and mother, and the genes from the father and so forth ... is not completely clear," Martin said.

Women with preeclampsia are more likely to have complications such as low birthweight, premature birth or placental abruption, where the placenta separates from the wall of the uterus before birth, according to the March of Dimes.

4. Preeclampsia can be silent. "Often, women who have preeclampsia do not feel sick," according to the U.S. National Library of Medicine.

Martin said often, he has to convince women to come in and be evaluated as they do not feel ill. "It's such a gradual, insidious onset, they don't realize they're hypertensive or getting sick."

Symptoms can include, but aren't limited to:

-- Swelling of the hands and face, or edema. Note some swelling is considered normal during pregnancy, Martin said, but doctors specifically look for swelling in the face and behind the eyes.

-- Sudden weight gain over one to two days -- more than 2 pounds a week

In severe cases:

-- Headache that does not go away

-- Abdominal pain on the right side, below the ribs, or also in the right shoulder

-- Nausea and vomiting

-- Vision changes: Temporary blindness, seeing flashing lights or spots, sensitivity to light, blurry vision

5. The only "cure" for preeclampsia is delivery. If preeclampsia is diagnosed before a baby is considered "term," or 37 weeks, bed rest, medication or even hospitalization may be required, according to the Preeclampsia Foundation. Eclampsia cases before delivery can be treated with steroids, Martin said.

Most cases of postpartum preeclampsia develop within 48 hours of childbirth, but may develop four to six weeks postpartum, according to the Mayo Clinic.

Delivery begins the cure, Martin said, as tissue is left behind after the placenta is removed and is shed by a new mother in the days following the birth.

"While obviously not dangerous for the baby, postpartum preeclampsia is still critical for the mother," according to the Preeclampsia Foundation. "Nearly 80% of women who die from preeclampsia die postpartum. Sleep deprivation, postpartum depression, more attention on the newborn and a lack of familiarity with normal postpartum experiences all contribute to more easily ignoring or missing indicators of a problem."

"They're focused on the baby," Martin said. "They expect to have some headaches and not feel great," but don't realize severe headaches can indicate a problem.

@highlight

A character on "Downton Abbey" dies from eclampsia after childbirth

@highlight

Preeclampsia and eclampsia still poses a threat to pregnant women

@highlight

Both conditions can be treated

@highlight

The risk doesn't go away after delivery, as postpartum cases are seen