Washington (CNN)President Barack Obama's Keystone pipeline headache is only going to get worse.

Democrats -- in their final weeks of controlling the Senate -- successfully blocked a bill Tuesday that would authorize the pipeline from hitting the president's desk.

But the reprieve won't last long.

Incoming Senate Majority Leader Mitch McConnell immediately vowed that Keystone would be "an early item on the agenda in the next Congress."

Keystone, a pipeline that would connect Canada's oil sands to the Texas coast, has been a rallying cry for the GOP throughout the Obama presidency. Republicans have unsuccessfully tried to attach the issue to a host of bills over the years, including a payroll tax cut. Poised to assume full control of Congress for the first time in nearly a decade, there's pent up energy to finally approve legislation.

And the GOP is working hard to build a coalition that even a presidential veto can't block.

"If you do the math, we have 59 votes today," said North Dakota Republican Sen. John Hoeven. "But if you look at the new Congress, you can count four more right away (and) I think there may be others."

Hoeven, one of Keystone's biggest backers, said he is aiming for 67 votes to override a likely presidential veto and said Republicans could attach a Keystone XL bill to a bigger measure Obama would be under pressure to sign, like a government financing bill.

A veto-proof majority in the Senate next year isn't impossible. On Tuesday, 14 Democrats sided with Republicans on Keystone. While some of those Democrats won't be returning to the new Senate, the vote suggests a level of support in the party that must grab the attention of the White House.

A growing number of Democrats may be beginning to feel, privately at least, that the pipeline might be a battle that is becoming unsustainable.

"They need to get this issue behind us once and for all," said Jim Manley, a longtime former communications aide to Democratic Majority leader Harry Reid and Sen. Edward Kennedy.

Significantly, the White House has not yet specifically threatened to veto a bill seeking to approve Keystone.

But it has left no doubt of Obama's distaste for the project.

"It certainly is a piece of legislation that the president doesn't support," White House spokesman Josh Earnest said Tuesday.

Opinion polls have shown that majorities of Americans favor the pipeline, despite warnings of environmentalists it would swell carbon emissions and threaten fragile ecosystems on its route.

Oil industry leaders seem to believe that the political winds are now finally in their favor.

"Today's vote in the U.S. Senate demonstrates a growing and high level of support for Keystone XL," said Russ Girling, president and chief executive of TransCanada, which is behind the project.

"Keystone XL is not going away, the president will have to deal with it, if not now then next year," said Jack Gerard, President and CEO of the American Petroleum Institute, which represents US oil and natural gas firms.  "We will not give up until the pipeline is built."

But the environmental lobby and opponents of the project, who are still celebrating a major climate deal announced last week by the president in China, took heart from another delay for Keystone.

"We're more confident than ever that this pipeline will never be built," said Tiernan Sittenfeld, senior vice president of the League of Conservation Voters.

Democratic Sen. Barbara Boxer, who led opposition to the bill, said she was proud her party had stood firm for the "health of the planet," but admitted "I know the fight is far from over."

Tuesday's vote on Keystone XL, the 1,200 mile stretch of a bigger TransCanada network was really a sideshow.

Party leaders permitted a poignant but futile attempt by Democrat Mary Landrieu to show voters in Louisiana, where oil is king, that she still has Senate clout before a runoff election.

But politics is a cruel game. Despite her personal appeals to colleagues with whom she has served for years in the Senate, Landrieu fell one vote short of putting the president on the spot.

In many ways, Keystone has become a cause that carries more political importance than commercial or environmental significance.

For Green groups in Obama's base, it has become the focal point of a struggle against the fossil fuels industry and a test of the president's fealty to progressive principles.

But Republicans have repeatedly hammered Obama for opposing what they say is a project that will lead to thousands of jobs and boost energy resources.

Obama was scathing about those claims last week.

"I have to constantly push back against this idea that somehow the Keystone pipeline is either this massive jobs bill for the United States, or is somehow lowering gas prices," Obama said. "It is providing the ability of Canada to pump their oil, send it through our land, down to the Gulf, where it will be sold everywhere else."

Republicans have a blunter message. House Speaker John Boehner linked the administration's Keystone resistance to comments by Obamacare adviser Jonathan Gruber, who has come under fire for saying "the stupidity of the American voter" helped ensure passage of the law.

Vetoing a Keystone bill, Boehner warned on Tuesday, "would be equivalent to calling the American people stupid."

@highlight

The Senate blocked a Keystone bill from advancing Tuesday

@highlight

But the issue won't go away for Obama

@highlight

McConnell: Keystone will be "an early item" on 2015 agenda