(CNN) -- Fans of crime fiction know the names Connelly and Koryta well. Two Mikes. Two generations. Two masters of their craft.

At 56 years old, Michael Connelly is the established veteran. A former reporter for the Los Angeles Times, he's won every award given to mystery writers. His books have sold more than 45 million copies worldwide and been translated into 39 languages. Later this year Connelly marks an important milestone in his career. His best known character, LAPD Detective Harry Bosch, returns in "The Black Box," Connelly's 25th novel in 20 years.

The other Mike is Michael Koryta, also an award-winning and best-selling author. You could call him the future of crime fiction. Koryta has published nine novels since 2004, and he's just shy of 30 years old. His latest, "The Prophet," a tale of faith, football and revenge recently debuted on the New York Times bestseller list and is getting rave reviews from fans and critics.

The Two Mikes visited Atlanta last week for the Decatur Book Festival, one of the largest literary get-togethers in the country. CNN had a chance to sit down with the two authors to compare notes and get some insight into their highly-successful writing careers. The following is an edited transcript.

CNN: You're both reaching new milestones in your careers, how does it feel?

Koryta: I feel like I'm exactly a decade behind Michael. He's at twenty years in publishing, I'm at ten. When I came in there were a group of writers who are standard bearers. You look at what they're doing and think this is what I have to go chase. The first book I wrote that was published, my editor was telling me go read Michael Connelly. I said "I am" and he said, "Try again." Ten years later I'm still getting that advice from everyone. What Michael's been able to sustain for twenty years is almost unprecedented in terms of the quality of the books continuing to improve. It's just remarkable. Hopefully my books are improving. One of the ways I find motivation to improve is looking at someone who is already at a high level and continues to get better with each book. That's really what you want to emulate.

Connelly: I don't think I was one who looked at anniversaries and numbers much, but for some reason this one was significant for me. When you're starting out you never believe that you might accomplish writing twenty-five books in twenty years. It's really bizarre to even contemplate. Twenty years was significant as well because of what happened in Los Angeles in 1992. My first book was published in January of that year so it was kind of a new world opening up to me. A few months later the city was torn apart by riots after the Rodney King trial. I really did weigh all these anniversaries and years when writing this book. I think it's the first time I ever really thought about that. The book's about the death of a journalist and during the riots I almost got killed. That's something I worked out in a lot of my books. So that all played into it, there's a lot of nostalgia, all of it was really important to me and I never really had this kind of stuff inspiring me before.

CNN: How have you both remained so prolific?

Connelly: What Koryta has done is remarkable. My first book wasn't published until I was 36. Now he's almost thirty and on his ninth book. You know I'm bragging about how I'm on book 25 and he's probably thinking about 75. That's hard for me to imagine, what he's doing. I feel like I'm making up for lost time. That's part of what drives me. For some reason, I don't know why I had this idea, maybe because I was 36 when my first book was published, but I wanted to write 36 books before I'm done. I love the play "Glengarry Glen Ross." In the movie, Alec Baldwin says, "Always be closing." I feel the same way. For me closing is writing, always be doing it.

Koryta: I knew at a young age this is what I wanted to do. I look at the fact that I got an early start -- that was a real blessing to me because it gave me a greater opportunity to tell more stories, hopefully, and at the end of the day that's what I want to do. What I love is the writing, it's not having written. I like the process of it.

CNN: Do you view writing as a competition or camaraderie?

Koryta: I've always felt an incredible amount of generosity from the time I showed up, people going out of their way to help me who didn't have to. It seems like there's a really good spirit of brotherhood, especially in crime fiction. In terms of competition, anytime I read a book that I think is really good, like "The Black Box," I love it and I'm rooting for Michael as a friend but there's also a spark of, this is a better book than what I wrote and now I've got to try and catch up with that. For me, that's the greatest motivation to improve is to see really good writers continue to get better and continue to pull farther away from you. You're always chasing the rabbit, and that's a good thing.

Connelly: There's always been a good mix of camaraderie and motivation. We're lucky in the genre we pursue, it's so big. We're not worried about, that book is so good it's going to take sales away from me. You just don't see that. Readers love to read good stuff, so there's no reason to really be competitive.

CNN: Do you prefer writing a stand alone novel or a continuing series character?

Koryta: What I like about writing a stand alone novel is you're starting with a fresh world and fresh characters. Part of what I love about writing is that journey of discovery where it's all new to me as well. This is my fourth stand alone in a row and I am beginning to get a little bit of an itch now to take a longer ride with a character, to get to know them a little better. In "The Prophet" I really fell in love with those characters, there was an emotional connection there that I don't think I've had in a while. It made me think it would be nice to stick with the characters for a little bit and see what happens. My next book will be a stand alone but after that I'm thinking about trying to take a little bit longer ride.

Connelly: A series character like Bosch can be a trap but it's a good trap to be in. This idea that it's an unfinished story with more to say. I guess I never write standalones. Even if I come up with a new character, I often bring them back. The last time I introduced a new character was "The Lincoln Lawyer," and now that's going on seven or eight years. I'm already writing my next book and it's Mickey Haller, but I kind of feel like creatively I need to come up with something new pretty soon.

CNN: If you could steal an idea from the other Michael what would it be?

Connelly: I would be an esoteric thief. Maybe it's the comfort of age but I look at what Michael has done with writing different kinds of genres. I've been more straight laced, straight crime. I've never broken away; all my stuff is in the same vein. It takes a certain amount of courage and confidence to pop out a book that's going to be compared to Stephen King instead of Raymond Chandler. So I would steal that kind of creative courage.

Koryta: Courage is one word for it. Foolishness might be another. I've been shamelessly stealing from Michael for years. It's his ability to say so much with one simple sentence that has what I call layers of depth. It's the words beneath the words. He does that every book, time after time after time. He'll lay out a beautiful line, Bosch thinking on the surface what is a very simple thought or observation but it has ripples to the past, the present and goes deeper to the core of the character. He has the ability and the confidence to let it ride on top and know that the reader will get it and feel that impact. That's an incredible gift and that's just great writing.

@highlight

Connelly is a crime fiction veteran, while Koryta may be the "future" of the genre

@highlight

Connelly has won every award given to mystery writers

@highlight

Koryta has published nine novels since 2004 and he's just shy of 30 years old