LONDON, England (CNN) -- As the lights went down in the theater the low murmur built to a thunderous ovation as the odd-looking man in the crumpled suit and bowler hat took to the stage.

Tom Waits in Paris on the European leg of his tour.

The excitement that greeted the eccentric American singer songwriter Tom Waits' appearance in Edinburgh last month may come as a surprise to the many, who have never heard of him.

The 58-year-old has stayed for most of his four-decade career on the edge of the music mainstream. This is despite a showering of critical acclaim and a host of high-profile fans including the movie star Scarlett Johansson, who recently recorded an album of Waits covers.

Waits' position on the periphery of pop music (he admits that the 60s scene largely passed him by), may be because he belongs to a bigger historical tradition -- that of the singer-storyteller that has its origin in folk music.

His music comes from a different place from most artists. A laconic, bar room philosopher with a wry sense of humor, Waits is an avowed fan of the Beat generation writer Jack Kerouac and the author and poet Charles Bukowski.

Many of his songs are stories containing a cast of characters from America's underbelly: the drunks and disenfranchised, the lost souls hiding out from life in seedy night spots.

It is the same world that Kerouac chronicled in his writings, including his most famous work "On the Road," which describes a journey across America in the late fifties.

Waits, who is notoriously interview-shy, acknowledged his debt to the author in a promotional interview to accompany the release of his 1974 album "The Heart of Saturday Night."

He said the record was a search for the "center of Saturday night," a quest he said that Kerouac himself had "relentlessly chased from one end of this country to the other, and I've attempted to scoop up a few diamonds of this magic that I see."

Waits' place in the folk tradition is something he has acknowledged, consciously or otherwise, in his music. In 1990, he wrote the music and lyrics for "The Black Rider: The Casting of the Magic Bullets," a theatrical collaboration with the American writer William Burroughs based on a German folktale.

Like all great writers, Waits is a conscientious observer of people and their strange foibles. Born in Pomona, CA. he moved to Los Angeles in the late sixties to pursue his music career, finding work as a doorman at an LA nightspot.

It was at this time that he honed his skills as a storyteller, eavesdropping on the lives of others.

"I was picking up people's conversations in all-night coffee shops - ambulance drivers, cabdrivers, street sweepers," he said in an interview with The New Yorker. "I did research there as an evening curator, and I started writing gingerly. I thought at some point I'd like to forge it all into something meaningful, and give it dignity."

The results of this labor are songs like "Frank's Wild Years," a hilarious and sinister tale of a man -- Frank -- trapped in suburbia with a wife and pet dog that has a skin disease.

The song is spoken in a lounge room style over a soft jazz accompaniment, and like much of Waits' work it drips irony: "They had a thoroughly modern kitchen/ Self-cleaning oven (the whole bit)/ Frank drove a little sedan/ They were so happy."

In a 1983 promotional interview published by his then record company Island, Waits credits a short story by Bukowski with giving him some of the inspiration for the song.

"Bukowski had a story that essentially was saying that it's the little things that drive men mad," Waits said. "It's not World War II. It's the broken shoe lace when there is no time left that sends men completely out of their minds.

"I think there is a little bit of Frank in everybody."

In the song, Frank eventually runs amok, setting fire to the family home and blazing a trail up the Hollywood freeway because, as Waits quips in the pay-off "he never could stand that dog."

This taste for the absurd carried into his recent live show with the set for the "Glitter and Doom" tour decked in a bizarre array of old speaker cones. Waits took to the stage dressed in a Chaplinesque suit, delivering his set from a slightly raised platform that gave up a cloud of dust each time he bashed his feet into it.

In spite of the entreaties from the crowd he kept quiet between songs at first. Eventually after a few numbers he broke his silence. "This is a lopsided love song," he rasped, introducing the next track. "By that I mean the person doing it is lopsided, not the song itself."

Lopsided or not, it's an authentic voice we could surely do with hearing more from.

@highlight

Singer songwriter Tom Waits has won critical acclaim for his music

@highlight

His strange tales of the seedy side of America have attracted a cult following

@highlight

The actress Scarlett Johansson is a fan and recorded a recent tribute album

@highlight

Waits counts U.S. writers Jack Kerouac and Charles Bukowski as influences