Washington (CNN) -- A narrowly passed committee measure that recommends the United States recognize the 1915 killings of ethnic Armenians in Ottoman Turkey as genocide will likely not get a full vote in the House of Representatives, according to a senior State Department official.

The official said Friday that the State Department has an understanding with House leadership on the issue, and, "We believe it will stop where it is."

The measure passed 23-22 in the House Foreign Affairs Committee on Thursday.

In response, Turkey ordered its ambassador to the United States home for "consultation," Foreign Ministry spokesman Burak Ozugergin told CNN.

The nearly century-old issue has placed both Congress and the White House in the middle of a political minefield, balancing moral considerations with both domestic and international concerns.

The Obama administration had urged the House Foreign Affairs Committee not to pass the resolution, warning it could damage U.S.-Turkish relations and jeopardize efforts to normalize relations between Turkey and its neighbor Armenia. The two do not share formal diplomatic relations.

Secretary of State Hillary Clinton told reporters Friday that "the Obama administration strongly opposes the resolution that was passed by only one vote in the House committee, and we'll work very hard to make sure it does not go to the House floor."

State Department spokesman P.J. Crowley told reporters ahead of the vote that the United States was concerned about the impact the vote could potentially have on U.S.-Turkish relations. Turkey, among other things, is considered a strong American ally and is home to a critical U.S. air base.

Armenia's foreign minister, Edward Nalbandian, said his country highly appreciates the committee's vote. "This is another proof of the devotion of the American people to universal human values and is an important step toward the prevention of the crimes against humanity," he said. The Armenian National Committee of America said the passage of the measure shows that "Turkey doesn't get a vote or a veto in the U.S. Congress."

Turkish officials vehemently oppose the measure.

"Turkey is saddened by the bill that has been accepted in the Foreign Affairs Committee today [Thursday]," Turkish Prime Minister Recep Tayyip Erdogan's Web site said.

"We condemn this bill that accuses the Turkish nation of a crime it has not committed. The people who support this bill have adopted a wrong and unfair attitude, ignoring the differences of opinion of expert historians and historical facts. The bill has been prepared with tangible historical mistakes regarding the 1915 incidents and with a completely subjective attitude," the statement said.

A Turkish Foreign Ministry spokesman recently issued a public warning that passage of a resolution labeling the World War I killings as genocide "would harm U.S.-Turkish relations." Turkish officials have also warned that passing the resolution could hurt a historic agreement aimed at normalizing relations between Turkey and Armenia, and efforts to reopen their long-closed border.

"It would harm the normalization process," spokesman Ozugergin said. "And it is wrong. The substance is also wrong."

Turkey officially denies a genocide took place in the last days of the crumbling Ottoman Empire. Ankara instead says that Muslim Turks and Christian Armenians massacred each other on the killing fields of World War I.

Historians have extensively documented the Ottoman military's forced death-march of hundreds of thousands of ethnic Armenians into the Syrian desert in 1915. Every April 24, Armenians worldwide observe a remembrance day for those killed.

The killings decimated the Armenian population in what is modern-day eastern Turkey.

The government in the Armenian capital of Yerevan and influential Armenian diaspora groups have been urging countries around the world to formally label the events of 1915 "genocide."

"I don't pretend to be a professional historian," Foreign Affairs Committee Chairman Howard Berman, D-California, said ahead of Thursday's vote. "But the vast majority of experts ... agree that the tragic massacres of the Armenians constitute genocide."

Rep. Gary Ackerman, D-New York, acknowledged that Turkey is an "important, strong [and] necessary ally of the United States." But "overriding all of that," he said, "is the issue of justice and the issue of history. ... History has to be righted."

Opponents of the resolution had expressed sympathy toward the victims of the 1915 killings, but said current political concerns took priority.

Rep. Mike Pence, R-Indiana, praised the committee's "sincere effort" to illuminate "a dark chapter in history," but said the committee should not pass the measure.

"I do not minimize the horror that took place," he said. But "now is not the time for this committee of the American Congress to take up the measure that is now before us."

Turkey is a strategic partner of U.S. efforts in Iraq and Afghanistan, he said.

Furthermore, the logistical support provided by the U.S. base in Incirlik, Turkey, is a "staple" of American power in the Middle East, he asserted. "In a time of war," the United States should not "take the relationship [with Turkey] for granted."

Rep. Gerry Connolly, D-Virginia, argued that Congress should not do anything to undermine the Turkish government, which is a "secular alternative model for the Muslim world."

"I hate this vote," he said. "The United States has a great deal at stake in the Turkish relationship." Congress shouldn't "pontificate on this issue" and then pretend "there will be no consequences," he warned.

Last year, the foreign ministers of Turkey and Armenia signed a series of protocols aimed at establishing embassies in Ankara and Yerevan. The U.S.-, European- and Russian-backed agreement also called for the creation of an international committee of historians to examine archives and "restore mutual confidence between the two nations."

In October 2009, Armenia's president traveled to Turkey to attend a historic soccer match between the two countries' national teams. Despite this round of "football diplomacy," the diplomatic overture between the two capitals has slowed in recent months.

A previous resolution recognizing the Armenian "genocide" was approved by the House Foreign Affairs Committee In 2007. The Turkish government protested by temporarily recalling its ambassador from Washington.

The resolution did not make it to the House floor.

CNN's Ivan Watson, Elise Labott and Alan Silverleib contributed to this report.

@highlight

Measure: U.S. should recognize 1915 killings of Armenians in Turkey as genocide

@highlight

House committee passed the measure by one vote on Friday

@highlight

Move has strained relations with crucial ally, but is hailed by officials in Armenia

@highlight

"We believe it will stop where it is," senior State Dept. official says of measure