WASHINGTON (CNN) -- House Democrats unveiled their revised version of health care reform Tuesday, offering a proposal that includes a government-funded health insurance option, requires both individuals and employers to participate, and taxes the wealthy to help cover costs.

President Obama has urged Congress to work quickly on creating a health care reform bill.

Democratic House leaders said the measure, titled "America's Affordable Health Choices Act," met the requirements set by President Obama for health care reform by lowering costs to consumers and businesses, letting people keep their current plan if desired, and preventing denial of coverage due to pre-existing medical conditions.

"The House proposal will begin the process of fixing what's broken about our health care system, reducing costs for all, building on what works, and covering an estimated 97 percent of all Americans," Obama said in a written statement. "And by emphasizing prevention and wellness, it will also help improve the quality of health care for every American."

Rep. Henry Waxman, D-California, said the bill is intended to repair a "dysfunctional" health care system that is draining the U.S. economy while leaving 46 million Americans without health insurance.

"We are going to accomplish what many people felt wouldn't happen in our lifetime," he said.

But House Republicans slammed the Democrats' bill and pledged to try to amend it as three House committees begin considering the legislation later this week.

Rep. Roy Blunt, R-Missouri, said the bill "without any question will kill jobs, will limit access to health care, will raise taxes and will lead to a government takeover of health care." Blunt said he will offer an amendment requiring all elected federal officials, including Obama and Vice President Joe Biden, to enroll in the new public insurance option.

Republicans and some fiscally conservative Democrats also question the cost of health care reform. An earlier draft of the House Democrats' bill carried a price tag of $1 trillion over 10 years.

The Congressional Budget Office said the revised house bill also would cost $1 trillion. However, a senior Democratic House committee staffer said the CBO analysis only covered costs without factoring in cost-saving measures worth $500 billion over 10 years or the revenue from tax surcharges on wealthy Americans, estimated to raise more than $500 billion over a decade.

According to the CBO, the bill would cover 97 percent of Americans by 2015.

The bill includes tax surcharges on Americans in the top 1.2 percent of income. It proposes a 5.4 percent surtax on couples earning more than $1 million, a 1.5 percent surtax on couples with income between $500,000 and $1 million, and a 1 percent surtax on joint incomes over $350,000 or individual income over $280,000.

Anticipating Republican complaints that the tax surcharges would harm small business owners who report their income as personal, Democratic sponsors said the measure would affect less than 5 percent of all small business owners.

Specific provisions of the bill include:

-- A Health Insurance Exchange providing individuals and small business with choices for coverage, including a government-funded public option.

-- No more coverage exclusion for pre-existing conditions.

-- Affordability credits for low- and moderate-income individuals and families, available to those with incomes up to 400 percent of the federal poverty level, or $43,000 for individuals and $88,000 for a family of four.

-- Limits on annual out-of-pocket spending.

-- Expanded Medicaid coverage to individuals and families with incomes at or below 133 percent of the federal poverty level.

-- Required participation by individuals, with a penalty of 2.5 percent of adjusted gross income for non-compliance.

-- Requirement that businesses with payrolls exceeding $250,000 provide their employees with health coverage or contribute up to 8 percent of their payroll on their behalf.

-- A series of measures intended to reduce costs of Medicaid, Medicare and other existing systems.

A statement Tuesday from the U.S. Chamber of Commerce and other business groups opposed some of the bill's proposals, calling for market forces and employer autonomy instead of mandated participation by businesses.

"Exempting some micro-businesses will not prevent this provision from killing many jobs," the statement said.

The House bill now goes to three committees for debate and revision before consideration by the full chamber. The Senate also is considering health reform measures that contain some of the House bill provisions.

Obama has said he wants both chambers to pass their respective proposals before Congress goes on its August recess as part of a timetable to get a final bill to his desk by the end of the year.

House Republican Whip Eric Cantor of Virginia argued that the current economic conditions mean Congress should take its time on a major overhaul of the health care system.

"There's no need for us to be rushing into passing legislation before the end of this month at the potential cost of, really, millions of jobs," Cantor said Tuesday.

A CNN-Opinion Research Corp. survey released July 1 found that a slim majority -- 51 percent -- support Obama's health care plans, but most worry that their costs would go up, and only one in five think their families would be better off.

CNN's Deirdre Walsh contributed to this story

@highlight

It offers government-funded health insurance option and taxes wealthy

@highlight

Leaders say it meets Obama's requirements on health care reform

@highlight

GOP, some fiscally conservative Democrats oppose components