(CNN)President Barack Obama has sent a letter to Congress requesting a resolution that will grant him authority to use military force against ISIS. In an effort to placate opponents of military intervention in both parties, the administration has hedged the request by including language that restricts "enduring offensive ground forces" and limits any intervention to three years. He sent a letter with the request promising Congress that he would not authorize "long-term, large scale ground combat operations" as occurred in Iraq or Afghanistan. With that language, he then does ask for authorization to use ground troops.

There is no reason not to take Obama at his word with what would be the first authorization for the use of force since 2002 when President George W. Bush requested this to conduct strikes against Iraq. Obama has usually been hesitant to use large-scale force unless it is absolutely necessary to protect the nation's interest, and he has shown a clear preference for other methods of combatting terrorism -- from the use of targeted drone air wars to diplomatic initiatives. Obama, who came into office railing against Bush's use of wars in Afghanistan and Iraq, both of which he has drawn down, is not eager to jump into another major conflict.

Yet the history of these kinds of resolutions should give Congress pause.

For a start, lawmakers will have to be extraordinarily vigilant in how they word the resolution and make very clear the kind of limits that they want to impose, and to live by. The reality is that even when presidents have promised to use limited force, the nature of foreign conflict has a logic of its own. Pressure can escalate to support intervention.

Within the United States, the dynamics of politics can drive both parties toward a more hawkish stand, relying on the most liberal interpretation of the war powers that had formally been granted. "What does it mean," asked Sen. Dick Durbin, D-Illinois, about the term "enduring offensive ground operations? How long, how big is 'enduring'? 'Offensive', what's 'offensive' when it comes to the Department of Defense?"

We have seen this dynamic repeatedly in recent American history. Most famously, we saw Lyndon Johnson approach Congress in August 1964 to request a resolution authorizing the use of force in response to alleged communist attacks against U.S. Navy ships in the Gulf of Tonkin. Back then, Johnson sent word to members, through Sen. William Fulbright of Arkansas, that he only wanted power to deal with this specific incident. Fulbright told fellow senators that if Johnson wanted to do anything bigger he would return to Capitol Hill to request their support.

That's not how the war unfolded. Just as Harry Truman had seen with the conflict in Korea, Johnson kept steadily escalating the military presence in a conflict that would consume his presidency. And while there were a number of legislators who stood up against the war, warning that it was a mistake and threatening to use budgetary power to stop the President, the conflict proved extraordinarily difficult to control. Indeed, far more legislators gave their support to the operation once it had started. Proponents of the war in both parties did a good job of isolating opponents of the war as dangerous, unpatriotic radicals who were not willing to support the fight against communism. The strength of the Vietcong and the North Vietnamese army, meanwhile, constantly created pressure to intensify the conflict.

The same dynamics were at work even when presidents did exercise restraint. In 1991, President George H.W. Bush asked for support to employ force to remove Saddam Hussein's Iraqi forces from Kuwait. In that case, in the short term, the elder Bush lived up to his word and ended the mission once it was complete.

The problem was that the dynamics of the region created ongoing pressure for military intervention. Once the United States had formally announced that Hussein was a threat, it was difficult to ignore the continued provocations, and when Hussein continued to violate U.N. resolutions, there was ongoing pressure to employ force. The continued presence of troops in the region after Operation Desert Storm, meanwhile, triggered intense animosity that helped fuel the creation and spread of al Qaeda.

After 9/11, President George W. Bush sought war power to combat the forces that had been responsible for the horrendous attacks. Initially, this was the focus. But that quickly escalated. First Congress passed a resolution in 2001 granting Bush sweeping wartime powers, a resolution that Obama's current request would leave in place even if many critics have argued that it has been used far too liberally. In 2002, Bush built on this to seek a resolution using force against Iraq. Similarly congressional-approved counterterrorism surveillance programs would be used in the same fashion.

While it's not always the case, wars can often get bigger and bigger -- so-called mission creep. If Congress is not extraordinarily careful with how it crafts the resolution, initial authority can quickly become the basis for ongoing, large-scale and prolonged intervention -- far beyond what legislators originally intended.

All this means that when the president sends such a request to Congress, legislators in both parties should take seriously their responsibility to ensure that the language is as tight as possible and that their intentions are clear. They should also use this moment to revisit the 2001 authorization.

And once they have done all this? That's when the toughest part begins. Because that is when Congress will have to live by its initial word and push back against any efforts to expand the mission in ways that go beyond the scope of the authorization. That will be much easier said than done.

@highlight

President Obama has sent military force request to Congress

@highlight

Julian Zelizer: Congress must be extraordinarily vigilant on wording