"We don't negotiate with terrorists," has long been the standard refrain of governments when it comes to violent extremists.

But these days, when it comes to the realm of social media, they are at least talking to them.

In recent years, the U.S. State Department has launched social media efforts to engage jihadists and their sympathizers online, contesting their claims with the intention of dissuading potential converts to Islamic extremism.

"We are actually giving al Qaeda the benefit of the doubt because we are answering their arguments," says Alberto Fernandez, coordinator of the State Department's Center for Strategic Counterterrorism Communications (CSCC), which runs the program. "The way I see it is we are participating in the marketplace of ideas."

That marketplace is now online, and the corners of it dedicated to Islamic extremist talk can be surreal, noisy, sometimes horrifying places.

Jihadist social media: Decapitations, appeals for wives

Like no conflict before, the Syrian war, the prime focus of the world's jihadists, is being discussed, disputed -- and waged, in its propaganda aspects -- on social media.

The content ranges from the shockingly grisly to the bizarre. Combatants post photos of decapitated heads as trophies of battlefield victories, or images of victims from their own side, captioned with vows to avenge them.

Links to grainy phone-camera footage abound, documenting everything from group executions, to a video appeal summoning Muslim women to come to Syria to find a husband among the Islamist rebels. On Twitter, jihadists post their theological quandaries: how to watch football when it means being exposed to men's bare legs?

Often informed by the memes and language of the broader Internet, the content is disseminated swiftly around the world through a diverse network of jihadists and their supporters, journalists, analysts and onlookers.

In this way, social media has become a prime conduit for motivating budding extremists to take up arms.

A study recently published by researchers at King's College London traces how Western-based radical preachers with strong social media influence have inspired a wave of Western Muslims to fight in Syria, where they are now estimated to account for about a quarter of the 11,000 foreign jihadists in the country.

In response to this threat, the U.S. government has been "messaging" in social media in Arabic, Urdu and Somali for three years now, attempting to penetrate the virtual echo chambers of jihadist thought with contrary points of view.

But it is only since their English-language Twitter feed was launched in December, becoming a pugnacious new voice in the conversation, that their efforts have increasingly drawn attention -- and raised eyebrows -- in the West.

This development has led to the spectacle of the U.S. government publicly bickering with jihadists and their ideological fellow travelers on social media, debating Syria, the War on Terror, "the clash of civilizations" in 140-character bursts.

A typical exchange occurred recently when a pro-jihadist Twitter user admiringly posted an image of a desecrated Buddha of Bamiyan, one of the monumental statues in Afghanistan destroyed by the Taliban in 2001. The CSCC account tweeted in response: "Destroying ancient culture out of hatred and backwardness are a feature of al Qaeda's ideology."

"Crying about so-called ancient culture when there was no food and children were dying out of hunger," scoffed the Islamist. "The shortage of food in Afghanistan was due to Taliban's disastrous policies," replied the State Department account.

Another user chimed in with a tweet at the State Department: "Al Qaeda just bombed a kindergarten and school with your funding and guns."

Trolling the terrorists?

Some observers have been dismissive of the State Department's efforts, conducted under the banner: "Think Again, Turn Away." Jonathan Krohn, a journalist who, with a colleague, has launched a Twitter account and podcast dedicated to jihadist social media, and sometimes tussles with the State Department account online, describes their activities as "trolling."

"As a psy-op tool, it's pretty laughable," he said. "They target journalists and analysts with as much verve as attacking jihadis."

But others say the efforts appear to having some success at "getting in the heads" of senior Islamic militants.

"For years, al Qaeda had gotten in the heads of the U.S. government, and the U.S. government had become very sensitive to various al Qaeda talking points," says Will McCants, a scholar of militant Islam at the Brookings Institution, who was involved in setting up the CSCC.

"I felt there's no reason why we can't return that favor... The more you can make them think on these points, the more you can damage their credibility and shape their behavior."

For his part, Fernandez, a former U.S. ambassador to Equatorial Guinea, rejects the "State Department troll" label.

"Some people use that because I think it's convenient shorthand for an adversarial relationship," he said. "To me, (a troll) ... is a person who is annoying and obnoxious and stupid. Well, we're none of those things, because we're answering their charges with facts."

But he admits to drawing on the same emotional arsenal as an Internet troll in the center's work.

"People who study the Internet more than I do... mention that the two things that motivate people the most when it comes to social media are comedy and anger," he said. "If you're talking about al Qaeda -- let's face it, it's going to be negative. So it might as well be pointed."

'An ungoverned space'

For the U.S. government, entering the social media fray to argue with terrorists has required a substantial paradigm shift. The default posture had been not to dignify the extremists with a response. But gradually, said Fernandez, the government realized that doing so was simply surrendering ground to their opponents.

"We seek to contest space that previously had been ceded to our adversary," he said. Al Qaeda tends to thrive in "the ungoverned spaces of the world," such as "the Sahara desert, or places in Somalia or Yemen or Syria. The Internet is also an ungoverned space, so it's an area of opportunity for them."

Al Qaeda has long publicly acknowledged the crucial importance of propaganda to their cause, he said, with its leader Ayman al-Zawahiri quoted as saying that "more than half" their battle to win the hearts and minds of Muslims was being waged through media.

"We in the West think kinetic strikes or arresting people or fighting... that's important," said Fernandez. "Media stuff... it's secondary or tertiary. Al Qaeda doesn't see it that way."

The aim was also, broadly, to make "life more difficult for the extremists." "It's very easy if you're out there and able to say whatever you want and nobody contradicts you," said Fernandez.

READ MORE: Unsettling video shows large al Qaeda meeting in Yemen

McCants said the online space taken up by jihadist chatter has expanded and become much more diffuse in recent years, as it had migrated from discussion boards to social media platforms like Twitter, and been increasingly conducted in English.

"There are many more people talking," he said, adding that while that meant they could be harder to find, "once you find them you really can insert yourself and engage directly. They have to listen to it, at least until they block you."

Fernandez said the CSCC's efforts were aimed not at converting extremists -- although "it would be nice" -- but reaching the wider audience of onlookers that jihadists were trying to influence. "In a way, we're picking a fight with the extremists, because the extremists are there to radicalize other people," he said.

Their "bread and butter" was using jihadists' own content to make the case against them, he said, such as when they recently hijacked a hashtag in Arabic -- "accomplishments of the Islamic state" -- that had been started by supporters of the bloodthirsty Islamist militant group ISIS.

The CSCC account used the hashtag on 176 tweets that Fernandez said listed the true achievements of ISIS: "Things like poverty, murder, detracting from the decency of the Syrian revolution, helping the Assad regime by trading oil with them."

Is it working?

Studies have pointed to the potential shortcomings of this kind of work: that the counter-messaging is simply ignored, as Krohn suggests it often is, or stirs up antagonism by providing an opponent for extremists to rally against.

So is the project working well enough to justify its 50 staff and a $5 million a year budget?

Fernandez says feedback had been positive and the work would continue, although it was difficult to quantify results objectively. "We are never going to know ... unless they put up their hand and say 'I saw your stuff and decided not to become a terrorist'," he said. "You're almost never going to get that."

The initiative, already active across Twitter, Facebook and YouTube, would look to branch out to other social media where jihadists were active. "What about Ask.fm? What about Instagram? What about Pinterest?" said Fernandez. "In a way, we're mirroring or shadowing what they do."

McCants said he considered the program "a qualified success," and that criticisms of the work tended not to be data-driven.

"I don't think anyone believes this has been a dramatic blow against terrorism recruitment... But I think on this particular measure of getting inside the heads of terrorist recruiters and leaders -- at least in the al Qaeda orbit -- it has been successful."

He believed jihadist groups had been rattled by certain of the CSCC's claims -- in particular, that the victims of Islamic extremists were predominantly other Muslims. It was possible to tell when messaging had struck a nerve, he said, as jihadist leaders would typically respond "by putting messages out on the discussion boards saying, 'Listen, they're putting these lies out, don't engage them'."

"We got quite good at this during the Cold War, and then we forgot, because as the only superpower, we didn't really have to do it," he said. "(But) the U.S. government is rediscovering its skills in this sort of thing."

WATCH: What new video reveals about al Qaeda

WATCH: New al Qaeda video raises serious questions

@highlight

The U.S. State Department has begun engaging with Muslim extremists on social media

@highlight

It hopes to dissuade potential Islamic militants by presenting an alternative viewpoint

@highlight

Some have derided the initiative as 'trolling,' while others say it is rattling jihadist leaders

@highlight

Social media has become a vital recruiting ground for Islamic extremists