(CNN) -- President Barack Obama has properly decided to go to Congress and then the American people this week to reveal his strategy to degrade and destroy the Islamic State of Iraq and the Levant (ISIL or ISIS). To paraphrase former White House Chief of Staff Rahm Emanuel, this is a crisis the President should not waste. How individual members of Congress respond to this call should matter and should be a 2014 election issue -- the duck and blame game stops here.

Since September 11, 2001, the relationship between Congress and the president has collapsed. Following the lead of President George W. Bush, President Obama has used Article II commander-in-chief authorities, plus the quaint and seemingly ancient 2001 Authorization for Use of Military Force, or AUMF, to hijack Congress' constitutional responsibility over war and peace.

As a member of Congress, I witnessed the transformation. I was there on 9/11 and a senior member of the House Intelligence Committee. But House Speaker John Boehner, The New York Times recently pointed out, is the only member of House Republican leadership who was in office on the day that changed this country. And Democrats have faced turnover, too; institutional memory of a time before the 2001 AUMF is fading fast.

Speaking to Chuck Todd for "Meet the Press" this weekend, Obama suggested he has "the authorization he needs" for the mission he has in mind,- but no one is clear on what authority he's invoking. Jack Goldsmith, writing for Lawfare, suggested recently that the Obama administration might think it can restart the War Powers clock with each notification it sends to Congress. By this otherworldly interpretation, we aren't fighting a war with ISIL, we're picking a dozen sequential fights with ISIL (which calls itself the "Islamic State"), and will continue doing so until the President decides he has achieved his objectives.

With all this going on, it's no wonder that we've struggled to craft a coherent response to this depraved band of thugs. There's a reason Obama doesn't feel able to trust this hyper-partisan Congress, but this is a poor way of shaping strategy. It's also an attitude that blows the War Powers Resolution to pieces and evokes Richard Nixon's actions in Vietnam.

But it doesn't have to be this way. A change can start immediately, at no cost to the President.

When he speaks with congressional leaders, Obama should -- at the very least -- be explicit about what he believes his authorities to be. Can he strike Syria on his own authority? Can he keep up the air campaign in Iraq indefinitely by hitting the snooze button on the War Powers alarm every few weeks? If he believes the answer is yes, Congress deserves to know as much. But if the President believes he has these authorities, he's setting a very dangerous precedent. He does need a vote -- and he should want it, too.

President Obama has an opportunity to unite Congress and the American people behind a cause on which they seem (for a change) to agree. This is not the same country that Obama addressed last year, when Syrian President Bashar al-Assad's use of chemical weapons came to light. In September 2013, 55% of Americans opposed airstrikes against al-Assad even if the President were to secure congressional approval. Today, 60% of Americans, including majorities in both parties, support air and drone strikes against ISIL in Syria.

If the President will explain and defend his plan for countering ISIL, he likely has a congressional and public majority ready to back it. Its outlines are clear: no American boots on the ground; strikes on ISIL wherever it is (Iraq, Syria, and beyond if necessary); sustained support for the Kurds, Syrian opposition fighters, and Iraqi troops on the front lines; and a coalition of Western and Arab nations dedicated to shepherding ISIL into its grave. This seems to be the fight that President Obama already has in mind.

On Tuesday, he should ask congressional leaders for the authority to wage it. On Wednesday, he should be clear about his objectives and the costs, and he should ask the American people for their support. And on Thursday, we should hope to mark a sea change in the way the United States conducts foreign policy.

We used to treat these debates with reverence. Describing the vote to authorize the use of military force in the Gulf War, venerable Sen. Robert Byrd said, "I've cast 12,822 votes during my 39 years in Congress, but this vote is the most important vote that I shall have cast in my career." We could use more of that spirit today -- and we'll need it when the next threat, whatever it may be, rears its head. After all, the current dysfunction is deeper than ISIL.

The fact is that this crisis can be an opportunity for both ends of Pennsylvania Avenue. Voters are paying attention. The duck and blame game on this issue isn't good politics -- and it's reckless policy.

@highlight

Jane Harman: President Obama is right to go to Congress over ISIS strategy

@highlight

Since 9/11, relationship between Congress, president has collapsed, Harman says

@highlight

Poll: 60% of Americans support air and drone strikes against ISIS in Syria

@highlight

Crisis over ISIS can be seen as opportunity to abandon blame-game politics, Harman adds