(CNN) -- Months after Comair Flight 5191's deadly accident in Lexington, Kentucky, in 2006, I continued to look through the thousands of pages of official evidence to understand what happened.

Although this was my fifth airline accident investigation, no matter how many times I examined the documents, there simply was no egregious act leading up to the disaster's key event: The airliner took off from the wrong runway.

Then it dawned on me -- and shook me to my core. As a captain flying the same type of aircraft in and out of the same airport, I could have had the same takeoff accident.

This could have been me.

This was not some troubled crew, but one that had been praised for their safety standards and passion for flying. While pouring over the accident "facts," I could not help but notice how normal everything seemed early that morning. The documents painted the picture. This looked like any other morning I had experienced as an airline pilot. But yet, something was terribly wrong, we had just suffered the worst U.S. airline accident in five years and 49 passengers and crew were dead.

How would we ever put our finger on one item and identify it as the factor with which in its absence the accident would not have occurred? How do we establish this one component as being more important in causation as compared to the others discovered? And in the United States we do this even if the evidence still does not support it.

We do it because we have to, and the federal organization that investigates plane crashes, the National Transportation Safety Board, has no choice. At least right now.

When NTSB investigators are finished walking through the rubble and sifting through the broken parts, they analyze the results and offer up what -- for some people -- are palatable answers.

These answers might include phrases such as "He failed to do this..." or "She did not follow a procedure," explanations that strip away the confusion and reveal a supposed weak link in an otherwise robust transportation system. These explanations satisfy our desire to understand how order can become disorder so quickly.

These single cause explanations unfortunately read like who is to blame. When the NTSB was created by Congress more than 40 years ago, lawmakers ordered them not to assign blame. But Congress did command the NTSB to find a probable cause. However, using single, narrow explanations -- with qualifiers such as "failed to" or "did not" when aimed at a single incident or person -- does just that. Single explanations fall short of answering a larger, perhaps more important question: Why?

Why did "he fail to do this?" Or "Why did she not follow procedure" This is where the true lever for change firmly rests. The missed opportunity to truly understand the complexity of these events. As seen in the recent hearings surrounding last year's crash landing of Asiana Flight 214, the complexity is evident and is painfully clear that you cannot choose one thing to stand above the rest. You cannot say that one item of interest was the most important at the expense of other causal roles taking a backseat. Maybe some are more central to the final act moments to the event, but there is no metric for determining which event is the one that goes to the top of the list and everything takes a lesser role.

Why are we so convinced that we can? In fact, sizable research into these events shows that it is simply wasted energy to try to do so. Why are we so focused on trying to find that one elusive smoking gun when it is never really there?

This is why many countries no longer try. The United States is one of the last industrialized nations that still tries to find a single cause to these complex transportation accidents. This is an impossible task left over from an outdated congressional mandate that has caused the United States to lag behind in accident investigation.

For example, in Canada, the Transport Safety Board has done away with causal statements altogether. Instead, it lists its findings and recommendations -- thus avoiding an artificially narrow focus on blaming a few things or people. It recognizes as do many other countries that it is a futile effort.

After an accident last year, Canada's TSB chair Wendy Tadros reported: "We hold by the theory that no accident is ever caused by one thing. It's always a series of things, and it always involves an organization and how they operate. We need to look deeply into that. It never comes down to one individual."

She is right.

Years ago when our congressional mandate was written, investigative methods were still in their infancy. Additionally, over the past 20 years, increased regulatory oversight, improved engineering methods and better procedures to name a few have helped reduce the number of deadly airline accidents to its lowest in history.

Single factors by themselves do not "cause" safety. Why would a single factor also be responsible for an accident? So why do we continue to offer explanations to the traveling public at the expense of improving the larger system?

Do we really believe that a single human decision could topple a safe transportation system?

Fourteen years ago, a Rand Study of the NTSB titled "Safety in the Skies" specifically addressed the issue of single, probable cause. One recommendation said, "the NTSB should move away from simplistic, one-line probable cause statements, and instead consistently adopt a comprehensive statement that reflects the reality that a modern aircraft accident is rarely the result of a single error or failure."

After the Comair accident, then-NTSB board member Deborah Hersman, who is the current NTSB chairman, stated the same concern in a statement at the end of the accident report.

"I do suggest that the Safety Board should explore other approaches to determining probable cause or causes as a way to refine our approach and if necessary, ask Congress to grant us the statutory relief needed to structure our probable cause findings to be more comprehensive."

It's an idea that has been sitting around longer than the Rand report. What are we waiting for?

Do we think these accidents will become less complex with time, or that our systems are so brittle that despite safeguards and resilience they will collapse with a single inevitable human error? Of course not. Then why do we still try to find the one item that did?

I think the traveling American public deserves the same breadth of investigative findings that other world citizens are offered. If we hope to improve upon the currently stalled accident rate, we must -- like the rest of the world -- move beyond artificially narrowed construction of causation statements and truly see the events before us as they are instead of forcing them into an outdated congressional mandate of single cause.

Congress, it's your move.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Shawn Pruchnicki.

@highlight

Comair Flight 5191 investigator on crash that killed 49: This could have been me

@highlight

Shawn Pruchnicki says crash probes should cast wider net beyond a single factor

@highlight

The U.S. is one of the last industrialized nations that still does it, Pruchnicki says

@highlight

Pruchnicki calls on Congress to change the NTSB's mandate