(CNN) -- For most of his 70 years, Hesiquio Trevizo has been a man of good will, preaching the word of God. These days, the Roman Catholic priest is a self-described capitan de la guerra -- a war veteran.

That he should feel so within the confines of the sanctuary tells all about the violence and pervasive fear that have gripped the border city of Ciudad Juarez, Mexico.

"None of us are entirely safe from organized crime. Not even priests," Trevizo says.

He laughs, awkwardly. Trepidation leaks out with every word.

Perhaps the most important aspect of his job as a priest makes him a potential target for organized crime. Criminals know that grisly details of violence have spilled out in the privacy of the confessional, and crime bosses would rather not have those details repeated or remembered.

A bloody war between Mexico's drug cartels has changed every facet of life in places such as Juarez, where death figures compare to those in war-ravaged Baghdad or Kabul. Even the untouchable aura of clerics in the world's second-biggest Catholic country is being challenged.

In 2009, more than 2,575 people were homicide victims of organized crime. As of Monday, 230 killings had been recorded in Juarez this year, state attorney general's office spokesman Arturo Sandoval told CNN.

All of the estimated 1.4 million residents in Juarez -- just across the border from El Paso, Texas -- have been affected, if only indirectly, by an escalating turf war between the Sinaloa cartel and the Vicente Carillo Fuentes cartel, better known as the Juarez cartel.

The fallout, mainly over Juarez's trafficking route, has turned once-close allies into deadly rivals.

Until about 2001, the two cartels operated with mutual respect, navigating the territory almost harmoniously and sometimes working together to transport drugs from the region to the insatiable market of drug users in the United States. But now, a crackdown by President Felipe Calderon, coupled with dissolved trusts among key cartel members, have created knee-jerk chaos.

Gangs affiliated with the cartels have heightened the violence as they fight for turf in street-level sales, Juarez Mayor Jose Reyes Ferriz told CNN.

Juarez was once a city where innocents were safe, but that memory is fading fast. Even those who aren't aligned with the drug trade have been targeted, among them priests. They were once revered in Mexican communities, but a collar is not protection anymore in the violent clashes over territory and power.

Trevizo, who ought to fear nothing, watches his back. He agreed to be interviewed by CNN, but balked at being photographed or even having a photo of his church published, citing safety concerns.

Suspicions dictate his decisions. He closes the doors to his church earlier. At Sunday Mass, he asks parishioners to enter through a specific door rather than flock in from every direction. The church offices are dead-bolted shut.

The paralysis-like atmosphere spills onto the streets, shops and residences of Juarez, where incredulous people peep through window blinds and seemingly creep by in the streets.

Many residents escape from populated parts of town during the day and often stay home after dusk. Life goes on amid the violence, and added precautions are taken in stride.

Sometimes, Trevizo wonders who among his flock might leave the church and pick up an assault weapon. He does not know whether there are killers who step inside the sanctuary. But he knows there are victims.

He attended the funeral of a lawyer who was assassinated. During the procession, the lawyer's daughter was gunned down before Trevizo. The convoy she was in, which followed her father's casket, was ambushed by gunmen as it approached the cemetery.

Trevizo said he didn't know whether she was the target, but the lawyer was an outspoken critic of organized crime. Trevizo was uneasy when asked for other details.

"I can't explain to you what it's like to go to the funeral of someone you've prayed with," he said. But he mentally braces for more of the same.

Two weeks before Christmas, a gunman roughed up a priest at a nearby church. The attacker fled with the priest's wallet and mobile phone.

Sometimes in Juarez, violence happens because it can, because no one will think it extraordinary. Two weeks ago, the body of a sacristan -- a person charged with taking care of a church -- was found with fatal stab wounds in a church in western Juarez. No motive was apparent, a police spokesman told CNN.

There are those who take advantage of the chaos in a place like Juarez, Trevizo says. Some crimes are committed by petty thieves who pass themselves off as cartel members.

"Not all crime is organized," he said.

Trevizo spoke with CNN days after Juarez diocese Bishop Ascensio de Leon read an open letter to more than 1,000 parishioners at his church for Sunday Mass.

The letter, written by the bishops of Mexico, addressed organized crime. In the speech, Ascensio called for organized criminals to give up their lifestyle and turn to God. He also said priests in Juarez are now being extorted and threatened by organized criminals. To ensure that priests do not repeat what parishioners tell them, drug traffickers are sending a message.

"Yes, there have been some priests that have received threatening phone calls from narcotraficantes. Not me, but others. Bishop Ascensio has. I've been lucky. We're not necessarily singled out by them. We're victims like every other citizen. No more, no less," Trevizo says.

At least seven priests have been violently killed in Mexico since 2005, including being kidnapped, shot and beaten. Organized crime has been suspected in some of those cases, according to Manuel Corral, public relations secretary for Mexico's Council of Bishops. He estimated that 1,000 of the 15,000 priests in Mexico have been threatened in some way, and that 300 priests have been threatened directly.

In June 2009, the killings of a Catholic priest and two seminary students as they left a church in southern Mexico sparked outrage. The priest was reportedly singled out for denouncing cartel violence. He had rallied congregants to rise up against drug traffickers.

Especially in rural villages across Mexico -- where drug traffickers reign like kings and the military has no presence -- it is the Catholic Church and evangelists who are left as outspoken critics. However, in some of Mexico's poorest villages, it is unclear how closely the church and organized criminals operate. Some critics say churches have received large donations from traffickers.

For Trevizo and his brethren, faith is still central to much of life. But fear tests that faith, including the fear of being powerless to make things better.

CNN's Arthur Brice and Mariano Castillo contributed to this report.

@highlight

For Hesiquio Trevizo, fear of violence permeates his work and church

@highlight

Trevizo: "None of us are entirely safe from organized crime. Not even priests."

@highlight

He closes the doors to his church earlier; church offices are dead-bolted shut

@highlight

Juarez bishop: Drug traffickers don't want to take risk of confessions being repeated