(CNN) -- Once again, we confront the specter of a school day bathed in bloodshed. A 16-year-old, Alex Hribal, allegedly takes two long knives into a crowded corridor and sends 20 classmates and an adult to the hospital with grave injuries. Arraigned as an adult, Hribal looks all too familiar: thin, scared, vacant-eyed. He looks younger than his years as he is manacled and maneuvered into a police car.

We have not yet filled in a motive. Hribal's attorney says, "He worked well in groups, and this happened. So there's a reason for it -- that's what I'm saying. And we have to get to the bottom of that." And because it was knives, not guns, it was -- thankfully -- not a massacre. But much about the attack is familiar.

Fifteen years ago, my doctoral students and I devoted two years to studying rampage shootings in American high schools in response to the epidemic epitomized by the 1999 Columbine High School shootings. To try to understand what motivates school attackers, we interviewed everyone who had any knowledge of two episodes -- one near Paducah, Kentucky, and the other outside Jonesboro, Arkansas -- that took place in the late '90s. Congress wanted to know about the circumstances that led to these outbursts in communities that have no experience of murderous violence.

What we found at the center of the stories we followed were young men who looked a lot like Hribal. Rampage attacks happen in safe, relatively isolated communities. Indeed, they are most common in small rural towns where the biggest public "stage" is the local high school, the place the community gathers for events such as football games on Saturdays and everybody knows your name.

The perpetrators are often described in the media as loners, but they are not. They are most often "failed joiners," people who work overtime to ingratiate themselves into cliques that reject them. But they don't stop trying. Fading into the background, close to anonymous, but rarely ever thought of as troublemakers, the protagonists look for ways to gain acceptance and attention. They may act like clowns; they sometimes bully other children; they steal -- all to seek the approval of social groups that continuously deny them recognition.

In the instances we studied, all that effort starts to pay off the day they start talking about killing people. Suddenly they are the objects of attention. Everyone pivots toward them. They may even find their "friends" goading them. Michael Carneal, the shooter in Kentucky, resembled Hribal. Slight and short, he was a freshman who simply could not cut it in the world of high school peers. He was socially awkward and a bit of prankster, but he wasn't a loner.

Carneal tried to gain the friendship of many different social groups and finally landed in the laps of the Goths, boys who wore satanic garb and spoke in dark tones but who were actually among the smart ones. They told Carneal that the pistol he stole from home wasn't good enough, that he should come to school in a trench coat sporting a shotgun. Carneal was so eager to gain their approval that he followed these instructions almost to the letter.

Three kids huddled together in a prayer group were murdered, one was paralyzed from the waist down and a fifth was hit in the arms, her athletic career ended in an instant. But when Carneal shot these innocents, what was uppermost in his mind was not that he was going to kill kids but rather how this bold act would help him gain traction with the Goths. They would see him as notorious and dangerous rather than a loser who was awkward and boring.

He told the forensic psychiatrist who interviewed him after his arrest that he had found a route to popularity. The Goths would visit his house and invite him to their homes. He would have friends once he proved himself worthy of their respect.

We don't know yet if the Murrysville, Pennsylvania, suspect fits this profile. The surprise that so many of his schoolmates have expressed comes close to what teachers told us about Carneal: that they could have named 50 others who might have committed this kind of mayhem before they got to him. The son of a lawyer and a homemaker, until the previous year a good student, with no obvious interest in guns, Carneal was not on their radar screen. But many teenagers avoided school on the Monday that Carneal murdered his classmates because they knew something bad was coming.

One thing we should be grateful for: The attacker in Pennsylvania was armed only with knives. Had he had access to the weapons Carneal had, we would have seen dozens die rather than suffer these wounds. Knife attacks happen in countries such as Japan where guns are hard to access, and they have been lethal. Just not as deadly as a loaded high-capacity automatic weapon that requires a split second to gun down dozens of people.

This is small comfort in Murrysville.

@highlight

Katherine Newman has studied school rampages, says stabbing attack has echoes of them

@highlight

She says they tend to happen in "safe" rural towns and suspects first mislabeled as loners

@highlight

She says attackers often are "failed joiners" who seek acceptance in actions

@highlight

Newman: It's small comfort for Pennsylvania town that attacker used knives instead of guns