(CNN) -- If you are pregnant, ask your doctor questions about their delivery habits long before you go into labor.

Several studies now suggest doctors may be performing too many cesarean sections. Doctors may be performing them based more out of habit, training, expediency or worry about lawsuits than out of medical necessity, according to the studies.

A surgical birth, while generally safe, does carry more health risks and more expense. If a woman has a C-section once, it also increases the chances she'll need another if she gets pregnant again. Risks go up with each procedure.

The latest information comes from Consumer Reports. The nonprofit ranked hospitals based on the number of C-sections performed at each. Looking at hospital billing records the authors found the number of procedures performed vary wildly -- even at hospitals in the same town.

In Texas, for instance, 15% of births at El Paso's University Medical Center are C-sections; four miles away, at Sierra Medical Center, the rate is more than double that at 37%.

The Denver Health Medical Center earned Consumer Report's highest rating for low rate of C-sections. Doctors delivered 8% of babies by C-section; at Denver's Presbyterian-St. Luke's Medical Center, by comparison, 20% of the low-risk deliveries were C-sections.

The report looked at more than 1,500 hospitals in 22 states. Not all states make such information available -- something Consumer Reports said it hopes will change.

Overall, 66% of the hospitals in the report earned the organization's lowest or second-lowest rating for a high rate of C-sections. Only 12% got either of the organization's top scores for a low rate.

Nation gets "C" for preterm birth rates

"The variation is what gets you, that really is the thing," said Doris Peter, director of Consumer Reports' Health Ratings Center. "If you compare peer hospitals in urban areas that treat the same kind of patients -- meaning they share similar socioeconomic issues -- to have wildly different rates suggests that there is a problem here."

Sometimes C-sections are medically necessary, meaning either the life of the mother or her fetus would be endangered by a vaginal birth. But several studies found surgical births are being performed for low-risk pregnancies, too.

C-sections are generally considered safe, compared with vaginal births, but the surgery carries risks, including infection, increased bleeding, reactions to anesthesia and blood clots, according to the Mayo Clinic.

The rates vary regionally as well, according to the Centers for Disease Control and Prevention. More C-sections are performed in the South compared with the Mountain States, the West Coast and the Upper Midwest, which tend to have the lowest rates.

The South does have higher diabetes and obesity rates. Both lead to more medically challenged deliveries, as does the mother's age. The older she is, the more complications she may have.

Overall nearly one out of three women now give birth by C-section, according to the CDC.

That number has made medical associations uncomfortable. Making note of other studies that look at regional variations in surgical birth rates, the American Congress of Obstetricians and Gynecologists and Society for Maternal-Fetal Medicine issued guidelines in March. These are intended to help doctors make more informed decisions about which mothers need C-sections.

The high number of surgical births, plus the fact that fewer women or children die these days during the childbirth process, "raises significant concern that cesarean delivery is overused," according to the recommendations.

Definition of "term" pregnancy changing

Dr. Aaron Caughey, lead author of the report and recommendations, said he hopes these guidelines will raise awareness about this issue.

"Over the next five years, I would hope we will see a slow decline in the rate," Caughey said. But it "will be contingent on more people embracing the message and will have to involve people at the grass-roots level doing things in their practice that changes this trend."

The medical community started to see the number of C-sections going up during the 1970s when there was an increase in the ability to monitor the fetus' heartbeat.

"We didn't always know precisely how to interpret the data," Caughey said, adding at the time there was a "general abandonment of more aggressive vaginal deliveries."

The medical community still needs better research on fetal heart rates, he said. Monitoring the heart rate can tell a doctor if a fetus is in distress.

Doctors also do C-sections if they believe labor is "going on too long," according to the recommendations. However, that decision may be based on outdated research, according to Consumer Reports and other studies.

The American Congress of Obstetricians and Gynecologists and Society for Maternal-Fetal Medicine do recommend that "normal" labor should be a longer process than initially thought, and concluded doctors "should be more patient in the first and second phase of labor."

Doctors should not induce labor unless "it's an absolute medical necessity," according to the recommendations. Encouraging a woman to give birth before her body is ready increases the likelihood she'll need a surgical birth.

Doctors often perform C-sections if there is a possibility the baby will be large. The new guidelines said that may not always be warranted. A baby should be more than 11 pounds before inducing labor.

"Everyone can do better," Caughey said.

Consumer Reports' Peter agrees, saying that the women she talks to often don't know the extra health risks of having a C-section.

The best and worst place to give birth

"We want to get a dialogue going," Peter said. "We want the patient to go to her doctor and say, 'I'd like for us to find ways to avoid a C-section if possible.' Find a doctor that meets your needs in all practice patterns."

Most doctors likely will not know the number of C-sections they perform, Caughey said.

Even if a doctor does know it, the rate of the surgical deliveries they perform still may not give patients the perspective they would need. A doctor doing general rounds, for instance, could have to finish up a procedure another doctor started.

Or a doctor could be seeing a disproportionately older, heavier and sicker population, which would affect his or her rates of C-sections.

Caughey suggests women ask doctors about their general philosophy on C-sections.

"I think a healthy dialogue is always important for any kind of medical care," he said.

@highlight

C-section rates vary wildly among hospitals, Consumer Reports finds

@highlight

Nearly one out of three women gives birth by C-section, the CDC says

@highlight

C-sections carry higher health risks and expenses