(CNN) -- Al Shabaab, which has connections to al Qaeda, is a militant Islamist group that controls much of southern Somalia and is active around the capital, Somalia. It has waged an insurgency against the weak Transitional Federal Government since 2007.

How it started

Somalia has been without any functioning government since 1991 -- perfect territory for different militia and factions to fight over the bones of the old state. Al Shabaab (which means "the youth" in Somali) emerged in about 2004. Its gunmen were involved in a series of assassinations of Somalis who had connections to the West.

Al Shabaab began prospering when the Islamic Courts Union (ICU) seized the capital Mogadishu and much of central Somalia in 2006.

After defeating a coalition of warlords backed by the United States, the ICU brought Shariah-style justice to the capital, temporarily halting the anarchy in the city. Many people in the capital welcomed the greater security that the ICU brought, thanks in part to the effective fighting skills of several hundred Al Shabaab fighters.

Official: Al-Shabaab leaders contact Kenyan government to negotiate

Ethiopian invasion

Six months after the ICU established itself in Mogadishu, Ethiopia invaded Somalia, with backing from Washington. Both governments were concerned that the ICU were establishing fundamentalist Islamist rule and giving al Qaeda a foothold in Africa. Many of the ICU leadership fled, but Al Shabaab launched a guerrilla war against the 17,000 Ethiopian soldiers deployed, drawing support from many Somalis, for whom Ethiopia is the regional arch-enemy.

The Ethiopians quickly occupied Mogadishu but failed to pacify much of central and southern Somalia. Al Shabaab was able to regroup in southern Somalia, aided by the squabbling within the Western-backed transitional federal government. In 2008, the militants began to retake a series of coastal towns south of the capital, and the port of Kismayo became a major source of revenue.

According to the U.N. Al Shabaab collects an estimated $35-50 million annually in custom tolls and taxes on businesses in Kismayo -- and two secondary ports higher up the coast.

At the same time, Al Shabaab commanders split from the political leadership of the ICU over talks with the government, which Al Shabaab rejected. For their part, elders in the ICU were uneasy with the growing role of foreign fighters within Al Shabaab and its shift from being a Somali resistance force to part of the global jihadist movement.

Links with al Qaeda

Most Al Shabaab watchers believe that the organizational ties between the group and al Qaeda "central" are weak or non-existent. Both Osama bin Laden and his successor Ayman al Zawahiri lauded Al Shabaab for its resistance to Ethiopian occupation and its waging of jihad. Soon after the Ethjiopian invasion, Zawahiri encouraged Somalis to defeat the "crusader Ethiopian invaders."

Some Al Shabaab leaders are said to have trained in Afghanistan, but the majority of young fighters have little knowledge of al Qaeda.

Mysterious al Qaeda 'envoy' dispenses aid in Somalia

Al Shabaab formally declared its allegiance to al Qaeda in February 2010, claiming it would "connect jihad in the Horn of Africa to the jihad led by al Qaeda." It reiterated the affiliation when Zawahiri became al Qaeda's leader, and most recently declared that it would "sacrifice everything in the attainment of a global Islamic Caliphate."

Disenchantment grows

Al Shabaab's best recruiting sergeant was the incapable transitional government and the long power struggle between President Abdullahi Yusuf Ahmed, a former warlord, and his Prime Minister Nur Hassan Hussein. Yusuf, an ally of Ethiopia, was eventually forced to step down at the end of 2008, easing some of the tensions within the fragile government.

At the same time, some Al Shabaab factions began what appeared to many Somalis as senseless attacks -- a suicide bombing against a graduation ceremony for doctors in 2009 which killed 19 people; an attack on a medical clinic used by African Union forces and civilians in January 2010; and in October this year another suicide attack against scholarship students gathered for an event near the Education Ministry. That attack killed more than 100 people.

Al Shabaab's implementation of strict Sharia law has begun to alienate many in the way that al Qaeda did in Iraq. Women have been stoned to death for adultery; amputations and beheadings are common. In some areas Al Shabaab has banned listening to the radio and non-Arabic signs; and it has assassinated several journalists. In a country that has little tradition of strict Sharia, such moves alienate ordinary Somalis.

Who's in charge?

Al Shabaab has no conventional hierarchy and is divided into factions, with foreign fighters prominent in some areas and local commanders in control in others. It has also had fluctuating relationships with other Islamist groups in Somalia, such as Kamboni, with which it joined forces last year.

The most prominent and established leader is Sheikh Hassan Dahir Aweys, who has been on a U.S. list of people "linked to terrorism" for a decade. "I am not a terrorist. But if strictly following my religion and love for Islam makes me a terrorist, then I will accept the designation," he said five years ago.

There is considerable tension within the movement over the extent to which Shariah law should be implemented; and more recently over allowing foreign aid groups into southern Somalia to help alleviate a famine that threatens the lives of millions.

American carried out Somalia suicide bombing, Islamists claim

In essence the foreign fighters (among them an estimated 40 Somalis from the U.S. as well as more from Canada and Europe) see Al Shabaab's role as part of global jihad; most local leaders, especially in the south, have a more nationalistic approach. They oppose the government in Mogadishu and the role of African Union troops in protecting it; but are unhappy about Al Shabaab's ban on foreign aid for famine victims.

Taking the fight overseas

It's unclear whether Al Shabaab -- like al Qaeda -- has ambitions to go global. It was involved in a double-bombing in the Ugandan capital, Kampala, in 2010 -- in retaliation for Uganda's role in the AMISOM force that props up the transitional government. An Al Shabaab member tried to kill the Danish cartoonist Kurt Westergaard last year in revenge for his depictions of the Prophet Mohammed. And there is concern among western intelligence agencies that Al Shabaab may forge links with other Islamist terror groups in Africa, such as Boko Haram in Nigeria.

The size of the Somali diaspora (1.5 million strong and concentrated in Scandinavia, Canada and the U.S.) gives Al Shabaab an opportunity to recruit for missions overseas, but to date the majority of ethnic Somalis recruited by Al Shabaab have remained in Somalia.

Minnesota women found guilty of raising money for Somali terror group

Among an estimated 40 Americans who have joined Al Shabaab, at least two have died in suicide bombings. At least one -- Omar Hammami from Alabama -- has become prominent as a propagandist and recruiter, even recording rap videos about the Ethiopian invasion and dying as a martyr. "We are all Osama," he is said to have told an Al Shabaab rally days after bin Laden's death.

Current situation

In recent months, Al Shabaab has suffered a series of reverses in Mogadishu, with a senior figure being killed at a roadblock and AU troops pushing the group out of several neighborhoods.

It's also on the defensive in its heartland in southern Somalia. Kenya has blamed Al Shabaab for the abductions of several foreigners in northern Kenya and has begun a cross border incursion aimed at creating a security buffer in southern Somalia. There have already been several clashes between Al Shabaab and Kenyan forces, with the Kenyans vowing to press on to Kismayo.

Kenya vows to hit Al-Shabaab across Somali border

Around the capital, Al Shabaab's tactical withdrawal from Mogadishu has been followed by a rash of suicide attacks and ambushes as it has resorted has stepped up suicide attacks as it's lost ground.

Few analysts expect a decisive victory for either Al Shabaab or the government and its foreign backers. But regional analysts fear that under pressure, Al Shabaab may lash out with attacks in Kenya and elsewhere.

@highlight

Militant Islamist group has al Qaeda connections and some control of southern Somalia

@highlight

Al Shabaab emerged in 2004 and grew when Islamic Courts Union seized Mogadishu

@highlight

Organizational ties between group and al Qaeda "central" are thought to be weak

@highlight

Some fear that under pressure, Al Shabaab will launch attacks in Kenya and elsewhere