(CNN) -- Syrian rebels want a new government. The current Syrian government says first you have to stop the terrorists, meaning the rebels. The international community wants it all to happen simultaneously.

As a result, a second round of peace talks intended to plot a path for ending almost three years of civil war in Syria ground perilously close to a halt Friday.

"I express my deepest apologies that this meeting did not result in any progress," Syrian Deputy Foreign Minister Faisal Makdad told reporters after meeting with the opposition and U.N. mediator Lakhdar Brahimi.

"Probably we are going to pause for a while to see if the regime will engage again in a political solution, not any delay tactics," said Louay Safi of the opposition Syrian National Coalition.

Violence resumes

Even as peace proceedings were held, the United Nations expressed alarm about a military buildup in the town of Yabroud near the Lebanese border may lead to a mass exodus and more bloodshed.

Yabroud is an opposition-held area in the Qalamoun mountains, said Rupert Colville, spokesman for the U.N.'s Office of the High Commissioner for Human Rights.

"According to reports we've received from within Syria, there have been numerous aerial attacks and shelling along with a military buildup around the town, suggesting that a major assault by land may be imminent," Colville said.

Refugees are already arriving in Lebanon, said spokeswoman Melissa Fleming of the U.N. High Commissioner for Refugees.

"Right now, we've had between 500 and 600 families who have arrived in the town of Arsal in Lebanon, citing their fear for this attack as being the reason they fled over the border," Fleming said.

Fleming expressed fears of a big refugee flight similar to the one in Qusayr last year, when Syrians abandoned that town for Arsal as government forces successfully took Qusayr from rebels after seven weeks of fighting.

Elsewhere in Syria, a car bomb exploded Friday near the Al Braa Bin Malik Mosque in the village of Yadouda in rural Daraa, said the Syrian Coalition.

The suicide bombing killed 32 people, the Syrian Observatory for Human Rights said.

Mosques are flooded with worshippers during the Friday prayers, and the coalition blamed the attack on the Syrian regime, which didn't immediately have a comment.

Snail-paced talks

The snail-paced peace talks, which started last month with Brahimi serving as an intermediary between the two delegations sitting in the same room, have failed to produce an agreement on a first step for resolving the conflict that has killed more than 100,000 people and caused millions to flee their homes.

This week, Safi's side presented its proposal for a transitional government that would oversee a halt in the fighting, releasing prisoners of conscience, maintaining law and order, bringing justice to those responsible for violence and protecting human rights.

Its plan excludes President Bashar al-Assad from continued leadership, an outcome unacceptable to the longtime Syrian leader.

Makdad said the opposition has "an unrealistic agenda," and he insisted the first step must be "stopping the violence and ending terrorism."

The government refers to the rebels as foreign-backed terrorists, so Makdad's stance in essence calls for the opposition to unilaterally lay down its arms.

"We confirm we are willing to discuss the issue of the transitional government after we reach an agreement regarding ending terrorism," he said.

To Safi, the government position was intended to delay progress in the talks while its forces continue attacks on its own people.

He called on the international community, including key government ally Russia, to pressure al-Assad to adhere to the Geneva communique that led to the talks. It calls for ending the conflict and establishing a transitional government.

Russia's role

Makdad, however, made a point of declaring that the government's relationship with "our friends in Russia" was "very deep," and that the two allies would continue to coordinate on how to proceed.

The United States and some of its Western allies accuse Russia of protecting the Assad regime to keep it in power.

U.S. officials are awaiting for Moscow to demonstrate its intentions about humanitarian relief efforts in Syria, said Marie Harf, a State Department spokeswoman.

When asked whether the Russians were playing for time as a diplomatic cover on behalf of Syria, Harf stated: "I don't want to guess what the motivations of the Russians are. We have said very clearly that if the Russians come out and talk about the importance of humanitarian access, they need to back up those words with actions."

So far, the only hint of progress in the talks has been a localized cease-fire to allow some evacuations and aid relief for the besieged city of Homs.

U.N. Emergency Relief Coordinator Valerie Amos said Friday that 1,400 people were evacuated from the Old City of Homs and 2,500 still there got relief supplies, but she lamented the bleak humanitarian situation throughout Syria.

"Civilians are under fire, and the social fabric of Syria has been torn to shreds," Amos said, adding that "all parties are failing in their responsibility to protect civilians."

In her statement on a briefing she gave the U.N. Security Council, Amos said: "No amount of words can adequately describe the horrific reality facing civilians."

Syrians forced to eat grass

OPCW: Only 11% of chemical weapons removed from Syria

90 killed in punishing air raids in Syria's Aleppo

@highlight

During peace talks, suicide car bomber in Syria kills 32 near mosque, group says

@highlight

U.N. officials fear bloodshed and mass exodus at one military buildup

@highlight

NEW: Russians "need to back up...words with actions," U.S. official says

@highlight

Two warring sides blames each other for the lack of progress in peace talks