Los Angeles (CNN) -- Justin Bieber's focusing on making new music in the hip-hop capital of Atlanta, while lawyers in three other cities prepare to defend him in court.

Bieber, who graduates from being a teen pop star when he celebrates his 20th birthday Saturday, has several court dates on his calendar next month.

Miami DUI case

There are good reasons that Bieber's lawyers could reject a plea deal and demand a jury trial for the drunken driving charge in Miami, according to a Florida lawyer familiar with the case. Lawyers sometimes beat the charge in court.

A lawyer can defend a DUI charge by focusing on the technical aspects of the arrest and testing, questioning whether police did everything right, attorney Michael Salnick told CNN. If problems or deficiencies are found in what law enforcement did, those issues could be challenged.

Was there probable cause for police to stop the singer's Lamborghini? GPS tracking data suggests the sports car was not speeding in the minutes before the arrest. If the judge lets a jury hear that, it might create reasonable doubt about the police officer's claim he stopped Bieber and friend Khalil Sharieff after seeing them drag racing on a residential street.

Was there probable cause for the officer to test Bieber's sobriety? The arresting officer said he became suspicious because he smelled alcohol on the singer's breath, but lab tests later showed the alcohol level in his system was well below Florida's legal limit for drivers under the drinking age of 21. Bieber's lawyer could argue that the officer made it up to justify the arrest. His defense might be bolstered if the judge allows the officer's disciplinary record to be used to challenge his credibility.

While the alcohol level was below the legal limit, a preliminary toxicology report on Bieber's urine sample said he tested positive for "metabolite of THC," which indicates marijuana use, and alprazolam, the generic name for the prescription sedative Xanax. "Yeah, we were smoking all night at the studio," the singer told a police officer who told him he "reeked of marijuana," according to police documents.

No-risk trial in Florida

Defendants sometimes accept plea deals because they fear a judge would impose a tougher sentence if they were convicted in a trial. That's not a risk with Florida's DUI law, Salnick said.

A judge would not give a sentence any different than what a prosecutor might offer in a plea deal, but a plea deal might allow the DUI charge to be kept off the defendant's criminal record, replaced by reckless driving, he said. Probation rules -- including a drug-testing requirement -- would be the same.

So, why go to trial? An acquittal would be Bieber's only way to avoid probation and drug testing, short of persuading the Miami prosecutor to drop the case, Salnick said.

The prosecutor in Miami has not discussed a plea agreement with Bieber's lawyer, Ed Griffith, a spokesman for the Miami-Dade state attorney's office told CNN Tuesday. "It's way too early to offer a plea deal, if one was to be offered."

Bieber could choose the DUI diversion program that is available to all first-time offenders, Griffith said. It would last between six and nine months with random drug testing, about $1,000 in fines and fees, 40 hours of community service, an alcohol education class. In addition, Bieber would have to attend a session in which victims of DUI wrecks tell their stories.

"There are 11 stories presented by real victims and sometimes defendants who relay their experiences," a description of the three-hour session said. "There is a quiz at the end, and the defendant has to score 100 percent prior to completion."

Deal or no deal, first-time offenders rarely go to jail if convicted of drunken driving in Florida, Salnick said. Bieber is likely not facing jail, unless he violates probation -- such as by failing a drug test.

A trial had been scheduled to start next Tuesday, but instead a "sounding" hearing will be held with lawyers talking to the judge about preparations for a trial.

Toronto assault charge

Bieber's best resolution of an assault charge in Toronto may be a plea deal that includes a "diversion" plan, according to a Canadian lawyer interviewed by CNN.

"If he goes to trial, he probably would be convicted," said attorney James Morton, a past president of the Ontario Bar Association. "The Canadian system's conviction rate is extraordinarily high." Just 3.5% of all defendants who plead not guilty and go to trial are acquitted, he said.

Bieber allegedly struck his limousine driver on the back of his head several times while driving to a Toronto nightclub in December.

Toronto prosecutors are likely already talking to Bieber's lawyer about a plea deal with a "conditional discharge," in which the case would not be prosecuted if he takes part in anger management and community service, Morton said. It's the likely result for a young person without a criminal record who is not a celebrity, he said. Prosecutors will be under "intense scrutiny" and will want to avoid a deal that "looks like they're favoring a famous Canadian star," he said.

The first court hearing is set for March 10, but Bieber does not have to be there. A magistrate will hold several hearings over the next few months to make sure the prosecution has handed over all of its evidence, including statements and any video, to the defense before the case is assigned to a judge for trial, Morton said.

California egg probe

Bieber faces a possible vandalism charge in connection with eggs tossed at his neighbor's home last month, which caused an estimated $20,000 damage to a Calabasas, California, mansion.

The egging case is what lawyers call a "wobbler." The Los Angeles County district attorney's office could prosecute it as a misdemeanor or a felony under California law. It is up to the prosecutor to decide how serious the case is, based on a defendant's criminal history and other circumstances. A prosecutor has had the results of the sheriff's investigation for almost three weeks, and a decision could come soon.

A felony vandalism conviction could bring up to three years in prison and a $50,000 fine. The maximum penalty for a misdemeanor conviction is a year in the county jail and a $50,000 fine. A felony conviction could also limit Bieber's ability to work in the United States, because he is a Canadian citizen with a work visa.

Investigators searched his $6.5 million home last month, seizing the security video. Detectives gave the district attorney video clips identified from the night of the egg attack to use in the prosecution of Bieber. Another video recorded by the neighbor was also provided to investigators.

Flying high?

The Federal Aviation Administration is looking into allegations that Bieber and other passengers onboard a charter flight from Canada to New Jersey's Teterboro Airport on January 31 interfered with the flight crew, the agency said.

Bieber and his father were "extremely abusive verbally" to the flight attendant on the Gulfstream IV aircraft as he traveled to attend the Super Bowl, according to a law enforcement sources. Both Biebers refused a pilot's repeated warnings to stop smoking pot on the flight, according to a report by U.S. Customs and Border Protection, which was read to CNN.

The FAA has not said when its investigation will conclude.

CNN's John Couwels contributed to this report.

@highlight

Bieber's Miami DUI case could be headed to a trial, lawyer says

@highlight

No plea offer, but Bieber could choose a "diversion" program, Miami prosecutor says

@highlight

Taking the Toronto assault charge to trial is not Bieber's best option, a lawyer says

@highlight

Los Angeles prosecutor nears decision on whether egging case is a felony