(CNN) -- Lost amidst the predictable clutter of the "will-he-or won't-she" questions about whether Jeb Bush or Hillary Clinton will actually run for the presidency is an unexpected development: a hint of authenticity.

Turns out that political purgatory—even if temporary—can actually spark a genuine conversation with the public about what it takes to be president, and what goes into deciding whether you want to run.

Here's Hillary on herself: "The job is unforgiving in many ways, so I think you need people around you who will kid you, make fun of you. ... You can lose touch with what's real, what's authentic."

Here's Jeb on his decision: "Can I do it where the sacrifice to my family is tolerable?...It's a pretty ugly business right now. There's a level under which I would never subjugate my family because that's my organizing principle. That's my life."

So while Chris Christie won't answer questions about immigration and Ted Cruz is threatening to block presidential nominations and Rand Paul is blaming the tragic Eric Garner death on cigarette taxes, there's another more personal and revealing conversation going on about the presidency and how to get there, and we ought to pay some attention.

Not just because it's coming from Jeb Bush and Hillary Clinton, although that is a part of it. After all, Hillary's outside support network is up and running, even if she isn't officially yet. And while Jeb has no campaign infrastructure or organization, his closest advisers are having enough meetings with enough operatives to send enough signals that it's a very live, real, even likely, possibility. Though Jeb's advisers tell me he hasn't made a decision, the process over the last six months sure looks like it leads to a presidential campaign.

So all the cheerleaders need is the final hand signal.

Which brings us back to the Jeb and Hillary conversations. They're thinking out loud, in a way, which hardly ever happens in politics anymore because it usually gets you into trouble. (See: Joe Biden.)

But they're both doing it because their decisions about running for the presidency come from places of deep family experience. Hillary lived in the White House. Jeb visited his brother and his father there. They get it -- at all levels. They understand the power and nature of the job. They also understand the "what-it-takes" component to run for it.

And, in a way, they've both got similar problems: They're each practiced politicians, but they're not the best transactional pols in their families. They each have problems with their party's activist base. And they both can seem like old news. It's that dynasty thing.

But wait. Maybe all that stuff actually prepares a candidate for the campaign, and maybe even for the job itself. Clinton's ruminations about decision-making, for instance, are refreshing.

"Technology connects you around the world instantaneously, so you're constantly being asked for opinions, to make decisions that maybe you need some time to think about," she told a Boston audience on Thursday.

"Maybe you need some time to sleep on it. Maybe you need to bring in some people to talk about it. But the pace of demands is so intense that you feel like you've got to respond." It's the stress, she said. "Here's what I worry about. The stress on anybody in a leadership position, multiplied many times over to be president. The incoming never ends."

It's a much more honest assessment than talking about the tug of being a grandmother.

As for Jeb Bush, in addition to the personal issues, he's given a big hint he gets that he's not aligned with the base of his party in some states—and that's fine. In a recent appearance before a Wall Street Journal CEO conference, he said the GOP nominee needs to be willing to "lose the primary to win the general (election) without violating your principles."

Could he possibly be talking about Mitt Romney circa 2012? Or his own problems with the party base on immigration and school reform? My guess: Both.

I'm also guessing this: What we are hearing from both of these politicians are part of the larger conversation they're having with themselves. As in: Do I need this? Can I do this? Is it worth it to me—and important enough to the country—for me to spend two years on this?

These are not wannabes. They've been there, in the heat, in one way or another. So while the subordinates plan, organize and recruit, the actual deciders continue to decide.

It's getting down to the wire, and they know it. You can hear it. And it may be the most genuine stuff we hear for the next two years.

@highlight

Gloria Borger: Jeb Bush, Hillary Clinton talking authentically about demands of presidency

@highlight

She says their comments show a keen awareness of the difficulty of the job

@highlight

Borger: They must be asking themselves: Is it worth it?