Tuesday's discovery of rockets hidden in a vacant U.N. facility is the sort of evidence that Israel cites when it accuses Hamas of using civilians and their institutions as shields in the ongoing Gaza conflict.

The rockets were found in a vacant school between two other U.N. schools being used as shelters for 3,000 displaced Palestinians, the United Nations said. It was the second such discovery at a vacant U.N. school in Gaza in a week.

As suggestive as those discoveries are, Israel's claims that Hamas uses civilians as human shields are difficult to prove in an active ground conflict, experts say.

"It would be impossible at this point to say how much truth there is to the human shield argument," said Michele Dunne of the Carnegie Endowment for International Peace. "That's not going to be possible to do in the heat of the conflict."

It's a war of perception

Possible or not, Israeli Prime Minister Benjamin Netanyahu advanced the accusations earlier this week when asked to comment about the brutal conflict, whose death toll has clearly hit Palestinians harder.

As of Tuesday, at least 630 Palestinians had been killed and nearly 4,000 wounded; some 70% to 80% of them are civilians, the United Nations said. On the Israeli side, 28 soldiers and two civilians have been killed in the same time frame.

Measuring such bloodshed is "very difficult because Hamas is using them, Palestinians, as human shields," Netanyahu told CNN. "We develop anti-missile systems to protect, we use anti-missile systems to protect our civilians. They use their civilians to protect their missiles. That's the difference."

Those assertions are significant in the war of perception, which is unfolding in tandem with the conflict between Hamas militants and Israel's military, Dunne said.

"There's many different dimensions of this conflict at the same time," Dunne said. "Civilian casualties on the Palestinian side are very high. That is something Hamas can use in the court of public opinion. Israel has to have an answer to that: The civilian casualties are so high because of Hamas, and this is their answer to that."

Civic presence complicates things

What complicates the dispute over alleged human shields -- an offense against international law -- is how Hamas is also a political organization embedded in civilian life in the Palestinian territory, Palestinian leaders say.

"Hamas is a political party after all, not just a military wing. And it has institutions, organizations, homes" in Gaza, said Hanan Ashrawi, executive committee member of the Palestinian Liberation Organization in the West Bank.

That means Hamas is more than its military wing, Ashrawi said. Its members are active in civilian society too.

"Several-story buildings were totally demolished and the people living there. How can you claim that Hamas is hiding anything in there? These are normal residential areas with no military or any munitions hidden there," Ashrawi said.

"The question is that Israel is not discriminating, it is destroying the homes of people who are active (in Hamas). Now 'active' could mean you belong to a social service institution. Hamas has day-care centers, has schools, has hospitals; it's a political party as well. It's a movement.

"Hamas is not just an isolated, you know, sort of armed individuals. It belongs to a very pluralistic system. It has in Gaza many services, offices and so on. And therefore if you are going to destroy everything related to Hamas as a party, as a movement, it means that you're going to go on the rampage against families, homes, hospitals, schools and social services," Ashrawi said.

Population plays a factor

The geography and population density of Gaza further clouds efforts to determine whether civilian casualties are part of Hamas strategy of using human shields or collateral damage from Israel's ground and aerial assaults, Palestinians say.

Gaza, with a population of 1.8 million, is a rectangular tract about 25 miles long and just a few miles wide, bounded by the Mediterranean Sea on one side and Egypt on another. A border blockade on Gaza has been in effect for much of the past seven years. High unemployment and extensive poverty afflict the Palestinian territory.

In such a place, it's difficult for civilians to hide, Palestinians said.

"The population of (Gaza) -- 43% of it is under the age of 14," said Diana Buttu, a human rights attorney who was a legal adviser to Palestinian negotiators. "It's simply a fact that what the Israelis are doing is they're dropping bombs of a magnitude that we have never seen before on a captive civilian child population."

Israel said it strives to keep Gazans out of harm's way by warning them with leaflets, text messages and phone calls in advance of a military strike.

Israel blames Hamas' aggression for putting Gazans in danger.

"They're putting missile batteries next to hospitals, next to mosques, next to schools," said Ron Dermer, Israel's ambassador to the United States. "They're the ones who are putting their civilians in harm's way.

"They're saying, 'Ignore the warnings of the (Israel Defense Forces), stay there,'" Dermer said.

As a result, civilians can become exposed to an Israeli strike.

"They use the strategy of human shields for a reason because they think it works. They think that Israel will be (blamed) for these civilian casualties," Dermer said. "Hamas should be responsible for the use of human shields."

Casualties are inevitable

Israel has accused Hamas of using human shields in previous conflicts in Gaza. Also, in 1982, when Israel invaded Lebanon with the intention of destroying the PLO, it accused PLO combatants of using civilians as human shields in that conflict, too.

"The problem with this particular crisis now is that it's taking place at a time when the whole region from Basra in the east, to Beirut in the west, from Aleppo in the north, to Alexandria in the south, is sliding towards hell," said Hisham Melhem, the Washington bureau chief for Al Arabiya News Channel. "That's one of the reasons, by the way, that you don't see this Arab outcry, because the Arabs themselves are trying to put out fires in their own countries."

One thing is clear about the ongoing warfare between Israel and Hamas, said retired U.S. Gen. Anthony Zinni.

Fighting in such a confined space as Gaza means civilian casualties.

"It's so tightly packed," Zinni said. "In the end, it's the poor innocents that are suffering as a result of this."

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

@highlight

Active conflict makes it impossible to prove use of human shields in Gaza, expert said

@highlight

Israel said high civilian death toll is because Hamas uses civilians as shields

@highlight

Palestinians say Israel is bombing 'a captive civilian child population'

@highlight

'It's the poor innocents that are suffering' retired U.S. general says