(CNN) -- Update: In July 2014, Breanna Bond, 12, competed in the Junior Olympics in the 50-, 100-, 200- and 400-meter freestyle events. She has lost a total of 79 pounds. She and her mother have also written a book about their experience and childhood obesity that will release in 2015.

Heidi Bond was desperate. No matter how much she cajoled or threatened her daughter, the 9-year-old refused to finish their workout.

Used to this struggle, Bond pushed harder, encouraging Breanna to complete the four-mile loop. She had already lost weight, Bond reminded her. She couldn't give up now, or her hard work would be for nothing.

Breanna ignored her mother and turned for home.

Watching the 173-pound girl walk away, Bond's heart sank. She realized this was a fight she wasn't going to win in a war she couldn't afford to lose.

Reality check

As reports of the childhood obesity epidemic hit home, parents around the country are struggling to figure out how to help their kids lose weight.

About 12.5 million children 2 to 19 are obese, according to the Centers for Disease Control and Prevention. That extra weight can lead to serious health problems, including type 2 diabetes, cardiovascular disease and psychosocial issues such as peer discrimination or poor self-esteem.

"Parents are in a really tough position," says Dr. Elissa Jelalian, a staff psychologist at the Weight Control and Diabetes Research Center who focuses on the development of intervention programs for children. "They feel they are not doing a good job as parents if their child is struggling with weight. ... Parents see the potential health consequences, but kids aren't in tune with that."

Bond understands that frustration well. As a baby, she says, Breanna had a hearty appetite, and her parents joked that she would grow up to be like her dad -- a 6-foot, 200-pound man.

By the time she was a year old, Breanna weighed close to 25 pounds. Bond asked their pediatrician whether she should be concerned, but he assured her Breanna would grow into the weight.

Over the next few years, Breanna packed on the pounds. In preschool, she was bigger than any of the other kids in her class.

Her parents hired a nutritionist, but the healthy habits didn't stick. They brought their daughter to a psychologist and an endocrinologist; both said Breanna's test results were normal. Breanna joined a dance class and a swim team, but her weight continued to climb.

"Kids teased me," Breanna says. "They called me chubby and fatty-o."

"It was horrible for me and my husband," Bond remembers. "We felt helpless. We honestly didn't know what to do."

Kids race to finish their first triathlon

Their family was not one for a lot of fast food, soda or sugary treats. Bond cooked dinner most nights: fried chicken, roast beef, enchiladas. But the large meals, combined with a lack of physical activity and the junk food Breanna ate at school, continued to create a big problem.

"Imagine going through life and carrying around seven sacks of potatoes," Bond says. "That's what it's like for these overweight children. It's taxing on their hearts, organs. It's hurting them tremendously. And society isn't helping."

At 9, Breanna weighed 186 pounds.

Red light, green light

Conversations about a child's weight can be fraught with psychological landmines, says Dr. Denise Wilfley, director of the Weight Management & Eating Disorders Program at Washington University School of Medicine.

"Mainly what we suggest is actually having the whole family take on a healthier lifestyle -- for everybody to eat as well as possible, as nutritiously as possible, so the overweight child is not singled out," she says.

Wilfley encourages parents in her programs to "walk the walk" and be a role model for their children. She talks about food as energy for kids' bodies -- eating better will help them think harder, jump higher, play more.

Her families try to follow the traffic light diet, with green-light foods such as vegetables, yellow-light foods such as lean protein and red-light foods such as sweets or simple carbohydrates.

"We focus a lot on not defining self-worth by the number on the scale," she says. "The best way to prevent eating disorders is having very healthy eating patterns."

Bond realized that in order to get Breanna to exercise regularly, they would had to make it a family activity. The Bonds started walking four miles, four days a week, on a trail near their home in Clovis, California.

"It was the hardest thing I've ever had to do," Bond says. "There were times where she refused to move." But in the end, "a little tough love to save the rest of their life" was worth it, she says.

Why is it so hard for kids to lose weight?

It's best to avoid a power struggle when it comes to exercise and healthy eating, according to Jelalian. She says it's easy for parents to become the "food police" without getting at the deeper issues. Parents should ask why a child wants a certain food or doesn't want to work out and problem-solve with them to find a healthy alternative.

She recommends parents give their kids a choice as much as possible -- not about being active or not active, but about what activity they want to do.

"It really takes that balance in parenting of being firm -- this part is not negotiable, but being warm, caring in how you do that."

Identifying your child's motivation for losing weight is key, Wilfley says. Do they want to be able to run faster? Play football? Avoid teasing at school? Combining that goal with incentives such as sleepovers or family outings should help to keep a child motivated.

Game on: Shaquille O'Neal vs. diabetes

Wilfley says it's also important to remove temptation from the house. Keep healthy snacks such as raw vegetables and hummus around; avoid buying chips, soda or other junk food.

"Don't expect yourself to have willpower. Most of us don't," she says. "That's just the way we are. That takes some of the shame and blame out of it."

Fitting in

Breanna and her mother now work out at least an hour and 15 minutes every day. Breanna has also joined a swim team, a competitive cheer team and a basketball team to stay active.

"Sometimes my body just says, 'Lay down, I don't want to do it,'" Breanna says. "My mom keeps me going."

As of this week, Breanna had lost 65 pounds and is down to 121 pounds -- 6 pounds from her goal weight. At that point, the Bond family will switch to "maintenance mode," where healthy eating and staying active will continue to play a big role in their everyday lives.

Breanna has told all her friends about her weight loss plan, and they've been amazed by the results. One even joined her workouts over the summer and lost 20 pounds.

"I was inspiring," Breanna says, sounding slightly in awe. Kids at school have stopped teasing her, and her self-confidence has soared.

"It's changed her whole life," Bond says. "She's able to be a kid for the first time."

@highlight

CDC: Approximately 12.5 million children from 2 to 19 are obese

@highlight

Extra weight can lead to type 2 diabetes, cardiovascular disease and social issues

@highlight

Parents should make getting healthy a family effort, experts say