Sydney (CNN) -- Reinstalled Australian Prime Minister Kevin Rudd recently announced his Papua New Guinea or "PNG Solution" in an effort to halt the escalating number of unauthorized boat arrivals of asylum seekers to Australia shores.

Under his plan, all asylum seekers arriving by boat would be transferred to PNG for "processing" and no asylum seeker coming by boat would ever obtain permanent resettlement in Australia, even if they were subsequently found to be a genuine refugee.

With an election due sometime before late November, the perception that Australia has lost control of its borders is the primary issue in a handful of marginal seats that will decide the election.

Rudd is attempting to break the people smuggling business model by removing the possibility that one can arrive by boat seeking asylum and eventually win resettlement in Australia. Despite the deliberately harsh rhetoric about the PNG Solution that is designed to deter boat arrivals, Rudd's plan will not be as effective as might first appear.

READ MORE: Riots as Australia shuts door on asylum

Conservative leader Tony Abbott has derided the PNG Solution as a flimsy two page-agreement "held together by sticky tape and Blu-Tack." Abbott has an obvious interest in doing so. But he is correct. Like all effective policies, the devil is in the detail. In this case, the lack of detail for such an important policy announcement is astounding.

Can PNG absorb all Australia's boat arrivals?

First, there are serious doubts that PNG has the capacity to absorb the number of asylum seekers that will try to make it to Australia, even if there is an initial deterrent effect following the weekend announcement. Authorities at PNG's Manus Island Detention Centre, the primary location for processing Australia-bound boat people, openly admit that current facilities can only house around 300 people. Given that around 3,500 asylum seekers have been arriving each month since 2013, even a dramatic slowdown would overburden the Manus Island facilities.

PNG leader Prime Minister Peter O'Neill has indicated that the country could take in some 3,000 asylum seekers for processing, although no firm ceiling has been put on the ultimate number. O'Neill has only indicated that the numbers of asylum seekers that PNG is prepared to take will depend on the country's capacity to do so. Although temporary tent shelters can be built within weeks to accommodate around 600 people, PNG officials have also indicated that permanent facilities to accommodate the 3,000 people will take two years to construct.

Left unanswered is where Australian authorities -- who bear responsibility for the asylum seekers at all stages -- would send surplus asylum seekers for processing if PNG facilities could no longer cope, as is likely to be the case. Due to a 2011 High Court decision which invalidated the "Malaysia Solution" proposed by previous Labor leader Julia Gillard, Canberra cannot legally send Australia-bound asylum seekers to countries that are not signatories to the 1951 Geneva Convention Relating to the Status of Refugees and the 1967 Protocol. As PNG and the Philippines are the only signatories among Australia's neighbors, the suspicion is that Australia-bound boat people who cannot be processed by PNG will have to be processed under Australian jurisdiction and resettled in the country if found to be refugees -- which is precisely why growing numbers of boat people are arriving in the first place.

If so, Rudd's threat that no asylum seeker arriving by boat will ever gain entry into Australia will be demonstrated to be hollow -- which will likely encourage even more asylum seekers to pay smugglers in an attempt to gain Australian entry.

Concerns about "culture clash"

Second, O'Neill has stated that PNG will only resettle asylum seekers who have been found to be genuine refugees. Several questions arise at this point. Over half of all asylum seekers have been found to be genuine refugees upon arriving in Australia, with the number rising to above 90% after going through the Australian judicial appeals process.

There is already strong political and social opposition in PNG to resettling refugees in what is still a vastly undeveloped country. Given PNG's hitherto absent role in accepting refugees, many in the country express concern about an imminent "culture clash" in the event of a refugee influx, while many have openly hostile attitudes towards Muslim immigrants who would comprise the majority of Australia-bound asylum seekers. This will only restrict the numbers of refugees that PNG would in reality accept, increasing the chances that they will be resettled in Australia.

Moreover, O'Neill has stated categorically that PNG will not allow those asylum seekers who are subsequently found not to be genuine refugees to remain in the country. Given that all Australia-bound asylum seekers remain Australia's responsibility even if they are processed in PNG under Rudd's PNG Solution, those rejected automatically remain "Australia's problem" and under Canberra's duty of care. Once again, Canberra would have few options available besides transferring them to Australian facilities.

Can policy stand annual test?

Third, the PNG Solution is subject to renewal each year, meaning that there will be immense annual pressure on Port Moresby to annul what is an extremely unpopular agreement. Although Australia will bear all of the costs for the PNG Solution, the plan has not been "costed" meaning that Australians are likely to recoil when the true ongoing expense of the proposal becomes clear.

Despite all this, we need to remember that this policy is forged in the midst of an election campaign.

Rudd only needs the PNG Solution to "stop the boats" for a few weeks in order to somewhat cynically portray the initiative as an ingenious plan. Short term success in stemming boat arrivals is all Rudd needs, which is just as well -- because this is all the PNG Solution is likely to achieve.

The opinions expressed in this commentary are solely those of John Lee.

@highlight

Australian leader Kevin Rudd plans to send "boat people" to PNG

@highlight

Plan derided by opposition as flimsy deal 'held together by sticky tape'

@highlight

Lee: Lack of detail for important policy is "astounding"

@highlight

Where would Australia send refugees if Papua New Guinea couldn't cope?