(CNN)This year, at the annual gargantuan gadget gathering known as CES, the titans of technology stood on stage to deliver virtually the same message, one after the other: We have arrived at a turning point in human society -- one in which the world around us is so deeply embedded with intelligent electronic objects that we can essentially outsource huge aspects of our life to them!

Personal fitness. Family communications. Home management. And now that our devices are becoming interlinked as a vast always-on network, they don't even need to be supervised anymore -- our stuff can handle all of these irritating tasks just by talking with each another.

The buzzword for this idea is the "Internet of Things." And if truth be told, the IoT (as it's been hastily acronymed) sounds...pretty cool!

Appliance giant LG shared its vision of a "better and more beautiful future" in which its HomeChat platform might allow your LG smartwatch to understand that you're sleeping restlessly, and instantly tell your LG audio system to play soothing music, your LG air conditioner to reduce the temperature, and your LG air purifier and humidifier to pump some scented mist into the room. Meanwhile, your LG coffeemaker is grinding some fresh beans for next morning's automatically brewed cup of joe, and your LG smartphone is transmitting your daily schedule to your LG-enabled car system, so you can be guided directly to your first appointment when you wake up in the morning. (All of which will give you more time to watch "Game of Thrones" on your LG widescreen OLED Ultra HD television and play Candy Crush Soda on your LG tablet, naturally.)

But as you can tell, the problem with Internet of Things is that it depends on your having the right things -- "smart," "connected" things. And LG and Samsung and Sony and the other brands that paid millions to appear at CES aren't exactly handing them out for free.

A standard light bulb costs a dollar. But a Philips Hue bulb, whose intensity and color you can adjust with your smartphone, costs $60. And that's not even including the cost of a Hue Bridge ($200), which allows you to manage up to 50 Hue bulbs, or Hue Remote Switches ($60), which let you control your lights if your smartphone isn't handy.

For home security, you might find an August Smart Lock useful -- letting you deadbolt your door using a smartphone even when you're far away from home. That'll run you $250 (though it comes in four colors, including August Red and Champagne!). And if an intruder tries to come through a window, your smart Canary camera system can sound the alarm and send you a picture of the trespasser, at a price tag of $200 for every opening you want protected.

The list of smart, connected things that manufacturers want you to add to your smart, connected life gets even more elaborate from there.

If you're constantly worrying about whether you have enough fuel to fire up the family gathering you've been planning (and who doesn't?), Quirky will sell you a wi-fi enabled Refuel Smart Propane Tank gauge for just $50.

After you eat, you can play in your pool (with your comfort managed by Vigilant's LilyPad floating wi-fi enabled thermometer and UV sensor, $100) or take a nap on your $4999 self-adjusting, digitally enabled ReST Bed from Boditrack.

Don't worry about having a few too many helpings. Your Belty smart belt will automatically let itself out a few notches (the maker is still figuring out what to charge for it, but says it's a "luxe" product for "upscale" customers, so, expensive). Of course, you won't want to hit the hay without brushing your teeth first — and your Kolibree smart toothbrush will let you automatically track and share how well you polish your molars for just $99 to $200.

That just covers the human members of your family, of course. We haven't even mentioned CES's burgeoning array of products for the Internet of Pets — from the Voyce wearable fitness tracker for dogs to the PetNet smart connected feeder — or the Edyn Garden Sensor and the Parrot intelligent plant pot.

The bottom line is that it all sounds great, until you realize that unlike the infrastructure of the Internet, which was laid down by the Department of Defense, major universities and cable and telecom companies, or of the wireless world, whose antennas are paid for by mobile operators, the bill for the IoT's infrastructure is coming out of your own wallet (Wocket has one that digitally stores up to 10,000 credit cards, syncs with your smartphone and unlocks with your fingerprint, for just $150). And the smarter and more connected your devices are...the thinner that wallet is going to be.

Which means that when you look at your bank balance after splurging on the IoT, you might feel a bit like an IdioT.

@highlight

Jeff Yang: The buzzword in tech is "Internet of Things," where devices are interconnected

@highlight

He says fall for the gadgets if you want, the price is just a thick wad of bills out of your wallet