Washington (CNN) -- Supreme Court nominee Elena Kagan's confirmation hearing by the Senate Judiciary Committee concluded Thursday with witnesses for and against the solicitor general, including former military members who slammed her handling of military recruiters on the Harvard University campus.

Twenty four witnesses testified about President Barack Obama's pick to replace the retiring Justice John Paul Stevens on the high court. Kagan herself was not there, having concluded her participation in the committee's hearing Wednesday after three days of testimony.

Democratic senators have openly predicted Kagan would win confirmation as the 112th high court justice, perhaps by the end of July. Her addition to the high court would mean the nine-member panel would include three women for the first time.

The 50-year old Kagan has come under criticism from Republican senators who say that as dean of Harvard Law School, she actively tried to block military recruiters because of the Pentagon's "don't ask, don't tell" policy that bars openly gay and lesbians from military service.

"Dean Kagan's clearly unlawful actions estranged the campus," said former U.S. Army Capt. Flagg Youngblood. He called Kagan's actions "double dealing," and a "condescension to the American rule of law that harmed the interests of the military."

Youngblood attended Yale University as an ROTC member, and is now director of military outreach for conservative Young America's Foundation

Capt. Pete Hegseth of the Army National Guard said Kagan "encouraged students to oppose and protest the presence of military recruiters on campus." Hegseth now heads the private group Vets for Freedom.

The nominee and the White House have strongly defended her actions, saying that while she opposed the "don't ask, don't tell" policy, Kagan never kept recruiters off the university and never sought to sidestep the law.

Another former military member invited by Republican senators to testify did not appear. Retired Gen. Jerry Boykin, who has been criticized for speeches comparing the war on terror as a Christian fight against Satan and suggesting Muslims worship idols, was disinvited by committee Republicans earlier this week.

"Although General Boykin's prior comments concerning the war on terror are unrelated to his scheduled testimony on Dean Kagan's nomination, it is clear that these comments would be used to distract from the very important issues surrounding Ms. Kagan's actions at Harvard Law School," said Stephen Boyd, spokesman for Sen. Jeff Sessions of Alabama, the committee's ranking Republican.

As Harvard Law School dean, Kagan supported other schools challenging a federal law -- known as the Solomon Amendment -- requiring that recruiters be given equal access or face the loss of federal funding. The Supreme Court unanimously upheld the law on March 6, 2006.

Just four months after taking the job as Harvard's dean, in October 2003, Kagan offered students her thoughts in a campus-wide e-mail, saying that to give recruiters equal access to the campus "causes me deep distress."

"I abhor the military's discriminatory recruitment policy," she said then, calling it "a profound wrong -- a moral injustice of the first order."

Kagan received support Thursday from the head of the Harvard Law Armed Forces Association, Capt. Kurt White. Still a student at the Ivy League school, White told lawmakers he saw firsthand Kagan's support of veterans and the military.

Her outreach and graciousness "made a big difference in the lives of the small group of us veterans," said White, who was critical of other military members that opposed Kagan's nomination.

Among other witnesses invited by the Senate committee's Democratic majority were two people who sued their employers, claiming age and sex discrimination on the job.

Lilly Ledbetter said she hoped Kagan would be a sympathetic ear to those who bring legitimate workplace suits.

"I learned who is on the Supreme Court makes all the difference," she said.

The onetime tire company manager alleged she was paid less than her male counterparts for equal work about two decades, but did not find out about the discrimination until she was about to retire. The high court in 2007 ruled against her, saying existing federal law did not allow such lawsuits to be filed so late. Most workers had 180 days to file a claim after the first discriminatory pay decision.

Obama, in the first bill he signed when taking office in January 2009, enacted the Lily Ledbetter Act. It nullified the high court decision, and said every new paycheck received over the years based on a discriminatory act -- regardless of when the first discrimination occurred -- would extend the statute of limitations 180 days.

"If one more person like (liberal) Justice (Ruth Bader) Ginsburg or Justice Stevens were on the court," Ledbetter said, "then my case would have turned out differently."

Jack Gross lost his Supreme Court appeal last year, after he alleged he was a victim of age discrimination when he was passed over for a promotion. He criticized the current conservative court for reading federal laws in a way that makes it more difficult for people like him to claim wrongdoing by employers.

Other witnesses included leaders of advocacy groups on opposite sides on the abortion rights debate. A number of notable legal conservatives also voiced contrasting views of Kagan's qualifications.

Jack Goldsmith was hired by Kagan in 2004 to be a law professor, and said Kagan showed her openness by hiring several right-leaning faculty members at a campus with a liberal reputation.

The American Bar Association told lawmakers why it gave Kagan its highest "well qualified" rating, following a detailed evaluation of her to be a justice.

"Almost all of the experienced, dedicated and knowledgeable sitting judges, former solicitors general from both parties, legal scholars from top law schools across the country, and lawyers who have worked with or against the nominee in government or court, describe the nominee as outstanding in all respects and cite specific evidence in support of that view," said Kim Askew, who coordinated the ABA evaluation panel.

CNN's Alan Silverleib contributed to this report.

@highlight

NEW: Senate panel concludes confirmation hearing on Kagan's Supreme court nomination

@highlight

Kagan supporters and detractors appear before Senate Judiciary Committee

@highlight

Military witnesses say Kagan harmed recruiting efforts

@highlight

Victims of discrimination call for Kagan's confirmation