(CNN) -- Mr. McDonald,

Congratulations on your nomination to lead the Department of Veterans Affairs. As a good citizen you have agreed to take on one of the most demanding and important jobs in Washington.

As a veteran yourself, you can appreciate how shaken veterans and their families are by the scandals and corruption that has been exposed throughout the VA. I know you will agree that we owe our veterans the best care and we have failed to deliver.

Given the scale of the challenge, I hope you will not mind if, as someone who has spent nearly five decades in politics and government and has seen scores of Cabinet secretaries come and go, I share a few thoughts on the position to which you've been nominated.

Should the Senate confirm you to this post, you will take command of the VA at the most troubled time in its history. The reports of corruption, incompetence, and corruption to hide incompetence have drawn the nation's outrage and caused your predecessor to resign. How might you succeed at reform where so many others before you have failed?

Given your lifetime spent in business, probably you are familiar with W. Edwards Deming's famous "Red Bead Experiment." Deming used to carry around a bin full of red beads and white beads mixed together. He would describe to audiences his intention to gather up just the white beads, and then he would blindly plunge a scoop into the bin. To his ostensible frustration, the scoop would always emerge with a mix of both kinds of beads. Feigning disbelief, he would appoint a new person to wield the scoop. Invariably, he or she would fail as well. Then Deming would proceed to the next candidate, and so on.

The point of the Deming demonstration was to illustrate that a systems problem couldn't be solved with new people, new slogans and new speeches. When the system is broken, the personalities don't matter. People will fail one after the next until the system is changed.

The range and scale of the misconduct at the VA shows that the corruption there, like the doomed attempt to isolate white beads, is not just a problem of personalities but more importantly of systems, and it goes to the very core of the bureaucracy. The VA's Office of Inspector General is investigating at least 70 facilities nationwide for allegations that administrators altered appointment data or used secret waiting lists to make patient wait times appear shorter.

When you have that many facilities in trouble simultaneously you are not dealing with a few bad apples, a failure of a few leaders, or a need for better inspections. With that many places simultaneously in trouble, you have a system and a culture that have been corrupted and are collapsing.

The agency's own audit found that 70% of VA medical facilities were using improper scheduling practices to hide long wait times by falsifying data. The wait times persist despite (or more likely because of) the fact that VA doctors see fewer than half as many patients as doctors in the private sector.

This is a department that has 40% more employees and costs 90% more money than it did in 2006. Operating rooms close at 3 p.m. so the union cleaning staff can leave by 5 p.m. Officials get bonuses no matter what their performance, apparently (though 100% of them were given "fully successful" performance reviews or better last year -- a remarkable achievement in light of the agency's widespread mismanagement).

It takes 175 days to transfer a veteran's medical records from the Department of Defense to the VA. The DoD and the VA spent $1.3 billion and four years trying to build software to solve this issue before announcing in February that they had given up.

Failure this thorough points to a system -- the giant, fossilized bureaucracy -- that is hopelessly broken and must be replaced rather than repaired. Unfortunately, the entrenched bureaucrats, the unions, and the President, along with many others in Congress who are ideologically committed to a failed model of delivering health care, all oppose the systemic changes that could actually work.

Mr. McDonald, you are about to become the next guy holding the scoop at the VA. The prison guards of the past might write legislation to give you a bigger scoop, and then they will call the problem solved. Your job, as the new champion of our nation's veterans, will be to focus the public's outrage and to marshal support for real change.

Opportunities to force the kind of transformation the VA needs come along once or twice in a generation. It would be a tragic mistake if, after the enormous human pain that led to your appointment, you allowed the moment to pass.

What would systemic change look like? It would begin with enforcing the right metrics, with measuring success not by how well the Department serves the bureaucrats but by how well it serves our veterans. This would mean insisting the VA meet the standards our veterans are accustomed to as consumers in every other aspect of their lives -- the world where services work and are increasingly digital, mobile, virtual and personal.

The VA is a long way from that today, and to get there it will have to become a radically different agency with many fewer bureaucrats operating under a new set of assumptions. The fight to change the VA will be big. But the ramifications could extend well beyond your single department. The whole federal bureaucracy is broken, swollen into an unrestrained fourth branch of government. If you can harness public support to transform the current VA into a system based on choice, accountability and efficiency, you could be setting the pattern for replacing the entire bureaucratic state with a government for the modern world.

It would be a fitting conclusion to a century plagued by bureaucracy if the renewal of American governance were to begin at the VA, a department which exemplified the system's worst tendencies from the start. Charles Forbes, the first person to hold the position to which you have been nominated, stole tens of thousands of dollars from the bureau after World War I, as did many of his cronies. The corruption is not new, but nearly 100 years of it is enough.

I hope you will be the secretary with the courage to demand the fundamental change our veterans need. The American people will be with you, even if many in Washington are not.

Sincerely,

Newt Gingrich

VA boss plans 'personnel action' this week in wait-list case

Obama taps Bob McDonald to head VA

Veterans waiting longer for cancer care

Join us on Facebook.com/CNNOpinion.

@highlight

Newt Gingrich writes an open letter to Robert McDonald, the nominee to head the VA

@highlight

He says changing leaders or staff isn't enough; systems must change

@highlight

Gingrich: Veterans Affairs is a giant, fossilized, broken bureaucracy