(CNN) -- Wisconsin protesters geared up for a third week of demonstrations on Monday as Democratic lawmakers were again missing from the state capitol, protesting a bill that would curb collective bargaining rights for most public workers.

The state's 14 Democratic senators have fled to neighboring Illinois to prevent a quorum of 20 votes needed for a budget repair bill that would require public employees -- with the exception of police and firefighters -- to cover more of their retirement plans and health care premiums.

Collective bargaining would be limited to wages, though any pay increases beyond the inflation rate would be subject to voter approval.

"There are plenty of states that do not have collective bargaining," Republican Gov. Scott Walker said Monday. "We have a right to do this with the statutes and that's what we're doing."

Union leaders have agreed to pay more for benefits, but oppose restricting bargaining rights that the governor argues is needed for meaningful fiscal reforms.

Wisconsin is "broke," and unions use their power to block necessary cost-saving measures, Walker said Sunday on NBC's "Meet the Press."

"It's about time somebody stood up and told the truth in this state, and said, 'Here's our problem, here's the solution,' and acted on it," he said. "Because if we don't, we fail to make a commitment to the future."

Moments later on the program, AFL-CIO President Richard Trumka assailed Walker. "This isn't about the budget crisis," he said, adding that Walker's arguments have "migrated" as his justifications have been refuted.

"Governors that are willing to sit down and work with their employees can work out problems," Trumka said. "We can solve them. But that's not what Governor Walker is doing. He says, 'I won't talk to you.' "

Wisconsin is confronted with a $137 million budget shortfall by June 30.

The embattled governor has defended his budget repair bill, saying the measures are needed to head off a $3.6 billion budget gap by 2013 that could result in thousands of layoffs.

The state had faced a suggested Friday deadline to balance the budget, but the crucial date is March 16, officials said.

Meanwhile, some of the hundreds of demonstrators who had filled the Capitol building -- gathering inside the rotunda in daily protest of the proposed legislation -- had left the building by Monday at the request of state police, said Department of Administration spokeswoman Jodi Jensen.

"Of those who remained, all but a few have voluntarily complied with the request of law enforcement to remain in a designed area of the building," Jensen said. "No additional protesters will be allowed into the building until this situation is resolved."

Hundreds gathered outside the Capitol building later on Monday, chanting, "Let us in!" Their yells were met by a group of protesters who remained inside, chanting, "Let them in!"

Representative Peter Barca, the Democratic leader in Wisconsin's state assembly, called the lock-down unacceptable.

"Politicians may not always enjoy hearing what the citizens of this state have to say, but it is wrong to block elected officials from their constituents," Barca said. "There are a number of scheduled meetings in the building today and the public has a right to attend them and visit their legislators."

A pro-union political action committee called "Defending Wisconsin" filed a lawsuit Monday in a U.S. District Court against the state of Wisconsin for not letting people to enter the capitol building, said the group's director Jeremy J. Ryan.

Authorities had initially given demonstrators until late Sunday afternoon to leave the building, saying it needed to be cleaned after roughly two weeks of protests.

"We're going through an extensive cleaning process tonight," Wisconsin Capitol Police Chief Charles Tubbs said late Sunday. "We're hoping to get through that."

And while many people left, others defied the order and remained inside. Some said they were willing to risk arrest in a conflict that has become a flash point in the nation's debate around labor unions.

The budget bill was passed by assembly lawmakers early Friday and must now clear the Senate, where absent Democrats have stalled the legislative process while awaiting a compromise outside state borders.

Walker has called on the lawmakers to "come back and do their job," sending state patrol officers to Democrat homes in an effort to pressure their return.

"If we fail to pass this bill by Tuesday, we lose $165 million worth of savings. If we continue down that path we start seeing layoffs," he warned.

Randi Weingarten, president of the American Federation of Teachers told CNN Sunday that workers in Wisconsin have sent a message to Walker that "'we understand and we will do our fair share.'" But Walker is sending a different message, Weingarten said: "'I'm just taking away your voice at work.'"

In the long term, that message "is ridiculous because collective bargaining is the way to increase quality," she said.

President Barack Obama also weighed in on Monday, appearing to allude to the growing controversy by telling a group of governors that while "everybody should be prepared to give up something" in the face of new budget realities, "I don't think it does anybody any good when public employees are vilified" or their rights are infringed upon.

While the president has publicly expressed support for those fighting to keep collective bargaining in Wisconsin, he has not joined them at protests.

Walker's spokesman, Cullen Werwie, quickly responded, calling the president's comments a "misunderstanding."

"I'm sure the President knows that the average federal worker pays twice as much for health insurance as what we are asking for in Wisconsin," Werwie said in a written statement.

Trumka of the AFL-CIO insisted that Obama, who faces federal budget challenges, is "doing it the right way."

"He's not taking on workers like Scott Walker is and trying to take away their ability to come together and negotiate a middle-class way of life," Trumka said.

Walker is expected to give the state's annual budget address to a joint session of the state legislature Tuesday at 4 p.m. (5 p.m.ET).

But the showdown over budgets and bargaining rights is not limited to the Badger State.

In Indiana, Democratic lawmakers -- much like those from Wisconsin -- remained in Illinois on Monday, extending the

stalemate over a Republican-backed proposal they say will restrict workers' rights.

Republican house members claim they have scrapped a "right-to-work" bill that would have prevented private-sector unions from requiring workers to pay dues for representation.

But Indiana Democrats are skeptical.

"You'll forgive us if we don't take them at their word," said party spokesman John Schorg. "We were out (of the state) today and chances are we will be out tomorrow."

Schorg said negotiations between Republicans and Democrats had come to a virtual stand-still Monday.

The state's Republican governor, Mitch Daniels -- who ended collective bargaining with public unions soon after his election in 2005 -- has defended the bill as necessary cost-cutting measure.

The former budget director under George W. Bush, Daniels  -- who is often described as a potential 2012 presidential candidate -- may now be facing a more difficult task in scaling back the negotiating rights of private unions.

The state assembly met on Monday, but lacked the two-thirds quorum needed to pass legislation. Lawmakers face a April 29 deadline to balance the state budget, officials said.

In Ohio, a budget bill supported by another GOP governor, John Kasich, prompted thousands of labor-backed demonstrators to descend on Columbus to protest a proposal that would curtail union bargaining rights.

Senate Republicans, who command a 23-10 majority -- currently lack enough votes to pass another controversial budget bill affecting public workers.

The proposal, known as Senate Bill 5, would prevent employees from negotiating health care, pensions and automatic pay raises based on seniority. The measure would also ban strikes for all public workers -- rather than just those involved in public safety -- but was recently amended to allow state employees to negotiate salaries, according to state Sen. Shannon Jones.

"We can't sustain the contracts that have clogged up the arteries of government for the last 30 years," said Jason Mauk, a spokesman for the Ohio Senate Majority Caucus. "We're allowing unions to negotiate terms that should be the employers' decision."

Mauk said Republican lawmakers view the measure as "long-term reform to restructure state government." He says its an effort to "trim around the edges to make government leaner and more efficient."

But opposition groups say the bill is anti-union.

Crowds of union supporters -- who last week surrounded the state capitol chanting, "Kill the Bill" -- are expected to again board Columbus-bound buses in protest of the measure on Tuesday. Democrats had refused to put forth a single amendment after lawmakers described the proposal as "fatally flawed."

The next senate hearing on the measure is set to begin Tuesday at 1p.m. (2p.m.ET).

CNN's Deborah Feyerick, Ted Rowlands and Eric Fiegel contributed to this report

@highlight

NEW: Indiana Democratic legislators stay out of state in protest of budget bill

@highlight

NEW: Negotiations between Republicans and Democrats are at a virtual stand-still

@highlight

NEW: In Ohio, a senate hearing on collective bargaining and budget cuts is set for Tuesday

@highlight

NEW: Wisconsin governor's aide says Obama remarks are a "misunderstanding"