(CNN) -- Think of the greatest American sports stars of all time and names like Jesse Owens, Muhammad Ali and Serena Williams will likely spring to mind.

But long before these champions smashed the record books -- and blazed a trail in the public's imagination -- the first generation of black U.S. athletes dominated an unlikely sport.

The godfathers of Owens, Ali and Williams weren't stereotypical towering, musclebound men found on basketball courts or in boxing rings.

Instead, they were the jockeys of the race track and their dizzying success -- and dramatic fall -- is one of the most remarkable buried chapters in U.S. sporting history.

When the country's most prestigious horse race, the Kentucky Derby, launched in 1875, 13 of the 15 jockeys were African-American.

Much like the NBA today, black athletes dominated horse racing for the next three decades, winning 15 of the first 28 Derbies.

"They were the premier horsemen in the world," says Joe Drape, author of "Black Maestro," which tells the story of champion jockey Jimmy Winkfield.

"It was the first professional sport for black athletes in America. They were at the forefront of horse racing and it was a place where they could earn a good living."

Decades before Jackie Robinson made history in 1947 as the first black major league baseball player, African American jockeys forged a name as the first sports heroes of post-Civil War America.

The son of a former slave, Isaac Murphy was the first jockey to win three Kentucky Derbies -- in 1884, 1890, 1891. He went on to win an unheard-of 44% of all his competitions, becoming the first rider inducted into the National Racing Hall of fame.

"Murphy was the first millionaire black athlete," Drape told CNN. "He even had a white valet."

Many of these jockeys had been slaves in the South, working as stable hands and becoming skilled horse handlers.

Plantation owners put them on the backs of horses in informal -- and dangerous -- competitions. When horse racing became an organized sport in the early 19th-Century, black jockeys were already leaders in the saddle.

Yet fast forward to today and you'd struggle to find an African-American jockey on a U.S. race track.

Just 30 of the around 750 members of the national Jockey's Guild are black, according to the most recent figures available.

Winkfield was the last African American to win the Kentucky Derby -- in 1901 and 1902 -- and by 1921 they had all but disappeared.

It would be 79 years before another black rider, Marlon St. Julien, competed in 2000.

The introduction of the Jim Crow laws in the late 1880s -- segregating blacks and whites -- spelled an end to the golden era of jockeys like Winkfield and Murphy.

Increasing violence against black jockeys forced many to abandon racing and move to northern urban areas, says Drape.

"It became too dangerous to put black riders on horses," he added. "An influx of Irish immigrants were now slugging it out on the track, riding black jockeys into railings and making them fall."

Other riders, such as Winkfield, fled to Russia -- which had a thriving horse racing industry.

"The Russians were colorblind, you had jazz players and heavyweight boxers like Jack Johnson -- it was basically the last place black American sportsmen could go," Drape said.

Here, Winkfield's career skyrocketed as he won the Russian Derby four times and amassed a fortune.

He was treated like a celebrity, socializing with aristocrats in Tzar Nicholas II's court and marrying two white European countesses.

Decades later, segregation still ruled America, and when Sports Illustrated invited Winkfield to a reception at the Brown Hotel in Louisville in 1961, he was told he couldn't enter by the front door.

Today, Deshawn Parker is perhaps the most successful of the few black jockeys competing in the states, boasting more than 4,000 career victories.

The 42-year-old, who won the most U.S. events in 2010 and 2011, entered the sport after his father worked as a racing official.

"Black people aren't on the track like they used to be," he said. "If you don't have someone in your family who's in the business, you don't have a reason to start racing."

Parker, the 54th-ranked jockey of all time, says racing is now dominated by Latinos.

Terry Meyock, national manager of the Jockey's Guild, agreed, estimating that 60% of jockeys in the U.S. are Latinos.

Of the current top-10 highest earning jockeys, nine are from South America.

"From black to Irish to Latino, jockeys in America tend to mirror immigration," Drape said.

"The conditions are the same as 200 years ago -- the best jockeys tend to be from rural countries, they grow up around horses, it's tradition and it's a family business."

For Parker, jockeys like Murphy and Winkfield didn't just change the face of racing -- they paved the way for generations of black American sports stars.

"They got black athletes in the door," he said. "It's an honor to be ranked among them."

@highlight

First black American sports stars weren't basketball players -- they were jockeys

@highlight

Many became skilled horse handlers while working as slaves in the south

@highlight

Today, just a few black jockeys compete on U.S. race tracks

@highlight

Horse racing now dominated by Latino riders