(CNN) -- No one knows for the time being as to what exactly Bernard Arnault, France's richest man, intends to do in order to escape the punitively high 75% tax rate being proposed by President Francois Hollande.

But it should come as no surprise that he and scores of other wealthy French citizens are looking to organize their financial affairs differently so as to reduce their exposure to what amounts to little more than a smash-and-grab raid on the country's most successful businessmen that will in all likelihood prove counter-productive.

After all, we live in a world where different countries operate with different tax regimes, competing (I would hope) to attract businesses -- and therefore jobs -- to their shores. So if one country creates an environment where those who have done well for themselves are suddenly stung with a massive hike in the money the state wants to confiscate from them, they cannot be blamed for wanting to rearrange their finances, their domicile or even their nationality.

And, lest we forget, those with the greatest financial resources are those who will find it easiest to relocate in that way. Hence, in the past, we have spoken of a "brain drain" when tax in a particular jurisdiction has become excessively high. And when those individuals relocate, not only will the country's treasury miss the additional tax that they would have paid, but it most likely loses all the revenue that they were paying beforehand. That is one of the ways in which increasing a tax rate can reduce the total tax yield, thereby defeating the whole supposed object of the tax-raising exercise.

But don't just take my word for that. In the final report of the UK's 2020 Tax Commission, published earlier this year by the TaxPayers' Alliance and Institute of Directors, we reviewed literature by academics the world over and looked at tax changes introduced in a number of different countries to demonstrate the folly of punitively high tax rates.

Most students of economics are familiar with the Laffer curve, named by Dr. Art Laffer, which demonstrates how higher taxes do not necessarily mean a higher tax yield, with there being a point (the peak of his curve) after which total revenue falls when the tax rate increases.

That lower tax rates increase the tax take has been demonstrated time and again in the real world: remember how JFK said in 1962 that "the soundest way to raise the revenues in the long term is to cut the rates now"? And then of course we saw that principle again put into practice by President Reagan and Prime Minister Thatcher on their respective sides of the Atlantic in the 1980s.

In the 2020 Tax Commission report, we also cite the work of Thomas Piketty, Emmanuel Saez and Stefanie Stantcheva, who have looked at the effects of tax changes specifically on the richest one per cent, amongst whose number Mr. Arnault features in France:

"The incomes of the top one per cent respond to taxes in three ways: (1) the standard supply-side channel through reduced economic activity, (2) the tax avoidance channel, (3) the compensation bargaining channel through efforts in influencing own pay setting. In other words, high earners will either respond to lower taxes by doing more productive work, by putting less effort into avoiding taxes or by putting more effort into negotiating for higher pay, as the post-tax rewards for all three are now higher."

Conversely, the opposite is clearly true, with higher taxes making them less productive, more likely to find ways of avoiding taxes and so on.

Tax evasion is illegal and cannot be condoned, but tax avoidance is when people devise mechanisms which contravene an interpretation of the spirit of the law but are nonetheless perfectly legal and intended wholly or primarily to reduce their liabilities.

The onus should be on governments to change tax systems and close the loopholes that they allow to exist rather than to suggest that those using such schemes are to be condemned. Lower tax rates will reduce people's incentive to avoid tax and a simplified tax code should also provide fewer opportunities for avoidance in the first place.

So if things get to the point where people are seriously considering changing nationality to reduce their tax bill, then that is a symptom of a tax system that has become seriously dysfunctional and in urgent need of reform.

As we can see, President Hollande is doing the French and their government's coffers a disservice with the introduction of his new top rate of tax -- and that ought to be a salutary lesson for anyone seeking to emulate it elsewhere.

The opinions expressed in this piece are solely those of Jonathan Isaby.

@highlight

Bernard Arnault, France's richest man, reportedly applying for Belgian citizenship

@highlight

Arnault insists he will remain a tax citizen in his native France

@highlight

Isaby: New 75% tax rate will lead to 'brain drain' in France