(CNN) -- It's been framed as a debate between Web freedom and the freedom from stumbling upon potentially offensive content.

In recent weeks, several companies have been forced to grapple with sexually explicit images appearing in their popular mobile apps. Such images, a small fraction of the apps' user-generated content, place these companies at risk for being banned from portals such as Apple's App Store, where millions of people gain access to the mobile Web.

But some observers see something more at play here.

"In this debate, some may focus on freedom and others may focus on the harm of adult content, but what's really happening here is the crystallization of the power of platform providers -- Apple, Google, Microsoft and even Amazon," said James McQuivey, a tech-industry analyst at Forrester Research.

"These companies are free to set their own standards in the interest of their customers, even if that means that they 'censor' some content in service of other content."

The most high-profile episode happened last week after Twitter unveiled Vine, a mobile app that lets users shoot and post looping, six-second video clips. It took off with users even quicker than folks at the social network expected.

And, as such, Vine quickly became a victim of what has colloquially become known as the Internet's Rule 34 -- "If it exists, there is porn on it."

Racy video clips, including one that accidentally popped up in the app's "Editor's Picks" section, led Twitter to make it harder for users to seek out adult content using hashtags like #porn and #naked. Before that, Apple had removed Vine from its "Editor's Choice" section in its App Store, the only place Vine is currently available.

On Wednesday, the age rating for Vine in the App Store was raised from 12+ to 17+, roughly the equivalent of a movie's rating being changed from PG-13 to the more restrictive R. To download the app users must tap a window vowing they are over 17, although there is no verification system.

A week earlier, Apple banned 500px, a photo-sharing app, because it said users could easily access sexual images. The app's creators argued that 500px's only adult images were a small number of artistic nude photos.

Apple eventually restored the app, but only after 500px agreed to raise its age rating from 4+ to 17+.

In the wake of those two moves, Tumblr, the widely popular blogging platform that includes some porn among its roughly 92 million blogs, similarly reclassified itself with the 17+ tag.

The significance here, some say, is that the Web is increasingly becoming a mobile one. In the United States, 45% of people owned a smartphone last year, which is more than owned an older-style "feature phone." That's not to mention the millions more worldwide using tablets and other devices as their main entry point onto the Internet.

"If iPad Nation were a country, it would be in the top 10 largest countries in the world with more than 100 million citizens," McQuivey said. "This is more evidence that platforms like these companies are becoming more important than governments in some respect."

If those mobile-device owners aren't using Apple products, they probably use Google's Android system, or Microsoft's or BlackBerry's.

So, all of a sudden, we're putting big decisions about what we can and can't see into the hands of for-profit companies. That has some observers worried.

Yes, virtually all mobile devices have a Web browser that lets the user get to the rest of the Internet's content, app store or not. But a single tap of a finger is a lot easier than thumbing a Web address into a tiny browser.

"There are some advantages to being an application," said Parker Higgins of the Electronic Frontier Foundation, a group that promotes digital rights. "To deny those advantages to certain kinds of unpopular speech doesn't seem appropriate."

Apple ends up at the center of these conversations, both due to its prominence in the tech world and the famously tight controls it keeps on its "walled garden" of data.

The company continues to argue for an experience that the late CEO Steve Jobs once described as "(f)reedom from programs that steal your private data. Freedom from programs that trash your battery. Freedom from porn."

But critics, including some app developers, argue Apple's garden isn't policed in a fair way. Why, for example, was 500px banned, but not the more prominent Tumblr? Has Apple leaned on Twitter, which activists have lauded for its devotion to Web freedoms, to change Vine's 12+ age rating?

"I'm not saying that Apple is being malicious -- they have a billion apps in that store," Higgins said. "It's not that they're doing the wrong thing on purpose. It's just too big a job for anyone to be expected to regulate all that."

He notes, though, that the bans haven't always been about porn or spam or inefficient apps.

Last year, an app that would have pinpointed the location of U.S. drone strikes in the Middle East was rejected multiple times. And two years ago, Pulitzer Prize-winning cartoonist Mark Fiore's app was rejected because it "contains content that ridicules public officials." (It was eventually approved after public outcry.)

"That's pretty plainly political speech," Higgins said of the apps.

Apple did not reply to questions submitted for this article.

But the company makes no bones about having tight controls on the App Store.

"If it sounds like we're control freaks, well, maybe it's because we're so committed to our users and making sure they have a quality experience with our products," the company writes in its App Store review guidelines.

Google has guidelines for its Google Play mobile store. But they tend to be looser than Apple's. The Android system also lets apps from outside stores be loaded onto the phones and tablets that use it.

Google also did not reply to a request for comment.

That, of course, opens up the user to the possibilities Jobs mentioned -- call it Android's wild, and potentially dangerous, jungle outside of Apple's aforementioned garden.

Regardless of the specifics of their approaches, though, these companies are making decisions that, rhetoric aside, are never wholly about the end users' rights or concerns.

"Their job is to make money by cultivating a base of customers," said Forrester's McQuivey. "If they deem some content will harm that relationship, they are free to ban it.

"As a result, traditional thoughts about government censorship or control are no longer relevant -- no matter how upsetting that will be to people on either side of this particular debate."

@highlight

Controversy over adult content on mobile apps highlights control over free speech

@highlight

Apple has banned some apps from its store because of sexual images

@highlight

Tech titans may have more power over Internet free speech than some governments

@highlight

Apple promises a mobile experience free from porn and other irritants