Mitt Romney's refusal to release tax returns in the critical years of his income accumulation has done little to dispel the legitimate concern that arises from hints buried in his scant disclosure to date: Did he augment his wealth through highly aggressive tax stratagems of questionable validity?

Opinion: Why won't Romney release more tax returns?

One relevant line of inquiry, largely ignored so far, is to examine what exists in the public record regarding his attitude toward tax compliance and tax avoidance. While this examination is hampered because his dealings through his private equity company, Bain Capital, are kept shrouded, there are other indicators.

A key troubling public manifestation of Romney's apparent insensitivity to tax obligations is his role in Marriott International's abusive tax shelter activity, as previously reported by Jesse Drucker in Bloomberg.

Romney has had a close, long-standing, personal and business connection with Marriott International and its founders. He served as a member of the Marriott board of directors for many years. From 1993 to 1998, Romney was the head of the audit committee of the Marriott board.

During that period, Marriott engaged in a series of complex and high-profile maneuvers, including "Son of Boss," a notoriously abusive prepackaged tax shelter that investment banks and accounting firms marketed to corporations such as Marriott. In this respect, Marriott was in the vanguard of a then-emerging corporate tax shelter bubble that substantially undermined the entire corporate tax system.

Son of Boss and its related shelters represented perhaps the largest tax avoidance scheme in history, costing the U.S. many billions in lost corporate tax revenues. In response, the government initiated legal challenges that resulted in complete disallowance of the losses claimed by Marriott and other corporations.

In addition, the Son of Boss transaction was listed by the Internal Revenue Service as an abusive transaction, requiring specific disclosure and subject to heavy penalties.  Statutory penalties were also made more stringent to deter future tax shelter activity. Finally, the government brought successful criminal prosecutions against a number of individuals involved in Son of Boss and related transactions not associated with Marriott, including principals at major law and accounting firms.

In his key role as chairman of the Marriott board's audit committee, Romney approved the firm's reporting of fictional tax losses exceeding $70 million generated by its Son of Boss transaction.  His endorsement of this stratagem provides insight into Romney's professional ethics and attitude toward tax compliance obligations.

Like other prepackaged corporate tax shelters of that era, Marriott's Son of Boss transaction was an entirely artificial transaction, bearing no relationship to its business. Its sole purpose was to create a gigantic tax loss out of thin air without any economic risk, cost or loss -- other than the fee Marriott paid the promoter.

The Son of Boss transaction was vulnerable to attack on at least two grounds.

First, the transaction's promoters and consumers relied on a strained technical statutory analysis. Second, the Son of Boss deal violated the fundamental tax principle that the tax law ignores transactions unless they have a motivating business purpose and a substantial nontax economic effect.

In the Marriott case, the IRS raised both arguments and won on the first interpretive issue.

The Court of Claims (affirmed by the Court of Appeals) rejected Marriott's technical analysis, finding no reliable argument or authority to support it.  The court therefore did not need to reach the issue of business purpose and economic substance. In subsequent decisions, involving similar transactions but other parties, the courts have sustained the second line of attack as well, finding the claimed losses to be fictitious.

The complete judicial rejection of the Son of Boss tax scheme was entirely predictable. In mid-1994, for example, roughly contemporaneously with Marriott's execution of its Son of Boss trade and well before Marriott filed its return claiming the artificial loss, the highly respected Tax Section of the New York Bar Association filed a public comment with the U.S. Treasury and IRS urging rejection of the technical claims made by promoters of such schemes.

In his key position as head of the board's audit committee, Romney was required under the securities laws and his fiduciary duties to review the transaction. In fact, it has been publicly reported that Romney was the Marriott Board member most acquainted with the transaction and to whom the other board members turned for advice.  This makes sense because aggressive tax-driven financial engineering was a large part of what Romney (and Bain) did for a living.  For these reasons, it is fair to hold him accountable for Marriott's spurious tax reporting.

Romney's campaign staff has attempted to deflect responsibility, arguing that he relied on Marriott's tax department and advisers.

This claim is disingenuous. In a transaction of this magnitude, sensitivity and questionableness, the prudent step would be to secure advice to the audit committee and the board from experienced and independent tax counsel, who would certainly have cautioned that the Marriott position was risky and not supported by precedent or proper statutory interpretation.

Moreover, on the key issue of the business purpose and economic substance, Romney was, or should have been, aware of the facts that the transaction had its genesis solely in tax avoidance and was a "marketed" tax shelter.

He had an insider's perspective on the motivation and lack of substance in the transaction, as well as the financial sophistication to understand the tax avoidance involved. Romney failed in his duties to Marriott and its shareholders and acted to undermine the fairness of the tax system.

No one could accuse Romney of lacking the intelligence and analytical skills to have dealt with this transaction appropriately. Indeed, his strengths in this regard were the reason the other board members relied on him.

What emerges from this window into corporate tax compliance behavior is the picture of an executive who was willing to go to the edge, if not beyond, to bend the rules to seek an unfair advantage, and then hide behind the advice of so-called experts to deflect criticism when a scheme backfires.

Reid puts GOP in a bind over Romney's taxes

@highlight

When Mitt Romney was audit chair at Marriott, company engaged in abusive tax shelter

@highlight

Peter Canellos, Edward Kleinbard: Marriott tie shows Romney's professional ethics

@highlight

They say Romney displays a consistent highly aggressive attitude towards tax obligations

@highlight

Canellos, Kleinbard: Romney was willing to bend the rules to seek an unfair tax advantage