(CNN) -- The Vietnam War began in the decade before, but the conflict, and especially U.S. involvement, escalated in the 1960s. For the first time, Americans witnessed the horrors of war, played out on television screens in their living rooms.

This week's episode of "The Sixties" explores the war and its impact on American culture, then and now. Here are five facts from the episode that may surprise those too young to remember the Vietnam War:

1. U.S. involvement in Vietnam began with Eisenhower.

In the late 1950s, during the Eisenhower administration, Vietnam had split into North Vietnam, which was communist, and South Vietnam. Cold War anxieties dictated that if the North Vietnamese communists prevailed, the rest of Southeast Asia would fall like dominoes.

When he took office in 1961, President John F. Kennedy vowed not to allow South Vietnam fall to communism.

2. The United States and South Vietnam had Catholic presidents who were shot to death in November 1963.

By the early 1960s, South Vietnam's conventionally trained army was no match for the Vietcong's guerrilla-style tactics. In addition, South Vietnam's Buddhist majority revolted against their president, Ngo Dinh Diem. They saw the Catholic ruler as a tyrant.

The Western-educated Diem, however, wielded absolute power and rose to dictator level by the summer of 1963. The CIA discussed toppling the regime.

With U.S. knowledge, Diem was killed by South Vietnamese generals on November 2, 1963. Kennedy immediately regretted Diem's death and U.S. support for the coup.

Less than three weeks later, on November 22, Kennedy was assassinated in Dallas. Vice President Lyndon B. Johnson took the oath of office aboard Air Force One later that day. Soon after, Johnson told a grieving nation, "John Kennedy's death commands what his life conveyed, that America must move forward."

3. TV forever changed the way Americans viewed war

As casualties rose, the country increasingly turned against the war. The official line was that Americans were winning in Vietnam, but the evening news told a different story.

"What Vietnam did to America via television was introduce us to a new kind of America," said author Lawrence Wright. "One that was not pure, one that committed the same kinds of atrocities that are always committed in war, but we had never allowed ourselves to see them."

Reporter Morley Safer recalled the shock of witnessing Marines burn down 150 houses on the outskirts of the village of Cam Ne. An officer told the newsman that he had been ordered to level the area. Three women were wounded in the attack, one baby was killed, and four people were taken prisoner.

Safer asked a soldier if he had regrets about leaving people homeless, and the soldier replied, "You can't expect to do your job and feel pity for these people."

Another soldier told Safer, "I think it's sad in a way, but I don't think there's any other way you can get around it in this kind of a war."

Americans back home were stunned when the CBS report about the Cam Ne village hit the news.

After the broadcast, Johnson reportedly called then-CBS president, Frank Stanton, and said, "Frank, this is your President, your boys just s--t on the flag of the United States."

4. Some Americans resorted to self-mutilation to avoid the draft.

When the choices were Vietnam, jail or draft-dodging by going to Canada, some young men panicked and devised ways to fail the military's physical exam, including mutilating themselves, starving or pretending to be gay.

The compulsory draft, which had been initiated during World War II, meant registration for young men was mandatory at 18.

Working-class men were more likely to get drafted over those in the middle class because college students could get deferments.

In January 1965, 5,400 young men were called for the draft. By December of that year, more than 45,000 young men were called. When the monthly draft call rose from 17,000 to 35,000 per month, young people across the nation began engaging in civil disobedience.

On November 27, 1965, the March on Washington for Peace in Vietnam took place, attracting tens of thousands of protesters.

5. U.S. troops endured 120-degree temperatures while sitting in swamps.

Facing temperatures sometimes of up to 120 degrees F in the wet jungle terrain, soldiers regularly became afflicted with infections such as ringworm.

Author and Vietnam veteran Karl Marlantes recalled the difficulty of dealing with losing his friends on the battlefield.

"You'd throw them on a chopper and that'd be the last you'd see of them," he said, "and so you were constantly shoving it down because if you didn't you couldn't function."

Bonus: LBJ feared being remembered for his handling of Vietnam

Johnson, who made great strides with civil rights legislation at home, did not want to be remembered as the American president who lost Southeast Asia.

In a taped 1965 conversation, Sen. Richard Russell told Johnson that he "couldn't have inherited a worse mess."

"Well, if they say I inherited it, I'd be lucky," Johnson said, "but they'll all say I created it. Dick, the trouble is, the great trouble I'm under, a man can fight if he can see daylight down the road somewhere, but there ain't no daylight in Vietnam. There's not a bit."

Luci Baines Johnson on her father's legacy

When CBS anchor Walter Cronkite, who was called the most trusted man in America, traveled to Vietnam in 1968 and announced it was time for America to pull out, Johnson reportedly old an aide, "If I've lost Cronkite, I've lost middle America."

Journalist Marvin Kalb noted that Johnson "realized he was no longer in charge of the war. The war was in charge of him."

In 1968, Johnson announced that he would not be running for re-election.

@highlight

This week's episode of "The Sixties" explores the Vietnam War

@highlight

U.S. involvement escalated in the '60s

@highlight

LBJ: "A man can fight if he can see daylight ... but there ain't no daylight in Vietnam"