Washington (CNN) -- The chances of immigration reform passing in the House this year were already slim before its majority leader, Eric Cantor, lost his primary on Tuesday.

So, by the time Cantor announced on Wednesday that he was stepping down from his leadership post on July 31, those who oppose any type of amnesty for illegal immigrants were sounding the death knell for related legislation on Capitol Hill.

In his victory speech, Dave Brat, the economics professor who defeated Cantor by double digits, cited the lawmaker's willingness to consider a path to citizenship for the children of illegal immigrants as one of his opponent's weak flanks.

And pundits said that will be a lesson to others who might dare to push for reform.

"It is a bombshell," CNN senior political analyst David Gergen said on CNN of Cantor's loss. "I think it does mean more gridlock ahead, especially on immigration. Immigration reform is now dead."

Those who support such measures as granting a pathway to citizenship to Dreamers — the children of those who came to the country illegally — raced to put Cantor's defeat in context.

"Some things do not change after a primary. Even a primary result that no one, including the winning candidate, had predicted," Rep. Luis Gutiérrez, an Illinois Democrat and staunch immigration advocate, said on the House floor on Wednesday. "Immigration reform is not dead. It might just be moving to the White House for action if none comes from this House."

There was always a short window in this Congress to pass comprehensive immigration reform legislation in the House before lawmakers leave for the summer in August and before the midterm elections in November, legal and political experts say.

Maybe immigration reform isn't dead after all

Last year, the Senate approved a sweeping immigration reform package, including a path to citizenship for an estimated 8 million of the more than 11 million undocumented workers in the country, according to figures from the Congressional Budget Office.

Though roughly one-third of Republicans supported the measure, the legislation stalled in the GOP-controlled House as lawmakers there weighed more gradual reforms.

Cantor had publicly backed proposals giving Dreamers the chance to receive some type of legal status, however he voted against the broader Senate measure.

"Cantor ignored the advice of every Republican pollster and tried to be wishy-washy on immigration," Gutiérrez told CNN in a statement. "He didn't convince the pro-immigration side he was with them and he didn't convince the anti-immigration side he was with them. And he lost. That is not what happened to Sen. (Lindsey) Graham in South Carolina, Rep. (Renee) Elmers in North Carolina, or a number of others who have made a clear case for immigration reform that is not 'amnesty.'"

Cantor's loss might make other Republicans facing conservative challenges skittish, said Stephen Yale-Loehr, an immigration law professor at Cornell University Law School.

"One primary does not determine the fate of immigration reform, however it does make it harder for Republicans to do anything before the August recess," Yale-Loehr said.

But it's not all up to the House.

Should Obama use the power of his pen to turn the tide on immigration reform?

President Barack Obama has also been under pressure from immigration activists and members of his own party to use executive action to push through reform — especially if the House fails to act before the recess.

He rejected any notion that Cantor's defeat means the end for immigration reform in the House -- a message he said he would relay to Speaker John Boehner.

"At a certain point, issues are important enough to fight for. My argument about yesterday's election is not that there was too little politics -- there was too little conviction about what was right," Obama said at a fundraiser in Boston, according to a press pool account.

"We need to get immigration reform done."

The flood of hundreds of unaccompanied children crossing into this country daily and overflowing holding centers is an issue that could further hasten the administration to act, immigration legal experts say.

Obama has called the border situation involving children "an urgent humanitarian situation requiring a unified and coordinated federal response" and has established a group that will work across federal agencies to help address the problem.

In the meantime, supporters also want the President to do more to slow the record number of deportations during his presidency.

There have been roughly 2 million deportations under Obama, a number that far eclipses previous presidencies and led the head of the National Council of La Raza to dub him "the deporter-in-chief."

He has directed the administration to reexamine its deportation policy. Immigration reform advocates also want the administration to make noncriminals and minor offenders the lowest deportation priorities and extend amnesty to the parents and guardians of Dreamers.

"Just because Cantor lost doesn't mean that all of those other conversations and criticisms about not doing something about immigration goes away," said Julian Zelizer, a Princeton University historian and CNN contributor. "The likelihood was that the President was planning to use executive action anyway regardless of what happened to Cantor."

@highlight

Eric Cantor's stunning primary loss Tuesday was a blow to immigration reform

@highlight

Cantor's opponent made an issue of the majority leader's position on so-called "Dreamers"

@highlight

President Obama faces increasing pressure to use power of pen on immigration reform