(CNN) -- I am a mother who watched her mother bury her only son.

Mothers who do this wear an excruciatingly blank look of sorrow and disorientation. Their eyes grow dim and damp. They move slowly, laboring to adjust to a horrific new reality.

Not only does the heart of a mother split open when a child dies, but time itself breaks in two, reordered into the time before his death and the time after.

I know the empty eyes well. My mother had them for years after the death of my 17-year-old brother, Eddie. Sybrina Fulton, the mother of Trayvon Martin, and Valerie Bell, Sean Bell's mother, have appeared on in news interviews in recent days. They still have those eyes.

Now Lesley McSpadden, Michael Brown's mother, has the gruesome, unnatural task of burying her baby boy, a devastating detail often lost amid the aggressive noise surrounding the trauma in Ferguson, Missouri.

Complete coverage of Ferguson shooting and protests

The mothers of Sean Bell, Oscar Grant, Trayvon Martin and now Michael Brown are in a particularly sad sorority. Not only do they have to negotiate life without their sons, but they must conduct the rough rituals of mourning under the incredible burden of the violence, systemic racism, hidden history and injustice that brought them to this place.

There's a dignity that comes with losing sons as soldiers, and there's a sympathy that comes to mothers who lose them to illness or a tragic accident, as was the case of my brother. But these other mothers have none of that relief; their sons were healthy, surefooted and unarmed. Now these women are thrust into spotlights, tasked with asking for prayers and patience and peace in the street -- when their own peace won't come.

We mothers who watch these wounded women go through this, pull our own young men closer and strategize how to keep them from this fate. It's an unfair burden.

In fact, every time a high-profile killing of an unarmed black male by law enforcement hits the news, black parents again have "the talk" with their sons about what to do, and perhaps more critically, what not to do when encountering police.

And every time it's infuriating to reach for this desperate yet fatally flawed strategy: a one-sided instruction to help save them in a two-sided, potentially deadly relationship.

Yesterday, I had a conversation with a friend who is a Hollywood producer with two sons living in an affluent neighborhood in Los Angeles. She told me that the details of her "talk" may be different from mothers in low-income communities, but she's clear that wealth does not protect her sons from dangerous encounters with the police.

Indeed, she told me that some high-income mothers are so acutely aware of the way police view black men in California, that a group of the mothers got together and invited a high-ranking police officer over for tea to introduce him to their sons.

The intent? "Officer, meet my son. He's not a thug, a thief or a threat. If you see him in a fancy car or walking down the street wearing sporty teen boy gear, please don't kill him, OK?"

It's a clever tactic (as pathetic as it is that there is a need for it) and a step in the right direction. Consider: Black mothers and fathers all over the country for generations have been telling their kids how to act around law enforcement, but who is instructing law enforcement about how to act when encountering our boys?

It is painfully evident that much of law enforcement is ignorant of black youth culture. Police are armed with ready guns, misinformed stereotypes and irrational fear. They obviously have not engaged enough with our youth to know about them. Many police officers have no imagination to allow black teens the adolescent recklessness they instinctively give white youth.

If no one institutes a plan to reform the culture of policing by educating police about the culture of black youth, this lopsided relationship will continue to produce tragedies such as what we're witnessing in Ferguson.

The burden has far too long been shouldered by black parents and kids, requiring them to adjust to the injustice of excessive force, police brutality and ignorance.

Police officers must become more responsible for knowing the community they're hired to protect and serve (even fast food workers are trained to know their customers). The residents of Ferguson and cities all over America have been grossly underserved and fatally misunderstood.

We should not be asking outraged mothers, fathers, families and communities to stop hollering. We should be asking trained law enforcement to put down their guns and listen up.

Magazine: The Aftermath in Ferguson

Read more about the flash point in the Heartland at CNN.com/US

@highlight

Michaela Davis: Moms who lose sons wear blank look of sorrow. Michael Brown's does now

@highlight

She says they are thrust into spotlight to call for peace as they process private trauma

@highlight

She says moms looking on renew 'the talk' with their sons. Why should they have to do this?

@highlight

Davis: Police are ones who must be educated to deal with young men, not the other way around