(CNN) -- Less than two years ago, Myanmar's leaders were doing all they could to silence pro-democracy leader Aung San Suu Kyi. Now they're poised to welcome her into parliament.

The sudden relaxation of political shackles on the Nobel laureate has raised the inevitable questions of why, and what do they want in return?

One expert said Myanmar's new leaders, who were elected to power in a vote derided as a "sham" in November 2010, had tired of being ostracized by the international community.

"They know that their regime as Southeast Asia's number one pariah was always a 'free kick' for anybody who wanted to bring up human rights violations," said Nicholas Farrelly, a research fellow at the Australian National University.

"They always considered that their status was somehow not really deserved and that it was only through Aung San Suu Kyi's iconic pro-democracy role that they were singled out for such scrutiny and attention.

Near clean sweep for Suu Kyi's party

By welcoming Aung Sun Suu Kyi back into the formal political fold, and also by trying to develop a set of institutions that are internationally legitimate, they feel that they should be able to pretty rapidly reposition themselves to become yet another Southeast Asian semi-democracy, and with that status they'd be able to enjoy all the benefits of full membership of international fora and everything that goes with that membership," Farrelly added.

For almost five decades, Myanmar, a country of almost 60 million people, was ruled by a military junta that seized power in a coup in 1962.

In 2011, control of the country passed to former general Thein Sein who resigned his army post to form a political party, the Union Solidarity and Development Party (USDP), to contest the 2010 vote. He won the election, which was boycotted by Suu Kyi's National League for Democracy (NLD), and later condemned as a farce.

Suu Kyi: Peaceful freedom fighter

"It's pretty clear that when the early count was done in the last election the military was losing horrendously. They had almost no votes. Then suddenly it all changed and suddenly they won a horrendous number of votes, a massive majority," said Monique Skidmore, from the University of Canberra.

Fast forward to 2012 and the political situation has changed dramatically. Citizens have just cast their votes in an election that included opposition parties who were even allowed the freedom to publicly campaign before the vote.

"It's remarkable and very striking for those living in Myanmar to see Aung San Suu Kyi on state television station and to listen to her on the state radio for 50 minutes giving a political speech," said Jim Della-Giacoma, from the International Crisis Group, before the vote.

The April 1 election has not been without alleged flaws, but Della-Giacoma said irregularities were inevitable, not least because of the country's long history of military rule.

"The political environment has drastically changed and it's part of the determination of the government to show things are different now and politics are not being played the way they were back in 2010," he said.

Hundreds of journalists and international monitors attended the April election, and while Suu Kyi's party claimed victory Monday in 43 of the 44 seats it contested, official results are still to be released.

They are expected to confirm that the people of Myanmar want the Suu Kyi and her once-banned NLD party in parliament. While they're only expected to occupy 43 seats of 664 in a lower house still dominated by the ruling USDP, experts say being in parliament will give Suu Kyi and her colleagues an influential voice.

"If you look at the dynamics of the legislature, the two houses of parliament in Naypyidaw, they're voting all over the place. She (Aung San Suu Kyi) will have a very powerful voice, she is a very high-profile figure. She has an ability to pass amendments and move the parliament," Della-Giacoma said.

Myanmar's deliberate change in strategy has already reaped returns for the impoverished country. Ahead of the vote, there was talk that a decisive step towards democracy was likely to result in the lifting of embargoes imposed to pressure the country to improve human rights.

"The election of Aung San Suu Kyi in a free and fair political contest would surely have to meet the criteria for getting rid of a large slab of the impositions that are currently put on the country," Farrelly said.

For some countries, including the U.S. and Europe, it could take some time, Farrelly said. But for others, including Australia and Canada, the lifting of sanctions could happen relatively quickly, if it was agreed the vote was adequately free and fair, Farrelly said.

Myanmar has already opened its doors to foreign delegations who have been advising the country on steps towards reform. The consultations followed several surprising moves by the government, who freed Suu Kyi from house arrest within days of being elected in 2010.

President Sein's government went on to pardon hundreds of political prisoners, secure a ceasefire with Karen rebels and agree to negotiate with other ethnic rebel groups. Strict press rules were relaxed, diluting the culture of fear that had gripped the country.

The confirmation of a seat in parliament for Suu Kyi would dilute that fear even further, said Skidmore.

"The era of fear is going to be largely over. So the feeling that one could be arrested at any time for holding a view that is opposite to the military, that should be severely lessened at the end of this election period. To see Aung San Suu Kyi having a legitimate political presence in the country will be psychologically enormous to Burmese people," she said.

After declaring victory, Suu Kyi told her cheering supporters that it wasn't her victory, but their own. "This is not our triumph, this is a triumph of the people," Suu Kyi said as she arrived at NLD headquarters in Yangon Monday.

The international community has yet to react to the NLD's claims of triumph, but when it does, it is expected to have broad implications for Myanmar and its efforts to bring a once-persecuted party in from the cold.

@highlight

Pro-democracy leader Aung San Suu Kyi is poised to win a seat in Myanmar's parliament

@highlight

Her National League for Democracy (NLD) party looks to have won 43 seats it contested

@highlight

Hundreds of journalists and international monitors attended the April by-election

@highlight

Foreign delegations who have been advising the country on steps towards reform