Pope Francis -- the Catholic Church's first Latin American pontiff -- celebrated his birthday Wednesday with a major geopolitical wish granted: The end of a half-century of frozen relations between the United States and Cuba.

Francis, who was elected last year and turned 78 on Wednesday, acted as the chief advocate for renewing diplomatic ties between Washington and Havana, officials said.

The Pope made a personal plea to President Barack Obama and Cuban leaders in a letter this summer, writing that the two nations should try to reset their relations after decades of friction.

"I want to thank His Holiness, Pope Francis, whose moral example shows us the importance of pursuing the world as it should be, rather than simply settling for the world as it is," Obama said Wednesday as he announced the U.S. policy shift on Cuba.

When Obama met the Pope at the Vatican in March, the discussion turned toward moving U.S.-Cuba relations into a new era. White House officials said the Pope specifically addressed the case of jailed American contractor Alan Gross, who was freed  Wednesday as part of the new detente between the two countries.

The Vatican also hosted talks between U.S. and Cuban delegations in October, where details of Gross' release and aspects of the new U.S. trade policy were hashed out.

"The Holy Father wishes to express his warm congratulations for the historic decision taken by the Governments of the United States of America and Cuba to establish diplomatic relations, with the aim of overcoming, in the interest of the citizens of both countries, the difficulties which have marked their recent history," the Vatican Secretary of State wrote in a statement Wednesday.

The U.S.-Cuba deal isn't the first time Francis has used his moral authority to try to broker international truces. After visiting the Holy Land in May, he hosted former Israeli President Shimon Peres and Palestinian Authority president Mahmoud Abbas at the Vatican for a joint prayer service.

Francis Rooney, the U.S. ambassador to the Holy See from 2005 to 2008, said that top Catholic officials, including current Vatican Secretary of State Pietro Parolin, regularly lobbied American envoys to relax the economic embargo on Cuba.

Previous popes, such as Saint John Paul II, who was raised in communist Poland, had little love for totalitarian states but believed that sanctions impoverished ordinary Cubans and isolated a government that might be won over through careful diplomacy.

That's a common approach for the Holy See, said Rooney, author of "The Global Vatican," a study of 1,200 years of statecraft by Catholic popes and priests. "They are focused on the human condition, rather than secular interests."

Cuban-American theologian Miguel Diaz, the U.S. ambassador to the Vatican from 2009 to 2012, said Wednesday's breakthroughs represent both a personal and professional triumph.

"This is something that we have worked on for such a long time," said Diaz, who has born in Havana. "I raised the Gross case with my Vatican interlocutors regularly."

Diaz, now a professor at Loyola University in Chicago, said talks were particularly intense ahead of former Pope Benedict XVI's visit to Cuba in 2012.

Relations between the Vatican and Cuba, strained during the 49-year rule of communist dictator Fidel Castro, have improved since Raul Castro replaced his sickly brother as the island nation's president.

Diaz and other Catholics said the presence of the first Pope from Latin America has also played a role in how world leaders view Cuba.

Francis has surrounded himself with advisers who have deep experience in Latin America, including Pietro Parolin, who was formerly Benedict's ambassador to Venezuela. In addition, the Holy See's former ambassador to Cuba, Archbishop Giovanni Angelo Becciu, is now a high-level diplomat at the Vatican.

"We now have people in the highest offices of the Catholic Church who understand the situation in Cuba, the situation in Latin America, and who also understand the need for a different roadmap to lasting peace," Diaz said.

Cuba was officially atheist from 1962-1992, and an annual State Department report issued this year said religious activity there is only allowed "if explicitly authorized" by the government. The Catholic Church estimates between 60-70% of Cubans are baptized. In October, the Caribbean country allowed the first new Catholic church in 55 years to be built, according to The Associated Press.

@highlight

The White House says Pope Francis wrote letters to both countries and hosted meetings at the Vatican

@highlight

New Vatican diplomats understand Latin America, former ambassador says

@highlight

The Pope congratulates Washington and Havana on improved relations and release of prisoner