Hong Kong (CNN) -- In a country that restricts gambling as much as China, it's become a running cultural joke that soccer betting is an endemic multi-billion yuan business.

A cheeky group of contemporary artists -- the Yangjiang Group -- has almost made an industry from lampooning the Chinese love of illegal soccer gambling.

With artworks like "Soccer Gambling -- Fiercer than a Tiger," a title swiped from a local newspaper headline, or pamphlets that at first glance look like Taoist temple augurs that are really thinly disguised soccer predictions, the artists' work attempts to show how much illegal betting is now part of Chinese cultural life.

The advent of the internet coupled with millions of illegal Chinese gamblers coming on stream has seriously skewed the market in soccer gambling.

Europol's revelations that hundreds of matches have been fixed may have hit the industry in Europe, but will come as no surprise in soccer betting-crazy China. Declan Hill, in his 2008 book on match-fixing, The Fix, quoted "a recent study for the American journal Foreign Policy [that] estimated the entire Asian gambling industry, both legal and illegal, at $450 billion a year."

Analysts say sums like these are equal to 20 times the revenues of all of European professional football leagues put together -- a situation that has made match-fixing a global and, some argue, mature and stable industry.

Dutch police researching corruption in professional football in 2009 identified groups dubbed "belchinezen" or "phone Chinese" -- groups of people of Asian descent standing in near-empty stadiums of even youth league matches phoning in results for gambling companies in China or South East Asia. Dutch police said though they had no laws to act against illicit betting couriers.

On Monday though Europol dropped the bombshell that its five-country probe identified 680 suspicious matches, putting the integrity of football at stake.

"It is clear to us that this is the biggest investigation ever into suspected match fixing," Europol chief Rob Wainwright told a news conference in The Hague, adding that the fall-out hit at the heart of the world game's reputation.

"It is the work of a sophisticated organized crime syndicate based in Asia and working with criminal facilitators around Europe," said Wainwright.

He added: "Matchfixing is a significant threat to football ... involving a broad community of actors. Illegal profits are being made that threatens the very fabric of the game"

Hill has identified Singapore as the center of Asian illegal soccer betting. He told CNN that while convictions in Europe were encouraging, the key was in getting Asian police to make arrests as well.

"If you really want to wrap this up, you've got to go to Singapore," Hill said.

Grant Wahl, a senior writer at Sport Illustrated, told CNN there were many methods for fixing and throwing even major league soccer matches.

"There's different ways of doing it," Wahl said. "One way is to convince players to go out on the field and do things to impact the game -- whether that's saving goals, or whether that's doing things that alter the final result.

"But there are other ways to do that too. If you are presenting yourself as a promoter and you're trying to fix a game you can set up an international friendly by paying the national federations and you can put the referee out there and then the ref is someone that can be controlled and can call a penalty or not at a certain point in the game."

@highlight

Illicit soccer gambling in China is endemic and worth billions of yuan

@highlight

Europol says five-country probe has identified 380 suspicious matches

@highlight

Internet and millions of Chinese betters has influenced match-fixing, analysts say

@highlight

Singapore has been idenitifed as base for illegal soccer betting