Teachers and Parents: Watch with your students or record "Pictures Don't Lie" when it airs on CNN on Saturday, February 26 at 8 p.m. ET. By recording the documentary, you agree that you will use the program for educational viewing purposes for a one-year period only. No other rights of any kind or nature whatsoever are granted, including, without limitation, any rights to sell, publish, distribute, post online or distribute in any other medium or forum, or use for any commercial or promotional purpose. To own "Pictures Don't Lie," go to Amazon.com or download it on iTunes.

(CNN Student News) -- Program Description: "Pictures Don't Lie: A Black in America Special" examines the hazy legacy of legendary photographer Ernest Withers, who helped advance the civil rights movement with his stunningly intimate black-and-white images. Withers was everywhere: in Dr. King's hotel room for strategy sessions, in the courtroom of the Emmett Till lynching murder trial, behind the scenes at the Memphis sanitation strike before Dr. King was assassinated. Now, just three years after his death, the reputation of the man dubbed "the original civil rights photographer" is in question. Withers may have led a double life as a paid FBI "racial informant." Caught in the middle of the firestorm are the children of Ernest Withers, who are disputing the charges and fighting to open the namesake museum that will display his historic images. The Withers children are speaking out for the first time with CNN anchor and special correspondent Soledad O'Brien. We will also speak to leaders of the civil rights movement who were allegedly spied on by Withers to hear their reactions. Do they believe the accusations? Do they feel betrayed? And how common was the FBI's practice of employing racial informants? During this month of reflection, the timing couldn't be better to debate this conflicted character's place in civil rights history.

Recommended Grades: 11-12, college

Before-Viewing Discussion Questions: Use these questions to initiate discussion with your students before they watch "Pictures Don't Lie."

1. What was the American civil rights movement? In your opinion, what impact has this movement had on today's society?

2. What do you think might have been the potential risks and benefits of joining the civil rights movement?

3. Some people in the civil rights movement advocated non-violence, while others preferred a more militant approach. What other ways can you think of to try to enact social or political change? How do you think that policy makers and the public might respond to each of these strategies?

4. If you could interview one of the leaders of the civil rights movement, what questions would you ask? What lessons would you want these leaders to pass on to your generation?

Post-Viewing Discussion Questions: Use these questions to talk about the program and to promote critical thinking after students have watched "Pictures Don't Lie."

1. Who was Ernest Withers? What role did he play in Memphis society and in the American civil rights movement?

2. What are some of Withers' images that are seen in the documentary? Have you seen any of these photographs before? What do you think that Andrew Young means when he says that, "It would not have been the movement without the pictures"? In your opinion, what might be the value of Withers' photographs for American history?

3. What were some of the historical events that Withers witnessed and photographed? According to the program: How was he able to get some of his famous shots? Why did the civil rights leaders give him access to their meetings and events?

4. Who were the "Invaders"? How did this group's approach to civil rights differ from the movement led by Dr. Martin Luther King Jr. and Young? Why do you think that some civil rights groups chose non-violent action as a form of protest, while other groups decided to act more militantly?

5. Why was Withers accused of working for the FBI? According to the program, why did the FBI use informants from the black community? Why do you think that some people in the black community helped the FBI? What impact do you think that the leaking of information might have had on the civil rights movement? Explain.

6. What are some of the theories presented in the documentary for why Withers might have informed for the FBI? Which of these theories, if any, do you believe? Explain. Do you think that Withers sold information to the FBI? Why or why not?

7. Why do you think that the FBI monitored the civil rights movement? What challenges did the agency face in doing so? What is your opinion of the FBI's surveillance of the movement?

8. What do you think might be the potential advantages and disadvantages of using informants for surveillance versus using other methods (e.g., wiretapping)? In your opinion, should the federal government monitor individuals and groups that may be opposed to its policies? Why or why not?

9. How do some of Withers' family members and contemporaries respond to the accusation that Withers gave information to the FBI? What is your reaction to their statements?

10. In your opinion, what impact has the accusation that Withers was an informant for the FBI had on his legacy?

11. How would you assess Ernest Withers' role in the civil rights movement?

Media Literacy Questions: You've no doubt heard the expression "A picture is worth a thousand words." In your opinion: How does a picture or image tell a story differently from words? In what ways might a photojournalist shape your perception of a news event? What images do you remember from events that happened during or before your lifetime? Why do you think that these images are especially powerful?

Learning Activity:

Pose this question to students: Do you think that Ernest Withers did more to promote or to undermine the civil rights movement? Before students answer, have them work in groups to review the evidence presented in the program and conduct online research as well. Assist groups in organizing their research into a chart or other visual aid that presents the two sides to the question and the evidence for each side. Have groups share their findings. Then, generate a discussion about the information students found and what methods they used to assess it as credible or not credible. Ask for volunteers to share their conclusions about what they have seen, heard and read, as well as how the information gathered helped them to formulate opinions. Finally, have each student produce a video essay in response to the initial question that was posed to the class. Assess the essays on composition, grammar, media literacy and production.

Curriculum Connections

National Curriculum Standards for Social Studies: The Themes of Social Studies

5. INDIVIDUALS, GROUPS, AND INSTITUTIONS

Social studies programs should include experiences that provide for the study of interactions among individuals, groups, and institutions.

6. POWER, AUTHORITY, AND GOVERNANCE

Social studies programs should include experiences that provide for the study of how people create, interact with, and change structures of power, authority, and governance.

The Curriculum Standards for Social Studies (http://www.socialstudies.org/standards) are published by the National Council for Social Studies (http://www.socialstudies.org/).

@highlight

"Pictures Don't Lie: a Black in America Special" examines the legacy of civil rights photographer Ernest Withers

@highlight

Withers may have led a double life as a paid FBI informant

@highlight

Use this educator's and parent's guide to debate Withers' place in civil rights history

@highlight

The guide includes before-viewing and post-viewing questions, media literacy questions and a learning activity