(CNN) -- Sen. Rick Santorum, who is campaigning to become America's second Catholic president, disagrees from the bottom of his gut with the first Catholic to hold the office.

In October, he told a Catholic university audience that when he read the 1960 speech in which John F. Kennedy said: "I believe in an America where the separation of church and state is absolute," he "almost threw up." More recently, he elaborated on his dyspeptic condition in an ABC television interview, calling JFK's credo "an absolutist doctrine that was abhorrent at the time of 1960."

But the Baptist ministers who witnessed Kennedy's speech surely felt differently. In the 1960s, evangelical leaders were not concerned that Kennedy was too secular; they were concerned that he was too Catholic.

For most of American history, the Protestant majority has regarded Catholics with deep suspicion. Many of the 13 colonies banned Catholics from public office and prohibited Catholic rituals. Priests were banished and sometimes executed.

After independence, the Constitution protected Catholics from the worst persecutions of the Colonial period, but discrimination persisted, and anti-Catholic paranoia raged with an intensity that would have made Glenn Beck blush. One popular book, "Foreign Conspiracy Against the Liberties of the United States," warned of a secret Jesuit plot to deliver America to the Austrian empire. Its author was Samuel Morse, co-inventor of the telegraph.

Such fears diminished as Catholic immigrants assimilated in the 20th century, but many Protestants remained hostile toward Catholic politicians. During JFK's presidential campaign, the Department of Justice documented 144 producers of anti-Catholic campaign literature. The pamphlets warned of Vatican influence over American policy and the prospect of state-funded Catholic schools. Most of the opposition came from evangelical groups like the National Association of Evangelicals and the Southern Baptist Convention.

In the face of unrelenting hostility, Kennedy decided to address concerns about his religion directly. Speaking to a group of Baptist ministers in Houston, he reassured them:

"I believe in an America where the separation of church and state is absolute, where no Catholic prelate would tell the president -- should he be Catholic -- how to act, and no Protestant minister would tell his parishioners for whom to vote, where no church or church school is granted any public funds or political preference, and where no man is denied public office merely because his religion differs from the president who might appoint him, or the people who might elect him."

Perhaps Rick Santorum's father, an Italian immigrant who came to the United States in 1930, heard these words and understood the prejudice that JFK struggled against. But Rick Santorum was only 2 years old when they were spoken. If he has any memory of Catholics' difficult history in this country, he does not publicize it. Nor do other Catholic champions of the religious right in their determination to wash away the old hostilities that divided American Christianity.

Evangelicals and Catholics began collaborating politically in the late 1970s. The architect behind their reconciliation was a political strategist named Paul Weyrich. Frustrated by the Republican Party's preoccupation with business interests, Weyrich sought to reorient the party toward religious and cultural issues. To this end, he founded the Heritage Foundation, a conservative think tank, and the Moral Majority, the first organization to represent what we now call the religious right.

Weyrich, a Melkite Greek Catholic, knew that a Catholic leader would not appeal to evangelicals, so he tried to recruit televangelist Pat Robertson to lead his cause. When Robertson turned him down, Weyrich enlisted the Rev. Jerry Falwell.

Falwell would later say that Catholics and evangelicals found common ground in their opposition to abortion, but Weyrich remembered it somewhat differently. He had tried to mobilize evangelicals over abortion and failed. Most Protestants regarded abortion as a "Catholic issue," and many prominent Baptist leaders had even endorsed the Roe v. Wade decision.

What actually brought Catholics and evangelicals together was a common enemy. This imaginary enemy has gone by many names. In the 1970s and '80s, it was known as "secular humanism," a fiendish anti-religious movement that had supposedly taken over the schools, the courts, the media and the government.

In the 1990s, it was called "political correctness," and rampaged through the universities. When Bill O'Reilly of Fox News announced that Christmas was under siege in 2004, he blamed "secular progressives" in the media. Meanwhile, Rick Santorum decries "cultural liberalism" and warns that the government is trying to destroy religious freedom by forcing Catholic organizations to insure birth control.

Regardless of the name, the supposed enemy's goals remain the same: to eradicate Christianity from the public sphere and replace traditional Judeo-Christian values with a liberal agenda. Its agents are progressive politicians, journalists, professors and nonprofit organizations. Its creed is the separation of church and state that JFK once appealed to in his campaign to become the first Catholic president.

The construction of such a villain has been devastatingly effective in uniting the religious right. The same evangelical groups that once attacked JFK as an agent of the pope have become the foundation of Santorum's support in the Republic primary, and his only rival for their vote is fellow Catholic Newt Gingrich. Times have changed.

But should Santorum and his conservative Catholic allies succeed in breaking down the barriers between state and religion, they may reap a bitter fruit. For without the secular menace to distract Protestants from their doctrinal differences with Catholics, the old enmities may rise again. And just as religious right leaders seldom extend their demands for religious freedom to Muslims and other non-Christian religions, Catholics might one day find the freedoms that they have come to take for granted are no longer assured.

The opinions expressed in this commentary are solely those of Michael Wolraich.

@highlight

Michael Wolraich: Protestants were deeply wary of Catholics for most of U.S. history

@highlight

In 1960, he writes, evangelicals feared JFK's Catholicism more than secularism

@highlight

Wolraich: But a common enemy, secular authority, has united evangelicals and Catholics

@highlight

Doctrinal divisions could rise again, he says, and put Catholics on the defensive