(CNN) -- Tunisians filled the streets with the help of Twitter. Egypt's protests were coordinated on Facebook pages like that of internet activist Wael Ghonim. Libyan dissenters spread the word about their "day of rage" last week the same way.

And yet, in these heady days where the entire Middle East seems to be inspired to organize online in revolt against autocracy, it has become fashionable for experts to dismiss the role of social media in 2011's revolutions.

"People protested and brought down governments before Facebook was invented," the New Yorker's Malcolm Gladwell opined on February 2. A few weeks later, The Financial Times' Gideon Rachman reminded us that "the French managed to storm the Bastille without the help of Twitter -- and the Bolsheviks took the Winter Palace without pausing to post photos of each other on Facebook."

True enough -- and utterly irrelevant. Those uprisings had a strong assist from contemporary technology too. The Bolshevik revolution would hardly have happened without the telegraphs and trains that spirited Lenin to the Finland station at the right moment. And what would the French revolution have been without the latest high-tech gadget, hot from the workshop of Dr. Joseph Guillotin?

Yes, of course, technology alone doesn't make revolutions. The will of the people is the most vital ingredient. To foment revolt, first let their resentment simmer for a few decades. But that doesn't mean social media cannot provide wavering revolutionaries with vital aid and comfort.

Remember the kids interviewed in Tahir Square the night Mubarak resigned? What struck me most was what they were doing while waiting for the reporter to finish his introduction: thumbing on their smartphones. Want to hazard a guess at the website they were checking?

Consider what Facebook is: It's the internet, refined and focused like a laser beam that bounces off you and your acquaintances with unsurpassed speed. None of its features are particularly new. They're tried and tested. We've been sharing instant messages, blog-like daily details and rants, and coordinating projects and meetups online since those Tahir Square kids were babes in arms.

We've just never done all that in the same place, in front of so many of our friends, for hours at a time. We've never created a club that's half a billion people strong and growing faster than ever, a club with room in it for literally any point of view. And we've certainly never carried that club in our pockets, around the world.

Consider what else that makes Facebook: Democracy in action, or at least the closest thing we see in our daily lives. A cacophony of viewpoints explode out of the briefest statements. Could you imagine how many comments you'd get on your Facebook wall in the next 10 minutes if you posted "I <3 Ghadaffi?" (Go ahead, try it. We'll wait.)

Now imagine you're a dictator trying to infiltrate those acres of free speech. Can't be done. Who wants to friend a Libyan secret policeman? (Ask your pals, they probably now think you are one.) Keeping a beady eye on who said what to whom in this cacophony could take a lifetime. You could, of course, shut down the entire internet. Mubarak tried that, and it quickly became apparent that he'd also cut off the country's lifeblood: commerce and tourism.

Or you could do what China has done for the last two years, and block access to Twitter and Facebook specifically. In which case, you draw attention to their power, and give rise to homegrown copycats (such as Renren.com and Kaixin001, in China's case.)

Gladwell is right to argue that only strong social ties create revolutions. But he is wrong to say that Twitter and Facebook constitute weak social ties. He may believe this because he is a highly productive writer, and may never have been sucked into a two-hour Facebook hole.

Those of us who have know what it's like down there. It isn't some kind of vapid virtual bar scene. Okay, there is an element of that: The sense of perpetual party is what draws so many there in the first place. But what keeps us there is the fact that barriers between friends -- lack of time, too much distance, lazy years-long silences -- are annihilated.

The faces of Egypt's Revolution 2.0

Post a quick dumb comment on an old estranged friend's status update, and the next thing you know you're trading viewpoints like college roommates. Start a Facebook group for your passion project, and realize you were never alone in wanting to make your ideal real.

It is impossible to live in that kind of environment -- and make no mistake, we are starting to live there -- without noticing how much the real world fails to measure up. As Facebook continues to spread -- the trend line suggests it will reach 3 billion users, or roughly half the planet, by 2017 -- more and more monolithic cultures are in for a shock.

True, not all of them are Middle East-style powder kegs. But sparks can ignite in all sorts of ways. For example, the fastest-growing segment of Facebook users is women over 55. Think what a smart, self-aware network of grandmas could do for the world's poorest regions.

So perhaps there is one reason not to call events in Egypt and its ilk a Facebook revolution. The real Facebook revolution is global, and it's only just getting geared up.

@highlight

The uprisings had a strong assist from contemporary technology

@highlight

What else makes Facebook

@highlight

The real Facebook revolution is global, and it's only just getting geared up