ATLANTA, Georgia (CNN) -- Dr. Bernadine Healy can't even count the number of women who've complained to her about how tough it is to make the decision about hormone replacement therapy.

A 2002 study found HRT made women more vulnerable to health problems including heart attacks and strokes.

"Women say, 'Oh it used to be so simple. Now it's so complex,'" says Healy, a cardiologist and former director of the National Institutes of Health. "And I tell them, 'Yes, it used to be so simple because it was wrong.'"

This is what she means: Before 2002, it was practically standard operating procedure to put women on synthetic hormones as soon as they reached menopause. ("We were putting them in the drinking water," jokes Healy.).

But that turned out to be not such a great idea. A study in 2002 found that hormone replacement therapy, or HRT, made women more vulnerable to heart attacks, strokes, breast cancer and blood clots. In droves, doctors yanked their patients off the hormones.

Six years later, Healy and others are pleading for a middle ground -- a world where doctors don't paint women with a broad brush, but instead consider the medical needs of each individual woman.

The stumbling block to this middle ground is that patients often don't know what are good (and bad) reasons to go on HRT. And it's not just the patients who don't know. "A lot of the doctors are confused as well," says Dr. Wulf Utian, executive director of the North American Menopause Society and a consultant in obstetrics and gynecology at the Cleveland Clinic.

But there's some good news in this hormonal mess. Since 2002, a consensus has developed among the experts about legitimate and not-so-legitimate reasons for considering HRT. Here are the big five legitimate reasons:

1. Hot flashes

If you have severe hot flashes, you're a good candidate for hormones, our experts say. "They alleviate the problem by about 95 percent," Utian says.

Many women -- probably about two-thirds -- have mild to moderate hot flashes and won't need hormones, he adds. "Generally speaking, they can get away with layering clothing, avoiding spicy foods, breathing techniques or yoga."

2. Night sweats

"Night sweats are hot flashes when you're under blankets, so you can't get rid of the heat easily," Utian says.

If night sweats are making you lose sleep to the point you're dysfunctional the next day, hormones might be a good option. "Some women say, 'I can't live my life like this.' That's the woman who should not be denied the hormones," says Marcia Stefanick, professor of medicine at the Stanford Prevention Research Center.

Stefanick is co-author of a new study in the Journal of the American Medical Association showing that women who took a type of HRT called combined therapy (estrogen and progestin together) had a higher risk for breast cancer even three years after they quit taking the hormones.

3. Sleeplessness

The onset of menopause often gives women sleepless nights -- sometimes because of the night sweats, sometimes because of hormone changes. HRT sometimes helps, Healy says.

4. Osteoporosis -- sometimes

Studies have shown that HRT can cut down on bone fractures for women with osteoporosis, but it's not for everyone.

"A younger woman in early menopause who has osteoporosis -- or risk factors for osteoporosis -- might benefit from HRT," Utian says. "Older women should use something else." (See page 14 of this NIH report for other ways to treat osteoporosis.)

Women are at high risk for osteoporosis if they're thin, have a family history of osteoporosis, are lactose intolerant or smoke.

5. You feel better on hormones

"That's absolutely a legitimate reason for taking hormones," Healy says. "You very often can't measure what makes a woman feel better. But just because you can't measure it doesn't mean it's not real."

It's important, however, that women who go on hormones for this reason -- or any reason -- understand the risks of hormones. "I tell women, 'I'll give you the prescription as long as you understand the risks and the responsibilities and come in for regular checkups to see to it that all is going well,'" Utian says.

And what are some not-so-good reasons for going on HRT pills? Vaginal dryness and itchiness are better treated with estrogen creams, our experts say. Irregular periods should be tolerated, or treated with birth control pills, Utian says.

And certainly don't go on HRT because you think it might prevent aging, heart disease or cancer. The NIH study in 2002 rejected those reasons.

If you do decide to go on HRT, you need to keep several things in mind. First, take the lowest possible dose for the shortest possible time. That second part is pretty fuzzy. "The jury is still out. Is short-term two to three years? Five years?" Stefanick says. "When you go back to your doctor for checkups, ask, 'Should I go off it now?'"

Another question for your doctor: whether you should go on estrogen alone or combination therapy (estrogen plus progestin). Each has its pluses and minuses -- see Page 10 of the NIH document.

Choosing the right doctor is obviously of the utmost importance. Utian recommends an obstetrician-gynecologist rather than an internist. He recommends asking doctors how often they deal with hormone issues. "Some obstetricians are so busy delivering babies, they won't be spending much time on hormones," he says. E-mail to a friend

Elizabeth Cohen is a correspondent with CNN Medical News. Associate producer Sabriya Rice contributed to this report.

@highlight

A 2002 study found serious health risks in hormone replacement therapy

@highlight

Despite risks, hormone therapy seen as medically appropriate in some cases

@highlight

Expert: HRT can help reduce hot flashes by about 95 percent

@highlight

Vaginal dryness,  itchiness better treated with estrogen creams