(CNN) -- North Carolina pastor Otoniel Recinos has been offering an unusual warning these days to members of his church: Don't drive in nearby Alamance County. It's not safe, he warns them, because of the sheriff's department.

A two-year Justice Department investigation backs up what Recinos and other Latinos in the region say they've known for a long time: Traffic stops by Alamance County sheriff's deputies are sometimes part of a "pattern of racial profiling" aimed at searching for illegal immigrants, according to a statement this week by Thomas E. Perez, the assistant U.S. attorney general for the civil rights division.

Sheriff Terry S. Johnson has used offensive language when talking to Spanish speakers, the statement said, describing them as "Taco eaters."

Deputies were between four to 10 times more likely to stop Latino drivers for traffic violations than non-Latinos, the Justice Department said. Many of the stops took place at traffic checkpoints organized by deputies near Hispanic communities. Latinos were arrested for violations, while others got only warnings or citations, the department said.

The Justice Department also said Hispanics who were jailed after their arrests were discriminated against because they were targeted for immigration status checks.

Read the Justice Department letter of findings on this case (PDF)

The pattern "violates the Constitution and federal laws," triggering ripple effects that result in "distrust between the police and the community," Perez's statement said. It also "inhibits the reporting of crime and cooperation in criminal investigations."

The sheriff vehemently denies the allegations. "I don't know where they got their information from," Johnson said when contacted by phone, "but it's completely false." Johnson said his attorney had advised him not to comment on the case.

Related story: No papers, no fear, say protesters

After Sunday services at his Pentecostal Church of Jesus Christ, Power of God in Chapel Hill, Recinos, a 55-year-old pastor, gathers for refreshments and fellowship with his flock of about 50 people -- who are mostly Latino.

"I tell them not to go there unless it's an emergency," said Recinos, who came to the United States from his native El Salvador 22 years ago.

Recinos' home is about 30 miles away from Chapel Hill in the Alamance County town of Burlington. After living there for nine years, the irony of telling his followers not to visit his own county isn't lost on him. "That's hard, you know," he said. "But you have to tell the people what you have to."

The situation is complicated by an agreement between federal Immigration and Customs Enforcement authorities and the county sheriff's office. The agreement gave deputies additional powers aimed at identifying and arresting illegal immigrants for possible deportation to their home countries.

The Justice accusations have prompted ICE to sever that partnership, said ICE spokeswoman Barbara Gonzalez.

The agreements, called 287(g) programs, have long troubled local immigration reform advocates.

"We applaud the feds for conducting the investigation and its findings," said Viridiana Martinez of the local advocacy group NC Dream Team. "But there are still six other counties in the state that participate in the 287(g) program, which is at the bottom of this problem."

The programs have been a flash point in other states where immigration has become an issue. In Maricopa, Arizona, the sheriff's department saw its agreement with federal law enforcement revoked after the Justice Department also accused local authorities of discriminatory police practices.

ICE also has terminated agreements with five other Arizona law agencies, including the Phoenix Police Department. Collaboration under 287(g) continues in 64 communities in 24 states.

ICE also has information-sharing capabilities in more than 3,000 local agencies in all 50 states through a different program known as Secure Communities.

Related story: Romney vows 'reasonable' immigration solution

Arizona's politically charged immigration law was partially upheld this month when a federal judge OK'd its so-called "show me your papers" provision. The section allows authorities, while enforcing other laws, to question the immigration status of people who may be in the United States illegally. The Supreme Court in June tossed out most other controversial aspects of the tough new law.

Related story: What's next in Arizona immigration battle?

The Alamance County Sheriff 's Office shouldn't shoulder all the blame, said Martinez, the local activist. "It's also the fault of the Obama administration for empowering these agencies to operate as immigration agencies," she said. To "cut the problem at the root," she recommends ending all federal programs with local law enforcement that "give them the power of federal agents."

The racial makeup of North Carolina is shifting, Martinez said, and "a lot of white folks in the South are resistant to change."

In the past decades, North Carolina's Hispanic population has skyrocketed. Hispanics in Alamance County have increased by nearly 500 between 2000 and 2010, according to the U.S. Census Bureau. Census statistics also show that the number of Hispanic residents statewide grew by 943% between 1990 and 2010. North Carolina ranks 11th in overall Hispanic population, according to the bureau.

But Martinez said Latinos who were first drawn by industry jobs in the region are now fleeing because the "environment for immigrants in that county is horrible." "We know of people who have packed up after years and years of living there."

"A lot of the Latino people are here to work," she said. "They're not harming anyone -- but the last thing they want is to be arrested after they get pulled over."

In the wake of the federal accusations against the county sheriff's office, the Justice Department said that it "will seek to obtain a court enforceable, comprehensive, written agreement remedying the violations."

Meanwhile, Recinos said he worries about his friends, family and his church members who look to him for guidance. He said his followers worry about being able to trust community law enforcement officers who are supposed to protect them.

He said all he can do is tell them what may seem obvious in the wake of the Justice Department accusations. "Be careful."

Journalist Diego Barahona contributed to this report.

@highlight

Justice Department: Deputies in North Carolina county target Latinos at traffic stops

@highlight

The pattern "violates the Constitution," Justice Department official says

@highlight

Sheriff denies accusations as "completely false"

@highlight

Activist says Obama administration also shares the blame