(CNN) -- The coalition is growing -- not just in words, but in action.

Just over two weeks after U.S. President Barack Obama vowed "America will lead a broad coalition to roll back this terrorist threat" posed by ISIS, more than 50 countries have signed up, so far, to support the fight.

They include new entrants Belgium, Denmark and Britain, which will all send fighter jets to Iraq to assist that nation's government and the United States in the anti-ISIS military campaign.

Even the foreign minister of Russia -- which has butted heads repeatedly with Washington, including over whether the President of neighboring war-torn Syria needs to go -- signaled Friday his country is ready to back Iraq in fighting terrorists, "above all the Islamic State," which is what ISIS calls itself.

Most members of the anti-ISIS coalition have restricted their support to Iraq-focused efforts. A handful of Arab nations, however, have joined Washington in going after ISIS, from the air, in Syria.

ISIS' worst nightmare: A female pilot

Why do it? Ahead of what turned out to be an overwhelming Parliament vote Friday authorizing UK air power, Prime Minister David Cameron said the world has an obligation to corral a well-funded, highly organized force known for virtually unmatched cruelty -- reviled for its "beheadings, crucifixions, the gouging out of eyes, the use of rape as a weapon, the slaughter of children."

"Left unchecked, we will face a terrorist caliphate on the shores of the Mediterranean and bordering a NATO member, with a declared and proven determination to attack our country and our people," said Cameron, referring to NATO member Turkey.

Still, even as more countries agree to take part in airstrikes and helping Iraq, that doesn't mean this will be a cakewalk.

No one has pledged combat troops to join Iraq's oft-maligned military or the various forces -- from moderate opposition forces to their foes in President Bashar al-Assad's military -- doing battle with ISIS in Syria. Plus, eliminating a movement of militants who can easily mingle among civilians and strike in myriad, devious ways isn't easy.

Rout raises questions about Iraq's military ability to beat ISIS

That's why U.S. and British officials, including Cameron, said coalition forces need to be prepared to devote not weeks, not months, but years to the fight.

As U.S. Gen. Martin Dempsey, the the chairman of the Joint Chiefs of Staff, said Friday: "This is going to be a persistent and sustained campaign. And it will take time."

Expert: ISIS adapting, mixing in with civilians

It's not known if any ISIS leaders have been killed so far in airstrikes. Nor is there much evidence the group has lost a big amount of territory, much less that it is in full retreat.

But that doesn't mean the air campaign -- which began in August in Iraq and a few weeks ago in Syria -- hasn't had an effect.

In the Pentagon briefing Friday, Dempsey credited airstrikes with disrupting ISIS command and control activities and logistics in Syria as well as helping friendly ground forces begin to take back ground lost to the group.

CNN military analyst James Reese, a retired U.S. Army special operations officer, added that the strikes have helped "blunt the momentum of ISIS in Iraq."

Airstrikes also have disrupted ISIS safe havens on the ground, such as the northern Syrian town of Raqqa, Reese said.

Kurdish Peshmerga fighters helped drive the extremists back and secure positions on the ground. Strikes have since targeted ISIS throughout the swaths it holds, and the combined efforts have stopped ISIS from swarming over Baghdad.

But the group's command structure is adapting, said CNN military analyst Peter Mansoor, a retired U.S. Army colonel. It is spreading out, and its leaders are now "mixed in with the civilian population," he said.

"So, it's unlikely these airstrikes have crippled ISIS," he said.

Big questions about coalition ground partners

While Dempsey vowed he will recommend to Obama "what it takes to destroy ISIL," he said the best mix of ground forces to defeat the extremist groups will be drawn from Iraqis, Kurds and moderate Syrian rebels.

Some support has begun flowing to Iraq and Kurdish forces, including equipment to training. Then, of course, there's the growing international air component -- such as Denmark sending seven F-16 fighter jets, according to a spokeswoman for that country's Defense Ministry -- though new Iraqi Prime Minister Haider al-Abadi told CNN this week that his country's ground troops aren't getting the coordinated "air cover" they need to advance on ISIS forces.

A lack of faith right now in Iraq's military may not help, especially after ISIS overran the Iraqi Saqlawiya military base near Falluja this weekend.

It wasn't just the defeat that stung, but claims from Iraqi soldiers that their pleas for backup went unanswered by military commanders for hours. Iraqi officials said they had tried to support them but failed.

"There is no leadership in the Iraqi army right now," said retired U.S. Air Force Lt. Col. Rick Francona. "The people who are paying the price are the soldiers in the trenches."

For all these issues in Iraq, what to do on the ground in Syria may be even more complicated.

It's in the midst of a more than three-year civil war, one that's seen several groups -- from ISIS to the moderate opposition that Washington supports -- spring up trying to unseat al-Assad.

Here, the marshaling of an effective ground partner against ISIS terrorists has only begun.

There has been no coordination, "nor will there be," between Washington and al-Assad's government regarding U.S. airstrikes in Syria, U.S. Secretary of Defense Chuck Hagel said Friday. The United States hasn't shifted its approach to al-Assad, who has "lost all legitimacy to govern," according to Hagel.

Khorasan Group still a threat in Syria, along with ISIS

As all this is being sorted out, the violence continues.

This includes fresh battles between Kurdish Syrian fighters and ISIS militants near a city on the border with Turkey.

CNN's Phil Black, watching the fighting from a hillside in Turkey, reported hearing small arms and artillery fire as the Kurdish and ISIS forces fought to advance toward the Syrian city of Ayn al-Arab.

Turkish Kurds gathered near the border to watch the fighting cheered whenever ISIS fighters appeared to take a hit.

A resident of the city, also known as Kobani, said ISIS forces are 2 kilometers (1.24 miles) from the city and that resistance forces are running low on ammunition.

"We are hoping and waiting for any coalition air strike on these terrorists, to save our city from the barbaric attack," Hussein Kamal said.

Coalition air power was not evident in the region. But earlier in the day, the United States did turn its air power on more ISIS targets, taking out vehicles in other parts of Syria and Iraq and destroying a command node and a checkpoint.

A U.S. Defense Department official said as of 8 p.m. ET Friday -- or 3 a.m. Saturday in the Middle East -- that military operations were ongoing in both Syria and Iraq. No details were provided.

ISIS has been the main target of past strikes, but not only one. The air campaign has also gone after the Khorasan Group, which consists of senior al Qaeda operatives that a U.S. senior official has said was actively plotting attacks in the United States and elsewhere in the West.

The U.S. military launched eight Tomahawk missiles against Khorasan targets -- including training camps plus command and control facilities -- Tuesday west of Aleppo, Syria.

The American government believes at least some senior Khorasan members survived the strikes and that they could continue plotting attacks, a U.S. government official said Friday.

Added TSA Administrator John Pistole: "I see the Khorasan Group as a very capable, determined enemy who was very much focused on doing -- getting somebody or something on a plane bound for Europe or the United States."

CNN's Hamdi Alkhshali, Evan Perez, Jim Acosta, Al Goodman, Adam Levine, Alla Eshchenko, Chelsea J. Carter, Holly Yan and Mohammed Tawfeeq contributed to this report.

@highlight

NEW: Airstrikes happening in Syria and Iraq, U.S. defense official says

@highlight

Denmark joins anti-ISIS coalition, which now includes more than 50 countries

@highlight

The fight may last years, say British Prime Minister and U.S. officials

@highlight

Experts: Airstrikes so far have been successful, though ISIS has likely adapted