(CNN) -- President Obama is "deeply concerned" about the growing number of deadly attacks on U.S. forces by Afghan security forces, and plans to contact the Afghan president to discuss taking tougher actions, he said Monday.

"I'll be reaching out to President (Hamid) Karzai," Obama told reporters at the White House, adding, "We've got to make sure that we're on top of this."

Obama spoke Monday with Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff. The top U.S. military official is in Afghanistan for meetings with coalition and Afghan leaders, including Gen. John Allen, commander of NATO forces, and Afghan Army Gen. Sher Mohammad Karimi, Dempsey's counterpart in the country.

There has been some success, including better counterintelligence, Obama said. "But obviously we're going to have to do more."

"And hopefully over the next several weeks we'll start seeing better progress on this front," he added.

An incident Sunday brought the death toll in attacks by Afghan military and police personnel this year to 40, according to U.S. military officials.

Twenty-three of those killed were Americans, according to the U.S. Defense Department.

The NATO death toll in what the military is now calling "insider attacks" is already higher than it was last year, according to statistics compiled by the New America Foundation, a public policy think tank.

NATO's International Security Assistance Force said Friday that 39 people had been killed in these attacks in 2012. That was before Sunday's attack killed one ISAF service member.

The exact number of attacks remains unclear. While the U.S. military said there have been 40 insider attacks this year, ISAF tweeted last week that there had been 27 such attacks this year. There have been two more since that tweet. An ISAF spokesman told CNN on Friday there had been 31 such attacks before Sunday's attack.

NATO and the United States say the vast majority of the attacks are not the work of the Taliban or insurgent groups.

"Some 10% we know are related to the insurgency," Brig. Gen. Gunter Katz, a spokesman for the ISAF, said last week.

An April report by the U.S. Defense Department said, "Investigations have determined that a large majority of green-on-blue attacks are not attributable to insurgent infiltration of the ANSF, but are due to isolated personal grievances against coalition personnel. There is no indication that these recent attacks are part of a deliberate effort by insurgents, nor were they coordinated with each other."

The term "green-on-blue" refers to a color coding system used by the military, in which blue refers to the friendly force, in this case ISAF; and green refers to an allied friendly forces, in this case Afghan National Security Forces.

When investigators traveled to the attackers' home villages to investigate what was known about them, the information they collected led them to believe most of the attackers were generally not aligned with an insurgent group, but had their own grievances, military officials say.

But the motivations of about half the attackers are difficult to determine definitively because the perpetrator is dead or has fled, CNN National Security Analyst Peter Bergen and Jennifer Rowland of the New America Foundation write in a column on CNN.com.

Some of the incidents appear to have taken place after arguments between Afghan and international troops, the column notes.

Last year, U.S. military behavioral scientist Jeffrey Bordin interviewed more than 600 Afghan soldiers and police and found they held overwhelmingly negative perceptions of Western soldiers, stemming from incidents including alleged indiscriminate shootings that killed civilians and the public searching of Afghan soldiers outside NATO bases, as well as U.S. soldiers urinating in public or cursing at their Afghan counterparts, Bergen and Rowland write.

"Another likely cause of the increase in the number of green-on-blue incidents is straightforward: In the past two years the size of the Afghan army and police force has almost doubled from around 200,000 to around 350,000," the column says.

Afghan President Hamid Karzai spoke Sunday with U.S. Defense Secretary Leon Panetta. "They expressed shared concern over this issue and agreed that American and Afghan officials should work even more closely together to minimize the potential for insider attacks in the future," Pentagon spokesman George Little said.

Dempsey, in a statement Monday, said Karzai's public statement condemning insider attacks was "tremendously important, and I hope it permeates to the lowest levels of the Afghan government and military."

Afghan police are most likely to launch such attacks, Dempsey said. "The vulnerability of local police to (terrorist) influence is great. ... They don't move around the country the way the Army does, so they live at the point of corruption. I'm sure that's the case here too."

Officials are examining the vetting process for Afghan soldiers and police "and investigating where it failed," a Defense Department statement said.

All troops at NATO headquarters and all bases across the country have been ordered to carry loaded weapons around the clock, CNN learned Friday.

CNN's Barbara Starr contributed to this report.

@highlight

NEW: President Obama says he will talk to President Karzai about the issue

@highlight

NEW: Obama spoke with the chairman of the Joint Chiefs of Staff, who is in Afghanistan

@highlight

Only about 10% of the attacks are related to the insurgency, military officials say

@highlight

"Vulnerability of local police to (terrorist) influence is great," the U.S. top military official says