(CNN) -- If all had gone to plan, Sudan and South Sudan would have been neighbors co-existing in a strained but civil peace, aware of a bitter history but resolved to moving on.

Instead, just nine months after jubilant scenes in South Sudan as the nation declared independence, its relationship with the north is deteriorating rapidly amid violence, accusations and arguments.

Efforts by the African Union to broker peace have stalled, leading some to question whether the answer might lie more than 9,000 kilometers away in China.

A new report from the International Crisis Group says the country is engaged in a "delicate dance" as it tries to maintain its historic ties with Sudan, while also courting South Sudan.

It argues that China should be doing more to promote peace between the fractious neighbors, who both stand to benefit from Beijing's eagerness to invest in their crumbling and inadequate infrastructure.

"China can and should do more -- in concert with other international actors to -- to ensure peaceful resolution, without compromising its interests or traditional adherence to a principle of non-interference,"said Zach Vertin, senior analyst on Sudan and South Sudan with the International Crisis Group.

Sudan denies report that South Sudan downed its fighter jet

China has invested heavily in Sudan's oil industry through state-owned oil giant China National Petroleum Corporation (CNPC). It has a considerable stake in two of the three leading oil consortia operating in Sudan -- the Greater Nile Petroleum Operating Company (GNPOC) and Petrodar -- according to the U.S. Energy Information Administration (EIA).

Last year, 66% of all oil exported from Sudan and South Sudan went to China, although that's only a small fraction of China's total oil imports, according to the EIA. The country still gets most of its oil imports from the Middle East.

Oil is one of the flashpoints in the current dispute between Sudan and South Sudan, though it's been a constant source of friction between warring parties in the nation long before the split.

When South Sudan broke away from Sudan last July, it took with it 75% of the former country's oil reserves. However, all of the country's refining and export infrastructure remains in the north.

In January, South Sudan shut down its oil production after accusing Sudan of stealing oil. Sudan countered that by saying it had seized the crude as compensation for unpaid pipeline and export transit fees.

The shutdown is causing both countries financial pain. According to the International Monetary Fund, oil contributes 90% of Sudan's export earnings, and 98% of South Sudan's.

The dispute over oil has long plagued the countries that signed a comprehensive peace agreement in 2005 after 21 years of fighting. Part of the agreement included independence for South Sudan, which finally broke away in July 2011.

Just nine months later, there are fears the two countries are sliding back towards war.

Earlier this week, United Nations Secretary-General Ban Ki-moon again implored the countries' leaders to immediately end hostilities and implement agreements already reached on security, border monitoring and the disputed oil-rich Abyei area.

"Despite high rhetoric and recent provocations, I think the war calculations remain: Both sides have more to lose than gain from a return to conflict. Border clashes in recent days, however, continue to test those calculations as emotions run high," Vertin said.

Through its historical ties with Khartoum and its work to nurture a new relationship with Juba, analysts say China occupies a unique position as a potential mediator in their dispute.

"They're in a good position to act as an honest broker and the more that they can do then obviously the better because it's going to save lives," said Helen Ware, a former Australian High Commissioner and Ambassador in Africa and now professor of peace studies at the University of New England.

"I think that Chinese should be holding out as many carrots as they can," she added. "They should be trying to get people at the number two level to talk together, so that really people are understanding each other, and there's not such high levels of mistrust."

Ware said the conflict between the two neighbors gives China an opportunity to prove to its other African partners that it offers more than just a source of investment.

China could prove "that it can bring a real advantage to the situation," she said. "In this situation it would be proving it can do what the African Union can't."

A return to war, she said, would make China and its African partners "slightly twitchy... because of the feeling that we need China to be not just our investment partner, but in a sense our friend, and our friend in times of crisis."

In the next few weeks, South Sudan's President Salva Kiir is due to make his first visit to Beijing as head of state.

It will give China another opportunity to nurture its relationship with the South, and perhaps erase some of the "lingering uneasiness" the International Crisis Group says Juba feels about China's relationship with Khartoum.

"Resolution of the impasse and resuscitation of oil flows would undoubtedly influence the scope and character of the relationship that emerges; whether the political and economic ties already established between Beijing and Juba are robust enough to weather the current crisis remains to be seen, but both sides hope so," said Comfort Ero, Africa program director for the International Crisis Group.

@highlight

Violence and rhetoric escalating between Sudan and South Sudan

@highlight

Observers fear the two neighbors are sliding back towards war

@highlight

International Crisis Group says China should be doing more to resolve conflict

@highlight

China has large stakes in oil consortia in the country