(TIME.com) -- Another victim of superstorm Sandy's devastation in New York: laboratory animals representing years of critical medical research.

When the New York University (NYU) Langone Medical Center lost power as Sandy buffeted New York on Monday night, the back-up generators malfunctioned and the hospital was forced to evacuate around 300 patients to neighboring hospitals.

The patients were saved, but the power outage left one of the medical center's animal research facilities in the dark, and the New York Daily News reported that thousands of laboratory mice may have drowned, resulting in the loss of years of research, cell cultures and tissues that had to be abandoned in failing incubators.

The Smilow Research Center, one of NYU's three animal research facilities, lost unique strains of mice when the power outage restricted access to the 13th floor research center, ABC News reported. The center held specimens critical to NYU scientists' research in heart disease, cancer and neurodegeneration.

The center "was adversely impacted by the severity of the flood surge and the speed with which it came on," according to a statement from the NYU Langone Medical Center. "Animal resource staff was on site continuously to mitigate the damage from the storm, but due to the speed and force of the surge, animal rescue attempts were unsuccessful."

TIME.com: Lessons from storm Sandy: When hospital generators fail

Dr. Michelle Krogsgaard, a cancer biologist at the center, told ABC News that she and her colleagues were allowed into the lab to rescue whatever they could from the failing fridges. "We could lose everything we've done since I started at NYU six years ago," she told ABC. "All the work we did, all the time and money, we're going to have to start all over."

Other New York City research institutions like The Rockefeller University did not lose power, nor valuable research, but the scientists sympathize with the NYU researchers' loss.

"We feel badly for the mice and for the science that was disrupted and The Rockefeller University is obviously committed to helping NYU scientists in this difficult time," says Ravi Tolwani, the associate vice president and senior director at The Rockefeller University's Comparative Bioscience Center, which is involved in the care of the institute's research animals.

TIME.com: How disasters bring out our kindness

As for what was comprised, Tolwani says that most institutions like Smilow and Rockefeller base their biomedical research on mice, since the animals are relatively easy to manipulate genetically. This makes them an ideal model for understanding the biology of human genetic defects.

"When we modify mice to modify genes, those modifications made are unique to that specific mouse strain. That may be the only mouse strain that's available for a specific genetic defect in the world," says Tolwani. "Those mice are not replaceable, or they're not very easy to replace. The effort to actually generate those mice is lost, and whatever science has been done on those mice is stopped."

Not only is years worth of research potentially lost for the NYU scientists, but it will also take years to recover their work with new mice. To make new strains with the appropriate modifications can take anywhere from one to two years, and the researchers must breed a significant amount of the mice to replicate their studies.

"It's devastating," says Tolwani. "Science is a very competitive field, and it is rapidly advancing. Even reproducing those strains and having to wait to use them is devastating to their science because research advances very quickly. You can imagine that scientists' lives are actually disrupted."

TIME.com: Breast milk during the storm: With power gone, moms safeguard their stash

For many researchers and students working on their doctorates and dissertations, their work and projects are now in jeopardy. Without their specimens, researchers will have difficulty getting published and receiving grants for their work.

As NBC News reports, it is possible the NYU scientists shared their mice with other institutions who requested the mice for collaborative study, in which case some of the strains may be recovered in a relatively short time.

However, Tolwani says for more recent and unpublished studies, this is unlikely. "Before the science on these mice is published, there will not be as much sharing. I would guess that the majority of the mice were not shared with other investigators. Therefore those mouse strains were lost," he says.

It's possible that the NYU researchers preserved sperm and embryos from their lab mice, which could make recovering any unique strains slightly easier, but even that may take time and put the researchers further behind. The effects of Sandy, it seems, will be felt long after the floods have receded and the power comes back on.

TIME.com: Storm Sandy closed schools, but were officials too eager to cancel class?

This story was initially published on TIME.com.

Storm destroys valuable medical research

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Mice representing years of research reportedly died as NYU hospital lost power

@highlight

Among the losses was a unique strain of mice critical to research

@highlight

Making new strains could take one to two years