(CNN) -- It worked in 2005 with David Beckham, the impassioned pleas of London school children and the promise that an Olympic Games in the British capital would "Inspire a Generation."

It worked -- four years later -- with the prospect of a historic Games in South America when Rio de Janeiro convinced the International Olympic Committee (IOC) of Brazil's suitably to host the world's greatest sporting event.

So on Saturday, what will representatives from Istanbul, Madrid and Tokyo come up with to convince IOC members in Buenos Aires that their city should be handed the right to host the 2020 Summer Games?

"Being chosen as a host city is a gold medal," Mike Lee, a veteran of three successful Olympic bid campaigns, told CNN. "Not all cities can host them, not all countries have the economic strength to be able to do it."

Lee is something of an Olympic king-maker. It began when he was appointed the director of communications and public affairs for London's ultimately successful 2012 bid, before he set up his own strategic communications company Vero in 2006.

Since then, Vero has contributed to the success of Rio de Janeiro's bid to host the 2016 Olympics and Pyeongchang's winning campaign for the 2018 Winter Games in South Korea.

Vero's list of accomplishments also includes advising on Rugby Sevens' election into the 2016 Games and a significant contribution to Qatar's bid to host the 2022 football World Cup.

"We're very proud of our record," Lee said before jetting off to Buenos Aires, where he hopes to see the World Squash Federation -- another Vero client -- successfully lobby for the inclusion of their sport in the 2020 Games.

"There's a danger with cities that they say they need the Games, but that's not the question.

"The question is why do the Games need your city? What can you bring to the Games, Olympic sport, the Olympic movement? How can you make it different?

Rio's Olympic village is delicious eye candy

"Ultimately that is what we would call a narrative that will allow you to bring your story to life."

Istanbul, Madrid and Tokyo will all be desperate for their cities to write the 2020 chapter of the Olympic tale.

Each location will hope to tell its own compelling story.

The Spanish capital of Madrid is proposing a Games on a comparatively modest budget of $2 billion, with the aim of stimulating the economy of a country still wrestling with a financial crisis that has gone on for several years.

Istanbul, with a reported mega-budget of $20 billion, is tantalizingly positioned across two vast markets in Asia and Europe.

And then there is Tokyo's futuristic pitch epitomized by plans for a space-age Olympic Stadium and the promise of a first "downtown Games."

So what factors will woo over 100 voting IOC members?

"Every bid is different," said Lee. "I think we set a new benchmark in modern campaigning with London 2012.

"The focus was very much on inspiring young people, reconnecting Olympic sport with the next generation. That was a theme with London right from the beginning.

"With Rio it was a focus on a Games of transformation and celebration. Rio was ready, investment in the city would be very significant and also bringing the Games to South America for the first time.

"Pyeongchang, South Korea was the gateway to the Asian market, Asian fans and the next generation of Winter Olympic competitors. South Korea was the platform to do that."

However, each city's Olympic fairytale must first address concerns over their readiness to stage the Games.

Spain's financial situation remains precarious, while Tokyo's bid team is facing questions and growing concerns over the radiation leak at the Fukushima nuclear plant.

Anti-government protests swept through the streets of Istanbul in June and July, with tear gas and water cannons used by the police to halt demonstrators.

Against the backdrop of political and financial unrest, campaigning for the right to hold a sporting event must strike a delicate balance.

While the rewards and prestige of hosting the Olympics are enormous -- it is safe to say the legacy of staging the Games can breathe new life into a country -- there are plenty of dangers.

"You've got to bid for the event that's right for your city or your country at that time," said Lee.

"Cities shouldn't come into a race without understanding the scale of what is involved. Just bidding is an expensive exercise.

"I'm certainly not one who believes more major cities should be bidding for the Olympic and Paralympic Games. They are a massive commitment and a golden prize.

"As London showed, they can be a major boost to a city and to the image and brand of a country. They can make a different to the landscape."

In the final hours before Saturday's vote, Lee urges the bidding cities to hone their narrative to strike the right chord. After all, the chance to stage an Olympic Games arrives just once in a generation.

"You need to be able to show that technically you're good, but also you've got a real edge and story which makes you an attractive option for the IOC," he explained.

"Ultimately, it is clear cities are interested in bidding and we have three strong cities in the 2020 race.

"Already cities are lining up for the 2022 Winter Games and even the 2024 Summer Games. It is clear there is interest across the globe in hosting an Olympic Games."

@highlight

Istanbul, Madrid and Tokyo vying for the right to host 2020 Olympic Games

@highlight

International Olympic Committee to announce the host city on Saturday

@highlight

Tokyo hosted the Summer Games in 1964

@highlight

Istanbul and Madrid are bidding to host the event for the first time