(CNN) -- Paul Stamets was shy as a child; he couldn't look people in the eyes, so he stared at the ground. And that, he says, is where he found mushrooms.

Today, that shyness has faded, but mushrooms are even more of a focal point.

Stamets is one of the most prominent proponents of using mushrooms for medicinal purposes. Besides traveling the world to look for exotic mushrooms, he also lectures about them and runs a mushroom supplement company with his wife called Fungi Perfecti.

When he spoke at TEDMED in October, he even wore a mushroom -- his hat is made from birch polypore, which is also thought to have medicinal uses.

Why aren't mushrooms being used more often for medicinal purposes? Despite documented use of mushrooms in other cultures (for instance, ancient Greece) thousands of years ago, Stamets says some people have a fear of mushrooms -- mycophobia -- because the fungi are ephemeral and powerful.

They have the power to feed you, make you high or even harm you, but they don't last very long.

"People's paranoia is a reflex of their not understanding something that's so mysterious," he said. "I was always attracted to that which was forbidden, and these were forbidden fruits."

Stamets isn't the only one who's excited about mushrooms. George Hudler, a professor in Cornell University's Department of Plant Pathology and Plant-Microbe Biology, doesn't like the taste of them, but thinks there's a lot of potential for mushrooms' healing properties.

"In the next 10 years, we'll just see an incredible expansion of our awareness of chemicals in mushrooms, hopefully even their use in conventional medicine," says Hudler, who teaches a course on mushrooms at Cornell and once had dinner with Stamets.

You might know of only a handful of mushroom types, but there are more than 150,000 species of mushrooms, Stamets says. Still, only 14,000 have been identified, and Stamets and colleagues are still looking.

In Hudler's view, shiitake mushrooms have the longest track record of research in health benefits. Chemicals in them may stimulate the immune system and lower cholesterol.

White button mushrooms found in salad are also high in vitamin B complex, and the antioxidant properties of mushrooms could protect against heart disease and cancer.

And even hallucinogenic mushrooms are proving to have clinical uses. Psilocybin, one of the psychedelic compounds in "magic" mushrooms, may have uses for depression, a study recently suggested. There has also been research showing that healthy people given this drug in an experimental setting report having life-changes experiences and positive effects from them that last up to 25 years.

The research on all these mushrooms is still preliminary, so there's no way to say for sure that mushrooms are going to add years to your life.

But Stamets points to his mother as a living example of how useful mushrooms may be. Patty Stamets, 86, had stage 4 metastatic breast cancer in 2009, and doctors gave her three months to live. But after a year of turkey tail mushroom supplement in addition to the standard drugs Taxol (paclitaxel) and Herceptin (trastuzumab), she had no detectable cancer.

Still, it's not clear that the mushrooms were the whole story. Turkey tail mushrooms may have some ability to boost the immune system, but there's so much unpredictability about cancer that it's hard to say how much they did on top of the standard medications, Hudler said. He thinks that trying experimental mushroom supplements to potentially help treat cancer is worth considering, but not without a physician's consultation.

Stamets himself eats mushrooms three to four times a week, and he recommends that everyone else do the same. Always cook mushrooms to get their immune-boosting benefits, he says. Cooking also destroys any toxins that may be present in edible mushrooms such as shiitake and morels (but not poisonous mushrooms such as death caps), Hudler notes.

Stamets likes his mushrooms crispy brown.

"These are functional foods," he says. "It's a misconception to think of them as drugs."

@highlight

Paul Stamets says he believes people are afraid of mushrooms because they are powerful

@highlight

George Hudler says he thinks there's a lot of potential for mushrooms' healing properties

@highlight

Even hallucinogenic mushrooms are proving to have clinical uses, research shows