Editor's note: James Alan Fox is Lipman Family Professor of Criminal Justice and professor of law, policy and society at Northeastern University in Boston. Fox has written 17 books, including a forthcoming volume, "Violence and Security on Campus: From Preschool to College."

James Alan Fox says a "person of interest" hasn't been implicated in a crime -- at least not yet.

(CNN) -- The intense public interest surrounding the September 8th disappearance of 24-year-old Yale graduate student Annie Le has, since the discovery of her body last Sunday inside a wall of the laboratory building where she had been working, shifted over to a male lab technician who was described by New Haven Police as a "person of interest."

In a formal court of law, the distinction between suspect and "person of interest" is as fundamental as the assumption of innocence prior to evidence of guilt. In the informal court of public opinion, however, the distinction is so badly blurred that the good name and reputation of truly innocent people have often been ruined.

Many Americans will recall the name of Richard Jewell, who police and many news organizations called a person of interest following the Atlanta Olympic Park bombing. He was completely innocent and settled out-of-court with several news outlets for defamation of character. [Editor's note: CNN settled with Jewell for an undisclosed amount but maintained its coverage was fair and accurate.]

As a security guard stationed near the explosion site, Jewell was in the right place to uncover evidence but in the wrong place for appearing above suspicion. Similarly, a Seattle, Washington man, once described in the local media as a "person of interest" in an ongoing investigation of the Green River serial killing spree, was later awarded $30,000 as settlement for his lawsuit against three area news organizations.

The historical timeline related to the scarlet "I" (for interest) does not extend very far. It is hard to imagine Sgt. Joe Friday of the old but classic Dragnet TV drama saying to his partner, "this fella seems like a person of interest." But, of course, just-the-facts- ma'am Joe wouldn't have speculated about possible investigative leads, at least not to the media.

Curiosity about the now often-used designation involves more than just the fact that "person of interest" was not part of law enforcement vernacular a few decades ago. It is more that the thick blue line that distanced the cops and their investigations from the press as agents for an insatiable public has eroded in an age of instantaneous information, satellite-broadcasted -- and YouTube replayed -- press briefings, and crime-oriented cable news programs.

Police investigators have long differentiated suspects from subjects. Suspects may include those arrested for a crime or a person still at large for whom an arrest warrant has been issued. In either case, there is probable cause to pursue criminal prosecution.

In contrast, a subject is someone who warrants investigation by virtue of his/her relationship to a victim or proximity/access to a crime scene but who has not, at least so far, been implicated in the crime. That is, the subject designation leads to a police investigation, while the suspect designation results from one. Often times, the list of subjects in a continuing investigation can be extensive, but rarely is that true of the list of suspects.

The subject-suspect distinction may have worked fine in the days before the press was all over police investigators like flies at a picnic. To avoid confusion from the sound-alike terms suspect and subject, the alternative phrase "person of interest" has become increasingly commonplace -- a creation for the media, if not by the media.

Unfortunately, even without the linguistic similarity, the important distinction between person of interest and suspect is too often lost on most Americans.

The arrest of Raymond Clark in connection with the murder of Ms. Le may officially signal a move from interest to suspicion. However, the recklessness of publicly naming persons of interest, even if it eventually leads to an arrest, does not serve the interests of justice.

While it is hardly necessary to return to the "just the facts" days of close-lipped cops, a moratorium on releasing and publicizing the identities of persons of interest before and until they become persons of suspicion may be the wisest and fairest approach.

The opinions expressed in this commentary are solely those of James Alan Fox.

@highlight

James Alan Fox: "Person of interest" is a relatively new term

@highlight

He says term describes someone who isn't officially a suspect at this point

@highlight

Fox: Some prominent persons of interest have been proved innocent

@highlight

He says identity of persons of interest should be withheld