(CNN) -- OK, I confess. I traveled to Japan carrying with me a number of preconceptions. For many years, my work in journalism and a lifelong passion to see the world have allowed me to explore scores of countries, but I had left Japan far from the top of my list. Big mistake.

I did not expect a particularly fascinating place: I had vague images of Tokyo, a giant megalopolis of concrete buildings, of exorbitant prices, with heavy traffic and streams of salarymen in identical outfits filing to work every day. I pictured modern. I pictured not terribly interesting.

I could not have been more wrong.

Japan, as it turns out, is a captivating country, a kaleidoscope of ancient traditions swirling alongside modern technology. It is a land of creativity, of hip funkiness and conservative beauty, of business efficiency and dizzying fantasy. It is a place that can pamper your senses, often in the most unexpected ways.

How did Japan surprise me? Let me count a few of the ways.

Stylish in ways you have never seen

Yes, sure, there are men in gray suits. But the eyes have no time to rest on the boring or mundane. The Japanese are fashion-conscious, and many are dazzlingly creative in their personal appearance. A ride in Tokyo's subway or a walk down any major street will bring you face to face with looks that reveal detailed attention to beauty and a person-as-canvas philosophy.

And it's not just in Tokyo. In Kyoto, for example, the ancient capital, one sees the super-hip youngsters but also the chic girls all done up, literally head to tabi-socked toe in traditional kimonos, walking through the old geisha district of Gion, as if trying to cut through the fog of time and sneak quietly into another era. These are the make-believe geisha, spending a few hours wrapped in the resplendent clothes of the past, meandering the streets alongside real geisha.

If all I could do is watch the people go by, that alone would be worth another trip to Japan.

Travel Snapshots: Japan

Technology meets tradition -- and fantasy

There was a time long ago, before everything was made in China, when every piece of technology seemed to come from Japan. Consider that Japan had the superfast bullet train, the Shinkansen, almost half a century ago.

Japan is still a technology powerhouse. Brands like Sony, Panasonic, Nintendo and Toshiba sell their inventions around the world and in Japan, where technology and tradition sometimes create their own surreal world.

The best place to see this is in the Tokyo district of Akihabara, known also as "Electric Town."

Akihabara is, on the surface, a maze of electronics stores. You can buy robots, televisions, video games. But there's much more happening.

As you walk down the streets, you notice people wearing baffling costumes. Akihabara has become home to what the Japanese call "otaku," people with passionate interests in areas such as technology, role-playing video games and that singularly Japanese art form, manga comics.

The neighborhood is home to countless manga stores and is filled with "costume cafes." You see girls dressed as French maids and other other fantasy characters. This is the world of "cosplay" (costume play), in which people play act characters from the stories they love. It's a blend of future and past, of technology and fantasy. In other areas, you see the curious Japanese affinity for "cuteness" kawaii, worthy of a full separate treatise.

Not just big buildings and highways

Tokyo is big, so big it's hard to comprehend. The entire metropolitan area, a 35 million-person megalopolis, is the world's largest. But despite the oceans of humanity, Japanese architecture includes intimate, warm, exquisite buildings and parks that don't make you feel like an ant about to be crushed.

Still, the masses of people are something to behold. And the place to behold them is the world's busiest pedestrian crossing, outside Tokyo's Shibuya station, which has deservedly made its way into many films.

Besides the gasp-inducing view of thousands of people pouring in all directions when Shibuya's light changes, it's astonishing that traffic flows neatly when the light changes again. The Japanese generally follow the rules, and that keeps everything moving.

Look at Osaka, or any major city, for evidence that the Japanese have built spectacular high-rises, great highways and a rail network rivaled by few, but they have also created other awe-inspiring structures with a powerful spiritual dimension.

Beyond the urban jungle, there are exquisite gardens and temples.

About 30 miles from Tokyo, in the old Shogun capital, Kamakura, stands one of the most breathtaking Buddha statues I have seen. The giant Buddha of Kamakura moved a traveler of his day, Rudyard Kipling, to admonish, "O ye who tread the Narrow Way ... be gentle when the 'heathen' pray, To Buddha at Kamakura!"

Shinto shrines and Buddhist temples grace the landscape throughout Japan but nowhere in more moving, soothing and restoring fashion than in Kyoto.

Like the rest of the country, Kyoto, the capital of Japan for a thousand years, is a city of contrasts. With nearly 1.5 million inhabitants, it is a modern metropolis. But the world has not seen a city quite like this.

There are thousands of gabled Shinto shrines and serene Buddhist temples throughout the area. Some are right in the middle of town. And then there's the enchanting Gion district, with its low-slung wooden buildings and its enigmatic, centuries-old rhythms.

In Gion, geisha still ply their often-misconstrued trade. The white-faced geisha, or geiko, as they are called here, are trained in the traditional Japanese arts of music, dance and tea ceremony. Their services are provided to entertain usually powerful men in Gion's old tea houses, mysterious and alluring behind their delicately latticed door fronts along Gion's narrow streets.

The temples of Kyoto, with their elaborate gardens, languid willows, small lakes and countless red-orange torii gates, came as a soothing, moving surprise, a monument to Japan's quest for a unique spiritual beauty.

But just as you are tempted to think of Kyoto as a remnant of history, of traditional arts and ancient religions, one discovers that Kyoto is also the birthplace of the Nintendo Wii and of cutting-edge novelist Haruki Murakami, as well as home to technology developers and brilliant 21st-century minds.

Expensive? Yes. Affordable? Yes, that too

Among my preconceived notions of Japan, high prices took a crucial place. It was one of the reasons I postponed visiting, though I share Edna St. Vincent Millay's creed, "there isn't a train I wouldn't take, no matter where it's going."

Japan is expensive. So expensive, at times, I thought my head would explode. As when I saw, for example, a single melon, beautifully positioned in its gift box, selling for $150, alongside boxed grapes, selling for about $8 for EACH grape.

A taxi from Narita airport into Tokyo can run $350. You can pay $500 for a Wagyu steak, and a cup of coffee can set you back $8. But it doesn't have to.

Forget taxis. Japan has efficient, affordable public transportation. And never mind the fancy restaurants if you want to stay on a budget.

A rainbow of beautifully presented, relatively affordable food is available everywhere. Giant department stores, "Depatos," have dazzling basements offering every food you can imagine, along with some you never did, from colorful sushi to sweet unagi (eel) to okonomiyaki. And the prices are not bankruptcy-inducing.

The cleanest place in the world

In Japan, the virtue of cleanliness has spiritual origins. The Japanese place such a value on it that you suddenly discover it affects all aspects of life. Japan may be the last place on Earth where it is common to see women -- and occasionally men -- wearing white gloves. It may also be the first place where people regularly wear surgical masks, giving all of us bare-faced ones a better chance of dodging viruses.

And no review of Japan's virtues would be honest without mentioning Japan's toilets, a marvel of modern technology and a cause for profound gratitude from travelers. This is no place for a disquisition on Japan's sanitary technology other than to offer a heartfelt arigato. Thank you.

Arigato and bows all around to a country that prizes aesthetic principles, with countless people happy to help a confounded visitor and quick to oblige with preconception-busting, extraordinary surprises at every turn.

Have you visited Japan? What are your favorite memories?

Frida Ghitis is a world affairs columnist for The Miami Herald and World Politics Review. A former CNN producer and correspondent, she is the author of "The End of Revolution: A Changing World in the Age of Live Television." Follow her on Twitter: @FridaGColumns

@highlight

First-time visitor to Japan abandons preconceptions

@highlight

"I pictured not terribly interesting," she writes

@highlight

Then, she admits, "I could not have been more wrong"

@highlight

Style, technology, tradition and fantasy fascinate author