Kirsten Haglund was 19 when she became Miss America in 2008, one of the youngest beauty queens ever to win the national title.  She used that platform to speak about what for her was a very sensitive subject: eating disorders.

"I realized what's making an impact on other people's lives is not this perfect image of the American ideal," she said. "It's a true human story of struggle and triumph."

Unlike many of her fellow contestants, Haglund didn't spend her childhood competing in pageants. Instead, the Michigan native dreamed of performing as a professional ballerina. The pressures of trying to live out that dream led her into the nightmare of anorexia nervosa at age 12.

Anorexia nervosa is an eating disorder that causes people to obsess about their weight and the food they eat, according to the Mayo Clinic. People with the disease try to maintain a weight that's unhealthy for their age and height.

Going to extremes: Eating disorders by the numbers

"I was in ballet from just 3 years old. So from a very early age, the ideal female body type was very thin," said Haglund, now a political science major at Emory University in Atlanta, Georgia. "That was the first image I had in my brain; I always equated beauty and worth with being skinny."

Haglund excelled in her studies while training in ballet, tap and jazz seven days a week. Her older brother had multiple learning disabilities, so she felt pressure to perform extraordinarily well.

At 12, she left home to study at the Central Pennsylvania Youth Ballet School, hoping it would lead to a professional career. It was her first time living away from her parents, and her body was developing as she entered puberty -- a risky time, experts say, for the onset of anorexia.

Haglund's self-esteem began to plummet quickly as she was overwhelmed by panic and a fear of not achieving perfection. Once priding herself on a high level of performance and over-achievement, she was now questioning every move.

"I became more self-aware and all of the sudden felt this panic, like maybe I wasn't good enough or maybe my life was going to collapse around me and I couldn't accomplish this dream," she said.

Adding to her anxiety, Haglund's mother was diagnosed that summer with breast cancer, a condition she was treated for and survived.

The pre-teen looked for an answer to her out-of-control world from her peers. What she saw was a struggle many dancers face: the pressure to be thin.

"I looked at what they were doing, and so many of them were throwing away their lunches and not eating. I thought, 'if I can at least be thin, I know I can be successful at ballet.' "

She began to severely restrict her food intake and admits this gave her a sense of triumph.

"I remember the first day I decided to throw away my lunch, and I drank a Coke instead," she said. "I felt really good. I remember that day and the choice I made. And it was a choice made out of fear, not logic."

This kind of behavior isn't uncommon among younger girls who are dealing with transitions in their life, said Linda Craighead, a psychology professor at Emory University.

"For them, it's not (as) much about looks and weight than it is with controlling something."

An estimated 10 million women and 1 million men in the U.S. battle anorexia or bulimia, according to the National Eating Disorders Association. And these disorders carry the highest mortality rate of any mental illness.

Haglund scoured the Internet for tricks on how to avoid social situations involving food and frequently looked through images of celebrities for "thinspiration."

"I was living off coffee, Diet Coke and gum," she said. "Every once in a while, I'd have vegetables, fruit or a spoonful of peanut butter."

She was consuming fewer than 900 calories daily, less than half the amount recommend for the average woman. Her hunger for more control morphed from starving herself to increasing her exercise routine in addition to her demanding ballet schedule.

"It was many days of small steps toward something extreme. It was a recipe for disaster and a really serious and painful situation."

Though anorexia most frequently occurs during teen years or young adulthood, it also may develop during childhood or later in life, experts say.

Haglund was competing with the most talented dancers out there, all with dreams of becoming the prima ballerina.

"You were seen as elite if you engaged in some of those kinds of behaviors," Haglund said. "It was something that most girls did, and if you ate like a normal person, you were looked down upon."

Her obsession with thinness worsened over the next three years. By then, the 5-foot-8 dancer had lost 30 pounds from her already tiny body. She admits she was pleased when family and friends noticed her shockingly thin frame.

"I felt like a shell of a human being. It wasn't happiness," Haglund said. "Internally, I knew there was something seriously wrong with me, but I didn't know how to stop."

Undernourished and extremely depressed, she hazily recalls the day her mother picked her up from high school and forcibly took her to a doctor. Haglund angrily insisted that she was healthy, but her test results told another story. For the next two years, she was under intensive outpatient care, routinely meeting with her interdisciplinary team of a nutritionist, a psychologist and an eating-disorder specialist.

"At first, it was really yo-yo, especially with my food intake," she said. "It's extremely difficult to unlearn all of that bad thinking. I had to work on visualizing a life outside of ballet if I wanted to get better."

Haglund left the performing company and scaled back on dancing to focus on getting better. Beauty pageants seem an odd fit for a recovering anorexic, but they offered Haglund an avenue for moving forward.  At age 17, her health was improving, and pageant competitions could win her a college scholarship.

Back home in Farmington Hills, Michigan, she entered the Miss Oakland County pageant and, to her great surprise, won. But her eating disorder physician was concerned.

"I told her this could be triggering for someone who has a history of an eating disorder," said Kathleen Mammel, medical director at the Hough Center for Eating Disorders in nearby Royal Oak. "She had to be very cautious to ensure she's not setting herself up for a difficult backslide."

That's not the way Haglund saw it. During the next year, as a freshman in college, she began to publicly speak about her struggles with anorexia, hoping to destigmatize the illness.

Next came the Miss Michigan pageant. At 18, Haglund was the youngest contestant; she won the crown over several pageant veterans. Her new responsibilities forced her to leave college, and she spent six months traveling the country to attend national conferences on eating disorders.

"I learned so much about the illness; it was a really good educational period for me," she said. "From hearing other people's recovery stories, I learned how to share my own personal struggles."

When Haglund entered the Miss America pageant, she was placed on a workout regimen monitored by her nutritionist. She was motivated to achieve her goals the healthy way.

"Of course, I felt pressure; I'm thinking, 'Gosh, if I get called to the top 10, I'm going to be in my swimsuit in front of 12 million people.' It was scary, but I was thinking of being healthy first. I knew that was more important than anything else."

Written off as the underdog by peers and judges, Haglund felt a greater freedom to be herself.

"I actually think that was more attractive to the judges. There were several girls who came up to me during the week and shared previous struggles with an eating disorder. It opened the door to many great conversations."

"She used the topic of battling anorexia as a sincere commitment to help others struggling, and as a tool to solidify her own recovery," Mammel said. "She was more surprised than anyone when she actually won."

Since stepping into the national spotlight, Haglund has continued to spread awareness as a role model for young girls. She's launched the Kirsten Haglund Foundation, which provides financial aid to those seeking treatment for eating disorders.

"Those who struggle with substance abuse can get off their drug and never face it again," Haglund said. "But for somebody who overcomes an eating disorder, you have to face it every day, multiple times a day."

@highlight

The pressures of trying to be a ballerina led Haglund into anorexia nervosa at age 12

@highlight

Anorexia frequently occurs during teen years, but it may also develop during childhood

@highlight

The Kirsten Haglund Foundation provides financial aid to those seeking treatment