Beijing (CNN)For years China has been the envy of the world, hailed as the great 'economic miracle' thanks to its sustained double-digit growth.

Of late, however, the Middle Kingdom has also become the poster boy for environmental degradation, a target of ridicule for Beijing's now notorious "airpocalyse."

Even U.S. President Barack Obama could not resist dissing Beijing's bad air.

"I would just point to one simple example, and that is you would not want your kids growing up in Beijing right now, because they could not breathe," President Obama said while defending his controversial environmental regulation last week.

"And the fact of the matter is that used to be true in Los Angeles -- as recently as 1970. And the reason it changed was because of the Clean Air Act," he added.

Lessons

Like LA, Beijing sits in a virtual 'bowl.'

Surrounded by mountain ranges, air -- clean or dirty -- typically gets trapped when there's no wind blowing. This similar geography hopefully delivers valuable anti-pollution lessons Beijing can heed.

Speaking at a recent forum held at the Stanford Center in Peking University, Los Angeles Mayor Eric Garcetti said that pollution isn't the result of bad geography alone but "human activity in that bad geography."

Like Beijing today, LA in the last century went through a rapid rise in population and an economic boom.

"With this followed demands for more power, more jobs, and the rising middle class that did things like buy cars and drive them," Garcetti said.

"We grew and are proud of that growth, as you here in Beijing should be too. But it came at a cost."

"Our first smog attack came near World War II, and it was so bad that some thought it was a chemical weapon attack by Japanese forces during the war."

As the LA population grew, smog in the 1950s and 1960s got worse.

"Our economy thrived but our air did not. Like Beijing today, 60 years ago LA was fumed up from oil refineries, power plants, our steel and chemical plants," Garcettie said.

Pollution came at a human cost.

"In the 1970s when I grew up. We breathed the dirtiest air in the world," Garcetti explained. "Kids were kept from playing outside. Emergency rooms were filled with patients."

Three step plan to beating pollution

Garcetti ticked off three effective measures to combat the smog.

Step 1: Face the truth, accept it and own it. When LA was in self-denial, "we used polite words to describe smog, like 'it's just a hazy day' or 'it's overcast'," Garcetti recalled.

Step 2: Build a strong government for enforcement. In 1963, the government passed its first Clean Air Act, which mandated governments at federal and local levels to get involved. In 1970, it passed its first emission standards for cars.

Step 3: Get the public sector and ordinary people involved to make sure that the government's held accountable. Private groups and civil society played important roles as whistle-blowers and watchdogs.

The city did not have to sacrifice growth either, Garcetti said.

"When you pair a regulation with innovation, you get a pro-growth policy," he said.

"Turning to new green energy not only improved LA's pollution problem, it sparked an entirely new clean tech industry that attracted new businesses in our city and employed tens of thousands of people."

"Today, I'm the mayor of a city that has seen the population double at the same time we reduced ozone level by nearly two thirds. We have beautiful sunny days, with clear skies throughout most of the year."

Consolation

It may be a small consolation for Beijingers to know that when LA was mired in bad air and dirty water, the skies in the Chinese capital were clear.

I fondly remember Beijing in the 1970s and 1980s, when rivers where clean and people fished and swam. Except for the few days when sand storms whipped up from the Gobi desert swept over Beijing, the city's sky was typically blue.

Of course, Beijing then had a few industries, life was spartan, population movement was severely restricted, and most people got around via bicycles, not cars.

The encouraging news is residents and officials in Beijing now agree that China needs to clean its air.

Last month, when Beijing hosted the annual APEC summit meeting, Chinese officials pulled out all the stops to ensure the sky was clear -- forcing factories to close, limiting the number of cars on the road and declaring a six-day holiday to encourage citizens to leave Beijing.

It largely worked. Most of the days turned out to be smog free, prompting people to coin the phrase "APEC blue."

Of course, these are short-term fixes and China needs to make sure long-term measures come to fruition.

China's foreign ministry said in response to a question on President Obama's swipe it hoped that "APEC blue" could last permanently.

Let's hope they're successful because at stake is the health and well-being of millions of Chinese, not to mention China's national pride.

@highlight

China is a "poster boy" for environmental degradation

@highlight

President Obama recently took a swipe at Beijing's bad air

@highlight

Los Angeles' battle with air pollution could hold lessons for China, says city's mayor

@highlight

Garcetti says China can tackle smog without sacrificing growth