(CNN) -- In the past couple months, thousands of teachers and parents have been calling for radical change in the education system, citing issues with the No Child Left Behind policy. Teachers, students, and parents across the country have come together with one goal in mind: fix a faulty education system.

Organizers are calling for a march on Washington, where they hope to inspire change.

Anthony Cody is a national board-certified teacher and mentor teacher for the Oakland, California, schools. He is one of the organizers of the Save Our Schools March, set for Saturday. He recently spoke to CNN about the march, its purpose and what teachers hope to gain.

CNN: Where did the idea for the Save Our Schools march come from?

Cody: The idea was born after President Obama was elected. Teachers, especially, were tired of No Child Left Behind and the emphasis on standardized test scores to judge students, schools and teachers.

Teachers really hoped for change. When we didn't see that change coming, we got concerned. I got involved last December with teachers, parents and professors. We started doing the hard work of building our coalition, strengthening our guiding principles and figuring out what we wanted instead. There was a lot of dissatisfaction with education policy, and we needed a positive agenda and not just be critics. There's a lot of momentum building for the march, rally and conference. Endorsements are lining up from parent organizations, students, academics and, of course, from teachers. People are excited about the chance to get our voices heard.

Opinion: Why America's teachers are enraged

CNN: Why do the organizers feel it's necessary to "save" our schools?

Cody: For the last 10 years, since No Child Left Behind was enacted, more and more emphasis has been put on test scores. The underlying belief is that if we punish schools for low test scores and reward schools and teachers for high scores, then student achievement will improve. Those who work in schools see the effects that this has had. The practice of labeling schools "failures" hasn't worked. It is actually undermining public schools. More support is going to semi-private charter schools and flowing away from public schools. More money and instructional time is being spent on more complicated and sophisticated tests. The actual education of our students is suffering. Teachers are demoralized; many are leaving the profession.

Those teachers still here are taking a stance to protect schools and students from this. Tests are not going to fix our schools. Real solutions are needed to improve our schools, and those start with students, teachers and parents who invest in our schools.

CNN: What's the objective of this march?

Cody: Secretary (of Education) Arne Duncan sent a letter to American teachers in honor of Teacher Appreciation Week in which he heaped a lot of praise on teachers but at the same time made it clear that policies that are so destructive in our schools are not changing. The response that he got to that letter was overwhelmingly critical from teachers. Teachers simply could not believe his praise, because at the same time Duncan says he appreciates teachers, he has supported the firing of entire staffs. So there's a real disconnect between education policy and the rhetoric that says that teachers are so valued. What we hope will happen as a result of this march is a recognition that there is a serious problem in education reform policies in this country, that there is serious and principled opposition to those policies and real alternatives that are actually working in schools.

Opinion: Why we protest education cuts

CNN: Some teachers are afraid to appear at rallies or speak out against the status quo for fear of losing their jobs. Have you encountered any teachers who want to participate but feel they can't?

Cody: Teachers comment all the time online that they are fearful of speaking out more. Social movements take some bravery, some guts. Standing up in large enough numbers, that's what it's all about. Only then, teachers can't be dismissed or discriminated against. It's incumbent on all teachers who are professionals to take stock of the ethical commitment to students, and at a certain point, that commitment requires taking risks. The time is now to take some risks, or else the teaching profession is not worth working in.

CNN: How are you looking for parents to become activists?

Cody: Recently in my district, I worked as part of a group that brought together 200 teachers to discuss ways that we could improve teaching. The energy that was unleashed is the energy of activism, the energy of people taking responsibility and control of their profession. That energy is completely absent if you try to coerce people into doing things, if you try to bribe them with merit or punish them by saying they will lose their jobs if their test scores don't improve. What teachers wanted is to improve schools and work together. The result? A lot of concrete ideas on how to do this.

Parents need to do the same thing by getting involved in local schools, running for the school board. A social movement across this country is needed to defend neighborhood schools. It isn't going to happen without the parents; it isn't going to happen without the teachers. It shouldn't happen without the students. Everyone needs to get involved. The march is just one part of that.

CNN: How will determine if this event has been a success?

Cody: If we strengthen the network of people who care about schools, we raise the profile of a positive vision for public education, we make it more difficult for the Department of Education to pretend that the majority of the teaching profession supports their policies, and we remind Congress and the president that there are many, many thousands of people who care deeply about the future of our schools. We don't want schools sold off to corporate charters, don't want them micromanaged by standardized tests. Teachers, parents and students should be entrusted with the real work of reforming our schools.

@highlight

Parents, teachers, students plan Save Our Schools march in Washington on Saturday

@highlight

Anthony Cody, a board-certified teacher, is one of the organizers of the march

@highlight

Organizers say the march is a call to action and change