London, England (CNN) -- The release of confidential U.S. diplomatic cables by WikiLeaks achieved many things: making a star -- and wanted man -- of its main protagonist Julian Assange as well as redrawing the world's foreign policy map.

But also hidden among the cables are stories that reveal an often overlooked phenomenon: dictators, governments and leading industrialists being drawn to football's cultural and political power like moths to a flame.

The cables outline how powerful people have tried to harness football for their own ends and how the game has been used by ordinary fans as a crucible of opposition in otherwise restrictive societies. Below details the "soccerleaks" worth knowing:

Myanmar's junta considered buying Manchester United

Myanmar's de facto leader General Than Shwe was almost talked into buying one of the world's most popular football clubs, Manchester United, for $1 billion by his favorite grandson Nay Shwe Thway Aung.

In the end, such an investment only months after nearly 150,000 people were killed by Cyclone Nargis, was deemed inappropriate.

"The grandson wanted Than Shwe to offer $1 billion for Manchester United," the cable explains. "The senior general [Shwe] thought that sort of expenditure could look bad, so he opted to create for Burma a league of its own."

According to a cable in June 2009 called "Cronies Launch New Soccer League", select businessmen were told that [General] Than Shwe had "chosen" them to be the owners of the new professional soccer teams.

The brainwave came from Zaw Zaw, chairman of the Myanmar Football Association and a rising "crony" with multiple business interests in everything from rubber to jade mining, and Aung who, according to exile website The Irrawaddy, is a hated Manchester United-supporting playboy.

The cable concluded that the new league "may be a way for the regime to distract the people from ongoing political and economic problems."

According to FIFA.com, the league has been a resounding success; average attendances have risen from 2,000 to 13,000.   Mysteriously, Zaw Zaw relinquished the ownership of his club Delta United, but not before he had further curried favor with the General. In a separate cable titled "Update on Crony Zaw Zaw's activities", it was revealed that: "Contacts confirm that Zaw Zaw hired Senior General Than Shwe's grandson to play on the [Delta United] team."

Bulgarian football riddled with mafia cronies

The opening sentence of one cable emanating from the U.S. embassy in Sofia says it all. "Since the fall of Communism, Bulgarian soccer has become a symbol of organized crime's corrupt influence on important institutions."

The cable "Bulgarian Soccer Receives a Red card for Corruption," dated January last year, lists a litany of shady crime figures and mafia bosses who, it is claimed, all control Bulgaria's top football clubs in an effort to not just launder the proceeds of their criminal activity, but to launder their reputations too.

Accusations of match fixing and illegal betting have led to attendances in the league to plummet as Bulgaria's football fans desert a game which they feel has now become a symbol of corruption. Bulgarian football is, according to the cable, a dangerous thing to be involved in.

"The last three presidents of Lokomotiv Plovdiv, which has been periodically owned by the crime group VIS, have been assassinated."

Questions on corruption in Bulgarian football sent to the Bulgarian Football Union by CNN have so far remained unanswered.

Sierra Leone coach implicated in drug smuggling; currently in jail

The problems that face Sierra Leone, following its brutal, bloody civil war, paint a bleak picture. To make matters worse, the country is now on the frontline of the war on drugs, with the West African state being used like many others in the region as a transit point for cocaine being shipped to Europe from South America. According to the U.N. Office of Drugs and Crime, at least 50 tons of cocaine, with a street value of $2 billion, enters West Africa en route to Europe every year.

One WikiLeaks cable entitled "Cocaine Bust: Minister of Transportation Sacked" from August 2008 refers to a bizarre incident when an aircraft with over 700 kilograms of cocaine was found abandoned at Lungi airport. The minister for transportation, Ibrahim Kemoh Sesay, was fired after a close relative, national football team coach Mohamed Sesay, was arrested in the scandal.

"His [Mohamed's financial] contributions during the election, according to rumor, earned the ministerial position for [Ibrahim] Kemoh Sesay and the coach the position of the national football team for himself. If the allegations are true, these positions were strategically selected and likely used to facilitate narcotics trafficking beyond this particular case."

Mohamed Sesay is currently serving a five-year jail term.

"He was team coach for the 2010 African Cup of Nations qualifiers," Sorie Ibrahim Sesay, spokesperson for the Sierra Leone Football Association and a distant relative of both men, told CNN.

"This was a man instrumental in getting funds for the federation because of his political influence with the government ... but we had this problem and he was relieved of his duties."

President Ahmadinejad personally sacks the Iranian national coach

A cable from June 2009 titled "Iran's First Fan: Dissatisfaction with Ahmadinejad May Extend From the Soccer Pitch to the Ballot Box," reveals the extent President Mahmoud Ahmadinejad had draped himself around the national team to improve his popularity.

"[Ahmadinejad] has staked a great deal of political capital in Iranian soccer," the cable read. "A personal fan and former player, Ahmadinejad has made several press appearances practicing with Team Melli [the national team's nickname] ... in an effort to capitalize on soccer's popularity with constituents."

The cable alleges that Ahmadinejad personally sacked the coach, national hero and record international goal scorer Ali Daei, in an attempt to save Iran's faltering 2010 World Cup qualifying campaign. He also insisted that star midfielder Ali Karimi be recalled.

Ahmadinejad's faith in football was such that he believed the team had to win a vital qualifier against the UAE two days before the presidential election because he "'cannot afford a loss on the eve of the election in such a tight race."

In the end Iran beat the UAE 1-0 at the Azadi Stadium in Tehran thanks to an Ali Karimi goal. The elections ended in bloodshed a few days later. Karimi led the team onto the pitch for Iran's final, crunch game against South Korea wearing a green armband, allegedly to show solidarity with the Green Revolution raging back home, proving that presidential patronage doesn't guarantee obedience. The team drew 1-1 and never made it to South Africa.

Entire Eritrea national team disappears after loss; turn up in Australia

A recent Human Rights Watch report detailed just how bad the situation is in Eritrea, with its semi-permanent state of conscription and reports of political prisoners being held in starvation conditions in underground prisons.

With travel outside the country effectively banned, athletes and footballers -- the lucky few allowed to leave Eritrea -- have taken the chance to flee while on international duty.

One cable from the U.S. embassy in the capital Asmara, titled Eritrea's "Squabbling Colonels, Fleeing Footballers, Frightened Librarians" details how the national football team, nicknamed the Red Sea Boys, took the chance to defect once they had lost to Tanzania 4-0, opening a window on conditions in the country.

"Only the coach and an escorting colonel reportedly returned to Eritrea. (One wonders why, given their likely fate.)," the cable said. "[President] Isaias [Afewerki] has previously claimed the CIA was luring Eritrean youth abroad; if the soccer team has in fact defected, he will undoubted try to twist logic in some way to blame the United States."

President Afewerki denied that the team had disappeared, but 11 of the 12 players arrived safely in Australia, claiming political asylum. But, rather ominously, it looks like it will be a while before the [former] Red Sea Boys will see their families again.

"[President] Isaias [Afewerki] is clever, very good at operational security, and two decades younger than Mugabe."

Football riots in Jordan highlight deep divisions

A cable from July 2009 entitled "Jordanian Soccer Game Halted Amidst Anti-Regime Chants, Hooliganism Towards Palestinians" details how a match between two of the country's most decorated clubs, Al Faisaly and Wihdat, was called off after rioting between fans.

"Jordanian police intervened to stop fan violence and the chanting of anti-regime slogans," explained the cable. "The unrest began when Faisali [sic] fans started to chant slogans against Palestinian-origin Jordanians, including Queen Rania."

Al Wihdat -- once described as Palestine's unofficial national football team by Yasser Arafat -- represents the Jordanians of Palestinian origin who make up as much as 70% of the population. Al Faisaly represent the Hashemite Jordanians, who see themselves as the "true" Jordanians and fear becoming a minority in their own country. Often the simmering hatred explodes during Jordan's biggest derby match.

"The game exposed the growing rift between East Bankers [Hashemite Jordanians] and Palestinians in Jordan," the cable concluded. "The King's silence on the event is noteworthy, as is a reluctance among our contacts to discuss the issue."

A few days after the cable was released the issue once again made international headlines when 250 Wihdat fans were injured during riots when Wihdat beat Faisaly 1-0. Al Jazeera reported that police beat several fans to death. The government has since opened an enquiry into the violence.

@highlight

Hundreds of thousands of cables released by WikiLeaks

@highlight

Football has featured prominently in many of the cables

@highlight

Presidents, gangsters and businessmen have all tried to harness the game's power

@highlight

CNN gives you the six best WikiLeaks football stories