(This Old House) -- Unless you're a perfect caretaker of your lawn (and, really, who is?), prepare for another round in the turf wars this summer. You'll have to deal with a full frontal assault from the dandelions, of course. And an attack from the crabgrass. But you'll face more stealthy opponents, too: root-chomping grubs and microscopic mildew that turn the grass from green to gray or brown.

"If a lawn is neglected, or cared for in a hit-or-miss way, it gets weak," says This Old House landscape contractor Roger Cook. "And that's when weeds, insects, or fungal diseases become a major problem." Little wonder that last year almost 50 million homeowners bought products to fight these invaders.

But as in most battles, the best defense is a strong offense: doing everything right to cultivate healthy turf. That means giving it up to an inch and a half of water per week; aerating and dethatching annually so water and nutrients can get down to the roots; mowing with a sharp blade to the right height (ask your local garden center what's best where you live); and fertilizing in spring and fall.

So promise yourself -- and your turf -- you'll do that this year. In the meantime, here's how to conquer the most common turf problems you're likely to confront this summer.

Fungal disease

Symptoms: Circular patches of yellow-to-brown grass; or blades with tiny red threads.

Culprits: Powdery mildew, brown patch, dollar spot, and fusarium patch; or red thread. These fungal diseases can take hold of stressed turf.

Solutions: Though lawns will generally recover from small areas of infection, if a fungus is progressively marching across your yard, look for a fungicide with the active ingredient thiophanate-methyl and follow the directions. For an organic fix, search out a corn-gluten mix that will cure brown patch and weaken most other fungi. Then nurse your lawn back to health by practicing good lawn-care habits: Avoid excessive shade (prune back trees and large shrubs, if necessary) and too many applications of fertilizer, herbicides, or pesticides. Carefully monitor your turf's moisture intake and never water in the evening.

Weeds

Symptoms: Fast-growing and unruly greenery that quickly overtakes surrounding grass. This Old House: What type of grass is right for your yard

Culprits: Crabgrass or broadleaf weeds such as dandelion, purslane, henbit, and chickweed that commonly pop up where soil is compacted and grass hasn't completely taken root. To check for compacted soil, stick a screwdriver into the ground; it should slide in easily.

Solutions: The first step is to eradicate any foreign invaders. The best approach is to pull them out by hand using a weeder or a hoe. This will also loosen the soil in affected areas. Or use a liquid herbicide in a hand sprayer to spot-treat an infestation. If weeds are too plentiful to be pulled, check your garden center for a "weed-and-feed" blend of granular fertilizer and herbicide that will kill weeds without harming turf types commonly grown in your area, or look for an organic fertilizer with corn gluten. Be sure to follow the directions on the box exactly, as some formulas must be applied during a dry spell or need a 24-hour breather with no foot traffic.

From here on out, mow up to twice a week during the beginning of summer when grass grows swiftly, and raise the mower blade an inch during hot or dry periods. Water well as the summer heats up, and your turf should naturally overtake the weeds. In the fall, open up compacted soil poke holes with a pitchfork over a small yard, or rent a power aerator for large yards and overseed the lawn. You may want to follow up with a pre-emergent herbicide next spring.

Insects

Symptoms: Brown turf that becomes loose enough to lift like a mat.

Culprits: White grubs, a catch-all name for root-chomping beetle larvae, including june bugs, Japanese beetles, and masked chafers. To be sure that's what you've got, cut a square foot of infected turf and roll it back, looking for pale, half-inch- to inch-long C-shaped bugs. If you find more than six, treat the turf. This Old House:  Meet the good bugs

Solutions: Grubs are the biggest threat to lawns, and pesticides formulated with imidacloprid are proven effective. For an organic fix, spread powdered milky spore or lay down beneficial nematodes-microscopic worms that will feed on the grubs if they're present. With nematodes, timing the application with their life cycle is critical, so be sure to follow the directions on the box exactly. Both milky spore and nematodes can be ordered from some garden centers or online (gardensalive.com).

Symptoms: Irregular-shaped patches of brownish-yellow grass.

Culprits: Chinch bugs, gray-black, quarter-inch-long insects that suck moisture from grass and are most likely to attack St. Augustine and zoysia grasses in the South and Kentucky bluegrass in the North. To spot them, bury an empty coffee can, with both ends removed, at the edge of the affected area and fill it with water. The bugs will seek out the moisture, then float to the top. If you see more than 10 after 20 minutes, you should address the problem.

Solutions: Chinch bugs live on the surface, among thatch, so dethatching will reduce their numbers. To eradicate them completely, look for an appropriate insecticide with a pyrethroid ingredient. Longer-term, overseed with chinch-bug-resistant grasses.

Symptoms: Patches of thin lawn with blades chewed off at the base.

Culprits: Sod webworms and tropical sod webworms, hairless cream-to-gray spotted caterpillars that grow into small, buff-colored moths at maturity. The tropical species that thrive in warm southern climates cause the most harm. To check for webworms, mix two tablespoons of mild detergent with two gallons of water; pour it over the infested turf. Any larvae will float to the top.

Solutions: You can try flooding your lawn to drown them. Or choose an appropriate insecticide; in an organic product, look for the ingredients azadirachtin or spinosad. With extreme cases of tropical webworm infestation you may need to replace the turf with a resistant grass mix.

TIP: If dogs regularly make a pit stop of your lawn, keep a hose or water bucket nearby. Dog urine is high in nitrogen, which can "burn" turf, creating a good-sized yellow patch. The best fix is immediate action: Flush the area ASAP with water to dilute it. Once badly burned, grass won't come back on its own-you'll have to rake out the dead stuff and reseed. This Old House: What to do when your yard is bowser's bathroom E-mail to a friend

Get 2 Free Trial Issues

COPYRIGHT © 2008 THIS OLD HOUSE VENTURES, INC.

@highlight

A good corn-gluten mix cures brown patches and weakens most fungi

@highlight

Brown patches are often indicative of bug problems

@highlight

Dog urine is high is nitrogen, so flush affected areas with water