Gaza City (CNN) -- The Israeli military launched a ground operation into Gaza late Thursday and called an extra 18,000 reservists into the conflict with Hamas.

Prime Minister Benjamin Netanyahu and Defense Minister Moshe Yaalon ordered the ground action to destroy tunnels from Gaza into Israeli territory, according to a statement from Netanyahu's media adviser.

Thirteen Hamas militants used a tunnel earlier Thursday to launch an attempted attack in Sufa, near an Israeli kibbutz, but were stopped by Israeli soldiers, the Israel Defense Forces reported.

CNN's Wolf Blitzer asked Mark Regev, Netanyahu's spokesman, whether Israel planned to occupy Gaza for a long time.

Regev didn't answer directly, but said Israel's goals are to "diminish" the Hamas military force and to show Hamas it cannot attack Israel with impunity.

"We have hit Hamas hard, and we will continue to hit Hamas hard," the Israel Defense Forces tweeted.

Hamas immediately condemned the Israeli operation.

Hamas spokesman Fawzi Barhoum told CNN that "the beginning of the Israeli ground invasion of Gaza is a dangerous step with unknown consequences. Israel will pay a heavy price for it."

Later, appearing on Aqsa TV, Barhoum said, "the resistance will confront the Israeli ground invasion and will defend the people of Gaza."

He said Hamas military forces are "far stronger" than in 2009 and 2012, when Hamas and Israel clashed.

Militants are prepared to capture Israel soldiers and use them to trade for some of 5,000 prisoners in Israeli jails, Barhoum said.

CNN's Palestinian security sources said Israeli tanks have reached Abu Holeh and that Israeli troops are clashing with Hamas and Islamic Jihad fighters along the Kissufim road.

Abu Holeh is about in the center of Gaza, said CNN reporter Ben Wedeman. If Israeli forces go from there to the sea they can split Gaza as they did during the 2009 ground operation, Wedeman said.

Wedeman said Israeli forces struck near a mosque in Gaza City's Zaitoun neighborhood, which has been pounded since start of bombing, with many casualties reported.

Gaza hospital struck

Kenneth Roth, executive director of Human Rights Watch, said Israeli bombs hit Wafa Hospital in Gaza while four patients were inside. Seventeen others had evacuated, he said.

The long-awaited ground operation follows one of the worst nights of fighting since the war began. That fighting began after a temporary cease-fire ended earlier in the day.

The Gaza Health Ministry said seven children were killed in three hours on Thursday.

Before the incursion, the IDF dropped leaflets in 14 areas of Gaza, urging residents to temporarily leave their homes.

CNN reporter Ian Lee described the action: "Periodic fire balls illuminate the sky over Gaza. We see rockets screech toward the sky. Minutes later we see an intercepting missile rise from the iron dome, reducing the rocket into confetti of light and fire.

"We've seen red tracer rounds fly across the horizon. The repetitive thud of naval guns echoes throughout the coastal strip."

A 4-year-old girl was killed in an Israeli airstrike near the customs building in Khan Younis, Palestinian medical and security sources said, and another airstrike killed a 29-year-old man east of Khan Younis.

Aqsa TV reported that an Israeli was killed and another injured in shelling of Ashkelon and that seven Israeli soldiers were injured in an attack on a military location.

Aqsa TV also reported that Israeli gunboats near Beit Lahiya north of Gaza strip, fired at the homes of residents.

Palestinian medical and security sources say 246 people have been killed in Gaza and more than 1,850 injured. Israel says one of its citizens has died.

Cairo talks

The region has many depressing precedents when it comes to violence.

In recent decades, Palestinians launched two armed uprisings against Israel, known as Intifadas, that each went on for years.

In late 2008 and early 2009, Israel carried out airstrikes and then a ground offensive against Hamas in Gaza that killed hundreds of Palestinians. In November 2012, the two sides fought a bloody eight-day conflict that ended in a cease-fire.

Egypt, which as been trying to broker a cease-fire, said Thursday, "If Hamas had accepted the truce Palestinian lives could have been saved."

Earlier, Palestinian Authority President Mahmoud Abbas and Arab League Secretary-General Nabil Al-Arabi held talks in Cairo aimed at reaching a cease-fire agreement.

An Israeli delegation also attended, leaving after several hours, the state-run al-Ahram news agency reported.

"I expect that we will reach an agreement very soon; the efforts of a cease-fire is to stop the bloodshed, killing and destruction in Gaza," said Nabil Shaath, an Abbas adviser and member of the central committee of the Palestine Liberation Organization.

He said negotiators were focusing on stopping bloodshed above all else. He said they would later discuss Hamas demands, including opening Gaza border crossings and freeing prisoners whose exit from jail was negotiated in exchange for the release of Israeli soldier Gilad Shalit.

"These are all legitimate demands by Hamas, but the priority is for an immediate cease-fire," Shaath said.

Hamas leaders had rejected an earlier Egyptian cease-fire proposal, saying they had not been consulted on the deal and complaining that it did not address their broader demands.

Egypt is playing a large role in the talks despite its distrust of Hamas.

Like Israel, Egypt considers Hamas a terror organization because of the group's roots in the Muslim Brotherhood, which Egypt's military-led government banned after the country's 2013 coup.

Temporary cease-fire

During Thursday's temporary cease-fire, Gaza banks opened for the first time in 10 days. Residents poured into the streets.

Red Cross officials visited hospitals and damaged houses to assess medical needs, and worked with local officials to fix water pipelines. Some work was also done to repair power lines, the United Nations said.

At least 10 to 15 trucks entered Gaza through the Karem Shalom border crossing once it opened at 1 p.m. (6 a.m. ET), according to Ra'ed Fatooh, the Palestinian official in charge of the crossing in Gaza.

Goods were limited to medical supplies and basic foodstuffs such as rice, sugar, oil, canned food, flour and other basic goods, he said.

Gaza crisis: Who's who in Hamas

Deaths on Gaza beach

Fallout continued from the deaths the day before of four cousins ages 9 to 11 who died in an Israeli military strike on a Gaza beach.

The results of a preliminary investigation suggests the deaths were the result of a "a tragic misidentification of the target," Regev told CNN.

"We didn't want to kill those four boys. That was not our intention," Regev said. "I'd even say the opposite is true. Had we known that that missile was aimed at four young men like that we would have not sent the missile."

A Hamas official called the killings a "war crime."

"Those children were not firing rockets, they were just playing," Hamas spokesman Sami Abu Zhuri told reporters Wednesday.

Regev, however, said a legitimate Hamas target was nearby, highlighting what he called a "complex combat environment" in crowded Gaza City and surrounding areas.

Israeli officials say militants often use mosques, schools and other crowded places to hide rockets and other weapons.

Israeli military's 'knock on roof' warnings criticized by rights groups

War-scarred Gaza medical crews also in harm's way

Opinion: A smart way out of the Gaza confrontation

CNN's Ben Wedeman reported from Gaza City, and CNN's Ralph Ellis and Michael Pearson reported and wrote from Atlanta. CNN's Ali Younes, Jethro Mullen, Samira Abdelaziz, Kareem Khadder, Tim Lister, Ian Lee, Diana Magnay, Samira Said, Michael Schwartz, Salma Abdelaziz and Tal Heinrich also contributed to this report.

@highlight

IDF: "We have hit Hamas hard, and we will continue to hit Hamas hard"

@highlight

Hamas condemns Israel for launching ground action

@highlight

Operation follows 10 days of airstrikes and bombings

@highlight

Palestinian security sources say airstrikes killed 7 children