NEW YORK (CNN) -- TED started as an experiment in convergence and somehow, miraculously, has morphed into a source of fascination, inspiration and learning for millions of curious souls all over the world.

I showed up at TED for the first time 11 years ago and was exhilarated to find myself among people turned on by cool ideas. Geeks, designers, entrepreneurs, scientists, global activists -- viewed one way, they couldn't have been more different. But everyone was curious; everyone wanted to dig below the surface and have a real conversation about stuff that mattered.

I fell in love with the event so badly that within a year, I'd set my heart on acquiring it. It was the kind of thing you could devote a life to. Through a complicated series of events, I was able to do this in 2001 and transfer it into a not-for-profit foundation with the mission "ideas worth spreading." That's made it natural for TED to gradually transition from being an exclusive club to a global community that anyone can participate in.

The key step was our decision three years ago to start posting the conference talks online for anyone to see for free.

Far from robbing the conference of its crown jewels, the move has been transformative, both for TED and for some of the speakers who have achieved an unexpected new form of celebrity. With audiences in the millions, they are helping redefine what it is to be a great teacher. It is thrilling to imagine them delivering insight and inspiration to knowledge-seekers old and young, rich and poor, in every corner of the planet.

TED was founded in 1984 by information architect Richard Saul Wurman and his partners. They saw that the industries of Technology, Entertainment and Design -- the T, E and D of TED -- were converging and that an event covering all three could be uniquely interesting. So it turned out.

The first TED showcased the brand-new Apple Macintosh and strange round silver shiny discs, the first CDs. The program generated huge excitement, but it was a commercial failure, Five years later, Wurman tried again, and since then it's been held annually in California, with a growing number of spin-off events in other locations.

But a strange thing happened over the years. The content of the conference became ever broader, incorporating scientists, business leaders, novelists, social entrepreneurs and movers and shakers of all stripes. We now seek out literally anyone who is remarkable from any discipline, provided they can find a way of powerfully sharing their passion with a general audience.

Here's why this works. Our world has gotten more complicated than ever. And most issues simply cannot be understood by looking at them through a single lens. In the world's race to specialize, we forgot that actually all knowledge is connected.

Take the current economic crisis. The bankers and economists and politicians are largely stumped. To fight our way through this may well require ideas from much wider sources -- perhaps from systems architects and evolutionary psychologists, or from researchers dreaming up new energy sources or philosophers or activists questioning our basic priorities.

Policies and politicians come and go, but great ideas last forever. And we live in an age where they can spread faster than ever.

But there's something else strange about TED. It turns out that if you spend a few days opening yourself to brilliance from multiple sources, not just intellectual but also aesthetic, something remarkable happens. You end up getting seized by a sense of possibility, excitement -- inspiration, even.

Since taking over at TED, I've been trying to figure out what that means and what can be done with it.

One of our attempted answers is the TED Prize. Each year, we grant this award to three individuals with world-changing potential. They get $100,000 ... but more important, they are granted a wish under the following terms: "No restrictions. Think big. Be creative." At TED, they reveal their wishes to an audience ready to be inspired. This has led to a series of thrilling collaborative projects (they're documented at tedprize.org).

This year has seen another surprising development in which tens of thousands of people around the world have gathered in more than 300 self-organized TED-like events. We call this program TEDx (see ted.com/tedx) .

TEDx events have been held in 50 countries, in schools, companies, campuses and theaters. They range in scale from 1,200 college kids in Los Angeles, California, to a tiny battered church in the middle of Africa's largest slum. The passion being put into these events is astonishing and proves a global interest in this new way of sharing knowledge and reawakening wonder.

How big could this get? Well, it depends on how many people are out there with a passion to learn and a willingness to help shape a better future. Certainly, CNN's partnership is a big step forward for us, giving TED exposure to a vast global audience hungry for knowledge that matters. TEDTalks aren't usually about the story of the day. But the ideas they communicate will help shape the stories of tomorrow.

Welcome to TED. Watch with an open mind ... and let your curiosity take you on a thrilling journey of discovery!

The opinions expressed in this commentary are solely those of Chris Anderson.

@highlight

Curator says TED allows remarkable people to share ideas with global community

@highlight

Posting conference talks online has helped spread message, he says

@highlight

TED Prize gives three people $100,000; only requirement is to think big

@highlight

In new partnership, CNN.com will offer Ted Talk Tuesdays