(CNN) -- When Daniel Okalany bought his first computer at the age of 21, he was hooked.

Just two years on, Okalany runs his own mobile gaming company called Kola Studios from an office in the Ugandan capital of Kampala.

Okalany recalled how he was able to buy the PC as part of a government scheme to get more computers into homes.

"It was a Tropix TT3," he said, "My mum paid half for it and I paid the other half. It was about 1.3 million Ugandan Shillings ($500)."

Okalany soon went on to set up Kola Studios with two friends. "Initially, we started the business in my home," he said. "It's very common in Africa for people to play traditional card games and we make these games available on mobile."

At first, the company developed a two-player app called Matatu, a digital version of an old Ugandan card game by the same name.

Matatu proved a smash hit, with 20,000 people downloading the game through the Mac App Store, Google Play and the Windows Store.

Today, Kola Studios makes educational games with a fun twist. The company's zombie spelling game, Zword, is designed to help children and adults improve their English language skills.

In order to fight off hordes of zombies, the player must spell words correctly within a time limit. "The faster you type, the faster they die," reads the website's slogan.

According to Unicef, over a quarter of the Ugandan population is illiterate and Okalany hopes games like Zword will help to tackle the problem.

"It was just a concept that we were experimenting with," he said. "We wanted to put the app into schools to help kids to spell. There is a major challenge in the fight against illiteracy."

Despite Kola Studios' meteoric rise, the developer runs on a small staff of just five people. Okalany said the company is starting to take on interns but recruiting workers with the right skills is proving difficult.

After learning how to use a PC as a teenager and studying computer science at Makerere University, in Kampala, Okalany is just one countless budding entrepreneurs to start a tech business in Africa.

The continent's burgeoning smartphone market is giving Africa's enterprising individuals the chance to launch businesses, create jobs and develop a skilled workforce.

Okalany said: "Phones are more popular than computers in Africa. It's less than $100 now for a smartphone."

And mobile games apps are spreading. Nigerian startup Maliyo produces games that reflect the lives of average Nigerians -- including "Okada Ride," in which the player weaves in and out of the pot-holed roads of Lagos, avoiding oncoming traffic.

In February this year, South African developer Thoopid opened for business. The Cape Town-based company is one of many indie game designers springing up in Africa's largest economy.

Just seven months after its launch, Thoopid released its flagship app, Snailboy. The game, which can also run on PC and Mac, features a cheeky garden mollusk as players go on a quest to find his shell, stolen from him by the sneaky "Shadow Gang."

Thoopid co-founder RW Liebenberg said that Snailboy is attracting a wide audience and South Africa is fast becoming a hub for creative talent in mobile gaming.

"It doesn't matter necessarily what country you're in. It's not specifically about what games people want, or what genre they like playing," he added. "If something is easily accessible, it's cheap and it makes me feel good then I want to play it."

And Liebenberg's comments are reflected in the figures, with Snailboy performing well in far away Nigeria and Kenya. As well as a sequel to Snailboy, Thoopid is already planning to roll out two more games next year.

Finding the investment

Despite the success of Kola and Thoopid, funding remains a problem for many African entrepreneurs, who struggle to get the financial backing to expand workforces and reinvest in their companies.

Thoopid is fully funded by personal investments from staff while Okalany and his friends ploughed their own savings into Kola Studios to kick-start the company.

"Eventually we got investment from the Savannah Fund," Okalany said.

Based in Nairobi, Savannah Fund is a venture capital firm that provides $25,000-$500,000 investments in high-growth technology web and mobile startups in sub-Saharan Africa.

Mbwana Alliy, managing partner at Savannah Fund, said: "People are doing more of their payments, work and lifestyle on their phone. Whether that's looking up directions, looking for a service or buying something online such as music or games."

Alliy, who previously worked in Silicon Valley, said that Savannah Fund has nine investments spanning Africa from Kenya and Uganda to Nigeria and Ghana.

"As Africa sees its middle class rising, we're going to see people who want to consume. If this fund was here 10 years ago, this wouldn't have been viable," he said.

The fund aims to address skills and the experience gap of entrepreneurs in the region through its Accelerator Program, designed to help individuals build a company and launch products.

But Alliy is keen to stress that the Savannah Fund is not a social project.

"It's about building long-term sustainable businesses," Alliy added, "we're not trying to quick flip things. We're not trying to get the same growth as Silicon Valley. I'm not here to just make a quick buck. We're going to stick it out."

With funding behind him and a growing team, Okalany wants to expand his gaming empire beyond Kenya and Uganda to more nations around the continent.

The young entrepreneur believes Kola Studios can make a success of developing traditional African games, handed down from generation to generation, by moving them into the smartphone world.

When asked about his ambitions for the future, Okalany said: "If we can have the most played game in Africa that would be really cool."

@highlight

Africa's burgeoning smartphone market is driving growth in gaming apps

@highlight

Kola Studios creates gaming apps, including zombie-killing game

@highlight

Thoopid is one of a number of South African game developers

@highlight

But African game makers often struggle for funding