(CNN) -- The average American woman can live long enough to celebrate her 80th birthday, so if a woman is able to become pregnant using in vitro fertilization with a donor egg at 56, she could still watch her child grow into an adult. But just because it's possible, does that mean she should?

Some feel that having children after 45 is unfair because the parents might not live to see the kids become adults.

The death of 69-year-old Maria del Carmen Bousada of Spain, who used in vitro fertilization with a donor egg to have twin boys at 66, has the fertility treatment community bracing for a backlash. It could rival the fallout from octuplet mom Nadya Suleman -- and it seems to have already started.

In a national online survey about fertility conducted in May by Johnson & Johnson's Babycenter.com, 7 out of 10 moms who responded wanted tougher regulation laws for IVF treatments, and half of the 1,095 respondents thought it was bad for the children if a parent conceived past 45.

Fertility specialists understand those concerns, but they say it's not that simple. Although it's rare for anyone older than 55 to get the go-ahead for IVF, that guideline is peer-enforced rather than mandated, and decisions typically are made on a case-by-case basis.

Georgia Dardick, an advertising executive in Boynton Beach, Florida, was one of those cases. Dardick tried to conceive via IVF six times and seriously considered adoption, but at 51, she wasn't ready to let go of her desire to have a baby.

"Fifty was the cutoff for my doctor, but they agreed to give us one more try," she said. She had her daughter in January.

Dardick said she never planned to have a baby at 51, but feels that she made the right decision, despite the judgments others may have.

"The word selfish has come into my mind. But for any parent, having a child is selfish. No matter what your age is, once you have that child, you owe that child everything. I live the best, healthiest life I can."

Doctors say society's views of aging needs to change.

"The 40 and 45-year-old of today is not the 40-year-old of the past; the 50-year-old [today] is not the same of the past," said Dr. John Jain, a physician at the Santa Monica (California) Fertility Clinic who has treated age-related infertility for 15 years. "They're eating healthy. A woman who is 45 is barely halfway through [her] life."

Healthy or not, having a child at that age can cause tremendous stress on the body.

Candidates for IVF after 45 use either an egg donor or their own frozen embryos from a prior cycle and are screened for underlying medical problems, such as diabetes, obesity, hypertension or lung disease, said Dr. Charles Coddington of the Mayo Clinic's reproductive endocrinology department in Rochester, Minnesota.

Still, "if somebody were in good health, it would be hard to say, 'you shouldn't have a baby,' " he said. "One has to judge where they are, health-wise and financially."

But if a woman who claims to be 55 is actually in her mid-60s -- as Bousada reportedly did -- what's a doctor to do? Not much, physicians say.  Watch report on death of 69-year-old mother »

"The truth may get dimmed to fit into the realm of a patient that may be acceptable. I don't sit there and say, 'Go get your birth certificate.' If someone's coming in and they're saying they're 52 or 55, I take it at face value," Coddington said, who does refer questionable cases to the fertility center's ethics board.

Even for those who choose to use it, the availability of this technology can be a double-edged sword.

Dardick said she wouldn't change anything, but if she did have to do it all over again, she said she may have considered adoption earlier.

"In a way, there's this hope always out there for you, and once you get into it, it's harder to break away," she said.

It's the intense desire to have a biological child that Manhattan-based psychotherapist Joan Wingroad, who specializes in fertility issues for women 40 and older, has been treating for 20 years.

"I work with women who've been very successful. They went to the right schools, got married and they feel that everything comes to you if you work hard. But then they realize pregnancy doesn't happen that way," said Wingroad.

She helps her clients find balance -- and limits -- by creating a plan: How long should they try IVF? How long until they consider adoption or child-free living?

"They need that." Wingroad said, "because many times a doctor will say, 'Look, this is your money, this is your dream; who am I to say that you can't do it anymore.'"

While doctors do help women try to reach their dream, Jain said he isn't afraid to tell a patient "no" if they simply aren't healthy enough -- or are just too old. But, Jain said, it's all based on his judgment as a trained physician.

"Ninety-five percent of us do a great job about regulating ourselves. I personally don't want to see more regulation, because it becomes problematic, and it can be more costly. Someone who's failed three cycles and [has already spent] $50,000 -- with the next cycle, will I be more aggressive? Certainly," Jain said.

"But maybe there's a middle ground, if the rule is that donor IVF will not be offered for women over 55 years of age. Regulations at the extremes might be useful."

Even though Dardick plans on living her life as a new mom for quite some time, she said having a baby at her age isn't ideal. She and her husband are taking careful precautions by adjusting their financial planning to make sure their daughter will be financially secure.

They're also tightening bonds with extended family and friends, should anything happen to her or her husband -- a decision Bousada may have made as well, as her twin boys are now in the custody of a relative.

Those, Dardick said, are the decisions one has to make when having a child later in life.

""People feel that it's not fair to the child because you may not live long enough," Dardick said. But as someone who lost a father as a teenager, she knows "there are no guarantees in life."

@highlight

If a woman is in good health, she can conceive and give birth into her 50s

@highlight

Most fertility centers stop treating after 55, but there aren't any laws to enforce this

@highlight

Doctors say tougher regulations would hinder their ability to treat patients

@highlight

Florida woman was able to have her miracle baby at 51