New DNA tests reveal Britain's long-lost King Richard III was blue-eyed and likely blond-haired, but they also raise intriguing questions over whether he -- and other monarchs before and since -- should have been on the throne at all.

Experts researching the case of the "King in the car park" -- a set of remains dug up from beneath a parking lot in the central English city of Leicester in 2012 -- now say they are 99.999% positive that the bones are those of Richard III, who died at the Battle of Bosworth in 1485.

Genetic specialist Turi King, from the University of Leicester, said analysis of various genetic markers offered tantalizing clues to Richard III's appearance -- suggesting that he was not the dark-haired, steely-eyed monarch portrayed in well-known historical images.

"[There are] genes that we know are involved in coding for hair and eye color ... The genetic evidence shows he had a 96% probability of having blue eyes, and a 77% probability of having blond hair, though this can darken with age."

While there are no contemporary portraits of Richard -- all known works post-date his death by at least 25 to 30 years, leaving the artists who painted them open to charges that they were influenced by propaganda -- the DNA findings suggest the arch-framed portrait of Richard, owned by the Society of Antiquaries of London, is the closest to his real appearance.

King said the latest scientific evidence, combined with statistical analysis -- published in Nature Communications and funded by the Wellcome Trust and Leverhulme Trust -- provided "overwhelming" proof of the skeleton's identity: "At its most conservative, it's 99.999% certain," she explained. "The likelihood ratio is 6.7 million to one that these are Richard's remains."

Richard III's bones reveal fatal blows

But while detailed genetic testing and painstaking genealogical research helped confirm that one living relative on Richard's female line, Michael Ibsen, was an exact match to his mitochondrial DNA, and found a second, previously unknown but near-perfect mitochondrial match in New Zealand-born Londoner Wendy Duldig, scientists weren't able to trace a living relative on the male line, using the Y chromosome.

And that has raised an intriguing possibility: that neither he, nor many other monarchs, actually had a cast-iron claim to the throne.

Genealogy expert Kevin Shürer said it had been relatively straightforward to trace potential living relatives of Richard III along the male line, since records of the peerage -- Britain's "nobility" -- made it simple to follow such families back century after century.

But once five potential living relatives from the male line, linking Richard III to his predecessor Edward III (because Richard himself had no surviving children) and back down the generations via John of Gaunt (1340-1399) and Henry Somerset, the fifth Duke of Beaufort (1744-1803), had been identified, things became more complicated.

One of the five was quickly eliminated from the puzzle because his Y chromosome DNA did not match the other four, suggesting a relatively recent "false paternity event," and when King carried out checks on the Y chromosome DNA of the remaining four, she discovered there was no match there either, revealing at least one other case of "false paternity" in the generations of fathers and sons leading back to Edward III.

"We can't tell you where that break is, because we simply don't know -- it could be at any one of the 19 links in the chain between those two individuals," Shürer said, adding that while each link in that chain was equally likely to be the one which was "broken," if the break occurred in the first few generations, around Richard III, it could bring various monarchs' right to rule into question.

"There are some well-known and important people on that chain," he said.  "You have two monarchs, Richard and Edward III; if the break occurred on the Yorkist line ... then that might raise questions about the legitimacy of the Yorkists' claim to the throne.

"The Lancastrian line comes through John of Gaunt's side of the family ... so if the break were on that side, it raises questions about the legitimacy of the Lancastrian monarchs, and because there was a Tudor link to that line as well, also the Tudors."

But he said the Tudors also had another argument for their right to rule, since they "took the throne by force, at the Battle of Bosworth."

And he was quick to point out that whatever the implications of the latest discovery, current monarch Queen Elizabeth II's position was secure.

"We're certainly not saying the House of Windsor has no legitimate claim to the throne, far from it," Shürer explained. "Royal succession doesn't work like that. There is no linear succession line between Edward III and Elizabeth II. Yes, they are related, but the whole point of monarchy is that over several centuries it takes various twists and turns.

"Monarchy is about opportunity and chance as much as it is about bloodline."

Richard III's taste for luxury revealed

Scientists to sequence Richard III's genome

@highlight

DNA tests reveal long-lost King Richard III probably had blond hair, blue eyes

@highlight

Scientists 99.999 percent certain remains found in parking lot are those of monarch

@highlight

Experts say chances are 6.7 million to one that skeleton belongs to last Plantagenet king

@highlight

Attempts to trace male line through Y chromosome failed because of 'false paternity event'