Washington (CNN) -- Everybody it seems has to wait in line -- at the airport gate, the grocery checkout or the opera recital. The question before the Supreme Court on Wednesday: if it occurs on the job site, should you get paid for it?

In one of the most closely watched business cases of the term, the justices appeared split during oral arguments, on whether time spent going through after-shift security screenings for warehouse employees is compensable under the Fair Labor Standards Act (FLSA).

The company, which provides staffing for Amazon.com, justifies the policy for contract employees, to prevent workplace theft. But labor rights groups say the waiting is "integral and indispensable" to workers' overall job activities and deserving of overtime payment.

The financial stakes are huge, since those hours of overtime for potentially tens of thousands of employees can add up to billions, say both sides.

The law in question does not allow workers to be paid for "pre- or post-liminary" activities not directly related to core employment duties. Defining those limits has been vexing Congress and the courts for nearly eight decades.

Discussions of principal activity

"What's a principal activity?" requiring compensation, asked Justice Sonia Sotomayor of the anti-theft measures. "How is it defined? And so I think, isn't a principal activity work that benefits the employer in some way?"

Integrity Staffing Solutions of Las Vegas provides employment contracting and storage services for a variety of companies, including mega online retailer Amazon.com.

Laurie Castro and Jesse Busk are two former Integrity warehouse workers whose responsibilities included taking items form shelves and fulfilling them for delivery.

They brought suit, claiming having to regularly wait nearly a half hour at the end of their shifts to go through mandatory security checks.

Employees had to remove personal items like keys and wallets, and allow purses, coats, and backpacks to be searched. They also had to go through electronic and metal detector screening, to ensure no company property was being smuggled out, called "shrinkage" in the retail world.

Integrity argues heightened security is a workplace reality in the post 9/11 world, and that measures designed to keep workers safe -- and preserve the financial bottom line -- are necessary, but not subject to a larger paycheck.

The workers say screening here took time because many shifts ended at the same time, causing a mass exodus of employees seeking to leave the warehouse at the same time -- when they had already punched the time clock. The company cited its data showing the waits were minimal most of the time.

What role does staffing levels have?

During the one-hour arguments, the court debated about what the case really comes down to: money.

"Because there are not enough security checkers and because all the shifts get out at the same time, what could be a five-minute [screening] process turns out to be 25 minutes," said Justice Ruth Bader Ginsburg. "And 20 of those allegedly would not occur if the employer had provided sufficient staffing."

Added Justice Anthony Kennedy. "Why isn't the long line caused by very few checkers for the benefit of the employer? It's for the benefit of the employer to hire fewer checkers."

Nothing wrong with that, countered Justice Antonin Scalia.

The employer "could move his plant, for example, to be closer to the city where the employees live, right? " he said. "It's his fault that it takes them an hour instead of just 10 minutes, and he should move his plant? It's just a matter of cost, right?"

Now about that grapefruit judge

Justice Elena Kagan offered a more personal example.

"There was a [federal] judge ages ago in the Southern District of New York who had his clerks," in addition to their primary judicial duties, "come early in order to cut his grapefruit and otherwise make breakfast for him. And would that be compensable?"

"Well, setting aside the question of whether the law clerks were covered by the FLSA to begin with," Justice Department lawyer Curtis Gannon started to say in his best legalese.

"Yeah, yeah, yeah, yeah," replied Kagan, smiling, who herself personally hires and employs four law clerks for prestigious one-year terms.

The grapefruit judge was left otherwise unidentified.

The Obama administration is backing the company in the current dispute, although government lawyers said there may instances where some security searches would be compensable.

Questions over how to read old law

Several on the bench suggested the screening activity was not subject to payment, because of its very nature.

"No one's principal activity is going through security screening. The employer doesn't hire somebody: I need somebody to go through employee screening," said Chief Justice John Roberts. "He hires them to do something else."

But the Integrity workers' lawyer Mark Thierman replied, "Their overall function is to move merchandise without losing it. If they don't -- if they ship to the wrong address, if they drop it in the wrong bin and it can't be received, it's not there the next day they look for that particular item in that particular bin, then they haven't done their job. And if they steal, it's the same thing."

Roberts, tersely: "Well then, I guess I don't understand what 'principal' means."

The Supreme Court in 1956 concluded, "Activities performed either before or after the regular work shift, on or off the production line, are compensable under the portal-to-portal [door-to-door] provisions of the Fair Labor Standards Act if those activities are an integral and indispensable part of the principal activities for which covered workmen are employed."

That case involved factory workers who were ordered paid for the time needed to shower after their assembly line shifts handling toxic chemicals. Subsequent appeals dealt with whether miners had to be paid for the time spent traveling on trams, miles down the shafts to the coal seams; or loggers being transported long distances in buses to remote forest sites.

The justices in January said union workers could be paid for the time it takes to "doff and don" safety equipment, as part a collective bargaining agreement.

Other things like walking from the company parking lot, or attending a company picnic would not typically be compensable, even if they occurred on work property, or were activities sponsored by the employer.

The case is Integrity Staffing Solutions v. Busk (13-433). A ruling is expected in the next few months.

Supreme Court allows same-sex marriage to begin in Nevada, keeps it on hold in Idaho

@highlight

Supreme Court justices take up much-watched wages case

@highlight

It's over whether workers should be paid for after-shift screenings

@highlight

Company: No OT for activities not related to core employment

@highlight

Labor groups say workers should be compensated