(CNN) -- Satellite imagery that may show debris from Malaysia Airlines Flight 370 is raising hopes that investigators can narrow what has been a needle-in-a-haystack search operation.

The images, obtained and analyzed by the Australian Geospatial-Intelligence Organisation as "a possible indication of debris south of the search area that has been the focus of the search operation," according to the Australian Maritime Safety Authority, were taken above a remote part of ocean thousands of kilometers south-east of Australia.

Two objects, one of approximately 24 meters (78.7 ft) in length and another around five meters (16.4 ft) long have been spotted, leading to hopes that more information regarding the missing airliner has come to light.

Beforehand, search corridors had extended both through central Asia and as far south as the depths of the Indian Ocean. The new find gives cause that the search operations can zero in on a much more focused field.

However, the area of southern Indian Ocean, 2,350 kilometers (1,460 miles) to the southeast of Perth in western Australia is a remote, potentially inhospitable area of sea which will not necessarily aid search operations -- Australian Prime Minister Tony Abbott described the search area Friday as the "about the most inaccessible spot you could imagine on the face of the earth."

New Day's Chris Cuomo illustrated the difficulty of the task ahead. "They are saying it's the most challenging of things. It's far, it's remote, it's very deep and you're in the storm season so it's inclement there as well... it's a tough set of constraints," he told Richard Quest.

The distance from Australia means that the search time of aircraft "on station" -- within the reduced search zone -- will be limited to only a couple of hours.

Weather will also potentially be an issue. Already, the first aircraft on the scene which was dispatched early Thursday to assess the site, has reported "poor visibility," despite "moderate weather conditions," according to the AMSA's John Young, who spoke at a media briefing Thursday. "This will hamper both air and satellite efforts," he said.

CNN meteorologist Pedram Javaheri says that weather in the region, especially at this time of year, can be unpredictable. "Today marks the first day of autumn down under, so it's not unusual to see the weather in this part of the world start to pick up in intensity.

"We have very limited (weather) info in this remote corner of the planet. In fact, it is so remote that (weather) satellites are even a bit choppy that far south."

A key to the search is the height of the waves and whether there are whitecaps present, former flight commander Rick Burgess told CNN's Becky Anderson. "Those high waves... are very disruptive on your search pattern when you're trying to look for objects in the water."

He estimated that the search crews would have a window of three to four days. "Then from there I don't see much hope in finding anything in the near term."

The average depth in that area of the ocean is around 13,000 feet, which is slightly less than the average depth worldwide. The area's depth could still present significant problems for retrieving wreckage -- should the objects seen on satellite be confirmed as part of the missing plane. There are volcanic ridges underwater which rise up from the ocean floor, which can reduce the depth to 3,000 feet.

Also, this part of the Indian Ocean is the location of the Indian Ocean Gyre, one of five major gyres worldwide. A gyre is an area of circular ocean current where water does not circulate particularly freely. The Indian Ocean Gyre is known to trap large volumes of debris in the southern Indian Ocean as currents here are very weak and show little to no movement over long periods of time, Javaheri said.

However, "at these very high latitudes (where the debris was spotted)... westerly winds are typically very strong and they can certainly impact large-scale debris and move them along," meaning that wind patterns may have influenced the location of the sighted objects.

LIVE: Latest updates on the missing Malaysia Airlines jetliner

What can we tell from fresh lead?

If this is the debris, what happens next?

Opinion: Search for MH370 highlights need for trust, unity in Asia

@highlight

Satellite images give hope that MH370 debris may have been spotted

@highlight

Remote part of Indian Ocean now focus of search

@highlight

Weather and ocean depth might be stumbling blocks to search of area