Myanmar's government has begun unveiling drafts of proposed laws that critics say are motivated by religious hatred, and could take discrimination against the country's marginalized Muslim minority to new heights.

The four bills are based on a petition presented by a group of nationalist Buddhist monks to President Thein Sein in July last year, calling for curbs on interfaith marriage and religious conversions, among other measures. According to the monks, it's a matter of protecting race and religion and encouraging peace.

Tensions between the Buddhist majority and Muslim minority in Myanmar, also known as Burma, have been high since deadly violence erupted between the groups in 2012, as the country emerged from decades of authoritarian military rule. A faction of Buddhist nationalists has been criticized, accused of drumming up hostility.

The first draft bill -- stemming from a request from a coalition of monks known as the Organization for the Protection of Race, Religion, and Belief -- was published in state media Tuesday, with a call for public comment by June 20. The proposed law would require anyone seeking to change their religion to obtain permission from a number of different local authorities.

Targeting Muslims?

While the bill applied to all religions, human rights and civil society groups believe it is driven out of a concern to prevent the spread of Islam in the predominantly Buddhist country.

"The objective is against Muslim people," said Thin Thin Aung, a member of Women's League of Burma, which belongs to a coalition of women's groups that has campaigned against a proposed bill on interfaith marriage.

"Almost all parts of these bills are aimed to target Muslims -- it's based on hatred against this minority religion."

The draft of the accompanying interfaith marriage law is yet to be released.

But Human Rights Watch and other rights groups, who say they have seen the draft proposal, maintain it calls for Buddhist women to be permitted to marry only Buddhist men, requiring anyone seeking to marry a Buddhist to convert to the religion. The suitor would also be required to obtain the written consent of the woman's parents.

The proposal also puts forward a 10-year prison sentence for any non-Buddhist who marries a Buddhist in violation of the law, according to Human Rights Watch.

Matthew Smith, executive director of rights group Fortify Rights, said that any such law would "give legislative voice to Buddhist fears of a Muslim takeover. It's patently discriminatory," he said.

"The fact that lawmakers in Myanmar are considering a law like this now should serve as a wake-up call to the international community. Anti-Muslim discrimination is reaching unprecedented heights."

But Myanmar's presidential spokesman Ye Htut said that until the draft bill was released, any comment on its content was "just speculation."

"The bill committee is considering all the public advice and opinion on their work," he said. "They have to consider articles in the constitution which grant freedom of religion in our country, and consider other international human rights conventions."

Limits on family size

The other related "race and religion protection" draft bills scheduled to be released soon included ones proposing a ban on polygamy and limits on family size -- also aimed at curbing Muslim population growth, according to rights groups. Muslims are estimated to account for about 5% of Myanmar's nearly 60 million people.

Aung said she feared that the bills, if passed, would lead to further division and violence in the country.

"Our Burmese society is already ethnically and religiously divided," she said. "We're in a very early democratic transition period. It will lead to more prejudice and discrimination."

Mark Farmaner, director of Burma Campaign UK, agreed, saying the laws, if passed, would "significantly undermine prospects for peace."

"Ethnic and religious minorities in Burma are already suspicious that the Burman Buddhist dominated central government wants to either assimilate or suppress them," he said.

"The interfaith marriage laws play into the greatest fears of ethnic and religious minorities that the government sees the country as a Burman Buddhist country where ethnic and religious minorities are not considered equal."

Aung said her coalition also opposed the interfaith marriage law on the grounds that it impinged on the freedom of women to choose who they married, a retrograde step in a country moving towards democracy, and where there were no existing restrictions on a woman's right to wed.

The bill was also unnecessary, she said, in that marriages of Buddhist women and Muslim men did not appear to be commonplace.

"I don't see an alarming number of Buddhist women marrying Muslims," she said adding that marriages between Buddhists and Christians were more common, and generally viewed as unproblematic.

Crimes against humanity?

Rohingya Muslims in parts of the western state of Rakhine are already subject to a controversial "two-child policy" that has been criticized by respected Burmese politician and human rights icon Aung San Suu Kyi.

Rakhine state has been the site of communal violence between Rohingya and the region's ethnic Rakhine majority, which has displaced tens of thousands of Muslims, forcing them into camps where they are completely reliant on humanitarian aid supplies.

In March, Doctors Without Borders -- the largest NGO healthcare provider in Rakhine -- was banned from operating in the state, where it had worked for nearly 20 years, because officials accused it of providing preferential treatment to Rohingya.

The developments have triggered a humanitarian crisis, with the U.N.'s Special Rapporteur on Myanmar, Tomas Ojea Quintana, declaring last month that persecution of the group "could amount to crimes against humanity," and Human Rights Watch labeling it "ethnic cleansing." Myanmar authorities have rejected the allegations.

"In Rakhine state, there's an argument to be made that the government is failing to uphold its obligation to prevent genocide," said Smith. "Passing a discriminatory law like this wouldn't help the situation there."

Will the bills pass?

All four draft "race and religion" bills are expected to be completed this month and released to the public for feedback, before they are finalized and submitted to Sein for approval by June 30, according to state media.

With the Organization for the Protection of Race, Religion and Belief claiming more than one million signatures in support of the bills, and few willing to speak out against them, opponents fear the measures have a strong chance of passing.

"Such is the anti-Muslim fervour gripping Burma at the moment that even many [domestic] human rights activists have been silent on this issue, with women's groups the only vocal opponents," said Farmaner.

Aung said the moral authority of the monks made it difficult to oppose the legislation. Members of the women's coalition that had campaigned against the bill had subsequently been threatened by unknown unidentified extremists.

"What the monks say, many people do," she said. "Our group has been called traitors. It's very difficult for ordinary people to speak out."

@highlight

Myanmar's government is considering a law banning interfaith marriage

@highlight

It is in response to a call from extremist Buddhist monks to "protect race and religion"

@highlight

Myanmar has been plagued by violence between Buddhists and Muslims in recent years

@highlight

Rights organizations fear such laws will create further divisions and prejudice