(CNN) -- A day after Russian lawmakers approved a request from President Vladimir Putin to send military forces across their southern border into Ukraine and ordered forces there to hand over their weapons, leaders in capitals across the West were sharpening their pencils in hopes that the language of diplomacy could dull the tensions and restore the status quo.

Ukraine

Some of the most impassioned speech came from Ukraine's acting Prime Minister Arseniy Yatsenyuk. "This is a red alert. This is not a threat. This is actually a declaration of war to my country," he told Rada TV. "And we urge President Putin to pull back his military and stick to the international obligations and bilateral and multilateral agreements that were signed between Ukraine and Russia.

"If President Putin wants to be the president who started the war between two neighboring and friendly countries, between Ukraine and Russia, so he has reached this target within inches. We are on the brink of the disaster. There is no reason for the Russian Federation to invade Ukraine. And we believe that our Western partners and the entire global community will support the territorial integrity and unity of Ukraine and will do everything we can to stop the military conflict provoked by the Russian Federation in Europe."

Support he got -- as statements from world leaders quickly clogged reporters' inboxes. But they offered few specifics about how they might twist Putin's arm if he did not heed their warnings.

Ukraine mobilizes troops after Russia's 'declaration of war'

Britain

"We have to recognize the sovereignty and the territorial integrity of Ukraine has been violated and this cannot be the way to conduct international affairs," said William Hague, Britain's foreign secretary, before boarding a plane Sunday from London to the Ukrainian capital, Kiev.

Hague said Britain will join other countries in pulling out of preparatory talks for the next G8 summit of industrialized nations, which is to be held in Sochi, Russia, in June, "and then we will keep our approach to further G8 meetings under review."

Future decisions "will depend on what happens over the coming days."

He predicted that Russia will see "the very strong concerns around the world by many, many nations" and called on both sides to avoid conflict.

Hague expressed confidence that the international response could have an impact. "It will be a very united diplomatic response -- and not just from the Western world but, I think, from many other countries in the world, and that is something that Russia will have to think hard about," he said.

Canada

In a statement on Saturday, Canada's Prime Minister Stephen Harper condemned the military intervention as "a clear violation of Ukraine's sovereignty and territorial integrity" and in violation of Russia's obligations under international law.

In addition to suspending its engagement in preparations for the G8 summit, Canada recalled its ambassador from Moscow for consultations.

Canada supports the deployment to Ukraine of international monitors from the United Nations and the Organization for Security and Cooperation in Europe, Harper said.

"Should President Putin continue on this course of action, it will lead to ongoing negative consequences for our bilateral relationship."

But again, few specifics.

A strange scene, and somewhat polite standoff in Crimea

The Vatican

During his Sunday address to thousands of worshippers in St. Peter's Square, Pope Francis chose not to judge, saying only that he hoped for dialogue and understanding in lieu of other options. "I hope that all of the country's parties will endeavor to overcome misunderstandings and to build together the future of the nation. I make a concerned appeal to the international community to support any initiative in favor of dialogue and understanding."

NATO

A two-hour flight north of Rome, in Belgium, NATO did not hesitate to lay the blame at the feet of the Russians.

"We condemn Russia's military escalation in Crimea," Secretary General Anders Fogh Rasmussen told reporters, reading from a NATO statement. "Military action against Ukraine by forces of the Russian Federation is a breach of international law, it contravenes the principles of the NATO-Russia Council and the Partnership for Peace.

"Russia must respect its obligations under the United Nations charter and the spirit and principles of the Organization for Security and Cooperation in Europe, on which peace and stability in Europe rests."

He called on Russia to withdraw its forces to its bases and urged both parties to seek a resolution through dialogue, "through the dispatch of international observers" under the auspices of the U.N. Security Council or the OSCE.

He did not elaborate on what the consequences might be if Russia does not comply.

Germany

German Foreign Minister Frank-Walter Steinmeier said the world was on "a dangerous path," but that "a new division of Europe can still be prevented."

In a statement, he called on all those responsible to "desist to take further steps that can only be understood as a provocation. Anything else would lead to an escalation of uncertain, possibly dramatic consequences and could make many years of constructive cooperation for a more secure Europe naught.

"Russia has no right to use its military beyond the rules of the lease on the Russian Black Sea Fleet on Ukrainian territory."

Then, in a nod to Putin's assertion that his forces were trying to protect Russians in Ukraine, he added, "We are committed to ensuring that the new political leadership in Kiev protects the rights and interests of all Ukrainians. This includes in particular an unequivocal protection of the rights of minorities, including the use of languages."

France

A spokeswoman for French President Francois Hollande said Paris too had suspended its participation in preparatory talks for the G8 summit.

Hollande spoke with Putin and "asked him to avoid any use of force and to seek a solution to the crisis with the international community."

Russia

Moscow's take on the conversation differed. "At the request of Francois Hollande, Vladimir Putin shared his assessment of the situation in Ukraine, stressing that there exists a real threat to the lives of Russian citizens and our compatriots," the Kremlin website said.

"The two presidents exchanged views on possible ways of resolving the situation in Ukraine and agreed to continue contacts."

Opinion: How Putin carries out power grab

@highlight

"This is actually a declaration of war," acting PM Yatsenyuk says

@highlight

Few specifics about what might happen if Putin fails to accede to Western wishes

@highlight

"That is something that Russia will have to think hard about," says Hague