BEIJING, China (CNN) -- China's long simmering battle against corruption has come to a boil, this time in Chongqing, the largest megalopolis in the world. A massive crackdown has implicated millionaires, gangsters, and even police officers. Known as "dahei" (combat triads), the campaign has put the spotlight on organized crime and how it has infested local bureaucracy and businesses through bribery, extortion, blackmail and violence.

The anti-triad campaign in Chongqing is being led by Bo Xilai, the city's party chief.

Criminal trials are underway following months of police investigation. Details of murky cases are trickling out. Among those on the dock is Xie Caiping, a portly woman believed be the "mama san" of one of Chongqing's notorious triads. Xie is accused of operating gambling dens, drug trafficking, giving and collecting bribes and terrorizing people, including policemen who had tried to investigate her illicit activities. More trials are expected as the city fights at least 14 mafia-style gangs. Given China's opaque political world, it is notable that the ongoing trial is extensively covered by the Chinese media.

For years after the Cultural Revolution, Chongqing languished as a decrepit mountain-city in Sichuan province, better known for its spicy food and poor farmers carrying goods on bamboo poles. It became the world's largest city in 1997 when the central government, by administrative edict, incorporated a huge area adjacent to the city into what is now the Chongqing municipality. China's goal was to build up Chongqing into a modern mega-city that will later serve as the new economic engine in central China. Over the years, thanks of the influx of corporate investments and central government funding in infrastructure projects, the city of 31 million has become a center of an economic boom.

But the economic boom has also led to the resurgence of local gangs engaged in human and drug trafficking, illegal gambling, prostitution, extortion and protection rackets. Gangsters were blamed for heinous crimes of murder and kidnapping. Local officials were accused of "economic crimes"-- bribery, profiteering and malversation involving public funds and property. Such abuses have prompted popular anger and social unrest.

Communist Party officials are under pressure to clean up or perish. "The life or death of the party depends on whether or not we have a strong will to punish and prevent corruption," Chinese President Hu Jintao told a meeting of the party elite last September. Party leaders pledged to attack the "acute problems" of corruption, the gap between the rich and the poor, and the lack of democracy within the party's own ranks. At the meeting, they outlined an anti-corruption directive that would compel officials and their families to disclose their property holdings and investments. "The new transparency rules are meant to curb abuse of power," says political analyst Wenran Jiang. "It's also aimed at appeasing public discontent over corruption."

In Chongqing, police operations started in June, leading to the arrest of over 4,800 suspected gangsters and the confiscation of 1,700 illegal firearms. Investigations led to many city officials, including police officers. They include Wen Qiang, Xie Caiping's brother-in-law, who is now accused of colluding with gangsters. Highly regarded as an ace investigator, Wen was the deputy police commissioner and head of the city's justice bureau. Last August, he was stripped of his posts, detained and charged of accepting over 100 million yuan in bribes in exchange for giving gangs a "protective umbrella". Local media reports say Chongqing residents celebrated Wen's arrest by setting off firecrackers.

The "dahei" campaign is led by Bo Xilai. 60, the city's party chief who also sits on China's ruling politburo. Son of a revolutionary veteran, Bo had served as Dalian city mayor, Liaoning provincial governor and China's minister of commerce. An outsider in Chongqing, Bo has had to bring in his trusted protégé, Wang Lijun, to replace Wen Qiang as chief of police and clean up the city. Wang made his name as a tough, upright police commissioner in Liaoning province, Bo's former turf. In response, the gangs have reportedly put a 12 million yuan bounty on Wang's head. "It not us who took the initiative to fight the underworld," Bo Xilai told the Chongqing media. "It's the underworld who has compelled us to do so. The public has been gathering at the gate of our government building, holding blood-stained pictures, deeply distressed. The underworld has killed innocent people with machetes, like butchers killing pigs -- too horrible to see." Bo said the campaign is aimed at restoring economic order and winning people's trust.

Bo's get-tough stance has earned him praises, especially among the Netizens. "Chongqing's experience should be popularized nationwide," wrote a Netizen from the eastern province of Zhejiang. "Bo should be China's leader in the new era," wrote another. Some political observers think success in Chongqing could catapult him as a "dark horse" in the next round of political transition, when the next generation of leaders take over in 2012. "Whatever his motives, the impact is not local but national," says Wenran Jiang. "Clearly, there is public support for such bold actions." Jiang, who was Bo's college classmate at Peking University in the late 1970s, remembers Bo as "a smart student of Chinese and world history who always want to do the right thing."

It remains unclear if the current house-cleaning in Chongqing will spread nationwide. Cynics doubt if the Communist Party leaders have the stomach to genuinely root out the evil of corruption wherever investigations find them. "These crackdowns are like swatting flies while ignoring tigers," shrugs a white-collar worker in Beijing. Some see progress. "At least they realize that the problem is very acute," says a government functionary [who asked to remain anonymous]. "We cannot speak of a harmonious society unless the people are treated equally before the law."

@highlight

Anti-corruption drive in Chongqing implicates millionaires, gangsters, police

@highlight

Campaign has spotlighted organized crime, how it has infested local bureaucracy

@highlight

City's economic boom has led to the resurgence of local gangs

@highlight

Criminal trials are underway as the city fights at least 14 mafia-style gangs