KABUL, Afghanistan (CNN) -- Security remains a top concern, as Afghanistan holds its second-ever presidential election Thursday, prompting the government to ask for a ban on media coverage of violence.

An Afghan police officer walks near a bank in Kabul where an armed robbery ended in a gunbattle.

Afghanistan's government has ordered the media to refrain from covering possible attacks on election day in an effort to "ensure the wide participation of the Afghan people."

"If anybody broadcasts or gives news about any movements or activities of terrorists, domestic media offices will be closed, and foreigners will be kicked out of the country," according to a statement from Foreign Ministry spokesman Ahmad Zahir Faqiri.

He said the order is in line with Afghanistan's constitution, which allows for such mandates "in exceptional situations" to protect "national interest and national security."

Escalating violence in the capital, Kabul, this week has made some Afghans think twice about whether to venture out to vote.

"If we are not at peace, why should we vote, who should we vote for?" asked Ferishta, 21, who last weekend lay in a blood-soaked shirt and was connected to an intravenous drip after a suicide bombing.

But at least one independent news agency refused to heed a blackout on reports of violence. Restricting media freedoms has no basis in the Afghan constitution, said the Kabul-based Pajhwok News Agency.

The U.S. Embassy in Kabul insisted that press freedoms are necessary to ensure credible elections.

"While we recognize the sovereign rights of the Afghan government and note their intention to encourage Afghans to turn out and vote, we believe that free media reporting is directly linked to the credibility of the elections and continue to support the freedom of the press and responsible reporting," spokeswoman Fleur Cowan said in an e-mail.

On the eve of the election, roadside bombs killed three Afghan election workers in the southern province of Kandahar, and four others were killed Tuesday in the northern province of Badakshan, Independent Election Commission of Afghanistan spokesman Noor Mohammad Noor said.

Amid the violence, the candidates wrapped up last-minute campaigning with the hope that the elections can showcase their country's fledgling democracy.

"We're at a moment of truth," said Mark Schneider, senior vice president of the International Crisis Group, an independent advisory and analysis organization.

An incumbent president and about 40 challengers, including two women, are on the ballot, vying for the votes of what the election commission says are an estimated 17 million registered Afghans against a backdrop of war, graft, poverty and illiteracy.

More than 3,000 donkeys, 3,000 cars and three helicopters will traverse harsh terrain to carry voting materials to remote polling stations, the election commission says. And 30 observer groups, domestic and international, will be on hand to help guard against fraud, it says.

At the heart of every vote will be the two biggest impediments to progress in one of the poorest nations in the world: stifling corruption and an increasingly bloody Taliban insurgency.

International donors are helping pay for the $223 million electoral undertaking, and hundreds of U.S. Marines and Afghan soldiers have moved into strife-torn southern Afghanistan to protect voters against possible Taliban attacks.

The top U.S. envoy to the region, Richard Holbrooke, expressed optimism that Thursday's vote would be Afghanistan's moment to shine. It's tough to organize elections during a war, he said, but the reality is that violence during elections is commonplace in many parts of the world.

"Afghanistan has never had a contested election," Holbrooke said. "So this is a remarkable experiment in democracy and something that Afghanistan needs to give legitimacy to the new government."

That legitimacy has become a key issue in the campaign. Frontrunner President Hamid Karzai's chief challengers -- former Finance Minister Ashraf Ghani and former Foreign Minister Abdullah Abdullah -- have both lashed out at the incumbent for failing to rein in corruption.

In its annual global corruption perception index in 2008, Transparency International ranked Afghanistan 176 out of 180 countries and said graft is "a major factor impeding the country's stability and future growth."

Ghani said the most significant challenge Afghanistan's next president will face is earning back the trust of the people.

"This government has lost it," he said in a recent interview. "There is no sense of trust, not only in the current leadership but in the political class as such. And in the capacity of the state or the international community to improve the lot of our people."

Ghani characterized Karzai as a "very poor manager" who failed to deal with pressing issues and create any sense of momentum for the nation moving forward. As a guest on CNN's "Fareed Zakaria GPS" this month, Ghani said Afghanistan's corruption had metastasized into a cancer that was "eating through the society."

Abdullah argued that people's dissatisfaction with the Karzai government has helped strengthen the insurgency.

"There is no doubt there is a hard-core element in it," he said. "But there are thousands of people under the same brand, Taliban, [who] have joined the insurgency because of other reasons."

The insurgents are filling a vacuum left by Afghanistan's Western-backed government, which foreign diplomats and military commanders concede suffers from nepotism, corruption and predatory practices.

During a recent political debate, Karzai admitted that corruption was a problem but offered no specific cures.

He also has been blamed for what has become the bloodiest summer since the fall of the Taliban regime in 2001.

Most polls, however, show Karzai with a commanding lead.

Latifa, a Kabul housewife, said she was pleased with Karzai's stewardship and would vote for him.

"Like raising a child for seven years, in seven years he has helped our Kabul, our Afghanistan, stand on its own two feet," she said. "We didn't know an election before; we hadn't seen a parliament."

But can a nation as troubled as Afghanistan carry out fair and free elections? Some observers of Afghanistan and human rights activists have voiced their doubts.

Kai Eide, the United Nations special representative in Afghanistan, said Thursday's election will be the most difficult he has encountered in his life. Besides the violence and corruption, a weak infrastructure and a high illiteracy rate will add to election woes, he said.

The problems were reflected in a new Gallup Poll that found fewer than one in four voting-age Afghans are confident the election will be fair and transparent.

Voting in Afghanistan, Eide said, is not yet the kind of democratic expression understood in the West.

"If you look at the well-established democracies in the West, for instance, that's not possible under these circumstances," he said. "But what my objective is that we have credible, inclusive elections where the result will be accepted by the people. That is our level of ambition, and I think we will achieve that."

Eide said that a significant number of polling stations in Helmand, Kandahar, Ghazni and Wardak provinces will not be able to open for security reasons. He said ballots ought to be counted at the polling center itself instead of transporting them elsewhere and increasing the possibility of fraud, encountered in the last election in 2004.

Of the 4.6 million new registered voters, 39 percent are women. So thousands of women had to be employed to search burqa-clad female voters at polling places.

Human Rights Watch, however, said this week that the recruitment drive for women began too late and as a result, not enough women will be available for security checks.

"Women voters have been badly let down by their government and its international backers," said Brad Adams, Asia director for Human Rights Watch.

Women's votes will be closely watched in Afghanistan, where the Taliban regime stripped women of equal rights and education, essentially hurtling them back to the Stone Age.

But despite the violence, despite the threats from the Taliban to disrupt the voting, enthusiasm filled the air this week.

A campaign rally resembled more a rock concert than a political event in Afghanistan, as Kabul stadium transformed into a sea of blue, Abdullah's campaign color. Supporters hoisted banners and sported T-shirts emblazoned with Abdullah's face.

Not old enough to vote, another young woman named Ferishta -- this one 15 years old and a beauty school student -- attended a rally for Ghani with many of her classmates.

"We want a president who is peaceful and caring," she said. "We don't want any more bombs. In these bombs, so many Afghans have died, one person's son, one person's child."

But no one can predict whether abounding energy will translate into high turnout. Not in a war-ravaged nation. Not when bombs were still exploding just hours before balloting was to begin.

CNN's Atia Abawi, Ivan Watson, Kevin Flower and Moni Basu contributed to this report.

@highlight

Afghan media blackout called amid fresh violence in Kabul

@highlight

Seven Afghan election workers killed by roadside bombs

@highlight

Corruption, insurgency expected to be voters' top issues

@highlight

President faces major challenges from two of his former ministers