(CNN) -- Every morning Kong Kit Tam goes on a 7 a.m. walk around his neighborhood - not for exercise, but for money.

Tam is a paper scavenger. His currency is waste paper. For the past three years, he has dug into dirty garbage cans to pull out old newsprint and has shuffled through dimly-lit back alleys to haul out used cardboard boxes. An empty carton of Marlboro cigarettes, a torn envelope for an electricity bill and a pink pastry box get stuffed into his shoulder bag today. He sells it all to a recycler for money.

"Each month I might earn $100 or $200 or $300 Hong Kong dollars," Tam says. That's $12 to $36 U.S. dollars and is his only source of income. The short, rumpled 50-year old talks through a slight smile but his circumstances are no joke.

"I never thought that I would be doing this," Tam admits. "I do it to survive, it's my livelihood."

Tam's life stands in stark contrast to a Hong Kong more famous for its iconic skyline and glitzy high life as an Asian hub for global financial firms. A Hong Kong government report released last month revealed that the city's wealth gap is the widest in the developed world. Tam is a prime example of that other extreme. And he is not the only one.

"There are an estimated 10,000 people who are recycling scavengers in Hong Kong," says Sze Lai Shan, a well-known local rights activist and social worker for Hong Kong's Society for Community Organization, or SOCO.

But paper scavengers like Tam are making much less money today than last year. The reason is thousands of miles away, says Jacky Lau, president of one of Hong Kong's oldest recycling companies.

"Europe is facing many economic problems and this has translated to fewer manufacturing orders for clothes and toys in China," explains Lau. "Fewer orders mean a slowing demand for paper boxes, so prices have fallen dramatically."

Standing among bales of crushed plastic bottles and piles of books waiting to be recycled, Lau says that one kilogram of waste paper would have gotten about 18 cents this time last year. Today, that value has been halved.

Adam Minter, who runs the China-based blog Shanghai Scrap, says the recycling industry as a whole is one of the first to experience a slowdown in the event of a global economic slump.

"The street prices [for scrap metal] are down along the east coast of China -- down 50% from highs of about 6 months ago. They're very sensitive to demand for raw materials."

And the paper industry can be even more delicate. "Paper might be the most consumer sensitive of all because it's used in packaging - and packaging is used for everything," said Minter, who has just finished writing a book about the globalization of the waste and recycling industry.

And Hong Kong waste recovery companies are feeling the pinch because 98% of Hong Kong's recovered paper goes to be recycled in China, says Lau. He adds several of the city's 400 firms have already closed down. And he's not optimistic the economy will make a comeback this year.

"July is when prices should start to pick up. Retailers in Europe and the U.S. should be placing their Christmas orders right now but business has remained relatively quiet. The second half of this year is looking rather grim."

Lau said he earned up to $400,000 last year. This year, he expects to just break even.

As for Tam, his hope is just a dollar a day. Like Lau, he is equally uncertain about the future.

Back at his tiny 9th story walk-up, entirely subsidized by the government, Tam stashes his paper trash in a corner under a table until he makes his weekly trek to the recycler. The money he makes mostly goes to food for himself, his disabled 32-year old wife and his 10-year old daughter.

Tam, who moved to Hong Kong from Guangdong province three years ago, explains that is the only thing he can do for money. He never went to high school and only did four years of elementary school -- two years at each level because of his mental disability.

"I'm not sure about next year. Prices might rise or fall. It's like buying shares, you never know whether they are going to rise or fall."

And so Tam's only hedge is to keep scavenging for even more paper, shuffling along the city's streets and hoping that prices rise again.

CNN's Anjali Tsui and Jethro Mullen contributed to this report

@highlight

10,000 of Hong Kong's poor depend on collecting scrap paper

@highlight

The slowdown in Europe is hurting paper collectors like Kong Kit Tam

@highlight

Tam makes between $12 and $36 collecting scrap paper from trash

@highlight

The scrap business is a bellwether industry for rising or falling business cycles