(CNN) -- A "smart village" aimed at tackling rural poverty while promoting community and sustainability has been unveiled in Malaysia.

Built to the northeast of capital Kuala Lumpur, Rimbunan Kaseh is the result of a public/private partnership and could be used as a model for providing relief from poverty around the world, according to its creators.

In addition to 100 homes, residents have access to educational, training and recreational facilities on site as well as a sustainable agricultural system which provides a reliable food source and a supplementary income for residents.

A four-level aquaculture system plays host to guppies and algae which provide food for larger fish like protein-rich tilapia. Filtered water from the fish tanks is also used to irrigate trees, flowers and crops.

"It is a complete loop; a modern farm -- one that could even exist on the rooftop of a building," Tan Say Jim, managing director of Malaysia's IRIS Corporation Berhad, who are spearheading efforts, said in a statement.

"With this project we stimulate rural growth with modern agriculture activities, we balance development and economic activities between the urban and rural areas, we provide income and we improve living standards," Tan added.

All the homes on the 12-hectare site are energy efficient, sourcing power from solar panels complimented by biomass and hydro.

Further villages are planned at as many as 12 locations in the country which will form a network of "smart communities" laying the foundations for future jobs and prosperity, developers predict.

Progress in poverty reduction has been "uneven" in Malaysia, according to the United Nations Development Program, with "pockets of hard-core rural poverty remaining." But the situation is an improving one, with the national poverty rates falling sharply over the last two decades.

Speaking at the Institute for Diplomacy and Foreign Relations in Kuala Lumpur earlier this year, U.N. Secretary-General Ban Ki-moon praised the country's efforts to tackle poverty as part of the wider Millennium Development Goals.

"Your experiences can help countries throughout the global South, and I urge Malaysia to look at how it can increase South-South cooperation," Mr. Ban said.

"Malaysia is a multi-ethnic, multi-religious and multi-cultural country. Promoting unity among diversity, promoting one Malaysia among Malaysians is a great vision, not only for the Malaysian people, but also for the region ..."

Ellis Rubenstein, president and chief executive of the New York Academy of Sciences and co-chair of Global Science and Innovation Advisory Council (GSIAC) says the Malaysian model is a "great opportunity" to improve the lives of poverty-stricken people in the country and around the world.

"Integrated smart communities could transform services available to Malaysia's citizenry while creating thousands of jobs ..." Rubenstein said in a statement.

Set up in 2011, GSIAC is a joint initiative between the New York Academy of Sciences and the Malaysia Industry-Government for High Technology (MIGHT).

At a meeting earlier this month, Zakri Abdul Hamid, scientific adviser to the Prime Minister of Malaysia, praised the alliance.

"It opens the door to major foreign investment. And it gives us the chance that no other government -- either regional or national -- has anywhere in the world to develop a staged, integrated solution to our citizens needs ..." Zakri said.

@highlight

U.S./Malaysian initiative aims to promote growth and sustainability in rural Malaysia with "smart villages"

@highlight

Incorporating energy efficient houses and "closed loop" agriculture could be model for other countries

@highlight

Aquaculture system provides food for residents anda also water for crops and trees on 12-hectare site

@highlight

Reliable food sources aimed at improving the wealth and health of people living on site