(CNN) -- For years, Lance Armstrong carried a growing burden of doping accusations up increasingly steep hills, accumulating fans, wealth and respect along the way.

On Wednesday, he crashed.

In one day, the renowned cyclist and cancer survivor lost a major endorsement deal with Nike -- once worth millions of dollars -- and the chairmanship of the cancer charity he founded 15 years ago.

While stepping down as chairman of Livestrong was Armstrong's idea, losing Nike's support wasn't.

Opinion: 'U.S. Postal doping predates Armstrong'

Nike, which initially stood by Armstrong, dropped him Wednesday with a terse statement citing what it called "seemingly insurmountable evidence" that he participated in doping.

Hours later, brewery giant Anheuser-Busch followed suit, saying it will let Armstrong's contract expire at the end of the year. Nike and Anheuser-Busch said they still plan to support Livestrong and its initiatives.

The American Cancer Society, which has had a long relationship with Armstrong, said only that it would continue to collaborate with Livestrong.

Armstrong walked away as chairman of the Livestrong cancer charity "to spare the foundation any negative effects as a result of controversy surrounding my cycling career," according to a statement posted to the group's website.

He will remain on the charity's board of directors, but he will turn over the reins to founding chairman Jeff Garvey.

LIVESTRONG supporter: 'Conflicted' about my wristband

The move comes a week after the U.S. Anti-Doping Agency detailed what it called "overwhelming" evidence of Armstrong's involvement as a professional cyclist in "the most sophisticated, professionalized and successful doping program."

The seven-time Tour de France winner has consistently denied the claims, and legions of fans and corporate supporters had backed him -- until now.

Armstrong founded the Livestrong charity in 1997 after his own successful treatment for testicular cancer that had spread to his brain and lungs. He came back from the disease seemingly stronger than ever, winning the first of his seven Tour de France titles less than three years after he was diagnosed in 1996.

His success inspired cancer patients worldwide, spreading his reach far beyond the insular world of cycling and cementing his place in celebrity culture. He became rich, dated a rock star and appeared in movies. The bright yellow "LIVESTRONG" wristbands distributed by his charity became a potent symbol for perseverance in the face of adversity.

People should look to that legacy in assessing Armstrong, Livestrong's president said.

Read more: Evidence of Armstrong doping 'overwhelming,' agency says

"Lance's devotion to serving others whose lives were irrevocably changed by cancer, as his was, is unsurpassable," Doug Ulman said in a statement issued after Wednesday's announcement. "We are incredibly proud of his record as an advocate and philanthropist and are deeply grateful that Lance and his family will continue to be actively involved with the Foundation's advocacy and service work."

But a long chain of accusations has trailed Armstrong.

In 2002, a 21-month investigation into allegations that Armstrong's team used banned substances during the 2000 Tour de France closed after finding no evidence of illegal drug use.

He later sued the author of a book that accused him of having used performance-enhancing drugs and the International Cycling Union cleared him of 1999 doping allegations in a 2006 report.

In 2010, former teammate Floyd Landis accused him of doping. Federal prosecutors also looked into the allegations but closed their case in Feburary without pressing charges.

That's when USADA began its investigation.

In its report, released last week, the anti-doping agency made public testimony from Armstrong's teammates and others who said Armstrong was among team members who used banned performance-enhancing substances and tried to hide it from testing officials.

The report is part of USADA's request to international cycling officials to strip Armstrong of his seven Tour de France titles. The International Olympic Committee is also reviewing the evidence and could consider revoking Armstrong's bronze medal from the 2000 Sydney games. Armstrong is already banned from competing in events sanctioned by U.S. Olympic governing bodies.

Armstrong has said he never has failed a drug test and has consistently denied participating in any banned practices. Armstrong's lawyer, Tim Herman, called the report last week a "one-sided hatchet job" and a "government-funded witch hunt." He did not return a call on Wednesday.

Opinion: With Armstrong's disgrace, will anything change?

So far, Armstrong's woes haven't affected the charity's ability to raise money, according to Livestrong spokeswoman Katherine McClane. Donations to the charity have actually boomed since August, when Armstrong announced he was ending his legal fight to stop USADA's investigation, she said last week.

That's because, according to McClane, the charity's main audience -- cancer patients and their families -- isn't troubled by Armstrong's woes.

"The last thing that's going to enter your mind is news from the cycling world," McClain said Wednesday.

According to Livestrong, Armstrong has helped raise nearly $500 million, including $6.5 million of his own, for cancer research, treatment and support in his role as Livestrong founder and has helped "dispel the stigma and misconceptions about the disease."

Read more: Highlights of the Armstrong report

Livestrong will need to find a new way to present itself to the world without Armstrong as its face, said Eric Martin, a partner with Boost Partners, a Richmond, Virginia, strategic consulting firm.

How? Focus on "real-world heroes who have faced down cancer while loving a sport more than the spotlight," Martin said.

"At this point, what they need to do is re-establish the authenticity of their cause and the way to do that, in my opinion, is to reconnect with what people really admire in their heroes," Martin said.

Howard Bragman, an expert in crisis communications and vice chairman of Reputation.com, an online reputation management company in Los Angeles, said the future of Livestrong is uncertain.

"I personally hope that Livestrong is stronger than Lance Armstrong because they have done -- and continue to do -- amazing work for people with cancer," he told CNN in a telephone interview.

But he said he had little doubt that the impact on Armstrong would be devasating. "It doesn't get any worse than this, OK?" he told CNN in a telephone interview. "Imagine losing the prestige of all your Tour de France titles, millions in endorsements, stepping down from the organization he loves and founded, that's been his public mission -- and, possibly the worst thing of all, which is public humiliation."

Do you own a Livestrong bracelet? Share with us on CNN iReport

CNN's Tom Watkins, Danielle Dellorto and CNNMoney's Emily Jane Fox and Chris Isidore contributed to this report.

@highlight

"It doesn't get any worse than this," crisis-communications expert says

@highlight

Nike ends contract with Armstrong over "seemingly insurmountable" doping evidence

@highlight

The former pro cyclist resigns from chairmaship of the organization he founded in 1997

@highlight

Armstrong says he stepped aside to protect the charity