(CNN) -- It's been called the fourth "R" of education: reading, writing, arithmetic and now, aerobics. But the gym class of generation Wii isn't the same one you probably remember from school.

"You hear sometimes the old stories ... where you roll the ball out and students just played the game," says Hanna Vaandering, president of the Oregon Education Association. "That's not what physical education is about today."

As they struggle to keep kids active in the midst of an obesity epidemic, PE teachers are using technology and the latest fitness trends to inspire even the most nonathletic children to develop a lifelong love for exercise.

"If you don't have health, what do you have?" Vaandering asks. "You've got to make sure (students) understand how to take care of their body."

Fighting an epidemic

Stop me if you've heard these statistics before: Approximately 17% of Americans age 2 to 19 years old are obese. Though recent studies have shown signs of progress, an estimated one out of every eight preschoolers in the United States is still obese, according to the CDC. And only 25% of adolescents between the ages of 12 and 15 met the national fitness recommendation of 60 minutes of moderate-to-vigorous physical activity daily in 2012.

PE teachers have struggled to fight the effects of childhood obesity in class, says Vaandering; many children's motor skills are not where they should be and cardiovascular endurance is a big problem.

And frankly, in general, "kids are lazier," says Rich Muller, a PE teacher at Dwight-Englewood School in Englewood, New Jersey. "They don't want to work. They don't want to do anything."

Not just flag football anymore

In his 28 years as an educator, Muller has seen a significant shift in the kinds of activities taught in gym classes. Just a decade ago, he says, the focus was 95% on team sports. Now teachers are incorporating golf, rock climbing, bowling and even ping-pong into their curriculum.

"I'm trying to find that environment where they can find that one lifelong activity," says Matthew Pomeroy, a PE teacher at Merton Intermediate School in Merton, Wisconsin. "All those different things that kids can kind of be engaged in and enjoy."

Is yoga too religious for schools?

While kids in Pomeroy's district tend to be more active than the average American middle schooler, he sees another troubling trend: students who are spending 10 to 12 months of the year playing only one sport. While that's great for physical fitness, he says, orthopedic surgeons are seeing an increase in children's sports injuries related to such repetitive motions.

Both Muller and Pomeroy offer students at their respective schools a choice every day: They can play volleyball or do yoga; they can practice archery or work out in the weight room. Zumba. CrossFit. Geocaching. Tabata. Spinning. All these and more are offered to encourage students to move.

"The participation level has skyrocketed because they have more options," Muller says. "It's fun. We have hardly any complaints like we used to."

Technology

If there's one thing Pomeroy is pumped about, it's using technology in his class. The self-proclaimed Twitter fanatic has reached out to PE teachers all over the world to bring new ideas to his students.

Pomeroy's class uses iPads to analyze their archery or free throw techniques. With an app called Coach's Eye, they record videos of their shot, then play it back while discussing their form. Pomeroy has also split his class into groups to create their very own workout videos -- recording these at home is easier for some students than performing live in front of their peers, he says.

Many schools provide pedometers and heart rate monitors for students, Vaandering says. When she taught elementary PE, she encouraged her students to increase the number of steps they took during every class.

"You'd see their little feet moving while we're giving instructions because they want to get more steps," she says with a laugh.

Pomeroy has taken technology even further, using it to connect his students with others across the globe. In one instance he teamed up with a PE teacher in the United Kingdom to pull off an international dance team competition via Skype. Another time, his students gave jump rope lessons to their peers abroad.

"Sometimes for phys ed, you just need to get out of the gym," Pomeroy says.

Stress

Perhaps one of the biggest differences Vaandering sees in students today is high levels of stress. An overemphasis on standardized tests and budget cuts has removed important stress outlets such as art class and PE in some schools, she says. A few districts in Oregon have even cut recess for elementary school.

"That's so not in line with brain research and what science tells us about a child's learning (process)," Vaandering says. "In reality there needs to be a balance and a respect for the whole child."

Why kids need recess

Some schools are getting the message that stress reduction is an important part of a child's overall well-being. They're incorporating yoga and meditation, Muller says, while educating the mind, body and spirit.

In health class at Dwight-Englewood, students are offered the opportunity to use apps like Calm.com, which provides a soothing screen and sounds in timed blocks to calm the mind.

"It's amazing how much better you feel after two minutes," Muller says.

What you can do

Parents play a big role in their children's success at school, Vaandering says, whether it's in math class or gym class.

"It really is important to do family activities," she says. "Enjoying each other's company, going hiking, playing pickleball on the weekend."

Pomeroy agrees. "You can make such a great connection with your kids through physical activity."

What does your family do to stay fit? Share your tips and learn from other parents on Friday at 1 p.m. ET with @CNNHealth and celebrity trainer David Kirsch. Use the hashtag #FitFamilies to join in the conversation on Twitter.

@highlight

Physical education teachers are using innovative ways to battle the obesity crisis

@highlight

Schools now offer yoga, CrossFit, rock climbing, spinning and bowling

@highlight

Teaching stress relief could be key to students' success, some educators say