Bwindi Impenetrable National Park, Uganda (CNN) -- They are the world's largest primates and yet the constant threat of poaching, deforestation and human diseases means that soon the world's mountain gorillas could be completely wiped out.

Living in the dense forests of Central Africa -- in the Virunga Mountains spanning Rwanda, Uganda and the Democratic Republic of Congo and the Bwindi Impenetrable National Park in Uganda -- the critically endangered gorillas face an uncertain future -- there are only 880 mountain gorillas left in the world, according to recent census data.

On a mission to protect the primates from extinction is Gladys Kalema-Zikusoka, a leading Ugandan scientist and advocate for species conservation in Bwindi, a World Heritage Site and home to nearly half of the world's mountain gorilla population.

One of Africa's premier conservationists, Kalema-Zikusoka has been working tirelessly for some two decades to create an environment where gorillas and people can coexist safely in an area with one of the highest rural human population densities in the continent.

Can gorillas catch a cold?

When Kalema-Zikusoka first started working in Bwindi back in 1994, gorilla tourism was in its infancy and starting to become a strong financial resource for the local economy.

With mountain gorillas sharing over 98% of the same genetic material as humans, Kalema-Zikusoka decided to analyze how increased human interaction could affect the primates.

"I could see what tourism was doing for the gorillas -- both the good and the bad," she says. "And of course I realized how the communities were benefiting a lot because they are really poor and the gorillas tourism is helping to lift them out of poverty," adds Kalema-Zikusoka.

"My research at the time was looking at the parasites in the gorilla dam and I found that those actually visited by tourists have a higher parasite load than those that were not," she explains. "We can easily give them diseases and that's always a bad thing."

Fast forward two decades and the leading veterinarian is now the founder and CEO of non-profit group "Conservation Through Public Health" (CTPH), continuing her goals of protecting gorillas and other wildlife from disease.

"Our current research is focused on disease transmission between people and the gorillas," she says. "We analyze fecal samples from gorillas regularly, like at least once a month from the habituated groups that we can get close enough to, to try and see if they are picking anything from the livestock or from the people who they interact with.

"And then if they are, then we advise Uganda Wildlife Authority and we sit down and decide what should we do about it."

Helping gorillas, helping humans

Kalema-Zikusoka says it is essential to educate the local communities surrounding the gorillas.

"We also have a parallel program ... where we improve the health of the community," she says. "And so as we're improving the health of the community, we're also looking and saying how is the gorilla health improving."

The CTPH community programs aim to prevent infectious diseases like diarrhea, scabies and tuberculosis which could potentially be passed on to the gorilla population.

"We had a scabies gorilla [in] 1996 when I was the vet for Uganda Wildlife Authority and that was traced to people living around the park who have very little health care," explains Kalema-Zikusoka.

"That same gorilla group almost all died if we hadn't treated them. The infant gorilla died and the rest only recovered with treatment."

The power of ecotourism

As part of their efforts, the CTPH is now trying to raise funds to build a larger gorilla clinic, as well as a community education center.

"I really feel that everyone should come out and protect the gorillas," says Kalema-Zikusoka. "Actually the community over here, they love the gorillas -- one is because of the economic benefit they get from them, but I think also they're really gentle giants."

Kalema-Zikusoka admits that gorilla tourism is a financial lifeline for locals -- each gorilla group brings a minimum of $1 million annually to the surrounding communities, in addition to providing employment in the tourism industry, says the scientist.

"It goes down to a certain balance between conservation and economics," she says. "And that is why we try to make as far as ecotourism experience where you limit the number of people who visit the gorilla groups."

Through her continued advocacy and the continued endeavors of the international conservation community, recent figures indicate the mountain gorilla population is increasing.

A 2012 census conducted by the Uganda Wildlife Authority identified 400 mountain gorillas now living in Bwindi National Park bringing the overall population estimate up to 880, up from 786 estimated in 2010.

"There's so few of them remaining [so] we are pleased that the numbers are beginning to grow," says Kalema-Zikusoka.

"Bwindi is actually a World Heritage Site and we have to do as much as we can to protect them."

READ THIS: Trekking into the mountain gorilla's domain

SEE THIS: Africa's most endangered animals

@highlight

Less than 900 mountain gorillas remain in the wild as a result of deforestation, poaching

@highlight

Gladys Kalema-Zikusoka has spent 20 years spearheading strategy for gorilla/human co-existence

@highlight

She says each gorilla group provides $1 million for locals but tourism comes at a cost

@highlight

Research is showing the effect of human interaction with world's largest primates