(CNN) -- To create the future of Polish cuisine, chef Wojciech Amaro looked to the 16th century for inspiration.

During a year-long odyssey to discover the origins of Poland's classic dishes, the 40-year old chef tracked down food historians and visited auction houses across the country to bid on dusty, leather-bound tomes that held the secrets of traditional recipes and long-forgotten ingredients.

"I wanted to find the roots of recipes and what the original idea was behind them," he says. "I realized I could talk for hours about Polish products, but I couldn't think of any (Polish dishes) that would stand at the same level."

The spark for Amaro's desire to improve and update Polish cuisine was a month spent working in the kitchen of El Bulli with Ferran Adria, the culinary wizard who is often called the world's greatest chef.

"He changed my way of thinking," says Amaro, who first began his own epicurean education after dropping out of university to work in the kitchens of London restaurants.

From Bialystok in the east to Katowice in the south, Amaro racked up 60,000 kilometers on his journey that also led him to the country's best farmers and food producers, many of whom are now suppliers for Amaro's award-winning restaurant in Warsaw.

"Many of them weren't aware of how great their products were. I took their enthusiasm and passion and added it to my cooking. Some of them struggled to keep up the standard that I needed, but they're growing with me," he says.

Atelier Amaro has been open for less than a year but became the first Polish restaurant to gain a "Michelin Rising Star", indicating that Amaro is on the right track in his quest to elevate Polish cuisine to a new international standard.

Amaro puts an emphasis on ingredients and reconstructing dishes from their essential elements, putting him in a similar mold as celebrated "food scientists" like Adria, Britain's Heston Blumenthal or Rene Redzepi of the Danish restaurant Noma that was recently voted the world's best restaurant for the third straight year.

At Atelier Amaro, classic recipes like hare in cream are reimagined -- "we cook it for 72 hours at 65 degrees, so its more like fois gras or butter and is eaten with a spoon" -- while the kitchen is also a lab in which to experiment with Polish ingredients hardly used anymore like chokeberries, wild herbs and edible flowers.

As Poles becomes more interested in their culinary culture, Amaro believes the time is now right for Poland to takes it place at the table of internationally respected cuisine.

"We've spent 20 years (since communism) catching up in every department of life -- getting good jobs, starting companies, getting mortgages. Now it's a new country and people are starting to say, 'What about Polish products and our traditions?'

"We can't be amazed anymore by pizza or some French dishes. We are ready to search for our products and be proud of them."

Send in your best photos and videos of Poland

Outside of the country attitudes to Polish food have been slowly improving, says restaurateur Jan Woroneicki, the British owner of London's Baltic restaurant and bar.

"Old school perceptions that its all potatoes and cabbage are being revised, but there are still suspicions," he says.

"In soups and stews Polish cooking is equal to or greater than other cuisines, and generally quality is improving, but for restaurants it can still be a bit tricky finding quality produce like charcuterie and supply lines are not great."

Even if Polish gastronomy doesn't challenge cuisine like Thai food as an international phenomenon, Amaro hopes his restaurant can do for Polish food what Noma has done for Nordic cuisine.

"Compared to Denmark, Poland is much more diverse, so if we are wise and careful about promoting Polish cuisine... we can be one of the most influential and really big cuisines like French, Italian and Spanish. There's lots of work to be done, but I think its going to happen."

@highlight

Restaurant in Warsaw first in Poland to gain Michelin Rising Star

@highlight

Chef and owner Wojciech Amaro trained with Ferran Adria

@highlight

Emphasis in on the best ingredients from Poland

@highlight

Amaro wants Polish cuisine to have better international profile