(CNN)  -- For Alesandra Rain, it all started with sleeplessness. In 1993 she was having marital troubles and her business wasn't doing well. Anxiety kept her up at night, so her general practitioner prescribed sleeping pills.

"It worked fabulously. I felt very relaxed and I would sleep better," Rain remembers. "I thought this was certainly the right prescription for me."

Then a few weeks later, another symptom developed.

"It was so unusual. I started having bronchitis and lung infections," she recalls. She went to a pulmonologist who prescribed an antibiotic.

Another complication soon followed.

"My heart started skipping beats, so I was referred to a cardiologist," explains Rain, who says other than a series of surgeries after a car accident, she had been completely healthy until this point in her life. The cardiologist ran a few tests and prescribed medication to treat arrhythmias.

It didn't end there.

Eventually she developed seizures. At this point, she was already taking at least six different prescriptions from three separate specialists. She went to see a neurologist who prescribed an anti-seizure medication on top of that.

"My whole day became pills and doctors and shots," she says.

Rain's insomnia returned as things continued to spiral out of control. Despite all the testing and prescriptions, she says no one could figure out the problem. She was put on temporary disability. Depression followed.

"When I finally got to a shrink of course I was depressed, because no one could figure out what was wrong with me! It never occurred to me that it might be the pills themselves."

Too many drugs, too little communication

At her worst, Rain was under the care of a general practitioner, pulmonologist, cardiologist, pain management specialist and a psychiatrist. She was spending more than $900 a month, taking 12 different types of medication, amounting to about a thousand pills a month.

"That's what I call prescription multiplication," says Michael Wincor, an associate professor of clinical pharmacy, psychiatry and the behavioral sciences at the University of Southern California.

He says it is not uncommon for patients to receive multiple prescriptions from different specialists, each focusing on a specific symptom. Wincor says it can be potentially dangerous for the patient, especially if the various physicians aren't communicating with one another.

"A patient could have adverse effects and think the medical condition is getting worse, when in fact it is a side effect of several different medications which are all interacting in a negative way," Wincor says. "When you're on more than 20 drugs all at the same time, you'd want to question whether or not that's really necessary."

According to the Kaiser Family Foundation, prescription drug usage in the United States is continuing to rise. A recent report finds the number of prescriptions filled each year increased by 39% between 1999 and 2009, and the amount of money spent was $234 billion in 2008. The average American fills 12 prescriptions each year.

"Many side effects from drug interactions (not all) are exacerbations of known side effects of the single drugs that are made worse by the two drugs together," says Dr. Russ Altman, a professor of bioengineering, genetics and medicine at Stanford University.

He co-authored a study in the journal Clinical Pharmacology and Therapeutics that found a widely prescribed antidepressant used in conjunction with a common cholesterol-lowering medication caused unexpected increases in blood sugar levels.

Altman says most drugs are tested and approved independently, and it can be difficult to predict the side effects of drug combinations.

"It is very hard to find these in advance of release of the drug, because sometimes these effects will only manifest in the context of large numbers of patients," he explains.

"I don't think people really understand the nature of medication; the (drugs) will, by definition, have some toxic, collateral side effects," says Dr. Douglas Bremner, a professor of psychiatry and behavioral sciences at Emory University. His 2008 book "Before You Take that Pill" warned patients of the risks and benefits of some commonly prescribed drugs.

Bremner says medications clearly do a lot of good and are needed in many situations, but warns that when a patient is on too many ay once, there are serious questions about whether the therapeutic benefits outweigh the collateral. "When you end up on 12 prescription medications you need to seriously look at what the situation is," he says. "At that point, there's no way of knowing what's causing what anymore."

"I don't want to do this anymore"

Wincor recommends patients fulfill all their prescriptions at one pharmacy, especially if they are receiving treatment from multiple practitioners.

"Often the pharmacist is the best point person because they're the last stop before the prescription hits the hand of the patient and are ready to be taken."

He says the most important thing is to have one person who is keeping track of the various drugs and how they could interact.

If you can't have a single overall manager of treatment, experts suggest keeping a list of all your prescriptions and showing the list to any physician introducing a new medication.

Altman says, when possible, introducing new medications one at a time can help you recognize side effects and interactions earlier. You can potentially trace them to the most recent drug added, he says.

Bremner also advises patients to check out websites like Medications.com and Askapatient.com and read the experiences others have had with the medication you have just been prescribed. "Patients should become more educated about the effects and not just blindly take what is given to them."

Alesandra Rain says she reached her tipping point in 2003.

"I opened my medicine cabinet and saw it lined with prescription pill bottles," she remembers. "I looked at myself in the mirror. My skin was gray, I was hunched over in pain, my eyes were swollen and I had no quality of life. I thought, 'I don't want to do this anymore.' "

She decided to quit taking all her prescriptions cold turkey -- something neither she nor other experts recommend for any patient. "You can't go cold turkey off that many pills without doing some damage," Rain says. She eventually enrolled in a drug rehab facility that helps victims of substance abuse.

Today, Rain runs a company called Point of Return, which educates patients about the effects of prescription medications and helps them outline an "exit strategy" for safely tapering off highly addictive varieties of prescription drugs.

"I spent 10 years on the pills before I realized there was no exit strategy. It was always more drugs, never less." says Rain, who later learned the cause of her initial insomnia was a B-12 vitamin deficiency. She is now taking one daily multivitamin. "My life became nothing but a bag of pills, and I just thought there has to be a different way."

@highlight

At one point, Alesandra Rain was seeing six specialists

@highlight

Experts say ideally patients on multiple prescriptions should get them fulfilled by one pharmacist

@highlight

Report: Average American fills 12 prescriptions each year