(CNN) -- One week after Superstorm Sandy beat up the Northeast, tearing apart homes and lives in New Jersey, New York and other areas, there's another worry on the horizon: A nor'easter is coming.

Rain is forecast to move in early Wednesday and will gradually become heavier, according to CNN meteorologists. As the day goes on, the weather will get worse, with daytime temperatures hovering in the 40s. At night it could get down to the 20s -- bad news for the 127,000 customers who are still without power, according to Con Edison. Working round the clock, the company said Tuesday that more than 846,000 customers who lost power -- 87% -- have it again.

A nor'easter is a strong low pressure system with powerful northeasterly winds coming from the ocean ahead of a storm. Predicted 60-mph gusts could hurt the already ravaged Jersey Shore. Coastal flooding and beach erosion are possible.

Of course there's a strong concern for everyone's safety, too. Sandy left 110 people dead in the United States, and on its way to the country, it took the lives of 69 people.

"When it rains, it pours. When it storms, you get more storms, I guess," said New York Gov. Andrew Cuomo.

Under normal conditions, the nor'easter wouldn't be problematic, he said, but because many areas are still picking up the pieces from last week, it could cause fresh havoc.

On Monday, authorities in Brick, New Jersey, ordered residents in the low-lying waterfront areas of town to leave.

The storm is not another Sandy, and its path and severity could change, according to CNN meteorologists.

How you can help

"I haven't even really thought about the nor'easter," said Ryan Hanley.

The 27-year-old's chief worry is the home she had to abandon in Wantagh, on New York's Long Island. It's 4 feet deep in water. All her belongings are on the curb.

"I cannot think right now about voting (in Tuesday's presidential election) either," she said. "I don't even know where to go if I wanted to vote."

To help with such concerns, Cuomo signed an order Monday allowing affidavit voting. Basically, what that means is that voters registered in a federally declared disaster county can vote at any poll site in the state by signing an affidavit.

"We want everyone to vote. Just because you're displaced doesn't mean you should be disenfranchised," the governor said.

Voters in some New York counties may get an extra day to cast ballots if disruptions caused by Sandy prevent enough citizens from voting, a state official said Sunday. New Jersey announced that residents displaced by Sandy can vote in Tuesday's elections via e-mail or fax, the first time civilians in the state have been allowed to vote remotely.

At least two polling places in Connecticut have been changed due to Sandy -- one in Bridgeport and another in New London.

Signs that people are working hard to move on after Sandy can be found across New York.

Construction work started again Monday at the 9/11 ground zero site, which was flooded by Sandy.

Some 94% of schools in New York City were open Monday, according to the mayor, and the subway system is back in operation. New York officials said they are investigating reports of price gouging after receiving hundreds of complaints from consumers who say business owners have jacked up prices on hotel rooms, generators, food and water.

In everyday lives, progress can't come fast enough.

Hanley is living with her boyfriend's family a few towns away from Wantagh, and her confusion about where to vote is a secondary concern right now.

"I've heard from neighbors who are still around there that we've had looters," she said.

"What am I supposed to do right now? How do I deal with that?" she said. "I don't have electricity, so I cannot pump the water. It is just sitting there. Whether someone takes what we have ... I have no control over that. I have no control over any of it."

Hanley has been talking with her insurance company. But she said she hasn't been able to reach a real person with the Federal Emergency Management Agency yet.

"We have not been directly contacted, nor can we reach anyone when we call," she said.

FEMA has defended its response to people in need.

While Hanley struggles with the bureaucracy of post-disaster life, many others are receiving help from the Red Cross, which has opened 190 shelters along the Eastern Seaboard. The organization has hundreds of disaster workers on standby with emergency supplies.

'It's a humbling experience'

Katie Fairley, a Staten Islander who lives in New Dorp, one of the harder-hit areas, said she's seen people sleeping in their cars.

A 51-year-old vice president for finance at a health care facility, Fairley said lines for food and for gas are blocks long.

"Thank God, we have each other here," she said, insisting that Staten Islanders have been forgotten.

Another Staten Islander, Tara Saylor, spent her weekend volunteering to hand out clothing and food. The 25-year-old works at a Manhattan interior design showroom. She and her home on a hill in St. George escaped Sandy's wrath.

Helping people touched her deeply.

"I was almost crying when people are thanking me," she said. "(They were) throwing their family photos out in the middle of the street. It's a humbling experience. You really begin to appreciate what you have."

In the Long Island community of Floral Park, Kevin Cordova's family members tried cooking hot food to stay warm and wore their coats indoors. His house is uninhabitable, thanks to Sandy.

"There's really no amount of blankets that can stop you from being cold in 30-degree weather," the 28-year-old said. "We feel a little homeless right now. We have our house, but we can't really use it."

Teacher: 'I want them to tell their stories'

To the southwest in Red Bank, New Jersey, about a 90-minute drive from Floral Park, Chris Ippolito has been luckier than many folks. So far, he's only had to wrestle with sporadic power outages. But his mother-in-law's home was severely flooded.

Her historic house, more than 100 years old, sat a block from the ocean in Monmouth County.

Her family built it, and she spent her childhood there.

She left the house before Sandy hit, so she's physically all right. But she's devastated by the loss.

"It's incredibly difficult for her," Ippolito said.

Things are returning to some semblance of normalcy, he said.

CNN reached Ippolito shortly after he had delivered food and supplies to a local firehouse.

"Businesses are breathing back to life," he said. "Schools are limping back to life."

Ippolito is a high school teacher. His district is closed for now, but he's thinking about all his students.

"I want them to tell their stories, to feel like they can open up if they want or need to," he said.

He'll use his free time Tuesday to cast his vote for president.

"I understand that voting isn't the priority for a lot of people who are dealing with more immediate needs," he said. "But I'm not going to miss it."

@highlight

Roughly 94% of schools in New York City are open

@highlight

A forecast nor'easter could complicate recovery efforts

@highlight

New York governor says "displaced" shouldn't mean "disenfranchised"

@highlight

A Long Islander is more worried about looters than voting