(CNN) -- A national breast cancer charity is being accused of using misleading statistics to convince women to have mammograms, according to a paper published Thursday in the British Medical Journal.

Susan G. Komen for the Cure's mammography campaign during breast cancer awareness month last October has come under fire from professors Steven Woloshin and Lisa Schwartz at the Dartmouth Institute for Health Policy and Clinical Practice, who say the foundation overstated the benefits of the procedure and totally ignored the risks.

"The ad implies that mammograms have a huge effect, but the only evidence that they use is the five-year survival rate for breast cancer when caught early is 98% and when it's not, 23%," Woloshin said. "The problem is that in the context of screening survival, statistics are meaningless."

"To make an informed decision, you not only have to know the benefits you have to know the harm. And the ad does not say anything about harm, it just gives you this exaggerated benefit statistic," Woloshin said.

"Screening is a genuine decision people need to make and they can only make it if they have the facts. It doesn't mean that screening is not good, it means it does good and it does harm. Some people can benefit and some will get hurt, and the harm is just as real as the benefit."

A teaching moment about politics and Komen

Woloshin and Schwartz write a series that highlights exaggerations, distortions and selective reporting in advertising, news stories and medical journals that are misleading. They say the problem in Komen's case is using survival statistics to determine the benefit of screening.

"There is no correlation between changes in survival and changes in how many people die." Woloshin said. "Twenty to 50% of women who get screened every year end up having at least one false alarm over 10 years, and 5-20% actually end up having to have a biopsy to rule out cancer.

"The most important harm is overdiagnosis -- screening can find cancers that were never destined to cause harm because it grows so slowly or can go away on its own," he said.

"It would never have harmed you, you would never have known about it and you would have lived your whole life and died from something else. These people get treated. They get radiation, chemotherapy, surgery and it's all unnecessary. "

Woloshin also says the Komen ad ignores the problems with screening. He says for every life saved by screening two to 10 women are 'overdiagnosed', suffer anxiety and undergo unnecessary radiation, chemotherapy or surgery.

He said in the end, it all boils down to this: "You can't make a good decision unless you have the basic facts. It exaggerated the benefit and it ignored the harm."

Experimental drug offers new way to battle certain breast cancer

But Komen, the world's largest breast cancer charity, says while mammography isn't perfect, it's still the best detection tool available.

"We have long advocated for women to be informed about the benefits and risks of early detection and treatment," said Chandini Portteus, Komen's vice president of research, evaluation and scientific programs.

"The numbers are not in question. Early detection allows for early treatment, which gives women the best chance of surviving breast cancer."

Since its inception in 1982, the organization -- creator of the "pink ribbon," a symbol of breast cancer awareness and the official symbol of National Breast Cancer Awareness Month -- has invested nearly $2 billion in research.

"We've said for years that science has to do better, which is why Komen is putting millions of dollars into research to detect breast cancer before symptoms start -- through biomarkers, for example," said Portteus.

"Komen also is funding research to help accurately predict which tumors will spread and which won't. While we invest in getting those answers, we think it's simply irresponsible to effectively discourage women from taking steps to know what's going on with their health."

Portteus said Komen encourages women to work with their health care providers to find out what's right for them.

But according to Woloshin, a recent survey he and his colleagues conducted showed even doctors mistake improved survival as proof that screening saves lives.

"The survival statistics are confusing for doctors, too," he said. "This is a real communication problem that doctors and patients alike face, so whenever you hear about survival statistics in the context of screening, you should ignore them.

"The only way to know if a screening test works is if it is proven in a randomized trial that shows that less people die because of screening."

'Overdiagnosis' of breast cancer may be higher than thought

Dr. Stephanie Bernik, chief of surgical oncology at Lenox Hill Hospital in New York, said none of this is new.

"It is not uncommon in the medical field for researchers, doctors and health care professionals to use statistics in a way that advances their point of view. Results can be spun to be either favorable or unfavorable, depending on one's stance," Bernik said.

"The Komen foundation is doing nothing new by presenting data that supports their position in a favorable light. Although there is controversy regarding the absolute benefit of mammography screening in many studies, most breast surgeons stand behind the Komen foundation's stance that screening mammography saves lives," Bernik said.

"We all agree that screening increases the number of procedures that are performed, but finding a tumor at an earlier stage cannot be worse than finding it when it is larger."

"Lead-time" bias can also contribute to misrepresentation of mammography's advantages, according to the National Breast Cancer Coalition (NBCC), a group of patient and professional organizations.

This means, for example, if deadly cancer is found early through screening, it may seem like the patient lived longer because of "lead-time." But the coalition says this makes screening appear more beneficial than it is, because testing is actually detecting tumors that have a better prognosis.

"NBCC believes that there is insufficient evidence to recommend for or against universal screening mammography in any age group of women," according to the organization's website.

"Women who have symptoms of breast cancer such as a lump, pain or nipple discharge should seek a diagnostic mammogram. The decision to undergo screening for asymptomatic women must be made on an individual level based on a woman's personal preferences, family history and risk factors.

"Mammography does not prevent or cure breast cancer, and has many limitations," the website says. "Women are told that mammography screening saves lives, but the evidence of a mortality (death rate) reduction from screening is conflicting and continues to be questioned by some scientists, policy makers and members of the public."

Dr. Otis Brawley, chief medical officer of the American Cancer Society, said he understands Woloshin and Schwartz's message.

"It is very, very difficult to convey information about screening, especially mammography, and convey it accurately," Brawley told CNN.

"In the American Cancer Society's screening recommendations, the first paragraph recommends women over the age of 40 get a mammogram annually. The second paragraph says that women should be told the limitations of screening. ... Some of the folks at Komen are trying to do the right thing, and I just respect how difficult that is."

@highlight

A paper accuses the Susan G. Komen foundation of using misleading statistics

@highlight

It criticizes Komen's mammography campaign last October

@highlight

Komen maintains early detection leads to early treatment

@highlight

Spinning statistics is nothing new, an oncologist says