(CNN) -- On the first day of every year, works of art whose term of copyright has expired enters the public domain. This year's class is particularly strong, as the novels of James Joyce and Virginia Woolf are now free of copyright protection. If you ever wanted to stage a puppet show of Joyce's masterpiece "Ulysses" or set Woolf's "Mrs. Dalloway" to music, now is your chance.

But why now?

When copyright expires, it means that the public is not liable for using works of art in ways that would otherwise violate the copyright law. Dover can publish scores of classical music at low prices; translations of literature can be commissioned; authors, artists and motion picture companies can adapt older works and make them into new works. A number of Disney classics are, in fact, based on public domain works.

How long copyright should last has been a contentious issue since the first copyright act of 1790. In some industries, copyright laws are necessary to provide financial protection for the time and investment that goes into creating works of art. But when the length of copyright is so long that it hinders creative repurposing of older work, then copyright's purpose isn't being served.

Our original copyright act in 1790 protected only books, maps and charts. Over time, the law expanded to include fine art and photographs, among other things. Currently, a blockbuster film such as "Avatar" gets the same protection as an e-mail you dash off to your friends.

To understand how copyright law has changed in the United States over the past 30 years, it's helpful to take a look at Duke University's Center for the Public Domain's list of famous works that would have gone into the public domain if it weren't for the changes in copyright law. This year, it would include Vladimir Nabokov's "Lolita," J.R.R. Tolkien's "Return of the King" and Disney's "The Lady and the Tramp."

These famous works were originally covered by a law in 1909, which stipulated that copyright lasted for 28 years from first publication, with the possibility of another 28 years, but only if the copyright owner filed a renewal publication with the Copyright Office. Thousands of works were protected under this sensible system, and 85% of them entered the public domain after 28 years, making them available to artists and more accessible to consumers.

But in 1978, Congress retroactively changed the rules, giving these works another 19 years at the end. If the artist renewed the copyright, he or she received 47 years rather than 28 years, for a maximum of 75 years. And then in 1998, Congress retroactively added another 20 years to these old art works, meaning they now have a protection up to a maximum of 95 years. For works created after 1978, the length of copyright is even longer: life of the author plus 70 years after the author's death.

The effect of this dramatic lengthening of copyright has come at a large cost with little benefit: older works cannot be used productively by motion picture companies, authors and artists. Many owners of copyrighted works cannot even be located. And remote heirs, such as grandchildren and great-grandchildren or the estates of deceased authors, can veto uses that are economically harmless.

For example, when I was in private practice at a large law firm, a partner asked me to approach the estate of a famous playwright. My colleague was hoping to get permission to produce an abridged version of a play at his son's special education school.

The school was willing to pay the licensing fee, but the children were capable of only performing one act, not three. The production would be only before parents, not for any profit. After all this was explained to the estate, they subsequently refused permission and the money, insisting the children had to produce the play as written, or not at all.

As we adapt to the digital age, arcane copyright laws that offer no benefit even to the current copyright holder must be reconsidered. A sensible approach would not act as an obstacle to future generations who want to create something new.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of William Patry.

@highlight

Each year, works of art with expired copyrights enter the public domain

@highlight

William Patry: How long copyright should last has been a contentious issue since 1790

@highlight

Patry: When length of copyright is too long, it hinders creative repurposing of older works

@highlight

He says that in the digital age, arcane copyright laws should be updated