(CNN) -- In a region known for its towering skyscrapers, the erection of a modestly-sized greenhouse might not appear worthy of much attention.

But this small construction site near the coast in Qatar's Mesaieed Industrial City could help transform the landscape forever, says its developers, turning desert land into flourishing centers of food and freshwater production.

The $5.3 million, one-hectare pilot plant opens later this month and is a major milestone of the Sahara Forest Project (SFP) -- a concept that has been developed by a Norwegian company since 2008.

The facility -- built in partnership with fertilizer companies Yara International and Qafco -- will feature a range of green technologies including concentrated solar power (CSP), photovoltaic panels and a saltwater-cooled greenhouse that mimics the hydrological cycle.

Michael Pawlyn, a British architect specializing in sustainable design and founding member of the project, says bringing together clusters of synergistic technologies creates a new paradigm.

"At the start of the project, we were very conscious that a lot of people proposed single solutions addressing one issue at a time, be it water shortage, desertification, climate change. We were very keen to develop integrated solutions that address multiple challenges simultaneously," Pawlyn said.

Infographic: the price of nature

"If you compare man-made systems with eco-systems there are some quite striking differences. We tend to create simple, disconnected, linear systems. Ecosystems are complex, interconnected and interdependent."

This interconnectedness is in evidence throughout the plant's design. Electricity from CSP helps power pumps bringing seawater to the site where it is used to condition air inside the greenhouse.

The effect is achieved by trickling seawater over porous cardboard screens -- called evaporators -- which cool and humidify the dry desert air, creating a favorable growing environment for crops.

Some of the evaporated seawater inside the greenhouse also condenses creating freshwater, which will be used to irrigate plants.

Any saltwater that can't be evaporated is put to use elsewhere, says Pawlyn.

"The saltwater going out of the greenhouses will go to the CSP to cool it -- which makes it more efficient -- and then it will go to the evaporator 'hedges' which create good growing conditions for crops outside and revegetate areas of desert," he said.

The remainder will end up in salt ponds where various compounds -- sodium chloride, gypsum, calcium carbonate -- can be extracted and potentially commercialized.

The opening of the pilot plant is scheduled to coincide with the upcoming United Nations Climate Conference (COP18) which this year takes place in Doha from November 26 to December 7.

It was three years ago at the U.N.'s COP15 conference in Copenhagen that the SFP presented their first feasibility study to the world.

It was one of the high points at talks which were widely viewed to have failed and has continued to gain the enthusiastic backing of environmental and political leaders.

Olav Kjorven, assistant secretary-general of the U.N. Development Program has called it "a gold standard," while Qatar's Prime Minister Sheikh Hamad bin Jassim bin Jaber Al Thani believes the project could help improve food security in the Middle East.

"I think this will not be important only to Qatar, but to the whole region and elsewhere where they have the same climate as Qatar," Al Thani said in a statement.

The plant will be open long after U.N. delegates have left town operating for at least a year, possibly two, Pawlyn says, so that all the systems can be thoroughly assessed and optimized.

Larger projects look likely to follow the plant in Qatar with a 200-hectare site in Jordan slated for development. Pawlyn believes this is only the start, with certain areas of the world particularly well-suited to the project.

Almeria in southern Spain -- with its 20,000 hectares of greenhouses -- is one perhaps and the Qattara Depression, which covers around 7,000 square miles (18,100 square km) of land below sea level in northeast Egypt, is another.

"By bringing these technologies together (we can) address some major problems -- create zero-carbon food in some of the most water-stressed parts of the planet, produce abundant renewable energy, revegetage deserts ... as well as providing food and livelihoods for large numbers of people in parts of the world that are really going to be suffering from climate change over the course of the next few decades."

@highlight

Pioneering scheme to turn desert back into green, profitable land trialed in Qatar

@highlight

Sahara Forest Project testing technology on one-hectare site in Mesaieed Industrial City, south of Doha

@highlight

Pilot project using seawater greenhouses and concentrated solar power