(Departures.com) -- St. Andrews and the surrounding Kingdom of Fife, on Scotland's east coast, present golfing visitors with such a bountiful harvest of links that there's no single "correct" itinerary that best covers the region.

Many first-timers head straight for the slate of courses played in the European Tour's Alfred Dunhill Links Championship -- the Old Course, modern classic Kingsbarns (greens fee, $295) and, crossing the nearby Tay Bridge into Angus, Carnoustie Golf Links (greens fee, $215). Perhaps the St. Andrews New Course (greens fee, $110), a tough-as-nails layout with the fastest greens in town, might be thrown in for good measure.

These are all top choices, and of course the Old, with its supremely intricate design providing a different playing experience every time out, is an essential. But to make the most of one's time in St. Andrews, one should never simply be a big game hunter. Mixing in some of Fife's less-heralded courses adds quirk, variety, fun -- and likely a few more birdies.

IN ST. ANDREWS

It's often overlooked that the St. Andrews Links Trust manages seven courses in and around the town, including the Balgove (greens fee, $20) and Strathtyrum (greens fee, $40) courses, both of which are beginner-friendly, with fewer hazards but the same wonderfully crisp links turf as their big brothers.

Those looking for a stronger challenge on a full-sized course in town might try their hand at The Duke's (greens fee, $185), part of plumbing tycoon Herb Kohler's St. Andrews mini-empire.

Renovated in 2006 by golf architect Tim Liddy, who also added five new holes, The Duke's is a stylish heathland design that would likely garner more attention were it situated in any other neighborhood. Holes like the seventh, a long dogleg right that begins with a dramatic drive from a hillside tee, and the 13th, a tricky par four with disarming views of St. Andrews, are well worth seeing.

But make no mistake, this is not a links. While the turf is reasonably firm, The Duke's can't help but play more like an American course. For that reason, it's probably better to schedule a visit early in the itinerary, before all those little swing adjustments it takes to play links golf set in.

Departures.com: Top hotel penthouses

OLD HICKORY

Fife's two newest courses opened the same week in the summer of 2008, and they couldn't be more different. One of them, the Links Trust's Castle Course (greens fee, $190), debuted with the hype of a Jerry Bruckheimer blockbuster -- and similarly mixed reviews. The other, which would not look at all out of place in an episode of Downton Abbey, opened (or, more accurately, reopened) quietly after a 69-year fallow period to become one of the most delightful golf experiences in Scotland.

Tucked away in the verdant hills west of St. Andrews, Kingarrock Hickory Golf Course (greens fee, $40 for nine holes and $55 for 18) is a nine-hole, 2,022-yard country estate course that is played exclusively with antiquated equipment.

Proprietor David Anderson, always nattily attired in tweeds and plus fours, provides visitors with hickory-shaft clubs and replica golf balls from either 1898 or 1924. These clubs -- for example, a mashie with a perfectly smooth face, a niblick resembling a designer spatula or a driver bearing the signature of a 19th-century Open champion -- are eccentric, to put it mildly, in both looks and performance.

Hickory shafts bend far more readily than steel, and once out on the course, golfers quickly find that in order to make clean contact, their swing must take on a languid, half-speed rhythm. This adjustment builds an element of comedy into the proceedings -- even the most skilled players are bound to hit a few laughable shots -- but the beauty of it is that it's impossible to take this version of the game too seriously. It's still Real Golf, just on a smaller scale.

After all, a par four of a mere 200 yards becomes plenty challenging when a good drive flies only about 150. The click of the soft ball against the persimmon clubhead reverberates through the player's hands and arms, a reminder of what modern technology, in its eternal quest for greater distance, has taken away from the game. Afterward, Anderson often joins visitors in the pro-shop cottage, where the yarns of the day are spun over ginger beer and homemade shortbread cookies.

Kingarrock, in essence, is the kind of place that can change the way one thinks about golf.

Departures.com: Perfect vacation villas to rent

THE CLIFF-HANGER

Catapulting back to the 21st century, a modern layout that's worth seeing is the Kittocks Course at the Fairmont St. Andrews (greens fee, $75-$140). The Fairmont property has always operated at a bit of a disadvantage because it's two miles outside of town (the resort runs shuttles back and forth), but it has a legitimate place on the scene.

Many golfers gravitate toward the resort's Torrance Course, as it is considered the "championship" track (this August it hosted the Scottish Senior Open), but the Kittocks, designed by Bruce Devlin with an assist from a legendary Masters champion, the late Gene Sarazen, is almost as challenging and plays over a more appealing piece of land.

Many holes either swoop down toward or run right along the North Sea -- the drivable par-four tenth by the cliff's edge is particularly exciting. Golfers frequently catch stirring glimpses of the St. Andrews skyline and the Grampian Mountains.

Although the Kittocks Course is eminently walkable, golf carts are also permitted -- a point worth mentioning in a country where the motorized "buggy" is usually taboo. Given that visitors to St. Andrews frequently walk 36 holes or more a day for several days at a stretch, the chance to get off one's feet and still play a quality course should not be underestimated.

Departures.com: Luxury safari camps

REAL CHARACTER

Time now for a classic. On the southern coast of Fife, about 20 minutes from St. Andrews, lies the former Royal Burgh of Elie and its eponymous links. The game has been played here in some form since 1548, and since 1875 the links have been overseen by The Golf House Club (greens fee, from $120).

For pure charm, Elie has few peers -- this, along with its prime location between Edinburgh and St. Andrews, makes it a popular "holiday club" for members of both the Royal & Ancient Golf Club and the Honourable Company of Edinburgh Golfers (Muirfield).

Elie's quirky character is evident from the very first hole, where tee shots are fired blindly over a hill. To ensure that the group ahead is safely out of range of the one that follows, a club member came up with a novel solution: The starter's hut is rigged with the periscope from a scrapped submarine, the HMS Excalibur.

"It's a sophisticated piece of equipment," says the starter, Ken Murray. "The farther the distance [of the target], the better the resolution. On a clear day, I can swing it round and see them putting at Muirfield" -- on the far side of the Firth of Forth, some eight miles away.

Elie is a short course -- only 6,273 yards from the back tees -- but it's full of surprises. With its ball-eating rough, well-positioned bunkers and ingeniously contoured greens, it doesn't respect brute force without an equal degree of accuracy. It's a throwback to an age when golf courses were laid out in accordance with the natural terrain rather than forced into a standardized mold.

Elie reaches its par of 70 through the unorthodox combination of 16 par-four holes and two par threes. The absence of par fives may come as a disappointment to flat-bellied bombers accustomed to chewing up such long holes, but they should still find an eagle chance or two: for example, the wonderful 288-yard tenth, a blind hole where a well-placed drive crests the rugged ridge and catches the downslope, then scrambles up to the green. But beware: With a helping wind, the long hitter runs the risk of driving the ball over the green and into perdition on the rocky beach.

PUTTING AROUND

One of the best local diversions is the Himalayas Putting Course (fee, $3; The Links, St. Andrews), which probably delivers as much enjoyment per dollar as any course in Scotland. This tiny patch of land right next to the Old Course is one of the few bits of turf not controlled by the Links Trust -- it's owned by the St. Andrews Ladies Putting Club, which has operated the course since 1867.

As the name might suggest, this continuous swath of green features some of the wildest, wooziest contouring anywhere, with humps, bumps and hollows galore to vex and delight golfers of all ages. The Himalayas has the same kind of lighthearted spirit as an inspired miniature golf course, but it's played on real links turf, so even the most serious players should find reason to smile. It's the perfect way to end a day at the Home of Golf.

Departures.com: A global guide to yachting

Classic Golf Clubs

Should the temptation to return home with a set of hickories prove strong, consider paying a visit to Hamish Steedman and Ewan Glen at the St. Andrews Golf Company, a 130-year-old concern that's one of the world's last remaining manufacturers of playable hickory clubs. Sets start at $1,300; 20 St. Andrews Rd., Largoward, St. Andrews.

Booking St. Andrews Old Course

For decades now, tee times at St. Andrews Old Course have been allotted through a byzantine ballot system. The drawing is conducted a day in advance, so visiting players -- unless they've made arrangements through a premium tour operator like Perry Golf or The Old Course Experience -- have to throw their names into the hat and cross their fingers.

If it doesn't work out, they end up scrambling to find somewhere else to play on short notice. Fortunately, this policy is about to change. Starting in 2012, the ballot will be extended to two-day advance booking, which should make a world of difference. Greens fee starts at $225; reservations@standrews.org.uk.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

St. Andrews Links Trust manages seven courses in and around the town

@highlight

The Balgove and Strathtyrum courses are both beginner-friendly

@highlight

Kingarrock Hickory is a nine-hole course played exclusively with antiquated equipment