(CNN) -- He was just 18 years old when he got the news. It was the summer before his senior year in high school.

"I had a fever of 103," Bryan Seth Johnson said. "My body was hurting; I wasn't eating, couldn't hold down food. I just felt weak all the time."

He went to the hospital, told them he was having difficulty swallowing and was treated for tonsillitis. But he didn't have tonsillitis.

Johnson had the human immunodeficiency virus, better known as HIV.

"I was basically in shock, because the guy I got HIV from works in the HIV-prevention field," Johnson recalled. "He deleted me from Facebook and basically cut all communication out."

At the time, Johnson was getting tested for sexually transmitted diseases every three months at SMYAL, an organization dedicated to supporting lesbian, gay, bisexual and transgender and questioning youth in Washington. Johnson says he generally practiced safe sex, but once, when he was under the influence, he had unprotected sex.

Still, "I was in denial at the time. I thought it might be a false test."

So he got retested. He remembers the date: September 16. The result was the same.

"The bus ride home was so quiet. Even though there was a whole bunch of noise around me, I blocked everything out."

At home, he could not tell his mother; her baby brother had died of AIDS complications two years before Johnson was born.

One in a million

At the 20th International AIDS Conference in Melbourne, Australia, this week, young people from over 50 countries gathered to make sure the issues of their generation were heard.

The numbers are quite startling.

Globally, 5 million young people between the ages of 15 and 24 are living with HIV. They represent 41% of all new infections. About 2,500 young people become infected every day, according to Advocates for Youth, an organization that works here and in developing countries.

In the United States, 26% of all new HIV infections are among young people ages 13 to 24, according to the Centers for Disease Control and Prevention. Most new infections are among young gay and bisexual males.

Yet only one in five high school students who has had sex has been tested for HIV, according to a new CDC report (PDF) on sexual risk behaviors. Although the majority of sexually active teens report using condoms, those numbers are decreasing, said Dr. Stephanie Zaza, director of the CDC's Division of Adolescent and School Health.

"Teens are unaware of their risk of HIV and how to protect themselves," Zaza said. "As parents and health professionals, and as educators, we need to take responsibility to help them learn about HIV."

'We know what works'

A staggering 60% of youths with HIV in the United States don't know that they are infected, which leads us to an even more troubling statistic: In 2011, about 3,000 young people in this country were diagnosed with AIDS, an increase of 29% since 2008.

"That makes me sick to my stomach," said Adam Tanner, executive director of Metro TeenAIDS in Washington. "I'm horrified. I think we're in a moment now where there is more complacency around HIV."

Metro TeenAIDS is a community health organization working with young people to end HIV/AIDS. It's where Johnson went to be retested, and after his diagnosis, he began volunteering with the group. Tanner says two-thirds of Metro TeenAIDS' clients who come in for testing have had unprotected sex in the past year.

Two years ago, a Kaiser Family Foundation survey found that 64% of 15- to 24-year-olds in the United States don't get tested because they think they're not at risk. More than 40% said they didn't get tested because their doctors never suggested it.

"We know what works to end the epidemic," Tanner said. "We have better medications than we've ever had before. We need to arm young people with basic education about how HIV is transmitted. ... All the data suggest that by fourth grade, we should be starting those conversations about sex."

The United States is one of 10 countries that make up 61% of HIV cases, says Cornelius Baker, acting director of the HIV/AIDS division at the nonprofit group FHI 360.

"We have the tools to protect our young people through education, quality health care and family and community support," Baker said. "If we continue to fail them, our hopes of an AIDS-free generation will be lost."

Safe sex or no sex

Brennan Stewart, 22, understands the importance of educating young people. He was diagnosed with HIV at age 16. Stewart had just had a routine physical and blood work done. His mother delivered the news.

"My first thought was death. I was going to die," Stewart recalled. "I felt like, oh, my God, I'm just this dirty person. ... I've contracted something that's going to mess up my life."

He's not sure how he got it. He says he practiced safe sex but not all the time. He never got sick, never had any symptoms of the disease.

A few months after the diagnosis, he started taking medication. Today, he takes one pill a day and has no side effects. He says his viral load is undetectable.

Metro TeenAIDS has kept him on track, making sure he does what he needs to do to stay healthy. He wants other teens to know what he learned the "extremely" hard way.

"If you think it can't happen to you, it can," he said emphatically. "You have to get tested, because if you don't, you can put your life in danger, as well as somebody else's life."

Oh, "and wrap it up," he said. "Either safe sex or no sex."

What to know about HIV/AIDS

Daily HIV prevention pill recommended for those at risk

Opinion: How to find an AIDS cure for all

@highlight

Globally, 5 million young people between the ages of 15 and 24 are living with HIV

@highlight

Only one in five American high school students has been tested

@highlight

Survey shows teens don't worry about becoming infected, may not be using protection