Tokyo (CNN) -- A power company apologized Saturday and said the exposure of three workers at the Fukushima Daiichi power plant to highly radioactive water might have been avoided with better communication.

The Thursday incident has spurred questions about the source of the radioactive contamination in water, its potential to taint seawater nearby and the prospect it might be evidence of a leak in at least one of the facility's six reactor cores.

It also prompted further criticism of the Tokyo Electric Power Co., which runs the plant, and how well it is safeguarding the nearly 500 people working to prevent more emission of potentially cancerous radioactive materials about two weeks after a 9.0-magnitude earthquake and subsequent tsunami rocked the facility.

On March 24, three workers laying electrical cable in the turbine building of the No. 3 reactor stepped in tainted water, exposing themselves to high levels of radiation. Two suffered direct exposure on their skin.

Hideyuki Koyama, the company's associate director, said pooled water had been discovered in the basement of the No. 1 reactor six days earlier, but a sample wasn't taken for analysis until the 24th, after the workers were exposed.

The company started draining the water from the No. 1 reactor that evening and has continued draining it ever since, he said. Plans are also in the works to drain water from the No. 2 and No. 3 reactors.

Such incidents threatened to undermine the public's trust in Tokyo Electric, Japanese Chief Cabinet Secretary Yukio Edano told reporters.

He added the Japanese government "would like to give stronger instructions" to the company that it fully disclose as much information as possible about conditions at the plant.

"Every piece of information must be provided accurately and swiftly" to Japan's nuclear and industrial safety agency, Edano said. "Without this communication, it's very difficult for the government to (establish) proper safety measures."

As important, the chief secretary said, was the need for Tokyo Electric to be upfront with the Japanese -- millions of whom get power from the company and millions more of whom have been affected by radioactive emissions stemming from the crisis.

"We need to be sure that (Tokyo Electric) isn't going to act in a way that will create distrust," Edano said.

Koyama told reporters that radiation alarms went off while the three men were working, but they continued with their mission for 40 to 50 minutes after assuming it was a false alarm.

Later, they were hospitalized after it was determined they had been exposed to 173 to 181 millisieverts of radiation -- two of them with direct exposure on their skin.

By comparison, a person in an industrialized country is naturally exposed to 3 millisieverts per year, though Japan's health ministry has said that those working directly to avert the nuclear crisis could be exposed to as much as 250 millisieverts before they must leave the site.

Hours before the apology, a Tokyo Electric official told reporters that water samples from the turbine buildings for the No. 1 and 2 reactors had high levels of radiation, though not as high as in the basement of the No. 3 building.

Later Saturday, Tokyo Electric amended its assessment of the level of radiation in water in the No. 1 building, saying it was not nearly as dangerous as first reported. The water radiation levels were 60 millisieverts per hour -- compared to 200, as had been stated earlier -- while atmospheric radiation was 25 millisieverts per hour.

The issue of possible leakage of such material gained urgency Saturday after Japan's nuclear and industrial safety agency reported the amount of radioactive iodine in seawater recorded 330 meters (361 yards) from the plant was 1,250 times above normal.

A Tokyo Electric official speculated water runoff or leakage from the turbine buildings may have caused the sudden increase, though he said other factors might have contributed as well.

Friday, Hidehiko Nishiyama of Japan's Nuclear and Industrial Safety Agency said the contaminated water suggests "some sort of leakage" from the No. 3 reactor's core -- signaling a possible breach of the containment vessel that houses the core.

These developments come despite indications from the International Atomic Energy Agency that the level of airborne radiation around the plant, which is 240 kilometers (150 miles) north of Tokyo, "continues to decrease."

Tokyo Electric reported on its website that at 7 a.m. Saturday, radiation at the plant's main gate was 0.219 millisieverts per hour -- a fraction of the 400 millisieverts per hour measured between Units 3 and 4 on March 15.

The measurements are a significant drop from readings taken at the same gate over the past week.

The presence of highly radioactive water in buildings at reactors Nos. 1, 2 and 3 has halted some efforts to curb the release of further emissions. Still, others continued and there have been recent signs of progress.

"We can comfortably say that we are taking measures so that the situation has not deteriorated," Edano said. "We've been able to take some steps forward. But still, vigilance is required."

Fresh water was being pumped Saturday at reactors 1, 2 and 3. That replaced the seawater that had previously been used, with the aim of fresh water being simultaneously to cool down nuclear fuel and also flush out accumulating salt that might hinder the reactors' existing cooling systems.

The No. 3 reactor has been of particular concern, experts have said, because it is the only one to use a combination of uranium and plutonium fuel, called MOX, considered more dangerous than the pure uranium fuel used in other reactors.

The Japan Atomic Industrial Forum, an industry trade group that is tracking official accounts of the effort at the Fukushima Daiichi plant, said the pressure of the No. 3 reactor's containment vessel has been upgraded to "stable."

Whereas the group had stated Friday that damage was suspected in the reactor, on Saturday its assessment changed to "unknown" -- a further acknowledgment of uncertainty as to whether the contaminated water was the result of a leak in the nuclear reactor core or had some other cause.

Efforts also continue at the No. 4, 5 and 6 reactors -- each of which has less pronounced concerns because the units were on scheduled outages when the quake struck.

None of these three units had nuclear fuel inside their reactors, though efforts are ongoing to control temperatures inside the spent fuel pools.

CNN's Jennifer Rizzo contributed to this report

@highlight

A Tokyo Electric official apologizes for poor communication on tainted water

@highlight

A Japanese official says the company must share info to keep public's trust

@highlight

Fresh water, not seawater, is being pumped into reactors 1, 2 and 3