(CNN) -- U.S. President Barack Obama paid tribute Thursday to American troops who 60 years ago fought a Communist regime that he said continues to be a provocative threat to peace in the region.

Speaking on Veterans Day at the U.S. Army garrison in Yongsan, South Korea, the president drew parallels between America's ally and North Korea.

"Today, the Korean peninsula provides the world's clearest contrast between a society that is open and one that is closed; between a nation that is dynamic and growing, and a government that would rather starve its people than change," the president said in remarks prepared for U.S. military personnel and members of their families.

Obama, who made a reference to South Korea's claim earlier this year that North Korea sank one of its vessels, said the United States "will never waver in our commitment to the security of the Republic of Korea."

North Korea has another path besides pursuing nuclear weapons, Obama said.

"If they choose to fulfill their international obligations and commitments to the international community, they will have the chance to offer their people lives of growing opportunity instead of crushing poverty," he said.

Obama is in South Korea for Thursday's opening of the G-20 summit, which will try to stabilize the world's financial markets.

The president paid tribute to generations of men and women who served in the U.S. military.

He praised South Korean troops and Americans who fought during the 1950-53 Korean War.

"Gentlemen, we are honored by your presence," Obama said of Korean War veterans in the audience Thursday. We are grateful for your service. And the world is better off because of what you did here."

The crowd roared when the president acknowledged the 62 veterans.

"They are all standing," he said. "Looks like they're doing great. Let's give them a hand."

Obama also thanked those currently serving in South Korea, saying they "carry on the legacy of service and sacrifice."

The president later attended a wreath-laying ceremony at the Yongsan War Memorial. The president placed his hand on his heart before troops fired a 21-gun salute.

The president's visit to Seoul will include a meeting with South Korean President Lee Myung-bak and a meeting with Chinese President Hu Jintao.

Tensions about currency and trade are likely to run high at the G-20 meeting, which will be held Thursday and Friday in Seoul, the South Korean capital.

Officials in China and the United States have accused the other of manipulating its currency at the expense of other economies. And the G-20 has acknowledged that the global economic recovery is advancing in "a fragile and uneven way."

Widespread protests are expected at the summit, for which South Korea has mobilized its largest security force ever, according to the Yonhap news agency. A total of 50,000 police and riot police are being deployed, authorities told Yonhap.

A number of South Korean union and civic groups are gearing up for large protests against the G-20, while other groups are planning unrelated rallies in hopes of drawing international media attention.

Protests by Muslims in Indonesia also preceded Obama's visit there. But the president focused on the two countries' shared principles of unity and tolerance when he delivered a highly anticipated speech at the University of Indonesia right before he left for South Korea.

In his speech, Obama reflected on the four years he spent in Indonesia as a child, referring to how he and his family were warmly accepted. He drew cheers when he sprinkled sayings from the local Malay language, such as "Selamat Datang" -- a greeting of welcome -- and the national motto "Bhinneka Tunggal Ika," which means "unity in diversity."

Noting that Malay is one of hundreds of languages of the archipelago nation, Obama lauded Indonesia for its spirit of inclusiveness despite its diverse population and history of dictatorship.

"But even as this land of my youth has changed in so many ways, those things that I learned to love about Indonesia -- that spirit of tolerance that is written into your constitution, symbolized in your mosques and churches and temples standing alongside each other; that spirit that is embodied in your people -- that still lives on," he said.

Grappling with a troubled U.S. economy, the Obama administration has highlighted the strengthening of economic and military ties during the president's 10-day Asia tour. Obama started his trip with a three-day stay in India, before heading to Indonesia.

Speaking in New Delhi on Monday, Obama said, "We make some of the best products in the world and we want to sell them to a growing Indian market."

At the Seoul summit, G-20 leaders are expected to focus on the global economic recovery and mechanisms to ensure balance and sustainable growth.

"We see the G-20 as fundamental not just to our international economic agenda, but to our ability to have a lasting recovery at home, because fostering balance, global growth is essential to fostering growth here in the American economy," Ben Rhodes, deputy national security adviser for strategic communications said ahead of Obama's Asia trip.

Collectively, the Group of 20 accounts for about 85 percent of global economic output. The 1997 Asian financial crisis prompted the creation of the group. The G-20 includes industrialized nations and developing economies, which focus on economic issues and economic policy coordination.

"If you look at the trend lines in the 21st century, the rise of Asia, the rise of individual countries within Asia, is one of the defining stories of our time," Rhodes said.

@highlight

NEW: President Obama lays wreath at war memorial

@highlight

Obama pays tribute to Americans who have served in South Korea

@highlight

He'll attend the G-20 summit, which is aimed at stabilizing the world's financial markets

@highlight

The G-20 has acknowledged that the global economic recovery is uneven and fragile