An airstrike hits an open air market. An explosion rocks a school-turned-shelter. A booby-trapped tunnel explodes.

These were among the scenes in Gaza in a more-than-three-week-old conflict that has left more than 1,300 people dead and even more wounded.

The violence between Israel's military and Palestinian militants played out Wednesday against a backdrop of another failed humanitarian cease-fire attempt, with militants firing rockets from Gaza into Israel and Israelis responding with airstrikes.

With more than 100 people, mostly civilians, reportedly killed Wednesday in the fighting, the United Nations and the United States demanded more be done to protect civilians.

A large part of the criticism has been leveled at Israel and its airstrikes, which have bombarded Gaza. Israel in turn has accused Hamas of hiding weapons, including rockets, in schools and launching attacks from near shelters.

More than 1,300 Palestinians have been killed since the conflict between Israel and Hamas began on July 8, the Palestinian Ministry of Health in Gaza said.

The number of militants killed is unclear, but the United Nations estimates that 70% to 80% of the dead are civilians.

Three more Israeli soldiers were killed Wednesday, bringing the total to 56 dead. Three civilians also have been killed in Israel.

While saying Israel has a right to defend itself, White House Deputy Press Secretary Eric Schultz said, "We've also been very clear that Israel needs to do more to live up to its own standards to limit civilian casualties."

It was a sentiment echoed by U.S. State Department spokeswoman Marie Harf, who also said Israel is being put in a tough situation because "Hamas is hiding rockets in places to prevent the Israelis from going after them."

"So look, Hamas is taking steps here that put civilians at risk. But we do believe the Israelis need to do more," Harf told reporters during a briefing.

While there were calls on Israel to do more to protect civilians, the United States also agreed to Israel's request to resupply it with several types of ammunition, a U.S. defense official told CNN on condition of anonymity. It's not an emergency sale, the official said.

Among the items being bought are 120mm mortar rounds and 40mm ammunition for grenade launchers, the official said. Those will come from a stockpile the United States keeps in Israel, which is worth more than $1 billion.

U.N. facility struck

Sanaa Abugerad was among some 3,000 Palestinians at a school-turned-shelter when it was hit by artillery early Wednesday.

"We saw the shells when they hit, and shrapnel was falling like rain," she told CNN. "I was so scared and the school filled with smoke. We poured water in our eyes just to see."

The United Nations blamed Israel for the attack, with U.N. spokesman Chris Gunness saying his group's initial assessment indicates Israeli artillery hit the school. The number of deaths was not immediately clear, Gunness said. The Palestinian Health Ministry said 20 were killed.

But Israel said a group of militants fired at Israeli soldiers from the vicinity, and the soldiers "responded by firing at the origin of the fire," a military spokesman said.

"If our forces were involved in a firefight, it's because Hamas has decided that it's open season on the U.N.," Israeli government spokesman Mark Regev told CNN Wednesday.

At the same time, Hamas TV reported people were killed in shelling near a street market in northern Gaza. The Gaza Health Ministry reported 17 people died.

Israel has said errant Hamas rocket fire is responsible for some of the attacks in Gaza.

"More than 200 rockets fired from Gaza have hit Gaza since July 8. Palestinian terrorists fire from civilian areas and hit their own people," the IDF said on Twitter, along with videos that the military said show Hamas fighters launching attacks from inside homes, mosques, hospitals and schools.

'Humanitarian window' ends early

The firing of rockets into Israel brought an early end to a four-hour "humanitarian window" Wednesday in Gaza.

In making the offer earlier in the day for the humanitarian cease-fire, Israel said the window would not apply to areas in which Israeli soldiers were already operating, and Israel would "respond to any attempt to exploit this window to harm" civilians or troops. It also told residents to stay away from areas they've been asked to evacuate.

Fighting raged in many areas of Gaza, with the Israel Defense Forces reporting three of its soldiers killed. The three died while uncovering a tunnel shaft in a home in southern Gaza. "The house and the tunnel were booby trapped with two explosive devices that were detonated," the IDF said.

Hamas said its fighters "lured a special Zionist unit which consisted of between 15 to 20 soldiers to a booby-trapped house with 12 IED canisters."

Twenty-seven Israeli soldiers were wounded in several incidents Wednesday in Gaza, the IDF said.

Israel delivers some fuel

More than 200,000 Palestinians are packing into 85 shelters across Gaza, Gunness said Wednesday, calling the situation a "human displacement crisis."

The Israeli Foreign Ministry, meanwhile, announced on Twitter that Israel has sent into Gaza more than 4 million liters of diesel for the power station, 3 million liters of fuel and 800,000 liters of benzene for transportation, and 1.6 tons of gas for domestic use during the conflict.

Forty-three trucks "carrying over 750 tons of food, medicine & supplies" entered Gaza Wednesday from Israel, the ministry said. It provided information on how people can donate humanitarian supplies, and a contact at the Palestinian Customs Agency.

Inside a Hamas tunnel

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Opinion: Gaza peace struggle drains me of hope

What You Need to Know About the Israel-Hamas Blame Game

@highlight

"Shrapnel was falling like rain," says a woman at a shelter that was shelled

@highlight

White House says Israel must do more to protect civilians

@highlight

More than 1,300 killed in Gaza, Palestinian officials say

@highlight

3 more Israeli soldiers killed, bringing total to 56 plus 3 civilians in Israel