(CNN) -- As millions of students across the world go back to school this month, 178 students from 49 countries will turn on their computers and step onto the virtual campus of the world's first global, tuition-free online university.

Lessons in learning: University of the People is hoping to use the power of social networks to expand education.

Called University of the People, the non-profit, California-based endeavor comes from Israeli entrepreneur Shai Reshef who says he founded the school to provide higher education to those who might otherwise never have access to it.

"Our mission is to change people's lives," said Reshef, who also is the chairman of Cramster.com, an online study community for college students.

Starting in 1989, Reshef served as the head of Kidum Group, an educational services company based in Israel, which he sold to Kaplan, one of the world's largest test preparation companies, in 2005. He also chaired an online university affiliated with the University of Liverpool.

"We want to be an option for people who don't have any other option," he said.

There has been no shortage of interest. Since the school started enrolling students in April, nearly 2,000 people from 142 countries have applied. Reshef says the online institution will need 15,000 students over the next four years in order to be sustainable and will need $6 million to fund the venture, of which $1 million he will provide.

To attend, students must have a high school diploma, speak English and pay admission fees ranging from $15 to $50, with those from poorer countries paying less and those from richer countries paying more.

Students will also have to pay to take exams. In all, it will cost around $4,000 for students to complete their studies and gain a qualification.

The school initially will offer bachelor's degrees in business administration and computer science. Curriculum consists of around 40 courses, which will take between four and six years to complete.

This year's freshman class includes pupils ages 16 to 61. Indonesia has the highest number of students enrolled, followed by the United States, Brazil and Nigeria.

Now that University of the People has proven it can recruit students, the next challenge it faces is whether it can keep them enrolled.

"That is a concern," said Reshef.

"One of the main issues with online universities is retention."

While e-learning has been booming in recent years -- in 2007, nearly 4 million students in the U.S. took at least one course online, according to the Sloan Consortium, a nonprofit dedicated to integrating online learning into higher education -- a challenge educators often face is how to keep students engaged in virtual classrooms.

Make it social

To try to solve this problem, the University of the People is turning to an activity that already keeps millions of people occupied on the Internet everyday: social networking.

The University of the People's staff of volunteer and retired professors will post readings and lectures in an online repository for students to retrieve and study.

Materials come for free from other universities via platforms such as the Open Courseware Consortium, which provides open access to the syllabi, lecture notes, exams and reading lists from 1,800 classes offered at MIT. The university will also use course material from Yale University, said Reshef.

"Basically what we do is we take everything that is out there and bring it together," he said.

After the students complete their homework, it is mandatory for them to link up with classmates online to discuss the week's curriculum. Unless a student needs special help, teachers will supervise discussions rather than lead them, said Reshef.

"We believe the social networking we build around our programs will serve as a cement to keep students with each other and stay in our program," said Reshef.

"We are fitting the current culture into the academic culture."

However, online education experts are raising questions, particularly surrounding whether University of the People can become accredited.

To achieve accreditation, a college must prove it can meet a number of quality assurances set forth by an accrediting body, including breadth and depth of coursework and student test results. Reshef said the university would apply for accreditation with an agency in the U.S. but declined to disclose further plans.

"We are not making any promises," he told CNN.

John Bourne, executive director of the Sloan Consortium, believes the University of the People may face problems.

"Can you accredit something where students are learning themselves from materials? Maybe," he told CNN.

"Testing outcomes capability -- what students can do or how well students test -- may be a way the University of the People can succeed in its model.

"If that works, then that would be evidence accreditation might be warranted. I still think it will be hard."

New ways to learn

However, there is evidence that could work in favor of the University of the People's cause.

A recent study conducted by the U.S. Department of Education found that "on average, students in online learning conditions performed better than those receiving face-to-face instruction."

"The current methodology is based on the lecture, and that is a thousand-year-old model that is completely inappropriate with the new generation," Don Tapscott, author of "Grown Up Digital: How the Net Generation is Changing Your World", told CNN.

"If it is shown that there are better models of learning than the current model, then the credentialing function of the old model will be weakened," said Tapscott.

"The Internet is a new mode of production. It was inevitable that peers would come together and create an online university."

Other organizations are also experimenting with Web 2.0 platforms, like social networking sites and blogs, to tap into the ways in which younger generations are wired to the web.

In January, Nature Education, launched Scitable, a social network platform around an online encyclopedia of freely-published scientific articles.

Like Facebook, Scitable users create personal profiles. Unlike Facebook, members share information about genetic research instead of exchanging vacation pictures.

Nature Education started the venture in an attempt to reignite student interest in science, said Vikram Savkar, publishing director of Nature Education, who noted that 40 percent of students in the U.S. who start college studying science end up switching majors by the time they graduate.

"One of the things we recognized is the materials being provided are not adequate for younger generations who are growing up in a world where information is dynamic, shareable and bite-sized," said Savkar.

"We are creating a global classroom for science and allowing people to freely collaborate. We want to put high quality teaching and learning materials into the hands of anybody and everybody who wants to become a scientist," he added.

"Sharing data and sharing ideas and coming up with joint conclusions is at the heart of how science works. It is about leveraging each other's knowledge and abilities."

@highlight

University of the People launches to provide tuition-free online degrees

@highlight

New venture uses social networks as key to learning

@highlight

Difficulties of accreditation face University of the People

@highlight

E-learning has been booming and peer-to-peer study formats growing