A nurse's assistant in Spain -- the first person to contract Ebola outside Africa -- has taken a turn for the worse.

Dr. Yolanda Fuentes, who works at Madrid's Carlos III hospital, said Thursday that Teresa Romero Ramos' condition had worsened but declined to give further details.

Romero became sick after she helped treat an Ebola-stricken Spanish missionary. Her case has prompted questions from her fellow medical professionals about whether they are properly equipped to safely treat Ebola patients, and about why a week passed before she was treated.

The update on her condition comes 10 days after Romero first began feeling sick and three days after she called an ambulance to take her to a hospital.

Carlos III hospital indicated late Thursday that seven more people -- a doctor, three nurses, two beauticians, a doctor and a hospital staffer -- have been admitted for observation. This is in addition to seven others already in the hospital, though none of these besides Romero has tested positive for Ebola.

"The reason why we are seeing so many people admitted showing no symptoms is because the 80 people or so that are being monitored outside the hospital have been given the choice to do it at home or come into the hospital," said a hospital spokeswoman, who is not named, as is customary in Spain.

In addition to concerns about Romero and these individuals' health, the entire situation has raised serious questions about how the entire case was handled -- from how the nurse's assistant got the disease to how medical officials handled her care once she got sick.

Physician: My protection suit was too short

One of the physicians sounding the alarm -- Dr. Juan Manuel Parra, who treated Romero at a different Madrid hospital earlier in the week -- published an open letter Thursday indicating that his staff was ill-equipped to handle her.

Concerned about his exposure to Romero, Parra then checked himself into Carlos III. Parra was among five who the hospital said had no symptoms.

Parra says he cared for Romero on Monday at Madrid's Alcorcon Hospital, where an ambulance had taken her that morning. He wrote that the sleeves on the protective suits available to him were too short, exposing parts of his arms.

In his letter, published Thursday by Spanish news outlets, Parra wrote that Romero was in an isolation room. He said he visited her 12 times in isolation from 8 a.m. to midnight, when she was transferred to Carlos III, which specializes in infectious diseases.

Her condition worsened throughout the day, and by the evening she had tested positive twice for Ebola, he wrote. But Parra said he learned of both positive results from media before hospital officials told him.

Deadliest Ebola outbreak: What you need to know

He said he was told of the second positive test at 7 p.m., but it took five more hours for an ambulance to collect her for the trip to Carlos III, he wrote.

Parra adds to a chorus of Spanish medical professionals who've expressed alarm.

Speaking about what's unfolding in Madrid, Health Minister Ana Mato told Parliament earlier this week Spain is going to revise its protocols for handling Ebola.

Prime Minister Mariano Rajoy said that his country is "facing a matter that is of international concern." But that doesn't mean Spaniards should hunker down or become overly alarmed, he said, and urged them to "keep calm."

How NYC is preparing for Ebola

Dismay in Madrid

The Ebola virus has infected more than 8,000 people and killed at least 3,800 in the current outbreak, according to the World Health Organization. It's also been largely confined -- as far as we know so far, every person has caught the disease in West Africa except for Romero.

Romero's case began after two Spanish missionaries -- Miguel Pajares and Manuel Garcia Viejo -- contracted Ebola in West Africa. They were sent to Spain, specifically Carlos III, for treatment. Romero twice had contact with one of the priests as part of his care, on September 24 and September 25, the WHO said.

Both priests eventually died at the hospital. Romero's patient died on September 25; on September 29, she began feeling ill.

That Romero may have gotten Ebola at Carlos III is a major cause of concern, especially if she did -- as she told Spanish newspaper El Mundo -- follow the necessary protocols while caring for the missionaries.

How did Spanish nurse catch Ebola?

Dr. German Ramirez, who is among those treating her, said Romero may have been exposed while removing protective gear she'd donned to treat one of the priests.

"That's what we were working on -- on the errors possibly made while removing the protective suit," Ramirez told reporters this week, saying it's possible the protective suit or gloves may have touched her face.

On Tuesday -- the morning that Romero was transferred from Alcorcon to Carlos III for treatment -- angry doctors and nurses outside Carlos III said they were outraged that the two priests, almost dead when they arrived, had been brought there.

Also prompting concern is how long it took for Romero to be treated -- and how long she may have exposed other people to the deadly virus while she was contagious.

According to a Carlos III hospital spokeswoman, Romero started feeling ill on September 29. She went the next day to her doctor, who did not properly identify her problem and sent her home.

But Romero didn't get better. She called Carlos III hospital on October 2 and was directed, per protocol, to an external medical department under the umbrella of Madrid's regional health service, the hospital spokesman said.

Romero ended up back home again. On Monday, she called an ambulance, which took her to Alcorcon hospital, which diagnosed her over a 16-hour period and sent her to Carlos III.

Parra's letter didn't address how long Romero might have been outside an isolation room at Alcorcon. A worker at that hospital told CNN on condition of anonymity earlier this week that Romero lay in the emergency room -- exposed to other patients as well as medical staff -- for eight hours before she was transferred to Carlos III.

Romero's experience is similar to that of Thomas Eric Duncan, the Liberian citizen who was sent home from a Dallas, Texas, hospital days before eventually being admitted for Ebola. Duncan, the first person diagnosed with Ebola in the United States, died Wednesday.

Romero's dog put down

Authorities said Tuesday that a total of 30 people from Carlos III Hospital and 22 others -- from the Alcorcon hospital where the woman first sought care, plus family members -- were being monitored.

Madrid health authorities on Wednesday put down Romero's dog, Excalibur, despite a public outcry to save it.

'Save Excalibur' campaign fails

About 400,000 people signed an online petition to save the dog from being killed, contending that that "it would be much easier to isolate or quarantine the dog just as they have the victim's husband," rather than forcing the couple to lose "one of the family."

But health authorities insisted they had to take action in case Excalibur had the disease.

It's not known if Ebola can be passed through canines. The World Health Organization has said that it's infected chimpanzees, gorillas, fruit bats, monkeys, forest antelope and porcupines. Human infections, to date, have not been linked to dogs.

Complete Ebola coverage

@highlight

14 total are in a Madrid hospital; Romero is the only one with confirmed Ebola

@highlight

Doctor declines to give further details about Teresa Romero Ramos' condition, treatment

@highlight

Another doctor, who tended to patient, says his protective sleeves were inadequate

@highlight

The nurse's assistant treated missionaries from Africa who had Ebola