(CNN) -- Few places on earth do pride better than Merseyside; pride in the region, pride in its people, and pride in its sport.

So when The British Open comes to town it feels like everyone is here to celebrate.

After record crowds made the pilgrimage to this corner of the Wirral Peninsula in 2006 to watch Hoylake's first major for 39 years, it was stamped as "The People's Open."

It's a tag that has stuck.

"You don't want to be lofty here because people will knock you off your perch," Royal Liverpool's 2006 captain Andy Cross told CNN of Merseyside.

"You must be who you are and not try to be someone else.

"If there is one thing we want the people who visit us to take away with them it is that they felt they were welcome."

Liverpool's most famous exports The Beatles once sang "money can't buy me love" and that certainly isn't an issue at Hoylake -- there's plenty going round for free.

Some golf courses can feel stuffy to the point of asphyxiation, but not this one.

Not only are spectators pitching up in droves, their enthusiasm is off the charts. Exchanges between marshals and spectators have the jovial air of two mates chatting down the pub.

True Tiger Woods complained about fans' use of mobile phones during his first round, but perhaps that could be attributed to thousands of people's enthusiasm to see the man who took the title eight years ago.

Even the stony-faced Royal Navy marshals tracking various groups round the course can manage a smile in between admonishing the odd spectator for trying to grab a snap of a star on their phone.

Such is the passion for sport in this region that 5,000 hardy souls turned up four days out from the start of The Open, just to watch a clutch of players practice.

Bumper galleries

When the Wirral welcomed back golf's oldest major championship for the first time since 1967 eight years ago, 230,000 attended across the four days -- an English record.

Just 142,036 were present at Muirfield in Scotland last year, an undoubtedly beautiful golf course but one that elicits a different pitch to Hoylake.

Ahead of the Royal and Ancient's September vote on whether to admit female members for the first time, Muirfield is one of only three clubs on The Open rotation to remain male only.

That heralded a wave of negative press this time last year. Hoylake, however, isn't having to withstand anything like that.

You only need look at 2014's patrons to notice the difference.

Walking around the links you are just as likely to encounter the red of Liverpool or the blue of Everton -- the city's two English Premier League soccer teams -- as heavily branded golfing apparel.

At 22 this is Mark Budd's third Open championship but his first visit to Hoylake.

"It's such a friendly and welcoming atmosphere here, people can't do enough for you," he said. "Some places can be a bit snooty but there's none of that here."

Pete Squires is one of those locals helping to make visitors feel welcome. "It's important for us not to just give a good account golf wise, but also as a region," the 45-year-old said.

"There an immense sense of pride at having The Open here and that's reflected in the attitude. No one here acts better than anyone else and that's exactly the way it should be."

Home favorite

Merseyside loves nothing better than one of its own, especially someone with a story to tell like John Singleton.

The resin factory worker thought his pro career had vanished due to injury but after giving it another crack he qualified for The Open at a course just a stone's throw from his home.

During his first round he often diverted towards the gallery to high five one of a small army of friends and family who have come to support him at his first major tournament.

Even the 30-year-old's fiancÃ©e Lucy Johnson walked all 18 holes with him despite being eight months pregnant.

"I can't tell you how much I've felt at home already," Singleton told CNN before teeing off Thursday.

"It's so close to home. I've got so many friends and family here, you walk on the tee and everyone is cheering. I've been having a good laugh with people and that takes all the nerves away.

"They are so happy I'm here playing it just takes the pressure off you. It's a great feeling to have."

Tough times

Perhaps there is an extra helping of pride because the past has seen bouts of severe hardship.

A toxic social and economic climate in the early 1980s saw pitched battles between the public and police.

The riots prompted a leading minister in the ruling Conservative government of the time to suggest that Prime Minister Margaret Thatcher abandon Liverpool to a destiny of "managed decline."

Instead she dispatched Michael Heseltine northwards, a Tory grandee who would become known as the "Minister of Merseyside", and he helped trigger a wave of regeneration that would help transform the city's landscape.

"The Scousers (as people from Liverpool are known) don't actually look at people's background, they look at what they do, so Heseltine is a hero around here," explained Cross.

"After the 1981 riots, Heseltine brought businessman round in buses to show them what could be done. He set in store all the good things that have happened to Liverpool.

"When he was given the freedom of the city two years ago politicians from all sides were queuing up to pay homage to him and that indicates the public here look at what people do, not necessarily what they say."

Woods' two-shot win in 2006 also resonated deeply on Merseyside.

It was Hoylake's first British Open for 39 years and a lot graft had gone into making this, the second oldest golf course in England, fit to stage it.

A glorious return

While infrastructure and space had always been an issue, heritage wasn't.

Built in 1869, this was the setting for the first ever Amateur Championship in 1885 and the first ever international match -- between England and Scotland -- in 1902.

It hosted one leg of the most feted feat in golf â€” Bobby Jones' "impregnable quadrilateral" in 1930 when he clinched all four major titles on offer in the same season.

And it was the scene for Roberto Di Vicenzo's only major win in 1967, the first by an Argentinean.

Then came those years in the wilderness.

By the time Woods and his peers rolled up to Liverpool eight years ago the entire city was fit to burst.

Golf's oldest major didn't disappoint, and neither did the weather.

While ticketing, stewarding and layout were planned in meticulous detail the skies above were the one thing the club couldn't control.

It has always been a factor in these parts. The old saying goes 'If you can't see the Welsh coast across the peninsula it's raining. If you can, then it's about to."

But that week the unfamiliar bedfellows "heatwave" and "Liverpool" knitted together divinely.

Ever browner, scorched earth offered such firm terrain that 14-time major champion Woods used his driver just once all week, preferring instead to shape his irons round Hoylake's contours.

As captain that year it was Cross' responsibility to hand the fabled Claret Jug to Tiger, the third he has claimed in an illustrious roll call of victories.

"It was a fairytale Open for us," Cross explained. "A return after 39 years, the event was watched by record crowds under beating sunshine.

"We had the world's greatest golfer at that time -- unarguably -- win the oldest and most revered major championship in golf on our own territory. You can't get more fairytale than that."

"The other wonderful thing I remember about it was the great sense of community spirit. The Open, while it has its global impact and interest, is actually a great community tournament.

"There's about 10,000 people working here this year in one sense or another, many of them volunteers simply doing it for the love not the money."

@highlight

The last time The Open Championship came to Hoylake it was dubbed 'The People's Open"

@highlight

A relaxed vibe at the course differentiates it from other venues

@highlight

Open organizers the R&A estimate attendances for 2014 will reach 200,000