(CNN)Hillary Clinton is back in the middle of an unfolding controversy. The revelation that as secretary of state she maintained a private email account, and that she had a private computer server in her New York home, sent shock waves through the world of politics last week.

Questions arose about whether Clinton conducted her official business on private email, possibly violating regulations that were written to ensure that the activities of government officials remain accessible to the public.

Republicans jumped on the story. "It makes you wonder," said Reince Preibus, the chairman of the Republican National Committee. "Did she use the private emails so she could conduct diplomacy and fund-raising at the same time?" Even many Democrats are worried about the implications of this recent story. Their front-runner, their "inevitable" nominee for 2016, now seems vulnerable. Many in Washington are anticipating that the scandal is only getting started.

This is not the first time that Hillary Clinton has found herself in this situation. She has spent much of her political career battling scandals. When her husband, Bill Clinton, was president of the United States, she was one of the first targets of the earliest investigations into the administration -- "Travel-gate," "File-gate" and the Whitewater affair.

She stood by her husband's side later in his presidency when House Republicans moved to impeach him for having lied about his sexual relationship with Monica Lewinsky, a White House intern. Although Clinton enjoyed a bit of a break when serving in the Senate, the controversies resumed once she became secretary of state under President Obama.

During her tenure, Republicans became consumed with multiple investigations into her role in the tragic Benghazi attacks. Although the investigations failed to find any evidence of wrongdoing, the issue became a rallying point for conservative activists and fund-raisers. Some Republicans now claim that the emails will provide the data that they have been looking for to prove what they were saying.

But those observers who are predicting her demise  should remember that Hillary Clinton has proven to be remarkably resilient over the years. Each time she or her family has been hit with a scandal, she has survived. She has proven to be an extraordinarily tough fighter who turns these challenges into opportunities to become stronger. As Kate McKinnon, playing Hillary Clinton on "Saturday Night Live" said, "Nice try. ... This is NOT how Hillary Clinton goes down."

Based on her history, what can we expect from the Clinton scandal playbook?

Attack the accuser and the investigative process: Nobody has done this better than Hillary Clinton. When her husband first confronted charges about his affair, Clinton famously went on television and spoke about a "right-wing conspiracy" that she claimed was driving the scandal. Although the revelation that the affair did occur brought her family great embarrassment, her charge became part of a larger counterattack from the administration that proved to be extremely effective.

The Clintons zeroed in on the hyperpartisanship of some members of the GOP, such as House Speaker Newt Gingrich, claiming that the Republicans in Congress were on a mission to pull off a political coup. She employed a similar strategy with the Benghazi investigations, arguing that the inquiry was more a political tool used to rally the base than a serious investigation.

We are likely to hear similar arguments now, particularly since the email controversy has opened up right as the campaign season is taking off. As more Republicans can't resist jumping on the issue, Clinton will push back, focusing public attention less on the issue than on the idea that this is part of a political narrative to bring her down.

Stick it out: One thing that Hillary Clinton and her husband understand well is that the news media love a good scandal feeding frenzy, but that soon enough reporters move on. The American public, which is now used to fast-paced and constantly changing news stories, will follow the coverage as it shifts to a new story even after weeks, or months, of attention on one single issue. Remember the Ebola crisis? Not many people do, though for a time it was all anyone was talking about. As Brendan Nyhan wrote in The New York Times: "If there's one thing we've learned from past presidential campaigns, it's that most supposed game-changers like this quickly fade from the memory of the political class, having never been noticed by most Americans in the first place."

When dealing with scandal, Hillary Clinton and her husband have avoided taking any rash action, ignoring whispers about resignation or discussions about major apologies. Instead they strike back against their opponents and wait out the news cycle until the frenzy dies down.

People should not expect Clinton to do anything drastic in the near future. Her first move, via Twitter, was to announce in straightforward fashion that she has asked the State Department to review and release some of the email as soon as possible. While some Democrats are champing at the bit to use this opportunity to push other members of their party (Elizabeth Warren!) into the political fray, Clinton is not going to give them any space to do this. She will wait until reporters and Congress move in a different direction.

Rally the party base: If there is one thing that the Clintons understand, it is that their party is desperate for a good fight. After years of dealing with congressional Republicans and the hardball tactics of conservative activists, the Clintons appreciate that members of their party are searching for leaders who will take on their opponents.

Democrats are tired of elected officials who roll over too easily when attacked by Republicans. This has been one of the major complaints from Democrats about Obama. Even when many Democrats were furious with the White House following the Monica Lewinsky revelation, the Clintons appealed to partisan instincts and rallied the troops to fight for them as a way to push back against the GOP. By 1998, they had transformed the issue from being about Clinton and perjury to a struggle to protect the Democratic Party.

Clinton will do this again. Democrats are feeling particularly vulnerable ever since former Florida Gov. Jeb Bush entered the race, bringing star power to a GOP campaign that seemed filled with lightweights and flawed candidates. Given that Democrats feel the stakes are enormously high to keep control of the White House so that the next president can protect Obama's programs from Republican attack, Clinton will appeal to that instinct to carry her through.

Will it work? That remains to be seen. It will depend on the scale and scope of the upcoming revelations and what her opponents decide to do with the material.

But the Clinton playbook is pretty clear and road-tested. If Clinton's critics and opponents expect her to just roll over, they really haven't been studying their history.

@highlight

Zelizer: The former secretary of state has decades of experience in managing controversy

@highlight

He says Clinton and her husband know how to turn controversy into a tool to energize Democrats