(CNN) -- In an age when people are encouraged to collect hundreds of Facebook "friends" and thousands of Twitter followers, some social media users, particularly young ones, are going smaller.

Yes, Facebook and Twitter remain the juggernauts of social sharing -- Facebook with more than 1.2 billion active users and Twitter with more than 240 million of its own.

But over the past couple of years, it's been smaller social sharing and messaging tools, most of them mobile apps, that have gotten the most buzz and gained the most users. These services encourage users to target personalized messages to individuals or small groups instead of broadcasting posts to larger networks of people.

That doesn't mean folks are ditching Facebook for the silly photos of Snapchat or the 6-second videos of Vine. But these emerging social hangouts increasingly are where young users are communicating with each other.

"I think it is too early to say that they're abandoning the larger social networks, but certainly the audience for those networks is now fragmented," said Shayla Thiel-Stern, a journalism professor at the University of Minnesota who focuses on digital media and culture.

According to a GlobalWebIndex survey from last fall, the two fastest-growing apps used by teens were Vine, which lets users share brief video clips, and WeChat, a Chinese mobile text and voice messaging app. Usage of WeChat had increased a whopping 1,021% from the beginning of 2013.

Among those same teens, 56% said they were active on Facebook, compared to 76% at the beginning of the year.

"We did see a decrease in daily users, partly among younger teens," Facebook chief financial officer David Ebersman acknowledged during an earnings call at the end of last year.

That's no surprise, according to Thiel-Stern.

"First, young people are always looking for the coolest new thing, and now that their parents and grandparents are on Facebook, it's certainly not a cool new thing," she said. "Some of it is social currency, in general.

"Second, younger people have truly embraced the move to apps that are a combination of visual, mobile and social. They carry phones that are set up to shoot photos and videos and they are quite conditioned -- perhaps by their early years on Facebook -- to sharing experiences in a way that previous generations might not be."

As opposed to a single new destination, alternate social usage has spread to a host of tools.

In 2013, Snapchat, Instagram and Vine were all downloaded from Apple's app store more frequently than Twitter or Facebook.

WhatsApp, the messaging tool that Facebook bought for $19 billion last month, has more than 450 million users worldwide. And Instagram, a photo-sharing network that feels more intimate than Facebook (despite being bought by Facebook), now has more than 150 million users.

The most recent buzz coming out of Silicon Valley is small, anonymous social apps like Secret and Whisper. Those apps combine the joys of scandalous water-cooler gossip with the Internet's ability to keep us anonymous while we do it. You're still posting to your established social networks, but nobody knows which friend said what.

That speaks to one reason some observers see a move to smaller social networks. Putting one's best foot forward -- particularly in a way that will please Mom and Dad, your co-workers, your drinking buddies and your high school pals all at once -- gets hard after a while.

Last year, the Pew Research Internet Project conducted focus groups with teens who said they had become less excited about Facebook, "disliking the increasing adult presence, people sharing excessively, and stressful 'drama.'"

The report noted, though, that few of them had stopped using the site altogether. In fact, those with the largest networks on Facebook (more than 600 friends) were also the most likely to retreat at times to other, smaller social media.

Path, launched by former Facebooker Dave Morin in 2010, limits users to no more than 150 friends. (It was originally just 50.) The app hasn't fully lived up to the hype it received when it rolled out, and its growth has been hampered, in part, by privacy snafus early in its existence.

But it has continued to chug along and now has more than 25 million registered users. (The company has not given out more detailed information, including the number of those users who are active.)

Morin's theory for the app was based on research by Oxford University psychologist and anthropologist Robin Dunbar. Dunbar opined that our brains only have the ability to maintain 150 stable relationships. Anything above that, and the relationship becomes more superficial.

"Some social media sites have become so large that, ironically, the social component is now lacking," said Itai Himelboim, a University of Georgia telecommunications professor who studies the role of social media in news and politics. "One cannot maintain relationships with more than a couple of dozens of friends, online or offline."

For many, sites like Facebook and Twitter have become "personal broadcast tools" that allow them to inform big groups about events in their lives, but not really share much, he said.

"Smaller social media spaces, especially specific to an area of interest or a skill, can become an alternative, where users can create a manageable social network, where they can invest in interpersonal relationships," said Himelboim, who teaches a course in social media analytics.

Some people have reported fatigue from the effort required to maintain their social presences on big sites.

"Twitter and Facebook ... are like giant auditoriums where we put on 'public performances.' And those have grown exhausting," Brian Moore, co-founder of Cloak, a privacy app, told CNN. "That's why Snapchat felt so refreshing."

Snapchat lets users exchange photo-based messages that disappear after a few seconds, easing the pressure some feel to compose posts that will be widely liked and shared.

That's a topic author and marketing consultant Jay Baer was tackling back in 2011, around the time the "small social" surge was starting.

In a piece titled "Social Media, Pretend Friend and the Lie of False Intimacy," he quoted social media buzz phrases like "Social media makes a big world smaller" and "LinkedIn is for people you know, Facebook is for people you used to know, Twitter is for people you want to know."

"All of these chestnuts are passed around like a flu strain because they make intuitive sense," Baer wrote. "But common among them is the underlying premise that interacting with more people is inherently better than interacting with fewer people. I have always believed this to be true, and in fact have delivered the lines above in presentations and on this blog. But today, I'm no longer convinced."

@highlight

In the Facebook age, many users are turning to smaller social media

@highlight

Apps like Snapchat, Vine and WhatsApp have seen huge growth

@highlight

Scholars say larger networks grow too big for our brains to handle

@highlight

Survey: Teens with most Facebook friends most likely to use a smaller network