(CNN) -- Accusations of lies and counter-lies dominated the intensifying November election campaign Thursday, with surrogates and spokespeople for President Barack Obama and certain Republican nominee Mitt Romney trying to cast the other as dishonest and secretive.

While neither candidate engaged directly in the political back-and-forth, their teams and supporters launched new attack ads and criticized the opposing contender with increasingly sharp rhetoric.

Senate Majority Leader Harry Reid, D-Nevada, said Romney couldn't be confirmed as a dogcatcher because he refuses to make public more of his past income tax returns, while Romney adviser Ed Gillespie labeled as a lie some Obama ads that accused the former Massachusetts governor of outsourcing jobs when he headed Bain Capital.

"Another day, another Obama campaign falsehood," said the headline of a statement by the Romney campaign.

Romney was scheduled to speak later Thursday at a fundraiser organized by former Vice President Dick Cheney, while Obama declined an invitation to address the NAACP national convention in Houston, sending Vice President Joe Biden instead.

Obama's campaign blamed a scheduling conflict for his unavailability to speak to the nation's largest African-American advocacy group. The president's schedule for Thursday initially appeared wide open, but a senior administration official confirmed Thursday morning that Obama and the first lady were being interviewed by CBS later in the day.

At the convention, a short videotape from the president urged delegates to "keep standing with me."

On the campaign trail, the competing charges of lying involved claims by each camp that the other candidate has been more responsible for sending U.S. jobs overseas, as well as a longstanding and previously discredited accusation that Romney remained at the private equity firm for three years longer than he has said.

Romney says he ceded control at Bain Capital in February 1999 in preparation to run the 2002 Winter Olympic Games in Salt Lake City. However, The Boston Globe reported Thursday that documents filed with the Securities and Exchange Commission stated that Romney owned 100% of the company until as late as 2002

CNN confirmed that an SEC filing from 2001 also listed Romney as the "sole shareholder, sole director, Chief Executive Officer and President of Bain Capital."

In addition, CNN obtained from a Democratic official a Bain Capital filing with the Massachusetts Secretary of State's Office in 2001 that listed Romney as Bain president as well as a director. The document was Bain Capital's annual foreign corporation report for calendar year 2000, signed by Bain Treasurer Joshua Berenstein.

Romney's campaign spokeswoman, Andrea Saul, said the Boston Globe article "is not accurate" and insisted the candidate left his management role at the company in 1999 "as Bain Capital has said, as Gov. Romney has said, and as has been confirmed by independent fact checkers multiple times."

Steve Pagliuca, Bain managing partner, told CNN on Thursday that Romney had "absolutely no involvement with the management or investment activities" of the firm after his February 1999 exit, but continued to be the sole stockholder.

"Due to the sudden nature of Mr. Romney's departure, he remained the sole stockholder for a time while formal ownership was being documented and transferred to the group of partners who took over management of the firm in 1999," Pagliuca said. "Accordingly, Mr. Romney was reported in various capacities on SEC filings during this period."

The timing of his end date at the firm remains an important focal point in the presidential race, as Romney argues he left the company before it was involved with the shuttering of certain businesses that led to job losses.

Obama's re-election campaign quickly seized on the Boston Globe report, arguing it was possible proof that Romney "hasn't been telling the truth" about his exit from Bain.

"Either Mitt Romney, through his own words and his own signature was misrepresenting his position at Bain to the SEC, which is a felony, or he was misrepresenting his position at Bain to the American people to avoid responsibility for some of the consequences of his investments," said Obama deputy campaign manager Stephanie Cutter. "If that's the case, if he was lying to the American people, then that's a real character and trust issue that the American people need to take very seriously."

The Romney camp reacted quickly, with campaign manager Matt Rhoades calling Cutter's remark "a reckless and unsubstantiated charge" that was "so over the top that it calls into question the integrity of their entire campaign."

"President Obama ought to apologize for the out-of-control behavior of his staff, which demeans the office he holds," Rhoades continued. "Campaigns are supposed to be hard fought, but statements like those made by Stephanie Cutter belittle the process and the candidate on whose behalf she works."

The nonpartisan group FactCheck.org said it previously looked into the matter of when Romney left Bain Capital and concluded there was insufficient evidence to show that Romney was still managing the company, even part-time, during his time with the Olympics.

"We would reassess our judgment should somebody come up with evidence that Romney took part in any specific management decision or had any active role (not just a title) at Bain after he left to head the Olympics," said Brooks Jackson, the director of FactCheck.org.

Jackson added: "But in our considered judgment, nothing in the Globe story directly contradicts Romney's statements, which he has certified as true under pain of federal prosecution, that he 'has not had any active role' with Bain or 'been involved in the operations' of Bain since then."

Obama's campaign also has been calling on Romney to release more than the two years' worth of tax documents he has already made public, suggesting the candidate may be hiding important details about his finances.

In a statement Thursday, Cutter questioned whether Romney was concealing his tax documents "because there is still more about this period and beyond that he doesn't want people to know."

The chief of the House Republicans' campaign arm said Thursday it was reasonable for people to ask for more information about Romney's personal financial records.

"His personal finances, the way he does things, his record, are fair game," Texas Republican Pete Sessions told CNN.

So far, the former Massachusetts governor has released his 2010 tax records and an estimate for 2011, but he has filed an extension for his 2011 taxes. In an interview on Fox News on Wednesday, Romney said he'll release the most recent information "as soon as they're prepared." Romney has an estimated net worth of more than $250 million.

Meanwhile, Romney's campaign released a new television ad Thursday accusing Obama of spreading "dishonest attacks" that Bain Capital specialized in advising companies on outsourcing while Romney was its head.

The new Romney ad noted that FactCheck.org said there is "no evidence" that Romney was directly responsible for shipping jobs overseas while he headed the company.

Obama's campaign has pressed the point in its own attack ads, and the president told an Iowa crowd Tuesday that "Gov. Romney has experience owning companies that were called 'pioneers' in the business of outsourcing."

In an interview Thursday on NBC, Gillespie of the Romney campaign said the Obama ads "have been shown to be demonstrably false and that's, you know, that's another way of saying a lie, obviously."

Gillespie's comment showed the growing role of surrogates for the candidates in launching campaign attacks.

Reid, who said Wednesday that Romney would fail to win Senate approval as a Cabinet member because he won't reveal more than two years of his tax returns, went a step further Thursday.

"He not only couldn't be confirmed as a Cabinet secretary, he couldn't be confirmed as dogcatcher," Reid said. "As a dogcatcher, you'd at least want to get a look at his tax returns."

Meanwhile, House Speaker John Boehner, R-Ohio, went after Obama during his weekly news conference, accusing the president of giving stimulus money to companies that did business overseas instead of in the United States during a recession.

However, a fact check by The Washington Post showed there was little evidence that companies receiving federal money used it to pay workers overseas.

Obama got some good news Thursday, with the number of people filing for initial unemployment claims falling to a four-year low. But the president remains vulnerable on his handling of the economy, identified as the biggest issue on the minds of voters, because of the 8.2% unemployment rate and weak growth.

A top independent conservative group, Crossroads GPS, announced Thursday it was going up with its second straight television commercial slamming Obama over the high unemployment rate.

The group, which was co-founded by conservative operative Karl Rove, says the commercial is part of an $8 million ad buy targeting battleground states.

Crossroads GPS is the sister organization to American Crossroads, the independent super PAC that backs GOP causes and candidates. Crossroads GPS has spent tens of millions of dollars to run ads critical of the president and supportive of GOP lawmakers and candidates in crucial Senate contests.

In his remarks to the NAACP, Biden focused on voting rights, arguing that Republicans were making it more difficult for people to vote. By implementing laws requiring voters to present official identification at the voting booth, Biden said, the GOP sees "a different future, where voting is made harder, not easier."

Democrats have said that such laws are politically motivated and intended to suppress minority voting. Republicans have said the laws prevent fraud and protect the integrity of the system.

The issue was a hot topic this week at the NAACP convention, where Attorney General Eric Holder spoke Tuesday and lambasted states that have considered or attempted to implement such laws, including Texas, Wisconsin and Pennsylvania.

Appealing to the group's founding, Biden on Thursday urged the crowd to "remember what (the NAACP) at its core was all about."

"It was about the right to vote, because when you have the right to vote, you have the right to change things," he said.

Biden's speech came one day after Romney was booed during his own remarks to the group when he vowed to repeal the Affordable Care Act, Obama's signature health care law.

In comparison, Biden drew thunderous applause Thursday after trumpeting health care reform and emphasized that the law ensures coverage to "8 million black Americans who never would have had insurance."

CNN's Paul Steinhauser, Ashley Killough, Kevin Bonn, Jim Acosta, Tom Cohen, Deirdre Walsh, Gregory Wallace and Shannon Travis contributed to this report.

@highlight

NEW: A House Republican says Romney's personal finances are "fair game"

@highlight

The campaigns of President Obama and Mitt Romney accuse each other of lying

@highlight

The charges involve competing claims about Romney's time at Bain Capital

@highlight

Obama sends Vice President Joe Biden to address the NAACP