(CNN) -- As Easter comes into view, the thoughts of billions of Christians turn to Jerusalem, to a sacred weekend that includes the crucifixion and resurrection of Jesus. Of course, people regard these events with various degrees of literalness. But Easter retains its power.

It is, in fact, the essential Christian celebration, as the Gospels focus hugely on this part of the Jesus story. They describe in slow motion his entry into Jerusalem and the final week leading up to the crucifixion on Good Friday, the uncertain stillness of Holy Saturday, when the world seems to have slipped into total darkness, then the joy of the Resurrection itself, with a sense that boundaries have been broken -- most aggressively, the membrane between life and death.

Questions arise, of course. Did Jesus really rise from the dead? What would that look like? Many Christians imagine some literal wakening from the dead and refuse to accept the slightest hint that the Resurrection might be regarded as symbolic without denigrating it.

Indeed, if you read the Gospel narratives closely, it's not easy to say what actually happened. All four of them skip the actual Resurrection. That is, we never see Jesus waken. The first inkling of change comes when a few women close to him visit the tomb. Accounts differ on who turned up at the tomb that morning: Mary Magdalene, a close friend of Jesus, alone or with Mary, his mother, and with Salome (who is either Mary's sister or the mother of apostles James and John).

In John's Gospel, Mary Magdalene visits the tomb alone. To her amazement, she finds the stone rolled away. In panic, she runs to tell Peter and another (unnamed) disciple, who rush to the tomb and find it empty. They appear to think someone has stolen the body. Meanwhile, Mary Magdalene sits outside the tomb by herself, crying softly.

After a while, she walks back into the crypt, where she sees two angels in white. They speak to her, and then a mysterious figure appears at her side to ask her why she's crying. She thinks he's the gardener, then she recognizes the voice if not the face when he calls her by name. She cries: "Rabboni!" --in Aramaic, "teacher."

The post-Resurrection appearances of Jesus vary wildly. For the most part, those who meet him fail to recognize him, as in the story of the Road to Emmaus, where Jesus appears beside two of his followers. They don't recognize him, which suggests that he has not reappeared in a familiar form. Even when he joins them for dinner, they don't know who sits beside them. Only when he prays over the bread before eating do they recognize him, and he immediately disappears -- poof.

Even his closest disciples don't know Jesus when they see him, as in John's Gospel, where he appears by the Sea of Galilee to Peter, Thomas, Nathanael and two other disciples. It takes quite a while for Peter, alone among them, to recognize this mysterious figure on the shore who advises them where to catch the fish.

A kind of summary of Jesus' post-Resurrection appearances will be found in Paul's first letter to the Corinthians (15:5-8):

"He appeared to Cephas [Peter], and then to the Twelve. Then he appeared to over five hundred brothers at one time, most of whom remain alive now, though some have fallen asleep. Then he showed himself to James, then to all the apostles. Finally, he appeared to me."

This letter of Paul is one of the earliest examples of Christian literature, written perhaps 20 years after Jesus died, and it gives us some sense of what stories people were telling about him. The last appearance, alas, hardly counts for much, as it occurs on the Road to Damascus, where Paul hears a voice from the Lord, which says: "I am Jesus whom you persecute." (Acts 9:5) When Paul opens his eyes, however, he sees nothing.

These accounts of what happened after Easter suggest that a lot of different rumors circulated about the Resurrection, and the four Gospels reflect these divergent stories. And the characteristics of Jesus' resurrected body shift a good deal. In one case, Jesus asks Thomas, the famous doubter, to touch the wound in his side, proving that he's really there. Elsewhere, Jesus passes through locked doors like a ghost -- an unsettling image.

In Luke's Gospel, he astonishes his disciples by eating "a piece of broiled fish" as well as swallowing honey. For the most part, his appearances retain a dreamlike quality, suggesting that Jesus didn't want anyone to assume that whatever happened to him occurred in ordinary time and space. He did not, like Lazarus, simply get up and walk from the burial crypt and resume life on the street. This is the Resurrection, not the Great Resuscitation.

But Christian thinking is Resurrection thinking. It's about rebirth or reawakening in many forms, about spiritual and moral transformation. And this is the really good news of Easter.

@highlight

Jay Parini: Easter is Christians' most powerful day. People vary on how literal resurrection is

@highlight

The Gospel writings about this are unclear on what happened. They skip that part, he says

@highlight

He says in post-Resurrection accounts Jesus appears, but he is not recognizable

@highlight

Parini: Differing accounts suggest much was rumor. But Easter rebirth message endures