(CNN) -- Benilda Caixeta, who was paralyzed from her shoulders down, was one of many residents of New Orleans, Louisiana, still trying to evacuate when Hurricane Katrina struck on August 29, 2005. But despite her repeated calls to the local transportation system that served people with disabilities, as well as to 911, help never arrived. She was found dead in her apartment several days later, floating next to her wheelchair.

Monday marks the 20th anniversary of the Americans with Disabilities Act. As we celebrate this historic law, which delivered civil rights to millions of Americans, we must also acknowledge how far we still have to go to live up to the law's promise -- especially when it comes to planning for disasters and protecting the vulnerable such as Benilda Caixeta.

For years, our nation's emergency management community simply has not done a good enough job planning for and meeting the needs of people with disabilities.

When Katrina hit in 2005, more than 54 million Americans, or almost 20 percent of our population, had disabilities. During that hurricane season, communities with large disabled populations were struck hard. Their experiences are some of the lesser known -- but equally important -- lessons that should have been learned from those storms.

Yet we saw many of those same mistakes repeated two years later during Hurricanes Gustav and Ike. Many children and adults with disabilities were turned away from shelters. Blind and deaf residents did not have access to critical information about where to go or how to get assistance. Services that are required under ADA and other disability rights laws were not provided. And many disabled evacuees developed serious -- but preventable -- health complications.

Last month, these issues were again highlighted by lawmakers during a congressional hearing at which questions were raised about whether enough funds are being committed to ensure the safety of people with disabilities. It is our responsibility to meet these challenges, and that requires understanding their cause.

The root of the problem lies here: Historically the U.S. emergency management field has treated people with disabilities as a separate population, rather than as part of the larger community. This limited approach not only directly violates the intent of the ADA, but ties up personnel and resources when a disaster strikes. It jeopardizes everyone's safety.

As the administrator of the Federal Emergency Management Agency and former head of the Florida Department of Emergency Management, I know from experience that we can't afford to wait to plan for people with disabilities until after we plan for the rest of the community.

That's why one of my top priorities in my first year at FEMA has been to transform the way the emergency management community thinks about integrating this vital population.

From day one, we have challenged every member of our leadership team to start integrating the needs of people with disabilities into every step of planning.

In February, we established the Office of Disability Integration and Coordination, the first office in FEMA's history dedicated to ensuring that the needs of people with disabilities are factored into all operations.

As a result, we are already taking important steps to better support all members of our emergency management team -- state and local officials, nonprofit organizations, volunteer groups and the private sector -- in helping people with disabilities before, during and after a disaster.

We are working with disability advocates to incorporate the needs of people with disabilities into emergency communications and public alert systems, evacuations, transportation and medical equipment supply plans.

Preplanning for evacuations, for example, must include accessible transportation for people using wheelchairs and information that is easy to act on for people who are deaf or blind, or people who have cognitive or intellectual disabilities.

We are improving our disaster housing strategies to ensure that people with disabilities have access to general shelters and temporary housing that meet their needs and to ease their transitions back into the community. Shelters must be able to keep families intact during an emergency, instead of turning away members of a family because of a disability.

We have already seen some of these strategies start to make a difference. Just last month, during the evacuations for Hurricane Alex, Baptist Child and Family Services, which provides shelters for the state of Texas, followed our guidelines for serving evacuees with and without disabilities in their community shelters.

These guidelines included providing practical cot and sleeping arrangements for evacuees with disabilities, helping them with personal care, hygiene and special dietary needs, and accommodating service animals in the shelter, among other things.

And because our primary mission is always to support state and local officials when responding to a disaster, we are coordinating disability-focused training within FEMA and with our federal partners across the Obama administration and private organizations.

This is just the beginning of an effort that will be challenging and take a lot of hard work. This anniversary is an opportunity to reflect on how far our nation has come since the Americans with Disabilities Act was first signed into law -- and to take an honest look at where we go from here. At FEMA, that means continuing to learn from the mistakes of the past to better protect and serve the entire community. It's not only the law -- it's the right thing to do.

The opinions expressed in this commentary are solely those of Craig Fugate.

@highlight

Those with disabilities are especially at risk in disasters, says FEMA's Craig Fugate

@highlight

Help did not arrive for victims in such disasters as Hurricane Katrina

@highlight

Fugate: Historically relief authorities haven't planned for those with disabilities

@highlight

He says FEMA is taking on the challenge, but there's a long way to go