(CNN) -- It's the Earth-orbiting research lab as big as a five-bedroom house, complete with two bathrooms, a gym and a huge bay window -- but how much do we know about what goes on at the International Space Station?

We watched as astronauts played football in space during the World Cup, we listened to Chris Hadfield croon his rendition of David Bowie's "Space Oddity," and we've all seen the odd space selfie snapped in zero gravity.

Sure, the lucky few who have gone up to the International Space Station (ISS) seem to be having fun. But there's also a serious side to the astronauts' sojourns among the stars that we don't often hear about.

"We are bettering the human experience on Earth. Going further, going beyond," says Stephanie Buskirk Dudley, an ISS payload operations director (POD) who helps coordinate all the research conducted at the facility. "We learn things by doing science that we never even knew we would learn. And it's actually because we are there."

If the ISS is a crazy space circus, then Buskirk Dudley is one of the ringmasters leading the ever-changing scientific troupe.

She explains: "We've got cameras looking at all over the Earth from the space station that are helping with disaster research and coastal erosion. We have one coming for ocean temperature and warming of the oceans. We are doing research that affects every single person on the planet."

Science among the stars

It became humanity's home away from home in October 2000 when the first six astronauts arrived on board and the ISS has been busy ever since. The permanently orbiting facility -- which has cost an estimated â‚¬100 billion (just under $135 billion) according to the European Space Agency -- has since been inhabited constantly by astronauts as they work tirelessly to answer some of science's most intriguing questions.

Often we see some of the more entertaining demonstrations appear on social media. Just last month U.S. astronaut Reid Wiseman uploaded the world's first #SpaceVine of a spectacular fireball experiment called FLEX-2, which examines how fuel ignites in space. Here on Earth, we thought it looked pretty cool. For scientists, the results could yield new insights into fuel efficiency for engines on Earth and safer future spacecraft production.

Another seemingly quirky experiment involves sending 40 mice up to the station later this year, which will be their home for six months -- roughly a quarter of a mouse's average lifespan. The rodents' journey to space may look like an odd move for scientists but it is hoped the "moustronauts" will provide valuable biomedical insight into how spaceflight affects the human body.

These are just some of the hundreds of investigations taking place every day aboard the floating outpost by scientists from all around the world. The mammoth task is coordinated by the Payload Operations Integration Center (POIC) at NASA's Marshall Space Flight Center in Huntsville, Alabama.

Buskirk Dudley is one of 23 certified PODs who plan every minute detail involving space station research. Pioneering research is conducted 24 hours a day, 365 days a year and the key to success is planning, she says. "[It takes] a great team of people doing many different jobs. Everybody is an expert in their own little field. It really takes a whole team with a lot of hard work and planning.

"We've got, for instance, ultrasound on board the station and we have perfected training non-medical personnel -- astronauts -- to perform on themselves and get good results for doctors on Earth. And that is directly applicable to countries in which medicine is not as available as it is in the U.S. and the UK."

The success of ultrasound experiments by non-medical personnel in space has led scientists to believe that back on Earth, patients could be trained to perform their own ultrasound exams and send the images to doctors in situations where a medical facility is difficult to access.

Buskirk Dudley adds: "Over half of the population of the world, for instance, is a woman. We are doing research on bone health every single day and just that one experiment alone could help over 50% of the world's population. That is just human research: we've got biological research, we've got material research, combustion, particle physics -- the whole gamut of research we're doing every single day.

"Today, the crew is upgrading the 'Robonaut' (a humanoid robot on the ISS). Our eventual goal is to give him legs and have him do maintenance tasks to free up the crew for more science. When we originally flew him, he was just a torso and arms. And they are doing robot surgery to upgrade all his internal electronics so they can eventually add legs to him."

'It's research for the world'

But Buskirk Dudley is keen to point out that it's a truly International Space Station, not simply an American enterprise. POIC is one of five international control centers working to synchronize the research at the ISS. Other similar control centers are located in Germany, Japan, Russia and, of course, back at Mission Control at Johnson Space Center in Houston.

"Even though it's NASA science that we're doing, the scientists are all over the world. It's not just science in the U.S.," says Buskirk Dudley. "The scientists that we work with are not at those control centers. They are in their lab, in their university, in their house perhaps -- all over the world. We've enabled them to do the science wherever they might be."

Cheryl Nickerson is a professor at the Biodesign Institute at Arizona State University. She is one such trailblazing scientist at the forefront of cellular biomechanics, who has achieved remarkable success using the ISS to conduct unique spaceflight research into diseases such as salmonella.

"The microgravity environment of spaceflight offers a unique environment for ground-breaking biotechnology and biomedical innovations and discoveries to advance human health in infectious disease, cancer, aging, bone and muscle-wasting diseases, and advances in tissue engineering," she says.

"Our research demonstrated that spaceflight increased the virulence of salmonella and globally altered the gene expression of this pathogen in unique ways that are not observed using traditional experimental approaches on Earth."

And she's not done there. Later this year, commercial carrier SpaceX will fly the professor's latest NASA-funded experiment, Micro-5, to the space station, where her team will monitor the salmonella infection process in real-time when the human surrogate host and pathogen are simultaneously exposed to spaceflight.

For Nickerson, the ISS is invaluable for the ongoing pursuit of knowledge.

"If properly implemented, the legacy of an ISS research portfolio consisting of hypothesis-driven, impeccably designed and executed experiments will have a lasting impact on our nation's scientific capability, economy, and quality of our lives."

SEE: Capturing the Cosmos through a lens

@highlight

The International Space Station (ISS) is a permanently orbiting research lab

@highlight

Scientists perform research 24 hours a day, 365 days a year

@highlight

"We are bettering the human experience on Earth," says ISS operative