(CNN) -- Dead baby bottlenose dolphins are continuing to wash up in record numbers on the shores of the Gulf of Mexico, and scientists do not know why.

Since February 2010 to April 2011, 406 dolphins were found either stranded or reported dead offshore.

The occurrence has prompted the National Oceanic and Atmospheric Administration to designate these deaths as an "unusual mortality event" or UME. The agency defines a UME as a stranding incident that is unexpected or involves a significant loss of any marine mammal population.

"This is quite a complex event and requires a lot of analysis," said Blair Mase, the agency's marine mammal investigations coordinator.

Mase said NOAA is working closely with a variety of agencies to try to figure out not only why the bottlenose dolphins are turning up in such large quantities but also why the mammals are so young.

"These were mostly very young dolphins, either pre-term, neonatal or very young and less than 115 centimeters," she said.

Marine mammals are particularly susceptible to harmful algal blooms, infectious diseases, temperature and environmental changes, and human impact.

"The Gulf of Mexico is no stranger to unusual mortality events," Mase said.

Sensitivity surrounding marine life in the area is particularly high after the BP oil disaster that sent millions of barrels of crude into the Gulf of Mexico nearly a year ago.

The incident occurred on April 20, 2010, when a Deepwater Horizon rig leased to BP exploded, killing 11 workers and leading to the worst oil spill in U.S. history.

As recently as two weeks ago, scientists documented a dead dolphin with oil on its remains, Mase said.

Since the start of the oil spill, a total of 15 bottlenose dolphins have been found with either confirmed or suspected oil on their carcasses.

Even after the gushing well was capped, the agency said nine oiled dolphins have been found since November 2, 2010.

Of those nine, six were confirmed to contain oil from the incident; one was found with oil that did not match the Deepwater Horizon samples, and two have not yet been tested.

The dolphin deaths may be completely independent from the oil spill, Mase said.

"Even though they have oil on them, it may not be the cause of death," she said. "We want to look at the gamut of all the possibilities."

The agency said bottlenose dolphins are actually the most-frequently found stranding marine mammal.

Scientists say they are equally concerned about the number of sea turtle strandings.

Similar to the dolphin deaths, an abnormally high number of turtles have been found either floating close to shore or washed up on shores in Louisiana, Mississippi and Alabama.

"The vast majority of these are dead, with states in moderate to severe decomposition," said Barbara Schroeder, NOAA Fisheries national sea turtle coordinator.

The majority of them are Kemp's ridley sea turtles, an endangered species since 1970. But some strandings included loggerheads, which are also endangered.

"Since January 1st, we've had just under 100 strandings," Schroeder said. "About 87 of those have been documented since the middle of March."

Only about a third of those found were in good enough shape to perform necropsies, she said. Seven turtles showed indications that they had been in accidents involving watercrafts, while another displayed injuries consistent with being caught on a hook.

Results from the rest appeared to indicate they had drowned near the bottom of the Gulf -- possibly either from forced submergence or an acute toxic event.

NOAA Fisheries Stranding Program Coordinator Dr. Teri Rowles said tissue samples from both turtles and dolphins are being carefully documented due to the civil and criminal litigation ongoing with BP.

"We are looking at what is the impact of the oil spill and the response activities to the oil spill event, and what impact they had on the Gulf of Mexico ecosystem," she said. "We did not say that the dolphins have died because of the oil, just that they have come back with oil on them."

@highlight

Since February 2010, 406 dolphins have been found dead or stranded

@highlight

Sensitivity about marine life in the area is high after the BP oil disaster

@highlight

Scientists are also concerned about sea turtle strandings