(CNN) -- Faced with a deluge of opposition that included pressure from lawmakers and internal dissent, one of America's leading breast cancer advocacy groups on Friday reversed itself on a decision that would have cut off funding to some Planned Parenthood projects.

"We want to apologize to the American public for recent decisions that cast doubt upon our commitment to our mission of saving women's lives," the Susan G. Komen for the Cure Foundation said in a statement. "We will continue to fund existing grants, including those of Planned Parenthood, and preserve their eligibility to apply for future grants, while maintaining the ability of our affiliates to make funding decisions that meet the needs of their communities."

The group's earlier decision not to renew part of its longstanding partnership with Planned Parenthood, which operates hundreds of family clinics that perform abortions, triggered strong emotions across the country. It provoked objection even from some of its own affiliates.

Planned Parenthood said funding from the Komen foundation has largely paid for breast exams at local centers. In the last five years, grants from the group have directly supported 170,000 screenings, making up about 4% of the total exams performed at Planned Parenthood health centers nationwide.

In Washington, 26 Senate Democrats had signed a letter calling on Komen to reconsider. New York City Mayor Michael Bloomberg, a longtime Planned Parenthood supporter, pledged $250,000 in matching grants to help make up for the loss in funding.

"Politics have no place in health care," the mayor said. "Breast cancer screening saves lives, and hundreds of thousands of women rely on Planned Parenthood for access to care. We should be helping women access that care, not placing barriers in their way."

Bloomberg's gift came on top of $400,000 that Planned Parenthood reported raising online from 6,000 donors the first 24 hours after the initial announcement.

By Friday, the group had raised more than $3 million.

"It's a testament to America's compassion and sincerity," said Barbara Zdravecky, CEO of Planned Parenthood of Southwest and Central Florida.

Addressing the controversy, Zdravecky said only about 3% of the group's services provide for abortions, a hot button issue in presidential politics, while the majority of the group's work is based on prevention, screening and family planning.

An anonymous donor had also offered $300,000 in matching grant money earlier this week, Zdravecky said.

"Today, the interests of women's health prevailed over partisan politics," said Sen. Frank R. Lautenberg (D-New Jersey). "The Komen Foundation did the right thing."

Other lawmakers expressed outrage over Friday's announcement.

Republican Rep. Renee Ellmers added that the group's "original stance to stop funding pending an important congressional investigation was an act of courage and prudence, making their sudden reversal today appear hollow and weak."

Republican presidential candidate Rick Santorum said he was "deeply disappointed " in the decision.

CREDO, which describes itself as the largest corporate donor to Planned Parenthood, said Thursday that 250,000 of its members had signed a petition urging the Komen Foundation to reverse its decision.

"The (earlier) move is clearly connected to attempts by Republicans in Congress to defund Planned Parenthood," the organization said in a statement. "In responding to questions about its decision, the foundation cited as its rationale a sham 'investigation' into Planned Parenthood launched by Republican Rep. Cliff Stearns," who the group called "one of the most militant anti-choice members of Congress."

In September, the House Committee on Energy and Commerce, on which the Florida congressman sits, began an investigation into Planned Parenthood over the organization's "compliance with federal restrictions on funding abortions."

The group said Tuesday that the Komen Foundation had "succumbed to political pressure" by cutting its funding for breast cancer screenings amid increased scrutiny by Congress over how Planned Parenthood provides abortion services.

But the American Life League said in a statement that the foundation's decision was justified.

Planned Parenthood "is currently the focus of a congressional investigation, and multiple affiliates are under state investigations," it said. "Planned Parenthood operatives are lashing out at Komen across the Internet and throughout the media, in what appears to be a coordinated effort to paint Komen's policy as cowardly and politically motivated."

The Komen Foundation had also denied that its decision stemmed from politics.

"We've always had the right to cancel contracts for organizations that came under investigation for potential wrongdoing," said Nancy Brinker, CEO and founder of the group. In all, grants were not renewed to 16 of 19 Planned Parenthood clinics, she said. "We don't base our funding decisions on emotions or politics or whether one side or another will be pleased."

Brinker was a political appointee of the George W. Bush administration, in which she served as U.S. ambassador to Hungary and as chief of protocol. Susan G. Komen was Brinker's sister.

Komen Foundation President Liz Thompson said the funds would have been redirected "to other programs in our communities that can provide these services more directly."

She said there was "amazing consensus" among foundation board members about the decision, which was made "over the better part of two years."

That consensus did not include Dr. Kathy Plesser, a member of the foundation's medical advisory board in New York, who had pledged to resign if the decision was not overturned.

"I cannot as a physician and advocate for women's health continue to be a part of the organization if it continues in this direction," Plesser said. "A big part of what Komen does is reach underserved communities of women. With this (earlier) decision, they're not living up to this mission."

Mollie Williams, the group's managing director of community health programs, left Komen this month.

"It was an honor to oversee and expand their public health efforts during my six years there," Williams said. "At the same time, I respect the work of Planned Parenthood, including their lifesaving efforts to detect cancer in its earliest stages. The divide between these two very important organizations saddens me."

It wasn't immediately clear whether she had resigned. Thompson said it's policy not to release information about employees other than start and end dates.

@highlight

Donors rush to support Planned Parenthood

@highlight

Susan G. Komen for the Cure Foundation reverses decision not to renew funding

@highlight

Planned Parenthood said Tuesday that the foundation had "succumbed to political pressure"

@highlight

In Washington, several Senate Democrats signed a letter calling on Komen to reconsider