(CNN) -- For the first time in decades, the hunting of the gray wolf is legal again in the United States. And that's a good thing for ranchers like Cindy Siddoway of Terreton, Idaho, whose sheep are threatened every day by wolves.

Gray wolves were taken off the endangered species list after their population rebounded.

"We have worked very hard to protect what we have, and it's not very successful," she said. "It is devastating for us to put all of the money and the time and the genetics and work to produce a great product and then just have it half-eaten and left to die."

But wolf hunting isn't popular with everybody. It has become a controversy in Idaho, where the hunt began Tuesday, and in Montana, where it is scheduled to start September 15.

Environmental and animal rights groups are upset by a federal decision this year to remove gray wolves in the northern Rocky Mountains from the endangered species list, a move that opened the door to permitting the hunts.

They are seeking an injunction in U.S. District Court in Montana to stop the hunts. Judge Donald Molloy is reviewing the case, and it's unclear when he will rule.

After their population dwindled in the Rockies last century, in part because of practices like trapping, gray wolves were put on the endangered species list.

But the population has rebounded, and the U.S. Fish and Wildlife Service delisted the animals and determined that the populations would be healthy enough for hunts to be permitted in Idaho and Montana, which manage the wolf populations.

There are also gray wolves in Wyoming, but hunts are not permitted there because of the state's weak wildlife management, the U.S. Fish and Wildlife Service said.

Opponents of the hunt say the population is not large and healthy enough to allow hunting.

Melanie Stein, a Sierra Club spokeswoman, said that the wolf populations "are just on the cusp of recovery and that we are almost there." But she says the hunts represent "a step backward and away from recovery" of the wolf populations.

Defenders of Wildlife, one of several groups urging the court to stop the hunt, detailed the ecological role of the wolves on its Web site.

"In what is known as the cascade effect, wolves are exerting influence over a multitude of species within the park's ecosystem. Elk, wary of the reintroduced top predator, have altered their grazing behavior.

"With less grazing pressure from elk, streambed vegetation such as willow and aspen is regenerating after decades of overbrowsing. As the trees are restored, they create better habitat for native birds and fish, beaver and other species."

Siddoway doesn't think the hunt will make much of a difference right now because it is hard to kill the animals. But the wolf attacks take their toll.

For example, the wolves will kill Great Pyrenees guard dogs used to protect the herds. When that happens, "then we're open to prey from bears and everything else," Siddoway said.

"We know that it's a problem, and we want to make sure ranchers can continue on with their livelihood," Stein said. "But there has to be some co-existence between wolves and other species."

Currently, ranchers and farmers can legally shoot a wolf they see attacking their livestock, said Ed Bangs, wolf recovery coordinator with the U.S. Fish and Wildlife Service.

There are also tools used to counter wolf attacks without hunting, he said. They include scare tactics, like shooting firecrackers out of a shotgun, or proper fencing.

"All that stuff works for a little while in some instances for a short period of time and in some situations can be helpful. But it isn't the silver bullet for wolf depredation," he said.

He said these techniques work "in conjunction with killing wolves."

There are state and private programs compensating ranchers who lose livestock because of attacks, but the money represents only part of what the livestock and the time dealing with the problem is worth.

"The ranchers got the short end of the stick," Bangs said.

Officials say that up to 330 wolves in the states of Idaho and Montana may be killed during this public hunt. In Idaho, the limit is 220 wolves, and in Montana, it would be 75. Members of the Nez Perce tribe in Idaho can kill up to 35 wolves.

Ed Mitchell, spokesman for the Idaho Department of Fish and Game, said three wolves have been taken in Idaho since the hunting season began.

There are more than 1,600 gray wolves in Montana, Idaho and Wyoming.

But Siddoway says "there will never be enough" for environmental groups to agree to the hunts.

CNN's Joe Sterling contributed to this report.

@highlight

Environmentalists, animal rights groups protest decision

@highlight

Ranchers say it might help save their flocks

@highlight

Montana district court judge is considering injunction

@highlight

There are 1,600 wolves in Idaho, Montana, Wyoming; 330 may be killed