Editor's note: Tomorrow Transformed explores innovative approaches and opportunities in business and society through technology.

(WIRED) -- Next month, a giant industry gathering is going to be flooded with virtual-reality experiences: the Birdly flight simulator; something that lets users confront a kaiju attack; an Oculus Rift-enabled spin on combat training; even a VR installation that lets you go to a college party. But this isn't the line-up for CES—it's the Sundance Film Festival.

After bringing a handful of Oculus Rift installations to Sundance in 2014, the festival's New Frontier program, which focuses on innovation in filmmaking, is doubling down and bringing in a much larger slate of virtual reality experiences for 2015. Of the 13 installations in the program, nine feature VR and one of the remaining four—a videogame-esque piece about the Iranian Revolution in 1979—could have a virtual version one day.

It's a slate, senior programmer Shari Frilot says, that shows VR is "a point of conversation that's going to be really relevant to festival audiences and filmmakers."

"I've never really seen anything like this where a new technology is so muscularly poised to hit the market," says Frilot, who has curated the New Frontier program for nine years. "This is the year that we're really going to get wired into this hardware in a major way. It really has the potential to shift the [filmmaking] terrain quite a bit in a very significant and deep way."

Algorithms Are Great and All, But They Can Also Ruin Lives

Oculus, of course, has been to Sundance before. In 2012, a pre-Oculus Palmer Luckey made the VR goggles for Nonny de la Peña's "immersive journalism" project Hunger in Los Angeles. (Peña will be back in 2015 with a piece on children in Syria.)

Last January, festivalgoers got a taste of the space dogfighting game EVE: Valkyrie on the Rift, and multimedia artist Chris Milk brought an immersive version of his "Sound and Vision" Beck concert that was a hit with fans. He'll also be returning for Sundance 2015.

In the months since the last festival in Park City, Utah, Oculus experiences have become the ultimate crowd-pleaser at all kinds of industry events. HBO brought a Game of Thrones experience to South By Southwest in March. Then, after Oculus' $2 billion acquisition by Facebook, Legendary Pictures one-upped HBO with a Jaeger-piloting simulation at Comic-Con International this summer. And, of course, VR made a huge splash at E3 (again) this year. Basically, anywhere there's been a gathering of people interested in any form of media in the last 12 months, there's been a VR experience in the offing.

And now that virtual reality is also coming in the form of Google Cardboard and Samsung's Gear VR the demonstrations are just beginning. (Some of Sundance's New Frontier offerings are being presented in Cardboard and on Samsung's device.)

What Would Your Ideal, Photoshopped Face Look Like? 14 People Find Out

Part of the appeal of these VR installations, of course, is that the Oculus Rift is still in developer-only mode—there's not a consumer version yet. For the time being, it's a cool novelty to tell your colleagues about as you hang up another conference badge and get back to work. But Sundance is a unique case: a lot of the New Frontier projects are made by filmmakers—people who see virtual reality as a new way to experience movies, not just promote them. Creation is the prime mover here, not ancillary marketing.

So, what's in the offing? For starters, Chris Milk is back with a collaboration he did with VFX firm Digital Domain and production house VRSE.works called Evolution of Verse, a CGI "journey from beginning to new beginning" using Cardboard. Then there's Kaiju Fury!, which puts you in a city as monsters are about to lay it to waste. Peña's Project Syria will explore VR's potential as a documentary tool—putting viewers on the ground in the war-torn country to show the effects of the conflict there on children.

Artists Félix Lajeunesse and Paul Raphaël will also be showing a series of live-action experiences, including one that lets users sit in the room while a pianist works on music. [Ed.—They brought this to SXSW last year, and it remains one of the most surprisingly intimate experiences we've seen on the Rift.]

And, in what might be the most thought-provoking piece at New Frontier, the program also will get a VR experience from a Sundance vet Rose Troche, who Frilot says "wanted to make a piece about date rape and do it in a way where there was a lot of gray zones." The director, who first came to the film festival 21 years ago with the black-and-white lesbian dramedy Go Fish, teamed up with CG whiz Morris May for Perspective; Chapter I: The Party.

It's a VR experience that takes a fairly conventional premise—awkward college students hanging out at a party—and turns it into a first-hand experience where a girl and guy "meet, drink, and misinterpreted signals turn into things that cannot be undone."

On paper, Troche and May's piece sounds like the kind of VR effort that could be as emotionally affecting as any film. And the rest of the slate beyond Perspective reads like any independent film festival line-up. Remove the words "virtual reality," and the subject matter has the kind of resonance any indie fest programmer would be proud of: documentaries, a story about a father's time in the military in Chile, a look into the lives of Mongolian yak herders.

Sounds like a main competition line-up at Sundance, not specifically the New Frontier one. That's the point. Filmmaking is just filmmaking, VR just gives it a new theater—one that Sundance's trendy-scarf-clad film nerds might finally be starting to see themselves in.

"Last year people were putting on the DK1 and the first thing filmmakers are looking for is image quality, and that's where filmmakers wondered, 'This is really cool, but what about what it looks like?'" Frilot says. "But now the technology has ramped up to a stage where it'll be wholly embraced by filmmakers."

Check out the full line up for New Frontier, which runs Jan. 22 to Feb. 1 during the Sundance Film Festival, below.

1979 Revolution Game

Artists: Navid Khonsari, Vassiliki Khonsari

1979 Revolution Game presents an innovative approach to non-fiction storytelling. Designed to engage players with an immersive "on the ground" experience of the Iranian Revolution, the game integrates an emotionally impactful narrative with interactive moral choices and intuitive touchscreen gameplay while remaining true to history.

Assent

Artist: Oscar Raby

This immersive documentary uses virtual reality technology to put the user in the footsteps of director Oscar Raby's father, who in 1973 was a 22-year-old army officer stationed in the north of Chile, on the day when the Caravan of Death came to his regiment.

Birdly

Artist: Max Rheiner

Flying is one of the oldest dreams of humankind. Birdly is an experiment to capture this dream, to simulate the experience of being a bird from a first-person perspective. This embodiment is conducted through a full-body virtual reality setup.

Dérive

Artist: François Quévillon

This interactive installation uses the audience's body motions and positions to explore 3-D reconstructions of urban and natural spaces that are transformed according to live environmental data, including meteorological and astronomical phenomena.

Evolution of Verse

Artist: Chris Milk

Chris Milk, working with visual effects powerhouse Digital Domain and virtual reality production company VRSE.works, has created this photo-realistic CGI-rendered 3-D virtual reality film that takes the viewer on a journey from beginning to new beginning.

Kaiju Fury!

Artist: Ian Hunter

A dark energy experiment leads to a devastating attack by monstrous Kaiju, and you are standing at ground zero—all in 360-degree, stereoscopic 3-D cinematic virtual reality. You will "be there" as the beasts lay waste to a crumbling city and humanity makes its last stand.

Paradise

Artist: Pleix

Paradise is certainly not paradisiacal if you look at it through our eyes. But neither is it totally devoid of humor, melancholy, and absurdity. Perhaps it is first and foremost life as it is, and then a touch exaggerated in the digital overdrive.

Perspective; Chapter I: The Party

Artists: Rose Troche, Morris May

A young college woman attends a party with the intention of shedding her "shy girl" persona. At the same party, a young man is after a similar reinvention. They meet, drink, and misinterpreted signals turn into things that cannot be undone. Virutal reality simulators let viewers experience both characters.

Possibilia

Artists: Daniel Kwan, Daniel Scheinert

Possibilia is a multi-layered narrative experience from acclaimed directing duo the Daniels. The story of two quarreling lovers splits exponentially into more and more possible worlds as their relationship unravels.

Project Syria

Artists: Nonny de la Peña

More than one million children have fled Syria and news reports indicate children are being specifically targeted in the violence. By combining pioneering virtual reality technologies with audio and video captured during a real event, audiences feel transported to the powerful scene, becoming witnesses as the intense tragedy unfolds.

The VR works of Felix & Paul

Artists: Félix Lajeunesse, Paul Raphaël

Felix & Paul's groundbreaking live-action virtual reality experiences range from independent documentary to fictional work with major Hollywood studios and stars. These experiences let viewers sit in the room with musicians making music, roam the Mongolian plains with yak herders, and experience an encounter with the afterlife.

Way to Go

Artists: Vincent Morisset

It is a walk in the woods. It is an astonishing online and virtual reality interactive experience, a restless panorama, a mixture of hand-made animation, 360-degree video capture, music, dreaming, and code; but mostly it is a walk in the woods, c'mon!

Zero Point

Artist: Danfung Dennis

Zero Point, a 3-D and 360-degree documentary for the Oculus Rift headset, creates an entirely new digital dimension. From combat training simulations at the Department of Defense to research labs at Stanford to indie game developers and hackers, this immersive experience highlights the future of virtual reality.

More from Wired:

15 Incredible Photos That'll Remind You to Be Awed by Planet Earth

The Teen Brain "Shuts Down" When It Hears Mom's Criticism

21 Awesomely Well-Designed Products We're Dying to Own

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

2015's Sundance Film Festival will feature nine virtual reality installations

@highlight

The art will be a part of its New Frontier program, which explores innovation in the field

@highlight

Virtual reality is become integrated into our film experiences in a more intriguing manner than ever before