(CNN)  -- What was the best moment of Willow Brugh's weekend?

"Someone stood up on a chair (and) asked if anyone had Arduino skills," she said, in reference to the programming platform. "And someone jogged over to them with a huge grin on their face. The joy of sharing."

It wasn't a traditional weekend, of course. Brugh was one of the planners of the Seattle Random Hacks of Kindness event, one of about a dozen such "hackathons" held last weekend around the world. About 1,500 self-proclaimed hackers and technology enthusiasts attended.

It was a weekend of synthesis brought about by what Toronto organizer Heather Leson called "brains colliding."

The RHoK events bring together disaster relief and climate change organizations and a variety of programmers and developers to see if they can generate new solutions to old problems -- in the space of a single weekend.

The Random Hacks of Kindness umbrella organization was founded in 2009 by Google, Yahoo!, the World Bank, NASA, and Microsoft. This weekend was its third international event, and saw teams competing locally in places as far-flung as Bangalore, India and Buenos Aires, Argentina.

World Bank Digital Strategist and RHoK Nairobi organizer Will Pate was proud to point out that almost every single person at RHoK Nairobi stayed the whole 36 hours, eating and sleeping at the hackathon, to get their projects done.

"What was really exciting was seeing a group of young people who are very talented just dive right in and be so dedicated that they stayed overnight."

You might not think even the smartest computer wizards could build much in just a day or two. But you'd be wrong.

RHoK events often end with fully functional products. And the products they create are as diverse as the teams that made them.

In Sao Paolo, Brazil, the main focus was on tools relating to flooding and landslides. Organizer and World Bank Disaster Risk Consultant Aires Zulian Nunes da Conceicao said the top prize-winning hacks there both dealt with new, inexpensive ways to track and understand rainfall and to educate Brazilians about disaster risk.

At the end of the conference, a new kind of synthesis was already occurring.

"We had nine problems with solutions in Sao Paolo, and after the event, the groups were coordinating a collaboration, putting all those solutions together into one package of software," he said. "Hacks to identify risks, in the event to find survivors and use social media to connect them, and then to fix things and manage costs post-event."

In Nairobi, the RHoK weekend started out with a presentation about challenges faced by the Kenya Red Cross. One new solution would help the Red Cross manage volunteers, from their names and skills to keeping track of the hours they've worked so they don't overexert themselves. Another focused on HIV/AIDS and people taking anti-retroviral drugs.

These people are of particular concern in disaster situations because they have to take their medication at precise intervals. A new RHoK application could help coordinate efforts to prevent an interruption of that schedule.

Interestingly, two versions of the same hack won the Atlanta, Georgia, and Toronto, Canada, RHoK events.

MessageCarrier will take messages from people isolated in a disaster and keep them until it finds a data connection.

Atlanta participant Blake Byrnes explains how this works:

"A relief worker goes into a devastated area where cell towers are wiped out and allows people to input messages into their phone. Once they return to an area that has connectivity, it will send all the messages for those people. Kind of like collecting letter mail for people."

One Seattle team designed a "Tethered Tower," a fire- and weather-monitoring sensor that can be mounted on buildings in urban areas or float on weather balloons for emergencies.

Willow Brugh says Tethered Tower hack was her favorite "because it was hardware hacking at a type of event which is usually software only."

The Tethered Tower could also be used as an emergency Wi-Fi hotspot in case of the general loss of Internet connectivity.

Although the stated mission of RHoK#3 addressed disaster and climate issues, not all of the solutions presented followed this guideline.

Four different hacks attempted to connect food providers (like caterers with leftover lasagna) with local food banks to avoid waste.

A Philadelphia team developed an already-functional application to allow local shoppers to find retailers participating in the federal Supplemental Nutrition Assistance Program.

One Seattle team created an application to educate individuals about environmental hazards. It would combine a variety of data sources and tell its user about the water and air quality, among other factors, in their specific current location, and also identify the specific legislator who should be contacted with complaints.

In a true nod to geekdom, its current name is "Eco-Tricorder."

Some of the solutions at RHoK herald a new direction for the organization. This weekend, RHoK announced that it will broaden its mission statement to include all challenges of global development, including water issues.

Elizabeth Sabet of Second Muse, RHoK's global operational lead, explained by e-mail: "The first will be the WaterHackathon in October, where hackers are going to take on the world's single largest cause of illness: lack of safe water and inadequate sanitation."

So hackers, fire up your engines.

But those who might not label themselves hackers are welcome too.

Everybody has a useful skill, according to Will Pate:

"Anyone who's got any skill, RHoK is not closed to you. It's a way to figure out how you can use what you've got to serve development."

@highlight

One dozen Random Hacks of Kindness events held around the world

@highlight

Events bring together disaster relief/climate change organizations and programmers/developers

@highlight

RHoK events end with fully functional, diverse products