LONDON, England (CNN) -- Jenni Hunt is an attractive, talented and ambitious professional from Portland, Oregon. She runs her own Internet business, selling on online auction site eBay and advising others how to navigate the site to gain maximum profits.

Carrie Stevens says working online means she can spend more time with her daughter Amie.

Jenni, 36, is also a full-time mother who home-schools her kids.

Superwoman? Perhaps. But Jenni is one of an increasing number of stay-at-home moms who are using the Internet to have it all.

Jenni was a high-tech Silicon Valley marketing executive when, in 1999, she gave up work to look after her baby boy. She had her second child in 2002, and it was then that she discovered eBay.

"I had bought a stroller for $15 and a couple of months later realized it wasn't fitting my needs, so I decided to sell it on eBay," she told CNN. "I made over $100! I was hooked."

Jenni, a self-confessed bargain-hunter, quickly realized that she could use the Internet to plump up her family's finances.

"We couldn't survive on my husband's income, so it was necessary for me to contribute somehow," she said. "I just couldn't bring myself to leave my children -- and I knew I had skills that would allow me to freelance or create my own business."

Jenni began to sell regularly on eBay, specializing in children's items. After a while, it struck her that her experience could be valuable to others, and so she set up HuntedTreasure.com, a Web site that offers advice to other eBay sellers specializing in children's goods. Jenni's subscription newsletters, downloadable e-books, auction templates and online mentoring now help her add to the family's budget.

Vancouver mother-of-two Alice Seba says the Internet offers a sense of community.

Jenni's not alone as a stay-at-home mom and Internet entrepreneur. Alice Seba, a 35-year-old Vancouver mother of two, runs Internetbasedmoms.com, a site with resources for parents who run their own Internet businesses.

She told CNN that the Internet offers stay-at-home parents the chance to earn an income from home. "Whether it's extra spending money or to build a fully-fledged business, it's up to them," she said. And Alice sees the Internet as offering valuable support to mothers who can sometimes start to feel isolated.

"The Internet makes it easier to connect with other moms while the kids are asleep, or when mom gets a free moment," she told CNN. "They're all in the same boat, so theirs is an instant understanding and connection."

While many of the people Alice has met online don't live close to her geographically, she says the Internet can offer an enormous sense of community and support.

"I've seen moms on the brink of leaving their husbands receive the most incredible advice that makes them turn things around," she confided. "I'm definitely not saying the Internet saves marriages, but without that connection and support, a stay-at-home mom may have made a completely different decision."

Alice says the Internet can give moms a big boost in confidence. In a family where the husband is the main breadwinner, working from home can increase a wife's self-worth -- both psychologically and literally.

Alice told CNN, "In addition to the monetary gain, [mothers] can feel a sense of accomplishment and eliminate some of the guilt of not contributing to the family finances."

She continued, "Of course, there's no shame in 'just being a stay-at-home mom.' It's one of the most important jobs in the world, but moms can feel guilty about it."

The benefits that mothers can bring to their own businesses are starting to be appreciated by workplaces, too.

Carrie Stevens, 29, is a Chicago-based witty, dynamic Internet early adopter. She's been surfing, chatting and blogging for some years, so when she and her husband Jason had daughter Amie in 2004, it seemed natural to her to seek work online.

Carrie was snapped up by LiveJournal.com, a San Francisco-based blogging site owned by Internet company Six Apart. She works full-time supervising their volunteer-run support center, which gives LiveJournal users technical help and advice.

Carrie told CNN, "I clock about seven to eight hours a day. This is intertwined with Amie's needs. I'm lucky that she's mostly independent with an active imagination and is content to play by herself for periods of time."

Carrie's job is flexible enough to fit around the interruptions that motherhood brings. She says, "Last week I was in the middle of a serious business discussion that I had to place on hold for two minutes so I could 'fly over' to where Amie was playing Baby Bird in the laundry basket and 'feed' her."

And Carrie's work colleagues don't mind her dual status as mother and co-worker.

She says, "They think it's cute. I'm glad I have such a flexible workplace and a supervisor who understands that I'll get everything done at the end of the day although my work concentration might get broken up from time to time with cleaning up spilled cereal, reading a story that she just has to hear, and cuddling if she has a gloomy day."

Carrie's supervisor, Denise Paolucci, believes home workers can bring companies great benefits. She told CNN, "It's a great combination for both the employees and the company. The staff gets the flexibility necessary to run their home lives and their work lives at the same time, and the company gets employees who are more committed to a company that's willing to allow that sort of flexibility."

Denise, whose department is composed entirely of home workers, also believes that working from home isn't just an advantage for her team. "We as a company benefit considerably from flex time and other setups that benefit caregivers working from home, because of the international and 24/7 nature of our business," she told CNN. "By having staff who are looking for flexibility in their schedules, we expand our times of coverage considerably."

And she feels that it gives her a larger pool of prospective employees to choose from when recruiting. "By allowing for remote telecommuting, we're not limited simply to candidates based around our offices," she said. "We can find the absolute right candidate, whether that person is living in New Hampshire or New Zealand."

Carrie admits that working from home isn't without its challenges. She told CNN that at times she feels a little isolated from her colleagues.

"Sometimes I feel a bit left out of those spontaneous meetings, the ones coworkers can have easily in an office when they're passing by each others' desks," she said.

And teleconferencing isn't always ideal: as she explained, "If I'm on a conference call, it's often hard to get a word in edgewise -- everyone else can see each other but they can't see my non-verbal cues that I have something to say."

Carrie adds that sometimes it's hard to walk away from work at the end of the day. She said, "Sometimes work is a bit too convenient, especially because I'm used to work and family being so intertwined anyway. Since my office is my dining room table, it's always right there."

Jenni Hunt backs this up. She told CNN, "It's important to me to have set times when I'm working and set times when I'm not. If I don't do this, I could work all day."

And it cuts both ways: family can distract from work, too. Jenni says, "The distractions of home provide the biggest downside. There are dishes to be done, dinner to prepare, homework to help with -- and children who just want to play."

But the benefits of working from home -- flexibility, more family time, support and independence -- outweigh the downsides.

Jenni says, "Being successful with my home business has allowed me to dream bigger. I could easily do this full-time -- but I do it because I want to be home with my kids. I am able to homeschool and participate in my children's lives in ways I couldn't if I had to go to a J.O.B. I'm reminded of this every time they interrupt me while I'm working on my laptop in the family room while they play."

Carrie also values the opportunity she has to combine work and time with her daughter. She told CNN, "I really feel like I have the best of both worlds in this situation. If Amie went to child care every day, I'd miss the chance to play games with her and read to her."

"We can take lunch breaks at the park or walk to a nearby coffee shop for sandwiches if it's a nice day," she continued. "If I were working at an office, this wouldn't be possible."

..................................

Are you an Internet mom? Would you like to work from home and spend more time with your kids? Share your views and thoughts and read others' responses in the Just Imagine Forum. E-mail to a friend

@highlight

Internet offers stay-at-home moms the chance to have it all

@highlight

Web gives women at home access to greater work options

@highlight

Employers benefit from having a flexible workforce who can telecommute

@highlight

Moms say rewards outweigh the downsides of working at home