Seoul (CNN) -- Picture the scene: dozens of computer hackers poring over their keyboards in a room filled with powerful computers, feverishly typing in code most of us could never comprehend.

Their mission? To "break in" to virtual servers in a simulated world.

Yet these particular hackers are not breaking the law, they are actually reinforcing it.

They are taking part in a six-month program organized by the South Korean government to train some of the brightest code-breaking minds to become the nation's first line of defense in the war against cyber crime.

According to the Korea Information Technology Research Institute (KITRI), the "Best of the Best" program is designed to train computer experts to defend against domestic and foreign cyber attacks.

South Korea, which is one of the most Internet-connected nations in the world, is frequently subject to cyber attacks, especially from its northern neighbor, with whom it is still technically at war.

In 2009, a number of government websites, including the presidential Blue House and National Assembly, crashed for days after being targeted with malicious code. And in 2011, a bank's entire computer system was hacked and shut down. The attack left tens of thousands of computers infected and some permanently damaged, according to the country's prosecutors.

The Seoul government pointed the finger at Pyongyang, citing similarities in code used in earlier cyber attacks by South Korean nationals in collaboration with hackers believed to be connected with a North Korean intelligence agency, South Korea's prosecutor's office said in a press release.

The North Korean government has yet to comment on the claims.

The official value of the loss from the attacks is unknown, but the Hyundai Research Institute estimates the financial loss from the 2009 attacks alone at between $33.7 million and $50.5 million.

Attacks from domestic and foreign sources are on the increase, authorities say. Cyber attacks rose by 37% from 2008 to 2011, according to Korea Internet Security Agency.

"Cyber attacks in general are getting more and more complicated. It is also known that North Korea is training highly skilled hackers," Jung Soo-whan from South Korea's Soongsil University told CNN.

"But what if they, for instance, hack into our nuclear power systems? We need a stronger defense system."

According to Lee Seung-jin, the chief consultant for the "Best of the Best" program, a cyber attack from the North is like fighting an asymmetric war. It is very difficult to counter attack.

"The South Korean Internet industry developed very fast. It is essential to train cyber security experts in all fields including those who will be working for commercial companies," said Lee, a prominent name in the South Korean hackers community.

Sixty computer experts, from high school students to college students, were selected for the program. Most participants were already well known in the country and some are award-winning hackers from local and foreign hacker competitions.

Kwon Hyuk, 17, is one of the survivors of the first phase of candidates on the program. He focuses his work on printer networking systems, an area easily exposed by cyber attacks.

"Companies may print confidential documents using network printers. If the security was breached, companies potentially could be eavesdropped," he said.

The program, which is now down to 20 hackers, will only graduate one expert from six fields in its final stage.

Aside from receiving 20,000,000 KRW ($18,500) as a prize, each graduate will then be recommended to companies or government agencies they wish to work for in the future.

The six fields include digital forensic, security consulting, vulnerability analysis, mobile phone security, converged security and cloud-computing security.

@highlight

South Korean government is training some of the brightest code-breaking minds

@highlight

"Best of the Best" program designed to train computer experts to defend against cyber attacks

@highlight

Seoul has accused North Korea of being behind many of these cyber attacks