Editor's note: In 1994, the American Psychiatric Association published the fourth edition of the Diagnostic and Statistical Manual of Mental Disorders, or DSM-IV. The DSM is the standard classification of mental disorders used by mental health professionals in the United States.

For the several years doctors around the country have been working to update the manual. The DSM-5 is expected to be published in May 2013, and the proposed changes to the definition of autism have caused some controversy. Dr. Bryan H. King is one of the doctors working on revising that chapter.

My e-mail invitation to be a part of the DSM-5 revision process came on January 4, 2007.

At the time, I was told that the work would be completed in 2011 and that participation would not be too burdensome. The process could be accomplished primarily through e-mails and conference calls, with in-person meetings held sparingly.

It's interesting to reflect on the fact that when the ink was drying on the last version of the DSM in 1994, e-mail and the Internet as we know it were still evolving.

In the nearly two decades since DSM-IV -- such Roman numerals suggest a chiseling in stone, don't they? -- there have been significant advances in technology and medicine, significant advances in our understanding of neuroscience and even changes in the significance of the DSM itself.

There are good reasons to change the DSM and perhaps some good reasons to leave it alone.

The manual has evolved over time from a relatively small guide for the collection of diagnostic prevalence data to the standard text for every course on psychiatric illness throughout the world.

It has also become the dominant coding guide for insurance companies, schools and other agencies responsible for covering or creating special provisions for individuals with developmental or mental disorders.  Whether someone receives the death penalty or a lesser sentence can rise or fall on whether he met criteria for a disorder as defined in the DSM.

Every psychiatrist has an opinion about the DSM, and it typically includes both love and hate. In child psychiatry in particular, it is often said that children must not have read the DSM, because their symptoms so rarely seem to fit neatly into one of the diagnoses, often straddling several.

Our advances in knowledge over the years clearly support efforts to improve the process, but we need to be particularly careful that we do no harm.

Now five years in to this "nonburdensome" process, our work group has spent nearly 2,500 person-hours in meetings and another 3,500 hours on teleconferences discussing refinements to the diagnostic criteria for autism and other neurodevelopmental disorders.

And ours is just one of the smaller chapters in this manual.  Work groups focused on mood disorders, personality disorders, anxiety disorders and so on are equally invested in this process.

As a group of clinician scientists who have devoted our professional lives to the problem of autism and related disorders, we've been given an extraordinary opportunity to update and improve how autism spectrum disorder, or ASD, is diagnosed.

Every decision has been considered from multiple perspectives to determine the potential impact on individuals with the disorder.  We've even taken the step of posting iterations of the possible changes online for professional and public comment.  The goal here is not to settle or vote on what is most popular, but to be sure to leverage the collective experience and wisdom of professionals, patients and everyone in between to minimize unanticipated consequences from potential change -- to ensure that we do no harm.

We are also directly testing, in trials, how the new criteria will perform. We are specifically looking at whether or not people who currently have appropriate ASD diagnoses might be affected by this change.

Our preliminary look at the field trial data suggests that the lines around the autism spectrum disorders will not be significantly redrawn with DSM-5.

As we get closer to finalizing this revision of the DSM, there is understandable concern about whether some individuals will "lose" their diagnoses.

There is no question that some diagnoses will change. For example, Asperger's disorder will become autism spectrum disorder.  But the goal here is finding the best way to capture the symptoms and problems that an individual has, to map those symptoms onto disorders that are valid, and which then inform prognosis and treatment and further study.

We have a ways to go before the love-hate relationship we clinicians have with the DSM changes much. I am certain that children will continue to challenge our diagnostic constructs with their complexity, and I know that we will want to resist chiseling DSM-5 criteria into stone.

But I also believe that by refining the diagnostic criteria to reflect current science, we're that much closer to getting it right.  Perhaps that will make the next revision less burdensome.  In any case, when the invitation comes for working on the next DSM, it would be wise -- as for any significant remodeling project -- to double the estimate for time to completion.

Dr. Bryan H. King is the director at the Seattle Children's Autism Center and director of child and adolescent psychiatry at the University of Washington and Seattle Children's Hospital. On The Autism Blog, King and other medical experts at the Seattle Children's Autism Center share information and perspectives for those raising a child with autism.

@highlight

Diagnostic and Statistical Manual of Mental Disorders (DSM) helps decide coverage benefits for developmental disorders

@highlight

Doctors are updating it but there's concern that some people will "lose" their diagnoses

@highlight

Expert: There are good reasons to change the DSM as well as good ones to leave it alone

@highlight

Early data suggests that the lines around autism spectrum disorders won't be significantly redrawn, says expert