French President Nicolas Sarkozy on Monday night put the country's southwest region on the highest possible security alert level, hours after a teacher and three children were gunned down at a Jewish school in Toulouse.

The incident at the Ozar Hatorah school marked the third time in the past 10 days that a gunman on a motorcycle has fired on minorities in the region.

On Monday, the teacher was shot dead with his two children, while the school's director saw his daughter shot and killed in front of him, Sarkozy said in a somber speech at the school.

The president then returned to Paris and addressed the violence again in an evening speech from the Elysee Palace.

French troops were present on streets, at train stations and at other highly trafficked locales in parts of southwestern France before Monday's  shooting, as that region had been on a high alert level for years.

Sarkozy made a point in his Monday night speech to note that France's security measures for the area will remain high. He also said that he'll suspend his re-election campaign until at least Wednesday, in the wake of the shooting.

Representatives from France's Jewish and Muslim communities will meet with the president Tuesday, when a moment of silence is being planned to remember the victims, according to Sarkozy.

One of the guns used Monday was also used in killings of French soldiers of north African origin who were shot and killed on March 11 and March 15, said Elisabeth Allannic, a spokeswoman for judicial authorities in Paris. A court in Paris on Monday opened an investigation into all three killings, under anti-terrorism powers.

The gunman pulled up in front of the Jewish school just before 8 a.m. and started shooting, authorities said.

The dead included a 3-year-old child, and a 17-year-old was wounded, according to local prosecutor Michael Valet.

The gunman got close enough to his victims to shoot them in the head, local journalist Gil Bousquet said.

In the shooting's aftermath, families hugged and wept in front of police cars around the school.

Ambulances and police vans lined the narrow streets of the city, and a helicopter circled overhead as police on foot made their way through the small crowd of shocked locals to get to the building.

Speaking from the school, Sarkozy declared that "everything must be done so the killer is arrested."

"And of course our thoughts are with these families that are shattered -- a mother who has lost her husband and her two children the same day; the director of the school saw his little girl die before his eyes," Sarkozy said.

The gunman wore a motorcycle helmet and fled on a motor scooter after the shootings, Interior Ministry spokesman Pierre-Henry Brandet said -- the same method used in the earlier soldiers' shootings.

"It's a horrible tragedy," he said of Monday's shootings.

The Interior Ministry has ordered police across the country to contact Jewish organizations to arrange increased vigilance, Brandet said.

France, which has one of the largest Jewish populations in Europe, had 389 reported acts of anti-Semitism in 2011, according to Representative Council of Jewish Institutions in France, known by the French acronym CRIF.

Its head, Richard Prasquier, and Minister of Education Luc Chatel accompanied Sarkozy to Toulouse.

The group later issued a statement saying that, while it is too early to determine definitively the motive for the "horrible" crime, it appears it's a case of anti-Semitism. It called for increased security at places of worship and study as the investigation continues.

Gilles Bernheim, the chief rabbi of France, said he was "horrified" and "upset."

And French presidential candidate Francois Hollande said he felt "horror" over the killing.

It comes directly on the heels of two other shootings. The first was March 11, when Toulouse police Capt. David Delattre said a soldier was on his motorbike when a helmeted man on another motorcycle shot and killed him.

The soldier was not in uniform, and his motorbike did not have any military identification, Delattre said.

2 French soldiers killed in shooting

On Thursday, two other soldiers were shot dead and another injured by a black-clad man wearing a motorcycle helmet in the southwestern French city of Montauban, about 50 kilometers (30 miles) from Toulouse.

French authorities link soldiers' fatal shooting

The more recent shooting caught the world's attention, soliciting immediate and strong reaction from Jewish and other leaders -- many of them thousands of miles away from the French crime scene.

"Today, Jews everywhere in the world are weeping in sorrow and disgust in the face of this despicable terrorist attack," said Ronald Lauder, president of the World Jewish Congress. "Targeting children is a particularly sick and vile act, and nothing can justify it."

Israel's Prime Minister Benjamin Netanyahu called it a "savage crime" and said anti-Semitism could not be ruled out as a motive.

"We follow with shock the news coming from France, and we trust the French authorities to shed full light on this crime and to bring those responsible to justice," said Yigal Palmor, the spokesman for the Israeli foreign ministry.

Security heightened in U.S. synagogues

Police in New York, Washington and San Francisco all said they plan to increase patrols of synagogues and Jewish institutions, with New York Police Commissioner Ray Kelly citing fears someone might stage a "copy-cat" attack. But he and the city's mayor stressed there is no "specific" intelligence indicating an active threat there.

"Just because there's something that happens there, doesn't mean there are more threats here. But we take everything very seriously," said Mayor Mike Bloomberg.

Abraham Foxman, national director of the New York-based Anti-Defamation League, said that Jewish people had just as much reason to be vigilant before Monday's attack as after, given some people's anti-Semitism. He said he was "shocked, saddened but unfortunately not surprised" by the Toulouse shooting, which he felt was "targeted to express hatred against Jews."

"You hope and pray that it doesn't happen more often," Foxman told CNN on Monday night. "Unfortunately, you know that it's part of the reality. (Some) people will act out their hatred in a violent manner."

@highlight

Chief of ADL says he's "shocked, saddened but ... not surprised" by the attack

@highlight

A teacher and 3 children are shot dead at a Jewish school in Toulouse

@highlight

Security in that region is at the highest possible alert level

@highlight

A French Jewish group says the attack appears to be a case of anti-Semitism