(CNN) -- President Obama is set to deliver the first State of the Union Address of his new term. On Tuesday evening, he will step before a joint session of Congress and a nation in difficult times.

Unemployment rose in January to 7.9%. There are signs of economic progress, but millions of Americans are struggling to find a job while others are desperate to keep the one they have.

Other kinds of economic challenges face many people. The Pew Research Center recently released a study showing the growing number of adults who are struggling to support grown children and their parents, the "Sandwich Generation" as they are called.

The economy is just the tip of the iceberg. The issue of immigration needs to be resolved soon. Too many immigrants live in a state of constant uncertainty about their future, or that of their children. The tensions in this debate are heightened by the fact that state and local governments are struggling to find enough revenue to pay for crucial services such as education.

The climate also remains in peril, as the wild weather patterns of the past year have shown. At the same time, Americans are still reeling from the deadly shooting incidents that have caused horrible bloodshed in movie theaters and schools and waiting to see what Washington does, or does not do, about guns. Then there are the countless foreign policy challenges we face.

The State of the Union address gives President Obama a prime opportunity to lay out what he intends to do in the year ahead to guide the nation through these difficult challenges. Although there are limits to how much these speeches can change public opinion, especially in an age of partisan polarization where large segments of the electorate are hard to move, it still is a vital moment where he can help shape the agenda for the coming year and outline some key themes for public discussion.

John King: Speech may do little to change Washington

It may be tempting to list a series of measures Obama wants Congress to pass, but the president should use this speech to do something more than provide a laundry list, and the historical record offers some guidance about how.

The speech can offer a vision. In 1941, President Franklin Roosevelt gave one of the most historic State of the Union addresses when he outlined the Four Freedoms. He delivered his speech on the brink of America becoming involved in World War II. With Europe and Asia in the middle of a major military crisis, FDR defined the four freedoms that he believed should be the foundation of the international system: the freedom of speech and expression, the freedom to worship God, the freedom from want and, finally, the freedom from fear.

"That is no vision of a distant millennium. It is a definite basis for a kind of world attainable in our own time and generation," FDR said. "That kind of world is the very antithesis of the so-called new order of tyranny which the dictators seek to create with the crash of a bomb." The speech was inspirational and offered a moral blueprint for the United States, both in its efforts at home and abroad for decades to come.

If President Obama wants to sketch a set of legislative goals, he might look to President Johnson. In 1965, LBJ was fresh off his landslide victory against Arizona Sen. Barry Goldwater and he managed to outline a breathtaking agenda, offering proposals for government to expand its role in all walks of life, from education to health care to the environment.

This was all part of the Great Society, a vision that Johnson had outlined a few months earlier at the University of Michigan but which came to life during the State of the Union address. "The Great Society asks not how much," Johnson said, "but how good; not only how to create wealth but how to use it; not only how fast we are going, but where we are headed."

Sometimes the State of the Union address can be an opportunity for a president to take a risk, to set out an objective for the nation that might be controversial or might look impossible at the time, but which challenges Congress and the citizens to repair broken parts of society.

In 1862, President Abraham Lincoln, with America in the Civil War, insisted that the freedom of the slave was essential to the restoration of the union. "We—even we here—hold the power, and bear the responsibility. In giving freedom to the slave, we assure freedom to the free—honorable alike in what we give, and what we preserve."

The speech can also be a moment for honesty. One speech that often receives attention in top 10 lists is President Gerald Ford's State of the Union address in 1975. Ford is an unlikely candidate for any historic list, as he took over from Richard Nixon after his resignation and wouldn't be re-elected in 1976.

Ford governed in difficult economic times -- the nation was hit by the twin shock of inflation and unemployment, which came to be known as stagflation. When Ford went on the air, he was brutally honest. The state of the nation, he said, "is not good."

Ford proceeded to outline what Americans were facing. "Millions of Americans are out of work. Recession and inflation are eroding the money of millions more. Prices are too high, and sales are too slow."

While presidents usually like to use these speeches to make Americans feel good about where they are, President Obama might think about speaking straight to a nation frustrated with a new normal of stagnant growth, where politicians talk about economic improvement even as the workforce continually struggles with high rates of unemployment and economic insecurity.

While Americans want a leader who can point a path forward, they also want to know that the person in the White House truly understands the pain many are suffering.

In his first State of the Union address, delivered in January 2010, President Obama stressed his promise to help the middle class and to fix the broken political process in Washington. "We face a deficit of trust," he said.

In his second address, delivered after the Republicans had taken over the House and in the wake of the horrific shooting of Rep. Gabby Giffords, President Obama again appealed to the desire for unity. He also called on Congress to support a legislative package that would allow the United States to regain its competitive edge.

In January 2012, Obama, highlighted the differences between the parties—the choice Americans would face in the upcoming election--by calling on Congress to support investments in education, infrastructure and clean energy. He warned that growing economic inequality threatened the future of the middle class. "We can either settle for a country where a shrinking number of people do really well," he said, "while a growing number of Americans barely get by or we can restore an economy where everyone gets a fair shot, everyone does their fair share and everyone plays by the same set of rules."

This time around, the president should think big, not necessarily about how much he wants to propose, but about the vision and ideas he wants to put forth to move the United States forward.

The opinions expressed in this commentary are solely those of Julian Zelizer

@highlight

Julian Zelizer: Obama delivers first State of the Union of second term

@highlight

He says it's an opportunity for president to sketch a broad vision for U.S.

@highlight

Speech comes at a time of continuing economic troubles in America, he says

@highlight

Zelizer: Obama can follow in the footsteps of FDR and LBJ