(CNN) -- Alarming findings related to women's safety have come to light with the release of a Thomson Reuters Foundation survey that looks at harassment on public transportation systems in the world's largest cities.

According to the new report, six in 10 women in major Latin American cities report they've been physically harassed while using transport systems, with Bogota, Colombia, found to have the most unsafe public transportation, followed by Mexico City and Lima, Peru.

At the other end of the safety spectrum, New York was rated as the best of the 16 cities studied followed by Tokyo, the world's largest capital with 38 million people, then Beijing and London.

The poll was conducted in 15 of the world's largest capitals, as well as New York, the most populous city in the United States, in collaboration with UK polling company YouGov.

Here are the results, from ranked from worst to best:

1. Bogota, Colombia

2. Mexico City

3. Lima, Peru

4. New Delhi

5. Jakarta, Indonesia

6. Buenos Aires

7. Kuala Lumpur, Malaysia

8. Bangkok

9. Moscow

10. Manila, Philippines

11. Paris

12. Seoul

13. London

14. Beijing

15. Tokyo

16. New York

In total, 6,555 women and experts were surveyed.

Results are based on the respondents' answers as well as surveys of experts in women's rights, gender equality, urban planning and gender-friendly urban spaces in each of the cities.

The Thomson Reuters Foundation said polling could not be conducted in five other large capitals -- Cairo, Dhaka (Bangladesh), Kinshasa (Democratic Republic of the Congo), Tehran and Baghad -- due to conflict or an inability by polling company YouGov to guarantee the necessary online sample of women.

The group says it did survey 10 experts in Cairo, the world's fifth largest capital, but those findings were not included in the overall ranking as YouGov could not carry out the public poll.

Had they been included, it would have put Cairo in the top five most dangerous transport systems, said the Thomson Reuters Foundation.

What constitutes harassment?

The foundation says the survey was conducted in many different cultures, and allowed respondents to judge what constituted harassment in their own society.

Women were asked six questions relating to: how safe they felt traveling alone at night; the risk of being verbally harassed by men; the risk of being groped or subjected to other forms of physical harassment; trust that other passengers would assist a woman being physically or verbally abused; and trust in authorities to investigate reports of sexual harassment or violence.

Have you been harassed? Share your experience in an open letter

In Moscow, respondents reportedly had little confidence that authorities would investigate an abuse report, while 85% of Paris women doubted fellow public transport users would come to their rescue if they were in trouble.

In an accompanying Thompson Reuters Foundation report based on the survey, Mary Crass, head of policy at the International Transport Forum, an OECD think tank, said it was worrying that women were scared to use public transport in some major cities and the poll highlighted the need for more action.

"When there is not frequent, reliable, accessible transport, this can affect women and anyone's ability to access opportunity and notably employment in urban areas, which can make a big difference for women in particular," she said.

"(Women) tend to be more reliant on public transport and on non-motorized means, particularly in low-income or middle-income countries, in emerging economies."

Women-only cars a short-term fix, say experts

Tokyo's high standing may come as a surprise to those familiar with the highly publicized problems women have faced when riding Japanese subways, with widespread reports of groping consistently making headlines.

The Thompson Reuters Foundation said experts attributed Tokyo's second place ranking to a raft of measures taken in the city over recent years to combat such incidents in often overcrowded buses and trains.

These include the introduction of women-only trains in 2000, which are color-coded in pink, and transit police to enforce rules.

Women-only sections on public transport are now also found in Jakarta, Kuala Lumpur, Delhi, Cairo and Manila.

Thomson Reuters Foundation said other cities, including London, are considering this option and introducing CCTV on platforms and improving lighting.

However, gender and city planning experts have raised concerns over whether women-only transport is effective.

Julie Babinard, senior transport specialist from the World Bank, says they're a short term fix and not a panacea for harassment of women.

"The emerging interest in several countries on women-only initiatives should be seen as an opportunity for improving security in cities but not as a silver bullet for dealing with gender-based violence in transportation and urban settings," Babinard told the Thomson Reuters Foundation.

"Women-only initiatives are not likely to provide long-term solutions as they only segregate by gender and provide a short-term remedy instead of addressing more fundamental issues."

Although experts remain critical of single-sex transport, most women favored the idea, according to the survey.

@highlight

Thomson Reuters Foundation says six in 10 women in major Latin American cities report having been physically harassed while using transport systems

@highlight

Bogota, Colombia, found to have the most unsafe public transport, followed by Mexico City and Lima

@highlight

New York rated as the best of the 16 cities followed by Tokyo, Beijing and London