Beijing (CNN) -- A former senior police official, whose attempt in February to seek asylum in a U.S. Consulate triggered the most serious political crisis in China in decades, has been charged with defection and bribe-taking, the authorities announced Wednesday.

Prosecutors in the southwestern Chinese city of Chengdu also accused Wang Lijun of abusing his power and covering up a high-profile murder case, state-run Xinhua news agency reported. Chengdu Intermediate People's Court has accepted the case and a trial date will be set later, Xinhua added.

Of his four alleged offenses, bribe-taking -- based on the amount involved and the seriousness of the case -- could potentially lead to the death penalty. The Xinhua report did not specify how much money Wang was accused of taking as bribes but described it as a "huge sum."

The conviction rate for criminal trials in China stood at 99.9% in 2010, a U.S. State Department report quoted the Chinese Supreme People's Court as saying.

Wang, 52, was a right-hand man of disgraced politician Bo Xilai, once considered among Communist royalty and a fast-rising star within the party destined for the highest office of the country. Wang headed the police department of Chongqing, a sprawling southwestern metropolis with more than 30 million residents, during most of the period when Bo was the local party chief from late 2007 to early this year.

Wang's indictment quoted by Xinhua did not mention Bo but prosecutors alleged that the former police official "illegally used technical surveillance measures." Analysts say the accusation may reflect rumors that Wang had bugged other senior officials to benefit Bo politically.

Timeline: Bo Xilai's fall from grace

After being suddenly dismissed as police chief in early February, Wang spectacularly sought refuge for one day inside the U.S. Consulate in Chengdu, apparently fearing for his life and allegedly holding incriminating information against his boss.

Media reports and online posts claimed Wang clashed with Bo after suggesting Bo's wife poisoned and killed Neil Heywood, a British businessman and Bo family friend, last November amid a financial dispute. Gu Kailai, Bo's wife, was convicted of murder last month and received a suspended death sentence.

Four high-ranking police officers who once worked under Wang also were convicted of covering up the Heywood murder -- a crime Wang was also accused of in the indictment cited by Xinhua -- and received prison sentences ranging from five to 11 years. Another former top deputy of Wang was recently arrested and accused of taking bribes.

As for Bo, the government announced in April that he was stripped of his leadership positions for "serious breach of party discipline." He has not been seen publicly since.

Gu Kailai: China's 'Jackie Kennedy'

Bo, 63, a charismatic albeit controversial politician, launched a "smashing black, singing red" campaign in Chongqing that promoted Communist ideology as zealously as it cracked down on organized crime.

His economic programs, which included millions spent on social welfare, made him a popular leader in Chongqing. But analysts say his populist policies and high-profile personal style were seen as a challenge to the more economically liberal and reform-oriented faction that dominated the current party leadership.

Bo and Wang were known to have worked closely on Bo's signature crime-fighting program in 2009. In just 10 months, Chongqing police arrested almost 5,000 people and executed more than a dozen.

At the height of campaign, Beijing-based lawyer Li Zhuang defended an alleged gang member and discovered police torture during interrogation.

"For eight days and eight nights, my client was repeatedly hung from the ceiling," Li recalled in an interview with CNN in late March.

"He eventually soiled himself. His interrogators ordered him to remove the feces on the floor with his bare hands and use his shorts to wipe it clean. Then they hung him up naked."

As he tried to expose the interrogators' crimes, Li said, he was detained, tortured and promptly sentenced to two-and-a-half years in prison under the direct order of Wang for "fabricating evidence and inciting witnesses."

"Their barbaric kind of law enforcement or, rather, their trampling of the law was against everything a modern civilization stands for," he said.

Since the fall of Wang and Bo, Li has devoted himself to exposing alleged police abuse of power during Bo's reign in Chongqing. He quickly shared the news of Wang's indictment with his 285,000 followers on his microblog when the story first broke.

More: What will happen to Bo?

Political observers have also said Wang, not Bo, "is probably the most hated" figure in the eyes of the Beijing leadership for going to the Americans.

Wang was taken into custody once he left the consulate for entering the diplomatic post without authorization. Analysts say his gambit forced China to deal with the scandal with an unprecedented level of transparency, prodded along by social media.

"That's keeping them honest in a lot of places where they could be dishonest in the past," said Douglas Paal, a top China analyst at the Carnegie Endowment for International Peace in Washington. Meanwhile, the Communist Party has painted Bo as an outlier who violated discipline. It has been "very careful" not to use his case to purge the party of most of his supporters.

It is now rumored that the 18th Communist Party Congress, a meeting where a new generation of leaders is expected to be unveiled, will be held in the middle of next month. The current leadership under President Hu Jintao is trying to resolve the Bo affair before its once-in-a-decade power transition, according to Joseph Fewsmith, an international relations professor at Boston University and a longtime China watcher.

"There was a desire on the part of the Chinese Communist Party to get this case settled," he said. "It's not yet, but it is out of the party and into the hands of criminal courts -- well before the 18th Party Congress."

On Wednesday, U.S. Secretary of State Hillary Clinton ended a two-day visit to Beijing. U.S. officials say they were not told about the intention to charge Wang during the visit but were not surprised to hear the news. They added that "it was absolutely clear that there is a lot of ferment and churn in China now connected to the internal political situation and the transition."

CNN's Matt Smith contributed to this report.

@highlight

Wang Lijun in February sought asylum in a U.S. Consulate, sparking a political crisis

@highlight

He is charged with defection, bribe-taking, abusing his power and covering up a murder

@highlight

Wang, 52, was a right-hand man of prominent politician Bo Xilai, a fallen political leader

@highlight

He "is probably the most hated" figure among Beijing leadership for going to the Americans