(CNN) -- Have you ever been in a heated debate with someone and said this?

"It doesn't matter how big your telescope/towed array is, if you are 100nm away you can't amplify a signal that was attenuated to zero level before it reached 10nm. It doesn't matter that there is a 'natural water telescope' named convergence zone - it would amplify sounds and you would hear even very weak signals of low or medium frequency."

Not so much? Then you're probably not an aviation geek. (By the way, CNN doesn't know what the heck that quote actually means, so if you know, leave your translation in the comments section!)

"Avgeeks," as they affectionately call themselves, have been around for years, but recently their passion has had a mainstream platform as the world continues to be fascinated with the mystery of Malaysia Airlines Flight 370.

Some avgeeks are not just talking about the missing plane -- they are trying to unravel what happened to it.

"The aviation geek movement is having a moment," said David Parker Brown, the editor-in-chief of AirlineReporter.com, a site he founded in 2008. With a day job in higher education, the 33-year-old started the site as a passion project, in part to remind complaining air travelers that flying is incredible.

"I fly sometimes for work and I have my times when I'm not really happy about things," he said. "But then I remind myself how lucky we are to be able to go from one side of the world to the other with relative ease."

Based in Seattle, AirlineReporter.com has writers located around the globe, all proudly part of the avgeek community. Though some are industry professionals, others are simply dazzled by the poetics of air travel and the machines that make it possible.

Many talk dreamily about their first air travel experience, as kids lingering near the cockpit, curious about who had the authority and know-how to get such a massive thing off the ground. They savor their miniature preheated meals as if they were served at a Michelin-starred restaurant. They always get the window seat.

Flying is magic to them. Planes are miracles, they're time machines. "Come on," an avgeek will tell you. "You can get on a flight from Miami, Florida, and about 16 hours later step off and be in Tokyo, Japan! Isn't that amazing!?"

Since MH370 disappeared more than a month ago with 239 passengers and crew members aboard, avgeeks have been chatting online about the mystery.

On one of the most popular sites, airliners.net, posters speculate about what might have happened, some employing complex "Good Will Hunting"-style calculations. Moderators remind everyone to be nice and to "please keep science fiction theories and content related to past/current movies or possible future movie rights out of these threads."

The son of a pilot, Brown said that he is sad for what appears to be the tragedy of Flight 370, but pleased to see so much news coverage and avgeek chatter about air travel.

"I really don't know what happened. No one does. But I like that it's energized people to ask questions and to learn more about the avgeek world."

Plane spotting

One corner of avgeek culture involves the practice of plane spotting, even camping out together to watch for planes as they take off and land. Spotters note a plane's unique details, photograph it and post the pics online.

A few months before the Malaysia plane disappeared, one of these plane spotters, Gunnar Kullenberg, took a photo of a Boeing 777-200 at the Los Angeles airport. He was shocked when he realized he'd captured an image of the plane -- the same one that flew Malaysia Airlines Flight 370 -- after he matched registration numbers.

About four years ago, 31-year-old high school librarian Ana Peso received a camera as a gift and wanted to practice shooting. She ended up at Chicago's O'Hare International Airport. Capturing the same shot over and over seemed like a fantastic way to train her eye, and Peso became artistically inspired by the abstract quality of airline logos. She also noticed that focusing her camera skyward had a relaxing, almost meditative, effect on her.

Peso isn't interested in learning how to fly, but still, she marvels at the mechanics of flight.

"I've also come to appreciate technology so much more -- it's so cool," she said. "It's amazing to me that these enormous Boeing 747s with four engines fly."

As for Malaysia Airlines Flight 370, Peso won't venture a guess about what happened.

"To me," she said, "it's a human tragedy first."

Flight club

But there are plenty of aviation geeks who want to analyze what might have happened.

The Professional Pilots Rumour Network -- PPRuNe for short -- attracts diehards with seemingly robust technical expertise. A sample of a post is at the top of this story.

Unfortunately, the first rule of PPRuNe is you don't talk to reporters about PPRuNe, according to a webmaster calling himself Rob who politely declined an interview request. The site has been running for more than 18 years, he said, without advertising or press releases.

PPRuNe has every imaginable conversation thread about aviation, from insider career news to threads connecting expat pilots and other industry professionals. There's a group called "Freight Dogs" and one for helicopter pilots called "Rotorheads."

Flying far above the other threads, with 15 million views, is the one dedicated to analyzing the Malaysia Airlines plane mystery.

The first post in the thread appears to have been made shortly after the plane went missing on March 8. It winds for pages through various theories far too technical to summarize here. The most recent posts discuss the possible origin and nature of the latest pings searchers have heard in the southern Indian Ocean, where authorities say the plane crashed.

A network of theories

To author, outdoor adventurer and aviation expert Jeff Wise, those highly technical posts on sites like PPRuNe are the most intriguing part of the hunt for Malaysia Flight 370.

Flight enthusiasts are trying to reverse engineer some of the conclusions, working backward from theories put forth by authorities in order to pinpoint precisely where the wreckage is, he said.

"These people online who are so passionate and skilled are trying to recreate the original data set so that we the public can try out different routes and make our own decisions," said Wise. "It's very exciting what has started to happen in online forums. It's not just people geeking out. They are moving the ball forward in the search."

Wise, 47, grew up outside Boston, and his father worked in the aviation industry. Posters of planes decorated his bedroom walls. As an adventure writer he spent time in bush planes. "I got a bug," he said. "I find myself having dreams about it. Once you've gone that far, you're in for life."

But the disappearance of Flight 370 has brought the discussion to the mainstream. When Boston police investigating a broken window at Wise's home discovered he had recently been on CNN talking about the missing plane, they peppered him with questions -- about the plane. "The cops turn to me and ask, 'Well, what do you think happened?' And we spent 30 minutes talking about what might have happened."

Former commercial airline pilot Scott Miller said more people are interested in talking to him about his lifelong passion. His flight technology students at Sacramento City College are fascinated with the Malaysia Airlines incident.

While he's teaching them practical lessons, there's no doubt all the reasons he loves flying shine through in his class. "No matter what is going on on the group, when you're up in the air, all that matters is how you're going to get yourself to your destination. I love that focus," he said. "You're dealing with challenges that come up in the flight. My friends ask me: 'Isn't it boring to fly the same routes?' No, the weather, the passengers, the flight conditions -- it's always different. I'm always so excited by that!"

Miller said he's excited by a new generation of aviation geeks who are using social media to connect and learn.

Born this way

The Twitterverse has been an incredible tool for aviation geeks, according to Ben Granucci, a contributor at NYCAviation.com, a worldwide aerospace news, resource and consulting organization. "I can find news on something that's happened -- like an airline's first flight -- just seconds after it happens."

On Twitter, #avgeek is a popular hashtag. Conversations online among flight fans, he said, are nearly always polite. "No matter where people are from -- age, race, gender, sexual orientation -- we have this thing in common and we can talk about it all day long.

"There's just something that draws us."

Granucci took a moment when asked why flying stokes his imagination.

"That's a tough one," he answered. "I was born this way. I've had my eyes in the sky for as long as I can remember. It just always fascinated me that there were things up there and people in them. When I was a kid I would hear a plane and run to the window. When I was in the backyard and heard one overhead, I'd look up. Sorry to be cliche, but it wasn't something that I wanted. It was something that found me."

CNN's Rose Arce contributed to this story.

@highlight

Some aviation geeks have been trying to solve the mystery of Malaysia Airlines Flight 370

@highlight

There are all kinds of avgeeks around the globe, united in their fandom of all things flight

@highlight

They have a childlike wonder at planes and call flying "a miracle" and "magic"