WASHINGTON (CNN)  -- Nearly 6.2 million students in the United States between the ages of 16 and 24 in 2007 dropped out of high school, fueling what a report released Tuesday called "a persistent high school dropout crisis."

A new report on high school dropouts in the United States calls for a national re-enrollment strategy.

The total represents 16 percent of all people in the United States in that age range in 2007. Most of the dropouts were Latino or black, according to a report by the Center for Labor Market Studies at Northeastern University in Boston, Massachusetts, and the Alternative Schools Network in Chicago, Illinois.

"Because of the widespread, pressing nature of the crisis and the large numbers of young people who have already dropped out, a national re-enrollment strategy should be a fundamental part of America's national education agenda," the report says.

However, the report notes, the "absence of new funding at the federal and state level since the 1980s has led to decades of disinvestment in re-enrollment programs across the country."

Despite the funding cutbacks, there have been re-enrollment successes nationally and in a number of cities including Chicago; Los Angeles, California; Milwaukee, Wisconsin; and Portland, Oregon, the report says.

"These programs have found that young people who have left high school before earning a diploma are not dead-end dropouts, but often are in fact students waiting and looking for opportunities to re-enroll and finish high school," the study says. "The most successful programs are small (80-150 students), offering comprehensive after-school and summer activities, led by experienced principals and teachers, focused on learning in the real world, well-funded with local school site program and fiscal control, and track specific, measurable outcomes for student achievement including skill gains, enrollment, attendance, credit gains, promotions and graduations."

Jesse Williams, 22, was one of those dropouts who is now working on her degree.

She said a street shooting in which one friend died and two were wounded was the start of her losing interest in school.

"My junior year I dropped out," she said at a summit in Washington on Tuesday. "Too much gang violence, teachers discriminating because of the color of my skin, or where I come from."

Now re-enrolled in a Chicago school dedicated to bringing dropouts back to education, Williams said, "They help me in my classwork. I have a mentor that checks up on me monthly. She goes to my house, sees if there's anything that I need."

Researchers for the study analyzed the U.S. Census Bureau American Community Surveys, household data from the Current Population Survey, national data on GED certificate awards and other official sources to examine the problem at the national level and in the nation's 12 largest states: California, Florida, Georgia, Illinois, Michigan, New Jersey, New York, North Carolina, Ohio, Pennsylvania, Texas and Virginia.

Men and blacks and Hispanics of both genders are among those particularly prone to dropping out of high school.

"As these data show, this dropout crisis is disproportionately affecting America's communities of color," said Marc Morial, president and chief executive officer of the National Urban League. "Youth from all communities deserve an equal chance at educational success."

Among the findings in the report, "Left Behind in America: The Nation's Dropout Crisis:"

The dropout situation at the state level was similarly widespread:

The report emphasized the importance of having at least a high school education.

"In the current global economy, having at least a high school diploma is a critical step for avoiding poverty, and a college degree is a prerequisite for a well-paying job," the study says. "The costs of dropping out of high school today are substantial and have risen over time, especially for young men, who find it almost impossible to earn an adequate income to take care of themselves and their families."

The report goes on to note: "Americans without a high school diploma have considerably lower earning power and job opportunities in today's workforce. Over a working lifetime from ages 18-64, high school dropouts are estimated to earn $400,000 less than those that graduated from high school. For males, the lifetime earnings loss is nearly $485,000 and exceeds $500,000 in many large states. Due to their lower lifetime earnings and other sources of market incomes, dropouts will contribute far less in federal, state and local taxes than they will receive in cash benefits, in-kind transfers and correctional costs. Over their lifetimes, this will impose a net fiscal burden on the rest of society.

"By contrast, adults with high school diplomas contribute major fiscal benefits to the country over their lifetime. The combined lifetime fiscal benefits -- including the payment of payroll, federal, and state income taxes --- could amount to more than $250,000 per graduated student. Such a public fiscal benefit more than outweighs the estimated cost of enrolling a student who has dropped out."

@highlight

Newly released study examines rates of high school dropouts

@highlight

Study finds African-American and Latino youths prevalent among dropouts

@highlight

Urban League head: crisis hitting "America's communities of color"

@highlight

Report also emphasizes importance of obtaining high school diploma