Fort Hood, Texas (CNN) -- Deliberations were suspended for the night Thursday in the court-martial of the Army psychiatrist charged with massacring soldiers at Fort Hood.

The jury will continue weighing the fate Friday morning of Maj. Nidal Hasan, who is charged with 13 counts of murder and 32 counts of attempted murder in the November 5, 2009, shooting rampage.

The only real question likely facing the jury is Hasan's degree of guilt, given that he told the court during opening arguments that the evidence would clearly show he was the shooter.

Court reconvened briefly Thursday evening after the jury said it had two questions. Jurors asked to have police officer Mark Todd's testimony read back to them and asked to see a map of buildings at Fort Hood.

The jury of 13 military officers began deliberations after Hasan declined to make a statement during closing arguments. The prosecution urged the jury to convict, saying the evidence showed he believed he had a jihad duty to kill as many soldiers as possible.

"The defense chooses not to make a closing statement," Hasan told the court, refusing to challenge any of the evidence presented during 13 days of testimony in the court-martial.

If the jury of 13 senior officers unanimously convicts Hasan of two or more counts of premeditated murder, he faces a possible death sentence in the penalty phase.

"There is no doubt, as I said in the beginning, the accused is the shooter," the prosecutor, Col. Steven Henricks, told the jury.

"The only question for you is ...is this a premeditated design to kill?"

For more than 90 minutes, the prosecutor took the jury methodically through the evidence in the case, meticulously piecing together how they say Hasan prepared and planned for an attack at a deployment processing center for soldiers deploying to Afghanistan and Iraq.

Prosecutors have maintained the American-born Muslim underwent a progressive radicalization that led to the massacre at the sprawling central Texas base.

"He did not want to deploy, and he came to believe he had a jihad duty to kill as many soldiers as possible," Henricks told the jury.

Hasan picked the day -- November 5, 2009 -- because it was when the units he was scheduled to deploy with to Afghanistan were scheduled to go through the processing center, he said.

Hasan, who has been acting as his own attorney, rested his case without calling a single witness or taking the stand to testify on his own behalf.

His decision not to offer a defense was an anticlimactic end to the trial in which prosecution witnesses, primarily survivors, painted a horrific picture of what unfolded inside a processing center during the attack.

During closing arguments, prosecutors showed a graphic FBI video of the crime scene hours after the rampage, where bodies, blood and bullets still covered the floor.

As the video was shown to the jury, some of the family members of those killed fought back tears.

One woman laid her head on her husband's shoulder, tears pouring down her cheeks, while another woman -- a wife of a victim -- left the courtroom.

For his part, Hasan watched the video, appearing to pay close attention.

Hasan, who has insisted that the jury not be allowed to consider lesser charges against him, said his attack on soldiers at Fort Hood was not an act of "sudden passion."

There was "adequate provocation" for the attack because the soldiers were going to participate in "an illegal war" in Afghanistan, Hasan told the military judge Wednesday, arguing against the jury being allowed to consider voluntary manslaughter or unpremeditated murder.

Prosecutors argued against the inclusion of lesser charges, saying the attack wasn't carried out in "the heat of sudden passion," and Hasan said he agreed.

Hasan rests case, calls no witnesses

Much has been made of Hasan's defense or, as his stand-by attorneys have said, the lack of it. Judge Tara Osborn declined a request by Hasan's attorneys to drop out of the case. The attorneys argued that Hasan was helping the prosecution put him to death.

There may be something to that claim.

Hasan took credit for the shooting rampage at the outset of the trial, telling the jury during opening statements that the evidence will show "I was the shooter."

The judge barred Hasan from pleading guilty at the start of the court-martial. Under military law, defendants cannot enter guilty pleas in capital punishment cases.

Osborn has refused to allow Hasan to argue "defense of others," a claim that he carried out the shootings to protect the Afghan Taliban and its leaders from U.S. soldiers.

Hasan challenges witness account of shooting

Perhaps as a way around that ruling, Hasan in recent days has leaked documents through his civilian attorney to The New York Times and Fox News that offer a glimpse of his justification for carrying out the attack. Among the documents was a mental health evaluation conducted by a military panel to determine whether Hasan was fit to stand trial.

"I don't think what I did was wrong because it was for the greater cause of helping my Muslim brothers," he told the panel, according to pages of the report published by The New York Times.

He also said, according to the documents: "I'm paraplegic and could be in jail for the rest of my life. However, if I died by lethal injection, I would still be a martyr."

Military prosecutors called 89 witnesses and submitted more than 700 pieces of evidence before resting their case, hoping to show that the American-born Muslim had undergone what they described as a progressive radicalization.

They have argued to the jury that Hasan, who was scheduled to deploy to Afghanistan, did not want to fight other Muslims and believed he had a jihad duty to kill as many soldiers as possible.

The judge excluded much of the evidence that the prosecution contends goes to the heart of the motive for the attack, including e-mail communications between Hasan and Anwar al-Awlaki, the U.S.-born cleric who officials say became a key member of al Qaeda in the Arabian Peninsula. He was killed in a U.S. drone strike in 2011.

She also declined to allow prosecutors to use materials they maintain showed Hasan's interest in the actions of Army Sgt. Hasan Akbar, the American soldier sentenced to death for killing two soldiers and wounding more than a dozen others at the start of the Iraq war, an attack he said he carried out to stop soldiers from killing Muslims.

Along with the e-mails and the material related to Akbar, Osborn also declined to allow the use of Hasan's academic presentation on suicide bombings, saying "motive is not an element of the crime."

The final witness called by the prosecution, Dr. Tonya Kozminski, testified Tuesday about what Hasan told her would happen to the Army if he were deployed.

"The last thing he said ... 'They will pay,' " Kozminski said.

Hasan's defense strategy martyrdom?

CNN's Ed Lavandera and Jason Morris contributed to this report.

@highlight

Deliberations are suspended for the night

@highlight

Jurors asked two questions before recessing for the day

@highlight

A jury is weighing whether Army Maj. Nidal Hasan is guilty

@highlight

Hasan has admitted killing 13 people and wounding 32 others in November 2009