Washington (CNN) -- The Supreme Court has again cast aside an appeal that raised doubts about President Barack Obama's U.S. citizenship, a grass-roots legal issue that has gained little legal or political footing, but continues to persist in the courts.

The justices without comment Monday rejected a challenge from Charles Kerchner Jr., a Pennsylvania man who sought a trial in federal court forcing the president to produce documents regarding his birth and citizenship.

Kerchner's attorney, Mario Apuzzo, had argued in a petition with the Supreme Court that Obama did not fit the definition of a "natural-born citizen" required for the nation's highest office, as defined by Article II, Section 1 of the Constitution.

That clause states, "No person except a natural born Citizen, or a Citizen of the United States, at the time of the Adoption of this Constitution, shall be eligible to the Office of President; neither shall any Person be eligible to that Office who shall not have attained to the Age of thirty-five Years, and been fourteen Years a Resident within the United States."

Kerchner, a retired military officer who describes himself on his website as a "genetic genealogy pioneer," argues the framers of the 1789 document intended a "natural-born" citizen to mean someone born in the U.S. to parents who were both American citizens.

The high court and other courts had dismissed earlier, unrelated lawsuits from individuals questioning Obama's citizenship. State birth certificate records show he was born August 4, 1961, in Honolulu, Hawaii. His mother is a native of Kansas; his father was born in Kenya, which at the time was a British colony.

"A person gains allegiance and loyalty and therefore attachment for a nation from either being born on the soil of the community defining that nation or from being born to parents who were also born on that same soil or who naturalized as though they were born on that soil," said Apuzzo. "It is only by combining at birth in the child both means to inherit these two sources of citizenship that the child by nature and therefore also by law is born with only one allegiance and loyalty to and consequently attachment for only the United States."

He said it was "undisputed fact" Obama's father was a citizen of the British crown.

The Obama administration did not file, and the high court did not demand, a formal government response to this latest legal claim. The high court will often insist the Justice Department weigh in with its views on a particular constitutional issue, or when it is being sued, and that is a sign the justices are seriously considering accepting the appeal.

Obama and his staff produced copies of his birth certificate when he was running for president in 2008, and have previously dismissed questions over his citizenship.

Other legal claims on the citizenship question whether Obama was in fact born in the United States, and whether his birth documents are authentic.

Among the issues the high court has refused to fully address in these appeals involves "standing," whether individual Americans can bring such a lawsuit, by first establishing personal, direct "harm" or "injury" from having Obama occupy the White House. Overcoming that legal hurdle would allow such suits to proceed on the merits in courts.

Some of the claims of various "birther" movement organizers insist the president was born in Kenya or Indonesia; that his birth certificate is a forgery; and that he had dual American-British citizenship at birth because of his father's Kenyan heritage and therefore is not a "natural born" citizen.

The case is Kerchner v. Obama (10-446).

@highlight

The Supreme Court rejects latest appeal without comment

@highlight

The challenge contends both a president's parents must be U.S. citizens

@highlight

It says Obama's father was a British citizen