(CNN) -- NASA announced an ambitious slate of launches Wednesday aimed at putting new eyes on the Earth and its atmosphere in 2014.

A total of five missions -- three satellites and two instruments that will be mounted on the International Space Station -- are scheduled to go into orbit between February and November, the U.S. space agency said. They'll measure carbon dioxide in the air, water in the soil, rainfall, cloud layers and ocean winds, providing "immediately useful" readings that will help improve both short-term weather forecasts and and long-term climate projections, said Michael Freilich, the director of NASA's Earth Science Division.

"This tremendous suite of five new instruments and missions that will be launching this year will truly reinvigorate our observing system and expand it," Freilich said.

The launches come two years after the National Academy of Sciences warned that budget pressure, program delays and launch failures had left scientists facing a "rapid decline" in Earth observations as the U.S. satellite fleet aged. NASA had called that 2012 report "overly pessimistic."

Freilich said Wednesday that six more missions were ready to launch by the end of the decade, including satellites that help measure the dynamics of the polar ice sheets and measure human use of water in aquifers.

The first of this year's planned launches, the Global Precipitation Measurement Core Observatory, is set for February 27. The satellite will be launched from Japan in a joint venture with that country's space agency, NASA said.

A second satellite, the Orbiting Carbon Observatory-2, is slated to go up in July from Vandenberg Air Force Base, in California. Its mission is to monitor the levels of atmospheric carbon dioxide blamed for rising global temperatures -- a controversial notion politically, but one accepted as fact by most scientists. The first OCO mission crashed into the sea in 2009 after failing to reach orbit.

And in November, NASA hopes to launch its Soil Moisture Active Passive satellite, designed to produce high-resolution maps of water in the soil. That can help track droughts and improve the productivity of farmland, the agency says.

Meanwhile, the two missions headed for the space station will be carried aloft by the private space contractor SpaceX, which began flying commercial cargo missions in 2013.

The ISS-RapidScat, which will record ocean winds -- important data for marine forecasts, hurricane tracking and climate research -- goes up on a SpaceX mission June 6. The Cloud-Aerosol Transport System, which uses laser instruments to track small particles in the atmosphere, is scheduled for launch September 12.

The Obama administration's recent decision to support the space station through 2024 has had "a powerful enabling influence," said Julie Robinson, NASA's chief scientist for the ISS. The decision adds four years to the station's planned lifetime -- an important step when it can take up to three years to develop a new instrument, she said.

Unlike other Earth-science satellites, the station passes over different points on Earth at different times with each orbit. But while it lacks that consistency, it's also up to 400 km (250 miles) closer to the planet, Robinson said.

"When you're a little closer, you can see things in more detail," she said.

U.S. backs space station through 2024

@highlight

NASA hopes to put five new instruments in orbit in 2014

@highlight

The launches include three satellites and two devices mounted on the space station

@highlight

NASA says the missions will "truly reinvigorate" its Earth observation network