(CNN) -- When I was a child, I always wondered how an ocean liner could fit on my street.

Never mind that a ship needed water. I lived on a small street in a small town in northern New Jersey and my father would constantly make reference to a time when his ship would come in.

I later learned that this was a figure of speech that described a future time when our family's financial resources would increase. And until that time arrived, we would live within our means and limit our purchases to those items that we could afford. My father was committed to debt-free living.

Now that I am an adult, I understand this commitment more than ever. My congregation embarked upon a debt-free mission five years ago that has reaped tremendous rewards for many of our families. The mission is called "dfree" and the "d" stands for debt, delinquencies and deficits. We are attempting to break the culture of debt that has become a plague in our society and start a family-based economic empowerment movement.

The three focal points of debt, delinquency and deficit represent the cornerstones of family financial strength.

First, debt: Americans owe a lot of money. The levels of family debt are threatening our ability to develop any meaningful wealth or to pass that wealth on to future generations.

Second, the commitment to eliminating delinquencies means that we, as a congregation, are pledging to pay our bills on time. Late payments lower our credit scores and this causes us to pay higher interest rates even on good debt such as mortgages.

Lastly, to be free of deficit living means to live within our means and thus eliminate the need to close our spending gaps by using high interest credit cards or --even worse -- alternative financial services such as payday loans, pawnshops and rent-to-own schemes.

These three objectives are the foundation of our dfree campaign.

In formulating our campaign, (participation is free) we discovered that there is an abundance of educational and informational materials available for people who want to become financially literate and economically self-sufficient. The challenge is to motivate people to find and apply the information.

Therefore, dfree is a strategy rather than just a curriculum. Dfree does involve classes, seminars and other events. But the driving principle is to popularize debt-free living and to teach people how to achieve it.

When church members testify on Sundays during the worship experience that they have paid off multiple credit cards or finished paying for a car, the entire congregation affirms them by celebrating their victory with handclaps and shouts. Such affirmation and celebration has begun to change the culture of our entire membership.

This is an important mission for our church, but any church can do it. This ministry helps strengthen families, it builds self-esteem and it increases the capacity of the church itself. We built a new church complex in the 1990s that put the church $20 million in debt. Our leadership agreed that if the church helped the members get out of debt, perhaps the members would help the church get out of debt.

And that is exactly what began to happen within months of our starting the dfree ministry.

The dfree approach is not only good for churches. Community organizations, credit unions and student groups can also adapt the strategy for their members. Every organization that cares about its members has the potential to help them break the cycle of debt in their lives.

The dfree instruction gives people a chance to grow in groups and the teaching is divided into four levels: 1. Get Started; 2. Get Control; 3. Get Ahead; 4. Give Back.

Each unit lasts three months and includes training designed to help students become teachers.

Merchandise and tools are available for churches that decide to become a part of the dfree movement. Dfree has also formed a partnership with a national bank that provides a low-cost, custom prepaid debit card that eliminates bank overdraft fees that can be so expensive. This debit card is a key tool for those attempting to take control of their finances.

We also have a dfree pledge that we provide all of our members. This plastic card is the size of a credit card that serves as a reminder to "Say yes to No Debt." The dfree pledge is on the back of the card:

I pledge to:

• Apply biblical principles in managing my finances

• Keep my expenses below my income

• Pay my bills on time

• Invest in assets that grow in value

• Contribute to my church and its ministries

There are many definitions of freedom. Given the avalanche of bankruptcies, foreclosures and high-interest credit card debt that many people are experiencing, there may be no greater need than to understand the value and joy of debt-free living. There may be no greater legacy we can leave our children.

Our ships can come in if we make a commitment to debt free living and teach our children how to manage money and invest in their futures.

The opinions expressed in this commentary are solely those of the Rev. DeForest Soaries, Jr.

@highlight

The Rev. Soaries says part of mission is helping church fight debt, delinquencies, deficit

@highlight

Church devised dfree program to guide congregants, others in resolving debt, he says

@highlight

Once they do this, he says, community may also help church pay off cost of new complex

@highlight

Soaries: There's joy, value in debt-free living; it's important legacy to leave to children