(CNN) -- A magnitude 7.0 earthquake struck Haiti two years ago, sending an already struggling nation into a tailspin.

Relief organizations estimate that more than 300,000 people were injured, nearly 5,000 schools were damaged or destroyed, and 1.5 million people were left homeless.

The quake affected one-third of the country's population, according to USAID.

A cholera outbreak confirmed in late October 2010 and flooding from Hurricane Tomas in November aggravated dire conditions.

"This water now came by and washed away anything we had left," Leogane resident Charlie Simolien said.

Recovery efforts have transitioned from relief to rebuilding, but more than half a million people still live in displacement camps, according to the United Nations Office for the Coordination of Humanitarian Affairs.

From the economy and education to health care and homelessness, relief organizations remain in Haiti, working to meet the ongoing needs of the Haitian people, and there are ways you can help.

MFK fights malnutrition, creates jobs

Meds & Food for Kids (MFK) develops, produces and distributes "Medika Mamba," Creole for peanut butter medicine, and other nutritious foods to fight malnutrition.

When the earthquake hit in 2010, MFK distributed more than 40,000 pounds of Medika Mamba to malnourished children and patients recovering from amputations and surgery.

Today, MFK continues its nutrition programs across the country. A new factory opens this summer and will expand production tenfold.

"What this means is we'll be able to treat all the children that suffer from malnutrition, but we'll also be able to make products that prevent malnutrition and supplements for pregnant and lactating women," MFK Executive Director Patricia Wolff said.

The expansion also means more jobs. MFK's factory workers and managers are all Haitian and mentored by a small American staff.

MFK purchases raw materials in Haiti when possible and provides training for local peanut farmers to improve agricultural practices and output.

Visit MFK's website to make a donation. Professionals with engineering, technical, linguistic and managerial skills can contact MFK for more information on mentorship opportunities.

Hope for Haiti rebuilds schools

Hope for Haiti has served Haitian children through education, nutrition and health care programs for 22 years.

Before the earthquake, the organization supported children and teachers in 37 schools in Haiti's southern peninsula.

In response to the disaster, Hope for Haiti distributed more than 1,000 emergency buckets to survivors and established a health clinic that served 10,000 displaced people at the Don Bosco IDP Camp.

The organization installed solar panels at a damaged secondary school so classes could continue amid power outages. It built temporary structures at other damaged locations so school would not be interrupted during reconstruction.

Hope for Haiti now supports 10 additional primary schools, helping approximately 10,000 students get an education. It provides teacher salary subsidies and basic materials to keep schools operational.

Go online to make a donation to the education fund or to support another Hope for Haiti program.

Partners in Health / Zanmi Lasante revitalize health care

Partners in Health (PIH) and its local sister organization Zanmi Lasante (ZL) started treating patients in a one-room clinic in Cange more than 25 years ago.

The clinic is now a full-service hospital boasting 104 beds, and PIH/ZL has expanded its operations to 11 other hospitals and health centers in central Haiti.

In the weeks after the quake, PIH/ZL cared for hundreds of thousands of Haitians who fled Port-au-Prince, organized volunteer medical staff and established health centers at camps for internally displaced people.

The organization continues to expand the reach and depth of its health services throughout the country.

PIH has hired and trained new medical staff, including 14 new psychologists and seven rehabilitation educators to serve earthquake victims, and will open a new teaching hospital in Mirebalais this year.

"This hospital is the culmination of a dream dating back a quarter-century and underlines our commitment to the country and people of Haiti, which is stronger than ever after the earthquake," PIH co-founder Dr. Paul Farmer said.

To make a donation to PIH's work in Haiti from various countries, visit PIH.org. Details about volunteer and internship opportunities are also available on the website.

CAN-DO reshapes communities

CAN-DO is working to establish model communities and create jobs through its Community Revitalization and Orphanage Revitalization projects.

The organization arrived in Haiti less than 48 hours after the earthquake. Over the next six months, CAN-DO distributed 250,000 gallons of water, 8,000 pounds of medical supplies and 11 tons of food to orphanages and others in need.

As part of its ongoing revitalization projects, CAN-DO is constructing and repairing schools, orphanages and medical clinics based on needs identified by local communities.

CAN-DO also formed a team of Haiti workers called the Nou Kapab Crew made of skilled masons, electricians, plumbers, painters and laborers. Members of the crew are hired to work on CAN-DO and other reconstruction projects, helping Haitians get back to work and help rebuild.

"It's all about getting the community fired up and back on their feet, but they're the ones that are doing it," CAN-DO founder Eric Klein said. "We just bring them the resources. They're going to get the job done."

To support CAN-DO's projects in Haiti, go online or text "CANDO" to 85944 to make a $10 donation. American Express card holders can donate membership rewards points to CAN-DO.

@highlight

Two years after massive quake, organizations are helping Haiti get back on its feet

@highlight

MFK and PIH/ZL serve health needs, create jobs, train workers

@highlight

Hope for Haiti helps schools rebuild and educate more students

@highlight

CAN-DO aims to establish model communities, create more opportunities for work