Editor's note: Dan Buettner is the author of "The Blue Zones: Lessons for Living Longer from the People Who've Lived the Longest." He spoke at the TEDxTC Event at the Science Museum of Minnesota in September, 2009. His Web site is http://www.bluezones.com/ For more TED Talks, click here

In the same way organisms select for characteristics that favor the survival and well-being of its species over successive generations, so too do cultures. With organisms, we call this process evolution and it represents a sort of accumulated wisdom. There is no word for this process in cultures, but there is one for the result. And that word is tradition.

For that past eight years, my team of scientists and National Geographic researchers have explored five parts of the world -- "Blue Zones" -- where people live measurably longer lives.

Compared to American averages, we found a bronze-age culture in Sardinia's interior that produces about 10 times more male centenarians; a remote peninsula in Costa Rica where 50 year-olds have a three-fold better chance or reaching age 90; a Greek island completely free of Alzheimer's (about 50 percent of Americans over age 90 suffer from dementia); and islands in southern Japan where people suffer one-sixth the rate of heart disease. How do they do it?

The Danish Twin Studies established that only about 20 percent of average lifespan (within certain biological limits) is dictated by genes. Lifestyle explains most of the rest of the longevity formula.

We found that all five Blue Zones possessed the same nine lifestyle characteristics. Among them: a low-meat, plant-based diet (all of them ate a lot of beans) and a ritual of "downshifting" each day. They experience the same stresses we do -- kids, health, finances -- but they managed it through daily prayer, meditation, ancestor veneration or city-wide happy hours (like the Sardinians).

The secret to longevity, as I see it, has less to do with diet, or even exercise, and more to do with the environment in which a person lives: social and physical. What do I mean by this? They live rewardingly inconvenient lives. They walk to the store and to their friends' homes and they live in houses set up with opportunities to move mindlessly. They do their own yard work, hand-knead their own bread dough, and, in the case of Okinawa, get up and down off the floor several dozen times a day.

They live in strong families that keep them motivated to support loved ones. Centenarians are still living near their children and feel loved and the expectation to love. Instead of being mere recipients of care, they are contributors to the lives of their families. They grow gardens to contribute vegetables, they continue to cook and clean. This has a powerful two-fold effect: Children and grandchildren in these families benefit from their grandparents' wisdom and care while the centenarians feel the motivation to stay active, to get out of bed in the morning, and live for a purpose.

They live in cities where it is easy to walk to their friends' houses, to the store or to church. So, we figured they get about 105 minutes of physical activity everyday -- and no health club membership!

We know from the Framingham studies that happiness, smoking and obesity are all "contagious." If your three best friends are obese, there's a 70 percent better chance that you'll be overweight. People in the Blue Zones either proactively surround themselves with people who practice the right behaviors or are born into communities of people who do -- or people whose idea of fun is gardening, or bocce ball or swimming; people who eat meat sparingly, who have faith, who are trusting and trust-worthy. Why is this so important?

No supplement, hormone, antioxidant or pill of any sort has been shown to reverse, stop or even slow aging. The problem is two-fold: to do the study properly, you'd need to follow two groups of people for life: one who takes the pill, the other that doesn't. Then you'd have to control for all other factors and compare the average age of death for each group. No such study has ever been done on a "longevity" supplement.

The second problem is adherence. People in general just don't stick to doing anything for very long. Are you taking supplements? How long have you been taking them? I'll bet not more than a few years.

Science (and hucksters) have offered us countless diets but research done by the University of Minnesota's Dr. Robert W. Jeffrey has shown that fewer than 2 percent of people adhere to diets for more than two years. For anything to really impact your life expectancy positively, you need to do it for most of your life. Friends, unlike pills or diets, are much more likely to be much longer-term undertakings.

The secret to solving much of America's health care crisis and battle with chronic diseases lies in emulating the environment in Blue Zones. Is it possible?

Last year, my partners and I made Blue Zones-inspired changes to the environment of an entire American town -- Albert Lea, Minnesota, (see AARP Magazine article). We made the town more walkable and bikeable, dug public gardens, made it easier for kids to walk to school and people to expand their face-to-face social networks to include more people motivated to change their health habits. The results were astounding.

If the trends continue, life expectancy for the average participant would rise about three years and health care costs for city workers would decrease by 48 percent.

The wisdom of the world's Blue Zones represents centuries or even millennia of observed human experience. As Democrats and Republicans argue over how to solve the health care crisis, perhaps they should take a moment to consider the wisdom of their grandmothers.

The opinions expressed in this commentary are solely those of Dan Buettner.

@highlight

Researchers looked at regions where people live long lives

@highlight

Dan Buettner says they found common practices in these "Blue Zone" regions

@highlight

People live longer when they have active physical and social lives, he says

@highlight

Buettner: Pills, diets aren't as important as having purpose in life