(CNN) -- For the first time in months, the ever-worsening Ukraine crisis seemed to have taken a surprising turn for the better. A snap meeting in Geneva brought together the foreign ministers of Ukraine, the European Union and the United States with their Russian counterpart, despite earlier threats by the Kremlin not to participate.

Even more unexpectedly for the many observers who had placed little hope in the talks, a one-page agreement emerged that outlines steps to de-escalate the situation and to prevent it from turning into open war.

However, neither the very contents of the accord nor the obvious skepticism among its signatories suggest that it will effectively ease the internal and international tensions around Ukraine. Instead, this declaration is set to be an important tactical victory for Russia, the key driver of the conflict.

At first glance, the Geneva agreement appears to contain the pre-requisites for a peaceful political settlement of the Ukraine crisis.

All sides are called upon to refrain from violence, provocation and extremism. Armed groups are to lay down their weapons, and occupied public spaces and buildings are to be vacated. The Organization for Security and Cooperation in Europe (OSCE) is to monitor agreed de-escalation measures centrally. A constitutional process is to begin and include broad national dialogue across all Ukrainian regions and constituencies.

And in parallel to these political steps, economic and financial support is to be discussed by the international community. Promising, one might think, if it was not for the fine print.

The ink under the accord had barely dried when the signatory parties offered widely differing interpretations of its contents.

Where Ukraine and the West directed their demands at Russian-backed separatists in Eastern Ukraine, Russia was quick to point out that pro-European protesters were to surrender, too, including the EuroMaidan.

If Kiev, Brussels and Washington envisage constitutional changes strengthening de-centralization, regional and local self-government, and minority languages, Moscow renewed its call for a federalization of Ukraine, including the right of regions to their own foreign and economic policies.

The financial stabilization of Ukraine, although unspecified, was clearly included to pre-empt the country's political implosion, while Russia insisted that aid be conditional on the implementation of the de-escalation plan, and on the fulfillment of its own demands.

In short, the Geneva talks have not delivered consensus, but have served, first and foremost, as a platform for Russia to reiterate its own positions.

No less revealing is the fact that several key aspects of the Ukraine crisis are absent from the declaration.

The Russian annexation of Crimea went unmentioned, and while merely intended by Ukraine and the West to facilitate talks, the Kremlin was quick to read this silence as an effective acknowledgement of its rule over the peninsula.

Presidential elections in Ukraine, scheduled for 25 May 2014, were not included as a crucial element of any political solution to the crisis, thus opening an avenue for Moscow to question their legitimacy.

The massive concentration of Russian troops across Ukraine's eastern borders was not addressed, which perpetuates Moscow's military intimidation of Kiev and the threat of war.

Finally, the Geneva talks failed to produce a clear timeline for the de-escalation, fundamental for Western governments to determine their own actions, including sanctions.

In all these respects, the Geneva agreement has expanded Russia's room for maneuver in Ukraine rather than limiting it.

Most of all, the accord affords Russia with much-needed time. Given its failure so far to elicit strong support and momentum for separatist ambitions in Eastern Ukraine, the Kremlin has won breathing space and can now ratchet up its efforts.

Faced with serious political isolation on the international stage, Moscow will likely reach out to potential, if reluctant allies, whether they be Belarus and Kazakhstan in the run-up to signature of the treaty founding the Eurasian Union, or China ahead of a visit by Putin, both scheduled for May.

In turn, the threat of further Western economic sanctions has been averted, at least for the time being. With the door to negotiations seemingly remaining open, the EU will find it particularly difficult to muster political will for leveraging considerable economic pressure on Russia. Geneva has thus handed Moscow a desperately needed reprieve on a plate.

This week's four-party meeting is nothing short of a diplomatic coup for Russia. While his foreign minister was in Geneva, the Russian President Vladimir Putin used his annual "Direct Line" to clarify his designs for Ukraine.

For Putin, the East and South of Ukraine are clearly Novorossiya, or New Russia, the Tsarist term for these territories. With this narrative, Russia lays the same claim to vast parts of mainland Ukraine as it did to Crimea.

And Moscow may just have made a giant leap towards expansion.

@highlight

The declaration is set to be an important tactical victory for Russia, writes Forbrig

@highlight

The ink on the accord had barely dried when signatory parties offered differing interpretations, he says

@highlight

Forbrig: The agreement has expanded Russia's room for maneuver rather than limiting it

@highlight

Moscow may have made a giant leap towards expansion, he writes