(CNN) -- In different year, the race for attorney general in Pennsylvania might have been just a footnote to the presidential election.

But more people in the Keystone State voted Tuesday for Kathleen Kane to be their attorney general than voted for Barack Obama to be their president. And much of that may be attributed to the furor over the Jerry Sandusky child sex case.

She beat the Republican challenger, David Freed, by almost 15 points, and the overwhelming support makes her the first woman and the first Democrat elected to the job in Pennsylvania.

What may have pushed Kane over the top was her strong stance on the Sandusky scandal. She promised to look back to November 2008, when the first victim came forward, and carry out an independent review into why Sandusky was not charged until three years later.

"We need an independent investigator to look at what happened," Kane told CNN. "Over 3 million people feel that I am that independent investigator."

Her promise means she'll be taking on the state's sitting governor, Tom Corbett. And her review into the Sandusky case investigation will delve into the years that Corbett was the attorney general. He launched the Sandusky investigation before he ran for governor.

Despite some criticism, Corbett has denied that politics had anything to do with investigative decisions. Instead, he accused Democrats of politicizing the case when two leading state Democratic lawmakers wrote a three-page letter asking U.S. Attorney General Eric Holder to look into how the Sandusky investigation unfolded. Holder's office says the letter is under review.

It's a topic that comes up at almost every news conference Corbett holds â€” no matter the stated topic.

"I challenge anybody out there who says there is to bring forward one piece of evidence, one sentence of evidence, one thread of evidence," Corbett said in October, defending his handling of the investigation.

Criticism of Corbett emerged soon after Sandusky's arrest last year, when the school's faithful began to question his role on the university Board of Trustees, which had fired the Nittany Lions' long-time football coach, Joe Paterno.

Kane said most of the questions she received during more than 20 months on the campaign trail were about Sandusky.

"Everywhere I went, people from every profession, almost every county, asked me what happened and why it took so long and how I felt about it, because they knew I specialized in the prosecution of child sex abuse cases," she said. "It was something that bothered them. It was something that was on their mind."

With good reason, she said: the delay in making an arrest meant that the predator remained free for years.

During that time, investigators issued no subpoenas to Sandusky's charity, The Second Mile, even though that's where he met his first accuser.

It took investigators looking into the November 2008 accusation 25 months to find a 1998 Penn State police report in which two boys had accused Sandusky of having touched them inappropriately in a campus shower.

In addition, no one from Penn State testified before the grand jury until last year, even though Sandusky had worked there for decades.

But almost immediately after Corbett took office in January 2011, eight state police troopers were added to the case. Seven of the eight initial accusers were found in the second 18 months of the investigation.

Corbett's spokesman, Kevin Harley, said each move was strategic and that the governor handled the case responsibly.

"If Kathleen Kane can transition from a partisan politician to a professional prosecutor and put aside her hyperpartisan views of law enforcement, hopefully she will learn how a sophisticated and complex investigation into a serial pedophile was conducted," Harley told CNN Thursday.

Kane may be a political novice, but she's been a prosecutor since 1995, when she left a Philadelphia law firm to return home to Scranton, where she took a job as an assistant district attorney in Lackawanna County.

She said it paid half of what she had made in Philadelphia and she had to share her desk with another prosecutor.

But she stayed in Scranton to raise her two boys, Christopher, 11, and Zachary, 10, she said.

During 17 years there, she has prosecuted public corruption cases as well as hundreds of cases involving child rape, abuse and neglect, she said.

"They are very labor-intensive," she said. "You need to have a strong stomach, and you need to know that, no matter who it is, you have to follow the facts. I've done that before and I'll do it again."

When she starts the job in January, Kane will acquire the ongoing Sandusky grand jury investigation, plus the prosecution of three former Penn State officials, each of whom is charged with conspiracy, obstruction of justice, child endangerment, perjury and failure to report a crime.

Attorneys for those men have asked a judge to delay the scheduled January trial date.

Sandusky was convicted in June on 45 counts of child sex abuse, ranging from corruption of minors to involuntary deviate sexual intercourse, which were laid out in graphic testimony by his accusers over the course of the less-than-two-week trial. He was sentenced to 30 to 60 years in prison.

@highlight

Kathleen Kane, a newcomer in state politics, won Pennsylvania AG job

@highlight

She became first woman and the first Democrat elected to the job

@highlight

She was asked about the Sandusky case frequently during the campaign