New York (CNN) -- Some people collect stamps or build miniature boats, while others obsess over their tricked-out cars -- but what if your hobby was building a nuclear fusion reactor? For Mark Suppes, it is.

By day, Suppes is a freelance web developer at Gucci, but at night he works in a warehouse lab in Brooklyn, New York, experimenting with nuclear fusion.

Suppes says he became hooked on fusion after watching a video featuring Robert W. Bussard, an American physicist who worked primarily in nuclear fusion energy research.

"It very quickly struck me as one of the better ideas for new forms of energy," Suppes says.

Paul Schatzkin, founder of Fusor.net, says people typically think of Hiroshima or the Chernobyl disaster when they hear the word nuclear.

"And when they hear it they should think sun," he says, "because what they are building is a miniature synthetic star. A fusion reaction is a star."

According to Stan Milora, director of the Fusion Energy Division at Oak Ridge National Laboratory, nuclear fusion occurs when two hydrogen atoms fuse together and create a helium atom. The resulting helium atom has less mass but is heavier than the original hydrogen atoms. This difference in mass, according to Einstein's classic formula, is what gives off energy, Milora says.

Schatzkin has been following nuclear fusion since 1973 and his site provides a forum for aspiring fusion researchers.

Such forums allow Suppes to exchange ideas and suggestions with hundreds of other fusion researchers.

"I really started from scratch," Suppes says of his fusion reactor. "I was a web developer. I've always been interested in this. It's exciting. I've learned so much and mastered so many skills that I didn't know about before."

Suppes' fusion experiment is on a small scale and gives off energy that is hard to detect, so he uses a bubble detector. The bubble detector is filled with gel and when fusion occurs, a leftover neutron will travel through the gel, creating a bubble. Although cosmic rays can naturally create bubbles as well, Suppes believes he achieved fusion on June 6 when he recorded an emergence of four bubbles in two hours and 40 minutes in a breakthrough he called statistically significant.

Suppes has extensively detailed his endeavors on his blog and provides pictures and data to back up his claims. He has been blogging and building the reactor since October 2008 and has spent around $37,000 of his own money on the project.

Schatzkin added Suppes to his site's Neutron Club -- a list of 38 worldwide "amateur fusioneers" -- on June 8.

Milora told CNN he cannot confirm Suppes' claim without more information, but he said it is definitely possible that Suppes succeeded in achieving fusion.

"I would not at all worry about anything being harmful to the public," Milora says, adding that the scale of Suppes' experiment is far smaller than those that create health hazards.

Suppes goal now is to build "the world's first superconducting Bussard Reactor. Ultimately break-even fusion," Suppes says. Such a project, however, will require investors and large-scale fundraising.

Milora says that while Suppes' experiments may be amateur because they are smaller and less complex, they can be more efficient than the massive projects funded by national governments.

"Someone could come up a with a little twist that improves what we do, a little breakthrough," Milora says. "But it still has to obey the law of physics, there is no magic."

According to Milora, the drawback to nuclear fusion now is that reactors capable of creating large enough amounts of energy cost billions of dollars and have yet to require less energy than they produce, or, "net energy."

If fusion reactors could produce net energy, "it would have a profound impact, because there are thousands of years of fuel available," he says.

@highlight

Mark Suppes inspired by American physicist to explore nuclear energy

@highlight

Says he achieved nuclear fusion on June 6

@highlight

Suppes has spent $37,000 building reactor since October 2008