(CNN) -- The gruesome civil war in Syria has terrorized residents and left world leaders scrambling to stop the carnage that mounts daily.

Here are the latest developments in the spiraling 18-month crisis:

On the ground: Explosions, casualties

Fighting and shelling persisted all day Sunday and into Monday morning in Aleppo, with both the regime and the opposition blaming each other for dozens of fatalities.

A bomb landed on a kindergarten in Aleppo, leveling a residential block and causing a "great number" of casualties, the opposition Local Coordination Committees of Syria said Sunday.

The opposition activist group described it as a barrel bomb attack, saying regime forces have been dropping barrels full of TNT, nails and fuel onto civilian areas.

The Syrian Network for Human Rights reported that warplanes shelled a residential building next to a nursery, causing its collapse and leading to "dozens of martyrs and casualties."

Syrian state-run media, meanwhile, said Sunday that regime forces had killed numerous "terrorists" in Aleppo and freed 30 people who had been "kidnapped by the armed terrorist groups."

Heart-rending choices in warzone hospital

For over a year, the Syrian government has refused to acknowledge the popular uprising against President Bashar al-Assad's rule and has blamed "armed terrorist groups" for fueling the bloodshed.

Meanwhile, 27 civilians were killed and another 64 wounded in a car bombing near two hospitals in western Aleppo, the state-run SANA news agency reported, citing Aleppo's Gov. Mohammed Wahid. This blast significantly damaged the two hospitals, a school and other buildings.

The Syrian Observatory for Human Rights confirmed that 27 people had died in the attack around what is known as the Earth area of Aleppo. It was not immediately clear, the opposition group said, whether those killed were civilians or regime forces.

The violence was hardly confined to Aleppo, however.

Across the country, at least 160 people were killed Sunday, opposition activists said. A quarter of those deaths were in and around the Syrian capital, as well as 22 in Daraa and 22 in Homs -- nine of them killed in a "massacre" in Rastan, according to the LCC.

The opposition group reported Sunday evening that 19 people on one Damascus street died "after a mortar shell landed on homes in the area."

Citing a source, state media reported 14 "terrorists" were killed in a clash with regime forces in the al-Qusayr countryside. Both SANA and the LCC, on its Facebook page, identified the same three men as being killed in the area -- with the opposition group saying they died after "a land mine planted by regime forces in a road exploded."

U.N. employee shot dead in Damascus

In the country's capital, a 28-year-old employee of the United Nations' Palestinian refugee agency died Sunday after a bullet struck him in the chest, the agency said.

Baby survives as family dies in Syrian onslaught

It was unclear whether his death, which occurred just south of the Yarmouk residential area in Damascus, "was caused by a stray bullet or one fired by a sniper," the United Nations Relief and Works Agency (UNRWA) said in a statement.

The death was the second in three days for a U.N employee working around Yarmouk, which the world body said is home to about 1 million Syrians and 150,000 Palestinian refugees. Ten Palestinian refugees were also killed between September 6 and 8 by violence stemming from the broader civil war.

Late Sunday night, the opposition Local Coordination Committees accused Syrian forces of launching "raids and (making) indiscriminate arrests in a Palestinian refugee camp in Damascus.

"UNRWA deplores the tragic loss of life and expresses the view that threats to (Palestinian) refugees and other civilians can be avoided. All sides must refrain from conducting the conflict in civilian areas and must comply with their obligations under international law," the statement said.

Diplomatic front: New envoy to Syria to work with Arab leaders

International envoy Lakhdar Brahimi arrived in Cairo on Sunday to meet with Arab League officials on the Syrian crisis, Egyptian state media reported.

This is Brahimi's first such meeting since becoming the U.N.-Arab League special envoy to Syria. He faces the daunting task of trying to help stop the bloodshed in the war-torn country.

While in Egypt, Brahimi will meet with Egyptian President Mohamed Morsy, Arab League Secretary-General Nabil el-Araby and several Syrian opposition figures to talk about the Syrian crisis, his spokesman Ahmed Fawzi told Egypt's state-run MENA news agency.

British Foreign Secretary William Hague will arrive in Cairo on Monday night for a two-day visit focused on Syria, the Palestinian-Israeli issue and economic matters, according to MENA.

A family's desperate story

After spending a few days in Egypt, Brahimi has said he will head next to Damascus. Iran's Deputy Foreign Minister Abbas Eraqij told his nation's semi-official Mehr news agency on Sunday that Brahimi has indicated he'll visit Tehran soon after his trip to Syria.

The United Nations says more than 18,000 people -- mostly civilians -- have been killed in Syria since March 2011. Opposition activists put the toll much higher, at more than 24,000 people.

Jouejati, an LCC spokeswoman, said Sunday that the situation should be classified as "genocide."

CNN cannot independently verify death tolls because the Syrian government has severely restricted access to the country by foreign journalists.

Russia: Sanctions against Syria hurt Russian business

Russian Foreign Minister Sergey Lavrov said U.S. sanctions on Syria and Iran are harming Russian business interests.

"The unilateral American sanctions against Syria and Iran are increasingly becoming extraterritorial in nature and are directly affecting the interests of Russian business, in particular banks," Lavrov said Saturday, according to the state news agency RIA Novosti.

The United States and other Western countries have sharply criticized Russia, accusing it of defending the Syrian regime for financial interests and thereby allowing the regime's bloody crackdown on dissidents to continue.

Russia, along with China, has repeatedly vetoed attempts at the U.N. Security Council to take tougher action against the Syrian government.

But Russia will push the Security Council to endorse a peace plan that would set up a transitional government in Syria, RIA Novosti reported.

World leaders agreed on the plan in Geneva this year. But while U.S. and British leaders said they don't foresee al-Assad in the transitional government, Russia said the Geneva plan "did not imply that Assad should step down," RIA Novosti said.

U.S. politician says his country needs to take further action

U.S. Sen. John McCain blasted President Barack Obama for not doing more to back the Syrian opposition, calling his administration's actions thus far "shameful."

The Arizona Republican said the United States should get opposition fighters weapons "so it's a fair fight" and establish a "sanctuary or free zone" from which the opposition can operate.

He said he is not asking that U.S. troops be sent into Syria to battle government forces.

McCain, the ranking member of the U.S. Senate Armed Services Committee, said a lack of international action to date has contributed to the "rise of extremists, rise of al Qaeda, (and a) greater threat of chemical weapons."

"We've sat still and watched this massacre go on now (with) over 20,000 people (killed)," he told CNN Saturday. "How many have to die before we act?"

CNN's Hamdi Alkhshali, Roba Alhenawi, Amir Ahmed and Holly Yan contributed to this report.

@highlight

NEW: State media reports 27 civilians are killed in a car bombing in Aleppo

@highlight

An opposition group says a barrel bomb flattens a residential block in that city

@highlight

At least 160 people are killed across Syria on Sunday, an opposition group says

@highlight

A U.N. envoy will meet officials in Cairo, then head to Syria, Egyptian media reports