(CNN) -- A few decades ago, in the very early stages of one of the most volatile presidential campaigns in American history, Mitt Romney's father was seen as the man to beat for the Republican nomination.

As it turned out, his candidacy did not even last until the first of the 1968 primaries.

He was done in by his unscripted outspokenness - a trait not generally attributed to his more cautious son, whose first run for the White House in 2008 survived through Super Tuesday. And who, until recently, was front-runner in this year's GOP sweepstakes.

Ten years after his presidential foray, I interviewed George Romney over a lunch of grilled cheese and chocolate milk at his suburban Detroit home. He squeezed me in between a morning round of golf and his afternoon tennis match.

At 70, he was retired from politics but still keeping the whirlwind schedule of a campaigner, preaching citizen activism and the Mormon religion from Michigan to Moscow.

Reflecting on his 1968 campaign experience, he said:

"If I had been elected president, I would have undertaken to do things that would have been so opposed by the special interests that they would have chopped me into little pieces."

Like father, like son -- in business

Like his son years later, George Romney first made his bones in the business world, leading fledgling American Motors Corp. in the 1950s war on the "gas-guzzling dinosaurs" offered by Detroit's "Big Three." AMC introduced less profitable but more affordable compact cars to a welcoming marketplace.

He entered politics in the 1960s, coordinating a classic grass-roots citizen drive to adopt a state constitution in Michigan, became a civil rights activist and was elected governor.

In nearly six years in office, he enacted the state's first income tax against the strident opposition of many in his own party and tussled with President Lyndon Johnson, a Democrat who saw him as a potential 1968 re-election challenger, over sending federal troops to help end Detroit's bloody 1967 race riot that left 43 dead.

He also toured South Vietnam for 31 days in 1965 with a group of his fellow governors at a time that Americans still largely supported U.S. involvement in the Southeast Asian country. It's what he said when asked some two years later why he had changed his position on the war that doomed his presidential aspirations.

"When I came back from Vietnam, I just had the greatest brainwashing that anybody could get," he told Detroit TV interviewer Lou Gordon in August 1967. "Not only by the generals but the diplomatic corps over there. They do a very thorough job."

An early backer of the U.S. efforts "to reverse a shift in the balance of power" between Communist North Vietnam and democratic South Vietnam, Romney said the additional research he did on his return convinced him -- well before many of his countrymen -- that it was the wrong war at the wrong time.

"I think it's tragic we got involved in the conflict there," he told Gordon. "...The Vietnam War is a farce, so somebody had to speak up and it turned out to be me."

'Brainwashing' doomed presidential chances

It was the "brainwash" line that caught fire and did him in. As he told me in the interview years later, "It was a good example of being right too soon on a political issue."

By the time the controversy exploded, Romney already had lost his very early lead in the polls to Richard Nixon. By the time he dropped out, just before the New Hampshire primary, he was hopelessly behind.

That was the first in a series of dramatic political developments that year - Johnson jarred the nation by announcing he would not seek re-election, the man whose candidacy he most feared, Robert Kennedy, was assassinated on the night he won the California primary, riots rocked the Democratic convention in Chicago and Nixon was elected president over eventual Democratic nominee Hubert Humphrey.

Romney later became Nixon's Housing and Urban Development secretary, but left that post because of his inability to get White House support for urban initiatives he wanted to launch, blaming the political climate of the times.

"Nixon was a crook, but he was no dummy," Romney told me -- another example of his often stunning candor even in the context of that era.

He remained a media darling for years after that. Every time he paid a courtesy call on Michigan's state Capitol in Lansing when I was working as a reporter there in the 1970s, the entire press corps would scramble for a quick headline. He rarely disappointed.

"It was just all so natural for him," said Keith Molin, who worked on Romney's campaigns for governor, became an influential state GOP operative and served as state labor director and then commerce director under Romney's successor as governor, William Milliken.

"When George walked into a room, that room was his."

'He stood up and took responsibility'

And when he took a position, no matter how controversial, he stuck with it, Molin said in a recent telephone interview.

"He came out in support of an income tax ... he was one of the leading advocates," he said. "Conservatives went bananas.

"He took on his own party. And the party had to make some adjustments. There were no oaths, no signed statements, no read my lips. He stood up and took responsibility for leading the charge."

Comparing father and son, Molin said: "I watch Mitt pander to the tea party -- I'm sorry, there's no other way I can describe it. In 1962, at his first (state) convention as leader of the party, George Romney faced the same situation with the John Birch Society, and he took 'em face on. He didn't try to find an accommodation, and went on and beat 'em.

"But that was George Romney. He knew who he was. It was a very different time, but that was George.

"He helped craft a new model of education in the urban area. His son did the same thing with health care. He didn't invent government. He just made it work," Molin said. "Stop apologizing for what you've done."

Bill Ballenger, editor of Inside Michigan Politics, an online newsletter, was research director for the state Republican Party while Romney was governor, and later became a state lawmaker, a director of state agencies and U.S. deputy assistant secretary of Health, Education and Welfare.

"The contrast between the personalities of Mitt and George is pretty pronounced," he told me. "Though both fairly forceful, dynamic characters, Mitt, quite frankly, is the plastic man.

"He looks like his father in many respects but the directness and openness of George Romney simply is not there. You get the feeling everything is calculated, beyond his changing positions on the issues. It's like everything he says -- it just doesn't have the veracity, the ring of candor that you got from his father."

'My dad was the real deal'

Asked for reaction to the comments of Molin and Ballenger, a spokeswoman for the Mitt Romney campaign directed me to Bob Danhof, who served as George Romney's legal counsel when he was governor, but he could not be reached.

George Romney, whose wife Lenore ran unsuccessfully for the U.S. Senate after his departure from politics, died in 1995. He's still remembered with obvious affection by those who knew him well.

"He was a character," Ballenger said. "He had a reputation before he was even elected governor. He was the guy who talked about gas-guzzling dinosaurs and was on the cover of Time magazine. You talk about somebody who's prescient, and rather prudent - here's a guy who was talking about green energy years before it was any kind of issue."

Both Ballenger and Molin called my attention to a recent Washington Post account of Mitt Romney's encounter in New Hampshire with an 83-year-old Polish immigrant who pulled out her autograph book and showed him the autograph she had gotten from his father.

"My dad was the real deal," Mitt Romney told her. Later the woman told reporters she liked Mitt, too.

"I liked his smile. He came through human-like," she said.

Of the relationship Mitt Romney had with his father, Molin said, "He worshipped the ground he walked on."

@highlight

George Romney was outspoken, a trait not generally attributed to his son, Mitt Romney

@highlight

Father and son both made their bones in the business world

@highlight

He looks like his father, but the directness and openness is not there, former lawmaker says