Editor's note: Jeffrey D. Sachs is director of the Earth Institute and a professor at Columbia University. He also serves as special advisor to U.N. Secretary General Ban Ki-moon on the U.N. Millennium Development Goals. From 2002 to 2006, he was director of the U.N. Millennium Project. He is president and co-founder of Millennium Promise, a nonprofit organization aimed at ending extreme global poverty and achieving the Millennium Development Goals. He has twice been named among the 100 most influential leaders in the world by Time magazine and is the author of the bestsellers "Common Wealth" and "The End of Poverty."

Jeff Sachs says the G-20 countries must take steps to cushion the poor from the financial crisis.

(CNN) -- The G-20 meeting in London, England, on April 2 will be watched by the entire world with urgency and with a yearning for hope, vision and programmatic clarity.

The preparatory work is not adequate. The G-20 discussions do not move sufficiently beyond financial regulation. I would like to suggest the following main points for G-20 leadership in the global recovery.

The G-20 needs to combine stimulus, economic development and sustainability: stimulus to get the world recession reversed, development to ensure that all of the world (not merely the rich countries or the G-20) shares in the benefits, and sustainability to address the world's grave risks of climate change, water stress and loss of biodiversity.

The world's 3 billion poor, especially the 1 billion poorest of the poor, are suffering powerful and destabilizing blows from the crisis, and these will get worse and threaten global security unless there is specific attention and action.

The G-20 cannot limit its focus to regulating the financial sector, reforming the International Monetary Fund and the World Bank, avoiding protectionism and reciting the measures that individual countries are taking. This would leave the world gasping for direction and hope.

The G-20 must offer a vision that is big enough to quell global fears and action bold enough to protect the desperately poor while guiding the cooperative decision-making of the world's economic authorities.

The G-20 must push forward based on real policy coordination. The world does not have a system of effective cooperation. The United States, for example, does not engage in comprehensive and deep coordination with other countries. The poor countries, with half the world's population, and the poorest countries, with roughly one-fifth of the world's population, have not been brought into the equation.

The G-20 package for stimulus should include:

First, fulfillment by all countries of stimulus measures already announced and a commitment to undertake new joint stimulus measures, especially priority public outlays on infrastructure, the social safety net and sustainable energy, as may be needed during the coming years.

Second, establishment of a high-level G-20 coordination group, backed especially by China, the European Union, Japan and the United States, to work full-time on coordinating monetary, fiscal and financial policies for stimulus and long-term recovery. Such cooperative macroeconomic programming does not now exist.

Third, increased currency support extended from the world's five major central banks (the U.S. Federal Reserve, the European Central Bank, the Bank of England, the Bank of Japan and the People's Bank of China) for emerging market economies facing the loss of loans from international banks (e.g. Eastern Europe). The Fed's currency swap lines to Brazil, Mexico, Korea and Singapore last fall played an important stabilizing role. The other central banks can and should do more, as can the Fed vis-à-vis other countries.

Fourth, a G-20 commitment to gradual and orderly currency readjustments to help rebalance the world's financial and trade flows. The Asian currencies should gradually appreciate against the euro, which in turn should appreciate gradually against the dollar. Squabbling about bilateral rates between the dollar and Chinese renmenbi should be put to rest.

G-20 actions for the poor should include:

First, establishment of an urgent special food security program, which would make grants to low-income, food-deficit countries (including Africa, Haiti, Afghanistan and elsewhere) to ensure that impoverished farmers can get the basic input they need (such as fertilizer and high-yield seeds) to grow more food.

United Nations Secretary-General Ban Ki-Moon and Spain's Prime Minister Jose Luis Rodriguez Zapatero have joined to propose this new program and have mobilized backing from about a dozen countries.

The United States' contribution should be at least $200 million per year over five years ($1 billion total), matching Spain, the largest donor country, and sending a powerful message of solidarity from the United States to the world. The hunger crisis is now afflicting 1 billion people and contributing to the deaths of millions of children each year.

Second, full funding of the Global Fund to Fight AIDS, Tuberculosis and Malaria, which is facing a critical and potentially devastating cash shortfall during 2009-11.

An incremental U.S. contribution of $350 million in 2009 would close the most urgent cash-flow gap and put the United States in the clear lead of protecting the Global Fund and championing the fight against the three pandemic diseases.

Third, special urgent long-term financing of clean energy investments in the poor countries, especially solar, geothermal, wind and hydro, as a direct stimulus to the supplier countries (including the United States), a development boost for the recipient countries (notably in Africa and Central Asia) and a major spur to climate control and success in negotiations this year.

Fourth, accelerated distribution by the World Bank and the regional development banks of their unused financing capacities, directed at infrastructure and the Millennium Development Goals. The G-20 would commit to accelerate the replenishment of those funds on an expedited and as-needed basis.

Fifth, urgently completing the pending injection of capital for regional development banks to bolster their lending and grants. (The Asian Development Bank, for example, is in the process of a recapitalization, which should be strongly supported by the United States and the rest of the G-20.)

Sixth, an urgent easing of the conditions the IMF sets on its grants and loans to poor countries. This will ensure that those countries can receive and utilize greatly increased IMF financial backing to preserve trade finance and to have the room to undertake needed stimulus measures.

Seventh, an explicit commitment by all parties to take the steps needed to achieve the Millennium Development Goals by 2015, the world's internationally agreed goals to fight extreme poverty, hunger and disease. (See http://www.milleniumpromise.org for details and ways to achieve them.) All parties should underscore their commitments to the goals, and the United States should emphasize its resolve to increase aid markedly by 2015.

G-20 actions for sustainability should include:

First, a determination to "green" the stimulus in each country and to expand the development financing for sustainable infrastructure in the developing world, including solar power and efficient water use in sub-Saharan Africa.

Second, a commitment to reach a climate agreement in Copenhagen, Denmark, which will steer large-scale investments in sustainable energy, next-generation automobiles, green buildings and so forth as a key plank of global recovery.

Follow-up

I recommend that the United States offer to host the next G-20 meeting in September in advance of the U.N. General Assembly. China would be a logical host for the fourth G-20 meeting during early 2010. To enhance global coverage and legitimacy, the G-20 should be enlarged to be the G-22, to include representation of East and West Africa.

The opinions expressed in this commentary are solely those of Jeffrey Sachs.

@highlight

Jeffrey Sachs: When G-20 meets, it must do more than just financial regulation

@highlight

He says the world's 3 billion poor are suffering from global economic crisis

@highlight

Sachs: World needs food security plan for poor nations with aid from U.S., others

@highlight

He says health and clean energy should be key priorities for the G-20