London (CNN) -- In the broader frame, Vladimir Putin's decision to stand again as Russian president is no big surprise. Batman returns, though the idea of Robin (Dmitri Medvedev) becoming prime minister may not work out for long.

Sure, the timing was unexpected. There were good reasons for making the decision later -- last time around Medvedev was revealed as Putin's choice for president only after the parliamentary (Duma) elections in December 2007. Medvedev now becomes an early lame duck -- the Kremlin has not dealt with that problem simply by saying he will be prime minister under Putin.

By making the announcement before the Duma elections, Putin has guaranteed a majority for his new '"Popular Front" -- but that will also create problems. Russian voters quickly cottoned on to the fact that the old United Russia party was just a roadblock: it could stop opponents winning elections, but had no role in government or in the generation of policy or strategic thinking. The corporatist behemoth Popular Front will be even worse.

Russia has a "managed democracy," but the campaign for the presidential elections next March will now be even longer, and in a long campaign not everything can be easily managed.

Comment: Putin and Medvedev, trading places

There are other obvious downsides, even once the timing issue is out of the way. Western leaders who invested time and political capital in engaging Medvedev will be asking loudly what the interregnum was all about. The idea of a Kremlin-approved but reformist new liberal party has been squashed. So have the rumors that Russia's liberal conscience and enforcer of fiscal discipline, Finance Minister Aleksei Kudrin, would be the next prime minister. But Kudrin would have been a much better choice than an ineffective Medvedev, and could have taken Russia back to the long-forgotten era of real reform when Putin first came to power in the early 2000s -- before the Yukos affair in 2003 and the oil price explosion that sucked the life out of the reform impulse.

What does Kudrin do now to stop the markets freaking out? And how long will the mild-mannered Medvedev really last as PM, given that he is unlikely to transform himself overnight into a fire-breathing CEO? The Russian government can't be run on Twitter.

Then there are much bigger strategic questions. Will Putin 2.0 be any different from Putin 1.0? Can Putin dismantle Putinism? Putin always hoped the history books would treat him well, which is why he chooses court historians to write them; but even many of the supposed achievements of his first two terms of office (2000-08), such as Russia's much-vaunted "stability," the restoration of state authority and victory in Chechnya, may now be under threat if Putin comes back in much more difficult economic circumstances and with real anarchy looming in Russia's North Caucasian "internal abroad."

Even stagnation is not an easy option. Will Putin 2.0 be able to stop the growing torrent of capital flight out of Russia, which reached $21 billion in the first quarter of 2011? Putin's ideologue Vladislav Surkov once coined the term "offshore aristocracy'" to abuse the "cosmopolitan" oligarchs and Western advisers of the Yeltsin era; but this is precisely what Putin's oligarchy has become. The ruling elite is not investing at home -- many of them don't even live in Russia. And capital flight is no longer just for oligarchs, as genuine entrepreneurs and small and medium enterprises (SMEs) despair of red tape and corruption.

Will Putin be able to curb the bloated state that has grown so unwieldy under oil money? The budget only balances at an ever higher oil price -- currently reckoned to be about $125 a barrel. How high will the necessary price be in a few years?

Putin has so far failed to build a new narrative. The same old guys still sit beside him. Even his old image as the "good tsar" reigning in the "bad boyars" is suspect. Putin has not cleansed the stables, and the oligarchs close to him may get bolder and more brazen once he comes back to power.

Putin's favorite foreign policy initiatives will be pushed further forward, like the idea of a customs union with Belarus and Kazakhstan, with Ukraine under pressure to join. If Georgia's President Mikheil Saakashvili "does a Putin" and makes himself prime minister after his second term runs out in January 2013, Saakashvili and Putin could then be squaring off for years. The ugly youth group Nashi and its skinhead hinterland will still be around.

Periodically, Putin's PR machine has pushed out the idea that he is tired of office and looking forward to retirement. We can now put that myth to rest. He has now guaranteed himself another six or even 12 years of hyperactivity, with an overflowing in-tray.

@highlight

Putin's decision to stand again as Russian president is no big surprise, says commentator

@highlight

Andrew Wilson says markets and investors are unlikely to be impressed by move

@highlight

He asks: Can Putin stop capital flight out of Russia; guarantee stability in Caucasus

@highlight

And will Putin be able to curb bloated state that has grown unwieldy under oil money?