Syria is burning -- scorched for nearly a year by tenacious political resistance, a merciless security crackdown and cries for democracy.

The spark that lit the flame began about a year ago in the southern city of Daraa after the arrests of at least 15 children for painting anti-government graffiti on the walls of a school.

The community's blunt outrage over the children's arrests and mistreatment, the government's humiliating and violent reactions to their worries, and the people's refusal to be cowed by security forces emboldened and helped spread the Syrian opposition.

Fate of neighborhood uncertain

Daraa soon became a rallying cry across the country for what began as a rural and provincial-driven uprising.

Syrians compare the dramatic dynamics in the rural city to the moment Tunisian street vendor Mohamed Bouazizi torched himself in December 2010. Bouazizi's act and death spawned demonstrations that led to the grassroots ouster of Tunisian President Zine El Abidine Ben Ali and fueled other protests across the Arab world.

Mohamed Masalmeh -- a Halifax, Nova Scotia-based Syrian activist whose family hails from Daraa -- said Daraa residents broke the people's "wall of fear" by defying what he and others call a police state and taking to the street.

"What people did in Daraa was unheard of," he said.

Omar Almuqdad, a journalist from Daraa now living in Turkey, said, "They started protesting day after day."

"It was the flame of the revolution."

A slow burn into a firestorm

Discontent in Syria has slow-burned for decades.

A clampdown on a a Muslim Brotherhood uprising by the current president's predecessor and father -- President Hafez Assad -- killed thousands in Hama in 1982.

When Bashar al-Assad took the presidency after his father died in 2000, he gave lip service to reforms.

But activists who emerged from the so-called Damascus Spring after the death of Hafez and those in 2005 who urged reforming what they said was an "authoritarian, totalitarian and cliquish regime" found themselves in trouble with the authorities.

There was sectarian and ethnic unrest in the last decade, too, with a Druze uprising flaring in 2000 and a Kurdish rebellion erupting in 2004.

When the Arab Spring unfolded last year, Syrians imbibed the contagious revolutionary fervor spreading across the Middle East.

But the anger smoldered under the surface because of the Goliath-sized, all-seeing and all-knowing security and spying apparatus.

Protests popped up in Syria as video images of public defiance in Egypt, Libya and Tunisia swept the world -- small outpourings seen by observers as tests to build a Syrian nerve to take to the streets.

And then -- Daraa.

Remote Daraa sits just a few miles from the Jordanian border. It has had its economic struggles, such as drought and drops in subsidies and salaries. Nevertheless, it had been a reliable bastion of support for the regime and its Baath party.

Tribal and predominantly Sunni, Daraa is like many small towns. People know one another and the relationships are close in the city and in the nearby villages and towns.

When the schoolchildren were arrested in late February 2011, they were accused of scrawling graffiti on a school that said "the people want to topple the regime." Masalmeh, the activist, said security went to a school, interrogated students and rounded up suspects.

It wasn't as if this vandalism was rare. Such graffiti was becoming so common in the region that ID was needed to buy spray cans.

But these arrests struck a chord. Residents found out their boys were being beaten and tortured in prison.

The families of the boys approached authorities and asked for their sons' release. Activists and observers say authorities shunned and insulted the people. One official reportedly said: "Forget your children. If you really want your children, you should make more children. If you don't know how to make more children, we'll show you how to do it."

"At some point, the insult is so far below the belt. People do respond to it. They just don't bow down anymore," Amnesty International's Neil Sammonds said.

Protests grow

On March 16, a female-led sit-in in Damascus demanded the release of prisoners unfairly jailed. Some of the participants were Daraans, with strong ties back to their home province, and part of the educated, urbanite youth living in Damascus.

"Police dragged protesters by the hair and beat them," said Mohja Kahf, a novelist, professor and activist in Arkansas with contacts across Syria. "This built on the gathering outrage over the Daraa children who are prisoners,"

A day later, a sit-in in Daraa, with some detained. The next day, on March 18, a protest against the arrests of the children, according to The Human Rights Watch.

"Security forces opened fire, killing at least four protesters and within days, the protests grew into rallies that gathered thousands of people," the group said.

Activists regard these as the first deaths in the Syrian uprising.

People began rallying in other cities across Syria that day -- Jassem, Da'el, Sanamein and Inkhil. Kahf said the government responded with live fire only in Daraa.

But the more people demonstrated in Daraa, the tougher security forces cracked down. And as the crackdown worsened, the more resolute the protesters became.

The people in Daraa "didn't want to go against the regime," Masalmeh said. "People thought this guy -- Bashar -- was better than his dad. Nobody wanted to go face-to-face with him.

"It's not like they fought with arms at that moment," he said. "They were just defiant. 'All that we want is our children.' "

The youths were eventually freed, but YouTube videos and demonstrations were already spreading.

Al-Assad addressed the Daraa unrest in a March 30 speech before lawmakers, blaming the unrest on sedition. "They started in the governorate (province) of Daraa," al-Assad said, adding "the conspirators took their plan to other governorates."

"That speech had a catastrophic impact," the International Crisis Group's Peter Harling said. "People who wanted to support the regime at the time were shocked by the speech."

The dismissiveness of al-Assad and the lawmakers who applauded his words awakened many Syrian people, says the Human Rights Watch's Nadim Houry. Two days later, weekly anti-government protests began across Syria.

Calls for reforms soon morphed into calls for the removal of the al-Assad regime.

"Courage is contagious," Houry said.

The government launched a full-scale siege on Daraa April 25, with other towns such as Homs to follow.

Mass arrests unfolded and tales of torture spread across the country. The protest movement grew and solidified into an opposition.

Paul Salem, director of the Carnegie Middle East Center, points out "it's conceivable that if the events didn't happen in Daraa," the uprising "might not have occurred."

But the deep-seated political and economic reasons underlining Syrian discontent was an omen. Protest in Syria was "going to happen" at some point, Salem said.

So, out of Daraa, a spark. And a year later, the uprisings blaze on.

"The impact of small events on history can be huge," Salem said.

@highlight

The Syrian protests began in the southern city of Daraa

@highlight

School children were arrested for anti-government graffiti

@highlight

A year later, the protests have spread throughout the country