(CNN) -- In 1996, when she was 4 years old, Catherine MacLean learned she had aplastic anemia. For seven years, she lived from hospital visit to hospital visit, one transfusion to the next. It wasn't until the summer of 2002 that her world suddenly included what was possible beyond the walls of her illness. She was 11.

For many of the years in between, her disease controlled her life -- aplastic anemia is a type of bone marrow failure that made it impossible to produce enough red blood cells to support her body.

In 2001, Catherine spent three weeks in isolation at a clinic so that she could get a bone marrow transplant. All visitors had to scrub down before entering the room, and her mother had to wear a surgical mask if she slept there.

When she went back to school, Catherine had kept up academically, but the social environment at the school made for a difficult transition.

"I was definitely clearly very aware that I was different from the other kids in my class, in a lot of ways -- in terms of maturity, in terms of risk taking," Catherine told CNN.

"There's just this gap in experience, because I've just done things and been to places that they just haven't."

To help her meet other kids who understood, Catherine's doctors encouraged her to go to a special summer camp for seriously ill children. The Hole in the Wall Gang Camps were started by actor Paul Newman "to acknowledge luck; the chance of it, the benevolence of it in my life, and the brutality of it in the lives of others, made especially savage for children because they may not be allowed the good fortune of a lifetime to correct it."

The camp Catherine attended, in Ashford, Connecticut, is staffed by cabin counselors, doctors and nurses, and it prides itself on giving kids a place where they will feel "safe, respected and loved."

For these kids, suffering from diseases such as hemophilia, sickle cell anemia and cancer, it is a chance to see past the walls of the hospital to what the world might be like if a diagnosis didn't control their every move, if clinics and hospital rooms weren't like second homes.

CEO Jimmy Canton has been with the camp since it started in 1988. He describes it as a place where children are encouraged to look beyond what they thought was possible: "They've been told over and over again what they can't do. And camp reminds them that there's an enormous amount of things that they can do."

Nicole Kucine is a pediatric hematologist and oncologist who's getting more training at Memorial Sloan-Kettering Cancer Center and has volunteered at the camp for four years. Outside of the summer, she works closely with many sick children in hospitals and clinics; at the camp, she sees ill children in an entirely different light.

What she sees -- children dancing around dining halls, inviting and insisting that she join in -- is invigorating.

"Seeing kids kind of ignore their disease was amazing. That they have to take medicine when they eat their meals wasn't a big deal. They could be normal," she told CNN.

"Normal" was not something Catherine was that familiar with before camp. The start of camp coincided with the one-year anniversary of her transplant, and her doctors were just starting to use the word "cure."

At the camp, Catherine was embraced by young counselors, eager to get to know her. Many of the counselors were in college, which helped her envision what had for so long been an intangible future.

"My sort of vision of my life had always been very narrowed, and it was always very much a day-by-day. It was like in a week, I have to get another blood transfusion, and in a couple months, we're gonna be changing my medication, and in a couple months, we're gonna transplant," she told CNN.

The experience allowed Catherine to think, "There's things out there. I can set long-terms goals now. I can have long-term goals. There's things that I'm going to be able to do."

The friends from her camp still provide support and understanding today, when "normal" life can get complicated. Explaining the intricacies of her illness could be daunting to a college freshman trying to make new friends. But her camp friends can commiserate over routine checkups and test results without requiring any explanation.

The camp also changes the way children interact with authority figures. In hospitals, there are always many caretakers who often do things to sick children that are uncomfortable, like drawing blood or giving them medications.

With events like "Silly Olympics," the camp puts kids back in the driver's seat. Correctly answered trivia questions win campers the right to fling a spoonful of pudding in their counselor's face, or spray a counselor with a Super Soaker, or perhaps make lemonade mix in a counselor's mouth.

"Silly Olympics is, here's this authority figure, but you're allowed to throw pudding at them, you're allowed to strike back, you're allowed to kind of take control of the situation in a way that a lot of these kids get control over their bodies and their lives just completely taken away from them," Catherine said.

"In the hospital, you're a patient, that's all you are; in a lot of ways, you are your illness. And here, you're getting up on stage and you're a singer or you're a wood shop craftsman or you're a fisherman, you get to try different things, and so you can take back a sense of 'I like to fish, I'm good at this, I discovered this talent,' " she told CNN.

This year, as Catherine finishes up her first year of college, she looks forward to many possibilities, such as medical research and graduate school. But she says the camp has also opened up her eyes to the social side of medicine, and she is considering going into public health or pursuing a job that supports patients.

But for now, she is just excited about her summer job. She'll be going back to the camp that changed her life, but this time as a counselor.

For thousands of very sick children around the world, summer camp is not just a place to escape parents and make new friends.

@highlight

In 1996, Catherine MacLean learned she had aplastic anemia, hospital stays became her norm

@highlight

Hole in the Wall Gang Camps, started by Paul Newman, helped her transition to more normal life

@highlight

There, campers learn how the world might be if a diagnosis didn't control their every move

@highlight

As Catherine finishes up her first year of college, she looks forward to many possibilities