LONDON, England (CNN) -- Garbage dumps are generally not associated with thriving coral reefs, vast mangrove plantations and rare bird species.

Yet on Pulau Semakau off Singapore, this is exactly what you will find: just beside a secluded ecological zone that harbors dozens of rare plant, bird and fish species lies the world's first ecological offshore landfill.

Located 8 kilometers south of Singapore and covering an area of 3.5 square kilometers, the Semakau Landfill was designed by engineers and environmentalists at Singapore's National Environment Agency (NEA). It consists of two small islands that have been connected by a rock embankment. The area inside the landfill is divided into 11 bays, known as 'cells', which are lined with thick plastic and clay to prevent any harmful material from seeping into the sea.

Since the landfill was put into use in 1999, four of the 11 cells have been filled, covered with earth and planted with grass.

The landfill, which cost around $400 million, can hold up to 63 million cubic meters of rubbish, enough to satisfy Singapore's waste disposal needs until 2040.

Clean and odor-free

What distinguishes Semakau from other landfills is that it is clean and free of smell. Two thirds of the material that comes to Semakau has passed through one of the city's four incinerators, reducing it to approximately ten percent of its original volume. Waste from construction material is also processed, while toxic waste like asbestos is packaged in such a way that it cannot leak into the surrounding environment.

Two mangrove groves that were destroyed when the embankment was built have been replanted near the landfill and today they serve as biological indicators for the local environment. If they were to start dying, it would be seen as a sign that harmful material had leaked from the landfill.

Scientists expected that some of the mangroves would not survive the relocation, but today they cover 1.4 square kilometers around the island and even have to be cut back in places -- a sign that the landfill is indeed leak-proof.

Flourishing wildlife

Together with the island's other ecosystems such as seagrass meadows, coral reefs and sandy shores, the mangroves serve as a habitat for a variety of birds, fish and plants.

The decision to build a landfill off Semakau was taken in the 1990's when the previous landfill on the main island had nearly reached capacity. "As land is scarce in Singapore, it was decided from the outset that the new sanitary landfill in the smaller islands would be designed as an environmentally friendly facility which would be used to meet Singapore's land use needs when it was eventually filled up and closed," the NEA explained in an official statement. Every effort was made to minimize the impact on the local environment so that the area beside the landfill, which always had a rich flora and fauna, has remained intact.

"Great effort went into making sure that the impact of the landfill on Pulau Semakau's biodiversity was minimized. In fact, biodiversity remains high and we have not lost a single species because of the landfill," says Wang Luan Keng, an education and research officer at the Raffles Museum of Biodiversity Research (RMBR) in Singapore.

New species

She adds that as the island's various ecosystems continue to flourish, scientists are still discovering new species on Semakau.

In July 2005, the government decided to open the western part of Semakau up to the public for recreational purposes. Today there are guided nature walks along the island's coast, while sports fishing and bird watching associations also organize special excursions to the island.

"When we do the tours around the island, we have a powerful message," says Ria Tan, an associate at the RMBR and owner of a popular Web site, wildsingapore.com. "We tell people: 'Look how beautiful this is, and imagine what could be destroyed if the landfill had to be expanded.' This makes them think and when they go home they are more careful about how they deal with waste."

Rich biodiversity

Thus, the Semakau Landfill project has inadvertently turned into more than just a trash dump; it is becoming an educational project and could serve as a model for sustainable urban development around the world. "The rich biodiversity around the sanitary landfill shows that development and environmental protection can co-exist and need not be mutually exclusive," says the NEA.

"It is of course a compromise, but in the context of urban living I think it is a good one. Some nature lovers criticize the project, but in the end we have to throw our rubbish somewhere and this is a good solution," says Tan.

Wang agrees. "I see Semakau Landfill as a great way of striking a balance between the need of urban development and nature conservation."

.................................

Are ecological landfill islands a viable solution for our waste? Would you live on a landscaped landfill? Share your stories and read what others have to say in the forum.

@highlight

Singapore has built the world's first ecological landfill island

@highlight

Birds, fish and plants have flocked to the island's mangroves

@highlight

The island hosts nature walks, fishing and bird-watching excursions

@highlight

The landfill will eventually be used to meet Singapore's land use needs