(CNN) -- A stuffy, overcrowded cell. At times, two or three men to a single bunk. Lockdown for 23 out of 24 hours.

Is this what awaits South Africa's Oscar Pistorius if he is not released on bail while he awaits trial for the murder of his girlfriend?

Some of South Africa's prisons are better than others.

But whichever one might house Pistorius, there's no question that conditions would be a far cry from those in his $560,000 home in the luxury Silverwoods Estate, on the outskirts of Pretoria.

South African prisons are frequently overcrowded, putting a strain on sanitation, ventilation and medical care, according to Nooshin Erfani-Ghadimi, project coordinator for the Johannesburg-based Wits Justice Project , a civil society group.

The overcrowding means three men may share a single cell, or communal cells for 40 people are jammed with double the number they were intended to hold, with men sleeping in double or triple bunks, she said.

"We heard of one person who for the first year in remand detention slept on the floor and then 'graduated' to a bunk," she said. Remand is the term used for pretrial custody.

Many inmates are kept locked up for 23 hours a day, with only an hour outside their cell. Some prisons go into lockdown as early as 3 or 4 p.m., leaving prisoners cooped up for 12 hours or more at a stretch.

"It's not a pretty picture," Erfani-Ghadimi said.

Overcrowding is a particular problem in remand prisons, where it runs at just over 200%, she said, citing figures from the Department of Correctional Services. Overall, overcrowding in prisons stands at about 133%.

And Pretoria Central Prison, perhaps the most likely destination for Pistorius if he doesn't get bail, "doesn't have a very good reputation," Erfani-Ghadimi said.

Special treatment?

The track star's high-profile case is likely to thrust South Africa's criminal justice system under the spotlight.

Questions have already been asked about why Pistorius, a gold medal-winning Paralympian, is being detained in a holding cell at the Brooklyn Police Station -- and not at Central Prison or Newlock, where other defendants awaiting trial are kept.

"If there is some special circumstance that permits this, authorities must share this with the public as they are setting a bad precedent," the women's branch of South Africa's ruling party said in a prepared statement. "All should be treated equally before the law no matter your standing in society."

Pistorius is getting special treatment, the African National Congress Women's League said, adding that his family can visit him outside visiting hours -- unlike relatives of other inmates.

"If Pistorius is denied bail, he must be moved to a proper prison facility with others accused of similar crimes," the statement said. "A strong message must be sent out that wealth and celebrity cannot give you an advantage over the law."

The 26-year-old has rejected the murder allegation "in the strongest terms," his agent said in a statement.

Pistorius' lawyers requested Brooklyn last week so that they could have access to their client over the weekend, following his arrest Thursday. The state did not object.

The case of Shrien Dewani, a British man accused of hiring hitmen to kill his wife on their South African honeymoon, cast the country's criminal justice system in an unflattering light. His lawyers argued last year that his extradition would breach his human rights under European law because he risked being attacked by other inmates in South African prisons.

While British High Court judges dismissed that part of Dewani's argument, concerns about potential torture and abuse in detention are warranted, Erfani-Ghadimi said.

South Africa is a signatory to the U.N. Convention on Torture, but it has yet to ratify it, so such abuses have not been criminalized.

"A legacy of apartheid is that prison cells are still unfortunately a place where prisoners can be abused," Erfani-Ghadimi said.

Amnesty International's Annual Report 2012, which looked at human rights around the world, also said that a draft law to make torture a criminal offense had not been presented in South Africa's parliament by the end of the year.

Human dignity

Nevertheless, said Erfani-Ghadimi, the problem doesn't lie in South Africa's laws so much as in the ability of the justice system to cope with the number of inmates in the system.

South Africa's constitution and its bill of rights, with regard to prisoners' rights, are among the best in the world, she said. "Unfortunately, that doesn't necessarily translate into practice."

She says she thinks conditions are improving, however, thanks in part to the strength of those constitutional rights and the work of civil society organizations campaigning for change.

And Pistorius, if he ends up spending time on remand or is eventually convicted and jailed, should find that his particular medical needs as a double amputee are taken into account, she said.

This could mean that he is sent to a prison with better medical facilities or wheelchair access, she suggested.

According to the bill of rights, prisoners are entitled to "be detained in conditions that are consistent with human dignity, including at least exercise and the provision, at state expense, of adequate accommodation, nutrition, medical treatment."

Correctional Services Department spokesman Koos Gerber said South Africa's detention facilities, whether for remand prisoners or those serving prison terms, "can accommodate people with any disabilities."

"We have a general problem of overcrowding but we have learned to live with it," said Gerber, adding that extra bunks have been added to make sure all remand prisoners have a bed. Hospital facilities are also available at all times, he said.

According to official figures for 2011 to 2012, there were 158,790 prison inmates in South Africa, a nation of nearly 52 million, of whom about 30% were on remand awaiting trial.

This compares with about 2.2 million people in prisons or jails in the United States at the end of 2011, according to U.S. Department of Justice figures. Crowding in U.S. prisons stood at 39% over capacity in 2011, according to a Government Accountability Office report.

Long wait for trial

Erfani-Ghadimi blames systemic problems for South Africa's overcrowding. One issue is that police are quick to arrest people, she said, and they have only 48 hours from arrest to bring charges.

After they are charged, many suspects cannot afford to make bail or hire a lawyer and so are forced to spend months or even years behind bars awaiting trial, she said.

Investigations are often poorly run and courtrooms can be overcrowded, adding to the hurdles faced by those on remand, she said.

"Because the system is cumbersome and slow, there's a lot of people stuck waiting -- and that means the conditions are not by any means ideal," she added.

A "statement of agreed factual findings" filed in a Constitutional Court ruling in December, in favor of a man who contracted tuberculosis while imprisoned, gives insight into what could lie ahead for Pistorius.

The statement describes the conditions Dudley Lee endured in Cape Town's Pollsmoor Maximum Security Prison -- where Nelson Mandela was once held -- before he was eventually acquitted and freed.

Prisoners going to court appearances were "stuffed into vans like sardines," it said. Holding cells at court were also "jam-packed." Meanwhile, conditions back at the prison were far from pleasant -- though ideal for the spread of disease.

Packed, smoky cells

The air inside the communal cells, locked down without cross-ventilation for up to 15 hours a day, was thick with cigarette smoke, the statement said. Even after Lee was diagnosed with TB, he was kept in a cell with other prisoners. He "begged, bullied and bribed" to get the medication he needed.

As a world-famous athlete, Pistorius has money to pay for good defense attorneys, unlike many in the South African justice system. He stated his annual income was 5.6 million rand ($631,000) at his bail hearing this week.

Nonetheless, his lawyers face an uphill battle on the bail issue, with South African law requiring evidence of "exceptional circumstances" to justify the release of defendants accused of premeditated murder.

If they fail, Pistorius could face several months on remand before his case goes to trial. And if convicted of premeditated murder, he would face 25 years in prison before being eligible for parole.

His lawyers will be trying to make sure that doesn't happen.

@highlight

South Africa's prisons are generally overcrowded, says the Wits Justice Project

@highlight

Some single cells house two or three inmates, and ventilation is often poor

@highlight

Lockdowns keep prisoners cooped up in cells for long periods

@highlight

Oscar Pistorius could spend months in custody awaiting trial if his application for bail fails