Authorities investigating this week's deadly shooting spree at Fort Hood said Friday that an altercation between Spc. Ivan Lopez and his fellow soldiers, rather than a medical condition, may have led to Lopez opening fire.

"The immediate precipitating factor was more likely an escalating argument in his unit area," Lt. Gen. Mark Milley, the post's commanding general, told reporters.

Some of the soldiers involved in the altercation were victims in the shooting, according to Chris Grey, spokesman for the U.S. Army Criminal Investigation Command, who appeared with Milley at a news conference on the sprawling post.

Officials would not release further details about the argument, saying the investigation was still ongoing into what caused the 34-year-old to set out on a shooting spree that left three soldiers dead and 16 wounded before he killed himself.

But the sister of one of the soldiers injured in the attack said that prior to the shooting Lopez stopped by the base's personnel office to pick up a form requesting leave -- or military permission to be away for a time.

Armetra Otis, sister of Sgt. Jonathan Westbrook, said on CNN's "The Lead" that her brother "was at work and a guy came in and asked for a leave form."

The soldier was told he would have to come back later, Otis said,

"And apparently I guess he didn't want to hear that, so he came back and just opened fire, " Otis said.

"He shot the first guy he saw and killed him and then turned the gun on my brother and he was shot four times," she said. Sgt. Westbrook was released from a hospital Friday, his sister said.

Both Milley and Grey said they did not know if the leave issue in itself led to the altercation.

"At this time, we have not established a concrete motive," Grey said.

Investigators have not uncovered any history of criminal convictions or previous criminal activity by Lopez, nor have they found any links to terrorism.

On Thursday Milley said investigators believed a medical history that indicates an unstable psychiatric or psychological condition may be a "fundamental causal factor," in the shooting.

But on Friday he said investigators "do not believe" that his "underlying medical conditions ... are the direct precipitating factor"

The shooting blindsided victims, said Dr. Matthew Davis, medical director of trauma services at Scott & White Memorial Hospital in Temple.

"It was a shocking episode. It felt very surreal," he said after speaking to victims. "It was a very unexpected thing in the middle of a working day."

Governor, senator visit

Texas Gov. Rick Perry and the state's junior U.S. senator visited with some of the wounded Friday.

Speaking to reporters at Fort Hood afterward, U.S. Sen. Ted Cruz hailed the bravery of wounded survivors. He recalled the story of one soldier, shot in the abdomen, who called 911 and "stepped forward" to save others.

Acknowledging the post has seen two mass shootings since 2009, Perry said there were no easy answers to what happened Wednesday, but that soldiers there will "recover from this latest tragedy."

"We'll learn lessons about what occurred here and minimize the chances of this ever happening again," Perry said.

Perry and Cruz declined to answer questions about whether soldiers should be able to carry concealed weapons on base. Right now, Perry said, the focus should be on those who were wounded or killed Wednesday.

The conditions of three victims, who were previously listed as critical, have been upgraded to fair, Scott & White Memorial Hospital posted on Twitter on Friday morning.

Five have been discharged from the hospital. Of the four remaining Friday morning, one was expected to go home later in the day, the hospital said.

Milley announced Friday afternoon that the three soldiers killed will be remembered in a memorial service at the post next Wednesday, exactly one week after the attack.

The rampage

The shooting started about 4 p.m. Wednesday when Lopez walked into an administration building at the base and opened fire with his .45-caliber semiautomatic pistol.

He then got into a car, fired from the vehicle, got out of the car, walked into another nearby administration building and fired again.

One of the locations was the medical brigade, the other the transportation battalion. Lopez was assigned to the 13th Sustainment Command, which deals with logistics. In his work, he had regular dealings with the transportation battalion.

But authorities have "no indication at this time" that Lopez was targeting specific soldiers when he opened fire on the Army post, Milley said.

The base, which has more than 45,000 soldiers and nearly 9,000 civilian employees, went on lockdown after the shooting began.

A short time later, a military police officer came face to face with Lopez. Both he and she drew their weapons, Milley said.

Lopez put the gun to his head and pulled the trigger, ending his life.

At Lopez's apartment, his wife was watching news reports about the spree, worrying about her husband, from whom she had not heard all afternoon, said neighbor Xanderia Morris, who tried to console her.

But Lopez's wife had no idea that he was the shooter until a local TV station identified the dead gunman. His widow became "hysterical" when she heard the news, Morris said.

Officers picked up Lopez's widow at their apartment near the base in Killeen, and she was cooperating with law enforcement, an FBI official told CNN.

Depression, anxiety

Lopez hailed from Puerto Rico, where he served in the National Guard from 1999 until 2010 before moving to the U.S. Army.

He had two deployments as an infantryman, including a four-month stint in Iraq in 2011 as a truck driver, Milley said.

Before coming to Fort Hood in February, Lopez served at Fort Bliss in Texas.

He, his wife and their daughter moved into an apartment a little more than a week before the shooting.

They appeared to be a normal couple, smiling "whenever they'd see someone," Morris said.

But behind Lopez's smile lay a history of depression, anxiety and other psychiatric disorders, Milley told reporters. The soldier was receiving treatment and taking antidepressants, he said.

Army records don't show him as having been wounded in Iraq, but Lopez reported that he had suffered a traumatic brain injury, Milley said.

The shooter "had a clean record" behaviorally, Army Secretary John McHugh said. And he gave no sign during a psychiatric exam last month that he was likely to become violent.

Lopez had also been prescribed the sedative Ambien, McHugh said.

Investigators who searched his home have found no significant physical evidence, such as a suicide note, to indicate motive, a law enforcement official told CNN on Friday on the condition of anonymity.

The official also said that Lopez purchased a "large amount" of ammunition when he bought a .45-caliber gun on March 1, and continued to buy more ammunition throughout March.

U.S. law enforcement officials previously said Lopez bought his gun at Guns Galore, a store in Killeen.

The casualties

All those killed in the shooting were military personnel, Milley said.

Sgt. Timothy Owens was one them, his family said in a prepared statement.

"He was a very outgoing person and enjoyed Taekwondo," the statement said. "He loved his job in the Army and was going to make it a career."

Owens, 37, was a counselor in the Army and had served in Iraq.

His mother, Mary Muntean, told CNN affiliate WICS-TV in Springfield, Illinois: "He was a good person. Why would they shoot a good person that was helping them?" Owens loved the military and planned to make it his career, his mother told the station.

"He didn't answer the phone so I left a message on his phone: 'Son, call me so I know if you're OK or not.' Well, never got no call from him. I thought: 'Oh God, please don't let it be,'" his mother said.

Also killed was Staff Sgt. Carlos A. Lazaney-Rodriguez of Aguadilla, Puerto Rico, according to his aunt, Benny Rodriguez.

Lazaney-Rodriguez, 38, planned to retire from the military soon after serving 20 years, Aguadilla Mayor Carlos Mendez told CNN en Español's Mayra Cuevas.

"It was a very close-knit family," Mendez said "Excellent, decent, very good people. I know his family and his parents. They are good people."

Sgt. 1st Class Danny Ferguson also was killed, his fiancée, Kristen Haley, told CNN affiliate WTSP-TV in Tampa, Florida.

Ferguson died trying to hold a door shut to stop the shooter, Haley, also a soldier, told CNN affiliate WTSP-TV in Tampa, Florida.

"He held that door shut because it wouldn't lock. It seems the doors would be bullet proof, but apparently they're not," Haley told the station. "If he wasn't the one standing there holding those doors closed, that shooter would have been able to get through and shoot everyone else."

Haley said Ferguson was a native of Mulberry, Florida, and an outstanding athlete at Mulberry High, where he graduated in 1993. The small town is about 30 miles east of Tampa.

One or two wounded victims may face long-term disabilities, but doctors are working to prevent this, said Davis, the Scott & White Memorial Hospital medical director of trauma services.

Not again

When he first heard about the shooting, Davis says one thought ran through his mind: "How can this possibly happen again?"

Less than five years ago, the hospital where Davis works treated casualties after Army Maj. Nidal Malik Hasan killed 13 people and wounded 32 more in a November 2009 shooting  at Fort Hood.

Hasan was convicted of 13 counts of murder and 32 counts of attempted murder, and a military jury recommended in August that he be put to death.

The former military psychiatrist told a court he was on a terrorist mission to protect leading members of the Taliban.

@highlight

An "escalating argument" may have led to shooting, officials say

@highlight

Texas Gov. Rick Perry and Sen. Ted Cruz visit some shooting victims

@highlight

Gunman Ivan Lopez killed three people, wounded 16 others at the Army post

@highlight

A memorial for three soldiers killed will be held at Fort Hood next Wednesday