(CNN) -- He was antisocial and difficult to work with at first. He'd clearly been abused by his father as evidenced by the deep, round scab near his shoulder. He hadn't been eating well.

And he was so skittish that the slightest noise or motion set him off. But Army veteran Jeff Wilson needed a new dog, and this pound puppy -- a border collie-German shepherd mix -- was it.

He named him Lobo, and it wasn't long before Wilson, 44, realized they had the same issues.

"We were kind of kindred spirits," he said. "I think it really helped deepen our connection because he wasn't just helping me; I was helping him. I was helping him get past the same obstacles that I had. I had to recognize it in myself and get past that to help him."

Wilson is a former tank commander and flight engineer who isn't at liberty to speak about his time in Iraq other than to say he manned a machine gun while hanging out of the door of a helicopter. He can also say that he was often "exposed to very dangerous situations" during his 14 years in the service.

He has been diagnosed with depression and anxiety from post-traumatic stress disorder, and he's not alone. According to the Department of Veterans Affairs, 11% to 20% of Iraq and Afghanistan war veterans are suffering from PTSD.

Wilson said his depression turned him into a hermit. He would "curl up and not talk to anybody," and his anxiety made it difficult to go into public.

If he did leave the house, he was hypervigilant. If someone walked up behind him or dropped something that emitted a clatter, it triggered the "fight or flight" mechanism he'd groomed in the military.

The anxiety was so bad that before he was diagnosed with PTSD, he went to the emergency room four times because he thought he was having a heart attack. He "self-medicated" so heavily with booze that it strained the relationship between him and his now-wife of two years.

"I was having to drink to numb all my senses and be quasi-normal," he said.

But today, with Lobo by his side, Wilson is finding it easier to cope.

The two have been working with Operation Freedom Paws, a nonprofit in Gilroy, California, that helps veterans train their own service dogs. It is run by Mary Cortani, a veteran and one of the top 10 CNN Heroes of 2012.

Veterans in Focus: Celebrating, honoring veterans

When veterans train "their own service dog, there are immediate benefits right off the bat," Cortani said. "They have a mission and a purpose again. It gives them something to focus on and to complete. It gives them a sense of security and safety. ... They know they're not alone. They've always got their buddy at the end of the leash."

Now Wilson tells Lobo, "Watch my back," and his four-legged friend stands behind him and gives him a nudge if anyone approaches. When something stokes Wilson's anxiety, Lobo senses it, jumps up and puts his paws on Wilson's chest so he can redirect his focus.

"Knowing he's there makes me comfortable," Wilson said. "I'm not worried about the attacks. I still think about them, but I'm not hampered by them. I can go to the movies."

A study on hold

The Veterans Affairs Department recently put a study on hold that would determine the effectiveness of canine therapy for troops suffering from PTSD. Until that study is complete, the VA will continue providing dogs for a variety of ailments, but not PTSD.

Sen. Johnny Isakson, R-Georgia, co-sponsored the 2009 legislation that kicked off the study. He was inspired by the strides that dogs helped his mother make from 1995 to 1998 after she was stricken with Alzheimer's.

"She wasn't very fond of dogs at all, but when she developed Alzheimer's, they became a key part of her therapy," the senator said. "She was unable to really communicate at that time, but you could easily tell, emotionally, the calming effect the service dogs had."

Dogs: A medicine for mental health problems?

Isakson said the VA is rewriting the parameters of the study to take into account the dogs' temperaments and the importance of matching the trainers, not just the dogs, with the patients.

Yet not everyone is convinced "the VA has the right stuff" to conduct the necessary experiments, said Corey Hudson, CEO of Canine Companions for Independence and president of the North American chapter of the umbrella organization, Assistance Dogs International.

Hudson said he hopes the study will be large enough to consider the broad gamut of symptoms associated with PTSD, as well as the anecdotal evidence suggesting canine companions can help tug the disorder's sufferers from their shells.

"There's something mystical and magical about dogs and people and placing them together," said Hudson, who has "worked with and against the VA" during his 22 years of experience with assistance dogs. Canine Companions for Independence has more than 900 puppy raisers and works to pair veterans with dogs regardless of whether the VA shells out for it.

Hudson doesn't cite scientific studies, such as the one that says canine interaction increases a human's level of oxytocin, a hormone that reduces anxiety and blood pressure.

Instead, he speaks about how dogs love unconditionally and don't judge. He explains how they naturally spark social interaction -- "Cool dog; can I pet her?" -- and how ownership precludes people from locking themselves in their homes, away from society.

"You can also use them as an excuse to get out of things or leave early," Hudson said.

Case in point

Shadow is one pooch accustomed to being used for such occasions.

The 2-year-old Labrador-Bernese mountain dog mix is the inseparable pal of Jennifer Haeffner, a seven-year Army veteran who had been housebound for about five years before meeting Shadow in the summer.

"He's a very active dog. It makes me do things. I don't have the option of hiding in the house. I have to go out," said the 41-year-old Ripon, California, resident.

Share your story, honor a veteran

During Operation Desert Storm, where she served for about nine months between 1991 and 1992, she was sexually assaulted on multiple occasions by other service members, she said. It's a fairly common occurrence that befalls about one in four women in the military, according to the VA.

It left her feeling alone in the world. She wanted to disappear. She forgot how to deal with people and eventually became a recluse, considering it a "good month" if she got out just once to shop for groceries.

She didn't attend any of her large family's gatherings. Too many people and too much noise, she said. It terrified her.

"For years after that, I would go out and wander the streets late at night, just hoping someone would kill me because I wasn't brave enough to kill myself," she said.

About five months ago, her therapist recommended that she meet Cortani.

Cortani recalls Haeffner wouldn't look her in the eye when they met. Her leg bounced when she spoke, and she pressed her fingernails into her arm. Her boyfriend was constantly by her side.

"You could just tell the pain and the anguish that even meeting me for the first time was causing," said Cortani, an Army veteran herself.

Who's your CNN Hero of the Year? Vote now

Operation Freedom Paws teaches participants to train their own dogs, to customize their behavior. First, the dogs learn to sit, then heel -- the basic stuff.

Shadow now knows how to pick things up for Haeffner so she doesn't put stress on her bad back and hips. He acts as a barrier, physically putting himself between her and any new people she meets.

When she wakes up feeling gloomy, he lets her stay in bed and pet him until she's ready to face the day. If she hears a sound during the night, he stays by her side as she checks it out, and Shadow is quick to snap her out of nightmares.

"He'll breathe on me or lay his head across mine to wake me up," she said of her 55-pound companion. "If I'm in a bad mood, he'll come over and insist I play with his toy or lay his lead in my lap or lick my feet -- cheer me up."

Cortani said the difference between the Haeffner of five months ago and the Haeffner of today is like "night and day."

She builds friendships. She's been to the aquarium. She's gone horseback riding. She goes places without her boyfriend.

"She's creating her own new normal," Cortani said.

Added Haeffner: "I'm much better now. I'm happier."

Afghan girls take brave first step

Young caregivers put life on hold

What really sways teens not to drink, drive?

Haitians living in fear 'under the tent'

Finding musical 'diamonds' in the slums of Paradise City

CNN's Christie O'Reilly contributed to this report.

@highlight

Many Iraq and Afghanistan war veterans are suffering from post-traumatic stress disorder

@highlight

Some are finding it easier to cope with their symptoms thanks to service dogs

@highlight

The dogs help them with their anxiety and give them the confidence to socialize again

@highlight

Top 10 CNN Hero Mary Cortani helps veterans in California train their own service dogs