(Wired) -- Even six months ago, Apple TV was the big snoozer in Apple's consumer hardware line-up. The device is a simple set-top media puck â€” not much more than a passive conduit for piping iTunes, Netflix and iPad content to one's TV.

But, oh, how times have changed.

On the eve of WWDC 2012 -- Apple's annual developers' conference -- speculation swirls around Apple's positioning as a television manufacturer, and how Apple TV might play into a greater television hardware strategy. Indeed, an Apple TV reboot could be a game changer. And it would also be the WWDC highlight for users of the set-top puck, for app developers, and even for the TV entertainment industry at large.

Now, granted, Apple just revamped the Apple TV user interface with the launch of the third-generation iPad. So in some respects, it seems unlikely that Apple would feature the product in another media event just a few months later.

But the streaming TV companion still offers vast untapped potential. And with the attendance of thousands of devoted developers, WWDC is the perfect venue to announce a new Apple TV platform that exposes API support. And we can't forget how Tim Cook recently said the TV space is "an area of intense interest" for Apple.

Apple TV is one of the best set-top devices in a consumer electronics category that, quite frankly, doesn't enjoy mass consumer report. Think about it: How many of your non-techie friends own either a Roku, Boxee Box, Google TV or Apple TV? Nonetheless, Apple TV sales are picking up momentum: The device is on track to sell twice as many units as were sold in 2011.

The upshot: Apple doesn't need to announce its own television set at WWDC to make waves in the living room space. If it can reinvent Apple TV into a truly compelling, mass-market consumer product, it can realize Steve Jobs' dream of finally cracking the television code.

Apple just needs to address a few key areas before Apple TV becomes a really big deal.

Apps, apps, and AirPlay

"What we might see at WWDC is Apple opening up the app economy approach they've had with the iPhone and iPad to the Apple TV," Gartner analyst Michael McGuire told Wired.

Apple has well over 600,000 apps in the iOS App Store, but only eight third-party content choices (e.g., Netflix, MLB.com, Flickr, etc.) on Apple TV. So WWDC offers the perfect opportunity to introduce developers to how they could start expanding Apple TV's repertoire of content choices. Indeed, BGR reported that Apple would be introducing an entirely new OS and API for developers to take advantage of.

There are two possible ways Apple could open up the Apple TV platform to third-party app developers: It could allow devs to create dedicated TV apps, or it could more heavily leverage (and open up) the AirPlay feature already baked into Apple TV to port existing iPad apps to the big screen.

"We've been focused on trying to understand how the app model evolves with the introduction of the TV platform," Jeremy Allaire, CEO of online video platform Brightcove told Wired.

Indeed, Allaire detailed his thoughts on what could be next for Apple TV in an op-ed Monday morning. Allaire believes that instead of requiring developers to code for a third application platform (the TV), AirPlay Mirroring could be used with existing iPad apps.

AirPlay Mirroring "essentially turns your iPad into a powerful TV Apps platform that can render any application on the TV while enabling the user to use their touch-based device to browse, select, navigate, etc.," Allaire wrote in his piece. It makes sense.

iPad apps are already built for a screen with a lot of real estate, and it wouldn't be unnatural to, say, flick through Wired's iPad app with your finger while actually reading the content on the big screen.

"AirPlay functionality is a bit hidden from users and not super easy for developers to implement," Allaire said of the feature in its current state, so there's ample room for improvement.

NPD principal analyst Ross Rubin also believes "a multiscreen component that builds off AirPlay" could be in the stars.

More content

"To get people beyond the hardcore Mac fans, you need a lot of content," McGuire said. For example, average consumers want to see sports â€” live sports.

So, for the Apple TV to break out of its "hobby" label (a label Tim Cook might wish he had never used), its content offerings will need to drastically expand. But live content is hard to come by without a cable or satellite subscription, and that may remain so.

"History has shown that Apple hasn't shown the same kind of influence with the studios that they had with the [music] labels in the early days of the iPod," Rubin said. However, in light of recent announcements on the Xbox platform, McGuire thinks Apple could be inking deals with the same content providers who've partnered with Microsoft: ESPN, NBA, Univision, and Nickelodeon.

To go mainstream and become a true cable/satellite replacement for cord cutters, Apple TV would need to provide the "equivalent experience of hundreds of programming options at any point in time," McGuire said. Expanded app offerings could certainly help with this, but live streaming content would really seal the deal.

Ditch the remote

"The other area that's getting a lot of rumor traction is opening up the Siri interface, which for both the existing apps on Apple TV, as well as new apps, could be very interesting," McGuire said.

This could be accomplished through a peripheral add-on to Apple TV, as Allaire proposed for a forward-looking Apple TV experience. And, of course, Siri could handshake with the current Apple TV via coordination with the iPhone 4S (and maybe even the third-generation iPad, if it too receives Siri support as rumored.)

Apple could also take an Xbox Kinect-like approach, launching camera devices in its TV products for 3-D gesture recognition. As for relevance to WWDC, this would mean a new gesture-based motion API for developers to manage user interaction and face detection, with an actual hardware accessory to arrive in the more distant future.

But, heck, Apple already has patents on 3-D gesture recognition using the iPad, so perhaps an additional accessory isn't even necessary. "Apple can do a lot with the box they have in terms of disrupting and changing people's expectations of what TV is," McGuire said.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

A major reboot of Apple's TV device could be a game changer

@highlight

The computer company could take an Xbox Kinect-like approach with Apple TV

@highlight

Apple could allow devs to create dedicated TV apps, and leverage the AirPlay feature

@highlight

Apple is expected to make news at its developer's conference Monday