(CNN) -- The United Nations issued a report Friday detailing human rights violations such as killings and rapes over a 10-year period in the Democratic Republic of Congo -- a massive document that a Congolese diplomat calls "detailed," "credible" and "heartbreaking."

The draft report, titled "Mapping Exercise," documents crimes against humanity throughout the Congo between 1993 and 2003.

"Tens of thousands of people were killed, and numerous others were raped, mutilated or otherwise victimized during the decade," the U.N. High Commissioner for Human Rights said.

The report, which had been previously leaked, accuses Rwandan forces of committing atrocities. It notes the involvement of at least 21 armed Congolese groups in serious human rights violations and the military operations of eight other states inside Congo.

Along with detailing the atrocities, the report is designed to find ways "to deal with the legacy of these violations, including truth, justice, reparation and reform.

"The period covered by this report is probably one of the most tragic chapters in the recent history of the DRC," the report says. "Indeed, this decade was marked by a string of major political crises, wars and multiple ethnic and regional conflicts that brought about the deaths of hundreds of thousands, if not millions, of people."

The report devotes attention to violence against women and children.

"Violence in the DRC was, in fact, accompanied by the apparent systematic use of rape and sexual assault allegedly by all combatant forces," it says.

"This report highlights the apparently recurrent, widespread and systematic nature of these phenomena and concludes that the majority of the incidents of sexual violence reported, could if judicially proven, constitute offences and violations under domestic law, international human rights law,and international humanitarian law."

The report says at least 30,000 children were recruited by armed forces or groups and that "children have been subjected to indescribable violence."

"If this situation is allowed to continue, there is a risk that a new generation will be created that has known nothing but violence, and violence as a means of conflict resolution, thus compromising the country's chances of achieving lasting peace," the report says.

Rwandan forces and an allied rebel group massacred ethnic Hutus in the country, the report says.

"Tens of thousands" of Hutu civilians were slaughtered with knives, bludgeoned with hammers and burned alive as the Rwandan army and the Allied Democratic Liberation Forces swept across Congo -- then called Zaire -- leading to the toppling of dictator Mobutu Sese Seko.

More than 1 million Rwandans fled to neighboring Congo when the Rwandan genocide ended in 1994 -- most of them Hutu. In 1996, Rwanda invaded Congo in pursuit of the genocide orchestrators, who were living amid hundreds of

thousands of other refugees.

Saying the report is flawed, Rwanda said it "reserves the right to review" its "various engagements" with the United Nations. The country has participated in U.N. peacekeeping missions, such as Sudan's Darfur region.

"We note that the U.N. also recognizes that the report omits crucial historical context, uses problematic methodology and sourcing, and the standard of proof used to justify the allegations in it is woefully inadequate," said Louise Mushikiwabo, foreign minister and government spokeswoman.

"It seems clear that no amount of tinkering can resuscitate the credibility of this fundamentally misguided process. This report is yet another attempt to distort Rwanda's history and prolong instability in the Great Lakes Region."

Ileka Atoko, Congo's ambassador to the United Nations, welcomed the publication of the report and called it "detailed," "credible," and "heartbreaking."

"The Congolese government, and I personally, are appalled at the horrific nature and scope of crimes documented in this report that the people of the Congo have suffered," Atoko said.

"Sadly, this information is not new to us. Millions of Congolese men, women and children have borne the brunt of the Congo's conflicts over the past 15 years. Far too many have died. Like nearly all Congolese, I too lost loved ones in the war.

Atoko said justice must be meted out for the crimes.

"Far too often, Congolese voices go unheeded. I truly hope that this time it is going to be different."

@highlight

NEW: Rwanda criticizes the report

@highlight

The report covers 1993 to 2003

@highlight

Report: There was "indescribable violence" for children