Remember the days when a washing machine lasted for decades? If it broke down it could be fixed. But now it seems it is cheaper to discard our broken products and buy new ones. The side effects of our throwaway society are ever-larger waste mountains festering with toxic chemicals and the depletion of natural resources such as rare metals.

Europe produced 8.3 to 9.1 millions tons of waste from electrical projects in 2005.

Product makers are responding by designing goods that have a reduced carbon footprint at their point of manufacture, but leading thinkers in the field of sustainable design believe that a radical re-think in the way we consume products is required if we want to halt the growing mountain of toxic waste piling up on the world's rubbish dumps.

Figures recently announced by the U.N. University suggest the production of electronic and electrical products is running neck-and-neck with their disposal: An estimated 10.3 million tons of electronic products were put on the market in the European Union in 2005, while 8.3 to 9.1 million tons of waste from electrical products found their way into Europe's rubbish bins. Electronic and electrical products account for four percent of Europe's waste and the rate is growing at three times the speed of any other form of waste.

What is sustainable design?

Sustainable design is a reaction to the global environmental crisis. It aims to produce products, buildings and services, which have a low impact on climate change and the depletion of the world's resources.

In industrial design this includes the use of recycled and recyclable materials; reducing pollution through cutting down the need for transportation, such as by using locally-sourced materials; making products which can be taken apart once they are discarded so that their parts that can be used again; and designing goods which use as little energy as possible while they are being made.

While many companies are beginning to think of ways in which they can reduce their environmental impact during the manufacture of their products, many sustainable design experts believe that these measures are not enough to reduce the damage the constant manufacture of products is doing to the world's eco-system.

A change in culture

"Daily life is becoming increasingly mediated by electronic artifacts," says Jonathan Chapman, editor of Designers, Visionaries and Other Stories, a book which seeks to bring together new thinking on sustainable design. "These products are great but it seems that as their popularity grows, their impermanence grows with it."

Chapman believes that true sustainability can only be achieved if we moderate our inclination to strive for the newest product, and he argues that the onus is on designers to initiate a shift away from a disposable culture.

He proposes a model for consumer behavior based on a service economy -- that products are designed to last longer and to be fixed when they break; brands can make their profits by providing the services to ensure that this can be done.

"It's quite conceivable to make objects that don't necessarily make a profit at the point-of-sale but that, because their life-spans are extended and are punctuated with service and upgrade options, can generate turnover over long periods of time that is greater than making a small profit and having to remanufacture," he explains.

He believes that consumers would be prepared to pay more for their electronic goods if they knew they would last longer. It is an economic model that would make most manufacturers choke, but it is an unfounded fear, says economist Andrew Charlton, author of Ozonomics: Inside the Myth of Australia's Economic Superheroes.

"The key thing to remember is that human desires know no bounds -- we are never satiated," he says. "If we replace an expensive disposable product with a permanent one, that just frees up income to spend on other things.

"Ballpoint pens last longer than quills, tarred roads last longer than cobblestones -- and the economy moves on. Every time we satisfy one demand, another one comes along to take its place."

"A quarter-inch hole"

But it's not enough to expect consumers to sign up to a longer-life model just because it is 'green', says Steve Bishop, head of sustainability at design firm IDEO. Consumers concerned with the sustainability of the products they buy still only make up a small fraction of the market and designers must incorporate energy-saving measures into mainstream thinking, with sustainability as a by-product.

Marketing a product as environmentally friendly is "really addressing a niche market," he argues. "It's putting the responsibility on people and it's effectively guilting people into buying these things. It shouldn't be about guilt or sacrifice. It should be about connecting to people's values and what really matters to them."

Often what really matters to people is saving money. He cites as an example of sustainability-achieved-by-stealth some research IDEO made into the effectiveness of hybrid electric cars. They found that the single feature of the cars that maximized their energy-efficiency was not the variable transmission, the regenerative brakes or the electric motor but a small widget on the dashboard that measures fuel consumption and tells you when you are driving the car most efficiently.

"It's not so much that they are trying to be green as much as they are trying to get high score," Bishop concludes. Sustainability must understand and adapt to human behavior, not vice versa, is his verdict.

"People don't want a quarter-inch drill. They want a quarter-inch hole," Theodore Levitt, former marketing professor at Harvard Business School and author of Marketing Myopia, used to tell his students.

Apple's iTunes software, a service which allows music fans to download audio files directly onto their computers, is an example of Levitt's analogy in action. While its main aim was to make listening to music easier, it has inadvertently become a sustainable design model by canceling the need for the compact disc. People still get their end-product -- listening to music -- but without the waste and unnecessary energy consumption that goes into manufacturing a physical item on which to store it.

His point is that businesses will have to shift their goal posts and might even have to change the mentality that says that producing more products is the only way to make money.

Making a real impact

Environmental issues are becoming increasingly important to the public and manufacturers may have to combine 'green' production techniques with a dramatic change in how consumers relate to the products they buy.

"The real impact happens when you integrate both those things - when you look at the scientific basis and reduce the energy footprint during production but you also look at the psychological and emotional factors during use," says Chapman. "When you start to integrate like that, that's when you start to achieve sustainable design." E-mail to a friend

@highlight

Europeans find it cheaper to throw away rather than fix electrical products

@highlight

Electrical products are Europe's fastest growing form of waste

@highlight

Durable products reduce energy needed to manufacture new ones

@highlight

Sustainable design products have low carbon footprints and use little energy