Dublin, Ireland (CNN) -- Visualize an Irish pub: there's likely fiddles, pints, and smoke -- and lots of it.

While that may be a reality in some Irish pubs abroad, that hasn't been entirely the case in Ireland for the last decade.

March 29 marked the 10-year anniversary of a workplace smoking ban in Ireland, extending to pubs and restaurants. Ireland was the first country worldwide to enact such a sweeping ban. The initiative made smoking in enclosed workplaces illegal, punishable by a fine of up to 3,000 euros, or about $4,200.

The ban has spawned copycat laws across the globe. Norway and New Zealand followed that same year, as did Uganda. Now, dozens of countries from Brazil to Bhutan have joined Ireland in creating a nationwide workplace smoking ban -- the United States not among them. Russia will join the list in June.

Irish Minister for Health Dr. James Reilly has hailed the ban as a success, stating the proof is in the numbers.

"Recent research found 3,726 fewer smoking related deaths than would have been expected if the smoking ban had not been brought in," said Reilly, who lost his father and brother to smoking-related illnesses, in a statement. "This is indisputable evidence that the ban is saving lives and improving our overall health as a nation."

Indeed, Ireland's National Tobacco Control Office says the smoking prevalence rate has decreased more than 7% since the launch of the ban, dropping from 28.86% in March 2004 to 21.48% in December 2013.

WHO: Imminent global cancer 'disaster' reflects aging, lifestyle factors

But while statistics demonstrate a national decline in post-ban smoking, you might not see evidence of that everywhere.

Asked if the ban has helped her smoke less, social smoker Mary Byrne of Dublin counters: "More."

"I wouldn't have smoked before the law," Byrne says. "You'd be inside and everyone was there. But when you went out to meet people, you'd be more inclined to take a cigarette because there was more pressure. Everyone was smoking outside, so you'd take one ... So, I think it's actually had the opposite effect."

Even nonsmokers, a group with which Byrne identifies, are taking up casual smoking, "in hopes you might meet the perfect partner, I think," she adds.

And statistically, Byrne's hypothesis is correct. Since the ban, the number of occasional (five or fewer cigarettes a day) and light smokers (between six and 10 cigarettes a day) actually has increased, according to Ireland's Health Service Executive (HSE).

Meanwhile, the HSE shows 18-24 year olds now make up the largest group of smokers, edging out 25-34 year olds who dominated nationwide prior to the launch of the ban.

Furthermore, when you examine the 3,726 lives estimated spared since the ban's initiation, they are primarily attributed to a decline in "passive smoking" or secondhand smoke, according to a 2013 report "Reductions in Cardiovascular, Cerebrovascular, and Respiratory Mortality following the National Irish Smoking Ban," published in the journal PLOS One.

It seems smokers at pubs haven't stopped; they've just moved into the open air.

Standing outside a Dublin pub with a cigarette, Jonathan Curran talks about the patron reaction to the ban.

"(Dubliners) basically just do what they're told, so when (the ban) came in, they went outside straightaway," he says.

Not everyone adjusted so quickly, however. One politician staged a very public protest. After lighting a cigarette at a bar inside the Parliament building just days after the ban's launch, John Deasy, the justice spokesman for Ireland's largest political party, was relieved of his position.

One year later, Irish news site Politico.ie quoted him as saying he stood by his choice to light up, and always would. But 10 years later, Deasy is back in political office and has gone mum, declining comment on the ban's anniversary.

In the tiny town of Milltown in southwest Ireland, bartender Trish Morierty says smokers at pubs will still smoke.

"I'm still a smoker, unfortunately. Smoking less," says Morierty. "I know a few people that because they have to stand outside said it wasn't them, that they didn't want to be standing out in the cold, and have people seeing them standing out having a cigarette. It just wasn't right. Some of them tried to give it up, but they didn't succeed. They are still smoking."

Largest-ever tobacco study finds 'urgent need' for policy change

It's that shaming, according to John Mallon, spokesman for smokers' rights group Forest Eireann, that makes the ban ineffectual. He says the workplace ban infringes on Irish freedoms and impedes business, especially in rural areas.

"In small villages, the pub was really the social center in the town. That all came to a halt after the ban," says Mallon. "Slowly, but surely, the country areas were the ones most badly hit -- but everywhere was hit."

Indeed, Ireland has seen a rash of drinking institutions close since the ban, according to the Vintners Federation of Ireland. In 2013, 1,300 fewer licensed premises were documented than in 2005, with rural communities showing the largest loss percentage -- a decline surely due in part to a recession in Ireland from 2008 to 2013.

Despite this, Mallon says pub business is actually picking up these days, a shift he attributes to the introduction of the e-cigarette.

"There's a bit of a drift back now, a social drift back to the bars, but it's got more to do with electronic cigarettes than anything else. And having discovered how bad the smoking ban could be for business, pubs now positively encourage you to 'vape' away in the corner if you want to, or at the bar. They don't mind. We still have no legislation on that, and don't need any either, incidentally."

E-cigarettes and "vaping" have become common fare in Irish pubs, and offer a new loophole to the workplace law. The Irish government is examining where e-cigarettes will fit into the goal of a tobacco-free Ireland by 2025 (that's a smoking prevalence rate of less than 5%).

Meanwhile, Ireland's Department of Health says two-thirds of the total population, and rising, are in favor of the smoking ban, including 40% of smokers.

"I fully agree with the smoking ban in pubs," says Morierty. "Places are much cleaner. The stain smell of smoke, you don't have that anymore."

Beyond fresher upholstery, pub patrons and staff are hailing cleaner lungs. In 2005, one year after the ban began, the Research Institute for a Tobacco Free Society examined secondhand smoke exposure in 42 Dublin bars and among 73 bar workers, finding an 83% reduction in air pollution in bars, an 80% decrease in airborne carcinogens, and an improvement in the respiratory health of bar workers.

But businesses are still growing accustomed to managing a tradition employed by nearly a quarter of the total population, a percentage that surely escalates when specifically examining the habits of pub patrons.

Is obesity the next smoking?

Though few and far between, violators of the ban have received penance. In March, Ireland's Mercroft Taverns Ltd. received a 750-euro fine (about $1,040) after patrons were found smoking inside its popular Dublin pub, Market Bar.

It's a lingering punishment that keeps patrons who puff tucked in a blue haze just beyond pub doors, for worse or, sometimes, for better.

"I met my last two girlfriends from smoking outside with them, and they were both smokers. If you can't dance, I would say start smoking. That's where you're going to meet women," says Curran.

@highlight

Ireland was the world's first nation to ban smoking in public places

@highlight

Health officials hail the ban as a success

@highlight

However, some in Ireland say they're actually smoking more

@highlight

E-cigarettes have become a popular alternative