(CNN) -- As my companion and I passed through security on a gorgeous Washington afternoon Friday, invited by President Barack Obama to join hundreds of openly lesbian, gay, bisexual and transgender folks at the White House for a reception celebrating LGBT Pride Month, I couldn't help but reflect back.

The White House and I go back a long way. In the 1950s, as a young gay boy growing up in a small fishing town on the southern coast of California, I had, for some seemingly inexplicable reason, an intense fascination with all things White House, and especially its occupants, our American presidents.

On Halloween in the third grade, my mom crafted for me a magnificent costume of Thomas Jefferson, and I missed that I'd won a prize because my cotton wig impaired my hearing. At major family gatherings, I'd dress up in what became known as my "presidentials" and entertained relatives by my deft ability to name all the presidents in order, right up to and including Dwight Eisenhower.

So, the idea of growing up to be president some day was implanted in my head, and it became the source of great consternation for me when, in grad school in the late '60s as civil rights, feminist and anti-Vietnam War ferment was swelling, I ratified my own commitment to social justice by openly claiming my gay identity.

I burst out of the closet with a bang, co-founding the Berkeley, California, chapter of the Gay Liberation Front, for one thing. But with all that came the sad realization that, alas, I had to completely abandon my dream of ever becoming president.

Still, the White House beckoned me.

In the mid-1980s, I had an opportunity to represent an obscure and unhappy publication as its journalistic correspondent in the White House for a few years. I leaped at the chance, moving across the U.S. to be there, in the press room, almost daily. I didn't like who I worked for and I didn't like who was president at the time, but I loved the White House, especially on the few occasions when I was included among journalists invited to one of the many holiday parties held there.

LZ Granderson: The secret gay agenda

Ah, the East Room (where the formal news conferences were also held), the Blue Room, the Red Room and so forth! All the ponderous presidential portraits and artifacts chronicling the colorful history of the nation's chief executives.

But while there, I felt light years away. I was gay, and I kept it to myself in those days. I was an outsider granted a glimpse of what I'd cherished so intimately as a youth. The idea of being gay was allowed nowhere near the official corridors of power.

To the gay movement, it was a huge breakthrough when, in the 1990s, a president first uttered the word, "gay," in a nonderogatory or "as in happy" sense, in a major speech. President Bill Clinton later spoke at one of the first national dinners of the Human Rights Campaign in the late 1990s. Held at a hotel ballroom blocks from the White House, I was there. Hope for LGBT people was in the air.

Fast forwarding to last week, it was deeply moving to be back in the White House, finally not as a closeted journalist or anything other than an open and affirming public citizen.

Unlike the LGBT reception held there just a year earlier, this time there were women and men in military uniform, some holding hands with their same-sex partners, made possible only after the president led the overturning of don't ask, don't tell in the course of the past year.

Entering the East Room amid cheers to speak to us, President Barack Obama reaffirmed the commitment he'd made only weeks before to full support for gay marriage.

We have a president now who can say without hesitation, as he did Friday, "As long as I have the privilege of being your president, I promise you, you won't just have a friend in the White House, you will have a fellow advocate for an America where no matter what you look like or where you come from or who you love, you can dream big dreams and dream as openly as you want."

Thank you, Mr. President: You mean those kind of "big dreams" I had as a kid! There is no doubt in my mind now that there is some LGBT youngster in our land right now who will grow up to become president of the United States some day.

The opinions expressed in this commentary are solely those of Nicholas Benton.

@highlight

As a child, Nicholas Benton was fascinated with White House and presidents

@highlight

He gave up his dream of running for the presidency when he came out

@highlight

Benton was invited to attend Friday's White House reception for LGBT community

@highlight

He says it's now possible for a gay person to think realistically of running for president