(CNN) -- During a recent trip to South Sudan, I was reminded of my childhood and the challenges I have had to overcome. I grew up in western Africa, in the Republic of Benin, where I distinctly remember the atmosphere of unrest that came with two coups d'etats. In flashbacks, I remember my mother carrying me on her back as we fled Cotonou, the capital of Benin, while gunshots and screams filled the air.

South Sudan, which became independent in 2011, is facing many challenges. After three generations that have known only violence, the country still has unresolved conflicts with its northern neighbor Sudan. But the internal conflicts and civil unrest fueled by readily available weapons are raging at the borders of this young and largely ignored nation.

Basic needs the developed world takes for granted are hard to come by in South Sudan. Too many kids can't afford to go to school -- especially the girls -- and there are not enough trained teachers for the few kids who are able to get an education. Clean water and food are hard to obtain. On top of that, the lack of security and protection makes it a struggle for families to fend for themselves.

I visited villages where cows are like money in the bank, an indication of status and wealth. They are offered as the price for marriage when men are looking for a wife. This has led to a cultural tradition of cattle raiding by men who want to increase their herd.

Cattle raids have been going on for generations between communities, but now, with an ever-expanding and unchecked arms trade, the men are using guns instead of spears for their raids. With not enough police, and inadequate or nonexistent medical facilities, you can imagine the devastation.

It felt like a Hollywood movie set to see young boys carrying AK-47's, and girls not much older than my own daughters nursing their own babies. I heard stories of young girls who were raped and then forced to marry their rapist. How can this be real?

If my family had not exhausted their limited finances to send me to Europe to receive an education, would I have also picked up an AK-47?

There are no easy solutions, and ultimately, the government of South Sudan has to take responsibility to protect its people. But there is something we all can do right now.

A strong Arms Trade Treaty will help restrict the flow of weapons and bullets to conflict-riddled countries like South Sudan. Negotiations are taking place right now at the United Nations to bring such a treaty to fruition.

Such a treaty would make it harder for cattle raiders to attack communities like the ones I visited, and harder for small disputes between villages and tribes to end in bloodshed.

The government of South Sudan has been conducting campaigns to disarm civilians, but this will not be effective if weapons are still easily accessible. Weapons have been flooding into nations like South Sudan for decades.

Although the situation might seem hopeless, there is hope. I saw unbelievable strength and dignity in the eyes of the people I met in South Sudan. I was surprised by this in every village I visited. After all they have endured, they press on for a future they fought and bled for. A future that they believe in. A future that all of us can help support. A future that we have an inherent obligation to support.

It's time for governments around the world to stand up for whatÂ¹s right and make the world a safer place by agreeing to a robust Arms Trade Treaty.

The opinions expressed in this commentary are solely those of Djimon Hounsou.

@highlight

Djimon Hounsou: South Sudan faces many challenges, including overflow of weapons

@highlight

Hounsou: Arms Trade Treaty will help restrict flow of weapons in conflict-ridden regions

@highlight

He says international governments should support treaty, help stop bloodshed

@highlight

Hounsou: Without widely accessible weapons, people of South Sudan will be safer