(Real Simple) -- Gayle Jamison's garden in Woodstock, New York, is a well-ordered oasis filled with gentle lines of peonies and hydrangeas, artfully placed azaleas, and weeping cherry trees.

A soothing vista dotted with various shades of pink and purple, the garden is so immaculately maintained that you would expect to see a professional landscaper continuously at work perfecting it.

Not so. Instead, on Friday mornings from April through September, you will find a cheerful band of six women -- some graying, some not, most of them attired in old T-shirts or overalls and work boots. One day a week, they set aside their own jobs to garden as a team at one of their homes, rotating every week so that each woman's property gets the full benefit of their collective burst of labor and artistic vision.

Real Simple: How to negotiate anything

In the eight years since the group came together, the women, who call themselves the Wonder Weeders, have created pathways and sculptures, moved trees, and carved out acres of gardens from hillsides and overgrown bramble. Often they converse as they work, talking about the primroses that they are mulching, the big news that a friend has just received, or challenges that they are facing with their jobs. Other times they seem to read one another's minds, knowing when it's time to put down the garden gloves and just listen.

Sowing the seeds

The women might never have come together except for an accident that befell 67-year-old Terry Funk-Antman in 2001.

She shattered her knee, which left her unable to care for her garden. One day, frustrated at seeing her beloved roses wither away, she hobbled out to her front yard. Her neighbor Cathera Lane, a painter and a gifted gardener in her own right, walked by the house as Terry balanced precariously on her crutches, attempting to pull weeds.

Real Simple: How to make a good first impression

Although the two had exchanged only a few words, Cathera instantly offered her assistance. "You point to things and tell me what to do and I'll do it," she said.

As the two women walked through Terry's garden and got acquainted, Cathera suggested that they might help each other out from time to time. Then Terry had an epiphany: "If two people can work this way, why not six or seven?" Cathera loved the idea, and they started brainstorming about whom to invite.

"We wanted real gardeners with no attitude," says Terry, a psychotherapist. A few weeks later, a handful of friends gathered at her home. In attendance: Susan Goldman, 63, a community organizer; Nikki Goldbeck, 63, a nutritionist; and Gayle Jamison, 63, an underwater photographer. Also a member from the start was Joy Hopkins-Hausman, a therapist and an artist, who died of breast cancer last August at the age of 61. Maria DeFranco, a 57-year-old sculptor and architect, joined in 2003.

Real Simple: 5 inspirational friendships

At that first gathering, the women laid down the ground rules for their project: No fancy food or refreshments were to be served (water was all that the host had to provide), no lawn mowing, and no uninvited garden critiques. "We all just wanted help with the tasks that would otherwise be overwhelming," says Susan. "We didn't have any sense of where it would take us."

Green days

In the first few years, says Nikki, they were still in the beginning stages of collaboration, trying to prove themselves as dedicated gardeners. Conversation tended to revolve around the names of plants and design schemes. But gradually, as they harvested raspberries or cleared away weeds, intimate exchanges bloomed. "We started talking about our families and our other passions," says Maria. "In the midst of the work, we had these gem-like moments."

As the women's friendships grew, so did the scope of their projects. On Nikki's property, they restored a tranquil, bluestone-paved garden that had been hidden for years by overgrowth. At Maria's place, they filled a dozen hanging planters to adorn her wraparound porch. And for Cathera they lugged stones into position to make a beautiful, new border for her fishpond.

Real Simple: How to be a good friend

With each woman bringing her individual skills to bear -- Gayle has her wide-ranging knowledge of flowers; Nikki, her impressive patience with weeding; Maria, her sculptor's brawn in moving boulders -- the friends have devoted themselves to helping each garden express its owner's sensibilities. For Terry, an exuberant woman who loves color, someone suggested showering morning glories over the cottage where she sees patients.

For Cathera, who is as practical as she is artistic, the group has helped plant and maintain 32 varieties of fruits and vegetables. And when Joy was struck by a recurrence of cancer, they created a healing labyrinth, a circular pathway with a spot for meditating at the center. "We've come to understand our labor as a concrete expression of our appreciation for one another," says Terry.

On the day last August that Joy died, the Wonder Weeders had come to her home to garden -- it was her turn. As Joy's grown children and their families gathered at the house and waited for news from the hospital, the friends did what they do best: hard work. They made breakfast for everyone, cleaned the house until it was spotless, and, of course, weeded and tended the garden.

When the call finally came, they hugged, wept -- then picked up their tools and continued their tasks. "When people came to pay condolences, we wanted the garden to be as beautiful as Joy could have ever hoped," says Maria.

That same day, Terry gathered up all the ripe peaches on the backyard trees. When Joy's family came back to town later that month, they each received one of the 30 pots of jam that Terry had made from the fruit, a sweet memory of their loved one and a manifestation of the Wonder Weeders' devotion.

Reaping the rewards

On a hot, clear morning last September, the women were hard at work in Cathera's garden. Although Joy's death was still very much on all their minds, they focused on the tasks at hand. Susan and Gayle dragged a tarp loaded with brush to the back of the house, where it would be picked up. Nikki wielded pruning shears like a weapon in the hands of a highly skilled warrior.

Later, sitting around the table on Cathera's porch, the friends took a moment to express what the group had come to mean to them.

Certainly their gardens had developed and improved. But what they found more surprising was how the collaboration had caused the women to change, too.

"The group taught me to lean on other people," says Nikki, who is the primary caretaker of her 94-year-old mother. "Over time I've gotten better at asking for help." Gayle felt that the no-criticism policy had encouraged her to trust more readily that "there is more than one right way to do things." Maria says that the gardening has helped her become a bolder artist. "It's easier to experiment and try new things with all this support behind you," she says.

Real Simple: When friendships go wrong

This spring the group started up again. It's even smaller now: Cathera entered the hospital over the winter and was still there at press time, waiting to gain enough strength for a liver transplant. Having weathered so many changes, the members are contemplating their next chapter. Eight years in, many of their gardens are near completion. Maybe, wonders Gayle, it's "time to offer a little extra help to local gardeners who are ailing or unable to do what they would like." Susan has proposed that they start involving local children in their gardening.

Real Simple: How to break bad habits

All the women are delighted that several other gardening co-ops, inspired by theirs, have sprung up in their area, the idea taking hold like a felicitous invasive species. "Another circle develops," says Terry, "a rippling out of the concept that we can expand our joy in our gardens by including others."

Change, growth, creativity -- these core values were never expressly spelled out in the Wonder Weeders' first meeting, but they have all become part of the group's unspoken ethos. With the arrival of the warmer months, everyone is eager to see what fresh bounty the season will hold.

Get a FREE TRIAL issue of Real Simple - CLICK HERE!

Copyright © 2011 Time Inc. All rights reserved.

@highlight

Gardening co-ops can have unexpected benefits for like-minded members

@highlight

As the scope of the Wonder Weeders' gardening projects grew, so did their friendships

@highlight

Eight years on, the Wonder Weeders have weathered great change and have new goals