(CNN) -- I can remember my first Fourth of July after returning home from Iraq, when I was working as a bartender in a hotel in Ouray, Colorado. I stepped out from behind the bar for a minute and watched from the balcony above the front entrance to the hotel as the fireworks exploded in the sky above the town. I could feel them as much as I could hear them, just like in the war. And for a moment, I stood a bit straighter and was proud for having served my country.

But then the cheers and the hollers from the crowds along the street below quickly faded from my ears until all I could hear were the explosions. And my mind and body suddenly became set and tense and ready for anything.

Then the silent series of snapshots layered upon one another: dead dogs on the side of the road with tongues hanging out of their mouths, a dead child with black eyes, Marines dying in helicopter crashes, Marines dying in gunbattles, Marines being killed accidentally by other Marines, destroying people's homes with artillery, killing other human beings violently, being terrified, being glad that you were killing other human beings violently, being exhausted, looking into the devastated eyes of the people whose homes you had just destroyed with artillery, sweating in the 110 degree heat for too long, being hunted, babies crying, things exploding, wishing you were anywhere else on the planet than where you were, bullets snapping by you, being horrified about making a mistake, thinking that at any moment you will be dead, thinking that you would not want to be anywhere else on the planet because this was your war and you were glad you didn't miss it, land mines, snipers, and the terror in your buddy's voice over the radio as he lies trapped underneath his vehicle begging for someone to get him some air support because they were taking fire from all directions and were sure that they were all about to die.

Watching from the balcony, I knew then, for certain, that the war had forever changed me. I might as well have been a million miles away from the people who were standing just a few feet from me, people who had not seen what I'd seen or done what I'd done.

This was to be the first of many times, whether they be Independence Days, Memorial Days, or just random occasions where, out of the blue, the visions of the war would come rushing back. Along with the visions come the isolation, the anger, the sadness or the post-war confusion -- strong, heavy feelings that could easily, if you let them, pull you over the side of the cliff.

Those of us who have experienced war firsthand know that it is the most terrible of all things. We know that there are many different ways for people to die, most of which have shorn away all dignity. We know that war consumes everything in its path -- the young, right along with the old. And, unfortunately, the innocent, right along with the guilty.

We know that war's aftermath can be obvious: We can see that lives have been torn down with the buildings that are now nothing more than rubble. But some of us have also discovered that the aftermath can be seemingly intangible; a molecular shift in brain chemistry and the neural pathways caused by seeing, smelling, hearing, killing and fearing just a little too much.

As the young men and women who make up military units, we know that we will usually share war's experiences. I know that when my toes are cold in the high Afghan desert, so are everyone else's. When I am hungry because the supply convoys have been attacked by the enemy, so is everyone else. And when I am scared, and the possibility of death becomes very real as the bullets and shrapnel rip through the air around us, I know that everyone else is scared, too.

But for some reason, when I first came home and felt confused, isolated, angry and sad, I forgot that there was a good chance that there were others out there, just like me, who felt exactly the same way. Now I realize that this mistake almost cost me my life.

When I first came home, there were months of isolation where I was too proud and too ashamed to talk about my feelings -- a downward spiral that almost ended in suicide. But, I was lucky, because through a twist of creative fate, and a simple film project that quickly became a full-blown documentary based on personal footage I'd shot in the war, I was forced to share my experiences with others. I spent weeks of 12-hour days with the editors going over the scenes of horror that I'd experienced. These editors quickly became people whom I loved and trusted dearly. Opening up, and talking candidly about the things that were locked away behind my emotional barriers, ultimately led to my recovery. In essence, the making of a film became one long therapy session.

So, if any of you reading this are struggling with post-combat emotions, please consider these three simple things -- things that took me a long time to understand: You are not alone, it's OK if you are not OK and it really does help talk to someone about it. There is no shame in not being Superman. Call your buddies from the war. Call the Wounded Warrior Project. Call the Veterans Affairs' hot line. Do whatever you need to do to talk about what you are feeling.

As warriors, we are taught that in battle weakness and vulnerability are the same. But no one tells us that once we are back home, things change, and vulnerability becomes strength. Becoming vulnerable, and understanding that we need to talk about what happened, is the first step in opening the emotional pressure valve that is inside all of us.

As veterans, we need each other now just as much as we did when we were fighting the war (as so many of our brothers and sisters are still doing at this very moment). Just as we did in battle, we always take care of our own. So if you are struggling, please remember that the sun is still there, but it has just gone behind the clouds for a while. To make it shine again, we must take care of each other, hold on to each other and help each other through the pain.

This Fourth of July, I will be flying back to the United States, from England, after a three-week research trip for a novel I am about to begin writing. I smile widely when I compare life now to where I was nine years ago. I smile because I've chosen to make my war experiences a source of strength versus letting them make me weak. The darkness has largely subsided, and I now know that war can give you a valuable sense of perspective. Because when you have been that close to death, especially at a young age, the rest of your days become infinitely valuable and take on new meaning.

The opinions expressed in this commentary are solely those of Mike Scotti.

@highlight

Veteran Mike Scotti recalls how memories of war rushed back during July Fourth fireworks

@highlight

When Scotti returned home from deployment he struggled with isolation, anger and depression

@highlight

Scotti to vets: It's OK if you are not OK and it really does help to talk to someone about it

@highlight

For ways to help veterans in need, visit CNN.com/Impact