(CNN) -- Federal investigators have found salmonella bacteria in chicken feed and in barn and walkway areas at Iowa farms at the center of the nationwide outbreak, officials said.

The feed or feed ingredients could have become contaminated after they went through heat treatment that was sufficient to kill salmonella, officials from the Food and Drug Administration told reporters.

Produced at a mill at a Wright County Egg Co. facility, the feed was given to pullet chickens at both Wright County Egg and Hillandale Farms, which between them recalled more than a half-billion eggs since the salmonella outbreak.

The U.S. Centers for Disease Control and Prevention said a total of 2,403 cases of Salmonella enteriditis had been reported in the United States between May 1 and August 25. Normally, 933 cases would be reported in that time period. The dramatic difference of 1,470 cases may be linked, at least in part, to the outbreak and the tainted eggs, a CDC spokeswoman said.

Officials indicated in a conference call that this is the largest Salmonella enteriditis outbreak since tracking began in the mid-1970s.

Testing at Wright County Egg farms in Iowa showed the presence of salmonella in the food mill and in manure at two locations, said Sherri McGarry of the Food and Drug Administration. She said investigators are still drawing samples at Hillandale Farms.

''Feed were the sources [of the salmonella], but perhaps not the only sources," McGarry said.

The feed could have been contaminated in a number of ways, including by birds, rodents and people's shoes or boots, officials said.

Wright County Egg, in a statement issued later Thursday, said it will "work with FDA as they expand their review of feed ingredients purchased from outside vendors for our farm, as well as for their ongoing review of our farms."

"FDA while on our farm tested meat and bone meal that is provided by a third-party supplier as an ingredient for our feed. The ingredient is held separately in an overhead bin that was tested by FDA officials prior to being mixed in with our feed.

"This finding obviously is of great concern to us. As part of our internal investigation and in response to FDA's initial consideration of feed as a possible source, on August 23 we pulled and sent samples of all ingredients used in our feed for further SE [Salmonella enteriditis] testing. In addition, today we provided FDA with information about our third-party supplier and immediately notified that supplier of the testing results. ...

"We have received from FDA three positive environmental SE tests. It's important to understand that a positive environmental test does not mean eggs from that barn would have SE."

Wright County Egg spokeswoman Hinda Mitchell said the third-party supplier and manufacturer is Central Bi-Products. A call to the company was not immediately returned Thursday night.

Thursday's update by federal regulators came amid rising questions of how the companies monitored their facilities and the speed of the government response. Rep. Bart Stupak, D-Michigan, announced a House subcommittee will hold hearings September 14 on the safety of the nation's food supply.

The subcommittee has requested inspection reports and notices of any violations, among other documents, from Wright County Egg and Hillandale Farms.

"We are working right now to respond to the Committee, and we will approach it in the same forthright manner as we have in our cooperation with FDA to date," said Mitchell, confirming that owner Jack DeCoster has been invited to appear.

Hillandale Farms founder Orland Bethel also has been asked to attend, said spokeswoman Julie DeYoung, who likewise said the company is cooperating with officials.

Dr. Jeff Farrar, the associate commissioner for food safety at the FDA, said it took weeks to trace the clusters of salmonella reports to contaminated eggs. Officials didn't believe a massive early recall made sense, nor did they want to wait for confirmed laboratory results, he said.

"We have to strike a balance between being timely and accurate," Farrar said of the FDA's move August 11 to ask the companies to do a voluntary recall.

Iowa does not have an egg quality assurance program, McGarry said.

"We are not sure how and when this feed could have been contaminated," she said.

FDA officials said new producer egg safety rules, which took effect in July after the outbreak began, will greatly reduce the possibility of a similar salmonella outbreak in the future.

More people are likely to report becoming sick because of the two to three weeks it takes for salmonella to manifest itself, said Dr. Christopher R. Braden, acting director of the Division of Foodborne, Waterborne and Environmental Diseases at the CDC.

No deaths have been linked to the outbreak, regulators said.

Braden said elderly people living in nursing homes have not fallen sick, as they might have in past outbreaks. Increased egg safety procedures in restaurants, along with pasteurization and thorough cooking, have put a dent into the outbreak, he added.

Egg consumers had two new brand names to search for in their refrigerators.

Wright County Egg, which was responsible for 380 million of the 550 million recalled eggs, said 60-egg cases sold under the Cardenas Market brand in California and Nevada were being recalled.  Eggs included in the recall are labeled with plant number 1026 and date codes ranging from 136 to 228.

Dates and codes can be found printed on the label. The plant number begins with the letter P and then the number.  The Julian date follows the plant number, for example:  P-1026 228.

In addition, Trafficanda Egg Ranch released a statement saying it was doing a voluntary recall of Wright County-supplied shell eggs.

The Trafficanda Egg Ranch-branded eggs were distributed to grocery stores and food-service companies in California in 12-egg cartons, 20-egg over-wrapped packages, and 60-egg over-wrapped packages with date codes ranging from 136 to 229 and plant numbers 1026, 1413, 1720, 1942 and 1946.

According to a spokeswoman for the Egg Safety Center, the two newest "subrecalls" don't add to the total number of eggs recalled; both the Cardenas Market and Trafficanda Egg Ranch eggs were counted already as part of Wright County Egg's 380 million.

New regulations went into effect July 9 requiring egg producers with more than 3,000 hens to take measures designed to prevent the spread of salmonella. While FDA inspectors typically didn't inspect farms until after an outbreak of illness, Farrar, the associate commissioner for food safety at the FDA, said that under the new rule, "We will be beginning routine inspections of egg farms throughout the United States."

While the recall involves hundreds of millions of eggs, they represent less than 1 percent of the 80 billion eggs produced in the United States each year, said Krista Eberle, director of the food safety program at the Egg Safety Center.

But even that risk level is too high for some restaurant patrons in Michigan, the most recently added state on the list of those receiving tainted eggs.

"It makes you not even want to order or buy the eggs," Audrey Karas, a customer at a Big Boy in Warren, Michigan, told CNN affiliate WDIV. Big Boy uses eggs unaffected by the recall. "It makes you uneasy about buying eggs, even if they are supposed to be safe."

CNN's Phil Gast and Senior Medical Producer Caleb Hellerman contributed to this report.

@highlight

Wright County Egg issues statement mentioning outside vendors

@highlight

Testing showed contamination in food mill, in manure samples

@highlight

New egg rules are the key to prevention, federal officials say