(CNN) -- Apple's CEO Tim Cook says the company "cares about every worker" in its factories and that "no one in (the) industry is doing more to improve working conditions than Apple."

Of course, when it comes to issues of corporate responsibility, talk is cheap. What matters is not what Apple says, but what it does.

And what Apple does in its vast global supply chain has been well-documented, which is why the company is in public relations overdrive, frantic to protect its once pristine corporate image.

Consider the fate that befell workers at a factory in Chengdu, China, that makes products for Apple. In May, independent investigators issued a report documenting grave dangers to workers at the facility. They warned the factory was failing to control the profusion of dust produced by the manufacture of aluminum cases for the Ipad 2. When a factory is suffused with aluminum dust, there is a high risk of explosion. Apple ignored the report and refused to meet with the authors, the investigators said. It did nothing to address the danger.

Two weeks later, the factory exploded, killing four workers and injuring 18. In the wake of the explosion, Apple said its suppliers took measures to control aluminum dust. But despite this, in December 2011, another explosion, at an Apple supplier factory in Shanghai, injured 61 workers.

Grievous labor rights problems at Apple's supplier factories have been known for years, including the spate of worker suicides in 2010 at the giant plant in Shenzhen, China, known as "Ipod City." At this factory -- owned, like the Chengdu plant, by Apple's biggest supplier, Foxconn -- more than a dozen workers took their own lives by throwing themselves from the roof of the factory's overcrowded dormitories, in apparent protest of the brutal treatment facing workers at the facility. (Foxconn reportedly responded by putting up nets outside the dorms and making workers sign pledges not to kill themselves.)

In recent weeks, public awareness of these issues has increased exponentially, thanks to a huge jump in media interest, raising Apple's public relations problems from a low simmer to a rolling boil.

When a company comes under this kind of pressure, sometimes genuine change in policy can occur. The more typical response is a mere change in rhetoric. This is the route Apple is choosing.

Apple's major move has been to announce that it has joined an organization called the Fair Labor Association, which will "audit" Apple's factories. According to Apple, the Fair Labor Association is an independent watchdog that will work tenaciously to hold Apple and its suppliers accountable.

Unfortunately, while there are some fine people at the association, the organization is not the independent watchdog Apple claims it to be. Indeed, most of its money -- millions of dollars per year -- comes from the very companies whose labor practices it is supposed to scrutinize. Although Apple has not disclosed its financial relationship with the Fair Labor Association, it is likely now the organization's largest funder. Moreover, on the association's board of directors sit executives of major corporations such as Nike, Adidas and agribusiness giant Syngenta. The job of these executives is to represent the interests of other member companies, such as Apple. Under the Fair Labor Association's rules, the company representatives on the board exercise veto power over major decisions.

Independence, as most people understand the term, means an organization is not funded and governed by the companies it is charged with investigating. Despite the financial relationship, Apple argues that the Fair Labor Association will act independently and that the association's review of Apple's factories will probably be "the most detailed factory audit in the history of mass manufacturing."

Early indications are not encouraging. Just one day after launching what was supposed to be a long and uncompromising investigation of Foxconn's Ipad plant in Shenzhen, the association was already issuing public praise of Foxconn and Apple.

On Wednesday, CNNMoney/Fortune ran an article with the headline, "Apple iPad plant is 'way, way above average,' says inspector." Fair Labor Association President Auret van Heerden said this about Foxconn to Reuters: "The facilities are first-class. ... I was very surprised when I walked in the door how tranquil it is. ..." The CNNMoney/Fortune article notes that "whether intended or not, van Heerden's remarks served to support (Apple CEO) Cook's contention that no one has done more than Apple to address the working conditions at factories."

Van Heerden reached these conclusions after a guided tour of the factory provided by Foxconn's owner, Terry Gou. The views of Gou, one of the wealthiest men in Asia, are well-known to Foxconn workers because, as punishment for displeasing their managers, workers are sometimes forced to spend hours writing out copies of his personal sayings. Clearly, Apple's partnership with the Fair Labor Association is not, in and of itself, going to usher in radical change.

So what steps would Apple take if it were genuinely committed to improving its labor practices? For starters, it would open its factories for inspection and worker trainings to genuinely independent groups such as Hong Kong-based SACOM, the organization whose report on the Chengdu factory could have saved the lives of the workers killed there in May, had Apple paid it heed.

And if Apple genuinely "cared about every worker," it would pay every worker a living wage -- enough for workers to achieve a minimally decent standard of living, support their families and even save a bit toward a better future. Today, barely 1% of the retail price of an Ipad goes to the workers who make it; 33% goes to Apple's profits. Apple's profits are so high, and its global labor costs so low, that it could triple the wages of its 700,000 manufacturing workers and help them achieve a living wage (just a few dollars an hour in China), and still make $40 billion a year. A wage increase of 16% to 25% at Foxconn, announced today as Apple's public relations blitz reaches a crescendo, doesn't come close.

Next time you are at the Apple Store, consider bellying up to the Genius Bar and asking why the most profitable company in the history of technology can't pay its workers a living wage and why, if Apple is really ready to open itself to independent scrutiny, it doesn't allow inspections by organizations in which it is not a dues-paying member.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Scott Nova.

@highlight

Scott Nova: Labor rights problems at Apple's supplier factories an issue for years

@highlight

Apple joined an organization called the Fair Labor Association to audit its supply chain

@highlight

Nova: If Apple wants to improve labor practices, it should reach out to independent groups

@highlight

Nova: If Apple genuinely "cared about every worker," it would pay every worker a living wage