(CNN) -- It's hard to think of a better place for a mosque today than lower Manhattan, near to ground zero. To support the siting of a mosque there is not just deeply American--a declaration of the freedoms we stand for -- it is the continuation of a long and established New York tradition of mosque-building.

In fact, by any historical measure it is absurd to see Cordoba House, a community center that will include a mosque, as a kind of hostile and exotic cultural invasion of the lower east side. Mosques have been part of New York's rich architectural and religious mix for over a century, and today hundreds of thousands of Muslims, many whose New York roots go back generations -- attend the city's more than 100 mosques in the five boroughs.

The Muslims who built these mosques are New Yorkers, blameless in the events of September 11, 2001, and linked to other New Yorkers through the deep shared sense of loss and pain evoked that day. Their mosques, already part of our urban identity, bear witness to the strength of our freedoms, as will the Cordoba House center.

It is likely that Muslims have prayed in New York City for much of its history, and particular buildings have been dedicated to Muslim prayer for over a century.

Muslim slaves from Africa who lived in New York no doubt had places to pray as early as the 18th century, but the first mosque building in New York was likely the one belonging to the American Mohammedan Society in 1907 on Powers Street in Brooklyn.

The Islamic Mission of America constructed its own mosque in 1939, and in 1947 purchased the brownstone where the Masjid Daoud can still be found today.

The number of mosques in the city began to increase significantly in the 1960s after the ratification of the 1965 Immigration Act, which increased immigration from non-European countries with Muslim populations.

Over time, they would range from modest basement prayer halls to elaborate architect-designed buildings. One small mosque in Brooklyn is composed of a dozen neighbors who take turns leading prayer.

The first mosque of a new Muslim community in New York, for example, might simply be a suburban house, like the split-level in Richmond Hills, Queens that served as the Masjid Hazrat-i-abu Bakr in the 1990s. With time, the community might gather the funds to construct a more elaborate building, like Masjid Hazrat-i-abu Bakr's grander building today at the same location.

Many mosques in New York City are built and financed by the community members themselves; some donate materials or work or money. The Ali Pasha Mosque in Astoria, and the Albanian Cultural center in Staten Island were completed in the 1990's with the help of the contracting and manual labor of their communities.

A new mosque can result in the building up of a neighborhood. Fatih Camii was fashioned from an old building in Sunset Park, Brooklyn, and a representative of the New York Police's 66th Precinct commented to me in the 1990's that the mosque had revitalized the neighborhood: "Since the congregation renovated the building and began to function, the entire neighborhood has profited."

This is surely the case with the Masjid Malcolm Shabazz, a renovation of the former Lenox Casino in Harlem by architect Sabbath Brown in 1965. There the addition of dome marks the presence not only of a mosque, but a school and other community services that make it a beacon in the neighborhood.

The mosque's community has been instrumental in constructing low income housing and supporting the economic revitalization of Harlem. Mosques as community centers all around New York provide day care, help with small business start up, rooms for events, classes in English and other languages, gyms and recreational facilities for their neighborhoods.

New York's newly designed mosques are real products of American pluralistic culture. The first mosque in New York designed from the ground up was probably Masjid Alfalah in which the community collaborated with a local Korean-American architect William Park, in 1983.

Such grand mosques as the Albanian Cultural Center in Staten Island, or the modernist Islamic Cultural Center on Manhattan's East Side (designed by the famed architectural firm Skidmore, Owings and Merrill) are monuments to the transformations wrought by Muslim communities: They are American mosques.

Yesterday New York City's landmarks commission voted unanimously to deny historic status to the Park Place site, clearing the way for construction of Cordoba House, also known as Park51.

The name Cordoba House, though, is particularly fitting -- an evocation of the rich interactions of Christians, Muslims and Jews in Medieval Spain. Medieval Spain was not often a paradise of tolerance and peace. But where peoples lived together, the understanding spawned by that coexistence gave the lie to the notion that Muslims, Jews and Christians must by nature be opposed, and created a more cohesive, fecund, peaceful and plural society.

The Muslims who pray in New York's mosques are Americans who, like Catholic or Jewish immigrants before them, seek to be part of the city, part of this country.

The more than 100 mosques of New York are visual signs, not only of the presence of these Muslim Americans, but also of the religious freedom that distinguishes the American way of life. By their very existence they defeat the hostile, polarized vision of Islam and America that the authors of the WTC attacks hoped to engender.

If we wish to stand in defiance of the unspeakable death and destruction of 9/11, we could not do better than to welcome Cordoba House in the very neighborhood of lower Manhattan where those unspeakable acts occurred, as part of the city's long history tradition of mosque-building.

The opinions expressed in this commentary are solely those of Jerrilynn Dodds.

@highlight

Jerrilynn Dodds says siting a new mosque in lower Manhattan continues long New York tradition

@highlight

Muslims have prayed in city for most of its history, she says, likely starting with  slaves

@highlight

The number of mosques swelled in 1960s after immigration law passed; there are more than 100

@highlight

Dodds: Built by big architectural firms or community efforts, they reflect U.S. freedoms