(CNN) -- The European Council of December 8 produced a curious mixture of cohesion and disagreement.

Cohesion was apparent among the eurozone countries (and a number of other countries) which all accepted the essence of the Franco-German proposal to make the limits on economic policy even more legally binding, now called officially a "fiscal compact."

On the substance the new fiscal compact is a case of "now we really mean it." In the old Stability and Growth Pact, member countries had already solemnly declared their commitment to achieve a balanced budget over the cycle. But this was never achieved; and when both France and Germany had deficits exceeding 3 % of GDP in the early 2000s they simply cobbled together a majority to change the interpretation of the Stability Pact to allow them to avoid fines.

Under the new fiscal compact this should no longer be possible. Member countries from now have to observe a limit on their cyclically adjusted fiscal deficits of 0.5 % of GDP. This number is almost exactly the same as the new constitutional rule Germany adopted recently. All member countries have undertaken to enshrine this rule in their constitutions and submit control of it to the European Court of Justice.

How to get to this lofty goal was left open. On current projections only two member countries will actually satisfy the limit of the euro fiscal compact: Germany and Italy. Given that Italy is now the biggest headache for the eurozone, this may seem surprising --Italy does not have a deficit problem. The problem of Italy is its high debt level, or rather the need to roll over large amounts of debt coming due at acceptable rates. The fiscal compact will do little to alleviate this problem.

Most other member countries, especially France, will have to undertake a major fiscal adjustment if they are to adhere to the limits of the new fiscal compact. It remains to be seen how the French parliament will react when this becomes more widely appreciated.

The new fiscal compact is certainly not needed to deal with the acute crisis at hand. At present there is no need for fines or interventions by the European Court of Justice to force countries bring their budget in order. The pressure from financial markets is already so strong that Italy has already implemented changes that more than satisfy the new limit given. The country is on course to achieve fiscal balance in two years.

The true significance of this agreement in the short run is that it might provide political comfort for the German government. Angela Merkel can now claim to the German public that the financial support Germany has given to the periphery will not be wasted because these countries have accepted a permanent fiscal straight jacket.

The French and German leaders felt vindicated by the fact that their proposal had been accepted not only all euro area countries but also a number of other EU member countries. The disagreement with the UK was not about the substance of this fiscal compact, which would anyway have no implications for the British government, nor for the British economy.

The opposition of the UK did not allow the euro states to make full use of the EU framework. This is why a new, intergovernmental treaty, will now have to be negotiated. This can actually be done quicker than a full-fledged revision of the EU Treaty, which requires an elaborate and time-consuming procedure.

If the new limits on deficits really are adhered to, last week's agreement will signal a fundamental change. Fiscal policy would be mostly on automatic pilot and debt levels should decline continuously.

It remains to be seen whether national parliaments will fully swallow this loss of sovereignty. If credible this fiscal compact should lead to a massive improvement in the rating of sovereign debt in the euro area. A first test might come soon, when the ratings agencies have to decide whether to follow through on downgrade warnings issued before the summit.

The opinions expressed in this commentary are solely those of Daniel Gros

@highlight

Daniel Gros is the Director of the Centre for European Policy Studies in Brussels

@highlight

Advised committee which developed original plans for the Economic and Monetary Union

@highlight

If members adhere to deficit limits, new pact signals 'fundamental change'

@highlight

Test could soon come if ratings agencies follow through on credit warnings