(CNN) -- Lovemore Mupfukura, a 30-year-old from Zimbabwe who studied health education, moves deliberately and concentrates on conversations like they're chess matches. Rithika Mathias, a 25-year-old chemist and musician from Massachusetts, walks quickly and can carry on multiple conversations simultaneously.

One year ago, they didn't know each other. Now, as colleagues, roommates and confidants, they are working to become leaders of our next big social movement -- the fight for health equity.

Lovemore and Rithika work side by side out of identical, windowless offices at Covenant House's Crisis Center in Newark, New Jersey.

As health counselors, they are in charge of the medical intake and well-being of 40 homeless youth. The only part of their demanding day that is consistent is the morning -- they are greeted with a hug when they get to work.

The two were placed at Covenant House by Global Health Corps.

Founded in 2009, GHC's mission is to mobilize young leaders from diverse professional and cultural backgrounds to promote global health equity. GHC recruits and trains emerging leaders, then places them in one of seven countries to work with a health non-profit or government office for a yearlong fellowship in order to strengthen and learn from the organization.

This week, Lovemore and Rithika will complete their year of service and become GHC alumni as a new class of 106 fellows joins the movement to serve with 44 partner organizations.

Our advocacy for health equity is fueled by the belief that access to quality health care is a human right.

At GHC, we believe the poor, who are burdened the most by disease, deserve our highest quality of care. We know many of the 1.7 million deaths from HIV/AIDS worldwide can be prevented with better access to antiretroviral medicine. We are motivated by the overwhelming costs of health care for the poor and the fact that more than 60% of bankruptcies in the U.S. are caused by medical expenses.

These challenges are daunting, but can be met. We at GHC believe the following four principles are vital to the movement's success:

1. Young people should be at the center of this cause

More undergraduate students in North America are linking arms and demanding global health curricula while building up community organizing skills. GlobeMed, a nonprofit founded in 2007 by students at Northwestern University that partners with grassroots health organizations around the world, has spread to 55 universities and is joined by several new health organizations.

Yet, a scarcity of opportunities and lack of a supportive global health community keeps too many skilled young professionals from fulfilling their potential after college. It's a moral imperative to provide young people opportunities in the global health space.

2. The leaders must be global

GHC has a partnership model where one fellow is always paired with an international fellow. We see our 90 current fellows, who come from 12 countries, sharing challenges and ideas daily, via social media, impromptu gatherings and in-person retreats. The exchange of best practices in this globally connected social movement is not just from the U.S. outward. It is a collaboration that has no boundaries. For example, our fellows at Partners In Health's PACT program in Boston improved care for low-income HIV patients by adopting best practices from community health worker programs implemented in rural Haiti and Rwanda.

3. Complex challenges require diverse skills

Doctors and nurses are vital to the movement for health equity but our next transformational leaders could be from non-traditional health fields such as computer science, economics, or communications.

This year, GHC fellows with architecture backgrounds, working with the MASS Design Group in Rwanda, oversaw the construction of hospitals that use the latest theories of design for efficient care. Our new class of fellows represents 45 fields of expertise.

4. Organizations must take a humble approach

We should stand with, and learn from, those we seek to serve. Health programs should be staffed and led by those in the community who are being served. We should also work in partnership with both the public and private sectors to reach more people. Without these partnerships we will fail.

After the fellowship, Lovemore will partner with another GHC alum in Zimbabwe to establish an organization to serve orphans and other at-risk youth.

Rithika will study medicine at UCLA and focus on community health.

After providing care to hundreds of at-risk youth and receiving hundreds of morning hugs this year, they are ready to lead in the movement for health equity.

The opinions expressed in this commentary are solely those of Barbara Bush and Andrew Bentley.

@highlight

Barbara Bush, Andrew Bentley: Join us in the fight for health equity

@highlight

Bush, Bentley: We believe that access to health care for all is a human right

@highlight

They say young leaders can participate in Global Health Corps to help the world

@highlight

This social movement will help foster best practices in health equity, they say