Next up: the debt ceiling.

The White House continues to issue dire warnings about the economic consequences should Congress fail to raise the debt ceiling this month. President Barack Obama told Wall Street to be "concerned" and Treasury Secretary Jack Lew said Congress is "playing with fire."

But despite all the drastic pronouncements, some Republicans in Congress aren't buying it. For one thing, they doubt that October 17 is the date when the Treasury will be unable to meet its obligations.

Rep. Lee Terry, R-Nebraska, is one of those lawmakers.

"For him to just put out the 17th as a drop-dead date, I don't think there's a lot of credibility to that. I don't think a lot of my peers and I believe in that," Terry recently told CNN.

Lew said Sunday on CNN's "State of the Union" that he has exhausted all of the "extraordinary measures" he employed when the debt limit was reached in May. "I have no more. That means that on October 17th, we'll run out of the ability to borrow," he said.

He said he will have only $30 billion to pay as much as $50 billion or $60 billion worth of daily bills.

Lew also warned in a recent news release that default would be "unprecedented and has the potential to be catastrophic."

He said: "[C]redit markets could freeze, the value of the dollar could plummet, and U.S. interest rates could skyrocket, potentially resulting in a financial crisis and recession that could echo the events of 2008 or worse."

House Speaker John Boehner demands cuts for debt limit increase

But many conservatives doubt that, too.

"We don't expect there to be chaos," Terry said.

Coming catastrophe or 'false demagoguery'?

Rep. Steve King of Iowa recently called the threat of default "false demagoguery."

"I don't think the credit of the United States is going to be collapsed. I think that all this talk about a default has been a lot of demagoguery, a lot of false demagoguery," he added.

The lawmakers' skepticism echoes a distrust of the government that runs deep in both liberal and conservative constituencies. But with a Democratic president, conservatives' skepticism is more pronounced.

According to a September CNN/ORC poll, a slight majority of Republicans -- 52% -- said it would be a good thing for the country if the debt ceiling is not lifted while only 18% of Democrats said so.

While Republicans are more skeptical of the Obama administration's posturing, the administration isn't totally sure what will happen if the debt ceiling is not lifted.

When asked what would happen on October 18 if Congress doesn't act, Lew told CNN's Candy Crowley on Sunday that he "can't tell you."

"We've never gotten to the point where the United States government has operated without the ability to borrow," he said.

There lies the central tenet. Because the United States has always lifted the debt ceiling when the borrowing limit was tapped, no one knows for sure what impact it would have.

Constitution and the debt: Can the president go it alone?

Democratic Sen. Charles Schumer of New York even said that "no one's certain" what the economic fallout would be. But he added on CNN's "New Day" on Monday, that "no one should risk it and no one should say I want my political agenda attached to it."

But some conservatives are willing to take the risk and force the president's hand on the health care law and reducing government spending.

A coalition of conservative tea party-aligned groups, including Freedom Works, Tea Party Patriots and Americans for Prosperity have spent more than a year cultivating a plan to push for the defunding of the health care law, the Affordable Care Act, according to the New York Times. As the stalemate over government funding has become interspersed with the debt limit fight, another log has been added to the fire.

By the numbers: Shutdown and debt ceiling

Tempting fate or a bargaining chip?

Republican Rep. Tom Cole said the debt limit should be used as a bargaining chip for less spending.

"Why would you pass a debt limit ... without doing something about the deficit?" he asked rhetorically on "CNN Newsroom" on Monday.

He pointed to the 2011 debate over the debt limit that reduced the deficit from $1 trillion to $700 billion.

"We're saying we should do the same thing now," Cole added.

Additionally, some Republicans see the debt limit fight as an opportunity to not only shrink the size of government but also to pay off interest.

Republican Sen. Tom Coburn of Oklahoma said the United States could meet its obligations without lifting the debt ceiling.

"I would dispel the rumor that is going around that you hear on every newscast that if we don't raise the debt ceiling we will default on our debt," Coburn said Monday on CBS' "This Morning." "We won't. We will continue to pay our interest. We'll continue to redeem bonds and we'll issue new bonds to replace those."

What Coburn doesn't mention is that the United States would have to choose to pay its interest over the billions of dollars of other obligations -- Medicare, Social Security, etc. -- for which the federal government is responsible.

Lew, however, said that's a "dangerous" and "reckless" notion.

"[T]he reality is, there are no good choices if we run out of borrowing capacity and we run out of cash," he said.

4 debt ceiling scenarios freaking out traders

Most economists tend to agree with Lew's assessment.

Moody's economist Mark Zandi told the Joint Economic Committee recently that the economy "would quickly fall into another severe recession" if the debt ceiling is not lifted in adequate time.

Which side is right? Before default is reached, it's hard to know.

But a recent study published in Psychological Science found that people on the far end of the political spectrum believe that their positions are "correct."

"Given the stalemate in Washington, understanding why people become so entrenched in their views â€” even when there is not an objectively correct answer â€” is more important than ever," Kaitlin Toner, a postdoctoral fellow at Vanderbilt University, said, describing why she conducted the study.

Wall Street could be the biggest indicator of who is right in this fight. Investors nervous over the political impasse in Washington pushed all three major U.S. stock indexes lower on Monday. The Dow Jones Industrial Average alone lost more than 130 points, or nearly 1 percent of its value.

@highlight

W. House continues to issue dire warnings about consequences about debt ceiling

@highlight

Some Republicans in Congress aren't buying it; one calls it "false demagoguery"

@highlight

Critics see the debt limit fight as an opportunity to shrink the size of government and pay off interest

@highlight

The financial markets could be the biggest indicator of who is right in this fight