(CNN)Kenya has stepped up its efforts to transform 40,000 acres of land into a wind farm, in a bid to meet growing demand for electricity.

The 300 MW Lake Turkana Wind Power Project, which is being developed in the country's North-East, hopes to produce 20% of the country's current installed electricity generating capacity when it comes online in 2016.

The $694 million project achieved full financial close in December 2014, making it the largest private investment in Kenyan history.

"The success of this project, even though it has taken a long time to become successful, will inspire confidence in investors," says William Macpherson, sub-Saharan African energy analyst at African Energy Consultancy. "It's a renewable plant -- which is harder to get right than other power plants -- and that it looks like it will be online relatively soon shows the government has got its priorities right."

The project is one part of the country's ambitious project to add 5,000 MW of power onto the grid in the next three years.

An international consortium of lenders and producers, which includes the African Development Bank, British company Aldwych International and Standard Bank, is aiming to install 365 wind turbines. The 52-meter blade span windmills will take advantage of high winds in the remote area.

These breezy conditions are set to cause a jobs windfall. Over the 32 months when the hardware will be installed and new roads built, the project will employ as many as 2,500 people on a temporary basis. Once the wind farm is up and running, 200 people will be employed at the site on a full-time basis throughout the operating period.

And such confidence in Kenya's power sector was badly needed after disappointments elsewhere. The Dongo Kundu power plant near Mombasa has suffered long delays after the procurement process failed to produce a viable partner for the government, who wanted to build the Liquified Natural Gas facility in just 18 months.

"If all goes well with the Lake Turkana project, as we expect, it will relieve some of the pressure on the country's energy targets," explains Macpherson.

Power shortages

The Turkana investment, which is expected to generate $150 million a year in foreign currency savings to Kenya, could have an impact on houses and businesses that are forced to use diesel generators during power black outs.

Indeed, in early January, a transmission line failure left over half the country without power for four hours. According to Kenya Power, the country's main electricity transmission company, there were three widespread interruptions of power affecting 75% of the country in 2014.

"In the first month of 2015, we saw approximately nine interruptions per 1,000 customers in one month at the household level," explains Benson Muriithi, general manager of Network Management at Kenya Power. "The plan is to bring that down to two interruptions per 1,000 customers by 2016 or 2017."

State-owned power company KenGen produces approximately 80% of electricity consumed in Kenya, and of that, 65% comes from hydro-power sources. It is KenGen which provides the power to Kenya Power.

"While blackouts in Nairobi are not so frequent as they once were, there is still an issue with electricity supply," says Macpherson. "The government will want to move away from reliance on hydro as rainfall patterns are unreliable in the region."

And as demand for electricity grows, that issue is not going away. Electricity consumption grew by 9% between 2010 and 2011, according to the Institute of Economic Affairs and some estimates say demand will grow by a further 12% by 2030.

As well as adding to electricity supply, some businesses will also be hoping the Lake Turkana Wind Power Project contributes to a decrease in power bills. According to the Norwegian Investment Fund for Developing Countries, Kenya Power will buy the power produced at the Turkana Wind Farm at a fixed price over 20 years.

Regional powerhouse

But it's not just the east African country investing in renewable energy. According to EcoMENA, Morocco's Ministry of Energy is planning a $13 billion expansion of wind, solar and hydroelectric power generation projects as part of the country's goal to make renewables 42% of the energy mix by 2020.

Ghana, meanwhile, is constructing the world's fourth largest solar farm. The Nzema project, in the country's Western Region, will have an installed capacity of 155MWp when it becomes operational later this year.

While these projects will help build energy supply on the continent, the International Energy Agency has said sub-Saharan Africa needs to invest $300 billion in order to achieve universal electricity access by 2030.

Once up and running, the Turkana Wind Power Project will have the largest amount of wind turbines on the continent, even more than the 300MW Tarfaya wind farm in Morocco, which is currently Africa's biggest wind farm with 131 turbines. It will also be larger than Ashegoda power generating complex in neighboring Ethiopia, which opened in October 2013.

Construction is set to begin early 2015, but if the Lake Turkana Wind Power Project does what it's supposed to then Kenyans could be in for fewer blackouts and a more connected future.

"We can expect the Lake Turkana Wind Power project to bring change gradually," says Kenya Power's Muriithi. "As demand for electricity grows, we will see electricity generated from wind turbines play a more important role in Kenya's and reduce power costs in the country."

More from Marketplace AfricaRead this: Could the next lunar mission come from South Africa?Read this: Robotics revolutions hits Ugandan classrooms

Thomas Page contributed to this report.

@highlight

Africa's largest wind farm is being built in Kenya

@highlight

The $694 million project is the largest private investment in Kenyan history

@highlight

Electricity demand in Kenya is expected to grow by 12% by 2030

@highlight

The extra power could reduce black outs which hit businesses hard