Rochester, New York (CNN) -- As the director of a leading research center on child abuse, I have seen all too often that what a parent considers legitimate discipline can quickly deteriorate into violence fueled by anger.

Parents often say that they spank their children to teach them how to behave. The word discipline means "to teach," but does spanking really teach children to behave, or does it teach them to solve problems with violence?

At our center, we see many parents who spank their children to teach them not to hit their siblings. Spanking impressionable children may reduce undesirable behavior in the short term. In the long term, however, research shows that it offers children a poor example of how to solve problems or deal with difficult situations.

The posting of the video of a Texas judge beating his 16-year-old daughter with a belt, and the controversy surrounding deaths purportedly associated with the pro-spanking book "To Train Up a Child," have reignited the debate about corporal punishment. Even those viewing the disturbing video differ on whether or not it reflects the appropriate use of discipline. When does spanking cross the line and become physical abuse?

Although corporal punishment has been widely accepted throughout the history of the United States, psychologists and other professionals here are increasingly concerned about the harm it may cause. Many other countries have outlawed the practice, including Austria, Germany, Greece, Kenya, Norway, Romania and Spain. Despite growing evidence against and opposition to corporal punishment in the United States, the practice remains accepted by nearly half of adults and is legal in all states.

Among scientists, there is a consensus that actual physical abuse damages children, directly and over the course of a life. Although not all children who have been abused are affected the same way, decades of research show that child abuse initiates a cascade of negative social, emotional and health-related outcomes.

"Corporal punishment is of limited effectiveness and has potentially deleterious side effects," the American Academy of Pediatrics has said in a policy statement. A 2002 analysis of studies, published in the Psychological Bulletin, concluded that although corporal punishment can make a child obey in the short run, it also is linked with a number of long-term problems, including mental disorders and behavioral difficulties. Spanking in childhood also has been related to criminality.

Too much corporal punishment can also damage the parent-child relationship, as the parent becomes a source of both nurturing and danger. Disconcertingly, spanking in childhood also is associated with approval of hitting a spouse and increased marital conflict.

All the evidence and warnings, however, don't always stop parents from hitting their kids. Personal experiences and emotion continue to dictate whether or not parents choose physical punishment.

The video of the judge beating his daughter is disturbing not only because of the physical violence, but also because of the emotional abuse that is clearly present. Rather than learning not to download computer files, this girl may be learning to hide her behavior from her parents, to avoid bringing them her questions and concerns. She may become more likely to resolve conflict with violence, to become involved with people who are abusive, and eventually to hit her own children.

All parents surely want to raise well-adjusted children. Discipline and structure are key components of doing so. It would be naÃ¯ve to think that even the most dedicated parents do not sometimes become frustrated with defiant children. There are many ways of disciplining children that are effective and nonviolent. We need to show parents what they are, and to make alternative approaches more widely accessible if we are to avoid tragic outcomes.

The opinions expressed in this commentary are solely those of Sheree L. Toth.

@highlight

Sheree L. Toth: Does spanking teach children to behave, or does it encourage violence?

@highlight

Research shows that it offers children a poor example of how to solve problems, Toth says

@highlight

Toth: Many countries have outlawed spanking, yet most Americans think it's OK

@highlight

Many studies link spanking with a number of long-term problems, Toth says