(CNN)With Carnival under way and Fat Tuesday on February 17, it's high season for reflecting on the virtues of New Orleans.

The city rolls at a different pace during Mardi Gras, with parade routes blocking access to certain neighborhoods at outwardly mysterious times and businesses closing or amending their hours to accommodate the season's unique needs.

Flexibility, a strong sense of adventure and a costume on Fat Tuesday will help Mardi Gras visitors make the most of it.

While the Crescent City is never entirely predictable -- and a good dose of whimsy is always the best preparation for a trip to New Orleans -- the following must-do list could serve as a guide for visitors arriving after the final Carnival parade rolls down St. Charles Avenue.

While we could write an encyclopedia on the city's food and music options alone, these 15 suggestions will help you start to experience the heart of this low, lovely, lyrical place.

Eat with your hands

Among the benefits of dining in a shellfish culture is that silverware is frequently optional.

Eating with your hands is the only way to get through a bowl of buttery, pepper-spiked BBQ shrimp at Pascal's Manale Restaurant, where the iconic dish was first conceived.

Boiled crawfish is the seasonal delicacy from roughly January through May, and it's arguably best eaten on a park bench with a cold one. Big Fisherman in Uptown and KJean in Mid-City are reliable crawfish takeout spots.

And locals tend to tip oysters on the half-shell up to their lips rather than mess with those awkward, tiny forks. At Bourbon House Restaurant in the French Quarter and Casamento's Restaurant in Uptown, no one expects you to use those forks for anything besides squeezing the juice from lemon wedges over your catch.

World's most colorful carnivals

Browse a supermarket

Especially at locally owned grocery stores like Rouses Supermarkets and Langenstein's, you can stock your suitcase -- and, later, your pantry -- with Louisiana dry goods staples like Camilla red beans, Cajun Country rice, Zapp's Potato Chips (try the Cajun Crawtator), Creole-style coffee, crab boil and boxed jambalaya mix.

Even if you can't find room among your boas and beads for smuggling food products home, it's worth a wander down the spice aisle to observe in what amazing quantities New Orleanians stock up on bay leaves and cayenne pepper.

Cool off with a sno-ball

New Orleans' best ammunition against the subtropical heat of its eight-or-so summer months is, perhaps counter-intuitively, not alcoholic.

Sno-balls (not snow cones) are simple but culturally important treats of finely shaved ice drenched in sugary syrups. They come served in cups or Chinese take-out containers and are generally sold from trucks, takeaway windows and small sweet shops.

Your favorite sno-ball vendor is generally the closest sno-ball vendor, though our pick is Uptown's Hansen's Sno-Bliz, where the syrup flavors range from the traditional (nectar, chocolate, cream of strawberry) to the uber-contemporary (satsuma, cardamom, ginger).

Get your bounce on

Miley Cyrus might have brought twerking -- a dance move that involves shaking one's rump at the speed of a hummingbird's wings -- to a popular audience at MTV's Video Music Awards in 2013, but New Orleans dancers have been "popping" since the late 1980s.

In a NOLA.com/Times-Picayune article, local music writer Allison Fensterstock even presented evidence that Miley learned to twerk to New Orleans bounce music while filming a movie here in 2010 and 2011. Check in at http://nolabounce.com for bounce news and up-to-date club listings.

Take a literary tour

New Orleans collects literary ghosts, Tennessee Williams, Truman Capote and Eudora Welty among them.

Besides reading works penned while writers were encamped in the city, the best way to channel the city's literary life is by touring the French Quarter's numerous and wonderfully atmospheric used and new book stores. Call it antiquing for the mind.

Our favorites include Crescent City Books, Librairie Book Shop and Kitchen Witch, a store specializing in used cookbooks. Local author Susan Larsen's book, "The Booklover's Guide to New Orleans," is a great resource for unpacking the city's literary dimension.

Eat beignets

The centenarian, open-air coffee and beignet spot Café du Monde might be the most obvious tourist attraction in the French Quarter, if not the entire city.

As we're in the business of steering visitors to New Orleans' more genuine experiences, you might expect us to avoid such clichés.

On the contrary. A beignet-free trip to New Orleans would be a travesty of the first order, and Café du Monde has a high batting average for serving a consistently hot and well-sugared product.

The queue can be excruciating, though, so keep the nearby Café Beignet, as well as the City Park location of Morning Call Coffee Stand, in your back pocket.

Marvel at the Mississippi

In a city surrounded by water -- the Great River, Lake Pontchartrain, the ever-encroaching Gulf of Mexico -- it's sometimes surprising how infrequently you encounter water views.

Woldenberg Park, adjacent to the French Quarter, is an exception; it's also a wonderful place to pass a breezy hour or two. But for a birds-eye view of the winding Mississippi and its workings, take the elevator at Canal Place (located at the foot of Canal Street) skyward.

Alternately, "The Fly" at Audubon Park, just behind the Audubon Zoo in Uptown, is an expanse of ball fields and green space from which you can watch magnificent barges push down the river at eye level -- and practically at arm's length.

See Treme off-screen

Experience the real-life companion to David Simon's HBO series "Treme" by exploring what is sometimes referred to as America's oldest African-American neighborhood.

You could begin just across Rampart Street from the French Quarter at Armstrong Park. Then make your way to Backstreet Cultural Museum for a Mardi Gras Indian history lesson, worship at a jazz-filled Mass at St. Augustine Catholic Church and lunch on Creole gumbo, seafood platters and po-boys at Li'l Dizzy's Café.

Take a Katrina tour

Katrina tours are touchy, and with good reason. Cruising in air-conditioned buses or vans through previously flooded neighborhoods where the worst possible scenario occurred -- and where, more than nine years later, life is hardly back to normal -- is inherently controversial.

But seeing the altered neighborhoods with a knowledgeable guide is also the best way to unpack the natural and human-wrought causes behind Hurricane Katrina's remarkable losses of life, land and property.

Drink a Sazerac

New Orleans had a cocktail culture long before "mixologist" entered the popular lexicon and specialty cocktail bars augmented the nation's bar topography. Though it's also drunk in other cities, New Orleans has laid claim to the Sazerac, a stiff drink of rye whiskey, bitters, sugar, absinthe or pastis and a twist of lemon.

Mixologists make reputable versions in their cocktail bars around town, but the best places to drink Sazeracs are where they've always done well -- in historic hotel bars like the Carousel Bar in the Hotel Monteleone or the Sazerac Bar in The Roosevelt New Orleans; and in the city's oldest restaurants, like Tujague's and Galatoire's.

Go to Mardi Gras

If you can't make it down for the actual holiday, you can still peek at the pageantry. Tours at Mardi Gras World offer spectacular behind-the-scenes looks at float production and costumes, as well as off-season tastes of king cake.

Lunch on fried chicken in the Seventh Ward, twice

Just two blocks apart, the kitchens at Willie Mae's Scotch House and Dooky Chase's Restaurant arguably put out the city's most consistently fine fried chicken, though only at lunch.

The restaurants and their 90-plus-year-old matriarchs are not at war, but instead coexist peacefully, with differences in ambiance and chicken-frying styles. Willie Mae's is a more casual restaurant with chicken cooked to order, while Dooky Chase is a white-tablecloth establishment with a lunch buffet.

Turn on the radio

Wherever you listen to 90.7 WWOZ community-supported radio (you can stream online from anyplace), it sounds like Louisiana. Horns. Accordions. Carnival tunes. Listen long enough and you'll find your favorite DJs and shows -- for us, it's Bill DeTurk's New Orleans Music Show on Fridays and the back-to-back Gospel and bluegrass programs on Sunday mornings.

Local food media personality Tom Fitzmorris hosts a three-hour radio show about New Orleans food every weekday afternoon on 1350 AM. It also airs on 105.3 FM on Saturdays. And the local NPR station, WWNO 89.9 FM, is rife with local programming.

Find some brass

Especially in the spring, around Mardi Gras and Jazz Fest, it's nearly impossible to walk down a New Orleans sidewalk without eavesdropping on some school kid practicing his trumpet or her trombone. Music begins in the schools and in the neighborhoods.

Second line parades, which include brass bands, roll every Sunday during the cooler months. And in-between the beads and masks in Carnival parades are junior high and high school marching bands high-stepping and getting the crowds moving.

For nighttime brass sounds year-round, you can count on clubs like Blue Nile, Hi Ho Lounge and Maple Leaf Bar, where the Rebirth Brass Band raises the roof every Tuesday night.

See some art, and eat some too

New Orleans has a centrally located arts district, commonly called the Warehouse District, which is a little-known relative to the city's more historic and heavily toured neighborhoods. The Contemporary Arts Center (CAC) is the district's anchor, though it's no longer the only attraction.

Additionally, the Ogden Museum of Southern Art, the National World War II Museum, the Louisiana Children's Museum and numerous galleries and art spaces have built a neighborhood where you could easily spend a couple of days.

To sweeten the pot, the Warehouse District happens to be a culinary hotbed, with top-tier restaurants like the Link Restaurant Group's Cochon and Peche, Emeril Lagasse's flagship restaurant Emeril's New Orleans, Adolfo Garcia's steakhouse La Boca and American Sector at the World War II Museum.

New Orleans transplant Sara Roahen is the author of "Gumbo Tales: Finding My Place at the New Orleans Table." This story was first published in 2014 and updated in February 2015.

@highlight

There's more to celebrate than Mardi Gras in New Orleans

@highlight

Shellfish culture means silverware isn't always required at the table

@highlight

'Popping" predates the Miley Cyrus visit to this town