(CNN) -- Who knew that 70 years after African-American pilots had to work hard to overcome the prejudices of whites in the U.S. armed services, and the nation having its first black commander-in-chief, the men known as the Tuskegee Airmen would still be doing battle with an entrenched institution of white power brokers, all based on the color of their skin.

Many of you may have seen the flashy commercials advertising "Red Tails," the major motion picture that chronicles the amazing and true story of true American heroes: black pilots who went overseas in World War II to fight for the freedom and democracy that they could not enjoy at home.

The film opens January 20 in theaters nationwide, and for its producer, George Lucas, it has been a 23-year odyssey.

You would think that someone considered one of the most powerful players in Hollywood, a man who has made billions with blockbusters such as the "Indiana Jones" and "Star Wars" franchises, would have been able to get "Red Tails" approved without any hesitation. Yet many African-Americans have long known that in Tinseltown, the color of your skin -- or that of the people in the story you want to tell -- often falls victim to racial pigeonholing.

Oh, sure, Hollywood is seen as a liberal bastion where folks talk about equality and supporting civil rights, but when it comes to telling stories that have mostly black casts, Hollywood might as well return to the '50s and '60s and erect signs that say "Whites Only."

When Lucas approached the major Hollywood studios about backing "Red Tails," he was told: Thanks, but no thanks.

"There's no major white roles in it at all ... I showed it to all of them and they said no, we don't know how to market a movie like this," Lucas told Jon Stewart on The Daily Show.

Let's juxtapose that against some other facts:

-- In 2008, 69 million people voted for Barack Hussein Obama as president of the United States;

-- The most talked-about woman in America over the past 25 years was Oprah Winfrey, who redefined the talk show genre;

-- Which athlete has the top-selling jersey in the NBA? LeBron James;

-- Who is considered the top-grossing actor? Samuel L. Jackson;

-- Arguably the greatest entertainer of all time is Michael Jackson;

-- The greatest golfer in the world? Tiger Woods;

-- The most dominating players in women's tennis? Venus and Serena Williams;

-- The top singer today? Beyonce;

-- And hip-hop, an outgrowth of black culture, is a worldwide phenemonon. And 80% of the consumers of hip-hop music in America are white kids.

So whites all across America have come to accept African-Americans in a variety of public media, but Hollywood continues to want to tell us that somehow seeing blacks on the big screen is anathema to their values.

Maybe what no one in Hollywood wants to own up to is that in many ways, it is a close-minded society where it's hard to find African-Americans in positions of true power.

In the history of Hollywood, no African-American has ever headed a major studio. Yes, we've seen Black CEOs at American Express, Time Warner, Xerox, Merrill Lynch, Symantec and other major companies, but the doors of opportunity are closed in Hollywood.

Does this mean African-Americans aren't hired? No. But those are low-level positions where they desperately fight the good fight, knowing full well they will never ascend to the top of the food chain in Hollywood.

Part of Hollywood's problem is that when looking at a movie that has, like "Red Tails," a mostly black cast, it is cast as a "black" film.

"Red Tails" isn't a black movie. It's a war movie. It's an action movie. It's a story of true American heroes overcoming great odds to succeed. That was the conclusion of Alabama head football coach, Nick Saban, who showed the film to his team the night before they demolished LSU for the BCS national title.

Did Saban conclude it was a black film? Not at all, and he gave it a resounding endorsement.

This racial fight may be new to George Lucas, but to African-Americans, this has been a long and painful battle.

A few months ago on my TV One Cable Network Sunday show, Washington Watch, I talked with actor Brian White, who has starred in "Stomp the Yard," "Fighting" and the critically-acclaimed TV show, "Men of a Certain Age."

He told a stunning story that shows the ignorance of Hollywood regarding an independent movie he starred in with Zoe Saldana, "The Heart Specialist."

"Dennis Cooper, the writer, director and producer, is a Caucasian man who had some friends," White said. "His friend David was the inspiration for Dr. Z and Dr. Howard -- a Harvard-educated doctor that was involved with the film. And Dennis sold this great script to the studios, but he left the character descriptions out.

"When the studios found out the leads were black, they didn't want to make the movie anymore, and Dennis had to go take his own money and his friends' money and make this movie himself and then start the long road to getting a distribution deal."

This isn't just the big studios.

The Weinstein Co. produced "The Hurricane Season," a basketball film about two teams coming together in the wake of Hurricane Katrina to win the Louisiana state championship. Yet the movie went straight to DVD, angering lead actor Forest Whitaker, and others in the film, including Taraji Henson, Courtney B. Vance, Isaiah Washington and the rapper Bow Wow.

The excuse given the actors? The Weinstein Co. said they didn't know how to market the film. Really. A movie with basketball at the center of the story? Folks, come on!

Hollywood defenders will be quick to say, what about Will Smith? Denzel Washington? Halle Berry?

What's interesting in Hollywood is that if you're Will Smith, Denzel Washington or a handful of others, you really aren't seen as "black." For them, they have crossed the post-racial threshold, and in Hollywood's eyes, white America will watch them.

But if you talk to them and so many other top Hollywood actors, they will also tell you stories of having doors slammed in their faces, and trying to get movies made featuring mostly blacks and were told, "Can't you make the characters white?"

What is also at play is that for Hollywood, having one black guy in a film that has mostly whites is never called a white film. But if it's one or two white guys in a film with mostly blacks -- uh oh, black film!

The latest excuse offered up by the Hollywood studios is that "black films" don't sell well overseas. What that means is that foreigners also don't want to see African-Americans. Again, I believe the problem is how the movies are categorized.

Let's take two black men dressing up as women. When Martin Lawrence does it in "Big Momma's House," that isn't marketed as a "black film." As a result, it grossed $117.5 million in the United States and $56.4 million worldwide.

Yet Tyler Perry's "Madea Goes to Jail," another movie featuring a black guy dressed as a grandmother, did $90 million in the U.S., and they didn't even bother to show it overseas. Maybe that's because Tyler Perry's "Madea's Family Vacation" only did $50,000 in ticket sales worldwide three years earlier, and $63.2 million in the U.S.

Now, if Hollywood knows how to sell white men dressed as women (Robin Williams in "Mrs. Doubtfire" and Dustin Hoffman in "Tootsie") along with largely white casts, they can't figure out how to do the same for a Tyler Perry?

George Lucas has clearly expressed his fears with "Red Tails," hoping it opens huge so it will send a message to Hollywood that a big-budget action film with lots of black folks can be successful. The downside? If it fails, it will be seen as a failure of ALL black action films.

Several Hollywood executives told me that when the Queen Latifah-Common helmed film, "Just Wright," didn't meet expectations and only grossed $21.5 million -- it was marketed as a black film -- the result was a virtual shutdown of all romantic comedies featuring African-Americans. Yet Jennifer Aniston can put out failed romantic comedy after failed romantic comedy, and no one says "white" romantic comedies should end.

Have we returned to the days of Jackie Robinson when he couldn't fail because if he did, the whole race would be set back? That's essentially what Hollywood is saying.

I want you to go and see "Red Tails" not because it is an historical depiction of a true period in America, but because it's one helluva film. The action scenes are first rate and the storytelling is superb. Are the main characters black? Yep. Just do as I do when I go and see a movie that features an all-white cast, which is most of the time: go for the enjoyment.

If so, maybe the libs in Hollywood will finally realize that great stories, when sold as such, and not as a "black" film, can bring people of all stripes to the movie theater.

There used to be a time when whites could sit downstairs, and if blacks were allowed in the movie theater, had to sit upstairs. Today, it's clear that such a racial divide is no longer in place in the seats, but now on the screen, and that's a damn shame.

@highlight

George Lucas has been on a 23-year odyssey to get "Red Tails" into theaters

@highlight

The World War II action film features a predominantly black cast

@highlight

Hollywood has a rocky history with perceived "black" films, Roland Martin says

@highlight

The studios should market good movies, not pigeonhole them, Martin says