New Delhi (CNN)The leaders of India and the United States, testing the diplomatic extent of their personal friendship, said on Sunday they'd made progress on a deal allowing U.S. firms to cooperate on civilian nuclear power plants in India.

U.S. companies are reluctant to construct nuclear plants in India if they aren't shielded from liability after accidents, an assurance Indian lawmakers have been unwilling to extend. President Barack Obama and Prime Minister Narendra Modi stopped short of announcing a full-fledged deal but did say they'd moved forward on the issue.

"This is an important step that shows how we can work together to elevate our relationship," Obama said during a press conference that came after bilateral talks with Modi.

Obama touched down in India on Sunday for a truncated state visit that has officials claiming a new era in U.S.-India relations is dawning.

Obama hopes to capitalize on his young friendship with Modi to achieve diplomatic progress on climate, defense and trade -- progress that has eluded U.S. leaders in the past. In a surprise break in protocol, Modi greeted Obama on the tarmac on his arrival in New Delhi and wrapped him in a hug.

After a two-leg, 16-hour journey, Air Force One landed in New Delhi under midmorning fog around 10 a.m. (11:30 p.m. Saturday ET). The overcast Indian capital was heavily fortified with extra security for the President's trip; police and military guards armed with machine guns patrolled roads and manned checkpoints throughout the city. Highways were shut well ahead of Obama's arrival.

The normally chaotic traffic scene was unusually serene hours before Obama's landing. Even the city's stray dogs and monkeys were being herded away from the routes Obama's motorcade was scheduled to drive.

A formal military presentation greeted Obama at the Indian President's residence, and Obama joined Modi to lay a wreath at a memorial to Mahatma Gandhi.

On Monday, Obama will be the first U.S. leader to headline India's annual Republic Day parade, a colorful military spectacle featuring marching bands, dancing and lots of heavy machinery rolling down the stately Rajpath Boulevard.

The White House says the invitation to act as the parade's honored guest came as a major shock and could open the way for new cooperation between New Delhi and Washington. Obama himself sees the invitation as a "transformational" moment for U.S.-India relations, according to his aides.

"I think it goes without saying that this is a seminal moment in the bilateral relationship, and that the extension of this invitation by the Prime Minister really continues to set a different tone for our reinvigorated partnership," said Phil Reiner, senior director for South Asia on Obama's National Security Council staff.

But even the parade itself will act as a reminder of the decades of sometimes tense relations between the two countries. A military demonstration at heart, the vehicles and equipment parading before Obama on Monday will be mostly Russian-made, a vestige of India's stance during the Cold War.

Russia remains India's largest supplier of weapons, and while their share is steadily decreasing, Russian military imports still amount to three-quarters of India's stockpile.

With U.S.-Russia relations worsening to Cold War levels, Obama hopes to balance Moscow's influence in India during his visit this week.

Officials also hope to exact climate commitments in New Delhi, where air quality warnings remained in place even during Obama's visit. That's a contrast to Obama's trip late last year to Beijing, where roads were cleared and the air cleansed of its usual smog ahead of the President's arrival.

In China, Obama was able to secure historic carbon reduction promises from the new Premier there, though expectations for similar achievements in India were more measured.

Indians working in the capital city on Sunday said they regarded Obama's visit as a highly symbolic gesture from the United States -- one they said was well-received, despite the security headaches that his arrival caused.

Local television networks profiled weavers preparing elaborate gold-threaded saris for first lady Michelle Obama, who is accompanying her husband for the three-day state visit.

The pair had planned to visit the Taj Mahal in Agra, whose origins as a memorial to a Mughal emperor's wife have made it a romantic draw for couples. The side trip was nixed, however, so Obama and the first lady could fly to Riyadh to pay respects to the late Saudi King Abdullah.

Opinion: Modi and Obama's surprising rapport

@highlight

Obama hopes to capitalize on his relationship with Indian Prime Minister Narendra Modi

@highlight

India and the United States have shared sometimes frosty relations

@highlight

The United States wants to ease India away from its use of Russian-produced military weapons