Tokyo (CNN) -- The 40th anniversary of the normalization of relations between China and Japan will be marked on September 29 but there seems little to celebrate.

The territorial dispute between Japan and China over the rocky outcrops, known as the Senkakus in Japan and Diaoyu in China, has escalated beyond expectations as both governments have upped the ante and domestic politics constrains room for maneuver.

As bad as it seems now, it was also quite perilous in 2010 after a Japanese Coast Guard arrested the crew of a fishing trawler that rammed them in the waters near the disputed rocks. This arrest sparked widespread angry protests and attacks on Japanese businesses in China.

Fresh anti-Japanese protests in China on symbolic anniversary

After Beijing withheld exports of rare earth metals vital to Japanese industry, Tokyo capitulated by releasing the crew and captain. This incident inflamed lingering resentments and stoked mutual suspicions.

In this most recent standoff, the saber-rattling has grown more ominous against the backdrop of a political transition in Beijing and leadership elections in Japan's two main parties. In this context, it is difficult for either side to dial down the rhetoric. Contenders for party presidency in Japan are all taking a hardline, one that will fuel more tensions.

Background: How remote rock split China, Japan

Meanwhile, Beijing is getting ready to pass the baton of leadership at a time when the economy is slowing and there is growing discontent with corruption, nepotism and income disparities. Pundits expect Beijing to clamp down on the demonstrations before they morph into anti-government protests.

The temptation of patriotic blustering is hard for either side to resist, but in this dangerous game of brinksmanship both countries have a lot to lose. There is a serious risk of miscalculation on both sides that could cause this scrap to spiral out of control. It doesn't take much to make a martyr and once there is blood in the water, stability in Asia is at risk. There is little to be gained from aggravating a dispute that has now assumed symbolic importance as a test of wills.

Asia's disputed islands -- who claims what?

Tokyo-Beijing relations are fragile and in this case the volatile combination of territorial disputes, competition for seabed resources, strategic ambitions, nationalism and unresolved historical grievances have elevated these remote outcrops into the focal point for longstanding grievances in China and growing anxieties in Japan.

The rapid rise of China has lead to a tectonic shift in East Asian geopolitics and the decline of Japanese influence. This abrupt and far-reaching shift in the balance of power is destabilizing because it challenges the status quo. Complicating this transition is the acrimony caused by former prime Minister Junichiro Koizumi's (2001-06) six trips to Yasukuni Shrine, seen as a talismanic ground zero for an unrepentant view of Japan's rampage in Asia between 1931-45.

The rising tide of Chinese nationalism finds a familiar and handy target in Japan. At the same time, Japanese conservatives do their nation no favors by repeated provocations with their Asian neighbors.

Governor Shintaro Ishihara of Tokyo deserves most of the blame for the current fracas. In April he announced plans to purchase three of the disputed islands from their private owner in Japan and raised over $15 million from public donations to do so. Beijing has been fuming ever since.

An issue that had been simmering on the back burner since late 2010 is now boiling over and causing great damage to Japan's considerable interests in China. This is Ishihara's own goal, driven by an ideological agenda and contempt, that is not in line with public attitudes. He also succeeded in forcing the central government to buy the islands, as the Noda government decided that it had to marginalize Ishihara in order to manage the situation and prevent him from doing further damage. But in doing so, Tokyo triggered the current altercation.

Ishihara may also be chortling because he has managed to shift Japanese politics to the right, as political contenders try to out do each other in hardline statements. He may be hoping to ratchet up nationalism in Japan because he believes the nation suffers from a patriotic deficit. The absence of anti-Chinese demonstrations in Japan suggest that he has not succeeded in this, but he has certainly inflicted great damage on bilateral relations and the scars will persist for some time. The media frenzy is whipping up negative mutual perceptions and a new generation in both countries is learning to hate and vilify.

Can the "hot" economic relationship remain insulated from political upheaval?

This is the billion-dollar question leaders should be asking because Japan is a leading investor and source of technology while China is its largest trading partner. The rocks in question are not worth all the damage they are causing, but that is precisely the point. This issue has become dangerously politicized where cost-benefit analysis, or resort to legal arguments, appear unpromising.

Can calmer heads prevail? Probably.

Both sides appear to be carefully edging away from the abyss, but a disastrous turn of events and violent clashes remain ominously possible. There has to be a cooling off period, but the political transition might be an opportunity to hit the reset button.

To move forward Beijing and Tokyo should commit to talks about the disputed territories without preconditions, agree to refrain from violence in pursuit of rival claims and move towards confidence building measures (CBMs) that sidestep the issue of sovereignty. The most ambitious of these CBMs would be joint development of East China Sea seabed resources as specified in a 2008 accord.

In 1978, Deng Xiaoping suggested that this dispute be put aside, placing faith in the wisdom of future generations to resolve this discord. Hopefully leaders on both sides will find that wisdom and act on it to avert catastrophe. In the meantime, confidence-destroying measures are digging a deeper hole to climb out of.

Foin us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Jeff Kingston.

@highlight

Relations between China and Japan remain tense amid ongoing islands dispute

@highlight

Kingston: This is a dangerous game of brinksmanship, both countries have a lot to lose

@highlight

Fueled by territorial disputes, seabed resources, strategic ambitions, nationalism

@highlight

Political transition in both countries might be an opportunity to hit the reset button