Moscow (CNN) -- Boris Berezovsky has died in self-imposed exile in England. He died, whether in total loneliness, or in his murderer's company, we don't yet know, but what we do know is that his death was not natural. Death could not be natural for him -- he was the most alive, the most active, the most unpacified Russian politician.

Police have said that the death was consistent with hanging and that there were no signs of a struggle.

There is a saying in politics, "any reference in media is beneficial, except obituary." And Berezovsky always followed that rule. But now it is possible to speak well of the dead, too.

He was no great mathematician or manager -- but he made up for it with his inventive power and tenacity. Almost singlehandedly, he helped to reorganize Russian industrial giants after years of Soviet nepotism, inefficiency and degrading service.

He amassed massive wealth and political influence in the early 1990s during the privatization of Russia following the fall of the Soviet Union. Just a few years later this "entry-level used car seller," as the free press of the time had described him, was instrumental in persuading Russian business to join forces and encourage then-President Boris Yeltsin, despite his poor public standing, to protect the country from a Communist return.

By this time politics had become his main passion but he unwisely allowed his oil and airline companies to be run by partners and assistants whom he had not known for long. When he went into opposition and his support started to fall away, he lost much of his money while his former friends and opponents received limitless wealth -- paid for through loyalty to the new political regime.

The baptized Jew very nearly helped to stop the first Chechen war, by bringing Russian General Alexander Lebed and Yeltsin together to sign an agreement in Khasavyurt -- effectively conceding defeat to the small Islamic nation but the deal would probably have preserved the territorial unity of the country and dozens of thousands of lives.

Later he was instrumental in stitching back together the shreds of the Commonwealth of Independent States (CIS), giving autonomy to 11 local kinglets -- that would have guaranteed common trade routes and military collaboration instead of the imperial suppression of the past and the useless dog-poor independence of the present.

The free press berated Berezovsky for both of the projects, accusing him of deriving "private benefits" then of "betraying interests of Russian people." President Vladimir Putin ended the second Chechen war with basically the same agreement -- pulling out Russian forces and effecting more than lavish funding of separatist leader Ahmad Kadyrov -- but the press, its freedom already limited, said little to oppose the deal.

The differences between Putin and Berezovsky are less significant than many believe, that's exactly why they worked together so easily. Both believed in the power of media and money, both longed for the greatness of Russia, but neither really believed in the possibility of true people power. Neither really had a considered opinion on anything -- and were ready to change the views to fit.

Their differences was merely methodological, but the ruins of the great Soviet Empire that has no religious, ethnic, ideological and cultural unity is a place where people don't need much to become allies and friends and even less to become enemies for life.

The last judgement on Berezovsky was made while he was still alive, and while many believed much of it was unfair, it was accurate in related details. Victory in court over his former junior partner Roman Abramovich last year would have meant for Berezovsky not just money that ran out within 10 years of opposition activity, but a recognition of being a contributor to the system that provided Russian oligarchs with football clubs, yachts and billions of dollars. This recognition would have come not just from the left-wing press, but by a civilized Western court from the mouth of Lady Justice Gloster.

Berezovsky was an unregistered shareholder of Sibneft, a Russian oil company the government bought back from loyal Abramovich for $13 billion. He sued Abramovich for $5.1 billion, alleging that he was forced to sell his stake for a fraction of its true value.

But Berezovsky didn't just lose a lawsuit and money; he was refused any recognition, Judge Gloster didn't just judge, she basically impeached Berezovsky -- for deception, but what is more degrading -- for self-deception. And she was right on this count.

Politician Berezovsky had a lot of charmless features. He often did wrong, but his timing was usually good. Many years before his death, while he still lived in Moscow, he was leaving the Russian parliament, and joked: "Englishmen slip away, Jews bid farewell, but do not leave, I'll be an exception, happily."

He was an exception: he was both a minion of fortune and its "scapegoat:" he escaped when his time was up, first from the parliament, then from Russia, finally from life. Nobody ever caught him.

@highlight

Boris Berezovsky has died in self-imposed exile in England

@highlight

Damian Kudriavtsev says his friend reorganized Russian industry after years of inefficiency

@highlight

A UK judge gave a damning judgment on Berezovsky after suing Roman Abramovich