At first blush, the biography of Iranian actress Pegah Ahangarani could read very much like my own.  Ahangarani is a working actress who supports social causes in her time away from set.

The difference?

In October, Ahangarani was sentenced to 18 months in prison for her peaceful activism.

In this regard, she is just the latest in a string of filmmakers and actors of Iranian cinema -- including acclaimed filmmakers Jafar Panahi and Mohammad Rasoulof and actor Ramin Parchami -- to be arrested or sentenced to lengthy prison terms in recent years.

Panahi and Rasoulof each were sentenced to prison -- the former for six years and the latter for five -- and banned from filmmaking for 20 years, accused of making "anti-regime propaganda." Parchami, a prominent actor, was sentenced to prison after he was arrested in anti-government protests. Many more have been arrested and jailed.

In my role as a spokesperson for Amnesty International USA and as a supporter of various charitable causes including Unlock Iran, a campaign to release prisoners of conscience in Iran, I have never been faced with the threat of intimidation or arrest.

Indeed, I cannot even fathom that speaking out for the most vulnerable in society and those locked up for peaceful expression and activities would, in turn, be grounds for my own detention and arrest by government authorities.

A celebrated and hugely popular actress in her native Iran, Ahangarani first landed on the radar of the Iranian authorities for her open support of opposition figure Mir-Hossein Mousavi, which led to her arrest in July 2009 in the aftermath of a disputed presidential election in Iran.  Another arrest in July 2011 followed, as well as a ban on her leaving the country.

Now she has been sentenced to 18 months in prison for "acting against national security and links to foreign media." The idea that an actress -- mostly lauded for her performances in more than a dozen films -- somehow represents a threat to Iran's national security is laughable at best. But in Ahangarani's case, far from anything humorous, the allegations have actually resulted in the sober prospect of real prison time.

Ironically, Ahangarani's sentence was handed down just a month after the reopening of the House of Cinema in Tehran, which had been unceremoniously ordered to shut its doors during the tenure of former President Mahmoud Ahmadinejad.

Although the reopening was welcomed by many as a delivery of one of the promises that President Hassan Rouhani made on the campaign trail to increase cultural freedoms for Iranians, the reality is that artists such as Ahangarani, rapper Amir Tataloo and poets Mehdi Mousavi and Fatemeh Ekhtesari  -- who were arrested in December and later released -- continue to come under fire for their peaceful exercise of creative expression.

And it's not only artists who languish in Iran's prisons.  According to Unlock Iran's reporting, at least 845 people are prisoners of conscience in Iran, jailed for the peaceful exercise of their lifestyle, beliefs or profession. The list of hundreds includes lawyers, students, bloggers, journalists, labor union activists and political opponents.

The crisis is so acute that U.N. Secretary General Ban Ki-moon recently admonished the Iranian government for continuing to jail a large number of political prisoners. And just last month, the mandate of a U.N. expert assessing Iran's human rights record was renewed for yet another year because of the chronic nature of human rights abuses in the country.

Aside from all the reports of abuses, it is an odd thing when your counterpart in another society has experiences that are directly opposite to your own.

My human rights activism has been widely met with encouragement and support.  Ahangarani should earn plaudits, not only for her cinematic achievements, but also for her humanitarian deeds and her commitment to increased rights and freedoms for all. She should not be intimidated and silenced with the threat of a lengthy prison sentence looming over her head.

Ahangarani's only "crime" is that she dared be an agent of change and speak out in support of women and young people.

The Iranian leadership is keen to prove that it is ready to engage with the international community, both on resolution of the nuclear issue in ongoing negotiations and renewal of economic ties. In addition to these concerns, human rights should be made an equal priority.

A good first step would be the unconditional pardon of the 843 prisoners of rights  and the hundreds of others, such as Ahangarani, who are waiting to serve out their sentences.

Ahangarani, and all those risking their own freedom to ensure the rights of others, are national treasures, not national traitors.

@highlight

Iranian Pegah Ahangarani is actress and activist, as is Iranian-born Nazanin Boniadi

@highlight

But Boniadi has never been harassed for activism, while Ahangarani is sentenced to jail

@highlight

Boniadi: 845 people are political prisoners in Iran, from all walks of life and careers

@highlight

Boniadi: Human rights in Iran should be just as important as nuclear  issues