(CNN) -- Neither his name is known nor a motive for the grisly crime he allegedly committed.

But what is clear is that the U.S. soldier, a staff sergeant in his 30s, faces grave accusations unlike others faced by Americans in Afghanistan so far. He is alleged to have killed 16 villagers, nine of them children, in the sanctuary of their homes deep into the night.

The dearth of information from the U.S. military heightens speculation by the day about the accused soldier and his mental condition. What soldier could commit such a heinous act?

Authorities and mental health experts caution against drawing conclusions, but what's known is that the soldier was on his fourth combat tour. He served in Iraq three times and potentially was at risk for combat stress symptoms -- anxiety, depression, anger. He also suffered a brain injury in a vehicle rollover, though the extent of it is unclear.

"We're going to look into all of that," Gen. John Allen, who commands U.S. and NATO troops in Afghanistan, told CNN, declining to say more.

The full details will likely surface after the military investigates and begins legal proceedings.

"It's a tragedy all the way around. There's no question about that," said Seattle attorney John Henry Browne, who told CNN Thursday that he was representing the accused soldier. "I think it's of interest that we have a soldier who has an exemplary record, a decorated soldier who was injured in Iraq to his brain and to his body, and then despite that, was sent back. I think that's an issue. I think it's a concern."

Michael Waddington, a civilian lawyer who has represented U.S. soldiers in military murder trials, said Sunday's shootings in the villages in Kandahar province represented the worst of chilling incidents involving U.S. troops.

FBI: Massacre could prompt attacks in U.S.

There have been cases of the innocent who are mistakenly killed or die in the crossfire. But it was shocking to Waddington to hear of a U.S. soldier turning his weapon on civilians.

If true, he said, the crime amounts to no less than executions of people inside their homes.

The soldier could face 16 counts of premeditated murder, Waddington said. The officer who will preside over the soldier's Article 32 hearing, the military's rough equivalent of a grand jury proceeding, will decide whether to try it as a capital case.

There has to be at least one aggravating factor -- such as the accused knowingly created a grave risk of substantial damage to U.S. national security -- in order for a death penalty proceeding.

Army Sgt. Hasan Akbar was sentenced to death for carrying out a grenade and rifle attack on his comrades in Kuwait during the opening days of the Iraq war, killing two officers.

Prosecutors sought the death penalty for Pvt. Steven Green, who raped a 14-year-old Iraqi girl and murdered her and her family, but a jury could not reach a unanimous decision, and Green received life in prison without parole.

Other than those two cases, Waddington said he could not think of another instance where a soldier was condemned to die for murders committed on overseas combat tours.

The soldier accused in Sunday's shooting spree has been transferred to Kuwait, where he is likely being detained in solitary confinement.

The military will consider several factors in determining a location for the trial. Among them will be key witnesses, forensic evidence and expert testimony.

Prosecutors, Waddington said, may push for the Article 32 hearing to be held in Afghanistan so that witnesses from the villages where the killings took place are able to come to court to testify. They are unlikely to do so if the hearing is held outside Afghanistan and lawyers on both sides will have to rely on depositions.

But a hearing and then a trial in Kabul could present security risks with angry Afghans clamoring for the accused's head.

"I do believe security is going to become a problem the longer he is in the country," Waddington said. "There's a chance someone is going to kill him. You'd be a national hero if you killed this guy."

Given the risks, the military could decide to hold the trial in the United States. If so, it would most likely be at Joint Base Lewis-McChord near Tacoma, Washington, where the soldier was stationed.

Waddington said the military will probably order a full sanity probe in this case. That entails comprehensive interviews with the soldier, his family, friends and colleagues by three mental health officials, including a forensic psychologist.

Waddington has defended soldiers charged with killing Iraqis and Afghans. Among them was Pvt. Jeremy Morlock, one of five Stryker Brigade soldiers also based at Lewis-McChord, charged with belonging to a rogue "kill squad" that targeted civilians. He pleaded guilty and was sentenced to 24 years in prison.

Morlock said the soldiers in his squad carried out the executions on the spur of the moment.

Waddington said he was struck by the brutality of killing children inside their homes but is somewhat surprised these sorts of crimes don't occur more often.

Some soldiers are on medications. Since 2001, many have had no lives other than to deploy over and over again. Others struggle to find tangible successes to their mission.

Sometimes, Waddington said, they despise the people they have to defend.

"Take the postal worker and multiply him by a million. That's a service member," he said of the stress.

Some people have suggested the soldier accused in the Kandahar village shootings suffered from post-traumatic stress disorder or PTSD.

But Paul Newhouse, a professor of psychiatry at Vanderbilt University and a former Army psychiatrist, said the violence against others is not usually considered a part of the cluster of symptoms associated with PTSD.

"So I think it's more likely that we're going to discover that there was some either psychotic illness or delusional condition or some evidence that this person was more seriously deranged or impaired than we would typically see in PTSD," Newhouse said.

Neuropsychologist Eric Zillmer, co-author of "Military Psychology: Clinical and Operational Applications," said more than 1 million people in the United States suffer a traumatic brain injury each year. Many experience problems, but execution-style killings are not among them.

"So while it's possible that 'brain damage' is a contributing factor, it is unlikely to explain the slayings," Zillmer wrote on CNN.com.

A convenient answer, he wrote, would be to explain the slayings as the act of a bad apple who temporarily lost his sanity.

"If that were the case, then no military leader or peer could have predicted the rampage," Zillmer wrote. "However, one can't help but wonder whether the recent spate of events, including the desecration of Taliban corpses by four Marines, the burning of the Quran by U.S. troops and now the slaying of Afghan civilians point to the toll that the Afghanistan war is taking. Has the psychological impact of the long war been underestimated?"

And there is another question circulating after Afghan President Hamid Karzai urged U.S. troops to withdraw from village outposts and international forces to hand over security control of the country by 2013 instead of the planned 2014. How will Sunday's shootings affect the U.S. role in the war?

"This may be the end of our mission in Afghanistan," Waddington said.

On the streets of Afghanistan, angry people thirsted for justice. But that could be a long time coming.

Waddington predicted that at the very least, it would take a year for a trial to begin, probably longer.

And given the current situation, time may preclude a trial from taking place in Kabul. The U.S. military might be long gone by then.

CNN's Ashley Hayes and Casey Wian contributed to this report.

@highlight

NEW: Attorney: The soldier was injured in Iraq and, "despite that, was sent back" into battle

@highlight

A U.S. soldier accused of killing 16 Afghan civilians has been moved to Kuwait

@highlight

He has not been charged yet, and it's not clear where he would be tried

@highlight

The Army will probably conduct a full probe of the suspect's mental condition