Austin, Texas (CNN) -- Pixar has nothing on nature when she's hungry.

For proof, head to Congress Bridge in Austin, Texas where hundreds of thousands of bats gather between March and October. At sunset they whoosh into the sky like someone spiked a pipeline of black dots. Then, the flapping plume streaks into the city to chow down on thousands of pounds of insects. It's a sight to behold.

People watch from the bridge itself or observe from behind the safety of a drink umbrella at one of the few restaurants with a view. Midsummer, when the mama bats start having baby bats, their population swells to a million and a half, making it the biggest urban bat colony in North America.

For maximum enjoyment, visitors just need to show up and stand still. To minimize fistfights, avoid mentioning aloud that the bats are Mexican and crossing the border to have babies.

Something else descends on Austin in March ... nerds, media types, tastemakers, people who use words like "tastemakers," boys and girls in groups of three and four who carry instruments and occasionally know how to play them. They are all here for the South by Southwest, a black hole of a conference that has absorbed every industry that involves liberal arts graduates with a creative streak.

At the center of the chaos stands The Driskill -- a grand dame of a hotel built in 1886, but recently updated and restored. It's a big, handsome place, certainly up to its job of sheltering dignitaries and celebrities who visit Texas' capital city.

The Romanesque building has a terrace that overlooks the street and a large rotunda that caps the activity of a bustling lobby bar and the comings and goings from two different restaurants. The Driskill has been the backdrop for all sorts of Texas history -- from the Texas Rangers plotting their ambush of Bonnie and Clyde to Lyndon Johnson taking in the returns of his presidential run, but its most famous visitors are ghosts.

Stories abound, but the most common is that of a little girl, allegedly the daughter of a senator, who died in the hotel chasing a ball. It's said that occasionally you can still hear peals of childish laughter and the thump, thump of the toy she lost hold of.

But stopping by the Driskill each evening for a nightcap, the only ghosts I saw were those of children past who've grown up to be tipsy and tarted up young adults raring to take on Austin's abundant nightlife.

NYC: Cheap thrills with an old flame

The stream of revelers in the Driskill's lobby is a byproduct of the hotel's address on Sixth Street, Austin's honky tonk strip and the basis of its claim to the title "Live Music Capital of the World." At its best Sixth is a people-watching paradise with a smorgasbord of music to choose from; at its worst it can feel like Bourbon Street at a keg party.

During March in Austin, there is live music and then some. Like a gangster buying turkeys for his neighborhood on Thanksgiving, at SXSW, big business throws concerts and gives away booze to the culture it co-opts and profits from. Austin is a natural place for artists and companies to play patty cake. It's home to four Fortune 500 companies, including Whole Foods -- one of the first companies to let profit motive wear a tie dye to work.

And it's home to a gold mine of musicians and artists, including one Willie Nelson, who despite playing outlaw country, flying his freak flag and professing a fondness for funny cigarettes has made a bundle in the mainstream. (The fact that he forgot to pay taxes on part of that bundle, only reinforces the point.)

The bohemian ethos that exists in Austin has always accommodated commercial interests. Even the oft- heard local phrase "Keep Austin Weird" is not an endorsement of the town's many hippies and hipsters, but instead a slogan of the Austin Independent Business Alliance to promote small businesses.

After three days and 21 bands, I found myself in line at a CVS buying earplugs and iodine tablets for my girlfriend back home in Los Angeles. (Note: You can't buy them in Austin and you don't need them anyway. Note to girlfriend: I tried.) A friend suggested we leave the chaos of the conference and go stand in front of trees for a while instead of stacks of amplifiers.

So we hit the Barton Creek Green Belt, a seven-mile stretch of land where you can get lost within city limits. On previous trips I'd cooled off in it's various swimming holes, but this time we just strolled along the trails, scrambled around the dry creek bed and admired the limestone cliffs.

This is the healthy side of Austin. The part that pushes it to the top of "livable" city lists. Lance Armstrong's Austin. And although it was a dry 80 degrees you could feel traces of the oppressive heat that will consume the city in a few months. Seattle has its rain to thank for keeping the city from being completely overrun by transplants; Austin has its summers.

When the din in our ears finally stopped and we'd sweated out the past few nights of excess, we decided to ease back into town via Lalas -- a local dive bar where it's Christmas every day. From the looks of the lights, decorations and secondhand smoke, time stopped here sometime in the '70s.

The bar is usually tended by Lala herself (it's rumored that the Christmas decorations are permanently on display because she lost her husband during the holidays and left the bar just as it was when he passed), but that day it was her nephew who brought us our drinks. How delightfully decadent to sit in a cool dark bar on a hot sunny day. We left just as the sun began to set.

If you go: Austin essentials

@highlight

Austin's tremendous temporary bat population puts on a great evening show

@highlight

South by Southwest festival mixes the city's bohemian and big business sensibilities

@highlight

Austin has a reputation both for live music and natural attractions