(CNN) -- "It's a miracle," she told me. "We can now have a baby that won't have Huntington's disease. I thought I'd never be able to have any kids -- because of the disease." Her father had died from this disorder, which results from a gene mutation. She feared that she might have the mutation, too. But she was too scared to undergo testing for it. She also worried that if she had it, she might pass it on to her children.

This disease causes severe neurological and psychiatric problems, and eventual death at around the same age as one's parent died of it -- usually in one's 40s or 50s. If a parent has the disease, each child has a 50% chance of inheriting it.

Woody Guthrie, the singer and songwriter, died of this illness. His children then had to debate whether they wanted to know if they, too, had the lethal mutation. His son, Arlo, for instance, decided not to find out. Many such offspring feel that to undergo this genetic test is to risk "getting a death sentence," i.e., while they may feel fine, they know they have a mutation that will kill them.

The woman with whom I spoke was afraid to learn if she had this gene. But she wanted to make sure that her children did not get it.

Luckily, a relatively new procedure -- pre-implantation genetic diagnosis, or PGD -- allows doctors to test embryos before they are implanted into a woman's womb, to help ensure that certain gene mutations are not passed on. Using In Vitro Fertilization, sperm fertilize eggs outside the womb, creating embryos. When the embryos are a few days old, one cell is removed and can be tested for hundreds of genes.

This woman struggled with what to do. She feared she would be playing God. But she decided to undergo the procedure. The doctor told her that embryos without the mutation were implanted inside her. He did not tell her whether he had identified any embryos with the mutation. Thus, she was able to have a child free of the gene mutation that would cause Huntington's disease, tremendously relieving her and her husband of worries. She still does not know if she has the bad gene herself.

But this procedure is raising myriad complex ethical and social issues. It can eliminate gene mutations for untreatable diseases that kill infants and adults. But it can also be used to select embryos based on other genetic factors.

Many parents decide that they want to choose, for instance, their future child's gender, and many doctors now use this technology to do so. At some point in the future, tests will no doubt be marketed for genes that, companies will claim, are associated with behavioral traits such as intelligence, sexual orientation, possibly even perfect musical pitch, or physical characteristics like height, blond hair and blue eyes. Many of these claims will be highly questionable.

Among diseases, Huntington's is rare in that the gene mutation predicts the disorder. But for most people, common diseases and traits result from combinations of both nature and nurture -- multiple genes, along with various environmental and other factors. So, a particular mutation may contribute in some small way toward a disease or trait, but it would not be the sole determinant. A gene mutation might double your chance of getting a particular disease; say your risk may rise from 5% to 10%, but you would still have a 90% chance of never getting the disease.

Profound dilemmas emerge concerning for which genes doctors should use PGD, and who should decide. Most Western European countries ban or heavily restrict use of this technology to serious diseases like Huntington's -- not gender. In contrast, the United States doesn't have laws governing when it can or cannot be used.

For example, the procedure has been used to avoid embryos with the gene that increases the risk of breast cancer, though the disease wouldn't affect the child for perhaps 40 or 50 years. Individuals with one of the breast cancer mutations can have their breasts and ovaries removed to prevent disease. Also, by 2065, treatments may exist. And what about gene mutations that have, say, a 20% or 30% chance of causing disease when the child is in midlife? Should parents discard an embryo based on that percentage?

This technology is expensive -- about $20,000 for each cycle of IVF -- and many insurance companies do not cover most of the cost. Hence, wealthy parents can afford to eliminate certain diseases from their offspring, while poorer and middle-class parents will not be able to do so.

Consequently, over time, certain disease will become relegated to certain social groups, but not others. The gap between the wealthiest 1% and everyone else is already expanding. Should we allow this method to widen it more in the genetic pool? Some people argue yes: Wealthy parents can already afford to send their children to private schools, private tutors, SAT prep classes, while other parents cannot do so. But eliminating diseases is in some ways more extreme.

Others see this technology as raising troubling issues of eugenics, which had horrific results under the Nazis, who sought to "purify" the gene pool in Germany, and eliminate people whom they felt were genetically inferior. The film "Gattaca" and Aldous Huxley's 1932 novel, "Brave New World," depict the dark problems that can ensue.

So far, we have allowed parents to choose when to use this procedure. Government regulations might be cumbersome. The American Society for Reproductive Medicine, the professional organization for physicians working in this area, has issued some guidelines, permitting broad use, but these are not really enforced.

Yet many patients, and even doctors, know little about this technology. More education of both physicians and the public is critical. We also need broad discussion and debate about what is at stake, and where to draw the line.

"How beauteous mankind is," Shakespeare's Miranda exclaims optimistically in "The Tempest." "Oh brave new world, that has such people in it!" Huxley used these words ironically. Between her hope and his pessimism may lie the reality -- depending on how we all now respond.

The opinions expressed in this commentary are solely those of Robert Klitzman.

@highlight

Robert Klitzman: Testing to screen embryos of gene mutations raises ethical issues

@highlight

Klitzman: The upside is it can eliminate mutations that cause untreatable diseases

@highlight

But this technology can be abused and some may use it for selective breeding, he says

@highlight

Klitzman: We need to know where to draw the line and not cross over into eugenics