If you're having trouble getting pregnant or have suffered a miscarriage, some common household products may be partly to blame, new research suggests.

This week, scientists at the annual conference of the American Society of Reproductive Medicine in Boston are presenting research linking chemical compounds in our environment to fertility issues. In several different studies, researchers met with healthy couples who were trying to have a baby and tested them for BPA and phthalates.

BPA stands for Bisphenol A, a chemical used to make certain plastics and resins that are used in containers. BPA is also used in the coating of metal products, such as food cans, bottle tops and water supply lines, according to the Food and Drug Administration. Some studies have even found BPA in cash register receipts.

Phthalates are a group of chemicals used to make plastics more flexible and harder to break. They are used in products such as detergents, beauty products and children's toys. People are also exposed to phthalates by eating and drinking from containers containing them, according to the Centers for Disease Control and Prevention.

Previous studies -- primarily in rodents -- have linked BPA exposure to many health problems, including reproductive disorders, but at this point the FDA says that it has "carefully assessed these studies and finds no convincing evidence to support that belief." Phthalates have been linked to health issues such as male sexual development and attention-deficit disorder in children. "It's not clear what effect, if any, phthalates have on health," the FDA says, noting that there is insufficient evidence of harmful effects to take regulatory action.

BPA may reduce sperm count

More evidence may be on the way.

One study presented at the conference looked at 501 couples who were trying to become pregnant. The couples in the study were interviewed and examined and provided urine samples to measure their BPA and phthalate levels. They also kept journals about intercourse, menstrual cycles and pregnancy tests.

Researchers found that the men -- but not women -- with high phthalate concentrations experienced a 20% decline in fertility and took longer to get their partners pregnant than men with lower concentrations.

Phthalates are known endocrine disruptors, meaning they interfere with our hormone systems, said American Society of Reproductive Medicine President Linda Giudice, who was not involved in the research.

If a couple is having trouble getting pregnant, they should try to minimize the male's exposure to phthalates, Giudice says.

"Phthalates are anti-androgens, and other studies have shown that environmental levels of phthalates in infertile men correlate with increased rates of sperm DNA damage, low sperm counts and abnormal sperm," she said.

In another smaller study presented at the conference, 114 women were asked to give blood samples four or five weeks into their pregnancies. The samples weren't tested for BPA until after the women gave birth to live babies or after they had a miscarriage if it occurred in the first trimester. Sixty-eight of the pregnancies ended in miscarriages.

Researchers concluded that women who had high levels of BPA in their blood were at "significantly increased risk of miscarriage compared to women with the lowest levels." They believe that more research on how this chemical affects pregnancy is urgently needed.

"We expected BPA exposure to be associated with an increased risk of aneuploidy (genetic defects in) miscarriages because of animal studies linking BPA exposure with chromosome abnormalities in eggs," study author Dr. Ruth Bunker Lathi said. "(But) we found BPA was higher in both chromosomally normal and abnormal miscarriages."

BPA may be linked to childhood obesity

Lathi suggests that the BPA "may be acting in other ways to cause miscarriages. We just don't know the mechanism at this time."

Researchers say they don't know why certain women in the study had higher BPA levels; they did not ask whether the women were doing specific things like leaving their plastic water bottles outside in the heat, something thought to increase BPA levels in the water dramatically.

It's not routine to do BPA testing in patients who are struggling to carry a child to term, said Dr. Dorothy Mitchell-Leef, a fertility expert at Reproductive Biology Associates in Atlanta who was not involved in the research. But, she says, studies like this further highlight the impact the environment can have on fertility and miscarriage. "It gives you one more thing to ask the patients about when you see unexplained miscarriages in patients."

Neither study showed an actual cause and effect. But Giudice says there are ways to minimize exposure to BPA if parents are worried.

She advises against leaving plastic water bottles in the car, microwaving plastic containers, eating canned foods and touching paper receipts that contain BPA. The FDA also warns against putting very hot or boiling liquid in plastic containers made with BPA if you plan to consume the water. That's because BPA levels rise in food when containers or products made with the chemical are heated and come in contact with the food, according to the agency. For that reason, the FDA also no longer allows BPA in plastic used to make baby bottles and toddler cups.

@highlight

Research on BPA, phthalates presented at reproductive medicine conference

@highlight

High BPA levels linked to miscarriages in women

@highlight

High phthalate levels linked to 20% decline of fertility in men