(CNN)For generations of Americans, the summer job has been a gateway from youth into the adult world of work.

But for millions of our young people -- particularly young men and women of color in our cities -- summer employment is primarily a story of opportunity denied.

According to 2013 data, young white men were five times more likely to have summer employment than their low-income African American peers. This summer employment gap has far-reaching consequences for our country and must be addressed.

There's a reason why many parents want their children to get summer jobs during college or even the last years of high school. Employment helps young people discover the satisfactions and responsibilities of work. The hard and soft skills they gain are important to enduring success down the road. In some cases, summer jobs help them discover career pathways. Even internships have become crucial resume-building tools.

According to one analysis, for every year a teenager works, her income during her 20s rises 14 to 16%.  Unfortunately, the United States has seen a precipitous decline in youth employment -- a 40% drop over just the last 12 years, according to one study. Another report found that in 2011 less than one-quarter of American teenagers held paid jobs over the course of the entire year.

These trends are hitting low-income communities the hardest. Teens from families that earn less than $20,000 a year were nearly 20% less likely to be employed than teens with a family income of $60,000 or more.

The lack of employment opportunity for lower-income young people and minorities is likely to have a profound effect on their adult years. In today's increasingly competitive and globalized economy, employers are demanding workers with specific skills and capabilities. However, our educational and training programs are simply not doing enough to equip job seekers with those skills.

Recent estimates suggest that up to 4 million jobs in the United States stand unfilled and employers will continue to struggle to fill many of these positions until we increase the number of workers with the right skills.  The youth unemployment crisis exacerbates this problem. There is no simple fix for this challenge. But we need to start by focusing on what works.

First, more must be done to strengthen the infrastructure of summer youth programs. These programs need to be connected to each other and to private sector resources to ensure that they are preparing young people for today's jobs market. A framework for assessing and adhering to quality standards is key.

Second, we need more private sector engagement. Companies of all sizes need to recognize that preparing the next generation of employees is both the right thing and smart thing to do. They can and should play a role in providing funding and hands-on support for public and non-profit training summer youth employment programs.

Finally, we should develop more skills-based summer learning opportunities. Training programs don't fulfill their potential if they are providing either generalized skills or skills that don't correlate to job demand. Rather, program managers need to make sure these programs are structured to reflect the specific skill needs of the growing economic sectors in that community so young people can see the path that leads to a rewarding, well-paying job.

The good news is that there are plenty of examples of successful programs across the country that can be emulated and scaled up. Last summer, Sacramento launched a coalition of hiring agencies to grow job opportunities for youth.  The coalition strengthened individual programs run by leading businesses and nonprofits.   Academic partners provided resume, interview and financial management training to further empower students. The program is now set to grow with new partners and a rapidly growing network of hiring companies.

Similarly, last year JPMorgan Chase worked with local governments and nonprofit partners to support programs in 14 cities across the country from Jersey City to Seattle to create jobs for 50,000 teens and learning opportunities for another 50,000 young people.

Strategic and well-resourced partnerships can turn the summer months into a period of growth and opportunity. We owe it to our young people and our entire country to make sure more summer youth employment programs are available that are integrated into our existing school year investments in education and training. It is time for government, business and nonprofits to turn summer from months where skills and learning atrophy to a time when our young people are put on the springboard to successful lives.

@highlight

The U.S. has seen a precipitous decline in youth employment -- a 40% drop over the last 12 years

@highlight

Kevin Johnson, Peter Scher: For young people of color, summer employment is a story of opportunity denied