When the Affordable Care Act, signed into law in 2010, is fully implemented, many of the disparities that have plagued the nation's health care system will significantly lessen.

Even so, ensuring that all Americans have adequate access to health care remains a major issue in the election campaign, and may prove to be far from a settled matter.  This is because both President Obama and Mitt Romney agree that insurance is unaffordable for many families and small businesses, but they differ on solutions. If Mitt Romney is elected, he has said he would repeal the act.

This would likely mean that adequate health care would remain unavailable to many, particularly minorities. Nearly half of Americans are insured through their jobs. This includes members of Congress, who enjoy great health plans with low premium payments. For everyone else without such coverage, whether to purchase health insurance is not a black and white decision. Rather, it's a black and white difference.

Broken down by race, the disparity is even more startling.  About half of whites are covered through an employer-sponsored health plan, in contrast to the rate for African-Americans (38%) and Hispanics (28%).

Why? Many minorities have lower-paying jobs that do not offer health insurance, and because of the high cost of self-insuring, they choose not to purchase coverage. This leaves one out of every three Hispanics and one out of every five African-Americans without insurance.

Politics: 2012 ballot initiatives -- Voter-run or special interest-hijacked?

Of course, the uninsured can access the emergency room for care, as Romney has argued. We know that people without insurance use emergency departments much more frequently, and for less urgent issues, than those with health insurance.

Yet the reality is that low-income communities and those with higher minority populations have more hospital closures in their area compared with higher-income communities. As a result, access to emergency rooms for many minorities can be problematic, because they have to commute longer distances to reach the hospital.

As emergency physicians at one of the largest public hospitals in the country, we see firsthand how the lack of insurance and then access to a regular health care provider affects our patients, from the middle-aged black man with a stroke from uncontrolled and undiagnosed high blood pressure to the young black woman with breast cancer who chose to use her money to feed her children rather than seek health care.

Uninsured patients with diabetes and high blood pressure generally have more complications from these chronic illnesses than insured patients, resulting in prolonged hospital stays. Without an overhaul of our health care system, we will continue to see disproportionately more preventable deaths and disabilities among the uninsured minority population.

Health: Report compares Obama, Romney health care plans

A national survey found that African-Americans and Hispanics were more likely than whites to lack a regular provider, regardless of insurance status, and that the disparity was even worse without insurance. A specific example of how this disparity plays out is with breast cancer. Black women are more likely to be diagnosed with larger, more aggressive tumors. Moreover, uninsured women are four times more likely to have widespread cancer compared with those with private insurance.

To be sure, if everyone had some sort of health insurance, many of these disparities would be reduced. A recent study in the New England Journal of Medicine reported that Medicaid expansions were associated with a reduction in mortality in older adults, nonwhites and residents of poorer counties. However, half of physicians in a national poll said they had stopped accepting or were limiting the number of Medicaid beneficiaries they will see because of low reimbursement payments.

Currently, 27% of blacks and Hispanics are Medicaid recipients, compared with approximately 11% of whites. A concerted and drastic improvement is needed in both access to care and adequate insurance coverage for all.

Fact-checking candidates on key issues

We must ensure that everyone in the United States has the same opportunity to receive the health care they need. As the Affordable Care Act is implemented, greater health care coverage and access to health care will be cost effective over the long term. If it is repealed, we will see increased rates of illnesses and added expenses, particularly in underserved populations. A healthy nation is a productive nation.

@highlight

Houry, Heron: If Romney wins, ends health reform, minorities especially affected

@highlight

They say people of color are a third of U.S. population, account for nearly half of uninsured

@highlight

They say more in low-paying jobs that don't offer insurance; tend to delay care due to cost

@highlight

Writers: If reform repealed, there will be more illness, expense. A healthy nation prospers