(CNN) -- It was 1993 when David Wood got his first look at the World Wide Web.

Working as a consultant for the city of Palo Alto, California, in the epicenter of the dotcom universe, some researchers pulled up a Web page created by the Vatican, showcasing some of its artwork.

"The Web pages back then had that gray and black text and embedded images. There was no fancy layout; it was very simplistic," he said.

"But it was powerful. I said, 'My God, this is it. This is what's going to define the next phase of my life.' It was a quite powerful, transformative concept."

It's hard for some of us to imagine now. But before broadband and YouTube, before instant streaming and overnight deliveries from Amazon, the early Web was a slow, simple and sparsely populated place.

As the Web turns 25 this week, folks who remember those early days have been reminiscing about life online in the early to mid-1990s. One word that comes up over and over again? "Slow."

A 1995 survey by the Pew Research Center found that just 14% of U.S. adults had Internet access, and among them, only 2% had access via a top-of-the-line 28.8k modem.

"That was screaming (fast)," said Lee Rainey, the director of Pew's Internet Project. "Now, that would make people riot in the streets, it's so slow."

Wood, now chief technology officer with linked-data company 3 Round Stones, would go on to a career on the Web and to author several books about it. But in the early to mid-'90s, it wasn't always an easy sell.

"When I would show people the Web on dial-up, you'd whip out a laptop and dial up with a 14.4k modem," he said. "The page might take a minute or two or three or five to come down. You could see the hasher lines coming across from left to right as the page would slowly load.

"People would look at this and say, 'Why is this interesting?' "

Invented by Tim Berners-Lee, the Web made accessing the Internet (no, they're not the same thing) easier for millions.

"The really early users were total geeks," Rainey said. "They had to know coding. They had to know sophisticated prompts to get information from different places. They had to tell their computers so they would know exactly where to go."

That started changing as folks started opening their mailboxes and finding discs from Web-portal services like AOL, Compuserve and Prodigy. But even that more-accessible Internet was a far cry from what we know today.

"It was mostly a text experience that was dominated, to some degree, by websites of major publishers who were just trying to use this new platform to essentially replicate what they already had," Rainey said. "CNN.com was basically what was on television. The New York Times was basically what was in the paper."

Take a look at early versions of some of today's most popular websites, and the contrast is stark. Now, the homepage for the White House features an elegant design that incorporates hundreds of links to videos, photo galleries, podcasts and other media. In 1996, the same URL took you to a stretched-out glob of black text on a plain white background, topped by the oh-so-catchy headline "Search White House Press Releases, Radio Addresses, Photos and Web Pages."

Go to Yahoo today, and you can scroll through a 95-image gallery of links to news stories, choose from a list of links to trending topics, check on your stocks or jump straight to Yahoo-owned services like Tumblr and Flickr.

Time warp to 1996, and there's not a photo to be seen. Yahoo's homepage featured little more than a pile of hyperlinks that left half the page blank.

Oh, and that movie you streamed last night? Or the song it took you 20 seconds to download from iTunes or Google Play? Few Web users were even dreaming about them.

"If you had a music player or other streaming device, it was very scratchy," Rainey said. "Words were interrupted. There were lots of hiccups in the server. But people lived with that because it was kind of exciting to have it happening in the first place."

Wood concurs. For Web pioneers, and those who followed soon behind, experimenting with its emerging capabilities was, in part, its own reward.

"It's like coffee culture versus tea culture," he said. "With coffee, you're gulping it down, trying to get your caffeine. Tea culture is more sipping and experiencing the taste.

"We had a sipping culture back then, and now we have a gulping culture. That's the big change. It was a small number of geeks who were tasting this concept for the first time. We were getting little bits. We were tasting them, and we were saying, 'How could this change the world?' "

@highlight

Early Web adopters recall the slower, simpler online life of the '90s

@highlight

Tim Berners-Lee created the World Wide Web in March 1989

@highlight

Slow connections limited what websites could deliver

@highlight

But in the '90s, just being able to access the Web was exciting for many