Choosing healthier snacks may soon be easier.

The Food and Drug Administration says that updating nutrition labels is a priority this year, although it's unclear when the labels will change.

The labels have remained pretty much the same for decades. It wasn't until the late 1960s that most food labels listed any nutrition information at all.

At the time, labels with calorie or sodium counts were mainly used on products the FDA considered to have "special dietary uses" -- for people with high blood pressure who were watching sodium, for instance.

Most people were making meals at home then, so there wasn't a huge demand for this information. That changed as more people started eating processed foods.

Noticing the trend, the White House pulled together a conference of nutritionists and food manufacturers in 1969. But it wasn't until 1972 that the FDA proposed regulations about what those nutrition labels should show.

Nutrition labeling was voluntary at first. It wasn't until 1990 that the FDA required nutrition labels for most prepared and packaged foods. Labels for raw produce and fish remains voluntary.

"It's time to update (labels) to make (them) easier for consumers to use," said Margo Wootan, director of nutrition policy for the Center for Science in the Public Interest.

The nonprofit organization advocates for better safety and nutrition information in the food industry.

"This is a chance to make (the labels) better and help make it easier for people to choose healthier options," Wootan said.

There's been a shift in shoppers' priorities as nutrition is better understood, and people now have a better idea of what they should watch on a label, the FDA said.

The focus has been on fat content; now nutritionists say calorie counting may be more important and should be broken down better for consumers.

The Center for Science in the Public Interest gave the FDA its wish list for these labels.  It wants a label that will emphasize calorie counts, perhaps in a bigger or bolder font size or in a number highlighted in some way.

The organization would also like added sugar to get its own line on labels. Studies show many Americans eat more sugar than they realize. Our bodies don't need sugar to function, according to the American Heart Association.

Right now, it's hard to know what's natural sugar and what's added from reading a label. Manufactures are allowed to combine the two.

The heart association recommends you limit added sugar to no more than half of the daily discretionary calories you're supposed to have. That means for American men, about 150 calories a day or nine teaspoons. For women it's a smaller amount -- no more than 100 calories per day from added sugar, or about six teaspoons of sugar.

The Center for Science in the Public Interest would also like to limit the amount of math you now have to do when counting calories. If you have ever looked at a label and realize you've eaten twice the serving size, you'll appreciate that request.

The organization also hopes to make the ingredient lists larger with better spacing.

More Americans are interested in what's on these food labels. The U.S. Department of Agriculture noticed a statistically significant jump in a study it released this month.

The study showed 42% of working-age adults between 29 and 68 looked at these labels most of the time when shopping, or even said they always did. Some 57% of Americans older than 68 did as well.

In a 2007 USDA study, 34% of working-age adults looked at the label, and 51% of Americans older than 68 did.

The increase is good news as the United States struggles with an obesity epidemic. More than a third of all Americans are obese, according to the Centers for Disease Control and Prevention.

Some studies have shown that people who read labels eat healthier. One 2005 study of African-American shoppers in North Carolina found that to be true. A 2012 study of college students in Minnesota saw similar results.

@highlight

The Food and Drug Administration is looking at how to update nutrition labels

@highlight

Experts want easier to read calorie counts and sugar amounts

@highlight

Studies show people who read nutrition labels eat healthier