(CNN) -- You've heard of hybrids, electric cars and vehicles that can run on vegetable oil. But of all the contenders in the quest to produce the ultimate fuel-efficient car, this could be the first one to let you say, "fill it up with air."

The compressed air car planned for the U.S. market would be a six-seater, a New York company says.

That's the idea behind the compressed air car, which backers say could achieve a fuel economy of 106 miles per gallon.

Plenty of skepticism exists, but with many Americans trying to escape sticker shock at the gas pump, the concept is generating buzz.

The technology has been the focus of MDI, a European company founded in 1991 by a French inventor and former race car engineer.

New York-based Zero Pollution Motors is the first firm to obtain a license from MDI to produce the cars in the United States, pledging to deliver the first models in 2010 at a price tag of less than $18,000.

The concept is similar to how a locomotive works, except compressed air -- not steam -- moves the engine's pistons, said Shiva Vencat, vice president of MDI and CEO of Zero Pollution Motors.

Gas still plays a role

The six-seater planned for the U.S. market would be able to reach speeds of more than 90 mph and have a range of more than 800 miles thanks to a dual energy engine, Vencat said.  Watch what a prototype looks like and why the cars may take off in cities »

The design calls for one or more tanks of compressed air under the car's floor, as well as a tank holding at least 8 gallons of fuel.

Whether the engine uses just air or both air and fuel would depend on how fast the car is going. It would run purely on compressed air at speeds less than 35 mph, Vencat said.

Since the car could only go a short distance when using just air, fuel is needed to get the full range, he explained.

"Above 35 mph, there is an external combustion system, which is basically a heater that uses a little bit of gasoline or biofuel or ethanol or vegetable oil that will heat the air," Vencat said.

"Heating the air increases its volume, and by increasing its volume, it increases [the car's] range. That's why with one gallon of gasoline or its equivalent we are able to make over 100 mpg."  See what the engine looks like »

Vencat said an on-board compressor would refill the air tank while the car is running, or owners could refill it by plugging it into a power outlet for four hours.

Is it for real?

Experts aren't sure Americans will be zipping around in air cars and getting 106 mpg, or more than twice the fuel economy of hybrid-electric vehicles such as the Toyota Prius.

It is possible to power a car with compressed air, but the mileage claim is "at the edge of possibility," said John Callister, director of the Harvey Kinzelberg Entrepreneurship in Engineering program at Cornell University's College of Engineering.

He noted that such dramatic fuel efficiency is associated with tiny experimental cars, not bigger mainstream ones.

"No one's really proven a six-seater passenger car [can get] any better than 75 miles to the gallon. So this would represent a big step forward," Callister said.

"They would have to prove that before they can throw rocks at the Prius."

Another expert expressed concern about the amount of energy it would take to generate the required air pressure: 4,500 pounds per square inch, or more than 120 times the pressure inside the tires of a typical four-door sedan.

"That is above what you normally find even in an industrial setting," said William Bulpitt, senior research engineer at the Georgia Institute of Technology's Strategic Energy Institute.

"That takes quite a compressor to do. ... It takes horsepower to compress the air up to that pressure."

If you count that energy, it's hard to believe the car would be that much more efficient than an electric vehicle, Callister said.

India shows interest

The compressed air car will get a chance to prove itself next year when it competes for the Automotive X Prize. The multimillion-dollar award will go to the team that "can win a stage race for clean, production-capable vehicles that exceed 100 mpg equivalent fuel economy," according to the X Prize Foundation.

The air-car concept has also drawn the interest of Tata Motors, India's largest automaker. The company announced an agreement with MDI last year to further develop and refine the technology.

However, the cars have yet to hit the streets in India or anywhere else.

"The project is under progress. We do not yet have any timeframe for launch," said Debasis Ray, the head of corporate communications for Tata Motors.

Only prototypes exist at this point, Vencat said.

Light design

The body of the car planned for the United States would be built with fiberglass and injected foam. The chassis, composed of aluminum rods, would be glued together, not welded.

The design allows the car to be as light as possible, Vencat said.

For anyone who has doubts about its safety, he insisted computer simulations show that the vehicle would pass crash tests and meet all U.S. safety standards.

"Do you think somebody would actually put millions of dollars into making a car that will not pass safety regulations? There's no point in doing that," Vencat said.

Callister pointed out that there haven't been any lightweight, 100-plus mpg cars to pass crash tests but said it could be done through a "very clever design" of a lightweight frame.

A good prototype could dispel many of the doubts about the compressed air car, he added.

"I don't think we should discount this advance if it happens," Callister said.

@highlight

The car would be powered by a combination of compressed air and fuel

@highlight

A New York company is pledging to build the first models in the U.S. in 2010

@highlight

The mileage claim is "at the edge of possibility," an engineering expert says

@highlight

India shows interest in the technology; car to compete for the Automotive X Prize