(CNN) -- As outrage flares and more questions are raised over the killing of Michael Brown in Ferguson, Missouri, President Barack Obama increasingly finds himself drawn to the center of the discussion.

Obama has spoken publicly twice about the August 9 shooting of the unarmed African-American teen by a white police officer in the St. Louis suburb, as well as the resulting clashes between protesters and law enforcement. He also released a written statement shortly after Brown was killed.

But he's so far been cautious about wading too deeply into the controversy that is the subject of a local criminal investigation and a separate civil rights probe led by the Justice Department.

Concerns about prosecutor in Brown case

He has spoken with elected and other leaders, and his public statements have been measured. No presidential visits to Missouri are planned for now although Attorney General Eric Holder is due in Ferguson on Wednesday.

"I have to be very careful about not prejudging these events before investigations are completed. Because, although these are, you know, issues of local jurisdiction -- you know, the DOJ works for me," Obama told reporters on Monday. "And then when they're conducting an investigation, I've got to make sure that I don't look like I'm putting my thumb on the scales one way or the other."

Should Obama be more forceful?

But some believe Obama should be more forceful, especially following community and political criticism of the initial police response to street protests as excessive, and with those demonstrations becoming more violent.

"This President knows better than most what happens in poor communities that have been antagonized historically by the hostile relationship between black people and the police department," Georgetown University professor Michael Eric Dyson said Sunday on CBS's "Face the Nation."

"It is not enough for him to come on national television and pretend there is a false moral equivalency between police people who are armed and black people who are vulnerable constantly to this. He needs to use his bully pulpit to step up and articulate this as a vision," Dyson said.

CNN political commentator and Morehouse College African-American studies professor Marc Lamont Hill wrote in an op-ed for CNN.com that Obama has "placed the highest priority" on people remaining calm.

"While this may seem reasonable on its face, particularly against the backdrop of rioting and looting, his words failed to acknowledge the legitimacy of black anger," Hill said.

The White House argues a big speech from Obama on race relations would be difficult right now.

"Pouring gasoline on a fire and lighting the match?" one senior White House official said.

Administration officials said in their discussions with mayors, civil rights leaders and the Congressional Black Caucus, that they've been told Obama is doing the right thing.

Obama talked to governor

In his statement on Monday, Obama noted that he has been in touch with Missouri Gov. Jay Nixon, and the state's two senators, Claire McCaskill and Roy Blunt.

The White House emphasized supportive statements it has received from both McCaskill, a Democrat, and more notably, Blunt, a Republican.

"I explained to the President that I've been pleased with my conversations with the attorney general and civil rights division regarding their helpful understanding that they aren't taking over this investigation, but are conducting a parallel review of the events that led to Michael Brown's death," Blunt said in a statement on Monday. "I continue to believe that this is the best possible way to arrive at a transparent explanation that would be largely acceptable to all of those who have been impacted in the community by this tragedy."

Will Obama visit Ferguson?

Obama also has skirted the question of whether he plans to travel to Ferguson. A senior White House official said such a visit is not in the cards now, but it has not been ruled out.

A visit by the President would tax law enforcement resources necessary for his protection instead of devoting those resources to calming the situation, the White House official said.

The Department of Justice's community policing program director, Ronald Davis, will be on the ground to advise law enforcement on how to deal with the protests peacefully, this official said.

The White House also views what is happening in Ferguson as partly a policing issue. Better policing practices in working with the community and organizing the response to the protests could calm things down, the official said.

Calls for Obama to visit Ferguson aren't likely to ebb soon. On Tuesday, rapper and business mogul Sean "Diddy" Combs released a video on Instagram calling for such a step.

"Obama, for real, get on a plane. It's serious," he said.

Magazine: The Aftermath in Ferguson

Complete coverage of the Brown shooting

@highlight

President Obama has spoken publicly twice about the August 9 shooting of teenager by police

@highlight

He says he has to be careful in how he responds, can't tip the scales one way or another

@highlight

No plans for Obama to visit Ferguson, but Attorney General Eric Holder will on Wednesday