(CNN) -- The "rich man's club" of Europe faces economic decay as it struggles to absorb the "poor people" of eastern and southern Europe, according to economic experts on the troubled region.

The Marketplace Europe debate, hosted by Richard Quest and featuring Lufthansa boss Christoph Franz, chief executive of Deutsche Post DHL Frank Appel and Financial Times International Affairs Editor Quentin Peel this weekend thrashed out the topic: Can a European single market be globally competitive?

The participants pointed to Europe's rapid growth as a reason it struggles to remain competitive, while the region attempts to pull itself out of the economic crisis.

Read more: Euro recession deepens: So what can the ECB do now?

According to Peel, the problem for Europe is its "dramatic expansion" to take in all the eastern European countries.

"Everybody wants to catch up to the same level and I think that we have blinded ourselves," he said during the CNN debate. "Everybody wanted the German standard of living and maybe productivity wasn't keeping up."

The expansion of Europe over the last 10 years has seen the Brussels-based political union embark on the biggest recruitment drive in its history. Since 2004, the Czech Republic, Cyprus, Estonia, Hungary, Latvia, Lithuania, Malta, Poland, Slovakia and Slovenia were all admitted into the EU, with Romania and Bulgaria joining in 2007.

Read more: Pirelli CEO: Europe must change austerity policies

Since then, two of those countries, Latvia and Cyprus, have needed financial aid from the EU and International Monetary Fund, while Slovenia is restructuring its ailing banking system to avoid requesting a bailout.

The World Economic Forum global competitiveness index shows that of the 27 nations in the European Union, 12 are more competitive in 2013 than 2012, while 12 are are less competitive with three unchanged.

Read more: Auto industry revs up recovery on Spain

But the problems have not prevented more countries lining up to enter the club.

Marco Simoni, political economist at the European Institute of the LSE, believes a "slow decay" of member state economies is the biggest risk to the EU and countries should not assume they are immune from financial collapse as soon as they sign up.

"Europeanization has not gone far enough," Simoni told CNN. "It's not that you're safe once you're in, you still have to do your homework," he added.

So who's up next?

Next month, Croatia, one of the countries to emerge from the wreckage of Yugoslavia in the 1990s, will become the 28 member of the EU after completing the accession process.

Read more: Croatia PM: We need Italy to recover

But with endemic corruption, and unemployment over 18% -- behind only Greece and Spain -- and stagnating economic growth, Croatia's entry has left the EU open to being criticized for not playing by its own rules.

Natasha Srdoc, Co-Founder and Chairman of the Adriatic Institute for Public Policy, in April wrote an open letter to German Chancellor Angela Merkel strongly recommending that Germany block Croatia's entry into the EU on the grounds that the country's economy is not competitive enough due to high corruption and taxes.

Srdoc believes as soon as Croatia, or any of the states in the Western Balkans seeking membership, enters the EU, young people will flock abroad in search of work.

"The enlargement programme is flawed," Srdoc told CNN. "Croatia will be the next Greece unless rule of law, an independent judiciary and property rights are imposed... all these measures are needed if we are to have a competitive economy."

Read more: Euro confidence map

Croatia is ranked 62nd in Transparency International's Corruption Perceptions Index for 2012, beating debt-stricken Italy and Greece as well as relative newcomers Romania and Bulgaria.

Europe's victims of financial crisis

Since the outbreak of the crisis in 2010, countries such as Spain, Portugal, Greece and Ireland have dominated the headlines as nation-states were bailed out, governments rescued banks and unemployment hit record highs.

Read more: Finnish PM: Eurozone nations must follow the rules

Now, after three years of slimming budgets and raising taxes, lawmakers and central bankers are in the midst of a policy rethink, pursuing pro-growth agendas to improve economic competitiveness rather than stern austerity measures.

Some economists have suggested that heavily indebted countries such as Greece should quit the euro altogether.

But during the debate Lufhansa boss Christoph Franz told CNN: "I don't believe that is a path we should even consider, because we are now all in this together. There is no choice."

An exit from the 17-nation single currency would hand back key monetary policy powers -- such as setting interest rates and currency devaluation -- to respective national central banks.

Deutsche Post DHL's Appel, who heads up the world's leading mail and logistics group, pointed to the Germany model as an example to all European countries on how to boost competitiveness.

Since Germany's reunification, following the collapse of the Soviet Union in 1990, the country has gone on to become the region's economic powerhouse.

Appel said time is the "silver bullet" to enhance a country's competitiveness. He told CNN: "It took 20 years to reform the East (Germany) and get it to a level which is almost equal to the West (Germany), it took a lot of money and it needed a vision that was possible."

@highlight

Of 27 EU nations, 12 are more competitive in 2013 than 2012, while 12 are are less competitive with three unchanged

@highlight

Next month, Croatia, one to emerge from Yugoslavia in the 1990s, will become the 28 member of the EU