Six numbers have the power to change your life.

Maybe your kid is sick and there are hospital bills to pay. Maybe you've lost your job and you're worried about making rent. Maybe you still have a job, but it sucks, and you'd really like to spend the next 50 years lying on a beach with a mai tai in hand.

Whatever your predicament, the current estimated Powerball jackpot of $600 million could fix it. Which makes us wonder -- when it comes to playing the lottery, are we all just damsels in distress?

"Because we're in a recession, people love to have a rescue fantasy," human behavior expert Dr. Wendy Walsh told CNN last year when the Mega Millions jackpot hit $656 million. "We have the Cinderella complex -- there's a fairy godmother who's going to come in and save us."

We've all heard the statistics. Your chances of winning the Powerball jackpot are about one in 175.2 million. You're more likely to die from a bee sting (one in 6.1 million), be struck by lightning (one in 3 million) or have conjoined twins (one in 200,000).

But people keep playing -- most likely because the thought of winning $550 million is much more fun than the thought of being attacked by a shark (one in 11.5 million).

"It doesn't faze them because they're in love with hope," Walsh said.

In 2010, U.S. lottery sales totaled $58 billion, according to the North American Association of State and Provincial Lotteries. More than half of us have played the lottery in the last year, although 20% of customers buy the majority of the tickets.

Winning brings major life change

Part of the allure is that everyone else is doing it, said Dr. Stephen Goldbart, author of "Affluence Intelligence" and co-director of the Money, Meaning & Choices Institute.

In a Psychology Today article titled "Lottery-itis!" Goldbart noted two main reasons why people buy tickets.

"Jumping on the bandwagon is an age-old motivator of psychological behavior," wrote Goldbart and his colleague, Joan DiFuria. "We want to be with the in-crowd, to be 'part of the movement,' not 'feel left out.' "

The second reason stems from a sense of disempowerment that comes with change -- whether it's a changing economy or a changing world.

"The map to finding the American Dream has been radically altered," they wrote. "(The lottery) lets you believe in magic: that you will be the one who spent a little and got a lot; that you will defy the extraordinary odds against winning."

NAACP fights to ban Texas lottery

Spend a little, get a lot -- the basis for every good investment. The low cost of a lottery ticket is one of the most seductive things about it.

The lottery industry is often criticized for being an unfair tax on the poor. On average, households that make less than $12,400 a year spend 5% of their income on lotteries, according to Wired.

In 2008, researchers at Carnegie Mellon University attempted to explain why the poor are more likely to buy lottery tickets.

The study, published in the Journal of Behavioral Decision Making, theorized that people focus on the cost-to-benefit ratio of a single ticket rather than add up the long-term cost of playing over a year, or a lifetime.

Some study participants were given $1 at a time and asked if they wanted to spend each dollar on a lottery ticket, author George Loewenstein said. Others were given $5 and asked how many tickets they wanted to buy with the money. Members of a third group were told they could either spend $5 on lottery tickets or buy none at all.

Ted Talks: How to buy happiness

People in the second group bought half as many as those given $1 at a time. In the all-or-nothing scenario, 87% of the study participants purchased zero tickets. The researchers' findings were consistent with something known as the "peanuts effect."

"There are money amounts that are small enough that people almost ignore them," Loewenstein said Wednesday.

"It almost doesn't feel real. The lottery and penny slots are kind of the sweet spot of risk taking. They're really cheap, really inexpensive to play, but there's a big possible upside."

Still, to say that playing the lottery is a bad idea doesn't sit well with the professor of economics and psychology.

"It's ridiculous to say that 51% of the population is just irrational or self-destructive," he said. "It serves a psychological function for people. ... Our pleasure of living is not only based on our current situation, but what could be, what we can imagine our situation could become."

Irrational or not, millions will sit around their TV and computer screens Wednesday night, praying that the six numbers they're clutching will appear.

They're optimistic that the fairy-tale ending they've been waiting for will come, even if it takes a little magic.

Does winning the lottery guarantee happiness?

@highlight

Powerball drawing set for Saturday night; jackpot estimated at $600 million

@highlight

Chances of winning are one in 175.2 million, according to Powerball

@highlight

Part of the allure is that everyone else is buying tickets, experts say