(CNN) -- Far beneath our feet, amazing caverns yawn and twist.

The heart of anyone who stumbles on one must race with the thrill of discovery as well as a terror of encountering creatures in the dark.

Formed by geological processes over thousands of years, caves in the United States were often used by Native Americans well before Europeans arrived.

Though mapped, excavated and fitted with lights and guard rails, "show caves" -- those open to the public for tours -- are still fascinating to explore, especially when the sun burns hot above.

Underground streams, spectacular rock formations and cool, consistent temperatures of about 44 F to 56 F (about 7 F to 13 C) lure visitors underground.

Here are eight spectacular U.S. caves:

Carlsbad Caverns
Carlsbad, New Mexico

The most famous of America's underground destinations is the 46,000-acre Carlsbad Caverns National Park in New Mexico.

Visitors can take a self-guided tour of the main rooms, or a ranger-led foray into creepily named niches such as the Hall of the White Giant, the Rookery and Spider Cave.

Speaking of creepy, swarms of bats make a great show for visitors during summertime, leaving the cave each evening and returning in the early hours; call the park (575-785-3012) for exact times to watch their flight.

Entrance fee is $10 for adults, free for children 15 and under. Guided tours are extra and vary in difficulty, length and age requirements. For guided tour reservations, call 877-444-6777 or visit recreation.gov.

Glenwood Caverns
Glenwood Springs, Colorado

In the 1890s, the Fairy Caves in Glenwood Springs became some of the first caves in the world lit with electric lights.

Following an 82-year closure, they reopened in 1999, and today visitors ride gondolas up a 4,300-foot tramway to the entrance. The original Fairy Caves, which contain nooks such as the Exclamation Point lookout and Eternal Towers underground canyon, were damaged by exposure early on but are undergoing gradual restoration.

The fully preserved Glenwood Caverns section can be seen on foot or via a more challenging crawling tour.

Glenwood Caverns Adventure Park also offers thrill rides such as roller coasters and the Giant Canyon Swing. Entrance and cave tour are $25 for adults, $20 for children; Wild Cave Tour $60. 800-530-1635; www.glenwoodcaverns.com

Luray Caverns
Luray, Virginia

At Luray Caverns in the Shenandoah Valley you'll find resplendent limestone formations, cascading like endless dollops of rich ice cream.

They're also reminiscent of giant church organs, and in the 1950s mathematician Leland Sprinkle rigged up the Great Stalacpipe Organ, a contraption with mallets that strike stalactites to produce an otherworldly sound. It's played for every tour by an automated system.

Admission -- including tour and entrance to Luray Valley Museum -- is $29 adults, $17 children 6-12 and free for children 5 and under. Tickets to a Garden Maze and Rope Adventure Park on site can be bought separately. 540-743-6551; www.luraycaverns.com

Howe Caverns
Howes Cave, New York

In a pasture 40 miles west of Albany in 1842, Lester Howe noticed his cows gathered on a spot where cool breezes could be felt. His investigations led him into dark recesses extending 15 stories below ground, including a subterranean lake extending for a quarter mile.

Contemporary visitors to Howe Caverns can take a 90-minute walking tour with boat ride, a two-hour lantern tour that recreates the lighting of Howe's early descents, or a two-hour spelunking tour.

The traditional tour is $25 adults, $13-$21 for children 5-15 and free for children under 5. Reservations are required on lantern and spelunking tours, which are $35 and $108, respectively, and have age and fitness requirements. Outside attractions such as a rock wall, air jumper and ropes course are ticketed separately. 518-296-8900; www.howecaverns.com

Niagara Cave
Harmony, Minnesota

Like Niagara Falls, Niagara Cave has made a name for itself as a home for romance and matrimony: Its underground wedding chapel has been the site of more than 400 nuptials.

Located in Minnesota's Amish country southeast of the Twin Cities, the cave also boasts a 60-foot waterfall.

Well-preserved marine fossils dating back hundreds of millions of years are another highlight of the hourlong tour, which costs $14 for adults, $8 for children 4-12, and is free for children 3 and under. 800-837-6606; www.niagracave.com

Oregon Caves
Cave Junction, Oregon

Nicknamed "the Marble Halls of Oregon," the Oregon Caves National Monument is one of the few marble caverns to be found.

It features rooms such as Paradise Lost, the Ghost Room and Banana Grove; an underground stream called the River Styx; and hunger-inducing formations named for popcorn, bacon and soda straws.

Discovered by a 19th-century bear hunter, the cave contains the 50,000-year-old remnants of a grizzly, among other fossils.

Tours are $8.50 for adults, $6 for 16 and under. Children must be 42 inches or taller to take part in the 90-minute guided cave tour, which covers 500 stairs and climbs 230 feet. Spelunking tours are available by reservation for $30 per person. 541-592-2100; www.nps.gov/orca

Marengo Cave
Marengo, Indiana

Accounts of Marengo Cave's discovery differ in their details, but the story of a young brother and sister who ventured in with candles in 1883 is enchanting enough to be represented on the attraction's logo.

Choose from a 40- or 60-minute guided walking tour; the latter takes in the Penny Ceiling, an upside-down wishing well where coins tossed upward stick to thick silt.

Tours are $14.50-$16.50 for adults, $8-$9 for children 12 and under. Also: cave exploring tours for $29-$99 per person and canoe trips on the nearby Blue River. 888-702-2837; www.marengocave.com

Penn's Cave
Centre Hall, Pennsylvania

Don't feel like trekking? Consider Penn's Cave, where you cruise along an underground stream, watching trout swim below and formations drift by.

One stalagmite is dubbed "the Statue of Liberty," but these caves were known well before that landmark was built. A fanciful legend describes an 18th-century French trapper who eloped with the Indian maiden Nita-Nee against Indian custom and was left to perish in the cave's far reaches.

Tours cost $17.50 for adults, $9.25 for children 2-12, children under 2 free. Combination tickets also cover a bus tour of the adjacent wildlife park. 814-364-8778; www.pennscave.com

.

@highlight

Formations at Virginia's Luray Caverns are reminiscent of giant church organs

@highlight

Swarms of bats are part of the show during summer at New Mexico's Carlsbad Caverns

@highlight

Minnesota's Niagara Cave has a 60-foot waterfall