(CNN) -- After downloading the latest iPhone, iPod touch and iPad operating system, iOS 6, the fun part is excitedly poking around and hunting for what's new. Find subtle design changes, like the phone's key pad, or set up new features, like Facebook integration. You might even use Siri again for the first time in a while to test its improved sports and restaurant knowledge.

If you have an iPhone 3GS, 4 or 4S, a fourth generation iPod touch, or an iPad 2 or the new iPad, you can upgrade to iOS 6. Go to your settings screen, tap General and then Software Update. Keep in mind that some features are limited to the most recent models.

Here are the biggest changes to look for in the new iOS, good and bad and inbetween.

Maps

Apple gave Google's maps data the old heave-ho and redesigned the maps app from the ground up, helped in part by the company's recent acquisitions of mapping companies such as C3. The resulting app is undeniably attractive and well-designed. It's also an unfortunate downgrade from the previous version and the biggest disappointment of the new operating system.

The app is missing some of the most useful features from the former iOS Maps app: Google's transit directions and street view images. Some countries have also lost traffic information.

In many locations, it also appears to be missing accurate and up-to-date information. iOS 6 users have discovered numerous incorrect maps, showing farmland where there should be cities, incorrectly categorized businesses, misplaced landmarks and street addresses, and generally a lower-level of detail than is found on Google's maps.

Massive demand awaits iPhone 5 sale

It's not all take and no give. Apple has added one very much needed feature: turn-by-turn directions. Previously, iPhone users had to download apps like Waze to effectively use their phones for directions while on the road (hitting "Next" on the old directions each time you turned a corner was dangerous and tricky). Turn-by-turn is not supported on the iPhone 4 and earlier, the first iPad or any iPad without cellular, or the iPod touch.

A not-useful-but-still-super-cool new feature is Flyover, which is available for a select number of areas and cities. This 3D aerial view is a kick to tap and swipe around, circling skyscrapers and cruising down streets like a bird. But unless you actually are a bird, the feature won't be of much practical use for navigation. Flyover is only available on the iPhone 4S and later, iPad 2 and later, and the iPod touch.

(If you're outside the U.S., check out this breakdown of what countries are gaining and losing maps features from The Understatement.)

Teasingly, there is a public transit icon when you try to search for directions, but it quickly whisks you away to a list of transit routing apps you can download in the app store, most only for one transit system or another. Google's transit directions pulled in data from multiple services -- you could take a city bus to an unrelated train system traveling across state lines. Downloading all the transit apps still wouldn't be as useful as the Google version.

Luckily, you can still access Google Maps from Safari to get the transit feature. Google has not yet announced an official Google Maps iOS app, but many suspect it will, just as it did for YouTube after Apple removed the video-service's baked-in app.

How to wait in an iPhone 5 line

Siri

After the voice-activated Siri feature was announced last year for the iPhone 4S, it seemed everyone with the latest iPhone was walking around asking their device questions and making requests. A survey by Parks Associates released in March found while 87% of iPhone 4S owners were using the tool at least once a month, most were using Siri mostly for a few basic tasks, primarily making phone calls and sending texts.

A new batch of features may broaden their horizons. The most useful addition is Facebook and Twitter integration. You can dictate 140 characters to share on Twitter or an update for your Facebook timeline. Apple has teamed up with some outside companies to improve results. Rotten Tomatoes improves movie reviews, Open Table beefs up restaurant results and makes it easy to make a reservation using Siri. Sports nuts will dig the Yahoo-fueled scores.

Other new features include being able to launch apps and get local-focused search results.

Are you lining up for the iPhone 5?

Photos

The camera is one of the iPhone and iPod touch's killer features (less so on the iPad, if only because holding up a giant rectangle to take a snapshot is cumbersome). New camera features are always one of the more fun updates, and this round has two notable new tools. (Last iOS update we gained the ability to edit photos directly in the Camera Roll and an overlay grid.)

First up is the ability to shoot panoramic photos, which are instantly stitched together and saved to your camera roll. There are plenty of apps that already do this exact thing, but having it built into the camera app makes the process easier. In limited testing, it also appears to be incredibly fast when processing the final image, and does a nice job of seamlessly sticking the whole affair together. Panoramic photos go up to 280-degrees and the final image can be as large as 28-megapixels. The feature only works on the iPhone 4S, iPhone 5 and fifth-generation iPod touch.

Shared photo streams are the other major new feature. It is almost awesome, but only for friends also in the Apple eco-system. You can now share specific photos -- say only photos of your cat or baby or cat and baby hanging out -- with one or a group of friends. Your friends can then like and comment on the photos, which are viewable in the Photos app (on phones running iOS 6), in iPhoto on a Mac or on an Apple TV. Private Photo Streams can only be viewed by people with an iCloud account. It is possible to publish a photo stream as a public site for anyone to see, but it does now allow commenting or likes.

Reviews are in for iPhone 5

Mail

The Mail app has always been simple but effective. With iOS 6, Apple is starting to add a few extra bells and whistles, and one key feature that was mysteriously missing.

Finally, you can add a photo or video directly from within an email. Previously, you had to start your email from the Photos app or paste an image in. It was always an odd omission.

There is a new VIP option for those important emails you can't dare miss. Click on any sender's name and select Add To VIP, and in the future all emails from that address will appear in the special VIP folder. The VIP folder will show up in the Mail app no matter what, even if you don't plan on using it. It's also possible to flag important email.

Passbook

This new iOS 6 feature has potential, but it will require some time to see how it takes off. Passbook is like a little purse for your random tickets, coupons, loyalty cards and passes from other apps. Getting on a United Airlines plane? First you'll have to install the United Airlines app, then you can bring up your boarding pass in Passbook and the attendant can scan your screen.

In helpful twist, Passbook reminds you of dates and times, and can offer other push notifications such as the balance on a Starbucks account. Passbook is not available on the iPad.

There are other goodies in iOS 6, like the Do Not Disturb feature, new sharing options, a "Remind me Later" message for ignored calls, new Safari offline reading tool and the ability to set a song as your alarm sound.

Timing is everything for iPhone 5 accessory makers

@highlight

New operating system update for the iPhone, iPad and iPod touch has gained and lost features

@highlight

Apple's new Maps app drops Google data, including public transit directions, adds turn-by-turn

@highlight

Voice assistant Siri adds movie, sports and restaurant data