(CNN) -- Not guilty. That's the verdict jurors reached this weekend in the trial of George Zimmerman, the Florida man who shot and killed 17-year-old Trayvon Martin.

The decision might have capped the criminal case, but for Zimmerman and others, it also marked new chapters in their lives.

Protests erupted in a number of U.S. cities, and reactions to the verdict poured in from all sides Sunday, including from the nation's highest office.

The response was outsized because the case has come to represent something greater than the sum of its parts.

It's become a forum for debate about gun laws and race in America.

Donna Brazile: Doing what's right not just about law

"The whole world was looking at this case for a reason. ... We'd be intellectually dishonest if we didn't acknowledge the racial undertones," said Martin family attorney Benjamin Crump.

"So we have to have very responsible conversations about how we get better as a country, and move forward from this tragedy, and learn from it."

Here's a look at how the case got started, the trial and what could happen next:

How did we get here?

On the night of February 26, 2012, Martin was walking back to the house of his father's fiancee after going to a Sanford, Florida, convenience store.

Zimmerman, a neighborhood watch volunteer, spotted the teenager and called police.

A 911 dispatcher told Zimmerman that officers were on the way and not to follow Martin. Zimmerman got out of his car, later telling police he'd wanted to get a definitive address to relay to authorities.

Sometime after that, Zimmerman and Martin got into a physical altercation.

Fast facts and timeline of the case

Attorneys aired competing theories during the trial about that fight.

Who was the aggressor? Did Martin see or reach for Zimmerman's gun? The exact sequence of events was not clear.

Initially, no charged were pursued against Zimmerman, who identifies as Hispanic. Martin was African-American.

Demonstrators demanding Zimmerman's arrest rallied around the country.

Even President Barack Obama weighed in on the controversy, saying about a month after Martin was killed that the incident required national "soul-searching."

Zimmerman was charged with second-degree murder on April 11, 2012.

Zimmerman could still be held responsible for Martin's death

The verdict

His case was decided by a six-person, all-female jury.

Five of the women were white; one was a minority. They deliberated for 16 1/2 hours before delivering their decision late Saturday night.

The jury had three choices: to find Zimmerman guilty of second-degree murder; to find him guilty of a lesser charge of manslaughter; or to find him not guilty.

They opted for the latter.

Five things that led to Zimmerman's acquittal

None of the jurors wanted to talk to the media, and they have indicated they won't speak in the future.

"Jurors were given packets of letters from the media containing interview requests. They expressed no interest at this time," a court spokeswoman tweeted after the verdict.

Reaction across the country

Just steps away from the courthouse where the jury decided Zimmerman's fate, protesters vowed their fight wasn't over.

Rallies were held in Los Angeles, San Francisco, Chicago, New York and other cities.

Protesters waved signs in Dallas that said, "Justice system is a joke," CNN affiliate WFAA reported.

Family members on both sides also spoke out.

Zimmerman's brother, Robert Zimmerman Jr., told CNN that the "facts spoke for themselves."

"I think we should really take a step back, respect that verdict, respect those six women -- an all-women jury, who had to make a really tough call and had to look at this outside all the emotions that were stirred up, and all of the racial innuendo that was stirred up, and just kind of look at the facts," he said.

Trayvon Martin's father said his heart was broken but his faith was not.

"God blessed Me & Sybrina with Tray and even in his death I know my baby proud of the FIGHT we along with all of you put up for him GOD BLESS," Tracy Martin wrote in a tweet.

"Even though I am broken hearted my faith is unshattered I WILL ALWAYS LOVE MY BABY TRAY."

Likewise, Obama weighed in on the case, urging "calm reflection." At the same time, he stressed that "we are a nation of laws, and a jury has spoken."

He called Martin's death a tragedy for America.

"I know this case has elicited strong passions. And in the wake of the verdict, I know those passions may be running even higher," Obama said.

"I now ask every American to respect the call for calm reflection from two parents who lost their young son. And as we do, we should ask ourselves if we're doing all we can to widen the circle of compassion and understanding in our own communities.

"We should ask ourselves if we're doing all we can to stem the tide of gun violence that claims too many lives across this country on a daily basis," the president said.

Opinion: Case echoes issues of race, guns

What's next in this saga?

Zimmerman's next steps are a question mark.

Robert Zimmerman Jr. said his brother "is going to be looking around his shoulder for the rest of his life."

"He has to be very cautious and protective of his safety because there is still a fringe element who have said, at least in tweets and everything else, that they want revenge -- that they will not listen to a verdict of not guilty," defense attorney Mark O'Mara said.

And even though the Florida jury found Zimmerman not guilty, a court could still hold him accountable for Martin's death.

That could happen in two ways: A civil lawsuit or a civil rights suit.

A civil suit allows a party to seek monetary damages against another for causing physical or emotional harm, regardless of the outcome of a criminal trial.

Trayvon's dad: My heart is broken, my faith is not

A civil rights suit involves criminal charges for violating someone's civil rights, which are protected under federal law.

So far, members of Martin's family have only said they want the public to respect the Florida court's verdict. But the NAACP is pushing the U.S. Department of Justice to file a civil rights suit.

The rights group accuses Zimmerman of racial profiling that led to Martin's death -- an allegation that Zimmerman, his family and his supporters have denied.

The Justice Department did not respond directly to the NAACP demand. It has an ongoing separate federal investigation.

Analysis: The race factor in Zimmerman's trial

CNN's Greg Botelho, Holly Yan, Catherine Shoichet, Josh Levs and Ben Brumfield contributed to this report.

@highlight

George Zimmerman was on trial for the shooting death of Trayvon Martin

@highlight

Over the weekend, a six-person jury found him not guilty

@highlight

Protesters upset with the verdict rally in Chicago, New York and other cities

@highlight

President Barack Obama calls for "calm reflection" after the emotions-rousing verdict