(CNN) -- Smartphones inch closer to becoming remote controls for your life at next week's 2013 Consumer Electronics Show in Las Vegas. The annual event is the largest gadget conference in the world, where major technology companies and scrappy startups can show off their latest innovations.

If the show sets the tone for the year's technology, 2013 will be about watching TV on your 5-inch smartphone while your self-driving car ferries you to work. Companies will continue to try to connect everything to the Internet -- lights, power outlets, cars, cameras, kitchen appliances -- and allow you to control them from a mobile device.

There have been some big changes at this year's conference. Longtime headliner Microsoft has dropped out of CES, and mobile devices are increasingly saving their big announcements for the Mobile World Congress event in February. But hopefully the void is filled by exciting discoveries and gadgets we can't predict.

Television: It's about the content

There will be wide, thin, innovative TVs at CES. They will have glorious high-resolution OLED screens and cost way too much money for the average consumer, when and if they become available. Samsung is teasing a TV that is a possibly a new shape or translucent, and Westinghouse has a 110-inch LED TV with 4K resolution.

But the big television story this year will be the industry's continuing quest to break out of these beautiful boxes and move onto tablets and smartphones.

How people consume content has changed drastically in the past few years. They are cutting cords with the cable companies and signing up for on-demand services such as Hulu and Netflix, or buying shows and movies through Amazon or Apple. Viewers want to watch TV on their smartphones and tablets. They are multitasking, watching the "The Walking Dead" while commenting on Twitter.

In response, television companies will attempt to connect TVs to the Internet and share content between mobile devices, set-top boxes and televisions.

Home automation and the art of connecting everything

There is very little in your home that won't be connected to the Internet if electronics manufacturers have their say. Cheap sensors are making it easy to turn devices you've used without much thought into "smart" devices that do a bit of the thinking for you. Connected devices for the home and your health will be plentiful at CES.

Thanks to impeccable design, the Nest automated thermostat was one of the first commercial hits in this area, though others had tried integrating automation into existing home gadgets before. This year, smartphones will be on a bit of a power trip, getting apps to control home security, unlock doors, conserve energy and tinker with lighting.

Cars get smarter and go online

Auto companies will have a larger presence at CES this year, with Ford, Toyota, Hyundai, Audi and others showing off technology to make cars smarter. There will be self-driving and assisted-driving cars, which use a combination of mounted cameras, sensors and GPS to can take the wheel completely or just help a driver into a tight parking spot.

Vehicles are connecting to the Internet to improve navigation, better monitor a car's performance and alert the driver to maintenance needs. They are also taking a cue from (and synching with) smartphones. Cars will continue to integrate apps, voice control and entertainment into the dash, some even running on the Android operating system.

The hot smartphone size is 5 inches

Mobile device unveilings probably will be at a minimum this year, since the major companies are saving their big announcements for the Mobile World Congress conference in Barcelona next month. There will be a few smartphones making their debut next week, though, and for the most part, they will have nearly identical specs: Android, 5-inch 1080p display, quad-core processor, 13-megapixel camera. A few entries could mix it up, including a rumored 6.1-inch Ascend Mate device from Huawei and the company's first Windows Phone 8 handset, the Ascend W2. Smartphone accessories will flood the floor, with the usual glut of headphones, cases and stands.

Touchscreen computers and cheap tablets

Last year's hot computer was the super-thin ultrabook laptop, but that category has cooled down significantly. This year, the spotlight will be on tablet/laptop hybrids running Windows 8. The new Windows operating system is built for touchscreen computers, and manufacturers seem to be having some fun with the form factor. (Check out the Asus Taichi and Lenovo Yoga.)

Cheap, sub-$100 7-inch Android tablets will still abound, but like smartphones, there won't be much in the way of innovation as companies hold back until February.

Room for smaller, innovative companies

The big players lying low presents a great opportunity for the smaller exhibitors to get noticed and make connections. This year, innovative technology will come from unexpected places as smaller companies such as Pebble, a smart-watch company that got started as a Kickstarter campaign, debut products. Now that it's easier for a small operation to raise money and manufacture a physical product on a budget, the gadget market is ripe for a shakeup.

Some big-name startups will also have a presence. Leap Motion will be on the floor, and its motion-sensing technology will appear in Asus notebooks this year. Razer will return this year after making a splash with its Project Fiona game tablet in 2012.

@highlight

The annual Consumer Electronics Show kicks off Monday

@highlight

Televisions will be huge, and companies will experiment with new ways to deliver content

@highlight

Mobile devices will be generic, with a few 5-inch smartphones and cheap Android tablets

@highlight

With large companies lying low at CES, smaller players have a chance to stand out