Washington (CNN) -- New documents obtained by the American Civil Liberties Union show "unjustified homicide" of detainees and concerns about the condition of confinement in U.S.-run prisons in Iraq, Afghanistan and Guantanamo Bay, according to the ACLU.

Thousands of documents detailing the deaths of 190 U.S. detainees were released by the ACLU on Friday. The U.S. military gave the ACLU the documents earlier in the week as a result of a Freedom of Information Act (FOIA) lawsuit filed by the rights group.

Among the documents are autopsy reports and military investigations, including 25 to 30 cases the ACLU says it believes are "unjustified homicide." Some of the homicides in the documents are widely known and have been reported in the media, such as the case of four Iraqi detainees executed by a group of U.S. soldiers and then pushed into a Baghdad canal in 2007.

Others are thought by the ACLU to be new. In one such case, a detainee was killed by an unnamed sergeant who walked into a room where the detainee was lying wounded "and assaulted him ... then shot him twice thus killing him," one of the investigating documents says. The sergeant than instructed the other soldiers present to lie about the incident. Later, the document says an unnamed corporal then shot the deceased detainee in the head after finding his corpse.

In another example, documents note a soldier "committed the offense of murder when he shot and killed an unarmed Afghan male." But, according to the ACLU, the individual was found not guilty of murder by general court-martial.

"So far, the documents released by the government raise more questions than they answer, but they do confirm one troubling fact: that no senior officials have been held to account for the widespread abuse of detainees. Without real accountability for these abuses, we risk inviting more abuse in the future," the ACLU said in a statement.

The Defense Department disputes the allegations, saying it takes detainee treatment seriously.

"DoD policy requires the immediate reporting of detainee deaths to appropriate DoD criminal investigative agencies regardless of the circumstances at the time of death," said Pentagon spokeswoman, Lt. Col. Tanya Bradsher. "Indeed, the fact that so many autopsies and investigative reports exist indicates the seriousness with which the Department takes its responsibilities regarding detainee treatment and accountability."

Of the investigations in the documents, 43 had U.S. soldiers or personnel as potential suspects, according to Lt. Col. David H. Patterson, an Army spokesman. Probable cause for murder was found in 13 of those investigations, resulting in 19 separate convictions, Patterson said, many of which carried significant sentences, with some soldiers receiving 20 years or more.

"It's important to remember that the majority of these detainee deaths were due to reasons not directly involving U.S. personnel. For example, a number were the result of detainee-on-detainee violence," Patterson said.

"Although there have been cases of individuals involved in misconduct, there is no evidence of systematic abuse by the United States military," said Bradsher. "The (Defense) Department has detained more than 100,000 individuals in Iraq and Afghanistan, many with pre-existing medical conditions or battlefield wounds. Detainees in DoD custody have died from a number of causes including enemy attacks, detainee-on-detainee violence, battlefield injuries, and natural causes."

One concern noted by the ACLU is the amount of deaths that involved cardiac problems: over 25%. The group says it is looking into this finding.

"This could potentially raise serious questions about the conditions of confinement or interrogation of the detainees," the ACLU said.

The ACLU obtained the 2,624 pages of documents through a Freedom of Information Act request filed with the government in 2009. The package included about 124 autopsy and 133 investigation reports.

@highlight

Documents show "unjustified homicide" of detainees, ACLU says

@highlight

The documents were released to the rights group by the U.S. military

@highlight

The Defense Department says it takes detainee treatment seriously