Fuzhou, China (CNN) -- The framed photos that adorn Crystal Wang's expansive office are a who's who of China's leadership. In one President Hu Jintao is shaking her hand, while Premier Wen Jiabao smiles next to her in another.

But she looked most relaxed and radiant in a photo taken with Vice President Xi Jinping, seen in China as Hu's heir apparent and currently visiting Washington.

"I feel very comfortable talking to him," said the president of the Newland Group, a high-tech firm based in the southeastern city of Fuzhou. "He's very kind."

It was Xi's help some 20 years ago that first turned Wang's vision into reality. In 1993, when Wang and her partners were struggling with red tape to set up a software startup, she went to see Xi, then the city's Communist Party chief.

"He was far-sighted and realized that China's economic development would have no solid foundation without its own enterprises or innovation," Wang recalled. "He gave us his full backing."

Firm tone, diplomacy in Obama-Xi meeting

When Xi later became the governor of Fujian -- Fuzhou is the provincial capital -- Wang said he continued to support Newland, visiting the company numerous times, as it grew from a one-desk operation to a mini-empire that employs hundreds of engineers and scientists across the country.

In a shiny showroom, Wang proudly pointed to examples of the latest technology developed by Newland, whose portfolio now covers software design, digital television and green technology -- all areas championed by Xi.

"I'm a businesswoman and he's a high-ranking official. I should've felt the status gap between us but I never did," she said.

"He was such a good listener, paying attention to our ideas and nurturing young entrepreneurs like us."

Wang's ascent coincided that of Xi, who rose through the ranks during his 17 years in Fujian. As a politician Xi spent more time in this coastal province than any other places -- and analysts say his policy focus and governing style here may offer some clues to deciphering a largely enigmatic figure.

Son of a Mao-era revolutionary hero and a pro-economic reform statesman, Xi is one of the so-called "princelings" -- children of top Communist leaders. The 58-year-old vice president has kept his head down and worked the system, spending most of his post-university years in the provinces before returning to Beijing in 2007.

For a long time, the best-known aspect of Xi's life was his wife, a famous folk singer who used to perform before millions on state television.

"We don't know much about him. We don't know what he really thinks," said James McGregor, former chief executive of Dow Jones in China and a long-time observer of Chinese politics.

"But one thing you'll see is he's going to be tough -- I think he's going to be tough with a smile on his face."

Such an assessment echoes that of senior U.S. officials who, after meetings between Vice President Joe Biden and Xi in China last summer, described the leader-in-waiting as "tough." But they appreciated Xi's emphasis on Sino-U.S. relations as a policy priority and viewed him as someone America could do business with.

That Xi supported entrepreneurs like Wang -- first in Fujian and later in neighboring Zhejiang, the province that boasts China's most vibrant private sector -- may also be an encouraging sign for those who feel increasingly left behind by China's economic growth model that seems to favor state-owned conglomerates.

A welder's wish

Two hours' drive from Wang's sprawling corporate campus, economic models and foreign policy seem far removed from the minds of residents in Xiabaishi, a seaside town where rows of fishing boats in fading paint are moored by the shore and rusty machinery sits idle in shipyards nearby.

Local media has reported that, under Xi's leadership in the late 1990s, officials moved more than 16,000 poor fishermen and their families who had lived on boats into government subsidized housing, and found land-based jobs for many of them.

More than a decade later, however, poverty remains visible throughout Xiabaishi. Some fishing families still sleep on their boats, while others cram into ramshackle slums on the coast. Even the lucky ones who live in houses have to brave bitter cold winds blown in through cracks in the brick walls.

An old woman weaving fishing nets by her doorway said she has never heard of Xi. Her neighbor agreed -- the last leader both appeared aware of was former President Jiang Zemin, Hu's predecessor who retired a decade ago.

Interrupting the women, a young man nearby indicated he certainly knows who Xi is. Xie Yingling doesn't remember much about Xi's time in Fujian, but the 32-year-old unemployed welder has a clear message for the future leader.

"I want a job," he said. "Nobody wants to hire people like me -- high school dropouts in our 30s -- here or in big cities."

When the shipbuilding industry was booming, Xie said he earned as much as 200 yuan (US$30) a day. Now he can barely afford to buy a bowl of noodles, which costs 3 yuan (50 U.S. cents) at local restaurants.

"When the shipbuilders went out of business, we lost our livelihood," he said.

The bleak scene in Xiabaishi -- and many other towns like it -- may not fit nicely into the image depicted by American politicians of a rising superpower that increasingly poses economic and military threat to the United States.

But analysts say it is part of a China that Xi is going to inherit -- and he and his comrades will have to tackle the myriad of problems, especially the widening income gap in a slowing economy, before mass discontent brewing beneath the surface explodes.

Aware of a poorer and angrier segment of population back home, Xi may be ready to talk tough during his meetings with U.S. officials this week, particularly on the economic and trade front.

"He's still talking to an audience in China," said McGregor, the China observer. "That's the constituency that matters to him, especially in a transition time."

Back in Xiabaishi, a small crowd gathered in a barbershop had nothing but praise for their former governor, complete with tales of his visit to a flooded village nearby.

A poster depicting China's current top Communist leadership -- nine men who effectively rule the country -- was pinned on the wall, with the sixth-ranked Xi almost in the middle.

"He's going to be the big boss," one man offered in a hushed voice, pointing to Xi.

From Fujian to Washington, almost everyone seems to know that much -- but the rest remains anyone's guess.

@highlight

Xi Jinping,seen in China President Hu Jintao's heir apparent, is currently visiting the U.S.

@highlight

One entrepreneur remembers his support for private enterprise as governor of Fujian

@highlight

For a long time, the best-known aspect of Xi's life was his wife, a famous folk singer

@highlight

After meetings last year, U.S. officials viewed him as someone America can do business with