(CNN) -- Our nightmare began in 1993 after we moved from the city to a house down a winding country road abutting a spruce forest in Chappaqua, New York. Our little woods were home to mice, deer and ticks harboring the infectious agent of Lyme disease.

We weren't especially concerned. As seasoned science journalists, my husband and I had researched the risk of tick-borne disease by reading medical journals, finding a raft of articles on a wave of "Lyme hysteria" sweeping the Northeast suburbs; the disease, some of the authors said, was mild and benign. Perhaps that's why, as one of our sons and then the other got sick, our pediatrician resisted testing for Lyme disease.

When my older son, Jason, 14, developed a mottled rash spreading over his torso in 1998, our doctor's office told us that because it wasn't a literal bull's eye -- believed to be the classic indication of Lyme -- it couldn't be Lyme (a misconception still common today despite voluminous research to the contrary).

By 2000, Jason suffered aversion to light, profound fatigue and shooting pain throughout his arms and legs. Mostly to placate me, our pediatrician finally ordered a Lyme disease test. It came back positive.

But our doctor still rejected Lyme disease as the cause, instead proposing a psychiatric disorder. The university-based psychiatrist we then consulted called the pediatrician a quack. Our older son, he said, was physically ill.

My family would spend the next decade struggling to get well. Along the way, we had to navigate one of the most vitriolic fights in medicine. As the scientific community fought over the very nature of Lyme disease, debating everything from who actually had it to what treatment worked best, misdiagnosed patients were left to wander the medical outback without a compass or any clear path back to health.

Caused by the spirochete--a coiled bacterium such as the one that causes syphilis-- Borrelia burgdorferi, Lyme is the most frequently reported tick-borne disease in the United States. In 2011, some 33,000 cases met the Centers for Disease Control and Prevention's definition. But there are far more patients with the infection since only a fraction of cases are reported.

When doctors attuned to the CDC's rigorous definition resist diagnosing any but the most classic patients -- those with an obvious Lyme rash or highly positive test -- it means patients are left to advance to later, harder-to-treat stages of the disease.

Adding to the mess, physicians frequently fail to test for other, often-debilitating infections from the same black-legged ticks: Babesia, the cause of a malaria-like illness; Anaplasma, an intracellular bacterium; and another spirochete, Borrelia miyamotoi, recently documented as the cause of a relapsing-remitting Lyme-like disease.

In fact, there is a lot of confusion over what may or may not be causing Lyme and other tick-borne diseases around the United States.

In California, scientists have found several new spirochetes yet to be vetted as sources of Lyme-like illness, and researchers in Florida just isolated Lyme spirochetes from ticks despite CDC's website saying not to worry.

Then there's the smackdown over chronic Lyme: Do Lyme patients stay sick following treatment because the infection is still there?

In the 1990s, the National Institutes of Health sought to answer the question by funding a series of studies, the first of which has informed the treatment guidelines published by the Infectious Diseases Society of America ever since. That study monitored 136 Lyme patients who remained chronically ill after antibiotic therapy. In other words, they still showed symptoms of the illness. And yet some 700 blood and spinal fluid samples taken from them yielded no hint of the spirochete.

On one side, experts embraced this small study as proof that chronic Lyme was a myth. They believed the sickness had to be caused by something else since patients showed no sign of the spirochete.

But patients and their doctors were unconvinced. Spirochetes leave body fluids for tissue early in the course of disease, after all, explaining lack of evidence in blood. And researchers had reported persistent spirochetes in the tissue of treated mammals for years.

To resolve the mystery, the NIH commissioned similar experiments with rhesus monkeys. Instead of searching monkey blood for DNA after antibiotic treatment, the researchers would sacrifice the animals and scour their tissue for signs of the Lyme spirochete, including the RNA that is a surer sign of active disease. The monkey studies, published in 2012 by scientists at Tulane, document the presence of Borrelia burgdorferi DNA and RNA following aggressive antibiotic treatment. When uninfected ticks fed on those treated monkeys, they literally ingested intact spirochetes -- proof that the organism remained.

Are small numbers of living spirochetes driving persistent symptoms? Scientific resolution has yet to come, but even the NIH has seen fit to ask the question, launching an ongoing study that tests the ability of treated patients to transmit living Lyme spirochetes to biting ticks.

Despite so many unknowns, continued insistence that Lyme patients are mentally ill has been a drumbeat in our Lymelands, creating a stigma that hampers treatment or the chance of getting well. What we need here, the Institute of Medicine has suggested, is a "process of conflict resolution" to create "a new environment of trust." Progress in research can only happen if the key stakeholders -- the patients -- are included in the work.

Some groups have tried: In June, the National Institute of Standards and Technology held a meeting to help develop better tests. This is a crucial endeavor since standard tests based on legacy technology pick up real patients between just 45% and 75% of the time, especially in the early phase of the disease. Patients and scientists worked together on the NIST event, but collaboration has often been difficult if not impossible to achieve. For instance, a group of scientists has lobbied against federal legislation to increase funding for Lyme disease research. Why? That's just counterproductive.

Powerful 21st-century technologies can help us, but first we've got to admit that waters are muddy and urgent questions remain. Calling patients "Lyme-loonies" or "part of an anti-science movement that denies both the viral cause of AIDS and the benefits of vaccines," is hurtful and untrue. After all, questioning the value of research that keeps one locked in illness is hardly on par with denying HIV. The real science deniers are those circling the wagons around outdated studies, leaving patients desperate and sick while protecting their academic turf.

The opinions expressed in this commentary are solely those of Pamela Weintraub.

@highlight

Pamela Weintraub: Her family went through nightmare in grappling with Lyme disease

@highlight

Weintraub: Deep divisions in the medical community hinder real solution on the disease

@highlight

She says it is unclear if Lyme agent stays in patients' bodies even after treatment

@highlight

Weintraub: Scientists need to stop fighting, listen to patients and conduct new studies