(CNN) -- Have you ever dreamed of dog mushing through Alaska, climbing El Capitan or running the ultimate underground sand mine challenge?

Whatever your interests, there's an inspirational adventure for every taste and skill level in Lonely Planet's new book "1000 Ultimate Adventures." Lonely Planet's picks include the world's craziest caves, greatest airborne adventures, best spots to catch a big wave and the most thrilling canyoning, among others.

Lonely Planet editors made the final selections after gathering nominations from their authors, contributors and larger Lonely Planet community. Of those 1,000 adventures around the world, 85 are located in the United States.

While most of us may never qualify to race the famous Iditarod challenge from Anchorage to Nome, the race might inspire you to try a guided dog mushing trip. And while you don't need to do all 8,000 miles of the Triple Crown of Hiking, the idea might encourage you to hike a part of the Appalachian Trail.

"We hope people find the inspiration to embark on one of these adventures," said Emily K. Wolman, editor-at-large at Lonely Planet. "The addition of 'adventure' offers the further realization that you're capable of more than you thought, as it takes you out of your comfort zone, pushes your boundaries and increases your confidence."

CNN asked Lonely Planet's editors to recommend 10 U.S. adventures to readers. Will they inspire you to take a more daring vacation?

The Iditarod, Alaska

Known as "the last great race," the Iditarod was first held in 1973 to promote Alaska's dog-sledding heritage. Held the first Saturday in March, the nearly 1,100-mile race from Anchorage to Nome is famous for its tough tundra and climate. It can take experienced mushers and their dogs anywhere from nine to 15 days (or more) to complete. Not qualified to race in the Iditarod? Novices can head to Fairbanks, often called the dog-mushing capital of the world, for a guided overnight trip to get a sense of the incredible beauty of Alaska.

Triple Crown of Hiking

Never mind that hiking just one of the three longest trails in the U.S. -- the Pacific Crest Trail, the Continental Divide Trail or the Appalachian Trail -- is an enormous commitment of body, resources and time. Even hiking 15 miles per day, it could take you 18 months to complete all three hikes. Conquer all three and you'll have hiked nearly 8,000 miles and achieved the Triple Crown of Hiking. Whether you're a novice or don't have much vacation time, a day hike is a nice way to get a taste. (Mount Washington is on the Appalachian Trail and is part of a New Hampshire state park.)

Surfing Jaws, Hawaii

The world's best big wave surfers head to Maui's North Shore in the winter to try to conquer Jaws, one of the biggest surf breaks in the world. Waves as high as 60 to 70 feet have been reported. To safely see the professionals take on Jaws, bring your binoculars and lawn chair to Peahi Cliffs and catch the view.

Achieving Zero Gravity, Cape Canaveral, Florida

You don't have to go into outer space to achieve zero gravity if you've got $5,000 to book a flight on Zero Gravity Corp.'s specially outfitted Boeing 727-200F known as G-Force One. About 30 minutes after taking flight, the airplane flies up and down to create the sensation of zero gravity. You'll feel one-sixth of your earthly weight. Check the company's flight schedule for other departure cities.

Climbing El Capitan, Yosemite National Park, California

El Capitan at Yosemite National Park is known as the rock where big wall rock climbing began, and the views from the top are spectacular. The nearly 3,600-foot vertical wall isn't thought to be difficult or technical for experienced climbers, but it's long. It takes many climbers about five days to ascend, and they sleep in slings hanging from the rock during their journey. To admire the climbers from a distance, head to the eastern end of Yosemite's Wawona Tunnel to admire El Capitan, Half Dome and other Yosemite legends.

Canyoning the Grand Staircase, Grand Staircase-Escalante National Monument, Utah

Less known than Utah's Arches and Zion National Parks, Grand Staircase-Escalante National Monument covers about 1.7 million acres in southern Utah and is much less crowded than the two national parks. The Escalante has long, gorgeous canyons known as slots for people who love canyoning. For people who want to move through the monument at a slower pace, the Grand Staircase is packed with millions of years of geologic history, including dinosaur fossils, marine fossils (from when oceans covered this area) and Navajo sandstone.

Winter wolf tracking, Yellowstone National Park, Wyoming

Sure it's cold during the winter at Yellowstone National Park, and some of the roads are closed. But the 3 million people who visit the park during the summer are also gone. The landscape is pristine and the wildlife spotting even better than usual as some animals head to lower elevations in winter. Hire a guide to track the lovely grey wolf; with temperatures dropping to -4 degrees Fahrenheit in winter, you don't want to get lost in this beautifully wild place.

Snowshoeing in the White Mountains, New Hampshire

The White Mountains of New Hampshire are popular for winter outdoor sports enthusiasts because they keep their snow longer than other regions of the United States. But the weather there can be intense and unpredictable. Even if you're experienced in snowshoeing, you'll need reliable winter weather navigation and avalanche preparedness. It's not for the novice traveler.

Sandmine Challenge, Missouri

When you mix running with spelunking â€” the exploration of caves â€” you get "sperunking" at the annual Sandmine Challenge each February in Crystal City, Missouri. Technically, the 4-mile race is held under Crystal City, located about 35 miles south of St. Louis. Competitors in the underground race through an old sand mine. They run, climb, wade and crawl almost entirely on a sand surface. That surface is sometimes wet and sometimes dry, sometimes shallow and sometimes deep. Race proceeds benefit PayBack Inc., a St. Louis nonprofit juvenile restitution/community service agency.

Snorkeling with the Manatees, Crystal River, Florida

The natural springs of Crystal River National Wildlife Refuge are warm enough for manatees during the Florida winter season. But humans might still need wetsuits if you want to swim with the manatees between October and March. Snorkeling trips are recommended to view these social creatures. (They don't like bubbles from scuba tanks.)

@highlight

Catch a killer wave off of Maui's North Shore (or watch from a nearby cliff)

@highlight

Run through an underground sand mine in Missouri for charity

@highlight

Track Yellowstone's gray wolves in winter (but take a guide)