(CNN) -- London City Airport wants to eradicate the many nuisances associated with flying.

Should they succeed, missing luggage, delayed flights and long security lines will be irritations of another era. Even wading through a sea of taxi drivers to find the cardboard placard that bears your name will be a thing of the past.

This streamlined experience is being delivered with the help of a technology known as the Internet of Things (IoT). Essentially, it is an overarching platform that allows a variety of devices or machines to communicate with each other.

This "machine to machine" communication (M2M) remains in its early stages, but its application is being tested in a number of areas. It is the foundation for "smart cars", vehicles which are tuned in to avoid collision, and "smart lights", which detect when you've woken up and then turn on.

London City Airport is the first airport in the world to test it in the field of commercial aviation.

Technology company Living PlanIt and retail developer Milligan will lead the project backed by the UK's Technology Strategy Board. Over the next year, the airport will integrate different technologies to provide a taster of what's possible.

Just what is the Internet of Things? Our interactive explains all

Many of the more advanced features involve tracking passengers through a mix of face recognition and crowd-sourcing software that already exists in airports, plus the GPS that is already available in smart devices. For instance, a traveler who pre-orders food online or though their smartphone will be able to have it delivered to them as they arrive at the departure lounge.

"When someone arrives, sensors will detect that person's frame, and will notify the F&B outlet to get everything ready," explains Robin Daniels, Living PlanIt's executive vice president of sales and marketing.

Similar technology can insure that a passenger who booked a taxi in advance can exit the airport and step immediately into a waiting car.

"There's no reason you can't have an app on your phone tell you the route and the correct exit (to find your vehicle)," says Daniels.

Other features will simply be about streamlining what's already there. For instance, though luggage can be monitored to a degree, there's no system in place to track it in real-time. What this means is that passengers and their luggage can be tracked at the same time. If a flyer checks his back but misses his plane, his luggage won't be boarded.

Infographic: What the world spends on business travel

"If you're a passenger, there will be no more sitting on a plane waiting for a bag to be found because whoever owns the bag missed their plane and now it has to be unloaded. Everything that's uncomfortable, inconvenient or just a pain in the neck about traveling, we're trying to turn into a more pleasurable experience," says Daniels.

On the retail side, stores in the airport will use a combination of cameras and sensors to monitor buyer behavior and to get a better sense of what types of displays work. They will also be able to offer shoppers customized offers based on previous purchases.

"A lot of what they're doing is putting data together and creating information to give a better customer experience," says Joe Dignan, a chief analyst for public sector technology at Ovum. "You may get to the point where you walk past a Zara, and it says, 'we noticed you bout a blouse last week, we have a sale on a skirt that will go with it.'"

Dignan says that some shopping malls have started embedding sensors in the floor to track where people walk, and on hangers to register which items get picked up the most.

Read more: How airlines recycle

However some are concerned about safety and privacy issues of the new technology.

"I believe that as we increase our dependency on Internet of Things, and because it is not a fully stable technology per se, the probability of having problems increases," says Evangeis Ouzounis, the head of the secure infrastructure and services unit at the European Network and Information Security Agency.

"I'm not saying it will happen, but we need to take measures now before the technology becomes commercially available."

Ouzounis points out the potential for hackers to interfere with sensitive travel information and the smooth running of airport systems.

"They might jam a smart device to make systems not available in the airport, or play with the bar code of flight tickets, so that you can have access to a space you shouldn't have access to," he says, while admitting that these scenarios are extreme.

For Daniels privacy isn't really an issue, as passengers can chose whether or not they "opt in". Furthermore, the technology will actually allow airports to have a more sophisticated security system in place.

"If there's suddenly a security issue, and someone is suddenly somewhere they shouldn't be, the authorities can access the day-to-day information more easily," he says.

@highlight

London City Airport to test Internet of Things

@highlight

Will create a network of machines that communicate with each other

@highlight

Concept should create an enhanced and smoother passenger experience