In January, Facebook unveiled Graph Search, a more robust search tool that's being slowly rolled out to users. It uses the mountains of data the site collects to expand what a query on the site can find.

Planning a trip and want a list of college friends who have moved to London? No problem. Co-workers who also like "Game of Thrones?" Check. How about Facebook photos from National Parks? You got it. And, to take it to a somewhat different place, how about single friends of friends who live in the same city you do? Also doable.

Facebook is taking its time. Only a few hundred thousand of the site's hundreds of millions of users have gotten access so far, and the company is tweaking the test version of the feature as it goes.

Tom Stocky, product manager for search at Facebook, visited CNN headquarters recently and shared thoughts on the social-media giant's biggest product launch in some time.

The following interview has been edited for style and brevity:

CNN: How's the rollout process been so far, and what early customer feedback have you received?

Stocky: We're still rolling out very slowly. It's still in beta. Even though hundreds of thousand of people have it now, and that sounds like a big number, Facebook overall features over a billion users so still a small percentage of the user base.

However, it's enough where we're starting to get feedback, and the reception so far has been pretty positive. People seem to find it most useful around people and photos queries. Places are the thing they are starting to like as well. And the things we continue hearing in terms of where we need to improve is, we have to do a much better job understanding everything that people type into the search box.

Users phrase queries in many different ways and than we initially anticipated and we have to invest in that. For example, the number of different of ways refer to friends. We had to build the product to recognize "buddies," "pals," "besties" and all of the other variations of the word "friend."

How is a Facebook Graph Search different from a Google Web search?

It's different in a lot of ways. One obvious way is users are only searching on related results in Facebook with Graph Search as opposed to a Web search where you're searching across all indexed documents on the Web.

I think people come to a Web search engine with a different set of expectations -- what they want and expect to do, versus their experience on Facebook, which tends to be socially oriented. Also, with a Web search engine, users are accustomed to typing in a set of keywords and receiving documents from the Web that most closely match -- but with Graph Search, users type in a very specific query using simple phrases to yield relevant results. For example, if users type "show me my friends who like 'Star Wars,' " or "show me my college friends who live in New York," Graph Search isn't searching based on those keywords but rather displaying the answers to those specific queries.

Review: Facebook's Graph Search is promising but incomplete

What are the most common search trends so far, and how do you expect that to evolve over time?

People and photos, by far. Users tend to search and explore their friends, primarily.  My friends who like a certain thing or participate in a specific activity. Show me my friends who like "Star Wars" and "The Godfather" because I want to have a trilogy party or show me my friends who like running and live in San Francisco.

Also seeing more and more people use Graph Search for dating purposes because friends of friends tend to be a good source of potential dates. People queries have mostly been around exploring their friends and a little bit on the periphery of their friends' circles.

And there's photos. This is the first time users can look over all of the Facebook photos your friends have shared. Show me the photos of my friends taken before 1995 or show me the photos of my friends in France.

A third behavior around using Graph Search for places is also increasing. Users can explore new travel sites, restaurants, etc., through likes and activities of their friends and/or locals.

Facebook highlights privacy protection for minors on Graph Search

How could Facebook Graph Search be used for job recruiting or career placement opportunities?

As we've discussed, much of the power of Graph Search tool is through the ability to access information of friends of friends because that tends to be very rich data. With career networking, often times the essential edge is via friends of current employees of the desired career opportunity.

Graph Search gets you there. Recruiters can also cross-reference applicants with connected friends already working at the company ideal for reference checks or to assist with follow up contact. Graph Search users are also able to query by job title and additional background for a smarter recruiting strategy.

Up until now, most people haven't thought of ways to use Facebook professionally, but now there's plenty of reason to do that if recruiters begin to better leverage Graph Search. This should motivate more users to fill out their profile information (employment history, current city, schools) so they can be more easily discovered this way.

Internet security is often a sensitive and important issue with new products and services offered on the public Internet. What privacy measures have been accounted for within Facebook Graph Search?

We understand people care deeply about how they appear in search. This is an area we've spent quite a bit of time and effort on to ensure that we have an experience that matches people's expectations.

The worst thing that can happen around privacy is when people are surprised. This is something we've tried very had to bring to people's attention -- to understand what is searchable about them on Facebook and how they can control it.

We offer the Activity Log tool available through the Facebook Timeline feature for easy view and management of what and how users are sharing content and on terms they feel comfortable.

@highlight

Facebook Graph Search making site's search more robust

@highlight

Manager says friends and photos are most common searches so far

@highlight

Activity Log can be used to control what's searchable about a user

@highlight

Graph Search is rolling out slowly to the site's users