(CNN) -- When 60,000 tinkerers arrive at the New York Hall of Science this weekend for World Maker Faire New York, kids will see original action figures designed on a 3-D printer, homemade race cars, robots and a sewing machine turned into a music box.

Teachers will see a chance to reimagine U.S. science education.

Parents should see a chance to replace the usual after-school and summer routines with activities that captivate kids in positive ways.

I see a way to get kids to choose tinkering over TV. Based on 16 years of hearing pitches about the next great thing in education, what jumps out is that demand from young people -- not the education industry's desire to supply something -- is driving the maker movement.

High-profile Maker Faire events are the leading edge. A layer or two beneath, in church basements, children's museums and public libraries dubbed "makerspaces" -- part high-tech shop class and part Google hangout -- kids are showing up.

It is this demand from kids like Raven Hoston-Turner, who was "super bored" before her uncle told her about the Mt. Elliott Makerspace in Detroit, that is fueling the maker movement.

The New York Hall of Science is part of network of disruptive leaders figuring out how to take this burst of maker interest and use it to improve science education.

In a new book, "Design Make Play: Growing the Next Generation of STEM Innovators," editors Margaret Honey and David Kanter of the Hall of Science describe how traditional classroom approaches have suffocated science.

Schools caught up in the standardized testing sweepstakes tend to reduce classroom time for science. When schools do teach science, too often they are "telling students about science" -- and drilling for memorization -- instead of engaging them.

Elementary students receive science education for less than three hours a week. These same kids are watching TV nearly 30 hours per week.

One way to activate student learning, as professor Sugata Mitra has shown through his famous Hole-in-the-Wall experiments, is to give kids the right resources and some motivating content and then get out of the way.

As with Mitra's notion of "minimally invasive education," young people are taking it upon themselves to decide what to make. Preteens such as Quin Etnyre and Sylvia Todd  are delivering classes and producing online shows for peers and adults who want to produce things with their own hands.

Thanks to innovative Pittsburgh foundations that launched the Kids + Creativity Network  in 2007, the region is aligning science instruction in schools with the kinds of activities kids are doing on their own time.

The aim was to set learning on fire, says Greg Behr, executive director of Pittsburgh's Grable Foundation.

Instead of picking off one or two strong projects to support, Grable invested in building a network. Now, more than 100 groups are pulling in the same direction.

Jane Werner, executive director of the Children's Museum of Pittsburgh, built out a 3,000-square-foot makerspace, what it calls MakeSHOP, and is creating an additional 5,000-square-foot MakeSHOP for kids age 10 and up.

"Museums can be labs for education reform," Werner says. "No one can fail at a museum. Why not experiment with education reform at a museum?"

The Elizabeth Forward School District, south of Pittsburgh, is integrating the maker movement into the core of its education mission. The district is "remaking education," transforming traditional classrooms and the library into interactive digital learning labs.

"It helped me learn more, actually," says Alyssa, a junior.

This is what Dale Dougherty, one of the maker movement's founding fathers, wanted all along.

"What I'm really interested in is an alternative way of engaging kids and getting them into science and technology," Dougherty said.

Dougherty is CEO of Maker Media, founder of MAKE magazine, Maker Faire and the Maker Education Initiative.

This summer, the Maker Education Initiative launched Maker Corps, embedding 106 college students and young professionals from science and technology fields in 34 summer youth programs across the country, including the Pittsburgh children's museum. The initiative expects to have 1,000 corps members working with kids by 2015.

In 2007, at the same time the Kids + Creativity Network emerged, a Carnegie Foundation commission set in motion an education reform movement that included 26 states working together on Next Generation Science Standards. State by state, education officials are now deciding whether to adopt the standards.

The question hanging out there is whether the maker movement can help U.S. students move up the international rankings of science and math performance.

"Everyone is crossing their fingers and hoping there is this connection to be made," says Kanter. "Even though it's hard to prove, we need to prove it."

The opinions expressed in this commentary are solely those of John Bare.

@highlight

John Bare says New York's Maker Faire highlights opportunity for education

@highlight

He says teaching science to kids can be reimagined by teaching how to make things

@highlight

He argues that it's a way to get kids to choose tinkering over watching television

@highlight

Bare: The maker movement is pioneering innovation in education in small and big ways