LONDON, England -- "Ocean Emerald" is a superyacht with added wow-factor. Her startling appearance has made sure of that and in real life she is every bit as dramatic as she appears in these photographs.

"Ocean Emerald" is the second time Lord Foster has designed a superyacht.

We were among the guests invited to the superyacht's official launching in La Spezia, in northern Italy, when her celebrity designer and his team walked down the red carpet to cast his eyes upon his latest masterpiece.

Lord Foster of Thameside is no stranger to eye-catching and dramatic design. His architectural firm Norman Foster + Partners is responsible for iconic London landmarks such as 30 St Mary Axe, better known as the Gherkin, and the Millennium Bridge. Foster is the master of the curved line. Imagine for a moment a photograph of the Gherkin split in two lengthwise and laid flat, recall the sweeping curves of the Millennium Bridge and you will see how he has managed to combine the drama of those two creations into what is arguably the most visually stunning superyacht of the year.

Ocean Emerald is not the first of Foster's forays into the world of superyacht design. It was he who drew the lines for the Lürssen-built Izanami, a 58-metre yacht now called Ronin and owned by Larry Ellison. Launched in 1993, she is also a head-turner. Design and external appearance aside, Ocean Emerald is different from every other 41-metre superyacht in that she is not to be the sole property of any one owner.

This perhaps is one of the reasons for her radical look as she is designed to appeal to those who are new to the concept of superyacht ownership. Unlike the traditional form of ownership, where one person, sometimes through an anonymous corporation, is the owner of all 64 shares of the yacht, the shares in Ocean Emerald are split either into eight or sixteen parts. These fractions -- one-eighth or one-sixteenth -- of Ocean Emerald have been sold to different individuals by the London-based company YachtPlus.

When engaged to design the yacht, the Foster team were initially told to work within the confines of an existing hull designed by yacht builders Intermarine, part of Rodriquez Cantieri Navale. But after discussions, Rodriquez has produced a new 41-metre hull three metres longer than the original concept.

Walking around Ocean Emerald, it is clear that Foster has taken all the traditional rules of yacht design, torn them up and started again. The public rooms benefit from abundant natural light, which floods in through the floor-to-ceiling windows, in addition to the copious artificial lights. Coupled with the use of pale-coloured woods, soft furnishings and white high-gloss, wipe-clean surfaces they create a wonderfully bright, modern feel.

Unusually for a motor yacht, the natural teak decking extends right the way through from the aft deck to the saloon, ensuring a seamless visual transition between the outside and inside spaces.

To join the Ownership Lifestyle Programme will cost an initial payment of €1.875 million. This buys you a one eighth share of the yacht and guarantees 30 nights per year on board -- ten nights peak season in the Mediterranean, ten nights peak season in the Caribbean, and two five-night cultural tours such as sightseeing, shopping, golf, Formula 1, vineyard visits and museums. Each year there will be an annual service charge of €200,000 to cover overheads, including marine and hotel operations, permanent crew, mooring and berthing fees, year-round maintenance and mechanical upkeep, marine and port charges and cruise itineraries management.

Lord Foster said: "With my team we have given a new emphasis to such issues as quality and quantity of space, outdoor terraces, light and views. Our commission is for the total design concept of the fleet, with an eye on beauty, function and luxury, down to the smallest detail. We believe that there is great potential in the concept of luxury cruisers to think afresh such issues as views, light, privacy and the quality of spaces -- both inside and outdoors."

The concept of fractional ownership is fast becoming acknowledged as a logical way forward for those wishing to enjoy high-end luxury products without the massive capital investement required. Foster himself owns one of the shares and is very much looking forward to experiencing what it is like to step into the shoes of a superyacht owner. It may only be for a fraction of the time but it is also, as he so eloquently puts it, only for a fraction of the price.

Subscribe to SuperYachtWorld

COPYRIGHT ©  2009 IPC MEDIA LTD. ALL RIGHTS RESERVED

@highlight

Famous architect Norman Foster has designed a new superyacht

@highlight

"Ocean Emerald" has a top speed of 17.5 knots

@highlight

It will be co-owned by investors laying down an initial $2.6 million payment