In Baghdad on Wednesday, U.S. Secretary of State John Kerry vowed that the U.S. and a "broad coalition" of nations would help Iraq fight ISIS militants. His visit comes hours before President Barack Obama will address Americans about his strategy for combating the terror group.

Baghdad is Kerry's first stop on a regional tour to enlist Arab support for a global coalition to defeat ISIS.

After meeting privately, Iraq's new Prime Minister, Haider al-Abadi, and Kerry spoke before reporters.

"We are fighting these people (ISIS)," al-Abadi said. "Of course, our role is to defend our country, but the international community is responsible to protect Iraq and protect Iraqis in the whole region.

"What's happening in Syria is coming across to Iraq," he said. "We cannot cross that border. It is an international border, but there is a role for the international community for the United Nations to do that ... and of course for the United States to act immediately to stop the spread of this cancer."

He said Iraqis have worked hard recently to come together and form an inclusive government where "everybody's on board" to fight the militants.

ISIS has said they're bent on creating an Islamic caliphate in Iraq and Syria where harsh Sharia law governs every aspect of life.

Kerry first congratulated al-Abadi on working in record time to form a solid government. "Your comments today and your description to me in our private meeting of the steps you're prepared to take, not only with respect to (ISIS) and your own military commitment to reconstitute itself and to take the fight to (ISIS) ... this is really important from the international community" perspective, Kerry said.

He said Obama will lay out a detailed description of what the United States is prepared to do, in a "broad coalition" with "many other countries to take on this terrorist structure which is unacceptable by any standard anywhere in the world."

Obama is open to conducting airstrikes in Syria to combat the ISIS terror group, U.S. officials told CNN on Wednesday. But it's unclear whether he will announce any such plan in his televised speech Wednesday night.

Read the latest news about Obama and Syria

In a separate news conference Wednesday in Iraq, Kerry said the U.S. is already coordinating with some 40 other nations to provide humanitarian, military and other assistance to Iraqis to fight ISIS militants.

The U.S. has so far launched more than 150 airstrikes to weaken ISIS militants in Iraq, Kerry said. On Wednesday, a U.S. military attack aircraft conducted a strike in support of Iraqi Security Forces' defense of Irbil.

The strike destroyed one ISIS armed vehicle in the vicinity of Irbil, the military said, and the aircraft left the strike area safely.

'The hard work is far from over'

Kerry said that while he finds it "encouraging" that Iraqis are coming together so quickly to form a government, "it doesn't mean much if it isn't able to govern inclusively."

Critics of former Prime Minister Nuri al-Maliki accused him of consolidating power and persecuting political rivals, blaming him for fueling Iraq's problems with sectarian policies that alienated Sunni Muslims.

"The hard work is far from over," Kerry noted. "In many ways, it's just beginning."

Iraq must strengthen its security forces, he said. In the face of ISIS attacks, some Iraqi soldiers simply ran from their posts.

On the security front, Kerry said that Iraqi leaders have decided to establish locally rooted security structures that will be integrated into Iraq's national force.

Doing so would be "key" to "guaranteeing Iraq's territorial integrity," he said.

Al-Abadi plans to accelerate the formation of those local units at his first Cabinet meeting this week, Kerry said.

Kerry said that Obama asked him to visit Iraq not just to build a coalition and talk with Iraqis, but also to "underscore to the people of Iraq that the U.S. will stand by them in this effort."

He called ISIS a "vicious" organization that is "the single biggest threat" to the country.

Stressing that the fight against ISIS will be long, Kerry said Monday that the U.S. would assemble a coalition "built to endure for the months, and perhaps years, to come."

Taking fight against ISIS 'to the next level'

Senior State Department officials traveling with Kerry said the appointment of the new government would kick-start a strategy the Obama administration began this summer to combat ISIS, including increasing intelligence gathering in Iraq, assessing the Iraqi military capability and launching strategic airstrikes at ISIS targets, which the officials say have blunted the group's momentum.

"That was really critical to set a baseline foundation in the event additional decisions were made," one senior official said. "We've come a long way since then, based upon this plan that we really put in place in June, and we are now at the stage of beginning to take it to the next level."

Kerry's visit comes "under circumstances in which there are real opportunities," the official said.

"Certainly the road ahead is daunting," the official said. "But to get to this point is significant ... there is a chance now."

Obama called al-Abadi on Monday to congratulate him on the formation of the new government.

Baghdad was the first stop on a regional tour to enlist Arab support for a global coalition to defeat ISIS.

In a statement, the White House said that in his call with Obama, al-Abadi "expressed his commitment to work with all communities in Iraq as well as regional and international partners to strengthen Iraq's capabilities" to fight ISIS militants, made up largely of Sunni jihadists.

Broadening the anti-ISIS coalition

As Kerry leaves Iraq, Obama will address Americans about his diplomatic, military and economic campaign to defeat the group, which has captured large swaths of Syria and Iraq and has beheaded two American journalists.

Videotaped beheadings, including two murders of American journalists, have led to the push for a broader counterterrorism mission, including possible airstrikes in Syria, where ISIS has a haven.

The U.S. has ruled out sending American troops for a ground offensive.

Obama has been reluctant to take military action against the group in Syria, which could indirectly help President Bashar al-Assad's regime. But White House spokesman Josh Earnest said the President was willing to go "wherever is necessary to strike those who are threatening Americans."

After leaving Baghdad, Kerry's diplomatic drive will center on building regional support for a global coalition to combat ISIS. He will meet with King Abdullah II in Jordan on Wednesday before traveling Thursday to Saudi Arabia. In the seaside town of Jeddah, Kerry will meet with the leaders of six Persian Gulf nations.

In addition to support for a military campaign against ISIS, administration officials said the United States would be looking to its Gulf allies to crack down on ISIS funding and stop the flow of foreign fighters, both seen as the lifeblood of the jihadist group.

The United States also wants Sunni Arab states, particularly Saudi Arabia, to counter ISIS' narrative and persuade other Sunnis to eschew its ideology.

"It's going to be a very difficult, long road to get there, but it's something that the region and our partners in the Gulf can play a really important role in," a senior State Department official traveling with Kerry said.

"And there's a number of different ways that they can do that, both in terms of just their relationships, in terms of their encouragement, in terms of their financial contributions, in terms of lifting the burden that the government here has."

After Saudi Arabia, Kerry will travel to Paris to attend an international conference on Iraq, State Department spokeswoman Jen Psaki said.

Obama will chair a meeting later this month at the U.N. General Assembly, where the global strategy is expected to be hammered out.

@highlight

Kerry says the U.S. and about 40 other nations are helping fight ISIS in Iraq

@highlight

The U.S. has launched 150 airstrikes to fight ISIS in Iraq, Kerry says in Baghdad

@highlight

The diplomat will visit other Arab countries to make his push for a coalition to fight militants

@highlight

Kerry will also make a stop in Paris for an international conference on Iraq