(CNN) -- Haiti has an opportunity to address the worst crimes of its past in prosecuting former dictator Jean-Claude "Baby Doc" Duvalier, a leading human rights monitoring agency says.

It is pressing for a full investigation and subsequent trial and urges the international community to lend resources to help fill gaps in Haiti's legal system.

"The Duvalier trial could be the most important criminal case in Haitian history," said Reed Brody, counsel for Human Rights Watch. "The challenges for Haiti's weak justice system to carry out a fair trial are enormous, but international support can help Haiti meet those challenges."

In Quebec, Canada -- home to about 100,000 Haitians -- a new effort was launched this week to help victims of the Duvalier era to step forward with their stories.

A newly formed survivors group, the Committee Against Impunity and for Justice in Haiti, plans to gather testimony that could be used as evidence in a potential criminal case.

"Certainly, it is difficult for anybody who suffered," said Matt Eisenbrandt, legal counsel for the Canadian Centre for International Justice, which is working on the project. "But there are many people who feel the need for justice."

Human Rights Watch issued a 47-page report Thursday urging the international community to send temporary legal staff with experience in complex cases and to assist the Haitian government compile information through the release of diplomatic cables and other evidence.

The group urged the Haitian government to provide a safe environment for witnesses and allow for judicial staff to work independently.

Duvalier stunned the world by returning to Haiti in January after 25 years of exile in France.

He stands accused of the abuse, torture and killings of Haitians during his 15 years of autocratic rule.

Amnesty International gave Haitian authorities 100 documents that it says detail cases of detention without trial, systematic torture, disappearances and extrajudicial killings that took place between 1971 and 1986, when Duvalier was president.

After Duvalier's return to Port-au-Prince, Haitian authorities reopened a 2008 corruption and embezzlement case against him based on allegations that he stole hundreds of millions of dollars from the national treasury. Human rights groups want Haitian authorities to bring him to trial for his alleged brutality also.

Several Haitians have already filed criminal complaints against Duvalier.

Michele Montas, a journalist and former spokeswoman for the United Nations secretary-general, said she endured threats and detention and survived an assassination attempt for her journalism. The staff at the independent radio station of her husband, Jean Dominique, was harassed and the station was shut down during Duvalier's rule, she said. She was expelled from the country in 1980 and returned only after Duvalier's ouster.

"We have enough proof," she told CNN in January. "There are enough people who can testify. And what I will do is go to a public prosecutor, and there is a public prosecutor that could actually accommodate our complaints."

Dominique was slain in 2000. His daughter Nadine Dominique is one of the organizers of the victims group in Quebec.

"We were shocked when we heard the news that he had returned to Haiti," said Nadine Dominique. "We all felt so strongly that we had to help bring him to justice, because without that, the Haitian people will never fully heal. You cannot move on without that closure."

Human Rights Watch says that under Duvalier's leadership, an extensive network of security forces exhibited a pattern of human rights abuses in order to enforce control.

The report lists extrajudicial killings, detentions and "savage torture" of people between 1971 and 1986.

"In some cases, there is evidence that they acted under the direct order of Duvalier," the report says.

Duvalier told reporters in January that he wanted to be in Haiti to help with rebuilding the country after last year's devastating earthquake.

Brody said a fair trial for Duvalier could help the troubled Caribbean nation move forward and "mark a break with the impunity that has characterized Haiti's past."

@highlight

Jean-Claude Duvalier returned from exile in January

@highlight

Human Rights Watch is pressing Haiti to try him for alleged abuses under his rule

@highlight

The group urges the international community to help with judicial proceedings

@highlight

A victims group in Canada hopes to gather testimony that can be used in evidence