WASHINGTON (CNN) -- The Senate Finance Committee on Tuesday rejected two amendments to include a government-run public health insurance option in the only compromise health care bill so far.

Sen. Max Baucus said the public option provision would "hold back meaningful reform this year."

The amendments by Democratic Sens. Jay Rockefeller of West Virginia and Charles Schumer of New York were opposed by all 10 Republicans on the committee and a few Democrats, including committee Chairman Sen. Max Baucus of Montana.

Baucus explained that he liked much about the idea of a public option but that he knew a health care bill containing the provision would fail to win enough support in the full Senate to overcome a Republican filibuster.

"I fear if this provision is in the bill, it will hold back meaningful reform this year," Baucus said.

Rockefeller said that unfair practices by insurance companies required a not-for-profit alternative that would give consumers a lower-cost option and, in some cases, the only coverage they could get.

"They're getting away with banditry. They revel in it," Rockefeller said of tactics by insurance companies to avoid covering high-cost or high-risk consumers.

"I feel so strongly about it because it makes so much sense," he said. "The people I represent need this, because they're helpless" in terms of health insurance.

However, Republican Sen. Charles Grassley of Iowa said a public option means the government eventually taking over the health care system.

"A government-run plan will ultimately force private insurers out of business," Grassley said, adding that the federal government would run the plan and run the market in which the plan competes.

"It will come to a single payer," he said of a government-run system for all. "That denies the American people choice."

Democratic Sen. Robert Menendez of New Jersey countered that such a characterization was "absurd, and everyone knows it."

"For patients, it will simply be one more choice," he said.

The White House responded to Tuesday's actions with spokesman Reid Cherlin repeating both President Barack Obama's support for a public option -- and also his willingness to consider other proposals.

Obama "has said he is open to other constructive ideas of increasing choice and competition," Cherlin said. "He will work with Congress to ensure that under health insurance reform, Americans who cannot find affordable coverage will always have a choice."

The Finance Committee is the last congressional panel to consider health care legislation before debate begins in the full House and Senate. Democratic proposals passed by another Senate committee and three House committees all include the public insurance option.

Republicans unanimously oppose the government-run insurance option, saying it would drive private insurers from the market and eventually bring a government takeover of the health care system.

Democratic leaders reject that claim, saying the public option would provide needed competition for private insurers while making health coverage accessible to millions of people currently lacking health insurance.

Baucus and five other committee members -- two fellow Democrats and three Republicans -- negotiated the compromise proposal for months before Baucus brought the measure to the full panel. None of the three Republicans in the "Gang of Six" negotiators has backed the proposal before the committee.  Watch report on how plan would affect "heart attack Harry" »

However, Republican Sen. Olympia Snowe, a moderate from Maine and one of the Gang of Six negotiators, has indicated that she could go along with the Finance Committee proposal if changes are made. Snowe voted with Democrats on the panel to defeat some Republican amendments last week, when the committee began debating the proposal.

Obama and Democratic leaders, aware of a rockier political climate because of midterm congressional elections in 2010, insist that a bill must pass this year to address spiraling health care costs that are threatening economic stability.

Republicans say they agree on the need to reform aspects of the health care system but oppose the overhaul proposed by Democrats as too comprehensive and costly.

Both parties agree on major aspects of health care reform, including a halt to insurance company practices of denying coverage for pre-existing conditions and capping the annual out-of-pocket expenses of consumers for health care. They also agree on creating incentives for preventive health care to help lower overall costs.

In efforts to bridge differences, the Finance Committee proposal dropped the public insurance option and a mandate for all employers to provide health coverage. It would require individuals to have coverage or face a fine of up to $1,900 for a family of four but includes subsidies to help low- and middle-income Americans obtain health care plans.

The committee began debating the compromise measure last week, with arguments erupting over Democratic proposals to reduce subsidies for some Medicare coverage while eliminating fraud and waste in the government health care plan for senior citizens.

Republicans argued that the changes would reduce benefits for senior citizens, but Democrats say the overall effect would be minor. Some advocacy groups cite reports that the amount of money involved is no more than 5 percent of overall Medicare spending and therefore won't adversely affect benefits for the elderly.

The nonpartisan Congressional Budget Office said the Finance Committee proposal would cost $774 billion over 10 years, but amendments have probably increased the overall price tag. By contrast, the budget office said Democratic proposals would cost more than $1 trillion over 10 years.

In the House, Democratic leaders planned a series of meetings beginning Tuesday on merging the three versions passed out of House committees while bringing down the overall cost by $200 billion. Speaker Nancy Pelosi said last week that she expected a final version for consideration by the full chamber soon, but she was unable to provide a specific timetable.

Fiscally minded "Blue Dog" Democrats in the House and conservative Democrats in the Senate are worried about estimates of how much the plans will cost.

With prospects dim for any Republican support for a health care bill, the Democratic leadership wants to bring liberals, progressives and conservatives in their party together to use its majority in both chambers to pass a bill this year.

In the Senate, Majority Leader Harry Reid of Nevada needs 60 votes to overcome a possible Republican filibuster. There are 60 seats in the Democratic Senate caucus, but some are independents or moderates unlikely to support a public option or some of the most costly reforms.

Reid could implement a legislative option known as reconciliation, which would require only 51 votes to pass a health care bill. However, Republicans warn against such a move as shortsighted legislative warfare that would sow deep and long-lasting division.

Snowe has proposed a possible compromise: a "trigger" mechanism that would create a public option in the future if specific thresholds for expanded coverage and lower costs are not met. The trigger has yet to be included in any proposal.

CNN's Dan Lothian contributed to this report.

@highlight

NEW: Finance Committee strikes down second amendment to bill

@highlight

Reform bill with public option couldn't win in Senate, Baucus says

@highlight

House Democrats plan meetings on merging three versions of reform plan

@highlight

Republicans say Democrats' overhaul proposal is too expensive