(CNN) -- I have been a professional educator for 40 years. I have worked at every level of the public school spectrumâ€”elementary through high school. Having been in education for such a long time, I have witnessed many changes, all aimed at school improvement. Needless to say, not all the suggestions have been sensible.

What may appear to be a good idea on paper, or when sitting around a table in discussion of it, does not always make for good reality, especially at the schoolhouse.

It is important to note that most of the dictates for schools are proposed by people who have never taught. Regardless of the studies and research aimed at school improvement, I believe good educators have always known what makes schools work more efficiently. However, we get bogged down in rhetoric and what is "hot" at the moment. I believe that sustained school improvement will take guts (good old fashioned courage), focus and stamina. Here are a few tenets that make sense to me:

If a child is not present at school, he or she cannot possibly learn. Schools that consistently report high student achievement consistently have students with great attendance. Yet one of our greatest school problems is student attendance. Why do we have to beg parents to get their children to school, to convince them that we need their children present and as stress free as possible? A parent asked me once why her child needed to come to school every day. She was actually upset that the school district had a policy that addressed absent and tardy children. She said it was not the school's business to tell her how to raise her children.

Of course, that did not make sense. Students are often caught in the middle of home/school discord. We should be on the same page! In an ideal world, all parents would recognize the need for excellence and consistency. Until the world reaches that ideal state, we must continue to strive for improved communication between home and school.

TED.com: How schools kill creativity

All children must have a champion, one who makes solid and sensible decisions that will help them grow into mature, happy and reliable adults. It does not have to be a parent, but it has to be someone.

And while it makes sense to hold home to a standard, where are our standards for educators? Why do we allow incompetence to remain? Doing so does not make sense. Many poor teachers stay on the job for decades and it is often the poorest schools that are saddled with the poorest teachers. I am not aware of any corporate entity (other than schools) that passes incompetence around in a circle.

If it is proven that a teacher can't teach (as indicated by low student performance, low enthusiasm, non-existent relationships with students and co-workers) why aren't they fired?

Sports franchises look for the best players and coaches to create a winning team. They hire scouts to find the best personnel and pay them accordingly. I believe that if we paid for excellence and then insisted on it, the academic complexion of our schools would change dramatically.

At the public schoolhouse, the players are on the team by default. Public school educators do not get to choose who makes the team and who doesn't. Everyone who walks on the field must be coached They may not all be first string, all of them may not make the college or pro team, but they must all know how the game is played and the rules for doing so.

It is impossible to create an excellent team with inferior coaching, with players who are allowed to make up their own rules. Championship schools and classrooms are deliberate, not accidental.

TED.com: Your elusive creative genius

It makes sense to pay attention -- our students give us clues about their lives every day. Signs that a student will potentially drop out are evident long before high school, but that is often when we begin to take notice. Negative and belligerent attitudes, poor academic performance, low attendance rates and a failure to develop positive relationships are evident early on in many children. However, our school counselors and social workers have been cut from the school budget, or have been assigned other duties.

A large percentage of children who drop out of high school read far below grade level. The problem presents itself at the elementary level, yet children are continuously passed on. Wouldn't it make more sense to intensely focus on teaching students to read? Instead, we opt for placing them in special education. Not wanting to be considered "mentally retarded," children are embarrassed and angry and therefore drop out socially long before their physical departure.

TED.com: Where does creativity hide?

It makes sense to create a winning spirit in children. All may not want to attend college, but that is what we push for all. Why do we make the students who want to learn a skill or trade feel inferior to their college bound counterparts? That doesn't seem fair, nor does it make sense. We have basically told children that they will be useless citizens without a college degree.

The last time I needed a plumber, I didn't ask for his college diploma, I checked for this level of expertise and proof of customer satisfaction. Teachers should encourage skill excellence and passion for whatever students choose to do or become. It just makes sense.

The opinions expressed in this commentary are solely those of Rita Pierson.

@highlight

Rita Pierson: Education is beset by fads, but there are some basic truths

@highlight

It takes guts to hold students and teachers accountable, she says

@highlight

If a child isn't present, he or she can't learn; fire teachers who always fail, she says

@highlight

Pierson: Don't push every child to go to college or make them feel worthless if they don't