(CNN) -- Elections have consequences.

That's the message of Monday's rulings from the Supreme Court -- and, indeed, all decisions by nine justices whose ideologies reflect, with considerable precision, the views of the presidents who appointed them. Both the Hobby Lobby case -- which concerned the intersection of women's rights, religious freedom, and Obamacare -- and the Harris case, about the future of labor unions, were 5-4 decisions.

Five Republican appointees for the owners of Hobby Lobby (and against the unions). Four Democratic appointees for the Obama administration (and for the unions). Notably, too, three of those four Democratic appointees are women. (Of 112 people who have served on the Supreme Court, four have been women.)

As in so many cases before the justices, the legal issues in these cases were as much political as legal. Indeed, just like politicians, the justices try to frame the questions before them in as politically appealing ways as they can.

In Hobby Lobby, the issue was whether a privately held company, whose owners have strong religious convictions against abortion, can refuse to pay for certain forms of birth control which they regard as immoral. "The owners of many closely held corporations could not in good conscience provide such coverage," Justice Samuel Alito wrote for the majority, and to force them to do so would violate federal law.

Justice Ruth Bader Ginsburg, for the dissenters, framed the issue in an entirely different way. She and her colleagues saw Hobby Lobby as asking for -- and receiving -- a license from the court to discriminate against women. What, she asked, about companies that have religious objections to treating African-Americans equally -- or gay people? And, she asks, "how does the Court divine which religious beliefs are worthy of accommodation, and which are not?"

The same kind of conflict undergirds the union case. In that case, home care workers who are covered by a union contract demanded the freedom to refuse to pay dues -- which the conservative majority granted them. Is this, as Alito (again) held, simply a matter of preserving the freedom of speech rights of these employees? Or is it, as the dissenters, led by Justice Elena Kagan, said, a vehicle to starve unions of the dollars they need to survive -- and negotiate precisely these kinds of contracts?

Toward the end of this year's term, there were more unanimous opinions than usual -- including rulings about the right of police officers to search the personal electronic devices of persons under arrest, and about the legitimacy of the use of recess appointments by the Obama administration.

But no one should be misled. When it comes to the most fundamental issues before the court, the most important factor is not the legal arguments but the identity of the judges -- and the presidents who appointed them. Republicans vote one way, Democrats another. It's true in Congress, and it's true on the other side of First Street as well -- in the marble temple of the United States Supreme Court.

@highlight

Jeffrey Toobin: Court rulings reflect ideology of presidents who appointed each justice

@highlight

Toobin: 5 GOP appointees for Hobby Lobby, 4 Democratic appointees against it

@highlight

Toobin: All 3 women on court ruled against Hobby Lobby; union ruling fell along same lines

@highlight

Toobin: Dissent said Hobby Lobby got a license to discriminate. What's next?