(CNN)Of the slew of expensive ads streaming into our living rooms courtesy of this Sunday's Super Bowl XLIX, there's one commercial that I hope all 100 million viewers watch carefully.

It's only 30 seconds long. The visuals pan the inside of a family's house with a few pictures of kids on the walls. The dialogue is simple. A woman orders pizza from a 911 operator. After a moment of frustration, the dispatcher catches on that this woman is in trouble, and pretending to order pizza from 911 is the only way she can call the police.

This commercial, created by the advocacy group No More, is the only TV ad that has ever made me bury my head in my hands and sob. Listening to the woman ask for help reminded me of the two policemen who came to my home 23 years ago when my abusive husband choked me and beat me so severely I thought he would kill me.

With the recent controversy over Baltimore Ravens' running back Ray Rice, and San Francisco's Ray McDonald alleged sexual assault of a woman, the NFL badly needs some good PR when it comes to violence against women.

The league has not historically taken abuse by players seriously.  According to the USA Today NFL arrest database, there have been 89 family violence arrests of NFL players since January 2000, making domestic violence the worst crime category within the NFL. In the first few weeks of 2015, one NFL player, New Orleans' Junior Galette, was arrested for alleged assault of a woman in his home. He denied the allegation.

But the bigger problem isn't going away.

The NFL's refusal to understand domestic violence and punish offenders obviously needs to change. Although the league deserves polite applause for using the most-watched sporting event of the year to raise awareness about domestic violence, one powerful ad isn't going to solve the problem.

The NFL seems committed to penalizing domestic violence perpetrators through its new Personal Conduct Policy. It has  hired domestic violence advocates such as Cynthia Hogan, one of the original authors of the Congress' 1993 Violence Against Women Act.

But there are easy things we can all do to end domestic violence. The first: learn how complex and cold-blooded abuse is. Intimate partner abuse has nothing to do with testosterone, or playing or watching sports. It doesn't even necessarily have anything to do with being male.

Relationship abuse is a systematic pattern of psychological and/or physical domination, perpetrated by both men and women at alarming rates across all ethnicities, income levels, educational degrees, religions and nationalities. Relationship violence is one of our society's most common, underreported and underprosecuted felony crimes.

Here are a few misconceptions to explode on Super Bowl Sunday (and all other days of the year):

Smart women are never domestic violence victims

Domestic violence occurs in all communities and all countries. Without a doubt, someone from your school, your neighborhood, your church or your workplace is currently being abused. The major risk factor: being young and female; women 18-24 are three times as likely to be abuse victims, and one in four women will be physically abused by an intimate partner at some point in her life -- regardless of her IQ or diploma.

If you are being abused, just leave

Abusers often threaten to kill victims if they leave; statistics show that most domestic violence homicides happen after the relationship has ended. Victims often have children, pets, homes, family members and jobs to protect. It takes an average of seven attempts -- often over the span of years -- to escape a domestic violence relationship. Leaving is rarely easy.

The abuse stops when you end the relationship

Financial abuse, stalking and battles over children are common post-relationship abuse vehicles to manipulate and harm victims. Many of the 15 million children who witness family violence every year pay the abuse forward; boys who are exposed to violence in their homes are more likely to abuse their own partners and children later in life.

Abuse is a women's issue

How can this be true, when millions of boys are victims of family abuse, and over 96% of convicted abuse perpetrators are male? Actor and singer Harry Belafonte said it best: "Men, who created violence against women, are the ones who should end violence against women."

It will never happen to me

That's what I thought growing up in Washington, DC in a nonviolent family of Harvard graduates. I thought I couldn't possibly be stupid enough to let a man beat me, until my husband, also an Ivy League graduate, choked me five days before our wedding. During our marriage he held a gun to my head, pushed me downstairs, routinely called me "retard," and repeatedly threatened to kill our dog. Abuse can happen to anyone. Although the police had evidence, my husband was not arrested or charged; at the time I had no idea that physical abuse was a crime, and I would have protested that I was a strong, smart woman in love with a troubled man, but not a battered wife.

There's nothing I can do to help

Abuse thrives only in silence. Simply by talking about the complex realities of intimate partner violence with your friends, co-workers, and family, you establish yourself as a sympathetic resource for victims in the future.

And please, take half a minute on Superbowl Sunday to watch this ad.

@highlight

Leslie Steiner: There's one ad that we should all watch during Sunday's Super Bowl XLIX

@highlight

She says the NFL deserves praise for raising awareness about domestic violence, but one ad won't solve the problem