Beijing duck, steamed dumplings or a glass of green tea: these are the culinary offerings most associated with China. But beer?

Believe it or not, China is the beer-chugging capital of the world. The Chinese public gulped down 59.3 billion liters of alcohol in 2012 -- nearly double the amount quaffed in the U.S. Beer accounted for 84% of that figure, according to market research firm Euromonitor. Yet per capita, Chinese consumption was only about 35 liters annually -- less than half of the United States, according to Bloomberg -- and still has enormous room to grow.

That has led to a microbrewery boom in Beijing. "There's a whole slew of places that are about to emerge," said Ryan O'Neal Johnston, owner of Beijing's The Drive-Thru Bar. "For anyone interested in anything besides lagers and Tsingtao, it's on."

Enter Carl Setzer, A 31-year old native of Cleveland, Ohio, who had barely touched alcohol until he was 25. After college, he landed in Shiyan, Hubei Province where an agency found him work at Dongfeng Motors. Setzer, an IT specialist, walked away from his lucrative career and jumped into the microbrewery business because he saw a niche. "Never let a market that has a requirement go unsupplied," said Setzer, who opened Great Leap Brewing in October 2010.

Last year, Great Leap grossed $225,000 with China's low operating costs cutting into only about a quarter of that figure.

On a recent Saturday night, the bar's open air courtyard and small anteroom in Doujiao Hutong were standing room only as a flustered bartender struggled to keep glasses full. "The greatest accomplishment is that people come here," said Setzer, who recently opened a second location on Xinzhong Street

Expats originally dominated the Beijing microbrewing scene, but that is changing. The clientele has been diversifying rapidly as more Chinese return from stints abroad and with greater levels of disposable income, according to microbrewers.

The growing appeal to locals, however, may have more to do with the product itself. Great Leap infuses traditional Chinese ingredients with time-honored brewing techniques. Drinks like the "Iron Buddha," blended with hints of Tieguanyin tea or the "Cinnamon Rock Ale" incorporating Chinese "large bark cinnamon." The "Honey Ma Gold," Great Leaps most popular, is infused with the mouth-numbing essence of the Sichuan Peppercorn (huajiao). All sell for between 30 and 50 RMB ($4.89 -- $8.15) a glass.

Success has bred competition. Chandler Jurinka opened Slowboat brewery in February 2012 with distribution to various expat friendly hotels, restaurants and bars, and followed up with the Slowboat Taproom in Dongsibatiao Hutong in December.

"I've always been someone who recognized and valued quality," said Jurinka, a former U.S. Army Sergeant from Washington D.C. Jurinka, 46, first came to China in 1994 as a student at the University of Nanjing and after an 11-year hiatus bounced around the Chinese start-up world before settling into his latest venture with Slowboat.

Offering a more traditional selection of homebrews, Slowboat's popular brands are The Captain's Pale Ale, Jack Tar Scottish Ale and Imperial Vanilla Stout. Jurinka, too, is looking to capitalize on soaring Chinese demand. But Slowboat uses mostly imported ingredients, catering to the popular belief that foreign food products are superior to domestic.

Microbrews in Beijing are more than just keeping glasses full. Great Leap and Slowboat are both based deep within traditional Beijing residential "hutong" neighborhoods and have paid particular attention to adapting their presence seamlessly to locals. "Strangers in hutongs are never welcome," said Setzer. Great Leap maintains a strict midnight closing and even earlier hours in summer and during university exams, while Slowboat made their space (almost) completely soundproof. Both men too have married into Chinese families and are currently raising their own.

Community relations is just one of the unique challenges that both face as small business owners in Beijing. Laws and regulations are often ambiguous and Setzer admitted that "you have to make use of personal connections" to get things done.

For Slowboat, the biggest challenge came in the form of intellectual property. "If you're not being copied then you're not relevant," said Jurinka, who said he required "constant and rapid innovation" to stay ahead of the curve. Jurinka estimated that eight to 10 new microbreweries were about to emerge. "Sometimes they come in here and they are taking pictures of the tiles on the wall."

At the recent 2013 Beijinger Magazine Reader Bar and Club awards, it was a banner night for Great Leap which swept several categories including "Bar of the Year," "Best Local Craft Brewing" and "Personality of the Year," for the famously cantankerous Setzer. Not to be outdone, Slowboat received the "Best New Bar" award.

Jurinka, though, said he is focused on the big picture. "Slowboat is not in competition with any other local brewery," he said. "There are 20 million people in this city and the more local Beijing breweries, the greater the likelihood that there will be a craft beer revolution in Beijing."

@highlight

China is the beer-chugging capital of the world, drinking twice as much as the U.S.

@highlight

Per capita  consumption of beer is still half that of Americans, showing room for growth

@highlight

A growing  number of foreign-run microbreweries have launched in Beijing

@highlight

Biggest challenge is intellectual property: "If you're not being copied then you're not relevant"