In the run-up to the Israel elections, two pieces of conventional wisdom were making the rounds among analysts, diplomats and experts:  First, Benjamin Netanyahu would win big, and second, the victory would propel him on a collision course with Barack Obama, a second term president seeking to do something serious on the peace issue.

The first proved to be dead wrong. The second will probably follow suit.

"Bibi" Netanyahu has just been re-elected prime minister, no less for the third time. But don't get out the popcorn and turn out the lights just yet.  The sequel to the Obama-Bibi wars isn't about to begin.

Sure, their relationship has been perhaps the most dysfunctional in the history of U.S.-Israeli ties.  And there are bound to be plenty of downs in the next several years, particularly if Netanyahu is forced to form a narrow right-wing governing coalition.

But the U.S.-Israeli relationship is simply too big and important to fail, particularly now.

Netanyahu's party wins but centrists flex muscle, polls show

Indeed, given the real prospects that the new Israeli coalition will include Yair Lapid's centrist party (whose surprise showing of 19 seats may make him a  coalition lynchpin) and maybe another moderate faction if Lapid won't sit with other right-wingers in the coalition, the two leaders may have less reason to fight and more reasons to cooperate. Here's why.

Second term illusion

The notion that a second-term president freed from the constraints of re-election will now hammer an Israeli prime minister with a big peace initiative just doesn't add up.

First, there's no precedent for such a thing in American policy toward the Arab-Israeli negotiations. Bill Clinton's push at Camp David in July 2000  -- the precedent most often cited -- came not from Clinton, but at then-Prime Minister Ehud Barak's urging.

Second, it's the presence of opportunity, not the absence of political constraints or the desire to get even and settle scores, that leads a U.S. president to act.

A quick look around and any sentient human being would see that a grand deal between Israelis and Palestinians isn't possible now. Lapid's presence in the coalition may restrain some of the Israeli right's ambitions to expand settlements, but it isn't enough to support a full-scale push toward a comprehensive peace.

Indeed. Lapid's focus was on economic issues and national service, not on negotiations with the Palestinians.

The suspicions between Israelis and Palestinians are too deep, the gaps on the issues too big, and the political houses on each side too divided.

More likely, the new Netanyahu government will focus on some kind of interim accord with the Palestinians.  And that leads us to the second reason that a big fight is likely not in the offing.

Why fight about nothing?

Fighting with an Israeli prime minister (and the Arabs, too) is a part of the job description of serious American mediators. But the fight needs to be productive and worth the effort.

Right now, there's nothing to fight about because there's no conceivable Israeli-Palestinian agreement in the offing. You fight when you think there's a way to produce an agreement that would justify the risks of a confrontation, not when you're certain to fail. For Obama, whose domestic agenda will require an enormous expenditure of political capital at home, neither fighting with Republicans and Democrats over pressure on Israel nor launching an initiative that fails is smart politics.

John Kerry needs a friend

We are going to have a new secretary of state who will have responsibility -- assuming he can convince the president to let him handle the issue -- for dealing with the Israeli-Palestinian problem. The last thing Kerry wants is a worsening of ties between Obama and Netanyahu that makes it impossible for him to do his job on such a key issue.

If Kerry wants to have a chance of succeeding -- even to manage the problem -- he'll need a relationship with Netanyahu based on some measure of confidence and trust. This is even more important given the absence of such trust between Obama and the prime minister.

Bush 41 and then-Prime Minister Yitzhak Shamir didn't get along. James Baker managed to hammer out a working relationship with Shamir, tense at times but functional. Without it, there would have been no Madrid peace talks.

If Kerry is smart, he'll keep the door to Netanyahu open and try to  see if he can't reach some understanding with the prime minister.  If he can't, there will be plenty of time to fight later.

The Iranian Issue

The big reason why Bibi and Obama will likely have a stake this time around in more cooperation and less friction is Iran. The fact is neither Obama, the mullahs, nor Netanyahu wants a war over the nuclear issue. But avoiding one will require the closest of cooperation between Jerusalem and Washington.

There's an expectation that 2013 will be the year of decision on the Iranian nuclear issue.  Maybe yes, maybe no. But that expectation alone will require intimate coordination to prevent a unilateral Israeli strike, to see whether diplomacy can produce an Iranian-American deal and to determine whether it can be sold to Israel.

If not, and no diplomatic fix to the nuclear issue is possible, American-Israeli understandings will be required on a military option. Either way, neither the United States nor Israel can avoid a public falling out over Iran or a major split over how to manage the problem.

Simply put, the U.S.-Israeli relationship is too big to fail. That doesn't mean there won't be real differences over settlements, for example, that won't cause friction.

But on the two biggest issues of the day, how to manage Iran and the Palestinians, there can't be solutions without close Israeli-American cooperation.

It's legacy time. This is Obama's last term as president and perhaps Netanyahu's last term as prime minister. Obama doesn't want to be the U.S. president on whose watch Iran crossed the nuclear weapons threshold and certainly neither does Bibi want to be the Israeli prime minister held responsible.

It would be nice to imagine that the two can sit down and reach a broad strategic understanding -- first we deal with Iran, and if we succeed through diplomacy or even war, then let's find a way to preserve the two-state option for Israel and the Palestinians.

But even if this doesn't happen, these two leaders are inexorably bound together. They're never going to love each other. But I'm betting they'll find a way to get by without a major fight neither wants.  The fact is the protection of Israeli and American interests and regional stability in a volatile, turbulent Middle East depends on it.

@highlight

Benjamin Netanyahu is headed for third term as Israel's prime minister

@highlight

Aaron Miller: Results of election mean he will likely ally with moderate faction

@highlight

He says that dynamic will reinforce need for close cooperation between Obama, Bibi

@highlight

Miller: The two leaders may not like each other, but they need each other now