(WIRED) -- More and more schools are jumping on the digital bandwagon and adopting iPads for daily use in the classroom. Apple's education-related announcements last week will no doubt bolster the trend, making faculty tools and student textbooks more engaging and accessible.

But today another data point emerged, demonstrating that the iPad can be a valuable asset in education. In a partnership with Apple, textbook publishers Houghton Mifflin Harcourt performed a pilot study using an iPad text for Algebra 1 courses, and found that 20% more students (78% compared to 59%) scored 'Proficient' or 'Advanced' in subject comprehension when using tablets rather than paper textbook counterparts.

The study was conducted at a Riverside, California, middle school from Spring 2010 to Spring 2011 using HMH's Fuse: Algebra I app. Similar pilot courses and iPad programs have cropped up all over the country, primarily in private and boarding schools, and select universities. In the public school sector, more than 600 school districts have adopted a 1:1 iPad program.

The iPad seems to help students better connect with the content at hand.

"Students' interaction with the device was more personal. You could tell students were more engaged," said Coleman Kells, principal of Amelia Earhart Middle School. "Using the iPad was more normal, more understandable for them."

Tablets could be less daunting to students, too. Marita Scarfi, CEO of digital-focused marketing agency Organic, says that moving textbooks to mobile devices will reinvent learning.

"Now you don't know if a book is super huge and formidable," Scarfi says. "Learning can be done in snackable chunks. It could be reoriented."

Another study centered on an iPad game, Motion Math, has shown that the iPad can help with fundamental math skills. Fifth graders who regularly played the game for 20 minutes per day over a five-day period increased their test scores by 15% on average (you can check out more about this study on Wired's GeekDad).

Digital textbooks haven't enjoyed the same success as app-based learning tools thus far, however. E-textbooks have been a transitional product, Forrester analyst Sarah Rotman Epps wrote in a November 2011 report. They make up less than 3 percent of textbook sales, and don't offer much over their paperbound counterparts.

Apple's new and updated products — iTunes U (an app-based hub for virtual classrooma), as well as iBooks 2, the iBookstore and iBooks Author — should help provide solutions for educators looking to provide more engaging experiences than plain, old PDFs, all without the heavy investments required of building apps from scratch.

"With iBooks, learning will be a lot more experiential," Scarfi told Wired in an e-mail. iBooks also have the potential to ease some of the financial burden of schools, as ebooks could save on textbook costs. "Other benefits include more timely and relevant content, and the ability for students to interact and share this content with ease. Textbooks will now become social in a variety of ways."

However, even if e-book prices themselves won't break the bank, iPads are still a $500-plus investment per tablet. Funding is still a problem, particularly for public schools. Luckily, there are sites like DonorsChoose.org that can help offload the costs from teachers and school districts.

And a program called SA500 Kids is helping to accelerate funding for technology resource requests on the site. Thus far, iPad requests have been fairly low: SA500 Kids has funded 24 iPad-based project requests since Nov. 25. Currently there are 418 iPad-related requests on DonorsChoose, out of the 20,000 projects listed on the site.

When the next iPad debuts, if Apple goes with a similar pricing scheme as it has with the iPhone — as rumored — then schools will be able to pick up iPads on the cheap and really be able to utilize the company's new education related products.

But regardless, it looks like the iPad is starting to do an impressive job of improving the education space. And now that publishers and instructors have these iBooks tools at their disposal, students can continue to reap the benefits of increased understanding and greater participation.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Pilot study done by textbook publishers Houghton Mifflin Harcourt and Apple

@highlight

Middle school students studied from 2010 to 2011 using HMH's Fuse: Algebra I app

@highlight

During study, iPad seemed to help students better connect with the content