(CNN) -- On Wednesday, President Obama took a meaningful step toward reshaping our nuclear arsenal in line with the reality of 21st-century security priorities. Standing at the Brandenburg Gate in Berlin, he announced that he would seek negotiated cuts with Russia of up to one-third of strategic nuclear weapons as well as address the issue of nuclear weapons stationed in Europe.

But we must understand that these proposed reductions are significant only if they are part of an ongoing effort to eliminate nuclear weapons altogether. If they serve to legitimize the indefinite retention of nuclear weapons at an "acceptable" level, the specter of nuclear catastrophe will continue to haunt humanity, for arsenals of this reduced size would still inflict unimaginable destruction across the planet.

A study by Physicians for Social Responsibility (PDF) showed that if only 300 warheads in the Russian arsenal got through to targets in American cities, 75 million to 100 million people would be killed in the first 30 minutes by the explosions and firestorms that would destroy all of our major metropolitan areas, and vast areas would be blanketed with radioactive fallout.

In addition, the entire economic infrastructure, on which we depend to sustain our population, would be destroyed. The transportation system, the communications network, the public health and banking systems, the food distribution network -- all would be gone. In the months after this war, it is probable that the vast majority of the American population who were not killed in the initial attack would die of starvation, exposure, epidemic disease and radiation poisoning.

Even with Obama's proposed reductions in nuclear weapons, the United States and Russia would each continue to possess more than triple the nuclear weapons required to cause that devastating scenario

But as unimaginable as these direct consequences would be, the effects throughout the world would be even worse.

A recent study by Robock, Oman and Stenchikov (PDF) showed that a nuclear war, even with the reduced numbers Obama has proposed, would cause catastrophic global climate disruption (PDF).  The firestorms started by these nuclear explosions would loft 50 million to 100 million tons of soot into the upper atmosphere, blocking out the sun. In a matter of days, temperatures around the world would plummet by as much as 20 degrees centigrade -- 36 degrees Fahrenheit -- in the agricultural regions in the interior of continents. The result would be a catastrophic failure of crops throughout the world and a global famine that could claim a majority of the human population.

The existential threat to human civilization that nuclear weapons would still pose does not mean these proposed reductions are not useful. On the contrary, they are a critically important step to reduce the nuclear danger, and it is essential that we implement them as rapidly as possible.

But we can't stop there. This effort must lead to multilateral negotiations involving all nuclear weapons states, negotiations that will produce a nuclear weapons convention banning these weapons once and for all. These negotiations will not be easy, and the treaty they produce will have to be a hard-nosed agreement that establishes mechanisms to verify and enforce compliance. But we don't have an alternative.

Some say it is unrealistic to think we can eliminate nuclear weapons. But in truth, it is unrealistic to think we can maintain nuclear arsenals indefinitely and still avoid a nuclear conflict.

The Cuban Missile Crisis 51 years ago brought us to the brink of nuclear catastrophe. Further, we know of at least five occasions since 1979 when either Washington or Moscow prepared to launch a nuclear war in the mistaken belief that they were themselves under attack. The most recent near miss that we know about was in January 1995, a full five years after the fall of the Berlin Wall. On each of these occasions we were incredibly luck and a national security strategy based on luck is not a wise course of action.

As long as there are arsenals of nuclear weapons, we are living on borrowed time. We owe it to our children to eliminate them from the world, and we should start by implementing the modest proposals made by Obama in Berlin this week.

The opinions expressed in this commentary are solely those of Ira Helfand and Alan Robock.

@highlight

President Obama will seek cuts with Russia of up to one-third of nuclear weapons

@highlight

Writers: No such thing as "acceptable" level; even lesser amount could obliterate humanity

@highlight

Writers: 300 warheads would kill 100 million; the rest would die from starvation, poisoning

@highlight

We cannot maintain nuclear arsenals indefinitely and still avoid a nuclear war, they say