Kampala, Uganda (CNN) -- A violent reaction by Ugandan authorities to ongoing protests against high food prices has put a spotlight on President Yoweri Museveni's 25-year rule over the East African country and raised the fear of a return to the brutal days of Idi Amin.

Museveni's various police units and military are deployed around the country to keep a watchful eye on an increasingly impatient nation.

With pistols and AK-47s, men wearing uniforms in various shades of blue can be seen on every street corner and sidewalk in the capital, Kampala. It's extremely confusing for a visitor to determine their purposes.

Locals explain that the "Black Mambas" are special forces, sometimes called the presidential guard, while riot police wear a dark blue uniform. Sporting red berets are the military police, the ones people say are notorious for using live ammunition on civilians. Several other units wear various camouflage uniforms. The ones in khaki are the "proper police," people say.

At least 10 people have been killed in Uganda in recent weeks as these various government security forces quash what many have described as one of the biggest challenges yet to Museveni's rule.

In a recent television interview, the 66-year-old leader scoffed at suggestions his administration is behaving like that of former dictator Idi Amin, whose 1971-1979 regime was known for massive human rights violations.

"Do you know what Amin used to do?" he asked the interviewer. "Murder them and throw them in (the) River Nile for the crocodiles. I have not heard of (Kizza) Besigye's body floating for the crocodiles to eat."

Besigye is the president's former physician turned bitter political rival who since April 11 has been leading a "walk to work" campaign against the rising cost of living. He was brutally arrested late last week in Kampala.

Policemen, some in plain clothes, armed with pistols and AK-47s, broke Besigye's car window and sprayed him with copious amounts of pepper spray before pushing him into the back of a police truck. It was the fourth time in three weeks he has been arrested. He was later let out on bail, and was in need of medical attention.

That evening, independent news channel NTV broadcast the whole episode to the nation. The next morning local papers, including the government-controlled media, led with the story. The reaction was swift, fierce and chaotic.

While driving downtown on Friday morning, a group of journalists suddenly heard in the distance the sound of shooting -- rubber bullets, it turned out -- and saw hoards of people run for cover.

"The people are unhappy about what happened to Besigye," a local journalist remarked.

As the bells of Westminster Abbey in London tolled in anticipation of Catherine Middleton's arrival to marry Prince William in what was labeled the fairytale wedding of the century, Kampala and its surroundings were boiling. Fearless protesters barricaded roads, confronting police in a clear display of anger at what many see as unnecessary brutality against a man who is simply highlighting the plight of all Ugandans.

By the time the prince had kissed his new bride for the second time, four Ugandans were dead, some 200 were injured and more than 300 were behind bars.

Such scenes have been playing out in Uganda for weeks and the situation appears to be escalating.

Museveni blames the food crisis on drought and high oil prices, while Besigye believes the mismanagement of the country's economy over the past quarter of a century is at the core of the problem.

Since Museveni's National Resistance Army seized power in 1986, Uganda has seen relative peace and economic growth. The country is the third-strongest economy in East Africa after Kenya and Tanzania.

But Museveni, once seen as a new brand of African leader by the West, has over the years tightened his grip on power. He changed the constitution that limited presidential terms to two so he could run for a third term, and then a fourth one this year. His military and police are on standby waiting to crush any sign of dissent or rebellion.

Some have predicted an Egyptian-style revolution in Uganda. It was, after all, economic circumstances that lit the splinter that became the uncontainable bonfire some call the North Africa revolution. Whether Uganda could be next remains to be seen.

So far, the violent response to the protests has not appeared to deter a people who say they are fed up with poverty for the majority and prosperity for a few.

@highlight

Protests against food prices in Uganda are being met with violence

@highlight

President Museveni blames the food crisis on drought and high oil prices

@highlight

Protest leader Besigye blames mismanagement of the country's economy