Washington (CNN) -- Two years after the terror attack on the U.S. diplomatic compound in Benghazi, Libya, many Republicans still have unanswered questions about security issues related to the incident. Many Democrats say that after dozens of hearings, briefings, probes and reports on the subject, this latest committee could amount to nothing more than a fishing expedition.

One thing both parties agreed on at Wednesday's first hearing of the latest inquiry - the new House Benghazi Select Committee- was that substantial security improvements by the State Department and an eye to the lessons of the past are necessary to prevent future American deaths.

The September 11, 2012, attack left U.S. Ambassador Christopher Stevens, Sean Smith, Glen Doherty and Tyrone Woods dead, and immediately sparked controversy, with Republicans accusing the Obama administration of mishandling the attack and manipulating the talking points used to discuss it for political reasons.

Numerous investigations into the attack have been championed on the right by media organizations and by Republicans, including former presidential candidate Mitt Romney and House Oversight and Government Reform Committee Chairman Darrell Issa.

The goal of this latest committee -- the House Benghazi Select Committee -- is to "produce the final, definitive accounting on behalf of Congress of what happened before, during and after the terrorist attacks on our facilities in Benghazi," according to committee Communications Director Jamal D. Ware.

Wednesday's hearing, titled "Implementation of the Accountability Review Board (ARB) Recommendations" -- a topic the committee spokesman said was selected by Democrats -- was aimed at examining the steps being taken to implement a series of proposals to make sure high threat diplomatic posts get the security they need. Gregory Starr, Assistant Secretary of State for Diplomatic Security, Mark J. Sullivan, Former Director of the United States Secret Service and Todd Keil, former assistant secretary for infrastructure protection at the Department of Homeland Security testified before the committee.

Related: Clinton supporters launch counter-attack on Benghazi claims

"Now is the time to clear the smoke, remove the mirrors. Now is the time for the Department of State to finally institutionalize some real, meaningful and progressive change," Keil, also a member of the ARB's Independent Panel on Best Practices, said in his opening remarks. "They can't lose this moment. Words and cursory actions by the Department of State ring hollow absent transparency and verifiable and sustainable actions."

Past recommendations ignored?

Keil, Select Committee Chairman Rep. Trey Gowdy (R-SC) and other members said too often the recommendations made after a security failure have been ignored. Gowdy cited proposals presented after the Beirut embassy bombing in 1983 and the 1998 bombings of the U.S. embassies in Kenya and Tanzania.

"It is stunning to see the similarities between the recommendations made decades ago and the recommendations made by the Benghazi ARB and, if you doubt that, I want you to compare the recommendations of those made 25, a quarter of a century ago, 25 years ago, with the recommendations made by the Benghazi ARB," Gowdy said. "We do not suffer from a lack of recommendations. We do suffer from a lack of implementing and enacting those recommendations and that has to end."

Maryland Rep. Elijah Cummings, the ranking Democrat on the committee who has accused Republicans of politicizing the Benghazi attack, said his goal was to focus on reform efforts and to learn from past tragedies. Cummings called the attack a "transformational moment" -- a comment later echoed by Keil and Republican members.

Related: War against ISIS - What does Rand Paul's 'yes' mean?

One high-energy exchange between Ohio Republican Jim Jordan and Keil focused one of the Best Practices Panel's 40 recommendations that the State Department create a new post -- undersecretary for diplomatic security, to help make sure one designated official would be accountable for security. Keil said that was the panel's top recommendation.

"In our executive summary we said one clear and overarching recommendation is crucial to the successful and sustainable implementation of all the recommendations in this report is the creation of an undersecretary," Keil said.

State has declined to implement that recommendation, even though it is similar to one made after the East Africa embassy bombings, Keil said. Jordan slammed the agency's track record.

"What's it going to take for the State Department to put in place the practices that will save American lives?" he asked. "They didn't follow their own standards that were developed in 1983 after the Beirut embassy bombing. They didn't follow the waiver policy to deviate from those standards and now they're not following the Best Practices Panel's number 1 recommendation. What's it going to take?"

Starr said the department looked at the recommendation very seriously and decided what was most important was that he had direct access to the secretary.

"I am directly reportable to the secretary for security threat information and security threats against our people," he said.

Starr said a good deal of progress had been made in implementing other recommendations to mitigate the risk to US personnel in dangerous places.

"Like you, we want to keep our people safe," said Starr in his opening testimony, but he also warned that "While we can do everything we can to reduce the risk, we can never eliminate it fully."

Sullivan, who was also chairman of the Independent Panel on Best Practices, said better communication, planning and logistics and risk management might have helped prevent the deaths in Benghazi and said improvements were being made in each of those areas.

Starr and Keil raised questions about whether U.S. personnel even need to be stationed in dangerous places and said there must be a risk-management process in place to answer that key question in each instance.

"We need to ask the question, why are we in the most dangerous places?" Starr said. "And the 30 places that we identified as the highest threat, highest risk, that's exactly what we're doing, going through every single one of those 30 and doing this vital presence validation process. The first step is, what is our national interest for being there?"

@highlight

A new Benghazi Select Committee got under way on Capitol Hill

@highlight

Two years after the terror attack, many Republicans still have questions

@highlight

Four Americans were killed at the U.S. diplomatic compound in Benghazi