Cottonwood, Arizona (CNN) -- The cheering was raucous and the applause thunderous for a man who makes few public appearances.

As he made his way gingerly across a gravel park, where he had just dedicated a nearly 40-foot statue representing the "Soul of the Earth," a voice shouted out: "I love you, Ilchi Lee."

Lee, a South Korean businessman, is the founder of a national chain of yoga and wellness centers called Dahn Yoga. The company teaches that its physical exercises "can restore the vibrations of the body and brain to their original, healthy frequencies," according to a video introduction on its Web site.

But Dahn Yoga is now defending itself from allegations by former employees that it is "a totalistic, high-demand cult group" that demands large sums of money from its followers and enshrines Lee as an "absolute spiritual and temporal leader."

A lawsuit, filed in a federal court in Arizona, says that recruits "are unknowingly subjected to an intensive program of psychological manipulation, indoctrination and various techniques of coercive thought reform designed to induce them to become Ilchi Lee's disciples and devote themselves to serving him and his 'vision.' "

Jade Harrelson, one of more than two dozen plaintiffs in the lawsuit, said Dahn leaders "prey upon people like me who are ignorant about the way money works."

The company denies the allegations and calls the plaintiffs "disgruntled former employees."

"In our 30-year history, we have helped millions of people lead healthier and happier lives," corporate spokesman Joseph Alexander told CNN.

Dahn Yoga set up its first shop in the United States in 1991, in Philadelphia, Pennsylvania. It now has 127 storefront centers in the United States, more than 1,000 worldwide, and Forbes magazine estimates the company's 2009 profits at $34 million.

Dahn Yoga teaches that what it calls brain wave vibration can ease some of the debilitating symptoms of illnesses such as diabetes and arthritis. Its publicity materials feature praise for Lee from a variety of sources, including Oscar Arias, Costa Rica's president and a Nobel Peace Prize winner; and Broadway producer/choreographer Tommy Tune. In addition, Elkhonon Goldberg, a clinical professor of neurology at New York University's medical school, praises the work of the International Brain Education Association, a group Lee founded.

"IBREA is in a unique position to disseminate knowledge and to serve as a very effective platform for numerous worthwhile projects," Goldberg is quoted on the Dahn Web site as saying. "Ilchi Lee should be applauded for his pioneering creative vision in conceiving and launching this innovative organization with a truly international outreach."

Goldberg did not respond to requests for comment from CNN.

Harrelson and other former employees say Dahn Yoga instructors coerced them into taking out student loans, then transferring the funds to the company. Payments began in small amounts, she said, then progressively increased as fees for training and courses became more expensive. Harrelson said she eventually paid about $40,000 to Dahn.

Alexander said no one was ever coerced into giving money to Dahn Yoga. The former employees "have misinterpreted natural business cycles, natural business goals, as some type of undue pressure," he said.

"We make no excuses and no apology for the fact that we are a business," Alexander said. The plaintiffs, he said, "are after one thing -- they are after money."

And Dahn Yoga attorney Alan Kaplan added, "Let's make it clear. My client, Mr. Lee, is not a cult leader. Dahn Yoga is not a cult."

But Ryan Kent, the lawyer who filed suit on behalf of Harrelson and 26 other former employees in May, said Dahn Yoga leaders indoctrinate followers, then "take advantage of you and take all your money."

Harrelson also said Lee singled her out for special attention and eventually sexually assaulted her while she was living and working in Seoul, South Korea.

She said she trusted Lee and saw him as a father figure, eventually following him to Seoul -- where, she says, he assaulted her one night in 2007 at his apartment.

"In my mind, there was no possible way I could have physically or verbally resisted him," Harrelson told CNN. "To say no to him was to say no to his soul. I became numb, and so what happened, happened not at my consent."

Harrelson said she never filed a police report. The first time she publicly made the allegation was when she and other former employees filed suit in early 2009.

Dahn Yoga's U.S. operations are now based near Sedona, Arizona, about 20 miles from Cottonwood -- where Lee appeared in December to dedicate the 39-foot statue of "Mago." The name is Korean for "Soul of the Earth," the mother figure in a seventh-century creation legend Lee cites as his inspiration.

It was a rare appearance for Lee, who is seldom seen in public and routinely travels with a retinue of bodyguards.

CNN requested an on-camera interview with Lee through his representatives, but was turned down. When approached at a dedication ceremony in this small Arizona town, he was surrounded by bodyguards, one of whom said the Dahn Yoga founder needed a translator to understand the questions.

When a CNN photographer who speaks Korean translated, Lee said it was the first time he had heard of the sex assault allegation. Then his bodyguards forced the camera lens to point toward the ground, and Lee continued to the ribbon-cutting.

Later, his attorney said any claims of sexual assault were not true, and "We are confident we will get those claims dismissed in court."

Harrelson, who goes by "Jade," and college friend Liza Miller also say they were strongly urged to undergo extreme physical training at Dahn Yoga's retreat center in Sedona -- training they say left both women at the brink of exhaustion.

One of the exercises, known as "bow training," involved deep knee bends to the floor to a prone position and back up again, with hands raised high over their heads. Miller, who has joined the lawsuit, says once she had to do 3,000 of the exercises -- "Which took about 10 hours, and we didn't eat or drink during that time."

"People were screaming, people were throwing up, people were running away," Miller said. "People were rolling around, moaning, crying, wailing -- there was a lot of emotional distress. We were taught that because of this bow training, we were cleaning what was blocking us, to connect to our soul."

Dahn Yoga calls Miller's description of the exercise inaccurate.

"These are meditation practices," Alexander said. "They are common throughout Asia, especially in Korea. Generally, people do a smaller number of bows, and they build up to more. I know of no one who does 3,000 bows on a regular basis."

And Dahn Yoga instructor Genia Sullivan told CNN, "The practices that we practice are very helpful."

"They empower people to really use everything they have to become the best person they can be, and I've benefited greatly from it," Sullivan said.

Other Dahn employees sent CNN e-mails supportive of the organization and its leader while this report was being prepared. All praised Lee, with one woman saying she had given her life to him and to the organization. The writers all condemned their former colleagues who have gone to court, and they deny the company is a cult.

By all accounts, Dahn Yoga is a booming business. Lee is revered by most of its adherents. But some former employees who say they once loved the organization are now saying far different things.

"The problem was way at the top, at the very, very top, things are completely dishonest," Miller said. "And that information trickled down so that everyone is believing one thing, which is a total lie."

@highlight

Former employees allege Dahn Yoga is "a totalistic, high-demand cult group"

@highlight

The company denies the allegations and calls the plaintiffs "disgruntled former employees"

@highlight

An investigation of the claims about Dahn Yoga on tonight's Campbell Brown, 8 ET