(CNN) -- I was in Cairo three years ago when the revolution began. I had not thought the January 25th protests would lead to very much. But they did.

Three years later, Egypt greets the dawn of the anniversary with bombs, police violence, and nihilism.

The revolution has become a struggle in a way no one dreamed at the time. It seems to be almost a revolutionary act to simply reject despair. In this despondent phase of the Egyptian tale, there are very few good guys, far too many bad guys, and a plethora of ugly guys.

On the 25th of January three years ago, the divisions in the population were more or less clear. The 'bad guy' was the regime of Hosni Mubarak, with all that implied. The corruption, police brutality, and overall degradation of human dignity in Egyptian society were clearly associated with his office.

Certainly, there were sections of the population that supported him -- in the aftermath of the uprising, 79% of Egyptians said they supported the protests that led to Mubarak's departure. That left a sizeable minority which was uncertain of or opposed the protests.

At the outset of the uprising, most Egyptians were unwilling to throw their weight behind the protests -- but they did not support Mubarak. They just did not see much of an alternative.

Today, the divisions are far more complicated. That 79% has become fragmented in ways that few predicted.

Those that backed the Islamist forces of the Muslim Brotherhood would feel great pride as confidence in its political party went from 15% in the aftermath of the uprising, to a high of 67% a year later. But they would also feel great disappointment: just prior to the June 30th ouster of Mohamed Morsy, Gallup polls and others showed the political force of the Muslim Brotherhood had lost most of its post-uprising popular support over its year in power.

They are now designated as a terrorist organisation by the military backed interim government, albeit without conclusive public proof linking the group to terrorist attacks (a separate terrorist movement, Ansar Bayt al-Maqdis, has claimed responsibility).

The Brotherhood's political strategy has gone from trying to enforce authority over the state from within, to engaging in continuous protests against it from without.

Since the overthrow of Hosni Mubarak in 2011, the military establishment has been the single most popular institution in the country. Popular conscription means that members of most Egyptian families have served in it; the educational system glorifies it, and most media in the country over the past three years has been at best lukewarm in its criticism of it.

At its height over the past three years before Morsy's ouster, public confidence in the military was anything from 80% to 95%. Until Morsy's departure, the Muslim Brotherhood repressed disparagement of the army, and joined in its lionisation, identifying the army as supportive of Morsy's rule. After it, one imagines the popularity of the military dropped with the departure of Brotherhood support for it.

Given the loss of popular support for the Brotherhood, and the overwhelming negative public media narrative about the same, it seems likely the military can still count on a majority of the population to back it.

Other political forces have, generally speaking, decided there is a binary choice to be made: back the Muslim Brotherhood, or back the military.

There was never much lost love between most other political forces and the Brotherhood. The latter already had enemies prior to coming to power, and alienated many potential (and existing) allies during the post-uprising period through its toleration of sectarian rhetoric, permissive attitude to vigilante violence, opposition to consensus building, and failure to enact reforms.

It is difficult to describe most of these anti-Brotherhood forces as "liberal," let alone "revolutionary," however. The past six months have seen the largest number of civilian causalities at the hands of state forces in modern Egyptian history, as well as various other violations of civil rights. Most of these forces have either been silent or actively supportive of such efforts in Egypt's own "War on Terror," although they objected greatly to other abuses during Morsy's tenure.

On the third anniversary of the revolutionary uprising, that leaves one group left to account for -- the group that sparked it in the first place, and continued to fight for it without regard for partisan political interest.

Those original "Jan25 revolutionaries," made up of rights campaigners, civil society activists and others, had no plan during that 18 day uprising -- except to persist and persevere. They were joined by many others -- and no-one can now claim the uprising was theirs alone. The crowds that swept into the different squares of Egypt over those days were representative of Egyptian society in general -- not simply one sector of it.

But that portion of society that sparked the protests, those who continued to agitate for fundamental change, and to criticise, irrespective of who sat in the presidential palace -- they've already realised that just as they were on the margins on January 25 2011, they're still on them in 2014.

Three years later, many of them have been arrested for dissent against the current government. Many had gone into political parties, but they never reached critical mass. What they did have -- what they do have -- is this strange perseverance to continue speaking truth to power.

On January 25 2014, some may go out to remember the uprising where so many Egyptians decided to join them. Mostly, however, they'll probably take a deep breath as they see most Egyptians fall prey to an ultra-nationalism on the one hand, and a sectarian partisanship on the other. Back to the margins they may have gone -- but into oblivion, they refuse to go.

The opinions expressed in this commentary are solely those of H.A. Hellyer.

@highlight

Egypt's revolution has shown clear fault lines in society, says H.A. Hellyer

@highlight

Muslim Brotherhood gained impressive support, and squandered it almost as quickly

@highlight

Hellyer: Military remains popular, despite civil rights violations in Egypt's "War on Terror"

@highlight

Pro-revolution activists and rights campaigners on the margins, three years on