(CNN)The arrest and death of Freddie Gray in Baltimore has sparked protests and accusations of police brutality. But it's unclear how Gray, who was arrested on a weapons charge April 12, suffered a severe spinal cord injury that led to his death seven days later.

Here are the big questions surrounding this controversial case:

What we know: Gray was arrested on a weapons charge in a high-crime area of Baltimore known for drugs. He "gave up without the use of force,"  Baltimore Deputy Police Commissioner Jerry Rodriguez said last week.

An officer apparently took his Taser out and was prepared to use it on Gray, but he never deployed it, Rodriguez said. And none of the six officers involved in the arrest described using force against the 25-year-old.

Gray was placed inside a police van and was able to talk, said Rodriguez, who described Gray as upset.

"And when Mr. Gray was taken out of that van, he could not talk, and he could not breathe," according to Rodriguez.

Police have said Gray was not buckled in with a seat belt during the ride to a booking center.

What we don't know: It's unknown what caused the spinal cord injury that led to his death a week after the arrest, and it's also unknown what, if anything, happened inside the van.

What we know: Segments of cell phone video shot from two different positions appear to begin after Gray has been arrested and show officers dragging Gray, who is handcuffed, to a van. He can be heard screaming.

"He was dragged a bit," said Baltimore Mayor Stephanie Rawlings-Blake, "but then you see him using his legs to get into the van, so he was able-bodied when he was in the van. And we know that when he was finally taken out of the van, he was unresponsive."

One woman who recorded a video of the arrest said she knew Gray.

"When I ran up the street and seen him, the first thing I asked him was he OK because I heard him screaming," the woman said. "He didn't never say yes or no, he just said 'I can't breathe' and just was yelling."

Surveillance video recorded him conscious and talking, police said. That was at 8:54 a.m.

At 9:24 a.m., police called an ambulance for Gray. Police say Gray requested medical attention, including an inhaler, and an ambulance later took him to the University of Maryland Medical Center's Shock Trauma Center.

Rawlings-Blake and  Deputy Police Commissioner Kevin Davis have said the arresting officers should have asked for medical attention immediately after Gray asked for it.

What we don't know: It's unknown why Gray screamed, and the cell phone video doesn't capture the entire incident, start to end. And it's unclear why police didn't call for an ambulance sooner.

What we know: In the wake of Gray's death, six police officers were suspended. Their names were released last week. The suspensions are standard procedure after an "in-custody death," said Baltimore Police Department spokesman Capt. Eric Kowalczyk. It doesn't mean the officers did anything wrong or that they were the only officers involved, he said.

They are: Lt. Brian Rice, 41, who joined the department in 1997; Officer Caesar Goodson, 45, who joined in 1999; Sgt. Alicia White, 30, who joined in 2010; Officer William Porter, 25, who joined in 2012; Officer Garrett Miller, 26, who joined in 2012; and Officer Edward Nero, 29, who joined in 2012.

Three of the six responding officers were on bicycles when they initially approached Gray, according to Kowalczyk.

Another officer joined the arrest after it was initiated, while one more drove the police van, the police spokesman said.

What we don't know: The officers say they didn't use force against Gray, but that's not certain. In fact, details about what each of the officers specifically did have not been released.

What we know: According to court documents CNN obtained, there were more than 20 criminal court cases in Maryland against Gray, and five of those cases were still active at the time of his death.

The cases involve mostly drug-related charges, but there are charges from March for second-degree assault and destruction of property.

Gray was due in court on a possession charge on April 24.

He had been in and out of prison since 2009 for various drug cases, according to Maryland Department of Corrections spokesman Gerard Shields. In February 2009, he was sentenced to four years in prison for two counts of drug possession with intent to deliver. Shields said he could not determine from records what kind of drug was involved.

Gray was paroled on June 30, 2011.

On April 4, 2012, Gray was arrested for violating parole but he didn't go back to prison, Shields said, reasoning that  whatever Gray allegedly did, it "was something minor."

Gray did return to prison in May 2013 for drug possession, serving a month behind bars before his release in June.

What we don't know: It's not known whether Gray's criminal past had anything to do with his arrest, or his death.

What we know: Protesters have taken to the streets of Baltimore daily since two days after Gray's death, rallying around his family.  On the first night, they marched to a local police station chanting "No justice! No peace!" On another occasion they marched to City Hall.

The demonstrations have been peaceful on most nights, but on Monday rioters damaged buildings and destroyed police vehicles. Looters stole goods from several stores. Some groups of people intervened, keeping additional looters out of trashed businesses.

The demonstrators are pushing to get answers about Gray's death and for "justice," as they define it. Similar protests were held in Ferguson, Missouri, following Michael Brown's death and in New York, after the death of Eric Garner. Other small protests have sprung up in other cities in the past week.

"Mr. Gray's family deserves justice," Rawlings-Blake told CNN's Anderson Cooper last week. "And our community deserves an opportunity to heal, to get better, and to make sure that something like this doesn't happen again.

The mayor said that any confirmed information will be promptly relayed to the public.

"I want people to understand that I have no interest in hiding information, holding back information," Rawlings-Blake said.

Some protesters have called for the officers to be arrested and charged. One organizer called for Police Commissioner Anthony Batts to resign.

What we don't know: There's no guarantee protesters will get the kind of definitive answers they want about how and why Gray died.

What we know: Baltimore police are looking into Gray's death and are expected to have a report for prosecutors by Friday.

The probe, like the suspensions of the six police officers, is standard whenever someone dies while in custody.

The police's findings will go to the state's attorney's office, where prosecutors will decide whether charges should be filed.

Batts said recently that a medical examiner had some initial findings, but needed to get back the results of toxicology reports, which could take weeks.

Rawlings-Blake asked for an outside investigation, given the city's dark history of police misconduct.

The U.S. Justice Department, which announced a collaborative reform initiative with Baltimore police in October in light of its past problems, is looking into the Gray case, a spokesman said last week.

The point of that federal investigation will be to gauge whether a prosecutable civil rights violation may have occurred.

What we don't know: What information that investigators, both local and federal, will turn up and when. It is also unclear if the medical examiner called in spinal experts to view the evidence, a possibility Batts raised at a news conference.

What we know: Court documents allege that Baltimore Police Department Officer Garrett Miller arrested Gray after finding a switchblade in his pocket. The Gray family attorney called the allegation a "sideshow." Gray was carrying a "pocket knife of legal size," attorney William Murphy told CNN.

Police never saw the knife and chased Gray only after he ran from them, the attorney said.

The court documents also say that Gray "fled unprovoked upon noticing police presence."

"The officer noticed a knife clipped to the inside of his front right pants pocket. The defendant was arrested without force or incident," the documents say. "The knife was recovered by this officer and found to be a spring-assisted, one-hand-operated knife."

Maryland law makes it illegal to "wear or carry a dangerous weapon of any kind" -- including switchblades -- "concealed on or about the person."

What we don't know: It's not clear that simply having a knife is a crime, said Rawlings-Blake. "It is not necessarily probable cause to chase someone. So, we still have questions," she said.

CNN's  AnneClaire Stapleton, Stephanie Gallman, Eliott C. McLaughlin, Dana Ford and Ben Brumfield contributed to this report.

@highlight

Freddie Gray was arrested on a weapons charge April 12; he was dead seven days later

@highlight

He was put in a police van after his arrest; it's unclear what happened inside the van

@highlight

Gray has a criminal history but it's not known if that had anything to do with his arrest or death