After months of infighting within the Pakistan Taliban, a major faction of the deadly militant group has apparently had enough.

The Mehsud faction has announced it's parting ways with the central leadership of the group, known formally as the Tehreek-i-Taliban Pakistan (TTP), over ideological differences.

The breakaway faction had made attempts to convince the TTP to give up what it said were "un-Islamic" practices, such as attacks in public places, extortion, and kidnappings, and decided to separate from the banned terrorist outfit after these attempts failed, a spokesperson for the newly-formed faction, Azam Tariq, said in a statement released to the media last week.

It's the first split since the TTP -- a coalition of militant groups -- was founded in 2007, seeking to establish its version of sharia law across Pakistan.

Analysts say the move has major implications for alliances among Islamist groups in the region but there's no guarantee it will lead to less violence.

The breakaway faction will be led by Khalid Mehsud -- also known as Khan Syed Sajna -- a TTP commander based in South Waziristan, near Pakistan's border with Afghanistan, Tariq said.

It's believed Mehsud will command as many as 2,600 tribesmen, representing around half of the TTP's forces, although the exact number is hard to determine due to the many smaller splinter groups with changing names and allegiances in other parts of the country, according to Raza Rumi, Senior Fellow at the Jinnah Institute, a Pakistani think tank and consulting editor at The Friday Times.

Internal conflict

Tensions within the TTP have been brewing for some time. They escalated after the group's leader, Hakimullah Mehsud, was killed in a U.S. drone strike in November last year, setting off a power struggle among top commanders of the TTP that led to violent clashes in recent months in which dozens of people were killed.

Appointed by a tribal council, Mullah Fazlullah has stood at the helm of the TPP since Mehsud's death. He hails from the Swat valley and is the first TTP leader who is not a Mehsud. He has struggled to contain the internal frictions among the group's factions, especially those within the Mehsud tribe, which makes up the majority of the TTP.

Speaking on behalf of the breakaway faction on May 28, Tariq said the TTP's governing committee had been taken over by "criminals," accusing the group of taking foreign funding to attack targets in Afghanistan and "spreading unfounded propaganda against the Afghan Taliban."

The split is expected by some to weaken the Pakistan Taliban. It has been hailed as a success for the Pakistani military, which appears to have adopted a strategy of trying to divide the TTP by negotiating with moderate factions, according to Moeed W. Yusuf, director of South Asia programs at the U.S. Institute of Peace in Washington -- although the military has never publicly stated this was its plan.

"Breaking an insurgent faction from within is a time-tested strategy," Yusuf said.

Some factions of the TPP are more willing to end attacks on Pakistani authorities and civilians, in exchange for more autonomy in tribal areas than hardliners, who are determined to implement sharia law across the country.

Fazlullah, who leads the group remotely from Afghanistan, is among those fighting for Islamic law at all costs. On May 19, he said the group would not end its jihad until sharia law was established or they "embrace martyrdom."

"The Fazlullah group is clear on (its) objectives to attack Pakistan's army and Pakistan's state," Rumi from the Jinnah Institute told CNN. "The Sajna group (led by Khalid Mehsud) has reservations (about) what the military has been doing, but resists the brutal attacks on Pakistan's army."

The government began peace talks with the TTP earlier this year but they have yet to reach an agreement.

"I think these recent talks that the government has initiated with the TTP have played their part and it's quite a victory for the ISI (the military's intelligence agency) to have played a role in this split," said Rumi.

War on terror

The ideological rift is also tied to the winding down of U.S. and NATO operations in Afghanistan, analysts say.

"The heart of the reason why the TTP came into being was that it opposed Pakistan's alignment with the United States in the war on terror and the presence of U.S. troops in Afghanistan," said Rumi.

"Now, with the impending NATO withdrawal, the impetus for attacks on the Pakistani state is diminishing because the U.S. has announced it will be leaving the region and of course, that changes the whole context in which (the TTP) is operating."

The question now, says Rumi, is how Al Qaeda and other splinter groups will react. "Al Qaeda is likely to be worried about this split because in a unified strong TTP they had a very useful partner to capture more power and space in Pakistan, but now they will be feeling a little rattled by these counter-moves by Pakistan's government and military."

The secession also comes on the heels of a massive targeted operation in Waziristan by the Pakistani army. At least 60 terrorists were killed in airstrikes in tribal areas this month, the army claims.

On Tuesday, Pakistan's army chief Raheel Sharif announced  "together the whole nation has rejected the misplaced ideology of the terrorists, who have clearly lost their cause already and are being marginalized."

@highlight

Mehsud faction of Pakistan Taliban defects, citing ideological differences

@highlight

The break comes after months of internal friction within the militant group

@highlight

Analysts say the split weakens the Taliban, government talks played a role

@highlight

It remands to be seen how Al Qaeda and splinter groups will respond