(CNN) -- If you were observing American elections from the outside, you might be asking yourself the following:

Can't these people make up their minds? Four out of the last five elections (2006, 2008, 2010 and now 2014) were "wave" elections in which one party won a sweeping victory. They elect a president of one party, then two years later almost inevitably give the other party a huge victory in the midterm election. Why do they expect things to change?

Good question. It's always dangerous to speak of a country of 319 million as having a singular will, or of an election expressing that will. That's particularly true when only about 40% of eligible voters show up for midterm elections. Like every party that wins, the GOP will claim that "the American people" have endorsed its agenda in full, and therefore if President Barack Obama stands in its way, then he's thwarting the public's desires.

We've established that the public is fed up with a Congress seemingly incapable of getting anything done. The trouble is that the voters -- unanimous in their abhorrence of gridlock -- just delivered a result almost guaranteed to produce more gridlock.

To be fair, there was one party assuring them that their votes would do just the opposite. Republican candidates promised voters that they'd stand in Obama's way, and also promised that they'd "get things done," sometimes in the same sentence. As The Atlantic's Molly Ball reported last week, "these two seemingly contradictory messages are at the heart of Republican Senate campaigns across the country. I've heard them from candidate after candidate."

It's one thing to vote Republican because it's the party that reflects your beliefs. But if you're voting Republican because you want to see Congress become more conciliatory and productive, you really should have been paying closer attention the last six years.

That's because obstructionism hasn't been an accident, or a reaction to moves on Obama's part that Republicans found objectionable. It was a strategy they employed from the outset. Literally on the day Obama was inaugurated, Republican leaders gathered over dinner and made a decision to oppose everything he proposed, to deny him both substantive progress and whatever political benefits might accrue to a president who looks like he's accomplishing things.

In 2010, Mitch McConnell explained to The New York Times how important it was to present a unified front of opposition to the President's proposals, because then the public would dismiss the debate as just partisan bickering. "Mr. McConnell spent hours listening to the worries and ideas of Republicans," the paper reported, "urging them not to be seduced by the attention-grabbing possibilities of cutting a bipartisan deal."

As political strategy, it was extremely astute and executed to near perfection. McConnell understood well that the President gets credit when Washington works and blame when it doesn't -- whether he deserves it in either case. So Republicans could pour sand in the gears of government and watch Obama suffer for it.

And it worked. What was the result of six years of unprecedented filibusters, debt ceiling crises, a government shutdown, 50 futile Affordable Care Act repeal votes, endless conspiracy theorizing and a dramatic increase in general buffoonery? Republicans took back the House in 2010, and have now taken the Senate.

Voters rewarded their misdeeds by returning them to power.

And now politicians in both parties are saying they want to come together to accomplish things for the public. The problem is that they don't agree on the things they'd like to accomplish. The argument isn't over means; it's over ends. That'll be even truer when the new Congress is inaugurated in January than it is now.

The new class of freshman Republicans in both the House and Senate is even more conservative than the existing GOP caucus (if you thought such a thing was possible), and to them, "getting things done" means slashing environmental protections, taking away health coverage from the millions who have obtained it through the Affordable Care Act and cutting taxes on the wealthy.

If those new representatives actually managed to turn those beliefs into law, the public would say, "Hey, we didn't vote for that!" And they didn't, even in this Republican-leaning year.

Voters in four deep-red states -- Arkansas, Alaska, Nebraska and South Dakota -- used ballot initiatives to approve one of the Democratic Party's highest economic priorities, increasing the minimum wage. "Personhood" initiatives that would ban abortion failed, not only in the swing state of Colorado but in conservative North Dakota as well.

In other words, where voters had the chance to decide policy issues, they chose the Democratic position even as they were voting for Republican candidates.

So what do the American people want? They want to have their cake and eat it, too. As political scientists have known for decades, Americans are "symbolic conservatives" but "operational liberals" -- they like things like small government in the abstract, but they also like all the things government does.

They elect Democrats who try to accomplish complex policy goals, then turn around and elect Republicans when things don't work perfectly. They say they hate gridlock, then elect people who will give them more of it.

And two years from now, a whole new crop of candidates will barnstorm the country, saying, "Elect me, and we'll clean up this mess." And the voters (or at least enough of them) will, despite all evidence and experience, actually buy it.

@highlight

Paul Waldman: In recent "wave" elections, U.S. voters can't seem to make up their minds

@highlight

He says they abhor gridlock but have elected GOP lawmakers committed to that very thing

@highlight

He says GOP winners said they'd "get things done" and stand in Obama's way

@highlight

Americans want to have their cake and eat it, too, Waldman says