Delta Junction, Alaska (CNN) -- The Trans-Alaska Pipeline, 800 miles long and carrying an estimated 650,000 barrels of oil a day, sweeps majestically over the fast-flowing Tanana River here.

For most of its 33-year history, the pipeline has done its work well. It survived an earthquake and even a 2001 attack by a deranged man who pumped six high-powered bullets into its skin.

But a little-publicized accident over the Memorial Day weekend has triggered a wave of concern among congressional investigators and led to accusations that Alyeska, the oil company consortium that manages the pipeline, is cutting maintenance and safety budgets.

According to pipeline critics, those cuts could endanger the entire system and one day lead to a spill that would shatter Alaska's fragile ecosystems.

"There's incident after incident within the last six months (that) might seem like small things, but when you put them all together, in a relatively short period of time, it really tells you how poorly this pipeline is being maintained," Rep. Bart Stupak, D-Michigan, told CNN in an interview to air on tonigh't "AC360"

Stupak said the biggest and most troubling incident by far was a shutdown of the pipeline caused when both the main power and the backup power failed during a routine systems test at a spot called Pump Station 9, about 10 miles from Delta Junction. It's one of 12 pumping stations between Prudhoe Bay on Alaska's North Slope and the oil terminus at Valdez.

Stupak said no one from Alyeska noticed because Pump Station 9 was unmanned -- part of a plan by the pipeline operator to reduce manpower.

With no power to control the oil flow, the result, company officials acknowledged, was a spill of tens of thousands of barrels of oil into a so-called capture tank. About 5,000 barrels then leaked onto the ground nearby.

CNN was told by Alyeska's chief of security in Fairbanks that a crew could videotape Pump Station 9 from the company parking lot so long as they ventured no farther. When the team from CNN's Special Investigations Unit arrived, however, security personnel stopped them at the entrance about 10 yards from the highway. A guard said he had received instructions to stop them, and he didn't allow CNN access.

Later, Alyeska Vice President of Operations Mike Joynor told CNN that he was unaware of the incident. As for the spill, he said Alyeska was still investigating why the power failed.

Joynor said the company also was in the midst of developing recommendations to ensure the power failure would not be repeated. But he told CNN those steps would not be made public.

According to Alaska state Rep. David Guttenberg, who once worked as a construction worker for Alyeska, the company also wants to move its most valuable engineers and safety experts to company headquarters in Anchorage, far from the pipeline. They now work in Fairbanks, much closer to any potential pipeline spill.

"The e-mails we've been receiving, the fact that Alyeska is moving people away from their posts where they should be out in the field, 350 miles away to an office building in Anchorage, creates a problem of proximity to their work," Guttenberg said.

And one Alyeska source told CNN that a backlog of deferred maintenance, year after year, is the real problem. That backlog is creating what the source called a "bow wave" of repairs that will some day soon cause a cascade of safety and integrity concerns to hit the Trans-Alaska Pipeline.

BP is the dominant partner in Alyeska, controlling 46.3 percent of its budget. It is the dominant partner in the relationship, according to Richard Fineberg, who has served four Alaska governors as an oil and gas advisor and says BP's insistence on cost-cutting has influenced the pipeline consortium.

Alyeska CEO Kevin Hostler, a former BP executive, announced his early retirement in July after being severely criticized by Stupak.

But Joynor told CNN that even though the company's two most recent presidents have come from BP, there is no undue influence from the company, now under fire for its handling of the massive spill in the Gulf of Mexico. And Alyeska says its maintenance budgets fall "within industry standards" and that it is "routine practice" to defer some maintenance items for the succeeding budget year.

Joynor said the pipeline is safe and secure and told CNN that the planned movement of personnel involves only office staff, not "first responders," as he put it. He said the pipeline is safe, and he was not under pressure to cut costs.

"We stick to what our core values are: Safety, integrity, environmental protection and protection of a safe work force," Joynor said.

@highlight

A remote spill dumped 5,000 barrels of crude from the pipeline in May

@highlight

Congressman says "incident after incident" has plagued the pipeline

@highlight

Deferred maintenance risks a bigger spill, source says

@highlight

Pipeline operator Alyeska says the massive conduit is safe