(CNN) -- The tens of thousands of secret documents released this week by WikiLeaks.org don't provide major new insights into the Afghanistan war, and the media response to the disclosures has been "vastly overdone," says analyst Fareed Zakaria.

WikiLeaks released more than 75,000 U.S. military documents on Sunday after giving The New York Times, The Guardian and Der Spiegel an advance look at them.

The disclosures prompted headlines around the world, focusing particularly on reports of ties between Pakistani military and intelligence officials and militant groups fighting NATO forces in Afghanistan.

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Tuesday. Here is an edited transcript:

CNN: What do you make of the disclosures in the WikiLeaks documents?

Fareed Zakaria: I think the reaction has been vastly overdone. Frankly I think it was overdone by the three newspapers that published them and then by the rest of the media. This has been compared by almost everybody involved to the Pentagon Papers. They are in fact nothing like that.

CNN: How were the Pentagon Papers different?

Zakaria: The Pentagon Papers was a secret report commissioned by the highest levels of government to assess how the war was going in Vietnam. What it revealed was that the government, at the very highest level, had been deceiving itself and the American people about the progress of the war, and that the war was in fact going much, much worse than the public had been led to believe.

What the war logs show is nothing like that at all. They provide a lot of granular detail about the complexities of fighting a counterinsurgency war.

CNN: What's the major thrust of the war logs?

Zakaria: They effectively show you what Barack Obama was saying on the campaign trail for about a year, which [Sen. John] McCain largely concurred with -- which was that the war in Afghanistan had been badly fought in the years 2004-2008, which is roughly when the logs date from, that it had been under-resourced from 2004-6, that the Taliban had managed to come back ... and that one of the reasons it had been able to come back was the support of the Pakistani military.

So all this was fairly well known. It does provide some richness and bears some little details such as the fact that the Taliban had been using heat-seeking missiles, which was reported but not widely reported. To me, that doesn't add up to a basic change in what we know about the war. ... If these documents had not been marked "secret" and someone presented you with that as reporting, at this point it would not even have made the front page.

CNN: The head of WikiLeaks, Julian Assange, has suggested the documents may show "war crimes" and said on the Larry King show Monday that "we see events that are very suspicious. ... We see an incident in August 2006 where U.S. forces, in one report, kill 181 [of] what they say are insurgents. There's one wounded and zero captured."

Zakaria: He cited one episode on the Larry King show. A lot of counterinsurgency warfare is being done by helicopters and drones, in which cases there are aerial bombardments.

Yes there are high casualty rates in those cases, but unless he's alleging that those people were civilians, unless he's alleging something a little more specific, it's very difficult to know what he means by isolating one incident and saying it's suspicious. I'm not ruling it out, I'm saying it's a pretty serious charge to make and he's tossed it around rather cavalierly.

CNN: What's the impact of the release going to be?

Zakaria: I think the most specific impact is the issue of Pakistan ... the reality is that Pakistan's interest and America's interest are not the same. Pakistan has been maintaining its contact with these militant groups.

The one thing that this report did is to provide enough detail on this set of problems that it's essentially pretty undeniable and it also is very difficult now for the administration to deny that there is a huge problem here -- that the Pakistanis have been playing a double game. That part of it seems to shed light very centrally on the role of Pakistan.

Again to be fair, the Obama administration came into power arguing that Afghanistan needed to be thought of as "Afpak," that Pakistan is very much part of the problem and part of the solution. And they have been working on that. It's not an easy problem because we have limited leverage with Pakistan.

CNN: Why can't the United States take a firmer stance with Pakistan?

Zakaria: If you were to shun and isolate them, it would probably strengthen even further their contacts with the militants. So I recognize that this is a thorny problem for any administration. But I do think it centrally highlights this problem, that you're really never going to solve the Afghanistan problem as long as you have not just a safe haven across the border, but a safe haven in which the government on the other side is playing footsie with the terrorists.

CNN: Regarding the Afghan war, you've noted that CIA director Leon Panetta has said there are probably only 50-100 members of al Qaeda in Afghanistan now. How should that affect U.S. policy?

Zakaria: There's no question that our efforts in Afghanistan are disproportionate. There are simply many cheaper and more cost effective ways to deal with the very real problem of al Qaeda and the potential for a reconstituted Taliban that would shelter al Qaeda.

Those are both real threats but I think there are ways to deal with them short of a foreign troop presence of 150,000 and expenditures in the $200 billion a year range.

That said, you can't switch this engagement off like a television set. There are 50 countries involved, NATO involved and the entire international community at some level involved.

I think that what we have in place right now is a strategy that says Gen. [David] Petraeus [the top military commander in Afghanistan] is going to be given a year to try to stabilize the situation, and then a year from now we are going to begin a drawdown. I think that that's perfectly reasonable. I don't see any advantage to an immediate, precipitous drawdown that begins tomorrow. ...

But I do think we need to start moving to rebalance American foreign policy.

CNN: What do you mean by rebalancing?

Zakaria: We have simply spent far too much time in Iraq and Afghanistan.

We are dealing there with the problems of the past. The problems of the future, the opportunities of the future, lie elsewhere in the world, in Asia and Latin America, and we should be spending more time and effort on those rather than on reorganizing the tribal relations between the Pashtuns and the non-Pashtuns in Afghanistan and and the Sunnis and the Shia in Iraq.

These are pretty much the same problems the British were dealing with 100 years ago and they are not going to be amenable to a simple solution. We should stabilize things and then draw down.

@highlight

WikiLeaks released more than 75,000 U.S. military documents on Afghan war

@highlight

Fareed Zakaria says comparison to Pentagon Papers was excessive

@highlight

He says the new documents show detail on things that had been known before

@highlight

Zakaria: U.S. efforts in Afghan war are out of proportion to the threat, should be reduced