(CNN) -- The recent announcement by the United Nations that 89% of the world's population (6.1 billion people) now has "sustainable access to safe drinking water" was described by Secretary General Ban Ki-moon as a "great achievement for the people of the world."

Meeting part of the target of one of the U.N.'s Millennium Development Goals (MDGs) ahead of the 2015 deadline was "a testament to all those who see (them) not as a dream, but as a vital tool," he added.

But the goal of universal access to clean water is far from complete says Stef Smits, program officer for IRC International Water and Sanitation Center.

"Reaching the last 10% of the population -- those living in remote rural areas and on the fringes of big cities -- will become increasingly difficult and expensive," Smits said.

Furthermore, he says, the MDGs on basic sanitation are unlikely to be met before 2025.

It's an area which the U.N. concedes is "lagging far behind" the millennium commitments, with 2.5 billion people (including one billion children) still exposed to poor sanitation and one child dying every 20 seconds as a consequence, the U.N. estimates.

But hope that this horrifying statistic can be eradicated is being fueled by technology which is helping monitor water supplies more quickly and efficiently.

U.S.-based NGO Water for People is helping lead the charge in this area with the development of a new system called FLOW (Field Level Operations Watch).

Opinion: 'The Washington Well of Hope'

The mobile technology android-based system uses camera and GPS to collect information on wells and pumps.

These then link to a web-based dashboard where survey data can be tracked on Google Maps and Google Earth, according to Water for People.

"Lots of organizations do monitoring and that's great, but it tends to be a very slow process," said Keri Kugler, Water for People's senior manager of programmatic data.

"This is something that (can be done in) real time. You can look at the data as soon as it's collected, allowing organizations to make really quick decisions," she added.

The Liberian government, in partnership with the World Bank's Water and Sanitation program, has already put it to good use Kugler says, mapping 10,000 water points during 2011.

Various countries are experimenting with mobile monitoring, which could play a vital role in solving long-term sanitation issues, IRC's Stef Smits says.

The secret life of drinking water

"It reduces the cost of data collection and hopefully reduces the downtime. I think the U.N. estimates that one in three water pumps are not working at any given moment -- that's a shocking number," Smits said.

Water for People recently teamed up with Akvo, a Dutch open source software company, to help develop the FLOW's (now officially called Akvo FLOW) features and international reach.

Twelve years ago, when it inaugurated its MDGs for Ensuring Environmental Sustainability, the U.N. stated: "Improvements in sanitation are bypassing the poor."

Today, little appears to have changed.

"Water sanitation is a harder goal to get to. There just aren't enough NGOs out there to put a latrine in every household," Kugler said.

But efforts to shift the emphasis away from traditional methods of improving sanitation to simple technology-based ones might pay dividends.

"Traditionally, there have been a lot of reasons why organizations don't want to monitor -- too expensive, too time-consuming and too difficult to do," Kugler said.

"The aim of FLOW is to remove some of those barriers and create something that is easy to use."

@highlight

Despite improvements in clean water supply, U.N. says sanitation still "lagging far behind"

@highlight

One child dies every 20 seconds because of poor water sanitation according to the U.N.

@highlight

New water monitoring techniques using mobile phones can speed up maintenance and save lives