London, England (CNN) -- For Greek cinema, the shadow of auteur Theo Angelopoulos has cast long over the blue sky of the Cote d'Azur in Cannes.

With a minimal presence abroad, Greek film has often relied on the reputable auteur for international recognition.

Recently a new light has been shining for Greek cinema internationally.

Earlier this year, over a decade after "Eternity and a Day" handed Angelopoulos a "Palme d'Or," Yorgos Lanthinos has managed to get modern Greek cinematography back in the line-up at the prestigious world of Cannes Film Festival.

His sophomore film, "Dogtooth," won the "Un Certain Regard" prize in the 62nd edition of the festival and gave the 36-year-old director one of the most coveted prizes awarded to young filmmakers.

Here, Lanthimos talks to The Screening Room only a few days after "Dogtooth's" latest win -- first prize at the Stockholm Film Festival.

The Screening Room: "Dogtooth" is about three siblings who grow up in complete seclusion, isolated by their parents from society. How did you come up with the story?

Yorgos Lanthimos: I co-wrote the script for "Dogtooth" with Efthimis Filippou. I wanted to write a story about the waning of the traditional family. Then, I thought of a father who wants to protect his family unit at all costs and the system he invents in order to do this.

The siblings in "Dogtooth" are only taught what their parents choose to reveal to them about the world, and this is very little. The teens are only allowed to exercise, play with each other and watch home videos. They don't know what a telephone is and they think that airplanes only exist as toys. They are told that their most feared enemy is a cat and they are taught to bark and act obediently like dogs.

TSR: Can you identify a new wave of films coming out of Greece and do these films have a singular voice?

YL:No, the films that do well in Greece are very different from each other. I think one of the advantage of not having a proper film school is that Greece now has several individual films to showcase. There is not a single Greek new wave with common characteristics. For example, to mention some recent films, Panos Koutras' "Strella," "Black Field" by Vardis Marinakis and "Dogtooth" are all very different from one another.

TSR: How did you finance "Dogtooth," and what particular production challenges did you face?

YL: Funding is the biggest challenge for Greek filmmakers. "Dogtooth" received about $300,000 (€ 200,000) from the Greek Film Center, the state body supporting Greek film production.

BOO Productions and I put in a large amount of money and a lot of our friends volunteered their time and talent to this production.

Due to a lack of funds, many Greek films end up being made because people volunteer their time to filmmakers, but this is not necessarily a healthy practice for the film industry.

TSR: What is the kind of reception "Dogtooth" has gotten so far?

YL: "El Divo" director and the 2009 Cannes Jury President Paulo Sorrentino said that "Dogtooth" completely surprised him. Because most Greek films do not find international distributors, most viewers have a limited idea of what a Greek film is. Most people think of a fisherman, a beautiful island, and ancient ruins. Most of "Dogtooth" is shot in a big house and the surrounding garden, as the children are not allowed outside the house. In this way, the film played with the expectation viewers had when going to see a Greek film.

TSR: 20th Century Fox CEO Jim Gianopoulos told The Screening Room that when a film is rooted in it's local culture, it doesn't necessarily travel as well. Do you think "Dogtooth" is a universal story?

YL: I think it is universal. It's a commentary on mass illusion, how world leaders and the media only channel certain information to the public, isolating us from the truth. It's also a commentary on what happens to human beings functioning in a climate of oppression.

TSR: Can art and commerce go hand in hand for a filmmaker?

YL: It depends what films you want to make. I think art and commerce can co-exist side by side in the same film. For example, it is a big surprise to all of us that an arthouse film like "Dogtooth" is doing really well at the Greek box office: 25,000 admissions in Greece is considered a market success. After a six week run in two cities, "Dogtooth" is still screening. We have also secured several international distribution deals, including North American distribution, the Benelux countries, France and Spain.

TSR: The Filmmakers of Greece (FoG), a group of filmmakers you belong to, is asking the Greek for an overhaul of its legal framework for the film industry. What does FoG hope to see in the new cinema law?

YL: The FoG group would like to see tax incentives for private investment in films. It's really discouraging that, despite a law requiring private television networks to reinvest 1.5 percent of their earnings back into the local film industry, this is hardly ever executed. What's really extraordinary about FoG is that it's the first time that more than 200 film industryites have joined forces in asking for drastic and immediate change of the filmmaking environment in Greece. The current film industry cannot advance with a law that is 20 years old.

Besides abstaining from the Thessaloniki Film Festival this year, a group of filmmakers that sprung out of FoG are dedicating their efforts to an independent Greek Film Academy, which will award its own prizes to the best talent in Greece.

@highlight

Yorgos Lanthimos' "Dogtooth" won the "Un Certain Regard" prize in Cannes earlier this year

@highlight

His second film deals with the waning of the traditional family in a novel way

@highlight

Funding is the biggest challenge for Greek filmakers, according to the 36-year-old director

@highlight

He is one of few Greek directors making waves internationally