International air passengers face tightened security on U.S.-bound flights following the alleged attempt by Nigerian Umar Farouk AbdulMutallab to bomb a Christmas Day flight heading for Detroit.  U.S. travel and security authorities, international airlines and airports and aviation organizations have all moved quickly to implement a range of measures that will impact travelers' normal routine.  Which flights are affected by the new measures? At present only flights to the United States are affected.

What are the measures? The Transportation Security Administration, which oversees the security for U.S. travel, says it has issued a directive for additional security measures to be implemented for flights as they leave their last stop before the United States.

The authority has not made public the directive. But it said in a statement that passengers can expect to see extra security "at international airports such as increased gate screening including pat-downs and bag searches. During flight, passengers will be asked to follow flight crew instructions, such as stowing personal items, turning off electronic equipment and remaining seated during certain portions of the flight."

Individual airlines and airports will each interpret the TSA directive in their own way. But anecdotal advice suggests that passengers are not allowed to leave their seats for the bathroom or to access luggage during the final hour of any flight, nor keep blankets or pillows on their laps.

Passenger Niki Yazzie, who was on a flight Saturday from Brussels, Belgium, to Dulles Airport in Virginia told CNN that passengers not allowed to leave their seats for the last hour of the flight.

There have also been reported bans on the use of laptops and MP3 players.

What will be the knock-on impact on air travel? The measures, which only apply to U.S.-bound flights, are not at present as severe as those introduced after 9/11 or the revelation of the liquid bomb plot in August 2006.

CNN aviation analyst Richard Quest cautions: "If the measures are just for U.S.-bound flights then they're workable. If they are for all passenger flights then things will grind to a halt. It will not be as bad as the ban on liquids but it will be close."

Can passengers expect more extensive precautions? Quest says that the Detroit incident has exposed a hole in airport security. "This is their worst nightmare," he said, "someone following procedure and still getting through. They are trying to avoid the ultimate -- the ban on hand luggage and the physical search. But they have now been forced into the latter."

He adds that airlines would eventually ease the severity of some of the measures. "There's no way a major carrier will tell its business class passengers that they can't have a pillow and blanket."

American carriers tend to be the first to introduce security measures and the last to abandon them -- to the benefit of rival airlines.

What are airlines telling passengers? All are following a similar line -- check before you fly, turn up early, expect tougher security and skimp on the hand luggage.

British Airways has advised that "only one item of hand luggage is allowed for all passengers traveling to the U.S. from Heathrow, Gatwick or London City. This applies to passengers whose journey originates in London, as well as those who are transferring flights."

It adds that holiday presents in hand luggage will need to be unwrapped -- but only for U.S.-bound flights.

American Airlines meanwhile advises that "all passengers should plan to arrive at the airport at least three hours in advance of their flight's departure to allow extra time for check-in and the boarding process."

Cathay Pacific states that additional security measures will include: "Pat down check by security personnel and physical inspection of their cabin baggage and personal property prior to boarding; and, restricting the use of cabin phones at any time during the flight.

"Passengers will be required to cooperate with cabin crew on any other inflight security measures as instructed."

What does this mean for passengers? After previous scares extra security measures have been introduced, only to eventually be scaled back slightly.

Now, life for travelers is likely to become more complicated again.

"After this latest incident there will now be the normal fuss and furor for an airline," said Quest. Female passengers, for example, might have to put handbags and purses in hand luggage rather than being allowed to carry them in addition.

Will travelers from certain countries be affected? A leaked copy of the TSA's Standard Operating Procedures, published online in early December, stated that travelers from certain nations -- Cuba, Iran, North Korea, Libya, Syria, Sudan, Afghanistan, Lebanon, Somalia, Iraq, Yemen or Algeria -- should be referred for screening.

The inclusion of Yemen is notable as the country where Umar Farouk Abdulmutallab says the explosive device was acquired, according to a U.S. federal security bulletin.

Quest says that while positive vetting -- where certain groups of travelers are targeted -- would not be enforceable, it may take place covertly.

How long will these measures continue? "Patdown is here to stay on U.S.-bound flights," says Quest, adding that it would even apply to all family members heading for a break at Disneyworld in Orlando.  "This incident has exposed what the airline authorities hoped would not be shown up."

@highlight

U.S. authority in charge of travel security issues new directive on measures after alleged terror bid

@highlight

Airlines: Check before flying, turn up early, expect tougher security, skimp hand luggage

@highlight

All passengers flying to the United States can expect physical searches