(CNN) -- When Bridget and Scott Bear were expecting their first child, they wanted to know what it would cost so they could set aside enough money in their health savings account.

Knowing in advance what the price tag would be for the birth of their son gave the Bears "peace of mind."

The Omaha, Nebraska, couple went to Alegent Health's Web site and found the My Cost function, entered their insurance information and learned the hospital charges would be around $2,500, Bridget Bear said.

When Bridget Bear gave birth to their son, Lawson, on April 2 at Lakeside Hospital -- a healthy 8-pound, 8-ounce baby -- the couple were ready for the bill, she said.

Alegent is one of a growing number of hospitals, Web sites, even states, helping patients comparison shop on the Internet before undergoing a medical procedure or test.

Hospitals say they're responding to a growing demand from patients who are paying for more of their health care out of pocket, thanks to rising deductibles and the advent of high deductible, consumer-driven plans like the Bears have.

In the early 2000s, Bellin Health System in Green Bay, Wisconsin, began receiving more calls from patients wanting to know what a particular procedure would cost, said Jeff Hampton, director of revenue cycle management.

"As sad as it sounds, we had to say we didn't know," Hampton said.

That's because something like knee replacement isn't one expense but many. There are the surgeon's fee, the operating room charge, equipment and supplies, the hospital bed during recovery, and other costs.

Five years ago, Bellin put the information together so would-be patients could get an accurate picture of the final bill. On its Compare Care Line, a Bellin financial adviser provides an average cost from the previous six months for a given procedure and the price range over that time period.

"People are shopping around more," Hampton said. "If consumers want to know what the cost of something is going to be, we should be able to give them an answer."

Alegent, with nine hospitals in Nebraska and southwest Iowa, started My Cost in January 2007, posting the price of more than 500 tests and procedures along with data on quality of care.

Integris Health, a 14-hospital system in Oklahoma City, has a Consumer Price Line number that allows patients to learn what the out-of-pocket costs will be for their procedures.

The service started in July 2007 after CEO Stanley Hupfeld had some "secret shoppers" try to get pricing information, said Nicole White, Integris spokesperson. Consumer Price Line receives between 800 and 1,000 calls a month, she said.

Sixteen state hospital associations operate Web sites that allow comparison shopping for such inpatient procedures as appendectomies, maternity stays and knee or hip replacements: Georgia, Iowa, Montana, Nebraska, Nevada, New Hampshire, New Mexico, Oklahoma, Oregon, Rhode Island, South Dakota, Texas, Utah, Virginia, Washington, Wisconsin.

Other states have their own systems. Minnesota health care providers collaborated on the HealthScores Web site, which allows price comparisons between 110 providers for 103 common medical procedures. The Web site tells what insurance companies pay, on average, for procedures ranging from Caesarean delivery to a colonoscopy.

Pennsylvania has detailed price information on cardiac and joint replacement surgeries on its Health Care Cost Containment Council Web site, but the data are several years old. Still, it underscores the enormous differences in prices. For example, knee replacement costs ranged from $11,243 to $97,031 at the state's hospitals.

Even individual hopsitals are striving to offer more transparency. Dartmouth-Hitchcock Medical Center in Lebanon, New Hampshire, posts very detailed information about prices on the hospital's Web site. Spokesperson Jason Aldous said it's part of the medical center's mission to provide transparency about cost, outcomes and patient satisfaction.

The information is only a starting point, though, Aldous said.

"We want that to drive you to a more informed conversation" with a doctor, he said. "A bilateral knee replacement is not like buying a car on the lot."

But Brad Myers, co-founder of New Choice Health, said health care and car buying are a lot more similar than many people think. The eight-month-old site was created to do for health care what automobile pricing guides did for new car buying 20 years ago, Myers said.

New Choice Health, which does not charge for its service, lists the average cost insurance companies pay for 400 different procedures at different facilities across the country.

Want to know the cost of a colonoscopy in Cleveland? New Choice Health gives you more than 50 facilities, with prices ranging from $550 to $1,200. How about a PET scan in Portland? The site offers more than 20 facilities with a price range of $1,600 to $2,100.

The site is designed for people who are uninsured, individually insured or with a high deductible plan, Myers said. Patients who are not covered in a group plan generally get bills three times as high, he said. He advocates bargaining.

"Just picking up the phone will get you 20 percent off. Nine times out of 10, if you want to haggle, it's more like 50 percent off," Myers says.

New Choice Health, which went live in January, now gets 40,000 to 50,000 users a month, Myers says.

Paul Fronstin, a senior research associate with the Employee Benefit Research Institute, said cost sites such as New Choice Health are crude tools because they don't tell people with traditional plans what they'll pay out of pocket. A lot depends on how much of their deductible they've already spent.

Also, people with expensive chronic diseases such as diabetes usually reach their deductible early in the year and are less concerned about price after that, Fronstin said.

Childbirth is a perfect procedure to price ahead of time, according to Kathleen Stoll at Families USA. Others are not as clear cut. With knee surgery, for example, patients may not know the exact procedure they need or what complications could arise, she said.

Bridget Bear said knowing what hospital fees would be in advance gave her and her husband peace of mind: "We were able to enjoy the anticipation of Lawson a little bit more instead of having to worry about the financial piece of it."

CNN's Sabriya Rice contributed to this report.

@highlight

More Web sites help future patients comparison-shop for health care

@highlight

Sixteen state hospital associations operate Web sites that allow comparisons

@highlight

New Choice Health hopes to do for health care what pricing guides did for car buying

@highlight

Price information is only a starting point, said one expert