(CNN) -- When Tyra Smith's boyfriend, Chris Lewis, first suggested they be guinea pigs in a H1N1 vaccination study in August, she wasn't so crazy about the idea. But then she warmed to it: While she doesn't like needles, she thought she'd help out because she knew H1N1 was a serious virus.

To cut your risk of catching a bug, doctors say wash your hands and avoid touching your mouth, nose and eyes.

"I heard people might die from it," Smith said. "So I think it's a good idea to help people, by being involved."

Lewis and Smith, both from Baltimore, Maryland, were among the first Americans to receive H1N1 flu shots.

As part of a trial of 2,400 people, they gave blood samples and kept diaries of their symptoms, all in an effort to get an H1N1 vaccine ready for the fall.

Now that the results from this and other trials are in, Health and Human Services Secretary Kathleen Sebelius announced that the FDA has approved applications from four manufacturers to make H1N1 flu vaccine, which should be ready for high-risk patients by October 15. She said there will be enough vaccine available for everyone eventually.

And that's just in time. With fall in the air and old man winter right around the corner, seasonal flu and the common cold are sure to follow -- and H1N1 is here; in its most recent H1N1 update, the Centers for Disease Control and Prevention said 21 states are reporting widespread flu activity.

This cold and flu season could star a cornucopia of viruses. Doctors say they worry the two flu strains (H1N1 and seasonal) could combine, further complicating the situation. Mix in colds, which are prevalent this time of year, and the immune system of Americans could be dealt a one-two punch.

So, how can someone tell if those sniffles they're having is something to be concerned about?

Infectious disease experts say people need to be aware of the symptoms. Dr. Shmuel Shoham, an infectious-disease specialist at Washington Hospital Center, says the common cold, seasonal flu and H1N1 are all respiratory illnesses, but they're caused by different viruses.

Symptoms of the cold are more common, and can make the patient miserable for three to five days. A patient usually has a stuffy nose, congestion, some body aches and a growing cough.

According to the CDC seasonal flu and H1N1 symptoms consist of fever, more painful body aches, dry cough, diarrhea and severe fatigue. It's hard, without testing, to tell apart the seasonal strain of flu from the H1N1 variety.  Watch more on cold, flu and H1N1 symptoms »

"People need to take notice when they begin to feel bad. If they start to have respiratory problems, or are dehydrated because of a bug, they should go to the doctor. It could be H1N1 or seasonal influenza," says Shoham. "Some people with influenza can get very sick and could end up in the hospital if it's not taken care of."

People at greatest risk for catching H1N1 include young people ages 6 months to 25 years, pregnant women, and people with chronic health conditions like asthma, diabetes or heart and lung disease. The CDC recommends that these groups -- as well as health care workers -- get vaccinated first.

The seasonal influenza vaccination is especially important for people at high risk of serious flu complications, according to the CDC, including children ages 6 months to 18 years, people with immune system problems, women who plan on being pregnant during the flu season, those 50 years and older and health care workers.

But if someone doesn't fall into these categories, it doesn't mean he or she should skip vaccinations altogether. Experts say everyone should get both flu shots. "It's the best way to protect yourself," Shoham says.

Other than flu shots, are there other ways to stay healthy and avoid all of these bugs? Doctors say wash your hands and keep your fingers away from your mouth, nose and eyes. If you sneeze, sneeze into your elbow so as not to transfer your germs to your hands -- and everything else around you.

As for the myth about avoiding cold drafts -- forget it. "It doesn't seem to play out that sleeping with the window open, going out with your hair wet in the cold affects your immune system," Shoham says.

Also, keep your immune system healthy. That translates to eating well, getting enough sleep and staying active.

If you become ill and experience severe symptoms, see your doctor. Your physician may recommend antiviral drugs that can treat the flu. Antiviral drugs are prescription medicines (pills, liquid or an inhaled powder) that fight the flu by keeping the virus from reproducing in your body.

Above all, stay away from others. If you have the flu, the CDC recommends you stay home for at least 24 hours after your fever is gone. It's the best way to keep others from getting infected.

@highlight

Seasonal flu, H1N1 and common cold will all be around this flu season

@highlight

Without testing, a person can't tell seasonal flu from H1N1 flu

@highlight

The symptoms of both are more severe than cold symptoms and include fever

@highlight

Expert: If you are having respiratory problems or are dehydrated, see your doctor