San Diego, California (CNN) -- My son has a new video game, and I have a new problem.

I want him to clean his room, and I tell him that he can do it when the game is over. My problem is that, as he informed me recently, this game is never over. It just keeps going on to new levels, with new challenges. It never ends.

That reminds me of the immigration debate. In the vortex of New York and Washington, pundits and policy makers are once again dangling the possibility that Congress could pass immigration reform soon.

Yeah. That won't happen.

We've been hearing that immigration reform is around the corner at various times over the years, since George W. Bush kicked off this debate in September 2001 when he welcomed then-Mexican President Vicente Fox to the White House for a state dinner and the leaders announced that their countries would seek an accord to match workers with employers. A dozen years later, we're still haggling over legalizing the undocumented -- and much more.

But guess what? There is action on immigration in America, only it's not happening at the federal level. In New Jersey, Gov. Chris Christie is expected to sign this week a bill that would allow undocumented immigrant college students to pay in-state tuition.

In California, the state Supreme Court has cleared the way for Sergio Garcia, an undocumented immigrant who went to college and law school and took the bar exam, to receive a law license. In Colorado and Arizona, lawmakers have in recent years proposed the states create their own guest worker agreements with Mexico to ensure that employers have access to labor no matter what Congress does or doesn't do.

These solutions concocted by the states aren't perfect. They have their problems. But at least they're an attempt to do something, and not wait around while Washington does nothing.

In the East Coast corridor, most of the media doesn't really understand the immigration issue. For one thing, they treat it like just another issue, when it is arguably the most divisive issue that Americans have confronted since slavery. Besides, the media hates complexity, and so it tries to oversimplify the immigration issue as being solely about Republican obstinacy.

If only the GOP would get on board, the narrative goes, we'd have immigration reform. What about the fact that many Democrats oppose granting legal status to the undocumented? How does that fit into the narrative? It doesn't help that elected officials and advocacy groups are generating fog, and that special interests are putting their own agendas ahead of the needs of those they claim to represent.

I live in Southern California, and I spend a lot of time traveling thru the Southwest. In Denver, Phoenix, Las Vegas, Dallas or San Diego, immigration isn't just an election-year wedge issue but an everyday reality. It would be difficult in these places to find anyone who believes that Congress is poised to pass comprehensive immigration reform this year.

Everyone knows that Congress is more likely to approve major legislation in odd-numbered years, because many members spend much of the even-numbered years either campaigning for re-election or avoiding doing anything risky that might jeopardize their re-election. Such as legalizing the undocumented.

If you're a Republican representing a district in the Southwest or the South, risky could mean voting for legislation that legalizes the undocumented and puts you crossways with the nativist wing of your party. If you're a Democrat from the South or the "Rust Belt" states like Ohio or Michigan, risky might mean supporting a bill to legalize the undocumented and antagonizing rank-and-file union members who worry about having to compete with newly legalized immigrants for blue-collar jobs.

So why bother keeping up the charade that immigration reform is just around the corner? Easy. In the words of Omar Little, the fictional gunman and stickup man in the HBO series, "The Wire," it's because "it's all in the game."

The immigration game is based on three principles: dishonesty, disconnect and divergent interests.

The game is dishonest, because the participants advance one lie after another, from denying that resistance to immigrants has anything to do with racism to insisting that American workers would gladly do the worst jobs for the right salary to claiming that immigrants aren't assimilating and so on.

There is a disconnect between those who argue about reform efforts and those directly impacted by them. U.S. citizens have the luxury of haggling over the details of an immigration reform package, because most of them won't be directly affected one way or another. And those most affected -- the undocumented -- aren't at the table.

And there are divergent interests between people who think they're actually on the same side. Republicans have to watch out that they're not betrayed by fellow Republicans, Democrats by fellow Democrats. This issue splits parties and divides coalitions, so it's every special interest for itself.

All this is happening on the federal level, and it's a mess. The game is designed to go on indefinitely, in part because politicians and advocacy groups won't let it end. Democrats want a wedge issue to use against Republicans, and they don't want to be known as the "pro amnesty" party. Advocacy groups need to keep funds rolling in by convincing supporters that the battle continues and the stakes have never been higher, so they can pay rent and salaries.

Readers often ask me what I would propose by way of an immigration reform plan. I have one. It includes: improved roadways and better surveillance equipment for the Border Patrol, tougher employer sanctions, National Guard troops on the U.S.-Mexico border, a tamper-proof ID card, a pathway to earned legal status without including citizenship in the deal but allowing people to pursue it on their own, a 10-year ban on public benefits for legalized immigrants and their children, an increase in legal immigration, and other reforms.

Yet we can't even get to that -- to my plan, or yours -- until we restore honesty, integrity and common sense to the debate. And that means ending a game that no one ever wins.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette says federal action on immigration won't materialize in election year

@highlight

He says states are beginning to take the lead in making changes

@highlight

The immigration reform efforts in Washington fall victim to members of both parties, he says

@highlight

Navarrette: Too many people have an interest in blocking immigration reform