Beijing, China (CNN) -- Twenty-five years ago, when tanks and automatic rifles silenced massive political demonstrations in Beijing's Tiananmen Square, I was TIME magazine's correspondent in China.

For me, memories of the crackdown start in the early evening of June 3, and end with a mad dash at the wheel of a Toyota sedan, driving through checkpoints to a safe house with hunger strikers, Liu Xiaobo and Hou Dejian.

Liu, one of China's prominent intellectuals and writers, was imprisoned four times after the Tiananmen crackdown, and in 2010 was awarded the Nobel Peace prize.

Hou is a singer-composer, better known in China as composer of the "Descendants of the Dragon," a patriotic tune popular in Taiwan and the mainland. A few years before the crackdown, he "defected" from Taiwan and became a celebrated compatriot on the mainland.

Tension builds

In the early evening of June 3, as word spread that the authorities were losing patience with protesters in central Beijing, I decided to see for myself what was going on.

As I stepped off the curb on the Jianguomen bridge, I saw a convoy of army trucks stranded on the bridge, about five kilometers east of Tiananmen Square. Students and their supporters milled around them, chanting "Xia lai! Xia lai!" (Come down!).

Minutes earlier, an armoured personnel carrier of the People's Liberation Army (PLA) plowed through the crowd and rammed one of their own army trucks bound for Tiananmen Square. Many civilians had clambered onto the truck when it was hit and toppled over. Some managed to jump off, but one man was crushed to death. "They're killing us," shrieked a young woman.

Nearby I saw civilians surround another army truck, pleading with the soldiers to turn around and go home. The young soldiers listened silently. Some cried. Then the civilians started to pull the soldiers off the truck and led them past the body of a man curled up on a pool of blood, his head crushed. This harrowing scene was captured on the cover of TIME Magazine's June 12 edition.

I hung around for an hour or so, talking to people and eavesdropping on conversations. Then, worried that the Chinese authorities might cut international phone service, I returned to my apartment to file my story. It was nearly midnight when I hit the "send" button.

Final showdown to come

I thought it was the lead story of the day. I did not realize that the fiercest shooting was taking place at Muxidi, around seven kilometers west of the Square, where thousands of people had stood behind the barricades at various intersections to halt the advance of the military troops.

In the morning of June 3, I sat down with two fellow TIME reporters who had been covering the Tiananmen story from the outset. We agreed that the final showdown between the protesters and soldiers was looming. Martial law remained in place, and troops and tanks were poised to retake the Square. When and how it would happen, we could not tell.

To ensure that we covered what seemed like the end-game of the protracted student protests, we agreed to do two things: 1. We would work on three "shifts" through the next day (I volunteered to do the midnight-to-dawn "graveyard shift") and 2. We would file reports via our snail-paced modems as soon as possible, in case international phone links were abruptly cut off.

Just past midnight on Sunday, June 4, 1989, I was preparing to rush to Tiananmen Square to do my reportorial "shift." The phone rang and I grabbed it as I slung my satchel bag over my shoulder.

It was an American friend, a well-connected expatriate company manager married to the daughter of a retired Chinese general. "Be careful, Jimi," he advised. "Heard the assault order has just been given. Stay indoors." I thanked him for the tip.

Not long after I hung up, the phone rang again. It was Sandra Burton, TIME's Beijing bureau chief, calling from the vicinity of the Square. I was supposed to relieve her for the graveyard shift. "They're shooting live bullets here," she said urgently. "Don't come here anymore. Phone New York and tell editors what's going on."

It was Saturday noon, New York time, and I knew the latest weekly edition was about to go to press. I frantically dialed New York and promptly reached a top editor. "We're switching covers," he said decisively. "You guys have seven hours to file. Stay out of the firing line. Remember, no story is worth dying for," he said calmly.

The TIME cover story that week told the horrific account of that fateful night. Since then, the Tiananmen story has been told and retold countless times all over the world with that day's harrowing tales and bloody images.

Race to a safe house

Of course, the story didn't end there, though the lead article had gone to print.

I drove to the TIME office to file more reports from TIME reporters and photographers. Remarkably, international phone lines remained open despite occasional threats to close them. Still, the bureau's two computers and one telephone modem were agonizingly slow.

I tuned in local radio stations to monitor official news reports and commentaries, and started phoning sources. A septuagenarian Beijing resident told me: "I've seen World War II, I saw the communist occupation of Beijing in 1949, but I've never seen such a pili pala (hail of gunshots)!"

I banged away at the bureau computer until nearly noon.

With the story filed and the magazine put the "bed," I was preparing to leave the bureau when the phone rang. A female caller wondered if I could drive over to the Capital Hospital to pick up my friend Hou Dejian so he could go to a safe house. She made it sound so easy.

It was not.

In late May, just as the Tiananmen protests were petering out, Hou and three young Chinese intellectuals, led another round of "hunger strike" on the Square and gave a boost to the sagging student movement.

When the PLA troops encircled the Square in the early morning of June 4, Hou helped broker the agreement with the army officers to open a corridor for the protesters to leave the Square safely.

From the Square, it turned out, Hou took refuge in the Beijing hospital not far from the Square. Could I help?

I hesitated but then agreed. I drove past carcasses of trucks and debris from the barricades along the virtually empty streets. Only helmeted PLA soldiers brandishing AK-47s stood stiffly at every other corner. As I pulled in front of the Capital Hospital, Hou and two other fellow hunger-strike leaders emerged from the gate and jumped into my car.

On our way toward the safe-house, we stumbled into a group of PLA troops in one intersection. "Shall I proceed?" I ask the trio. "Yes," replied Liu.

"No other choice," Hou agreed. We drove past the checkpoint and made it to their destination. Once inside the safe house, I was rewarded with three separate debriefings and eyewitness accounts of what happened on the Square when the PLA came to clear it.

Months later, Hou gave me the ultimate compliment by sending a cassette tape of his latest songs. On the cover, he scribbled: "To the bravest driver in Beijing."

@highlight

Jaime A. FlorCruz was TIME's correspondent in Beijing 25 years ago

@highlight

He filed stories from Tiananmen Square and drove hunger strikers to a safe house

@highlight

Passengers included later Nobel Laureate Liu Xiaobo and singer Hou Dejian

@highlight

FlorCruz saw people surround tanks, soldiers crying and violence