President Obama talked openly last week about a candid conversation with a group of at-risk kids in Chicago, and many of us parents took notice.

"I explained to them when I was their age, I was a lot like them," the President said, referring to the African-American boys he met with at Chicago's Hyde Park Academy High School on the city's south side last year.

"I didn't have a dad in the house. And I was angry about it, even though I didn't necessarily realize it at the time. I made bad choices. I got high without always thinking about the harm that it could do."

Young men of color, share your advice

The President's honesty with teens about using drugs led many of us parents to ask: Would we do the same with our children?

Would we tell them that we tried drugs or used them repeatedly? Is sharing that information a good idea, or could it backfire?

My girls, ages 6 and 7, are still too young for this conversation, in my humble opinion. But I have wondered whether I'd one day tell them that yes, I did get high -- but just once!

Thankfully, I never really used drugs, but alcohol is a whole different story. Would I tell my girls about how I drank way too much too many times to remember during my college years, all while I was under the legal drinking age?

Coming from a family that has battled alcoholism -- and cognizant of how there can be a genetic predisposition to the disease -- I feel my husband and I most definitely need to have the conversation when our girls are old enough.

Yolanda Machado, a Babble.com contributor and mom of a 6-year-old daughter, agrees. Her husband is a recovering drug addict. His addiction caused them to separate for a little more than a year. They have been back together since 2011.

"I met my husband when he was 19, and at that time he had only smoked weed once," said Machado, who is founder of the blog Sassy Mama in L.A.

She said he then fell in with the "wrong people at the wrong time."

"He said it was like something in him just clicked when he started doing drugs. Had he been told about his family's predisposition, he may have made a different choice. But, we'll never know. In order to give our daughter the best shot of making the right choice, we want her to know."

Cecily Kellogg has already had the conversation with her daughter, who is 7. Sober for 18 years, Kellogg has told her daughter in very general terms that she's a recovering drug addict and alcoholic and that addiction is a family disease.

"That is why I'm honest about my addiction, and I also tell her that she's at risk and needs to make smart decisions. At her age, this likely goes over her head, but I tell her anyway," said Kellogg, who writes for Babble.com and hosts a blog at Uppercase Woman.

TV host Miss Lori, a mother of three, says she has been very open with her kids about never having used drugs. That admission wasn't exactly helpful at first, she concedes.

"They regarded me as a total anomaly who might not understand the pressures kids are facing today concerning drugs," said the children's television host and social media specialist, who is also a Babble.com contributor.

"But when I talked with my kids in more detail about the pressure I experienced to 'party,' particularly in the entertainment industry, they came to recognize that I had an even greater understanding of what kids are going through."

Miss Lori, who regularly talks to her children about drugs (and sex, alcohol and money!), says the thinking that you, as a parent, can lie or hide your experiences from your kids without consequence "is a fantasy."

"If you want your children to be forthright with you, shouldn't you show them the same respect? Besides it's not about what you did or didn't do, it's about why you made the choices you did and what effect they had on your future, positive or negative."

The best lessons as parents, says Lyz Lenz, a writer and mom of two small children in Cedar Rapids, Iowa, don't come from our "perfect" moments but from when we admit mistakes and show our kids how we try to learn from them.

With that philosophy in mind, Lenz, host of a blog in her own name, plans to tell her kids when they're older how she got drunk in college. "How I let it happen," said Lenz, "and some stories of what happened after."

"Maybe not all the stories, but I will always do my best to answer questions as honestly as possible," said Lenz. "It's not going to be pretty."

Jennifer Bosse, a mom of two and founder of the blog Defining My Happy, said her mother was very honest growing up, and she plans to be the same with her children once they get older.

"My mother was fairly open with my siblings and I about her past and the mistakes she made. She did this in hopes that we would learn from them," said Bosse. "I really took what she shared to heart and was fairly straight-edge growing up. I was too scared by the stories she had shared."

Of course, a big question for parents is whether talking about past drug use will make our children more or less likely to try drugs when they're older.

While Bosse says her mom's open approach did deter her from doing anything serious, she's seen plenty of other cases where candor didn't exactly have the desired effect.

"I have seen ... parents be completely open and their kids end up engaging in the same ways and amounts they did ... the whole, 'Well, you did it' argument," said Bosse.

Sue Scheff, an author and parenting expert, calls this a tricky issue for parents, namely because drugs are a "different animal" today than when we were in school.

"Just getting high today is not what just getting high 20 or 30 years ago was," said Scheff.

Marijuana is, on average, more potent than it was in the 1970s. Also, drugs like heroin are becoming more popular with teenagers, and even more deadly when laced with narcotics.

Whether to talk to your children about your drug past depends on your individual situation, she says. If a child is using drugs to try and fit in, and the parent did the same thing, the parent can relate their story to let them know they understand how their child feels.

"Make it a learning experience," said Scheff, author of the book "Wit's End: Advice and Resources for Saving Your Out-of-Control Teen." "It needs to be a situation that relates to the parent and teen."

On the other hand, if the children need rehab or detox, telling them you did drugs could become an excuse where they say, 'Mom did it, so why can't I?"" said Scheff.

LaTricia Woods, a public relations executive and motivational speaker who lives outside Phoenix, never experimented with drugs. Knowing her mom abandoned her as an infant because she was under the influence of drugs was one of the reasons, she said.

She is part of a group of female professionals who speak to young, at-risk girls about the challenges of growing up. Often, a member of the group who has a history of drug use will share her experience with the young women. "It gives the young ladies a chance to speak to someone who has been in their shoes (or similar shoes) and has gone on to become a successful adult."

You can't underestimate the power of seeing someone who has been in a place similar to where they are today and who has gone on create a successful life, said Woods.

One of the students President Obama met with last year said as much. Last week, as the President shared what he told a group of teens about his past, he remembered the reaction.

"After I was finished, the guy sitting next to me said, 'Are you talking about you?' I said, 'Yes.'"

Would you talk to your kids about your past drug or alcohol use? Chime in below in the comments or tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

President Obama told a group of teens he got high when he was their age

@highlight

We asked parents if they would tell their kids about their drug and alcohol use

@highlight

Many parents said they'd be honest, especially if family has a history of addiction

@highlight

How much to share is an individual decision, one parenting expert said