WASHINGTON (CNN) -- Top Obama administration officials outlined several new initiatives to safeguard the country's food supply Tuesday, saying the recent spate of food-borne illnesses is unacceptable.

Recent salmonella outbreaks, including one at Nestle, were called unacceptable by federal officials Tuesday.

The FDA intends to issue new guidance over the next three months regarding steps the entire food industry can take to more quickly detect contamination sources and remove the unsafe products from stores.

A new position at the agency -- deputy commissioner for foods -- will be created for the sole purpose of overseeing food protection. The commissioner will be part of a "unified incident command system" established to address contamination outbreaks and facilitate responses at the federal, state, and local levels, officials said.

In addition, they said, food safety information will be more effectively communicated to the public through a revamped Web site: www.foodsafety.gov.

The announcement was made near the White House by Vice President Joe Biden, Health and Human Services Secretary Kathleen Sebelius, and Agriculture Secretary Tom Vilsack.

"There are few responsibilities more basic or more important ... for the government than making sure our families in America eat food that is not contaminated," Biden said.

Dozens of people have become sick in recent weeks due to a nationwide E. coli outbreak linked to tainted Nestle cookie dough. Spinach, peanut products, pistachios, peppers, mushrooms, alfalfa sprouts, have also been recent culprits, noted Sebelius.

An estimated 5,000 Americans die annually after consuming contaminated food and tens of millions fall ill, she said.

J.D. Hanson, a policy analyst for the Center for Food Safety, called the initiatives a good first step. "They are the kinds of things we have been calling on previous administrations to do, and we're glad this administration is moving fairly quickly on these issues," he told CNN.

Hanson praised the creation of the position of deputy commissioner for foods at the FDA, saying it should have happened long ago. "You'd think an agency called 'Food and Drug' would have made food a priority a long time ago. They didn't until today."

But he said the government still isn't tough enough with the food industry. "Their goal of 90 percent compliance with their new guidelines is not good enough. It needs to be very close to 100 percent compliance."

And he said bureaucracy stands in the way of improvement. "Right now there are 13 federal agencies that deal with food safety. We would pull all of those functions into one agency."

Making eggs safer

New safeguards to protect against salmonella contamination of eggs alone should cut the number of food-borne illnesses every year by roughly 80,000, and generate an annual savings of over $1 billion, according to Sebelius.

"Salmonella enteritidis is a major cause of food-borne illness in the United States and eggs are a significant source," Dr. Margaret A. Hamburg, commissioner of the Food and Drug Administration, told reporters in a telephone conference call.

The $81 million program will translate into less than a penny per dozen eggs and will yield $1.4 billion in annual public health benefits, the agency said. In all, more than 79,000 of the 142,000 cases of sickness and 30 deaths associated with tainted eggs each year will be prevented, it predicted.

Under the rule, egg producers must buy their chickens and hens from producers who monitor for salmonella bacteria, said Dr. Stephen F. Sundlof, director of the Food and Drug Administration's Center for Food Safety and Applied Nutrition.

If salmonella bacteria or its derivatives are detected, a sample of eggs from the facility must be tested over eight weeks, he said. If any test positive, the producer must process the eggs to destroy the bacteria or divert the eggs to non-food uses.

In addition, henhouses must be tested and those that test positive must be cleaned and disinfected, he said.

Under current law, eggs do not have to be refrigerated until they are packed for the ultimate consumer, said Nancy Bufano, a food technologist at the agency.

"What's new here is requiring now that eggs must be refrigerated on the farm and during transport and storage beginning no later than 36 hours after the time they're laid," she said.

A key part of the plan to reduce salmonella enteritidis is the requirement that producers institute rodent-control programs, said Darrell Trampel, a poultry veterinarian at Iowa State University in Ames, Iowa.

"Mice are notorious carriers of [salmonella enteritidis] and, in the fall when it starts getting cold, the mice start looking for a warmer home and some of them make their way into chicken houses, and then they leave their droppings behind in the feed and so the chickens pick it up in that manner."

Producers will have to pay more to comply with the testing requirements, "but I don't think this should put anybody out of business," he said.

The rules go into effect within a year for producers with more than 50,000 hens, which produce approximately 71 percent of eggs sold to consumers, the FDA's Sundlof said.

Those with fewer than 50,000 hens have three years to comply; those with fewer than 3,000 hens or those that sell directly to consumers are exempt.

About 1 in 200 eggs in flocks of fewer than 3,000 hens test positive for salmonella and derivatives, Sundlof said.

Until now, egg quality assurance programs have been voluntary, Sundlof said. "So the fact that they will now be required really gives us greater assurance."

Industry supports the requirements, though many of them have long been complying voluntarily, said Howard Magwire, director of government relations for United Egg Producers, a trade association.

"Our egg farmers have always done everything they could to provide a safe, affordable, high-protein product to consumers and for years we have been supportive of the concept of an egg-safety rule to address the salmonella enteritidis problem," he told CNN in a telephone interview.

"Do we go out and do a pep rally for more regulation? No, but at the same time, we understand why the industry has been moving that way."

CNN's Tom Watkins and CNN Radio's Matt Cherry contributed to this report.

@highlight

Department wants better control of salmonella in eggs, turkey and poultry

@highlight

Control E. coli outbreaks by issuing new instructions regarding beef production

@highlight

FDA will release new safety standards to help prevent the contamination of produce

@highlight

Salmonella safeguards in eggs alone to cut food-borne illnesses by 80,000 a year