London (CNN) -- Human rights campaigners have welcomed a landmark decision in Saudi Arabia designed to combat domestic violence.

However, they urge caution. The country's legal system is based on sharia law and rarely sees new laws being introduced. Critics allege that Saudi Arabia is known for suppressing women's rights, and it remains to be seen how this law will be put into practice, according to experts.

For the first time in Saudi Arabia's history the kingdom's cabinet has approved a ban on domestic violence and other forms of abuse both at home and in the workplace. The law, which was passed last Monday, is meant to protect every citizen, but in particular the most vulnerable including children, women and domestic workers. The law is expected to be implemented within 90 days.

Adam Coogle, a Saudi Arabia researcher for Human Rights Watch, said: "We welcome the law because it makes crimes such as physical and emotional abuse easier to prosecute and it is a step in the right direction -- but the law has some major drawbacks. I'd urge caution until we see how exactly this law will be implemented and whether domestic abuse cases will now actually be punished in courts."

The law states that physical or sexual violence is punishable with a minimum jail sentence of one month and a maximum of one year, and fines of up to $13,300. Judges can double the sentence for repeat offenders. Abuse victims will be given access to necessary health care, psychological treatment and family counseling.

According to Coogle, male guardianship in Saudi Arabia is a major obstacle to the new law. "How can a woman escape an abusive husband if she's not allowed to drive and can't even travel without the permission of her male guardian?" Coogle said. He is also concerned that the law does not mention the issue of marital rape.

Eman Al Nafjan, a Saudi writer and blogger who tweets as Saudiwoman, told CNN: "Having this in a country where we still have male guardianship system, where we still have child marriage -- it's a contradiction -- these things are still legal and yet you're talking about protection from harassment. It doesn't seem like a system where a lot of action will be taken. This seems to be more about talking than actually implementing."

Saudi woman files suit over right to drive

Domestic violence is a problem in Saudi Arabia but no reliable figures exist on how many people get abused each year. According to researchers there have been very few instances in the past where rapes and physical violence cases went to court as women do not dare to come forward.

Until last week, no written penal code existed on domestic violence and physical abuse. That means that it was up to individual judges to determine what actions are illegal and how to punish them, if at all.

The new law makes it easier to punish such crimes as they now can rely on written regulations. "Judges own the courtroom," Coogle said. ""A man's testimony still carries more weight than that of a woman so we'll have to see whether this law will change the status quo."

Billionaire Saudi prince tweets support for women driving

Bandar al-Aiban, President of Saudi Arabia's Human Rights Commission which is backed by the Saudi government, told CNN: "This is a very important law. We've been working on it for a long time. I'm very pleased to see it enacted. King Abdullah himself is behind this law," he said.

"This shows the kingdom is really moving forward with enacting laws that protect its citizens and residents and to make sure the kingdom is now in accordance with international obligations and international standards regarding human rights."

Earlier this year, a campaign was launched calling for an end to violence against women. In the King Khalid Foundation advert a woman wears a hijab with only her eyes visible - one clearly bruised and blackened. A slogan written in Arabic underneath reads: "Some things can't be covered."

Mohammed Jamjoom contributed to this report.

@highlight

Saudi Arabia's cabinet has approved a law to combat domestic violence at home and in the workplace

@highlight

Human rights campaigners welcome decision, but urge caution as law is unclear and not implemented yet

@highlight

Until now, Saudi Arabia hasn't had a written law governing domestic violence

@highlight

The law is expected to be implemented within 90 days, making physical abuse punishable with a maximum of one year in jail