(CNN) -- When former death row inmate John Thompson left a Louisiana prison in 2003 he was one of the lucky ones.

He had the support of his family and the lawyers who had worked for more than a decade to prove his innocence in the 1984 shooting death of a hotel executive from a prominent New Orleans family.

Within six months of his release, he was married and holding down a steady job.

By 2005, he had a brand new home, a car and a dog. He and his wife were running their own sandwich shop in a hotel in downtown New Orleans.

"I was almost getting to feel the American dream," said Thompson, who spent 18 years in prison, 14 of them on Louisiana's death row.

Then, Hurricane Katrina hit and wiped out his home, his business and the life he'd been struggling to build after nearly two decades locked up.

He looked around and realized he was not alone in his struggle to ease back into society. He also wondered where the resources were for people like him who didn't know how to use email, find a doctor or apply for a driver's license and social security card to apply for jobs.

"Men come home and the system has nothing in place to help them put their lives back together," he said. "They need to be reprogrammed because the survival tactics they learned in prison don't work in the outside world."

To help them Thompson started Resurrection After Exoneration, an education and outreach program that helps exonerated and formerly incarcerated inmates rebuild their lives.

Again, he says he was lucky because he knew people who could help him write grant applications and navigate the waters of the non-profit world.

But it takes more than good fortune and connections to make a go of it after spending nearly two decades in prison, said Michael Banks, one of Thompson's appellate lawyers.

"He's proven himself to be resilient, resourceful and compassionate in ways that are unimaginable given his situation," said Banks, who helped Thompson win his freedom.

Banks and his colleague Gordon Cooney helped reverse Thompson's capital murder conviction based on evidence that the Orleans Parish District Attorney's Office concealed blood evidence that would have cast doubt on its case.

District Attorney Harry Connick Sr., father of the entertainer on TV's "American Idol," reportedly defended his team at the time. "We follow the rules," Connick reportedly told The Associated Press. "We have an ongoing and continuing obligation to turn over exculpatory evidence and we do."

In a retrial, jurors acquitted Thompson of all charges.

"We felt good about the retrial, the evidence suggested we were going to win," Banks said. "We were worried about what happens next, after he walks out of prison after 18 years.

"There's not a lot of vocational training on death row; the only thing you're trained for is to learn to die."

Thompson's lawyers tried to convince him to go to a residential counseling program in California. But he insisted on staying in New Orleans to be close to his mother and sons, who were four and six when they saw police take him away in handcuffs in 1985.

The first place Thompson visited when he left prison was his old neighborhood, where he received a hero's welcome complete with Mardi Gras beads, Banks recalled.

However, over a seafood dinner at Pascal Manale -- his first as a free man -- he made it clear that he did not want to return to his previous life, Banks said.

"He knew from the minute he got out, 'I don't want to go back to this old world because this will eat me alive,'" Banks said. "He was a 10th grade dropout with no money, no ATM card, he'd never used a cellphone or a computer. The temptation of street crime, drugs and poverty seemed overwhelming. But to his credit he had the emotional intelligence and strength to pursue a different path."

Still, it's been a bumpy road. Thompson won $14 million in damages after suing the Orleans Parish District Attorney's Office for violating his federal civil rights by hiding blood tests that would have proven his innocence. The state appealed and the case went all the way to the U.S. Supreme Court, which overturned the judgment in a sharply divided 5-4 decision.

Read the Supreme Court opinion

That -- coupled with Katrina -- led Thompson to dedicate his life to fighting for the rights of other exonerees.

State laws vary when it comes compensation, but in Louisiana exonerated inmates are eligible for $25,000 per year for each year of wrongful incarceration with a $250,000 cap.

But former inmates need more than money, Thompson said. They need guidance and mentoring to help them manage it wisely. Besides, they shouldn't have to wait for compensation to find services essential to their transition and rehabilitation, he said.

"We think states and cities should provide housing and job training. They shouldn't have to wait for compensation to find those services," said Thompson.

Resurrection After Exoneration offers a variety of services to former inmates.

The nondescript building in New Orleans' famous Treme neighborhood provides temporary housing for four people while helping them develop a five-year plan, Thompson said.

The first stage involves a lengthy evaluation to get to know the former inmate and to get them back on the grid with a Social Security card, driver's license and doctor's appointments.

The organization also helps reconnect them with family or friends who can provide a support system.

Next, they start job training by learning computer skills and building resumes.

They also go through a long mental health checklist to ensure that the ex-inmate possesses the self-awareness to deal with lingering effects of prison. If needed, counseling referrals are provided.

"If you can't identify and deal with the trauma you fall into depression, and look to drugs and alcohol to escape reality," said Thompson. "That's what keeps these guys from getting over the hump and moving forward."

The organization also teaches participants how to tell their story so they can participate in community outreach efforts. These are key to build empathy and understanding of the needs of inmates returning to society, Thompson said.

Like it or not, these people are going to be in the community; it's society's responsibility to help give them a fighting chance, he said.

Thompson and other members of RAE visit high schools and law schools to tell their stories.

In addition the organization hosts "Know Your Rights" classes for practicing lawyers, students and members of the community.

Thompson also finds time to work with chapters of the Innocence Project, lobbying for federal guidelines related to compensation and looking for extreme cases of wrongful convictions across the country to cast a spotlight on the national scope of the problem.

"We need to make everyone aware of the importance of accountability and oversight when it comes to prosecutions," he said. "When you send one person away it destroys entire families."

@highlight

Ex-death row inmate John Thompson describes re-entering society after 18 years

@highlight

Thompson was weeks from execution when new evidence led to his release

@highlight

During Thompson's retrial on murder charges, a jury declared him not guilty

@highlight

Thompson founded a group to help former death row inmates