(CNN) -- A report from Canadian researchers published Monday says there is not enough sound evidence to support routine screening of children for autism, but several autism experts are questioning the paper's conclusions.

The article, published in the journal Pediatrics, is based on a review of existing studies.

Currently, the American Academy of Pediatrics -- which publishes the journal -- recommends that doctors screen children for autism during regular checkups at the ages of 18 and 24 months.

The U.S. Centers for Disease Control and Prevention (CDC) estimates that 1 in 110 children has some form of autism, a handful of different neuro-developmental disorders that cause mild to severe social, communication and behavioral problems.

Monday's report questions whether screening for autism is the right approach.

"Good screening tools and efficacious treatment [for autism] is lacking," it says, adding that "none of the autism screening tests currently available has been shown to be able to fulfill the properties of accuracy."

The report's authors are cerebral palsy experts at McMaster University in Ontario.

But several leading autism experts -- who diagnose, treat and study children with autism -- said they were puzzled and concerned by the new report's conclusions.

"By screening for autism at an early age, children are able to begin intervention as soon as possible," said Geraldine Dawson, chief science officer for the Autism Speaks advocacy group. "Studies have shown that early intervention results in significant increases in cognitive and language abilities, and adaptive behavior, and gives children the best chance for a positive outcome."

Dr. Patricia Manning-Courtney, a developmental pediatrician and the director of the autism center at the Cincinnati Children's Hospital Medical Center, said the study goes completely "against the experience in this field" in which experts have said early intervention or therapy can yield the most benefits for a child later in life.

"I have never, ever met a family that regretted being told their child may have symptoms -- not a single family," she said.

If a diagnosis of autism is later found to be inaccurate, the child isn't harmed by the therapy given in the interim, she said.

But Manning-Courtney said she's met thousands of parents whose children were diagnosed at an older age "who wished they were listened to sooner."

Dr. Charles Cowan, medical director of the Seattle Children's Autism Center, echoed Manning-Courtney's concerns, saying the report's conclusions seem to negate well established research and recommendations from people who treat children with autism, including the American Academy of Pediatrics.

More research is needed, he said, but just because all the necessary research hasn't been done yet, it "does not negate the benefit of screening."

Dr. Paul Lipkin, who chaired the academy's 2006 committee that recommended the screenings at 18 and 24 months, said the conclusions in Monday's report overlooked significant benefits to screening.

Doctors are also identifying problems beyond autism, including a wide range of developmental disorders, he said.

Lipkin, the director of the Center for Development and Learning at the Kennedy Krieger Institute in Baltimore, acknowledged that screening tools aren't perfect, but noted that doctors combine them with continuous surveillance.

"We are hoping that the combination can then overcome any of the limits of the tests or surveillance. The combination is better than either one of them," he said, adding that some newer studies, not cited in the Canadian study, suggest that "it does look like we're on the right track."

Despite the apparent criticisms of screening in Monday's article, study author Dr. Jan Willem Gorter said he and his co-authors were not specifically referring to "the surveillance that is happening in doctors' offices" at 18 and 24 months.

They were recommending against a population-wide screening program that would require screening every child at a certain age level for autism, he said. Nobody is conducting such a study at this time in the United States.

Results from a South Korean study of that nature published last month in the American Journal of Psychiatry suggested 1 in 38 children had autism -- a much higher number than previously believed. Some experts questioned the accuracy of those  results, which were based on screening of 55,000 12-year-old children in South Korea, suggesting that the screening may have picked up other developmental delays, not just autism.

Last month, the CDC told CNN it was considering a total population study of autism, but no such study is currently underway.

Gorter said he and his colleagues did not include the South Korean study in their analysis, but he said it showed "exactly why we wrote the paper."

He said he and his co-authors based their suggestions on what they learned from children with cerebral palsy, and that his ultimate goal is to "find the children who truly have autism and find ways to help them."

Screening isn't the only issue touched on in Monday's paper.

The article also finds "little support for the effectiveness for speech and language therapy for people with autism," argues that "applied behavior intervention did not significantly improve the cognitive outcomes of children" and says that "screening is pointless, and almost certainly unethical."

Susan Martin, director of media relations for the American Academy of Pediatrics, pointed to the academic journal's disclaimer, which says statements and opinions in the articles it publishes "are those of the authors and not necessarily those of the AAP."

But several autism specialists said they feared the theoretical questions the article poses would turn back the clock to a time when parents' concerns about their childrens' development weren't heard.

Cowan said Monday's report completely leaves out studies that have shown benefits for children in cognitive and social developments. He cites a study published by Dawson and Sally Rogers, which found giving toddlers as young as 18 months old intensive therapy by trained specialists and their parents, can effectively improve the child's IQ, social interaction and ability to communicate.

Cowan called that study a "landmark (clinical) trial" and said he was surprised the Canadian researchers did not include it.

Manning-Courtney, who is also a member of the American Academy of Pediatrics, said the study could be misinterpreted by some, "especially insurance companies," which may decide they don't have to pay for costly, lengthy autism therapies if a study says that "efficacious treatments are lacking."

But Gorter said the study's authors want to "help improve the outcome for the children's lives."

"I would hope our debate would lead to an action," he said.

@highlight

A new paper says "good screening tools and efficacious treatment" for autism are lacking

@highlight

Several leading autism experts question the article's conclusions

@highlight

The American Academy of Pediatrics recommends screening at 18 and 24 months

@highlight

One of the report's authors says finding and helping children with autism is his goal