One of the most striking aspects of the massive protests that have broken out across Egypt is the intensity of the people's anger directed at the Muslim Brotherhood.

Welcome to the second wave of the Egyptian revolution.

Millions of people have poured onto the streets, marking the first anniversary of Mohammed Morsy's swearing-in as Egypt's president with a demand that he step down immediately and make way for new elections. If Morsy refuses, they plan a campaign of civil disobedience that could paralyze the country. Now the army has stepped in with an ultimatum, telling Morsy he has 48 hours to satisfy the protesters' demands.

The organizers, a group known as Tamarod or "rebel," say they have already collected 22 million signatures in support of their demands. That's far more than the 13 million votes Morsy -- the candidate of the Muslim Brotherhood -- received in the presidential election, and a sign that discontent has spread beyond the liberals, or former regime supporters.

The opposition's push for new elections has clearly capitalized on Morsy's dismal record, particularly on the economy's downward spiral and the chaotic security situation. But there's more to this protest than a call for jobs, bread and safe streets.

Morsy has few friends as deadline looms

Underpinning the calls for change is a growing understanding of the meaning of democracy, and an increasingly pervasive sense that what Egypt has had under Morsy is not the system that Egyptians had in mind in 2011 when they overthrew a deeply entrenched dictatorship.

When Egyptians poured into the streets in early 2011, they wanted to topple Hosni Mubarak, the dictator who had ruled the country for three decades. They succeeded in ending dictatorship, but their revolution took a sharply different turn from the one envisioned by the young idealists who occupied Cairo's Tahrir Square.

Unlike the Brotherhood, Mubarak's rule had no overarching ideology other than cementing his hold on power. The Brotherhood, by contrast, has a distinct ideology, and it is moving steadily, if gradually, to put it into place. It essentially wants to use its interpretation of Islam as the guiding principle for the individual, society and the state. And it ultimately wants to unify all Muslim states into one, to "liberate them from foreign imperialism."

What happens to the Brotherhood in Egypt will affect Brotherhood parties across the region. Already its image of incompetence and noninclusiveness is a stain that will be difficult to erase.

In Egypt, Islamist parties quickly moved to the forefront of the post-Mubarak political scene. The Ikhwan, as the Brotherhood is known, had a head start in political organizing. It competed on a stage where other parties had barely taken shape, vying for voters who had practically no experience with democracy. Not surprisingly, the Brotherhood won every election, although its margin of victory steadily narrowed.

Liberal activists had struggled to explain to voters a number of basic democratic concepts, such as secularism, protection of minorities and rule of law.

Now Morsy and the Brotherhood have done Egypt a great service by demonstrating what these ideas mean.

Many Egyptian protesters accuse Morsy of governing for the benefit of the Muslim Brotherhood rather than for the country as a whole. A year under Morsy has shown some of the important yet subtle aspects of democratic rule, such as the fundamental concept that winning elections does not mean the winner gets to ignore all the concerns of the opposition.

The Brotherhood's intentions and Morsy's credibility started to become troubling when they repeatedly broke their word. They vowed not to field a candidate for president, not to seek to control the parliament, not to try to dominate the constitution-writing process. And they broke every promise.

Morsy's reputation took a steep dive after he seized dictatorial powers in November. The protests forced him to reverse course, but he failed to lead the country through its "Constitutional Moment," the pivotal period in history when it has the opportunity to reach a national consensus -- much more than an electoral victory -- to write a constitution that is embraced as legitimate by the nation as a whole.

Instead, Morsy and the Ikhwan have taken their thin electoral victory as justification for gradually expanding their hold on the country's institutions. They rammed through a constitution that does not provide a strong guarantee of equality for women and for minorities. They have allegedly worked to suppress critical media, allowed inflammatory speech against non-Sunni Muslims, and rejected all criticism as work of foreigners and "falool," as nostalgic remnants of the Mubarak dictatorship are known. They have gone after nongovernmental organizations, seeking to hollow out the influence of grass-root groups, particularly those working on democracy education.

Ironically, one year under a Muslim Brotherhood government has proven quite helpful in educating Egyptians about democracy.

Morsy and the Ikhwan have inadvertently helped explain how in a democracy, the rights and the voices of minorities, even of election losers, must be heard. They have unwittingly shed some light on the complicated concept of secularism. In the first wave of elections, many voters thought if they were Muslim -- as most Egyptians are -- they should vote for the Muslim Brotherhood. And they thought secular was synonymous with atheist. Now they're discovering how religion can be exploited for power.

Egyptians accuse Morsy and the Brotherhood of engaging in a process of "Ikhwaninzation," a quest to take control of state institutions and impose their Islamist views on the population.

Unfortunately for Morsy and the Brotherhood the protesters are more experienced this time around. Egyptians have learned that it's not enough to topple a dictator.

It is unclear where this second wave will lead. The opposition is still divided and its small component parts may still not be large enough to defeat an Ikhwan party in a new election. But the protests are a sign that the revolution is far from over, and this time its target is the Muslim Brotherhood.

@highlight

Millions take to the streets to protest against Egyptian President Mohammed Morsy

@highlight

Frida Ghitis: What's striking is the intensity of anger at the Muslim Brotherhood

@highlight

She says Egyptians realize that Morsy's government is not living up to its promises

@highlight

Ghitis: The discontent and protests show that Egypt's revolution is far from over