(CNN) -- Andrea Sloan is dying of ovarian cancer. Having exhausted all standard treatment options, her doctors say her best hope now is a new class of cancer drugs called PARP inhibitors.

The California pharmaceutical company BioMarin makes one version of these drugs called BMN 673. Earlier this year, the company presented very early data on this experimental drug at a large cancer conference. Initial results in women with breast and ovarian cancer were encouraging.

Sloan says there are doses of BMN 673 sitting on shelves in the same hospital where she's seeking treatment: M.D. Anderson Cancer Center.

But she's not getting the treatment because the company is refusing to give it to her. That's because this drug she wants is still in clinical trials, and the company says hasn't been proven effective.

BioMarin points out that to date their drug has been tested in fewer than 30 patients with ovarian cancer like Sloan.

"It would be unethical and reckless to provide end-stage refractory ovarian cancer patients outside a clinical trial with BMN 673 at this early stage of development," says company spokesperson Debra Charlesworth.

"If we did, we would be exposing an experimental drug to a large group without adequate testing. There have been previous circumstances where early access to large groups has resulted in adverse consequences that were worse than the course of the disease."

But Sloan says she's willing to accept the risks -- to roll the dice now that her doctors have tried everything else they can to save her life, including multiple rounds of surgery, chemotherapy, and radiation since she was first diagnosed with cancer in 2007.

And her doctor supports her.

She has the help of a PR firm, working pro bono, to bring attention to her case, and a change.org petition for her cause has collected more than 150,000 supporters. It will likely be years before BMN 673 is on the market, but Andrea says she does not have that long to wait.

PARP inhibitors work by preventing DNA repair in cancer cells, and are thought to work especially well in patients with a particular gene mutation.

"One of the reasons she's such a great candidate for PARP inhibitors specifically is because she has a BRCA mutation," says Dr. Charles Levenback, Sloan's oncologist at M.D. Anderson Cancer Center.

"She has a hereditary form of ovarian cancer, so we believe she has a much better chance of responding to PARP inhibitors than patients with a nonhereditary type of ovarian cancer."

Levenback says Sloan doesn't meet the eligibility requirements for any open clinical trials to the best of his knowledge. If she did, he would not be seeking compassionate use for his patient in the first place, he says.

BioMarin is conducting more clinical trials, but in breast cancer only, not ovarian cancer.

The standoff between Sloan and BioMarin raises the question: When should patients get access to experimental drugs?

Under "Compassionate Use" or "Expanded Access", the Food and Drug Administration allows an unapproved drug still in development to go to a patient with few alternatives remaining, also absolving the drug maker of liability should the drug not work or cause harm.

The FDA has said Sloan qualifies to seek compassionate use of BMN 673, but BioMarin won't provide it and they don't have to.

"You have the FDA saying, 'Look we'll approve compassionate care.' You have the doctor who is the specialist saying: 'This is the right thing to do.' And you have a corporation protecting its wallet at the expense of Andrea possibly dying," says Newt Gingrich, co-host of CNN's "Crossfire," who has been gathering support for Sloan's case.

"If you want to know why big companies often get bad names, it's explaining that clerical support to fill out FDA paperwork is too difficult when you can save a life."

BioMarin says it does provide "expanded access" to patients for another drug which is further along in the clinical trial process, and that the company expects to spend $50 million or approximately 10% of its revenue in 2013 on providing free drugs to patients.

BioMarin also notes that other drug companies are developing PARP inhibitors too, so they're not the only potential source for Sloan.

The company points to an AstraZeneca clinical trial currently enrolling ovarian cancer patients, but Sloan's doctor says she doesn't qualify.

"We're focused on BioMarin because initially that is the one that one of my doctors had the most direct experience with and recommended," says Sloan, whose doctors at M.D. Anderson also participate in BioMarin's clinical testing.

"The compassionate use policy exists for exactly this situation, and this is how patients lose: I lose if BioMarin is able to say 'Well you need to go ask for it from one of the other three'," says Sloan.

Art Caplan, professor of Bioethics at NYU Langone Medical Center, says the scatter-shot way in which individual patients are left to petitioning drug companies for access to experimental drugs creates an unfair process.

"One problem in this country is we haven't set up a system. Right now what we've got is a squeaky-wheel lottery; if you can figure out what your options are, if you know how to use social media, if you know how to have a bake sale, if you can hire a PR firm -- you can have a shot at an unapproved drug," says Caplan.

"But that's all obviously inequitable relative to the number of people who might want to seek compassionate use."

Caplan says that without more safety and efficacy data on BioMarin's drug, it's too early in the process for a compassionate use exception for a different form of cancer than the one BioMarin is targeting. There's still a big risk that the drug could harm Sloan, speeding her death, as much as it helps her, he says.

Sloan's doctor agrees the system needs changing.

"My own belief is that the drug companies, the manufacturers, the insurance companies, the providers like my hospital M.D. Anderson, the individual medical professionals, the investigators, the patients -- everybody wants the same things. Safe, effect, novel therapies for as many people as it's appropriate for," says Levenback.

"Even BioMarin, I believe. I don't think this is like 'Let the masses eat cake.' I think they're on the same mission. But the whole system is giving this dysfunctional result."

Levenback says the window for Sloan is closing. If it's going to be effective, she will need the new drug soon. Knowledge of that fact has put Sloan on a mission, and she says she's not giving up.

@highlight

Andrea Sloan, 45, has ovarian cancer

@highlight

She is seeking "compassionate use" of a new drug that's not FDA-approved

@highlight

Sloan says she's willing to accept the risks