(CNN) -- If we were hoping that the finally released -- but month-old -- preliminary report on the March 8 disappearance of Malaysia Airlines Flight 370 would help explain what happened, we were mostly disappointed.

But the report, issued Thursday and dated April 9, does add new insights on snafus in crucial communication between air traffic control centers and Malaysia Airlines on the morning Flight 370 disappeared. They are disturbing -- and put the competence of the airline's operations center in question.

Indeed the brevity of the report (five pages) seems to show a Malaysian Ministry of Transport still interested in sharing as little information as possible, especially when compared with the extensive detail in preliminary reports from other accidents, such as the loss of Air France Flight 447 in June 2009.

What we do learn from this new report is that the airline told controllers -- who were already looking for Flight 370 -- that everything was normal, delaying the realization that the plane was many hundreds of miles from where it was thought to be, and any attempts at finding it.

In fact, it would be three hours and 52 minutes between the time that the controller in Ho Chi Minh, Vietnam, reported to air traffic control in Kuala Lumpur, Malaysia, that Flight 370 had not contacted him as instructed, and the time that the Kuala Lumpur rescue center was activated.

Here's what the report says happened:

The Ho Chi Minh controller reported he saw the aircraft over the IGARI navigational waypoint, a position still within Malaysian airspace where the flight had been instructed to contact Ho Chi Minh, but he did not have verbal contact. The controller further noted the observed "radar blip" disappeared over another waypoint along the aircraft's route northeast of IGARI, within Ho Chi Minh airspace and less than 100 miles from the southern tip of Vietnam.

After not hearing from the flight for 17 minutes after expected, the two controllers spent 20 minutes trying to contact the aircraft on "many" frequencies, the report says, and through relays from other aircraft in the area, as would be expected.

Then the controllers turned to the airline, and here things became odd.

At 2:03 a.m. local time, Malaysia Airlines' operation control center told the watch supervisor at Kuala Lumpur air traffic control that the flight was in Cambodian airspace. It was not planned to enter that airspace. The Ho Chi Minh controller, apparently skeptical of the airline's information, requested confirmation. When queried, the airline said it was able to "exchange signals" with the flight.

Apparently still unaware that something was amiss, at 2:35 a.m., nearly an hour after last contact with air traffic control and more than 30 minutes after reporting the airplane to be in Cambodian airspace, the airline informed Kuala Lumpur air traffic control that the airplane was "in normal condition based on signal download" and placed its position on course a few miles off eastern Vietnam.

The report makes no mention of whether the airline attempted to contact the airplane directly through satellite calls or data-link messages. At 03:30 a.m., almost an hour after the airline's last report put the aircraft in normal condition east of Vietnam, its operations center reported the position was based on a prediction of the flight's progress, not its actual position. Controllers expanded their contact attempts to include the Hong Kong and Beijing air traffic control centers, which also had no contact with the aircraft.

Controllers don't instantly sound the alarm when an airplane doesn't call them as expected. Air traffic communications are not perfect in day-to-day operations, and the controller exchanges reflect that. A gap in radio coverage, a misdialed frequency and other everyday occurrences were good reason for the controllers not to react immediately.

Controllers took the expected actions in attempting to reach the flight on various frequencies and by other aircraft. A transponder, too, occasionally fails, and air traffic control will ask an airplane's crew to reset it, but radio contact is required to do so.

There are three phases of alerts in an air rescue situation, based on international protocols: The uncertainty phase, when no communication is received for 30 minutes after it should have been; the alert phase, when attempts to contact the crew or inquiries to other relevant sources have failed to reveal any information; and the distress phase, when further inquiries have failed to provide any information or when fuel on board is considered to be exhausted.

Clearly the misinformation provided by the airline that had controllers searching and attempting to contact the aircraft over much of Southeast Asia kept officials from realizing the airplane had never even reached the coast of Vietnam. That conclusion was not drawn until 5:20 a.m., after which the watch supervisor at Kuala Lumpur air traffic control activated the distress protocol.

By then the airplane was likely somewhere well out over the Indian Ocean. By then it had already been off air defense radar for hours, though it would take a replay of that data to see if it were ever on there in the first place.

This scenario highlights some of the real-life difficulties associated with the current state of international air traffic control. We rely on electronic equipment on board the airplane reporting its position -- secondary radar (using transponders) and data-link communications. In remote oceanic areas, airplanes operate for many hours beyond any radar contact, where radio communication is also difficult.

Position and voice transmissions are periodic, not constant. For the modern air traffic control system, the current technology works well nearly 100% of the time. However, when the electronics fail for whatever reason -- and there are many possibilities -- we are left with nothing.

In the case of Air France Flight 447, controllers looking for contact with the aircraft and the airline had similar communications issues. The investigation of that disappearance revealed a surprising lack of coordination between air traffic control agencies, their inability to contact each other and clarity on who should be initiating emergency protocols when contact is lost.

In that case, too, there were erroneous reports -- that the flight was OK and nearing Portugal airspace -- though this time from controllers. Air France had, just before then, become anxious about the error messages sent from the airplane -- which unbeknown to anyone had crashed more than four hours earlier north of Brazil. Many controllers and agencies were asking about the flight, but no one had triggered the uncertainty, alert and distress phases of the process.

Details of these same processes in the Malaysia Airlines Flight 370 case remain unclear.

The preliminary report on Flight 370 concludes with one safety recommendation: to examine the safety benefits of introducing a standard for real-time tracking of commercial air transport aircraft. Systems such as Automatic Dependent Surveillance-Broadcast -- essentially GPS -- currently offer that type of coverage over or near land, and Flight 370 was so equipped. However, over remote areas the problem is more complex and expensive, and it still depends on whether or not the equipment on the plane is working.

@highlight

Bill Palmer: Report on Flight 370 adds a few new insights on communications snafus

@highlight

He says airline told controllers things were normal, delaying for hours attempts to find plane

@highlight

Palmer: Miscommunication for nearly four hours calls airline competence into question

@highlight

Palmer: Similar confusion in Air France 447, but Malaysia officials still withholding info