Don Hartsell knows his idea could be considered crazy.

"I thought this project was so large, so ambitious, that no one would take me seriously," says the Texas resident and aircraft enthusiast. "In fact, I was concerned they would think I was insane."

Hartsell is talking about his World Sky Race, which as conceived would be a grand global spectacle. If all goes according to plan, a fleet of airships will take off from London in 2014 and race each other around the world, watched by millions of spectators, before finishing six months later just outside of Paris.

The event is planned as a series of 18 back-to-back races that will circumnavigate the globe. Although the route isn't finalized, the proposed path will take pilots over at least four continents and about 130 United Nations Education, Scientific and Cultural Organization (UNESCO) World Heritage sites -- among them the Egyptian pyramids, the Taj Mahal, the Statue of Liberty and the Palace of Versailles.

Hartsell, founder of a group of blimp enthusiasts known as the World Air League, expects celebrations in each of the cities where the airships touch down, with wide-eyed children gathering to see the blimps float overhead. He estimates 140 million people around the world will witness the race -- a number that dwarfs the 5 million or so spectators for the London Olympic Games.

The first-place prize for the speediest airship? Hartsell promises at least $5 million and the title of World Sky Champion. He plans to officially announce the race at Versailles this fall, giving interested competitors almost two years to prepare.

A far-fetched dream?

As you can imagine, there are still a lot of "ifs" surrounding the World Sky Race. Skeptics might rightly wonder if it will ever happen. Start dates have been thrown around for years -- September 2011 was one that was widely reported -- and yet Hartsell's race has yet to get off the ground.

Hartsell says he is still securing sponsors and raising prize money, as well as negotiating with princes and politicians for permission to fly airships over their landmarks. The market crash of 2008 caused delays and led potential sponsors to walk away, he says.

Hartsell estimates there are 30 to 35 airships in the world, and he hopes to rally at least five of them to participate in the race. Each blimp will represent a nation, region or city, which he believes will encourage fan and sponsor support. He expects the race to cost about $50 million, to be financed by donations and sponsorships.

"It's being funded purely by that good old mechanism we call capitalism," he said.

For each of the 18 legs of the race, the blimps will have to follow a set flight path. They will fly about 2,000 feet above sea level, making them visible to people on the ground. The airships expect to average about 70 miles per hour, which would allow them to travel about 1,000 miles a day, Hartsell says.

Competitors will be timed from the moment they depart to the moment they arrive at an official endpoint. The blimp with the shortest cumulative time will be crowned the victor.

From the Hindenburg to Goodyear

Mention of airships brings to mind the 1937 Hindenburg disaster, in which a German passenger airship went up in flames while attempting to dock in New Jersey, killing 36 people. The Hindenburg was a rigid blimp, with an aluminum frame containing hydrogen-filled bags that lifted it into the air. Many airships today are non-rigid vessels that have no frame and are instead filled with helium -- which, unlike hydrogen, is not flammable.

Tim Crouch, senior curator of aeronautics at the Smithsonian's National Air and Space Museum, said airships had their heyday during the first 40 years of the 20th century because they were more capable than airplanes of carrying heavy loads over long distances. But as airplanes grew larger and faster, blimps were used less often to ferry cargo.

The military used blimps for surveillance and reconnaissance until the 1960s, said Crouch, noting that the U.S. Navy has been experimenting with a blimp again in recent years. In recent decades airships such as the Goodyear or DirecTV blimps have been used for commercial purposes, usually at parades and sporting events.

Crouch said using airships as advertising is an age-old tradition he can see investors buying into, especially in a race around the world.

"Those kinds of aeronautical challenges always pique people's interests," he said. "I mean, I'd watch that -- wouldn't you?"

UNESCO's role

The idea for the World Sky Race first came to Hartsell when he was 23 years old and in New York City for the U.S. bicentennial celebration of 1976. As he watched the Goodyear blimp hover over tall-masted sailing ships in the harbor, he envisioned creating an airship race that would unite and inspire people like the bicentennial did.

But it wasn't until 30 years later, after he worked as a accountant, an attorney and an entrepreneur, that Hartsell decided it was finally time to make the World Sky Race a reality.

"I started this out with, 'OK, you're at a point in your life where either you can retire or you can do something worthwhile.' I went, 'Are you still crazy?' Then the next question I asked myself was, 'How's your health?' Because to put this together has turned into a large undertaking. Then the third question: 'If not now?' And so with that, it started."

Hartsell has found backing for his venture from such heavyweights as the former CEO of Lockheed Martin, a member of Jordan's royal family and officials at UNESCO. Francesco Bandarin, UNESCO's assistant director general for culture, said the race would allow the U.N. to highlight its World Heritage sites, which range from natural wonders such as the Grand Canyon to man-made landmarks like the Sydney Opera House.

"This offers a great opportunity to publicize the sites, and ... the need to rally international support for their conservation," Bandarin said. "This race would be a world premiere -- something never tried."

'He thinks big'

As Hartsell sees it, his event isn't just about racing blimps.

He has enlisted the help of Scott McNealy, former chairman of tech giant Sun Microsystems, to use the World Sky Race as a teaching tool for children around the world.

Since his days in Silicon Valley, McNealy has helped create Cirriki, a nonprofit that allows educators to share K-12 curricula on its website. McNealy hopes to use Cirriki.org to help teachers and students track the race and to give them lesson plans about geology, ecology, history and culture related to the airships' travel around the world.

"Anything that gets students out of the rut of the physical textbook I think is a good thing," McNealy said. "I never would have come up with a blimp race as a way to do that, but you can see that it would be very fascinating to young kids."

Hartsell also hopes the race will spur the development of new airship technology. He sees these vessels, which require less fuel and infrastructure than many other means of transportation, as the future of aviation.

"It makes so much sense for the environment, and it also makes so much sense for not having to build the roads and not having to dredge the harbors," he said.

Even as a member of the World Sky Race's advisory council, McNealy confesses he doesn't know exactly when, or even if, the race will happen. But he hopes Hartsell's dream for this one-of-a-kind event comes to fruition someday.

"You've got to give him credit," McNealy said. "He thinks big."

@highlight

Texas aircraft enthusiast is planning a blimp race that would circle the globe

@highlight

The World Sky Race would kick off in 2014 from London and end outside of Paris

@highlight

Organizer Don Hartsell estimates 140 million people around the world will witness the race

@highlight

Hartsell says he is still securing sponsors and raising the $5 million prize money