Shanghai (CNN) -- China's new rich have rushed to show off their wealth by spending on luxury status symbols, with the country now the world's second biggest market for designer goods.

It has meant boom times for European brands like Prada, Louis Vuitton and Chanel.

Now, a small but growing group of taste-makers say China's fashion landscape is changing.

Home-grown designers and brands are ready to challenge their Western counterparts as a new generation of consumers seek out items that reflect their own culture, rather than just the European heritage and exclusivity that have been so popular to date.

Meet the people making made in China cool:

Hung Huang: The magazine editor

When Hung Huang decided in 2005 to devote her fashion magazine, iLook, to covering Chinese design, jaws dropped. Advertisers pulled out and people told her the move was suicidal.

"It was really hard, she says. "They told me 'there's no such thing as Chinese design'." But each month, Hung and her team managed to feature an up-and-coming Chinese designer, with the hope of putting Chinese fashion on the map.

It was a brave move in a country that has embraced Western luxury labels like no other but Hung feels vindicated. By 2010, her team was fielding several telephone calls a week from readers interested in buying the products featured on the magazine's glossy pages.

But with few shops willing stock lines by Chinese designers, Hung took the plunge and opened her own boutique in Beijing. Called Brand New China, it stocks designs by up to 50 Chinese designers and has seen sales increase by 60% a year. "We didn't have any illusions about making a huge fortune from Chinese design but it is a sustainable business."

Sales have increased, she says, as consumers, already accustomed to Western luxury labels seek out something different. Plus, an anti-corruption campaign that has seen sales fall at some Western designer brands is also leading a change in appetites.

But she cautions that it will be a while before we see a Chinese equivalent of Prada or Chanel. Young Chinese designers want instant fame, she says, and don't pay enough to the business side of the fashion world.

"They all want to be the next Karl Lagerfeld," says Huang, who has been described as China's answer to Anna Wintour and Oprah Winfrey. "It will happen...but it will happen to a designer who is mature, who has commercially learned how to deal with international corporations and retailers."

Chris Chang: The designer

It's the morning after her show at Shanghai Fashion Week and designer Chris Chang is on the phone apologizing to her friends and clients who failed to get a front-row seat.

Featuring dozens of models sashaying down the catwalk in vibrant hues and striking headgear, it attracted huge crowds to the marquee in the city's hip Xintiandi district.

The designer, originally from Taiwan, has been based in Shanghai for seven years and says she has developed a loyal coterie of customers who love, as she puts it, her "happy, glamorous clothes."

"They've worn Chanel in the past, they've worn Prada but now they want something individual and just more fun and beautiful," she says, from her studio which, with its day-glo colors and Chinese pop-art sculptures, encapsulates her design philosophy.

Chang designs four womenswear collections a year under her Poesia brand. Her biggest challenge, she says, is a lack of stores.

She sells her clothes from her Shanghai studio and also travels to Hong Kong regularly for trunk shows. "On our own we don't have deep enough pockets," she says.

Chang, who previously worked as Prada's general manager for Taiwan, has also adopted a mentor role to the country's younger designers. She starred as a judge on My Style television show, China's equivalent to Project Runway.

"Right now, it's a novelty for the world to look into what Chinese designers are doing," she says.

"It won't take one day to overturn the negative images of made in China that people had in the past but I think it's coming along."

Chang, who takes her inspiration from anything from cartoons to China's ethnic minorities, says that it can be burdensome for local designers to get hung up on their Chinese ancestry and history and they need to focus on global clothes for a global market.

"I think we have to focus on how to be good designers instead of good Chinese designers."

Andrew Keith: The retailer

Andrew Keith runs luxury Hong Kong department store chain, Lane Crawford -- Asia's answer to Selfridges. It sells clothing, shoes and accessories from 500 international designers online and at its seven stores in Hong Kong, Beijing and Shanghai.

In October, clothes by Chinese designers were sold for the first time alongside the likes of Stella McCartney and Alexander McQueen at its newly opened Shanghai flagship store.

"It's a natural progression for us to work with design talent here," he says.

"What's surprised people is the prominence that we're giving these designers. We're already re-ordering so the demand for these designers has definitely hit."

Depending on their Shanghai reception, the designers will see their clothes in other Lane Crawford stores and for sale internationally on the store's website.

For Helen Lee - one of three designers chosen -- it's a massive opportunity. Her Shanghai boutique lies at basement level near a food court beneath West Nanjing Road -- one of the city's swankiest shopping districts. One day she hopes her name will feature among the Gucci and Chanel boutiques above ground.

"We are proud of made in China. I think our image is getting better but I'm still not sure deep inside how much people appreciate local brands," says Lee.

Keith believes that if China is able to marry its manufacturing capability with commercial acumen and the creativity of designers like Lee, it will become a fashion force to be reckoned with.

"We will see China referenced as a thought leader, as an innovator and a driver of ... trends."

@highlight

China's new rich have rushed to show off their wealth by buying designer goods

@highlight

It's meant boom times for European brands like Prada, Louis Vuitton and Chanel.

@highlight

Home-grown designers and brands are now ready to take on their Western counterparts

@highlight

Insiders say "made in China" can become a fashion force to be reckoned with