(CNN) -- Iran's controversial nuclear program began more than 50 years ago with aid from the West. Now, despite Iran's assurances that its program is purely peaceful, some Western countries, the United Nations and the International Atomic Energy Agency say they're concerned that Iran wants to use the program to create a nuclear weapon. Here's a look at Iran's nuclear program over the years:

• 1957 -- The United States signs a civil nuclear cooperation agreement with Iran.

• 1958 -- Iran joins the International Atomic Energy Agency.

• 1967 -- The Tehran Nuclear Research Center opens. It includes a small reactor supplied by the United States.

• 1968 -- Iran signs the Nuclear Non-Proliferation Treaty.

• Mid-1970s -- With U.S. backing, Iran begins developing a nuclear power program.

• 1979 -- Iran's Islamic revolution ends Western involvement in the country's nuclear program.

• December 1984 -- With the aid of China, Iran opens a nuclear research center in Isfahan.

• February 23, 1998 -- The United States announces concerns that Iran's nuclear energy program could lead to the development of nuclear weapons. Two years later, the U.S. imposes the first sanctions against Iran related to its nuclear program.

• February 9, 2003 -- Iran announces that it has discovered uranium on its own soil, giving the country a domestic source of material for its nuclear program.

• February 21, 2003 -- Amid U.S. claims that Iran seeks to produce nuclear weapons, the IAEA's director general visits Iran and encourages its leaders to allow inspectors more and faster access to its nuclear sites. Iran declines.

• June 19, 2003 -- The IAEA issues a report saying that Iran appears to be in compliance with the Non-Proliferation Treaty, but that it needs to be more open about its activities.

• August 26, 2003 -- The IAEA finds traces of highly enriched uranium at Iran's Natanz nuclear plant. A month later, U.N. weapons inspectors report traces at a second facility near Tehran, and the IAEA sets an October 31 deadline for the country to prove it is not developing nuclear weapons. Iran claims the source of the uranium is imported equipment.

• October 21, 2003 -- Iran agrees to suspend processing and enriching uranium and allow unannounced inspections by the IAEA.

• November, 12, 2003 -- The IAEA finds no evidence of a nuclear program but expresses concern about plutonium production. Iran's president says the material is for pharmaceutical use.

• September 28, 2004 -- Iran's foreign minister rejects claims that the country wants an atomic bomb but vows to defend its nuclear facilities against any attack by Israel.

• November 14, 2004 -- Iran again agrees to temporarily suspend uranium processing and enrichment after talks with European countries in Paris.

• January 13, 2005 -- IAEA inspectors visit the Parchin military complex, believed to have been the site of high-explosive tests related to nuclear weapons research. They find no evidence of a nuclear program but are given only partial access to the facility.

• January 17, 2005 -- U.S. President George Bush warns that military action against Iran is an option.

• August 9, 2005 -- Iran's supreme leader issues a religious decree against manufacturing, storing or using nuclear weapons.

• February 4, 2006 -- The IAEA votes to refer Iran to the U.N. Security Council for possible sanctions over its uranium enrichment program. The next day, President Mahmoud Ahmadinejad orders Iran to end its cooperation with the IAEA.

• April 11, 2006 -- Ahmadinejad declares that Iran has joined the list of countries with nuclear technology, confirming the production of low-grade enriched uranium at a level sufficient to power nuclear power plants.

• July 31, 2006 -- The U.N. Security Council passes a resolution calling on Iran to stop uranium enrichment efforts within one month, but it does not impose sanctions.

• December 23, 2006 -- The Security Council votes unanimously to impose sanctions on Iran for failing to curb its enrichment program, the first of several rounds of sanctions imposed by the U.N., the European Union and individual countries over the next few years.

• December 4, 2007 -- The U.S. government says an intelligence estimate suggests that Iran stopped work on its nuclear weapons program in 2003.

• February 20, 2009 -- The nonprofit Institute for Science and International Security reports that Iran could have enough low-enriched uranium to build one nuclear weapon. But the IAEA says it would need further processing to be used in a weapon.

• September 2009 -- Iran test-fires short- and long-range missiles, raising fears that the country could deliver nuclear weapons atop such missiles.

• 2010 -- A mysterious computer worm called Stuxnet begins infecting computers used in Iranian nuclear facilities, sabotaging machinery used in uranium enrichment, computer researchers will later say. Some experts say the worm may have been deliberately introduced by governments seeking to slow or kill Iran's nuclear program, but the worm's origin remains unclear.

• January 12, 2010 -- An Iranian nuclear scientist is killed by a car bomb, leading Iranian leaders to claim Western powers are waging a covert campaign against its nuclear program. A year later, Iran will announce it believes the death was the work of a spy ring linked to Israel, according to the semi-official Fars news agency.

• February 12, 2010 --- Ahmadinejad says Iran has enriched uranium to 20%, evidence of a significant upgrade in capability.

• February 18, 2010 --- In a reversal from the 2007 U.S. estimate, the IAEA reports that it believes Iran may be working in secret to develop a nuclear warhead for a missile, one of several in a series of renewed warnings over the next few years questioning Iran's claim of a purely peaceful nuclear program.

• November 29, 2010 -- Nearly simultaneous explosions from car bombs kill one Iranian nuclear scientist and wound another.

• January 8, 2011 -- Iran becomes one of the few countries in the world capable of producing everything it needs for the nuclear fuel cycle, including fuel plates and rods, Iran's atomic chief and foreign minister Ali Akbar Salehi tells Fars.

• November 8, 2011 -- An IAEA report says the agency has found no evidence that Iran has decided to build a nuclear weapon, but the nation has carried out "activities relevant to the development of a nuclear explosive device."

• November 24, 2011 -- Iran claims to arrest what it describes as 12 CIA agents and accuses them of trying to cripple the country's nuclear program, according to the official Islamic Republic News Agency.

• July 23, 2011 -- An Iranian nuclear scientist is killed by assailants in Tehran.

• January 11, 2012 -- Another Iranian nuclear scientist is killed by a car bomb in Tehran.

• February 21, 2012 -- IAEA inspectors leave Iran after their second visit in as many months, saying no progress had been made and they had been denied access to the Parchin site. Iran calls the talks "intensive."

• February 24, 2012 -- In a leaked report, the IAEA says that Iran has significantly stepped up its enrichment program and the agency continues to have "serious concerns" about potential military uses.

• March 3, 2012 -- U.S. President Barack Obama warns that "all elements of American power" remain an option to prevent Iran from becoming a nuclear power.

• March 5, 2012 -- In a trip to the United States, Israeli Prime Minister Benjamin Netanyahu warns that time for a diplomatic solution is running out.

• March 6, 2012 -- Iran offers to allow access to the Parchin site, but only after significant details are worked out. Meanwhile, the "P5 plus 1" group -- the United States, France, Britain, China and Russia (the five permanent members of the U.N. Security Council), plus Germany -- agree to resume negotiations with Iran.

• March 7, 2012 -- Western diplomats tell CNN that satellite images appear to show evidence of clean-up work at the Parchin facility, but they add that they have no clear idea what Iranians are doing. Meanwhile, IAEA chief Yukiya Amano says he believes "Iran is not telling us everything" about its nuclear program.

• March 8, 2012 -- The P5 plus 1 group expresses concerns about Iran's uranium enrichment program and demands that the country allow inspectors unfettered access to Parchin and resume talks with the international community on its nuclear program.

• March 15, 2012 -- An adviser to Iranian supreme leader Ayatollah Ali Khamenei reiterates in an interview with CNN that inspectors will not be allowed to return to Parchin before talks resume.

• March 15, 2012 -- European Union action effectively cuts Iranian banks off from the global financial system. The move, part of increasingly strident sanctions against Iran over the nuclear issue, is described by one financial executive as "an extraordinary and unprecedented" step.

@highlight

Iran began building a nuclear power program in the 1970s

@highlight

By the 1990s, the United States was expressing concerns about military uses

@highlight

In recent months the situation has become increasingly tense