(CNN) -- If you think you were confused and challenged by the famously labyrinthine plot of "Chinatown," imagine how the screenwriter felt.

In "Chinatown," Jack Nicholson played detective J.J. Gittes, whose nose has been slashed by some thugs.

"I did lose my way many times," said Robert Towne in a recent interview. "It took an ungodly amount of time to work on it -- it was 10 months of solid work, and before that, there were several months of letting it gel enough to write it."

The process was worth it to Towne, however -- he walked away with an Oscar for best original screenplay, the only one the film received in a year mostly overrun by "The Godfather Part II."

Director Roman Polanski's film, starring Jack Nicholson as a 1930s detective who gets in over his head with intertwined scandals of murder, sodomy and real estate development, has become a modern classic.

The film, which receives a 35th-anniversary DVD edition October 6, is now hailed as one of the gems of the early-'70s Hollywood golden age: "Masterful filmmaking from beginning to end," wrote Salon's Andrew O'Hehir in 2000. The film is No. 21 on the American Film Institute's 2007 list of the greatest American movies.  Towne talks about inspiration for location of film »

Despite being brightly lit, Towne says the film was always intended to be dark in tone. Polanski -- whose wife, Sharon Tate, was killed by the Manson Family and who insisted on its downbeat ending -- made it even darker.

"He certainly highlighted [the darkness] and made it very credible. I think that was a ... vital element to making the film work," Towne said.

In the following exchange, which was conducted before Polanski's recent arrest over a 1977 rape charge, Towne talked about the development of the script, Polanski's sense of evil and why it was important to slap Faye Dunaway's character, Evelyn Mulwray, around. The screenwriter could not be reached for comment about Polanski's arrest.

The interview, which does contain spoilers, has been edited and condensed.

CNN: You wrote the role [of detective J.J. "Jake" Gittes] for Jack Nicholson. He'd worked with you before, as Buddusky in [the Towne-penned] "The Last Detail." What suggested him for this role, as a hard-boiled detective?

Robert Towne: We were very close friends, and I think that his kind of insouciance suggested itself for a very cocksure detective who was cynical but with a hidden idealistic streak, who really thought he knew all the answers but in fact had no notion how evil somebody could be.

CNN: This is famously part of an uncompleted trilogy about the development of Los Angeles -- this, "The Two Jakes" [made in 1990] and "Cloverleaf." Is "Cloverleaf" ever going to be made?

Towne: Well, it actually wasn't called "Cloverleaf." I don't know where that came from. It was to be called "Gittes vs. Gittes." And Gittes was involved in his own divorce, as it were.

CNN: The script is so intricate. How did you go about creating a script like this without losing your way?

Towne: Well, I did lose my way many times. ... How to unfold [the] story took some trial and error, until I realized that the main thrust of the story should be following the water scandal and then the other [relationships] kind of bubbled up through it. ... There were lots of back stories that never made it to the film, but I think the suggestion of those made the narrative probably richer.

CNN: There is always talk of how movies reflect their times, and this movie can be seen as reflecting Watergate. But it came out in '74 and was shot before that and was written before that, which dates it back to the late '60s and early '70s.

Towne: That's right. But these things are in the air. There was ... that sense of the disparity between what you were told was happening and what was really going on. It was kind of natural. ... It was definitely something that was part of the past and part of the present at the same time, which I guess is serendipitous. Or maybe not serendipitous -- it's what led one to creating the story.

CNN: Had you immersed yourself in [detective writers] Raymond Chandler and Dashiell Hammett before doing this?

Towne: Yes, I had. I hadn't actually read Chandler before I started doing it, but Chandler had a real love of Los Angeles -- or a love-hate relationship. And I absorbed that.

On the other hand, his character Philip Marlowe -- the tarnished knight who wouldn't do divorce work and was very principled and not very concerned about his appearance -- led me to look for what a detective was really like. And the successful ones, like Freddie Otash and people like that, did nothing but divorce work. So while respecting the genre, I tried to bring to it a character who was a little bit different from the way characters like that had been dramatized.

CNN: You talk about the love-hate relationship with Los Angeles. I'm wondering if Roman's view of Los Angeles, based on what had happened to him, brought an extra degree of darkness to the script?

Towne: Well, that darkness was in the script, but he certainly highlighted it and made it very credible. ... He had a sense of evil, and [John Huston's tycoon character Noah Cross] was nothing if not evil. And between Huston and Roman, there was a level of belief in the fact that people were capable of things that most people at that time would not have imagined they were.

CNN: How did "My sister, my daughter" [spoken by Cross' daughter, Evelyn Mulwray, as she's being slapped by Gittes] come about?

Towne: I think it was part of the fact that we needed, in order for that confession to be credible, we needed to have it basically beaten out of her, because it was such a shameful confession. Today, of course, it would not be as shameful. Evelyn Mulwray would go on "Oprah" and talk about how she had been abused by her father.

CNN: How do you feel about the state of screenwriting in Hollywood, when perhaps the script is the last thing studios think about?

Towne: I wouldn't say it's the last, but it certainly is influenced by the fact that at that time there was not nearly as many people involved in the script. There wasn't this coterie of midlevel executives who feel they have to comment in everything in the script, and sometimes the comments are contradictory. We didn't have to deal with any of that.

I think the script of "Chinatown" would be hard to get made today, [with] its complexity and its darkness.

@highlight

"Chinatown," much-praised 1974 film, out in new DVD edition

@highlight

Director Roman Polanski's familiarity with tragedy informed the film, says writer

@highlight

Film is about detective, played by Jack Nicholson, who stumbles into major scandal

@highlight

"Chinatown" was nominated for 11 Oscars, won one (for Towne's screenplay)