(CNN) -- George Zimmerman was the star witness Thursday in his trial for the death of Trayvon Martin -- for the prosecution, not in his defense.

Assistant State Attorney Bernie de la Rionda tried to use the defendant's words against him, hoping to convince a jury that now has one more option than it once had: It can convict Zimmerman of manslaughter, or the original second-degree murder charge, after a decision earlier Thursday by Judge Debra Nelson. The third option is acquittal.

No one else saw the February 26, 2012, altercation between Zimmerman and Martin. After that, the 17-year-old couldn't give his side. But Zimmerman has. And, de La Rionda argued Thursday, Zimmerman account that he was attacked and fired his gun because he feared for his life doesn't hold up.

"He brought a gun to a struggle, to a fight that he started ... wanting to make sure the victim didn't get away," the prosecutor said. "And now he wants you to let him off because he killed the only eyewitness, the victim Trayvon Martin, who was being followed by this man."

The now 29-year-old Zimmerman declined to testify Wednesday, when his defense team rested its case, but his words were front-and-center Thursday.

De la Rionda played in court excerpts of interviews Zimmerman had given to police and in the media, then picked them apart. He said that they showed that the defendant can't be trusted, suggesting that his account from that evening in Sanford, Florida, doesn't mesh with reality.

"(Zimmerman) always has an excuse, or they catch him in a lie," de la Rionda said.

How, the prosecutor said, does a neighborhood watch volunteer not know the names of that neighborhood's three streets, getting out of his car to find an address? Why would a scared man get out of his car and walk around, after being told by a 911 dispatcher not to follow a man he thought was suspicious? Did Zimmerman walk toward Martin, or did Martin come after him -- as he seemingly said both? Should he have had more than a bloody nose and scratches on his head after being pummeled?

On Friday, it will be the defense's turn, with lead attorney Mark O'Mara spending up to three hours giving a closing argument. After that, the prosecution will have as long as one hour to give a rebuttal argument.

And then, likely sometime Friday, Zimmerman's fate will be in the hands of the six jurors, all of them women.

Police urge calm as verdict nears

In his final words Thursday, de la Rionda reminded them that, while Zimmerman still has hope, there's no more special moments for, there can be no more photos of Martin.

"And that's true because of the actions of one person," he said. "The man before me. The man who is guilty of second-degree murder."

Judge: Jury can consider manslaughter charge

What happened to Martin -- and whether Zimmerman was justified in shooting him -- has been debated intently for a year and a half.

Zimmerman, a neighborhood watch volunteer, talked with police but wasn't arrested immediately after he admitted to the shooting.

But in short time, community members and activists rallied against him -- claiming that Zimmerman, who is Hispanic, had racially profiled the African-American teenager, tailed him over the objection of police dispatchers, then wrongly shot him down.

The defense, in frequent media appearances by its lawyers and some by Zimmerman and his immediately family members, said that it was wrong to characterize Zimmerman as a racist. He acted to protect his own life, after being repeatedly punched and having his head slammed into the ground, they said.

Justice Dept. 'peacekeepers' worked 'Trayvon' rallies, group claims

On June 24, the trial kicked off with opening statements. The prosecution called 38 witnesses in nine days, while the defense took parts of four days to call its witnesses.

Some of the testimony appeared contradictory. Take, for instance, the panicked voice yelling for help as heard on the background of a 911 call from that night in Sanford, Florida.

Zimmerman's parents, Robert and Gladys, both testified that they knew the person screaming was their son. Contrast that to Martin's brother and mother, Sybrina Fulton, with the latter saying was "absolutely" certain the voice belonged to her child.

For all the back-and-forth during the trial, the early part of Thursday's court proceedings was dominated by debate over what exactly the jury will be deciding.

Prosecutors asked that the six women be able to consider manslaughter and third-degree felony murder, in addition to the original second-degree murder charge, in their deliberations.

Defense attorney Don West reacted angrily to the third-degree felony murder charge, citing an element in it related to child abuse.

"Oh my God," he told Judge Debra Nelson, calling the charge a "trick."

"Just when I thought this case couldn't get any more bizarre, the state is seeking third-degree murder based on child abuse."

West also argued against the manslaughter charge, telling Nelson that Zimmerman believes that because the "state has charged him with second-degree murder, they should be required to prove it, if they can."

In the end, the judge split the difference: The jury can consider manslaughter, but not third-degree felony murder.

Having both options is "enormous," said CNN senior legal analyst Jeffrey Toobin, especially given that Zimmerman could serve decades in prison on a manslaughter conviction.

"The jury can think to itself, well, ... we're compromising," Toobin said. "If the jury convicts on manslaughter, that would be a win for the prosecution."

Ex-Sanford police chief: Zimmerman probe 'taken away from us'

Prosecutor: 'Innocent 17-year-old kid was profiled as a criminal'

The debate over the charges set the stage for de la Rionda to give his closing argument.

Referencing a widely heard call to police that Zimmerman made to police that night, the prosecutor contended that the defendant was bent on going after Martin -- even if the 911 dispatcher told him otherwise, and even though he never asked the unarmed teen directly what he was doing -- after he spotted him walking through his neighborhood.

"This innocent 17-year-old kid was profiled as a criminal. He was one of those a**holes who get away," de la Rionda told jurors. "He was one of those f***ing punks."

The profane language, de la Rionda argued, offers insight into Zimmerman's mind that winter night -- depicting someone who bore particular malice toward a person he had decided without justification was among the criminals who had plagued his neighborhood in the months leading up to the shooting.

That's important, because to find Zimmerman guilty of second-degree murder, jurors will have to find that he acted with "ill will, hatred, spite, or an evil intent" in shooting Martin, according to Florida law.

Opinion: What about Martin's right to 'stand his ground?'

De la Rionda characterized Zimmerman as a wannabe police officer who wrongly took the law into his own hands and pressed the fatal encounter with Martin. The teenager was "just doing a normal everyday thing" -- going to a convenience store to get Skittles and a drink, then walking back to his father's fiancee's home before he ended up dead shortly after 7 p.m., the prosecutor said.

"A teenager is dead through no fault of his own, dead because a man made assumptions and acted on them," said de la Rionda. "Unfortunately, because his assumptions are wrong, Trayvon Benjamin Martin no longer walks on the earth."

"He profiled him as a criminal. He assumed certain things, that Trayvon Martin was up to no good. And that's what led to his death," de la Rionda said before going on to attack many defense arguments about what happened that rainy night:

De la Rionda:

-- Argued that Zimmerman, who had taken criminal justice classes, fed police a story of escalating violence and exaggerated fear to meet the standards of Florida's "Stand Your Ground" self-defense law.

-- Questioned Zimmerman's account of Martin straddling him, pounding his head into the pavement and, at one point, covering his mouth and nose with his hands. Why is none of the blood seen on Zimmerman's face found on Martin's hands, he asked. And, if the attack was so violent, why was Zimmerman's jacket in such good shape afterward?

-- Asked how was Zimmerman able to scream for help, as he has said he was, if his mouth was filling with blood and he was being smothered by Martin.

-- Said the lack of Martin's DNA on Zimmerman's pistol refutes defense arguments that Martin had grabbed the gun during the struggle.

Thursday's closing argument also marked the return of the foam, life-sized dummy that famously appeared a day earlier, when O'Mara grappled with it inside the courtroom to show rapt jurors the competing versions of what happened the rainy night Martin was killed.

This time it was de la Rionda's turn. Characterizing Zimmerman's account of how Martin had straddled him -- while allegedly punching him, slamming his head and covering his neck and mouth -- the prosecutor questioned how the late teenager could have seen, much less reach for, the gun that Zimmerman said he'd had in a holster inside his waistband.

"The truth does not lie," de la Rionda said. "... So how does he manage to get it out and get a perfect shot to the heart of a 17-year-old man?"

In trial, it's a jury of millions

HLN's Grace Wong, Graham Winch, Amanda Sloane, Jonathan Anker and Anna Lanfreschi and CNN's John Couwels and Mayra Cuevas contributed to this report.

@highlight

NEW: Analyst: The fact the jury can consider manslaughter in addition to murder is "enormous"

@highlight

NEW: Prosecutor: Zimmerman "always has an excuse, or they catch him in a lie"

@highlight

De la Rionda plays and challenges parts of Zimmerman's interviews with police, media

@highlight

Profane words show hatred for man Zimmerman thought was a criminal, prosecutor says