Copenhagen (CNN)The gunman in the weekend terror attacks in Copenhagen grew up amid a violent gang culture that ultimately rejected him for his uncontrollable behavior, before he found a new identity in radicalization.

So said Aydin Soei, an author and sociologist who met Omar Abdel Hamid El-Hussein as a troubled teenager in 2011.

Police have still not formally named El-Hussein as the suspect in the shootings at a Copenhagen cafe and outside a synagogue. His identity was confirmed by a senior member of the Danish government, however.

The Danish-born 22-year-old, reportedly of Arab origins, was killed in a shootout with police.

Authorities said he was "well-known by the police for several criminal incidents," including weapons violations and violence, and that he was "known in connection to gangs."

But questions remain over who he was, how he became radicalized and whether the threat he posed could have been spotted before the deadly attacks.

Denmark: The link between gangs and extremism

Soei has an unusual insight into the background of a young man he said was living on the fringes of society for years.

The sociologist met El-Hussein and other members of a Copenhagen gang called "Brothers" in 2011, a time when rivalry between gangs was intense.

"It was an environment with a lot of gang wars where you couldn't move around freely," Soei said. "The gang wars in Copenhagen started back in 2008 when (El-Hussein) was 15 years old and that's the environment he's been a part of.

"The gang wars meant that the amount of weapons, the amount of violence exploded, so that the generation that he's from has become much more hardcore than any other generation we've seen in Denmark before him."

As a result, Soei said, El-Hussein -- unlike some other would-be jihadists in Europe -- had no need to go to Iraq or Syria to learn how to wield a gun.

"He got his education in using weapons and dehumanizing other people and (being) able to kill them here in Denmark and in the inner city areas," Soei said.

In El-Hussein's generation, living in his neighborhood, every kid knows someone who's been killed by other gangs, the author said.

"That wasn't normal in Denmark 10 years ago," Soei said. "It's quite a new phenomenon and people like Omar and others from these kinds of gangs, they are more influenced by inner city areas in the United States and the idea of the American gangs than by the Middle East."

But even within that troubled generation, Soei said, El-Hussein -- athletic and a keen boxer -- pushed the limits.

When the leaders of his gang and its rivals decided to forge a peace deal, they said they kicked out members whom they could not control, Soei said. El-Hussein was one of them.

Deprived of his gang identity and serving time in prison for a violent offense -- a violent, unprovoked stabbing on a commuter train in 2013 -- he appears to have turned to radical Islam instead.

Two weeks after leaving prison, he carried out the shootings at the Krudttoenden Cafe, which was hosting a free-speech forum involving Prophet Mohammed cartoonist Lars Vilks, and the synagogue.

His former gang has since disowned his actions, saying attacking ordinary civilians is not part of the gang's culture, according to Soei.

Officials said he had never been to Iraq or Syria. And it's not yet clear exactly how El-Hussein became radicalized. Many members of Copenhagen's gangs are from an immigrant background with ties to the Middle East, said Soei, so El-Hussein could already have come in contact with radical elements.

But, he added, "After he went to prison and came out, he didn't have anything to lose. I mean, he was a loser man from a ghetto from before he went into prison and when he came out of prison, he was even more isolated.  And it's not a secret that a lot of young men become more radicalized while they're in prison."

El-Hussein swore fidelity to ISIS leader Abu Bakr al-Baghdadi in a posting made on what was apparently his Facebook page just before the shooting spree began Saturday.

The post pledges "allegiance to Abu Bakr in full obedience in the good and bad things. And I won't dispute with him unless it is an outrageous disbelief."

A Facebook friend of the shooter told CNN he believed the page, which has since been deleted, matched the profile of his friend. He also said he had trouble relating it "to Omar the way I knew him," saying he had been a good friend who was loyal.

Denmark's Security and Intelligence Service confirmed Tuesday that the country's prison service had sent a report last year warning that El-Hussein was at risk from radicalization.

However, nothing in the report was enough to trigger suspicions that he was planning an attack, PET said.

El-Hussein's path to radicalization -- and what propelled him to act -- will now be under scrutiny.

Authorities are "operating under a theory" that the gunman may have been inspired by the January terror attacks in France, said Jens Madsen, the agency's chief.

Seventeen people died in the Paris attacks, which targeted the offices of satirical magazine Charlie Hebdo, which had published cartoons of the Prophet Mohammed, and a Jewish supermarket. Two of the gunmen were linked to Yemen's al Qaeda affiliate, while a third -- supermarket attacker Amedy Coulibaly -- pledged allegiance to al-Baghdadi in a video he emailed out before the assault.

The similarities with the Copenhagen attack, in which El-Hussein also targeted a cartoonist who'd depicted Mohammed as well targeting members of the Jewish community, are chilling.

CNN's Nic Robertson reported from Copenhagen and Laura Smith-Spark wrote from London. CNN's Ali Younes and Susanne Gargiulo contributed to this report.

@highlight

Author and sociologist who met the gunman says he grew up in a hardcore gang culture

@highlight

El-Hussein was kicked out of the gang and appears to have turned to radicalism, he says