Washington (CNN)  -- First lady Michelle Obama found herself at the center of an unlikely breast-feeding debate this week when three prominent conservative women criticized her for encouraging the creation of a "nanny state."

Conservative radio talk show host Laura Ingraham on Tuesday asked Rep. Michele Bachmann, R-Minnesota, about an announcement by the Internal Revenue Service that the purchase of breast-feeding equipment would be considered a medical expense. Ingraham suggested that the first lady's advocacy of breast-feeding as a way to fight childhood obesity might have been "coordinated" with the IRS decision.

Bachmann, a frequent critic of the Obama administration's policies, was quick to point out that the decision falls in line with the "hard left" agenda.

"I think this is very consistent with where the hard left is coming from," Bachmann said. "For them, government is the answer to every problem. So government got us in this problem, and so they think government is going to get us out of the problem.

"I've given birth to five babies and I breast-fed every single one of these babies, and to think that the government has to go out and buy my breast pump for my babies. I mean, you want to talk about the nanny state? I think you just got a new definition of the nanny."

At an event in New York on Thursday, Sarah Palin joined the conversation -- although somewhat lightheartedly.

"No wonder Michelle Obama is telling people to breast-feed their babies, because the price of milk is rising so high," Palin joked, later warning reporters, "That better not be the takeaway here."

The controversy stems from an IRS announcement earlier this month that breast pumps and other breast-feeding supplies would qualify for reimbursement as a medical expense under federal tax law.

Previously, new mothers who set aside pre-tax money in health savings accounts, or who itemized their medical expenses at tax time, were prohibited from filing claims for money spent on breast-feeding equipment.

As for the question of whether politics played any role in the IRS decision, spokespeople for the IRS and the Treasury Department said the decision was a legal one made by the IRS general counsel's office.

Two days before the IRS announcement, Obama held a lunch with print reporters to celebrate the first anniversary of her "Let's Move" campaign to fight childhood obesity. When asked what plans she had for the campaign's second year, the first lady said, "Breast-feeding. Kids who are breast-fed longer have a lower tendency to be obese."

Five months earlier, she used nearly identical language in a speech to the Congressional Black Caucus' annual legislative conference.

"Because it's important to prevent obesity early, we're also working to promote breast-feeding, especially in the black community, where 40% of our babies never get breast-fed at all, even in the first weeks of life," she said in September. "And we know that babies that are breast-fed are less likely to be obese as children."

While the extent to which breast-feeding affects obesity is still unknown, some connection between the two is largely accepted.

In 2009, the American Academy of Pediatrics lobbied the IRS directly on the matter because of what it says are the "diverse and compelling advantages for infants, mothers, families and society from breast-feeding and use of human milk for infant feeding."

More specifically, the academy's 2005 policy statement on breast-feeding found that "some studies suggest decreased rates of ... overweight and obesity... in older children and adults who were breast-fed, compared with individuals who were not breast-fed."

A 2007 report on breast-feeding from Tufts-New England Medical Center found that "there is an association between a history of breast-feeding and a reduction in the risk of being overweight or obese in adolescence and adult life," along with a variety of other health benefits.

When asked if her problem with the IRS decision stemmed from a belief that breast-feeding shouldn't be in the same category as other medical expenses, Bachmann's office issued a statement that refocused her criticism on the federal tax code.

"The issue Americans have with the tax code isn't with one specific tax deduction," the statement said. "Instead of social-engineering through select tax breaks, the government should scrap the current tax code and put all Americans on the same playing field."

The IRS has a fairly broad interpretation of the term "medical expenses" in the federal tax code, including wigs, acupuncture, artificial teeth, eyeglasses, contact lenses, certain home improvements, lead-based paint removal and television equipment for the hearing-impaired as deductible expenses.

The cost of the IRS announcement is hard to estimate. Although the IRS provides broad instructions, individual insurance companies set their own guidelines for what is covered under health savings accounts. Additionally, only one-third of taxpayers itemize their deductions, and medical expenses need to exceed 7.5% of income in order to qualify for deduction.

Congress' Joint Committee on Taxation called the announcement a "regulatory decision" and has not prepared any public information on the issue. A 2010 cost analysis of low breast-feeding levels published in the American Academy of Pediatrics' medical journal Pediatrics found that if 90% of U.S. families followed medical recommendations to breast-feed for six months, "The United States would save $13 billion per year and prevent an excess (of) 911 deaths, nearly all of which would be in infants."

@highlight

Obama promotes breast-feeding as way to limit obesity in children

@highlight

IRS says breast-feeding supplies can be listed as medical expenses

@highlight

Conservative Michele Bachmann links two as "hard left" move to "nanny state"

@highlight

Medical organizations back breast-feeding, support IRS move