(CNN) -- By definition, a model is an archetype, an example to emulate.

Within those standards, Shaun Ross is a model of imperfection.

The 22-year-old was born with albinism, a congenital disorder that results in the production of little to no pigment in the skin, hair and eyes. The condition affects an estimated 1 in 17,000 people in the United States, according to the National Organization for Albinism and Hypopigmentation, and puts people at risk for persecution in some parts of the world, according to the International Federation of Red Cross and Red Crescent Societies.

During this New York Fashion Week, which runs until September 12, Ross appeared in presentations for brands Third NYC and Monsieur Belange. He previously walked the runway in Berlin and appeared in music videos for Katy Perry and BeyoncÃ©. His most anticipated project is an upcoming short film entitled "Tropico" with Lana Del Rey.

Ross, who describes his look as "euphoric," is one of a growing number of anti-cookie-cutter models. He said his smile "isn't the prettiest," but illuminating; his face is "very disoriented," but edgy.

"I challenge photographers," he said.

Interactive: The look of NYFW

Ross said his condition doesn't confine or define him -- it has just always been there.

The 6-foot-1 model came into the world the same way he did the modeling industry: in an unlikely fashion. Ross's mom gave birth to him on the highway on the way to the hospital.

"The nickname my parents always called me was Nissan," Ross said with a laugh.

But growing up in the Bronx borough of New York, Ross said he was called everything from "Casper" to "Powder" to "white bread." In seventh grade, the teasing culminated when a boy stabbed him in the back six times with a pen.

"I was always the outcast, but a confident outcast," Ross said. "I just had to accept it. I'm going to be me; either you're going to accept it or you're not."

Ross, in part, credits his confidence to his mother, who never dwelled on his differences.

"It's really weird to say, but I never thought about my skin being weird. I just knew that's what it was. I never asked myself why I didn't look like my parents," Ross said. "My mother has showed me you have no fear. You let people judge you, but who gives a fâ€”k?"

To him, beauty is confidence.

While the runways this week continue to be dominated by waif-like bodies, angular faces and symmetrical, round eyes, Ross arrived on the scene just as the modeling industry is abuzz about what it means to be beautiful.

Fashion Week's first plus-sized designer

The New York Times recently declared it the season of the quirky model.

"It girl" of the moment Cara Delevingne sports full, bushy brows and self-deprecating, goofy Instagrams to match. She also suffers from psoriasis, an autoimmune disease that often results in splotchy red patches on the skin. A recent flare-up served as an accessory to a red Versace gown during Milan Fashion Week in February 2013.

"It only happened during Fashion Week!" Delevingne told W Magazine.

"Which is, of course, the worst time of the year for me to be covered in scabs. Psoriasis is an autoimmune disease, and I'm sensitive. Kate (Moss) saw me before the Louis Vuitton show at 3 a.m., when I was being painted by people to cover the scabs."

Meanwhile, Lindsey Wixson with her "bee-stung lips" and gap teeth glided down the runway for top designers Rebecca Minkoff and Zac Posen, among others, during New York Fashion Week.

Ukrainian model Masha Tyelna's otherworldly eyes pierce the cameras, while Andrej Pejic continues to push limits with crossover between menswear and womenswear. Charlotte Free rocks pink hair, while Saskia de Brauw sports a short, grunge haircut -- and challenges the notion that models must be in their late teens by continuing to work at age 32.

High fashion, minus the labels

Some argue there isn't enough racial diversity in modeling, such as model-turned-activist Bethann Hardison, who sent a memo to Fashion Week organizers on behalf of the Diversity Coalition, an advocacy group that champions diversity on the runway.

"Eyes are on an industry that season after season watches fashion design houses consistently use one or no models of color," Hardison wrote to the Council of Fashion Designers of America, as well as to the British Fashion Council and the governing fashion week bodies for Paris and Milan.

"No matter the intention, the result is racism," she continues; the memo went on to call out specific designers who featured zero or only a couple of black models during their last season.

According to Noah Shelley and Angus Munro, two of the most influential casting directors during New York Fashion Week, one part of casting is a designer's aesthetic: Does it make sense to put a rock 'n' roll girl in a romantic gown?

But the majority is based on instinct.

"When an 'it girl' arrives, to an untrained eye, you wouldn't give her a second glance," Munro told CNN after Opening Ceremony debuted its spring collection at Fashion Week, where models were juxtaposed with flashy sports cars and Justin Bieber and Rihanna watched from the front row.

"Models are supposed to be aspirational, unreal characters," Munro said. "The fact that they are abnormally tall, perfectly proportioned and have amazing skin, it's because we're creating a picture. It entices someone to buy something."

Shelley said that when he and Munro make casting decisions, there are a limited number of diverse models. They have seen a growing number of Asian models, as that area of the world has become one of the fastest growing markets for luxury goods.

"All the shows essentially want the best of the best," Shelley said.

In a statement, the British Fashion Council said the lack of ethnic models is also a multitiered problem, from who the agencies decide to sign to what designers request.

"The British Fashion Council does not organize model castings for London Fashion Week, although, as its governing body, strongly asserts that all participating designers should recognize that London is one of the most multicultural cities in the world and should consider reflecting this demographic at their shows and presentations," it said in its response to the Diversity Coalition's memo.

This season, Munro and Shelley say that personality and quirk appeals because of the intensity of model turnover.

During the era of the supermodel, the faces of Cindy Crawford, Christy Turlington, Linda Evangelista and Naomi Campbell transcended the runway -- often into mainstream media -- for years.

Now, a model's look can be in and out of vogue in a matter of a few seasons.

A day in the life of a model

It can be a matter of a model having the right look at the right time, whether heroin chic, like Kate Moss in the 1990s, or the androgynous look spurred by Agyness Deyn in the mid-2000s.

"The world has to want what that girl offers at that exact time," Shelley said.

But Shelley and Munro try not to cross the line from quirk into novelty.

"There's a fine line between an interesting event and a spectacle," Shelley said. "It's a spectacle when it becomes more about people wanting to identify with the strange."

Ross, the model with albinism, is a tricky one to cast, Munro said.

"That guy is unbelievably good-looking in an unbelievably bizarre way. But many designers haven't thought that way," he said.

Ross summed up his attitude with a hashtag he uses to his growing social media following, #InMySkinIWin, which he says promotes a level of comfort with yourself. He started it to raise albinism awareness, but has since expanded the meaning to just loving who you are.

"It's the DIY generation," Ross said. "Kids are becoming muses because they understand that what it takes to be successful is to be desirable and confident."

Follow Sarah LeTrent and on Twitter and Instagram for dispatches from New York Fashion Week.

@highlight

Shaun Ross challenges the standards of beauty at New York Fashion Week

@highlight

Ross was born with albinism: "I was always the outcast, but a confident outcast"

@highlight

Media outlets say quirky is in when it comes to models

@highlight

Some argue there's still not enough diversity on the runway