London (CNN)Tunisia's ultra-radical fringe has come back to bite a government born out of the most successful experiment in constitutional reform to emerge from the 2011 Arab Spring revolutions.

Wednesday's attack on the Bardo Museum in Tunis was grimly predictable, coming from what the Tunisian Interior Ministry calls a violent ultra-radical Islamist fringe forced underground -- but not crushed -- by security services.

Jihadist firebrands representing thousands of active militants at home and abroad have been threatening retribution on Tunisia's outward-looking, investment-friendly majority.

The attack was carried out by two gunmen, believed to have been supported by at least two accomplices.

It may torpedo efforts to revive Tunisia's employment-generating tourism industry and may discourage other big-spending visitors.

It will probably lead Tunisians -- who have shown a sage propensity to unite in the face of greatest adversity despite a marked appetite for political bickering -- to support a robust response by elected President Beji Caid Essebsi.

The attack adds to the global narrative by which Islamic revolutionaries -- increasingly flying under the flag of the so-called Islamic State (ISIS) -- pose an existential crisis to moderate states, often Western allies, in the Arab world.

Tunisia is the sole country to have emerged from an Arab Spring revolution with its political process intact -- current president, Essebsi, who was elected in November 2014, and his ruling coalition, are the products of a long constitutional process.

In four tumultuous years they have competed hard with, but also showed a capacity to work with, opposition parties, led by the "moderate Islamist" Ennahda, which is represented in government and parliament.

Islamists of a very different hue were responsible for the Bardo attack.

Local Salafist groups (of whom the best known is Ansar Al-Sharia) as well as multinational units including ISIS have been most effective in recruiting disaffected young Tunisians in the capital's poorer quarters and in dusty towns of the south and interior, where the original revolution that removed Ben Ali in February 2011 surged up.

Legitimate claims for more jobs and resources in these underprivileged areas during the four subsequent years have largely come to nothing, adding to frustrations.

Radical jihadists -- some with back bases in Libya and Algeria -- have posed a major security challenge to successive governments, murdering two prominent "secular" politicians in 2013.

The Tunisian armed forces, supported by Algeria's more experienced and better equipped military, have been fighting jihadist radicals in the Mount Chaambi region for nearly three years. They have yet to declare final victory, pointing to the resilience of underground groups.

While successive governments have acted against radical Salafist groups, thousands of Tunisians have gone underground; they are widely believed to make up the biggest national group fighting with jihadists in Syria (over 3,000 by many accounts), and are present in Libya and other failing states. In January 2013, Tunisians and Libyans made up the majority of jihadists who attacked a strategic gas plant operated by BP and Statoil in southern Algeria.

So, the Bardo attackers are a known enemy.

Prime Minister Habib Essid has promised a robust security response. But the Tunis tragedy is unlikely to have any immediate impact on the political process. A majority of Tunisians remain foursquare behind preserving "republican institutions," even if they vocally disagree on the detail of policy.

It will remind Tunisia's many friends that the country's transition is brittle, and that Tunis needs commitments of support to become reality, with more military and wider financial assistance, and, above all, investment that can kickstart an economy in the doldrums since 2011.

Massacre at the Bardo places Tunisia more centrally within the global ISIS narrative, which has recently expanded to neighboring Libya. It is a ghastly way to remind the world that Tunisia's experiment in democratic reform needs all the help it can get.

@highlight

Jon Marks: Ultra-radical fringe has previously threatened Tunisia's liberal majority

@highlight

Majority of Tunisians likely to support robust response from president, he writes

@highlight

Attacks a reminder that Tunisia's transition to democracy is "brittle," Marks says