(CNN) -- For half a century, the world has applauded John Glenn as a heart-stirring American hero. He lifted the nation's spirits when, as one of the original Mercury 7 astronauts, he was blasted alone into orbit around the Earth; the enduring affection for him is so powerful that even now people find themselves misting up at the sight of his face or the sound of his voice.

But for all these years, Glenn has had a hero of his own, someone who he has seen display endless courage of a different kind:

Annie Glenn.

They have been married for 68 years.

He is 90; she turned 92 on Friday.

This weekend there has been news coverage of the 50th anniversary of Glenn's flight into orbit. We are being reminded that, half a century down the line, he remains America's unforgettable hero.

He has never really bought that.

Because the heroism he most cherishes is of a sort that is seldom cheered. It belongs to the person he has known longer than he has known anyone else in the world.

John Glenn and Annie Castor first knew each other when -- literally -- they shared a playpen.

In New Concord, Ohio, his parents and hers were friends. When the families got together, their children played.

John -- the future Marine fighter pilot, the future test-pilot ace, the future astronaut -- was pure gold from the start. He would end up having what it took to rise to the absolute pinnacle of American regard during the space race; imagine what it meant to be the young John Glenn in the small confines of New Concord.

Three-sport varsity athlete, most admired boy in town, Mr. Everything.

Annie Castor was bright, was caring, was talented, was generous of spirit. But she could talk only with the most excruciating of difficulty. It haunted her.

Her stuttering was so severe that it was categorized as an "85%" disability -- 85% of the time, she could not manage to make words come out.

When she tried to recite a poem in elementary school, she was laughed at. She was not able to speak on the telephone. She could not have a regular conversation with a friend.

And John Glenn loved her.

Even as a boy he was wise enough to understand that people who could not see past her stutter were missing out on knowing a rare and wonderful girl.

They married on April 6, 1943. As a military wife, she found that life as she and John moved around the country could be quite hurtful. She has written: "I can remember some very painful experiences -- especially the ridicule."

In department stores, she would wander unfamiliar aisles trying to find the right section, embarrassed to attempt to ask the salesclerks for help. In taxis, she would have to write requests to the driver, because she couldn't speak the destination out loud. In restaurants, she would point to the items on the menu.

A fine musician, Annie, in every community where she and John moved, would play the organ in church as a way to make new friends. She and John had two children; she has written: "Can you imagine living in the modern world and being afraid to use the telephone? 'Hello' used to be so hard for me to say. I worried that my children would be injured and need a doctor. Could I somehow find the words to get the information across on the phone?"

John, as a Marine aviator, flew 59 combat missions in World War II and 90 during the Korean War. Every time he was deployed, he and Annie said goodbye the same way. His last words to her before leaving were:

"I'm just going down to the corner store to get a pack of gum."

And, with just the two of them there, she was able to always reply:

"Don't be long."

On that February day in 1962 when the world held its breath and the Atlas rocket was about to propel him toward space, those were their words, once again. And in 1998, when, at 77, he went back to space aboard the shuttle Discovery, it was an understandably tense time for them. What if something happened to end their life together?

She knew what he would say to her before boarding the shuttle. He did -- and this time he gave her a present to hold onto:

A pack of gum.

She carried it in a pocket next to her heart until he was safely home.

Many times in her life she attempted various treatments to cure her stutter. None worked.

But in 1973, she found a doctor in Virginia who ran an intensive program she and John hoped would help her. She traveled there to enroll and to give it her best effort. The miracle she and John had always waited for at last, as miracles will do, arrived. At age 53, she was able to talk fluidly, and not in brief, anxiety-ridden, agonizing bursts.

John has said that on the first day he heard her speak to him with confidence and clarity, he dropped to his knees to offer a prayer of gratitude.

He has written: "I saw Annie's perseverance and strength through the years and it just made me admire her and love her even more." He has heard roaring ovations in countries around the globe for his own valor, but his awe is reserved for Annie, and what she accomplished: "I don't know if I would have had the courage."

Her voice is so clear and steady now that she regularly gives public talks. If you are lucky enough to know the Glenns, the sight and sound of them bantering and joking with each other and playfully finishing each others' sentences is something that warms you and makes you thankful just to be in the same room.

Monday will be the anniversary of the Mercury space shot, and once again people will remember, and will speak of the heroism of Glenn the astronaut.

But if you ever find yourself at an event where the Glenns are appearing, and you want to see someone so brimming with pride and love that you may feel your own tears start to well up, wait until the moment that Annie stands to say a few words to the audience.

And as she begins, take a look at her husband's eyes.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

America marks the 50th anniversary of John Glenn's flight around the Earth

@highlight

Bob Greene says Glenn downplays his hero status, but views his wife, Annie, as a hero

@highlight

Annie struggled for much of her life with a severe speech impediment

@highlight

Greene: Annie Glenn's struggle took courage of a different kind than her husband's