(CNN) -- Washington and Tehran didn't reach the final nuclear deal they were striving for, but the short-term extension of talks announced Monday should help ensure more progress can be made, both in preventing a nuclear-armed Iran and reducing the chances of yet another war in the Middle East.

True, significant gaps remain to be bridged between the United States and Iran, and it is clearer than ever that nuclear diplomacy is not a sprint but a marathon. Yet these negotiations are worth persevering with, not just because we are on the brink of a diplomatic solution to the impasse over Iran's nuclear program, but also because of the potentially far-reaching impact on stabilizing the Middle East.

Remember, Iran has enough power in Syria to reduce the bloodletting -- or to intensify the war. The Islamic State of Iraq and Syria's recruiting base depends in part on atrocities being committed by the regime of Syrian President Bashar al-Assad to continue to grow. Iran's unmatched influence over the Assad regime therefore makes it a critical player in negotiating a political solution to Syria's civil war.

As Staffan de Mistura, the U.N. special envoy to Syria, pointed out, "Iran is an important player and I hope a partner in what should be a political process." Both of de Mistura's predecessors, Lakhdar Brahimi and Kofi Annan, as well as U.N. Secretary-General Ban Ki-moon have also pressed for Iran's inclusion in negotiations to end the Syrian civil war.

The United States has long insisted that Iran must first sign the Geneva Communique before it is permitted a seat at the table in the Syria negotiations. The Geneva Communique is the preliminary accord calling for a "transitional governing body" to rule Syria, which was signed at the first international negotiations over Syria's future. While Tehran has refused this precondition, Iran's participation in the talks may be the only way to secure even the most limited ceasefire agreement. The transitional governing body called for by the preliminary agreement may never come into being without Iran's buy-in.

Strained relations between the United States and Iran make that buy-in from Tehran nearly impossible. The recent thaw, however, offers hope. The Iran Project recently released a report by more than 30 national security experts concluding that there is "a strong link between settling the nuclear standoff and America's ability to play an effective role in a rapidly changing Middle East, and that a nuclear agreement will help unlock the door to new options." The bipartisan signatories include two former U.S. ambassadors to Israel, Thomas Pickering and Dan Kurtzer, as well as pre-eminent national security advisers Brent Scowcroft and Zbigniew Brzezinski.

The nuclear deal could help unlock the door to a political solution to the Syrian civil war, a prospect raised in the report. The authors rightly noted, for example, that "the inclusion of Iran would be a crucial addition that would increase the possibility of success" to relieve the immediate humanitarian crisis and develop a long-term political solution for Syria's future. Indeed, the report went as far as to say that, because Iran is so influential in the Syrian civil war, "another international meeting would be fruitless" if talks don't include Iran as well as the Syrian government.

So long as Iran is part of the problem in Syria, engagement with Tehran has to be part of a solution. That is not to say that engaging Tehran to address the Syrian crises will be a quick fix for the brutality of either ISIS or the Syrian regime. Iranian hard-liners in high places are intent on providing a military lifeline to the Assad regime. The power struggle between the hard-line Revolutionary Guards and Iranian President Hassan Rouhani's more moderate faction is alive and well -- and the hard-liners currently control Iran's Syria policy.

Finally, a nuclear accord may also help tip the balance in internal Iranian politics, with a breakthrough likely to shore up Rouhani's pro-engagement platform, providing a greater incentive for the supreme leader, Ayatollah Ali Khamenei, to relinquish some control of Iran's foreign policy to Rouhani's more moderate camp.

Ultimately, there is far more at stake in the ongoing talks with Iran than just the crucial nuclear issues being discussed. ISIS thrives on slaughter in Syria, but a political solution for the war-ravaged country has so far proven elusive. A final accord to rein in Iran's nuclear program could bring diplomatic options to stabilize the Middle East that were never previously on the table.

@highlight

Jim McDermott and Kate Gould: Diplomacy in Iran nuclear talks a sprint, not a marathon

@highlight

Breakthrough could help stabilize the Middle East, authors say

@highlight

Progress on deal also could reduce bloodletting in Syria, they write