(CNN) -- Photos of U.S. soldiers posing with bodies of suspected Afghan insurgents, published Wednesday by the Los Angeles Times, depict behavior that "absolutely violates" U.S. regulations and values, Defense Secretary Leon Panetta said Wednesday.

"This is not who we are, and it's certainly not who we represent when it comes to the great majority of men and women in uniform who are serving there," he said.

The two photos published by the paper are among 18 provided by a U.S. soldier who wanted "to draw attention to the safety risk of a breakdown in leadership and discipline," The Times reported.

The military said an investigation is under way.

NATO Secretary-General Anders Fogh Rasmussen said the images "don't in anyway represent the principles and values that are the basis for our mission in Afghanistan." He added that he considers the photos "an isolated event."

The photos, from incidents in 2010, represent "a serious error in judgment by several soldiers who have acted out of ignorance and unfamiliarity with U.S. Army values," NATO'S International Security Assistance Force said in a statement. Gen. John Allen, the ISAF commander, also condemned the photos.

One shows a member of the U.S. military in front of what appears to be the body of an insurgent. The photo shows the insurgent's head, with his eyes open and what may be his hand on the American soldier's shoulder. Another soldier appears to be looking down at the body, reaching his hand into the blanket covering it.

"A soldier from the Army's 82nd Airborne Division with the body of an Afghan insurgent killed while trying to plant a roadside bomb," the caption reads. "The photo is one of 18 provided to The Times of U.S. soldiers posing with corpses."

The second photo shows a group of people, including some American soldiers, standing with what appear to be legs from a corpse. One U.S. soldier is smiling and giving a double thumbs-up, and another is also smiling at the camera. There appear to be Afghan police in that photo as well.

The paper says the photo was from 2010, when the division arrived at a police station in Zabul province and inspected body parts. "Then the mission turned macabre: The paratroopers posed for photos next to Afghan police, grinning while some held -- and others squatted beside -- the corpse's severed legs."

CNN has not authenticated the images.

Nancy Sullivan, spokeswoman for the Los Angeles Times, said, "We verified the authenticity of the photos through interviews with the soldier who provided the photos, with Pentagon officials and with commanders from the unit."

"An investigation that could lead to disciplinary measures is under way," Pentagon spokesman George Little said. "Anyone found responsible for this inhuman conduct will be held accountable in accordance with our military justice system."

The Geneva Conventions say the remains of the dead in a conflict "shall be respected."

Panetta said he had called on The Times not to publish the photos because the enemy uses these kinds of images to incite violence. Lives have been lost because of publication of similar images in the past, he said.

"This is war, and I know that war is ugly, and it's violent," Panetta said at a NATO meeting in Brussels, Belgium. "And I know that young people, sometimes caught up in the moment, make some very foolish decisions. I'm not excusing them, not excusing that behavior. But neither do I want these images to bring further injury to our people or to our relationship with the Afghan people."

Earlier, Little said U.S. forces were taking security measures to guard against potential violence.

In the article, Times Editor Davan Maharaj said, "After careful consideration, we decided that publishing a small but representative selection of the photos would fulfill our obligation to readers to report vigorously and impartially on all aspects of the American mission in Afghanistan, including the allegation that the images reflect a breakdown in unit discipline that was endangering U.S. troops."

The soldier who provided the photos served in Afghanistan with the 82nd Airborne's 4th Brigade Combat Team from Fort Bragg, North Carolina, The Times reported. "He said the photos point to a breakdown in leadership and discipline that he believed compromised the safety of the troops."

"He expressed the hope that publication would help ensure that alleged security shortcomings at two U.S. bases in Afghanistan in 2010 were not repeated," the paper said. The soldier and two other former members of the battalion "said in separate interviews that they and others had complained of inadequate security at the two bases."

The commander of the 4th Brigade at the time the photos were taken and the then-commander of the 1st Battalion said they were not authorized to comment, the paper reported. The Pentagon declined a request that Army officials contact active-duty soldiers in the photos to offer them a chance to comment as well. "The Times sent requests for comment by e-mail and Facebook to seven soldiers in the photos. One, now serving in Afghanistan, declined to comment. The others did not respond."

Lt. Col. Jimmie Cummings, an ISAF spokesman, said The Times told military officials about the photos in March, triggering an investigation. Cummings did not say where the photos were taken or how many people are under investigation.

"Such actions are morally repugnant, dishonor the sacrifices of hundreds of thousands of U.S. soldiers and civilians who have served with distinction in Afghanistan, and do not represent the core values of the United States or our military," the U.S. Embassy in Kabul said.

U.S. Sen. John McCain, R-Arizona, who served in Vietnam and was a prisoner of war, said the photos do not represent the behavior of the majority of American troops.

"What bothers me the most is 99.9% of these young Americans that are serving over there have the highest standards," he said Wednesday, when asked about the photos.

"I've seen with my own eyes the thousands of acts of kindness and generosity that our men and women of the military show to the Afghan people. I've seen the partnerships, relationships, friendships, and all of that, of course, is tarnished so badly by a story such as what you're talking about."

In describing one photo not shown in the newspaper, The Times said two soldiers held a dead man's hand with the middle finger raised. "A soldier leaned over the bearded corpse while clutching the man's hand. Someone placed an unofficial platoon patch reading 'Zombie Hunter' next to other remains and took a picture."

The Times article notes that virtually all the men in the photos "had friends who were killed or wounded by homemade bombs or suicide attacks, according to the soldier who provided the images."

Rasmussen said "such very unfortunate incidents do not in any way define our relationship with the Afghan people and our relationship with the Afghan security forces."

The Taliban condemned the photos, saying what they show is typical of what the United States stands for.

"In the last 11 years since the Americans invaded Afghanistan, they have repeatedly done inhumane things which are not acceptable to anyone in the world," the Taliban said in statement released Thursday.

It is the latest in a string of incidents that have plagued the U.S. military in Afghanistan this year.

In January, a video posted on a website showed four U.S. Marines urinating on enemy corpses.

A month later, ISAF personnel at Bagram Air Base improperly disposed of Islamic religious materials, including Qurans, by burning them in what U.S. officials described as an unintentional error.

And Army Staff Sgt. Robert Bales allegedly left a remote outpost in Kandahar province's Panjwai district in March and went house-to-house, gunning down villagers. He has been charged with 17 murders in the shooting rampage.

Perhaps the most notorious incident involving photos of U.S. troops over the past decade took place in Iraq in 2004. Images of U.S. military personnel abusing naked and restrained prisoners in the Abu Ghraib detention facility outside Baghdad shocked the world.

@highlight

Sen. John McCain says most troops have the "highest standards"

@highlight

NATO secretary-general considers the photos "an isolated event"

@highlight

The Los Angeles Times says it received 18 photos; two were published

@highlight

The military says an investigation is under way