(CNN) -- It's one of the top 10 most-visited sites worldwide, with over 2 million articles in its English language edition. But is online encyclopedia Wikipedia's strength -- that anyone can edit it -- also its greatest weakness?

Wikipedia: an invaluable repository of global knowledge or a magnet for digital vandals and hoaxers?

This June, former president of the American Library Association, Michael Gorman hit out at academics who endorsed the use of Wikipedia to their students, saying in the Encyclopaedia Britannica blog that "a professor who encourages the use of Wikipedia is the intellectual equivalent of a dietician who recommends a steady diet of Big Macs with everything."

Gorman added that Google and Wikipedia were creating a generation of "intellectual sluggards incapable of moving beyond the Internet," with no interest in exploring non-digital resources.

Gorman's remarks received a mixed response. Some said that students should be taught to discern whether a source was authoritative. Others pointed to academics who cite Wikipedia, saying it was unfair to prevent students from doing the same. Ben Fairweather, research fellow in the center for computing and social responsibility at De Montfort University, England, was quoted in the Times Higher Education Supplement saying that Internet resources had made research more efficient and removed some of the "drudgery out of producing good work."

Gorman's position was that he was not taking issue with the technology per se, but was concerned by the lack of peer review based on an intellectual meritocracy, adding, "That meritocracy must be based on respect for expertise and learning."

Perhaps surprisingly, this view is shared by Larry Sanger, who was with Wikipedia from the start and is often referred to as a co-founder. (Though that's up for debate on the site, too.) When he parted ways with Wikipedia, Sanger felt that the site's vulnerability to vandalism could undermine its reputation. That spurred him to set up "Citizendium," a rival wiki-based project where articles are vetted by known experts and authors are required to use their real names. Citizendium launched this year with the aim to become "the world's most trusted knowledge base," though with just 3000 articles to hold to Wikipedia's 2 million, some would question whether the site can ever catch up.

For the most part, Wikipedia is working. A 2005 study by British journal Nature found that the online encyclopedia was about as accurate as its competitors on science.

But a commonly cited peril of Wikipedia's anonymity is vandalism. In one notorious example, journalist John Seigenthaler Sr. was listed as a suspect in both Kennedy assassinations by a prankster: the entry remained up for four months in 2005.

Such abuse tends to get quickly swept away by the site's volunteers, especially if an article has been placed on a watch list by editors who are interested in the subject. Still, at any given point, Wikipedia visitors can't be sure of what they're getting. Look no further than the Seigenthaler entry: For 31 hours last September, he was said to have killed and eaten JFK.

Seigenthaler slammed the site in an opinion piece in USA Today, berating Wikipedia's "volunteer vandals with poison-pen intellects."

Some might say that the edits in Seigenthaler's profile would never have made it into the mainstream media. But those seeking proof of just how much emphasis even professional journalists can place on Wikipedia need look no further than the example of Ronnie Hazlehurst, a British composer of TV theme tunes for shows including "Yes, Minister" and "Last of the Summer Wine," who died this October.

According to several high-profile obituaries, including the BBC, Reuters, the London Times and The Guardian, Hazlehurst, at the age of 72, also penned "Reach," a 2000 hit for UK pop combo S Club 7. The unfortunate writers had omitted to double-check his Wikipedia discography, and collectively fell victim to Wiki-hoaxers.

Even those who spot errors in their own profiles can be reluctant to address them. In April this year, Pulitzer Prize-winning author and academic Douglas Hofstadter told the New York Times of his Wikipedia entry, "[it] is filled with inaccuracies, and it kind of depresses me." When asked why he didn't fix it, he replied, "The next day someone will fix it back."

Wikipedia recognizes that to-and-fro tussling -- or "edit warring" -- is damaging to its reputation, and some of the more controversial topics -- such as those on Islam, Elvis Presley and abortion -- have been locked to limit who can alter them. But as its reputation as an online resource has grown, the encyclopedia has also become a target for corporate spin.

In January this year, the Associated Press reported that Microsoft had offered a blogger cash to alter Wikipedia articles. Microsoft claimed that the articles contained inaccuracies on an open-source document standard and a rival format put forward by the software giant.

Then, this summer, Virgil Griffith, a 24-year-old Cal Tech graduate student, unearthed some eyebrow-raising data.

Wired.com reported in August that Griffith created an application called WikiScanner that tracks edits that have been made to Wikipedia articles and cross-references them against IP addresses, which can be traced back to companies' offices.

Griffith proved what many had suspected for some time: that edits on company profiles were often originating from IP addresses owned by those companies and even their competitors. Just a few of the corporations listed included Exxon Mobil, Apple, Microsoft and Wal-Mart, along with several politicians' offices.

""It was dead easy," Griffith told Forbes.com. "I just combined two databases and -- poof -- you have these public relations disasters."

Some of those edits, Wired reported, appeared to be "transparently self-interested, either adding positive, press release-like material to entries, or deleting whole swaths of critical material."

Wired cited the example of voting-machine company Diebold, "with someone at the company's IP address apparently deleting long paragraphs detailing the security industry's concerns over the integrity of their voting machines, and information about the company's CEO's fund-raising for President Bush."

The deleted text was restored by a Wikipedia contributor, who added: "Please stop removing content from Wikipedia. It is considered vandalism."

So should we turn our backs on Wikipedia -- scratch it and start again? Absolutely not. As a project -- to gather together our collective knowledge -- Wikipedia is admirable. As a repository for human knowledge, it is invaluable. As an introductory resource on anything from scientific formulae to walk-on characters in TV sitcoms, its breadth is unmatched. Its content is also a priceless reflection of humanity and its concerns. Only a tiny fraction of its vast repository is polluted by vandals, hoaxers and ne'er-do-wells, who in turn are chased down by its dedicated band of editors and administrators.

But a resource that can be edited by experts and non-experts alike will always carry risks, and perhaps that's Wikipedia's greatest lesson for us all: that its very existence must force us to question notions of accuracy and reliability, while giving us a means to correct errors and add to the global knowledge pot.

Two things are certain: no encyclopedia will ever be perfect, and we will never reach consensus on all Wikipedia articles. And in the meantime, while an invaluable first port of call, those using Wikipedia would be well advised to confirm their facts elsewhere.

..............................

Do you take Wikipedia at face value, or with a pinch of salt? Should we learn from the experts, or does each of us have a part to play? Share your views and read others' thoughts in the Just Imagine forum.

The Associated Press contributed to this article.

@highlight

Free online encyclopedia Wikipedia has fallen victim to hoaxers, vandals

@highlight

Students and journalists have fallen foul of site's inaccuracies

@highlight

Cal Tech grad student has uncovered corporate Wikipedia whitewashing

@highlight

Site is still a valuable resource -- when used with caution