(CNN) -- Egypt expelled the Turkish ambassador and scaled back diplomatic relations at the weekend over Turkey's Prime Minister Recep Tayyip Erdogan's vocal and persistent criticism of the interim government that replaced the former short-lived presidency of Mohamed Morsy, who hailed from the Muslim Brotherhood.

The decision marks the demise of attempts by Erdogan to play a leading role in the Middle East. His ideological affinity to the Brotherhood was a staging post to influence other Islamist parties across the Arab world in order to restore the regional prestige of Turkey. That plan has come crashing down.

Besides Egypt, Turkey is now at odds with the majority of the Gulf Arab states, Algeria, Israel, Jordan, Morocco and neighboring Iran, Iraq and Syria. It is mistrusted by Russia and is largely bypassed by the United States. Europe is disappointed by the deepening isolation of this strategically-located republic straddling East and West.

To break out of this self-imposed exile, Turkey has recently sought to mend relations with newly elected Iranian President Hassan Rouhani and Iraqi Prime Minister Nuri al Maliki.

Turkish Foreign Minister Ahmet Davutoglu has visited Baghdad and met key Shia and Sunni leaders while also cultivating ties with Iran. Turkey is seeking the assistance of both countries to contain the fallout from the Syrian quagmire, including the reduction of the ceaseless flow of refugees along the porous 910km Turkey-Syria border.

Nonetheless, the abrupt change of direction will probably not repair the tensions on a durable basis. Countries in the region suspect that Turkey is merely reacting to developments and is not committed to a balanced foreign policy.

After all, Turkey's rapid shifts in the past -- from befriending to outright hostility towards Nuri al Maliki and Syrian President Bashar Al-Assad, for example -- will most likely reinforce those perceptions.

Moreover, the volatility of Turkey's external posture seems to significantly undermine the once-unassailable appeal of Erdogan to Arabs.

Just two years ago, at the peak of "Arab Spring" fever, a Zogby poll showed that his popularity ratings standing at 80 per cent in Morocco and above 90 per cent in Lebanon and Saudi Arabia. Similarly, a 2011 survey by Pew Research revealed that his favourability ratings as 78 per cent, 72 per cent and 64 per cent in Egypt, Jordan and Lebanon respectively. Any contemporary polling will, however, arguably reveal plummeting support for Turkey and Erdogan.

Turkey is no longer viewed as a template for democratic pluralism, civil liberties and economic rejuvenation after the disproportionate security response to the mainly peaceful Gezi Park protests in central Istanbul during May-June of this year.

Reporters Without Borders ranks Turkey 154th in the world in terms of media freedoms compared to 98th several years ago.

In addition, the golden age marked by a debt-fuelled consumer-driven economic boom, one of Turkey's crowning achievements, is at an end: as slow "recessionary" growth becomes the new normal for Turkey, as estimated by the IMF, it needs to urgently implement major structural reforms, which does not look likely in the foreseeable future.

Despite the growing challenges to Turkey's regional position, its NATO membership and strategic geographic location ensure that it cannot be ignored in the Middle East. But that reality is a far cry from the euphoria and expectations that surrounded the rise of Turkey's regional and global profile over the last decade.

Read more: Egypt declares Turkish envoy unwelcome

The opinions expressed in this commentary are solely those of Fadi Hakura

@highlight

Egypt scales back diplomatic relations with Turkey over criticism of interim government

@highlight

Turkey expert Fadi Hakura says Turkish PM's attempt to play leading role in Mideast has failed

@highlight

Hakura: Turkey at odds with most Gulf Arab states, Algeria, Israel, Jordan, Morocco, Iran, Iraq, Syria

@highlight

Despite change in circumstances, Turkey cannot be ignored, says Hakura