"This is the silliest thing I've done in my life," Ann says as she emerges from her tent.

"I should have done it when I was much younger."

"Tomorrow you'll think it was worth the effort," Maria responds.

It's a bitterly cold night in January.

I'm at Barafu Camp on Mount Kilimanjaro in Tanzania, with Ann Austen, a 69-year-old New Yorker and Maria Nielson, 55, from Sweden.

In the midnight darkness I watch them join a line of 200 headlamps, slowly ascending the last slope to reach the highest point in Africa -- 5,895 meters (19,340 feet) above sea level. (Kilimanjaro's official elevation is the subject of dispute -- the preceding figures are the most commonly cited.)

But I'm waiting.

I'd learned from a local that while most groups trek to the summit overnight, hundreds at a time, to catch the sunrise from the top, the best time to climb is around 10 a.m. when the crowds, and the clouds, clear.

"I know the mountain, this is my mountain," Sifael Malle tells me.

It's a good decision.

We're alone on Uhuru Peak, the highest point on Kibo crater, one of the three volcanic cones that comprise the mountain.

Three champagne corks are the only sign that others had been here earlier.

Without Malle's local knowledge, however, it could have been different.

Tourism impact

The Overseas Development Institute (ODI), a British think tank, estimates that every year 40,000 people attempt to climb Kilimanjaro, bringing with them tons of waste and other environmental threats, including water contamination and soil erosion.

The crowds threaten the beauty of the place, which cultural narratives depict as a symbol of solitude and peace.

The glaciers are disappearing, changing the face of Kilimanjaro.

Local porters are often underpaid and climb without adequate equipment.

Hearing these stories, I'm skeptical about the place -- other destinations are described as "purer" natural experiences.

However, I soon discover that much has changed since the days of horrific reports of camps among open-air latrines, trash littering the landscape and congested trails.

I find a clean mountain, with toilets at camps and along the routes.

The environmental challenges are significant but the initiatives implemented by the Tanzania National Parks Authority seem to be paying off.

The ODI calculated in 2009 that tourists spend just less than $50 million per year around the Kili experience.

Some 28%, $13 million, is considered to directly benefit the poor.

The ODI says this is the most successful transfer of resources from international tourists to impoverished locals they've witnessed.

The local view

Take, for instance, my local guide.

Malle comes from a poor farming family that lived by a road used by tourists.

In previous years, he'd rush toward the jeeps that drove by, hoping to receive gifts.

"We dreamed of owning those cars," he told me. "But the reality is poverty, few jobs, often unstable and underpaid.

"The dreams get easily forgotten. I tried to keep mine: to live a better life, to start my own business and to be able to support others.

"I begged guides to take me on the mountain, even for free. They told me I was too thin, incapable of carrying the weight.

"They asked for my climbing equipment, and laughed as I did not have any. I persisted and found a guide who employed me."

Malle became a porter in 1999. He went back to school to study tour guiding and botany.

In 2006, he passed the government examination and became a licensed guide.

"I soon thought that with my experience of the mountain I could be a better tour operator, as most of the existing ones have never been on the mountain."

He set up us his own company.

"I sent hundreds of messages to people announcing my new company, and gradually people started to respond."

Kili Base Adventure was born.

Kilimanjaro is offering entrepreneurial opportunities that were impossible a decade ago.

Conquest vs. experience

The highlight of a Kilimanjaro experience, in my view, isn't reaching the top.

A simple, aimless wander on a mountain trail might not seem to have the drama of a summit ascent.

But mountains are regarded as spiritual places by many cultures, not least for their natural attributes.

This view is especially evident on Kilimanjaro as climbers venture through five ecosystems in the space of few kilometers.

At the base is a dense rainforest.

It ends abruptly at 3,000 meters, giving way to alpine heathland, abundant with giant heathers.

Further up the weather changes -- low clouds envelop the slopes, which become covered with tussock grass and sporadic giant lobelias.

Here the greens are less vibrant but more varied than in the brighter forest below.

I count 12 shades of verdant green in a three-meter radius from where I stand.

Above 4,000 meters is the highland desert: gravel, stones, rocks and cliffs. A place for ascetics.

Finally you climb into an arctic-like zone, with permanent snow and the glaciers that may soon disappear.

Clean climb

Does Kilimanjaro deserve its reputation as a crowded mountain with long lines of tourists spoiling the atmosphere of solitude?

I found the opposite to be true.

Throughout my climb the trails were empty and, on the summit, I was alone.

My secret, of course, was the local knowledge provided by Malle and tailor-making my own climb.

The tourism industry sells standardized packages: everyone follows the same route, does the same thing, walks at the same time.

I didn't -- my sense of satisfaction came from the connection with the spirit of a beautiful and legendary place.

End of March to early June is low season around Kilimanjaro, often marked by heavy rains. January, February, August and September are the busiest months.

@highlight

Kilimanjaro, Africa's highest mountain, was once plagued by ecological problems, a result of tourism

@highlight

Initiatives have returned the mountain close to its former pristine state

@highlight

Local knowledge, such as when to climb, can help you avoid crowds