Washington (CNN) -- A federal court ruled Friday that the evidence supporting an alleged causal link between autism and a mercury-containing preservative in vaccines is unpersuasive, and that the families of children diagnosed with autism are not entitled to compensation.

Special masters of the U.S. Court of Federal Claims released more than 600 pages of findings after reviewing three test cases and finding all the claims wanting.

"Petitioners' theory of vaccine-related causation is scientifically unsupportable," wrote Special Master Patricia Campbell-Smith in her conclusion about William P. Mead, whose parents, George and Victoria Mead, had brought one of the suits.

"In the absence of a sound medical theory causally connecting William's received vaccines to his autistic condition, the undersigned cannot find the proposed sequence of cause and effect to be logical or temporally appropriate. Having failed to satisfy their burden of proof under the articulated legal standard, petitioners cannot prevail on their claim of vaccine-related causation."

In the second test case, Special Master George L. Hastings Jr. wrote, "The record of this case demonstrates plainly that Jordan King and his family have been though a tragic ordeal," referring to the minor, whose parents, Fred and Mylinda King, had brought suit.

"After studying the extensive evidence in this case for many months, I am convinced that the opinions provided by the petitioners' experts in this case, advising the King family that there is a causal connection between thimerosal-containing vaccines and Jordan's autism, have been quite wrong." The special master italicized the last two words.

"Nevertheless, I can understand why Jordan's parents found such opinions to be believable under the circumstances."

"In this case, the evidence advanced by the petitioners has fallen far short of demonstrating such a link," he said.

In the final test case, Special Master Denise K. Vowell wrote of Colin R. Dwyer, a minor, that his parents, Timothy and Maria Dwyer, "have not demonstrated by a preponderance of the evidence that Colin's condition was either caused or significantly aggravated by his vaccinations. Thus, they have failed to establish entitlement to compensation and the petition for compensation is therefore denied."

Congress set up the special judicial forum, sometimes called the "vaccine court," in 1986 to address claims over vaccine safety.

Rebecca Estepp, who attended the hearings and said her 12-year-old son, Eric, has been diagnosed with autism she blames on vaccine, described herself as "devastated" with the rulings, but not surprised.

"The deck is stacked against families in vaccine court," she said in a telephone interview from her home in Poway, California, about 20 miles north of San Diego. "You have government attorneys defending a government program using government-funded science before government judges. Where's the justice in that?"

Tom Powers, a Portland, Oregon-based lawyer for the families involved, said his clients were disappointed.

"All three families are committed to following the appeals process, and pursuing that avenue to get justice and compensation for their kids," he said.

The special masters' decisions are subject to review by judges in the U.S. Court of Federal Claims. Within the next 30 days, attorneys for the families will ask the claims court judges to review the decisions and rule that the children are, in fact, entitled to compensation.

After government lawyers have a chance to respond to the motions for review, the judges will schedule oral argument and hearings, probably in the summer, Powers said.

Though Friday's decisions do not end the legal battle, Dr. Paul Offit, chief of infectious diseases and the director of the Vaccine Education Center at the Children's Hospital of Philadelphia, was optimistic.

"Parents should take heart in this decision and continue to immunize their children with the confidence that they are the safest, most effective way to protect against dangerous diseases," the pediatrician said.

"It's time to move forward and look for the real causes of autism," said Alison Singer, president of the Autism Science Foundation. "Our children deserve real answers and at this point doing more and more studies of vaccines, when the science is so clear, would be allowing politics to triumph over science."

The three test cases represented thousands of children who have autism and whose parents contend their disorder was triggered by an early childhood vaccination.

The vaccines contained thimerosal, a mercury-derived compound the parents say helped bring on regressive autism, in which normally developing children suddenly exhibit learning disorders and behavioral problems, typically between ages 1 and 2.

The theory that vaccines or thimerosal can cause autism is rejected by most medical experts, including the Institute of Medicine, the U.S. Centers for Disease Control and Prevention and the American Academy of Pediatrics. Multiple scientific studies also have failed to prove a link.

Thimerosal was removed from infant vaccines in 1999.

In February 2009, the court's special masters concluded that the evidence supporting a link between measles-mumps-rubella vaccine, or MMR, combined with thimerosal-containing vaccines, was also unpersuasive.

This week, the U.S. Supreme Court agreed to hear the appeal of parents who say that a range of vaccines administered to their child caused serious health problems.

The justices on Monday agreed to decide whether drug makers can be sued outside the vaccine court.

The lawsuit was brought by the parents of Hannah Bruesewitz, a girl from the Philadelphia, Pennsylvania, area. The parents said she was healthy as an infant in 1992 when given a series of DPT shots -- a combination of vaccines to prevent diphtheria, pertussis (whooping cough), and tetanus.

After the third series, according to court briefs, the child began having seizures and became disabled. Now a teenager, Hannah continues to suffer what is described as "residual seizure disorder."

The Bruesewitzes alleged Wyeth Laboratories failed to adequately warn them and other parents of the risks associated with the vaccine. The vaccine court rejected the initial claim, so the family tried to revive the lawsuit in other federal courts.

A federal appeals court eventually ruled for Wyeth, now owned by Pfizer Inc., concluding all design-defect claims were barred under statute. Despite that victory, the company urged the high court to hear the case, saying it seeks final resolution on the broader legal questions.

The Obama administration also urged review and is supporting the company and the federal law in question.

Wyeth and other drug manufacturers say their products are generally safe, but side effects can occur in rare cases.

CNN Matt Cherry, Mike Ahlers, Tom Watkins and Miriam Falco contributed to this report.

@highlight

U.S. vaccine court found no connection between vaccines and autism in 3 cases

@highlight

Cases alleged that vaccines with thimerosal contributed to autism spectrum disorders

@highlight

A panel of "special masters" began hearing 3 other test cases in 2007