Karachi, Pakistan (CNN)  -- At a morgue in Pakistan's largest city, five linen pouches -- each the size of a loaf of bread -- line the shelf of a walk-in freezer.

Wrapped inside each small sack is the corpse of an infant.

The babies are victims of what one relief agency calls Pakistan's worst unfolding tragedy: the killing and dumping of newborns.

"Sometimes they hang them, and sometimes they kill by the knife, and sometimes we find bodies which have been burned," said Anwar Kazmi, a manager at Edhi Foundation, Pakistan's largest privately run social service and relief agency.

Records at Edhi Foundation show that more than 1,200 newborns were killed and dumped in Pakistan last year, an increase of about 200 from the previous year.

Families view many of these children as illegitimate in a culture that condemns those born outside of marriage.

Statistics show that roughly nine out of 10 are baby girls, which families may consider too costly to keep in a country where women frequently are not allowed to work.

The babies are usually just days old. Their corpses are often dumped in Karachi's sprawling garbage dumps, where they're sometimes mutilated by street animals, Kazmi said. He estimates that hundreds of baby corpses are never found.

The head of Edhi Foundation, 83-year-old Abdul Sattar Edhi, blames Pakistan's crippling poverty and a government that, for decades, has failed to educate the masses, generate jobs and provide citizens with the most basic needs.

"The distribution of resources by the government is wrong," Edhi said. "Many people don't pay taxes; there's no charity, and what you get from the government is all based on your wealth."

The Pakistani government has said it's improving education, but 55 million Pakistanis remain illiterate, according to the United Nations. And the government is billions of dollars in debt while entangled in a costly fight against the Taliban and other Islamic militant groups.

The killing of newborns gets little attention in Pakistan, and rarely are they investigated by a police force that's often poorly trained, lacks resources and stays focused on what's perceived to be more important crimes.

In many parts of the world, female infanticide is still practiced through direct violence but also by intentional neglect, according to the World Health Organization.

In some Asian countries, infanticide of girls is enough to skew the population figures in favor of males. The United Nations found, for example, that there are 130 boys to 100 girls in parts of Asia, especially in countries with extreme poverty and overpopulation such as China and India.

"Girls are seen as a burden, seen as a property which belongs to somebody else so people see that as a waste of money and the wasting of an education of a girl," said Bhagyashri Dengle, executive director of Plan India, a nonprofit for children. "Then when the girl gets married, the families have a big, heavy dowry. So that is one of the reasons here."

Dengle said awareness and education at the grass-roots level are ways to combat this practice.

"I think we really need to reach out to young people (to) create an awareness, to change attitudes and dispel the notion that having a boy is better than a girl," she said. "We launched this program 'Let Girls Be Born' -- that campaign is reaching out to masses using televisions, through newspapers and through (the) Internet. What we are trying to do is positive messaging on the girls. That girls aren't a sect; they are as good as boys."

In Pakistan, until things improve, the Edhi Foundation said, it will keep more than 300 cradles in front of its offices throughout Pakistan where families can drop off unwanted newborns. The foundation cares for them and puts them up for adoption, no questions asked.

"It's for awareness -- that please don't kill your innocent babies," Kazmi said.

@highlight

Records from group show more than 1,200 newborns killed and dumped in Pakistan last year

@highlight

Many of those killed are girls because of cultural attitudes and poverty

@highlight

In some countries, infanticide of girls is enough to skew population figures, U.N. says