(Wired) -- Growing up in Colorado, Calvin Seibert spent a lot of time at construction sites.

Back then, the artist was thousands of miles away from an ocean, but that didn't stop him from building castles out of the massive mounds of sand. "In the evening when everyone left for work and before the sun set, I'd find a pile of sand and start making stuff," he recalls.

A few decades later, Seibert is still making sand castles, though today they tend to be much, much more sophisticated. His castles resemble less the complicated towers and moats of fairy tales and more the brutalist structures of his architectural inspirations like Paul Rudolph, Gottfried Bohm and Giovanni Michelucci.

"I always had an affinity for architecture which I attribute to growing up in a neighborhood and town that was constantly under construction," he says. "As I was becoming more aware of the architecture in the wider world, Brutalism was one of the styles of the moment."

Read more: Incredible historical photos from one of the world's best museums

With their exacting geometric shapes and sharp edges, you might think his sculptures require molds or other helpful gizmos.

But Seibert, who's fabricated sculptures for years as an artist's assistant, has a surprisingly simple tool kit: A 5-gallon pail to haul water and sand, a plastic placemat for leveling surfaces and a little chunk of plastic for getting those sharp edges. "It's literally a plastic $1.50 tool you pick up at a hardware store," he says.

The key to getting those precise shapes (aside from lots of practice, Seibert says) is making sure the texture of the sand is just right.

Sand that's too dry is weak and crumbly. Too wet, and it's hard to shape. There's no perfect ratio, but Seibert explains the ideal texture is similar to the sand you'd find if you dig about 6 inches down on the beach. "It's easy to pack and will hold long enough to maintain the form."

Seibert shapes everything by hand, roughly packing each piece of a structure and then refining and leveling it with his simple tools.

This is an entirely different method from the elaborate sandcastles you see in competitions, which are actually made by building an enormous solid block of sand then carving into it like a sculptor does with a hunk of stone.

Carving means dragging and dragging means a rougher, more jagged surface. Seibert's castles are perfectly smooth, like the top of an hand-sanded piece of wood. "I'm really just packing things together like a child might build a sandcastle," he says. "You get a much smoother surface by doing it this way."

Read more: Striking Photos of the Rooms Where VIPs Shape History

He tends to build his castle right at the edge of the tide, close enough to have easy access to water in case he has to dampen his piles of sand, but far enough to ensure the structures are safe during the building process. Seibert says he's not attached to his creations, in fact, he likes the idea that they're temporary.

"It's about the process," he says. "Building 'sand castles' is a bit of a test. Nature will always be against you and time is always running out. Having to think fast and to bring it all together in the end is what I like about it."

Each summer, Seibert has followed a routine: "I walk to Penn Station, take the train out to Jones Beach, I walk for 40 minutes so I'm so far out I can build a castle and have it be there several days later because no one's bothered it," he explains.

But this year things will be a little different. The artist is devoting his entire summer to sand projects, and he might even end up with a book of his work sometime later this year. "I'm actually going to spend this summer doing nothing but building sandcastles," he says. "I won't be working, except on the beach."

Read more on WIRED:

China's giant new warplane will look awfully familiar to the U.S. air force

Amazon could save Twitter from a fatal stall

Check out early storyboards from the original Star Wars trilogy

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Calvin Seibert constructs geometric sand castle sculptures with precision

@highlight

He only uses a pail, a plastic placemat and a $1.50 plastic tool for the edges

@highlight

Seibert shapes everything by hand, roughly packing each piece