(CNN) -- As an expression of hard power, they don't come bigger or more fearsome than the USS George Washington.

The U.S. Navy's nuclear-powered aircraft carrier can base as many as 75 warplanes, has a combat load of 97,000 tons and is manned by 6,250 battle-ready crew.

But as an expression of soft-power, the Nimitz-class carrier is finding its influence in its Asian theater of operations goes far beyond the range of its fearsome arsenal as it assists the Typhoon Haiyan relief operation -- known as Operation Damayan -- in the Philippines.

Equipped with everything from a 51-bed hospital ward and an operating theater to dentists' surgeries, according to Jane's Defense, the USS George Washington is leading a flotilla of U.S. Navy support vessels in support of the effort.

The projection of U.S. power on the world stage, especially in the context of a humanitarian disaster such as Haiyan, represents a public relations goldmine for the U.S. military, at a time when the U.S. is perceived as losing influence in the region to China.

It may not be the only navy helping in the aftermath of the disaster -- Britain and Australia have both committed vessels to the relief effort -- but considering the Washington's traditional links with the Philippines as a former colony (and for many decades one of its most important strategic bases) the relief effort has a special resonance.

"The U.S. extending its soft power in the region as well as directing the relief operation are not contradictory objectives," Philippine political analyst Ramon Casiple told CNN. "The Philippines and the U.S., of course, have a long history so there is an expectation that they would help because they've helped in previous chapters in our history."

He said even the region that is the focus of the relief effort -- eastern Leyte province -- has special meaning for the U.S.-Philippines relationship.

"This is the area where General MacArthur's forces landed during World War II when he fulfilled the promise of returning to the Philippines after ousting the Japanese.

"But while there's an expectation, there is also a gratefulness for this help."

Criticism has been leveled at China for its ham-fisted handling of its relief contribution, initially pledging $100,000 in humanitarian support. Although it later raised the amount to $1.6 million, analysts have said that it has allowed its spat with the Philippines over the Spratly Islands -- claimed severally by Malaysia, the Philippines, China, Taiwan and Vietnam -- to cloud its judgment.

The donation, which does not meet even that of furniture store, Ikea, which has pledged $2.7 million through its charitable foundations, has dented its global image at a time when American influence is seen as declining in the region as China steps into the breach.

Analysts say China has missed an opportunity to win hearts and minds though non-traditional forms of diplomacy of which the supply of emergency assistance can form a crucial component.

"One reason China's efforts to develop its soft power have failed is the utilitarian way Beijing approaches the rest of the world. Instead of using culture, adept diplomacy and trashy movies to seduce other countries, China hands out cold, hard cash," said analyst William Pesek in a recent Bloomberg View.

"All the investment poured into railways in Indonesia, tunnels in Brazil, power grids in Cambodia, hydroelectric projects in Laos, bridges in Vietnam, roads in Zambia, factories in Malaysia, airports in Myanmar, and mining rigs in Uzbekistan comes with a high cost. In return, China demands complete docility. That's the message being sent to the Philippines now."

Meanwhile, the victims of Haiyan are happy to find help where they can.

"If you are talking of those western allies aligned with the US then you have the same level of commitment to humanitarian aid," Casiple said. "The others, meaning these countries not so aligned to the Philippines or those such as China that have issues with the Philippines, are a bit more reticent.

"But the main thing to remember is that they are giving aid."

@highlight

One of U.S. Navy's largest vessels, USS George Washington, is leading typhoon relief effort

@highlight

As an expression of soft-power, the Nimitz-class aircraft carrier is finding its influence in Asia

@highlight

U.S. links with Philippines as former colony means the relief effort has a special resonance

@highlight

Criticism has been leveled at China for its handling of its relief contribution