(CNN) -- With owners ranging from onetime Presidents of the United States through Dubai ruler Sheikh Mohammed bin Rashid al Makhtoum to the Queen of England herself, horse racing is known as the 'Sport of Kings' for good reason.

If you're going to be a player, you're likely to need near-limitless funds.

Occasionally though, a relative pauper does manage to gatecrash the party every once in a while.

Take Dave Dillon, who works as a hotel controller in Chicago -- and who's absolutely convinced of one thing.

"I make no bones about the being the luckiest guy alive," he volunteered within seconds of speaking to CNN.

It's a big call that only seems more fanciful when you learn that Dillon, 59, has been granted a long-term medical leave of absence following surgery to treat prostate cancer.

Having bought into some 25-30 horses over the years, too many of which suffered from a case of the 'slows' -- as he laughingly puts it -- Dillon made a $5,000 transaction that would change his life.

Five years and $700,000 later, the expectation is that there's plenty more to come.

For when Dillon chose to buy 5% of a horse that nobody had wanted at a sales auction just weeks earlier, he bought a yearling that would not only win the most famous race in the United States -- the Kentucky Derby -- but also the world's richest race -- the $10m Dubai World Cup.

"When Animal Kingdom went through sales in 2009, no one bid on him so they brought him back and re-syndicated him. Team Valor -- the partnership that owned Animal Kingdom -- syndicated him for $100,000 and I bought 5%," Dillon expands.

"On the racetrack, he earned $8.8m."

The numbers are as extraordinary as Animal Kingdom's supreme career, which sparkled so brightly Dillon could well receive another $1m in stud fees.

In late 2012, 75% of Animal Kingdom was sold to an Australian stud farm called Arrowfield, which was chosen for its proven track record and because the deal allowed the horse's investors to remain involved.

Three months later, the champion horse won the Dubai World Cup -- with the success swiftly prompting Sheikh Mohammed, whose entry had been beaten by Animal Kingdom, to come on board.

His U.S.-based stud farm Darley bought a 29% stake in Animal Kingdom, with Arrowfield owning 51%, leaving Team Valor with the remaining 20%.

The figures are important because even though Dillon now owns just 1% of Animal Kingdom, this slender stake should still be enough to ensure a pampered retirement.

"There is no way you can explain how surreal this whole adventure has been, because we haven't made the real money yet," he said.

"His stud fee in Australia is $35,000 and he was recently mated to around 100 mares there.

"At the end of the southern hemisphere season, he was shuttled to Kentucky and is currently in the middle of his first season there.

"His American stud fee is $35,000 and it appears his Kentucky season will show him bred to 145 mares.

"So he'll generate between $7-9m in stud fees if he's successful but you won't know that until the first crop race. Then it could go up or down. But the fact he could generate $8-9m in fees for 10- to 15 years is the most amazing part for me."

Which means Dillon could make a return in excess of 30,000% on his investment.

"One of the rules of investing is finding the smartest guy in any industry and grabbing onto their coattails," said Dillon, explaining his decision to invest in Animal Kingdom.

"This success is all about Barry Irwin, the chairman of Team Valor, and I like to think the only smart thing I did was grab onto his coattails and hang on."

As with many racehorses, Animal Kingdom's ownership was shared among a syndicate or, as it's more commonly known in the U.S., a partnership.

The practice allows several investors to own a share of a horse for an affordable price, one that also enables them to feel like owners as they attend a race day.

The costs can vary greatly -- from as little as $140 in the United Kingdom to take part in an sizable syndicate of 100-odd investors to far heftier fees that start with a minimum investment of $42,000.

"There are various ways that people come into racing, and syndicates are a good way of testing the water," James Bethell, who runs the small Clarendon Thoroughbred Racing syndicate in northern England, told CNN.

"Investors don't have to make a great outlay, and they soon get a feel about whether they want to go any further."

Dillon says his good fortune was to invest with Team Valor but he's being modest, for he researched intensely before gambling on a man who also knew about leaps of faith.

In 1969, Team Valor chairman Irwin gave up a fiction writing career to work as a horseracing journalist and broadcaster -- a role he exploited to the full.

"I drove a lot of famous people nuts, asking them questions," he says on Team Valor's website. "But there were things I wanted to know and I was in a perfect place to pester racing's greats for answers."

Nine years in, he used his acquired knowledge to become a bloodstock agent before then switching to operating a stable of syndicated racehorses in 1987.

As a result of addressing conventional wisdom with a sledgehammer, Irwin's reward has been a glut of glittering trophies.

"What separates me from other people is that I only care about how the horses look and move -- namely, studying their athleticism and body," he told CNN.

"Most people are hung up on pedigree but when I started out, I didn't have that much money so that's why we adopted our strategy."

So Irwin relegated the importance of a horse's lineage (pedigree) below talent, athleticism, soundness and temperament, and the results have been spectacular.

Team Valor horses have won at least 25 Grade 1 races around the world, but Irwin feels Animal Kingdom defines his approach.

"He had a Brazilian sire, which nobody previously cared about, and a German mare. I went for it and bought both, did the mating and breeding, and thankfully it worked out," he said.

"When I buy a horse, I'm looking for a particular style that will be effective. And I'll tell you something I won't expand upon -- American racing is not about class, but about racing style and speed."

Despite the gains he has made by largely ignoring pedigree, Irwin says he doesn't see anyone copying his approach.

So it's ironic that Team Valor's contrary policy will be further rewarded as wannabe Grade 1 winners queue up to pay a small fortune for an Animal Kingdom foal.

All in the hope of sharing the parade rings and winners' enclosures with some of the world's most powerful people -- a holy grail Dillon is still wholly surprised to be part of.

@highlight

How investor's $5,000 stake in a horse will return well over a million dollars

@highlight

Hotel controller Dave Dillon invested in Animal Kingdom in 2009

@highlight

Horse has since won Kentucky Derby and Dubai World Cup, the sport's richest race

@highlight

Animal Kingdom has now entered lucrative world of breeding