We leave genetic traces of ourselves wherever we go -- in a strand of hair left on the subway or in saliva on the side of a glass at a cafe.

So you may want to think twice the next time you spit out your gum or drop a cigarette butt in public.

New York artist Heather Dewey-Hagborg might pick it up, extract the DNA and create a 3-D face that could look like you. Her project, "Stranger Visions," fashions portrait sculptures from bits of genetic material collected in public places.

"The idea for the project came from this fascination with a single hair," Dewey-Hagborg told CNN. "This turned into a research project for me exploring exactly what I could discover about someone from an artifact they left behind."

As it turns out, she could discover a whole lot.

Her process starts with finding a sample in a public place -- a strand of hair, a cigarette butt or a chewed piece of gum -- anything that might contain cells from a person's body.

"You want something that is relatively fresh," she said. "Nothing that has been stepped on or that looks like it's been sitting around for ages."

Dewey-Hagborg takes the sample to a community biotechnology lab in Brooklyn called Genspace. There she uses a standard DNA extraction protocol to mine the DNA, purify it and use it in polymerase chain reactions. The technical process is outlined on her blog.

"From a cigarette butt, I can learn where someone's ancestors likely came from, their gender, eye color, hair color, complexion, freckles, their tendency to be overweight and a handful of dimensions of the face as well with a certain likelihood," she said.

Once she obtains the sequencing information, she takes the traits she's gathered from the individual's DNA and feeds it into a computer program to generate a 3-D model of a face.

"The way that I use code is a lot like how a sketch artist would use a pencil," she said. "I'll take the code, and then I'll generate different versions of a face. I'll use the code to enhance certain facial features or decrease them based on what I find in the DNA."

It takes about eight hours to print one of Dewey-Hagborg's faces in 3-D at NYU's Advanced Media Studio. Once it's printed in what looks like a block of powder, the face is dug out, baked and hardened with a superglue-like substance.

But there are limitations. The faces are not exact replicas of the stranger who left the DNA behind. Dewey-Hagborg considers it more of a family resemblance.

"It's important to understand that these portraits are a general likeness. They're not exact reconstructions," she said. "They'll have things in common with the person, but they won't look exactly like the person."

She is also unable to determine ages from the DNA samples. So all of her faces look around 30.

Dewey-Hagborg started the "Stranger Visions" project with her own self-portrait about two years ago.

"Even though I was the one developing the code and training the system, I wasn't really sure how much it would end up looking like me," she said. "I was particularly impressed with how much the overall facial shape resembled me."

Reaction to the project has been mostly positive, although some observers feel her work raises thorny ethical questions.

"This is very creepy," wrote a commenter on a Smithsonian blog post. "We need to pursue our privacy post haste, if this is what is available to the public."

Dewey-Hagborg said she understands that some people could be put off by the portraits or consider them an intrusion of privacy. But that's also the point. She wants her work to raise questions about genetic surveillance and privacy issues.

"If people find it to be a little creepy, that's OK," she said. "It's meant to make you aware of these issues and make you aware that this is possible."

After all, "Stranger Visions" is an art project. And most conceptual art produces more questions than answers.

"It's meant to be an exploration at the intersection of art and technology and science," she said. "And it's meant to be a provocation."

@highlight

Heather Dewey-Hagborg extracts DNA from material and turns that into 3-D faces

@highlight

Her project, "Stranger Visions," fashions the DNA into portrait sculptures

@highlight

"From a cigarette butt, I can learn where someone's ancestors likely came from ..." she says