(CNN) -- With his opinion for a narrow majority of the Supreme Court, upholding major provisions of the Affordable Care Act, Chief Justice John G. Roberts Jr. has, for the first time since his confirmation as chief justice in 2005, breached the gap between the conservative and liberal wings of the court on a polarizing political issue.

News: Legal scholars unsurprised by Roberts

In doing so, he has jettisoned his reputation as a predictable conservative vote on controversial issues, such as campaign finance reform and affirmative action, that have been decided by a divided court.

Roberts, in finding the critical provisions of the Affordable Care Act constitutional, has followed the example of his predecessor, Chief Justice Charles Evan Hughes, who led the court during the tumultuous constitutional battles over President Franklin D. Roosevelt's New Deal legislation. Hughes, like Roberts, sometimes found narrow grounds to uphold New Deal legislation and, as a result, cautiously steered the court away from the public perception that justices voted according to their political values, not constitutional principle.

Chief Justice Hughes, and now Chief Justice Roberts, demonstrated that they placed a high value on projecting the image of the court as a nonpartisan judicial institution that upholds the rule of law and is above partisan politics.

Hughes skillfully worked to promote the court's public image as nonpartisan, not just in his narrow opinions, but, dramatically, in defending the justices against FDR's attacks and his court-packing plan. Later, in grudging admiration, Roosevelt said that Hughes was "the best politician in the country." That was hardly the way Hughes would have chosen to be remembered, but there was much truth in the president's remark. In June 2012 it may be said that Chief Justice Roberts, like Hughes, has employed political as well as judicial skills in his role as the leader of the Supreme Court.

News: Emotions high after Supreme Court upholds health care law

Roberts surprised almost everybody, including constitutional pundits and members of the Obama administration, when he announced Thursday's decision upholding the Affordable Care Act's most controversial provision, the individual mandate, under Congress' power to tax. Judges on the lower federal courts who passed judgment on the Affordable Care Act, as well as both the challengers and defenders of the law in the Justice Department, focused their arguments on Congress' authority to regulate interstate commerce.

The chief justice, after rejecting the administration's Commerce clause argument, turned to the more general power of Congress to tax. And tellingly, he declared that the court was obligated to uphold a law as constitutional if there were reasonable grounds to do so, even if there were alternative grounds to strike it down. In this respect, the chief justice's opinion was a model of judicial restraint, a term that has not frequently been used to describe the Roberts court.

The chief justice pointedly wrote that the court did not pass judgment on the wisdom of the law, only its constitutionality. The distinction Roberts made between what may be wise, or even good public policy, and what the Constitution allows, has always been a hallmark of judicial restraint. When the Hughes court in the 1930s, led by four ideological conservatives, struck down major pillars of the New Deal, dissenters accused the justices in the majority of substituting their political judgment for that of popularly elected branches of the federal government.

News: By the numbers: Health care insurance

Though Chief Justice Hughes sometimes voted with the court conservatives, he demonstrated, time and again, that he understood the distinction between the role of the political branches of the federal government and that of the court, which is obligated only to rule on the constitutionality of a statute. Today, Chief Justice Roberts, like Hughes (whom he is known to admire), has again struck a blow for judicial restraint and integrity.

As a result of Thursday's decision, the ultimate fate of the Affordable Care Act does not reside with a majority of the life-tenured members of the court, but with the political branches of federal government and the American voters. In a representative democracy, this is exactly where the responsibility should be.

The opinions expressed in this commentary are solely those of James Simon.

@highlight

James Simon: Chief justice breached gap between court's conservative, liberal wings

@highlight

He says Roberts upended reputation as predictable conservative, like a predecessor

@highlight

He says FDR-era Chief Justice Charles Evans Hughes also kept politics out of decisions

@highlight

Simon: Roberts left fate of law with political branches and voters, where it belongs