(CNN) -- A few years ago, when I would tell people that my husband was deployed to Afghanistan, they would often respond with, "Well, at least he's not in Iraq," a comment I always found ignorant and irritating.

But now, with the Iraq war ending, I am grateful that my husband's deployments were all to Afghanistan, to the war that the world -- at least temporarily -- forgot.

Today I am grateful the name "Iraq" is not in my family's scrapbooks, our memories or the stories we will pass on to future generations, though my reasoning has nothing to do with the actual fighting that took place there. I am grateful because, to many Americans, Afghanistan is still the "good" war, the one we had to fight. Iraq was the war that many never understood nor supported.

The Iraq war was tied up from the start in confusion and wrapped in acronym. There were missing WMDs and deadly IEDs, soldiers with PTSD and TBI returning home only to struggle through deplorable conditions at Walter Reed. There was sectarian violence that stretched from mosque to mosque, fueled by centuries-old religious disputes between groups most of us had never even known existed.

Our belief in the goodness of our own people was challenged when perverse pictures from Abu Ghraib appeared on the evening news. There were stories of made-up heroism, shortages of body armor, an array of military contractors who were neither soldiers nor civilians but lived instead in a shady gray area -- and there were terrifying kidnappings that tragically often ended in death.

Through it all were earnest-faced troops mugging in YouTube videos and talking to embedded reporters, slogging through their fourth, fifth and sixth deployments away from their homes and their families. The good news -- the neighborhoods that were made safe, the schools and hospitals that were opened, the proud purple-fingered elections -- was often eclipsed by the bad news and the learning curve for Americans was steep, too steep. Pretty soon it all became too much to take.

So I am happy to have never had a "Half My Heart Is in Iraq" sticker on my car because now, nearly nine years after the start of the Iraq War, people don't shake their heads and look down when I talk of my husband's deployments. They don't suck in their breaths and say to me, "What a waste." My family doesn't have to suffer the comments and opinions of others for our part in a war that was never ours to choose -- at least not now, though I suppose that could still change.

The thing is, my husband didn't get to decide where he went to fight. He signed up for the Army and the Army told him where to go. In fact, my husband and I, like many in military families, never thought of the two conflicts as being separate wars. To us this war was always one war with two fronts. The bullets and the IEDs killed the same in either country. Where the plane landed and the deployment began was simply the luck of the draw.

But now that the war in Iraq is over, there's not likely to be a second "Mission Accomplished" banner to herald the end. The ticker tape will stay tightly wound. The confetti won't get thrown and the marching bands will save their energy and their songs for Christmas parades. There will be speeches and praise, kind words and kudos -- and there will undoubtedly be families overjoyed to be together to celebrate the holidays -- even if they have to celebrate a week or two late.

But the day the Iraq war ended won't be noted on future calendars because the rightness of our involvement in that country still has yet to be determined. After nine years of Iraqis looking to us to decide their future, the future perception of America's presence there now rests almost entirely with the Iraqis. If their country is better for our sacrifices, history will look kindly on our efforts. But if Iraq falls apart, the time and treasure we spent there -- both monetary and human -- will likely be seen as wasted.

So, though I'm glad to not have that Iraq baggage in my family, I worry now for all my friends who do. It is a horrible thing to have given tremendously to a cause that others do not respect.

Our nation's mission in Iraq will end this month with full flights of weary soldiers and thousands of tons of gear. Those who make up the last of America's fighting force there will come home, unpack and sleep off some of their exhaustion, and then they'll put their uniforms back on and go right back to work on their military bases. It will seem, in many ways, like a war that never happened -- a nearly nine-year-long bad dream.

I hope that, going forward, Americans will keep in mind that the men and women who served in Iraq did so honorably and nobly and that they and their families sacrificed greatly for our nation. They deserve the gratitude of the nation that sent them -- again and again and again -- to war.

The opinions expressed in this commentary are solely those of Rebekah Sanderlin.

@highlight

Rebekah Sanderlin: To many Americans, Afghanistan is the "good" war, as opposed to Iraq

@highlight

Iraq was the war that many never understood nor supported, Sanderlin says

@highlight

Like many in military families, I never thought of them as being separate wars, she says

@highlight

Sanderlin: I hope Americans know that those who served in Iraq did so honorably and nobly