(CNN) -- With travel to Africa poised to hit all-time highs in 2014, a drop-off in travel bookings was the last thing the continent's lucrative safari industry thought it would be facing going into 2015.

But despite the fact that the main safari destinations in southern and eastern Africa are thousands of kilometers from the Ebola-stricken countries of the west, industry leaders say fears of the disease are keeping tourists away.

A survey based on feedback from more than 500 safari operators conducted by African booking company Safaribookings.com found that as of late September, more than half reported a 20 to 70% decline in bookings.

"Numerous safari tour operators report to us that clients view Africa as a single country when it comes to risk assessment," Wouter Vergeer, Safaribookings.com founder, tells CNN.

Vergeer says the impact is most noticeable in East Africa, home to safari hotspots such as Kenya's Masai Mara and Tanzania's Serengeti -- places located nearly 5,000 kilometers from the West Africa Ebola outbreak area.

"Most people don't realize how vast Africa is and that East and southern Africa are just as far from the outbreak area as Europe or South America," says Vergeer.

"All safari countries have enacted strict precautionary measures and as there currently are no Ebola cases the risk of infection is effectively zero."

Using music to fight Ebol in Liberia

Convincing clients they'll be safe

Jake McCormick, a safari specialist with Shadows of Africa, says the Ebola outbreak has caused a 70% decrease in inquiries at his company, which offers tours in Tanzania, Kenya, Rwanda and Zanzibar.

"We are still working to try to convince clients they are safe from this disease, but until we see the outbreak come under control my feeling is that it will be a while until things return to normal," he says.

Joao Oliveira, founder of It Started in Africa, which organizes safaris and Kilimanjaro treks in Tanzania and Kenya, tells a similar story.

"We did not have any cancellations but we had much fewer bookings," he says.

"The reason I believe there have been no cancellations is because the clients who have already paid -- safaris are usually booked several months in advance and a down payment is required -- do their own research and find out that the Ebola countries are more than 5,000 kilometers away from Tanzania or Kenya.

"As for the reduction in bookings, I believe it is because those who are planning their vacations are now not even considering going to Africa because of Ebola."

Oliveira says 2014 was on track to be his company's most profitable year to date.

Then, as news of the Ebloa crisis spread, panic set in.

"In July, we projected that August would be our best month ever and then the panic started and August was the worst month of the last two years. September was the same."

He says October looks like it's improving slightly but it's difficult to tell at this point.

"It does not make sense," he adds.

"You would not cancel your vacation in Paris because there are conflicts in the Middle East or in Ukraine. If something nasty was happening in Alaska, you'd still go to New York."

'Africa is seen as a country'

Brett Thomson, managing director of Sun Safaris, says that in addition to traveler queries being down 50 to 70%, new bookings compared with last October are also down about 50%.

"Over the past month we have had numerous clients replying that they will be in touch after all the health scares are over," says Thomson.

"Even if we explain how far southern Africa is from West Africa, it does not change their mind. Africa is seen as a country and hardly ever as a continent."

Daniel Njamwea, managing director of safari travel booking company Lilac Adventures, agrees that it's been difficult trying to convince clients how far East Africa is from West Africa -- especially Kenya.

"This morning I was dealing with clients over Skype who are coming on October 25 and are worried since they read in the news that there is a woman who died at Jomo Kenyatta airport last weekend and feared that she had Ebola," says Njamwea.

"It was hard to convince them that she tested negative for Ebola. I had to refer them to Ministry of Health website to read more details."

The other big problem, say those in the industry, is a lack of knowledge of how Ebola is contracted.

"Although the Ebola virus is not airborne at this time and can only be caught through coming in contact with the bodily fluids of an infected person, and is currently limited to destinations in West Africa, we have recently experienced a small number of clients deferring their holiday plans to the rest of the continent," says Charlie Bateson, product director of high end travel company Abercrombie & Kent.

"We remain in constant contact with the FCO, WHO and with tourist boards and our supplier partners across the world.

"Our tour consultants are given the latest news on developments and have the ability to specifically advise clients on how the virus is transmitted so that they are able to allay clients fears."

Meanwhile, Rose Hipwood of the Luxury Safari Company says the top end of Africa's safari market hasn't been hit as hard by Ebola fears "since many of those clients are international travelers and can look at the situation sensibly."

"Some clients have indeed decided not to book safaris this year after inquiring -- but sadly in this industry we get a lot of time wasters and I believe those people would have found another reason not to book if not Ebola, although families are always more protective of their little ones," says Hipwood.

Africa tourism was poised for growth

Though no figures have been released on the overall impact Ebola has had on African tourism, in the first half of 2014 the industry had been experiencing impressive growth rates.

According to the World Tourism Organization's 2014 global travel report, Africa was due to see 4 to 6% tourism growth this year.

In 2013, the continent saw international arrivals increase 5% over 2012, the equivalent of 3 million more tourists, to reach 56 million.

"This year is (now) written off already," says Njamwea, of Lilac Adventures.

"By this time hotels should be issuing stop sales for the Christmas period, but I have seen none, meaning they still have availability.

"Though this could have been due to other factors like cancellations of direct charter flights from Europe due to security risks, Ebola has too played a great part."

London-based James Strawson tells CNN he'd been considering a trip to Gambia in late November until the Ebola crisis erupted.

"I wanted to go away for some winter sunshine," he says. "I've been to Gambia previously and it's a good time zone, easy to get to and quite nice and warm."

Strawson, 26, said media "hysteria" related to Ebola changed his mind.

"I just looked at the headlines and thought, it looks bad now, who knows what it will look like in a few weeks?"

Strawson, who works in finance, says he's not completely ruled out an Africa trip and is now planning a vacation in Zanzibar.

'World-class epidemiological detective work'

Since the outbreak started in March, about 9,000 Ebola cases and 4,493 deaths have been reported, mostly in Guinea, Liberia and Sierra Leone, according to the World Health Organization (WHO). More than half of the deaths have been in Liberia.

And the numbers are expected to skyrocket.

There could be up to 10,000 new Ebola cases per week in the three hardest-hit nations by the end of the year, the WHO said. It warned that things will get worse before they get better.

In August, WHO issued a warning saying Kenya had a high risk of experiencing an Ebola outbreak, but as yet the country hasn't seen a single case.

The WHO says it's due to declare the end of the Ebola outbreak in Senegal and Nigeria on Friday and Monday, respectively.

"In a piece of world-class epidemiological detective work, all confirmed cases in Nigeria were eventually linked back to the Liberian air traveler who introduced the virus into the country on July 20," said WHO in a statement.

Precautionary measures in eastern and southern African countries fighting to keep Ebola from entering their borders vary, with some countries banning travelers who have visited affected countries, while others have adopted strict border screening measures.

Botswana, for instance, has reportedly suspended entry for travelers who have visited Liberia, Guinea, Nigeria and Sierra Leone in the last 30 days.

In Tanzania, all major border posts have mandatory health screening in place, including all international airports.

South Africa refuses to admit foreign citizens arriving from Ebola-affected countries in West Africa, while South African citizens will be allowed to re-enter, but only after being subject to strict screening.

The Africa Travel Association (ATA), a global trade association that promotes travel and tourism to Africa, released a statement to CNN.

"According to the WHO, the most severely affected countries are Guinea, Liberia and Sierra Leone, however, the Africa tourism industry has felt stark repercussions across the continent through economic losses, canceled flights and bookings, closed borders and negative perceptions," it said.

"These impacts reach far beyond the borders of those affected countries. ATA urges the travel industry and traveling public to remain cautious, however, to acknowledge the immense size of the continent and to continue to travel to the vast majority of the countries that remain safe."

@highlight

Safari operators report cancellations, huge drop in bookings due to Ebloa fears

@highlight

Geographical misconceptions are leading many travelers to avoid Africa completely

@highlight

Tour operator: "Many people still look at Africa as a homogeneous country and not as the second largest continent"