(CNN) -- The U.N. envoy to Myanmar arrived Wednesday in the Southeast Asian country's western state of Rakhine, where sectarian violence in recent days has killed more than 20 people and destroyed hundreds of homes.

Vijay Nambiar, the special adviser for Myanmar to U.N. Secretary-General Ban Ki-moon, is in Rakhine for talks with local officials, said Aye Win, the U.N. national information officer in the country.

Violent clashes between Buddhists and Muslims prompted the government of President Thein Sein to declare a state of emergency in Rakhine on Sunday, calling in the military to help impose order.

The turmoil underscores the fragility of Thein Sein's efforts to move the country along a path toward democracy and pursue reconciliation among its different ethnic groups after he took power last year.

The unrest in the western coastal area of Myanmar, which borders Bangladesh, has left 21 people dead and thousands seeking shelter in refugee camps, Myanmar state TV reported Tuesday evening.

The violence erupted after the police detained three Muslim men in relation to the rape and killing of a Buddhist woman late last month.

Anger over the case fueled an attack by about 300 local people on a bus in the Taungup area of Rakhine, killing 10 Muslim passengers on June 3, according to the New Light of Myanmar, a government-run newspaper.

Since then, inter-ethnic clashes have multiplied, resulting in the destruction of 1,662 houses, state TV reported.

Rakhine is home to the Rohingya, an ethnic Muslim minority who say they have been persecuted by Myanmar's ruling military junta.

That makes the government decision to impose a state of emergency in Rakhine and call in the army a flawed response to the current situation, according to human rights advocates.

"For decades, the Rohingya have routinely suffered abuses by the Burmese army, including extrajudicial killings, forced labor, land confiscation, and restricted freedom of movement," the nongovernmental organization Human Rights Watch said in a statement Monday. It noted that the Buddhist Arakan people in Rakhine had also had their human rights violated by the military.

"Using the army to restore order risks arbitrary arrests, enforced disappearances and torture," the rights group said.

As a result of their treatment by the authorities, the Rohingya have long sought refuge in other places.

The United Nations has estimated that more than 200,000 Rohingya live in legal limbo in Bangladesh. Over the years, Rohingya have fled by sea in small boats to other countries like Thailand and Malaysia.

The United Nations and human rights groups have called on the Bangladeshi authorities to let in refugees fleeing the violence in Rakhine, citing reports that border guards had turned back boats carrying people from Myanmar.

"Previously people have been allowed in to Bangladesh for medical treatment," Adrian Edwards, a spokesman for the Office of the U.N. High Commissioner for Refugees, said Tuesday." We hope that such good practices will be maintained."

Efforts to obtain comment from the Bangladeshi government were not successful on Wednesday.

The unrest runs counter to the efforts of Thein Sein's administration to seek reconciliation with Myanmar's different ethnic groups and move the country toward more democratic governance. Western governments have rewarded progress in the country over the past year by easing economic sanctions.

U.S. Secretary of State Hillary Clinton expressed concern about the situation in Rakhine on Monday, calling on "all parties to exercise restraint and immediately halt all attacks."

In a statement, Clinton urged the Myanmar authorities "to work with local leaders -- together with Muslim, Buddhist, and ethnic representatives, including Rohingya -- to halt the ongoing violence, begin a dialogue toward a peaceful resolution, and ensure an expeditious and transparent investigation into these incidents that respects due process and the rule of law."

The United Nations said Monday that it was temporarily withdrawing some staff from Rakhine because of the unstable situation.

CNN's Paula Hancocks, Jethro Mullen and Sarita Harilela contributed to this report.

@highlight

More than 20 people have been killed in unrest in western Myanmar

@highlight

The government has declared a state of emergency in Rakhine State

@highlight

The clashes are between the state's Buddhist and Muslim populations

@highlight

The U.N. and rights groups call on Bangladesh to accept refugees from the violence