(CNN) -- Two years ago this week, the Obama administration hailed the advent of the "Summer of Economic Recovery." The president's stimulus bill had passed a Democratic-controlled Congress just over a year before, accompanied by rosy predictions on job creation from the administration.

President Obama claimed that "the economy is headed in the right direction," and Vice President Joe Biden confidently predicted the creation of 250,000 to 500,000 new jobs a month. Meanwhile, Treasury Secretary Timothy Geithner published an op-ed in The New York Times boldly entitled "Welcome to the Recovery."

Two years later, Americans are still waiting for the recovery. Today's job figures are well below the 250,000 to 500,000 jobs per month that Vice President Biden forecast. This year, the economy created a dismal 77,000 jobs in April and just 69,000 jobs in May, less than half of the 150,000 jobs needed each month just to keep up with population growth. Unemployment, which the White House predicted would shrink below 6% by April 2012, has remained at or above 8% for 40 straight months.

It doesn't take an economist to realize the president's economic policies have spectacularly failed to make things better.

Yet, the president doesn't seem to understand just how badly Americans are hurting. Despite the more than 23 million Americans who remain unemployed or underemployed, the president recently claimed that the private sector is "doing fine" and that what America actually needs is more government spending and more government workers. In other words, more of the same. More stimulus spending from Washington that explodes the debt. More government picking winners and losers. More taxes. More regulation.

It's time to try something new.

Republicans have a plan to get our economy moving again. First, we need to ensure businesses are confident enough to expand and hire more workers. That means stopping the job-killing regulations that are strangling small businesses and reforming our burdensome and complicated tax code to fuel economic growth. It also means stopping a large tax increase, which is scheduled to hit next year unless Congress acts. The threat of this massive tax hike is creating serious economic uncertainty and discouraging companies from hiring more workers.

We can create tens of thousands of new American jobs by encouraging the development of America's vast energy resources and supporting truly shovel-ready projects like the Keystone XL pipeline, which would create an estimated 20,000 jobs, according to TransCanada, while boosting domestic energy production.

We also need to protect jobs by repealing the president's health care law, which is driving up health care costs and making it harder for small businesses to hire workers. The director of the Congressional Budget Office testified that the health care law will mean 800,000 fewer jobs over the next decade. Those are jobs Americans can't afford to lose.

Finally, we need to cut reckless government spending and tackle the mounting debt crisis. America's brightest days are ahead. But if we don't take action soon, our country could end up in the kind of financial disaster Greece and Spain are facing. Our children and grandchildren should not have to pay for Washington's inability to stick to a budget. We owe it to the next generation to leave the country better than we found it.

The first step on the road to real recovery is not doubling down on the failed policies we've seen over the past 3Â½ years. Republicans are ready to get to work to jump-start our economy. We hope Democrats will join us.

The opinions expressed in this commentary are solely those of John Thune.

@highlight

John Thune: Two years ago this week, Obama claimed that economy will improve

@highlight

Thune: Today, Americans are still waiting for the recovery

@highlight

He says Republicans have a better plan: Repeal health care law, stop tax hike, cut spending

@highlight

Thune: Road to real recovery is not doubling down on the failed policies of the past few years