(CNN) -- Have you always been something of a risk-taker, or have you tried to avoid risks like the plague? Do you get uncomfortable with too much optimism or praise, or are you known for your sunny outlook?

The answer to these questions is remarkably simple, but powerful enough to change your life. In a nutshell, there are two ways to look at your goals.

Let's start with a goal many of us share: "doing my job well." For some of us, doing our jobs well is about the potential for advancement, achievement and rewards. It's about what we might gain if we are successful. If you are someone who sees your goals this way, you have what's called a promotion focus.

For the rest of us, doing our jobs well is about security -- about not losing everything we've worked so hard for. When you are prevention focused, you want to avoid danger, fulfill your responsibilities, and be someone people can count on. You want to keep things running smoothly.

Read more: 8 things future leaders must know

What's important to know is that promotion and prevention-focused people work very differently to reach the same goal. They use different strategies, have different strengths, and are prone to different kinds of mistakes.

One group will be motivated by applause, the other by criticism. One group may give up too soon -- the other may not know when to quit. The key to reaching your goals -- at work and everywhere else -- is to identify your focus, and learn to work with it instead of against it.

There are online assessments you can take to identify your motivational focus, but you can also get a pretty good sense of it by comparing your own behavior to the following descriptions.

Promotion people are creative and innovative, comfortable taking chances, optimistic, speedy workers and good at seizing opportunities. The downside is they are also more likely to make mistakes, less likely to have a back-up plan if things go wrong, bad with details, and more likely to take a risk that lands them in hot water.

Read more: Ancient personality test goes mainstream

Prevention people are great planners, deliberate, thorough, cautious, skeptical, accurate workers, analytical and good at evaluating. The downside is they are also more likely to miss out on great opportunities, get too bogged down with details, and have a tendency to be overly anxious.

Studies show that the way to be most effective in reaching your goals is to use the strategies that match your particular motivation.

Attitude

For example when you are promotion-focused, your motivation feels like eagerness. So embrace your optimism as confidence heightens your energy and intensity. Doubting yourself takes the wind right out of your sails.

When you are prevention-focused, your motivation feels like vigilance -- you are on the lookout for danger. Vigilance actually increases in response to negative feedback or self-doubt. There's nothing like the looming possibility of failure to get your prevention juices flowing. Overconfidence or effusive praise, however, may lead you to let down your guard, and undermine your motivation -- so beware of both.

Decision-making

Promotion-focused people make the best decisions when they weigh the relative pros of option A and B, when they think about why something is worth doing, and when they trust their instincts.

The prevention-minded, on the other hand, prefer to weigh the cons of options A and B, and go with lesser of two evils. They make the best decisions when they think about how something could be done, and when they can point to rational reasons, rather than feelings, to justify their choices.

Problem-solving

Promotion people are also more exploratory and abstract in their thinking. So generate lots of options and possibilities when coming up with ways to reach your goals -- be creative, consider alternatives.

Prevention-focused thinking is concrete and specific -- so pick a plan and stick to it. Prevention people want to drill down to the details, and focus on the nitty-gritty of what needs to be done. They are more comfortable with tried-and-true methods rather than "innovative" but untested ones.

People always want to know if is it better to be promotion or prevention focused. The truth is, both kinds of motivation can bring you success, and both have their pitfalls.

Each brings something of value (e.g., bold solutions, attention to detail) to your organization. Or your personal life. My promotion-focused husband dreams up all of our terrific family vacations, while I take care of the more prevention-focused tasks, like making sure we all have passports.

So you can be happy and successful at work and in life by focusing on what there is to gain or what there is to lose. Just remember to play to your strengths and to take with a grain of salt the well-meaning advice and input from others when it doesn't feel right for you.

The opinions expressed in this commentary are solely those of Heidi Grant Halvorson

@highlight

Two types of attitude to work, says Heidi Grant Halvorson, promotion and prevention focused

@highlight

Knowing your motivation and working with it, not against, is key, she says

@highlight

Both types can have successful careers and fulfilling personal lives