In 2012, hard-nosed rhetoric from the United States and Israel has accompanied an ever louder drumbeat for a possible "military option" to combat Iran's nuclear program.

Tehran has responded with threats and escalating rhetoric. President Mahmoud Ahmadinejad, on the 33rd anniversary of the Islamic Revolution (February 11), emphasized Iran's determination for nuclear development, promising to announce new breakthroughs in the near future. And Wednesday he watched as fuel rods were loaded into the core of a Tehran reactor.

Is a military strike inevitable? U.S. Defense Secretary Leon Panetta recently expressed his belief that Israel might strike within the next two to three months. Whether or not he knows for sure, one wonders why such statements were made public.

Israel seems to suggest that unless decisive steps are taken to halt Iran's nuclear plans, the military option may be inevitable.

Israel, it should be recalled, didn't threaten Iraq before it attacked its nuclear site in 1981; neither did Israel confirm striking the Syrian nuclear facilities in 2007. Iran has responded by threatening to close the Strait of Hormuz -- the key strategic waterway that is a conduit for more than a quarter of the world's oil -- so that not a drop of oil will pass through the strait.

During the Iran-Iraq War (1980-1988), Iran often threatened to close the strait but never did, so why is Iran, which is economically dependent on oil exported through the Persian Gulf, again threatening to close the strait now? There seems to be a thick smoke screen, a tug of war and (rhetorical) arm-twisting aimed at domestic audiences no less than their international adversaries.

To be sure, there are serious reasons for Western concern. The International Atomic Energy Association's November report suggesting Iran had resumed its clandestine nuclear military program has contributed to the current escalation. In fact, possession of nuclear weapons by a regime with Iran's radical ideology would dramatically change the geo-strategic map of the region and trigger nuclear proliferation throughout the Middle East.

Nuclear Iran would also serve as an umbrella for Islamist movements, such as Hamas and Hezbollah, emboldening them and leading to greater radicalism throughout the region. The regional instability following the "Arab Spring," Iran's involvement in Bahrain and Syria, and its meddling elsewhere (mainly in Iraq and Afghanistan) have made the Iranian challenge even more alarming.

Moreover, while in the past Iran's national interest often balanced its radical ideology producing relative pragmatism, it now appears that Iran is primarily concerned with regime survival, which may trigger greater extremism. Imagine what might have happened if Moammar Gadhafi had nuclear weapons just a few months ago or if Iran's principal ally, Bashar al-Assad in Syria, had them now.

U.S. allies in the Middle East (Saudi Arabia, Israel) have persistently pressured the United States to confront Iran. Washington may be trying to reassure its allies and as well as dissuade them (mainly Israel) from taking independent action that could ultimately drag the U.S. into an open confrontation with Iran.

The United States also recognizes that Iran is weak and vulnerable and can be pressured to reconsider its nuclear policy. Yet the Iranian nuclear program appears to be progressing, which is also creating a sense of urgency among the United States and its allies.

This is also an election year -- the U.S. presidential election in the November and Iran's parliamentary elections in the spring. There may be elections in Israel as well. The pre-election posturing has also contributed to the tough rhetoric from all sides.

In Israel, the recent rhetorical escalation undoubtedly reveals genuine concern. The Iranian calls to "eliminate and destroy" Israel and its denial of Holocaust, coupled with the Israeli mantra that Iran poses an "existential threat," has shaped public opinion.

One can question the wisdom of using the term "existential threat," which sends the wrong message to Iran (that Israel is frightened) and to Israelis (suggesting that if Iran goes nuclear they should leave the country).

Likewise, equating Iran with Nazi Germany and Ahmadinejad with Hitler only diminishes the historical significance of the Holocaust. Such comparisons may also create the impression that the Iranian nuclear program is mainly, if not exclusively, Israel's problem, which demands a solution with the trademark "made in Israel."

Yet this is a convenient way to deliver the message at home as well as abroad. This approach also seems to have awakened Europe to the gravity and urgency of the threat of a nuclear Iran.

For its part, the Islamic Revolution is marking its 33rd anniversary in a gloomy atmosphere, facing severe socioeconomic and political-factional challenges. It has been pummeled economically by the cumulative effects of the U.N. Security Council sanctions, and those imposed independently by the United States and European Union. Its currency has been devalued considerably, and growing unemployment and inflation are squeezing the people.

Although the riots following the rigged 2009 presidential elections have been crushed, the fire of rebellion rages on. Clearly, the Islamic regime has lost much of its legitimacy among its own youth. Still, thus far, Tehran shows no sign of retreating from its nuclear schemes. In fact, for Iranian hard-liners, a threatening distant enemy is an advantage; it allows the regime to demonstrate power and rally the people, with the nuclear program as symbol of pride and independence.

Still, there are ways to delay the Iranian nuclear program, short of the hazardous military option. In contrast to the regime's inflated pretensions, Iran today is weak and vulnerable. A unified, uncompromising Western policy may still force Iran to rethink its nuclear policy, even without Russia and China on board. If states of the West put their individual short-term economic interests aside, they would be able to face collectively what seems to be the major geo-strategic challenge of 2012.

Finally, while the "military option" is already "off of the shelf" and in play, all parties (with the exception of some radicals, mainly in Iran) are aware of its severe ramifications. Continued rhetoric may lead to further escalation and miscalculation, which may deteriorate to confrontation even if none of the parties actually want it -- the 1967 war in the Middle East is only one such example.

Leaders may find themselves trapped in a rhetorical corner with their countries dragged into an unintended confrontation. One can only hope that someone will provide them with the appropriate ladder to get down from the high tree into which they have climbed.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

@highlight

David Menashri: Parties to the Iran nuclear issue talking tough about what they might do

@highlight

He says the heightened rhetoric increases the possibility of events cycling out of control

@highlight

Menashri: Why warn about bombing Iran sites? Or closing Strait of Hormuz?

@highlight

He says leaders need to stop using crisis for political purposes and calm things down