Washington (CNN) -- Local businesses will have more opportunities to advertise on TV in Mississippi after polls close Tuesday night, capping a contentious GOP Senate primary race marked by a flood of outside spending -- the most of any other primary battle this election season so far.

Sales managers at Mississippi TV stations said huge ad buys from PACs and super PACs have strained the state's top advertising markets.

Spending from these groups during this cycle produced an increasingly common scenario around the country: advertising costs rose and local businesses were pushed out of their programming slots or forced to shell out a higher price to stay on air.

Bolstered by the "Citizens United" 2010 Supreme Court ruling that removed barriers for corporations to make unlimited donations to groups supporting or opposing individual candidates, independent organizations outspent candidate campaigns.

In Mississippi, they dropped more than $6 million to advertise on broadcast and cable TV, according to FEC filings and data provided by the National Cable Company, which helps advertisers target specific demographics.

Negative political ads have come to embody the contentious battle between Sen. Thad Cochran and his tea party challenger, Chris McDaniel, and the millions of dollars in added revenue are a financial boon for local stations.

Complicating relationships

But the tremendous cash flow has also complicated longstanding relationships with regular advertisers, said Jeff Wolfe, general sales manager of Jackson's WAPT TV, a CNN affiliate.

"In some cases they have not been able to buy and in other cases schedules that were placed a while ago have been disrupted because of the sheer tonnage and the higher rates," Wolfe said.

"We pride ourselves on managing our inventory and trying to anticipate as best we can, but the spending has been so substantial that no one would have imagined this a few months ago," he added.

Outside groups spent about $1.2 million on ads in Jackson alone during the first leg of the primary, Wolfe said â€” and even a slice of that figure is hard to pass up.

Wolfe said he has done his best to "spread the pain" among advertisers and is planning a charm offensive after the runoff election to recoup clients who were temporarily forced out of their slots.

"We haven't lost anyone totally," Wolfe said. "(But) it's always a concern that people would look for other means to advertise. We realize that clients have a lot of options."

A few top ad agencies in Mississippi said their clients haven't been pushed off the air, but that's because they locked in their air time far in advance or recommended that businesses hold off on TV ads until after the primary.

In some cases, advertising agencies push their clients toward digital advertising during jam-packed election cycles, said Philip Shirley of Godwin Group, a Jackson-based advertising agency.

And his clients are also keenly aware of the market pressures, he added.

"It's very clear that the market has tightened up," Shirley said. "Our buyers seemed a little bit apprehensive about how much flexibility they would have right now, in terms of getting exactly what they would want."

The situation continued after the race was pushed to a runoff when Cochran and McDaniel each failed to cross the 50% threshold in initial primary balloting. Since, outside groups parachuted into Mississippi with nearly $2 million to put more spots on TV.

Unheralded candidate believes he played spoiler in Mississippi primary

Keith Kinkade, a Jackson retailer who owns Kinkade's Fine Clothing, said he decided not to push out his usual Father's Day ad rollout after the primary results came in.

"I found out about it and I'm like, 'I'm not going to get in the middle of that,'" he said.

Keith added he was concerned people might associate his business with either camp if his ad followed a political spot -- or was sandwiched between two.

"You can't lean for one football team or another," he said.

Beyond Jackson

Stations in smaller markets have also seen a surge of political ads.

Sherry Nelson, general manager of several small TV stations in Greenville in the Delta, said political spending has been a financial windfall.

"First quarter was pretty down for us in the marketplace. It has helped our second quarter tremendously with the outside spending," she said, adding that four different issue groups and one campaign purchased ads in Greenville.

The northeastern Mississippi city of Tupelo saw about $500,000 in political spending -- mostly from outside groups -- injected into its TV ad space.

The cash flow funneled in by interest groups on top of the campaigns has generated the highest revenue the station has seen in the past three years, Jay Richer, general sales manager at Tupelo's WTVA, said.

But as in Jackson, the increase in spending also forced stations into a corner.

Richer said he was been able to shield some of his regular customers from the disruptions of the political cycle, but about 10% of them have been pushed off the air, he said.

"We're able to accommodate some. But others, their schedules are just ruined -- especially if they buy during the newscasts," which offer prime real estate for political groups, he said.

The Mississippi GOP race is even extending into neighboring Tennessee, with about $925,000 in political ad buys in Memphis, of which only one-third came from the two campaigns.

Memphis TV stations dominate northern Mississippi, serving DeSoto County, the third largest in Mississippi.

And even in that top 50 TV market, political ads have disrupted schedules and impacted local clients.

Politics: A money game

The Federal Communications Commission not only ensures that candidates have easy access to the TV market, but guarantees campaigns for federal office the lowest rate available.

And while super PACs and PACs are not guaranteed the same right to air time, the groups' deep pockets can get their spots on TV just as effectively as an FCC regulation, said Tim Kay, the National Cable Company's director of political strategy.

"You get into those sold out situations and there are opportunities for them to pay more to remove a commercial advertiser," he said. "When they're coming in and they want to influence the election in the last three, four weeks, they often do pay the higher rates."

Chamber mounting new effort for embattled Cochran

The outsized spending impact of interest groups has resulted in sold out ad programming in markets anchored in some of the most contentious races of the cycle, he said.

In several states, high-profile elections are attracting millions of dollars in independent spending -- from the Senate primaries in North Carolina to those in Arkansas and Colorado.

Nationwide, FEC files reviewed by the Center for Responsive Politics revealed independent spending -- largely due to the impact of "Citizens United" -- has reached $72 million for the 2014 primaries, thus far, compared to just $23 million during the 2010 primaries and just $1.16 million in 2006 -- the last two midterm cycles.

Tipping the scale

The Mississippi race attracted more than $11 million of this year's primary figure -- including advertising, direct mail and other expenses from outside groups -- topping the list of primaries most impacted by super PAC, PAC and nonprofit spending.

And while Cochran outraised McDaniel's campaign 3-1, independent spending from outside groups has helped McDaniel slightly edge out Cochran in the money game.

The Club for Growth Action super PAC spent more than $3 million alone in its bid to send McDaniel, currently a state senator, to Congress. That nearly matched the sum of independent spending from groups supporting Cochran.

And while Mississippians may be fed up with the crush of political ads, a top political analyst in the state said the ads have definitely had a substantial impact on the race.

"We'd all like to say we don't like negative campaigning. And in fact, we don't like it, but it continues to be an unfortunate and objective fact that it affects people's voting patterns," author and political commentator Andy Taggart said, adding that the ads have made the election the subject of almost every conversation.

Nasty Senate race digs deeper in the mud

But the onslaught of negative ads released by outside groups may also produce a backlash for the McDaniel and Cochran campaigns, as voters may associate the spots with the candidate they are supporting, Taggart said.

In the two weeks leading up to the runoff, several groups purchased additional air time backing -- or bashing -- either candidate.

Cochran's groups beefed up their efforts in the final push, with the National Association of Realtors and the U.S. Chamber of Commerce pushing out nearly $1 million in combined ad spending in the last leg of the race.

McDaniel's supporters didn't back down either.

The Club for Growth Action announced a $600,000 ad campaign to push their candidate over the electoral threshold and Citizens United and Senate Conservatives Action also jumped into the last-ditch media blitz with more than $300,000, according to FEC filings.

Cochran's bizarre answer on Cantor's loss

5 aftershocks from Cantor's stunning upset loss

@highlight

TV sales managers say political ad buys push up ad costs, push out businesses

@highlight

One says, "We're able to accommodate some. But others, their schedules are just ruined"

@highlight

Interest groups have spent more than $8 milion in Mississippi, more than any other primary battle

@highlight

The groups dropped nearly $2 million on TV advertising in the runoff alone