(CNN) -- Robin Roberts' battle against myelodysplastic syndrome, or MDS, is just beginning. The "Good Morning America" anchor will undergo chemotherapy before having a bone marrow transplant later this year.

"Bone marrow donors are scarce and particularly for African-American women," Roberts wrote Monday. "I am very fortunate to have a sister who is an excellent match, and this greatly improves my chances for a cure."

More than 10,000 people in the United States are diagnosed with blood-related disorders every year, according to the National Marrow Donor Program. Often the best treatment is a bone marrow transplant. During the procedure, a donor's stem cells are directly transfused into the sick patient's bloodstream. The patient's new cells multiply over time to create healthy bone marrow.

Unfortunately, the chance of finding a match on the national registry is as low as 66% for African-Americans and other minorities, compared with 93% for Caucasians.

Be the Match, the national registry, has 10 million potential donors, but only 7% are African-American. While the percentage is comparable to the overall African-American population in the United States (which is 12%), the registry is meeting only about a third of the needs for African-American transplants, said Dr. Jeffrey Chell, CEO of the National Marrow Donor Program.

Tuskegee's ghosts: Fear hinders black marrow donation

It's a disparity that's come up time and again. Last year, the death of Shannon Tavarez attracted attention because doctors were unable to find a bone marrow match for the young Broadway star, who had acute myeloid leukemia.

"It's absolutely critical to have more people on the registry," Chell said. "You're more likely to find a match with someone who shares your common ancestry or ethnicity."

African-Americans and bone marrow donations

Be the Match tests the immune system's genetic coding to determine bone marrow compatibility. The human immune system has evolved over thousands of years, which is why racial and ethic background is so important. For instance, European-Americans' ancestors may have survived the medieval plague, while African-Americans could have a natural immunity to malaria because of their ancestors' environmental pressures.

If a good match isn't found, the donor's immune system will attack the sick patient's "foreign" cells in a condition called graft-versus-host disease.

As Roberts' situation shows, a sibling is often the best genetic match. But 70% of transplant patients will end up using a complete stranger's bone marrow, according to Katharina Harf, chief inspiration officer of DKMS, the world's largest donation center.

"My mother (who had blood cancer) had six siblings and none of them matched," Harf wrote in a statement. "That's why we started DKMS, to help other patients in need -- so no family would have to go through what we did."

DKMS recently teamed up with Help Remedies to create a first aid kit that includes bandages and a bone marrow testing kit. Now when you get a paper cut, you can possibly save a life.

Chell said Be the Match wants to encourage people to sign up for the registry by dispelling the myth that the donation process is complicated or painful. The registry is launching a national campaign in July for African-American Bone Marrow Awareness Month.

But "nothing works as well as someone who has the courage like Robin Roberts to step forward and let people know what she's going through," Chell said, adding the registry has received an influx of potential donors to its site since Roberts' announcement.

To sign up to be a donor, you must be between 18 and 60 years old and be in good health. Visit BeTheMatch.org for information.

Related story: Cord blood stem cells help meet minority marrow needs

@highlight

Chance of finding a bone marrow match is as low as 66% for African-Americans

@highlight

Registry meeting only about a third of the needs for African-American transplants, doctor says

@highlight

Donor official says 70% of transplant patients will end up using stranger's bone marrow