President Barack Obama is sending about 100 U.S. troops to Africa to help hunt down the leaders of the notoriously violent Lord's Resistance Army in and around Uganda.

"I have authorized a small number of combat-equipped U.S. forces to deploy to central Africa to provide assistance to regional forces that are working toward the removal of Joseph Kony from the battlefield," Obama said in letter sent Friday to House Speaker John Boehner and Daniel Inouye, the president pro tempore of the Senate.  Kony is the head of the Lord's Resistance Army.

U.S. military personnel advising regional forces working to target Kony and other senior leaders will not engage Kony's forces "unless necessary for self-defense," Obama said.

"I believe that deploying these U.S. armed forces furthers U.S. national security interests and foreign policy and will be a significant contribution toward counter-LRA efforts in central Africa."

Obama noted that the group "has murdered, raped, and kidnapped tens of thousands of men, women and children in central Africa" and "continues to commit atrocities across the Central African Republic, the Democratic Republic of the Congo and South Sudan that have a disproportionate impact on regional security."

What is the Lord's Resistance Army?

According to the State Department, "since 2008 alone, the LRA has killed more than 2,400 people and abducted more than 3,400.  The United Nations estimates that over 380,000 people are displaced across the region because of LRA activity."

Obama said the United States since 2008 has backed regional military efforts to go after the Lord's Resistance Army. State Department spokeswoman Victoria Nuland said that since that time the United States has provided more than $40 million in support.

Efforts to combat the LRA, however, have been unsuccessful.

In his letter, Obama cited the Lord's Resistance Army Disarmament and Northern Uganda Recovery Act of 2009.  In that measure, Congress "expressed support for increased, comprehensive U.S. efforts to help mitigate and eliminate the threat posed by the LRA to civilians and regional stability," he said.

"I have directed this deployment, which is in the national security and foreign policy interests of the United States, pursuant to my constitutional authority to conduct U.S. foreign relations and as Commander in Chief and Chief Executive. I am making this report as part of my efforts to keep the Congress fully informed, consistent with the War Powers Resolution," he said.  "I appreciate the support of the Congress in this action."

Obama said the initial team of U.S. military personnel "with appropriate combat equipment" deployed to Uganda on Wednesday. Other forces deploying include "a second combat-equipped team and associated headquarters, communications and logistics personnel."

"Our forces will provide information, advice and assistance to select partner nation forces," he said.  "Subject to the approval of each respective host nation, elements of these U.S. forces will deploy into Uganda, South Sudan, the Central African Republic and the Democratic Republic of the Congo. The support provided by U.S. forces will enhance regional efforts against the LRA. "

The U.S. troops backing the operation "are primarily comprised of Special Operations Forces," according to the Pentagon.

It said the United States has been helping Uganda and the other regional countries in their fight against the LRA since 2008. The U.S. has provided logistical support, non-lethal equipment, training and intelligence assistance, as well as $33 million to Uganda's People Defense Forces effort to counter the group.

The Pentagon cited multiple examples of its assistance, such as sending equipment to Central African armed forces and training a Democratic Republic of Congo light infantry battalion deployed in that country's northeast.

It noted that U.S. Africa Command is "exploring ways to support the military of South Sudan."

In early October 2010, the U.S. military had more than 1,700 troops deployed in sub-Saharan Africa, the Pentagon said. The majority of them -- around 1,380 - were deployed in Djibouti. But U.S. troops had at least a small presence in 33 different nations in sub-Saharan Africa. At this time last year they had nine troops in Uganda.

One conservative member of Congress, Sen. Jim Inhofe, R-Oklahoma, weighed in to support the effort.

"I applaud our nation's military for making this a priority and taking the steps outlined in our legislation that will eventually protect the children and people from Joseph Kony's reign of terror," Inhofe said.

"I have witnessed firsthand the devastation caused by the LRA, and this will help end Kony's heinous acts that have created a human rights crisis in Africa. We must work to bring justice to the children and victims in Uganda devastated by Kony and the LRA.  I have been fervently involved in trying to prevent further abductions and murders of Ugandan children, and today's action offers hope that the end of the LRA is in sight."

Kony claims he is a prophet sent from God to replace the Ugandan government with a democracy based on the Ten Commandments.

The group has been "notorious for kidnapping children and forcing them to become rebel fighters or concubines," according to the website GlobalSecurity.org.

The International Criminal Court has issued arrest warrants against Kony and four other group leaders for crimes against humanity and war crimes. Chief Prosecutor Luis Moreno-Campo said that the "LRA is an involuntary army and the majority of the fighters are formerly abducted children. "

Obama's plan in dealing with the LRA calls for increasing "protection of civilians," apprehending or removing Kony and senior LRA commanders from the battlefield, promoting the "defection, disarmament, demobilization and reintegration of remaining LRA fighters" and increasing "humanitarian access."

Representatives of 34 groups in the LRA-affected areas of northern Congo, Central African Republic, and Southern Sudan wrote Obama in December, applauding his commitment to tackle the problem and urging him to deal with the group, according to Human Rights Watch.

"Each day that goes by without a solution to the problem of the LRA is another day of terror and pain for those of us living under constant threat of renewed attacks. Already, the LRA has brutally killed more than 2,300 of our family members and abducted over 3,000 others since they began their latest wave of killings in September 2008," the letter said.

"Many of our children are still in the hands of the LRA. We do not know if they are alive or dead. Those who have managed to escape the LRA bear the physical and mental scars of what they have suffered and will never be the same again. We have few means to help them readjust and integrate back into our communities, but we are trying to do what we can."

The letter cites massacres in 2008 and 2009.

"During these attacks, our family members were killed in unimaginably savage ways: their heads crushed with clubs or machetes; their faces disfigured; and their genitals, mouths, ears, legs and arms cut off, for no reason other than to terrorize."

@highlight

Groups say that "without a solution," it is daily "terror and pain"

@highlight

The United States is going after the head of the Lord's Resistance Army

@highlight

The "army" operates through central Africa

@highlight

A Republican senator supports the move