(CNN) -- American Presidents have come and gone -- but one club tends to unite them all.

So often a meeting point for the captains of politics and industry, the golf course has been one of the most popular friends of U.S. leaders since the early part of the 20th century.

From William Taft, the 27th President, who introduced the game to the White House, through to Barack Obama, the game has remained a constant in American political life.

If Obama has been criticized in recent weeks for spending too much time on the course, there are other presidents who have been equally ardent golfers.

"Golf has inspired Presidents throughout history," Mike Trostel, historian at the United States Golf Association, told CNN.

"It's good exercise but there's also the chance for dialogue with people in politics.

"It's a game of integrity and Presidents have seen golf as the sport of leaders."

All but three of the 18 presidents since the start of the 20th century have picked up a club during their time at the White House.

Herbert Hoover felt it was inappropriate to be seen on the golf course during the Great Depression, while neither Harry Truman nor Jimmy Carter were particularly keen on the sport.

George W. Bush was a keen golfer, but like Hoover, he too was wary of public perception so curtailed his playing when in office.

While U.S. troops were fighting in Iraq and Afghanistan, he would later recall, he refrained from playing as a mark of respect.

According to Troestl, it was Taft who was one of the first presidents to take up golf during his 1909-13 tenure.

A big man, Taft struggled with the more physically demanding sports, and local newspapers often published cartoons mocking his size.

But even though he was a rather portly figure, golf was one sport he managed to play without too many problems.

His love for golf was nothing compared to his successor, Woodrow Wilson.

Wilson was fanatical about the sport, says Troestl, even ordering his secret service guards to paint his golf balls so he could practice his driving in the snow.

During his time in office, which lasted for eight years until 1921, Wilson played over 1,000 rounds of golf.

He often spent time swinging his clubs while debating policy and even met his second wife, Edith, after playing a round of golf -- and she later took up the game as First Lady.

While several Commanders in Chief enjoyed golf, it was Dwight Eisenhower who really established it as the sport of Presidents.

"Eisenhower played over 800 rounds during his tenure," says Trostel.

"He would practice every morning and had a putting green just outside his office where he would dictate to his secretary."

It was Eisenhower's friendship with leading professional Arnold Palmer which really helped to establish golf in the U.S., according to Trostel.

The men were two of the nation's most famous faces during the 1950s and 1960s and their friendship blossomed through the sport.

Palmer won seven major titles during his illustrious career, four of which came at The Masters at Augusta, a particular favorite with Eisenhower.

"Both Palmer and Eisenhower peaked at the same time," says Trostel.

"They had a shared passion for the game and played lots of rounds together. They really helped to create a secondary boom for golf in the U.S.

"Palmer in particular had great appeal. He was handsome, played with a real swashbuckling style, was a risk taker and was exciting to watch.

"Both him and Eisenhower transcended the sport."

Eisenhower made 45 trips to Augusta -- five before he took up residence at the White House, 29 as President and 11 after his time in office.

The Eisenhower Cabin, which was built in the 1950s, still stands and is one of 10 cabins on the course.

Ike's Pond, a three-acre water hazard which sits next to the eighth and ninth holes, still remains but the famous old tree which once adorned the course is no longer.

The Eisenhower Tree, which stood next to the 17th hole, was removed in March 2014 after suffering structural damage.

The Loblolly Pine, standing at some 65 feet, was estimated to be over 120 years old and was a constant nuisance to Eisenhower, who wanted it removed.

At a club meeting in 1956, Eisenhower, who had a habit of managing to hit the tree on many an occasion, was overruled by Augusta chairman Clifford Roberts, who refused to have the tree torn down.

While Eisenhower's enthusiasm for golf could not be doubted, his skill levels failed to match those of other Presidents.

According to Trostel, John F. Kennedy was the most talented golfing leader, while Gerald Ford could also unleash a mean drive.

Ronald Reagan was also an aficionado, occasionally putting down the aisles on Air Force One.

"Kennedy was probably the best golfer to have been President," says Trostel. "He didn't play as much as the others but he was keen not to attract attention.

"He played on the Harvard golf team and was a single-digit handicapper.

"Gerald Ford played in tournaments and while he could be erratic, sometimes hitting people in the gallery, he was a good athlete and had a good drive."

In more recent times, Bill Clinton has entertained on the golf course, even joking that he's the only President whose handicap went down during a term in office.

While Richard Nixon had previously removed the White House putting green, Clinton had it reinstalled.

Clinton now hosts his own PGA Tour tournament in California, having taken over the ailing Bob Hope Classic a decade after the comedian passed away and renaming it the Humana Challenge.

In 1995, while in office, Clinton played at the event in a pro-am team with Hope, Ford, George H.W. Bush and defending champion Scott Hoch.

"Presidents need to rest their minds, not just their bodies," Clinton told Golf Digest magazine in 2012.

"They need the exercise, the fresh air. And they need to do something that, literally, takes them away from what they're doing.

"The day I played with President Obama, I'd had about three hours' sleep, and I was so exhausted I could barely stand up.

"But when the president calls and asks you to play golf, you show up."

Ryder Cup: Watson brings lessons for Twitter generation

Ryder Cup: Fowler shows U.S. patriotism with haircut

@highlight

Golf has been a pastime for U.S. Presidents for over a century

@highlight

John F. Kennedy the most talented golfing Commander in Chief

@highlight

Golf introduced to White House by William Taft

@highlight

Dwight Eisenhower helped golf take off in the U.S.