(CNN) -- Pressure is growing for world leaders to respond to Syria's brutal crackdown on anti-regime protests.

Earlier this week, the United Nations' Commissioner for Human Rights, Navi Pillay, said more than 5,000 people had been killed in Syria since the uprising began in March.

The Syrian government has issued activists in the restive city of Homs an ultimatum: Cease their protests, or face bombardment, prompting fears of an increase in hostilities.

Human rights activists have called for an international response to the violence -- but some diplomats have warned that any intervention could make the situation worse.

Mousab Azzawi, of the London-based Syrian Observatory for Human Rights, said events in Syria amounted to a "humanitarian crisis," just like that seen in Libya prior to the NATO intervention, and that the situation merited a similar response.

"When the international community went to Libya to protect civilians, were they deceiving [everyone]?" he told CNN's Connect the World.

"Because if the principle of protecting civilians is the motivation of the international community, what happens in Syria is no different from what happened in Libya -- it's the same atrocities, the same tyranny and the same crimes against humanity committed there."

But Oliver Miles, a former British ambassador to Libya, said there was no comparison between the two countries -- or between Syria and Iraq, another high-profile example of international intervention.

"Syria is different in many, many ways. Iraq was invaded by a foreign government, and seven, eight years later, is in ruins," he said.

"Libya was not invaded by a foreign government; in Libya there was an uprising which so far seems to have succeeded in overthrowing a tyranny and is on the way to building something to replace that tyranny.

"Syria bears no resemblance to either of them. Syria is a larger country than Libya, it's a more complicated country than Libya, it doesn't offer any scope for foreign intervention."

Refugees seek shelter in Lebanon

Miles said politicians and diplomats were unlikely to take major action against the Syrian regime without backing from the U.N. -- and that such support was unlikely.

"I think the situation in Syria is absolutely dreadful, and if I could think of a way that the British government, or any other government, or the United Nations could intervene effectively, I would be all for it, but I think intervention would probably make things worse," he told CNN.

"When foreign air forces started to take part in the Libyan struggle back in March, they had a clear mandate from the United Nations, which meant that under international law, what we did could be argued to be legal.

"There is no possibility whatsoever that we will get a mandate from the United Nations to intervene in Syria as things stand at the moment."

But Azzawi said such pragmatic attitudes were making the situation worse, accusing foreign powers who failed to act of "participating in the bloodshed in Syria" by default.

And he said he feared the influence of Syrian military defectors, the Free Syrian Army, on the protests -- unless the fighters were offered international support.

"The numbers of the Free Syrian Army -- without being supported by the international community -- is so small now, and the big risk is when these peaceful demonstrators are tempted by the FSA to hold arms and then we move to a stage of militarizing the uprising, which is a very big risk.

"The people in Syria are trying hard to stick to the principle of peacefulness," he said.

"I don't think that will last forever, but if we have militarization of the uprising, then we will heed to a civil war and I think this is the last thing the international community wants to see in Syria, because any civil war in Syria would be spreading very quickly to the neighboring countries."

CNN's Max Foster contributed to this report

@highlight

Human rights activists call for an international response to violence in Syria

@highlight

Diplomats say intervention could make situation worse

@highlight

U.N. says more than 5,000 people had been killed in Syria since the uprising began