In broad daylight, with no fear of being seen, a group of Honduran girls -- some as young as 14 -- cross illegally into the United States.

"Because I want to see my parents in Austin," one tells CNN.

Moments later, another group of Hondurans admits crossing the Rio Grande to get here, McAllen station, a border crossing into the United States. "Thank God nothing happened," they say of the perilous journey.

This group quickly grows to 22. Most are children who traveled without any adults.

Unlike other stories of illegal immigration across a porous border, these immigrants aren't sneaking in. They're showing up and announcing themselves.

"We are seeing hundreds turning themselves in daily. And I mean hundreds at a time," said Chris Cabrera, a leader of the local chapter of the National Border Patrol Council, a labor union representing U.S. Border Patrol agents.

Many of the immigrants use rafts to cross the Rio Grande, equipped with instructions to follow the river until reaching the Border Patrol site to surrender.

"They know that once they get to the station, we are going to give them paperwork and we are going to set them free into the United States," Cabrera says.

U.S. law prohibits the Department of Homeland Security from immediately deporting the children if they are not from Canada or Mexico. Instead, the children are turned over to Department Health and Human Services supervision "within 72 hours of DHS taking them into custody," an official said.

"Most of the time, they're getting released to relatives in the U.S.," Cabrera said. "There's nowhere to put them, so they're released on their own recognizance and have a pending court date. I'd say between 95 and 97% of adults or youths don't show up for court."

The numbers are staggering. He estimates that more than 60,000 unaccompanied juveniles will cross in 2014 and that the numbers will rise from there.

"You're talking kids from 17 years old, on down to some that are 5 or 6 years old, traveling by themselves," Cabrera says.

More on CNN iReport: Your immigration stories

Last year, roughly 10% of people caught by Border Patrol agents were minors, according to a Border Patrol official.

Texas has been so overwhelmed that federal officials are transporting busloads of immigrants, including minors, to Arizona.

Arizona Gov. Jan Brewer slammed the move. "Not only does the federal government have no plan to stop this disgraceful policy, it also has no plan to deal with the endless waves of illegal aliens once they are released here," she said in a statement.

Official: Obama administration will enforce its priorities, not Arizona's

As of late last week, Immigration and Customs Enforcement was no longer releasing "large family groups" at bus stops in Arizona, a Department of Homeland Security spokesman said, but children under age 17 are continuing to be transferred to the state.

"The situation with the kids are they came by themselves, they have no relatives here, and the consulates can't keep up. They're in limbo. There's no one (back home) to deport them to," a DHS spokesman told CNN.

Obama: 'Urgent humanitarian situation'

President Barack Obama declared the crossings "an urgent humanitarian situation requiring a unified and coordinated federal response."

Earlier this month, in a memo to the heads of executive departments and agencies, he announced an "interagency Unified Coordination Group to ensure unity of effort across the executive branch in responding to the humanitarian aspects of this situation." The group will oversee coordination with state, local and other agencies.

Homeland Security Secretary Jeh Johnson is establishing the group. In a statement, he said that "addressing the rising flow of unaccompanied children crossing our southwest border is an important priority of this administration and the Department of Homeland Security."

Border facilities don't have enough food, beds or sanitary facilities to provide for the children.

Johnson vowed that DHS and other agencies will coordinate to ensure a "rapid government-wide response in the short-term and to undertake broader, longer-term reforms to address the root cause behind these recent migration trends."

Senior administration officials said they had prepared for a greater influx of children across the Southwest border, but the numbers were much larger than anticipated in past weeks.

Administration officials would not offer specifics on the number of children in custody, most of whom are being processed for possible repatriation to their home countries.

Why now?

Numerous factors have come together to create this unprecedented surge.

Many children are looking to escape violence and worsening economic conditions in their Central American countries. Some want to reunite with their parents who left them behind with relatives and plan to return for them when they can. Better weather is also cited as a factor leading some immigrants to decide to make the trek now.

Cabrera says these crossings began to spike two years ago after the Obama administration announced it would stop deporting young illegal immigrants who entered the United States as children if they met certain requirements.

Political battle

Rep. Bob Goodlatte, the Republican chairman of the House Judiciary Committee, calls the situation "an administration-made disaster."

"Word has gotten out around the world about President Obama's lax immigration enforcement policies and it has encouraged more individuals to come to the United States illegally," he said in a statement.

Columnist Linda Valdez, who writes about the issue for CNN affiliate azcentral.com, blames both sides. Goodlatte is "a card-carrying member of the Republican majority that has blocked immigration reform," she says. And "Obama isn't off the hook. He's been quietly managing disaster instead of yelling 'fire' in this burning building."

The children flocking across the border in search of the American dream "shouldn't come," she says. But they "wouldn't come if their undocumented parents didn't find it so easy to work in a country that loves cheap labor -- but treats cheap laborers like a disposable commodity."

States work around Obamacare to help undocumented immigrants

New federal guidelines ban schools from conducting immigration checks on kids

Border showdown: Families demand U.S. entry to reunite with relatives

@highlight

"I want to see my parents," Honduran teen tells CNN

@highlight

60,000 unaccompanied juveniles expected to cross in 2014, Border Patrol official says

@highlight

"Consulates can't keep up," and they're "in limbo," Department of Homeland Security official says

@highlight

Obama calls it an "urgent humanitarian situation"