(CNN) -- Independence Day is a celebration not just of America's independence, but also of the values that are important to our nation, like liberty, democracy and human rights.

Recently, former President Jimmy Carter suggested that America should be a little less self-congratulatory and a little more self-critical. He was concerned that America is abandoning its role as a leading advocate for human rights. It is hard to disagree with some of his observations. But, America has not fallen behind in providing moral leadership in the world. The current period is no different from earlier decades. It is not, as Carter said, either "cruel" or "unusual."

There is no doubt that both the Bush and Obama administrations have trampled on fundamental human rights norms on the grounds that certain sacrifices must be made in order to protect American national interests. The question naturally arises: Couldn't the United States have found ways to fight terrorism without turning human rights into collateral damage?

There is evidence that sacrificing human rights has not made America any safer. For instance, the increased use of drone attacks might or might not have disrupted terror networks in Pakistan and Afghanistan, but we do know that they have killed and injured countless civilians and inflamed anti-American rhetoric. The issue isn't whether the United States will be able to win a popularity contest in the region (this is doubtful even in the best of times), but rather, that alienating large swaths of the local population makes it much more difficult to defeat terrorism.

Where to find exceptional America

Similarly, in the name of counterterrorism, the United States has pursued worrisome policies, including targeted assassinations overseas and intrusions on civil liberties. While our country's counterterrorism policies have compromised its respect for human rights norms, a little perspective is needed. America's human rights policy is bigger than its counterterrorism policy. We should not judge the record on the basis of how the United States has fought terrorism.

We have made good strides. In the last 10 years, the United States has been one of the largest supporters of the International Committee of the Red Cross, despite the fact that the Red Cross makes it a point to remind the United States and other governments of their commitments to international humanitarian law. The Obama administration has championed women's rights and reproductive health, children's rights, religious rights and other areas of central concern to the lives of hundreds of millions of people around the world. And although the United States still refuses to become a full-fledged member of the International Criminal Court, it has begun to play a supporting role.

When the United States speaks about human rights, other countries listen. We do not need a perfect score from Human Rights Watch to have our views respected. When other countries choose not to listen to the United States or follow its lead, it is not necessarily because we do not practice what we preach; instead, it is because those countries see human rights as a potential threat to their rule. Even if the United States had an unblemished human rights record, the Bashar al-Assads of this world are still going to massacre their people and authoritarian governments will still imprison and torture their dissidents.

On the other hand, we must not redact the inconvenient truths of American foreign policy. Looking further back into our history, our record in international human rights is a mixed bag.

During the Cold War, successive administrations indulged dictators on the grounds that it was necessary for containing Communism. Shamefully, the United States did not ratify the genocide convention until 1988. The Clinton administration did nothing to stop the Rwandan genocide in 1994. The world ratified the International Criminal Court in 2002 without our participation. The United States also has repeatedly censored its own views on China's human rights record for fear of hurting a key strategic and economic relationship.

We're No. 1! We're No. 1! We're ... uh ... not?

Even in better days, the United States has often made rotten compromises in the name of security. Simply put, the United States has championed human rights when it sees no damage to its security and economic interests. But when human rights are perceived as potentially detrimental to national interests, the United States has consistently chosen interests over values.

America's support for human rights has had its ups and downs. Hopefully, in the future we'll see more ups than downs, and have more to celebrate.

The opinions expressed in this commentary are solely those of Michael Barnett.

@highlight

Michael Barnett: Fourth of July is also about celebrating our values, like human rights

@highlight

Barnett: America has not fallen behind in providing moral leadership in the world

@highlight

He says the current period is no different from earlier times, it is not "unusual" or "cruel"

@highlight

Barnett: Simply put, the U.S. has consistently chosen national interests over values