New Orleans (CNN) -- Waging war against historic flooding in eight Midwestern and Southern states, the U.S. Army Corps of Engineers opened a spillway north of New Orleans on Monday in an effort to calm the rising Mississippi River.

A crowd gathered near the entrance to the Bonnet Carre spillway to watch workers use cranes to slide open the gates to the flood control system. The spillway, like another that could be opened next week, is designed to divert floodwater away from New Orleans and slow the raging river to protect the low-lying city.

Bonnet Carre is part of a system built after the devastating Mississippi River flood of 1927. While the river's highest levels may still be days away, a decision to open the second flood control structure -- the Morganza Spillway -- may not be, Louisiana Gov. Bobby Jindal said.

People with property that would flood if the spillway is opened should not dally, Jindal warned: "My advice to our people is not to wait, to get prepared now."

The Bonnet Carre spillway diverts water from the Mississippi to the Gulf of Mexico by way of Lake Pontchartrain. But opening the Morganza Spillway would flood populated areas and could put Morgan City, Louisiana, and other communities at risk.

Col. Ed Fleming, the Corps of Engineers' district commander in New Orleans, said he has requested the authority to open the Morganza Spillway. Jindal said the Louisiana National Guard had asked for at least three days, but preferably five days, to evacuate those areas before the Corps opens the gates.

Upstream in Memphis, Tennessee, residents and authorities had prepared all they could Monday as they waited for the Mississippi to crest at a near-record 14 feet above flood stage Tuesday morning.

"It's sort of torturous," Memphis Mayor A.C. Wharton Jr. said. "We've been waiting so long. It's hard keeping people's attention. It's warning fatigue, if you will. But we're ready for it."

The river level stood at 47.8 feet Monday evening and is expected to crest at 48 feet, said Ryan Husted, a forecaster for the National Weather Service in Memphis. President Barack Obama signed a disaster declaration for the state of Tennessee Monday, which will help direct federal aid toward recovery efforts in areas hit by severe storms, flooding and tornadoes since early April.

The Mississippi is the highest it's been at Memphis since 1937, when it crested at 48.7 feet -- 14.7 feet above flood stage. That flood killed 500 people and inundated 20 million acres of land, said Col. Vernie Reichling, the Corps' Memphis District commander.

The river covered the lowest parts of the city's historic Beale Street and had forced about 400 people from their homes Monday, Wharton said. Another 1,300 remained in low-lying areas, he said.

Corps officials said levees protecting the area appeared to be holding up well, with only minor amounts of water seeping in from beneath or lapping over from above.

"All of our levees were designed to withstand heights greater than what we're seeing today, although this height is significant," Cory Williams, chief of geotechnical engineering in the Memphis district with the Corps, told CNN affiliate WMC. "The levees have held up very well in this event."

But local officials were taking no chances.

"It's a very powerful river. It looks like it's running very slowly, but it has a very strong current," said Bob Nations, director of preparedness in Shelby County, Tennessee, which includes Memphis. "We still don't know (exactly what) the river might do."

Nicholas Pegues, an East Memphis resident who lives near the Wolf River, said he's seen extensive flooding and homes left uninhabitable by the water as he's traveled through the region.

"It's affecting daily life tremendously," said Pegues, a Shelby County elections' division employee who submitted photos of the flooding to CNN iReport. "It is pretty severe downtown. ... I know a lot of ... people have lost their homes."

Wharton said the flooding had not yet caused major disruptions in the city, and he did not expect it to, even though National Weather Service meteorologist Bill Borghoff said it is possible the river won't fall below flood stage at Memphis until June.

That's the problem in Missouri and southern Illinois, where flooding continues even though the Mississippi and Ohio river crests have moved south.

In Murphysboro, Illinois, CNN iReporter Robert Icenogle said a swollen creek is inundating a church and bandshell while threatening to wash out telephone poles.

"We cannot get to the park, which is underwater, or to other towns," he said. "Most of the roads are closed, plus the water sewage plant is getting sandbagged." If a nearby sewer plant is forced to shut down, "We won't have tap water to bathe in or drink," he added.

Last week, the Corps intentionally breached a levee in Missouri as part of its effort to reduce the pressure on other levees, flooding 130,000 acres of agricultural land over the objection of state officials and some farmers.

"I'm very sad. I look at that and I don't have a home," Marilynn Nally said, pointing to her flooded family farm.  "I feel like we're having to suffer for somebody else."

As the floodwaters worked their way south, the operator of a nuclear power plant in Port Gibson, Mississippi, expressed concerns that rising water could cut off an access road to the facility. However, there was no plan to shut down the Grand Gulf Nuclear Power Station and no immediate cause for concern, a spokesman for the Nuclear Regulatory Agency said Monday.

Mississippi Gov. Haley Barbour told CNN's John King the greatest risk will likely be from flooding around the powerful river's tributaries, rather the Mississippi itself.

"Pray for the best, but prepare for the worst," he said.

In Louisiana, where the river's crest is not expected to begin arriving until next week, Jindal added bears to the list of things residents need to think about. He said flooding could force some of the state's ursine residents from their homes and into populated areas.

So far, 21 parishes have issued emergency declarations ahead of expected flooding, Jindal said. He said 400 National Guard troops would be active by the end of the day Monday helping prepare for the flood.

Even with a forecast for record or near-record crests into next week and weeks of high water to follow, Corps officials say they expect nothing like the widespread and devastating flooding that occurred along the southernmost stretch of the Mississippi River in 1927.

That flood began near Memphis in the fall of 1926 and did not end until the following August, according to the National Weather Service. It devastated the levee system, and flooded 165 million acres of land, sweeping 600,000 people from their homes. It came at a cost of 246 lives and the equivalent of nearly $624 million in 2011 dollars.

As a result of that flood, the report says, Congress passed the Flood Control Act of 1928, which led to a massive public works programs to build a system of levees and other structures designed to hold back the river more effectively.

The latest flooding in the Mississippi and Ohio river valleys is largely the byproduct of torrential rains throughout the region. Over one two-week stretch, there was about 600% more precipitation than usual, Reichling said.

The weather now appears to be working in the flood fighters' favor. Only minimal rain is expected over the coming days, with daytime temperatures forecast to be in the upper 80s and 90s through Thursday, at which point the water levels should begin to creep back down.

Still, a spokesman for the Mississippi Emergency Management Agency told HLN's Vinne Politan that people around the river and its tributaries need to be careful and should not wait until they see water to take action.

"It's going to be a tragedy on many levels. So many people are going to be displaced. They're going to be displaced for a long time and they may not have much of anything to come back to," said Jeff Rent.

CNN's Greg Botelho, Marlena Baldacci, Phil Gast and Ben Smith contributed to this report.

@highlight

NEW: "It's going to be a tragedy on many levels," says Miss. emergency management spokesman

@highlight

U.S. Army Corps of Engineers opens a spillway to protect New Orleans

@highlight

There's been flooding around Memphis, though levees appear sound, officials say

@highlight

The river near Memphis is expected to crest at a near-record 14 feet above flood stage