(CNN) -- Senate Democratic leaders announced they've reached "broad agreement" on a package of provisions to replace the public option, a move that means their version of the health care bill is morphing into something that looks less and less like the House version.

Senate leaders aren't releasing details of the revised plan, so it's unclear how much of the bill will be changed.

Two Democratic sources said the deal includes a proposal to replace the public option by creating a not-for-profit private insurance option overseen by the federal Office of Personnel Management, much like the current health plan for federal workers, and another allowing people 55 or older to buy into Medicare coverage that currently is available to those 65 or older.

The compromise appears to be a far cry from the government-backed public health care option offered in the House bill. The Senate's original health care bill included a public option similar to that of the House version. The biggest difference was that under the Senate plan, states could opt out of the public option.

Should the Senate pass a bill with the public option alternative, merging it with the House bill would not be easy, but there's still a long ways to go before lawmakers get to that point.

The Senate last month voted to begin debate on its version of the bill. Since then, Senate Majority Leader Harry Reid has been making changes and trying to secure the 60 votes needed to end debate on the bill. A simple majority -- 51 votes -- is needed for final passage.

After the House and Senate bills are merged, each chamber must give the consensus version final approval before it goes to President Obama's desk to be signed into law.

The public option divide is just one of several differences that need to be ironed out. Depending on what's in the new Senate package, a lot of the details could change, but here are some of the other issues expected to be sticking points:

Abortion

In the run-up to the House vote, Republicans and conservative Democrats joined forces to pass an amendment that tightens restrictions on federal funding for abortion services.

The amendment would toughen funding limits in the health care bill, preventing subsidies not only from directly paying for abortions, but also from paying for any insurance plan that covers abortions.

The prohibition excludes cases of rape, incest, or if the mother's life is in danger.

The Senate rejected a similar amendment but will allow the Health and Human Services secretary to decide whether abortion coverage would be granted under a government-sponsored plan and will permit coverage in private plans. But this is now subject to change, depending on the details of the Senate public option alternative.

Medicaid expansion

Medicaid, the government-run health care plan for the poor, would be expanded significantly under both proposals. The House bill would extend coverage to individuals earning up to 150 percent of the poverty line, or roughly $33,000 for a family of four. The original Senate plan ensured coverage to those earning up to 133 percent of the poverty level, or just over $29,000 for a family of four. This is subject to change, depending on the final Senate plan.

Individual mandate

Under both plans, individuals would be required to purchase coverage, but the House bill includes more stringent penalties for most of those who fail to comply. The Senate plan would require individuals to buy health insurance, with a fine for noncompliance of $95 in the first year that would escalate to $750 by 2016. Parents would be responsible for providing coverage for children up to age 18.

The House bill would impose a fine of up to 2.5 percent of an individual's income.

Both versions include a hardship exemption for poorer Americans.

Employer mandate

Employers face a much stricter mandate under the House legislation, which would require companies with a payroll of more than $500,000 to provide insurance or pay a penalty of up to 8 percent of their payroll.

The Senate bill would require companies with more than 50 employees to pay a fee of up to $750 per worker if their employees rely on government subsidies to purchase coverage.

The House and Senate have agreed to create health insurance exchanges designed to make it easier for small businesses, the self-employed and the unemployed to pool resources and purchase less-expensive coverage.

The House plan creates a national health insurance exchange; the Senate plan calls for state health insurance exchanges in all 50 states.

Illegal immigration

Both bills state that subsidies cannot go to undocumented workers, but differ in how they enforce that. They also differ on how easy it should be for illegal immigrants to buy health insurance with their own money.

In general, the House bill gives illegal immigrants more opportunity to buy health insurance and would verify their identity in fewer areas. Proponents say it's more humane and cost-effective. Opponents say it's simply more liberal and would encourage more people to illegally enter the U.S. The Senate bill, in contrast, would mandate verification in more areas and would sharply limit the ability of undocumented workers to buy their own health insurance.

Both bills ban any government funds or subsidies from going to help illegal immigrants get health care. Democrats say they will tightly enforce that; opponents sharply question the enforcement in the bill.

Cost

The House bill is more expansive -- and hence expensive -- than the Senate bill. The House bill, projected to guarantee coverage for 96 percent of Americans, will cost more than $1 trillion over the next 10 years, according to the nonpartisan Congressional Budget Office.

The original Senate bill was estimated to cover 94 percent of Americans and came with an $848 billion price tag, according to the CBO. The CBO has not yet released an estimate of the new Senate plan.

Financing

One of the biggest divides between House and Senate Democrats is over how to pay for the plans. The House package is financed through a combination of a tax surcharge on wealthy Americans and new spending constraints in Medicare and Medicaid.

Specifically, individuals with annual incomes over $500,000 -- as well as families earning more than $1 million -- would face a 5.4 percent income tax surcharge.

The Senate measure also trims entitlement programs such as Medicare and Medicaid.

The bill also includes a range of tax increases and new fees. The Medicare payroll tax on individuals earning $200,000 a year and couples earning $250,000 a year would increase by a half-percentage point, from the current 1.45 percent to 1.95 percent.

In addition, insurers providing costly health coverage -- known as "Cadillac" plans -- would face a 40 percent tax on premiums of greater than $8,500 for individuals and $23,000 for families. The Senate bill also includes a 5 percent tax on the cost of elective cosmetic surgery, as well as new fees for insurers and pharmaceutical manufacturers. The revenue from all the taxes and fees is projected to exceed $200 billion.

CNN's Tom Cohen, Lisa Desjardins, Evan Glass, Kristi Keck and Alan Silverleib contributed to this report.

@highlight

Senate still has to vote to end debate, pass bill, then merge it with House version

@highlight

House version tightens restrictions on abortion funding; Senate bill does not

@highlight

House version creates public option; Senate Dems reached agreement on alternate package

@highlight

How to pay for the plans is another sticking point