(CNN) -- Senate Republicans and Democrats remain far apart in their effort to avert a year-end combination of spending cuts and tax increases that could trigger a new recession, Majority Leader Harry Reid said Sunday.

"There's still significant distance between the two sides, but negotiations continue," Reid said as Congress held a rare Sunday session in a bid to avoid the so-called fiscal cliff. "There's still time left to reach an agreement, and we intend to continue negotiations."

No votes will be held Sunday, but Reid said there may be further announcements when the Senate reconvenes Monday morning: "I certainly hope so."

With barely a day left to avert what economists predict will be a one-two punch to the U.S. economy, talks hit what a Democratic source called a "major setback" when Republicans insisted that changes to how Social Security benefits are adjusted for inflation be included. Republicans have dropped that demand, but "they never should have been on the table to begin with," said Reid, D-Nevada.

Using what's known as "chained CPI" would change the way Social Security benefits are adjusted for inflation, meaning that future Social Security recipients would receive less money over time. Democrats consider this prospect a "poison pill," the source said, and GOP senators said later it wouldn't be included.

"If that is a show-stopper for the majority leader, we will take that off the table," New Hampshire Sen. Kelly Ayotte told reporters after coming out of a Republican caucus meeting Sunday afternoon.

With the clock running down, Senate Minority Leader Mitch McConnell appealed to Vice President Joe Biden to help "jump-start" negotiations after complaining that he had received no response to an offer he put on the table Saturday night.

"I want everyone to know I'm willing to get this done, but I need a dance partner," said McConnell, R-Kentucky. McConnell and Biden, who served together in the Senate for more than two decades, were having a "pretty fruitful" conversation Sunday afternoon, said Sen. Bob Corker, R-Tennessee.

Reid said earlier that McConnell has shown "absolutely good faith" in the talks, but "it's just that we are apart on some pretty big issues."

As he headed home Sunday evening, Reid was asked about progress, and he responded: "Talk to Biden and McConnell."

Top-level sources on both sides of the negotiations said talks are primarily now in the hands of McConnell and Biden, and they are keeping Reid and House Speaker John Boehner, R-Ohio, informed.

If nothing gets done before Monday night at midnight, the expiration of the Bush administration's 2001 and 2003 tax cuts will increase tax rates, while $110 billion in automatic cuts to domestic and military spending -- the result of the 2011 standoff over raising the federal debt ceiling -- will start to kick in. The nonpartisan Congressional Budget Office predicts the combined effect could dampen economic growth by 0.5%, possibly tipping the U.S. economy back into a recession and driving unemployment back over 9%.

In an interview aired Sunday on NBC's "Meet the Press," President Barack Obama blamed Republicans for the stalemate that brought lawmakers back to Capitol Hill on a weekend. Obama urged the GOP to drop its opposition to tax increases on top earners and cut a last-minute deal.

"They say that the biggest priority is making sure that we deal with the deficit in a serious way. But the way they're behaving is that their only priority is making sure that tax breaks for the wealthiest Americans are protected," he said. "That seems to be their only overriding, unifying theme."

Obama told NBC that could cost the average middle-class family about $2,000. He said the Senate should go ahead and vote on legislation to make sure middle-class taxes are not raised and that 2 million people don't lose unemployment benefits.

"If we can get that done, that takes a big bite out of the fiscal cliff," he said. "It avoids the worst outcomes."

During the interview, Obama said he was willing to consider using chained CPI to adjust Social Security -- even though it was "highly unpopular among Democrats" and opposed by the AARP, the powerful lobby for seniors.

"In pursuit of strengthening Social Security for the long term, I'm willing to make those decisions," Obama said. "What I'm not willing to do is to have the entire burden of deficit reduction rest on the shoulders of seniors, making students pay higher student loan rates, ruining our capacity to invest in things like basic research that help our economy grow. Those are the things that I'm not willing to do."

But the Democratic source, who did not want to be identified because of the closed nature of the talks, said members understand Obama proposed using chained CPI as an element of a larger deal that also would change how the federal debt ceiling is adjusted -- an element no longer included in the plans.

Most Democrats oppose chained CPI, but many were wiling to go along with it as part of a larger deal, the source said.

On taxes, meanwhile, Democrats are arguing that taxes should go up for those making $250,000 or more, though some discussions have involved the possibility of raising that figure to a $400,000 threshold.

Many Republicans have opposed any increase in tax rates. Boehner suffered a political setback by offering a compromise -- a $1 million threshold for the higher rates to kick in -- that his GOP House colleagues refused to support.

After Obama's NBC interview, Boehner said the president needs to stand up to his own party and insisted it was the president "who has never been able to get to 'yes.'"

"I am pleased Senators from both parties are currently working to find a bipartisan solution that can finally pass that chamber," Boehner said in a statement issued by his office. "That is the type of leadership America needs, not what they saw from the president this morning."

Sunday night, Boehner met with House GOP leaders and told them to sit tight and stick together as he awaits news on whether the Senate can strike a deal.

After the meeting, Oklahoma Rep. Tom Cole told reporters that Boehner said: "I've stayed out of those negotiations."

"Every time we get involved in them, we sort of get burned, so we're going to let the Senate work its will, see what they do and what they send us, and we'll act accordingly," he said.

Sen. Chuck Schumer, D-New York, told ABC's "This Week" he thought the chances of a short-term, last-minute deal brokered by Senate leaders were better than 50-50.

"I've been a legislator for 37 years, and I've watched how these things work on these big, big agreements," Schumer said. "They almost always happen at the last minute."

And Sen. Lindsey Graham, R-South Carolina, said the chances are "exceedingly good" that some type of deal will be reached by Monday night.

"I think, whatever we accomplish, political victory to the president, hats off to the president. He stood his ground. He's going to get tax rate increases, maybe not $250,000, but upper-income Americans," Graham said on "Fox News Sunday."

"And the sad news for the country is that we have accomplished little in terms of not becoming Greece or getting out of debt."

Other Republicans argued Sunday that Obama's plan hasn't done enough to limit spending.

"The president is doing nothing about the addiction that his administration has to spending. He's the spender in chief," Sen. John Barrasso of Wyoming said on CNN's "State of the Union."

Obama told NBC that he has cut more than $1 trillion in spending and offered another $1 trillion-plus in additional cuts "so that we would have $2 of spending cuts for every $1 of increased revenue." He said the majority of Americans have made clear they support his calls for "a balanced approach" that would increase taxes on the wealthy.

Sen. Dick Durbin, D-Illinois, warned that now is "exactly the wrong time to go over this cliff."

"We are in the midst of an economic recovery. We are seeing new job creation, businesses are seeing new growth, we are seeing the kind of economic indicators we've been waiting for for years. This going over the cliff is going to bring uncertainty to our markets, and with that uncertainty, a pullback in consumer confidence and a reduction, I'm afraid, of business activity and the creation of new jobs," he said.

But former Democratic Party chairman and 2004 presidential contender Howard Dean told ABC that heading over the cliff would not be so bad, calling it a "fiscal curb" instead.

"You go back to the Clinton tax rates, and you make some significant cuts. And you cut the Defense Department, which hasn't been cut in 30 years," said Dean, a former Vermont governor. Meanwhile, going over the cliff gives Obama more leverage, "because then all of sudden, middle-class people's taxes are going to rise, and that's going to be bad for every politician in Washington."

"Maybe they'll actually get something done," he said. "But I think, at this point, at this late hour, I think almost any deal they come up with is worse than going over the cliff."

Sen. Olympia Snowe, R-Maine, told CNN's "State of the Union" that she expects Congress will vote to extend tax cuts for incomes below $250,000 -- perhaps below $400,000 -- before midnight Monday. A Senate agreement "would build momentum" for the move in the House, she said.

"I think it would be horrific for the country if at this time, the final days of this legislative session that already has reached historic proportions of failure, that we would now culminate in failure to extend these tax cuts," said Snowe, who is on her way out of office.

CNN's Jessica Yellin, Dana Bash, Deirdre Walsh, Lisa Desjardins, Ted Barrett and Ashley Killough contributed to this report.

@highlight

NEW: McConnell and Biden are main negotiators now, sources on both sides say

@highlight

"There's still significant distance between the two sides," Reid says

@highlight

Obama calls on GOP to cut a deal on taxes; Republicans argue Obama is overspending