London, England (CNN) -- It's the pinnacle of the English flat racing season, bringing together the best horses from around the country -- and even further afield -- to compete for a purse of more than $2 million. The annual Epsom meeting has spawned many similar events around the world, among them the Deutsches Derby, the Derby Italiano and, perhaps most famously, the Kentucky Derby.

Indeed, the name "Derby" has entered the vernacular and is now used to describe almost any race for three-year-olds. But the Epsom Derby is still the most venerable of them all.

Dating back to 1780, the race is named after its founder, the 12th Earl of Derby, himself a prominent owner and breeder of racehorses. Today it draws crowds of up to 200,000 people. But for one of that number, the Derby is more than just a race.

The queen's association with the Epsom Derby runs deep. She began attending the event as a princess. After her coronation in 1953, the Derby was her first official engagement. It was nearly a fairly-tale beginning: the queen's horse Aureole should have claimed the honors but a massive bay colt named Pinza had failed to read to the script.

So there's a certain symmetry to her decision to mark the beginning of her weekend of Jubilee celebrations with a visit to Epsom Downs.

Interactive: A year in the life of the queen

A familiar, if inscrutable, figure at track, the queen's enthusiasm for racing is well-documented (it's even said in racing circles that her reading material of choice over her breakfast is the Racing Post). She is also one of the UK's best-known owners and breeders of racehorses, with about 30 horses currently in training.

Hampshire-based trainer Andrew Balding is one of a handful of trainers entrusted with ensuring the queen's horses are kept in peak physical condition. He currently has three horses in training for the queen: "She is a very well-informed and keen owner, probably the best-informed owner in the country."

"She adores breeding racehorses," says her racing manager, John Warren. "As a consequence the Derby is the most special thing because it combines all that everyone knows about racing, into this one particular race. The British bloodstock industry is very lucky to have a patron such as the queen."

But despite this, the Epsom Derby remains the only one of the English "Classics" (a series of three-year-old races comprising the 2,000 Guineas, 1,000 Guineas, Oaks, St Leger and the Derby) that she has not won.

Read more: The young queen who grew into a modern monarch

You have to go back to 1909 to find the last time a Derby winner was owned (in this case leased) by a reigning monarch; that was Minoru, owned by King Edward VII (although omen-watchers may note that as Prince of Wales he had success in 1900 with the portentously-named Diamond Jubilee).

The queen herself has come tantalizingly close. In ten attempts, her best placing has been second (in the year of her coronation). But perhaps her best chance to capture the Derby came last year with Carlton House. The story of how the son of U.S. "super sire" Street Cry came to be in the queen's possession bears retelling: Dubai's ruler, Sheikh Mohammed al Maktoum, himself one of the world's biggest racing enthusiasts, approached the queen to purchase one of her horses, Highland Glen, to join his stables in Dubai. After an auspicious start to his racing career, the horse had then heaped shame on his illustrious owner when he refused to enter the starting gates for a big race at Glorious Goodwood. In recognition of his volatile temperament, the queen refused to accept any payment for Highland Glen and let the Sheikh have him for free.

Interactive: The queen in numbers

The grateful Sheikh wanted to repay the queen's gesture and later that summer sent word that had hand-picked four yearlings from his own breeding program which he intended to gift to the queen. One of those was Carlton House.

The colt started that year's Derby as the red-hot favourite, buoyed by a wave of public support for the prospect of a first win in the country's premier Classic for the queen. Unfortunately, bad luck in running and the loss of a shoe conspired to relegate him to third, behind an exuberant Mikael Barzalona on Pour Moi.

Although the queen's reaction went unrecorded, it's hard to avoid the conclusion that Carlton House represented an unrepeatable chance for Her Majesty to lay her hands on the one piece of silverware that has eluded her for six decades.

By all indications, however, the disappointment of last year has not dampened her enthusiasm for the event. So although the queen's red and purple silks won't be seen on any of the runners entered in this year's Derby, whether it's the Aiden O'Brien-trained Camelot or Andrew Balding's mercurial colt Bonfire who joins the ranks of the immortals, one thing is certain: there will be one fan on Derby Day cheering louder than them all.

@highlight

The queen starts the jubilee weekend with a visit to the Epsom Derby

@highlight

A racing enthusiast, the queen has around 30 horses currently in training

@highlight

Last time a derby winner was owned by a reigning monarch was in 1909