(CNN) -- Never has the Supreme Court said so much when saying so little.

When the justices refused to rule on gay marriage cases Monday, it directly cleared the way for the unions to become legal in five states -- Indiana, Oklahoma, Utah, Virginia and Wisconsin.

A sixth state, Colorado, began allowing same-sex marriages Tuesday morning, with the state's high court throwing out the last remaining legal obstacles in the wake of the U.S. Supreme Court's decision.

And experts believe five other states -- North Carolina, South Carolina, Kansas, West Virginia, and Wyoming -- will soon follow.

Add them all up and the likely bottom line appears: Same-sex marriage will be legal in 30 states in the near future, many believe.

Those states represent more than half of the country and well over half the nation's population. And gay couples in those states will be able to wed legally.

"Now we are in a situation where 30 states have same-sex marriage," CNN legal analyst Jeffery Toobin said. "When you have that many people living in a world where same-sex marriage is legal, (it) makes it inevitable, it seems, that the rest of the country will follow."

For now, though, there are 20 other states that aren't budging.

Nearly all of them are in the Midwest and South. That's no surprise, as these swaths of the country have traditionally been socially conservative.

Already, South Carolina's attorney general has said he will continue fighting to keep the state's ban in place.

So, what's next in the gay marriage fight for those states?

Same-sex marriage advocates say they plan to work both the statehouses and the courthouses there.

Opinion: How Supreme Court's non-decision helps gay marriage

Politics and the personal

Gay conservatives are undertaking the most coordinated effort yet to change the Republican Party's position on same-sex marriage. Their approach: one state and one Republican activist at a time.

The official stance of the Republican Party is that "the union of one man and one woman must be upheld as the national standard," but same-sex marriage advocates within the GOP want it removed, making the language neutral.

Young Conservatives for the Freedom to Marry, a nonpartisan advocacy group, say the stance will soon no longer represent an evolving Republican Party, citing a New York Times public opinion poll that shows 40% of Republicans -- and 56% of Republicans under age 45 -- support same-sex marriage.

The GOP and gay politics

There was a joyous reaction from gay couples who immediately sought marriage licenses in Wisconsin while the conservative organization, Wisconsin Family Action, denounced the Supreme Court's move.

"The truth is no court, by any action or inaction, can redefine marriage," said president Julaine Appling. "Federal courts have been arrogantly ignoring this reality. That said, from a legal standpoint, the court taking a pass on these cases means the legal battle for marriage continues in our country."

In Colorado, clerks in two counties issued same-sex marriage licenses just hours after the Supreme Court declined to hear the cases on Monday, the Denver Post reported. Michelle Alfredsen told the Post she was ecstatic about being able to marry her girlfriend Wendy.

"I'm officially Mrs. Alfredsen," she told the newspaper. "We are basking in this moment and celebrating that our children will not have to take on this fight."

The next day, Colorado Attorney General John Suthers ordered clerks in all 64 of the state's counties to issue same-sex licenses to couples who request them.

"There are no remaining legal requirements that prevent same-sex couples from legally marrying in Colorado," Suthers said.

The jurisdictional front

Advocates of gay marriage have been riding a hot streak, but how long will it last?

Carl Tobias, a constitutional law professor at the University of Richmond, believes it's likely that the winning streak may end somewhere on the appellate level.

While district judges function more independently, appeals court judges "tend to be more ideological," Tobias notes, and thus it's more likely they cumulatively will express opinions on both sides of the debate.

That said, whatever these appeals courts decide might be moot.

Experts say this fast-moving wave of decisions will ultimately climax where it began, on the nation's top court -- with so-called "swing" justice Anthony Kennedy most likely siding with the winner on the deeply divided court.

If you ask University of California, Berkeley, law professor Jesse Choper, there's only one way to put the issue to rest.

"This will only authoritatively be decided by the U.S. Supreme Court," he said.

By the numbers: Same-sex marriage

In states where marriage licenses are already being issued, there are legal complications to work out.

For instance, in Utah, state lawmaker Kraig Powell, a Republican, has started a bill to work on language in state codes governing marriage.

The chapter that addresses marriage is titled "Husband and Wife" -- that has to be changed, Powell said, according to the Salt Lake Tribute.

Back to the Supremes

Toobin, too, sees circumstances where the Supreme Court might need to weigh in, because the tally of states where gay marriage is legal is actually 24, not 30.

The reality is, despite what experts believe, justices have not yet ruled -- or refused to rule -- on the same-sex marriage bans in those six states.

"The one thing we know for sure is that there will not be a 50-state ruling (that) same-sex marriage is required in every state in the union," Toobin said.

"What is complicated and, frankly, somewhat mysterious, is what happens now in the states where the lower courts have said, 'Under our interpretation of the Constitution, we believe there is a right to same-sex marriage.'"

Ultimately, that could prompt the Supreme Court to tackle this thorny issue the next time it comes around.

Will same-sex marriage become a 2014 issue?

@highlight

NEW: Colorado attorney general orders counties to issue same-sex marriage licenses Tuesday

@highlight

NEW: Gay marriage is now legal in 25 states

@highlight

Experts believe five other states will soon follow

@highlight

The momentum is favoring gay advocates, but that could change