(CNN) -- Through English-language propaganda and a vibrant social media presence, ISIS is actively encouraging young Americans to join its cause to take up arms in Syria and Iraq. Some Americans have joined the militant group, according to officials. Intelligence officials fear the number will grow higher since ISIS has been successful with recruitment in some European countries.

Americans need to wake up to the frightening reality of this threat taking root in our communities.

While President Barack Obama searches for a strategy to confront ISIS in Syria and Iraq, federal, state and local governmental organizations (including law enforcement agencies) and communities are already working together to confront the problem with this group now calling itself the Islamic State.

The situation of young people acquiring radicalized beliefs without yet committing crimes is worrisome. The question is: How do we prevent violent ideologies from taking hold of people in the first place, and how to intervene and dissuade them from crossing the line towards actual violence?

Colorado teen pleads guilty in plan to join ISIS

The term used to describe this effort is "countering violent extremism," or CVE. Similar to community-oriented policing methods, CVE focuses on engagement and partnership with communities. CVE stems from the White House's national security strategy and has the active support of multiple federal agencies, but it is highly dependent on cities, counties and states to devise solutions.

Consider what is happening in Los Angeles.

In 2008, the Los Angeles Police Department established a Liaison Section of its Counter-Terrorism and Special Operations Bureau. Its mission is "to improve the quality of life and public safety within diverse communities by building mutual partnerships and trust through coordination and collaboration of all department entities, government stakeholders, public/private/faith-based organizations, nongovernmental organizations with local communities."

For example, the LAPD began holding a quarterly Muslim Forum. Each forum is held in a mosque and hosts about two dozen representatives from Muslim organizations throughout the greater Los Angeles area where they join for dialogues.

Police officers and Muslim-American community advocates in Los Angeles believe that the program has been successful. They report that the LAPD has been able to engage multiple, key organizations and leaders in the communities and to form partnerships that build trust, challenge misinformation, educate people, promote transparency, defuse conflicts, open communication channels and solve daily problems.

Community advocates said they are being regarded as part of the solution, not part of the problem. Deputy Chief Michael Downing, the commanding officer of the Counter-Terrorism and Special Operations Bureau, stipulates that law enforcement-community partnerships are essential to the objective of "making the environment hostile to violent extremism."

One of the department's key partners is the Muslim Public Affairs Council (MPAC), whose director, Salam al-Marayati, believes that law enforcement and community leaders must play distinct roles in the collaborative fight against violent extremism. He sees prevention as primarily the responsibility of communities, and many community members readily agree.

MPAC is rolling out "Safe Spaces,"  an innovative community-led CVE initiative in mosques across the United States.

Safe Spaces aims to increase Muslim-American communities' resilience against violent extremism through community-led prevention and intervention activities.

Safe Spaces works in part through getting families and communities to talk together about difficult topics. It tells parents about the threats of recruitment and radicalization to violence. According to its facilitator's guide, "We're not sharing this story to scare you; only to highlight the serious need for communities to build healthy and safe spaces." The initiative teaches helpful strategies to increase parental involvement and supportive adult mentorship for youth.

Another key component of Safe Spaces is helping communities form "crisis inquiry teams" that can identify individuals believed to be at risk of engaging in violent beliefs and help them turn away from that path. Communities learn that if those efforts fail, and the risk of violent behavior becomes real, then they are obligated to notify law enforcement.

Across the United States, new strategies are being developed. In Montgomery Country, Maryland, the effort is not being led by the police but rather through a public-private partnership involving the faith-based community and law enforcement. In Dearborn, Michigan, initiatives aim to promote public safety without singling out terrorism or any one ethnic community.

What most efforts have in common is establishing innovative public-private partnerships that increase mutual trust, build capacities, strengthen resilience and then develop and evaluate community-delivered prevention and intervention activities.

Opinion: When Americans leave for jihad

Most communities don't have such experiences, so there is a need for expanding training and technical assistance that draws on community policing practices and on the lessons learned from implementing programs such as Safe Spaces.

With the growing threat of recruitment to ISIS, the U.S. government needs to build on the successes in these and other cities, as well learn from the successes of countries such as Australia, Canada and Britain.

We have to figure out how to increase knowledge of CVE strategies; how to accelerate implementation efforts throughout the United States; and how to measure the relative effectiveness of different CVE initiatives.

@highlight

ISIS is encouraging Americans to join its cause to take up arms in Syria and Iraq

@highlight

Stevan Weine: We must find ways to prevent this threat from taking root in our communities

@highlight

He says the key is to stop young people from acquiring radicalized beliefs

@highlight

Weine: Communities in the U.S. are partnering with Muslim groups to promote public safety