(CNN) -- With the Russian military having effectively taken control of Crimea, a permanent division of Ukraine is becoming increasingly likely. Russian President Vladimir Putin's request to the Russian Senate to approve military intervention in Ukraine in order to "protect citizens of Russia" highlights how once seemingly innocuous "compatriot policies" are being used by Moscow to justify military efforts to regain Crimea for Russia.

Russia's compatriot policies are officially meant to protect ethnic Russians living in nearby countries, but have served Russia's territorial expansionism in the past.

In fact these compatriot policies can be viewed as part of Putin's new military doctrine that seeks territorial gains in the former Soviet republics, particularly where there is a receptive population of Russian speakers.

The compatriot policies, outlined in Russia's "National Security Strategy to 2020," were introduced in 2000 during Putin's first presidential term. They call for the political, economic and, potentially, military protection of the rights and interests of Russian citizens and ethnic Russians living abroad.

An effective tactic associated with the policies is to give Russian citizenship to ethnic Russians in foreign states so as to better protect their interests. Tellingly, Russia's national security strategy emphasizes that compatriots are an important tool for achieving Russia's foreign policy aims.

Map: A divided Ukraine

Looking at Russia's neighborhood, one can already see how compatriot policy has assisted Russia's foreign policy and territorial expansion. Prior to the Georgian-Russian war in 2008, Georgia was seeking closer relations with the West and distancing itself from Russia (in a very similar vein to Ukraine today).

Meanwhile Moscow was handing out citizenship to the inhabitants of the separatist Georgian territories of South Ossetia and Abkhazia. Thus the "protection of Russian citizens" became one of Russia's main motives for going to war with Georgia in 2008 and securing South Ossetia and Abkhazia as Russian protectorates.

But Ukraine does not have to look to the Caucasus to see compatriot policy in action. On Ukraine's southwestern border, Transnistria is a separatist territory of Moldova which has also become effectively a Russian military-controlled territory as the Kremlin sought to "protect" the Russian speakers and eventually Russian citizens.

Opinion: The two Putins

Farther afield, Russia has also taken great pains to cultivate the loyalty of its compatriots in the Baltic states, particularly in Estonia and Latvia. Well aware of Russia's compatriot tactics, Lithuania, which currently holds the rotating presidency of the U.N. Security Council, called an urgent meeting and also invoked the NATO treaty on Ukraine.

For Moscow, Crimea is much more important than South Ossetia, Abkhazia or Transnistria. First, Crimea became Ukrainian territory only in 1954 when the Soviet Union's leader Nikita Khrushchev gave it to Kiev under the overall authority of the Soviet Union. Its loss after the disintegration of the Soviet Union was a major blow to leaders in Moscow.

Second, Sevastopol, one of Crimea's major cities, serves as the naval base for Russia's Black Sea fleet. It is a prized territory that allows the Russian navy direct access to the Mediterranean.

Crimea is a particularly soft target for Russia's compatriot policies. Unlike Western Ukraine, where people speak Ukrainian, or even Eastern Ukraine, which is Russian speaking, Crimea is predominantly ethnically Russian.

Opinion: Putin's Ukranian endgame

With Crimea's Russians protesting the turn of events in Kiev's Independence Square and expressing their solidarity with Moscow, a secessionist movement is almost inevitable. Already, the Crimean parliament announced that it would hold a referendum to increase the peninsula's autonomy from Ukraine and installed a pro-Russian prime minister.

While Crimea's fate seems almost certain to follow those of South Ossetia, Abkhazia or Transnistria, other states near Russia that also have significant populations of Russian speakers should be vigilant.

Putin's compatriot doctrine is here to stay. Thus it is no wonder Georgia will likely be urgently seeking integration with NATO and the EU. Ukraine should stabilize its government and consider following suit.

The opinions expressed in this commentary are solely those of Agnia Grigas.

@highlight

Agnia Grigas: Vladimir Putin has made effective use of his "compatriot" policy

@highlight

It enables Russia to gain territory in areas where ethnic Russians and Russian speakers live

@highlight

She says Crimea is a place where Russia can claim it was acting for "compatriots"

@highlight

Grigas: Other nations in Russia's neighborhood should pay attention