(CNN) -- Farmers are on their way to tend their crops when a missile slams into their midst, thrusting shrapnel in all directions.

A CIA drone, flying so high that the farmers can't see it, has killed most of them. None of them were militants.

Such attacks by U.S. drones are common, the United Nations' special rapporteur on counterterrorism and human rights said Friday in a statement on strikes in Pakistan's tribal region of North Waziristan.

The rapporteur, Ben Emmerson, told CNN the actions are of dubious international legality, despite the United States' assertions.

"I'm not aware of any state in the world that currently shares the United States' expansive legal perspective that it is engaged in a global war -- that is to say a non-international armed conflict with al Qaeda and any group associated with al Qaeda, wherever they are to be found, that would therefore lawfully entitle the United States to take action involving targeted killing wherever an individual is found," Emmerson said.

The American Civil Liberties Union and other U.S. groups are questioning the legitimacy of the President Obama-approved drone program, and they're looking for evidence for a legal battle.

On Friday, a U.S. federal appeals court ruled the CIA must acknowledge the existence of any records related to military unmanned drone strikes targeting individuals, such as overseas terror suspects.

The ACLU and others had filed a Freedom of Information Act request, but the CIA refused to confirm or deny it had any such records, citing national security.

Emmerson has just returned from Pakistan, where he listened to residents of North Waziristan talk about terrifying encounters with one of America's weapons in the war on terror.

"Adult males carrying out ordinary daily tasks were frequently the victims of such strikes," the statement from the U.N. office for human rights said.

First on CNN: Iran confronts U.S. drone over Persian Gulf

Some Pashtun men dress the same as Taliban members from the same region, hence the drone operators mistake them for terror targets, the statement said. It is also customary for Pashtun men to carry a weapon, making them virtually indistinguishable from militants to an outsider.

A beard and a turban

A Pakistani tribal elder who spoke with CNN noted hasty judgments based on appearances can be wrong.

"Just because I have a beard and wear a turban, does that make me part of the Taliban?" asked Malik Jalaluddin.

The United States has 8,000 drones, unmanned planes and helicopters flown by a remote control. They are outfitted with a video camera to help the operator spot targets and often armed with weapons used to neutralize them.

President Barack Obama has told CNN that a target must meet "very tight and very strict standards."

CIA director John Brennan has said that only in "exceedingly rare" cases have civilians been "accidentally injured, or worse, killed in these strikes."

Reports back the U.N. conclusion

Reports by independent groups corroborate Emmerson's account, concluding that drones mistakenly target and kill a significant number of civilians.

The New America Foundation estimates that in Pakistan, drones have killed between 1,953 and 3,279 people since 2004 - and that between 18% and 23% of them were not militants. The nonmilitant casualty rate was down to about 10% in 2012, the group says.

A study by the Bureau of Investigative Journalism estimates that since 2004, Pakistan has had 365 drone strikes that have killed between 2,536 and 3,577 people -- including 411 to 884 civilians.

The study concludes that the strikes have killed far more people than the United States has acknowledged, and traumatized many more innocent people.

That trauma is destroying a way of life, Emmerson said. "The Pashtun tribes of the ... area have suffered enormously under the drone campaign."

And tribal law prescribes revenge for the killing of a tribe member, which serves to radicalize more young men against the United States, he said.

Pakistan considers the strikes counterproductive, illegal and a violation of its sovereignty.

CNN's Saima Mohsin, Salma Abdelaziz and Bill Mears contributed to this report

@highlight

The U.N. says the U.S. stands alone in its legal perspective on drone attacks

@highlight

U.N.: Drones kill Pakistani men doing everyday chores

@highlight

U.S. has 8,000 drones and unmanned planes flown by remote control

@highlight

Obama says a target must meet "very tight and very strict standards"