(CNN) -- Trayvon Martin's girlfriend, talking to him on the telephone, heard the teenager saying "get off, get off," in the moments before his cell phone cut off and he was shot dead, according to a recording released Friday of the girl's interview with a prosecutor.

Another witness, however, seems to put Martin on top of George Zimmerman for at least part of the struggle, according to another recording.

"When I first walked out there, the black guy was on top, and the only reason I can tell that was because the guy that was on the ground under him at that point wrestling was definitely a lighter color," the man, whose name has not been made public, said in the interview.

Martin was African-American. Zimmerman is Hispanic.

When first interviewed, the witness said the individual on the bottom was calling for help. But a few weeks later, in another interview, he said he wasn't sure.

"At first I thought it was the person on the ground, because me thinking rationally, if someone was on top, the person on the bottom would be yelling," the witness aid. "I truly can't tell who, after thinking about it, was yelling for help just because it is so dark on that sidewalk. You can't see a mouth."

In his second interview, the witness said when he returned to the window while calling 911, he saw the person who had been on top sprawled in the grass, not moving. Another person with his hands in the air said, "The gun's on the ground. I shot this guy in self-defense," according to the witness.

Another witness said the heavier of the two individuals appeared to be on top.

"I know after seeing the TV of what's happening, comparing their pictures, I think Zimmerman was definitely on top because of his size," the witness said.

The recordings provide the most detailed look yet into previously reported witness statements detailing the last moments of Martin's life.

Martin, 17, was shot to death February 26 while walking in the Sanford, Florida, neighborhood where he was staying during a visit with his father.

The girlfriend, whose name has not been made public, told Assistant State Attorney Bernie de la Rionda that Martin got away from the man, who turned out to be Zimmerman, but only temporarily.

He was out of breath from running away and scared, she said, and decided not to keep running because he was close to the house where he was staying.

And as Zimmerman drew closer, the girl said, Martin called out, "Why you following me for?" according to the recording.

"I hear this man, like this old man, say, 'What are you doing around here?' " the girl said.

The girl said she called out to Martin, asking what was happening, but he didn't answer. The next thing she heard was a bumping sound, followed by what might have been a scuffle.

"I could hear it a little bit, 'Get off, get off,' then the phone just hung up," the girl said.

Zimmerman, a neighborhood watch volunteer, is charged with second-degree murder in the death, which sparked nationwide protests and inflamed public passions over race relations and gun control.

Another witness interviewed by police said Zimmerman "looked like he had just gotten his butt whupped," according to a recording released by authorities. The witness also said Zimmerman seemed nonchalant about the shooting, "like it was nothing." Zimmerman told the witness to call his wife and "just tell her I shot somebody."

A woman told Sanford officers she did not hear the sounds of fighting outside her residence. "I heard nothing but a little kid scared to death, like crying."

Zimmerman has claimed self-defense in the shooting, saying Martin charged him after the two exchanged words, knocking him to the ground and hitting his head repeatedly against a concrete sidewalk.

Prosecutors say Zimmerman profiled Martin as a criminal and killed him, even though he was doing nothing wrong.

Zimmerman has pleaded not guilty.

The recordings and other documents released as part of the court case also touch on the racial component of the case.

In one recording, a former co-worker of Zimmerman's says Zimmerman made him the butt of a long-running office joke, ridiculing his Middle Eastern accent and bullying him in what the witness described as a juvenile but infuriating effort to fit in with other workers. In another, an anonymous caller tells a Sanford police officer that Zimmerman and his family are racists.

"I don't know what happened. I don't know at all, who this kid was or anything else," the woman said. "But I know George. And I know he does not like black people. He would start something. He's a very confrontational person."

Some people have also attributed a racial epithet to Zimmerman during his call with an emergency dispatcher. But an FBI analysis, released Thursday, determined that the word could not be definitively identified "due to weak signal level and poor recording quality."

Zimmerman's former attorneys and an audio expert said in April that they believed Zimmerman used the word "punks," not a slur.

The recordings released Friday are the latest in a series of revelations from the official investigation into the shooting. Authorities are making details of the case publicly available as attorneys prepare for Zimmerman's trial.

Among the documents released was one filed with prosecutors by Sanford police two weeks after the shooting, urging Zimmerman's arrest.

New documents shed light on Trayvon Martin killing

"The encounter between George Zimmerman and Trayvon Martin was ultimately avoidable by Zimmerman, if Zimmerman had remained in his vehicle and awaited the arrival of law enforcement, or conversely if he had identified himself to Martin as a concerned citizen and initiated dialog (sic) in an effort to dispel each party's concern," the police request to arrest Zimmerman said. "There is no indication that Trayvon Martin was involved in any criminal activity."

Other documents released this week include Martin's autopsy report and a fire department report on Zimmerman's injuries.

The autopsy report showed that Martin died of a gunshot wound to the chest fired from within 36 inches and that he had traces of marijuana in his blood and urine.

In his 911 call just before the shooting, Zimmerman had speculated that the teen looked like he was "up to no good or he's on drugs or something."

Martin's blood contained THC, the psychoactive ingredient in marijuana, according to autopsy results released Thursday. The autopsy was conducted February 27, the day after the teenager was killed.

Toxicology tests found elements of the drug in the teenager's chest blood -- 1.5 nanograms per milliliter of one type (THC), as well as 7.3 nanograms of another type (THC-COOH) -- according to the medical examiner's report. There also was a presumed positive test of cannabinoids in Martin's urine, according to the medical examiner's report. It was not immediately clear how significant these amounts were.

No precise levels on the urine were released.

What happened that night?

Just before the shooting, Zimmerman, 28, called 911 to complain about a suspicious person in his neighborhood.

In the call, Zimmerman said he was following Martin after the teen started to run, prompting the dispatcher to tell him, "We don't need you to do that."

Prosecutors say Zimmerman disregarded the advice, leading to a confrontation between the two.

A screaming voice could be heard on other 911 calls placed by neighbors, with some speculating that those screams came from Martin and others that they belonged to Zimmerman. As part of an analysis released this week, the FBI did not make a final determination either way, citing several reasons, including the fact they came during "an extreme emotional state," that there weren't enough words to make a good comparison and that the sound quality was low and distant.

FBI analysis -- Zimmerman's 911 call (pdf -- strong language)

Zimmerman claimed, according to a police report released earlier, that he'd been "assaulted (by Martin) and his head was struck on the pavement."

According to a report from the Sanford Fire Department, released Thursday, Zimmerman had "abrasions to his forehead," "bleeding/tenderness to his nose" and a "small laceration to the back of his head" when emergency personnel arrived at the scene at 7:27 p.m., six minutes after they were first called.

By that time, Martin had no apparent pulse, according to the fire and EMS report. Emergency personnel attempted resuscitation and chest compressions, to no avail. He was pronounced dead at 7:30 p.m.

CNN's Vivian Kuo and Danielle Dellorto and InSession's Jessica Thill contributed to this report.

@highlight

Woman said she heard "little kid scared to death"

@highlight

Zimmerman "looked like he had just gotten his butt whupped," witness tells police

@highlight

Trayvon Martin's girlfriend says he called out "Get off, get off" before his death

@highlight

George Zimmerman is accused of second-degree murder in Martin's death