Thanks to testimony and "real-time" video, lawmakers said they got their clearest picture yet Thursday of the deadly attack on a U.S. diplomatic compound in Libya, though questions and tensions remain as to how President Barack Obama's administration handled the matter.

Republicans and Democrats who attended closed-door sessions of the House and Senate intelligence committees described what they heard and saw as informative, albeit not necessarily conclusive. They vowed to keep asking questions, and keep holding hearings, to determine not only how Ambassador Christopher Stevens and three other Americans died but also whether officials were forthright in the attack's aftermath.

"A lot of light was shone on this situation," Sen. Dianne Feinstein said after a hearing of the Senate Intelligence Committee, which she chairs. "But we don't have all the facts yet. We are, in effect, fact-finding."

Added the committee's vice chairman, Georgia Republican Saxby Chambliss, "Were mistakes made? Gosh, we know mistakes were made, and we've got to learn from that."

Legislators saw a "real-time film (showing) exactly what happened" on September 11 in Benghazi, starting before the attack began up "through the incident and the exodus," said Feinstein. A source familiar with the House committee hearing said the video included shots of Stevens being dragged out of the building. Sen. Dan Coats, an Indiana Republican, described the footage as "a combination of video from a surveillance camera and a drone."

"It gave us a good picture, from the surveillance standpoint, what was happening," Coats said.

Besides learning more about the attack, some Republicans in recent days have focused on comments made by U.S. Ambassador to the United Nations Susan Rice days afterward, when she suggested the attack came after a protest against an anti-Muslim video produced in the United States. Several of those Republicans -- including Sen. John McCain of Arizona, Sen. Lindsey Graham of South Carolina and Rep. Peter King of New York -- have vowed to block any effort to nominate Rice as secretary of state should Hillary Clinton step down.

Sen. Rand Paul: Heads should roll over Benghazi, but Rice is not the issue

"What is clear is that this administration, including the president himself, has intentionally misinformed -- read that, lied -- to the American people in the aftermath of this tragedy," said Rep. Dana Rohrabacher of California, a GOP member of the House Foreign Affairs committee that on Thursday convened a panel of experts not directly connected with the Benghazi attack. "The arrogance and dishonesty reflected in all of this is a little bit breathtaking."

Obama himself has stepped into the fray, saying Wednesday that those who criticize Rice "because they think she's an easy target, then they've got a problem with me."

His comments didn't appear to dampen GOP criticisms of Rice and, thus, the Obama administration at Thursday's House Intelligence Committee hearing.

A source familiar with that briefing said one Republican House member "got into it" with acting CIA Director Michael Morrel and Director of National Intelligence James Clapper about Rice's comments, challenging why they weren't as strong as they should have been on whether an extremist element was involved in the attack.

Obama: Republican criticism over Rice 'outrageous'

After that hearing, Rep. Adam Schiff echoed the president's comments on Rice, saying those "claiming that the U.N. ambassador had some different information ... are either unfamiliar with the facts or willfully ignoring them."

The California Democrat said the ambassador got the same assessment as lawmakers that the violence in Benghazi began with "a spontaneous protest that evolved into something militant."

"We were given a very early assessment of events in Benghazi, and we were given an unclassified version that we could share with the public. That unclassified version turned out to be inaccurate, as we found out later," Schiff said.

It was not clear if Rice's comments came up at the corresponding Senate hearing, though Feinstein did say, "We had a good back and forth, and it was not always the easiest thing for everybody."

Then-CIA Director David Petraeus -- who is set to testify Friday before the House and Senate intelligence committees, one week after resigning citing an extramarital affair -- did develop unclassified talking points in the days after the incident,  a source who has spoken to him said.

But he had no direct involvement in comments made by Rice, which may have used some of Petraeus' information but were otherwise distinct, the source said.

Petraeus is testifying because he wants to clear up "a lot of misrepresentations of what he told Congress initially," said the source, who is directly familiar with the ex-CIA chief's analysis of the situation.

Pentagon releases official timeline of Benghazi attack

He knew "almost immediately" that Ansar al-Sharia, a loosely connected radical Islamist group, was responsible for the attack, as suggested by multiple sources and video from the scene, said the source. At the same time, a stream of intelligence -- including about 20 distinct reports -- also emerged indicating that a brewing furor over the anti-Islamic video preceded the attack.

The CIA eventually disproved the reports that film-related protests had anything to do with the attack. But this didn't happen until after Petraeus' initial briefings to lawmakers, in which he discussed all the possibilities, the source said.

Petraeus' told Kyra Phillips of HLN, CNN's sister network, that his resignation was not linked to the Benghazi attack and that he never passed classified information to the woman he was having an affair with.

Petraeus: I did not pass on classified info

@highlight

"A lot of light was shone, ... but we don't have all the facts," Sen. Feinstein says

@highlight

A "real-time" video combined surveillance and drone footage, senators say

@highlight

A GOP House member "got into it" with intel officials over Susan Rice's comments

@highlight

Petraeus will testify to clear up "misrepresentations" he told Congress, a source says