(CNN) -- When does learning begin? As I explain in the talk I gave at TED, learning starts much earlier than many of us would have imagined: in the womb.

I was surprised as anyone when I first encountered this notion. I'm a science writer, and my job is to trawl the murky depths of the academic journals, looking for something shiny and new -- a sparkling idea that catches my eye in the gloom.

Starting a few years ago, I began noticing a dazzling array of findings clustered around the prenatal period. These discoveries were generating considerable excitement among scientists, even as they overturned settled beliefs about when we start absorbing and responding to information from our environment. As a science reporter -- and as a mother -- I had to find out more.

This research, I discovered, is part of a burgeoning field known as "fetal origins," and it's turning pregnancy into something it has never been before: a scientific frontier. Obstetrics was once a sleepy medical specialty, and research on pregnancy a scientific backwater. Now the nine months of gestation are the focus of intense interest and excitement, the subject of an exploding number of journal articles, books, and conferences.

What it all adds up to is this: much of what a pregnant woman encounters in her daily life -- the air she breathes, the food and drink she consumes, the chemicals she's exposed to, even the emotions she feels -- are shared in some fashion with her fetus. They make up a mix of influences as individual and idiosyncratic as the woman herself. The fetus treats these maternal contributions as information, as what I like to call biological postcards from the world outside.

By attending to such messages, the fetus learns the answers to questions critical to its survival: Will it be born into a world of abundance, or scarcity? Will it be safe and protected, or will it face constant dangers and threats? Will it live a long, fruitful life, or a short, harried one?

The pregnant woman's diet and stress level, in particular, provide important clues to prevailing conditions, a finger lifted to the wind. The resulting tuning and tweaking of the fetus's brain and other organs are part of what give humans their enormous flexibility, their ability to thrive in environments as varied as the snow-swept tundra in Siberia and the golden-grassed savanna in Africa.

The recognition that learning actually begins before birth leads us to a striking new conception of the fetus, the pregnant woman and the relationship between them.

The fetus, we now know, is not an inert blob, but an active and dynamic creature, responding and adapting as it readies itself for life in the particular world it will soon enter. The pregnant woman is neither a passive incubator nor a source of always-imminent harm to her fetus, but a powerful and often positive influence on her child even before it's born. And pregnancy is not a nine-month wait for the big event of birth, but a crucial period unto itself -- "a staging period for well-being and disease in later life," as one scientist puts it.

This crucial period has become a promising new target for prevention, raising hopes of conquering public health scourges like obesity and heart disease by intervening before birth. By "teaching" fetuses the appropriate lessons while they're still in utero, we could potentially end vicious cycles of poverty, infirmity and illness and initiate virtuous cycles of health, strength and stability.

So how can pregnant women communicate to their fetuses what they need to know?

Eat fish, scientists suggest, but make sure it's the low-mercury kind -- the omega-three fatty acids in seafood are associated with higher verbal intelligence and better social skills in school-age children. Exercise: research suggests that fetuses benefit from their mothers' physical activity. Protect yourself from toxins and pollutants, which are linked to birth defects and lowered IQ.

Don't worry too much about stress: research shows that moderate stress during pregnancy is associated with accelerated infant brain development. Seek help if you think you might be suffering from depression: the babies of depressed women are more likely to be born early and at low birth weight, and may be more irritable and have more trouble sleeping. And -- my favorite advice -- eat chocolate: it's associated with a lower risk of the high blood pressure condition known as preeclampsia.

When we hold our babies for the first time, we imagine them clean and new, unmarked by life, when in fact they have already been shaped by the world, and by us. It's my privilege to share with the TED audience the good news about how we can teach our children well from the very beginning.

The opinions expressed in this commentary are solely those of Annie Murphy Paul.

@highlight

Learning begins in the womb, says Annie Murphy Paul

@highlight

Pregnancy is becoming a scientific frontier, in a field known as "fetal origins," she says

@highlight

Eating fish, exercising, even eating chocolate are all good for the fetus, says Paul

@highlight

Moderate stress during pregnancy is good for infant brain development, she says