(CNN) -- Thirty states are reporting high levels of flu-like illness, according to the Centers for Disease Control and Prevention. That number is a slight uptick from last week's report.

All but two states are reporting widespread flu activity, according to the CDC. "Widespread" means that more than 50% of geographic regions in a state -- counties, for example -- are reporting flu activity. It addresses the spread of the flu, not its severity.

The new report uses data collected by the CDC up through January 12.

The overall number of people being treated in outpatient facilities appears to be going down, said Dr. Thomas Frieden, the CDC's director. However, in the West, where the flu season started later, the number of cases is expected to grow.

Hospitalizations for the elderly have also gone up significantly, according to the report. About 90% of flu-related deaths occur in those over 65. The CDC expects the number of hospitalizations and deaths to continue to rise.

"It's a worse than average (flu) season, and it's a bad year for the elderly," Frieden said.

Nine additional pediatric deaths have been reported since last week, bringing the total since the flu season began to 29. The CDC does not count the number of flu-related adult deaths.

The United States is about halfway through the typical 12-week flu season, Frieden said, but the agency is not sure when it will peak.

"The only thing predictable about the flu is, it's unpredictable."

Vaccination

The flu vaccine is far from perfect -- it's about 62% effective this year -- but it's the best prevention tool there is, Frieden said.

Despite reports of shortages of the flu shot, vaccine manufacturers CNN last week plenty is available for those who want it. The Food and Drug Administration has approved a vaccine from seven manufacturers, according to Dr. Margaret Hamburg, the FDA commissioner, who "collectively produced 145 million doses" of flu vaccine for this season.

"This is twice the supply that was available only several years ago," Hamburg said.

Genentech, which makes the antiviral drug known as Tamiflu Oral Suspension, had reported temporary delays in new shipments, but it is working with the FDA to release its reserve stock. The packaging on this reserve medication may appear different even though the drug is the same.

"With the addition of these reserve supplies, we anticipate having sufficient supply of Tamiflu capsules to meet demand for this flu season," a Genentech statement said.

Given within the first couple of days of infection, Tamiflu OS can ease flu symptoms and shorten the duration of the illness. The drug is typically prescribed for children younger than 13 or for people who have trouble swallowing pills.

Common flu vaccine misconceptions

If you get the flu

The type of flu going around this year is called H3N2. People are more likely to get complications from this particular strain, which could make them ill for a longer period of time.

If you get the flu, don't panic, said Dr. David Zich, internal medicine and emergency medicine physician at Northwestern Memorial Hospital in Chicago. Most patients should not go to an emergency room. Just get plenty of rest and take painkillers to help with muscle aches, Zich said.

Symptoms typically last up to seven days for a normal flu infection.

There are scenarios in which going to a hospital is necessary. If a patient is short of breath or can't keep fluids down because of nausea, these are signs of a problem that needs immediate attention, Zich said. Excessive vomiting or sweating from fever can lead to dehydration, which is serious and requires treatment.

Very young children, senior citizens and people with underlying health conditions should also see their doctor, the CDC's Frieden said. They are the populations most susceptible to serious illness. "Rapid treatment in the first 48 hours can make a big difference," he said.

What to do if you have the flu

CNN's Miriam Falco and Jacque Wilson contributed to this report.

@highlight

All but two states are reporting widespread flu activity, according to CDC

@highlight

Hospitalizations for the elderly have gone up significantly

@highlight

Twenty-nine pediatric deaths have been reported since the start of the flu season