(CNN) -- A Malaysia Airlines passenger jet crashed in a rebel-controlled part of eastern Ukraine on Thursday, spurring swift accusations from Ukrainian officials that "terrorists" shot down the aircraft.

The United States has concluded a missile shot down the plane, but hasn't pinpointed who was responsible, a senior U.S. official told CNN's Barbara Starr.

The Boeing 777 with 298 people aboard fell from the sky near the town of Torez in the Donetsk region of eastern Ukraine, officials said. A top Ukrainian official said the plane, which was on the way from Amsterdam to Kuala Lumpur, was flying at about 10,000 meters (nearly 33,000 feet) when the missile hit.

A radar system saw a surface-to-air missile system turn on and track an aircraft right before the plane went down, the senior U.S. official said. A second system saw a heat signature at the time the airliner was hit, the official said. The United States is analyzing the trajectory of the missile to try to learn where the attack came from, the official said.

The Obama administration believes Ukraine did not have the capability in the region -- let alone the motivation -- to shoot down the plane, a U.S. official told CNN's Jake Tapper.

Malaysian Prime Minister Najib Razak said the plane never made a distress call.

He called for an international team to have full access to the crash site.

"We must and we will find out precisely what happened to this flight. No stone will be left unturned," he said.

"If it transpires that the plane was indeed shot down, we insist that the perpetrators must swiftly be brought to justice," Najib said.

Ukrainian officials maintained that pro-Russian separatists were behind the crash.

Russian President Vladimir Putin said Ukraine's military campaign against the separatists was to blame.

"This tragedy would not have happened, if there had been peace on that land, or in any case, if military operations in southeastern Ukraine had not been renewed," Putin said in televised remarks. "And without a doubt the government of the territory on which it happened bears responsibility for this frightening tragedy."

Ukraine's state security chief accused two Russian military intelligence officers of involvement and said they must be punished.

Valentyn Nalyvaichenko said he based his allegation on intercepts of phone conversations between the two officers. "Now you know who carried out this crime. We will do everything for the Russian military who carried out this crime to be punished," he told reporters.

The jet plunged toward the ground in a fireball, leaving a trail of black smoke behind in the sky.

Emergency crews scrambled to what witnesses described as a staggering scene of death and utter destruction.

"People said the plane kind of exploded in the air, and that everything rained down in bits and pieces, the plane itself, the people inside," said Noah Sneider, an American freelance journalist who interviewed witnesses at the scene.

Charred wreckage stretched for kilometers, he said. Stunned rescue workers and rebel fighters combed the area, Sneider said, planting sticks with white cotton ribbons where they found bodies in the fields.

"As you walk through the fields, you see a man with his cracked iPhone sticking out of his pocket. You see sort of people's clothing everywhere. Most of it's kind of ripped off by the air. There's some suitcases and stuff in a pile by the road," Sneider said.

There were many bodies left to be found as night fell, he said, and people were trying to figure out what to do next.

Locals in the rural area trying to help were overwhelmed, he said. Firemen who rushed to put out the flames found they had a hose with holes in it, spraying water everywhere, he said.

"One man said to me, 'Nothing's happened in this village for 30 years, and now this,'" Sneider said.

As details emerge, accusations fly

Details -- and accusations -- quickly poured in about Thursday's crash, which came the same week that Ukrainian officials said a Russian fighter shot down a Ukrainian military transport plane while the aircraft was in Ukrainian airspace.

Anton Gerashchenko, adviser to the Ukrainian Interior Ministry, said in a Facebook post that "terrorists" fired on the plane operating a Buk surface-to-air missile system.

Ukrainian President Petro Poroshenko described the crash as a "terrorist action."

"We do not exclude that the plane was shot down and confirm that the Ukraine Armed Forces did not fire at any targets in the sky," Ukrainian President Petro Poroshenko said, according to his website.

CNN's Richard Quest, an aviation expert, said that it would be "extremely unusual" for an airliner at nearly 33,000 feet to be shot down.

From the ground, one could simply look up and tell whether a plane was a commercial aircraft, he said. "So something is absolutely appalling that's gone on here."

U.S. Vice President Joe Biden said that Ukraine's president had accepted an offer of U.S. experts to help investigate the crash.

"They will be on their way rapidly to see if we can get to the bottom of this," he said.

Biden said the plane was apparently shot down, adding "not an accident, blown out of the sky."

Who was on the plane?

The 15 crew members on Malaysia Airlines Flight 17 were all Malaysian nationals, officials said.

Malaysia Airlines also gave a breakdown of the known nationalities of the 283 passengers: 154 were Dutch, 27 were Australians, 28 were Malaysians, 12 were Indonesian, nine were from the United Kingdom, four were from Germany; four were from Belgium, three were from the Philippines and one was Canadian. Authorities were still trying to determine the nationalities of the other passengers.

The International AIDS Society said in a statement that "a number of colleagues and friends" were on the plane, on the way to attend the 20th International AIDS Conference in Melbourne, Australia.

"At this incredibly sad and sensitive time the IAS stands with our international family and sends condolences to the loved ones of those who have been lost to this tragedy," the statement said.

Russia-Ukraine dispute

The route the Malaysian plane was on, between Kuala Lumpur and the Netherlands, is a common one, CNN aviation safety consultant Mary Schiavo said Thursday. She said that the plane was flying over a troubled area and that close communication with air traffic controllers would be a key necessity.

Torez is in a rebel-held area.

In hostile or disputed areas, "any alteration from your course, and you can have a problem," Schiavo said.

Tensions have been high between Ukraine and Russia since street protests forced former pro-Moscow President Viktor Yanukovych from power in February. Russia subsequently annexed Ukraine's southeastern Crimea region, and a pro-Russian separatist rebellion has been raging in Ukraine's eastern Luhansk and Donetsk regions.

Ukrainian forces have been struggling to quell the separatist unrest. Ukraine's government has accused Russia of allowing weapons and military equipment, including tanks, to cross the border illegally into the hands of pro-Russian separatists.

The Pentagon said Wednesday that Russia now has 12,000 troops on the border with Ukraine, as well as some heavy weapons. The troop numbers had fallen to about 1,000 previously from a high of an estimated 40,000 forces earlier this year.

On Thursday, CNN reported that Ukrainian officials said a Russian fighter shot down a Ukrainian jet Wednesday as the jet flew in Ukrainian airspace.

Tensions are high over that incident, separate from the breaking news of the Malaysian flight Thursday.

Three months ago, the U.S. Federal Aviation Administration prohibited U.S. airlines from flying in areas not far from where Flight 17 reportedly crashed Thursday. "Due to the potential for conflicting air traffic control instructions from Ukrainian and Russian authorities and for the related potential misidentification of civil aircraft, United States flight operations are prohibited until further notice in the airspace over Crimea, the Black Sea and the Sea of Azov," the FAA said in April. Thursday's plane crash reportedly was in eastern Ukraine, scores of miles north-northeast of the Sea of Azov.

On Thursday, French transportation official Frederic Cuvillier ordered that French airlines avoid Ukrainian airspace until the cause of Thursday's Malaysia Airlines crash is known, the French Transportation Ministry said in a news release.

Airline's troubles

Thursday's crash marks the second time this year that Malaysia Airlines has faced an incident involving a downed plane.

On March 8, Malaysia Airlines Flight 370 disappeared. That Boeing 777 had 239 people on board. Searchers have found no trace of 370 or its passengers, despite extensive search efforts.

Flight 370 probably flew into the southern Indian Ocean on autopilot with an unresponsive crew, Australian authorities said last month.

During the early phase of the search for Flight 370, aircraft and ships scoured vast stretches of the surface of the southern Indian Ocean but found no debris.

Pings initially thought to be from the missing plane's flight recorders led to a concentrated underwater search that turned up nothing.

A new underwater search, farther south, will be broadly in an area where planes and vessels had already looked for debris on the surface of the water. It is expected to begin in August.

The first Boeing 777 entered service in June 1995, and the airplane has flown almost five million flights, accumulating more than 18 million flight hours, according to Boeing's web site. The plane is capable to flying up to 43,100 feet.

What next?

Aviation experts cautioned against jumping to conclusions about Thursday's crash at this early stage.

But all agreed that a massive investigation should be launched, involving parties not involved in the conflict between Ukraine and Russia,

The families of people on board will demand a transparent international investigation, and so will the global community, Quest said.

In the coming days, finding and examining the plane's data recorders will be key -- but the fact that the crash occurred in such a volatile region makes what comes next anything but certain, CNN aviation analyst and pilot Miles O'Brien said.

"The big question will be, in whose hands will they fall, and will this be a really objective, international investigation?" he said.

The wreckage path, O'Brien said, will reveal a lot. If a plane breaks up in midair, which is likely what would happen in a missile strike, there would be a large swath of wreckage, he said, but if it breaks down due to mechanical failure, the debris field would be more concentrated.

MAPS: The approximate route of MH17

CNN's Jim Sciutto, Dana Ford, Laura Smith-Spark, Mitra Mobasherat and Michael Pearson contributed to this report.

@highlight

NEW: U.S. official: Obama administration believes Ukraine didn't have capability to shoot down plane

@highlight

Analyst: In volatile region, will there be "a really objective, international investigation?"

@highlight

Ukrainian officials accuse pro-Russian separatists of shooting down the plane

@highlight

Putin: Ukraine's military campaign against separatists is to blame