Hong Kong (CNN) -- Undeterred by the embarrassment of a failed rocket launch earlier this year, North Korea appears to be pressing ahead with the development of long-range missiles, according to an analysis of satellite images by a U.S. academic website.

Drawing on commercial satellite imagery, the website 38 North suggests that the reclusive North Korean regime has carried out at least two tests of large rocket motors at the Sohae Satellite Launch Station on the country's west coast since April.

That's the same site from which the nuclear-armed North launched a long-range rocket on April 13 that broke apart shortly after takeoff. Pyongyang said the rocket was supposed to put a satellite in orbit, but the launch was seen by many other countries as cover for a ballistic missile test.

The most recent test of a large rocket motor at Sohae took place in mid-September, according to the analysis posted Monday by 38 North, which is run by the School of Advanced International Studies at Johns Hopkins University.

"These tests, critical for the development of new rockets, appear to have been of liquid-fueled, first stage engines" for the type of satellite launch vehicle that failed in April or a new long-range missile that was on show at a parade in Pyongyang this year, 38 North said.

Another big rocket launch would further sour North Korea's relations with the United States and South Korea. The failed launch in April scuppered a deal for Washington to provide thousands of tons of food aid to the North's malnourished population.

It also drew condemnation from the U.N. Security Council, which repeated demands for Pyongyang not to carry out similar tests in the future. The botched launch followed previous attempts in 2006 and 2009.

The difference this year was North Korea's decision to invite members of the international news media inside the country during the launch period, allowing them to visit the Sohae station ahead of the launch. North Korean state-run media also reported the rocket's failure to put a satellite in orbit, something they hadn't done for the two previous launches.

But the setback hasn't stopped Pyongyang from vaunting its alleged military capabilities. Last month, it said its missiles could reach the U.S. mainland, a claim questioned by some analysts.

The unsuccessful satellite launches in 2006 and 2009 were both followed weeks or months later by nuclear tests. That hasn't happened so far this time, but 38 North warned Monday that it remains a possibility.

"In the aftermath of the U.S. and South Korean presidential elections, Pyongyang may embark on a new round of activities in the first half of 2013, including rocket and nuclear tests that will contribute to further development of its nuclear deterrent," the website said.

President Barack Obama was reelected this month in the United States, and the South Korean presidential election takes place next month.

South Korean officials have said they believe the North is ready to carry out a nuclear test whenever leaders in Pyongyang make "a political decision" to go ahead with it.

The 38 North article Monday also noted construction activity on the upper gantry platform of the launch area at Sohae that would tally with future launches of long-range rockets that are much larger than the one that failed in April. The website said it had previously reported indications that North Korea was working on such a rocket.

The analysis of the satellite pictures for 38 North was provided by Nick Hansen, who has specialized in image technology during a 43-year career in intelligence for the U.S. military and private sector.

He pointed to the removal of fuel tanks, the appearance of exhaust stains and the apparent scorching of nearby vegetation between April and September as signs of rocket engine tests at Sohae.

The South Korean defense and unification ministries declined to comment on the article from 38 North.

CNN's K.J. Kwon in Seoul, South Korea, contributed to this report.

@highlight

North Korea has carried out at least 2 rocket motor tests since April, website says

@highlight

It cites commercial satellite imagery that shows activity at a launch site

@highlight

A failed rocket launch by the North in April scuppered a food aid deal with the U.S.

@highlight

The academic website sees the possibility of rocket and nuclear tests in 2013