(CNN) -- Roughly 700 students at the University of California, Santa Barbara, will be given a powerful antibiotic to guard against meningitis after coming in contact with four people diagnosed with meningococcal disease, county health officials said Tuesday.

The news came as the Santa Barbara County Public Health Department confirmed a fourth student at the university has been diagnosed with meningococcal disease.

The four students all became sick with meningococcal disease, which can cause meningitis or blood infections, during a three-week period in November. One of them has become permanently disabled, the Santa Barbara Public Health Department said.

The second and third students who fell ill recovered and are back in classes, UCSB spokesman George Foulsham said. The fourth is expected to recover, he said, but the first is still hospitalized.

The first three cases were confirmed to be caused by type B bacteria, which is the same bacteria strain causing an outbreak of meningitis at Princeton University. Testing is not complete on the most recent case, county health spokeswoman Susan Klein-Rothschild said in an e-mail.

Meningitis is a form of meningococcal disease, but not all four cases at UCSB are meningitis, Klein-Rothschild said.

Although the Centers for Disease Control recommends that college freshmen living in dorms receive a meningitis vaccine, the vaccine approved for use in the United States does not protect against the kind caused by type B bacteria.

UCSB is sending a letter to its fraternities and sororities, most of which are based off campus, asking them to refrain from large social gatherings where cups might be exchanged, Foulsham said.

"We're almost certain that they'll go along with that as we head into the holiday period here," he said.

More than 500 students at UCSB who were identified as close contacts of these students have received preventive antibiotics, county health officials said.

This week, additional individuals who may have been exposed to the bacteria causing the meningococcal disease are being directed to take antibiotics.

The school has been consulting with the county health department and the CDC about the outbreak, Foulsham said.

On the opposite U.S. coast, Princeton announced last week that it would make an unlicensed vaccine for meningitis B available to undergraduate students, as well as graduate students living in dorms or the Graduate College and annexes, and other university community members with particular medical conditions.

The vaccine, Bexsero, made by Novartis, is approved in Australia and Europe but not the United States. The CDC's Institutional Review Board approved the importation of Bexsero specifically for the Princeton situation.

"The CDC is the lead on the vaccine issue," Klein-Rothschild said Tuesday.

What is meningitis B?

Meningitis is caused by inflammation of the membranes that cover the brain and the spinal cord, known as the meninges. Infection of the fluid surrounding the brain and spinal cord usually causes this inflammation, according to the CDC.

Meningitis usually develops in response to bacteria or viruses, but there can be other forms and causes, such as physical injury, cancer or certain drugs, according to the CDC. The bacterial form is rare in the United States, and the group B bacterial strains are even more rare.

Meningitis can spread via the exchange of saliva and other respiratory secretions through kissing, coughing, sharing drinks and living in close quarters, such as in dormitories, according to health officials.

Symptoms can include a stiff neck, headache, fever, vomiting, rashes, sensitivity to light and confusion. Untreated, the disease can lead to complications such as hearing impairment, brain damage, limb amputations and death.

Antibiotic treatment of the most common types of bacterial meningitis "should reduce the risk of dying from meningitis to below 15%, although the risk remains higher among young infants and the elderly," according to the CDC.

In 2012, there were 480 cases of bacterial meningitis in the United States, according to the CDC. Of those, 160 were group B.

CNN's Paul Vercammen contributed to this report.

@highlight

NEW: 700 students will be given an antibiotic to guard against meningitis, health officials said

@highlight

Meningococcal disease has left one UCSB student permanently disabled

@highlight

Students who are close contacts of cases are receiving antibiotics

@highlight

Princeton will offer a meningitis B vaccine to students