New Orleans, Louisiana (CNN) -- Many people are wondering about a federal judge's ruling that is preventing the U.S. government, in the person of Interior Secretary Ken Salazar, from imposing a moratorium on permitting new oil wells or allowing wells in progress to be completed in waters deeper than 500 feet.

The lawsuit was filed by Hornbeck Offshore Services, an operator of deepwater supply boats. It was joined by a number of offshore service companies, and an "amicus" brief was filed by the state of Louisiana. A similar suit in Texas has been filed by Diamond Offshore, a major contract driller worldwide.

The moratorium would suspend all pending current or approved drilling operations for new deepwater wells in the Gulf of Mexico and in the Pacific for six months, regardless of the safety records of the operators and drilling companies performing necessary activities and regardless of the likely economic damage caused to the Gulf Coast economies.

For example, the state of Louisiana wasn't even contacted, even though almost half of the job losses that would occur would affect that state.

In his ruling, U.S. District Court Judge Martin Feldman points out that the government issued the notice of the moratorium without meeting the minimum requirements set out in the law. He cited two separate laws: the Outer Continental Shelf Lands Act and the Administrative Procedure Act.

His ruling explains that the government report and subsequent memoranda make no effort to establish any irreparable harm to the government that would warrant a suspension of operations. The report and the follow-up memos do not provide a timetable for how long it would take to implement any safety recommendations.

The government also didn't provide analysis, required by law, concerning the economic damage likely to be caused by the moratorium. It made no differentiation between shallow and deepwater wells (the 500-foot boundary was added after the Shallow Water Energy Security Coalition pointed out that shallow-water drilling rigs, called jack-ups, use blowout preventers that are mounted at the surface, not at the sea floor).

Further, the judge points out that the government misquoted a panel of technical experts, nominated by the National Academy of Engineering and called together to examine the preliminary evidence and make recommendations about how the government should proceed. It turns out that the panel did not sign off on a report recommending a moratorium, a crucial feature that was added by the secretary of the interior after the engineering experts had signed off.

Opinion: Lifting ban gives oil industry a pass

The Outer Continental Shelf Lands Act is the main law dealing with the offshore exploration and production sector. It calls for the expeditious and orderly development of offshore resources, subject to environmental safeguards, and in a manner consistent with the maintenance of competition and other national needs. The act mandates consideration of the economic, social and environmental values of resources contained in the Outer Continental Shelf.

The other law mentioned in his ruling is the Administrative Procedure Act, which provides that agency actions may be set aside by a judge only if they are "arbitrary, capricious and an abuse of discretion or not otherwise in accordance with the law." The secretary provided no evidence that he had balanced his concern for environmental safety with the stated policy of making leases available for development or that he considered any alternatives to a blanket moratorium on all drilling.

At the end of the day, one deepwater well failed in the Gulf, admittedly in spectacular fashion, resulting in a knee-jerk reaction by a Cabinet secretary who was predisposed to impose a political decision favored by his own party's members. When dealing with national assets and when affecting the regional as well as the national economy, that's simply not good enough.

Salazar has stated that he will impose a new moratorium while leaving the door open to correct some of the deficiencies of the earlier version. Meanwhile, the White House has announced an appeal to the Fifth Circuit Court, also in New Orleans, to reinstate the original moratorium, presumably on the grounds that the courts are impinging on the rights of the administrative branch of government. Both actions were predictable.

As a practical matter, most analysts are pessimistic that any of the affected rigs will go back to work based on a preliminary injunction. However, the good news is that the injunction will limit the ability of lease operators to declare force majeure in an effort to rid themselves of their multiyear obligations to pay for very expensive drilling rigs. For those not interested in doing the math, that amounts to $3 billion in six months on just the 33 existing rigs.

The real key to the puzzle relates to the 33 existing deepwater rigs as well as another eight rigs that are due to begin work over the next 12 to 18 months.

Those rigs were constructed based on "take or pay" multiyear contracts. These contracts require payment by the operators, whether or not the rigs are actually used. If the contracts are abrogated by federal fiat, the operators, in many cases, will have no choice but to take their business elsewhere. At that point, these assets, each costing $600 million to replace, will move to other international deep water regions, and their owners will sign new multiyear contracts.

The result is that, when the government's neophyte commission, after learning something about the industry, concludes its deliberations and announces the conditions under which deepwater drilling will be allowed to resume, they will be preaching to an empty house.

In effect, the six-month suspension will become a five-year-plus cessation of drilling activity with all of the concomitant problems of regional depression, increased oil prices, greater import dependency, increased risk of spills -- because additional tankers would be bringing more crude or refined products into the U.S., and tankers have a much worse safety record than do drilling rigs and domestic production systems -- and an ever-worsening balance of payments problem. Oh, by the way, the coastal restoration fund, predicated on the receipt of royalty payments from deep water production, will also be history.

For the conspiracy theorists, that may have been the point all along.

The opinions expressed in this commentary are solely those of Eric Smith.

@highlight

Federal judge issued injunction against government moratorium on oil drilling

@highlight

Eric Smith says government didn't properly consider safety records, economic impact

@highlight

He says judge noted that expert panel wasn't consulted on moratorium

@highlight

Smith: Moratorium would effectively halt drilling for five years, not just six months