(CNN)Foreign intervention in Yemen's chaos has dramatically raised the stakes in the Arabian Peninsula, threatening to expand what is already a civil war into a conflict pitting Iran against Saudi Arabia and an Arab coalition.

The Saudis launched Operation "Decisive Storm" last Wednesday with dozens of airstrikes in an effort to blunt the advance of Houthi militia and allied army units on the port of Aden -- and to protect the last bastion of Yemen's internationally-recognized President Abd-Rabbu Mansour Hadi. There were also strikes in and around the capital, Sanaa, which resumed early Monday.

Many analysts were surprised at the speed and scale of the Saudi air campaign, which the Kingdom said would continue until the Houthis -- a Shia minority that has swept across the country in the last six months -- retreated and laid down their arms. Essentially the Saudis are trying to bomb the Houthis to the negotiating table.

The Houthis have responded by threatening a campaign of suicide bomb attacks inside Saudi Arabia. Iran, which has supported the Houthis as fellow Shia, described the Saudi offensive as a "dangerous move that would kill any chance at peaceful resolution of the crisis."

Yemen is becoming the latest battleground in a contest for regional superiority between Saudi Arabia and Iran that goes back to the overthrow of the Shah during Iran's Islamic Revolution in 1979. It now resembles Syria, or Bosnia 20 years ago: a patchwork of shifting fiefdoms where force is the only means of influence.

There is a real risk that Yemen will collapse as a state, with a revived independence movement in the south, the Houthis in the north, and the Sunni heartland in between.

Adam Baron, a visiting fellow at the European Council on Foreign Relations and expert on Yemen's tortured recent history, says, "It's not difficult to divine Saudi Arabia and its coalition partners' motivations for taking this action." The Houthis were on the verge of overrunning Aden, a strategic port that overlooks straits through which 20,000 merchant ships pass every year. According to the U.S. Energy Information Agency, 3.8 million barrels of oil a day passed through the Bab el Mandab Straits in 2013.

But Baron believes the Kingdom's "decision to launch a full-scale military action truly risks inflaming the situation further. It will be seen as an act of aggression by most Yemenis and risks taking the situation to a place that no-one will be able to control."

As in Afghanistan, factions in Yemen do not respond well to foreign intervention. In 2009 the Saudis took military action against the Houthis in support of then President Ali Abdullah Saleh, using airstrikes and special forces, but were unable to subdue them.

Now the Houthis have at least some of the $500 million in military equipment provided by the U.S. to Yemen since 2010, and they have proved to be capable fighters. They staged a lightning invasion of the capital, Sanaa, last September, taking advantage of popular discontent and an unwillingness among many army units to resist them.

Since then they have moved on the Red Sea port of Hodeida and surged south toward Aden. They have also grafted themselves onto parts of the army in the battle against al Qaeda in the Arabian Peninsula (AQAP) that is now raging in central and southern Yemen.

Whether Saudi and Egyptian ground forces will become involved in the conflict is the big unknown. An Arab League summit in Egypt at the weekend agreed to form a joint military force, but that will take months at least to build. In the meantime, Saudi tanks and armor have been moved closer to the Yemeni border, but Saudi officials say there are no immediate plans to launch a ground offensive.

Yemen has history as a graveyard of foreign forces. In the 1960s Egypt intervened in Yemen's civil war on behalf of the anti-royalists -- an operation that sapped the Egyptian army and contributed to its failure against the Israelis in the 1967 war.

The extent of the Houthis' backing from Iran is hotly disputed. President Hadi said at the weekend that Iran was behind Yemen's turmoil and the Houthis were no more than its stooges. The Houthis deny receiving help from Iran, but as the conflict worsens, they may indeed turn to Tehran for the sort of military advice that the Iranian Revolutionary Guards are providing in Iraq -- and for funding and oil.

Saudi and Iranian involvement in Yemen threatens to deepen sectarian distrust in a country where Sunni and Shia have historically not been enemies. This would suit both AQAP and ISIS (Islamic State in Syria and Iraq) which announced its sudden and murderous arrival in Yemen this month with massive suicide bombings at two Houthi mosques in Sanaa, killing at least 150 people.

As the International Crisis Group puts it, a "long history of coexistence is beginning to break down" in Yemen. Baron says one critical question is whether ISIS and AQAP will now go head-to-head in trying to kill as many Houthis as possible.

For the United States, which worked hard to "stand up" the Hadi government and encourage its campaign to eradicate AQAP, recent events have been a disaster. There will be less actionable intelligence against one of al Qaeda's most potent affiliates, and its Sunni allies in the Middle East (and especially the Gulf) will have even less interest than before in dialogue with Iran on issues from its nuclear program to Iraq.

U.S. options have also diminished with the hurried withdrawal of some 100 military personnel from al-Anad airbase in the south of Yemen hours before it was seized by the Houthis. Drone operations from the base had at least blunted AQAP's freedom of action, even if they failed to eradicate the group.

The unseen hand in Yemen's collapse is former President Ali Abdullah Saleh, who was badly injured in a bomb attack in 2011, and eventually (very eventually) persuaded to cede office to Hadi after 33 years in power. But he was allowed to remain in the country and has not given up his political ambitions. Last fall, he was sanctioned by both the United Nations and the U.S. for undermining efforts to forge a new political settlement in Yemen.

Baron believes Saleh is biding his time -- waiting for an opportunity to inject his son, Ahmed Ali, into Yemen's complex political equation. Ahmed Ali was formerly commander of Yemen's Republican Guard, and parts of the armed forces are still regarded as loyal to the Saleh clan.

For now, Saleh has a marriage of convenience with the Houthis, but few expect it to survive. When he was President, Saleh launched a series of brief wars against the Houthis between 2004 and 2010.

"Neither trusts the other; their recent cooperation notwithstanding, they are competing for political dominance, especially in the northern tribal highlands and the military," says the International Crisis Group.

For the people of Yemen, the brief flash of hope that came with the Arab Spring is now a distant memory. Last week, at least nine protesters were killed in the central city of Taiz and more than 100 injured by Houthi militia. Aden has been rocked by looting and score-settling among rival clans.

"Human rights in Yemen are in free-fall as even peaceful protest becomes a life-threatening activity," according to Said Boumedouha of Amnesty International.

For the past three years, different parties and factions have fought over the state's few assets while the standard of living of ordinary Yemenis has continued to plummet. A U.N.-led effort to agree on a new constitution has been mired in squabbling, with all parties failing to honor commitments.

"Even more damaging, those with most influence -- the Saudis and Iranians in particular -- are taking steps to undercut the negotiations," says the International Crisis Group.

"This combination of proxy wars, sectarian violence, state collapse and militia rule has become sadly familiar in the region. Nobody is likely to win such a fight," the ICG says.

But for now, such a fight seems destined to continue.

@highlight

Saudi Arabia-led coalition launched airstrikes in Yemen last Wednesday

@highlight

Saudi intervention raises prospect of regional war between Iran and Arab states