(CNN) -- Eight years ago, the secret weapon of Democrat Howard Dean's upstart campaign for president was a little-known website called Meetup.com, which was launched in 2002 to make it easy for people with a common interest to find each other and arrange to meet, face to face.

The site's founder, Scott Heiferman, had imagined it would be of greatest interest to people with hobbies or a shared passion for a cult movie like "The Rocky Horror Picture Show." Little did he know that it would also be adopted by grass-roots activists meeting to strategize how to help the Dean campaign.

In fact, Meetup was so little known that at first, Dean staffers themselves had no idea that people were using it on his behalf. It wasn't until Dean and his campaign manager, Joe Trippi, went to a New York City Dean Meetup in early 2003 -- and were stunned to find hundreds of people lining the street -- did they understand the power of the platform.

"They built our organization for us before we had an organization," Dean later told Wired magazine.

The number of participants in Dean Meetups ultimately peaked at about 143,000, spread over about 600 locations -- a huge number in those days -- and engagement in the face-to-face local groups dramatically affected how involved volunteers got with the campaign. The more Meetups people attended, the higher their average donation to the campaign, for example.

According to an academic study by Christine Williams and Bruce Weinberg of Bentley College, people who reported going to just one Dean Meetup reported giving $154 on average. People who went to five or more gave $510. The more Meetups that people attended, the greater their likelihood to tell other people to learn about, volunteer for and, ultimately, vote for their candidate.

Today, Meetup is a growing, profitable company that is about to celebrate two major milestones: Soon, 100 million people will have RSVP'd to more than 10 million individual Meetups, worldwide. But the site is no longer a hub for presidential politicking -- at least not in the conventional sense.

There are just 71 groups on the site devoted to supporting President Obama, and the numbers for Mitt Romney, Michele Bachmann, Rick Perry and Newt Gingrich are all in the low single digits. Herman Cain has 10.

Only Ron Paul, who has long had an outside-the-establishment message and following, is big on Meetup, with more than 700 groups and about 88,000 members using the site to connect.

This shift is understandable. We shouldn't really expect to see hundreds of local Meetups for a presidential candidate at this point in the process, for three reasons.

First of all, the Republican campaigns are all essentially focused on just the first few states to hold caucuses and primaries. Anything that doesn't get them votes or volunteers in Iowa or New Hampshire is a distraction.

And second, with the exception of Paul, none of these candidates -- including Obama -- have succeeded in creating anything like a movement behind them in this cycle. Dean attracted supporters from all over America because Democrats in early 2003 were hungrily searching for a candidate who was anti-war and appeared electable. No issue is currently uniting Republicans in quite the same way.

But there's a third reason why we're not seeing Meetup and presidential politics line up the way they did eight years ago. Politically inclined grass-roots activism on both the right and left is alive and well on Meetup in the thriving number of tea party and Occupy Wall Street groups using the site.

And they're looking for changes that are much bigger than anything offered by either Republican or Democratic candidates.

As Meetup founder Heiferman describes in this talk I filmed of him, given Monday to an audience of foundation and nonprofit types in New York, the tea party was, in some ways, born on Meetup.

"Glenn Beck went on TV, and he said ... 'go to a Glenn Beck Meetup in your town.' They created a Glenn Beck Meetup in about 500 towns ... and they all tagged themselves 'tea party.' ... And they are some of the most active Meetups we see on our system," he said. People are not only organized town-by-town, but "they help each other out if one of them has cancer."

More than 700 tea party groups are now active on Meetup, with nearly 100,000 members. Now, the Occupy movement, which is only about a month old, is taking off on Meetup as well, with more than 2,400 "Occupy Together" communities on the site.

There's an important clue here about how the Internet will affect the politics of 2012. As outside-the-establishment movements like the tea party, Occupy Wall Street and Ron Paul followers are showing, the two-party system isn't big enough to absorb the concerns and passions of hundreds of thousands of grass-roots activists. And these are the people who, despite being a minority of the larger population, can drive the agenda in new directions.

So while we shouldn't expect a platform like Meetup to make any presidential candidate a viable challenger the way it did in 2003 and early 2004 with Dean, it (along with other online platforms and social networks) is helping do something even bigger: It is enabling Americans to create quasi-third parties that are bringing new voices and new issues into the national debate.

And in a country where the differences between the two major parties are sometimes hard to find, that can only be a good thing for democracy.

@highlight

Meetup.com played a strong part in the 2004 campaign of Democrat Howard Dean

@highlight

Out of the 2012 presidential candidates, only Ron Paul is big on Meetup

@highlight

Meetup founder Scott Heiferman says the tea party was born on the site

@highlight

Meetup is enabling Americans to create quasi-third parties for new voices and issues