(CNN) -- Francesco Clark is standing.

It's something most of us take for granted, but for him, it's a big deal.

"Three years ago, I could only stand 20 minutes at a time," said Clark, 34, who injured his spine 10 years ago. "Now it's an hour and a half every day."

In 2002, Clark was 24 and had landed a dream job at a major magazine when he took a trip to a summer house just outside New York.

It was a perfect summer evening, and the pool was dimly lit.

Clark recalls the moment: It was as if the pool was begging him to dive in. Without hesitation, he listened.

His chin hit the floor of the pool.

"How can you describe knowing what (being) paralyzed feels like?" he said. "I lay underwater completely awake and completely conscious."

"The first thing I thought was, 'You're an idiot!'"

Approximately 1.3 million people in the United States are living with a spinal cord injury (SCI), according to the Christopher and Dana Reeve Foundation. Most of these injuries affect people between the ages of 15 and 35, the majority of them men.

Clark describes spending three years after his injury wallowing in guilt and self-pity. His desire to become who he used to be, he says, helped him find the will to not only move again -- but to move on.

Clark's recovery is documented in his book "Walking Papers."

In the intensive care unit, his prognosis was hopeless. Doctors told his parents that their son would live the rest of his life on a ventilator and never speak. There was no chance of him ever moving anything below his neck.

"The man next door to me was screaming for morphine because he was in the final stages of cancer," says Clark. "The thing that really scared me was that when I got in my room, he had a higher chance of living. It really made me fight."

He attributes this perseverance to his family and their unconditional support.

Brain-controlled devices may help paralyzed people

Clark's sister, Charlotte, had just graduated from college when he was paralyzed. She and the rest of his family have helped Clark battle his injury from the start.

"We've come to appreciate early on the small improvements that he makes because they become actually quite big," said Charlotte Clark.

"He'll be walking, I know he will be. When it's time, I know his body is going to be ready."

In the months after the accident, Clark pushed his health insurance provider to double his physical therapy sessions and cover more of his therapy equipment.

When doctors urged him to just accept that he would never move again, Clark defied the prognosis. Less than a year after his injury, he could feel his shoulders.

"I never wanted to believe that there would never be a cure for SCI. I was showing people how I already defied what my diagnosis meant. So why couldn't I push for more?"

Clark completes five hours of physical therapy a week. While standing, he does cardio for an hour and a half. He lifts weights in his garage.

He practices kicking his legs while playing a dance game with his niece. He undergoes electrical stimulation on his hands, legs and abs. On the weekends, he practices lifting his body off his bed. He describes his therapy like training for the Olympics.

He was tenacious, pursuing conventional therapies alongside less-proven ones. From stem cell surgery in Beijing to different clinical trials, Clark was fiercely determined to move again.

Dr. Manuel Avedissian, a research fellow involved with one of these clinical trials, refers to Clark as his "star pupil."

"If there's a door shut for him, he'll check elsewhere," said Avedissian. "He's constantly looking for other things. He wants to make more of a difference than anyone I know."

A tiny step forward for spinal cord injuries

Clark attributes his progress to intense physical therapy and clinical studies, as well as to the stem cell therapy.

He describes his motor movement as more fluid and refined; he can now move his toes, stretch his calves and feel hot and cold on his legs.

Clark also lost the ability to sweat, which led to flaky skin and chronic acne. So he started experimenting with botanical extracts in his kitchen and developed the Clark's Botanicals skin-care line.

"The power of something as seemingly innocuous as beauty -- the power it has to make you feel strong and empowered -- there's something to be said about that," explains Clark.

He recalls being afraid of asking what he could do to walk, worrying that people would laugh at him.

"Now I'm not afraid of that, and it's evolving, because I'm feeling more and doing more," he says. "The people who I thought would laugh at me now look at me and say, 'Oh, my gosh, this recovery is incredible.'"

Clark hopes to empower other patients to take control of their recovery.

"Your injury doesn't define you. You will get better," he says when asked what he would say to those newly diagnosed with paralysis. "... You should want more and you should ask the questions that you really want to ask and then find the answers, and don't take anybody's word as truth. Use your curiosity and imagination to benefit your recovery."

Clark is seeking more cutting-edge SCI studies and continues to spread the word as a national ambassador for the Christopher and Dana Reeve Foundation.

He believes he is "definitely going to be walking" in the next five years and hopes to finally take a vacation. Most recently, he says, his feet began sweating, another sign of success.

But after his near-death experience, his priority is to just be happy.

Hearing that something is impossible "doesn't make sense to me anymore," he says. "I was three breaths away from dying ... It's about prioritizing what's important to you. My priority is being happy and feeling fulfilled. It's more about giving back to a bigger community with the experience that I have."

@highlight

Francesco Clark injured his spine at age 24 in a diving accident

@highlight

Determined to move again, he sought conventional and unconventional treatments

@highlight

He credits his family for their support during his long road to regaining some movement

@highlight

Clark also founded a skin-care company after losing his ability to sweat