(CNN) -- Hari and Karl Berzins decided to build a tiny home for their family in Virginia's Blue Ridge Mountains to free themselves of the financial burden of owning a large home.

They knew that moving two children, a dog and a cat into a 168-square foot space would be a challenge, though it would also eliminate the need for a mortgage and cut their utility costs.

But they didn't expect it to completely change their lives, Hari Berzins said.

The savings allowed the 39-year-old mother to scale back her hours working for a nonprofit and spend more time on the family's 3-acre hillside property in Floyd, Virginia, she said. She now has more time to pursue her passion for writing, gardening, raising chickens and, most importantly, to enjoy her kids. Her husband, a chef, was able to leave a stressful restaurant and take a pay cut to work in a more creative environment.

iReporters share stories of living in small spaces

The perks go beyond saving money or having a smaller environmental footprint, though both are huge benefits, Hari Berzins said. There's also the intangible delight derived from cooking in a kitchen where everything is within arms' reach, or eating off the beautiful china set that was locked in a cabinet when they lived in a 1,500-square foot home, she said.

"Living mortgage-free has given us the freedom to make decisions based on what will make us happy, not what we have to do to pay the mortgage," Berzins said in a CNN iReport.

"The things we have are beautiful, enriching our tiny space. We got rid of so much and kept the beautiful things," she said. "Freeing ourselves from consumer debt and living mortgage-free has cleared the clutter to help us see what is truly important: our relationships, our happiness, each moment."

The Berzins are part of a small contingent of homeowners who have found solace living in less than 500 square feet. Many of them live in homes built on trailers so they can move around; others, like the Berzins, live on property they own. Others live in Cob homes built of clay and mica. Some are motivated by a desire to lessen their carbon footprint while others want to own a home without worrying about property taxes.

Small homes aren't for everybody, but those who embrace the lifestyle tend to become their most enthusiastic boosters. Most of the iReporters who shared their stories of living small with CNN.com also build tiny homes or run businesses dedicated to helping others build their own.

The small home movement has been around for years in small cities and rural areas, but this summer, it made a big incursion into one of the country's largest and most densely populated urban centers.

New York Mayor Michael Bloomberg in July announced a pilot program to develop a new housing model for the city's growing small-household population. The program, adAPT NYC, seeks to accommodate the need for smaller apartments for roughly 1.8 million households in New York that consist of one or two people.

The New York City Department of Housing Preservation and Development kicked off the program in July with a request for proposals from designers and development teams for self-contained "micro-units" between 275 and 300 square feet, including kitchen and bathroom.

The contest closed last week, drawing 33 submissions mostly from teams in the Northeastern United States, along with international entries from London and Amsterdam. The proposals suggest the use of modular design and some include sustainable design such as solar paneling, the housing department said Thursday.

The winning proposal will form the basis for a mixed-income rental building in the Kips Bay neighborhood of Manhattan consisting of micro-units. The winning applicant will be responsible for designing, constructing, owning and managing the property as part of the housing department's model for developing city-owned property.

The housing department said it hopes to announce a winner in 2013 and break ground by year's end.

Of course, many New Yorkers already live in micro-sized units or smaller. For iReporter Kristen Booth, living in her 214-square foot East Village studio is a rite of passage for living in New York. But after 13 years in the same small apartment, she's ready for an upgrade and a bathtub.

Most of the city's small apartments are in old buildings and there aren't enough of them. New York has 1.8 million one- and two-person households, but only 1 million studios or one-bedrooms, the housing department said.

The city wants to build more that "have substantial access to light and air to create a sense of openness," the housing department said.

Clearly, renting a micro-unit in New York and building your own home in the country are two different animals. But there is some overlap between micro-units and tiny homes and the people who live in them.

Building codes and ordinances complicate matters and can prevent residents from living in the units full-time. New York City's housing codes currently do not allow an entire building of micro-units, a housing department spokesman said. Under the pilot program, Bloomberg will waive certain zoning regulations at a city-owned site to test the market for this new housing model.

In Point Roberts, Washington, iReporter Jamie Dehner was surprised to learn that while there are no limits on how big you build a home, the same isn't true for building small. To get around Whatcom County regulations requiring a permit to build their 160-square-foot home with plumbing, the Dehners built their home on a trailer bed, subject to different regulations as a recreational vehicle.

The Dehners stayed there while working on a bigger home on their property, which is nearly done, she said. At 700 square feet, it seems like a mansion. But they enjoyed their time in the smaller dwelling for a variety of reasons.

"A small space is easy to clean, heat and there's a wonderful coziness about it. You are all tucked in with the things you need and use the most and that's appealing psychologically," Dehner said in an iReport.

"It's a fantastically liberating experience to live in a small space that is also hugely fun and entertaining, not just for you as the builder and occupant, but for others who pass by and just want to peek inside. And whether you stay in a tiny house permanently or end up building, you've got a perfect guest cottage that you can share with friends, family, sell or rent out."

While the amount of savings can differ greatly for a renter of a micro-unit versus a small-home owner, cost-effectiveness is definitely part of the equation in both models. The average rent for a regular studio apartment in Kips Bay is roughly $2,000, according to the housing department. The department hopes to see proposals with rents well below that, though it has not set price or rental rate criteria as part of the competition.

iReporter Carrie Caverly and Shane Caverly rent the land on which they keep their 204-square-foot home, which they designed and built mostly from off-the-shelf building materials. The design allows for passive solar heating in the winter, has a metal roof for rainwater collection and uses an incinerating toilet to minimize water usage and avoid the need for sewage disposal, said Carrie Caverly, an architectural designer.

In total, their monthly expenses are around $300 and they own the home outright without having incurred any debt, she said in an iReport.

Many of the advantages of living in a small space were planned and expected, she said. But the couple is also enjoying unexpected advantages, like a connection to their community.

"When humans can do everything in the sheltered enclaves of our homes, we rarely venture out; we become isolated. Our small home encourages us to go outside and talk to the neighbors, go on hikes and meet people, go to coffee shops and restaurants, the library, the gym etc., etc. The list goes on," Caverly said in an iReport.

Downsizing has also produced benefits, she said.

"I have been inspired to finally be tidy and clean; always putting everything away in its designed location. This creates a sense of spaciousness and sanity I've never had before in a home," she said.

Would you consider living in a tiny home to downsize and save money? Share your take in the comments section below.

@highlight

iReporters share stories of finding solace living in less than 500 square feet

@highlight

Benefits include savings on utilities and mortgage, better quality of life

@highlight

Small homes makes incursion into big city with New York City program to create micro-units