Orlando, Florida (CNN) -- Virtual life is around us every day, from online communities to simulation in computer games. It's fun, but it's also useful.

The United States military uses simulation technology to train pilots, soldiers who take part in convoys and medics, who are similar to civilian emergency medical technicians.

New battery-operated, remote-controlled mannequins can simulate bleeding and breathing, and they have blinking eyes that dilate. Medics can test their skills on these life-like mannequins.

The new units, which are packed with technology, are used at 23 U.S. Army Medical Simulation Training Centers as part of a program to teach lifesaving techniques to medics and nonmedical personnel.

A Pentagon study says the training program has saved 1,000 soldiers' lives in combat, said Lt. Col. Wilson Ariza, manager of the U.S. Army Medical Simulation Project.

The centers -- originally designed to train medics and first responders before deployment to Iraq, Kuwait and Afghanistan -- became so good at saving lives on the battlefield that training was added to include everyday soldiers.

The latest mannequins are anatomically correct and have life-like skin, allowing soldiers to practice lifesaving techniques to stop bleeding and start intravenous medications.

A computer captures the medics' actions to ensure that they take the right steps.

"That simulator will breathe and bleed. And if it's bleeding, you have to apply the proper pressure to stop or control the bleeding, or the simulator will die, Ariza said.

The training takes place over five days at military bases in the United States and overseas.

The last day is the toughest. In an exercise, a simulated bomb explodes inside a tent, and a soldier screams "Help me! Help me!" as a medic rushes to a man whose legs appear to be blown off.

Blood squirts from the mannequin's severed limbs, which have exposed muscles and bone. The graphic scene includes soldiers lying on the ground with facial injuries.

A tourniquet is applied to the mannequin's legs, stopping the bleeding. The screaming soldier is an actor, lying on a cot, who has only the top half of his body exposed. The bottom half is the mannequin.

"When you first walk in, it's scary. It's like, 'Wow, this is real, this is training?' " said Staff Sgt. Kelly Whitesell, a medic with the 7235th Medical Support Unit in Orlando. "Then you get into the treatments, and that is like treating a real patient."

In 2007, Whitesell was one of the first to take the course in Kuwait before deploying to Iraq. He's now a medical trainer.

Advances in technology have been crucial to the training. A decrease in computer size, along with an increase in power, made devices such as the mannequins possible, giving them the ability to simulate bleeding and breathing.

As computing power increases, so does realism and the clarity of simulators. One simulator used by the Army teaches soldiers how to survive or avoid an ambush while traveling in a convoy. Col. Francisco Espaillat, manager of the U.S. Army Tactical Trainer Program, says military convoys are targets in Iraq and Afghanistan.

Espaillat recalls the story of Pfc. Jessica Lynch, whose convoy in Iraq was attacked in 2003. Lynch was captured by Iraqis and rescued a week later by U.S. forces.

Espaillat uses Lynch story to show the importance of simulators. The convoy tactical trainer is equipped with a Hummer, a communication system and guns just like the ones used on the battlefield.

"We suspend reality and immerse our soldiers in a synthetic environment that stresses them so their training comes in to play," Espaillat said. "So when they are faced with it in the real world, they know how to respond because they have been there."

This tactical trainer is mobile, so it can "bring the training to the soldier versus taking the soldier to the trainer," Espaillat said.

A mobile trainer is flexible, and it also cuts down on expenses -- a requirement for today's military, whose pockets are not as deep as they once were. Most other simulators cost millions of dollars, require enormous computing power and are not very mobile.

Lockheed Martin's newest simulator can transform from a fixed-wing aircraft to a tank by just rebooting the computer software.

The Multiple Function Training Aid's cockpit is made up of consumer touch-screen monitors that run off one gaming-quality computer with added graphics cards.

The compact device can easily be shipped where the military needs to keep soldiers up to date. One device could fulfill the training needs of one base -- from truck drivers to aircraft pilots -- at a fraction of the cost of large simulators.

"Any time you can save money," said Air Force Lt. Col. Scott Moore, director of operations for the 29th Training Systems Squadron at Eglin Air Force Base, who recently tried the device.

"It's the taxpayer's money you are saving."

Large-scale simulators costing tens of millions of dollars still have their place, despite their price tag, said John Lenyo, president of CAE USA, which operates simulation training centers for military pilots.

"We will still need our war fighters trained as our budgets get tighter and tighter," he said.

That's because training in actual airplanes costs tens of thousands of dollars an hour in fuel, not to mention the added danger, he said.

"You will see a shift from live training where soldiers and airmen go out to fly or go to the range to shoot -- some of that will be moved more and more to simulation," he said.

The modeling and simulation industry has responded to the military's needs through increased simulation innovation in 3D, interactivity and emerging technologies, such as avatars, at a lower cost.

Moore, who normally flies a B-52, tried out the simulation for a CV-22 tiltrotor aircraft, which is kind of a cross between a helicopter and a turboprop airplane.

"I didn't crash, too often," he said with a laugh. "And that's the best part of a simulator, you know. You get to practice that sort of thing. If you make a mistake, you can hit the reset button ...

"There's no reset button in a real airplane."

@highlight

The U.S. military uses simulation technology to train pilots, soldiers and medics

@highlight

Medics train on life-like mannequins that can simulate combat injuries

@highlight

The mannequins have skin that bleeds and eyes that dilate

@highlight

High-tech simulators are small enough to ship to soldiers in combat