The U.N. Security Council delegation visiting South Sudan last week came face-to-face with a troubling reality: The country has been seized by an eight-month civil war between parties that have committed violence against civilians on a devastating scale.

The result is an unprecedented challenge for the organization, which now finds itself protecting almost 100,000 people seeking refuge from the conflict in peacekeeping bases across South Sudan. Yet despite the high cost and risk, the U.N. should be prepared to host and protect them for months, if not years, to come.

This crisis ignited on December 15, when fighting broke out between the President of South Sudan Salva Kiir and his former Vice President Riek Machar along with other opposition leaders. The army split, militias chose sides and others took up arms. This political and military conflict took on a strong ethnic dimension when the protagonists used ethnicity to pit soldiers and police against each other and then against civilians.

In the first days and weeks of the conflict, tens of thousands of people ran to bases of the U.N. peacekeeping operation in South Sudan (called UNMISS). The numbers inside the bases have continued to rise, in part because UNMISS and humanitarians have worked hard to protect the bases, and have deterred attempts by parties to the conflict to force entry into some bases and prevented large outbreaks of diseases such as cholera.

Still, the civilians inside UNMISS bases are living in a kind of purgatory. And despite the good intentions and efforts of the peacekeeping operation and the humanitarian community, the conditions at these sites are deplorable, some flooding with rain. Residents say they aren't receiving adequate essential services needed to survive and to live in dignity.

At the same time, if residents leave these bases they risk rape, detention, torture or death. Those seeking shelter are being deliberately targeted because of their ethnicity or political allegiance. Some report that they have not left the bases in eight months. Others take tremendous risks to leave the base during the day in search of food, medical care not provided on site and opportunities to earn money.

The reality is that the U.N. bases weren't designed or funded to house and protect such a vast number of people for such a long time. The situation has put UNMISS, which is mandated to protect civilians from physical violence, in an incredibly difficult position. UNMISS has three choices: Allow those under threat to remain in the bases, try to create conditions outside of the current protection sites that provide enough security to make people feel safe enough to relocate or go home, or force the people seeking shelter to leave.

The third option would open the peacekeeping operation to strong and well-deserved criticism, as it violates international principles that forbid forcibly resettling people to locations where they are at risk for their lives, safety, liberty or health.

The second option is beyond the scope of the U.N. peacekeeping operation to implement. In one site, residents insisted that only a change in the current government would guarantee their security. As one woman told me in an interview, "If President Kiir is in power for the next 20 or 30 years, we will stay in the site for those same years."

But the government and opposition forces have just missed a deadline to agree on a transitional government, and it is clear that even if a political resolution is reached between the main parties, years of inter-communal and intra-communal peace and reconciliation will be needed. UNMISS doesn't have the leverage to play a principal role in the negotiation between the parties and doesn't have the capability to undertake subnational-level reconciliation at the scale needed.

Other residents were insistent that they wouldn't feel safe going home or to new sites without the same level of protection that they receive at UNMISS bases. UNMISS doesn't have -- and likely will not have -- the resources to protect people's homes or a number of new sites outside its bases.

At the start of the crisis, the U.N. Security Council authorized an increase in troops from 7,000 to 12,500, but even with its newly expanded numbers UNMISS won't be able to provide adequate area security to ensure safe and voluntary relocation for the majority of people inside its bases. The U.N. Security Council is unlikely to increase UNMISS's troop levels again. It has already struggled to find 12,500 properly trained and equipped troops for the mission. Moreover, in the current fiscal climate, U.N. donor countries have little appetite to fund an ever-increasing number of large peacekeeping operations.

This leaves UNMISS with the first option: It must prepare itself to continue to protect those within and adjacent to its bases and keep the gates open for more to arrive. U.N. donor states will need to approve a new budget in the coming months that accommodates the cost of this protection.

Humanitarian donors need to step up their funding not only to provide services to those inside the bases, but to give urgent assistance to the millions outside the protection sites who continue to face targeted violence and massive food insecurity. According to the U.N. Office for the Coordination of Humanitarian Affairs, as of August 1, there was a $916 million gap in humanitarian funding needed to avert a drastic deterioration of the already dire humanitarian crisis.

As one woman in a protection site said, "Initially, we hoped that this war would only last two days or one week. But now it's taken almost half a year, so what is the plan for UNMISS? Is it ready to protect us? When are we going to be outside? Will they protect us for the next 10 years?"

Despite the logistical, financial and political challenges such a scenario would pose, the U.N. Security Council and donors must prepare to answer in the affirmative.

@highlight

South Sudan has been embroiled in 8-month civil war

@highlight

Almost 100,000 people seeking refuge from the conflict

@highlight

Alison Giffen says crisis facing U.N. is unprecedented