Islamabad, Pakistan (CNN) -- A Pakistani court on Thursday postponed a decision on whether to grant bail to a Christian girl accused of burning pages of the Quran in a case that has heightened religious tensions in the capital, Islamabad.

The Pakistani authorities have come under pressure to guarantee the safety of the girl, identified as Rimsha, in a country where people accused of blasphemy have been killed by members of the public in the past.

Tahir Naveed Choudhry, one of Rimsha's lawyers, has sought bail for her, saying she is legally a minor and should be reunited with her parents rather than kept in a jail where adults are also being held.

To back up his argument, Choudhry cited a report on Tuesday by an independent medical board stating that Rimsha was 14. The doctors who examined her also concluded that her mental age was lower than her chronological age.

But on Thursday, the lawyer for the man accusing Rimsha queried the legal validity of the board's report. The lawyer, Rao Abdur Raheem, said the seven-doctor board was constituted by the local authorities, not by court order.

As a result, the court adjourned until Saturday to allow time to verify the medical report.

Raheem said he was representing the accuser free of charge because he believes God will reward him for his work.

The police have said that Rimsha is illiterate and has not attended school. They said last week that she had told them that she had no idea that there were pages of the Quran inside the documents she alleged to have burned.

The court faces a difficult decision amid concerns that if Rimsha is released on bail, she could be at risk from Muslims angered by the allegations against her.

Choudhry, who is also a leading member of the Christian community and member of the All Pakistan Minorities Alliance, said Rimsha is too young to stay in prison and would be safer joining her family, who are now in hiding.

"She was crying in the jail and missing her parents," he said.

Choudhry says he expects Rimsha's trial to last as long as two years. She would remain in custody for its duration, if bail is denied, he said.

If she is tried as a minor, she might also receive a milder sentence if convicted. As an adult, she faces a maximum sentence of life in prison for willful desecration of the Quran, Choudhry said

Rimsha was accused by a local resident of burning pages of the Muslim holy text after she gathered paper as fuel for cooking in Islamabad, according to the authorities. The man said he found her carrying ashes that included burned pages of the Quran in a small bag.

Choudhry has said that nobody actually saw Rimsha burning the papers.

The case has already had a severe effect on people in the area. Hundreds of Christian families have had to leave the area for fear of violence, Choudhry said.

The police said last week that about 150 people had gathered on August 17 -- the day Rimsha was arrested -- in the area where the neighborhood's Christian population lives and threatened to burn down their houses.

In a statement last week, President Asif Ali Zardari said he had called for an urgent report on the incident and added that vulnerable sections of society must be protected "from any misuse of the blasphemy law."

"Blasphemy by anyone cannot be condoned but no one will be allowed to misuse blasphemy law for settling personal scores," said the president's spokesman, Farhatullah Babar.

Critics of the controversial law say it is being used to persecute religious minorities.

"If any Muslim is accused for blasphemy, people don't burn houses," Choudhry said. "But if the accused is a non-Muslim, mob burns our entire villages."

Pakistan is home to about 2 million Christians, who make up more than 1% of the Islamic nation's population, according to government statistics.

Rimsha's case "illustrates the erosion of the rule of law and the dangers faced by those accused of blasphemy in Pakistan," the human rights advocacy group Amnesty International said in a statement last week.

CNN's Aliza Kassim in Atlanta; and journalists Aamir Iqbal in Islambad and Katie Hunt in Hong Kong contributed to this report.

@highlight

The Christian girl's lawyer says she would be safer in hiding with her family

@highlight

She is accused of burning pages of the Quran while gathering fuel for cooking

@highlight

Her lawyer says she should be granted bail as a minor, citing a medical report

@highlight

The court adjourns until Saturday after the legal validity of the report is queried