(CNN) -- The same blue food dye found in M&Ms and Gatorade could be used to reduce damage caused by spine injuries, offering a better chance of recovery, according to new research.

Rats injected with BBG not only regained their mobility but temporarily turned blue.

Researchers at the University of Rochester Medical Center found that when they injected the compound Brilliant Blue G (BBG) into rats suffering spinal cord injuries, the rodents were able to walk again, albeit with a limp.

The only side effect was that the treated mice temporarily turned blue.

The results of the study, published in the "Proceedings of the National Academy of Sciences," build on research conducted by the same center five years ago.

In August 2004, scientists revealed how Adenosine triphosphate, which is known as ATP and described as the "energy currency of life," surges to the spinal cord soon after injury occurs.

Researchers found that the sudden influx of ATP killed off healthy cells, making the initial injury far worse. But when they injected oxidized ATP into the injury, it was found to block the effect of ATP, allowing the injured rats to recover and walk again.

"While we achieved great results when oxidized ATP was injected directly into the spinal cord, this method would not be practical for use with spinal cord-injured patients," said lead researcher Maiken Nedergaard, professor of Neurosurgery and director of the Center for Translational Neuromedicine at the University of Rochester Medical Center.

"First, no one wants to put a needle into a spinal cord that has just been severely injured, so we knew we needed to find another way to quickly deliver an agent that would stop ATP from killing healthy motor neurons. Second, the compound we initially used, oxidized ATP, cannot be injected into the bloodstream because of its dangerous side effects."

Back in 2004, Nedergaard's team discovered that the spinal cord was rich in a molecule called P2X7, which is also known as "the death receptor" for its ability to allow ATP to latch onto motor neurons and send the signals which eventually kill them.

Nedergaard knew that BBG could thwart the function of P2X7, and its similarity to a blue food dye approved by the Food and Drug Administration (FDA) in 1982 gave her the confidence to test it intravenously.

It worked. The rats given BBG immediately after their injury could walk again with a limp. Those that didn't receive a dose never regained their mobility.

Nedergaard told CNN that there is currently no standard treatment for patients with spinal injury when they reach the hospital emergency room.

"Right now we only treat 15 percent of the patients we receive with steroids and many hospitals question if that even works for that 15 percent; it's a very moderate benefit to only a subset of patients. So right now 85 percent of patients are untreated," she said.

Nedergaard said the research team isn't claiming that BBG can cure spinal injuries, instead that it offers a potential improvement in patients' condition.

"Even a moderate improvement in functional performance of the patient is a big, big event for these patients," she said. "They can control their bladder. If they can just take small steps instead of sitting in a wheelchair all the time, it's a tremendous benefit for these patients," she added.

The dose must be administered immediately after the injury, before additional tissue dies as a result of the initial injury.

Researchers are currently pulling together an application to be lodged with the FDA to stage the first clinical trials of BBG on human patients.

"Our hope is that this work will lead to a practical, safe agent that can be given to patients shortly after injury, for the purpose of decreasing the secondary damage that we have to otherwise expect," said Steven Goldman, Chair of the University of Rochester Department of Neurology.

@highlight

Researchers find way to reduce secondary damage caused by spinal injuries

@highlight

Compound BBG is similar to blue food dye used in sweets, sports drinks

@highlight

Only side effect of intravenous injection was that it turned test rats blue

@highlight

Researchers are planning to apply to the FDA for permission for human tests