(CNN) -- Facebook unveiled changes to its terms-of-use document on Friday, tweaking earlier drafts in an apparent effort to ease users' concerns about privacy and how their information is used.

The proposed changes to the networking giant's Statement of Rights and Responsibilities come after the plan was opened up for user comments last month, and just weeks before Facebook is expected to go public in a stock offering some expect could value the company at $100 billion.

Front and center in the announcement was an effort to explain that the way Facebook collects and shares data is not being changed.

"Some of our users and a number of journalists mistook the proposed update to our SRR for changes to the way we collect or use data," Facebook said in a post on the site. "Our Data Use Policy (which used to be called our privacy policy) governs how we collect and use data. We are not proposing any updates to that document at this time."

Little has slowed Facebook's ascent to the top of the social-media world. What began as a dorm-room project for Mark Zuckerberg and his Harvard classmates grew into a phenomenon that has amassed more than 800 million active users.

But if Facebook has had an Achilles heel, it's been concerns about how user data is used.

Because it's a free service, Facebook depends on targeted advertising and a cut of the micro-payments users make in games and other apps running on the site. Users' activity on the site is used to paint a picture of them, and shared by Facebook to help those advertisers pick their targets.

Web privacy advocates, including some government officials in the United States and elsewhere, have repeatedly expressed unease with the sheer amount of data Facebook possesses about its users and how that data may be used.

It's obvious that the company wants to tamp down user concerns about that in advance of its arrival on Wall Street. In its filing to the U.S. Securities and Exchange Commission, the word "privacy" was used 35 times.

That document, which is required for companies filing to go public, was obviously largely positive about Facebook's upside. But when required to acknowledge potential downsides, Facebook wrote that if users ever widely became concerned about their privacy and use of their data, they could lose some of them.

Facebook writes that it must avoid adopting "policies or procedures related to areas such as sharing or user data that are perceived negatively by our users or the general public."

CNNMoney: Facebook strips 'privacy' from new 'data use' policy explainer

In a set of bulleted posts Friday, Facebook outlined the tweaks it has made in response to user feedback and explained items it says raised concerns.

-- In a change first noted last month, the document now uses the term "Data Use Policy" instead of "Privacy Policy." Facebook says this reflects a change that was made last year because they "believe the name is more descriptive of the information the document provides."

-- Language that said "you or other that can see your content and information" was removed for a different definition of how and when apps can access data about your friends. It adds links to more information and how users can control that.

-- Facebook also clarified language saying that people should not "tag users if you know they do not wish to be tagged" in photos. That passage doesn't change how tagging works, but is merely meant to be a guideline, the company said.

-- The changes remove a line saying that Facebook reserves the right to deny or limit access to users outside the United States. The site says that line was unclear and meant to reflect places where services are legally unavailable, or places where Facebook is banned.

The document also included a not-so-subtle swipe at one of Facebook's chief competitors.

"Unlike other Internet companies, we propose updates to our SRR and give our users an opportunity to comment before they go into effect," Friday's announcement said." Your insights and perspectives are really valuable to us, enabling us to respond to your questions and make substantive changes to address your concerns before changes are implemented."

Earlier this year, Google (which has launched social platform Google+ as a Facebook rival) rolled out significant changes to its privacy policy. While Google went out of its way to publicize the changes to users, feedback was not as aggressively sought and did not appear, at least publicly, to lead to any major changes.

Facebook users can comment on the latest round of proposed changes until April 27, the post said.

@highlight

Facebook unveils, and explains, proposed changes to its terms of use

@highlight

Post says that the way user data is collected and shared will not change

@highlight

Announcement comes as Facebook is preparing its Wall Street public stock offering