(CNN) -- "Cartoons are about doom and disaster -- and you don't get more doom and disaster than in a German prisoner of war camp," says Mike Peyton, the man uniquely hailed as the world's greatest yachting cartoonist.

As a teenage illustrator from the British mining town of Durham, Peyton was captured by World War II German forces while drawing maps of the north African desert for the Intelligence Corps.

Yet amid the horrors of his prison camp - the 91-year-old recalls eating Nazi guard dogs that had been clubbed to death - Peyton carved a unique space for laughter by drawing wry, darkly humorous cartoons.

Published in a prisoner-run newspaper, the drawings poked fun at camp life, offering Peyton a distraction from the everyday brutality and his fellow inmates a rare source of joy.

They would also spark the beginnings of a career spanning seven decades, more than 20 books and the birth of an unusual new genre in illustration - nautical cartooning.

It's a genre that Peyton has dominated for 70 years, amassing followers across the world with his trademark, roughly scribbled drawings of rain-sodden sailors naively headed for impending doom.

If the leap from a 1942 prison camp to hopeless yachtsmen lost at sea seems huge, Peyton has the answer: "The secret to cartoons is you always need something going wrong."

Following the war, the then 24-year-old continued sketching his droll observations of everyday life.

But it wasn't until Peyton bought a boat in his late 20s, setting up a business offering charter cruises, that he began to turn his illustrations to sailing.

Now a retrospective of his work - "The World of Peyton" - published this week, features 150 of his favorite sketches.

Read related: 'Queen of yachting' captures sailing's golden era on film

Sadly it will also be Peyton's last book, after gradually losing much of his eyesight.

"Mike has reached the point now where he is going blind," Janet Murphy, publishing director at Adlard Coles Nautical, said.

"It seemed such a cruel disability for a cartoonist to have their eyesight shot down. So we asked Mike to put together his best cartoons for a final retrospective."

Having been published in a plethora of British magazines ranging from Yachting Monthly to the Church of England Times, Peyton admitted it was a huge undertaking whittling down his immense collection of work.

Science and technology periodical New Scientist paid tribute to the man who began drawing for them in the 1950s, claiming he had "seen off more editors than anyone else at the magazine."

It added: "His sharp eye and satire often contrasts with a softer, gentler approach when the subject warrants it."

But It is among sailing enthusiasts that Peyton's name brings most smiles. As Janet explained: "Mike is synonymous with nautical cartoons."

"He is on a pinnacle all on his own -- Mike is the one yachting cartoonist people think of. He's got a unique skill of seeing the funny side in a typical situation -- whether it's people huddling under waterproof gear or wives looking forlornly out the window as they lose their husbands to sailing in the snow on Christmas Day," she said.

"There's no one who can touch him, both because he's been going for 70 years and because he's been so prolific over that period."

Before Peyton, there simply were no yachting cartoonists, she argued: "He blazed a trail. There was humorous writing around sailing but up until the war it was still quite an elitist pastime, which people took very seriously.

"It's quite hard to keep humor going year after year. But that's Mike's skill. Those everyday sailing mishaps such as tweaking bits of rope or relying on the weather strike a chord with people all over the world."

After the war Peyton pursued his love of drawing, heading to Manchester Art School where he met future wife and now successful children's author Kath Peyton.

The penniless newlyweds spent their honeymoon sleeping rough across Europe, paying their way by collecting waste paper en route.

"I reckon I am the only bride that ever had to collect salvage in Paris to earn her fare back across the Channel," Kath recalls in Dick Durham's autobiography on Peyton, titled -- naturally enough - "The World's Greatest Yachting Cartoonist."

Returning to the UK, the couple set up home in rural Essex on the River Crouch. But instead of spending their hard-earned savings on renovating their dilapidated cottage as planned, Peyton bought a boat -- much to his wife's dismay.

His reason? "You can't sail a house," he told CNN.

When not drawing, the father-of-two worked as a sailor; taking out charter parties, racing boats and delivering yachts everywhere from London to the Baltic Sea.

"I didn't have to think up cartoons -- I saw them happen. They're all based on real life," he said.

"I remember years ago I thought I'd run out of ideas. But I never have."

@highlight

"The world's greatest yachting cartoonist," Mike Peyton, began career in German POW camp

@highlight

The 91-year-old says the secret to cartoons is "something going wrong"

@highlight

Forced to give up drawing after gradually going blind

@highlight

New retrospective book, "The world of Peyton," will be last