(CNN)Long distance trails inspire contradictory tales of solitude and camaraderie, deserted river beds and mountain plateaus, pleasure and pain.

The idea of covering thousands of miles on foot is itself barely believable.

Perhaps that's what makes these adventures so memorable.

Cheryl Strayed's memoir of her 1,000-mile trek along the U.S. Pacific Crest Trail was so enthralling it made it to Hollywood.

"Wild," a film based on her account and starring Reese Witherspoon, was one of the most talked about releases at the end of 2014, with Witherspoon even nominated for a best actress award at the 2015 Golden Globes.

If you'd like a piece of that action, or simply crave dehydrated food, days without washing and multiple, life-threatening encounters, then here are 10 other epic hikes ripe for big screen treatment.

Who would play you?

The Appalachian (United States)

Distance: 3,510 kilometers (2,180 miles)

The Appalachian is the grand dame of long-distance trails.

One third of North America's holy hiking trinity, the Triple Crown -- the others being the Pacific Crest and Continental Divide trails -- it's the most iconic, famed for its "thru hikers" who attempt to complete it in a single season.

Its 5 million steps follow the Appalachian Mountains from Mount Springer, Georgia, to Mount Katahdin, Maine.

The range was once a natural border to the 13 colonies held by powerful Native American tribes like the Iroquois and Cherokee, before independence gave rise to westward expansion.

Among the highlights: the idyllic, overgrown tracks through Great Smokey Mountains National Park in North Carolina, North America's most diverse forest.

More information at: Appalachiantrail.org

The South West Coast Path (UK)

Distance: 1,016 kilometers (630 miles)

The UK's longest National Trail is a stroll in the park compared to some of the other walks on our list, but what it lacks in longevity it makes up for in history.

This dramatic coastal route from Minehead, Somerset, to Poole Harbour in Dorset, takes hikers around the tip of Cornwall, crisscrossing two World Heritage Sites including the famed Jurassic Coast.

Nicknamed for its 240-million-year-old rocks, these prehistoric cliffs feature spectacular formations like Durdle Door and Ladram Bay.

And while it may be shorter you'll still have to climb a total of 114,931 feet (35,031 meters or four times the height of Everest) to finish it.

More information: Southwestcoastpath.com

Te Araroa (New Zealand)

Distance: 3,000 kilometers (1,864 miles)

With a backdrop straight out of Middle Earth -- glacial ridges, windswept headlands, shires -- New Zealand's landscape doesn't disappoint.

Te Araroa (Maori for "The long pathway") covers most of it; all the way from Cape Regina in the North to Bluff on the southern tip.

"Tramping" the length of it, as the Kiwis would say, from the gentle bays of Queen Charlotte to the volcanic Mount Tongariro, takes about three months.

Still, even at a fast pace you could be overtaken be overtaken.

Ultramarathon runner Jezz Bragg completed it in a fantastical time of 53 days.

More information: Teararoa.org.nz

Continental Divide Trail (United States)

Distance: 4,990 kilometers (3,100 miles)

The third and longest installment of The Triple Crown is really a director's cut -- loved by serious trail enthusiasts but not for everyone.

Spanning 3,100 miles from Mexico to Canada along the Rocky Mountain spine of North America, it takes hikers across some arduous but spectacular terrain including the Red Desert dunes of Wyoming and the heights of Grays Peak (14,270 feet/4,350 meters) in Colorado.

The standout feature is Triple Divide Peak in Montana, where the rain runs three ways to the Pacific, the Atlantic and the Arctic via Hudson Bay.

Only 150 people attempt to thru-hike the trail each year.

The youngest to complete it was 13-year-old Reed Gjonnes.

More information: Continentaldividetrail.org

Sir Samuel and Lady Florence Baker Historical Trail (Sudan-Uganda)

Distance: 805 kilometers (500 miles)

Trail blazers have recaptured the spirit of discovery with this historic route, which retraces the expedition of Sir Samuel and Lady Florence Baker's -- the first Europeans to set eyes on Lake Albert and name it after Queen Victoria's late husband -- to that great African lake, 150 years ago.

Starting near Juba, in South Sudan, the greater part runs through Uganda to Baker's View, over Lake Albert, and takes in natural wonders like Murchison Falls, which break the Nile with a 141-foot (43 meter) drop as it flows to Lake Victoria.

More info: Thebakertrail.com

Oregon Desert Trail (United States)

Distance: 1,287 kilometers (800 miles)

The Oregon High Desert is a thrilling, stark arena in which to test your mettle.

The route is a moveable feast of shorter trails, historic wagon roads and swathes of wilderness to pioneer as you desire, or "bushwhack," as hiking enthusiasts call it.

Not for the inexperienced, the isolation and scarcity of water over long sections pose a serious challenge, requiring significant backup resources.

But it's not all desolation.

There's a quiet beauty to the landscape, which blooms wherever there's moisture.

The truly remote, red-rock Owyhee Canyonlands seem to crumble away as you wander through.

More information: Onda.org

Grand Italian Trail, Sentiero Italia (Italy)

Distance: 6,166 kilometers (3,830 miles)

There are "Great" trails and even "Greater" trails.

The Sentiero is best described as "Grand."

It's an indulgent, convalescent tour traversing the entire Alpine arc before shimmying down the Apennine chain to Sicily and finally drifting west across the Tyrrhenian to Sardinia and Santa Teresa Gallura -- site of the ancient city of Tibula.

The route was forged in 1995 by the first Walk Italy event and gives not so much a taste but a full five courses of La Dolce Vita: from the majestic Dolomites, via rich Tuscan vineyards, to the jaw-dropping splendor of the Amalfi Coast.

With such varied terrain and the sheer distances involved a thru-hike takes considerable planning and roughly eight months to complete.

More information: Traildino.com

Great Himalayan Trail (Nepal)

Distance: 1,700 kilometers (1,056 miles)

In a word: ambitious.

Still being put together, when finished, this 4,500 kilometer (2,796 mile) skyscraping traverse will be the longest and highest mountain trail in the world, crossing the entire Himalaya range from Kashmir to Tibet, via India, Nepal and Bhutan.

Nepal's section is the most complete and it alone offers one of the great trekking challenges.

It's split into Low and High routes that run near parallel, beginning either side of Kanchenjunga Base Camp and ending on the Tibetan border in Humla.

For high culture, the low route (still averaging 2,000 meters in height) passes through remote Nepali villages dotted along the hills and valleys.

Only those with mountaineering experience should attempt the high route -- it peaks at a breathless 6,146 meters (20,164 feet).

More information: Thegreathimalayatrail.org

Hokkaido Nature Trail (Japan)

Distance: 4,585 kilometers (2,849 miles)

Japan is something of a distance-walking paradise, home to five of the world's 10 longest trails.

At 2,849 miles and growing, this is the longest and last of them all, exploring the glaciers, forests and steaming, volcanic mountains of Hokkaido.

Japan's northernmost island is roughly the size of Austria, with short balmy summers and long, cold winters.

A complete tour takes seven months and is best divided by either side of winter.

More information: Walkjapan.com

Trans Panama Trail (Panama)

Distance: 800 kilometers (497 miles)

Anyone who has hiked in the tropics will testify to the difficult conditions.

Sweaty, dense jungles, swarms of mosquitoes and numerous other bloodsucking creatures await and that's before you even begin this 500-mile journey.

But the rewards are greater for those challenges.

This cross-Panama route takes hikers from the border in Colombia to Costa Rica, and promises encounters with remote indigenous tribes like the Kuna and Embera.

Hikers have a chance to canoe backwaters banked with lush rainforest and explore paths carved by conquistadors 600 years ago.

Half complete in 2009, the whole route has now been mapped by Rick Morales, who himself completed it in just more than three months.

More information: Transpanama.org

@highlight

At 4,500 kilometers, Nepal's Great Himalayan Trail is the longest and highest mountain trail in the world

@highlight

The Grand Italian Trail takes considerable planning and roughly eight months to complete

@highlight

Only 150 people attempt to thru-hike the Continental Divide Trail each year