(CNN) -- The trial of Anders Behring Breivik, who has admitted killing 77 people in a bomb and gun rampage in Norway last summer, is under way in Oslo.

In a new courtroom specially built in the Norwegian capital for the trial, judges will consider whether Breivik was insane at the time of the killings, and whether he should be sent to prison or a mental facility for his crimes.

What is Breivik charged with?

The 33-year-old Norwegian man is facing charges of voluntary homicide and committing acts of terror. He is accused of setting off a bomb in central Oslo that killed eight people, then fatally shooting 69 people at a youth camp run by the ruling Labour Party on nearby Utoya Island on July 22, 2011.

Who decides Breivik's fate?

The current trial is in front of what is called the court of first instance, says Jon T. Johnsen, Professor of Law at the University of Oslo.

The court has no jury, but is instead made up of two professional judges and three "lay judges" -- members of the public that are chosen for the case just as members of a traditional jury would be -- that have the same powers as the professional judges do.

In this court of first instance, the five judges will hear Breivik's case, decide whether he is guilty or not, and if he is found guilty they will also sentence him.

Breivik then has a right to appeal the decision to a higher court. If Breivik's appeal relates to the question of guilt, a court comprised of 10 jurors and moderated by three professional judges will oversee the new trial.

Seven guilty votes are required to convict in an appellate court. If a guilty verdict is reached, the three professional judges will join four members of the jury to decide on sentencing. The case can then be appealed to the Supreme Court of Norway.

However, the jury's evaluation of the evidence for his guilt is final.

The case can then be appealed to the Supreme Court of Norway.

What will happen during the trial?

Breivik's trial in front of the court of first instance is expected to take up to 10 weeks.

Both the prosecution and defense are expected to call dozens of witnesses to the stand, and a verdict is not expected until weeks after the trial's conclusion.

The opening proceedings of the trial Monday were televised on Norwegian television, streamed around the world and beamed via video link to 17 other courthouses across the country, where many of the bereaved sat watching.

Breivik was allowed to read a prepared statement in court on Tuesday, but presiding Judge Wenche Elizabeth Arntzen ruled that his testimony would not be broadcast -- rejecting his claim that airing it was a human right.

Read more: Norwegians value killer's human rights

While broadcasting from trials is usually forbidden in Norway, Johnsen says the decision is up to the professional judges of a case before the trial begins.

"I think the case is being aired because of the large public interest," he told CNN. "We haven't had any comparable case like this since the age of television started."

Could Breivik be jailed for life?

The court has two options if Breivik is convicted, says Johnsen, and it depends on whether the court finds he was either sane or insane at the time of the killings.

In November, prosecutors said psychiatrists had determined that Breivik was paranoid and schizophrenic at the time of the attacks and during 13 interviews experts conducted with him afterward.

But in a report released in April, two court-appointed psychiatric experts said Breivik was sane at the time of the killings.

The decision on Breivik's sanity ultimately rests with the courts -- and while the maximum sentence for homicide or terror acts is 21 years, Johnsen says there are two ways the Norwegian courts can keep Breivik under state custody well past his initial jail sentence.

If Breivik is found to be sane, the court could sentence him to the traditional 21-year prison sentence, the maximum term for a homicide or terror act conviction, but he must be released after serving that sentence.

But the court could also sentence Breivik under a provision called "preventive detention," which also has a maximum of 21 years but can be prolonged in five year increments after that -- which means the court can detain Breivik indefinitely after his sentence if he is found to be a continued threat to the public.

If the court finds Breivik insane, he cannot be sentenced to prison or preventive detention, but can be confined to a psychiatric institution for the rest of his life, pending reviews of his mental state by the court every three years.

The prosecution will argue that Breivik was insane at the time of the attack, according to CNN's Diana Magnay. A verdict of insane would allow Breivik to be placed in this involuntary psychiatric treatment, which means he will receive a sentence (of less than 21 years) that can then be extended indefinitely for three-year periods pending an evaluation of his threat to the public.

The death penalty is not an option -- Norway banned the peacetime practice of it in 1905, and Johnsen says no one has been executed since roughly 20 Norwegian war criminals were put to death following World War II.

Breivik's defense will try to prove he was sane at the time of the killings, his lawyers have said.

Has anyone ever been jailed for life in Norway?

While people may have been remanded to psychiatric wards indefinitely following crimes, Johnsen says no one has ever been detained indefinitely under preventive detention until their death because the law has only existed in its current form for roughly a decade.

How likely is it Breivik will ever be freed from state custody?

While it is too early to tell how people will feel about Breivik as a threat to public safety in 20 years, Johnsen believes Breivik will walk free one day if he's determined to be sane by the courts.

"I think he will get out at some point, unless it comes up that he is really insane and will be for the rest of his life," he told CNN. "I don't know if he's insane -- what we know from the past is that it's not uncommon for criminals that acted from a political motivation to change their ideology and beliefs as they get older, and they think differently about the things that brought them to commit these crimes, and then their danger to society becomes reduced."

CNN Wires and CNN's Diana Magnay contributed to this report.

@highlight

Breivik accused of killing 77 people in Norway last summer in bomb and gun rampage

@highlight

Potential sentence hinges on whether court finds Breivik sane or insane at time of killings

@highlight

Breivik's trial will be partly televised and is expected to last up to 10 weeks

@highlight

Expert: Breivik could one day walk free after serving sentence