(CNN) -- The images still inspire. Children sitting on their parents' shoulders amid a sea of American flags, fluttering on a cool Chicago night. A young black woman running to get as close as possible to the stage.

On November 4, 2008, Grant Park absorbed the world's focus: Barack Obama was elected president of the United States.

His victory speech stopped the Earth from spinning, if only for an evening, and drew the world's attention to an America where anything was again possible. Obama's victory energized a pulsing crowd of a hundred-thousand, their dream deferred no longer. Journalist Lois Wille called it "a great big huge happy evening" that would perhaps "wipe the memory" of a more divided America away.

Still, the podium was wrapped in bulletproof glass. Chicago charged all its 13,500 police officers with protecting America's great hope. It sent firefighters home wearing their uniforms so they would be ready to respond. We were not sure the promise and possibility of that moment was shared by every American. Yet that clear night, we celebrated the peaceful transition of power and the dawn of a different day.

This is a good country, full of good and great people, dedicated to an extraordinary American promise, our commitment to equal opportunity for everyone. That evening, even the most hardened partisan hearts could feel it. Our country had taken a step forward in racial relations, a big step, something that spoke of what our nation might yet become. A good nation had become an even better one, where the scars of some old wounds had healed and the pain of intense divisions, though not forgotten, had receded farther into memory.

Now the world is stopped no longer. How did we get from that America to this?

Benghazi. The IRS. AP phone records. The failures for which Barack Obama will be remembered are not just those of one man or one administration. They are the failures of an old idea, that big, old, dumb, top-down, factory style government can manage the complexities of modern times. The institutions of the past had their day but can't keep up with the hyper-connected, adaptive society we see emerging.

The attorney general says his department's secret acquisition of reporters' phone records is a "matter about which I know nothing."

The then-secretary of state testifies she didn't know about and never reviewed specific security requests from those under her care in Benghazi. Our president learns about "outrageous" acts admitted by the IRS under his watch from the news media. These days, everyone takes responsibility but no one is actually responsible.

David Axelrod explained it. "Part of being president is there's so much beneath you that you can't know because the government is so vast," he told MSNBC.

Exactly. So making it bigger and more expansive can only amplify its failures. This is the best Washington can do, not the worst.

However, older industrial-age government is what President Obama insists upon. His administration still wants to control health care, retirement, the economy and almost everything else top-down, politically and artificially from distant palaces of marble. They want to run America from a bureaucracy so vast, its actions can't be known, even by those responsible for them.

Yet the failure of Barack Obama's old ideas about governing may not be the most disappointing element of his legacy.

Unable to accept the constant and consistent failure of "progressive government," some of the president's defenders have already been reduced to saying that the attacks on Obama are unjust, launched against him, not on their merits, but because of his race.

Chris Matthews of MSNBC could find no better way to rationalize the loss of his well known "tingle" than to explain that the country that just elected Obama a second time is inimical to his color. Matthews explained the dimming of Obama's halo like this:

"The problem is there are people in this country ... who want this president to have an asterisk next to his name in the history books. ... They can't stand the idea that he's president and a piece of it is racism." Matthews continued, "It is the sense that the white race must rule. That's what racism is. And they can't stand the idea that a man who is not white is president. That is real. That sense of racial superiority and rule is in the hearts of some people in this country, not all conservatives, not even all right wingers. ... And a big part of it is bought into by people like John Boehner."

Back we go to the day when old wounds were open and divisions among Americans were fresh.

No, Mr. Matthews, racism is not the problem here. This president can and is being judged on the measure of his actions. He is being judged on the content of his character, not the color of his skin.

We've reached a good place in America. We have our first black president. Have we reached the place where we can have our first bad black one?

Chris Matthews' hysteria is evidence we are not there yet.

These next few months, Republicans, Democrats and the news media must conduct themselves better than this.

The opinions expressed in this commentary are solely those of Alex Castellanos.

@highlight

Alex Castellanos says the promise of Obama's election as president has evaporated

@highlight

He says the scandals, controversies reflect a sprawling government that is out of control

@highlight

Castellanos: Some defenders detect an element of race in president's troubles

@highlight

He says problem is "top-down, factory style government" that can't manage today's complexities