(CNN) -- I'm in a room built for laughter and I'm fighting the urge to faint. Or vomit. Or at least dab at the beads of sweat forming on my upper lip.

If you're not great with small spaces, then an anechoic chamber probably isn't an ideal place to conduct an interview. Barely large enough to fit two chairs, with every surface covered in foam wedges and a TV bolted to the wall, the sound-proof bunker has the unnerving appearance of an apocalyptic Big Brother Diary Room.

It's the type of place where nobody could hear you scream -- and that's exactly the point. This echo-free room is where University College London scientist Sophie Scott has been recording laughter, in an effort to find out what makes us giggle and why.

"I don't like coming in here, it makes my head feel thick, like I've got a load of blankets dropped on me," said the 46-year-old professor of cognitive neuroscience, as we sit down to talk about her work.

"This is where we record a lot of our emotional stimuli. We try to make people laugh in here, which is something of a challenge. We've also made people cry in here, so that was a day in the park -- crying in an anechoic chamber, the perfect storm," says Scott before adding her own cheerful chuckle, her large cartoon moon earrings jangling in agreement.

Laugh out loud

How do you send someone into stitches, in such an uncomfortable environment? YouTube clips help -- that's where the TV comes in. But the best trick is being with friends. In fact, we're 30 times more likely to laugh when we're with other people, according to Scott.

As part of their experiments, Scott and her team recorded two types of laughter in the anechoic chamber -- real, uncontrollable whooping, and posed, deliberate, chuckling.

They then played the recordings to over 1,000 people while scanning their brains with fMRI.

"When people heard the posed laughter, there was more activation in brain areas associated with 'mentalizing' tasks -- ie. trying to work out what someone else is thinking," said Scott.

"Real laughter was much less ambiguous than posed laughter -- if someone is really laughing hard, it's easy to understand what they are doing."

They also found men and women processed laughter in much the same way.

"We have a myth that women and men use communication very differently -- that men aren't emotional and women are somewhat too emotional," said Scott. "It's not the case."

Standup scientist

Scott is a woman of infectious merriment. Her conversation is sprinkled with warm chortles, and even the message alert on her phone is a cackle.

As a child growing up in Lancashire in the north west of England, she was surrounded by parents who were "big laughers," and recalls them singing silly songs to the point of hysterics.

Unsurprising then, that the mother-of-one calls herself a "standup scientist," performing with the university's Bright Club -- a group of researchers using comedy to deliver their message on stage

"It was one of the most terrifying things I've ever done, but I've completely got the bug for it now, because it's such an interesting way to approach your work," said Scott.

Ada Lovelace

This week Scott will again be taking to the stage to help mark Ada Lovelace Day, in honor of the 19th century female mathematician, often credited as the world's first computer programmer.

Scott will be one of many prominent female scientists, engineers, and technologists talking about their work at Imperial College London.

"It's still a case that on the whole, the stereotype of the scientist is the gray beard, white coat man in a laboratory -- and of course, that's not true," said Scott.

"One of the important things to remember about women in science is actually, there's loads of them. It's just that we lose them, we don't value them as much, we don't think they count in the same way."

Indeed, Yale researchers have found potential employers still view young male scientists more favorably than their female counterparts.

Universal language

For Scott, laughter is more than displaying amusement -- it's a primal way of showing people that we like them and want them to like us.

"Laughter is the only positive emotion we found to be cross-culturally recognized. It doesn't matter where you are in the world, it's a sound that people recognize," she said.

"Interestingly enough, it's not constrained to humans. Chimpanzees laugh, orangutangs laugh, even rats laugh."

Scott pointed to studies done by U.S. scientist Jaak Panksepp, who found that rats made the same high-pitched "laughing" sound when they were playing, as when they were being tickled.

Such is the bonding power of laughter that it can even help make or break a relationship, as Scott explains: "Some of the things scientists are finding is couples who manage stressful situations with positive affect -- laughter -- are the people who stay together longer."

"Comedian Victor Borge said 'laughter is the shortest distance between two people.' I think what Borge was getting at was the intimacy of laughter. It's an expression of closeness."

@highlight

Meet Sophie Scott, the "standup scientist" uncovering what makes us laugh

@highlight

Discovered brain reacts differently to real and posed laughter

@highlight

Speaker at Ada Lovelace Day, female scientist believed to be first computer programmer

@highlight

Laughter not confined to humans -- chimpanzees, orangutangs, and even rats laugh