While the nation waits to see whether the 1965 Voting Rights Act will be dismantled by the U.S. Supreme Court, it is worth reviewing how the act affected one group that had long opposed black suffrage: Southern white politicians

Before 1965, many white officeholders helped build their career by preventing blacks from voting. They could easily ignore black citizens.  In the very first primary election after passage of the Voting Rights Act, that began to change.

In Alabama in 1966, Lurleen Wallace was standing in for her husband, George Wallace, who was unable to run again because of term limits. She faced a challenge from Attorney General Richmond Flowers, the first Democrat to seek black votes. If elected, he promised to remove the Confederate flag that flew atop the State Capitol and delete the words "White Supremacy" from the party emblem.

Flowers campaigned mostly in black communities and joined in singing "We Shall Overcome." In return, he received the support of the Rev. Martin Luther King Jr. and Alabama's two largest black political groups, the Confederation of Alabama Political Organizations and the Alabama Democratic Conference, groups shunned by white candidates.

Other candidates, once intensely racist, surprisingly followed Flowers' lead.

Al Lingo -- head of Alabama's State Troopers and one of the architects of Bloody Sunday, the assault on Selma-to-Mongomery marchers on March 7, 1965, by state troopers and deputies -- sought black votes in his race for Jefferson County sheriff.

"I want the support of everybody, white or colored," he said. As for Bloody Sunday, he claimed that he had wanted to let the marchers proceed, but the governor overruled him, making him the "scapegoat" for what occurred. If elected, he promised that the sheriff's office would include black deputies.

Even more startling was the behavior of Jim Clark, Sheriff of Dallas County, who was seeking re-election.

Just the year before, Clark had treated African-Americans seeking the right to vote in Selma with unparalleled savagery and led the Bloody Sunday assault. Now he attempted to woo black voters.

On April 24, he invited them to join him at a picnic where beer and barbecue were served. Turnout was disappointing. "A man can't beat us in 1964 and 1965 and expect us to vote for him in 1966," noted one black leader.

Because black votes now counted, reporters covering the campaign noted that the n-word, once a political staple, had disappeared. George Wallace, accustomed to saying "Nigra," now struggled to remember that it should be pronounced "Negro."

While Lurleen Wallace won an overwhelming victory on Election Day, Lingo received less than one-tenth of the number of votes cast for his opponent. Clark, facing defeat, attempted to steal his election, but he was blocked by Assistant Attorney General John Doar, who took him to court in the first lawsuit brought under the Voting Rights Act. Clark lost in court, ending his long reign of terror in Alabama.

The 1966 Alabama primary was a preview of what was to come. In the years that followed, George Wallace apologized for his earlier racist views and sought the support of black voters. But perhaps more important -- and more striking -- was the evolution of South Carolina's Strom Thurmond, who had opposed the Voting Rights Act in 1965 and its renewal in 1970 and 1975.

In 1982, civil rights activists worried that Thurmond would use his power as chairman of the Senate Judiciary Committee to kill the act's reauthorization. Thurmond's opposition to integration went back decades. In 1948, Harry Truman's civil rights programs had led Thurmond to bolt the Democratic National Convention and run for president as a "Dixiecrat."

As a senator, Thurmond launched a historic filibuster against the 1957 Civil Rights Act and denounced the 1964 Civil Rights Act as "vicious." That same year Thurmond became a Republican and supported Barry Goldwater for president, beginning the political transformation of the South from staunchly Democratic to reliably Republican.

By 1982, 30% of the voters in Thurmond's state were black, leaving the senator little choice but to vote for the act. In doing so, he said that he did not want to fall victim to "the common perception that a vote against the bill indicates opposition to the right to vote and, indeed, opposition to the group of citizens who are protected under the Voting Rights Act." Or, as he earlier told a racist colleague who lost a campaign for governor of South Carolina, "we can't win elections any more by cussin' Nigras."

The Voting Rights Act had succeeded in doing what it was created to do: create millions of new black voters, and -- less understood -- free white Southern politicians from always opposing black gains. There is no better example of democracy in action. In 2006, not a single senator from a state covered by the Voting Rights Act voted against its renewal.

Should the Supreme Court now significantly weaken the protection of minority voting that the act provides, we may well return to a time when "cussin' Nigras" is again a politically acceptable strategy.

@highlight

Gary May: Court to consider 1965's Voting Rights Act provision

@highlight

He says in 1966, Alabama's white attorney general broke ground seeking the black vote

@highlight

He says racist candidates, even Strom Thurmond, would end up courting the black vote

@highlight

May: Act increased the black vote and altered the approach of white Southern politicians