Since the early days of his first presidential run, Barack Obama made a pledge -- to talk directly with America's enemies -- that most other politicians found naive.

The approach famously drew snickers from Republicans and Democrats alike, who derided it as irresponsible -- a criticism that followed Obama into the White House.

In the twilight of his administration, Obama's Wednesday announcement on normalizing relations with Cuba represented his last best chance to turn this idea into a doctrine that outlives his presidency.

"Change is hard — in our own lives, and in the lives of nations," Obama said. "Change is even harder when we carry the heavy weight of history on our shoulders. But today we are making these changes because it is the right thing to do."

The challenge for Obama has always been to turn lofty foreign policy concepts into concrete results.

The administration is also working on a groundbreaking nuclear deal with Iran, which, like Cuba, has been estranged from the United States for decades. But those talks, while showing signs of progress, aren't complete and have been bogged down by details and domestic politics in both countries.

Taken together, Obama's approach to Cuba and Iran could decide whether he leaves the White House as a global statesman or as a president with unfulfilled big ideas.

That dynamic is already playing out in the nascent 2016 presidential race. Republicans looking to retake the White House are slamming the Obama policy as reckless and say it leaves America less safe.

Jeb Bush, a day after declaring he was exploring a 2016 run, called the move a "dramatic overreach" of Obama's executive authority.

Marco Rubio branded the move as a "dangerous and desperate attempt by the President to burnish his legacy at the Cuban people's expense."

Anticipating fierce blowback against Obama's moves, a senior administration official also stressed that the president would not tone down his calls for the protection of human rights and democratic development in Cuba.

Soon after moving into the White House in 2009, Obama instructed Hillary Clinton's State Department to explore ways to promote an opening with Cuba, by then being led by Raul Castro.

But the capture of US contractor Alan Gross a few months later put the process on hold.

It was only when a deal was reached for the release of Gross on Wednesday, and a parallel swap of intelligence assets between the two sides, that the wider initiative to engage Cuba was unlocked.

Mirroring his approach with his bid to end the 30-year standoff with Iran, Obama authorized a secret diplomatic track with the Cubans in the spring of 2013, senior US officials said on condition of anonymity. The first of a sequence of face-to-face talks which addressed the full range of irritants between the two sides took place in Canada in June last year.

The US delegation was led by Ben Rhodes, a speechwriter who has become one of Obama's closest foreign policy confidants, and Ricardo Zuniga, the top National Security Council expert on Latin America.

In retrospect, Obama's handshake with Raul Castro at Nelson Mandela's memorial service in South Africa a year ago might have offered a hint at the high stakes diplomacy going on behind the scenes.

But Wednesday's actions were clearly those of a president who, eying his legacy, with only two years left in office, is still chasing blockbuster political achievements that eluded his predecessors.

"This is a legacy grabbing moment," Julia Sweig, an expert on Cuba at the Council on Foreign Relations told CNN.

Carl Meacham, a Latin America scholar at the Center for Strategic and International Studies said the Cuba initiative had the potential to flesh out a presidential resume needing big wins.

"For a presidency that has at best modest achievements in the region ... to take the United States to the pathway of normalization is a clear legacy for Barack Obama," he said.

Obama's presidency has in many ways often been a quest for the dramatic 'Nixon to China'-style initiative — from his early calls for the elimination of nuclear weapons, his request for a "new beginning" with Muslim nations in his Cairo speech in 2009 and his drive for a nuclear deal with Iran.

But often, Obama's best intentions have been overtaken by chaotic global politics. The Arab Spring uprisings and subsequent authoritarian crackdowns and civil wars rendered his Cairo musings irrelevant.

The rise of ISIS has challenged Obama's claim to have ended the Iraq war and the fate of Afghanistan looks deeply uncertain following the end of NATO combat operations this month.

Other initiatives have also fizzled, like the much heralded first term "reset" of relations with Russia trashed by the return to the Kremlin of Vladimir Putin. Kerry's Middle East peace drive has failed.

Still, the U.S. effort to promote political change in Myanmar has been a success — though is hung up on tricky questions of how much democracy the Southeast Asian nation's military will permit.

Cuba has the potential to bolster Obama's reputation in the Western Hemisphere, where regional leaders had been piling on pressure for serious opening toward Havana.

"This president is going to get an enormous amount of support from most of the heads of government in Latin America," said Sweig.

The Cuba bombshell is also another indication of the growing geopolitical opportunities opening up for the Obama administration as global oil prices collapse. Cuba's leaders may well have been more receptive to US advances, given the fact that Venezuela, its patron in the region is tanking along with energy prices.

Another Cuban ally, Russia, is seeing its own economy slump for the same reason and analysts said Havana may have decided that its best hope for economic stability may lie in closer ties with its old enemy -- the United States -- in a twist of fate that gives Obama one more chance to make good on that promise he made back in 2007.

@highlight

Obama makes good on vow to engage US enemies

@highlight

Cuba offers hope to legacy needing big foreign policy wins

@highlight

Republicans accuse president of appeasing dictators