(CNN)The onslaught on Houthis rebels in Yemen continued Tuesday, with the Saudi-led coalition asserting increasing control while locals fled the chaos and casualties piled up -- dozens of civilians among them.

Five days after their first airstrikes, the coalition has destroyed air defense systems of the Houthis and supporters of Yemen's longtime President Ali Abdullah Saleh, and rendered all but a fraction of air bases and stripes unusable, a Saudi source said.

Saudi Arabia's navy now controls all Yemeni ports, allowing only closely watched non-military medical goods to pass its blockade, according to the source.

This effort isn't over, including widespread attempts to locate and destroy Scud missiles still in the country, the source said.

The Saudis appear intent on seeing it through, as evidenced by remarks from Saudi Foreign Minister Saud al-Faisal in Riyadh.

"The Houthi militia and agents of the former president -- supported by Iran -- insist to meddle in Yemen, reshuffle the cards, rob the Yemeni will, make a coup against the constitutional legitimacy and reject all peaceful solutions," al-Faisal said, according to the state-run Saudi Press Agency.

"We are not warmongers," he added. "But if war's drums are beaten, we are ready for them."

The airstrikes -- the latest focused around Aden, Taiz and coastal cities -- come at a cost, and not just to Houthi rebel fighters.

The International Red Cross said that intense fighting had brought "disturbing reports of civilian casualties," with some of the worst violence around the port city of Aden.

Erich Ogoso, a spokesman with the United Nations' humanitarian agency, reported 182 dead and hundreds more wounded just between last Wednesday and Sunday. Some 75,000 people have been displaced in the past week,  many health facilities shut down and food prices have skyrocketed.

"Increasing hostilities have led to (the) targeting of schools, health facilities and other social infrastructure," Ogoso said. "... There are reports of damage to residential areas in different cities, and in Aden, minors have reportedly taken part in the fighting on all sides."

Airstrikes that hit the Al-Mazraq camp for displaced persons near Sanaa killed at least 29 people -- women and children among them, according to aid group Doctors Without Borders. About 1,100 families live in the camp, said U.N.'s humanitarian affairs coordinator for Yemen, Johannes Van Der Klaauw.

"They are," he said, "among the most vulnerable people in Yemen."

Yemen has been in disarray for some time, beset by widespread poverty and insecurity. Those factors helped terror groups like al Qaeda in the Arabian Peninsula find homes in the Arab nation, but didn't help its 26 million citizens in their quest for peace and prosperity.

The instability escalated as the Houthis, a minority group long marginalized in Yemen, increasingly challenged the government of President Abdu Rabu Mansour Hadi (who in 2012 took over for Saleh, who had been in power for 33 years).

The Houthis began moving into Sanaa in September, then headed into Aden earlier this month -- advancing despite intermittent (and, time and again, unsuccessful) talks aimed a peaceful political solution to the unrest.

Things finally came to a head last week, with Hadi -- who claims to still be President, even though the Houthis control government institutions -- left Yemen. At roughly the same time, Saudi Arabia and its allies came in with force to support Hadi, who they say remains Yemen's legitimate leader.

The burgeoning conflict threatened to open a wider rift, not just in the region but in the Muslim world. That's because the Saudis have painted the Houthis as tools of Iran's government, an accusation that also reflects the fact Saudi Arabia (and their allies in the coalition) are predominantly Sunni Muslims, while Iran and the Houthis are Shiites.

The state-run Saudi Press Agency quoted Saudi Minister of Foreign Affairs Prince Saud al-Faisal as saying Tuesday that he would not condemn Iran, but would instead test the country's intentions "by extending our hands to it as a Muslim neighbor to open a new page."

If those two countries could achieve real cooperation, it could ease the pressures that are tearing Yemen apart.

On the other side, Iranian Deputy Foreign Minister Hossein Amir-Abdollahian said that officials in his country and Saudi Arabia can help bring about a "political solution" in Yemen, according to Iran's state-run Press TV, citing AFP.

If they don't, war could inflame the entire region.

"We strongly object to the military solution in Yemen," Amir-Abdollahian said, reiterating a view made by other Iranian officials. "We believe that the Saudi military attack against Yemen is a strategic mistake."

@highlight

Saudi minister: "If war's drums are beaten, we are ready for them"

@highlight

U.N. official: At least 182 killed in the past week, including civilians