(CNN)In July of 2013, the oldest of Jesus relics stories rose again when Turkish archaeologists discovered a stone chest in a 1,350-year-old church that appeared to contain a piece of Jesus' cross.

"We have found a holy thing in a chest. It is a piece of a cross," said excavation team leader Gülgün Köroğlu, an art historian and archaeologist. At the time, she thought the chest served as a symbolic coffin for a holy person's relics -- ones connected to Jesus' crucifixion.

And then, silence.

The latest relic of the cross on which Jesus had died stalled out because, as Köroğlu later said, the box that had contained allegedly holy objects was now -- mysteriously -- empty.

The latest episode of the "true cross," a powerful identifier for the faith of more than two billion people, is symbolic of the pitfalls in the hunt for Jesus relics.

To say something smacks of the "true cross" can mean it's a matter of divine certainty or of utter fraud. Could fragments of the true cross of Jesus really be among us today? Could fragments of a tree survive millennia? Or are they fragments of forgery that speak to our need to believe?

The true cross phenomenon begins with Emperor Constantine, the first Roman emperor to convert to Christianity. He sent his mother Saint Helena (c. 246-330 CE) to find Jesus objects in the Holy Land.

When Helena traveled to Jerusalem in 326 CE the city was still suffering the destruction caused by the last Jewish War in 132-35 CE. After defeating Israel, Roman Emperor Hadrian built a pagan temple over Jesus's tomb near Calvary -- a grave insult to the new religion.

Helena ordered this pagan temple torn down and began to dig beneath it to find relics related to Jesus. Her workers found three different crosses -- a discovery directly relating to the Gospels, which tell us that Jesus was crucified along with two criminals.

The historian Rufinus (c. 340-410) reveals that in order to discern which cross was Jesus', Helena had a dying local woman brought to the site. The ill woman touched two of the crosses, but nothing happened. Then she touched the third -- and she recovered. The true cross of Jesus had been revealed.

Helena carved it up, leaving some of it in Jerusalem and transporting a chunk to Europe where it seemingly multiplied, so much so that Protestant reformer John Calvin said: "... if all the pieces that could be found were collected together, they would make a big ship-load. Yet the Gospel testifies that a single man was able to carry it."

But was Calvin exaggerating to support his own reforms to Catholicism? How could we ever know what the true cross was made of, or looked like, since neither the Gospels -- nor the Romans -- bothered to tell us?

Enter science.

In 1870, French architect Charles Rohault de Fleury catalogued all known fragments of the true cross. He determined the Jesus cross weighed 165 pounds, was three or four meters high, with a cross beam two meters wide.

If all these bits of the cross were cobbled together, he reckoned, they wouldn't amount to a third of the cross on which Jesus died. And based on the fragments he was allowed to examine by microscope, de Fleury concluded the true cross was made of pine wood.

Later, four cross particles were also microscopically examined -- part of ten pieces of the true cross, accompanied by documentary proofs from Byzantine emperors. These fragments came from grand European churches: Santa Croce in Rome, Notre Dame in Paris, and the Cathedrals of Pisa and Florence. But scientists discovered that they were all made of olive wood.

So now the question became: Was the cross of Jesus made of olive wood or pine?

One of the perplexing realities for archaeologists is a lack of residual wood from the massive record of Roman crucifixion. Despite the fact the Romans killed tens of thousands of people through crucifixion -- and as many as 500 a day during the siege of Jerusalem from 66-70 CE -- the only piece of evidence connected to this terrible punishment was discovered in 1968, when archaeologists found the heel bone of a crucified man with the nail still intact.

In the Israel Museum in Jerusalem, Israel Hershkovitz, who teaches anatomy and archaeology at Tel Aviv University, said that the heel bone of the crucified man was found in a Jewish burial tomb in a northern suburb of Jerusalem, near Golgotha -- the hill where the Romans crucified people.

The man, whose ossuary, or burial box, identified him as Yehohanan, was in his mid 20s when he died on the cross. His good teeth and lack of heavy musculature meant that he most likely came from a wealthy family, for most crucifixion victims were far too humble to wind up in tombs --save for Jesus, who was put in one by the wealthy Joseph of Arimathea. Others buried in the same tomb as Yehohanan had connections to the Temple, so it's possible that he was killed by the Romans for some political transgression.

Yehohanan was cut down from the cross with a 4.5-inch nail still in his right heel bone, and with part of a board still attached to the head of the nail. Hershkovitz believes that the relative shortness of the length of the nail reveals much about Roman crucifixion methods. "The nail was too short (to go through) two heel bones, so sure enough each foot was hammered separately to the cross."

Hershkovitz is convinced that crosses were not made from olive trees because the people depended on the olive tree for food and wouldn't be slashing them down to make crosses.

More importantly, for the purpose at hand, they wouldn't be suitable because of the structure of the tree itself.

Olive trees don't grow tall and straight, it branches everywhere, and there are a lot of holes in the wood, making it difficult to support the nails against the weight of the victim.

"The olive tree is the least appropriate tree. We have different type of local oaks that better serve the purpose."

Today there are even more "true cross" fragments on display around the world: on Mount Athos, in Rome, in Brussels, in Venice, in Ghent, in Paris, in Spain, in Serbia -- and even in Boalsburg, Pennsylvania, where a fragment of the true cross came along as part of the family chapel imported there and rebuilt by Theodore Boal for his French bride.

If you want your own sliver of the cross on which Jesus died, eBay offers several choices -- with some having original wax seals preserving "integrity" and some having documents attesting to their authenticity.

Mark Goodacre, a professor at Duke University's Department of Religion, says that this continued emphasis on the genuineness of true cross fragments is often at the expense of the cross's meaning.

"The thing about the cross is you've always got to remember that it's about the person who hung there, the wood itself in the end is just the instrument of torture."

Michael McKinley is co-author, with David Gibson, of "Finding Jesus: Faith. Fact. Forgery.: Six Holy Objects That Tell the Remarkable Story of the Gospels."

@highlight

The true cross phenomenon begins with Emperor Constantine, the first Roman emperor to convert to Christianity.

@highlight

Could fragments of a tree survive millennia? Or are they fragments of forgery that speak to our need to believe?