San Diego, California (CNN) -- This week, there was a massive attempt to gate-crash on the U.S.-Mexico border, part of the "Bring Them Home" campaign. A better name for it would be "Operation Return to Sender."

About 30 young immigrant deportees, intent on re-entering the United States from Mexico to rejoin families or resume their lives, tried to cross the border. Donning caps and gowns or wearing T-shirts that read: "I Am Undocumented," they politely presented themselves to U.S. border agents to ask for asylum -- and essentially dared the authorities to make a federal case out of it. They were quickly apprehended and shuttled away.

And -- like the Malaysian jetliner that disappeared -- they haven't been seen since. U.S. Customs and Border Protection agents said privacy laws prohibit them from revealing what happened to the uninvited guests.

If you think that's the real reason for their silence, I have eight Southwestern states that used to belong to Mexico that I'd like to sell you.

The real reason the agency is keeping quiet is politics. No matter what the administration does with those it apprehended, it is going to catch heat. If it lets them stay in the United States to pursue asylum claims, as it did with others who entered the country in similar fashion last year, the right wing will be upset. If it simply deports the immigrants back to Mexico, or locks them up in a detention facility, the left wing is likely to rise up.

As it is, many immigration activists at the grass-roots level have had their fill of this administration and its political games. They're frustrated because President Obama broke his promise to Latino voters to make immigration overhaul a top priority; because he seems to think flowery words are just as good as decisive action; and because he is better at removing the undocumented than at finding ways for them to stay in the United States.

This month, Obama is expected to reach a dubious milestone: the 2 millionth deportation under his watch.

Obama's administration, with its highly aggressive Department of Homeland Security, expanded a program called Secure Communities, which ropes local police officers into enforcing federal immigration law, Arizona-style. The administration has deported more people than the population of Nebraska. Along the way, as collateral damage, it has also destroyed hundreds of thousands of families.

That is part of what this protest at the border was all about. Some of those who were removed have refused to take "go" for an answer.

Perhaps they took the President at his word when he promised to use his executive power to get things done if Congress refused to act. Apparently, those "things" don't include something that clearly falls into the purview of the executive branch: stopping deportations. Or perhaps they bought into his rhetoric about how undocumented young people who were raised in the United States are Americans in every way except legal status. If that's true, why can't they come home?

Obama has made hash out of his immigration policy by pretending to be lenient toward illegal immigrants while dropping the hammer on them. He can be a nice guy, or a tough guy, but not both. He should pick one and stick to it.

That's why the administration -- and its defenders in the self-serving Washington-based immigration lobby -- would like to ignore what happened this week on the border. Every time an immigration activist turns down the rhetorical crumbs offered by this administration and demands something more substantial, it reveals that, on the immigration issue, liberals aren't as liberal as they like to think.

It's one thing to say that the system is broken and needs to be fixed so that our borders are secure and people who want to come here legally can do so more quickly and efficiently. It's another to go to bat for those who have been deported.

Because these folks were here illegally, it's easy to argue that they got what they deserved. Yet, what should worry Americans is that -- in a misguided attempt to ease the pressure that working-class Americans feel from competing for jobs with illegal immigrants -- Obama has used the heavy club of a powerful agency that was designed to fight terrorism. The administration is seeking, in the 2015 fiscal year, a staggering $38.2 billion for the Department of Homeland Security for a "continued commitment to the security of our homeland and the American public." This, to uproot 2 million people who pose no threat to the homeland or the public.

For years, U.S. authorities would use their discretion to keep immigrants out of removal proceedings: battered wives who went to police for help, tamale vendors who gathered outside grocery stores, people with green card applications pending, children with U.S.-born relatives. These are the people being deported.

Those 2 million deportations also include classes of people that Obama has routinely said will not be deported, such as Dreamers -- those undocumented young people who were brought here as children -- and parents with U.S.-born children.

The days of common sense immigration enforcement are over. In the last five years, it's all been about driving up the numbers by any means necessary. It worked. The damage is done. We'll be suffering the aftershocks for generations to come.

That's what the protesters on the border were trying to tell us. We need to listen.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

About 30 deportees in Mexico went to U.S. border to try to re-enter as a protest

@highlight

Ruben Navarrette: Immigration activists are tired of administration's political games

@highlight

Navarrette: Soon, the number of deportees will hit 2 million; collateral damage is families

@highlight

We should listen to the protesters on the border and fix this mess, Navarrette says