(CNN) -- An Iranian-American ex-Marine accused of spying on his ancestral homeland helped develop an electronic translator for U.S. troops but wouldn't have been involved in espionage, a onetime colleague said Wednesday.

Iranian state television aired what it called a "confession" by 28-year-old Amir Hekmati over the weekend. His family said Tuesday that he was arrested in August while visiting his grandmother and other relatives in Iran, and that his statement had to have been coerced.

"It just doesn't sound like Amir to me," said Sherri Condon, a software engineer who worked with Hekmati in 2008 and 2009 on an effort to develop a two-way, hand-held electronic translator.

Condon was the lead author of a 2008 paper describing the research. She thanks Hekmati in the acknowledgments. She described him as "an entrepreneurial guy" who sent colleagues a holiday card with a quote from Benjamin Franklin: "Be always at war with your vices, at peace with your neighbors, and let each new year find you a better man."

"I really like him," said Condon, who identified Hekmati from the images released by Iranian state television. "He wasn't too nose-to-the-grindstone, but he really worked and put out good effort on behalf of these programs we worked with."

The work, funded by the Defense Advanced Research Projects Agency, was aimed at improving communications between U.S. troops and local populations -- a problem with which Hekmati had grappled during service with the Marines in Iraq. He appeared in a video that touted the "souped-up iPods," and he described how American troops sometimes lost hours waiting for a translator to help them pose simple questions.

"He knew enough to be very helpful for us, and he was very helpful to us in terms of understanding the context in which the devices might be used," Condon said. "He had the military experience."

The Arizona-born, Michigan-raised Hekmati joined the Marines in August 2001, after high school. His four-year hitch included an assignment to the Defense Language Institute in Monterey, California, and a six-month deployment in Iraq in 2004, according to U.S. military records.

In 2006, after leaving the service, he started his own linguistics company and began offering his services as an English-to-Arabic translator, according to Michigan incorporation records. He contracted his services to the military as well as civilian businesses, offering training in cultural competency and working with troops at military bases to promote understanding of and positive communication with people of other cultures, his family said.

In 2010, he spent five months working as a research manager for defense contractor BAE, company spokesman Brian Roehrkasse told CNN. And Condon said Hekmati recently worked for a company that produced language-training material for the U.S. military.

The United States and Iran have no direct diplomatic relations, but Hekmati's family said he made the trip after obtaining permission from the Iranian Interests Section of the Pakistani Embassy in Washington. The interests section has not responded to CNN requests for comment.

News of Hekmati's detention is the latest turn in a series of allegations of espionage and plotting between Washington and Tehran, following the capture of a U.S. surveillance drone by Iran, Iranian claims to have arrested a dozen CIA spies and U.S. allegations that Iran sought to kill Saudi Arabia's ambassador to the United States.

Hekmati's family said that after his August 29 arrest, Iranian officials told them to remain silent "with the promise of an eventual release," but they went public after Iranian television aired the accusations and Hekmati's statement on Sunday.

In Washington, U.S. State Department spokeswoman Victoria Nuland told reporters Tuesday that Hekmati is being falsely accused, but had no further comment.

Condon said she fears Hekmati's military history drew him unwelcome attention in Iran.

"I can't begin to imagine what must have been in their minds, but I agree he wouldn't have been involved in any spying," she said.

She said she has worked with other people who have families in Iran, "and it's always scary when they go to visit."

"They're always worried," she said. "You feel so helpless, because it seems like there's nothing you can do."

CNN's Brian Todd and Barbara Starr contributed to this report.

@highlight

"It just doesn't sound like Amir to me," a former colleague says

@highlight

Hekmati's military experience helped in testing translation devices, she says

@highlight

The Arizona-born, Michigan-raised ex-Marine has been jailed in Iran since August

@highlight

Iran accuses him of spying; his family and U.S. officials say that's untrue