Editor's note: Thomas Levenson is a professor at MIT, where he heads the Graduate Program in Science Writing. He is the author of a new book, "Newton and the Counterfeiter" and an award-winning filmmaker, with 10 documentaries on science broadcast on PBS.

Thomas Levenson says Isaac Newton's bad gamble shows financial regulation has always been needed.

(CNN) -- From winter to spring 1720, London, England, was delirious, entranced, rolling in money.

It seemed as if riches were so easily gained that only fools would not buy into that brand new engine of wealth, the stock exchange, and especially into shares of the enterprise leading the boom, a banking concern called the South Sea Company.

As spring turned into summer, no one, it seemed, could deny the obvious, not even the most rational of men.

So, in June and again in July, Sir Isaac Newton -- the inventor of calculus (the branch of mathematics that describes change over time, which is to say, an awful lot of what matters in both science and life); the man who framed the laws of motion and set physics on its modern trajectory; a pioneering chemist, an inventor (virtually all present-day telescopes derive from his design), a religious historian -- and even a financial thinker -- put a sizable chunk of his personal fortune into shares of the South Sea Company.

The bubble burst that September. Newton lost 90 percent of his stake -- a substantial fraction of his total worth. In that loss can be found the key to the debate we are having right now in the wake of the Obama administration's move to re-regulate American financial markets.

Arguments over the supervision of financial transactions occur in the wake of every bubble. Opponents of such regulation always return to the same simple claim. They say that investors are grown-ups, capable of making the best assessments of their own interests and acting accordingly. Markets are thus no more than self-correcting mechanisms for connecting such rational actors, and any attempt to impose rules on their interaction will only render them less efficient.

Those in favor say that all this is nonsense, that in the real world, markets are not populated by equally well-informed people analyzing their own circumstances and acting accordingly -- and that every financial collapse thus takes down both those who should have known better and those who couldn't have hoped to.

Hence, they say, an active enforcer needs to provide a level playing field and to deter actual fraud. Painfully recent experience suggests that's true enough -- but Newton's case suggests a deeper necessity at the heart of the case for proactive regulation.

What happened to him, or rather, how he acted, reveals a fundamental truth of economic and emotional life: At the point of crisis, when clear thought and a cool head matter most, no one is in fact a rational actor -- not even the greatest scientific mind of his or any other age.

So what brought Newton low?

Desire, perhaps envy, or, in other words, human nature.

Newton had been an active trader in the new stock market for years before the bubble year of 1720. He made his first investment in the South Sea issue early, in 1713, and held it for several years, marking a modest paper profit. He held on through early 1720, as the company pursued a new and increasingly risky banking deal -- and as insiders began to talk up the (as it turned out, fictitious) trading profits the company expected from another venture.

That got the desired result, a sudden leap in stock prices. Starting at £128 in January, the price for South Sea securities rose to £175 in February and then £330 in March. Newton kept his head -- at first. He sold in April, content with his (quite spectacular) gains to date. But then, between April and June, share prices tripled, reaching over £1,000 ... which is precisely when he could stand it no longer. Having "lost" two thirds of his potential gain, Newton bought again at the very top, and bought more after a slight decline in July.

If that sounds familiar, it should, at least to buyers of Webvan in 2000, just before the Internet bubble burst -- or, for that matter, to those who picked up Lehman Brothers shares in winter 2008.

The South Sea stock price held up through August 1720, and then in September, the gap between the possible income from all the purchased debt and the returns promised to investors became too obvious to ignore.

The bubble burst, and South Sea share prices collapsed to roughly their pre-bubble level. Newton's losses totaled as much as £20,000, between $4 million and $5 million in 21st century terms. The catastrophe did not sink him; he had made other, more cautious investments, including a significant stake in the East India Company, and when he died in 1727, his estate was valued at £30,000 pounds. But it was a terrific blow, even so.

Here's why this story matters now. Of all people, Newton should have known better. He had, after all, invented the mathematics that could expose the impossibility of the South Sea Company's promise of returns to be paid to an everlasting stream of new investors. And yet, even he could not resist the prospect of infinite returns on his money.

Hence, the obligation to regulate. There is plenty of recent academic research that confirms that bubbles -- including the ones we've just endured -- are not unique disasters, but the predictable consequences of human behavior in the context of implausible rewards. What Newton's experience tells us is that this has been true since the beginning of modern markets -- and that mere intelligence, even genius, doesn't help.

Isaac Newton said so himself. After the disaster, he could not bear to hear the phrase "South Sea" mentioned in his presence. But just once he admitted that while he knew how to predict the motions of the cosmos, "he could not calculate the madness of the people."

We still can't.

The opinions expressed in this commentary are solely those of Thomas Levenson.

@highlight

Thomas Levenson: Isaac Newton was a mathematical, scientific genius

@highlight

He says Newton got swept up in the South Sea financial mania

@highlight

He says he lost a big part of his fortune when the South Sea bubble burst

@highlight

Levenson: Financial regulation crucial to protect investors