(CNN) -- The latest legal battle over same-sex marriage is in the hands of a panel of California federal appeals court judges.

Proposition 8, a 2008 measure approved by California voters that defined marriage as a union between a man and a woman, was the focal point of Monday's Ninth U.S. Circuit Court of Appeals hearing.

Opponents of the measure want the court to uphold a federal district judge's August decision, which ruled that the proposition violated the equal protection clause of the U.S. Constitution. Supporters note that the proposition was approved by 52 percent of voters, and argue that it protects the "institution of marriage."

"I believe it's to preserve the institution of marriage for the purposes that it has always served," attorney Charles Cooper said, arguing that the key reason marriage exists in society is "that sexual relationships between men and women naturally produce children."

Attorney Theodore Olson, representing opponents of Proposition 8, argued that the measure is unconstitutional and denies "the fundamental right of...citizens to marry."

"California has engraved discrimination on the basis of sex and sexual orientation into its fundamental governing charter," he said.

Ultimately, the judges' decision could hinge as much on who's arguing the case as what their arguments are.

The first half of Monday's hearing focused on the legal standing of the parties appealing the federal district judge's decision.

That's because Proposition 8 is in a "paradoxical situation," CNN legal analyst Jeff Toobin said.

"The usual defendants when you challenge a law of the state are the governor and attorney general of that state. But the governor and attorney general of California, Arnold Schwarzenegger and Jerry Brown, both agree with the plaintiffs that Proposition 8 is unconstitutional," he said.

So in their place, other groups have stepped in to defend the measure.

The question, Toobin explained, is "do they have the legal right to be there?"

Along those lines, the three-judge panel opened Monday's hearing with tough questioning of parties seeking to appeal the decision, including ProtectMarriage.com and Isabel Vargas, deputy clerk and deputy commissioner of civil marriages for Imperial County, California, where voters overwhelmingly approved Proposition 8.

"What's your best case to allow for your standing in federal court?" one judge asked attorney Cooper, representing ProtectMarriage.com.

"Your honor, I don't have a case," Cooper responded, referring to relevant past court decisions.

Cooper later urged the panel to consider the California Supreme Court's earlier ruling in favor of Proposition 8 "if you don't agree with me that we have standing."

Later Judge Stephen Reinhardt questioned attorney Robert Tyler, who represented Vargas, about how a deputy clerk, instead of the clerk, could have legal standing in the appeal. Tyler told the court that the county clerks are local officers, but they perform state functions such as civil marriages.

Monday's hearing was the latest in a long-running battle over same-sex marriage in California.

The state's high court had allowed same-sex marriage, but then the 2008 Proposition 8 voter referendum passed with 52 percent of the vote. The California Supreme Court subsequently allowed that initiative to stand, saying it represented the will of the people.

Two same-sex couples filed a federal challenge, saying the law violated 14th Amendment constitutional protections of due process and equal protection.

On August 4, U.S. District Judge Vaughn Walker agreed, ruling that the voter-approved ban on same-sex marriage violated the equal protection clause of the U.S. Constitution.

"Proposition 8 fails to advance any rational basis in singling out gay men and lesbians for denial of a marriage license," Walker, who was appointed to the federal bench by former President George H.W. Bush, wrote in his 136-page opinion. "Indeed, the evidence shows Proposition 8 does nothing more than enshrine in the California Constitution the notion that opposite-sex couples are superior to same-sex couples."

Same-sex marriage is currently legal in five states and in the District of Columbia. The five states are Massachusetts, Connecticut, Vermont, Iowa and New Hampshire.

Walker's landmark ruling led to a swift federal appeal that could ultimately reach the Supreme Court.

CNN's Catherine E. Shoichet and Michael Martinez contributed to this report.

@highlight

A panel of judges hears arguments over whether the measure is constitutional

@highlight

Opponents of Proposition 8 say it denies same-sex couples' rights

@highlight

Supporters say it protects the institution of marriage

@highlight

A federal judge's earlier ruling says the proposition violates the Constitution