(CNN) -- With 2013 firmly in the rearview mirror, the movers and shakers of the video gaming industry are focusing on where the next 12 months will take us.

With new platforms and consoles available and more people playing games on smartphones and tablets, the future appears to be open to a vast array of possibilities.

We asked four industry players what they think the next year will look like. Each offered a few specifics and a broader view about what will be important to game makers and players.

Many expect 2013's releases of new hardware and software platforms -- most notably, the PlayStation 4 and Xbox One consoles -- to spur creativity in game development and delivery.

Here's what they told us:

Ken Levine, creative director, Irrational Games

"2013 was the year of the left field: crowdfunding, the Steam box, in-house streaming. 2014 is the year we're going to start to see how that changes the space. The majority of old-school developers I know now have gone into more personal, niche titles; (it) reminds me of when many of the great PC studios (BioWare, Bungie, Bethesda) started developing console games in the early 2000s.

"Being in gaming is like being in music in the '60s, but there's a new British invasion like every three years. I think disruption is generally a good thing. It keeps us on our toes as developers and usually yields dividends for gamers."

Jean-Michel Detoc, managing director, Ubisoft Mobile

"We've seen the mobile industry consistently evolve over the past five years and, in my opinion, 2014 will be no exception. I anticipate the trends in 2013 -- increased time spent playing games on mobile devices and a shift to 'freemium' pricing in games -- will continue to grow in 2014.

"With more than 2 billion smart devices currently activated and the increased availability of low-end smart devices, the mobile market has never been stronger or reached such a mass audience. Gaming has expanded to represent around a third of time spent on connected devices, and I am confident gaming will confirm its position as one of the core uses on those devices in 2014.

"Additionally, as app quality as a whole continues to improve, we will see fewer applications, but with more budget and ambition put behind them. The last important trend I believe we will see is the extension of 'freemium' mobile games to new devices such as smartwatches and smart TVs."

Geoff Keighley, host, Spike TV

"2014 will be a monumental year for the gaming industry. Both the Xbox One and PS4 will continue to grow their install base, and we will begin to see more games built specifically to take advantage of the next generation hardware. Already fans are anticipating the birth of new franchises like 'Titanfall' and 'Destiny.'

"That said, 2014 will be a year of experimentation. We will see more games on tablets, new business models birthed by the rise of digital distribution, the continued growth of eSports and exciting new ventures like Valve's Steam box.

"What used to be a race between three console manufacturers for dominance has diversified into dozens of companies carving out their own market segments."

Wallace Santos, CEO and founder, Maingear

"2014 is going to bring a lot of new and exciting technologies to gamers. The big story this year is the advances that AMD and NVIDIA are making with GPUs (faster processors for graphics) that make 4K gaming a reality. Next year we'll see those 4K panels come down in price.

"With exciting technologies like AMD's Mantle API, designed to max out the performance capabilities of your graphics card, and NVIDIA's G-SYNC, designed to deliver silky smooth gaming, there's a whole lot to get excited about.

"And then there's the peripherals like the Oculus Rift. With gaming legend John Carmack joining the company, we can be sure to see great things from them as well. And let's not forget the Steam OS. It'll be interesting to see how this new entrant into the gaming market fares alongside the next generation gaming consoles. As always, it's a great time to be a gamer."

What gaming trends to do expect this year? Tell us in the comments below.

@highlight

Four experts discuss where video gaming is headed in 2014

@highlight

Many say the release of new hardware and software platforms will spur creativity

@highlight

Spike TV host says 2014 will be "a monumental year for the gaming industry"

@highlight

Several cite the potential of Oculus Rift, the virtual-reality headset