A ceasefire negotiated between rival Muslim and Christian militias brought a brief respite Saturday to a Central African Republic town after two days of violent clashes.

The truce between the Muslim Seleka militia and the Christian anti-Balaka in Bossangoa allowed aid agencies to begin assessing the needs of the population caught in the midst of the violence.

At the Ecole Liberte school, where a makeshift displaced camp sprang up in September to harbor fleeing Muslims, the numbers swelled during the clashes from around 2,500 displaced to nearly 10,000.

The people there are in need of almost everything: food, water and shelter.

Over in a Catholic Church compound where 35,000 Christians sought refuge from the Seleka militias in September, the camp is more established, but water and food supplies are dwindling and there is very little shelter from the elements.

Malaria and malnutrition are all too common among the camps' denizens.

A tense standoff had developed earlier between the Seleka and the regional peacekeeping force, FOMAC, after the militia threw grenades into the compound in an attempt to storm it. A soldier from FOMAC was killed during an exchange of fire.

There is still no official death toll, but witnesses at the Ecole Liberte camp told CNN at least 19 Muslims were killed in what has become a spiraling cycle of retribution between the two communities.

The anti-Balaka began targeting Muslims after tens of thousands of Christians were forced to flee their homes as Seleka militias marauded through the countryside.

'Extremely dire circumstances'

Julian Donald overseeing a hospital in Bossangoa managed by Doctors Without Borders, or Medecins Sans Frontieres, said the aid group had worked through the violence, almost overwhelmed by the flood of patients.

"We have been fully operational the entire time," he said. "I can't give you any numbers right now, I'm sorry, all I can say is it's still ongoing."

But the work he and his agency do is not enough, Donald said. The Central African Republic desperately needs more help from the outside world.

"A situation where you have hundreds of thousands of people who through no fault of their own are living in extremely dire circumstances, I would hope that the international community would mobilize to provide them assistance," he said.

"The fact that we haven't seen it happen yet is a tragedy."

Some help could be on the way.

On Thursday, the U.N. Security Council unanimously approved a resolution approving military intervention in the Central African Republic by an African Union-led force, backed by French troops, to protect civilians, restore humanitarian access and stabilize the country.

The number of African Union peacekeeping troops in the country will increase to 6,000 -- up from the current 3,500 -- the French presidency said.

Central African Republic: What's going on, what's at stake, what's next

French forces arrive

France has named this mission in its former colony Operation Sangaris, after a species of butterfly there.

There will be 1,600 troops in the Central African Republic by the end of Saturday, French President Francois Hollande said at the Peace and Security in Africa Summit in Paris. By Saturday evening, some of them had arrived in the northern city of Bossangoa.

France's goal is for the nation to be able to hold elections once security is restored, in the same way that France helped Mali return to democracy, Hollande said.

France's intervention in the Central African Republic is for humanitarian reasons, not to fight terrorism, he said.

There have not been many incidents of violence in the country Saturday, Hollande added.

The start of the French soldiers' new operation in the CAR capital was announced Friday morning by Defense Minister Jean-Yves Le Drian on the French radio station RFI.

About 185 miles south of Bossangoa, Bangui has also been rocked by two days of clashes. Many have flocked to the city's airport, hoping to find safety there.

"We estimate at least at 400 to 500 people have been killed so far in Bangui and the killings continue," Peter N. Bouckaert, emergencies director for Human Rights Watch, told CNN Saturday.

"Two hundred and eighty bodies were recovered as of yesterday, but the Red Cross tells us there are more bodies on the streets that they are working to recover."

Medecins Sans Frontieres said Friday that at least 92 bodies had been brought to the morgue of a hospital where its staff is working. Another 170 people have been treated for injuries, including gunshot, machete or knife wounds, it said.

Opinion: Why Central African Republic is slipping close to catastrophe

Air sorties

A French Defense Ministry statement early Saturday said three helicopters and hundreds more troops had arrived in Bangui.

French troops have been out on patrol in a bid to restore calm to the city, which remains tense, as well as working to safeguard French nationals and secure the airport, the statement said.

Aerial sorties have also been launched above the capital to signal the French forces' presence to armed forces thought to be opposed to them.

Back at the Catholic Church compound in Bossangoa, people scattered, screaming, as the unfamiliar boom of a low-flying jet swept over them.

The horror soon turned to laughs of jubilation, however, with shouts of "The French! The French!"

Desperate for help from the outside world, they hoped the sonic boom was a sign from the French forces that they would soon be there too.

French troops begin operation in Central African Republic as violence worsens

Fears of genocide: 10 things to know about the Central African Republic

@highlight

The number of African Union troops will rise from 3,500 to 6,000, France says

@highlight

French troops have arrived in the war-torn northern city of Bossangoa

@highlight

A ceasefire between rival Muslim and Christian militias brings some respite there

@highlight

Aid group Medecins Sans Frontieres says refugees urgently need international help