Mariupol, Ukraine (CNN) -- Shelling hit areas near two key cities in eastern Ukraine on Sunday, intensifying fears that a ceasefire that took effect less than two days ago may be falling apart.

The fledgling truce between the Ukrainian government and pro-Russian rebels began Friday evening, and both sides were already accusing each other of violating it by Saturday.

Sporadic artillery and machine gun fire rang out in the early hours of Sunday on the outskirts the strategic port city of Mariupol. A gas station was set on fire, and cars carried wounded civilians down the roads.

Shelling and explosions were also heard near the airport of the flashpoint city of Donetsk on Sunday morning, the city council said on its website.

In both cities, the source of the weapons fire wasn't immediately clear.

The Mariupol city government said that pro-Russian rebels had carried out the shelling near the city overnight. It said one woman was killed and three people wounded.

The Russian state news agency ITAR-Tass late Saturday quoted rebel officials as saying that Ukrainian forces continued to shell Donetsk and rebel positions near Mariupol. The RIA Novosti news agency reported that four Donetsk residents were killed in the shelling.

Ukrainian National Security and Defense Council spokesman Col. Andriy Lysenko told reporters in Kiev on Saturday that the situation was calmer than before the truce, but that there had been a number of "provocations" by rebels. They included 10 instances of shelling in the Donetsk and Luhansk regions, he said.

In a sign the government was still hoping to stick to the ceasefire deal, Lysenko said a prisoner exchange would begin soon, although he didn't specify a time or date.

Does ceasefire in Ukraine have any chance of holding?

'So much confusion'

Ukrainian forces and pro-Russian rebels have been locked in vicious fighting in eastern Ukraine since April, leaving more than 2,200 people dead, according to the United Nations.

The conflict has triggered a humanitarian crisis in the region, where shelling has destroyed homes and infrastructure. Nationwide, more than a million people have been displaced from their homes by the fighting, most of them in the East.

One old man in Mariupol shook his head gloomily when asked if he thought the ceasefire would last.

"There is so much confusion," Gennady Andreyavich said. "We really don't know what will happen, because when people say we must live in a united Ukraine and we see at the same time Ukrainian forces in retreat -- what should we think?"

Ukrainian forces and the rebels have engaged in fierce fighting over the past week in the territory between the Russian border and Mariupol.

A previous unilateral ceasefire declared by the Ukrainian government in June broke down after 10 days.

Poroshenko and Putin talk

Ukrainian President Petro Poroshenko had a phone conversation with Russian President Vladimir Putin after the signing of the ceasefire deal in the Belarusian city of Minsk, Poroshenko's office said Saturday in a statement.

The leaders agreed that the ceasefire in eastern Ukraine has been mostly upheld and they discussed further steps to make the truce last, the statement said.

Some areas at the heart of the conflict reported that calm was prevailing.

Luhansk city council said that Saturday was the first day in over a month with no shooting. The city office has started working on repairs to the power and water supply.

Russian warning over sanctions

In spite of the ceasefire agreement, Putin remains under pressure from the West over Russia's actions in Ukraine.

The Ukrainian government and the West accuse Moscow of supporting the rebels with weapons and fighters -- allegations that Moscow has repeatedly denied.

Hours after the truce went into effect, EU leaders meeting in Brussels, Belgium, agreed on a new round of economic sanctions against Russian interests. They are due to be formally adopted on Monday.

Earlier last week, Poroshenko hinted at other ways that the West might aid Ukraine.

At a news conference during the NATO summit on Thursday, Poroshenko said Western powers assured him that the possibility of lethal aid was on the table, in addition to nonlethal aid.

"As a result of our bilateral consultations, almost every country stated its assistance to Ukraine," Poroshenko said. "First and foremost, this concerns military and technical cooperation, both nonlethal and lethal weapons, including precision guidance weapons."

The United States, France and other NATO allies have not independently confirmed whether lethal aid is an option.

Russia's Foreign Ministry warned Saturday that if new EU sanctions are imposed, Russia "certainly will respond," ITAR-Tass reported.

Amnesty International, meanwhile, accused Ukrainian militias and rebels of carrying out war crimes. The human rights group singled out Russia for a buildup of armor and artillery in eastern Ukraine.

Putin has voiced sympathy for the rebels, many of whom are ethnic Russians. But he denies that Russia has armed and trained the rebels, or sent its troops over the border.

NATO: An amusing show for Putin?

NATO's moment of truth on Ukraine

CNN's Diana Magnay reported from Mariupol, and Jethro Mullen wrote and reported from Hong Kong. CNN's Laura Smith-Spark, Lindsay Isaac, Reza Sayah, Michael Martinez and Alla Eshchenko contributed to this report. Journalist Victoria Butenko also contributed from Kiev.

@highlight

A woman is killed in shelling near Mariupol, the local government says

@highlight

Shelling and explosions heard near Donetsk airport, city government says

@highlight

Kiev and pro-Russian rebels have blamed each other for ceasefire breaches

@highlight

"There is so much confusion," a Mariupol resident says