Washington (CNN) -- President Barack Obama announced Monday that the United States will resume using military commissions to prosecute alleged terrorists held at the Guantanamo Bay, Cuba, detention facility.

In the announcement, the president said his administration remains committed to closing the controversial detention facility but will rescind its previous suspension on bringing new charges before military commissions. The commissions are military proceedings rather than trials in civilian courts.

Obama also called for prosecuting Guantanamo detainees in U.S. criminal courts when appropriate, and issued an executive order calling for periodic reviews of suspects held under indefinite detention.

The steps followed through on Obama's previous call to reform the process of prosecuting or holding Guantanamo detainees to make it more in line with international laws and standards, according to senior administration officials who briefed reporters on condition of not being identified by name.

However, the American Civil Liberties Union and the Center for Constitutional Rights both criticized the administration for what they called institutionalizing indefinite detention of terrorism suspects who have yet to be formally charged or designated for transfer to another country, but are considered too dangerous to set free.

"The creation of a review process that will take up to a year -- designed to be repeated every four years -- is a tacit acknowledgment that the Obama administration intends to leave Guantanamo as a scheme for unlawful detention without charge and trial for future presidents to clean up, despite the fact that senior officials acknowledged today that keeping the prison open continues to hinder our national security in the long run," the constitutional rights center said in a statement.

Democratic Rep. Jerrold Nadler of New York also called the administration's announcement disappointing, saying the Guantanamo facility is a "blot" on U.S. national honor.

Noting that Congress passed a law prohibiting the transfer of Guantanamo detainees for trial in the United States, Nadler said that "as a result, the administration has turned to the legally dubious military commissions to try these suspects."

Established in response to the September 11, 2001, terrorism attacks on the United States, the Guantanamo Bay facility has been a lightning rod for criticism of the U.S. handling of terrorism suspects.

Under the Bush administration, allegations of mistreatment of detainees, including harsh living conditions and denying them full U.S. legal rights, led to the facility becoming a recruiting tool for terrorist groups such as al Qaeda, U.S. officials say.

Obama previously pledged to close the Guantanamo Bay facility within a year of taking office in January 2009, prompting criticism from conservatives. In addition, his administration has sought to prosecute some high-profile detainees -- such as alleged September 11 mastermind Khalid Sheikh Mohammed -- in civilian courts on the U.S. mainland, which drew widespread opposition that crossed traditional party lines.

The Guantanamo facility remains open today due to legal complexities involving the status of some detainees and congressional opposition to holding trials for high-profile suspects in U.S. criminal courts.

Shortly after Obama's announcement Monday, Defense Secretary Robert Gates announced the withdrawal of his prior suspension of new charges before military commissions.

Gates cited reforms of the military commissions under a 2009 law, and he and Joint Chiefs of Staff Chairman Adm. Mike Mullen both expressed support for also using civilian courts to prosecute terrorism suspects.

"For reasons of national security, we must have available to us all the tools that exist for preventing and combating international terrorist activity, and protecting our nation," Gates' statement said. "For years, our federal courts have proven to be a secure and effective means for bringing terrorists to justice. To completely foreclose this option is unwise and unnecessary."

Congressional Republicans -- including Senate Minority Leader Mitch McConnell of Kentucky, House Judiciary Committee Chairman Lamar Smith of Texas, House Armed Services Committee Chairman Howard "Buck" McKeon of California and House Homeland Security Committee Chairman Peter King of New York -- welcomed the renewal of military commissions.

However, McKeon and House Intelligence Committee Chairman Mike Rogers of Michigan criticized Obama for acting on his own instead of working out a policy with Congress.

Rogers said he was "disappointed the White House chose to put another Band-Aid on this problem, rather than working with Congress to develop the comprehensive and long-term legislative framework we need."

McKeon also questioned what the steps announced Monday mean for high-profile detainees such as Mohammed and other September 11 conspirators.

The senior administration officials refused to comment on any individual cases. They said they expected new charges against Guantanamo detainees to be filed with military commissions soon, perhaps within days or weeks, and noted that the Obama administration had transferred 67 detainees to third countries so far, leaving a total of 172 in the facility.

In addition, the senior administration officials said they would try to repeal the law that prevents the transfer of Guantanamo detainees for trial in the United States.

"Military commissions should proceed in cases where it has been determined appropriate to do so," the administration said in an information sheet issued Monday. "Because there are situations, however, in which our federal courts are a more appropriate forum for trying particular individuals, we will seek repeal of the restrictions imposed by Congress, so that we can move forward in the forum that is, in our judgment, most in line with our national security interests and the interests of justice."

CNN's Pam Benson contributed to this report

@highlight

NEW: Democrat Nadler calls the plan disappointing

@highlight

Obama and defense secretary say civilian trials of terror suspects also should continue

@highlight

The president orders periodic reviews of detainees

@highlight

Congressional Republicans welcome the move