WASHINGTON (CNN) -- Negative attacks are as American as apple pie. Since the early days of the republic, candidates attacked with a vigor that contemporary strategists would admire.

In the 1800 presidential election, for example, Thomas Jefferson and John Adams criticized one another with a stunning ferocity on everything from foreign and domestic policy to private character and personal behavior.

Later campaigns weren't much better. Critics of Andrew Jackson in 1836 accused him of murdering Indians. In 1884, Grover Cleveland was ridiculed for fathering an illegitimate child. William Jennings Bryan was characterized as a dangerous radical in 1896 who would ruin the economy.

Despite these historical precedents, the 2008 campaign has reached all-time lows in the use of misleading and inaccurate political appeals. Even Karl Rove, the architect of negative ads in previous campaigns, has complained about the tenor of this year's campaign.

John McCain broadcast an ad taking Barack Obama's words out of context and suggesting Democrats were trying to compare GOP vice presidential nominee Sarah Palin to a pig. The McCain campaign ran another spot erroneously claiming Obama favored comprehensive sex education for kindergarteners.

Democrats have not been above reproach either. After McCain secured the GOP nomination this spring, outside groups falsely claimed the Republican supported a 1,000-year war in Iraq and therefore was not worthy of the presidency.

These misleading appeals suggest voters must remain vigilant about candidate, party, and group claims. Generally, the most misleading commercials have come from independent groups uncoordinated with the candidates.

These organizations feel free to run emotional and inaccurate content designed to play on voter's fears and anxieties. Some of the worst ads in recent memory, such as the Willie Horton ad in 1988, have been broadcast by these kinds of groups.

In past years, the only upside of attack ads was that they generally contained more issue content than other types of ads. Since reporters police campaign appeals, the ads generally stick to the issues and rely on factually-accurate information. Ad sponsors and candidates realize they will be held accountable for unfair ad content.

However, commercials run this year represent a break with this general pattern. Attack ads broadcast in recent months have twisted the truth, lied about personal background, taken statements out of context, and clearly sought to manipulate voter sentiments.

Most worrisome from a factual standpoint is McCain's claim that Obama will raise taxes on the middle class. Although Obama has pledged to increase income taxes on those earning more than $250,000, he has been careful not to make proposals that would raise taxes on the middle class for fear of being labeled a tax-and-spend liberal.

McCain's tax claims have been condemned by leading editorial boards and surely will attract considerable attention in upcoming debates.

With all the factual inaccuracies that have taken place, voters need to protect themselves from efforts at political manipulation. Non-partisan Web sites such as www.factcheck.org represent one source of unbiased information. They analyze ads and compile factual information in support of or in opposition to ad claims.

Other trustworthy fact-checkers include ad watches and reality checks run by leading news organizations. These features dissect candidate claims in regard to accuracy, strategy, and impact.

But the best thing for voters to do is to watch the candidate debates and judge for themselves. Study the statements and the factual bases of policy claims. Pay attention to how the candidates speak and what they say. Find out what non-partisan groups think and see what they have to say regarding the major issues.

By the time the campaign is over, the presidential candidates are expected to have spent 55 percent of their overall budget on ads. Strategists put together spots very carefully and pre-test major messages on small groups of voters.

Most of this money will be devoted to television spots. But increasingly amounts are being targeted on radio, direct mail, and Internet appeals.

In the end, voters are going to have to decipher competing charges and counter-charges amid considerable noise from all sides. The 2008 election is unusual in having so many big issues on the agenda: the economy, the Iraq and Afghanistan wars, health care, taxes, immigration, education and climate change.

It is an election that truly matters because of the stark differences between the parties and the closeness of the campaign. Voters need to pay serious attention to the facts in order to make a wise choice.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Darrell West: Negative attacks have long history in U.S. politics

@highlight

This year's ads have hit new lows for distorting the truth, West says

@highlight

Ads against McCain and Obama have twisted their words, he says

@highlight

West: Voters should use fact-checking resources in media and on the Web