Washington (CNN) -- Iran has freed an Iranian-American detained for more than two years, his lawyer said Saturday.

Reza Taghavi, a retired businessman from Orange County, California, was released at 4 p.m. local time (8:30 a.m. ET) on Saturday, after being held in Iran's notorious Evin prison since his arrest in May 2008 on suspicion of supporting an anti-regime group, the lawyer said.

Los Angeles-based attorney Pierre-Richard Prosper said Taghavi has been reunited with his family and is hoping to return to the United States next week.

"It's obviously a happy day, a great day for the Taghavi family," Prosper said by phone from Tehran.

A report on Iran's state-run Press TV showed Taghavi alternately smiling and weeping after his release.

Prosper has been negotiating Taghavi's release since September 2009.

Saturday's release was the product of three trips to Iran, meetings with Iranian officials in New York and Europe and close to 300 e-mails with Iranian officials, he said. On Saturday he held a final round of negotiations with Iranian authorities, who he said "persuaded the judge to release him today."

Taghavi, 71, traveled frequently to Iran to visit family and friends without incident, according to Prosper.

In April 2008, Taghavi went to Tehran with his wife. Before he left, he was asked by an acquaintance in Los Angeles named Imran Afar to take $200 for a friend in Tehran "who was down on his luck,"  Prosper said.

Los Angeles has a large Persian community.

Taghavi did not know the individual to whom he was asked to deliver the money, Prosper said. He handed it over and two weeks later was detained by Iranian authorities, after the recipient of the money was arrested on charges of association with an anti-regime group called Tondar.

Prosper said Afar provided him with information he shared with the Iranian government that proved that Taghavi was not part of Tondar, which seeks to restore the monarchy in Iran. The group claimed responsibility for the April 12, 2008, bombing of the Hosseynieh Seyed al-Shohada mosque in the city of Shiraz.

"This is the product of fourteen months of non-stop negotiations with the Iranian government and authorities," Prosper said Saturday. "They finally got to the point where they realized he was used by this organization and he does not pose a threat to them."

Prosper said Taghavi's case has thus far been "suspended," but that he hopes after working out "some final details" with Iranian authorities the case will be dismissed outright.

Although Taghavi continues to maintain his innocence, Prosper said a condition of his release was that he travel to Shiraz before leaving the country to visit the sight of the mosque bombing and to meet with a survivors group. Taghavi also agreed to share the story of the circumstances of how he was taken advantage of by Tondar.

"He is more than happy to that, as he feels aggrieved" by the group, Prosper said.

Taghavi has been reunited with his wife, who has been in Tehran since July, and with his brother, who lives in the country. He has spoken to his son and daughter in California, Prosper said.

Taghavi's brother posted the deed to his home as collateral for his eventual release. Prosper said that returning the deed is among the "final paperwork" he hopes to resolve later this week to arrange for Taghavi to leave the country.

"The most important thing is we get him on a plane," Prosper said.

The family has said it would not speak about his release until Taghavi returns safely home.

Taghavi's is a rag-to-riches story, his 36-year-old daughter, Leila Taghavi, told CNN in March. He brought his family to the United States in 1979, before the Iranian Revolution, and stayed on in California to keep his family safe.

Leila Taghavi said her father taught himself English, started a video game company in his garage and grew it into a successful corporation, which he handed over to his son when he retired 10 years ago.

"His life was the American dream," Leila said. "He learned everything the hard way, sacrificed for his children and taught us to be grateful for the good things. He is wonderful, honest and generous, the kind of father every daughter would want."

The family was silent for more than a year about his arrest, fearful that speaking out would politicize the case in Tehran and Washington.

"It was blind faith, really," Leila said, explaining the silence. "Not knowing it would take this long, and fear of the system. There was never a doubt of his innocence."

In September 2009, with no movement on the case and losing hope he would be released, the family hired Prosper to contact the State Department and initiate a dialogue with the Iranian government.

The United States and Iran do not have formal relations, and Switzerland serves as the "protecting power" for the U.S. in Tehran.

Prosper, who served as the ambassador-at-large for war crimes under the Bush administration and as a prosecutor for the Rwanda tribunal at the Hague, said he kept the State Department informed about the case, but did not ask for U.S. intervention out of fear Taghavi would become a political pawn by Iran in its standoff with the United States over Tehran's nuclear program.

"It was a conscious decision not to engage them in the effort," he said. He added that political upheaval in Iran after 2009's disputed presidential election and the government's subsequent violent crackdown on demonstrators had complicated his efforts.

Prosper said he had not yet notified the U.S. about Taghavi's release, but would be working through the Swiss to get his client a U.S. passport to travel home.

He described his client as "surprisingly upbeat" but emotional and physically tired. Taghavi suffers from diabetes and Prosper said his health deteriorated in prison.

"It's too early to say what his emotional and physical state is," Prosper said. "There is going to be an adjustment period."

Other Americans remain in prison in Iran.

American hikers Josh Fattal, Shane Bauer and Sarah Shourd were detained in Iran on July 31, 2009. According to their families, they accidentally strayed across an unmarked border into Iran while on a hiking trip in Iraq's Kurdistan region. Shourd was released last month, while Bauer and Fattal are still being held on espionage charges.

Kian Tajbakhsh, an Iranian-American scholar who spent four months in jail in 2007, was arrested in July after the disputed presidential election and sentenced to 15 years in jail for spying.

An appeals court later reduced his sentence to five years.

The United States has no information about Robert Levinson, a former FBI agent who disappeared in Iran almost three years ago.

@highlight

Retired businessman Reza Taghavi is released Saturday, his lawyer says

@highlight

In 2008, Taghavi is arrested on suspicion of supporting an anti-regime group

@highlight

Taghavi suffers from diabetes and his health deteriorated in prison, his lawyer says