(CNN) -- Football fans could find themselves sitting in seats made from sugar when Brazil hosts the FIFA World Cup for the first time in 64 years.

Brazil has long led the way when it comes to soccer skills, and the country has also shown considerable innovation in developing new technologies. The two worlds may meet in 2014 as one of South America's biggest chemical companies hopes to show the way forward with its eco stadium solutions.

"What we are doing here is showing the world that we have an alternative. You can produce plastics from a renewable source," says Fabio Carneiro, Braskem's commercial director for renewable business.

Sugarcane is an abundant crop in Brazil, and the firm hopes that it will provide a competitive edge over its renewable energy rivals.

As well as biofuel, it is used to make green plastic -- derived from plant sources rather than carbon fossil fuels such as oil.

A landmark deal has already been struck with Amsterdam ArenA, the home of Ajax football club, to first install 2,000 such "sugar seats" and eventually replace all 54,000 of the existing ones in the Dutch stadium.

"This technology is not really new, it's a technology from the 1970s," explains Braskem's corporate marketing director Frank Alcantara.

"We had, at that time, a lack of ethylene. We developed this kind of technology to develop ethylene from ethanol. This new technology that we are using now was developed about six years ago. We started producing on a commercial basis since last year in September."

The plant in Triunfo in the southernmost state of Rio Grande do Sul is the first in the world to produce ethylene from ethanol and then create green polyethylene, Alcantara says.

At this stage it makes up a small proportion of the company's total output, but -- with 12 stadiums still being built or refurbished -- the World Cup could provide the perfect stage to spur significant expansion.

"We are talking to the people that build the arenas. We want to have the solution in Brazil that we can have sugar seats made from 100% Brazilian sugarcane. It would be very, very nice for everybody," Alcantara says.

The Amsterdam ArenA group has a partnership with Braskem's parent company Odebrecht and the multinational Petrobras to develop the renovated Fonte Nova stadium in Bahia state for the World Cup.

ArenA chief executive Henk Markerink believes the sugar seats could feature at the tournament as Brazil's national team seeks a record-extending sixth title and first since 2002.

"There's a high probability to do so. The ethanol is a real Brazilian product, and the resources are available in Brazil," he says.

"This will be a very interesting product for World Cup stadiums. Because it's a Brazilian product I'm sure it'll be supported on the Brazilian side. We hope this product will be pushed as much as possible."

The Dutch group is also working on the new Arena das Dunas venue in the northern city of Natal, which will have an extra year to be completed as it will not be used for the 2013 Confederations Cup event which will also be held in Brazil.

While Amsterdam ArenA has the goal of being the world's first carbon-neutral venue by 2015, the Brazilian stadiums did not have the same sustainability aims inbuilt when football's ruling body FIFA awarded the tournament in 2007.

"But we are trying to get as many elements into those stadiums. One of the things is using rain water in a careful way and also using solar energy as much as possible," Markerink says.

"The designs for the World Cup stadiums were from 5-6 years ago and we were not involved then. We are trying to retro-fit these things."

He says the Amsterdam ArenA has made big steps to achieving its goals -- changing to recyclable or reusable materials, negotiating deals to use "waste" energy from local suppliers and becoming independent in part through solar energy. Talks have begun to purchase two big windmills.

"In a day to day situation we can already provide our own electricity; on match days when we peak in our usage, we have to get energy from the net," Markerink says.

"In the day we deliver energy to the net."

The ArenA's model is centered on profitable fulltime operation, meaning the venue is used for concerts and other entertainment events as well as sport.

A similar approach is being introduced in Bahia, where the group is showing organizers not just how to build the stadium but also how to run it and sustain it in the long term -- including a deal with the local university to make sure suitable workers will be trained and available.

"One of the concerns always, especially from the government, is that there won't be any white elephants left after the World Cup, that stadiums won't be used anymore," Markerink says.

"We are focused very much on a user program so that the stadium in every sense has a place in society. This stadium is in a very interesting city with a lot of music and dance and entertainment and shows."

He says Amsterdam's main challenge now is to reduce patrons' reliance on cars to get to the arena. This means promoting public transport, and therefore cutting carbon dioxide levels.

One such tactic is combined tickets incorporating travel, match entry and dining options.

But for Braskem, the big obstacle is convincing stadium contractors -- the 12 venues are all being built in private-public partnerships with the government -- that green technology is better than traditional means.

"The most important thing with our product is you can put it straight in the processing machines and you don't need any kind of investment. They don't have to adapt their machinery," Carneiro says.

Ever-increasing clearance of Amazon rainforest is a big environmental issue in Brazil, but Alcantara says this is not a problem with sugarcane, which can't grow properly in such wet climates.

"We still have a lot of land that we can use much better in the way of producing goods," he says.

This has been a landmark year for Braskem's green arm, with deals agreed with big corporations such as Proctor and Gamble, Danone, Nestle, Tetra Pak and high-end fashion house Chanel.

From 2013 Braskem will also be able to produce green polypropylene, which will increase its range of plastics alternatives. In football terms, that could mean deals to provide goal nets

"Once the customer decides and says, 'I'm just going to buy renewable material,' we will have the material and we will be able to produce it more," Carneiro says.

"We still have to develop a lot of technology. We are doing it, we are investing a lot to develop this kind of material. It is much more important that the customer decides they want to go towards this material."

Alcantara says the company will continue to push the cause of fossil fuel alternatives.

"We announced we were going to make polyethanol in 2007 and we did it. We have a very risk-taking culture at our company, so we just announced it and we did it. Now we are ready to do much more. We can fulfil that -- it is a market need, a real one."

@highlight

Brazilian company hopes that its "sugar seats" will feature at the 2014 World Cup

@highlight

Braskem already has a deal with Amsterdam ArenA to install its green plastic chairs

@highlight

Dutch group is also involved with development of two soccer stadiums in Brazil for 2014

@highlight

Braskem has agreed green deals in European market with several big corporations