The U.S. Supreme Court will allow the National Security Agency's surveillance of domestic telephone communication records to continue for now.

The justices without comment Monday rejected an appeal from a privacy rights group, which claimed a secret federal court improperly authorized the government to collect the electronic records.

The Electronic Privacy Information Center filed its petition directly with the high court, bypassing the usual step of going to the lower federal courts first. Such a move made it much harder for the justices to intervene at this stage, but EPIC officials argued "exceptional ramifications" demanded immediate final judicial review. There was no immediate reaction to the court's order from the public interest group, or from the Justice Department.

The NSA has publicly acknowledged it received secret court approval to collect vast amounts of so-called metadata from telecom giant Verizon and leading Internet companies, including Microsoft, Apple, Google, Yahoo and Facebook.

The information includes the numbers, time, and length of nearly every phone call to and from the United States in the past five years, but not the location or actual monitoring of the conversations themselves. To do so would require a separate, specifically targeted search warrant.

The revelations on bulk data collection triggered new debate about national security and privacy interests, and about the secretive legal process that sets in motion the government surveillance.

The once-secret approval came in April from a judge at the Foreign Intelligence Surveillance Court, which handles individual requests for electronic surveillance for "foreign intelligence purposes."

Verizon Business Network Services turned over the metadata to the government.

Report: NSA, GCHQ among worst surveillance offenders, Snowden says

"Telephone records, even without the content of the calls, can reveal an immense amount of sensitive, private information. There are no reasonable grounds for the NSA to have access to every call record of every Verizon customer," said Marc Rotenberg, president of EPIC.

The Surveillance Court has applied the Foreign Intelligence Surveillance Act "in a way that is contrary to both the text and purpose of the statute," he said.

This is the first direct challenge to the court order, and EPIC said the Obama administration should have to publicly explain its legal justification for the spying program.

The group also argued restrictions in federal law mean no other state or federal court can review the Surveillance Court's orders except the Supreme Court itself. The group is suing on behalf of itself as a Verizon customer, but also said the justices themselves have a stake in the legal fight.

"Because the NSA sweeps up judicial and congressional communications, it inappropriately arrogates exceptional power to the executive branch," said the petition.

The revelations of the NSA program and the inner workings of the Surveillance Court came after a former agency contractor, Edward Snowden, leaked documents to the Guardian newspaper in Britain. Snowden fled to Hong Kong and then Russia to escape U.S. prosecution, and his supporters say they are working on asylum deals with other countries on his behalf.

The Justice Department urged the high court to stay out of the current fight, called a "mandamus" review.

EPIC's petition "does not meet the stringent requirements for mandamus relief, and this court lacks jurisdiction" to act, Solicitor General Donald Verrilli said in the government's brief, filed last month.

"The mandamus petition does not establish that it is more than speculative that the NSA has reviewed, or might in the future review, records pertaining to petitioner's members, particularly given the stringent, (Surveillance Court)-imposed restrictions that limit access to the database to counterterrorism purposes," the Obama administration added.

The U.S. Supreme Court does not comment on pending cases. The privacy rights group now has the option of going back to the lower courts and starting the legal process anew.

Prior lawsuits against the NSA program have been unsuccessful.

Opinion: Has the NSA gone rogue?

Days after Snowden's disclosure of the NSA program, the American Civil Liberties Union filed a lawsuit in New York federal court. The San Francisco-based Electronic Frontier Foundation did so in July. And Freedom Watch also filed a separate claim on behalf of Verizon customers. The suits are still pending.

Telecoms themselves were the initial targets of legal action, after the NSA domestic surveillance program was unveiled in 2005. Congress later gave retroactive immunity to those private firms.

The Foreign Intelligence Surveillance Court secretly decides whether to grant certain types of government requests, including wiretapping, data analysis, and other monitoring of possible terrorists and spies operating in the United States.

Legal sources say the tiny courtroom and adjacent areas are sealed tightly -- ironically given the political debate -- to prevent any eavesdropping by outsiders.

Eleven federal judges from around the country serve on the court for seven-year terms. They are appointed by the chief justice of the United States. John Roberts has named all current members, as a well as a three-judge panel to hear appeals of the Surveillance Court's orders, known as the Court of Review.

Because it is an "ex-parte" body -- it hears only the government's side -- the court has been criticized as a kangaroo court that too easily accedes to any government request.

In order to collect information, the government has to demonstrate that it's "relevant" to an international terrorism investigation. The 1978 Foreign Intelligence Surveillance Court Act lays out exactly what the special court must decide:

"A judge considering a petition to modify or set aside a nondisclosure order may grant such petition only if the judge finds that there is no reason to believe that disclosure may endanger the national security of the United States, interfere with a criminal, counterterrorism, or counterintelligence investigation, interfere with diplomatic relations, or endanger the life or physical safety of any person."

Several federal judges who once served on the Surveillance Court refused to discuss their service when contacted by CNN.

The case is In Re Electronic Privacy Information Center (13-58).

NSA chief: Reports U.S. collected calls, e-mails from allies 'completely false'

@highlight

A privacy group argues a secret federal court's OK of NSA snooping was improper

@highlight

Supreme Court sidesteps the attempt to cut off NSA access to phone records

@highlight

The Justice Department urged the high court to stay out of the current fight

@highlight

The privacy group has the option of going back to lower courts