(CNN) -- The average cost of medical care for a premature or low birth-weight baby for its first year of life is about $49,000, according to a new report from the March of Dimes Foundation.

Babies born after the 37th week of pregnancy are less costly to the health care system than premature babies.

By contrast, a newborn without complications costs $4,551 for care in its first year of life, the report said. Newborns with other kinds of complications, such as congenital defects, have medical expenses of $10,273 on average in the first year.

The foundation wants to show employers the importance of good maternity care, maternity coverage, and prevention of prematurity, said Jennifer Howse, president of the March of Dimes, a nonprofit for pregnancy and baby health.

"It's in the best interest of the bottom line for the employer, and of course it's certainly in the best interest for the baby, the employee, and ultimately the community in which the business is located," she said.

Although most of these costs go straight to the health care plans, even out-of-pocket expenses are far greater for premature babies than for children delivered at a normal time.

The average out-of-pocket expense for a premature or low-birth-weight baby in the first year was $1,987. For uncomplicated births, it is $654, and a baby with other kinds of complications averages $953 in out of pocket expenses.

But it's important to note that these are average costs for premature babies born at different times -- a baby born closer to 40 weeks will most likely cost much less than a baby born at 26 weeks, said William Sexson, neonatologist at Emory University and prematurity prevention chair for the March of Dimes for the state of Georgia. Sexson was not involved in the new report.

The problem of prematurity

By definition, a premature baby is born before the 37th week of pregnancy. About 12 percent of all pregnancies in the United States result in premature birth, according to the National Institutes of Health. A low-birth-weight baby weighs less than 2,500 grams, or 5.5 pounds.

Prematurity may contribute to problems such as cerebral palsy, vision problems, learning disabilities, and developmental delays, experts say.

The rate of premature babies in the United States has increased 36 percent since the early 1980s, the March of Dimes said.

One reason for the abundance of premature births may be the increasing number of elective early deliveries, said Sexson.

There is a lack of transparency about both patients' and obstetricians' decisions to, for example, have a Caesarean section close to term -- technically premature. The March of Dimes recommends every elective delivery before 39 weeks be reviewed.

"There is a real concern that many of those deliveries are a lot more elective than they ought to be," Sexson said.

Uncomplicated Caesarean deliveries cost over 40 percent more than uncomplicated vaginal deliveries, the new report said. These deliveries also resulted in longer inpatient stays, outpatient visits, and more prescriptions filled. Most of the costs get covered by a health plan -- out-of-pocket expenses were similar for normal Caesarian deliveries, uncomplicated vaginal deliveries, and complicated births.

Preventing premature births

Prenatal care is essential in helping mothers carry their babies to term, experts say.

The vitamin folate is especially important for mothers-to-be because it has been shown to prevent congenital abnormalities, said Janet Larson, chief of neonatology at Thomas Jefferson University Hospital in Philadelphia, Pennsylvania.

Premature babies cost the United States at least $26 billion each year, according to the Institute of Medicine.

Women who have a shortened cervix, or have certain infections, such as bacterial vaginosis and trichomoniasis, are at higher risk for having a premature baby, according to the NIH.

A history of giving birth to premature babies is also a risk factor, said Dr. Charles Macri, obstetrician-gynecologist at the The George Washington University Hospital in Washington. A woman in this situation may take progesterone therapy between weeks 16 and 36 to decrease the likelihood of a premature delivery.

A pregnant woman should always tell her doctor if she has had any kind of cervical surgery, which may also contribute to premature births, he said.

Women who carry multiples babies at once, even twins, are also at higher risk of giving birth prematurely, he said.

Not all premature births can be prevented, however. Some babies are "destined to be born early," Macri said. About 50 percent of pregnancies that result in premature births are completely normal until labor, Sexson said.

Costs for premature and low-birth-weight babies are also higher in terms of combined medical costs for the mother and child -- $64,713, compared with $15,047 for uncomplicated births, the March of Dimes report said.

Even in tough economic times, experts agree that pregnant women should not cut back on health care.

"Investing in health care costs -- that's the best investment a family can make," Howse said.

@highlight

By definition, a premature baby is born before the 37th week of pregnancy

@highlight

Premature babies cost the U.S. at least $26 billion each year

@highlight

There are risk factors, but not all premature births can be prevented

@highlight

In tough economic times, pregnant women should not cut back on health care