A Marine Corps reservist says he accidentally drove his truck across the U.S. border into Tijuana, Mexico, where he was arrested and charged with possession of three firearms and ammunition. All of the guns were legally registered in the United States. Surprisingly, however, in Los Estados Unidos Mexicanos, firearm possession is almost completely outlawed.

Sgt. Andrew Tahmooressi, a decorated Marine who served two tours in Afghanistan, had a shotgun, a handgun and a rifle  -- all illegal in Mexico. He also had 400 pieces of ammunition. He is being held on weapons charges in a prison outside a town near Tijuana.

I can imagine what some people might be thinking upon hearing this news.

Wait -- Mexico has strict gun control laws?

And anyone from the Southwest, or anyone who has ever been to Tijuana, might have followed that up with:

Wait -- Tijuana has laws?

After all, many 19-year-old Americans go to Tijuana specifically because of the border town's legendary, shall we say, "relaxed" legal approach to minimum drinking ages and competitively priced prostitutes.

But it's true: Although the Mexican Constitution is similar to the U.S. Constitution in that it guarantees some right to arms, Mexico's statutory ownership and permit laws have essentially regulated this "right" into a theoretical one.  That's right, Mexico is actually tough on guns.

Well, sort of.

The controlling law is Ley Federal de Armas de Fuego y Explosivos (LFAFE), or the Federal Firearms and Explosives Law. (For a terrific translation of the text into English, as well as an academic analysis of Mexican gun laws, check out David Kopel's Mexico's Gun Control Laws: A Model for the United States?)

The short version: Tahmooressi, who has been held more than two months, faces some serious penalties for the firearms in his truck.  Even possessing ammunition without prior authorization is prohibited in Mexico by federal law, with penalties of up to 30 years in prison.

Mexico's message is clear: Firearms? No bueno.

The incident has triggered a groundswell of support for the sergeant in the States. This raises an interesting issue, however.  If Tahmooressi wasn't such a sympathetic figure, in fact, if he was anything other than a war hero, many of us might be asking different questions. Questions such as:

Who accidentally drives into Mexico with a truck full of firearms?

Because if you strip away the good character, the remaining facts are not so good for Tahmooressi, especially from a criminal defense perspective.  A Mexican prosecutor could focus on the basic facts: First, Tahmooressi drove his car across the border into Mexico; second, with firearms and ammunition in his truck.  In Mexico, that's a clearly defined crime.

On the defense side, it's been widely reported how easy it is to accidentally drive into Mexico at the San Ysidro border crossing.  This could help negate his intent.

Then there's the issue of Tahmooressi's war-related conditions, which may have contributed to his unfortunate choice of highway ramps.  Tahmooressi suffered a severe concussion when a homemade bomb seriously damaged his vehicle in Afghanistan. His mother has said he suffers from "directional dysfunctionality," which means he frequently gets lost, as well as post-traumatic stress disorder, depression and hypervigilance -- conditions acquired during, and because of his service.

And more to his credit, this Marine did make law-abiding decisions: His firearms were lawfully registered in the U.S., and he immediately called 911 from his cell phone for guidance when he'd realized his mistake.  This country has rallied around Tahmooressi because he's exactly the kind of figure America rallies around: a good person caught in a bad situation.

But what if this happened to someone else?  What if this were just a trust-fund frat boy on spring break, who took a wrong turn in his parents' Volvo with an AK-47 in the passenger seat?  Would there be the same outpouring of sympathy, if other facts remained the same?

Apply the same facts to the fictional spring-breaker above, or one of the Jackass guys, or -- dare I say it -- Justin Bieber.  Do you think most of America would be so mobilized?

Whether we admit it or not, the level of popular support is often driven by the character of the person involved, and not the underlying facts.  If "The Biebs" had made this wrong turn, we'd be saying good riddance -- and we wouldn't care what his mental health status was at all.

Don't get me wrong: If I were president, I'd have already sent in Blackhawk helicopters to extract Tahmooressi -- but mercifully for the U.S., I'm not the President. He even attempted a prison escape. Of course, attorneys are ethically forbidden to counsel a crime like a prison escape, but I'm pretty sure we can silently root for one—especially when it's in a foreign jurisdiction.

Mexico should be equally praised and criticized for its gun control legislation.

In theory, as written, the statute attempts to restrict gun ownership to only the most responsible owners, or the most necessary purposes.  In practice, however, we all know Mexico is hardly a gun-free, crime-free utopia.  Tahmooressi is a responsible gun owner whose ownership did not comply with Mexican law.  Now, his freedom depends on three factors, unrelated to the facts:

First, the Mexican government can choose not to prosecute. Prosecutors in the States have  discretion to withdraw prosecution in the interest of justice. I hope their Mexican counterparts have similar interests: to secure justice rather than victory.

Second, U.S. political pressure may help to secure his release.  But if Tahmooressi benefits from either of these, it will be because of his good character and not the underlying facts.  The underlying facts here are bad for this defendant.

Of course, the third option is a safe escape from a Mexican jail ... but I didn't actually recommend that.

@highlight

A Marine is in prison after driving into Tijuana with guns in his truck, illegal in Mexico

@highlight

Danny Cevallos: Penalties severe for entering Mexico illegally and breaking its gun law

@highlight

Cevallos: Many are rooting for him: Would they if he weren't a sympathetic character?

@highlight

Cevallos: Maybe Mexico won't prosecute, or U.S. pressure will get him released