(CNN) -- What do drug addicts, serial dieters and children from troubled homes have in common?

More than you might think.

Stress can play a pernicious role in triggering a vicious cycle that leaves these groups overwhelmed by uncontrollable impulses and distracted by negative feelings -- all of which may, in turn, spark subsequent cycles of relapse, bingeing and failure.

Through a career that spans almost three decades, Rajita Sinha, psychologist and head of the Yale Stress Center, has sought to understand the processes underlying these stress cycles in hopes they may one day be prevented.

The dance of human emotions

For Sinha, it all began with emotions.

She was 9 years old and living in her native India when she began training in classical Indian dance, which is heavily focused on experiencing and expressing emotions. Indian dancers use facial expressions and hand gestures to tell the stories of people's sacred lives.

"Dancing tied me to the powerful effects of our emotions," she recalls.

Psychology plus ballet: Meet 'Dr. Dancer'

Sinha practiced the art form through college, growing ever more fascinated by how brain and physiology affect emotions and how emotions motivate behavior.

She started her career by working with individual emotions such as anger and sadness, examining how they affect the body and change our response to different stimuli in the environment. What she observed back then was that people don't generally have pure emotions -- that is, they don't feel just angry or fearful -- but that their emotions are often mixed.

"If you asked them how they were feeling, they would say they were stressed or upset," she says. She set out to understand how emotions work together, both to protect us and to cause the stress that can wear us down.

The habit of addiction

In 1994 Sinha was running the substance abuse treatment unit at Yale. As the clinical director, she was doing research on cognitive behavioral treatments that taught recovering addicts how to identify problems and overcome cravings.

Although the research showed that these skills worked, they tended to have only modest effects; a number of people benefited, but that number was not large.

"I would run these groups in my clinic and see the same individuals come back over and over again," Sinha recalls. "They would tell me, 'I know what I'm supposed to do, I have these skills, but when I'm out there and something happens, I just can't help myself.'"

"The biggest challenge with addiction, of course, is relapse, and I set out to understand what drives relapse; what brings these behaviors back."

It became clear that there was often a threshold moment during which some kind of a challenge or trigger prevented the recovering person from accessing his or her cognitive resources. The way the emotions were flooding the person somehow led to a greater risk of relapse.

In each case, Sinha observed that stress played a pivotal role in the loss of control. Clearly Sinha and her colleagues couldn't be out there with each person as he or she was relapsing, but they set out to replicate the behavior in a laboratory setting.

"We began to bring addicted people in recovery into the lab and gave them a series of challenges in controlled experiments. We found that when addicted individuals were under stress, they almost automatically wanted to start using drugs again."

The research began to establish a clear pattern of stress-induced craving for drugs -- both for those early in recovery and those who were actively using. And it wasn't just higher levels of anxiety and negative emotions that were making the recovering addicts seek relief from the stress; there was also a parallel process happening -- the stress was actually escalating the craving for the drug.

Replacing addiction with a healthy obsession

Subsequent experiments showed that stress played an important role in the loss of self-control across a spectrum of behaviors, including gambling and the consumption of tobacco, alcohol and food.

"We started to look into the brain to see what was happening and found that during those periods of arousal, the 'habit' regions in the brain were activated," Sinha says.

She and her colleagues spent a lot of time teasing apart this mechanism in an attempt to figure out how to break the cycle of addiction.

"We have lots of habits that are very important for survival. It's a very evolutionarily hard-wired response that comes from a primitive need to respond very quickly. It's very hard to break that link."

Drugs, food and habitual behaviors all have a direct effect on the biology of stress. It's a feed-forward model, Sinha observes. Her research has shown that stress begets more stress. This is of particular concern because there's a direct link between stress, anxiety, depression and chronic disease.

"We are now studying medications and interventions that both downgrade stress and decrease the promotion of habits," she says. "We are going after stress-induced cravings, thinking that if you target those cravings, you may be able to stop relapse."

Stress and the brain

While we have long known about the connection between addiction and stress, and how stress can increase our susceptibility to chronic diseases, we have only recently begun to understand the biological mechanisms.

Stress triggers the evolutionary "fight or flight" arousal response, where the whole body gears up to move quickly to get out of danger. As part of this arousal, the body releases the stress hormone cortisol and ramps up by using our energy stores, which release glucose and insulin so that muscles have the energy to deal with the stress.

Substances like alcohol, nicotine and cocaine -- and high-fat, high-calorie comfort foods -- can serve as powerful modifiers of the stress system. They change our stress pathways and affect the way we are able to control our response.

The brain area most vulnerable to stress, including early childhood stress, is the prefrontal cortex, which is crucial for metabolic homeostasis, or stability, as well as for survival and adaptation.

Stress we face as children stays with us

"The prefrontal cortex is also the region important for self-regulatory activities of all kinds, both emotional and cognitive, including impulse control, and regulation of emotion, cognition and desires," says Sinha.

Constant battering by stress wears down our ability to counteract potentially dangerous desires, such as cravings for addictive substances or foods. Control over impulsive and dangerous behavior may also wane. This is the dynamic that places children from troubled home environments, and people suffering from addictions, most at risk.

The buck stops here

The Yale Stress Center's clinical practice offers both behavioral and physical health care that incorporates traditional interventions like medication and therapy, along with alternative ones, such as yoga, mindfulness meditation, acupuncture and biofeedback.

"We are finding that stress reduction interventions like mindfulness-based meditation can be extremely helpful to impact the stress cycle," observes Sinha. "But the difficulty is that meditation on its own may not be enough to help addicted individuals." And so Sinha and her colleagues are continuing to develop multipronged interventions that may also include coaching, physical therapy and medications.

Using downward dogs to treat depression

Sinha's work, which started with the interaction between stress and addictive behavior, eventually expanded to include the gamut of behavioral addictions, from food to gambling to sex. She has also begun contemplating the effects of stress on motivated behaviors, both healthy and unhealthy, such as exercise and proper nutrition.

She is particularly interested in food addiction right now; she's concerned about the obesity epidemic and stress-induced eating.

She agrees that social and public health interventions are very important. When the cigarette tax was implemented and smoking was banned from public places, there was a dramatic drop in use. However, there are still a substantial number of people smoking.

"And you really can't ban alcohol and high-fat foods. The buck has to stop at the individual level. My interest is in the connection between stress and behavior, and in finding ways to strengthen the mind and body so that we can resist both mental and physical disease."

Sinha is not dancing much these days. "I am completely engaged with my work," she says. "But I find it interesting that the dancing I did as a child and young person became the cornerstone of my work, that it shaped my career the way that it did."

And as Sinha finds herself in a clinical care practice that includes yoga and mindfulness, she often feels as though she has come full circle, because "part of classical Indian dance is based on yogic principles."

In its own way, she says, it has been an interesting and unexpected journey back home.

Follow Amanda Enayati on Twitter or Facebook.

@highlight

Rajita Sinha is a psychologist and head of the Yale Stress Center

@highlight

Stress can leave people overwhelmed and unable to cope with cravings

@highlight

Addiction, overeating and other behaviors are all affected by stress levels