(CNN) -- As leaders of Brazil, Russia, India, China and South Africa convene in Durban, the term "BRICS" used to describe these rapidly growing economies is so last year; today everyone is talking about the "CIVETS."

Made up of Colombia, Indonesia, Vietnam, Egypt, Turkey and South Africa -- these nations, some with sizable populations and others with a wealth of natural resources, could be the economic boomers of the next decade, according to John Bowler, director of Country Risk Service at the Economist Intelligence Unit.

Although unlikely to rival the economic might of India and China or the resources of Russia and Brazil, this motley crew of emerging markets make the CIVETS the next band of countries to profit from a shift in global power.

Bowler highlights oil-rich Indonesia as a growth story for the next decade in particular. With low levels of public debt and a population of more than 200 million people, the Southeast Asian nation posted growth of 6% in 2012, at a time when economic giants such as China and India slowed.

"Indonesia is a low-cost location so it's attracting investment that would have previously gone into China but because of wage demands that investment is going into Indonesia," he said.

Bowler also noted that Egypt has high growth potential despite trying to secure a critical $4.8 billion loan from the International Monetary Fund.

The country is mired in political turmoil following the outbreak of the Arab Spring two years ago, with Egyptian opposition politician Mohamed ElBaradei labelling the North African nation a "failed state" as the country remains divided over controversial President Mohamed Morsy.

"Eventually Egypt will modernize and follow the kind of path that Turkey has in reconciling its issues in society," Bowler added.

Other members of the CIVETS -- Colombia, Turkey and Vietnam -- all saw growth of more than 3% for 2012, according to IMF data, well above the U.S., U.K., Germany and the debt-ridden "PIGS" of Europe; Portugal, Ireland, Greece and Spain.

Bowler told CNN: "Turkey is an exciting emerging market and Colombia will continue to do well over the coming decade with good demographics and rich, diverse resources even though it has had problems with militia."

One other country that may take the world by surprise is Myanmar, also known as Burma.

The IMF is forecasting rapid growth of 6.3% this year for Myanmar, as the country emerges from decades of military repression. Bowler said that Myanmar, despite the recent unrest, will attract a large amount of foreign investment and is rich in gem stone and base metal resources.

But Goldman Sachs economist Jim O'Neill, the man who coined the BRICS term in 2001, said any club including China is going to be very difficult to match. He said the world's second-largest economy, in tandem with India, Russia, Brazil and South Africa, is still the big story for at least the next 10 years.

O'Neill added: "China creates another Cyprus every week, creates another South Africa every four months, has created another India in the past two years ... by the end of the decade the BRICS will have at least 25% of global GDP."

Leaders of the five economic powerhouses are in South Africa to thrash out a deal on a BRICS development bank, which will fund infrastructure ventures in developing nations; a venture that could be "hugely significant" for Africa, according to O'Neill.

China, in particular, is seeking to increase its investments in the resource-rich continent. This week, newly installed President Xi Jinping made his first state visit to Africa, signing a $10 billion agreement to build a major port and industrial hub in Tanzania.

"It [the bank] is effectively going to replace what the World Bank's purpose has been for the BRIC countries and their friends," said O'Neill.

O'Neill, who is set to step down from his role at Goldman Sachs later this year, forecasts that by 2035 the BRIC nations will be as big as the leading industrialized nations of the G7.

@highlight

EIU's John Bowler sees Indonesia and Myanmar as burgeoning economies

@highlight

Goldman Sachs' O'Neill said any club including China is going to be very difficult to match

@highlight

BRICS leaders meet in South Africa to make deal on development bank