(WIRED) -- Apple's latest OS X update, Mountain Lion, adds a slate of new features, nearly all derived from iOS 5. There's one big omission, however: Siri, Apple's voice-controlled virtual assistant, does not make the migration from mobile to desktop.

Now, technically, Siri isn't a part of iOS 5. It's marketed as the most game-changing feature of the iPhone 4S (which runs iOS 5), and Apple has remained mum on whether Siri will ever be ported to other devices — this to the pique of independent developers who've hacked the feature to run on everything from the iPod touch to thermostats.

Clearly, Siri is Apple's most celebrated user feature. And, clearly, there's interest to see it appear on other Apple devices. Indeed, companies throughout the consumer tech industry are exploring novel new user interface models, including voice-control and gesture-control.

But porting Siri to Mountain Lion desktops would pose several challenges. Apple was smart to leave it out of the latest desktop update, and here's why.

Microphone logistics

Microphone positioning on MacBooks and iMacs would present technical challenges for any Siri desktop port.

The iPhone is designed to be held up to your face, and has a built-in mic that includes advanced noise reduction technology to ensure your voice is heard loud and clear, while street noise and the nearby guy shouting into his phone aren't picked up.

In part, this is accomplished by using two microphones: one near your mouth to pick up your voice, and another near the headphone jack to identify and cancel out background noise.

Yes, your MacBook Pro has an omnidirectional microphone built-in. It's very convenient for using FaceTime in conjunction with the notebook's camera, or for the speech recognition function built into Macs for OS control.

The omnidirectional mic, however, doesn't offer the same voice-processing sensitivity of the iPhone 4′s dual-mic arrangement. All told, Siri voice analysis would be far more challenging on a Mac computer, particularly when other voices or noises are in the room.

Granted, using an external mic, or even the mic on your throwaway iDevice earbuds, could provide a solution. But even though Siri is still considered a beta product, Apple wouldn't resort to such an inelegant hack just to put Siri on Macs.

"Apple has been reluctant to put in features that require something like that," Forrester analyst Frank Gillett told Wired. "It's too fussy for what they like to do. Current speech-recognition products work pretty well if you wear a special high-quality microphone. What's very clear is they need the mic on your face, right by your lips."

Location detection

Siri is all about location-awareness. She wants to give you directions, provide local weather reports, and locate the closest sources of exotic cuisine. But desktop computers don't include native GPS.

"I think the main challenge [in bringing Siri to Mountain Lion] would be the lack of an accurate location being available," said William Tunstall-Pedoe, CEO of True Knowledge, which has developed a Siri clone called Evi. What's more, as Tunstall-Pedoe points out, desktop computers are relatively stationary devices, so a Mac version of Siri may not even need location-awareness, as a large portion of Siri's talents would never be engaged.

All of which begs the question, If a good portion of Siri's functionality isn't even germane to the desktop experience, why even deliver a port?

While MacBooks don't currently include GPS services, various web services (like Google Maps) can figure out your location by using either IP geolocation, or by triangulating your position based on WiFi networks around you. These strategies, however, deliver location accuracy limited to about 150 feet, whereas GPS can peg you within 10 feet of your precise position on the Earth. Future MacBooks could easily include GPS chip built-in for more exact positioning, but for now, laptop and desktop geolocation capabilities aren't accurate — or even that necessary.

Hands-free voice control isn't needed

People tend to use Siri because their hands are tied, like when driving. Thus, "Siri, where's the nearest gas station?" With Siri, you can find the answer quickly, and relatively safely, while keeping your eyes on the road. But these basic use cases just don't transfer to the desktop.

"I think it is fair to say that the advantages that a voice-powered assistant give are stronger on a small mobile device," Tunstall-Pedoe said. "PCs typically have a much larger screen and a keyboard and mouse." Or, in Apple's case, a trackpad or Magic Trackpad instead of a mouse, depending if you're on a laptop or desktop.

Either way, hand-driven data entry is a familiar — and generally effective — method for using today's computers. What's more, as Tunstall-Pedoe points out, "PCs are also often used in environments where the use of voice would be awkward," such as inside an open floor plan office.

Granted, if you're disabled or injured, you could certainly make use of a hands-free feature. But in these cases, you would probably want a tool more robust than Siri. Which brings us to our next point:

Limited use cases

With Siri, you can do things like schedule reminders, look up restaurant and business information on Yelp, get information from Wolfram|Alpha, and ask general search engine-style queries. That's not a large number of functions, and they're not specifically suited to the desktop environment.

Indeed, why would you have Siri look up something when you can more quickly run your own Google search?

"On the iPhone, people want to do short things, like quick dictation and sending a quick text message," Gillette says. The use cases would be different on a Mac, and not necessarily centered around short phrases. Siri's capabilities would need to expand in order to handle these different functions.

Always-on data

Lastly, Siri needs a constant data connection in order to interface with Apple's servers. Until MacBooks include a built-in 3G, or more likely, 4G data connection, WiFi alone won't cut it for consistent, high-quality network availability, Gillett says.

Gillett also believes Siri ties into unique hardware features that make chatter between one's device and Apple's data center more streamlined. "There seems to be special silicon within a special chip that has capabilities for voice recognition that a Mac wouldn't have," he said.

Gillett notes that Siri is sometimes able to analyze a query and provide a response extremely quickly, while other times, it takes 10 to 15 seconds of processing. "I think the chip does some pre-analysis, shrinks stuff it has to send, Apple's data center gets a crunched answer, and Siri displays it on screen," Gillett said.

"Apple may be working on Siri-enabling features [for Macs] in the future, but there will be some hardware enhancements to go with it," Gillett said. "And they'll think long and hard about the use case before they implement a voice feature in the Mac."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Apple has remained mum on whether Siri will ever be ported to other devices

@highlight

Putting Siri to Mountain Lion desktops would pose several challenges

@highlight

Siri voice analysis would be far more challenging on a Mac computer

@highlight

Siri is all about location services and desktop computers don't include native GPS