Listening to the White House, it sounds like an adventure movie -- the secret swapping of detained terror suspects for an ailing American soldier captured in Afghanistan.

To Congress, it sounds like the same old same old -- the White House ignoring an obligation to let legislators know about the deal ahead of time.

In the aftermath of Sgt. Bowe Bergdahl's weekend release in exchange for five Taliban figures held at Guantanamo Bay, Cuba, some in Congress allege President Barack Obama broke the law by failing to inform them about the move 30 days in advance -- as called for under the National Defense Authorization Act.

"The law says they are to give us 30 days' notice. If the President thought that was unconstitutional or an invalid law, than he shouldn't have signed the bill," said Georgia's Saxby Chambliss, the top Republican on the Senate Intelligence Committee. "He knew very well that he was required by law to give us 30 days' notice and he didn't do it."

Obama told reporters in Poland on Tuesday that the circumstances required an immediate decision within his authority as commander in chief.

"We saw an opportunity"

"We have consulted with Congress for quite some time about the possibility we may have to execute a prisoner exchange," Obama said of past talks involving Bergdahl. "We saw an opportunity and we were concerned about his health and had cooperation from the Qataris and we seized that. It was truncated to make sure we didn't miss that opportunity."

The issue touches on flashpoints old and new between the administration and its critics, especially conservative Republicans seeking to depict Obama as a weak leader driven by political concerns for his legacy.

Foremost is whether the Obama administration actually broke the law by not telling Congress beforehand about the weekend exchange in which Bergdahl got handed over to U.S. military commandos near the Afghanistan-Pakistan border while the five alleged senior terrorism figures were flown to Qatar.

Under the National Defense Authorization Act signed into law by Obama late last year, the administration gained some added flexibility in transferring detainees from Guantanamo Bay, but was required to notify Congress 30 days in advance. However, legislators had no power to block such a transfer.

Writing about the law last year, Benjamin Wittes of the Brookings Institution said it put the administration "in a position to move detainees out of Guantanamo as long as it is willing to be politically accountable for the problems they create and as long as they don't bring them to the United States."

"It was lawful," White House says

That is exactly what happened, National Security Council spokeswoman Caitlin Hayden argued Tuesday in a statement.

"Given the credible reports regarding the risk of grave harm to Sergeant Bergdahl and the rapidly unfolding events surrounding his recovery, it was lawful for the administration to proceed with the transfer notwithstanding the notice requirement" in the NDAA, Hayden said in a statement.

CNN legal analyst Jeffrey Toobin disagreed, saying Obama "clearly broke the law" even if he can provide a legal justification for what he did. The bottom line, to Toobin, was that the law calls for 30 days' notice and Obama didn't do it.

Under the law, Defense Secretary Chuck Hagel can authorize such a transfer if he "determines that actions have or will be taken that substantially mitigate the risk that the individual will engage in activity that threatens the United States or U.S. persons or interests," or if the transfer "is in the national security interest of the United States," Hayden said.

In Poland, Obama noted Tuesday that Qatar provided assurances it would monitor the activities of the five Guantanamo detainees, described as senior terrorist figures. Under the terms of the exchange, the five released Taliban figures can't leave Qatar for a year.

"We will be keeping eyes on them," Obama said, noting the possibility existed the freed detainees would continue with terrorist activities but adding "I wouldn't be doing it if I thought that it was contrary to American national security."

Even more, he contended, the move adhered to a bedrock U.S. value of protecting its own.

"Regardless of the circumstances, whatever those circumstances may turn out to be, we still get an American soldier back if he's held in captivity. Period. Full stop," Obama said. "We don't condition that, and that's what every mom and dad who sees a son or daughter sent over to a war theater should expect from not just their commander in chief but the United States of America."

On the 30-day notification period for Congress, Hayden said the Obama administration determined that such a wait could scuttle the swap and perhaps cost Bergdahl his life.

Conflicting responsibilities

She provided a legal explanation, saying the Constitution requires Obama as President and commander in chief to protect the lives of Americans abroad and protect U.S. soldiers, responsibilities that in this case conflicted with the 30-day notification period for Congress.

"We believe it is fair to conclude that Congress did not intend that the administration would be barred from taking the action it did in these circumstances," she wrote.

Hayden also noted that in signing the NDAA, Obama said the law "in certain circumstances would violate constitutional separation of powers principles."

"The executive branch must have the flexibility, among other things, to act swiftly in conducting negotiations with foreign countries regarding the circumstances of detainee transfers," Hayden quoted from Obama's signing statement.

Toobin said the signing statement amounts to the President's opinion "of what the law should mean," rather than a legal ruling.

"This is an example of a signing statement where the President is taking power for himself that the law didn't give him," Toobin said. "That may be constitutional, but it is still a violation of what the law says."

To Congress, the exchange irritated an already raw nerve over the never-ending power struggle between the White House and legislators, who accuse every administration of trying to run roughshod over congressional authority.

Even an Obama ally like Democratic Sen. Dianne Feinstein of California told CNN that as the chair of the Senate Intelligence Committee, she should have received some advance notice of the swap involving Guantanamo detainees.

On Tuesday, Feinstein told reporters that the White House deputy national security adviser, Tony Blinken, called her to apologize for the lack of advance notice. However, it was unclear from Feinstein's comments if Blinken referred to a courtesy call or the 30-day notification under the law.

Meanwhile, both Feinstein and House Speaker John Boehner said the White House encountered opposition from top Democrats and Republicans on congressional intelligence committees when it previously discussed the possibility of exchanging Bergdahl for Guantanamo detainees as far back as 2011.

"Given the past briefings and concerns we had addressed -- and these were from both committees and the leadership of both committees; the concerns were bipartisan -- and I strongly believe that we should have been consulted, that the law should have been followed and I very much regret that that was not the case," Feinstein said.

Boehner, an Ohio Republican, also argued that the past discussions meant legislators expected the Obama administration to brief them again before any exchange took place, adding: "The only reason it did not is because the administration knew it faced serious and sober bipartisan concern and opposition."

However, another veteran Democrat said the administration took all the proper steps under the circumstances.

"We received a detailed classified notification from the Secretary of Defense that satisfies the many substantive certification requirements of the National Defense Authorization Act," said a statement by Sen. Carl Levin of Michigan, who chairs the Senate Armed Services Committee.

Noting that Obama "put Congress on notice" last December that he intended to act quickly in such cases, "members of Congress should not be surprised that he acted as he did in the circumstances that existed."

GOP attack strategy

Republicans piled on as part of their strategy to tarnish both the Obama and Democratic brands ahead of November's congressional elections and the 2016 presidential vote.

Some GOP committee chairmen in the House already plan for hearings on the legality of the swap, a move backed by Boehner.

Chambliss, who is retiring when his current term expires at the end of the year, challenged the administration's explanation that Berhdahl's ill health necessitated moving swiftly to complete the weekend exchange.

"There is no indication of that other than what this President said and I don't believe a thing this President says now," he said.

Veteran GOP Sen. John McCain of Arizona took broader aim on Tuesday, telling Fox News that the Bergdahl swap was part of what he called a misguided policy to get all American troops out of Afghanistan by the end of 2016 -- a timetable Obama announced last week.

"The president may be ending the war in Afghanistan, but the Taliban and al Qaeda are not ending the war in Afghanistan," said McCain, a constant critic of any effort by Obama to limit U.S. military presence abroad.

Obama, who defeated McCain in the 2008 presidential election, "is carrying out a foreign policy of unreliability and weakness" that will cost the nation "for years to come," said the senator, himself a former prisoner of war.

Toobin said he expected the controversy to remain in the political arena, noting that the courts rarely if ever get involved in power squabble between the executive and legislative branches.

"This just shows that members of Congress, even Democrats, are very jealous of institutional power," he said, "and that Congress doesn't want to be treated like a doormat, even by a President of the same party."

Obama defends prisoner exchange for Bergdahl

Fellow soldiers call Bowe Bergdahl a deserter, not a hero

@highlight

Democratic Sen. Feinstein says Congress should have been told

@highlight

President Obama defends the swap of terror suspects for Sgt. Bergdahl

@highlight

White House: protecting U.S. citizens and soldiers is a special circumstance

@highlight

GOP critics say Obama violated a law requiring 30 days' notice for Congress