(CNN) -- As Europe and the International Monetary Fund hammer out the the final details of an Irish rescue package worth tens of billions, the British government Monday offered a direct loan to Ireland worth $11.3 billion (£7 billion).

The British Finance Minister George Osborne said the offer of the loan was in Britain's national interest and that Ireland was a "friend in need."

Osborne said that in addition to the offer, Britain would also be contributing to an international rescue package, adding that details of the British, IMF and Eurozone packages were still being worked out.

"Ireland is our very closest economic neighbor so I judged it to be in our national interest to be part of the international efforts to help the Irish," Osborne told the BBC.

Asked if the British commitment totaled $11.3 billion, Mr Osborne said: "It's around that, it's in the billions not the tens of billions."

What does the bailout mean?

On Sunday Ireland formally requested substantial "financial assistance" from the European Union and IMF, Prime Minister Brian Cowen said.

"I want to assure the Irish people that we have a better future before us," Cowen said in announcing the request, as well as pledging substantial budget cuts and tax hikes.

Ireland needs funds to shore up its struggling banking sector and buttress the government, which has poured billions into saving the banks.

Fears about Ireland have pushed down the value of the euro against the dollar and put stock markets under pressure.

But the request for help is unpopular in Ireland, and the government could be punished Thursday when there is an election to fill an empty seat in parliament.

A small crowd of protesters demonstrated Sunday night, as government ministers left the press conference where the aid request was announced. One person was arrested earlier in the day for public order offenses at a demonstration outside government offices, police said.

But European Union finance ministers welcomed Ireland's request for assistance, according to a joint statement issued soon after Cowen's announcement.

The ministers agreed earlier on Sunday to take on the request and start negotiations, Irish Finance Minister Brian Lenihan said.

"Ministers concur with the [European] Commission and the European Central Bank that providing assistance to Ireland is warranted to safeguard financial ability in the EU and in the euro area," the EU statement said.

The central bank's governing council likewise embraced the request, saying in a statement that a loan deal "will contribute to ensuring the stability of the Irish banking system and permit it to perform its role in the functioning of the economy."

The IMF Managing Director Dominique Strauss-Kahn said, in a news release, that the international finance institution "stands ready to join this effort, including through a multi-year loan."

Dublin had long publicly insisted it would not seek an external bailout, despite widespread concerns that a ballooning budget deficit and wobbly banking sector would further cripple the Irish economy.

Yet a possible loan package was front-and-center during talks this week of European financial ministers. And officials from the European Commission, the European Central Bank and the IMF have been meeting officials from Ireland's Department of Finance and the National Treasury Management Agency since Thursday, hashing out measures required to bring stability to the Irish banking system.

Those negotiations now continue to determine the extent and guidelines for any aid package, according to Cowen, who said he expects a deal to be finalized "in the next few weeks."

At Sunday night's press conference in Dublin, which followed a meeting of Cowen's cabinet, Lenihan said the country would ask for less than 100 billion euros from the EU and the IMF. Last May, those two bodies bailed Greece out to the tune of 110 billion euros (currently $150 billion).

Cowen said that the government planned to cut 6 billion euros before it wraps its current budgetary cycle on December 7 and planned to eliminate a total of 15 billion euros over the next four years.

"These targets already have the support of European [financial] ministers," the prime minister said. "These [cuts] will be difficult for everyone."

In part to meet its loan requirements, Dublin also will set out a comprehensive four-year plan detailing its deficit-reduction and other measures to shore up the Irish economy, according to Cowen. He said that while corporate tax rates would stay unchanged, income tax levels would rise to 2006 levels.

In addition, Cowen said he'd push new policies that would make Irish banks "significantly smaller than they have been in the past ... so they can be brought on their feet."

Ireland shares the euro with 15 other European nations, and its perilous financial situations has raised concerns about a trickle-down effect on the common currency and the wider European Union. Responding to questions that a large outside loan might threaten Ireland's sovereignty, Cowen said Ireland's economy was already tightly tied into Europe's and said "support ... from our partners" encouraged him to support asking for their assistance.

"Our membership in the EU has transformed our country for the better," the prime minister said. "[But] the task of rebuilding our economy falls to our own ... people."

Journalist Peter Taggart and CNN's Jim Boulden and Bharati Naik contributed to this report.

@highlight

NEW: British government offers Ireland $11 billion loan offer

@highlight

George Osborne, British finance minister, says loan is in Britain's interest

@highlight

IMF, EU ministers "welcome" Ireland's request for financial assistance

@highlight

Sweden may also offer separate loan to Ireland