Washington (CNN) -- If the government does not take drastic steps, another deepwater oil spill like the BP spill in the Gulf of Mexico could devastate the coastal areas of the United States, an oversight commission warned Tuesday in a long-awaited report to the president.

More research, funding and oversight are needed to help prevent another disaster, concluded the National Commission on the BP Deepwater Horizon Oil Spill and Offshore Drilling.

"As drilling pushes into ever deeper and riskier waters where more of America's oil lies, only systemic reforms of both government and industry will prevent a similar, future disaster," said William K. Reilly, the commission co-chairman.

Halliburton criticized the report's conclusions, saying the commission selectively omitted information it submitted.

The disaster "was almost the inevitable result of years of industry and government complacency and lack of attention to safety," Reilly said. The disaster led to the worst maritime oil spill in U.S. history.

That was "indisputably the case" with BP; Transocean, which owned the Deepwater Horizon oil rig; and Halliburton, which installed a cement casing for drill operations, he said. It also was the case with the government agency charged with regulating offshore drilling, Reilly said.

The report, "Deep Water: The Gulf Oil Disaster and the Future of Offshore Drilling," proposed "comprehensive" government and industry actions "to overhaul the U.S. approach to drilling safety and greatly reduce the chances of a similar, large-scale disaster in the future."

Over the past 20 years "we became lulled into a sense of inevitable success," which masked the heightened risk in deepwater drilling, said the commission's co-chair, former Sen. Bob Graham.

Advances in science, both in drilling offshore safely and in containing a spill, are vastly inadequate and must be improved, Graham said.

The commission faulted the government for passivity, saying regulators were outmatched, underfunded and had conflicting responsibilities that kept them from effective oversight.

They called for a new regulatory office headed by a scientist with a fixed term that would be created under the Interior Department. The position would be designed to remain more immune to industry pressures than current oversight agencies.

Since the spill, there have already been reforms and new rules requiring companies to strengthen safety practices and modernize equipment, said Kendra Barkoff, deputy communications director for the Interior Department.

"Over the last eight months, the Department of Interior has undertaken an aggressive overhaul of the regulatory agency responsible for overseeing offshore oil and gas operations, increasing safety and ensuring oil and gas development is conducted responsibly," she said.

The commission, convened by the president this summer, cited a systemic failure in the oil industry, blaming all three companies -- BP, Transocean and Halliburton -- involved in constructing the Deepwater Horizon rig.

"The industry needs to pick up its own game," said Reilly, who said the industry was already considering the commission's charge that it form a self-policing "safety institute."

Halliburton spokeswoman Cathy Mann criticized the report's conclusions, saying the commission "selectively omitted information provided to it by Halliburton in response to its numerous inquiries."

Mann specifically noted what she described as a mischaracterization of the February and April foam stability tests related to the cement pumped at the deepwater well, according to a company statement Tuesday.

Transocean spokesperson Samantha Cohen blamed BP for the incident, lauding the Transocean crew who "took appropriate actions to gain control of the well."

She added that "it would be premature to draw final conclusions at this juncture," according to a written statement.

In contrast, Sierra Club Executive Director Michael Brune said his organization commends "the oil spill commission for its thorough and thoughtful examination of the worst environmental disaster in our nation's history."

"This report is very timely, following a severe Alaskan pipeline leak this past week that reinforced the need for us to take a hard look at safety standards and our nation's addiction to oil," he said in a written statement.

To help fund some recommendations, the commission suggested both raising fines on oil companies and charging them for a lease to drill off the U.S. coastline.

BP said Tuesday it cooperated fully with the commission.

"Given the emerging consensus that the Deepwater Horizon accident was the result of multiple causes involving multiple parties, we support the commission's efforts to strengthen industrywide safety practices," BP spokeswoman Ellen Moskowitz said. "We are committed to working with government officials and other operators and contractors to identify and implement operational and regulatory changes that will enhance safety practices throughout the oil and gas industry."

The commission recommended lifting the $75 million liability cap for offshore facility incidents, but said the members could not agree on whether an oil company's liability should be unlimited.

Reilly said it would be unreasonable to expect the bill to be sent to the public if the companies cause billions in dollars of damages. He suggested smaller independent oil companies could join an insurance pool to cover their risk.

The commission found several "preventable human and engineering failures were the immediate causes" of the BP disaster. However, the commission did not weigh in on whether BP, Transocean or Halliburton broke the law in developing the Deepwater Horizon rig, and deferred the question of criminal charges to the Department of Justice.

Members answered media questions Tuesday about contentious debates over drilling near Florida and Alaska.

Graham referenced former vice presidential candidate Sarah Palin's call to "drill, baby, drill," a battle cry co-opted by proponents of drilling off Florida's coast.

"The numbers are not sustainable," Graham said when asked about drilling off Florida. "We need to be holding back some areas that have potential for future generations."

However, members did not object to continued drilling off Alaska, instead calling for more safety research, funds that would allow for more training for the Coast Guard in the state and new organizational structure that would allow for input from local communities.

The American Petroleum Institute, which represents more than 400 oil and natural gas companies, said the group is pleased with the commission's recommendation to increase funding for more federal inspection and monitoring of offshore activity.

However, API Upstream Director Erik Milito said the group is concerned that the report reflects negatively on an entire industry based on a single incident.

"This does a great disservice to the thousands of men and women who work in the industry and have the highest personal and professional commitment to safety," Milito said.

The commission met with President Barack Obama Tuesday before presenting its report to Congress. The commission emphasized its message was clear and unanimous, and was delivered on time -- a rarity in Washington.

"Drilling offshore is inherently risky and we can never reduce the risk to zero," Graham said. "But we can mitigate the risk."

@highlight

NEW: Halliburton says the report unfairly criticizes them

@highlight

Government regulators were outmatched and underfunded, report says

@highlight

Years of industry and government complacency is cited