The boundary between Tennessee and North Carolina might be one of the loveliest border crossings ever: It's the crest of the Great Smoky Mountains National Park. Hikers on the Appalachian Trail walk the line between the two states for most of the trail's path through the park.

Incredible biological diversity is one of the Smokies' standout features.

Animals and plants typically found in the northern United States are found at the park's higher elevations, while at lower elevations, the flora and fauna of the Southern states are represented. Elevations reach 6,643 feet in the Smokies, which are among the oldest mountains in the world.

Park stats: Great Smoky Mountains National Park is the most visited National Park in the country with 9.7 million visitors last year. It occupies 800 square miles in the Southern Appalachian Mountains. More than 17,000 species have been found in the park.

The location: Great Smoky Mountains National Park is in North Carolina and Tennessee.

If you go: Entry to the park is free. Camping costs range from $14 to $23 per night.

Meet our ranger: A second-generation park ranger, Caitlin Worth knows her national parks well. Her father and mother met working for the Park Service at Washington's National Mall. The family followed her father to his postings at Acadia National Park in Maine and the Great Smokies. (Her father retired as head of the Great Smokies' public affairs office last year.) Worth did summer internships at the park while in college and graduate school, and she was hired permanently three years ago.

Now Worth, her husband and new baby live just a mile from the park. "I fell in love with this park when I worked here (as a seasonal intern) and couldn't figure out why I'd ever want to be anywhere else," she says.  "There are so many historical resources here. There are so many places you could close your eyes and open them again and you're in the past."

For a day trip, don't miss: Cades Cove right after sunup (especially in the summer) to see the misty valley waking up and the wildlife at its most active.  You might spend a few hours there. "One of biggest mistakes people make, if they have only one day, is to start at 10 a.m. You've already missed the best hours. It's hot and busy, and they don't see it the way they should."

If you have a little more time, drive up and over the mountain to Clingmans Dome, the park's highest point. You can walk up to the observation tower and even walk a little bit of the Appalachian Trail. "The Southern Appalachian mountains are pretty spectacular."

Favorite less-traveled spot: The hike to the Mount Cammerer Fire Tower is Worth's favorite hike to see spring wildflowers and changing fall colors. But it's not for novices. It's a long hike -- about 11 miles round trip or 17 miles in a loop -- and it's not flat.

"I like a hike that makes me feel like I worked for it," she says.  "It's a good challenge hike if you're up for one. And it's quiet, which is sometimes hard to find in the park."

Favorite spot to view wildlife: While Cades Cove is filled with people wanting to see bears, Worth loves to spot elk and spring bird migrations in the Oconaluftee Valley. The Oconaluftee River Trail runs through the valley, as does the road (in case you're worn out at this point). "There's something about that valley in the morning that's spectacular," she says. "There's an ethereal quality."

Most magical moment: Leading a group of second-graders to see Mingus Mill, Worth suggested the children pretend they saddle up on their imaginary horses with their imaginary bags to collect corn from the mill. Then everyone galloped up the hill to the mill.

"You can imagine a ranger galloping up the hill in full uniform?" says Worth, laughing. "The class wanted to ride their horses all day. And they asked if the horses could look like whatever they wanted." Yes, of course, she told them. Her horse had purple stripes and sparkles.

"By the end of the day, the kids really fell in love with their horses. One girl came up to me and said, 'Thank you for letting us come to the park. Can we take our horses home with us?' "

Another favorite national park: The Florida side of the Gulf Islands National Seashore (it also skips a state as part of it is also in Mississippi) was Worth's annual beach trip as a child, and it's the place she credits with making her want to be a park ranger.

"I saw my dad going to work in a uniform but I didn't get it," she says. "It was the junior ranger program (at Gulf Island) where I fell in love with the idea of being a park ranger (when I was 6).  I just loved it."

Gulf Islands is an "amazing untouched beach park, where I feel like I'm on a real Florida beach that hasn't been manufactured or plowed flat," she says. "It's also a neat historical park with fortifications on the islands" dating back nearly 150 years to the Spanish.

What's your favorite national park and why? Please tell us in the comments section below.

@highlight

Great Smoky Mountains National Park divides North Carolina and Tennessee

@highlight

Visitors to the park can spot bear, elk and spring bird migrations

@highlight

There are day hikes for the novice and longer hikes that will make you sweat