San Diego, California (CNN) -- Sen. Chuck Schumer, D-NY, and Sen. Lindsey Graham, R-SC, are demonstrating real leadership on a tough issue. The issue: immigration. Their solution: a comprehensive reform bill combining enforcement with earned legal status for illegal immigrants, which they appear ready to introduce any day now.

But before Congress returns to a debate that tied it up in knots a few years ago, and before Americans begin arguing -- on talk radio and blogs, at water coolers and Little League games -- over what to do about border security, workforce needs, the process for immigrating legally, and the status of 10.3 million illegal immigrants, we need to be absolutely clear about why the United States has so much illegal immigration in the first place.

Until we can answer that question candidly and without regard for hurt feelings, we'll never be able to curb the future flow of illegal immigrants. Americans remember the debate over the 1986 Immigration Reform and Control Act, which offered amnesty to nearly 2.7 million illegal immigrants.

Now, many of them want a guarantee that, if they go along with offering illegal immigrants what would this time be a conditional legal status (as opposed to "amnesty"), they won't have to go through all this again in another 24 years.

Well, that's up to us -- and how we address the question: Why does the United States have so much illegal immigration?

The answer is not as simple as what you hear from the right -- that we haven't been serious about border enforcement, and have instead created a social services magnet that draw migrants north in search of free benefits. And it's not as simple as what you hear from the left -- that trade deals like NAFTA have destroyed the Mexican economy and thus propelled immigrants north in search of higher wages.

It's not just because of porous borders, or a reluctance to punish employers who hire illegal immigrants, or because Mexico is a "failed state" that can't provide enough jobs for its own people.

Everyone likes to point fingers. And no one wants to accept any degree of responsibility for the problem. That's what many Americans find so appealing about this fantastical rhetoric about how the country is experiencing an "invasion" as if we were all sitting in our backyards and minding our own business when, over the horizon, came an army of nannies, gardeners, housekeepers, short-order cooks, chamber maids, construction workers and farm laborers demanding to do our chores.

Why does the United States have so much illegal immigration?

I know the answer. It's my fault. It's because of me, and tens of millions of other Americans just like me. We create the demand for illegal immigrant labor not because of anything we do but because of all the things that we will not do  -- at any wage. Even as someone who juggles several jobs, I have to admit that my work ethic -- especially for hard, physical labor -- is a distant second to that of my immigrant grandfather who came from Mexico legally in the early 1900's.

My grandfather was a farm worker who would make it a point to show up to a job early and start working a half hour before he clocked in, as his way of showing appreciation to his employer for hiring him. There are days when my employer doesn't see me before noon, because I'm writing somewhere else or giving a speech or making my kids breakfast.

My grandfather would do any kind of work without complaint and graciously accept whatever wages were offered because he felt as if the employer was doing him a favor by giving him a way to support his family. When I start a new job, I instinctively negotiate for a higher salary and more vacation time than I had at my last one -- that is, more money for less work -- and I usually feel like I'm doing the employer a favor by showing up.

Now multiply me by 10 million or 20 million. And amplify it for all those Americans who are younger than me, those 18-to-35-year-olds who have been raised by their parents to shun hard work and think of themselves as special and entitled to high-paying and non-strenuous jobs that are also emotionally satisfying.

If Americans want to stop importing foreign workers, either legally or illegally, then we had better start producing domestic workers who will do the kinds of hard and dirty jobs that our grandparents did without complaint -- and that now, these many years later, most of us won't do without complaining.

You won't hear that from members of Congress. They're too worried about staying popular with constituents, and insulting parenting skills would not be helpful. But lawmakers have to get over that, and start dealing with the issue of illegal immigration with honesty and courage. Or they'll only make the problem worse.

Listen up, Congress. A lot of you like to beat your chests and talk tough on this issue. Well, in this case, the problem is with your constituents.  They're the ones who need the scolding. Have at it.

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Two senators are crafting immigration reform legislation

@highlight

Navarrette: Nation troubled by idea of repeated amnesty periods for illegal immigrants

@highlight

He says key question is why the U.S. continues to attract so many illegal immigrants

@highlight

Navarrette: Answer is U.S. workers don't like the hard, physical labor