(CNN) -- Whether you can take a vacation or not, you can always rely on the weeks between Memorial Day and Labor Day to offer up books you can escape with.

This summer's slate of beach (or relaxing-locale-of-your-choice) reads include debuts from fresh voices as well as the return of familiar favorites.

We've whittled down the hottest releases to 10, with help from the well-read folks at Publishers Weekly, Amazon and the independent Parnassus Books in Nashville.

If we were you, we'd pencil in some time in the hammock now:

1. "Billy Lynn's Long Halftime Walk" by Ben Fountain

Often referred to as the " 'Catch-22' of the Iraq war," Ben Fountain's debut novel follows a squad of eight soldiers, including 19-year-old Spc. William Lynn, as they wind down their two-week "Victory Tour" with an appearance at a Dallas Cowboys' Thanksgiving Day game.

Reviewers have praised Fountain's combination of comedy with the harsh realities of war, and Parnassus Books put its recommendation bluntly:

"We got an (advanced copy) of the book back in January, and we all read it and were blown away," said Tristan Hickey, bookseller and floor manager of the shop. "The humor in the book is astounding; it's humor with some very profound emotions behind it. If (Fountain) didn't immediately make a splash, we'd be happy to help make it."

2. "Bring Up the Bodies" by Hilary Mantel

After the spectacular reception of 2009's "Wolf Hall," readers have been eagerly awaiting the second installment of Hilary Mantel's fictional take on Henry VIII's reign through the eyes of Thomas Cromwell.

Cromwell, said Publishers Weekly Fiction Reviews Editor Mike Harvkey, is a "little older" in book two but "more powerful" as he plots the removal of Anne Boleyn from the throne.

As with "Wolf Hall," Mantel's "Bring Up the Bodies" is in present tense, which is great for a summer read because the book has an "immediacy," Harvkey said. "I think you're going to see this in six out of 10 hands on the subway."

And, bonus: You don't have to read "Wolf Hall" if you want to dive right in to this.

3. "My Cross to Bear" by Gregg Allman

There are celebrity memoirs that give you the sanitized side of show business, and then there are the ones that strive for more. Gregg Allman's falls intp the latter category, Harvkey said.

Along with Alan Light, Allman, the lead singer of American rock band the Allman Brothers, pulls back the curtain on his life as a musician while poignantly reflecting on his relationship with his brother, Duane, who died in 1971.

"Like all great memoirs, Allman really laid himself bare in this," Harvkey said. "He takes readers through tragedy but with a focus always on the music and just sort of surviving. Even though it's got a lot of darkness ... it's a great read."

4. "Gone Girl" by Gillian Flynn

On the surface, acclaimed writer Gillian Flynn's "Gone Girl" has the makings of a true-crime TV movie: a husband and wife (Nick and Amy, in this case) whose five years of matrimony have taken several turns for the worse as they battle infidelity, dishonesty and money issues in Missouri.

And then, on their fifth anniversary, Amy disappears while the fingers begin to point in Nick's direction.

That setup is enticing enough, but Flynn still has more to offer. As the New York Times' Janet Maslin writes in her review, "Gone Girl" is "wily, mercurial, subtly layered and populated with characters so well imagined that they're hard to part with."

A smart, juicy read with well-hidden clues? We'll take that with a spiked lemonade, please.

5. "Barack Obama: The Story" by David Maraniss

Few books get a better tease than the musings of a current president's former girlfriend, which is exactly what David Maraniss' biography of President Barack Obama received ahead of its June 19 release.

Vanity Fair published an excerpt in June about the woman Obama dated as a young man in New York, which was adapted from Maraniss' text, a biography that looks at the world and circumstances that shaped the 44th president we know today.

6. "The Age of Miracles" by Karen Thompson Walker

Karen Thompson Walker's debut novel, "The Age of Miracles," has become a must-read ahead of its June 26 release.

It's a coming-of-age tale told from the perspective of a 10-year-old girl living in California whose world is thrown literally out of whack after a massive earthquake, explained Amazon.com's Senior Editor of Books Chris Schluep.

"The earthquake knocks the Earth off its axis, so the Earth begins to slow down," he described. "The days get longer, and the nights get longer, and it's about what it's like to grow up in this situation. It's sort of quietly epic, about what becomes important when you don't know what tomorrow holds."

7. "Yes, Chef: A Memoir" by Marcus Samuelsson

Celebrated chef Marcus Samuelsson is recounting his rise in the culinary world in this memoir arriving June 26, but that story necessitates that he intertwines his personal path as well.

Born in Ethiopia and raised in Sweden by an adoptive family, Samuelsson retraces his growth from a boy helping his Swedish grandmother in the kitchen to becoming an acclaimed chef with one of the hottest restaurants in NYC. (That would be Harlem's Red Rooster, if you want to make reservations.)

8. "Gold: A Novel" by Chris Cleave

Chris Cleave's novel "Little Bee" was inescapable in 2009, and we're betting that this summer's "Gold" will be the same -- and not just because it's tied to the Olympics.

Cleave's latest follows two women who are not only friends but rivals, as they've trained as cyclists together since they were 19. Now 32, one woman balances her desire to win the gold at the 2012 Olympics in London with her daughter's battle against cancer as her friend and training partner weighs how important the gold medal is over their friendship.

"'Gold' is great in a few ways," Publishers Weekly's Harvkey said of the July 3 release. "One, it's an incredibly breezy read, and it builds to this breathless conclusion. The racing scenes, which could be dull, are amazingly rendered. And then the three characters are really well developed. It's a fast-paced read."

9. "Shadow of Night" by Deborah Harkness

Part of Deborah Harkness' All Souls trilogy, "Shadow of Night" is the follow-up to her 2011 best-seller "A Discovery of Witches."

With the aid of vampire and geneticist Matthew Clairmont, Diana Bishop searches for answers about a powerful manuscript. They pick up in the second book, "Shadow of Night," having time traveled to Elizabethan London, where Matthew's history will be explored (he's 1,500 years old, of course) as well.

"In a lot of ways, ('Shadow of Night') is the perfect summer read," Schluep said. "There's fantasy, there's love, (and) there's discovering your calling in life." "Shadow of Night" arrives July 10.

10. "Albert of Adelaide" by Howard Anderson

This praised debut from 66-year-old Howard Anderson follows a duck-billed platypus named -- you guessed it -- Albert as he escapes from a zoo in Adelaide, Australia.

Albert's missions is to find out whether "there's any truth to the 'Old Australia' his fellow inmates keep whispering about," explains Parnassus Books' Hickey. He also clarifies that this novel, arriving July 10, is for adults.

Harvkey is also looking forward to this debut, adding that "it's dark in some ways ... and (Albert's) not necessarily a cuddly character. It has action, unlikely heroes, and it's also incredibly unusual."

@highlight

This summer's reading picks highlight 10 books to watch for

@highlight

Readers from Publishers Weekly, Parnassus Books and Amazon.com weigh in

@highlight

Titles include new novels from favorites like Chris Cleave

@highlight

There are also fresh voices, such as Karen Thompson Walker