Washington (CNN) -- Time to brush off the veto stamp.

For someone who's only used it twice, President Obama may need some reacquainting with the last remaining weapon in Democrats' arsenal. He last rejected a bill from Congress in 2010.

But he's had blocking from a Democratic Senate majority until now. They've stood in the way of bills most Democrats would oppose. Things are likely to change in January, when Republicans take charge of the Senate.

If Senate Republicans follow the path of their House counterparts, he could be faced with proposals to repeal Obamacare and budgets that cut entitlement programs - the type of bills that will meet a quick end at the other end of Pennsylvania Avenue.

Obama to voters: "I hear you"

"Congress will pass some bills I cannot sign. I'm pretty sure I'll take some actions that some in Congress will not like. That's natural. That's how our democracy works," Obama said at a news conference Wednesday.

So what's left for either side to achieve? Here are four things that Obama can -- and can't -- do with the new Congress:

Immigration - He can sign an executive order

Republicans and Democrats both want to reform the nation's immigration system. But that's about as far as the White House and the House GOP have gotten in hammering out an agreement that would increase border security and ease deportations.

Related: 2016 starts now

The White House says the House had its chance on immigration reform when it balked on taking up a measure that passed the Senate on a bipartisan basis. Instead, Obama plans to announce an executive order that most speculate will drastically reduce the number of yearly deportations.

Initially meant for the end of the summer, the announcement was pushed until after the midterms -- much to the chagrin of immigration reform supporters. Now the White House says it'll happen before the end of the year.

But while the action may enrage Republicans, it can't go nearly as far as legislation would. When the next Congress begins, the Senate bill praised by the White House becomes null -- any potential new law would have to pass the Senate again.

Related: Obama delays action on immigration executive action

Obama's executive order would likely forestall any hope of getting Republicans on board, though Obama reiterated Wednesday his order would be nullified if Congress takes action.

"You send me a bill that I can sign, and those executive actions go away," was his message to GOP leaders.

Based on public statements from Senate Republicans, however, the chances of a bill after Obama's executive action are small, meaning any legislative fix to immigration would come in the next Congress -- after Obama leaves office.

Climate change - He can add to limits on carbon emissions

If Obama wasn't getting anywhere with the last Congress on stemming carbon emissions -- and he wasn't -- he certainly won't gain any traction with the new one led by Sen. Mitch McConnell, who defeated his opponent partly by framing her as an ally in Obama's "war on coal."

The president has already put forth executive actions curbing emissions from coal plants and putting new limits on emissions, which angered Republicans who claimed it amounted to executive overreach. The White House says more unilateral moves to combat climate change are on the docket ahead of an international climate change conference in Paris next year.

Related: Obama says climate change deniers are "serious threat"

But like immigration, any major new laws designed to curb emissions would meet a quick end in the Republican controlled Senate. And with Republicans -- some of whom deny that man-made climate change even exists -- chairing key committees with oversight over Obama's Environmental Protection Agency, the prospects for lasting change appear to have dimmed.

Closing Gitmo - His options are more limited

The chances of shuttering the Guantanamo Bay prison in Cuba through legislative action haven't changed -- they were slim before Tuesday and they're slim now.

Republicans and Democrats alike on Capitol Hill are wary of signing off on a law that would permit Obama to transfer detainees from the facility to the United States. While other countries have agreed to accept certain prisoners, others are deemed too dangerous to release. The administration wants to find places in the U.S. to house them so the reviled Guantanamo Bay prison can be closed.

Without Congress' approval, Obama would have to use his own executive authority to push through a change, a move that would undoubtedly prompt cries of overreach by lawmakers. But it would fulfill a promise that extends back to his first campaign for president.

Economy - He needs help from Congress

It's two areas of economic policy -- trade and tax reform -- the White House believes could present the most potential for cooperation with a Republican Senate. But even there chances of new deals appear slim.

Two major trade deals, with Europe and about a dozen Asian countries, have been stalled while Senate Democrats refuse to offer so-called "fast track" authority to Obama to get the pacts hammered out. They're worried the trade measures could ship jobs overseas. Republicans, however, have been more amenable to the plans as potentially a boon to U.S. business. Whether they and Obama can agree on the final plans depends largely on the two sides' willingness to work together.

Likewise, tax reform is an issue both sides at least agree needs to be addressed. Obama and Republicans want to lower corporate rates and simplify the code. At one point, the White House and House Republicans were casting the issue as the key area of agreement should Congress fall into Republican hands.

But some key players are no longer around: Rep. Dave Camp, the Republican chairman of the House Ways and Means Committee and someone who was open to a tax deal with Obama, is retiring at the end of this Congress. That leaves open whether or not there's still an opening to find a deal. If there is, it would form a major part of Obama's legacy.

On Wednesday, Obama insisted the agenda he's set for himself was still operative.

"The one thing that I'm confident about is that I'm going to be pretty busy over the next few years," he said.

@highlight

Republicans will take over control of the Senate in January

@highlight

President Obama will lose the Democratic majority that has spared him the need to veto