(CNN) -- Michelle Asci dreamed of capturing life through her camera lens. Asci had her sights set on being a photographer as she graduated with a bachelor of fine arts degree from Georgia State University in December.

But the 23-year-old is not working as a photographer. She's at a concession stand, selling popcorn or ushering people into their respective theaters before the midnight screening. Asci's been working part-time at the same Atlanta movie theater since 2005.

"It's going on to be eight years of this," she said. But working part-time at a movie theater was not what she saw herself doing with her degree, and she is not alone.

Last month's surprising drop in U.S. unemployment rates from 8.2% to 7.8% gave many hopes that the economy is improving, and the lower rates even beat the expectations of some economists. But a breakdown of the latest jobs report shows that more than half of the jobs added this month are part-time.

This leaves people like Asci wondering: Is the new American job part-time?

From law dreams to data-entry

Every day, Dolores Casillas holds her breath as she walks into the Chicago bank where she works part-time doing data entry. It's a temporary position, and she's heard her boss say time and time again that there might not be a job for her one of these days.

"There was someone at my job who was working for only three weeks, and she came in one day and didn't have a job. It's nerve-wracking," she said.

The insecurity of her part-time job is one reason behind the mounting stress facing the 27-year-old, who graduated from Northeastern Illinois University in 2010 with a degree in political science. Casillas, like many adults her age, has student loans along with a laundry list of other bills she needs to pay.

She lives with her mom to offset her expenses and started working as a film and television extra on the side to supplement the part-time pay she makes at the bank. This month, she is going to be an extra on a Chicago-based television show, acting as a housekeeper.

It's quite a departure from her dreams of becoming a lawyer. But she says those dreams are not realistic anymore when she thinks about the average cost of higher education.

"Law school's like, what, $75,000? I can't afford that. I tried looking for a paralegal job, but I couldn't find anything," she said.

"I feel like we are the confused generation," Casillas said. "My mom was 24 when she got her own house and had my sister. Both my parents had jobs then, here in America. When I think about that, I think to myself, 'Wow, I don't have any of that.' "

It frustrates Casillas to compare herself with her mother, who for the past 26 years has worked at a Chicago factory to support their family. "I thought I would get a better job than her because I have a degree. I never thought I would make less than my mom," she said.

Still, she is grateful about her situation when she thinks about friends who are unemployed.

She's persistent in applying for jobs and is willing to work random part-time jobs to help pay off her bills and loans. "If you want to keep yourself from being homeless, don't be picky with jobs," she advised.

From corporate suit to story reader

When Cynthia Foust saw the "hatchet man" at her corporate job at a North Carolina mobile company one morning in 2008, she knew that someone was getting the ax. Little did she know that it would fall on her and her entire quality service department.

She was shocked and mainly hurt to see her co-workers break down in tears when they got the news of their termination. Unlike them, she was financially stable even with the loss of her job, relying on her husband with a full-time job and the money she'd saved when she was working.

But after using up her severance package, she decided she needed to do more. So when she came across an ad in her local paper for a job as a story reader, she considered the idea.

"I thought it was really interesting," she said. "I have a son, and when I read to him, I would do the voices and make each character sound different and use an inflection in my voice, so I thought to myself, 'I can do this.' "

Now, she works part-time reading to young children who attend at-risk schools and other learning programs. Foust spends her mornings using creative methods to tell stories to children. "We are trying to teach kids to love reading and love books," she said.

Foust says she finds deeper fulfillment now with her part-time job as a story reader, but she remains realistic about its ability to sustain her financially. "This job would not be enough support my family solely," she said.

Losing her corporate job helped her realize she wanted to spend her time differently. "I am happy in the way my life is going right now. My son is in grad school, and my husband's job is pretty secure," she said.

But she knows that if she did not have her savings and her husband's income to fall back on, she would have problems. "The quality of my life improved because I have more time for my family. But the drawbacks to a part-time job are no benefits and no insurance," she said.

Radio station worker turns entrepreneur

With more than 30 years of radio experience, Steve Hamilton could do practically every job in his Colorado building. Despite his years of experience, his varying skills sets and his degrees in mass media and broadcast meteorology, he lost his job.

"I was disappointed at losing the 'big money,' " he said. "But I was also excited about the new prospects of starting my own station and not having to answer to anyone but myself."

He took his job loss as an opportunity and decided to create his own Internet radio station, KHigh Radio, tapping into the smooth jazz genre that he knew had a long tradition in the Denver market.

KHigh Radio is just one of three part-time jobs he works, and he admits he was making a lot more when he was working full-time with a radio station.

"I see great possibilities with Internet radio and an opportunity to make even more than my previous full-time job," he said. "It will just take several more years to achieve it."

He does think the economy was a factor in losing his full-time job, and he says he did not expect to see himself working three part-time jobs at the age of 50. "I thought I'd be full-time in radio due to my large skill set. However, I learned that economics rules," he said.

From photography student to movie theater worker

Asci, the part-time movie theater employee, knows that the economy is directly affecting her employment situation.

"The majority of my friends are in the same boat as me," she said, explaining that many of them work part-time jobs as babysitters and restaurant workers.

But she continues to apply for jobs every day. "I feel like, if I stop looking, I wouldn't be as happy, because I will just be settling for something I don't want," she said.

Her new husband, who worked part-time for several months at a furniture store, finally got offered two full-time jobs. She says that definitely gives her hope, and she has not given up on the idea of heading back to school to continue studying art and photography.

"Overall, I'm happy," she said. "I'm a positive person, and if I'm at a movie theater for another year, I'll survive."

@highlight

More than half new jobs created for the month of September were part-time jobs

@highlight

Many Americans are working several part-time jobs to support themselves

@highlight

Part-time employees usually do not receive benefits or insurance

@highlight

Some people have turned the loss of full-time employment into a career opportunity