NEW YORK (CNN) -- For actress Jane Alexander, the criticism of a $50 million boost in funding for the National Endowment for the Arts is a sequel.

Tony-award winning actress Jane Alexander says giving money to the arts will save and create jobs.

She was chairman of the agency from 1993 through 1997 when arts funding was cut sharply by the Republican-led Congress, which questioned whether it was an appropriate way to use government money.

Now the issue is whether giving money to the arts should have been part of the economic stimulus program. Among those who have criticized the new spending this year is Lousiana Gov. Bobby Jindal, who delivered the Republican response to President Barack Obama's message to Congress Tuesday.

On Monday's "Larry King Live," Jindal said, "Fundamentally, I don't think $30 million for the federal government to buy new cars, $1 billion for the Census, $50 million for the National Endowment for the Arts is going to get the economy moving again as quickly as allowing the private sector to create jobs."

It's no surprise that Alexander disagrees and argues that arts spending can give a vital boost to the economy. The actress, who will appear later this month in a new comedy at the New York theater company Primary Stages called "Chasing Manet," won a Tony Award for her role in the "The Great White Hope." She has been nominated eight times for an Emmy and four times for an Oscar for films including, "All the President's Men" and "Kramer vs. Kramer."

Alexander spoke to CNN.com last week.

CNN: What do you think of the controversy over the $50 million in increased government spending for the arts?

Alexander: I think it's long overdue and I was very, very happy to see it. Since 1995-96 we had an incredibly decreased budget for the NEA. Finally we're getting back to where it was when I came in [as chairman]. It's all vitally needed. In fact, the endowment has not kept pace with inflation as other agencies have. ... This $50 million will certainly help a great deal.

What people forget is that there are over 2 million people in the United States of America who are professional artists. Those are jobs like any other jobs. The artists have families, they have people for whom they're responsible and they give to their communities.

We all have the right to life, liberty and the pursuit of happiness. The life part would be health and housing. The liberty part would be our civil rights. And the pursuit of happiness, the arts would come under that. And it's as vital a part of well-being in the United States as anything else.

CNN: When you say 2 million artists, could you define artist?

Alexander: Well they include everything from writers, painters, all the visual arts spectrum and that's pretty large, including graphic arts. Theater and so on, music, ceramicists, costume designers, makeup artists, filmmakers, it's a huge panoply.

CNN: How far can $50 million go?

Alexander: Well for the endowment which has had a budget of around $144 million currently, it can go quite a way. When I came in it was about $175 million and then it was cut under my aegis by Congress down to $99 million.

CNN: Some people will say that while the NEA may consider this a victory, it's really a pittance, a drop in the bucket, so little money given the challenges many arts organizations are facing today.

Alexander. It will help, it will help enormously, because every single NEA grant that goes out is a challenge to the community to come up with the same amount of money, or a 3 to 1. ... By the way, the public should know that within this coming year, we're going to see an awful lot of arts organizations closing. I just came from working at a theater in Pittsburgh, [Pennsylvania] and the International Poetry Forum, which has been going for 43 years, will close its doors this year. The Milwaukee Shakespeare Festival has already closed. The LA [Los Angeles] Opera has laid off 17 percent of its staff.

CNN: So this isn't going to be enough to reverse those kinds of things?

Alexander: No, but it will challenge the community to understand what the imperiled status of their arts organizations are. It will only help. It will help an enormous amount, and for some organizations, it will make all the difference in their staying alive.

Now the NEA this fall gave out 884 grants, totaling $20 million and that was 38 percent of the project cost of the applicants. So 38 percent is a nice healthy piece of change for the cost of a project.

CNN: How did you personally get involved in this cause?

Alexander: As an actress who spent most of my career in nonprofit theaters, They began with the seed of an NEA grant back in the late 60s, most of them. Today we have about 450 nonprofit theaters across the United States. Back in 1965, when the NEA was founded, there were only about 23 of them.

CNN: Your forthcoming play -- is that being done for a nonprofit theater?

Alexander: Yes. It's another nonprofit called Primary Stages in New York City, a small theater. What people don't quite understand about theaters is that they never increase their size. They're bound by the number of seats within a given theater, and meanwhile there's inflation and the costs rise. So currently most theaters can never make more than 50 percent of their income from ticket sales. The rest has to be raised.

CNN: How's the company doing?

Alexander: It had a good play last year, "Dividing the Estate," by Horton Foote, which got a lot of attention but I don't think it made back its nut on Broadway. It transferred from the nonprofit to a commercial venue on Broadway. ...

In the film business, independent films are considered nonprofit in many instances. It's interesting to see that an independent won the Academy Award. Of course it was distributed by a major studio.

"Slumdog Millionaire" started off as an independent. It did extraordinarily well. ... Many of the commercial arts are fed by the nonprofit arts. And that's another thing most people don't fully understand. Where do you think the Tom Hanks, the Cate Blanchetts of the world come from? They come from small venues that are independent and are nonprofit usually and then they move into the mainstream.

CNN: What's your attitude about the future, under the Obama administration. Do you think there's reason for hope about the arts, or despair?

Alexander: I think there's reason for great hope. President Obama has said repeatedly and he's said it for a couple of years now, that he thinks arts education is vital for children of all ages, starting right away. We have the arts in nursery school anyway, but he believes in institutionalizing the arts so it's part of the curriculum for every child in America. ...

Everybody in all walks of life know people who are out of work presently or are about to be out of work. And the same is true for artists. I know so many artists -- for example visual artists, the gallery has closed or it's cut back. Theaters that are no longer going to do productions with more than five actors. And so on. So I know a lot of people out of work: costume designers, makeup people. And let's not forget all the ancillary jobs from having an arts organization in your neighborhood. That includes restaurants, taxicabs, whatever.

CNN: Gov. Jindal said he didn't think the arts money should be part of the economic stimulus plan.

Alexander: Well what he doesn't understand is that $50 million goes directly ... as a grant to organizations which employ people. It's quick and it's a system that works beautifully and it's done within a year.

@highlight

Jane Alexander: Increasing funds for the arts is a good way to boost economy

@highlight

She chaired the NEA when Republican-led Congress sharply cut its budget

@highlight

She says about 2 million Americans are employed as artists of all kinds

@highlight

Alexander: Injecting funds into the arts will quickly support jobs