Like countless Americans, I recently watched the entire second season of hit political drama "House of Cards" in one weekend after U.S. video streaming site Netflix released all 13 nearly hour-long episodes.

But the website I logged on was Sohu -- one of the China's biggest online video services -- that purchased exclusive rights to the series for mainland China, and posted the latest season at the same time as Netflix.

Glued to my laptop, I couldn't help but notice the major role China plays this season as one riveting plot unfolds after another. If you have been reading news headlines out of China, you would find any of the China angles familiar and believable: suspected cyber espionage, a trade war with Washington, a territorial dispute with Japan -- complete with an utterly corrupt Communist Party insider who boasts direct access to the decision-making Standing Committee.

Censors

All this "realness" makes it a little surreal that my binge-viewing of the U.S. TV series happened in China. This, after all, is a country where the government allows only 34 foreign films to be screened in cinemas every year, and propaganda authorities routinely censor China-related material from foreign sources that they deem politically sensitive or merely unflattering.

Case in point: "The Blacklist," a new American crime drama, is widely available on Chinese video sites -- except Episode 3. That episode has been removed by all streaming services -- including Sohu -- because it features a Chinese spy who kills CIA operatives as its main villain, and critiques China's controversial one-child family planning policy.

The China subplots in "House of Cards," Season 2 don't exactly portray the country all that positively, but the government appears to be leaving Sohu alone.

"We didn't know the second season would have so much to do with China -- probably because of the increasing importance of China in global affairs," Charles Zhang, Sohu's chief executive, told me at a press conference Tuesday. "Many Chinese people -- including officials -- are watching it now and we have had no problem."

"So (the American shows on your site) are not subject to censorship?" I asked.

"So far, no," he replied.

Hands off

Some analysts are surprised by the government's largely hands-off approach to video streaming sites, but caution that it may not last.

"New media is allowed to develop with less interference than older forms where there is already a structure in place," said Jeremy Goldkorn, a long-time Beijing-based observer and commentator on Chinese media. "It's going to be regulated just like any other media, especially if it becomes big enough, powerful enough and popular enough."

For now, Sohu is focusing on broadening the appeal of "House of Cards," scrambling to add Chinese subtitles and bombarding visitors to its website with banner ads.

Sohu users have clearly noticed.

The series' latest and original seasons now occupy the top two spots in Sohu's chart of most-watched American TV shows. Season 2 has been clocking almost three million views a day -- impressive for a complex story that requires a deep understanding of U.S. politics.

Gripping plots

In comments left online, many Chinese viewers indicated they are drawn to the show for the same reasons as fans elsewhere: gripping plot twists, superb acting and stark parallel to reality.

"If you have to see the show as social commentary, I think it's a strong diatribe against the political system in the U.S. rather than against China," said Raymond Zhou, a well-known columnist for China Daily, the country's official English-language newspaper. "The narrative doesn't fault China but rather just one individual from China."

A widely circulated Internet post claims that China's anti-corruption tsar -- one of the seven Politburo Standing Committee members who effectively rule the country -- is a loyal fan of "House of Cards" and has recommended it to other officials.

The anecdote may not be as far-fetched as one might think, considering what the show's Machiavellian protagonist Frank Underwood tells viewers while being sworn in as the U.S. vice president: "One heartbeat away from the presidency and not a single vote cast in my name -- democracy is so overrated."

With messages like that, "House of Cards" seems to be a show China's Communist leaders don't mind their citizens watching at all.

@highlight

Chinese online video service Sohu purchased exclusive rights to hit U.S. series

@highlight

Second series of political drama features a number of storylines involving China

@highlight

China restricts number of foreign movies, authorities censor material from foreign sources

@highlight

China columnist: Strong diatribe against political system in the U.S. rather than against China