(CNN) -- The protesters in Ferguson, Missouri, want justice for the unarmed black teenager shot and killed there by a police officer. But the protests also reflect broader patterns of racial injustice across the country, from chronic police violence and abuse against black men to the persistent economic and social exclusion of communities of color.

In one sense, the unrest in Ferguson might be calmed if the government would simply release all the details of Michael Brown's death, bring charges against Officer Darren Wilson if appropriate and hold accountable those officials who unleashed a military-style assault on protesting citizens.

Yet in another sense, the simmering anger that has bubbled over in Ferguson will never go away as long as the ugly conditions of racial bias in America go unaddressed.

On August 9, a police officer in Ferguson shot and killed Brown, an unarmed, black 18-year-old boy.

Just days earlier, on August 5, police in Beavercreek, Ohio, shot and killed John Crawford, a 22-year-old black father of two who was holding an air rifle inside a Walmart. On July 17, police choked and killed Eric Garner, a 43-year-old black father of six on Staten Island, New York, in what has now been ruled a homicide.

These killings occurred against the backdrop of a long history of black men being suspiciously, recklessly, wantonly killed by police. This is in addition to everyday harassment by police to which young black men have become sadly accustomed. In New York in 2011, 25% of the NYPD's stop and frisks targeted young black men, who make up less than 2% of the city's overall population.

In Ferguson last year, as Jeff Smith wrote in The New York Times, 86% of police stops, 92% of searches and 93% of arrests were of black folks -- despite the documented fact that cops there were less likely to find contraband on black drivers than on whites (for black drivers, it was 22% compared with 34% for whites).

It shouldn't need pointing out, but for the record, white people in America commit more crimes than black people. But perhaps even more significant, as the historian David Levering Lewis has pointed out, is that "whites committed crimes but blacks are criminals."

Despite the fact that the vast majority of mass shootings in America are perpetrated by white males, we don't condemn nor scrutinize white men nor white people as a group for the acts of these individuals. And yet we ascribe the criminal behavior of individual black people to the black community as a whole.

In one study, subjects were shown a news story about a crime. No photo of the alleged perpetrator was shown, but 60% of the time subjects thought they had seen a photo. Of those, 70% thought the perpetrator was black.

This is on top of the host of negative stereotypes and assumptions we lump on communities of color and black people in particular.

Consider two infamously labeled photographs from the aftermath of Hurricane Katrina. In one, a white couple is shown wading through chest-deep water with food taken from a grocery store. The caption says they "found" food from a local grocery store. In another picture, a black man is shown in the same scenario. The caption says he had been "looting a grocery store."

Or consider that Americans who (incorrectly) believe that most welfare recipients are black think "lack of effort on their own part" is to blame. But among respondents who (correctly) think most people on welfare are white believe people are on welfare because of "circumstances beyond their control."

In this context, disproportionate police violence against black communities, especially black men and boys, must be understood not as an issue of rogue cops or isolated incidents but as an extreme manifestation of the sort of implicit racial bias that courses through every aspect of our nation.

In fact, cops who shoot unarmed black men have something in common with college students -- in video simulated research tests, both cops and college students, of all races, are far more likely to shoot at unarmed black men than unarmed white men.

Every twist and turn of our society, our economy, our politics and our interpersonal interactions in America is tainted with racial bias. Sometimes it's subtle. Sometimes it's armed with a gun. But instead of talking about racial bias, and working to unravel this deep problem, we often bury our heads in the sand or â€” worse â€” attack those who try to talk about racial injustice as "race baiters."

Meanwhile, communities of color who are already undeniably struggling in the face of racial bias have to endure the secondary injustice of having their experience and concerns dismissed, whether it's politicians suggesting that poverty is a "cultural problem" in communities of color or media figures arguing that black men are disproportionately arrested and locked up because "in certain ghetto neighborhoods, it's part of the culture."

But the fact is that while white people use drugs more, black folks are more likely to be arrested for and face higher sentences for drug use. Blaming these and other egregious discrepancies on the black community instead of endemic racial bias is adding insult to injury. It also doesn't achieve anything -- except fanning more protests.

We still don't know exactly what happened in Ferguson.

What we do know is that an 18-year-old black boy who was supposed to start college this fall was gunned down by a police officer. Instead of releasing details about the shooting and giving the community the information it seeks, the Ferguson police have only cast suspicion on the victim and his character.

This blame-the-victim response echoes the broader blame-the-black-community mentality that denies persistent racial bias while telling black folks they're to blame for the hurdles and inequities that racial bias causes. Instead, maybe it's time we once and for all face the reality of implicit racial bias in America and finally start trying to solve it.

Michael Brown is dead. Unfortunately nothing we do in Ferguson or anywhere else can change that.

But what we can change is the pattern of biased treatment at the hands of police as well as banks and schools and elected officials and throughout our society that actively, albeit often unwittingly, perpetuate racial injustice in America.

If we do that, finally, then we might ensure that no more Michael Browns or Eric Garners or Oscar Grants or Trayvon Martins are killed. That is a vision -- in fact, a necessity -- for which it's worth protesting.

@highlight

Ferguson protests reflect a larger picture of America's racial divide, writes Sally Kohn

@highlight

The Michael Brown killing is part of a series of questionable killings by police, she says

@highlight

Kohn: Bias pervades American life, with blacks often stigmatized unfairly

@highlight

She says politicians make it seem as if crime, poverty are African-American problems only