(CNN) -- Looking to get to Hawaii without blowing your son's college fund? Want to experience the islands but not sure when to go?

Here's how to avoid costly and exhausting mistakes during your Hawaiian vacation.

DON'T travel to Hawaii during school holidays.
Tourists crowd Hawaii's stunning beaches in summer and winter. During school holidays, flight and hotel rates are off the charts -- between Christmas and New Years, condos and vacation rentals can run three times as much as rates in early December.

DO visit Hawaii in the off-season.
Hands down the best values on visiting Hawaii can be found in May and October. With prices reasonably low and the weather at its peak -- not too hot, not too rainy -- take advantage of the perks of off-season travel to jet off to the islands. Current spring and fall flight deals from the West Coast are half of July rates. Additionally, hotels and condos generally slash their prices off-season, rewarding visitors with oceanfront accommodations that typically sell out in peak months.

Travel Snapshots: Hawaii

DON'T blow your whole budget on a luxury resort.
While staying in a luxurious Hawaiian resort where birds flutter through the open-air lobby and fresh papaya is served at the swim-up bar is nice, it is likely to cost between $400-$600 a night in high season. Instead, fork over the cash for a lomilomi massage and gourmet seafood dinner, and make your own poolside Mai Tai at a rental condo.

DO consider staying in a condo.
Repeat visitors know to rent a condo. Kitchens, ample square footage, washing machines and privacy afford travelers a more authentic (and often less costly) vacation experience. It's common for numerous companies to manage individual units in the same complex, meaning one property may be decked out by a globetrotting interior decorator, while another may be awash in wicker. Be sure to see photos of the particular condo you're interested in and get specifics on the number and configuration of beds.

DON'T try to see everything.
While each island has its own personality, it is too expensive (and exhausting) to island-hop the entire archipelago on one vacation. Inter-island flights generally run between $70-$140 each way and most travel to Oahu, so if you want to get from Kauai to the Big Island, you might have to stop in Honolulu and basically pay the equivalent of two inter-island flights each way.

DO stick to one or two islands.
Each region on each island has its own flavor. The north and east sides of the islands are more tropical, while the south and west regions offer sunnier skies and a more arid landscape. Instead of island hopping, break your trip up by staying in a plush hotel within walking distance of a sunny south shore beach and then cozy up in a rental house near the more tropical (read: rainy) north shore. If you want to island-hop on the cheap, Maui offers ferry service to Lanai and Molokai.

DON'T fall for the luau.
Most luaus are overpriced and far from the real thing (usually family events on a beach for a first birthday). While they seem like an authentic experience, you can actually piece together the highlights of a luau yourself. Grab a picnic of poke, lomi lomi, fresh pineapple, and poi from a local market. In the evenings at most malls on Kauai and Maui, and at sunset at Waikiki Beach, you can watch free hula shows featuring some of Hawaii's best dancers.

DO splurge on an adventure.
Whether you fancy diving deep into the sea, soaring over waterfalls on a helicopter tour, or a kayak trip along the Na Pali Coast, treat yourself to at least one adventure. Be sure to book early in your trip in case of bad weather.

And lastly, DO NOT forget to relax on the beach.
No need to be on a boat, or a horse, or a helicopter, or a zip line the whole time. Save time to enjoy Hawaii's world-class beaches. From the shore, you can walk right out into the sea and snorkel with sea turtles, angelfish and monk seals basically for free. As the sun descends over the Pacific, unwind under a coconut palm and watch the sky burst with color as surfers ride the last sunlit waves onto the white sand.

Michele Bigley is the author of "Great Destinations, Kauai" (Countryman Press) and the upcoming "Backroads and Byways of Hawaii" (Countryman Press).

Do you have tips for a great trip to Hawaii? Share them in the comments section below.

@highlight

Consider a trip to Hawaii in May or October for the best value

@highlight

A condo rental offers more flexibility than a hotel and often is more affordable

@highlight

Hopping to every island is pricey and time-consuming; consider focusing on one or two