Warsaw (CNN) -- President Barack Obama wants Vladimir Putin to take steps to rebuild the trust shattered by Russia's actions in Ukraine.

Obama's comment came as he visited Poland on Tuesday, the first stop on his three-country European trip which is intended, in part, to reassure allies in Eastern Europe unnerved by Russia's annexation of Ukraine's Crimea region.

Putin "has a choice to make" on Ukraine, Obama said during a news conference in Warsaw, calling on the Russian President to continue to pull back troops from the border with Ukraine, persuade pro-Russian separatists to stand down and back Ukraine's recent presidential election.

If the United States sees "responsible behavior" from Russia, Obama said, "I think it is possible for us to try to rebuild some of the trust that has been shattered." But he warned that it will take "quite some time."

Kiev and the West have said the separatists in Ukraine are coordinated and supplied by Russia, a claim that Moscow denies.

Obama's visit comes a day after a deadly attack on a regional headquarters building in Donetsk that has been taken over by separatists calling themselves the People's Republic of Luhansk. Five women and three men, all of them civilians, were killed in the attack, which Kiev has blamed on separatists.

A munitions expert who accompanied a CNN crew to the scene, however, said the damage to the building was indicative of an airstrike.

Social media video shows an aircraft overhead after the attacks, trees are splintered as if they were hit from above and craters in a nearby square leading to the building appear to have been the result of heavy cannon fire from the air.

A meeting in France?

Obama, speaking alongside Polish President Bronislaw Komorowski, said he had always had a "business-like relationship" with Putin and that he had conveyed the same messages to him in private conversations as were made in public.

He said Washington wanted good relations, but added that sanctions imposed over Russia's Crimea excursion would be maintained and that more have been drawn up in case of further destabilization in the east.

Obama added that he was "sure" he would cross paths with Putin while both are in France at the end of the week for events to mark the 70th anniversary of the D-Day landings.

Obama said he was looking forward to meeting with Ukraine's President-elect Petro Poroshenko on Wednesday, adding that his election last month "gives us some momentum to build on as we move forward."

He also stressed the need for Ukraine to pursue economic as well as political reform, including taking steps to reduce its reliance on natural gas from Russia.

At the same news conference, Obama announced that he is asking Congress for a fund of up to $1 billion to allow for a "European Reassurance Initiative" to bolster the security of NATO allies.

This would help the United States undertake increased training exercises, explore the pre-positioning of military equipment, and build the capacity of Georgia, Moldova and Ukraine to partner with the United States and NATO.

More U.S. Air Force and Army personnel will be rotated through allied countries in central and eastern Europe, Obama said.

He urged all NATO nations to live up to their commitment to the alliance when member states are threatened, and commended Poland for its contribution.

Bergdahl questions

As he undertakes his third overseas trip in less than three months, Obama finds himself once again peppered with questions about his foreign policy, even as he attempts to cement his own legacy on the world stage.

His latest trip comes as Republicans have unleashed a new line of attack questioning his judgment in exchanging five Taliban prisoners held at the detention center at Guantanamo Bay, Cuba, for the return of a former prisoner of war, Army Sgt. Bowe Bergdahl.

Obama defended the decision, saying, "We don't leave men and women in uniform behind."

His administration had previously consulted with Congress on the possibility of a prisoner exchange for Bergdahl, Obama said, but said it had to move quickly because of concerns over Bergdahl's health and to not miss a window of opportunity.

He said he was confident the exchange of Taliban prisoners for Bergdahl would not endanger U.S. national security because the Qataris, who helped broker the deal, would be keeping a close eye on the ex-Guantanamo detainees.

Walesa: Superpower not 'up to the job'

For Obama, the itinerary of foreign travel has changed, but the conversation will sound familiar. During his last two foreign trips, he fielded questions about his approach to the crises in Ukraine and Syria, as well as the territorial disputes in Asia between China and its neighbors.

In Manila, Obama responded that his second-term strategy is to avoid "errors."

But away from the cameras, he has simplified his doctrine as "don't do stupid stuff," administration officials say privately.

However, Obama's critics, both at home and abroad, contend that approach is at best uninspiring, and potentially dangerous.

Lech Walesa, the former Polish President whose democratic Solidarity movement helped usher in freedom in Poland during the fall of the Soviet Union, has warned that U.S. influence has declined under Obama's watch.

"The superpower has not been up to the job," Walesa said in a recent interview with the TVN24 television network. "Therefore, the world is at a dangerous point and maybe it really is the case that lots of bad things are happening in the world because there is no leadership," added Walesa, who endorsed Obama's rival, Mitt Romney, in the 2012 presidential election.

Obama has billed his recent decisions against any form of military action in Syria and Ukraine as successes because they rallied multilateral responses to global challenges, without messy prolonged commitments for U.S. armed forces.

Obama, Putin cross paths

In France, Obama will have several opportunities to cross paths with Putin. They are both scheduled to dine with French President Francois Hollande on Thursday in Paris, though in separate meetings.

The German government's press office confirmed Tuesday that German Chancellor Angela Merkel will speak with Putin on Friday in Normandy, when the two will discuss the situation in Ukraine.

The talks on the sidelines of the D-Day commemorations will continue a telephone conversation the two leaders held Tuesday and focus on measures to aid the stabilization of Ukraine, it said.

Obama led the international effort to suspend Russia's participation in the world group of economic powers. That suspension resulted in the relocation of this year's G7 summit from Sochi, Russia, to Brussels, which will occur during Obama's trip.

Recent moves by Russia to withdraw some of its forces from its border with Ukraine has the potential to ease tensions between Moscow and Washington. But administration officials caution a new detente is a long way off.

CNN's Jim Acosta wrote and reported from Warsaw, Laura Smith-Spark from London and Diana Magnay from Donetsk. CNN's Laura Bernardini, Chloe Sommers, Stephanie Halasz and Jason Hanna contributed to this report.

@highlight

NEW: Expert says attack in Donetsk indicative of airstrike, not rebels

@highlight

President urges Russia's Vladimir Putin to take steps to rebuild trust

@highlight

Obama is in Poland on his third overseas trip in less than three months

@highlight

Obama defends the prisoner swap that freed Sgt. Bowe Bergdahl