(CNN) -- Voters in the Democratic Republic of Congo head to the polls on November 28 to pick a president and parliament in the mineral-rich central African nation. This is Congo's second election since 1997, and analysts consider it the nation's true test of democracy.

Congo's history

Congo gained independence from Belgium in 1960, and soon after Patrice Lumumba was elected the nation's prime minister. Mobutu Sese Seko seized power in a coup five years later and changed the country's name to Zaire.

Sese Seko was toppled in a 1997 coup led by Laurent Kabila, who renamed it the Democratic Republic of Congo.

Soon after Kabila was assassinated in 2001, his son, Joseph Kabila, assumed power and announced the formation of a U.N.-led transitional government two years later. He won the 2006 election, making this year's poll the second since the toppling of Sese Seko. The 2006 election overseen by the United Nations was considered a bridge to transition from a dictatorship. Analysts say this year's election is the true test of democracy.

What happened in the last election?

International observers considered the 2006 poll -- the first free election in Congo in about 40 years -- as generally free and fair. There were some clashes between supporters of the two frontrunners, but no major violence was reported. His main rival Jean-Pierre Bemba, who got the second-highest number of votes, disputed the official outcome.

What are the expectations for this election?

Kabila is hoping to secure another five-year term as the opposition hopes to persuade voters change is overdue. A series of campaigns have been held nationwide, with some media reports of violence during the period.

A U.N. report this month said there has been limited freedom of expression during the campaign period, and urged candidates to respect the constitution and citizens' rights. International, regional and national observers will be at polling stations together with political parties and religious leaders to monitor the electoral process, according to the U.N. Opposition leaders and analysts have also expressed concern about the make-up of the electoral commission.

Why is Congo important?

Congo's success is vital to the Great Lakes region, which has suffered the effects of the violence in the nation. Violence and rapes are widely reported in eastern Congo, including a holiday season mass rape last year that sent shock waves across the international community.

The east remains the epicenter of attacks by anti-government militias. The international community has spent massive amounts of money in an effort to stabilize the vast nation.

Despite its rich resources, Congo battles violence and poverty. A decade of conflict between government forces and armed militias left millions dead as a result of the fighting, and hunger and diseases.

Millions of others have been displaced, and the international community has decried the use of rape as a weapon in the conflict. Congo is rich in resources, including cobalt, gold, copper and tantalum. The international community has set up laws to ensure that companies buying the resources are not helping fund wars in the nation and neighboring countries.

The main candidates

Congo has 11 presidential candidates, including the incumbent, according to local media reports. But only a few stand a chance at defeating Kabila, who has maintained an edge amid the divided opposition.Nearly 30 million people are registered to vote, according to the reports. Kabila has been at the helm since 2001, and his greatest advantage in his incumbency and the divided opposition, according to analysts.

Challenger Etienne Tshisekedi is hoping to capitalize on the nation's desire for political change, but he was a major player during the Sese Seko dictatorship, which might count against him. Kabila's former aide Vital Kamerhe is also among the contenders. He is largely credited with being instrumental in his 2006 win but broke with Kabila's party a few years later.

Sese Seko's son, Francois-Joseph Mobutu, is also among the contenders.

@highlight

This is Congo's second election since 1997

@highlight

Incumbent Joseph Kabila is seen as the frontrunner

@highlight

Congo gained independence from Belgium in 1960