It used to be as plain as a beer-foam mustache.

Portland, Oregon, has more breweries and brewpubs than any other place -- in the sixties now -- ergo, it's the world's greatest beer city.

And none of those breweries makes swill.

But the world is changing for the better -- and catching up to a movement pioneered by Portlanders.

Craft beer is worldwide now and other cities nip at our Birkenshod heels in the crucial best-beer-city-in-the-world race.

Denver and San Diego are contenders without a doubt.

Milwaukee.

Brooklyn.

Various Asian capitals -- Beijing, Bangkok, Tokyo -- all have thriving beer scenes.

Berlin, where Stone Brewing is building a big beer hall and brewery.

England, where craft breweries are sprouting even as traditional Brit pubs close weekly.

Prague, of course, where golden lager was born.

Dublin indubitably.

Even Asheville, North Carolina, which rather noisily voted itself Beer City USA a few years back, is now in the running for real with an impressive roster of local breweries and big new production breweries built by New Belgium, Oskar Blues and Sierra Nevada.

Bless 'em all, for the rising tide of craft beer floats all boats, and we Portlanders welcome the company.

As long as all acknowledge that there's just one best beer city in the world: Portland, aka Beervana.

Here are 23 reasons, a number you'll recognize as a prime, of which there are an infinite number.

Which is really big.

Almost like being the best beer city in the world.

1. According to supermarket tracking services, Portland leads the United States in percentage of craft beer sales with nearly 40% of beer purchases being craft beer.

2. Oregon breweries brewed 53% of all the draft beer served in the state.

3. We keep finding new places to serve beer, such as growler-fill stations, which have opened in major grocery stores, as stand-alone establishments and in a Southeast Portland mini-mart that anywhere else would sell fried chicken and half-racks of Milwaukee's Best.

4. Speaking of growlers (large, re-fillable bottles that allow you to take large amounts of freshly tapped beer to go), the Portland-designed, Steampunk-styled uKeg keeps beer cold and carbonated and people love the idea: Growlerwerks LLC hoped to raise $75,000 in its Kickstarter campaign and so far nearly 5,000 people have donated $665,000 -- with about three weeks to go.

5. It's hard to imagine the critical mass of more than 60 brewing establishments in a town.

In close-in Southeast Portland, a dozen breweries and brewpubs populate just a few square blocks.

Toss in pubs such as the Basement, Apex, White Owl Social Club, Blitz and the BeerMongers, and you have a walking beer tour that could fill a couple of days.

6. If you don't want to walk, there are several beer-tour companies including Brewvana beer bus tours (with Japanese-language tours, as well) and the u-pedal aerobics of Pedalounge, which is a sort of 12-person pedal-powered bar with stools and an awning, except you can't drink on the road.

7. We have the biggest outdoor beer party on the continent, July's Oregon Brewers Festival, which attracts more than 85,000 people a year -- many of whom are out-of-state or international beer tourists -- to its five-day run at Tom McCall Waterfront Park.

8. Missed the OBF? No problem.

Beer festivals happen year' round in Portland, such as December's Holiday Ale Festival, when thousands of big-beer fans drink can't-find-'em-anywhere-else winter beers in large, heated tents in Portland's Pioneer Courthouse Square.

It's a rare day in Beervana without a beer event, thanks to great bottle shops such as Belmont Station, BeerMongers, By The Bottle, Imperial Bottle Shop and Taproom and others that organize a couple hundred beer releases, meet-the-brewer events, tap takeovers and the like every year.

There are also brewers dinners, beer tastings and Roscoe's monthly beer summits.

Nobody's done an official festival count, but Portland hosts more than a hundred a year, including specialized events such as an organic beer festival, a fruit beer festival, Peche Fest (only peach beers and ciders on tap) and Biketobeer Fest.

9. Portland is the site of the national 2015 Craft Brewers Conference. Can thousands of brewers and industry types be wrong?

10. Portland created the fresh-hop beer category, when brewers trek to local hop farms for just-picked hops and make special beers.

Oregon celebrates its hop bounty with several fresh-hop beer festivals every fall, and pubs such as the Lucky Labrador Brewing Company hold hop-picking parties harvesting backyard hop plants.

11. Portland has a dedicated gluten-free brewery, Ground Breaker, where no barley malt nor wheat shall ever tread.

They brew a variety of G-F beers with roasted chestnuts and the like.

Nationally distributed Omission is also brewed in Portland, with traditional ingredients and a special process to remove gluten.

12. Anything qualifies as an excuse to pour special beers: recently opened Baerlic Brewing celebrated the life of Evel Knievel one night and Ecliptic Brewing, owned by longtime Oregon brewer (and avid astronomer) John Harris, opened its first-anniversary week with an eclipse-viewing party on an overcast Thursday. (The clouds did open briefly.)

13. In 2010 Mike Wright opened a one-barrel nanobrewery called Beetje in his Southeast Portland garage.

In late 2011 he took the plunge and opened The Commons Brewery in a commercial space with employees, a tasting room and a seven-barrel system brewing farmhouse ales.

At the end of this year, he's moving to a space three times as big and adding a 15-barrel brewhouse.

Who says you have to brew an IPA to make it in this town?

14. But it doesn't hurt: BridgePort IPA is the beer that made Portland an IPA town 20 years ago, and is still a great beer and the brewery's flagship, though its 60- bitterness units of hoppiness is a modest number these days.

15. As part of marriage preparations, some Portland couples brew their wedding beers with pro brewer Jay Webb at Portland U-Brew & Pub.

16. Homebrewing is big in Portland with a number of homebrewers clubs and a dozen or more homebrew supply shops in the area, including America's oldest homebrew shop, F.H. Steinbart, founded in 1918.

Plus, Widmer's Collaborator program brews homebrewers' winning recipes on a commercial scale, giving Oregonians beers that'd otherwise never make it to market and donating part of the profit to an Oregon Brew Crew scholarship fund.

17. Ben Edmunds and his brew crew at Breakside Brewing set a goal of brewing 100 different beers in 2013 and they made it, brewing everything from Apizza Alt to Old Woody.

18. Two Portland breweries -- Widmer Brothers Brewing and BridgePort -- celebrate 30th anniversaries this year.

Widmer celebrated with 30 Beers for 30 Years -- reprising beers from its brewing history such as 1994's Ur-Alt.

19. Being a sports fan doesn't mean settling for an industrial lager.

There are no fewer than four places to get Portland-brewed beers at a Trail Blazers NBA home game; Widmer and Lompoc Brewing each make special beers for the Portland Timbers soccer team and BridgePort brews a special beer for the Hillsboro Hops minor league baseball team.

20. Portland breweries and brewpubs continue to evolve into interesting new shapes, such as Ex Novo Brewing Company, a nonprofit brewery that donates part of its revenue to selected causes.

BTU Brasserie is a fine new Chinese restaurant/brewery where you can get smoked duck moo shu and house-brewed rice lager.

21. Nearly everybody barrel-ages and brews sour beers these days, thanks to Oregon pioneers such as Alan Sprints of Hair of the Dog Brewing and Deschutes Brewery.

22. Mike and Brian McMenamin helped create Oregon's pivotal brewpub law of 1985 and have since built a quirky empire of nearly 60 pubs, breweries and hotels, each different and artist-decorated.

Along the way, they've saved dozens of historic buildings such as the Crystal Ballroom and Edgefield, and have contributed mightily to Oregon's thriving beer culture.

23. Nearby is an expanding universe of  other great Oregon beer towns, including Bend, Eugene, Hood River, Corvallis, Astoria, Ashland, Baker City and more.

Fortunately, there's an infinite supply of prime numbers ...

Is Portland the world's best beer city? Got another pick? Share your best bar stool perspective below.

@highlight

Portland, Oregon, has led a worldwide craft beer revolution, but other cities have closed the beer gap

@highlight

Even so, Portland's scene continues to grow, evolve and lead the field

@highlight

There are more than 60 brewing establishments in the city

@highlight

Local breweries make beers celebrating pretty much anything ... including Evel Knievel