(CNN) -- President Obama stepped into office with big approval ratings met with high expectations as he faces a deteriorating economic situation, an unpopular war in Iraq and the Middle East conflict.

The economy has been the main focus of the first week of President Obama's presidency.

In his first week, Obama has focused on the economy, but he's also addressed other campaign promises.

Bill Schneider, CNN's senior political analyst, describes Obama's first week as a "neat balancing act."

As Obama signs executive orders signaling a clear change of direction, he's also working hard to get bipartisan support for his economic stimulus, Schneider said.

"Mr. Obama doesn't have to do that. He could get a stimulus bill passed almost entirely with Democratic votes. But Obama doesn't want to be yet another president who divides the country," he said.

The president has been working the phones with his party and made an unusual trip to Capitol Hill to meet with the opposing party to rally support for his $825 billion economic aid package.

Following a meeting Tuesday with GOP congressman, Obama said he respects the "legitimate philosophical differences" between Democrats and Republicans on how to stimulate the economy.

"I don't expect 100 percent agreement," he said. "But I hope we can put politics aside."  Watch more on Obama's economic push »

Throughout the election season, Obama campaigned on his plan to restore economic equilibrium, and in his first public remarks after winning the election, he vowed to "confront this economic crisis head-on."

Obama faces his first test with Congress on Wednesday when the House of Representatives votes on his economic recovery plan. The president has said he hopes to have the plan passed by Congress and on his desk for signing by mid-February.

Obama also has wasted no time in putting his military and diplomatic agendas into action.

In his first week, he already promised to send as many as 30,000 more troops to Afghanistan to boost the U.S. presence on the ground and increase development and reconstruction assistance.

Seeking to demonstrate the Obama administration's early commitment to the country, Secretary of State Hillary Clinton met last week with Afghan women legal professionals who were in Washington on a State Department training program on justice reform in Afghanistan.

Obama also has pledged to crack down on militants in neighboring Pakistan.

During the campaign season, Obama received a lot of criticism for saying that if it were necessary to root out terrorists, he would send U.S. forces into Pakistan without the country's approval.

The president has called Afghanistan and Pakistan the "central front in our enduring struggle against terrorism and extremism," and Defense Secretary Robert Gates said Tuesday that missile strikes in Pakistan will continue to root out al Qaeda members.

"Let me just say, both President Bush and President Obama have made clear that we will go after al Qaeda wherever al Qaeda is. And we will continue to pursue this," Gates said.

As Obama seeks to stabilize the region, his administration has been advocating multilateralism and stressing "smart power" diplomacy by using all the tools of foreign policy available.

Obama dispatched newly appointed Middle East envoy George Mitchell to the region and tapped diplomatic heavyweight Richard Holbrooke as his special representative to Afghanistan and Pakistan.

Obama also gave his first formal interview as president to Al-Arabiya, an Arab news channel, sending a message to the region that he wants a dialogue.

"My job to the Muslim world is to communicate that the Americans are not your enemy," Obama told the Dubai-based satellite television network. "We sometimes make mistakes. We have not been perfect."  Watch how Obama is reaching out to Muslims »

During his run for the White House, Obama pledged to improve ties with the Muslim world, draw down U.S. troops in Iraq and close the detention camp at Guantanamo Bay, Cuba.

Two days after his inauguration, Obama issued an executive order to close the camp within a year. Another order formally bans torture by requiring that the Army Field Manual be used as the guide for terrorism interrogations, essentially ending the Bush administration's CIA program of "enhanced interrogation" methods.

Guantanamo Bay and reports of torture there were huge points of contention for the Bush administration and were widely considered to have damaged the reputation of the United States.

In another reversal of his predecessor, Obama struck down a rule that prohibited U.S. money from funding international family-planning clinics that promote abortion or provide counseling or referrals about abortion services.

In a statement, Obama said that family planning aid has been used as a "political wedge issue," adding that he had "no desire to continue this stale and fruitless debate."

As Obama moves into the second week of his presidency, polls show that most Americans approve of the way he is handling his job so far.

Former President Carter said he thinks Obama is "doing just great."

"I was particularly gratified that he carried out his promise, which didn't surprise me, that he would start working on the Middle East peace process the first time he was in office and not wait until the last year he was in office," Carter said on CNN's "Larry King Live."

Carter said he has confidence in Obama on economic issues, but he cautioned that the expectations for the new president are too high.

"I think a lot of the expenditures that will come as rapidly as possible might not occur until maybe 18 months from now -- some earlier. So we're going to have to be patient," he said.

President Bush also won praise during the first week of his first term for staying on message. He built his first week around education and received positive reviews in the media during his honeymoon period.

Bush's predecessor, however, was not met with such a warm welcome.

President Clinton's showdown with Congress over the question of gays in the military and the withdrawal of his attorney general nominee overshadowed early efforts to move ahead with his agenda.

@highlight

President Obama faces first test with vote on $825 billion economic stimulus plan

@highlight

Obama reverses Bush policy on abortion, orders closing of Guantanamo Bay camp

@highlight

Obama grants first formal interview of his presidency to Arab news channel

@highlight

New administration advocating multilateralism, "smart power" diplomacy