(CNN) -- In November, dozens of armed men descended on a town in northern Nigeria and killed more than 100 people in a coordinated series of bombings and gun attacks.

Many of those targeted were Christians, but police stations and mosques deemed "insufficiently Islamic" were also attacked.

The town was Damataru, capital of the Nigerian state of Yobe, and the assailants belonged to the group Boko Haram, which translates from the local Hausa as "Western education is outlawed."

In two years, Boko Haram has morphed from a radical Muslim sect into an insurgency responsible for dozens of attacks in Nigeria and beyond. Western intelligence analysts believe it is also developing links with al Qaeda affiliates in Africa.

Boko Haram's targets include police outposts and churches, as well as places associated with 'western influence.' Its signature attack is a Karachi-style drive-by shooting from a motorbike, but this year it has begun a campaign of suicide vehicle attacks.

In Maiduguri, the epicenter of the insurgency, there is a heavy military presence, with security checkpoints, sandbagged military positions and the scars left by bomb attacks.

CNN.com: Nigerian officials condemn church attack

House-to-house searches are common. A senior military officer admitted last week that Maiduguri was a dangerous place, with "miscreants" slipping across the nearby borders with Chad and Niger. The Nigerian authorities seem unable to overcome Boko Haram -- and its growing footprint worries neighboring states and the U.S. Africa Command.

Many Christians in northeastern Nigeria have fled their homes as the violence has worsened this year.

A government offer of amnesty has had little effect; the deployment of 20,000 Nigerian troops to deal with ethnic and religious violence has failed to subdue the group.

President Goodluck Jonathan has warned of "swift and certain justice for criminal elements" -- but analysts say that the inefficiency of the Nigerian state, rampant corruption and a heavy-handed military response may play into Boko Haram's hands.

Until 2009, Boko Haram was a fundamentalist sect that espoused a Taliban-like interpretation of Islam. It did not advocate violence but it was hostile to Nigeria's Muslim leadership for its compromises with the 'infidel.'

One day in July that year, police stopped some of its members on motorbikes -- and told them to wear helmets. Tempers flared. When the bikers resisted, police opened fire -- killing nine members of the group, according to witness reports collected by Shehu Sani, the President of the Civil Rights Congress.

The Congress is an independent human rights group based in northern Nigeria, and Sani has had extensive contacts with figures in Boko Haram.

In the days after that confrontation, hundreds of Boko Haram members were killed in clashes with security services. Among them, the group's charismatic leader Mohammed Yusuf, who died while in the custody of police, according to Sani.

A secondary school dropout, Yusuf preached a strict application of Sharia law in northern Nigeria, arguing that the rich and connected had evaded Sharia despite its formal adoption by several Muslim-majority states in Nigeria. His message resonated with thousands of marginalized Muslims. Boko Haram can also draw on the deepening inequalities and religious divide between north and south Nigeria to help recruitment.

After the crackdown, security services accused the group of planning an armed jihad in Nigeria by stockpiling weapons, including guns, explosives, and grenades, and purchasing land for paramilitary training. A significant number of members fled to neighboring Niger and Chad. But far from this being a victory for the security services, it brought Boko Haram members into contact with al Qaeda in the Islamic Maghreb (AQIM).

According to U.S. officials, the groups have since forged a partnership -- with AQIM sharing its evolving expertise in suicide bombing.

"We know that there are increasingly frequent contacts, and indeed, training of members of Boko Haram by al Qaeda in the Islamic Maghreb, and that's of great concern," Ambassador Anthony Holmes, U.S. Africa Command's civilian deputy said earlier this month. Algerian officials, long concerned at the growth of AQIM, have voiced the same concerns. And last week a senior Nigerian military officer told Reuters: "Boko Haram is al Qaeda."

In a global poll conducted by the Pew Research Center in 2009, a higher percentage of Nigerian Muslims (54%) stated they had confidence in Osama bin Laden than in any other Muslim-majority country.

Boko Haram's muscle was enhanced a year ago when the group freed at least a hundred of its members from a prison in Bauchi in northeastern Nigeria. This year, Boko Haram has begun looking to new horizons, including the capital, Abuja. In June, the group carried out its first suicide bombing -- attacking the National Police headquarters. Two months later -- in a dramatic escalation of its campaign -- it launched a suicide car bombing against the U.N. headquarters in Abuja, killing 23.

Boko Haram released a video featuring a martyrdom recording by the suicide bomber in the attack -- a-27-year-old from Maiduguri -- who praised Osama bin Laden and referred to the U.N. headquarters as a "forum of all the global evil."

The U.N. attack, Sani says, was likely an attempt by Boko Haram to embarrass the Nigerian government. He believes the group's Shura Council decided that attacking the U.N. would create less of a backlash against the group than directly targeting American interests.

"When they attacked the U.N. headquarters, they had to pass the American Embassy to Nigeria just a few meters away, but they knew the implications of targeting American interests: that things would get worse for them," Sani said.

U.S. officials believe some of those involved in that plot may have also trained with the al Qaeda linked militant group Al Shabaab in Somalia. In September, U.S. military officials warned that Boko Haram, AQIM, and al Shabaab might make common cause in targeting American interests in the region.

Earlier this month, the U.S. Embassy in Nigeria warned that Boko Haram may be plotting to target three luxury hotels in Abuja.

Al Qaeda in West & Central Africa?

According to Shehu Sani, the group's agenda is still primarily local. "The origin of their fight is with the government of Nigeria and the security agencies," Sani said. "They want an end to the government's campaign against them and for them to pull troops out of northeastern Nigeria."

Analysts believe some Boko Haram members might be tempted by payouts made by the government to militants in the Niger Delta in recent years in exchange for their laying down arms. But one attempt at mediation has already ended in disaster. In September, a leading figure in Maiduguri connected to the group who sat down for talks with a former president of Nigeria was assassinated within 48 hours. Sani helped set up the meeting; he says he has since received death threats himself.

Security analysts are concerned the group may try to target Nigeria's oil industry in the Niger Delta, destabilizing supplies from the world's eighth largest oil exporter. Over the past decade, pipelines and rigs in the area have been repeatedly targeted by the Movement for the Emancipation of the Niger Delta (MEND). The area is predominantly Christian and western intelligence sources say it would be difficult for Boko Haram to establish a presence there.

Human rights activists say for now, the authorities' crackdown in northern Nigeria may have the effect of radicalizing more Muslims. According to Sani and others tracking the group, Boko Haram has drawn its membership mainly from disaffected youngsters and unemployed graduates. But it has also gathered support among the professions.

Human Rights Watch says it has documented serious abuses by Nigerian police, including extrajudicial executions against suspected members of Boko Haram.

"The security forces are punishing people who they believe provide shelter to Boko Haram, but if you reveal the identity of Boko Haram fighters, then they'll kill you. You can see the dilemma," Sani said.

"If Nigerian government can't solve the problem, and the violence continues, then this virus will spread across the countries of west Africa and central Africa, emboldening the group and boosting its membership, making it a well-established part of al Qaeda," he said.

Today the Nigerian media, like its politicians, are full of advice to the government on how to tackle Boko Haram -- from an even tougher military response to renewed attempts at dialogue, another amnesty and a more comprehensive effort to address the root causes of the violence.

Neither carrot nor stick has worked so far.

@highlight

Many of those targeted are Christians

@highlight

Police stations and mosques deemed 'insufficiently Islamic' are also attacked

@highlight

Assailants belong to the group Boko Haram, which translates to "Western education is outlawed"