New Haven, Connecticut (CNN) -- Last weekend, another large piece of "space junk" tumbled to Earth, perhaps in Southeast Asia. Many people -- if they noted the event at all -- probably worried about being hit on the head, even though the odds are overwhelmingly against such a catastrophe (trillions to one).

But for thousands of astrophysicists around the world, the German Roentgen satellite ("ROSAT") was no mere rubbish; it was an old and important friend. Launched in 1990, a few months after the better known Hubble Space Telescope, ROSAT provided images of the sky in X-rays (very short wavelength light), as opposed to the red-green-blue light visible with Hubble, meaning it could see the most energetic phenomena in the Universe. Plus ROSAT had better image quality than any X-ray satellite had before, an improvement comparable to the superiority of Hubble imaging compared to ground-based telescopes.

A few thousand astronomers worldwide used ROSAT to study the universe, discovering where black holes are growing, when massive clusters of galaxies formed, and how neutron stars and black holes in our Milky Way Galaxy behave.

I used ROSAT to study the wildly varying emission from "jets" of energetic particles emanating from the central black holes in distant galaxies. These particles are far more energetic than those produced in man-made terrestrial accelerators like the Large Hadron Collider.

Others made exquisite images of the remnants of stellar explosions ("supernova remnants" like IC443) or mapped the hot gases held by gravity in the space between dense clusters of galaxies or indeed to image the entire sky.

One totally unexpected discovery was that comets -- cold balls of ice heated by the Sun as they whiz past -- are strong X-ray emitters, thanks to the interaction of energetic particles from the Sun with the gaseous material around the comet. The same physics explains X-ray light seen from the dark side of the moon, which otherwise shadows the bright all sky X-ray glow from growing black holes.

Dr. Guenther Hasinger, the recently appointed Director of the Institute for Astronomy in Hawaii, began his career working on the ROSAT project. His planning kept the satellite working long after two gyros failed early in the mission, and he developed as a scientist using ROSAT to make very deep pictures of the X-ray sky, so he found the satellite's demise an especially poignant moment. "We recently moved to Hawaii from Germany," he said, "and while unpacking the family's shipping container" he found his miniature ROSAT model. It now sits on his desk at the Institute, next to a piece of the spare detector housing. "I definitely felt an emotional attachment to this project," he admitted.

Astrophysicists in the U.S. and beyond made excellent use of ROSAT's capabilities, finding some 110,000 new X-ray sources (galaxies, stars, comets, etc.) and making X-ray observations an integral part of every astronomer's toolkit.

The project had spinoff value as well: techniques used to manufacture ROSAT's mirror surfaces were later applied to making ordinary optical lenses. Your bifocals might have been made using ROSAT technology. It may be "space junk" to some, but its benefits are riding on a lot of noses.

Twenty years ago, experts in Germany, the United States and the United Kingdom collaborated to build and launch the ROSAT satellite. These days, international collaboration in X-ray astronomy has become the norm, with the Japanese and European space agencies as major partners with NASA. Transcending political boundaries, decisions about what a satellite observes are based on scientific merit, not national origin.

NASA scientist Dr. Rob Petre (no relation to the Dick van Dyke character) helped decide the annual program of ROSAT observations. Each year, scientists would submit hundreds of proposals outlining their plans for the telescope, which were then ranked competitively. Only a small fraction were approved. For every scientist granted precious ROSAT observing time, the re-entry last weekend had to sting.

Dr. Petre was definitely chagrined to hear ROSAT referred to as "space junk" in news stories. "That was really depressing," he said, "when it was such a huge scientific success."

But he wasn't worried about falling debris landing on inhabited places, even though, like the UARS satellite a few weeks earlier, big pieces of ROSAT (the glass mirrors) were expected to hit the ground before burning up completely. Most of the Earth's surface is covered by oceans and most of Earth's land masses are unoccupied, so the odds of falling space debris causing damage are miniscule -- which is why space agencies do not go to the expense of planning controlled re-entries. Dr. Hasinger estimates that space debris as large as ROSAT falls to Earth every few weeks, almost all of it unreported and unnoticed.

Last weekend, somewhere on Earth, the ROSAT re-entry must have made beautiful "shooting stars" streaking across the sky. But the fact that there are no eyewitness reports underscores the fact that most of the planet -- especially our oceans -- is uninhabited.

So the ROSAT fall from the heavens may not have been witnessed, but the satellite certainly is remembered.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Last weekend a large piece of "space junk" tumbled to earth

@highlight

Meg Urry, an astronomer, says it was the remains of a valuable research satellite

@highlight

The satellite's X-ray images of the sky enabled views of high-energy phenomena

@highlight

Urry: Thousands of astronomers used the ROSAT satellite to study the universe