(CNN) -- In Masai culture, it is traditional to open a conversation with "Casserian engeri," which means "And how are the children?" The prominent value that the Masai place on the well-being of their children has me thinking about the well-being of our own children here in America.

We rejoice with those who crossed the stage to receive their high school diplomas last spring, and look forward to the accomplishments of those who start school soon. Indeed, our children are doing well. For the first time in our nation's history, 80% of young Americans graduated from high school on time, according to the 2014 Building a GradNation. This is a significant achievement for those young graduates and our country as a whole. At that rate of increase, we can and should push forward to the goal of 90% on-time high school graduation by 2020. Four successive presidents have set forth this goal, and at last we are on track.

But this statistic tells only a piece of the story about the well-being of our children. It disregards too quickly the remaining 20% -- about 800,000 young people per year -- who don't graduate on time.

What happens to them? Why are these young people not progressing, despite all of our best efforts? Who are they? And what must we do to help them stay on track and thrive as contributors to the economy of our country?

Over the past year, America's Promise Alliance has been seeking those answers, right from the source. Our Center for Promise at Tufts University interviewed hundreds of young people who did not graduate on time or at all. And then we surveyed thousands of young people from all 50 states.

So, how are our children? Their responses, compiled and analyzed in the report "Don't Call Them Dropouts," are heartbreaking, humbling and ultimately hopeful.

So many young people described the circumstances in which they grew up, environments made toxic by physical and emotional abuse, exposure to extreme violence, family stress and caretaking responsibilities. Young people have many reasons for leaving school, not all of them related to boredom or lack of motivation. Many leave because of complex and challenging life circumstances that, without proper adult support, make leaving school look like the only option.

In the wake of leaving school without graduating, many showed tremendous optimism and a drive to achieve adult success. They want for themselves what we want for them: more education, a solid job, a strong family, a stable place to live.

With this backdrop, it's no surprise that many of the people we interviewed took exception to the term "dropout." They don't feel that they "dropped out" or, worse, quit. They simply made a decision to change the course of their lives.

Nothing will be easy about increasing our national high school graduation rates. However, for the sake of our nation's future, we must not forget about the potential that exists in 20% of our nation's students.

Yes, all students need high quality schools with strong teachers and strong curricula, but they also need environments where they are heard. Set preconceptions and assumptions aside, and just listen hard. Try to understand their experiences and perspective, however challenging. Show them, in some way, that you care about their future.

For our young adults with the highest needs, more schools should incorporate an early warning system to identify students whose attendance, behavior and course performance suggest that they need extra support to stay in school. Communities should consider how to create similar early-warning supports and systems beyond the school building for young adults affected by risk factors like a death in the family, an incarcerated parent or housing instability.

As good stewards of our communities, we must help provide the support that our young people need for success, and that means learning from one another. With proven and promising examples of success happening all across the country, in and out of the classroom, we must create more opportunities for school systems and communities to collaborate with one another. It's in that sharing, that great progress can be made.

The question "How are our children?" is the right one to be asking. But, let's not be afraid of the challenging and complex answers that comes with it. At graduation season, and every day, let's celebrate our high achievers while giving equal care to those young people taking the less common road.

@highlight

For the first time, 80% of young Americans graduated from high school on time

@highlight

Alma Powell: We can't disregard the well-being of the 20% who didn't

@highlight

Powell: Many of them object to the term "dropout"; they just decided to change course

@highlight

She says we must offer support, identify them early, show we care about their futures