A decade ago, the United States had a virtual monopoly on drones.

Not anymore. According to data compiled by the New America Foundation, more than 70 countries now own some type of drone, though just a small number of those nations possess armed drone aircraft.

The explosion in drone technology promises to change the way nations conduct war and threatens to begin a new arms race as governments scramble to counterbalance their adversaries.

Late last month, China announced that it would use surveillance drones to monitor a group of uninhabited islands in the South China Sea that are controlled by Japan but claimed by China and Taiwan.

In August 2010, Iran unveiled what it claimed was its first armed drone. And on Tuesday, the country's military chief, Gen. Amir Ali Hajizadeh, disclosed details of a new long-range drone that he said can fly 2,000 kilometers (1,250 miles), which puts Tel Aviv easily in range.

Israel looks to Lebanon after drone shot down

But without an international framework governing the use of drone attacks, the United States is setting a dangerous precedent for other nations with its aggressive and secretive drone programs in Pakistan and Yemen, which are aimed at suspected members of al Qaeda and their allies.

Just as the U.S. government justifies its drone strikes with the argument that it is at war with al Qaeda and its affiliates, one could imagine that India in the not too distant future might launch such attacks against suspected terrorists in Kashmir, or China might strike Uighur separatists in western China, or Iran might attack Baluchi nationalists along its border with Pakistan.

This moment may almost be here. China took the United States by surprise in November 2010 at the Zhuhai Air Show, where it unveiled 25 drone models, some of which were outfitted with the capability to fire missiles.

It remains unclear just how many of China's drones are operational and how many of them are still in development, but China is intent on catching up with the United States' rapidly expanding drone arsenal.

When President George W. Bush declared a "War on Terror" 11 years ago, the Pentagon had fewer than 50 drones.

Now, it has around 7,500.

Study: Drone strikes kill, maim and traumatize too many civilians

As Bush embarked on that war, the United States had never used armed drones in combat. The first U.S. armed drone attack, which appears to be the first such strike ever, took place in mid-November 2001 and killed the military commander of al Qaeda, Mohammed Atef, in Afghanistan.

Since then, the CIA has used drones equipped with bombs and missiles hundreds of times to target suspected militants in Pakistan and Yemen.

CNN Radio: Drone debate -- who can you trust?

Only the United States, United Kingdom and Israel are known to have launched drone strikes against their adversaries, although other members of the International Security Assistance Force in Afghanistan, such as Australia, have "borrowed" drones from Israel for use in the war there.

Drone technology is proliferating rapidly. A 2011 study estimated that there were around 680 active drone development programs run by governments, companies and research institutes around the world, compared with just 195 in 2005.

In 2010, U.S.-based General Atomics received export licenses to sell unarmed versions of the Predator drone to Saudi Arabia, Egypt, Morocco and the United Arab Emirates. And in March, the U.S. government agreed to arm Italy's six Reaper drones but rejected a request from Turkey to purchase armed Predator drones.

An official in Turkey's Defense Ministry said in July that Turkey planned to arm its own domestically produced drone, the Anka.

Israel is the world's largest exporter of drones and drone technology, and the state-owned Israeli Aerospace Industries has sold to countries as varied as Nigeria, Russia and Mexico.

Building drones, particularly armed drones, takes sophisticated technology and specific weaponry, but governments are increasingly willing to invest the necessary time and money to either buy or develop them, as armed drones are increasingly seen as an integral part of modern warfare.

Sweden, Greece, Switzerland, Spain, Italy and France are working on a joint project through state-owned aeronautical companies and are in the final stages of developing an advanced armed drone prototype called the Dassault nEURon, from which the France plans to derive armed drones for its air force.

And Pakistani authorities have long tried to persuade the United States to give them armed Predator drones, while India owns an armed Israeli drone designed to detect and destroy enemy radar, though it does not yet have drones capable of striking other targets.

The Teal Group, a defense consulting firm in Virginia, estimated in June that the global market for the research, development and procurement of armed drones will just about double in the next decade, from $6.6 billion to $11.4 billion.

News: Drones expected to hunt for suspects in Libya attack

States are not alone in their quest for drones. Insurgent groups, too, are moving to acquire this technology. Last year, Libyan opposition forces trying to overthrow the dictator Moammar Gadhafi bought a sophisticated surveillance drone from a Canadian company for which they paid in the low six figures.

You can even buy your own tiny drone on Amazon for $250. (And for an extra $3.99, you can get next-day shipping.)

As drone technology becomes more widely accessible, it is only a matter of time before well-financed drug cartels acquire them. And you can imagine a day in the not too distant future where armed drones are used to settle personal vendettas.

Given the relatively low costs of drones -- already far cheaper than the costs of a fighter jet and of training a fighter jet pilot -- armed drones will play a key role in future conflicts.

Opinion: When are drone killings illegal?

While the drone industry thrives and more companies, research institutes and nations jump on board the drone bandwagon, the United States is setting a powerful international norm about the use of armed drones, which it uses for pre-emptive attacks against presumed terrorists in Pakistan and Yemen. It is these kinds of drone strikes that are controversial; the use of drones in a conventional war is not much different than a manned aircraft that drops bombs or fires missiles.

According to figures compiled by the New America Foundation, drone attacks aimed at suspected militants are estimated to have killed between 1,900 and 3,200 people in Pakistan over the past eight years.

While there has been considerable discussion of the legality of such strikes in a number of U.S. law schools, there has been almost no substantive public discussion about drone attacks among policymakers at the international level.

The time has come for some kind of international convention on the legal framework surrounding the uses of such weapons, which promise to shape the warfare of the future as much as tanks and bombers did during the 20th century.

(Fatima Mustafa and Farhad Peikar contributed to the research for this article.)

Follow @CNNOpinion on Twitter

@highlight

Peter Bergen: American monopoly on drones is long gone; 70 nations have them

@highlight

He says drones will change warfare and lead to a new arms race

@highlight

China, Iran, Israel, European nations are among those with drones, he says

@highlight

Bergen: U.S. use of drones is setting a precedent without enough discussion of the legal issues