(CNN) -- In 2011, as the world marked 10 years since 9/11, we asked artists around the globe to illustrate the ripple effects of the terrorist attacks. The result was "9/11 Ripple," CNN's first digital art gallery.

With the 2012 elections approaching, we again wanted to include artists in our coverage of a major news event. Artists provide unique insight and provoke thought, conversation and community in a critical way and are especially vital during such important times for our country and our world.

This time we chose the theme of "Power" for our digital art gallery. The theme represents not just the obvious power that's at stake in the election but the more subtle forces that power us as a people and drive our debate over money, health, race and gender -- often to the point of protest and gridlock.

Explore the "Power" digital election art gallery

We then reached out to a broad yet select group of artists representing different, influential perspectives in the art world and the broader community and asked them to submit work and participate in building the gallery with us.

Our search began in the spring when we met Brad Downey, an exciting American performance artist who was in Atlanta for a collaboration with flux projects. After watching a presentation of his work -- which included videos of creative street art that many would call vandalism -- we asked if he'd be interested in contributing to "Power," the only caveat being that he couldn't vandalize anything.

The work he submitted is provocative -- a photograph of a CCTV camera on a pole in Karl Marx Allee in Berlin that appears to be on fire. His statement for "CCTV Sacrifice" sums up his approach: "Some people say the world will end in fire, while others say it will end with ice. FREEZE, we are watching you!" (Downey promises us that nothing was damaged and no laws were broken in producing his work.)

No less provocative is a video by Joe Hollier, "Era of Great Cynicism." Set to a syncopated jazz-era beat, his stop-motion animation is a commentary on individuality, beliefs, media influence, health care, elections and more.

Noah Fischer, who took part in the Occupy Wall Street movement in New York and initiated Occupy Subways and Occupy Museums, created "The Power of Gold." The video juxtaposes images of the Statue of Liberty with a rotating gold coin, and his statement explains his intentions: "The fear instinct tells us to grab what we need to survive ... yet we live in a nation that once took the goddess of freed slaves as its muse."

Another video performance artist we're excited about featuring is Liz Magic Laser. Her "Push Poll" video, complete with actors, a focus group moderator and a pop-up newsroom in New York's Chinatown, "explores the power of polls to influence public opinion and the persuasive effects of the so-called 'man on the street' news segments."

Other works include Seb Jarnot's "The War of Smiles," Molly Crabapple's "Big Fish Eat Little Fish Eat Big Fish" and Dorothy O'Connor's "Tornado."

Jarnot, a French illustrator whose work has appeared in major publications and ad campaigns, took part in "Ripple." His work this year features "over-smiley portraits" of President Barack Obama and Mitt Romney, which he says represent "violence and power in a fight between ... two different energies."

Crabapple's playful painting featuring fish is a "metaphor for revolution and counterrevolution" following the Arab Spring and Occupy Wall Street movements. And O'Connor's "Tornado" portrays a woman creating a destructive whirlwind in her home -- a symbol, she says, of the interplay of democracy, voters and corporate donors.

This is only a taste of what you'll find in "Power," our effort to create a space in which different voices can be heard in ways other than words.

We hope it will be thought provoking, and we invite you to join the conversation by posting your comments on the gallery.

@highlight

As 2012 elections approach, CNN asked artists to illustrate the theme of "Power"

@highlight

Gallery features broad yet select group representing different perspectives

@highlight

CNN's first digital art gallery, "9/11 Ripple," explored the ripple effects of the terrorist attacks.

@highlight

Explore the "Power" digital election art gallery, which is curated into five topics