(CNN)Gov. Mike Pence unleashed a firestorm on Indiana last week when he signed the Religious Freedom Restoration Act.

Critics of the law contend it could be used by individuals and businesses to discriminate -- particularly against the LGBT community of lesbian, gay, bisexual and transgender individuals -- on the basis of religion.

The ramifications for the Hoosier State are just starting to be felt in the form of boycotts, petitions and travel bans.

As the controversy mushrooms, here's what got us to where we are. And where things are headed.

Last week, Pence put his signature on the RFRA -- a law that allows Indiana businesses to cite their religious freedom as a legal defense.

The law states that the government can't "substantially burden a person's exercise of religion" and that individuals who feel like their religious beliefs have been or could be "substantially burdened" can lean on this law to fend off lawsuits.

In an opinion piece in The Wall Street Journal, Pence says the RFRA "ensures that Indiana law will respect religious freedom and apply the highest level of scrutiny to any state or local governmental action that infringes on people's religious liberty."

Pence notes that there is no reference to sexual orientation in the law.

Civil liberties and gay rights groups hold to their stance that the law could be used by businesses to deny service to people based on their sexual orientation and justify that discrimination based on their religious belief.

"Silence is consent!" tweets Laurel Davilia, a commentator on Brass Knuckles Progressives Radio.

From sports teams to musicians to other cities and states, they fell like dominoes.

The NCAA, which is headquartered in Indianapolis and set to host its men's basketball Final Four in the city this week, said the law could lead it to move events elsewhere in future years. The NBA, WNBA and NFL issued critical statements too.

Indianapolis Colts owner Jim Irsay says fans of all stripes are welcome.

"The Colts have always embraced inclusiveness, tolerance, and a diverse fan base," Irsay tweets.  "We welcome ALL fans to Colts Nation.   ONE FAMILY!"

A petition posted on change.org hopes to get the Big Ten Conference to move its football championship out of Indianapolis.

"I think that Indiana needs to be told that it must respect all persons regardless of sex, age, religion, gender identity, or sexual orientation," Sean Burke of Madison, Wisconsin, says in the petition.  "As a football fan, I think we can send a message by calling on the NCAA and Big Ten Conference to take a stand."

Lucas Oil Stadium in Indianapolis is scheduled to host the league's championship game through the 2021 season.

At last check, the petition had more than 11,000 supporters.

The mayors of San Francisco and Seattle have barred spending on travel to Indiana.  The governors of Connecticut and Washington state did the same thing.

And you can add Wilco to the boycott bandwagon. The group is canceling its May 7 show in Indianapolis, it says on Facebook.

"The 'Indiana Religious Freedom Restoration Act' feels like thinly disguised legal discrimination to us," Wilco says.  "Hope to get back to the Hoosier State someday soon, when this odious measure is repealed."

Cher is among the artists speaking out.  Her son Chaz Bono is a transgender man.

"#GOVPENCE IS ANOTHER EXAMPLE OF RIGHT WING RACISM, ASAULT ON WOMANS RIGHTS & HATRED OF LGBT AMERICANS," she tweets.

Indiana's top two state lawmakers pledged Monday to amend the state's controversial "religious freedom" law to clarify that it cannot be used to discriminate against gay people.

"This law does not discriminate, and it will not be allowed to do so," David Long, the Indiana Senate president pro tem, said during a news conference with state House Speaker Brian Bosma.

Pence had said earlier that he was working with lawmakers to clarify the law.

Critics still weren't on board with the anti-discrimination claims.  Opponents of RFRA marched around the state capitol.

Someone even created a satire ad:  "Indiana. It's a great place to be a bigot.".

The rhetoric has reached such a fever pitch that a front page editorial in Tuesday's edition of the Indianapolis Star blares the headline:  "Fix.  This.  Now."

The editorial suggests the RFRA and protections for gays and lesbians can co-exist.

The state is at a crossroads it says.

"(N)o matter its original intent (the law) already has done enormous harm to our state and potentially our economic future," according to the editorial.  "Only bold action -- action that sends an unmistakable message to the world that our state will not tolerate discrimination against any of its citizens -- will be enough to reverse the damage."

The editorial closes with:

"Governor, Indiana is in a state of crisis. It is worse than you seem to understand.

"You must act with courage and wisdom. You must lead us forward now. You must ensure that all Hoosiers have strong protections against discrimination.

"The laws can co-exist. And so can we."

Some of the GOP's top figures are backing Pence despite the controversy.  Jeb Bush and Marco Rubio have voiced their support.  Both are considered likely Republican candidates for the White House.

Sen. Ted Cruz, who announced his candidacy last week, is also on board.

"I'm proud to stand with Gov. @mike_pence for religious liberty, and I urge Americans to do the same," Cruz tweets.

Indiana is the 20th state to adopt a "religious freedom restoration" law, most of which are modeled after the Religious Freedom Restoration Act, which President Bill Clinton signed into law in 1993.

But that law passed with the backing of a broad-based coalition and wasn't set against the backdrop of gay rights or the wave of marriage equality laws that have swept the country in recent years.

Adam Talbot, a spokesman with the Human Rights Campaign, a gay rights group, stresses that those 20 laws are "dramatically different in their scope and effect."

"Calling them similar in this way risks being misleading. Indiana is the broadest and most dangerous law of its kind in the country," Talbot says.

Arkansas' legislature passed an Indiana-style law on Friday, which now heads to the state's governor for approval.

Despite the controversy, the Indiana governor says concerns that his state's new "religious freedom" law will allow businesses to turn away LGBT customers is the result of a "tremendous amount of misinformation and misunderstanding."

Still, he was hard pressed to explain why that wasn't the case.

Given a chance on Sunday to add some clarity, Pence refused to answer at least six yes-or-no questions from ABC's George Stephanopoulos about whether the measure legalizes discrimination against gays and lesbians.

Jeremy Diamond and Eric Bradner contributed to this report.

@highlight

Indiana is under fire for the Religious Freedom Restoration Act

@highlight

Critics say it discriminates against the LGBT community