Ukrainian President Viktor Yanukovych intends to sign a deal on closer European Union ties, the bloc's top diplomat has said, after weeks of mass protests that have rattled the Eastern European country.

Ukrainian protesters, angry about the government's decision last month to spurn a free-trade agreement with the EU in favor of closer economic ties with Moscow, have stood their ground in Kiev's Independence Square, or Maidan, paralyzing the center of the capital.

They have remained there, undeterred by authorities' overnight crackdown early Wednesday in which police tore down barricades they had set up.

After meeting Yanukovych this week, EU foreign policy chief Catherine Ashton said he had assured her of his intent.

"He indicated he still wishes to sign the Association Agreement with the European Union," she told CNN in Kiev on Wednesday.

"From our perspective, we think that's good for this country. But the present crisis that's happening right now needs to be resolved."

A statement from the EU in Brussels, Belgium, on Thursday quoting Ashton echoed this: "The President has assured me when I've met him that he does intend to sign the Association Agreement."

Ukrainian Deputy Prime Minister Serhiy Arbuzov traveled to Brussels on Thursday, where he  met Stefan Fule, European commissioner for Enlargement and European Neighbourhood Policy, an EU spokesman in Kiev said.

In Moscow, Russian President Vladimir Putin briefly touched on the situation in the Ukraine in his State of the Nation address to the Federal Assembly on Thursday.

"I very much hope that all political forces of the country will manage to come to an agreement in the interest of the Ukrainian people and solve all the piles of problems," he said.

Opposition dismisses talks

Pressed by Europe and the United States, Yanukovych on Wednesday offered to meet opposition leaders to find a way out of a crisis that blew up last month when thousands poured into the streets of the capital, demanding his resignation.

"I invite representatives of all political forces, priests, public figures to hold the nationwide dialogue," he said in a statement on the official presidency website.

The statement also called on the opposition not to "choose the path of confrontation and ultimatums."

However, opposition leaders have dismissed the offer of talks, insisting that Yanukovych must quit for favoring ties with Russia over the EU.

In a statement on her website, Yanukovych's jailed chief political opponent, Yulia Tymoshenko, urged Ukrainians to "stand up," and she repeated previous opposition calls for early elections.

U.S. 'disgust' at crackdown

Kiev's handling of the pro-EU protests has been met with stern responses from the European Union and United States.

Police moved into the main protest camp early Wednesday, using chainsaws to tear down the barriers, which had been manned by pro-Western demonstrators. Clashes led to reports of injuries on both sides.

"The United States expresses its disgust with the decision of Ukrainian authorities to meet the peaceful protest in ... Maidan Square with riot police, bulldozers, and batons, rather than with respect for democratic rights and human dignity," U.S. Secretary of State John Kerry said in a prepared statement.

"This response is neither acceptable, nor does it befit a democracy."

In Washington, State Department spokeswoman Jen Psaki told reporters Wednesday that "all options" were under consideration in Ukraine, including sanctions.

UK Foreign Secretary William Hague said he was "deeply concerned" about the Ukraine government's decision to send in riot police against peaceful protesters.

Thousands of demonstrators have been camped out for days in Independence Square. They also continue to occupy Kiev's City Hall.

The scenes of protest are reminiscent of the uprising that swept Yanukovych from office as prime minister nine years ago during the Orange Revolution.

East vs. West

Ukraine is split between pro-European regions in the west of the country and a more Russia-oriented east.

Protesters say an EU agreement would open borders to trade and set the stage for modernization and inclusion. They accuse Yanukovych of preparing to take the country into a Moscow-led customs union.

Moscow has leverage that may have affected Yanukovych's decision last month to backpedal on the EU talks because Russia supplies Ukraine with natural gas.

The EU is also pressuring Yanukovych to free Tymoshenko, who has languished in jail for two years after being convicted of abuse of power in 2011. The EU and other critics decried the verdict as a sham.

The Orange Revolution that swept Yanukovych from office in 2004 also brought the pro-Western Tymoshenko to power.

At the rallies in Independence Square, protesters have carried her picture.

@highlight

EU diplomat: Yanukovych "assured me ... he does intend to sign" deal on closer ties

@highlight

Vladimir Putin hopes "all political forces ... will manage to come to an agreement"

@highlight

Opposition dismisses Yanukovych's call for negotiations

@highlight

Protesters remain in Kiev square, paralyze center of capital