(CNN) -- Scientists look at a warming Arctic and see a shift from white to green, as tundra gives way to new plant life.

Governments and corporations are also seeing green, as receding ice cover opens new shipping routes and opportunities to get at long-hidden natural resources.

But the downside of those opportunities is the risk that the current pace of climate change could be sped up dramatically by the release of long-trapped methane gas in the region's permafrost -- a risk to which a new study has attached an eye-popping price tag of $60 trillion in the next several decades, on top of previous estimates.

That's trillion, with a "T," a figure rivaling the entire globe's economic output in 2012. And it's a tab that's far more likely to be paid by people living in the latitudes far below the Arctic Circle, said Gail Whiteman, a researcher at Erasmus University in the Netherlands. The developing nations of Asia and Africa face more risk of bigger storms, worse flooding and more intense droughts, she said.

"It will have gains for some countries," Whiteman told CNN. "But as we can see, if 80% of the impacts are going to be borne by developing regions, they're not getting any of the benefits."

Scientists have long worried that thawing the permafrost soil of the high northern latitudes could release large quantities of methane, a greenhouse gas far more potent than carbon dioxide. U.S. and Russian scientists who study the region say methane has already started bubbling up from the floor of the East Siberian Sea -- a region believed to hold to 50 billion tons of the gas.

"Everybody should be trying to pay attention to the shifts that are happening in the Arctic, and not just leave that up to the Arctic countries and not just to some crazy researchers that are in that beautiful white space," Whiteman said. "We all need to pay attention to what's happening, because the Arctic is the canary in the coal mine."

Using a British computer model, Whiteman and two scientists at Britain's Cambridge University estimated what would happen if the store of methane currently locked into the East Siberian Arctic Shelf were released over a 10-year period, without any other reductions in carbon emissions.

The results, published Wednesday in the scientific journal Nature, indicated that global average temperatures could hit 2 degrees Celsius (3.6 Fahrenheit) over pre-industrial levels by 2035 -- 15 years earlier than currently predicted. Even if other emissions were limited, the 2-degree mark would still be reached by about 2040, they wrote.

The same model had previously computed the costs of climate change at $400 trillion by 2200. Adding a decade-long rush of methane to the atmosphere would boost that by $60 trillion, mostly between 2050 and 2075, said Chris Hope, a modeling expert at Cambridge's Judge Business School. Even a slower release, dampened by other cuts in emissions, could cost $37 trillion -- a figure that dwarfs the $100 billion that Lloyds of London estimates will be invested in the Arctic over the next decade.

The model includes the estimated effects of human health impacts and sea-level rise. Richer countries are better able to adapt to those changing conditions, but developing countries "will suffer most of the extra impact," Hope said.

And while the brunt of the damage will be inflicted closer to the Equator, Northern Hemisphere nations aren't likely to escape unscathed.

"Mid-latitude economies such as those in Europe and the United States could be threatened, for example, by a suggested link between sea-ice retreat and the strength and position of the jet stream, bringing extreme winter and spring weather," the paper states.

Cambridge ocean physicist Peter Wadhams said receding sea ice cover in the Arctic has allowed summer temperatures in the East Siberian Sea to rise several degrees above freezing.

"Up to now, you've had offshore permafrost, which is a relic of the last ice age. And that's only been kept in place by the fact that the water is roundabout the freezing point," Wadhams said. But as the water over it warms, that permafrost has been thawing -- "and what's been released from it have been huge plumes of methane gas."

How much methane is being released is still under study, Wadhams said. But atmospheric methane levels rose about 1% last year, and "We think that the source is primarily this offshore methane plume from the Siberian sea," he said.

While the idea of long-term, human-generated climate change is a controversial notion politically, it's accepted as fact by most researchers. Global average temperatures are up about 1.5 degrees Fahrenheit (0.8 degrees Celsius) since the 1880s, according to NASA. The concentration of heat-trapping carbon dioxide hit a concentration unseen since prehistoric times at the benchmark Mauna Loa observatory in May, and scientists reported in November that the ice sheets covering Greenland and Antarctica were losing mass at an accelerating rate.

Researchers can't pin any particular storm on climate change, but say the warming of the air and oceans "loads the dice" in favor of more extreme weather.

Whiteman said she hopes putting a price tag on one facet of the issue will spur debate and new action. The authors urged the World Economic Forum to support development of new economic models and press world leaders "to consider the economic time bomb beyond short-term gains from shipping and extraction."

"We need to get our act together globally, and if we can't do it globally, we need to do it more regionally," she said. And she said there may be opportunities for business, such as finding ways to capture the methane -- it's natural gas, after all.

"The story is not doom and gloom," she said. "We're hoping that we can use this to kick-start some innovative discussions."

CNN's Ralitsa Vassileva and Tashiana Osborne and CNNMoney's Steve Hargreaves contributed to this report.

@highlight

Methane from Siberian permafrost could speed warming, raise costs

@highlight

Economic models say that additional tab could hit $60 trillion

@highlight

The gas is more potent than carbon dioxide in trapping heat

@highlight

The study is a warning but "not doom and gloom," author says