(CNN) -- If Joseph Kony wasn't the most wanted man in the world, he may be now.

In the past week, a documentary detailing accusations of vile acts committed by the Ugandan warlord has spread like wildfire on social media (at the time of writing it has had more than 50 million views), prompting international outrage and a groundswell of support for his capture.

In the documentary, "Kony 2012," which was posted online by the U.S.-based group Invisible Children, the tales of atrocities are horrifying: armed supporters force abducted children to kill their own parents, brutal mutilations include the hacking off of lips and limbs, and the sexual slavery of young girls stolen from their families. The group says its aim is to raise awareness and bring Kony to justice.

While some critics question whether the film captures the full scope of the conflict, one matter is without debate: Kony now ranks as one of the International Criminal Court's most wanted men, facing arrest on charges of crimes against humanity after a 26-year campaign of brutality in his failed bid to overthrow the Ugandan government.

How did Kony rise to power?

Kony, a former altar boy, was a young man in his early 20s when he was caught in the storm of violence that marked the final years of Milton Obote's presidency.

Obote was deposed in a military coup in 1985, and soon after Yoweri Museveni's National Resistance Army (NRA) seized power. Kony's Lord's Resistance Army was among those who rose up against Museveni's NRA.

Kony was a spiritual leader, known as a healer among the Acholi people. He inherited a powerful support base from Alice Lakwena, a spirit-medium.

Lakwena's followers would "daub themselves in shea butter crosses which they believed would protect them from bullets and they believed that stones would explode like grenades," explains Matthew Green, author of "The Wizard of the Nile - The Hunt for Africa's Most Wanted," about Kony.

"It was a mystical rebellion," Green says, adding that Kony "was very much an inheritor of her mantle." Lakwena fled to Kenya after Museveni's forces launched a brutal attack on her and her followers.

Staying in northern Uganda, Kony rallied Lakwena's remaining supporters and recruited more with a powerful mix of mythical claims, charisma and unconscionable violence.

What is Kony like?

Green describes being one of the few journalists to ever meet Kony when the rebel leader briefly emerged from his jungle hideout in 2006.

"Although he was surrounded by phalanxes of child soldiers with Kalashnikov rifles and bayonets fixed to them, he actually looked terrified of meeting strangers," Green said.

Despite Kony's apparent fear and paranoia, Green says the rebel leader was charismatic and clearly a "very powerful orator" when speaking to his people.

"He had an almost musical voice as he spoke in his Acholi language and you could see that the people listening were completely captivated."

What are Kony's tactics?

If Kony attracted supporters through his "mystical powers" and charisma, he kept them through fear.

"Certainly the violence is what made his movement so terrifying," Green says. "These attacks were carried out often with machetes or clubs and the violence was designed with a very clear political purpose. It was designed to illustrate to the people in northern Uganda that the government of President Museveni could not protect them."

Kony's forces are believed to have abducted thousands of children to join his cause -- however the exact number is unconfirmed. At the height of the violence during the mid-2000s, parents tried to protect their children from harm by sending them to sleep in towns, away from Kony's ruthless kidnappers.

Brutal punishments were inflicted on those who were accused of disloyalty by an increasingly paranoid leader, Green says. "Kony once gave an order that anyone caught riding a bicycle should have their legs cut off. Bicycles were a very common means of transport in rural areas and he was worried that informers, if they saw the rebels, would rapidly pedal away and alert the nearest army post."

And similarly he would cut off people's hands as a kind of warning not to raise any hands against the rebels," Green adds.

How organized is the Lord's Resistance Army?

Kony created the Lord's Resistance Army with the intention to lead, based on his version of the Ten Commandments. Since then it has grown into a "disciplined fighting force," says Green, explaining that its members occupy a rank and are rewarded for loyalty.

Kony has been able to maintain his hold over them with his mix of self-proclaimed spiritual powers and military strategy, Ned Dalby, Central Africa researcher with the International Crisis Group, said in a 2011 interview with CNN.

"He cultivates this image of himself as a medium for the power of the spirit and at other times, he presents himself as a ruthless military leader. So he's able to maintain cohesion as a group and maintain the loyalty of his fighters," Dalby said.

He noted that some former LRA fighters from northern Uganda have given clues as to why some outside the group stayed loyal to Kony. "They expressed the feeling that because they were given a rank, they were given a certain purpose, and respect and authority," Dalby says. "And then, once they're outside the LRA, they find they've become just another poor person, trying to survive."

Where is Kony now?

"Kony fled back into Sudan probably in late 2005, 2006 and he has not been back into Uganda since, as far as we know," Green said.

He is believed to be accompanied by a small band of supporters, though his followers are still said to be terrorizing people elsewhere on the continent.

"The mass abduction of Ugandan children and the terrible atrocities, the massacres that Kony committed have not occurred for some years now," added Green. "However, his forces are still on the loose in places like Central African Republic and Eastern Congo, and they still retain the capacity to kill large numbers of civilians. So although they're not a threat to Uganda now, they certainly are a threat to the region."

The U.S. has listed the LRA as a terrorist group and in October, Washington authorized up to 100 U.S. Special Operations trainers and military advisers to assist African forces searching for Kony and other leaders of the LRA.

The activities of the group are tracked on a website that uses information from the Invisible Children's Early Warning Radio Network, U.N. agencies and local NGOs to map and document recent crimes.

@highlight

Documentary detailing vile acts allegedly committed by Ugandan warlord gets 50M hits

@highlight

U.S.-based group Invisible Children says aim is to raise awareness, bring Kony to justice

@highlight

Kony now ranks as one of the International Criminal Court's most wanted men