(Health.com) -- People who carry the genital herpes virus but have no visible symptoms -- and may not even be aware they're infected -- are still capable of spreading the virus about 10% of the time, according to a new study in the Journal of the American Medical Association.

An estimated 16% of U.S. adults are infected with herpes simplex virus type 2 (HSV-2), which can cause bumps, blisters, or sores on the genitals and surrounding areas, along with pain and itching.

But only about 10% to 25% of these people know they carry the virus. While some infected people have frequent outbreaks, most never have symptoms and others have just one or two flare-ups.

Previous research has shown that people infected with HSV-2 can pass the virus to someone else through genital contact even if they don't have symptoms. The new study -- the largest of its kind to date -- helps quantify that risk, says Christine Johnston, M.D., one of the study's authors and an acting assistant professor of medicine at the University of Washington, in Seattle.

"A lot of times people are diagnosed with HSV-2 by an antibody test and they don't know what to do with that information," Johnston says. "Now I think we have a number that we can tell people."

Health.com: Top 10 myths about safe sex and sexual health

The study included 498 adults with healthy immune systems who had a diagnosis of genital herpes or who tested positive for HSV-2. Every day for at least 30 days, the participants inspected themselves for symptoms and collected a swab of genital secretions, which were stored and later tested in a lab.

The 410 people with a history of herpes symptoms were found to be actively "shedding" the virus on 20% of the days for which they collected swabs, compared with 10% of days for those who had never experienced symptoms.

The symptom-free people released the same amount of virus when they were shedding as the symptomatic people did when they weren't experiencing an outbreak. (The amount of virus increased if symptoms were present.)

The 10% figure is an average, Johnston notes; some people will shed the virus more frequently, while others will shed it less often. "People will interpret the risk very differently," she adds. "Some people will feel like 10% is a lot and some people will feel like 10% is a little."

Health.com: 28 days to a healthier relationship

"[The study] just begs the point that safe sex is important, and you had better know who your partner is," says Richard D. Whitley, M.D., a past president of the Infectious Disease Society of America and a professor of medicine at the University of Alabama at Birmingham. Whitley is a leading expert on herpes but was not involved in the current study.

Everyone should know whether they have HSV-2, Whitley says. Aside from the risk of unwittingly infecting sexual partners, pregnant women with no symptoms can pass on the virus to their babies with devastating consequences for the newborn, including death. (The risk of transmission is as high as 30% to 50% if the mother is infected during her third trimester.)

In addition, HSV-2 infection can cause complications in people who have weakened immune systems due to chronic disease, and it can increase a person's likelihood of contracting HIV, Whitley says.

Health.com: What to do if your partner refuses to wear a condom

People with HSV-2 can protect their partners from contracting the virus by using male or female condoms during sex, and by taking virus-suppressing drugs. Each measure reduces the risk of transmitting the virus to a sex partner by about half.

Some people with herpes take antiviral drugs for years, while others just use them periodically -- for example, when they're starting a new relationship or anticipating a high-pressure situation. (Stress can up the risk of a herpes outbreak.) "It really is a very personal decision for patients," Johnston says.

Copyright Health Magazine 2011

@highlight

An estimated 16% of U.S. adults are infected with herpes simplex virus type 2 (HSV-2)

@highlight

Some people will shed the virus more frequently, while others will shed it less often

@highlight

The infection can cause complications in those with weakened immune systems