Washington (CNN) -- Imagine that some member of Congress back in the 1990s had devoted himself or herself to toughening America against terrorism. He or she had introduced legislation to require airlines to harden their cockpit doors. After years of work, he or she at last prevailed and the new law went into effect sometime in early 2000. The 9/11 plot would have been thwarted without any American ever knowing that the plot had existed.

Question: Would we now remember that imaginary member of Congress as a person of wisdom and foresight who averted a national disaster?

Hardly. In a world in which 9/11 never happened, the people who prevented it would have gone unremembered and unthanked. Or worse. It's very possible that they would have been laughed at as tedious people who invested ridiculous amounts of energy against a probably imaginary threat -- the way, say, some laughed at the people who solved the Y2K problem about that same time.

Of all the unfairnesses in politics, the greatest unfairness is how little we reward the supreme public service: "to provide against preventable evils," in the famous phrase of the British politician, Enoch Powell.

The politicians who act after disaster reap the gratitude of the nation, like Rudy Giuliani amid the rubble of New York City.

Officials whose warnings are ignored at least gain the credit of their prophecy if the warnings come to pass.

But those who successfully mobilize public action in good time? How would we even know who they are? How do we separate the wise from the unwise, the genuinely visionary from the cranks and hysterics? For every Sheila Bair urging early action about subprime mortgages, there are a hundred Glenn Becks urging Americans to stockpile nonhybrid seeds against the coming global apocalypse.

The saddest fate of all, however, befalls the official who saves the country from a greater disaster by incurring or accepting some lesser damage.

The politicians who supported the financial rescue in 2008 get no applause. Sen. Bob Bennett of Utah lost his Republican primary in 2008 in large part due to his emphatic support of TARP, the Troubled Asset Relief Program. Voters see politicians rushing money to rescue high-flying bankers from the bankers' own irresponsibility and, naturally, the voters do not like it. The politicians insist that they acted to save the country from an even greater disaster. But who believes them? For that matter, who even knows what such a "greater disaster" would possibly look like?

Suppose for example that Herbert Hoover and his administration had taken all the most exactly correct possible steps in response to the crash of 1929. Suppose they had rapidly infused the banking system with emergency credit, gone off the gold standard when Britain did in 1931, and organized the mutual forgiveness of the enormous debts and reparations left over from World War I. Suppose that -- thanks to this wise action -- the world economy had begun to recover in late 1931.

In such a case, the worst year of the Great Depression -- 1932 -- would have been a year of slow economic improvement worldwide rather than radical economic collapse. In such a case, Adolf Hitler might well never have come to power. (The Nazis won their biggest political victory in the German parliamentary elections of July 1932, when they won 37% of the seats. When Germans next voted, in November 1932, the Nazis dropped 2 million votes. But by then the democratic system had nearly terminally collapsed.)

Timely effective action in 1929-30 might thus have prevented World War II. Yet the timeliest and most effective action in 1929-30 would still have left the United States much worse off in November 1932 than in November 1928. Herbert Hoover would still have presided over the worst recession in 20th century history and would still have lost the 1932 election to Franklin Delano Roosevelt. No doubt Roosevelt, that supreme opportunist, would have slammed Hoover for his "bailouts" and "giveaways" to banks and foreigners.

And who would ever have known what lay behind the door we did not open?

Think of that limit on our knowledge, the next time you are inclined to a hasty judgment of political leaders and their measures. We know what we see. What we cannot see may be what matters most.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum: Politicians who prevent problems get little credit

@highlight

He says those who react after a crisis develops are recognized

@highlight

Don't judge politicians too hastily, Frum says