(CNN) -- In case anyone had a shadow of a doubt that most Harvard students are precocious, smart, if not learned, we hear from the lips of Harvard's Dean of Undergraduate Education, Jay M. Harris, that nearly all the students at Harvard are indeed above average -- so much so that the median grade given is an A- and the most frequent grade awarded is an A!

What are we to make of the news? Well, first of all, this is not exactly news. Harvard and many elite colleges across the country have witnessed the creeping ivy of grade inflation for quite some time -- a situation that has just about eliminated failure as a possibility.

It makes one wonder why the school bothers giving grades at all.

In the mid-1970s, when I was a dean at Boston University, there were rumors that a certain professor was indiscriminately awarding a final grade of A to all his students. That was unusual back then when most professors graded on the bell curve and only a handful of the best students received an A. Some actually failed and most received grades of B or C.

But in the case of this particular professor everybody got an A. As a test, I surreptitiously enrolled a fictitious student into the roster of his next class. This "nobody" never came to class, never wrote a term paper and never took an exam. At the end of the semester the mysterious student received an A.

That led to a discussion with the professor. In a tone of righteous indignation he claimed I had overstepped my bounds to play such a trick on him. With righteous indignation I claimed that he had underperformed as a professor by acting in a reckless manner, grading his students with careless abandonment. Steam came out of both our ears. I believed his actions were a mark of failure in academic responsibility.

Grades serve several purposes. They are a tool that measures a student's progress in relation to others in a class; they allow financial aid and scholarship committees to assess merit; and they culminate in a 4-year overall performance record in the form of a college transcript. Academic strengths and weaknesses are discovered over a period of time.

To some extent Harvard's faculty have abandoned their responsibilities to their students as well as to those who wish to judge their students: Admission officers at law and medical school; faculty selecting graduates to mentor them for advanced degree programs; employers deciding between applicants for jobs.

Decades ago, professors were often characterized by their students on the severity of their grading. Professor Smith is a tough grader -- no one gets an A. Or, Professor Jones is an easy grader -- no one fails. What can be said today? All the professors are easy marks as well as easy markers.

Why give everyone an A? When the admissions office puts together a freshman class full of high school valedictorians who have perfect grades and SAT scores, there is no doubt they are bringing capable students to the campus. But the power has shifted from the faculty to the students and a new form of entitlement on the part of students has developed.

If students are paying $55,000 a year, they may feel they have paid for the As in dollars as well as sense. Is there an unspoken academic transaction that is filtering into the university landscape now that tuition prices are in the stratosphere? Has higher education morphed into a consumer business in which the customer is always right? It seems like it.

First, universities have to compete for students in the marketplace. Then faculties do the same after students enroll. Professors want to be popular. They want good ratings from students at the end of semester reviews just as the students want good grades from them. Gut courses, once the exception, have become more common.

Faculty tenure, promotions and raises may turn on such matters right along with publications and other measures. University life, long a contact sport, has been upgraded to a blood sport. It's become a "dog-eat-dog" business in which departments try to fill quotas for majors.

And then there are the parents who are quick to speak out if they think their sons or daughters are under appreciated.

Is there a solution that can stop grade inflation? Yes, of course.

In 2004, Princeton readjusted their grading system instructing the faculty not give more than 35% of their undergraduate students A or A- grades, and apparently Yale is currently discussing a similar adjustment. Harvard faculty should construct a ladder that has a rung at the bottom, middle and top.

Last week, I had the privilege to chair the Rhodes Scholarship selection committee for the D.C., Maryland, North Carolina district. We interviewed 13 semi-finalists and selected 2 award winners. All 13 were exceptional; the final decision came down to the splitting of hairs. Out of the 32 Rhodes Scholars named across the United States, Harvard students came away with 6, an impressive outcome however one slices the pie. Perhaps they are all A students. But now we know many Harvard students receive As.

The opinions expressed in this commentary are solely those of Stephen Joel Trachtenberg.

@highlight

The most frequent grade given at Harvard is A and the median grade is A-

@highlight

Stephen Trachtenberg: Grade inflation can be stopped; just look at Princeton

@highlight

He says it seems that higher education has morphed into a consumer business

@highlight

Trachtenberg: Faculty want good student reviews just as students want good grades