Islamabad, Pakistan (CNN) -- The Pakistani Taliban sought to silence the teenage education activist Malala Yousufzai by shooting her in the head. They're also trying to stifle the widespread criticism of the attack in the news media by threatening journalists in Pakistan.

The militant group's menacing statements have intensified fears among reporters in a country that is already one of the most dangerous places in the world to be a journalist.

The attack on Malala, 14, in the northwestern district of Swat last week has left her battling to recover from her injuries in a hospital in Britain and generated a wave of shock and anger in Pakistan and around the world.

Girl shot alongside Malala haunted by the attack

The Taliban quickly claimed responsibility for the act, but they didn't appear to have anticipated the level of revulsion and condemnation that it would provoke. Thousands of people joined in rallies across Pakistan in support of the wounded teen, and calls grew for a strong response from the government.

As coverage of the shooting -- and the appalled reaction to it -- swept across the Pakistani and international news media, the Taliban began issuing lengthy statements trying to justify the targeting of Malala, who had defied them by insisting on the right of girls to go to school.

They also complained that "this filthy, godless media has taken huge advantage of this situation, and journalists have started passing judgment on us," raising the prospect of killing those journalists.

Who are the Pakistani Taliban?

Reporters in northwestern Pakistan, the region where the Taliban are active, say they have been alerted by authorities of an increased risk to their security and some of them have received warnings that they are being specifically targeted.

"Things after Malala have become more tense, as the Taliban is very angry with the way the attack was reported," said a veteran journalist in Peshawar, the main city in the restive northwestern region near the border with Afghanistan. "We are scared, but what can we do? We have to work."

The journalist, who spoke on the condition of anonymity because of fear of reprisals, noted that factions of the Taliban had killed and abducted other journalists in the past because they were unhappy with their coverage.

Tanvir Ahmed Tahir, the executive director of the All Pakistan Newspapers Society, a trade body of publishers, said the organization had requested extra security from the government to protect its members' operations and staff in light of the Taliban statements.

The militants' threats against journalists for covering an attack for which they had unabashedly claimed responsibility may seem contradictory. But it goes to the heart of the Taliban's approach, according to Mustafa Qadri, Pakistan researcher for the human rights group Amnesty International.

Attack on Pakistani schoolgirl galvanises anti-Taliban feeling

"The underlying thing to understand is the Taliban only have one modus operandi: violence," said Qadri, who is based in Britain but travels to Pakistan regularly. "They use it to intimidate people and coerce them into doing what they want."

He said that some of the local journalists he had spoken to in northwestern Pakistan -- including in Mingora, the main town in the Swat Valley where Malala's family lives -- were "very shaken" by the Taliban threats and had asked him to pray for them.

"These people have families and children," he said. "Part of their job is going out into the field -- they don't have luxury of leaving the country" like foreign journalists.

Despite the risks, the Malala story is still "actively being taken up by the press" and journalists are "doing their duty," Tahir of the newspaper society said.

That role is all the more significant in a part of the world caught amid various geopolitical riptides.

The volatile area southwest of Peshawar, along the porous border between Pakistan and Afghanistan, is a base for extremist groups, the focus of the controversial U.S. drone strike program and the scene of clashes between Pakistani security forces and militants.

Malala: A global symbol but still just a kid

Much of it has become a no-go area for reporters, especially those from Western news organizations, but some local journalists still venture into risky areas.

"If we don't have these people doing this job, we won't know what's happening," said Qadri. "When conflicts are fought away from the media lens, that increases the scope for abuses."

The dangers that journalists already face in Pakistan are well documented.

More journalists were killed there than in any other country in both 2010 and 2011, according to the Committee to Protect Journalists (CPJ), a group based in New York that promotes press freedom around the world.

"Many of those who died in targeted killings had first been warned to be silent," the group said in a blog post on its website.

Threats can come not just from militants, but also from government agencies, the CPJ said.

"It's really tough being a journalist in Pakistan, especially on the front line where they are under constant pressure from the Taliban, the state and even political parties," said Qadri, who worked as a reporter in the country for four years. "It's a very politicized environment."

Pakistani teen inspires others to fight for education

@highlight

"We are scared, but what can we do?" a Pakistani reporter says

@highlight

The Taliban have threatened journalists following the shooting of Malala

@highlight

They say the journalists are "passing judgment" on them

@highlight

Pakistan is one of the most dangerous places in the world to be a reporter