(CNN) -- A person who is brain dead may appear alive -- there may be a heartbeat, they may look like they're breathing, their skin may still be warm to the touch.

But doctors say there is no life when brain activity ceases.

Doctors in Oakland, California, declared 13-year-old Jahi McMath to be brain dead on December 12, three days after she underwent a tonsillectomy and adenoidectomy. The McMath family fought in court to keep the teen on a ventilator, and announced Monday that they had moved the girl to another care facility.

While family attorney Christopher Dolan told reporters that for her safety, Jahi's destination won't be announced, a New York facility said Sunday it was ready to accept her.

"We are aware of Jahi McMath's dire situation, and we are willing to open our outpatient facility to provide 24-hour care," said Allyson Scerri, founder of New Beginnings Community Center in Medford, New York. "Her brain needs time to heal."

"This child has been defined as a deceased person yet she has all the functional attributes of a living person despite her brain injury," the center said on its website.

When routine surgeries go wrong

However, barring a misdiagnosis, medical experts say the teen will not recover if she is truly "brain dead."

While laymen tend to use the words "coma" and "brain dead" interchangeably, in medicine they mean very different things.

"Coma" is the broader term used to describe a prolonged state of unconsciousness, according to the Mayo Clinic.

Outwardly, it resembles sleep. Doctors may sometimes purposefully put a patient into a coma to give the brain time to heal. Comas rarely last longer than a couple of weeks, according to the clinic; patients can fully regain consciousness or may transition from a coma into a persistent vegetative state.

Someone in a persistent vegetative state has lost most higher cognitive function, but his or her brain shows some activity. The patient may open their eyes or exhibit small movements, but cannot speak or respond to commands, according to the National Institutes of Health. Some patients can recover from this state, according to the NIH.

Both these situations are different from brain death: According to the Uniform Determination of Death Act, an individual is dead when he or she "has sustained either (1) irreversible cessation of circulatory and respiratory functions, or (2) irreversible cessation of all functions of the entire brain, including the brain stem."

What that essentially means is that the brain, an extremely complex organ, no longer helps the patient function.

The human brain is divided into what doctors call the Lower Brain and the Upper Brain.

The Lower Brain -- where the top of the spinal cord goes up through our necks and into our brains -- regulates body functions such as spontaneous breath, reflexes, our heartbeat, body temperature and sleep/wake cycles.

The Upper Brain is behind all the "higher" functions in a person's nervous system. This gives us the ability to use our senses -- to see, taste, smell, hear and feel.

"Brain death" means both the upper and lower part of the brain are not functioning. That command center of the body that regulates the central nervous system is unable to perform. However, some function, such as a heartbeat, may linger.

"It's a little difficult for a layperson to understand how a person is dead if the heart is still beating," said Dr. Panayiotis Varelas, director of the neurosciences intensive care service at Detroit's Henry Ford Hospital.

But without brain function, the body eventually shuts down, unless there is medical intervention. Someone on a ventilator may appear to be breathing, but cannot breathe on their own.

While the heart usually stops within 72 hours, it could continue beating for "a week or so," Varelas said.

Jahi's mother, Nailah Winkfield, has said, "I would probably need for my child's heart to stop to show me that she was dead. Her heart is still beating, so there's still life there."

The term "brain dead" can be misleading, said Cynda Hylton Rushton, professor of clinical ethics at Johns Hopkins University, because it sounds like a person really isn't dead. If someone dies of a heart attack, doctors don't say they're "cardiovascular dead," for example.

Doctors should be more transparent about the finality of brain death, said Arthur Caplan, director of the Division of Medical Ethics at NYU Langone Medical Center.

Terms such as "mechanical support" or "artificial machine support" should be used to refer to sustaining the functioning of a brain dead person, he said. "No one wants to take away 'life support.'"

"Dead is dead," agreed neurologist Dr. Richard Senelick in The Atlantic. "Brain death isn't a different type of death, and patients who meet the criteria of brain death are legally dead."

The American Academy of Neurology updated its brain death guidelines for adults in 2010, asking doctors to follow a step-by-step checklist of some 25 tests.

All criteria in the guidelines must be met before a person can be considered brain dead; however, the legal definition of brain death can vary from state to state.

The American Academy of Pediatrics added to those guidelines for children. These childrens' guidelines advise there should be two attending physicians involved in the care of the child, and they should make separate examinations separated by an observation period.

Both must determine the child is brain dead. In making that ruling, the doctors use the currently established criteria; there must not be a conflict of interest.

"No one who has met the criteria for brain death has ever survived," Senelick said. "No one."

CNN's Elizabeth Landau contributed to this report.

@highlight

Doctors declared Jahi McMath, 13, brain dead on December 12

@highlight

Brain dead is different from a persistent vegetative state or coma

@highlight

"No one who has met the criteria for brain death has ever survived," expert says