Tucson, Arizona (CNN) -- As discussions swirled about its origins and impact, the U.S. forest service chief deemed a raging wildfire in southern Arizona as "the number one priority" for firefighters nationwide.

"The conditions that we're dealing with here are as bad as we can get," said Tom Tidwell, head of the U.S. Forest Service, of the combination of high temperatures, low humidity, ample "fuel" and strong winds. "It just can't get any worse."

Gordon Van Vleet, a spokesman for the Joint Information Center, said that no cause has been determined for the so-called Monument fire, which has spread across the Huachuca Mountains and burned 20,956 acres as of Saturday afternoon. He said authorities likely won't state a cause until the blaze is more under control.

"We know where it started and when it started, but (the specific cause) is under investigation," Tidwell said hours later from southern Arizona. "When we do have that information, we will share it."

But in a press conference, Arizona Sen. John McCain blamed illegal immigrants for starting unspecified fires in that area.

"There is substantial evidence that some of these fires have been caused by people who have crossed our border illegally," McCain said. "The answer to that part of the problem is to get a secure border.

The Republican senator said that illegal immigrants set such fires either to send signals, keep warm or distract law enforcement agents. But he did not specify which fires allegedly had been started by illegal immigrants, nor identify his sources or provide details of the "substantial" evidence he cited.

Randy Parraz, a civil rights advocate who ran unsuccessfully against McCain as a Democratic candidate in 2010, called McCain's remarks suggesting illegal immigrants caused the fires "careless and reckless" but not entirely surprising given the political climate in Arizona.

"You have to have some sort of factual basis: John McCain should know better," said Parraz, a co-founder of Citizens for a Better Arizona, which is working to recall state Sen. Russel Pearce, the primary sponsor of Arizona's controversial anti-illegal immigration law. "It's easier to fan the flames of intolerance, especially in Arizona."

Parraz said it is particularly distressing that immigrants are being blamed for destructive fires, at a time when many are also being targeted given the state's unemployment, foreclosure and other economic issues.

"People are looking for someone to blame," he said, claiming it is too easy and convenient to target what he called one of Arizona's "most vulnerable populations."

Angelo Falcon, the president of the National Institute for Latino Policy, criticized McCain for what he called "increasingly blatant" political opportunism.

"The degree of irresponsible political pandering by Sen. McCain has no limits," Falcon said in an email to CNN. "With the lack of evidence, he might as well also blame aliens from outer space for the fires."

While a fire at the U.S. Army's Fort Huachuca is 100% contained, according to Van Vleet, the Monument fire itself was 27% contained as of Saturday afternoon -- an improvement over the 15% figure in the morning, but certainly dangerous given the inordinately dry and windy conditions.

"This has been the number one priority in the country for a couple of days," Tidwell said. "That means this will receive resources before anyone else."

Van Vleet noted 764 people, including 23 crews, 54 engines and various aircraft were battling the blaze. The temperature in that area hit 92 degrees Fahrenheit during the day, with humidity low at 12% -- "which is pretty bad," the spokesman said.

The Monument fire, just south of Sierra Vista, Arizona, grew dramatically Friday, racing down from canyons and gobbling parched grasslands and brush, not to mention torching at least 40 homes.

Garry Foss, who operates Oaks of the Wild West nursery in Hereford, a community just east of the fire, said grasses 2 to 3 feet tall have not seen rain since December, making for a ready fire fuel source.

Sierra Vista has had 0.13 inches of rain this year, according to Glenn Lader of the National Weather Service office in Tucson, compared with 2.5 to 3 inches in a normal year. There's no rain in the forecast.

"I'm trying to sit it out," Foss said. "This grass is so dry."

Arizona Gov. Jan Brewer has issued emergency declarations for the Monument fire and another blaze, Horseshoe II, making Cochise County eligible for $100,000 toward response and recovery expenses.

Meanwhile, residents of the eastern Arizona community of Alpine got some good news with the lifting of an evacuation order at 10 a.m. Saturday, according to fire spokesman John Helmich. The community has a population of about 300, but many more seasonal visitors were forced to leave earlier this month because of the historically large Wallow fire.

The Wallow fire, which burned 500,409 acres, was 38% contained Saturday.

"There have been no surprises," said Helmich, of the Alpine residents' return. "It is ongoing."

Arizona wasn't the only state struggling with wildfires this weekend. The National Weather Service had issued red-flag alerts for much of the state, all of New Mexico, and parts of Texas, Oklahoma, Kansas, Colorado and Utah. Such alerts indicate firefighting conditions may prove difficult due to low humidity and wind gusts in excess of 40 miles per hour.

"We are having an extremely dry year all the way across the south," Tidwell said.

The U.S. Forest Service chief said earlier Saturday at the same press conference attended by McCain that he was "very optimistic" that damage from future wildfires could be minimized by thinning forests and clearing out biomass -- which did occur, to some extent, in parts of eastern Arizona. He noted that 3.2 million acres were "treated" nationwide last year.

He and senators McCain and John Kyl, R-Arizona, noted Saturday that parts of the Wallow fire that had been "treated" appeared set to survive the blaze, which stretched over 40 miles, while those that had not had been wiped out.

"With the forest restoration work, we can change the intensity of fire behavior," Tidwell said. "That's forest resiliency -- that's what we want to work on."

Kyl noted that the estimated $64.1 million price for the Wallow fire would more than double after the costs of mitigation efforts to prevent mudslides from the summer monsoons.

"Just think that what we could have done using those funds to treat those forests in advance," Kyl said.

But government budget strains have limited the amount of money going to such efforts. McCain said "the only way we are going to get these (forests) thinned is through greater participation of private enterprise" -- adding the government should try to facilitate such initiatives, including by allowing limited logging in national parks.

"There is simply not enough tax dollars to get the job done without them," McCain said of private companies.

CNN's Greg Botelho contributed to this report.

@highlight

NEW: A Latino advocate calls McCain's accusation "irresponsible political pandering"

@highlight

McCain says a "secure border" might help to curb such wildfires

@highlight

The U.S. Forest Service chief calls Arizona's Monument fire "can't get any worse"

@highlight

The cause of this fire, which is 27% contained, is under investigation, an official says