Washington (CNN) -- U.S. officials are revising the way they screen air passengers coming to the United States, dropping measures hastily implemented after the Christmas Day bombing attempt and replacing them with a plan to give airlines and other nations "real-time, threat-based intelligence" about potential terrorists.

Under the plan, the Transportation Security Administration would give airlines and other nations information gleaned from intelligence sources about potential terrorists -- information such as partial names, partial passport numbers and travel patterns of suspects.

The plan retains existing No Fly and selectee lists, as well as the random selection of some passengers for additional screening.

But the plan scuttles a much-criticized program, implemented in the wake of the December 25 bombing attempt, that subjected virtually all travelers from 14 predominantly Muslim countries to additional screening.

"What we have done is changed the way we screen passengers who are coming internationally into the United States," said Homeland Security Secretary Janet Napolitano. "It is a more intel- or information-based way to screen. It's a stronger way to determine whether passengers should go through secondary examination and not just primary examination."

The new security measures are the result of a review President Obama ordered after a Nigerian man allegedly tried to blow up a Northwest Airlines flight from Amsterdam, Netherlands, to Detroit, Michigan, on Christmas Day.

The measures begin Friday but will take a short time to implement fully, a senior administration official said.

The U.S. intelligence community will determine, based on threat information, which characteristics should be used to select passengers for secondary screening. Race could be one distinguishing feature passed along, but "only when we have reliable intelligence that suggests that someone with that characteristic is a potential terrorist," said the administration official. The official said the program did not involve racial profiling.

The air carriers and international countries -- when they are the ones administering screening -- will have responsibility for pulling and screening passengers who meet the criteria.

The official said there is no concern about providing too much intelligence to too many people. Security partners will be given what they need to identify people for additional screening and no more.

The new security regime requires cooperation from the airlines and other governments, but the official does not anticipate compliance problems.

"It is in their interest to ensure the safety of their flights," the official said.

The United States will do inspections, and there will be penalties for not complying.

The recent case of David Headley showed how "fragmentary intelligence" can be used to help stop a potential terrorist, two administration officials said.

In March, Headley pleaded guilty to helping plan the November 2008 Mumbai, India, terror attacks, and another attack that was never carried out on a Danish newspaper that published controversial cartoons about the prophet Mohammed.

Based on intelligence, including a partial name and travel information, Customs and Border Protection did additional screening of travelers entering the United States and was able to identify Headley.

Since the failed Christmas Day attack, Napolitano has participated in aviation summits in Spain, Mexico, Japan and other places to forge agreements and to strengthen ways information can be shared around the aviation community, a senior administration official said.

Napolitano has suggested the International Civil Aviation Organization, a U.N. agency, set standards that would apply to all international airports, strengthening weak links in the security chain.

European privacy laws have stymied previous U.S. efforts to gain access to passenger information.

Full-body scanners improve security, TSA says

"I believe that this is a more effective security strategy," said Sen. Susan Collins, R-Maine, ranking member of the Senate Homeland Security Committee. "Applying a kind of blanket, 'one-size-fits-all' scrutiny to individuals based solely on their country of origin provides only limited additional security and helps terrorists avoid detection by using operatives from other countries to carry out their plots."

Rep. Peter King, R-New York, ranking member of the House Homeland Security Committee, called the change a "significant step forward" but criticized the White House for not briefing Congress before announcing the change.

"This is yet another instance of homeland security adviser John Brennan and other White House staff withholding important security information from Congress," he said.

The Sikh Coalition, a religious rights organization, also said it welcomed the change, highlighting the decision to end the "14 country" directive.

"Because the policy focused solely on national origin and not individual behavior, it effectively made profiling the law of the United States," the group said. "Its rescission is a step in the right direction towards ending profiling by the federal government."

CNN's Ed Henry and Jeanne Meserve contributed to this report.

@highlight

NEW: Policy of extra scrutiny for those from 14 mostly Muslim countries dropped

@highlight

New rules to deal with "real-time, threat-based intelligence," Homeland Security chief says

@highlight

Air security measures will replace ones added after failed Christmas Day attack