Nairobi, Kenya (CNN) -- Scientists are claiming they have discovered a new species of monkey living in the remote forests of the Democratic Republic of Congo -- an animal well-known to local hunters but until now, unknown to the outside world.

In a paper published Wednesday in the open-access journal Plos One, the scientists describe the new species that they call Cercopithecus Lomamiensis, known locally as the Lesula, whose home is deep in central DR Congo's Lomami forest basin. The scientists say it is only the second discovery of a monkey species in 28 years.

In an age where so much of the earth's surface has been photographed, digitized, and placed on a searchable map on the web discoveries like this one by a group of American scientists this seem a throwback to another time.

Who's the monkey? See Lesula's famous lookalikes

"We never expected to find a new species there," says John Hart, the lead scientist of the project, "but the Lomami basin is a very large block that has had very little exploration by biologists."

Hart says that the rigorous scientific process to determine the new species started with a piece of luck, strong field teams, and an unlikely field sighting in a small forest town.

"Our Congolese field teams were on a routine stop in Opala. It is the closest settlement of any kind to the area of forest we were working in," says Hart.

The team came across a strange looking monkey tethered to a post. It was the pet of Georgette, the daughter of the local school director.

She adopted the young monkey when its mother was killed by a hunter in the forest. Her father said it was a Lesula, well-known to hunters in that part of the forest. The field team took pictures and showed them to Hart.

"Right away I saw that this was something different. It looked a bit like a monkey from much further east, but the coloring was so different and the range was so different," said Hart.

The monkey to the east is the semi-terrestrial owl-faced monkey. Based on the photos, Hart believed that their shape and size could be similar, but their morphology or outward appearance was very distinct.

The Lesula had strikingly large, almost human like, eyes, a pink face and golden mane. Far to the east, across several large river systems, the Owl Face is aptly named. Its sunken eyes are set deep in a dark face, a white stripe running down from its brow to its mouth, like a line of chalk on a blackboard.

To a layman it looks like an open and shut case. But animals are often widely divergent within a species -- humans are an obvious example -- so Hart and his team needed science to prove their gut feeling.

"I got in touch with geneticists and anthropologists to get their advice. I knew it was important to have a collaborative team of experts," says Hart.

The exhaustive study took three years.

Hart's teams set up digital sound recorders in the forests to record the morning calls of the Owl Face and Lesula monkeys. They analyzed the ecology of the forest and behavior of the shy and difficult to observe monkey.

Field teams collected Lesula specimens from hunters and monkeys freshly killed by leopards and once, a crowned eagle (the field worker had to wait for the eagle to leave its perch, says Hart). The specimens were shipped to two research centers in the U.S and the data shared with labs across the country.

Christopher Gilbert, an anthropologist based at Hunter College in Manhattan, says the difference in appearance between the Lesula and Owl Face was striking.

"After comparing the skins, we immediately concluded that this was probably something different [than] we had seen before," says Gilbert, an expert in primate and monkey evolution.

Skulls of the Lesula and Owl Face monkey were measured with calipers and digitally drawn in 3D. "We looked at the difference in shape and a number of landmarks in the skulls," says Gilbert.

Previously on CNN.com: New species discovered in South American jungle

While the Owl Face and Lesula had similar sized skulls, he says, the Lesula had significantly larger orbits and several other small, but statistically significant, differences in the hard anatomy of the skull.

The anatomical studies are backed up by genetics. Scientists at New York University and Florida Atlantic University were able trace an ancient common ancestor. Scientists believe the monkeys evolved separately after a series of rivers separated their habitats.

"The clincher was that lab and field teams were able to document significant difference in conjunction with the genetics. The monkeys were different and have been different for a couple of million years. It demonstrates that there are places in the world that we do not know much about," says Gilbert.

The Lesula's range covers an area of about 6,500 square miles (17,000 square kilometers) between the Lomani and Tshuapa Rivers. Until recently, it was one of the Congo's least biologically explored forest blocks.

Hart hopes that the announcement will bring a renewed effort to save central Africa's pristine forests. Under threat by loggers, bush meat hunters, and weak national governments, the forests are a potential well of important scientific discoveries, and a key linchpin of the earth's biodiversity.

Teresa and John Hart's Lukuru Foundation is working with the Congolese authorities to establish a national park in the Lomani basin before it loses its unique biodiversity.

"The challenge now is to make the Lesula an iconic species that carries the message for conservation of all of DR Congo's endangered fauna," says Hart.

And what of the first Lesula they found -- Georgette's pet. After he saw the pictures, Hart regularly sent a team to keep track of the young Lesula's progress. At some point Georgette let the monkey roam free.

"It seems someone captured it," says Hart, "it probably ended up in the cooking pot."

He hopes that with proper protection, the Lesula, and the rest of Lomani's incredible animal biodiversity, won't suffer a similar fate.

2011: 'Yoda bat' stars in book of newly discovered species

@highlight

New monkey discovery is only second such find in 28 years

@highlight

Lesula, or Cercopithecus Lomamiensi, lives in remote forests of DR Congo

@highlight

The find began with luck when a field team saw a strange monkey in a remote town

@highlight

It took three years to confirm the monkey was actually a new species