(CNN) -- The Southeast is among the areas of the United States with the highest concentration of cases of HIV and AIDS, according to a new online tool called the National HIV/AIDS Atlas.

In this map of AIDS prevalence rates in the Southeast, red represents the highest (0.593 percent or greater).

AIDS experts in the region say that access to health care, especially when it comes to screening, is a major problem in rural communities.

In the Southeast, people with HIV tend to get tested late, after they have become sick, partly because of stigma, said Kathie Hiers, executive director of AIDS Alabama in Birmingham.

"If you look at access to health care and almost any kind of health care report card, the South is the worst," she said.

With little or no public transportation, people in non-metropolitan areas are at a disadvantage when they need to see a particular kind of doctor, experts say. There is also a shortage of doctors who deal with HIV in the region, Hiers said.

These problems also resonate with Georgia's rural communities, which represent 39 percent of the HIV/AIDS burden in the state, said Raphael Holloway, director of the HIV Unit at the Georgia Division of Public Health. The remaining 61 percent of people living with HIV or AIDS are in the metro Atlanta area.

"In some districts, for example, there may be 10 counties within that health district but only one infectious disease doctor that people can access for care and services," he said.

It is also difficult to get HIV education to people in rural areas, he said.

Of the 29 states reporting county-level data for the National HIV/AIDS Atlas, Georgia had more counties than any other state with the highest levels of HIV and AIDS prevalence.

Although this does not represent a comprehensive national assessment, Georgia ranked fifth in reporting of new AIDS cases in 2007, behind Texas (fourth), Florida (third), New York (second) and California (first), according to the Centers for Disease Control and Prevention.

The Northeast also has a heavy burden of HIV/AIDS cases nationally, atlas collaborators said. Other states with high numbers of counties with high HIV prevalence included Florida, New York and South Carolina.

The atlas, the first of its kind to map out HIV and AIDS at the level of counties, launched in time for Saturday's HIV/AIDS Testing Day. The National Institutes of Health is encouraging everyone age 13 to 64 to get tested for HIV as part of routine health care.

"Not knowing one's HIV status endangers one's health and the health of one's sexual partners. By getting tested for the virus and learning one's HIV status soon after infection, treatment can begin early, substantially delaying the development of HIV-related illness and prolonging life," said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases at the National Institutes of Health.

The National HIV/AIDS Atlas allows users to explore the prevalence of HIV and AIDS in any region of the United States. The map, a project of the National Minority Quality Forum, encompasses all 50 states, the District of Columbia, Puerto Rico and the U.S. Virgin Islands.

The more red a region appears, the greater the prevalence, which is the ratio of the number of people living with the disease at a given time to the total number of people living there at that time.

Users can look at rates of disease by gender, race/ethnicity and age group in regions where this information is available. The map also has different settings for HIV and AIDS, the more severe illness caused by the HIV virus. They can also zoom into counties and, for New York City only, ZIP codes.

About 33 million people have HIV/AIDS worldwide as of 2007, according to the World Health Organization. The CDC estimates that 1.1 million Americans have HIV and that 56,300 new infections occurred in the United States in 2006. Nearly 75 percent of HIV/AIDS diagnoses among adolescents and adults in that year were for males.

People who worked on the atlas project were surprised at how concentrated HIV and AIDS are in certain U.S. counties.

"Being able to look at all the data in this way reminds us that the HIV epidemic is not uniformly distributed throughout the U.S.," said Patrick Sullivan, associate professor of epidemiology at Emory University, who collaborated on the atlas.

The atlas also reflects the disproportionate number of African-Americans who have HIV and AIDS.

"You can see at the level of the national map that there's so much variation in the U.S. about which groups have been impacted," Sullivan said.

Demographics and county-level data are not available for some states, or parts of some states, because of the way these places report data by region, researchers said. These areas appear as gray when users zoom in. Some places also appear gray because the disease case count is so low.

The atlas is based on data from public health departments from 2006, the most recent available. Collaborators say they hope to update the maps when new data become available.

The atlas, which launched Monday morning, had about 100,000 visitors by Tuesday afternoon, and more than 10,000 people completed the free registration in that time, said Gary Puckrein, executive director of the atlas project.

To find an HIV testing facility near you, visit www.hivtest.org.

@highlight

HIV epidemic is not uniformly distributed throughout the U.S.

@highlight

Disproportionate number of African-Americans have HIV/AIDS

@highlight

Atlas is based on data from public health departments from 2006