(CNN) -- We are not living up to the promise of the American Dream.

Even now, our leaders are talking about cutting, instead of creating jobs to grow our way out of the deficit. Congress is ignoring big problems, congratulating itself on avoiding a fiscal cliff of its own creation. The federal budget props up broken parts of our economic system -- big banks, big polluters and big defense contractors -- instead of investing in areas such as education and infrastructure that would benefit everyone.

Now, a new breed of companies is leveraging the power of networks and sharing -- and showing us what a more sustainable, prosperous future can look like.

One of the most well-known examples is Zipcar. Its tagline, "wheels when you want them," pretty much sums up the company. Zipcar was just bought by rental giant Avis Budget Group for nearly $500 million as part of Avis' push to compete with Hertz's and Enterprise's new car-sharing services. The demographics of car-sharing customers holds promise for future growth as younger, tech-savvy consumers tend to prefer sharing services.

Then there is Mosaic, a new addition to the share economy. Mosaic just launched the first online clean energy investment marketplace. (Full disclosure: I am an uncompensated adviser to the company.)

Here's how it works: Mosaic connects investors to solar projects in need of financing. The projects generate revenue by selling the electricity they generate, which allows the investors to get paid back with interest. Through the company, you can pick a solar project that you like, make an investment for as little as $25 and get returns starting at 4.5% annually. Of course, as with nearly any investment that isn't federally insured, there's a risk involved.

Instead of earning close to nothing on your money at a bank, you can directly invest in things that offer solid returns and create real or lasting value. Together, consumers can start rebuilding the economy from the community up. Together, we can crowdsource investments in American infrastructure and create 21st-century energy jobs all by ourselves.

The mega-banks that financed the fossil fuel era aren't well matched to the emerging clean energy economy, which is more decentralized. There are enough rooftops In Los Angeles alone to create 5 gigawatts of clean power. Instead of two mega coal plants, the energy could come from hundreds of thousands of people, all making money by selling energy from their roofs and contributing to a more sustainable and resilient energy grid.

Warren Buffett's MidAmerican Energy made news last week with its investment of more than $2 billion in two solar power plants in California. But you know who has more money than even Buffett? All of us combined. All of us who are looking to invest responsibly and grow clean energy are a powerful force for change.

In some cities, the demand for car-sharing services is so great that people are renting out their personal cars through services such as RelayRides and Getaround. San Francisco's Scoot aims to be the Zipcar of electric scooters.

Services such as Airbnb and CouchSurfing allow people to rent their homes or rooms to strangers vetted by their peers. Through TaskRabbit and Fiverr, anyone can hire a personal assistant to run errands or complete more complex tasks such as accounting for your small business.

These sharing services are proving that sharing isn't just for the do-gooders anymore -- it can make you real money. Airbnb hosts make an average of $6,000 per year for renting out their homes. People who loan cars through Relay Rides generally make enough to cover their monthly car payments. And a few people are making $5,000 per month just from completing tasks through TaskRabbit.

A few months after the Move Your Money campaign launched in 2011, and on the heels of a controversy surrounding debit card fees, more than 650,000 people turned to opening credit union accounts. Today, environmentalists such as Bill McKibben and his 350.org are leading the charge for divesting from big polluters.

The opportunity for people-driven, shareable, sustainable business doesn't stop with solar or transportation projects. We can invest in American businesses that power our country with all kinds of innovative technologies such as wind turbines, solar panels, geothermal systems, hybrid and electric cars, and next-generation batteries. And we should put Americans to work making our homes and buildings energy-efficient.

We need to avoid a lost generation of young people who will be playing economic catch-up their whole lives. We cannot stop pressing our leaders to help struggling poor and middle-class Americans. But we can never forget that together, we are a tremendous force for change. As we call on Washington to act, we can also call on each other to create jobs and spark the clean-energy economy of the future -- an economy that works for everyone.

The opinions expressed in this commentary are solely those of Van Jones.

@highlight

Van Jones: A new breed of companies is leveraging the power of sharing

@highlight

Jones says younger, tech-savvy consumers tend to prefer sharing services

@highlight

He says opportunities for people-driven, shareable, sustainable businesses are many

@highlight

Jones: Together, consumers can start rebuilding the economy from the community up