Los Angeles, California (CNN) -- At the bus terminal in downtown Los Angeles, they're easy to spot. Dressed in blue jeans, they carry boxes, bags or large envelopes with their name and a number on it. They are ex-offenders, just released from California's prison system. When they step off the bus with $200 in "gate money" in their pockets, many have hopes of making a fresh start.

But in this seedy area just blocks from Skid Row, the new arrivals are easy targets for pimps and drug dealers. For some, the temptation is too much. While not everyone succumbs to the streets so quickly, nearly 60 percent return to prison within three years, according to California's Department of Corrections and Rehabilitation.

It's a cycle that Susan Burton is striving to break through her reentry program. Having served six prison terms for drug offenses in the 1980s and '90s, Burton knows from experience how hard it can be.

"Every time I was released, I swore I wasn't going back," said Burton, 57. "But I know now that without the resources and support, it's next to impossible. ... If you don't have a new door to walk through, the only thing is the old door."

Do you know a hero? Nominations are open for 2010 CNN Heroes

A new door is what Burton's program -- A New Way of Life Reentry Project -- gives to just-released female offenders. By providing a sober place to live and other support services, she's helped more than 400 women get back on their feet.

Burton was raised in the projects in East L.A., and her own life took a turn for the worse when her 5-year-old son was accidentally hit and killed by a car in 1981. Amid her grief, she started smoking crack cocaine and ended up in prison -- beginning a pattern of addiction and incarceration that continued for years.

"I couldn't get off the turnstile," Burton said. "I knew I had a problem but didn't understand the complexity."

Burton ultimately got clean at a rehab facility in 1997 and realized she wanted to help other women offenders when they were released. She worked as a live-in caregiver and saved up enough money to buy a house in Watts. She put bunk beds in the bedrooms, converted the breakfast nook into a bedroom/office for herself, and at the end of 1998, she opened her doors. Right away, her program took off.

"Magic happened," she said. "There were 10 women in the house, just working together, helping each other, recovering together."

Today, Burton -- now a certified dependency counselor -- has five houses and supports up to 22 women at a time, largely with funding from a variety of private foundations. She receives 20 to 30 letters a week from inmates and answers each one, promising them a place to stay.

Burton personally picks up most new arrivals at the bus station or at the prison gates, greeting them with a simple "welcome home."

"To me, there's this real window of opportunity to get people from incarceration into a positive lifestyle," she said.

She and her group provide food, clothing and transportation, along with helping them register for benefits, get ID cards so they can find work and begin regaining custody of their children.

In return, Burton asks that residents stay clean, attend 12-step meetings, and enroll in school, get drug treatment or find work. She also asks them to contribute $500 a month when they can, but says she won't turn anyone out as long as they're making progress. When the women are ready to live independently, Burton finds them housing and helps furnish their homes.

It's a formula that seems to achieve results. According to Burton, 75 percent of women who enter the program stay clean and don't return to prison for at least 18 months.

Charsleen Poe is just one of Burton's many success stories.

"When I came here ... the only thing I knew to look for next was a hit," said Poe, 50, who struggled with addiction and homelessness for 15 years. But in the 18 months since she entered Burton's program, she's stayed sober, taken computer classes and is now looking for a job and her own place to live.

"Today, I am not that same person that I was," Poe says. "Miss Burton made me want to change my life."

Burton's program may be needed even more in the future. In August 2009, federal judges ruled that California's prisons were overcrowded and ordered a release of 40,000 inmates over the next two years. The state is appealing, but it seems likely that more prisoners will be released, at a time when state-funded rehabilitation programs for inmates are being cut.

Burton worries about how inmates will deal with these new challenges and said she is constantly looking for new ways to help ex-offenders succeed. She runs a clinic with UCLA's law school that helps expunge people's records so they can find work more easily and encourages all of her residents to become politically active.

"I want the women to realize that ... they have something to contribute," she said.

For Burton, her hard work "is giving life, hope, courage to people to give back to the world," she said. "I just wanted my life to count towards something good, and this was the way I could do it."

Want to get Involved? Check out the A New Way of Life Reentry Project Web site and see how to help.

@highlight

Susan Burton has helped more than 400 female ex-convicts get back on their feet

@highlight

75 percent of program members stay clean and out of prison for at least 18 months, she says

@highlight

She meets new arrivals at bus stations or prison gates, saying "welcome home"

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes