Matt Damon said it's hard not to see his three daughters in the eyes of the girls he helps on his visits to the poverty stricken villages in India.

CNN's Dr. Sanjay Gupta sat down with Damon and his water.org co-founder, Gary White, to talk about what their organization is hoping to achieve by providing clean water and sanitation to those who need it. "Our daughters in that situation would be off looking for a water source and hauling water for the family and they would have no prospects for a life or a future,"  Damon said.

On premises access to clean water is something only one in four people have in India, according to UNICEF.

When Damon got into the water business, he worked with H20 Africa and says he learned a lot.

"I did what I think a lot of people do, which is they kind of get right into the direct impact, like well-digging and how many people can I help if I dig x number of wells," Damon said. But he said as his understanding of the issue grew, he realized that charity wasn't going to solve the problem.

Together, we can solve the water crisis

He teamed with Gary White, co-founder of WaterPartners, in July 2009 and water.org was born.

"Had I stayed with just drilling wells, I'd have reached thousands of people at this point, but by the end of next year we'll hit 3 million people that we've reached this way," Damon said.

Water.org is a nonprofit focused on giving access to clean water and sanitation to more of the developing world. What makes the organization different is its WaterCredit Initiative, which provides new financing options for poor people so they can pay for a toilet in their home or connect to an existing water supply.

White said he met women in India who were paying 125% interest to loan sharks to get their own toilet or to connect to the public water utilities. They inspired him to create the WaterCredit initiative.

Now, he said, these women can get a loan at a much lower rate and still get access to these services. "So, basically we helped microfinance institutions really discover a new market among some of their existing clients and now we've had over 1.6 million people get access to water and sanitation not through charity but through a microloan. And they're being repaid at 99%," White said.

In a lot of urban areas the infrastructure already exists. Water pumps right under the feet of people who just can't connect to it.

"It was the recognition that there was a market there for this, and that if we just stopped looking at people as beneficiaries, if we look at them as customers, then we can really unleash their power to solve their own problems," Damon said.

Damon's passion about water is spilling into every aspect of his life. He's using his celebrity and sense of humor to help spread the word. When he took part in the ice bucket challenge, he did it with toilet water.  Before that he proclaimed a strike on toilets, saying "Until everybody has access to clean water and sanitation, I will not go to the bathroom."

His goal to empower people is serious. He said by gaining access to water and toilets, women and girls gain their time and life back. For many, collecting and scavenging for water is a large part of their day. Freed from those duties they can find a job and earn money to help repay the loan.

Desperate, disgusted but proud -- India's human waste removers

"It is an income-enhancing loan because you're basically buying their time back, and they can work, right?" Damon said. "This is an incredible deal if you're the lender."

It also brings extra security to girls and women, who no longer have to leave their home to use the bathroom.

"I mean this news that came out of India this summer with the two girls who didn't have access to toilets in their home, so they had to wait until the cover of night because of the dignity of this issue, to go out and find a place to defecate. And while they were out they were raped and murdered," White said. "That's just unbelievable that something so basic to humanity like access to sanitation should set up these situations."

Some 36% of the world's population, 2.5 billion people, lacks improved sanitation facilities, and 768 million people still use unsafe drinking water sources, according to the World Health Organization.

The long-term health effects of not having access to water include malnutrition and diarrhea.

According to UNICEF, diarrhea is the second largest cause of death in children under 5 globally and responsible for 600,000 children's deaths each year. It's also associated with a higher risk of stunting (low weight for age and developmental delay).

Many other diseases, such as malaria and other parasitic diseases, could be prevented with an adequate water supply, sanitation facilities and proper hygiene, according to the World Health Organization.

That's also why education is a key component of water.org's mission. It teaches people about proper hand washing with soap, and is helping people make the connection between hygiene and sickness. It teaches how to store water, avoid contaminating it with utensils and how to practice good hygiene by washing hands before preparing food and after changing a diaper.

"The practice of hand washing with soap in India is not widespread. A study showed that only 53% of the population wash hands with soap after defecation, 38% before eating, and 30% before preparing food," according to UNICEF.

Malala Yousafzai and Kailash Satyarthi share Nobel Peace Prize

"It's an absolute, just white-knuckle crisis right now for three-quarters of a billion people," Damon said. "It's killing a child every 20 seconds, which is unfathomable that these children are dying from things like diarrhea, which you know, if you have kids, your kid gets a stomach bug, maybe they miss a day of school. But, you know, it's hard for us in the West to even wrap our brains around this concept that a lack of access to clean water and sanitation is literally slaughtering children by the millions, just because none of them are dying here."

@highlight

Only 1 in 4 people in India have access to clean water

@highlight

Actor Matt Damon is using his celebrity to bring attention to the dire need for water

@highlight

768 million people still use unsafe drinking water sources, according to the World Health Organization