Editor's note: Zeyno Baran, a native of Turkey, is senior fellow for the Center for Islam, Democracy and the Future of the Muslim World at the Hudson Institute, a Washington-based think tank that says it is dedicated to "global security, prosperity and freedom." From January 2003 until 2006, Baran directed the International Security and Energy Programs at The Nixon Center.

Zeyno Baran says the United States can learn much from Turkey's expertise on Afghanistan and Pakistan.

(CNN) -- Turks greeted President Obama with huge excitement Monday. This was the first time a U.S. president visited Turkey at the start of his term, sending a clear signal that this administration recognizes the importance of Turkey and wants to engage with it from the start.

His address in the Turkish parliament was one of the greatest speeches made by an American leader in such a setting: He not only showed his deep understanding of Turkey's many complex issues and identities, but also handled tough issues with great skill. He framed his talk just right by underlining Turkey's European identity as a secular democracy.

That said, it is important to remember how good U.S.-Turkey relations were at the start of the Bush administration. President George W. Bush also considered Turkey an extremely valuable partner, but then came the Iraq war. The United States genuinely believed Turkey would be one of the most important allies going forward.

Despite official channels and experts making clear the difficulties in allowing U.S. military to cross into Iraq via its lands, the administration chose to listen to those who sang music to its ears. As a result, they based a whole military strategy on the Turkish parliament voting yes and were shocked when they received a no. Bilateral relations then entered a downward spiral.

With Obama's election, there is renewed excitement in Turkey. Like most of the people of Turkey, he opposed the Iraq war and considered Afghanistan the "good war." Going forward, as President Obama underscored in his speech, Turkey can play an important role in Afghanistan as a reliable NATO ally. The question is: How can Turkey best help?

Turkey is one of the few -- possibly the only -- NATO member that has deep religious, cultural and historic knowledge of both Afghanistan and Pakistan. In fact, the Turkish government has brought together the presidents of Afghanistan and Pakistan much before the United States began approaching them together.

Reading the tea leaves, one may conclude that the Obama administration wants to cooperate with Turkey in engaging with the Taliban in Pakistan and Afghanistan. This would be the wrong kind of cooperation. Although Turkey has channels to the Taliban and has means to facilitate the talks, there cannot be a morally acceptable deal reached with the Taliban, whose ultimate goal is to curb all individual freedoms and universal human rights, especially when it comes to women.

No matter what the reasonable sounding arguments may be in favor of this strategy, pulling Turkey into any kind of engagement with the Taliban -- either as part of NATO or bilaterally -- would have much worse long-term consequences.

Instead, the Obama administration needs to think of "victory" not only in the short term and from a purely anti-terrorism perspective, but also in consideration of the people who have lived and will continue to live in those lands. In other words, providing true safety, security, justice and development for Afghanistan and Pakistan -- not the kind of society the Taliban has been providing.

Indeed, it is in providing the basic securities that Turkey can be a great partner. Turkey not only can and will continue to help provide safety and physical security, but also could further assist with the reconstruction projects, such as building hospitals, schools, sanitation facilities and investment projects that would have direct impact on the socioeconomic development of the Afghan and Pakistani societies.

There are many Turkish companies that have undertaken successful construction projects in these fields since early 2002. There are also military and civilian trainers, nongovernment organizations and even volunteer teachers who work in some of the most dangerous regions.

Still, Turkey can possibly make the greatest contribution by helping the United States frame the challenges it is facing in a more accurate and honest way. Just as President Obama referred to his personal story and that of the United States to help Turks look deeper within, Turks can do the same for the United States.

To start, Turkey can explain how the vast Eurasian region it belongs to is not just part of the "Muslim world" but has been at the crossroads of eastern and western cultures and ideas and witnessed many brutal wars and massacres over the millennia. Moreover, each country has its own spirit -- there are ancient cultures and tribal formations, and these do not move fast. It is important to stop and drink the tea.

Turkey can also explain that it is only in recent decades that jihadism and extremism took root in these lands known for their Sufi teachings that talk about love, instead of hatred. As a true partner, it can also help the United States recognize its share, along with many others, in inadvertently contributing to the creation of the Taliban and al-Qaeda by making bad foreign policy choices.

Anything short of recognition of the past catching up with us will leave us all unprepared for what may come in the future. In other words, we may be doomed to repeat the same mistakes until we learn our lesson.

The opinions expressed in this commentary are solely those of Zeyno Baran.

@highlight

Zeyno Baran: Obama's speech shows deep understanding of Turkey

@highlight

She says administration needs to make good use of Turkey's role in region

@highlight

Baran: Using Turkey to make peace with Taliban would be a mistake

@highlight

She says Turkey can help rebuild Afghanistan and provide security