(CNN) -- The major talking point at the World Series of Poker in Las Vegas this summer was the extent to which experts had got their predictions wrong.

In April, the U.S. Department of Justice forced the three largest online poker sites to close their doors to American customers, essentially imposing prohibition on one of the undisputed boom industries of the 21st century.

The knock-on effect to poker's flagship tournament series was expected to be profound, with player numbers predicted to plummet, perhaps by as much as 60%.

But they didn't. There was almost no change in attendance at all.

Despite an industry in turmoil there were still 6,865 players handing over $10,000 for their chance at a near $9m payday at the prestigious Las Vegas tournament known as the "Main Event".

These are the kind of numbers, and dizzying sums of money, to which poker players have grown accustomed over the past decade, when the game has undergone a sensational explosion in popularity.

Although its legality in the United States has been uncertain since 2006, a study in 2009 by Poker Players Research showed that 10 million Americans played online poker, and it had grown into a worldwide industry worth at least $2.5bn dollars a year in revenue.

The game in the short term is a combination of skill and luck, but the keen financial acumen of the best exponents meant thousands of people played online poker professionally, making their living solely from the game.

When the sites were closed to Americans in April, not only was the single largest market quarantined, cutting the operators' profits, but many professional players essentially lost their jobs. Analysts were fearing the worst.

Yet although players in the World Series of Poker (WSOP) came from 85 countries, two thirds of the field was American. It seemed the online prohibition had only enhanced the appetite for poker in the game's traditional capital and the casino poker rooms were packed.

The robust numbers, however, put a misleading gloss on an industry still mired in controversy.

At the time the Department of Justice closed the poker sites -- on what has become known as "Black Friday" -- poker operators' bank accounts were frozen and millions of dollars of players' funds were put out of their reach.

The players -- both full time professionals and recreational dabblers -- were initially unsure when they would see their money again and although PokerStars, the largest site, immediately co-operated with the authorities and repaid more than $100m to its American former customers, neither Absolute Poker nor Full Tilt Poker, the two other indicted sites, have yet paid back a penny.

Rumors became increasingly voluble that the funds had been diverted into marketing and operational budgets, in contravention of rules governing online gambling sites.

Although Full Tilt Poker initially continued to operate outside the United States, it had its licence suspended by the Alderney Gambling Control Commission in the Channel Islands in late June and has not traded since.

"The atmosphere (at the World Series of Poker) was definitely deflated," said Dave Behr, a poker industry executive and analyst.

"The continuing fallout from the Full Tilt situation -- notably the total silence from Full Tilt Poker as to when U.S. players might expect to receive their money -- put a damper on the whole Series. Every week that went by, the FTP situation seemed to get worse and that in turn siphoned some of the pageantry out of the World Series of Poker."

In previous years, early losers from World Series tournaments would simply fire up their laptops and replenish funds at the online tables.

This year, the only option for poker enthusiasts was the grind of the "live" tables: plonking down a bundle of bills and dueling face-to-face. But the relative renaissance may not be sustainable.

"Live" poker is a far less convenient option than online play: the charges are higher than online; it is only possible to play at one table at once; and human dealers are much slower than their computerized counterparts, and expect tips.

Other overheads, including traveling expenses and hotel bills, also sap revenue from bankrolls. It is more trouble than it is worth for many former sofa-based online players.

Commentators have suggested that the high turnout in Las Vegas this summer represented one last hurrah for some players, prepared to speculate in full their poker bankroll, which can no longer be parlayed online.

"My prediction is that the steep drop everyone feared this year will become a reality in 2012," said Behr.

"Black Friday happened close enough to the start of the WSOP, and PokerStars players were paid out fast enough, that players could take 'one last shot' this year."

PokerStars, and other operators who have never courted the American market, continue to flourish internationally and some Europe-based players are relishing the absence of Americans from the online tables.

"It's actually a good thing from my point of view," said Rupinder Bedi, 30, a British online poker player.

"Fields are softer. American players have got a good solid game but now the tournaments are filled with a lot more European players who aren't as good."

Bedi also cautioned, however, that many "live" international poker tournaments might suffer from the American lockout.

"If there's not a booming budget in online poker, then the whole poker economy will struggle," he said.

Legislation for online poker in the United States seems likely in a couple of years, and will probably tempt the major casino chains to expand into cyberspace.

Indeed, there is plenty of gossip in poker circles that April's indictments were specifically intended to clear the decks of non-American companies ahead of a concerted push for regulation.

But poker at the moment remains a pastime best enjoyed by non-Americans a point perhaps underlined by the cosmopolitan make up of the Main Event final table.

When the remaining nine players return to Las Vegas in November to play in the grand final, representatives from the Czech Republic, Ireland, Belize, Germany, Ukraine and the United Kingdom will surround only three Americans, the fewest in the tournament's 41-year history.

@highlight

In April U.S. Department of Justice shut down numerous online poker sites

@highlight

Study estimates that 10 million American played online poker, industry worth $2.5 billion

@highlight

Analysts believe impact of restrictions in U.S. will hit the industry in 2012

@highlight

Rumors persist that mainstream casinos will venture into online gaming soon