(CNN) -- The leadership of North Korea appeared to pass to a third generation of the Kim family Monday after the weekend death of Kim Jong Il, who ruled the reclusive Stalinist state since 1994.

The man known as the "dear leader" died of a heart attack Saturday at age 69, state news outlets announced Monday. The ruling Worker's Party declared the youngest of his three sons, Kim Jong Un, the "great successor" to his father's mantle.

Kim Jong Il had led North Korea since his father -- the nation's founder, Kim Il Sung -- died at age 82. During his 17 years in power, the country suffered a devastating famine even as it built up its million-strong army, expanded its arsenal of ballistic missiles and became the world's eighth declared nuclear power.

News of his death spurred South Korea, which remains technically at war with the North more than five decades after their 1950-53 conflict, to put its military on high alert. But across one of the world's most heavily fortified borders, South Korean President Lee Myung-bak told his citizens "to go about their lives" in the meantime.

"For the sake of the future of the Republic of Korea, peace and stability on the Korean Peninsula is more important than anything else. It should not be threatened by what has happened," he said.

And Kim Young-mok, the South Korean consul in New York, told CNN's "American Morning" that Seoul's top priority is to avoid "anything troublesome."

"I don't think that North Korea can afford some provocation at this point, but we must make sure that everything is OK," he said.

North Korea tested nuclear weapons in 2006 and 2009. Monday, it fired a short-range missile over the East Sea -- but Gen. Martin Dempsey, the chairman of the Joint Chiefs of Staff, told CNN that U.S. officials have seen no sign of any movement of North Korean forces across the Demilitarized Zone that separates the North and South.

North Korean officers had reported plans for its missile test to the commission that monitors the 1953 armistice, Dempsey said during a trip to Germany. He said no heightened alert has been issued for the nearly 30,000 American troops in South Korea, which has a mutual-defense pact with the United States.

In Washington, the White House said it was monitoring developments and hoped to see the North "take steps to assure the peace and prosperity of its people," as White House spokesman Jay Carney put it.

"Our focus is on coordinating closely with our allies and partners," he said. "We have reaffirmed our unwavering commitment to the stability of the Korean Peninsula and the security of our allies, South Korea and Japan."

And after a meeting with Japan's Foreign Minister Koichiro Gemba, U.S. Secretary of State Hillary Clinton told reporters that Washington has been in "close touch" with the other countries involved in the six-party North Korean nuclear talks, including Russia and China.

"We reiterate our hope for improved relations with the people of North Korea, and remain deeply concerned about their well being," she said.

A look back at the life of Kim Jong Il

Carney said President Barack Obama was notified of Kim's death by his chief of staff about 10:30 p.m. Sunday. "I believe it was established in news reports that the North Koreans made that announcement," Carney said.

On North Korea's state television network, a tearful anchor broke the news Monday morning. The news was followed by scenes of similarly emotional residents of the capital Pyongyang.

"My leader, what will we do? It's too much! It's too much!" one person sobbed. "Leader, please come back. ... You cannot leave us. We will always wait for you, leader."

The network said Kim died of "overwork" while "dedicating his life to the people." And the official news agency KCNA said Kim suffered "great mental and physical strain" while on a train.

Kim enjoyed a cult-like status in the nation, with millions schooled to accept him as a divine and benevolent father figure.

Laura Ling, one of two American journalists arrested after entering North Korea in March 2009 and sentenced to 12 years hard labor before being released in August 2009 following intervention by former President Bill Clinton, told CNN's "AC360" Monday that she was allowed to watch television while in custody.

Nearly every broadcast featured images of Kim as an "otherwordly figure," she said, recalling her guards were "moved to tears watching their 'Dear Leader,' and they talked about how much he was doing (for the people.)" The guards said Kim's health was failing because he worked so hard for North Koreans, she said.

Her sister, Lisa Ling, filmed a documentary in North Korea while posing as part of a medical team that performed eye surgeries. In a clip from the documentary, a young girl's bandages are removed and she could see for the first time. "It's all because of the Great General," her jubilant father exclaims. "We must bow to our Great General for this."

There was no independent confirmation of the circumstances reported by the government, which routinely touted the military, technological and artistic genius of the "dear leader" -- even claiming he shot 11 holes in one in his first golf outing. But he had appeared frail in his last public appearances, and speculation about his health had persisted for some time.

KCNA acknowledged that Kim had been treated for "cardiac and cerebrovascular diseases for a long period." He suffered a heart attack on Saturday and couldn't be saved despite the use of "every possible first-aid measure," according to the agency.

In Washington, the White House said Obama spoke with Lee on Monday morning. The two leaders agreed to stay in "close touch as the situation develops," it said.

Several of North Korea's neighbors, including Japan, the Philippines and leading ally China, offered condolences to the North Korean people on Kim's death. Chinese President Hu Jintao visited the North Korean embassy in Beijing Tuesday to offer condolences, according to the Chinese state-run news agency Xinhua.

Monday night, Secretary of State Clinton issued a statement acknowledging the "period of national mourning" in North Korea.

"We are deeply concerned with the well being of the North Korean people and our thoughts and prayers are with them during these difficult times," the statement said.

"It is our hope that the new leadership of the (Democratic People's Republic of Korea) will choose to guide their nation onto the path of peace by honoring North Korea's commitments, improving relations with its neighbors and respecting the rights of its people," Clinton said. "The United States stands ready to help the North Korean people and urges the new leadership to work with the international community to usher in a new era of peace, prosperity and lasting security on the Korean Peninsula."

Earlier, Christopher Hill, a former U.S. diplomat who led U.S. delegation in nuclear talks with North Korea, said any American statement would require a certain finesse.

"I'd be very careful about issuing condolences on the death of someone who's really been part and parcel of one of the most tyrannical regimes in the world," Hill told CNN. "On the other hand, I think something can be done that will show some sympathy to the North Koreans."

This Just In: Up-to-the minute news on the death of Kim Jong Il

The deceased leader's body will remain for a week at the Kumsusan Memorial Palace in Pyongyang, where his father is also interred. Memorial services will follow on December 28 and 29.

Bill Richardson, a former U.S. ambassador to the United Nations who has visited North Korea eight times, said his initial reaction to Kim's death was "extreme concern." He said he is more concerned about stability in the region now than before Kim's death.

"The peninsula is a tinderbox," said Richardson, who has brokered diplomatic deals in the North. "The issue is, will there be stability in the North Korean leadership? Will they continue their recent efforts of engaging South Korea and the United States over food aid, over nuclear talks?"

Richardson said South Korea was right to go on alert -- "but I think now's the time to just lie low, watch things as they develop."

iReport: Send us your reaction

During Kim's tenure, the North was largely closed off to outside influences and fearful of threats from its neighbors. At the same time, it also sought international aid after extensive famines contributed to the deaths of at least 250,000 people, according to the North Korean government. Outside analysts suggested the toll could have been 10 times higher.

Both North Korea and South Korea have shown signs of concession in recent years. But relations between the two rival nations soured yet again when the South accused the North of launching an attack on the South Korean island of Yeonpyeong, killing two South Korean marines and two civilians.

And South Korea says a North Korean torpedo attack was to blame for the 2010 sinking of the South Korean warship Cheonan, which left 46 Southern sailors dead. The North has denied the accusation.

Now the question is what path his untested son, believed to be either 27 or 28, will take the country. He was educated in Switzerland as a boy, and named a four-star general in 2010.

"We really don't know substantively where he stands on anything," said Mike Chinoy, a senior fellow at the U.S.-China Institute.

Kim Young-mok said the North has built up its military and pursued a nuclear bomb "while children are starving."

"This causes a lot of human disasters," he said. "So what worries me is not this Kim Jong Un's personality, but the priority of the North Korean leadership."

After the Cheonan incident, then-U.S. Defense Secretary Robert Gates said he feared the younger Kim may have needed to "earn his stripes" with Pyongyang's military establishment by launching further provocations.

And Hill said while the "great successor" is "definitely not ready for prime time," he is unlikely to take major steps before consolidating his power.

"I think we're kind of shifting, at least for the time being, to a sort of military junta," he said, adding, "I would expect that they will try to show a maximum of stability as they go through what's obviously going to be a very difficult and dicey time for them."

CNN's Jiyeon Lee, Barbara Starr, Alina Cho and Madison Park contributed to this report.

@highlight

NEW: The United States "stands ready to help the North Korean people," Clinton says

@highlight

Kim Jong Il died of a heart attack while on a train, KCNA says

@highlight

The ruling Workers' Party dubs his son Kim Jong Un "the great successor"

@highlight

The U.S. sees no sign of movement across the DMZ, general says