London (CNN) -- When Hosni Mubarak's decades-long rule came to an end in February, Cairo's Tahrir Square was a scene of jubilation, as hundreds of thousands of people celebrated the fall of a man many had feared for years.

Today the square is once again a focal point for unrest and anger at the Egyptian regime, and the site of a bloody crackdown on demonstrations.

So what has happened to change the mood of the country so dramatically? Why are Egyptians no longer satisfied with the revolution they helped bring about?

How was Hosni Mubarak ousted?

After more than 30 years in power, Hosni Mubarak was forced to step down as president on February 11, 2011 following weeks of rioting and unrest across the country.

What had begun as a protest over unemployment, poverty and repression became a widespread popular uprising, with hundreds of thousands of people staging mass demonstrations in Cairo, Alexandria, Suez and elsewhere.

After resigning and handing control of the country to the military, Mubarak retreated to the Red Sea resort of Sharm el-Sheikh, where he was subsequently detained by the authorities

Who is running the country now?

In the wake of Mubarak's departure, Egypt's military dissolved the country's parliament and suspended the constitution

In its place, a council of generals -- the Supreme Council of the Armed Forces (SCAF) -- led by former defense minister Field Marshal Mohamed Hussein Tantawi, took charge. They promised new elections for the country's houses of parliament and for the presidency.

Following the resignation of Prime Minister Ahmed Shafik in March, Essam Sharaf was named as his replacement at the head of a new caretaker cabinet charged with paving the way for a new civilian government.

But for many, the pace of reform in the months since revolution has been too slow.

"The situation has become increasingly tense," said Dr Maha Azzam, Egypt expert and associate fellow at London-based international affairs think-tank Chatham House.

"There is a growing perception that the military, the Supreme Council, was the backbone of the previous regime, and that it is, in effect, a continuation of that regime."

What about the cabinet?

Prime Minister Essam Sharaf and members of the Cabinet handed in their resignations on Monday night in response to the military's crackdown on demonstrators.

"We have met the demands of the people and submitted our resignations," Sharaf said, according to Egypt's Nile TV, before urging the protesters to remain calm and return home. "Now please put the interests of the country first."

"I resigned because of the events in Tahrir [Square], because of the political responsibility," Culture Minister Imad Edin Abu Ghazi told CNN Arabic.

On Tuesday, Tantawi announced that the mass resignation had been accepted, and that another caretaker government would be put in place ahead of the upcoming elections.

Why has trouble flared now?

More than nine months on from Mubarak's overthrow, many of the things the country's revolutionaries fought against remain: The country is, in effect, a dictatorship, elections have yet to take place, and protesters fear the military will not give up its hold on power easily.

"There has been a build-up of grievances, because of the heavy-handedness of the military regime in dealing with the protesters," said Azzam.

"The hope was that with the Mubarak regime gone there would be freedom of assembly, freedom of speech, that the emergency laws would be repealed and that there would be no more human rights abuses.

"But in the last few months we have seen 12,000 people subjected to military trials, protesters have been subject to crackdowns, workers have been denied the right to hold sit-ins."

Many are also angry at proposed changes to the country's constitution, which would protect the military's budget from scrutiny.

Azzam says the Supreme Council "may have gone too far" with its plans for constitutional change, which she says aim to protect it from accountability, and maintain the "opaqueness" surrounding its dealings.

Does Mubarak still have influence?

Hosni Mubarak is currently on trial for corruption and the deaths of more than 800 people killed during the protests in January, and his influence on the country has waned as a result.

But high on the list of protesters' concerns is the fact that many members of the Supreme Council were close allies of the former president: The head of the SCAF, Hussein Tantawi, served as Mubarak's defense minister.

"What we're seeing is a standoff between the population and the opposition, and the military," said Azzam.

"The protesters are calling for Tantawi to step down; there is a feeling that if Egypt is to move towards a civilian government, it has to rid itself of the remnants of the old regime."

What is the international community's view?

Egypt has long been a vital link between the Arab world and the West, and international leaders -- many of them longtime allies of Hosni Mubarak -- hesitated to back calls for him to step down.

However, most were quick to voice their support for the protesters' rights to demonstrate freely and peacefully, and urged restraint on the part of authorities when dealing with the demonstrations.

Nine months on, Azzam said such calls for calm needed to be reiterated.

"The international community, particularly the United States, needs to call for restraint, to urge the Supreme Council to control the security forces in their dealings with protesters, to ensure their safety," she said.

What happens next?

Parliamentary elections are due to take place next Monday, November 28, however it remains unclear if they will be postponed, given the unrest in recent days.

"Unless we see an increase in violence in the coming days, I think the elections will go ahead," said Azzam. "But if there is an increase in violence, if the situation deteriorates into riots, it will be very difficult for them to take place.

"So many protesters have already died, there is a fear that if the trouble spreads then the situation will not be conducive to holding elections, and we may see a postponement."

On Tuesday, Tantawi insisted the vote would go ahead as planned, pledging his "commitment that the parliamentary elections will be held on time."

However, presidential elections are still months away -- Tantawi says they will be held by June 2012 -- and protesters are concerned that the military will remain de facto rulers until a new president is named.

Until then, Azzam says, Egypt's is "an unfinished revolution."

@highlight

Nine months after the overthrow of Hosni Mubarak, Egypt is once again the scene of protests

@highlight

Activists are calling for an end to the military's hold on power

@highlight

Demonstrations in Cairo's Tahrir Square have been met with violence; at least 27 people killed, hundreds wounded