(CNN)When it comes to the U.S. fraternity and sorority system, it's a disturbing truth: Life is largely segregated by race, money and power; and, yet, most of us find that unsurprising.

This week, however, we got more evidence this callous status quo needs to change.

The push came in the form of a nine-second YouTube video, which I'm sure you've seen by now. It reportedly shows members of the Sigma Alpha Epsilon fraternity at the University of Oklahoma chanting these chilling lines: "There will never be a ni**** SAE. You can hang him from a tree, but he can never sign with me."

"The students on the bus clap and pump their fists as they boisterously chant," CNN's Eliott C. McLaughlin writes, describing a clip that rocketed around social media, leading OU's president, David Boren, to rightfully shutter and ban that fraternity from the school.

The video is hard to watch, but I have a feeling it's one we need to see, both because it hints at the inner workings of certain Greek organizations, and because it shows the persistent racism that still exists in the United States. I'm thankful someone -- someone who was on the bus to witness the racist chants -- was brave enough to film this and to help it become public.

That alone should give some reason for hope.

Others weren't, but I was shocked by the video. This, in 2015? In my home state? Both of my parents participated in Greek life in Oklahoma, but at a different university. I know from their stories that these groups can be the basis for lifelong friendships and civic engagement. What happened on the bus at OU doesn't negate their positive experiences. But it should cause us to question a system that is inherently built around the concept of exclusion. Sometimes students are excluded from Greek life, in theory, because they're seen as uncool or don't "fit in" with a particular chapter. But we'd be kidding ourselves if we didn't realize that, often, a person's race -- or sexual orientation, for that matter --  factors into this you're-in, you're-out process.

Oklahoma school's response to video caught between racism, Civil Rights Act

And it's hard for me not to see the SAE video as a manifestation -- an admittedly extreme one -- of this exclusionist ideology. This is a case of dangerous group-think run amok.

In a system that remains largely divided by race, perhaps videos like this shouldn't be so surprising. That's the view of Matthew Hughey, an associate professor of sociology at the University of Connecticut who studies racial dynamics in American Greek life.

The U.S. fraternity and sorority system is "a form of American apartheid," he told me in an interview on Monday. Instead of thinking of the Oklahoma fraternity members as "bad apples," he said, we should see them as part of a "bad orchard." That orchard includes, but isn't limited to, Greek organizations, he told me. It also includes the rest of us and our country's racist history.

"Largely, these organizations reflect a supersegregated and unequal system that is made up of college and alumni members all over the world," he said.

Sigma Alpha Epsilon is no stranger to scandal and sanctions

Comparative data on the racial make-up of these organizations is impossible to come by, but anecdotal evidence suggests these groups are starkly divided by race. From 2003 to 2006, Hughey spent time interviewing students from Greek organizations at three colleges on the East Coast. "At the time of interviews, the average membership size of the organizations was 63 members, and there was an average of 2.4 nonwhite members per organization," he wrote in a 2010 paper published by Society for the Study of Social Problems.

That's 3.8% minority members, in those instances.

Hughey's sample size is small but his results also echo what anyone who's spent time on a college campus knows to be true: There are white fraternities and there are black ones.

Sometimes we even dare call them that.

Far too many of us, especially those of us with friends and family members who have participated in Greek life, either are in denial about this -- or we choose to see egregious cases of racism, sexism and violence in the U.S. Greek system as somehow isolated.

It's clear that's not the case.

"In 1992, Texas A&M University fined its chapter $1,000 after it threw a 'jungle party' attended by frat brothers in blackface. Then in 2002, Syracuse University suspended its chapter after one of its members went to a bar in blackface. As recently as 2013, the fraternity got suspended following allegations it had photographed African American students while pledges recited rap lyrics laced with racial slurs," according to The Washington Post's Terrence McCoy.

All of that was just SAE.

Other examples are easy to come by, too. According to The New York Daily News, here's the text of an invitation to a 2013 Asian-themed Kappa Sigma party at Duke University: "We look forward to having Mi, Yu, You and Yo Friends over for some Sake. Chank You." And in January 2014, according to The New York Times, Arizona State University investigated an MLK-day party hosted by the Tau Kappa Epsilon fraternity in which "nonblack students mocked blacks by donning loose basketball jerseys, flashing gang signs and drinking from hollowed-out watermelons."

It's clear there is a recurring problem here -- one that needs fixing.

One easy place to start would be simply getting more information. Why don't universities force these organizations to report their demographics so we can see exactly how segregated this system really is? Hughey told me that data isn't available. Then we could know the answers to some interesting questions: How segregated are Greek organizations? Are certain schools or organizations more integrated than others? What's the trend over time? Is there progress?

John Lewis on Oklahoma students: 'They should be gone'

Universities also should assess how and why they support these organizations. Do traditionally black and Latino fraternities get as much school funding and attention as the white frats? If not, why? And why are these groups so incredibly divided in the first place? What does that do to the student body as a whole?

I'm not calling for an end to the Greek system. But it's a system that needs to take a hard look in the mirror and make some real changes.

"Any time there are racist remarks made, we must speak up as Americans," Boren, the OU president, said in a news conference. He added that he hopes the SAE students "think long and hard" about the incident as they pack up and vacate their fraternity house early this week.

"I hope they think long and hard about how words can injure and hurt other people," he said.

The rest of us should do that, too.

@highlight

CNN's John Sutter talks with a sociologist about race in the fraternity system

@highlight

This follows controversy over racism in a University of Oklahoma fraternity