New York (CNN) -- With the election just days away, most Americans disapprove of both Democrats and Republicans in Congress, while 58 percent of our fellow citizens say it's time for a third party.

So let's break out of the two-party mold and take a look at some of the independent candidates across the country who are surging or struggling as Election Day approaches.

More Americans now identify themselves as independent than Democrat or Republican -- and independent candidacies are on the rise. "Ninety-two percent of the voters this election will find a minor party or independent candidate on their ballot, either for statewide office or for U.S. House," said Richard Winger of the Ballot Access News. "That's higher than in a normal midterm year."

The United States had four independent governors in the 1990s -- Jesse Ventura of Minnesota, Lowell Weicker of Connecticut, Wally Hickel of Alaska, and Angus King of Maine -- but none in the last decade.

We've had three independents in the Senate since 2000 -- Vermont's Jim Jeffords and Bernie Sanders as well as Connecticut's Joe Lieberman. And independent Mayor Michael Bloomberg of New York City is mentioned as a possible candidate for president in 2012, following in Ross Perot's self-funded footsteps.

This year, we have high-profile candidates running for governor's mansions and for the U.S. Senate as independents.

Lincoln Chafee is leading in polls to become the first independent governor of Rhode Island -- one of 10 states where registered independents outnumber Democrats or Republicans. President Obama recently decided not to endorse the Democrat in this race out of deference to Chafee, who had been a rare Republican friend in the Senate and supported Obama in '08.

There is "fatigue with the two parties right now," Chafee told me a few months ago. "People are so weary of the gridlock and partisanship. It's counterproductive to moving the country forward in our very, very challenging times."

In Maine, independent Eliot Cutler is trending upward and collecting major newspaper endorsements for his bid to be governor, though he still trails in the polls. But in a state where two-term Gov. Angus King set the model for independent executives, you can't count out a man whose plans are praised by local newspapers as "thoughtful, logical and, most important, doable" -- especially when his GOP opponent is becoming best known for promising to tell the president to "get the hell out" of his state.

Two serious independent Senate runs are being conducted this year, both by centrist Republicans who found themselves being pushed out by conservative Tea Party activists in closed partisan primaries. In Alaska, polls show incumbent Sen. Lisa Murkowski running neck and neck with GOP nominee Joe Miller, who enjoys the support of former Gov. Sarah Palin. Murkowski is running as an independent in a write-in candidacy.

The last successful write-in Senate candidate was Strom Thurmond in 1954. But the Murkowski name is almost as influential in Alaska, and Joe Miller's erratic behavior, including allowing his private security staff to handcuff a local reporter, is provoking a backlash even among conservatives like Ben Stein, who recently called him a "clown."

In Florida, Gov. Charlie Crist has been campaigning as an independent for the U.S. Senate. He was leading in polls over the summer, but GOP nominee Marco Rubio has been surging by staying competitive among Florida's 2.5 million independent voters, while keeping his Republican base happy.

It might surprise you to know that there are 140 independent or third-party candidates running for the House of Representatives this year -- and while most are admittedly long shots, their campaigns retain an aura of idealism and independence.

For example, in Mississippi, independent candidate Les Green, a local math teacher, explains the logic of his campaign in a radio ad which proclaims, "They say the definition of insanity is doing the same thing over and over and expecting a different result. But that's what we've been doing electing the same career politicians of the same political parties year after year -- 13 trillion in debt, open borders, and 8 million lost jobs is what we got. ... I'm no politician, but I know when things don't add up. If we want to change Washington, we have to change who we send there."

One of the most interesting stories of independence this year comes from the Modern Whig Party, a surprising reinvention of the political party to which Henry Clay and Abraham Lincoln once belonged. "We are in the grass-roots stage, but over time, when people think Whig, we want them to think of non-fringe, pragmatic centrist solutions," said Andrew Evans, one of the founders and leaders of the party. "We wanted that connection to history," he said, "but we have modern principles -- our members tend to be socially liberal but fiscally conservative."

The Modern Whig Party claims 50,000 members in all 50 states, and it is running a handful of candidates for both Congress and statewide office this year.

Jeff Vanke is the party's candidate in Virginia's 6th District, running a competitive campaign against Republican incumbent Bob Goodlatte. (There is no Democrat in the race.) Vanke -- a 40-year-old former Eagle Scout with a Ph.D. in history -- has a detailed balanced budget proposal as the centerpiece of his campaign and pledges to keep at least 50 percent of his net worth in federal bonds "in order to get more of American debt out of Chinese, Middle Eastern, and other foreign hands and back into our own country."

More and more Americans are declaring their independence, because the two major parties seem to be controlled by special interests or the parties' most extreme elements, leading directly to government dysfunction.

The parties are not mentioned in the Constitution, but they act as if they are the purpose of our politics. They are not. And until they become more representative and responsive to the majority of Americans who feel politically homeless, we will see more declarations of independents. The courage of their example could drive a renewal of our democracy.

The opinions expressed in this commentary are solely those of John P. Avlon.

@highlight

John Avlon: Most people are unhappy with the two major parties and want an alternative

@highlight

He says several independents and third parties are on ballots this year

@highlight

Avlon says Lincoln Chafee is running a credible independent campaign in Rhode Island

@highlight

Avlon: The two major parties "act as if they are the purpose of our politics"