Sao Paulo, Brazil (CNN) -- The violin she uses is cheap by most standards: made in China, it costs about $150.

But that's an absolute fortune for Yanca Leite. On the day we visited her, the 15-year-old aspiring musician couldn't even afford breakfast.

Yanca shares a one-bedroom shack with eight relatives in a sprawling shantytown on the outskirts of Sao Paulo called Paraisopolis, or Paradise City.

The narrow path leading to their door is lined with the bottles and cans they collect to supplement their income.

"The guy who recycles these bottles didn't pick them up and pay us," Yanca said. "So we didn't have money to buy bread."

Yanca rarely sees her father, who is in and out of jail, or her mother, a live-in maid who she says is working hard so her kids can get out of the slums.

But Yanca thinks she has finally discovered her own way out: music.

Less than a year ago, she joined a new classical music project at the Paraisopolis cultural center. Each student is given a violin and offered free -- yet very intensive -- classes once a week.

"Music has changed my life," she said. "I study eight hours a day all of the instruments I have at home: violin, guitar and keyboard."

The program was dreamed up by Joao Carlos Martins, an acclaimed classical pianist whose career was cut short by injury.

He reinvented himself as a successful composer, and seven years ago he went to one of Brazil's notorious favelas, or slums, in search of raw talent.

"I discovered so many naturally talented children that I decided to build a project," he said. "In 10 years, I intend to build 1,000 string orchestras in underprivileged areas across our country."

According to the latest census, more than 11 million Brazilians are living in favelas, many of them without access to running water or sewage systems.

And there are more than a billion people living in slums worldwide, according to Amnesty International. Across all continents, there are hundreds of millions of children who lack access to electricity, clean water and education despite living in cities with modern facilities and technology.

"One in three urban dwellers lives in slum conditions; in Africa, the proportion is a staggering six in 10," said UNICEF Executive Director Anthony Lake in a report this year called "The State of the World's Children" (PDF). "The impact on children living in such conditions is significant.

"From Ghana and Kenya to Bangladesh and India, children living in slums are among the least likely to attend school. And disparities in nutrition separating rich and poor children within the cities and towns of sub-Saharan Africa are often greater than those between urban and rural children."

Thulani Madondo is all too familiar with that. Madondo, one of this year's top 10 CNN Heroes, grew up in a South African slum where he and his siblings felt like they had no control over their future. His older siblings dropped out of school because of financial pressure, and he had to wash cars and work as a stock boy just so he could stay in school.

Madondo eventually became the first person in his family to graduate from high school. Now he's giving back to the youth in Kliptown, the slum where he was raised. He helped start the Kliptown Youth Program, which provides academic support, meals and after-school activities to 400 disadvantaged children.

"We didn't want to see other young people going through what we'd gone through: no uniforms ... feeling hungry in class," Madondo said. "We know the problems of this community, but we also know the solutions."

By giving children education and encouragement, the idea is that the children will feel empowered and go on to become successful, productive members of society -- instead of becoming disillusioned and falling into gangs or a life of crime.

"We want them to realize there's something they can contribute to this world. ... We're trying to give them the sense that everything is possible," Madondo said.

Photos: Making charcoal in a Manila slum

In Brazil, Martins says his music classes help fight crime, not only by getting youth off the streets, but by giving them the tools that could lead to jobs -- and salaries -- their parents never dreamed of.

"For some, (music) gives them a hobby," he said. "For others, it gives them a profession, like a wedding performer. And finally, there are the diamonds" who go on to be professional musicians.

But Martins says he has had to overcome sometimes unexpected difficulties.

"When one child took his violin to his house, his father sold his violin," he said.

Nonetheless, many of the first students Martins took under his wing are already working as musicians and music teachers.

And the Paraisopolis students who gather every Thursday are enthusiastic about their future. Yanca has a modest dream to become a music teacher for other slum children like herself.

"I play with all my heart," she says, breaking down in tears. "If it weren't for music, I'd be a drug addict or a prostitute or out robbing. Because that's the reality here."

More from CNN Heroes:

Afghan girls take brave first step

Young caregivers put life on hold

What really sways teens not to drink, drive?

Haitians living in fear 'under the tent'

CNN's Kyle Almond and Kathleen Toner contributed to this report.

@highlight

A program in Brazil is offering free classical music training to children in the slums

@highlight

It's empowering the children and giving them a chance at a brighter future

@highlight

There are 11 million Brazilians living in slums; more than 1 billion worldwide are in slums

@highlight

Top 10 CNN Hero Thulani Madondo is educating hundreds of slum kids in South Africa