MIAMI, Florida (CNN) -- Nine years of blindness almost drove Sharron "Kay" Thornton to suicide.

Kay Thornton, with Dr. Perez, can see again after surgery in which a tooth was implanted into her eye.

In the end, it was one of her teeth and a procedure surgeons said was never before done in the United States that restored her sight.

"It was very embarrassing and humiliating for my daughter to take care of me, and it wasn't supposed to be that way. I'm supposed to take care of her," the 60-year-old woman told CNN on Wednesday.

"I thought about suicide, but then I thought, if I did it, I probably wouldn't do it right," she said. Instead, "I just asked God to help me. I couldn't do it by myself. He taught me patience, and I never gave up."

Her hopes were raised when she qualified at the University of Miami Bascom Palmer Eye Institute for a months-long procedure in which an eye tooth (also called canine or cuspid) was implanted in one eye as a base to hold a prosthetic lens. Her bandages were removed over the Labor Day weekend.  Watch how the tooth was involved in the procedure »

Nearly two weeks later, her visual acuity is 20/70 without corrective lenses in the treated eye, said Dr. Victor Perez, associate professor of ophthalmology, and a cornea specialist at the institute.

The Smithdale, Mississippi, woman and her doctors planned to meet the media at a news conference Wednesday afternoon to discuss her case.

Thornton, a former restaurant manager with three children, lost her sight in 2000 after she was stricken with Stevens-Johnson syndrome, apparently caused by medication she was taking.

The illness is described by the Mayo Clinic as a rare disorder in which a person's "skin and mucous membranes react severely to a medication or infection." The disease causes "a painful red or purplish rash that spreads and blisters, eventually causing the top layer of skin to die and shed."

She also lost her hair, all nails and most of her skin.

Within a week, Stevens-Johnson syndrome also caused the cells on the surface of her eye to die, and the severe corneal scarring that resulted made her blind. Eventually, everything reversed itself but her blindness.

After losing her sight, Thornton said, she especially missed watching television, particularly her favorite show, "Operation Repo." When she and her best friend returned to the hotel after her bandages were removed, Thornton quoted him as saying, "Here's the remote."

"And I said, 'hot dog!' "

In interviews with CNN, the surgeons at the institute described how they brought back her sight by using what they say is the first surgical attempt in the United States to plant an eye tooth in an eye to hold a prosthetic lens.

"The surgical technique -- modified osteo-odonto keratoprosthesis (MOOKP) -- has proven effective in cases where severe corneal scarring blocks vision, but the eye remains healthy," according to the institute. Corneal scarring also can be caused by chemical injuries or burns.

The procedure has been done only about 600 times worldwide, surgeons said.

Perez led the surgical team who worked on Thornton.

To start the procedure, surgeons remove a healthy tooth and part of the patient's jawbone. Perez said Thornton was given a jawbone implant, but she developed a sinus infection, so they removed it. They will try again later.

The tooth and bone were then shaved and sculpted, and a hole was drilled into them to hold the prosthetic lens. Then the whole unit was implanted into Thornton's chest and left for several months, allowing the tooth and lens to bond. This was then implanted into her eye.

Asked why doctors don't use a piece of plastic instead of a tooth, Perez said that works well when the eye is "wet and healthy." But Thornton's eye was too dry. When he first saw her, he said, "her eyes were covered with skin."

Thornton's case had to be severe for her to meet the strict rules to qualify for the MOOKP.

"The inclusion criteria is strict," said the surgeon, now known as "the tooth fairy." "The patient must have end-stage ocular surface disease, and must be able to see and localize light," meaning they must be able to describe from what direction light is coming. In addition, "they have to have a healthy mouth and a good tooth."

Previously, a stem cell procedure had failed to help her, and she was not a candidate for a cornea transplant, he said.

"We used to hear about this surgery with the tooth, and we thought, 'How can people do this?' It seemed to be very far-fetched," Perez said. "Then once I went to Rome and saw the patient results, it was very impressive."

"It's so frustrating when they've tried other procedures and nothing works. We needed to find something that would work for these patients," the surgeon said. "I'm very excited for this patient. She really worked hard for this.

"What the surgery meant to her is hope. She lost hope of ever seeing again," he said, and was especially distressed that she might never see the granddaughter born while she was blind.

Not all surgeons are sold on the procedure.

Dr. Ivan Schwab with the American Academy of Ophthalmology told CNN he believes the process is too difficult and the result too disfiguring. There are alternatives that are nearly as good, he added.

"We've known about the procedure since the '80s. It's been going on for a while," he said. "We've viewed it with some skepticism. It requires a sizable team and several operations. It seems to be reasonably successful on the small numbers that have been done," though it does bring some disfigurement.

The complicated procedure "requires a team of dentists and ophthalmologists," he said. "It's just it's an extreme variation on techniques we're already doing."

But he added, "In their defense, they are working on the worst of the worst, people with no other alternatives."

There is little evidence, doctors say, for or against the safety of MOOKP, because of the small number of times it has been done.

Dr. Christopher Liu at Sussex Eye Hospital in Brighton, England, said the process has long been used in Asia and Europe. He brought it to England from Italy.

He said he doesn't believe the procedure will take off in the United States because of its length -- each stage takes hours to perform. In addition, he said, though the person can see again, the eye "won't be natural looking."

CNN's Elizabeth Cohen, Rich Phillips and Sabriya Rice contributed to this report.

@highlight

Woman, blinded after illness, has tooth implanted into eye to hold prosthetic lens

@highlight

First time this surgery is performed in the United States; only 600 done worldwide

@highlight

Some specialists say procedure is too complex to catch on in U.S.