(CNN) -- The bizarre case of a North Korea-bound ship being seized and searched following a violent struggle on the Panama Canal sounds like a deleted scene from the Cold War.

But officials fearing some sort of modern-day Cuban Missile Crisis could only have been relieved to find out that what Cuba describes as an assortment of antique Soviet weapons discovered aboard the ship -- buried under 255,000 sacks of brown sugar -- are more suited to a Cold War museum than they are to being used as weapons in the 21st century.

The ship, which is still being searched by Panamanian officials, contained 240 tons of Russian-made defensive weapons including two anti-aircraft missile systems, nine missiles in parts and spares and two MiG-21 jets, according to Cuban officials. Panama hasn't yet detailed what has been seized.

LATEST: Panama finds arms on N. Korean ship

Cuba says the weapons, which were en route to North Korea for repairs, are "obsolete." And experts who identified early Cold War relics like the Soviet-designed SA-2 air defense system among the ship's cargo say that's not far from the truth.

"We are talking about really old stuff -- that technology was designed in the 1940s and 50s," said James O'Halloran, editor of Jane's Land Based Air Defence and Jane's Strategic Weapon Systems. "Very few countries still employ the SA-2 system as a frontline defensive weapon."

The SA-2, which consists of a single radar-guided missile mounted on a launcher, was developed years before the Cuban Missile Crisis in 1960 and was used by the Viet Cong during the Vietnam War, long before the advent of heat-seeking or satellite-guided missiles. Men sitting in radar trucks on the ground had to guide the rockets toward their targets.

O'Halloran says the tactic, if you were an American pilot in Vietnam, was to "watch this damn great thing coming toward you and at the last minute pull a heavy right or left, and the missile couldn't follow you, it just kept going."

"Today there is no reason for any Western pilot to be hit by an SA-2 -- if you get caught by one of them, you've done something bloody stupid, or you've got very bad luck. No modern country wants to be seen with those."

But North Korea and Cuba, isolated communist allies and trading partners since the Cold War, aren't modern countries, to say the least -- and after years of sanctions and embargoes there are few places (and even less cash) at their disposal to obtain new weapons, according to experts.

U.N.: North Korea continues banned weapons trade

"If you buy a new weapons system, you also have to buy the hardware and the training, which can take a year or more if you buy some of the more modern air defense systems that the Russians sell," said Mike Elleman, Senior Fellow for Regional Security Cooperation at IISS. "And the Cubans don't have the money."

Even if Cuba had the money, countries like Russia would be reluctant to sell the Castro regime advanced weapons systems for fear of infuriating the Americans. And even if Cuba obtained newer weapons, Elleman says the U.S. would still overwhelm them in short order.

What's left for countries like Cuba is to seek repairs on systems like the SA-2, which went out of commission decades ago, and the MiG-21 jet, which was last produced in 1985 and is now mostly kept by long-time Russian allies for spare parts, according to O'Halloran at Jane's.

As Panamanian authorities continue to search the Chong Chon Gang -- a freighter with its own checkered past -- they are asking the U.S. and United Kingdom to send teams to help them identify the weapons, and will invite a special commission from the United Nations to determine whether the shipment violates the organization's North Korea weapons ban.

In the meantime, experts don't expect the episode will have a lasting effect diplomatically on either country -- North Korea is already "sanctioned to the hilt," says Ellemann, and Cuba's relations with the U.S. are thawing after decades of tension.

"There are a good number of people who believe that the sanctions against Cuba are very outdated and that it's just a matter of time before they're lifted, and I don't see this changing that," Ellemann told CNN.

The more lasting impression of the raid on ship could, in the end, be the 10,000 tons of brown sugar found on-board the ship. The crew attempted to sabotage the Chong Chon Gang by cutting the cables on its cargo cranes, meaning Panamanian authorities have had to remove the 255,000 bags of sugar by hand.

Experts believe the sugar could be Cuban payment to cash-strapped North Korea in exchange for the weapons repairs.

"This will be much ado about nothing, except telling the world just how bad a shape Cuba and North Korea are in today -- bartering early Cold War materials for sugar, that speaks volumes," said Ellemann.

@highlight

Panamanian authorities raid North Korean ship, find Cuban weapons

@highlight

Russian-made weapons seized are Cold War relics from the 1950s, say experts

@highlight

Expert on SA-2 system: "No modern country wants to be seen with those"

@highlight

Expert: "Bartering Cold War materials for sugar speaks volumes" about nations