(CNN) -- Buffalo, New York, is no stranger to cold weather, but Tuesday's lake-effect storm and its upwards of 6 feet of snow was staggering for the city.

"This storm is basically a knife that went right through the heart of Erie County," said Erie County Executive Mark Poloncarz. "I can't remember and I don't think anyone else can remember this much snow falling in this short a period."

At least four people were killed in the storm. One of the storm-related deaths was a vehicle accident, said Peter Anderson, a spokesman for the county executive. Three others were cardiac arrests as a result of shoveling, said Peter Anderson, a spokesman for the county executive.

Some places have already seen more than 60 inches of snow. And there's more coming -- possibly more than 90 inches in some areas after another round of wintry weather hits at the end of the week.

The equivalent of a year's worth of snow is going to pound some areas over a three-day period, Poloncarz said.

"This is a very, very serious situation. This is a very serious storm ... It's probably heavier than anything that we have seen in over 40 years, so it's going to take some time to dig out," Buffalo Mayor Byron Brown told reporters.

While some parts of the city saw only a dusting of snow, South Buffalo was particularly hard hit. Authorities issued a ban blocking unnecessary travel there while crews try to clear the roads.

The snow left people stranded in cars, turned roadways into parking lots and forced some emergency responders to rely on snowmobiles provided by volunteers. It blanketed the area at a rate of 3 to 5 inches an hour.

About 20 people were seeking shelter inside a fire station and 20 people were inside a police station Tuesday night, authorities said.

A baby girl was delivered at the fire station Tuesday when an ambulance was unable to take her mother to the hospital, Buffalo Fire Commissioner Garnell Whitfield said.

"She was born, she's safe and she's healthy," Whitfield said.

Others stranded in the snow faced devastating consequences.

An 81-year-old man who went into cardiac arrest in the Buffalo suburb of Cheektowaga died after emergency personnel were unable to get him to a hospital, CNN affiliate WKBW reported.

Firefighters reached the man about 8:30 a.m. Tuesday, the station reported. An ambulance couldn't reach the home, and a front loader that attempted to reach his home was stranded in the snow.

The firefighters stayed with the man for four hours until a military truck could tow a vehicle carrying the man to the fire hall but he died, according to WKBW.

Buffalo was not alone.

Every state in the Union had a place somewhere within its borders registering temperatures below freezing Tuesday morning.

That included Hawaii, where the temperature at Mauna Kea on the Big Island dropped to 31 degrees.

In Florida, it was in the upper 20s in the Panhandle and freeze warnings were in effect.

And it's not over: Another surge of cold air is likely by Wednesday to Thursday in the Midwest and Northeast. The Southeast could see record lows Wednesday morning as temperatures drop into the teens and 20s.

The cause of this mayhem: Arctic air pouring over the relatively warm Great Lakes waters is producing extreme lake-effect snows.

CNN meteorologist Chad Myers calls it thunder snow.

"The steam from the lake ... (is) still much warmer than the air," he said. "The air is in the teens and the water in the 40s. That steam comes up and wants to rise. That rise ... creates a thunder storm but it's so cold it doesn't rain. It just snows."

Tuesday was the coldest November morning since 1976, according to meteorologist Ryan Maue of WeatherBELL Analytics. The average overnight low for the Lower 48 states was 19.4 degrees, Maue said.

This is highly unusual for this time of year and is much more reminiscent of a pattern forecasters would expect to see in January or February, not November.

Snow totals could approach 70 inches south of Buffalo -- almost 6 feet of snow. Lancaster, New York, has already received over 40 inches of snow, and it continues to snow at 4 to 5 inches per hour. Some areas in Erie County, Pennsylvania, have already seen 3 feet of snow. Thunder and lightning have been reported.

Poloncarz Tuesday issued a state of emergency for the county, including a travel ban for all areas of the city of Buffalo south of Genesee Street, and 19 for municipalities. Only emergency vehicles are allowed to travel.

New York Gov. Andrew Cuomo deployed the National Guard to help bring in motorized equipment that can be used for snow-clearing, and tow trucks.

Some roadways already had turned into parking lots of abandoned vehicles and stranded motorists, WKBW reported.

Many communities had 3 to 4 feet of snow dropped on them during the 15-hour storm, with emergency vehicles and plows stuck in the snow, the station reported.

A bus carrying 24 members of the Niagara University Women's Basketball team returning home from a game in Pittsburgh was stuck on a highway because of the snow.

In an interview via Skype with CNN's Don Lemon Tuesday night, team members said they'd been stranded for 24 hours.

"The roads weren't plowed. It got really bad really fast. I'm assuming that somebody in the front of the line got stuck and everybody else had to stop, and that's how we got where we are," head coach Kendra Faustin said.

For hours, she said, the snow was coming down so hard that they couldn't see anything surrounding the bus.

Now, Faustin estimates there are more than 100 cars trapped on the highway behind them. They're running short on food and water and still waiting for rescuers, she said.

"It seems to be getting better, is what we're hoping," she said, "but more importantly we're just hoping to get on the move."

Team members described their predicament throughout the day on Twitter. One post from the team's assistant coach showed police approaching the stranded bus on a snowmobile.

To make matters worse, this is only the first band of heavy snow in the Buffalo region. More snow is expected on Wednesday, and then the lake-effect snow bands set up again for Wednesday night into Thursday with very heavy snow likely again. This could rank high in the history of lake-effect snow events.

Over half the country -- 50.2% -- had snow on the ground Tuesday morning, according to the National Weather Service.

Cuomo also announced that the Metropolitan Transportation Authority, which operates the nation's largest public transit system, has activated NYC Transit's 2014-2015 winter operations plan in anticipation of the snow season.

The plan includes new snow-fighting equipment for the department's buses, new improved cold-weather and communications equipment, and increased planning and collaboration with the Department of Sanitation, Cuomo said in a statement.

CNN's Daniel Verello, Kevin Dotson, Chuck Johnston, Martin Savidge and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Stranded basketball team's coach: "It got really bad really fast"

@highlight

There have been at least four storm-related deaths, officials say

@highlight

A baby girl was born at a fire station when paramedics couldn't reach the hospital

@highlight

Buffalo mayor: Snow is "probably heavier than anything" in more than 40 years