Manama, Bahrain (CNN) -- People prayed and demonstrated late Thursday outside a Manama hospital, where scores had come for treatment following a pre-dawn raid by government forces on an encampment of protesters that left at least four dead.

Army vehicles, meanwhile, were patrolling the streets of Bahrain's capital. They filled the void left by government security forces, who hours earlier had stormed protesters gathered in Pearl Roundabout, a landmark circle in the city center.

The throngs congregated Thursday night near the Salmaniya Medical Complex and chanted, "With our blood and our souls, we will fight for the martyrs," voicing their resolve in the face of a government clampdown that has elicited sharp criticism in Bahrain and internationally.

Six people have died since protesters took to the streets Monday demanding reform and the introduction of a constitutional monarchy. The tiny  but strategically critical island nation of Bahrain is an American ally and houses  the headquarters of the U.S. Navy's Fifth Fleet.

Those killed in the Pearl Roundabout raid included Ali Abdullah, a 22-year-old who went to the protests with his 20-year-old brother, his father told CNN. The college senior, majoring in engineering, died at the hospital Thursday from his injuries.

Ahmad Abdullah blamed Bahrain's prime minister -- Prince Khalifa bin Salman bin Hamad Al Khalifa, uncle of King Hamad bin Isa Al Khalifa who has held his position since 1971 -- for his son's death, calling the leader a "killer."

Witnesses described a blunt show of force by police firing pellets, rubber bullets and tear gas to force protesters out of the square, where thousands had been rallying and in some cases encamping throughout the week.

Zainab Farda said she was in a large tent for women and children with her two daughters, ages 6 and 8, when they woke up to tear gas. She said they placed onions over their noses, but had to flee after security forces set fire to their tent.

"After all that has happened, we are not going to quit," Farda said. "If we quit now, we're going to die."

Before word of the latest death, health minister Dr. Faisal Ben Yacoub Al Hamar said on state television that three people had died and at least 225 had been injured in the raid.

Bahrain is one of the latest countries in the Middle East and North Africa to face a surge of dissent following the revolts that toppled longtime autocrats in Tunisia and Egypt.

While Bahrain's interior ministry said in a statement Wednesday that those responsible for the two earlier deaths had been detained, authorities on Thursday defended their actions at the Manama roundabout.

They said security forces used a minimum of force and found firearms, knives and flags of Hezbollah, a Lebanon-based group that the United States lists as a terrorist organization.

In a news conference, Foreign Minister Khalid al Khalifa claimed protesters had attacked disciplinary forces -- saying he was surprised that they had, given the available freedoms in Bahrain. He added he plans to raise the issue of what happened in Manama with the country's king.

Al Khalifa also disputed an assertion that troops came from neighboring countries, insisting that all those involved are from Bahrain.

According to the state-run Bahrain News Agency, an interior ministry official said security forces evacuated the people after "exhausting all opportunities for dialogue with them."

"Some of them have responded and left quietly, while others refused to comply with the law, which called to intervene in order to disperse them," the official said.

Bahrain's  army asked citizens to "distance themselves from gatherings in vital  areas in the capital" because it will "create fear and shock" and  cause serious traffic disruptions.

But Ali Ahmed, 34, who said he has slept at the square since Monday night, said the attack only emboldened demonstrators. He called claims that police had warned protesters to evacuate "a lie."

Ahmed had been one of about 3,000 people who laid out blankets and pitched tents at Pearl Roundabout this week, with police nowhere to be seen at times.

But by the time police had completed their raid early Thursday, the circle was cleared of protesters and convoys of more than 50 military armored personnel carriers, each armed with machine guns, had driven into the area. Some of the trucks had razor wire.

U.N. Secretary-General Ban Ki-Moon was among the international leaders who weighed in on Thursday, urging restraint and opposing government-led violence. He said that he is "disturbed by the violent means used to disperse demonstrators."

The British Foreign Office confirmed Thursday it had temporarily closed its embassy in Bahrain. British Foreign Secretary William Hague said he spoke with his Bahrainian counterpart and stressed the "need for peaceful action to address the concerns of protesters."

Jennifer Stride,  a U.S. Fifth Fleet spokeswoman, said there's no "indication the protests will  cause significant disruption" for the U.S. military, which she said is  not being targeted. The fleet has more than 30 ships, including the aircraft carriers USS Enterprise and USS Carl Vinson and their respective carrier strike groups

U.S. Secretary of  State Hillary Clinton said, meanwhile, that the United States has told Bahrain it has "deep concerns" about the crackdown on anti-government protesters and said the protesters' funerals and Friday prayers should "not be marred by violence."

"We  call on restraint from the government, to keep its commitment to hold  accountable those who have utilized excessive force against peaceful  demonstrators, and we urge a return to a process that will result in  real, meaningful changes for the people there," Clinton said.

Bahrain's king has asked Abdul Latif Bin Rashid Al Zayani -- a former major general who headed Bahrain's public security for 10 years -- to be an unofficial envoy to the United States to deal with diplomatic fallout from the crisis, according to senior State Department officials and other sources familiar with the appointment.

Zayani was already in Washington holding meetings as the incoming leader of the Gulf Cooperation Council, and the king asked him to stay to talk with U.S. officials, the sources said. He met Thursday at the State Department with Under Secretary William Burns, Assistant Secretary Jeff Feltman and Dennis Ross, a White House adviser on the Middle East.

Still, the most significant political reaction may be within Bahrain itself. Hours after the crackdown at Pearl Roundabout, the Al Wefaq political party announced it had decided to withdraw from parliament, party official Abdul Jalil Khalil said.

Al Wefaq had been the most well represented party in the lower chamber of parliament, with 18 out of 40 seats.

Khalil, who has been head of the Al Wefaq parliamentary bloc, explained that the unrest is "a turning point" for the nation of about 1 million people. He noted that the casualty figures are "large scale" given the size of the population.

"After what happened today, people are asking us to leave parliament. Quit the government," Khalil said.

Al Wefaq is a Shiite party in a country that, despite the fact two-thirds of its population are Shiites, is ruled by a Sunni Muslim royal family.

In recent years, younger Shiites have staged violent protests to complain about discrimination, high unemployment and corruption. Any Shiites say the country's constitution has done little to improve their condition.

Barak Seener, a Middle East fellow at the Royal United Services Institute, a London-based think tank, said he thinks the party's withdrawal will lead "to the greater disenfranchisement of the Shia majority" and that the upheaval is "very, very dangerous" for the United States.

"It's so important for the United States to have a friendly regime there," Seener said.

He emphasized that Bahrain "has no choice but to clamp down" and can't afford to "blink" amid the turmoil.

"A disenfranchised Shia population is very dangerous because it has the ability to destabilize Bahrain and it also is vulnerable to Iranian penetration," he said. "There's been numerous cells of Shia terrorists that have been uncovered with extensive links to the Iranian regime. Iran uses them as a proxy to extend their sphere of influence."

Al Khalifa stressed to reporters Thursday that both Shiite and Sunni Muslims in the country are loyal and patriotic.

"We belong to one homeland," he said.

CNN's Arwa Damon, Nic Robertson and Journalist Mansoor Al-Jamri in Bahrain, CNN's Joe Sterling in Atlanta and CNN's Elise Labott and Chris Lawrence in Washington contributed to this report.

@highlight

NEW: Bahrain's king apoints envoy to U.S. to deal with diplomatic fallout, officials say

@highlight

4th person dies as a result of security forces' raid on protesters, victim's father says

@highlight

Police fired tear gas and rubber bullets at demonstrators in Manama's Pearl Roundabout

@highlight

The crackdown swiftly drew local and international condemnation