(CNN) -- Women's rights took center stage Saturday at the Nobel ceremonies as three women recognized for their struggles against the backdrops of the Arab Spring and democratic progress in Africa accepted this year's peace prize.

Liberian President Ellen Johnson Sirleaf, and Leymah Gbowee, a social worker and peace campaigner from the same country, shared the prize with Tawakkul Karman, an activist and journalist who this year played a key opposition role in Yemen.

The three were chosen for their non-violent struggle against injustice, sexual violence and repression.

"Ever since the Norwegian Nobel Committee made this year's decision known, the people of Norway have looked forward to seeing you on this stage," said Thorbjorn Jagland, chairman of the Norwegian Nobel Committee.

"You give concrete meaning to the Chinese proverb which says that 'women hold up half the sky,'" he said. "We thank you for the hope you awaken in us all."

Jagland said the work of the three laureates should serve as warning to dictators even as more civilians were killed Saturday in Syria.

'Been a long time coming,' say prize winners

"The leaders in Yemen and Syria who murder their people to retain their own power should take note of the following: mankind's fight for freedom and human rights never stops," Jagland said.

The three women received the coveted gold Nobel medal and a diploma and will share $1.5 million in cash. They will also be honored with a star-studded concert Sunday that culminates the program of Nobel events.

All three women dedicated their remarks to women struggling for equal rights around the world.

"I urge my sisters, and my brothers, not to be afraid," Sirleaf said in her Nobel lecture. "Be not afraid to denounce injustice, though you may be outnumbered. Be not afraid to seek peace, even if your voice may be small. Be not afraid to demand peace."

Johnson Sirleaf, a 73-year-old Harvard graduate whose political resilience earned her the nickname "Iron Lady," became Africa's first democratically-elected female president in 2006, three years after decades of civil war ended.

Crediting women with ending the conflict and challenging the dictatorship of former President Charles Taylor, she declared a zero-tolerance policy against corruption and made education compulsory and free for all primary-age children.

She dedicated her remarks to women around the world "who have seen the devastation that merciless violence can bring."

Gbowee, 39, led a women's movement that protested the use of rape and child soldiers in Liberia's civil war. She mobilized hundreds of women to force delegates at 2003 peace talks to sign a treaty -- at one point calling for a "sex strike" until demands were met.

She thanked Liberian women for making "our country proud."

"Thank you for sitting in the rain and under the sun. This is your prize. This is our prize," she said.

"The world used to remember Liberia for child soldiers but they now remember our country for the white t-shirt women," she said referring to the women clad in white T-shirts who demanded an end to Liberia's brutal civil war. "Who would have ever thought that Liberian women would have been among faces of women's global victory, but you did it."

But she also reminded the world that victory was still afar.

"We must continue to unite in sisterhood to turn our tears into triumph, our despair into determination and our fear into fortitude." she said. "There is no time to rest until our world achieves wholeness and balance, where all men and women are considered equal and free."

Karman, 32, emerged as an icon of change as Yemen was swept up in the tumult of the Arab Spring, but the mother-of-three has long been active in campaigning for women and human rights.

Karman, the first Arab woman to win the Nobel Peace Prize -- and one of its youngest recipients -- founded the rights group Women Journalists without Chains, and emerged as a key figure in protests against President Ali Abdullah Saleh's regime.

"I have always believed that resistance against repression and violence is possible without relying on similar repression and violence," she said. "I have always believed that human civilization is the fruit of the effort of both women and men.

"So, when women are treated unjustly and are deprived of their natural right in this process, all social deficiencies and cultural illnesses will be unfolded, and in the end the whole community, men and women, will suffer."

While Johnson Sirleaf's Nobel achievement has stirred anger among Liberian political opponents who claim recent elections were rigged in her favor, this year's Nobel Peace Price is unlikely to attract the level of controversy seen in 2010.

China and more than a dozen other countries, including Russia, Saudi Arabia and Iran, boycotted the event over the decision to award the prize to Chinese dissident Liu Xiaobo, a key figure in the 1989 Tiananmen Square protests.

Liu, who is serving an 11-year-sentence in a Chinese prison for what the government called "inciting subversion of state power," was not allowed to travel to Norway to accept the prize, which China denounced as a "political farce."

Awarded almost every year since 1901 (it has been halted during times of major international conflict) the Peace Prize has a history of contentious laureates.

Previous winners include former U.S. Secretary of State Henry Kissinger, who won alongside Vietnamese revolutionary Le Duc Tho (who declined the award), and the late Palestinian leader Yasser Arafat, who won jointly with Israeli President Shimon Peres and former Israeli Prime Minister Yitzhak Rabin.

In 2009, the prize was awarded to U.S. President Barack Obama despite the fact he had spent less than one year in office. Two years earlier, former U.S. Vice President Al Gore was a joint recipient in recognition of work highlighting climate change.

â€¢ This year's three co-laureates will sit down with CNN's Jonathan Mann for an hour-long special interview. The interview will broadcast live on CNN International and CNN.com on Saturday at 1600 GMT (11 a.m. ET) and repeated on Sunday at 0300 GMT (10 p.m. ET Saturday).

â€¢ The concert in honor of the Nobel prize winners will be broadcast on CNN.com on Sunday between 1900-2000 GMT (2 p.m.-3 p.m. ET) and 2030-2130 GMT (3:30 p.m.-4:30 p.m. ET).

@highlight

NEW: Nobel chairman says the prize should serve as warning to dictators

@highlight

Be not afraid to denounce injustice,' Sirleaf says in accepting the prize

@highlight

Arab Spring, Africa provide backdrop to this year's peace prize

@highlight

The three women are recognized for their struggle against injustice and sexual violence