More than half of the ballot boxes from last weekend's Mexican presidential election -- 54.5% -- will be individually recounted, the executive secretary of Mexico's Federal Election Institute said Wednesday.

That represents 78,012 ballot boxes, Edmundo Jacobo Molina told reporters.

The political parties will supervise, review and watch over the recount, which will be carried out by the election institute, he said.

The announcement came as the official ballot count in Mexico's presidential elections began Wednesday and as the presumptive president-elect sought to consolidate his reported victory even as a challenger refused to concede.

Enrique Peña Nieto received the most votes, according to preliminary results released the night of Sunday's balloting, and according to a quick count released by the election institute, known by its Spanish acronym IFE. The quick count gave Peña Nieto a margin of victory of between 6.07 and 7.65 percentage points.

But Andres Manuel Lopez Obrador, the candidate for a progressive coalition, has said he has evidence of irregularities at most of the 143,000 polling stations and wants a full recount.

Lopez Obrador demands recount in Mexican election vote

Lopez Obrador made a similar demand after losing in 2006 to Felipe Calderon.

The process that started Wednesday is intended to check all election returns recorded in each district and can carry out recounts in certain cases.

IFE predicted a final count on Sunday.

Officials have called this election the most transparent in Mexico's history. It was the first election in which scanned copies of district-by-district election returns were posted on the Internet.

But accusations have arisen of electoral manipulation by Peña Nieto's party -- the Institutional Revolutionary Party, or PRI.

The party, which was in power for 71 years before being voted out in 2000, was known for being corrupt and authoritarian.

Its apparent victory last weekend would mark a triumphant return after 12 years of rule by the right-wing National Action Party, known by the acronym PAN.

But supporters of Lopez Obrador accused the PRI of having returned to its old ways of corruption.

Political tensions flare after Mexican presidential vote

Daniel Avila, a representative for the anti-Peña Nieto student movement #YoSoy132 (I am 132), told CNN en Español that his group had already received 1,100 allegations of vote-buying, stuffed ballot boxes and intimidation.

The group has photos, video and audio proof of these violations, the group said.

"What we're going to try to do is find all these people to get testimonies, and then take that evidence to the IFE," Avila said.

Lopez Obrador supporters pointed to long lines that were reported at the Soriana chain of supermarkets. Voters flocked to the stores to use gift cards handed out by the PRI in exchange for votes, some allege.

Calls to PRI offices were not returned.

Mexican election regulators said they were investigating the allegations related to the gift cards.

The electoral authorities should question the owners of the chain, said Irma Erendira Sandoval, a political analyst at the National Autonomous University of Mexico.

Wednesday's count will help determine whether there was fraud, she said.

"This is a fundamental stage where the transparency and cleanliness of the entire election is at stake," she told CNN en Español.

According to the group Alianza Civica (Civic Alliance), which seeks to ensure elections are free and fair, a poll of Mexican voters found that nearly 30% reported being exposed to at least one example of vote-buying or coercion.

Taking advantage of the fact that election returns are available online, critics began circulating copies of what they described as suspicious returns.

One such document shared by PRI opponents is an electoral return from a district in Michoacan. It appears to show that 362 of 732 registered voters cast ballots, but that the PRI won 945 votes.

For his part, Peña Nieto, in an interview with "NewsHour" on PBS, praised Mexico's democratic system and said he was putting his trust in the electoral authorities.

"We have electoral tribunals that will be responsible for addressing these issues and attending to these complaints, the ones filed by candidate Lopez Obrador," he said.

Ballots will be recounted in cases where the difference between the top two finishers is 1 percentage point or less; where the number of annulled votes is greater than the difference between the top two; where all the votes go to one party; and where there are obvious irregularities such as the votes not adding up.

Lopez Obrador must wait until Sunday to formally submit any application for a recount to the Federal Election Tribunal.

Avila, the youth activist, acknowledged that Peña Nieto will likely be confirmed as president, but contended that that was because of PRI's alleged maneuverings.

"The amount of evidence we present does not matter. It is a fact that Enrique Peña Nieto will remain," he said. "We have had a position since before the election that this was being imposed by fraud, and it's what we've been seeing."

Opinion: Is Peña Nieto good news for Mexico?

@highlight

The political parties will supervise, review and watch over the recount, IFE chief says

@highlight

The official ballot count began Wednesday

@highlight

Preliminary results give victory to PRI's Peña Nieto