WASHINGTON (CNN)  -- An audience of millions watched Cher drop a verbal bomb when she uttered the f-word on an awards show. Bono said it, too, a year later, and Nicole Richie uttered it and s--t in the same sentence.

Singer Bono appears at the 2003 Golden Globes on NBC,  where he uttered a "fleeting expletive."

Because the celebrities made their remarks on live television, the Federal Communications Commission levied heavy fines on the broadcast networks.

Now the Supreme Court will weigh in on the "isolated" use of such words -- politely referred to as "fleeting expletives" -- and the power of government to clamp down on what it sees as pervasive indecent language on the public airwaves. Arguments in the free speech case are Tuesday.

"Make no mistake what this is about," said Tim Winter, who heads the Parents Television Council and is supporting the FCC efforts. "The networks are suing for the right to use the f-word in front of children during prime-time broadcast television."

But Andrew Jay Schwartzman, president of the Media Access Project, had a different view. "The crux of this case is whether the inconsistent way the FCC has regulated indecent speech gives writers, producers, and directors, as well as television broadcasters, clear guidelines for them to comply," said Schwartzman, whose group has filed legal briefs on behalf of the creative forces that provide programming for the networks.

The controversial words have been aired in scripted and unscripted instances on all the major over-the-air networks in the past six years, when federal regulators began considering a stronger, no-tolerance policy.

Fox, NBC, ABC and CBS are parties in the case.

A federal appeals court in New York last year ruled in their favor, calling the FCC's policy "arbitrary and capricious."

The commission then appealed to the Supreme Court, seeking restoration of its power to penalize the networks airing "indecent" speech, even if it is broadcast only once, and even if it does not describe a specific sex act.

Such language is seen with greater, albeit varying, frequency on cable television, the Internet and satellite radio, which do not use public airwaves.

But the federal government is charged with responding to viewer complaints when "indecent" language reaches television television and radio, which is subject to greater regulation.

That is especially relevant during daytime and early evening, when larger numbers of families and younger viewers may be watching. The FCC formally reversed its policy in March 2004 to declare that even a single use of an expletive could be illegal.

Commission members noted, "Given the core meaning of the 'F-Word,' any use of that word or a variation, in any context, inherently has a sexual connotation. The 'F-Word' is one of the most vulgar, graphic and explicit descriptions of sexual activity in the English language. Its use invariably invokes a coarse sexual image."

The changes became known as the "Golden Globes Rule," for singer Bono's 2003 acceptance speech at the awards show on NBC, where he uttered the phrase "really, really, f---ing brilliant."

The commission specifically cited celebrities Cher and Richie's potty-mouth language during the 2002 and 2003 Billboard Music Awards, which aired on Fox. Richie, in an apparently scripted moment said, "Have you ever tried to get cow s--t out of a Prada purse? It's not so f---ing simple."

The complaint against ABC involved "NYPD Blue," a now-canceled scripted police drama, and the one against CBS involved "The Early Show," a news and interview program.

Enforcement of the law, as well as fines and sanctions for the incidents, have been put on hold while the case is being argued.

The appeals court ruling said the FCC did not adequately explain amendments to and enforcement of its "vague" policy on broadcasts of profanity.

But after the ruling, Michael Copps, an FCC commissioner, warned that "any broadcaster who sees this decision as a green light to send more gratuitous sex and violence into our homes would be making a huge mistake."

The Supreme Court first ventured into the broadcast speech debate in 1978, when it ruled as indecent a monologue by comedian George Carlin, on society's taboo surrounding "seven dirty words." The bit had received some radio airplay.

The author of that narrow opinion, Justice John Paul Stevens, still sits on the high court.

He famously defined "indecent" speech as any depiction or description of "sexual or excretory activities or organs" in a manner that is deemed "patently offensive as measured by contemporary community standards for the broadcast medium."

The now-88-year-old justice steered clear of a philosophical discourse on the First Amendment at the time, choosing instead to focus on the practical effect of suppressing "dirty" speech: protecting young children who might be watching or listening

The broadcast television networks say their scripted shows no longer have expletives, even after 10 p.m., when some potentially vulgar words are permitted. Their worry is the unplanned, often spontaneous use of an indecent or profane word at live events, like awards shows and sporting events.

Company officials say such programs are often on a five-second delay, and censors are on hand to bleep any offensive language. But some indecent words can slip through, they admit.

Critics call that laughable.

"This past summer, CBS edited into a show that had to go through multiple reviews, by multiple people in the organization, the f-word," said Winter, whose group advocates "responsible" programming. The show in question was "Big Brother 10," a taped series.

Broadcasters argue they are uncertain about which words are banned, and in what context. They say "s---t" is forbidden under FCC rules, but not "poop" or "crap," even though all those words are crude references to excrement.

The appeals court noted the government does not punish every "indecent" reference on the air, citing the R-rated "Saving Private Ryan," an Academy Award-winning 1998 movie that is filled with realistic, often coarse language from soldiers. The film has been aired repeatedly on the networks, but the FCC said such profanity was not intended to shock or titillate, but rather to "convey the horrors of war."

In a separate incident, over nudity, a federal appeals court in June ruled in favor of CBS, which aired singer Janet Jackson's "wardrobe malfunction"-- when her breast was briefly revealed -- at the 2004 Super Bowl halftime show. The FCC imposed an indecency fine of $550,000.

An appeal to the high court is possible.

Time Warner, parent company of CNN, filed an amicus brief supporting the networks fined by the FCC. The company is part owner of the CW broadcast network, and also operates several cable networks.

Broadcasters and producers say that while there is no substitute for responsible parenting, the current social and political environment makes it difficult for them to do their jobs.

"Trying to produce material that is artistically superior is extremely difficult," says Schwartzman, "in a context where somebody with a clipboard is running around saying, 'Well maybe this word is OK, maybe this word isn't OK, can't you change this.' "

Lawyers from both sides expect Tuesday's oral arguments to be filled with the "indecent" language at issue, so expect to see a lot of f-bombs being tossed around by the justices, all in the name of legal clarity, of course.

The case is FCC v. Fox Television Stations (07-582).

@highlight

On Tuesday, the justices will weigh in on "fleeting expletives" on broadcast TV

@highlight

The government aims to clamp down on indecent language on the public airwaves

@highlight

But broadcast networks say government inconsistently regulates indecent speech

@highlight

Case concerns dirty words from celebrities such as Bono, Cher, Nicole Richie