(CNN) -- Is she hurt? Is she getting help? Is she even alive?

Those were the jumbled thoughts that raced through Sereth Hosty's mind in her Long Island, New York, home as she tirelessly scoured the news and Web for clues to the whereabouts of her elderly mother in Haiti.

Since an earthquake with a magnitude of 7.0 struck Tuesday, Augusta Thervil, 83, was among the growing number of people who had gone missing in the Port-au-Prince area. And her daughter was among those living in limbo.

"I check. I check. I check," Hosty said earlier this week. She had spent two days trying to reach her mother, neighbors and family friends by phone. She even placed a posting on CNN.com's iReport with her mother's picture.

With phone lines and electricity down, people with family and friends in Haiti are struggling to live with uncertainty.

"To not know and be waiting is one of the most difficult situations to be in," said Therese Rando, clinical director of the Institute for the Study and Treatment of Loss.

The waiting finally came to an end for Hosty on Thursday evening when she heard through a cousin that her mother was alive. And though she hasn't been able to speak with Theravil directly, she's sleeping again.

"I know there are other problems that are coming with food and water, but I feel relief that she's not dead," Hosty said. "My cousin said my mommy is OK."

The toll of the quake is not yet known, but government officials said deaths may exceed 100,000. Emergency crews have already arrived in the Port-au-Prince area, but there are no indications when communication lines will be restored. Haiti is the poorest nation in the Western Hemisphere, with a weak infrastructure even before the earthquake.

The panic, anger and sadness since the quake are similar to the responses seen after the September 11 attacks, Hurricane Katrina and the 2004 Indian Ocean tsunami. Those unexpected disasters claimed many lives and left family members who suffered losses to grieve for years, psychology experts say. Many are still grieving today.

After 9/11, families frantically drove into New York City, trying to display their loved ones' photographs to the public in hopes of recovering the person -- or their body. Unable yet to travel to Haiti, families are using Facebook, Twitter and YouTube to search and connect. Several hundred submitted photos to iReport, asking for help in identifying their missing loved ones.

See the "Looking for loved ones in Haiti" page on iReport

"In every moment, the level of emotional anguish ratchets up, and there's nothing anyone can say to make them feel better," said Russell Friedman, director of The Grief Recovery Institute, a counseling organization in California that helps people deal with deaths and natural disasters.

The grieving process for someone waiting to learn if a loved one has survived can be incredibly traumatic, Friedman says. They may feel more frustrated than those on the ground because they cannot help, he said.

Mayka Cadet, 22, experienced these emotions Tuesday night in her Glendale, Maryland, home. She hasn't heard from five of her family members who live in Port-au-Prince. Her phone calls don't go through. There isn't even a ring.

She especially misses her Uncle Sergo Cadet, who has always been her mentor. Cadet, who owns a construction business, taught her to work hard in school.

"It's just really hard for me because I'm really close to them," said Cadent, who posted an iReport looking for her family members. "They come visit us every summer."

After their initial reaction to the news, people will find different ways to cope, psychologists say. Those who have missing relatives will feel sadness, anger, shock or confusion. Some may feel confused about their emotions, or struggle to even know what they are feeling.

For those who learn their family members have died, the grieving process can progress, the experts said. People will often go through the stages of denial and bargaining before accepting the loved one's death.

"Everyone grieves differently," said Kristi Cooper, a family life field specialist at Iowa State University. "There is no wrong way to grieve."

But time can heal emotional wounds, says George Bonanno, a psychology professor at Columbia University and author of the book "The Other Side of Sadness: What the New Science of Bereavement Tells Us About Life After Loss." Although coping with a loss can be difficult, Bonanno said he found that most people are resilient and able to overcome their loss.

CNN iReporter Marie Aline Sillice, 26, is trying to stay positive. She encouraged her family to keep busy even though she can't locate her father. Frangel Victor, 57, worked as a lawyer in Port-au-Prince.

They spoke on the phone just a few hours before the earthquake struck.

Help the Sillices find their father

Sillice, a psychology graduate student at the University of Rhode Island, admits she is nervous that he may not have access to his diabetes medication.

She is also keeping close contact with her family members in the U.S. and has posted an iReport in hopes of finding her father.

So far, she hasn't heard anything.

@highlight

NEW: Woman finds out through cousin that her 83-year-old mother is alive

@highlight

Families are using social media and the Internet to find people affected by the earthquake

@highlight

Psychologists say the panic and frustration experienced by families is similar to 9/11

@highlight

"Everyone grieves differently," said Kristi Cooper, a family life field specialist