(CNN) -- Fast food and some retail workers in 50 cities around the country are striking today, and have mounted dozens of strikes over the past few months. Their demands are simple: a pay raise to $15 per hour -- roughly double the federal minimum wage -- and union recognition.

The "Fast Food Forward" movement began in New York City last fall and quickly spread to other cities. In some places it grew to include workers in other low-wage jobs besides fast food. Like the earlier Occupy Wall Street protests, this new movement has captured the imagination of millions of Americans angry about the ever-widening gap between haves and have-nots.

But unlike Occupy, with its youthful base and reliance on new social media, Fast Food Forward was born from a marriage of old-fashioned unionism and community organizing. Its protagonists are ordinary workers, many of them black, brown and/or female.

They are struggling to support their families on jobs that pay at or close to the legal minimum, with few benefits. Adding insult to injury, full-time work is hard to find in the fast food and retail world. But many workers have no other options, since the Great Recession permanently wiped out millions of better-paying jobs.

The federal minimum wage dates back to the 1938 Fair Labor Standards Act - part of FDR's New Deal. But inflation has eaten away at the guarantee it was meant to provide. In today's dollars, the minimum wage is worth less now than it was half a century ago.

Meanwhile, what FDR called "organized money" has been on the warpath against another legacy of the New Deal: organized labor. Today only 6.6% of private-sector workers are union members, less than any time since the early 1930s. That's another reason income inequality has soared.

But the labor movement refuses to die. Instead it is struggling to reinvent itself. Fast Food Forward is backed by the giant Service Employees International Union, which boasts more than 2 million members and is known for its creative organizing tactics. Back in the 1990s the union's Justice for Janitors campaign lifted standards in another low-wage sector, winning union contracts that improved pay and benefits and converted part-time building service jobs to full-time ones in cities around the country.

As organized money has successfully choked off the traditional road to unionism through the system created by the 1935 National Labor Relations Act under FDR, unions have turned to strategies from the community organizing tradition. In the case of the fast food strikes, for example, the union partnered with established community-based groups like New York Communities for Change.

Similarly the Our Walmart campaign, which led the Black Friday walkouts at the nation's largest retailer last November, uses community organizing tactics rather than standard unionization methods.

Both Fast Food Forward and Our Walmart rely on strategies and tactics perfected by the "worker center" movement that sprang up starting in the1990s. It includes dozens of community-based organizations representing taxi drivers, domestic workers, day laborers, street vendors and others at the bottom of the labor market. Many of these workers are excluded outright from New Deal laws like the FLSA and NLRA, since technically they are not "employees" but "independent contractors."

The worker centers have successfully spotlighted the many abuses such workers suffer, and have helped them organize. But as community-based groups with shoestring budgets and tiny staffs, the scale of their work has been severely limited. Still, some have managed to form national organizations, like the Restaurant Opportunities Center and the National Domestic Workers Alliance.

One of them the Taxi Workers Alliance, is now formally affiliated with the AFL-CIO, which has developed other partnerships with worker centers in recent years.

If old-line labor unions - which despite their declining membership, still have relatively deep pockets and political clout - keep stepping up their support for such efforts, that could be a real game-changer.

That's the significance of the fast food walkouts: They could be the embryo of a new labor movement that challenges the power of organized money and the skyrocketing inequality that has made the American middle class an endangered species.

The opinions expressed in this commentary are solely those of Ruth Milkman.

@highlight

Ruth Milkman: Fast food and retail workers are walking out to seek better wages

@highlight

She says movement resonates because income inequality is 21st century America's issue

@highlight

She says wage issues are new front (with union support) in a labor movement that has lagged

@highlight

Milkman: Low-wage walkouts could be start of new labor push for strapped middle class