(CNN) -- They were elected to serve their small towns, but recently, mayors throughout Mexico have found themselves the targets of violent killings believed to be perpetrated by drug cartels.

As the cartels face challenges from the military and rival cartels, many of the groups have sought to increase their influence over the towns in the areas where they operate. Not only do they traffic in drugs, but cartels have diversified into human smuggling, extortion, and even into public works.

A typical drug trafficking organization has a network of lookouts on city streets, "tax" collectors who collect protection money, and hit men who enforce their will on populations.

The result has been situations where the duties of mayors -- to collect taxes, provide security, and carry out public works -- have butted against the interests of the cartels, oftentimes with fatal results.

Thirteen mayors have been killed so far this year in Mexico, in states around the country.

The killings represent just a fraction of all the mayors throughout the country, but illustrate a disturbing new development in the drug war.

The turf wars that the cartels are fighting are reflected in the office of the mayor, said Ana Maria Salazar, a television and radio political commentator in Mexico City.

"These groups are demanding more from the mayors," Salazar told CNN.

The cartels seek information, police protection and means of communication from the local governments, she said, adding that she was surprised that more mayors have not been killed.

This year, the largest number of mayors -- four -- have been killed in the border state of Chihuahua, a hotbed of fighting between the Juarez cartel and the Sinaloa cartel. Killings have also been recorded in hot spots such as the state of Michoacan, home to the Familia Michoacana cartel. Also affected have been Tamaulipas and Nuevo Leon, two border states where the Zetas drug cartel is battling an alliance comprised of the Sinaloans, La Familia Michoacana and the Gulf cartel.

George Grayson, a Mexico expert and professor of government at the College of William and Mary, said that he sees the Zetas, who got their start as army defectors, as a force behind some of the killings.

The Zetas have been on the defensive against the alliance that formed against them, as well as from the government forces.

"They are trying to demonstrate they are still important players," Grayson said. "They want to regain the reputation they think they have lost as the most ruthless organization in the Americas."

While the Zetas are not known for doing public works, some of their illicit activities -- collecting money for protection, for example -- shadow the responsibilities of the local government.

"You are expected at least to turn a blind eye, if you are a mayor, especially," Grayson told CNN.

Most of the violence against mayors has happened in small towns in drug cartel territory, where the leaders are more vulnerable than their big-city counterparts.

One example is the small border town of Puerto Palomas, known locally simply as Palomas, in Chihuahua. A year ago this month, the mayor, Estanislao Garcia, was kidnapped and then found executed.

Palomas, located across the border from Columbus, New Mexico, literally scrapes along the border with the United States. As a town, it is known as a staging area for immigrants looking to steal across the border, and lacks an industry of its own.

"It's been a difficult challenge," Maria Lopez, the current mayor of Palomas, said of her position. But since that killing, things have been relatively calm.

"I have not had any problems, thank God," she told CNN.

At first, she says that she was not scared when she succeeded Garcia. Then, she restated her answer.

"I first I was scared, why should I lie? But not anymore"

No drug traffickers have come to negotiate with her on any issues, she said.

Lopez says she doesn't know who killed Garcia, though speculation is that it was one of the cartels that work in the area.

"It's sad. It's truly sad. I don't know what is behind it," she said. Garcia had been in a quarrel with local teachers at the time of his death, but she doesn't think they were the ones who ended his life.

Other killings offer more clear evidence of cartel involvement.

In September, in the town of El Naranjo in San Luis Potosi, witnesses saw four armed and hooded men exit a white truck in front of city hall in the early afternoon. Two men waited in front of the building while the other two went inside Mayor Alexander Lopez's office and shot him.

Other killings have been even more violent. The mayor of Tancitaro, Michoacan -- Gustavo Sanchez -- was found stoned to death on the side of the road. An aide who was with him met the same fate.

Being a mayor in Mexico these days requires great courage because they face intimidation, threats and bribes, Mayor Jaime Dominguez of Ascension, Chihuahua, told CNN.

"As mayors we are under a lot of risk," he said.

Dominguez says that he tries to focus on his job, helping the people of his community with infrastructure and water projects in his agricultural town. The only crime he is concerned with are local ones, such as robbery and domestic violence.

Drug trafficking and murders fall to the state and federal authorities to investigate.

"Our job is to work closely with the community," he said. "I feel safe, I feel secure. My hands are clean."

Still, he wishes for more federal and state help for issues such as social development and security.

"In a way, this (violence) was expected," Salazar said, referring to how cartels continue to push the limit to who they can kill. Before the mayors were targeted, cartels had been targeting police chiefs throughout the country.

Grayson agreed. "I think the death toll will rise with the mayors."

Could governors be next? A leading gubernatorial candidate in Tamaulipas state, Rodolfo Torre Cantu, was gunned down in June.

@highlight

Thirteen mayors have been killed in Mexico this year

@highlight

Most are from small towns where they are more vulnerable

@highlight

Drug cartel operations sometimes clash with the work of mayors

@highlight

The violence against them could increase, analysts say