Russia ordered surprise military exercises on Ukraine's doorstep Wednesday as tensions in that country's southern Crimea region simmered, with pro-Russian demonstrators facing off against rival protesters in the city of Simferopol.

As the mood soured among the thousands rallying in front of the Crimean parliament building in Simferopol, some scuffles broke out.

One group waved Ukrainian flags and shouted "Crimea is not Russia," while the other held Russian flags aloft and shouted "Crimea is Russia," images broadcast by Crimean TV channel ATR showed. As the crowd became more agitated, a line of police moved in to divide the groups.

Local leaders sought to calm the mood, urging the protesters to go home and resist provocations.

One man died around the time of the protests in front of Parliament, the Crimean Ministry of Health said on its website. The man had no visible signs of injury, and early indications point to a heart attack, it said. Seven people sought medical help.

The demonstrations signal the broad divide between those who support what is going on in Kiev, where the new government is leaning toward the West, and those who back Russia's continued influence in Crimea and across Ukraine.

In the capital Wednesday, the names of nominees for the country's new unity government were read to the crowd in Independence Square. Opposition leader Arseniy Yatsenyuk was named as a nominee for interim prime minister, while activist Dmytro Bulatov was put forward as sports minister. Candidates are expected to be voted on in Parliament Thursday.

Russia's foreign minister has vowed not to intervene militarily in Ukraine.

But with tensions in the region high, Russian President Vladimir Putin ordered surprise military exercises.

The exercises are "to check combat readiness of armed forces in western and central military districts as well as several branches of the armed forces," Russian Defense Minister Sergey Shoigu was quoted as saying by state media.

Shoigu did not mention Ukraine, which lies to Russia's west, but the timing of the move has prompted speculation about the motivation.

Ukraine's Ministry of Defense declined to comment on the exercises since they are on Russian territory.

U.S. military intelligence has seen some Russian naval ship movement near Ukraine since the weekend, but it sees no immediate indication the Russians are preparing for any offensive military action in Ukraine, two U.S. officials said.

Instead, the officials said intelligence suggests Russia is "repositioning" up to half a dozen Russian ships near the Ukrainian port city of Sevastapol in case they're needed to respond if Russian interests are threatened.

"They want to have their assets more accessible if needed," one official said. "This will allow for an expedited response."

Sevastapol is home to Russia's Black Sea fleet, so the ships could be used, if needed, to protect the base, Russian military assets and personnel, and Russian citizens around Sevastapol, the U.S. officials said.

About 60% of the population in the city is Russian.

The White House urged "outside actors" to respect Ukraine's sovereignty.

"We urge outside actors in the region to respect Ukraine's sovereignty and territorial integrity and end provocative rhetoric and (take) actions to support democratically established transitional government structures and use their influence in support of unity, peace and an inclusive path forward," Deputy Press Secretary Josh Earnest told reporters.

Russia held at least six snap combat readiness checks of its armed forces last year, the state-run RIA Novosti news agency said.

'Rumors' fuel fears of split

Concerns were heightened in the Crimea region when the Crimean Parliament convened a previously unscheduled session Wednesday, amid local media reports that secession might be on the agenda.

But the Parliament speaker, Volodimir Konstantinov, denied there were plans to discuss "radical issues" such as the separation of Russia-oriented Crimea from Ukraine.

In a statement on the Parliament website, he dismissed the local media reports as "rumors," saying they were "a provocation aimed at discrediting and de-legitimizing the Crimean parliament."

He also urged the Crimean people to remain calm and not be provoked, the statement said.

In Sevastopol, residents told CNN they were angry that President Viktor Yanukovych has been forced out and fear that they will be oppressed by the country's new leaders.

Small pro-Russian protests were taking place in the Black Sea city Wednesday.

A CNN team in the area encountered more than one pro-Russian militia checkpoint on the road from Sevastopol to Simferopol.

Yanukovych's base of support is in eastern and southern Ukraine, where Russian culture and language predominate. In that region, most people are suspicious of the Europe-leaning views of their counterparts in western Ukraine, who were at the heart of the anti-government protests that filled central Kiev.

Many are struggling to come to grips with the rapid political upheaval that has unfolded in Ukraine in recent days, after months of protests and last week's bloody clashes between protesters and security forces.

Russia's Foreign Ministry has accused Ukraine's lawmakers of discriminating against ethnic Russians by excluding them from the reform process.

Talks on new government

The tensions come as Ukraine's lawmakers scramble to put together a new unity government amid continued instability after Yanukovych's ouster.

Vasil Gatsko, of the Ukrainian Democratic Alliance for Reforms (UDAR) party, said the newly formed government will be officially voted on in Ukraine's Parliament on Thursday morning. The interim authorities had initially hoped to announce a new government Tuesday.

The names of the nominees for the new administration were read in Kiev's Independence Square, or Maidan -- which has been at the heart of the protest movement -- for approval from the crowds gathered there.  The nominees were selected in a meeting Wednesday of the three main opposition parties and smaller parties.

Bulatov, who was put forward as sports minister, spoke to CNN soon after the announcement. He is well-known as the activist who reappeared more than a week after he went missing amid anti-government protests, telling reporters he'd been kidnapped and tortured by his captors.

"People have to feel the changes, not to hear about them, but see them," he said.

When asked what he saw as his biggest challenge as a possible minister, Bulatov replied: transparency.

"I think the first thing I must do is to bring more transparency," he said. "It's gonna be the society, civil society I mean, who will be making decisions. The minister is a public person, and people must decide what is better, what are the priorities."

Lawmakers face the challenge of forming a body that genuinely represents of all the main political parties, despite their widely divergent views, and includes technical experts and some of the people's heroes from the protests in Independence Square.

Presidential and local elections are due to be held on May 25.

One candidate has already been announced. Opposition leader and former heavyweight boxing champion Vitali Klitschko, of the UDAR party, will run for the presidency, his press secretary Oksana Zinovyeva said.

'We were trapped': Eyewitness to the massacre in Kiev

Elite riot police disbanded

Earlier Wednesday, acting Interior Minister Arsen Avakov announced that a riot police force used against anti-government protesters in Ukraine had been disbanded.

Demonstrators accused the elite Berkut force, deployed by the government of Yanukovych to quell recent protests, of using excessive force.

Avakov said on his Facebook page that he'd signed the order disbanding the force Tuesday.

But the new, pro-Russian mayor of Sevastopol said Tuesday night at a rally in the city that he had secured funding to keep paying Berkut riot police there even after the force was disbanded.

The mayor, Alexej Chaliy, was elected in an unofficial local vote, but the interim authorities in Kiev have said he is not a legitimate leader.

Last week, the bloody street clashes between demonstrators and security forces left more than 80 dead, the deadliest violence in the country since it gained independence when the Soviet Union collapsed 22 years ago.

Russia, which backed Yanukovych, contends that the President was driven out by an "armed mutiny" of extremists and terrorists. A warrant has been issued for his arrest, but his whereabouts remain unknown.

Diplomatic moves

While Yanukovych is on the run, the diplomatic wheels have been set in motion within the international community.

One key concern is Ukraine's perilous financial position.

Interim Finance Minister Yury Kolobov proposed Monday that an international donor conference be held within two weeks. Ukraine, he said, will need $35 billion in foreign assistance by the end of 2015.

Russia had offered Ukraine a $15 billion loan and cut in natural gas prices in November, but that deal seems unlikely to remain on the table if Ukraine turns toward Europe.

UK Foreign Secretary William Hague tweeted Wednesday: "Will discuss international financial support for #Ukraine at the IMF in Washington DC today."

Ukrainian state news agency Ukrinform said the country has slashed its imports of natural gas from Russia in recent days.

A U.S. State Department spokeswoman on Wednesday stressed that no decision has been made about financial assistance.

"The United States is continuing to consider a range of options, including loan guarantees, to support Ukraine economically.  But no decision has been made, and the next step is the formation of a multiparty, technical government.

"Once that government is formed, we will begin to take immediate steps, in coordination with multilateral and bilateral partners, that could compliment an IMF package, to support Ukraine," said spokeswoman Jen Psaki.

Speaking in Washington on Tuesday, U.S. Secretary of State John Kerry said officials were "deeply engaged in trying to help this extraordinary transition that is taking place in Ukraine."

In a joint news conference with Hague, Kerry said that Ukraine's alliances should not necessarily determine what happens to its people -- and that it was not a "zero sum" game.

"It is not a Russia or the United States or other choices," he said. "This is about people of Ukraine and Ukrainians making their choice about their future. And we want to work with Russia, with other countries, with everybody available to make sure this is peaceful from this day forward."

Yanukovych's decision to scrap a European Union trade deal in favor of one with Russia prompted the protests, which began in November.

Opinion: What the West owes Ukraine

Opinion: Putin's bad week could be Russia's good week

20 questions: What's behind Ukraine's political crisis?

@highlight

"People have to feel the changes, not to hear about them," says an activist

@highlight

A U.S. official urges "outside actors in the region to respect Ukraine's sovereignty"

@highlight

Nominees for a new unity government are announced in Independence Square

@highlight

Scuffles break out outside Crimean parliament between pro- and anti-Russian protesters