Atlanta, Georgia (CNN)  -- I know it's called "Father's Day," not "Stepfather's Day." But not all fathers are fathers, biologically speaking. And on Father's Day, we also should celebrate their efforts, thankless as they may be.

Take Haskell, my children's stepfather.

My first husband and I divorced 15 years ago, and I married Haskell in 1999. To borrow from humorist Erma Bombeck when writing about her stepfather, if Haskell had been the relief pitcher brought in to bail out his team, the crowd would have cheered.  Had he been the off-duty cop who delivered the baby because the ambulance was stuck in traffic, he would have been called a hero. Or had he been the understudy who filled in when the beloved star got sick, he might have gotten rave reviews.

But Haskell wasn't any of these things.

Instead, when he became my husband, Haskell also became stepfather to my two children, God bless him.  To the kids, he was like instant iced tea, not the steeped kind; store-bought cookies, not freshly baked; store brand cola, not the real thing. Simply put, he was not their biological father.

In the eyes of my children, Haskell was an alien who appeared one day, hypnotized their mother and set up camp in their home, toting his organic food, reggae music, incense and all things African. He was someone to endure, if not at times ignore -- that is until they needed a ride somewhere, the latest cell phone or a new computer.

The first few years in what sociologists call "a blended family" can sometimes be open warfare.  I understand why. Children often resent the sudden realignment of their home and their lives.

"You're not my father," the kids would sometimes yell at him, "you can't tell me what to do!" And when he looked to me for backup, he'd often have to hear:  "You're not their father so you can't tell them what to do!" I might have had my reasons then, but I regret that now.

I think of all the times Haskell had to play second fiddle at the birthday parties, graduations and even my daughter's debutante ball. I know it had to be painful when the children hung photos of their "nuclear family" on their bedroom walls and he was nowhere in them.  For the most part, he put up with all this generously and without a fuss, and I appreciate that.  It was a tough time for all of us.

But over the past 13 years that Haskell has been in our lives, and after hundreds of family meetings, hours of group therapy sessions and more than a dozen self-help books, (including "Step-parenting for Dummies"), I've finally noticed a change of hearts.

It is now clear Haskell has had a tremendous impact on my -- let me rephrase -- our children's lives.

For instance, my husband has devoted his entire life to the economic development of Africa.  It is no coincidence that our 27-year-old son is a successful businessman living in Africa.  And our 23-year-old daughter is serving in the Peace Corps; Haskell was one of the first Americans to serve in the Peace Corps in Ethiopia in 1962.

So although I can say I am proud that our children have independently chosen to lead lives of global service, I am equally convinced that it is due in part to Haskell's influence in their lives.

Research shows that a good father can help set his children on the right course in life. In studies of children in homes headed by single mothers, the U.S. Department of Health and Human Services found that many children without active fathers have lower grade point averages, lower college aspirations, poor school attendance records, higher dropout rates and are more likely to be in trouble with the law than children who live with both parents.

Sociologists have also concluded adolescent girls from 15 to 19 years old reared in homes without fathers are significantly more likely to engage in premarital sex and get pregnant than girls reared in homes with a mother and a father.  So the presence of fathers in our homes is not only important. It is sometimes vital.

Each home is different, and every family has its own particular challenges, often including the challenge of a failed father or one who is absent altogether. But no matter whether the men who have a positive influence on the lives of our children are their birth fathers or their stepfathers, grandfathers, uncles, brothers or teachers, their contributions are important.  And we should include these men when we celebrate Father's Day.

The opinions expressed in this commentary are solely those of Leah Ward Sears.

@highlight

Leah Ward Sears: On Father's Day, we should celebrate contributions of stepfathers

@highlight

Stepfathers have a tough time being accepted, she says, and often play second fiddle

@highlight

Stepfather to Sears' children generously put up with resentment in early years

@highlight

Sears: Honor grandpas, uncles, stepfathers, all who have a positive influence on kids