(CNN) -- Pope Francis sent shock waves around the globe last July when in addressing the issue of gays in the church, he opted not to remind his 1.6 billion followers about the fiery pits of hell but instead posed a question: "Who am I to judge?"

Not exactly a ringing endorsement for equality, but the rhetorical question was light years away from what we have grown accustomed to hearing from his predecessors. And because of that, we felt a glimmer of hope that maybe the needle within the larger Christian community had moved from hostile rhetoric to civil engagement.

Maybe even tolerance.

In their nearly one-hour meeting this week, Pope Francis and President Barack Obama reportedly spent the bulk of their time discussing empathy.

"It's the lack of empathy that makes it very easy for us to plunge into wars," the President said afterwards.

Presumably he was referring to military wars, though that sentiment is obviously applicable to the culture war as well.

For only a lack of empathy could prompt officials at a Christian school in Virginia to suggest an 8-year-old girl attend a different school because she wasn't behaving in a feminine enough way to stay at theirs. (The school says it can't provide details because of confidentiality, but "this matter is far beyond a simple 'hairstyle and tomboy issue' as inaccurately portrayed.")

Only a lack of empathy could lead Catholic school officials to fire a beloved teacher for planning to marry the love of his life. Lack of empathy explains how "The "700 Club's" Pat Robertson can be flippant about stoning gay people to death in the days of Jesus, or how Franklin Graham -- Billy Graham's son -- can suggest that LGBT people might adopt children in order to "recruit."

All of these incidents occurred after Pope Francis asked "who am I to judge?" as if ostracizing an elementary school tomboy was the best answer some of the Christian faith had to that question.

On the day the story of the little girl made national headlines, Dan Haseltine, lead singer for the Christian band Jars of Clay, tweeted, "why do I find myself regularly shaking my head, or rolling my eyes at supposed Christian leaders." He followed with, "I am learning that love's most potent manifestation happens when we make room at the table for everyone."

Haseltine's remarks were refreshing, because many Christians in his position prefer silent disapproval in response to over-the-top quotes and head-scratching stories like the one involving the little girl. If you're curious why more and more people are leaving the church, maybe it's because they hear "love the sinner but hate the sin" from the pulpit -- and then see so many followers go about their day as if simply saying the word "love" excused them from actually having to show any.

Many followers of Christ may find silence on this topic easier, not noticing silence is being interpreted as endorsement -- whether they agree with the anti-gay rhetoric or not. For each time "Who am I to judge?" is asked, an anti-gay quote from the Catholic League's Bill Donahue is there to answer.

To move Pope Francis' question from a global headline to global change, Christians must stop allowing silence to be the de facto weapon of choice against the senseless persecution of gay people.

Forty percent of the country's homeless youth identify as LGBT, with nearly half kicked out of their homes by those who are supposed to love and care for them. There's a sermon topic we don't hear every week -- but we should.

Slave owners used to start and end each service on the plantation with Ephesians 6:5 -- "Servants, be obedient to them that are your masters according to the flesh, with fear and trembling, in singleness of your heart, as unto Christ."

"Who am I to judge?" was not enough to change that.

Women were once compelled to stay with abusive husbands with the words "wives, submit yourselves unto your own husbands, as unto the Lord."

"Who am I to judge?" was not enough to empower women and get the legal system to prosecute their assailants.

It was in such silence that laws in Uganda were originally drafted to make being gay punishable by death. Laws that found validation from the ties some Ugandan politicians had to well-known U.S. evangelicals who regularly visited the country. The evangelicals have since distanced themselves from the anti-gay politics of Uganda. Not because of some moral stirring within their soul but because they were called out on it.

Because the silence ended.

Cardinal Timothy Dolan -- when asked about NFL prospect Michael Sam coming out of the closet -- said on NBC's "Meet The Press," "The same Bible that tells us -- that teaches us well about the virtues of chastity and the virtue of fidelity and marriage also tells us not to judge people."

It's a truism ignored way too often by anti-gay Christian leaders. A truism that isn't reiterated enough by those who follow them.

@highlight

Pope Francis and President Obama discussed the importance of empathy

@highlight

LZ Granderson says the Pope was right last year when he said: Who am I to judge?

@highlight

Sadly, he says, many others don't follow that teaching

@highlight

Granderson: Don't answer the persecution of gay people with silence