(CNN) -- When several health setbacks sapped my 77-year-old dad's zest for life, I had to do something.

My friend Diane came to my rescue when she showed off her Fitbit, a small wearable digital device that logs every step you make and nudges you to keep moving.

It also tracks your calories to help watch how much you eat. I was intrigued.

My dad, Vesselin Vassilev, loves gadgets, so I thought a Fitbit could get him off the couch. Six months later, he's still moving.

He's lost weight and feels more energized, but what happens when the novelty wears off?

Can digital monitors really help people like my dad kick unhealthy habits blamed for growing global obesity rates?

A health study published in January by a UK-based think tank says over-eating and sedentary lifestyles are causing an "explosion" of obesity around the world.

The Overseas Development Institute's "Future Diets" study found that in 2008, one in three adults was overweight or obese, a 23% rise from 1980.

In the same time, obesity had spread faster in the developing world than richer countries.

People are gaining weight because they're eating more meat, sugar and fat -- and in bigger portions.

And doctors say obesity puts us more at risk of some of the leading causes of preventable death -- like heart disease, stroke, type-2 diabetes and certain types of cancer.

Doctors say we need to eat less and move more to maintain a healthy weight.

But getting us moving has been an uphill battle. Few people are able to stick with a fitness routine for long.

Gold's Gym in the U.S. says 50% of their members eventually return to their sedentary lifestyle.

You've probably noticed how gyms get crowded by the "New Year Resolution" people in January, only to get back to normal by spring. Many people just can't stay motivated for long.

So does technology stand a better chance?

Digital activity monitors seem to offer a technological solution to solving both problems, eating too much and moving too little.

They all work in a similar way, using a sensor to track movement, heart rate and body temperature.

They nudge you to move when you sit too long and give you feedback on whether you're meeting your goal.

You can wear them as a bracelet or pin them to your belt or clothing. They can connect to websites where you can check your daily activity, log your calories and compete with other users.

Some of the monitors can tell you how well you've slept, by tracking your moves at night.

Among the most popular brands are Fitbit, Jawbone UP and Nike FuelBand. They cost between $60 and $200, depending on the features.

According to NPD, a consumer market research group which tracks sales, Fitbit had 67% share of the U.S. retail market, Jawbone UP accounted for 19% and Nike FuelBand, 10%.

Fitbits are now sold in 30,000 stores across 28 countries around the world. And Jawbone has announced plans to expand in Europe, Asia, Australia and the Middle East.

Last year Fitbit made inroads at CNN. Several staff gave it a try, including my colleague Courtney Perkins.

"Little did I know, that would be the one thing, after countless diets and resolutions and short-lived exercise programs, that finally works," she said.

So I surprised my dad with a Fitbit when I went to see him in my native Bulgaria.

Associate Professor Katie Siek, who studies wearable digital devices at Indiana University's Informatics Department, says monitors have taken off because they are easy to use and actively track progress towards goals.

But is this another passing fitness fad?

Health economist Jane Sarasohn-Kahn believes they have lasting power because they meet the needs of our modern lives.

She says do-it-yourself monitoring will become more important in healthcare, both as a way for people to manage their health and get feedback from their doctors.

Courtney is still using her Fitbit more than a year later, while dad has been wearing his for six months.

Dad says: "I move two to three times more than before and I'm more energized and feel stronger.

"I walk three to five miles a day and want to do even more."

But Courtney is our newsroom Fitbit star. She lost 30 pounds (13kg) in eight months.

She went from being overweight to being in the normal range and has kept the weight off since last November.

But they have their struggles. Dad is still used to putting his feet up. Courtney's biggest challenge is life's special occasions, "the perfect excuse to slack off."

She says: "I have to work hard to maintain my no-excuses policy while still cutting myself some slack every once in a while. It's a tough balance to strike.

"Also, vacations -- when I take a week off from work, the routine is broken. I really have to make sure I'm wearing the Fitbit and logging calories every day or I'll fall off the wagon."

For now Courtney and dad are determined to stick with their Fitbits.

But even if they lose interest, they all say they've gained one lasting benefit, more awareness of how much to move and eat to stay healthy.

Sarasohn-Kahn says awareness helps us adopt good habits.

"Over time, your daily life flow changes and these movements become more automatic.

"These actions can be mutually-reinforcing, in particular the more you move, the more you burn calories, so that informs the food choices you make on a daily basis."

The Endeavor Partners research firm found that 50% of consumers stopped using their digital tracking devices within six months.

But device use could go up as more employers provide them to cut healthcare costs. And scientists are testing ways to tweak digital activity trackers to help people stay with them longer.

The biggest benefit to me is how it helped my dad regain his zest for life.

But I'm a little apprehensive about getting a monitor. I worry about becoming too controlled by a gadget always keeping a wary eye on me.

Besides, my "low-tech" routine has worked well for more than six years now.

But seeing how much fun people are having with their monitors, it might just be enough to nudge me to join in the fun.

@highlight

Do-it-yourself fitness monitoring is a growing trend

@highlight

But do gadgets that track your exercise programs have lasting benefits?

@highlight

CNN's Ralitsa Vassileva looks at the progress made by her colleagues -- and her dad