When I first saw Thug Kitchen in 2013, I, like thousands of other people, was intrigued by a website -- anonymously penned -- that peppered its posts with phrases like "Hydrate Mother F—ker!" and "Antioxidants are all up in the B—h!" in an effort to promote healthy eating. So effective, it was hard to look away.

Most compelling to me and my contemporaries was the site's name, specifically the word "thug." As an African-American activist and author working to excite people to eat more healthfully (and create more access to fresh affordable food in communities most impacted by food injustice), I have long thought about the important role of pop culture and online media in changing people's attitudes, habits and politics around food.  "Start with the visceral, move to the cerebral and then the political" has been the mantra guiding most of my efforts.

The pairing of vulgar, slang-heavy admonitions with big, bright, nutritious recipes was certainly visceral. But the more I read through the Thug Kitchen posts, the more skeptical I became about the cerebral and political aspects, if they even existed.  I held out hope that Thug Kitchen was a ham-fisted attempt to craft viral memes that might positively influence the eating habits of the "thugs" that the wider culture imagines when that word is used: young black men living in low-income urban neighborhoods.

In her book "Talkin and Testifyin," linguist Geneva Smitherman describes how "through song, story, folk sayings, and rich verbal interplay among everyday people, lessons and precepts about life and survival are handed down from generation to generation." So, maybe this anonymous writer was a working-class young person of color attempting to engage in linguistically and culturally appropriate cyberoutreach to young folks with similar backgrounds?

Don't fear the vegan

While on a promotional tour in the spring for my latest book, "Afro-Vegan," I met a 30-something Philadelphia-based healthy eating activist who was focused on transforming the consumption habits of people by "inspiring and improving the quality of life, one fruit and veggie at a time. Spreading the love, and knowledge, of an all plant-based diet."  This cat was affectionately known as the "Gangster Vegan."  A less cynical side of me imagined someone like him, who seemed genuinely committed to transforming communities, or like YouTube's outrageously fun "Sista Girl," Felicia O' Dell aka Auntie Fee, as the blogger behind Thug Kitchen.

If only.

A week before the publication of the site's eponymous cookbook "Thug Kitchen: The Official Cookbook: Eat Like You Give a F**k" it was revealed that Michelle Davis and Matt Holloway, a young white couple living in Hollywood, created and maintained the site.

Needless to say, audiences were surprised.

Many critics accused the duo of playing around with a post-Internet form of blackface and ultimately benefiting from it financially. Some apologists denied there was anything specifically racist, or even racial, about the swearing and slang. Others cried foul at the critics, claiming that a little harmless inauthenticity was A-OK if it raised the profile of fresh, healthy foods and diets.

Certainly, swearing isn't exclusive to African-Americans. But many of the site's captions, usually dreamed up by Davis to accompany Holloway's striking visuals, rely heavily on phrases from black rap lyrics, stand-up routines and films, which eventually went mainstream.

"Nobody needs mayo in their life;" "Calm your bitch ass down like a boss;" and "Don't f*&k around with some sorry-ass ten-dollar takeout" are hardly the language of a "Sopranos" mobster or "Sons of Anarchy" biker.

And that's a problem.

If Guido's Kitchen were revealed to be the work not of a blue-collar, East Coast Italian-American, but of an Asian hipster living in the Bay Area, wouldn't his credibility be shattered? The careful avoidance of putting any faces to the Thug Kitchen name for as long as possible (two years) suggests an awareness of the offense.

It's no coincidence that Thug Kitchen's admirers often imagined the "voice" of the site to be that of shrill, vulgar and often uproariously funny black men like actor Samuel L. Jackson or rapper Ghostface Killah, and not that of actor Robert De Niro or Hells Angels founder Sonny Barger. The contrast drawn between the consciously progressive dishes shown and the imagined vulgar, ignorant thug only works if the thug is the kind of grimy person of color depicted in the news and in popular media as hustling drugs on a dystopian block, under the colorful glow of various burger stands, bulletproof take-out spots or bodega signs. "Those kind of people," the visual gag suggests, "intimidating you into... preparing arugula or tempeh? How absurd, how shocking, how hilarious!"

Whites masking in African-American street vernacular for their own amusement and profit isn't just the tired trope of cultural exploitation, which has a rich tradition going back beyond the bete noires of the moment, Macklemore and Iggy Azalea, past Vanilla Ice and Quentin Tarantino, and even beyond Madonna, Elvis and the minstrel shows of the late 19th century that first innovated modern American blackface spectacles. And it isn't just breaking some unwritten codes governing race and language, either.

(A common misunderstanding about racism, that there are hordes of sensitive, politically correct grievance peddlers waiting to descend upon people for saying the wrong word or idea, usually comes arm-in-arm with claims of reverse racism and a witch-hunt mentality of political correctness run amok that is as hurtful and divisive as the allegedly racist word or idea itself. Take Paula Deen and Donald Sterling, the sentiment holds, and how they are punished for merely saying a mistaken word or opinion in private that later became public knowledge).

Paula Deen and Southern food: Critics say credit is past due

The worst offense here is the misrepresentation. As food historian Jessica Harris has noted, "the traditional [West and Central] African diet and African-American diet are essentially ... a majority vegetarian" one. Concepts like farm-to-table, eating seasonally and eating locally, while increasingly popular in the mainstream, were not news to a community who was enslaved and brought to America generations ago to help develop the agrarian South.

African-American cuisine may suffer from the stigma and stereotype of being based in fatty pork-based dishes and butter-heavy comfort foods, but in truth, that kind of meat-heavy, indulgent decadence was scarce for millions struggling under the oppression of segregation before the industrialization of our food system. When we peel away the negative stereotypes and reductive portrayals of African-American food, we see a diverse and complex culinary tradition with nutrient-rich foods like collards, mustards, turnips, butter beans, black-eyed peas, green beans, sugar snap peas and the like at the cuisine's core.

Urban farmer: 'If I do not farm, I'll get sick.'

As of 2011, for 57% of African-Americans, the Southern United States is still home, and most of them come from families who have been close to the land for generations as sharecroppers and migrant agricultural workers. My grandparents, and those of many other Southerners, cultivated home gardens that yielded a number of the crops mentioned above. Many still do. First lady Michelle Obama's advocacy of home gardens isn't trendy for her and millions like her who descend from the South: it's traditional.

Whether or not the hipsters and health nuts charmed by Thug Kitchen realize this, vegetarian, vegan and plant-strong culture in the black experience predates pernicious thug stereotypes.

Said another way, the Thug Kitchen's central comic conceit doesn't jibe with reality.

@highlight

Bryant Terry, an author and food advocate, was initially intrigued by Thug Kitchen

@highlight

The site, which promotes healthy eating, uses vulgar stereotypes to promote its message

@highlight

The creators turned out to be a white couple

@highlight

Terry argues against the misrepresentation of African-American food habits