Business Insider is contributing a series of columns to CNN.com that challenge commonly held beliefs about the tech world.

(Business Insider) -- Google loves to talk about how "open" Android, its operating system for mobile devices, is. Especially when it comes to comparisons between Android and Apple's iPhone, openness is Google's favorite talking point.

But what, exactly, does it even mean that Android is "open?"

Google would point to a number of broadly related facts about the OS, but here's the essential point: Android is "open" in that Google distributes its source code under something called the Apache License.

Code distributed under an Apache License is free for anyone to use as they wish. Importantly, unlike some open source licenses, the Apache License lets anyone use the code in question as part of proprietary software.

That is, if you write something and distribute it for free under the Apache License, I'm free to tack on some modifications, keep the added code a secret, and charge customers for the whole package.

So, while Google likes to say that Android's openness is about giving the consumer freedom, the real freedom here has nothing to do with consumers. Consumers don't buy operating systems.

They buy phones. Phone manufacturers -- and the mobile carriers with whom they form partnerships -- are free to add code to Android as they see fit before loading it on to their handsets and selling them to you.

They're also free to throw up all sorts of hurdles to make it difficult for you to get rid of their software and install a "clean" version of Google's OS.

The changes that handset makers and carriers make to Android are generally bad news for the consumer. Many pre-install shoddy, proprietary software -- "bloatware" -- which can't be removed, to drive users to their own services.

They also cripple phone features. The latest version of Android, for instance, lets you use your phone as a mobile hotspot, allowing you to access the Internet wirelessly from your nearby computer, using the phone's data connection.

Unfortunately, on most phones, that feature is broken by default, and can only be enabled by paying your carrier an extra monthly fee.

Google's response to this is that because many different manufacturers are competing to sell Android phones, consumers will always win out in the end.

If consumers didn't like the bloatware that came with their phones, other manufacturers wouldn't include it, the bad actors would lose customers, and everyone would have to adjust. As Eric Schmidt put it: "that's how markets work."

That is how markets work in textbooks. It's also more or less how unrestricted markets for undifferentiated products with large numbers of sellers work in practice. Unfortunately, it's not how the market for cell phones works.

There are just a handful of corporations in the world that make quality, high-end phones. And, in any given area, there are only a few carriers to provide service to those phones. There are two oligopolies in between you and Android, and they're working together. With all due respect to Eric Schmidt, that sort of market generally doesn't work very efficiently at all.

To be fair, there are lots of great ways in which Android really does give users more freedom than the iPhone. For one thing, Google doesn't try to prevent you from downloading apps of which it doesn't approve.

And, for the most part, opening up the OS to competition between different hardware manufacturers is terrific. These aspects of "openness" are a big part of why I switched to Android, and have no plans to go back.

But letting handset makers and, especially, carriers make the Android experience worse is a bad move, and one the hurts Google's customers. And, contrary to what the company claims, it wouldn't have to betray any principles of open source to fix this. Google can go ahead and give away its source under the Apache License, and let people run wild with it. But it shouldn't give away the "Android" brand to any company that cripples the product. Google is spending lots of money hyping that brand, and it is staking its reputation on it. These companies are taking full advantage of that.

Google can be open without letting companies release inferior products with Google's name on them. That kind of openness is bad news for the consumer, and ultimately bad news for Google.

Copyright © 2010 Business Insider.

@highlight

Apache License lets anyone use the code in question as part of proprietary software

@highlight

Google doesn't try to prevent you from downloading apps of which it doesn't approve

@highlight

"It shouldn't give away the "Android" brand to any company that cripples the product," says Saint