(CNN) -- The fiercest clashes since anti-government demonstrations began in Taiz four months ago erupted overnight Monday between anti-government gunmen and members of government security forces, witnesses said.

They cited heavy gunfire near the Republican Palace, which is less than two miles from the city's Freedom Square, where tens of thousands of anti-government protesters had taken to the streets.

The witnesses did not want to be identified, citing fear for their safety.

The goal of the anti-government gunmen was to protect the anti-government demonstrators, who have repeatedly come under fire from security forces during the past two months. Last week, Yemen's government faced condemnation from the United Nations and others for the killing of as many as 50 anti-government demonstrators in Taiz.

The unrest came shortly after Saudi state-run Ekhbariya television reported Monday that Yemeni President Ali Abdullah Saleh had undergone two operations in Saudi Arabia and would return to Yemen after he recovers. Saleh is in Saudi Arabia for treatment following a rocket attack on his presidential compound on Friday.

There were conflicting reports about his health, with Western diplomatic sources saying Sunday that Saleh was undergoing brain surgery, while a spokesman for his party described the procedures as "simple checkups."

A senior U.S. official said Saleh had suffered shrapnel wounds and severe burns to his face and chest, adding that the severity of the wounds was not clear. The official declined to be named due to the sensitivity of the situation.

Another U.S. official told CNN Monday afternoon that Saleh had suffered serious injuries. "It's not an insignificant wound; he is severely hurt," the official said.

The official did not have an update on Saleh's prognosis, but did say it was "unclear if and when" he would be able to return to Yemen. He's "under a lot of political pressure," the official said.

The official added that Acting President Abed Rabbo Mansour Hadi is "probably not a long-term player, but (is) a caretaker for the regime," although he could become a post-Saleh candidate in any future elections.

The official pointed out that some tribes have honored Hadi's call for a cease-fire. "He carries some weight" in running the government, the official said of Hadi.

The official said the Yemeni military was behind the government, but the source would not predict if that would last.

The official acknowledged that al Qaeda in the Arabian Peninsula, also known as AQAP, had enjoyed free rein in certain parts of Yemen even before the current unrest. They probably have "slightly more free rein now," the official said.

According to the official, AQAP was trying to take advantage of the current situation. The organization has said it opposes the Saleh government and would like to see it collapse. AQAP will try to establish a foothold in other areas of Yemen -- either alone or allied with others, the official said.

The group has a significant presence in the southern province of Abyan, also home to an Islamic militant movement that has targeted government troops for the past three days. The militants killed four soldiers and five civilians Monday in the city of Zinjibar, the scene of several recent battles with Yemeni forces, according to a security source in Abyan, who has asked not to be named as he is not authorized to speak to the media.

Another 17 people, most of them civilians, were wounded in the clashes, the security official said. And a total of 10 government troops died in Saturday and Sunday ambushes in Abyan, a senior Interior Ministry official told CNN.

The U.S. official called AQAP "a small group," although "a potent force."

"There are not thousands of them," the official said, referring to the situation with AQAP as "a scale factor." It's questionable whether they can mount a sizable opposition, but they could influence the political and military situation in Yemen, the official said.

The official said the unrest makes it "more difficult" for U.S. counterterrorism efforts in Yemen. "We rely on the Yemeni government as partners. The more the government is distracted by the political unrest, the more difficult it is for us."

The Yemeni government has had a "big impact on acquiring information on AQAP," said the official, adding, "if that information flow slows or stops, it inhibits our ability to gather information."

The official would not comment on whether the instability is an opportunity for the United States to take more aggressive actions in Yemen.

White House press secretary Jay Carney said Monday that one of President Barack Obama's top security advisers, John Brennan, has spoken to the acting president in Yemen. No details of the discussion were provided.

Two opposition leaders in Yemen expressed support Monday for Hadi, the vice president who

assumed temporary power when Saleh flew to Saudi Arabia.

"We do not have any problem if Hadi takes control of the government. He is respected by the people," said Tawakkul Karman, adding that Hadi "must use this historic moment to enter Yemen's history as a leader and revolutionary."

But she warned that if he does not "conduct immediate reforms, the youth protesters will go against him the same way they did against Saleh. It's Hadi's choice to decide which door of history he wants to go through."

Ahmed Bahri, a senior official of the opposition Joint Meeting Parties, said that if Hadi can lead peaceful change, "we welcome it. If not, he should step aside and not stall the revolution."

"Hadi has been respected by all the political factions for decades, but Saleh did not give him a chance to lead positive change," Bahri said. "Today is his opportunity to repay the Yemeni people for their patience and work for the sake of the people and not for Saleh."

In other violence Monday, three Hashed tribesmen were killed by Yemeni government snipers despite a cease-fire between the sides, a spokesman for the tribe's leader said.

The cease-fire was agreed upon late Sunday between Hashed leader Sadeq Al-Ahmar -- who opposes the Yemeni government -- and Vice President Hadi, said Abdulqawi Al-Qaisi, spokesman for the Hashed leader.

He blamed Yemen's Republican Guard for the tribesmen's deaths in the Yemeni capital of Sanaa.

"The tribes are insistent that the cease-fire continues, but the Republican Guard wants chaos as usual to show the people that, without Saleh, clashing will take place everywhere," Al-Qaisi said.

But the government denied being behind the deaths.

"The government does not attack people who are not going against the law," government spokesman Abdu Ganadi said. "These are claims from the tribes in order to cause more crimes in Sanaa."

Supporters of Al-Ahmar are suspected in the Friday attack on the Yemeni presidential compound. Yemen's state-run news agency SABA, citing a source in Saleh's office, reported last week that three guards and an imam were killed.

Yemeni security forces shelled Al-Ahmar's home on Friday in response to the attack, leaving 10 people dead and 35 others wounded, according to Fawzi Al-Jaradi, an official with the Hashed tribal confederation.

The cease-fire deal followed two weeks of clashes between government and tribal forces in Yemen, where thousands of protesters have been pressuring Saleh to give up power since January.

The fighting erupted when Saleh balked at a deal with the opposition that would have eased him out of office in 30 days.

Yemen's largest opposition bloc had vowed to prevent Saleh from returning.

"The Yemeni people will do all in their power to not allow Saleh to re-enter the country," JMP spokesman Mohammed Qahtan said Sunday.

CNN's Pam Benson, Tim Lister, Nic Robertson and Elise Labott contributed to this report.

@highlight

NEW: Islamic militants kill troops, civilians in southern Yemen

@highlight

Fiercest clashes in Taiz since demonstrations began, witnesses say

@highlight

A U.S. official says Yemeni President Ali Abdullah Saleh is "severely hurt"

@highlight

Opposition leaders express cautious support for the vice president