Checking off the world's most important natural and cultural wonders can be a herculean task.

The World Heritage List -- that most lauded and recognizable of preservation lists -- includes nearly 1,000 sites all over the world.

That number will almost certainly increase when the World Heritage Committee of the United Nations Educational, Scientific and Cultural Organization meets June 15-25 in Qatar.

Instead of sorting through that encyclopedic list, why not start at the very beginning with the first 12 sites?

The Galapagos Islands in Ecuador, Yellowstone National Park in the United States and the Island of Goree in Senegal were among the 12 sites named to the first list in 1978.

Only countries that sign the convention creating the World Heritage Committee and list can nominate sites, and that was just 40 countries when the first nominations came out. Thirty-six years later, 191 nations have signed the convention.

"There is an incredible diversity of sites both natural and cultural around the world," said Mechtild Rossler, deputy director of UNESCO's World Heritage Centre, a 22-year veteran of the organization. "The beauty of this convention is that the text defining natural and cultural heritage is very broad."

Being named to the list is a big deal. Government officials work for years to prepare their nominations, and preservation officials hope for those designations to support their work. And what tourist site doesn't tout its World Heritage Site designation?

While we wait to learn the newest members of this prestigious list, here are the first 12 World Heritage sites, listed in the order in which they are listed in the minutes of the September 1978 meeting in Washington.

L'Anse aux Meadows National Historic Park, Canada

What's left of the 11th-century Viking settlement at L'Anse aux Meadows National Historic Park on the island of Newfoundland in Canada is the earliest evidence of the first European presence in North America.

Excavations have found timber-framed, peat-turf buildings like those found in Iceland and Norse Greenland during the same period. It's the first and only known Viking site in North America. The site was protected by the government of Canada in 1977,  just a year before its inclusion on the World Heritage List.

Nahanni National Park, Canada

Located in Canada's Northwest Territories along the South Nahanni River and the Flat River, Nahanni National Park was protected as a national park by Canada in 1972.

Nahanni includes almost every known type of North American river and stream, enormous waterfalls, granite peaks, deep canyons, a unique limestone cave system and evidence of ancient rivers. Some 40 types of mammals and 170 bird species call this park home.

Galapagos Islands, Ecuador

The 19 islands and surrounding marine reserve that are the Galapagos Islands are part of a unique archipelago of unusual animals, plant life and seismic activity that inspired Charles Darwin's theory of evolution.

Located about 1,000 kilometers (620 miles) from the South American continent where three currents meet in the Pacific Ocean, the Galapagos host an intriguing collection of animal and plant life. Residents include the blue-footed booby, giant tortoises, flightless cormorants and marine iguanas.

Some 97% of the total emerged surface was declared a National Park in 1959. The Galapagos Marine Reserve was created in 1986 with an area of 70,000 kilometers and was expanded to 133,000 kilometers in 1998.

City of Quito, Ecuador

Named for the Quitus, who lived in the area before the Spanish conquest, the capital city of Ecuador was built in the 16th century on the ruins of an Incan city. Despite many earthquakes, Quito's historic center is quite well-preserved.

See the style of the Baroque school of Quito, a fusion of European and indigenous elements, in the monasteries of San Francisco and Santo Domingo and the Church and Jesuit College of La Companía. Built in the old Spanish style, the cathedral, archbishop's palace, government palace and city hall face onto the city's main square.

Simien National Park, Ethiopia

Incredible mountain peaks, deep valleys and rare animals call Simien National Park home. You'll find the Walia ibex (a goat found nowhere else in the world), the rare Gelada baboon and Simien fox. There are also leopards, spotted hyenas, jackals and 400 bird species.

The park holds incredible significance because of its biodiversity, with views said to rival the Grand Canyon in the United States. However, it was established in an area inhabited by people and faces human and livestock demands on its resources.

Rock-Hewn Churches, Lalibela, Ethiopia

At a time when Muslim conquests made it impossible for Christians to make pilgrimages to the Holy Land, King Lalibela decided in the 12th century to build a "New Jerusalem" in the mountain region of Ethiopia. The 11 medieval, monolithic cave churches of the 13th century are the result.

The churches were hewn from rock, and doors and windows and other parts of the structures were chiseled out. There's also an extensive system of passages, ditches, caves and catacombs.

Lalibela's churches and traditional village are still a place of pilgrimage and devotion where the faithful flock to celebrate the important dates of the Ethiopian Christian calendar.

Aachen Cathedral, Germany

The Frankish royal estate of Aachen in western Germany had served as a spa since the first century. Soon after Charlemagne took over the government in AD 768, he made the estate his permanent residence and turned it into a center of religion and culture.

Emperor Charlemagne´s own Palatine Chapel was the first vaulted structure north of the Alps since Antiquity. The chapel was considered an artistic wonder from its creation. It had bronze doors, columns of Greek and Italian marble and a grand mosaic (now destroyed).

The unification of the West under Charlemagne is symbolized in part by the construction of the chapel between 793 and 813. Charlemagne was buried there in 814, and 200 years later, he was canonized -- attracting pilgrims to the site.

Krakow's historic center, Poland

The former capital city of Poland, Krakow's historic center has its roots in the 13th century as a merchants' town with Europe's largest market square and one of the oldest university quarters in Europe.

Boleslaw the Chaste ordered the old city, called Stare Miasto, be laid out in a strict grid of orthogonal streets in 1257, when he decided to unify the different peoples around the Wawel, a hill inhabited since Paleolithic times and site of the Royal Wawel Castle, which now houses a museum. The beginnings of the castle date back to the 11th century, and there are remnants of fortifications dating back to the 14th century.

The Wawel also contains the Royal Treasury and the Gothic cathedral of St. Wenceslas, which hosted many important events for the Polish royal families, including coronations, weddings and funerals.

Separate from Stare Miasto, the old district of Kazimierz was the city's Jewish quarter. Kazimierz's Jewish community of 64,000 individuals was deported to Auschwitz. Only 6,000 returned after World War II ended.

Wieliczka and Bochnia Salt Mines, Poland

While the Wieliczka and Bochnia Salt Mines in Poland are excellent examples of mining techniques from the 13th to the 20th centuries, there is much more in their underground chambers than a historical ode to the mining of salt.

Areas excavated for salt were turned into storehouses, workshops and chapels, with statues and other decorations carved into the rock salt. Tourists have visited the site since the early 19th century.

Island of Goree, Senegal

From the 15th century through the 19th century, an estimated 20 million Africans passed through the Island of Goree, the largest slave-trading center on the African coast.

Ruled first by the Portuguese and followed by the Dutch, English and French, the island just two miles off the coast houses the elegant homes of the slave traders and the horrific cells in which captured Africans were held before being shipped to the Americas. The Dutch-built House of Slaves, which dates back to 1776, is the last surviving slave house on the island.

Listed as a historical site by the colonial administration in 1944, Goree didn't have any subsequent construction that might have damaged the historic elements of the island. Senegal gained its independence in 1960, and the island was inscribed on the independent nation's national heritage list in 1975.

Mesa Verde National Park, United States

Spectacular structures of the Pueblo Nation in southwest Colorado are protected at Mesa Verde National Park, where ancient Pueblo dwellings dating from the 6th to the 12th century are still standing at an altitude of more than 8,000 feet.

There are impressive villages built on the Mesa top and imposing cliff dwellings built of stone. There is evidence of advanced knowledge of building techniques and irrigation, crucial to surviving in the land in which the Pueblo Nation lived.

Yellowstone National Park, United States

Established as the United States' first national park in 1872, Yellowstone National Park is one of the few remaining large, intact ecosystems in the northern temperate zone on Earth.

Yellowstone has more than 10,000 thermal features -- about half of all thermal features in the world. It has more than 300 geysers, a volcano and many waterfalls.

The park is also home to the few remaining members of the wild, continuously free-ranging bison herd that once roamed the Great Plains.

@highlight

Nearly 1,000 cultural and natural wonders are "World Heritage Sites"

@highlight

The Galapagos Islands and Yellowstone were among the first 12 sites named

@highlight

The largest slave trading center on the African coast was included on the first list

@highlight

Ethiopia's 13th century rock-hewn churches are still in use today