(CNN) -- As the forests of the East changed this fall into their seasonal reds and oranges, a remarkable migration of birds headed south. About 30 million ducks, cranes and other species cross the U.S.-Canadian border each autumn day.

This fall's great migration in the Northern Hemisphere takes place during the waning months of the United Nations' International Year of the Forest. That the migration happens at the end of this public education initiative reminds us why efforts must continue to safeguard the wild places where these winged travelers live.

When we stop to appreciate a forest, we usually see only the trees and animals that inhabit a particular section. On the map, each parcel of green appears as a separate entity, and the species that live within it are commonly thought to depend solely upon that particular area. In reality, however, a forest not only harbors its native wildlife, but it also provides a dynamic way station for countless migratory animals.

Many birds found in the heart of the United States started their journeys in the great boreal forests of Canada and Alaska. Some, such as the golden eagle, emerge from the rocky cliffs bordering the free-flowing rivers in the Arctic tundra. Once across the border, many boreal birds winter in the temperate woods of the United States, with billions more continuing on to Central America or even beyond. Strikingly, fully 80% of the waterfowl species found in North America breed in Canada's wild forests.

But birds aren't the only creatures that depend on these special, wild places. In Canada, the iconic tundra caribou rely on tree lichens for food as they migrate up to 3,100 miles each year within the country's boreal forest.

Farther south in the United States, chinook salmon leave the sea where they have spent the majority of their adult life, from roughly two to five years, and begin their final journey to spawn in the cool streams and rivers that run through the forests of California, Oregon, Washington and Idaho. In fact, these fish may swim as many as 930 miles in search of the pools and eddys where they were born.

If we are to transform the ideals of the International Year of the Forest into action, we must also take such migration needs into account. This vital global resource for traveling wildlife is irreplaceable -- and yet it is vanishing. According to the U.N., forests have disappeared in 25 countries, and another 29 nations have lost more than 90%.

In several regions, such as the Amazon, protection efforts have had mixed results. But impressive progress has been made in places where conservation groups, indigenous communities, industry and government leaders work together to protect entire forest ecosystems.

Over the past year, Ontario and Quebec have, together, proposed protecting 390 million acres, with half designated as parks and refuges. Here in the United States, the Obama administration recently reaffirmed support for a landmark federal policy that preserves nearly 60 million acres of the country's last wild national forests. And in Western Australia, Premier Colin Barnett called this year for new safeguards in the Kimberley region, that would include the state's biggest interconnected system of marine and terrestrial parks.

Such examples are promising for the migratory species that move through these forest ecosystems. Nevertheless, other wildlands across the globe are rapidly disappearing, which means the spirit of cooperation seen in the remarkable accomplishments this year must continue and grow if we are to preserve the vital functions that forests provide for people and the planet.

Leaves every autumn fade, but it would be a shame to also let global efforts to protect our last wild places similarly wane, as the International Year of the Forest winds to a close. For the sake of the animals whose lives depend on their movement throughout this blue planet, we need to remember that it must remain a forested green one, too.

The opinions expressed in this commentary are solely those of Thomas Wathen.

@highlight

Thomas Wathen: The Year of the Forest is winding down, but preservation must not

@highlight

Forests not only nurture native animals, he says, but are crucial for migratory species

@highlight

Wathen: Caribou, salmon and countless birds' lives depend on preserving wild places