(CNN) -- The urban dictionary defines "cheech" as a verb used among physicians in training that refers to the act of ordering every conceivable radiological and laboratory test for a patient, often to diagnose a condition that once diagnosed is untreatable. Thirty years ago, the macabre joke during my three-month stint as an intern in the medical ICU was first cheech, then death.

I remember sitting at the bedside of a frail, older woman with dementia dying of septic shock. A litany of subspecialists had rounded earlier in the day, but no one said what was so obvious. She was dying. Instead, I sat at her bedside at 4:30 a.m. watching the sun rise over Narragansett Bay, increasing vasopressors to try to maintain her blood pressure.

Instead of being surrounded by her family and loved ones, the only person at her bedside was an exhausted intern who had never met the woman in bed No. 2 until the night before. This was simply wrong. Why were we rearranging the deck chairs on the Titanic instead of ensuring that her death was peaceful and that she was surrounded by her family?

Intensive Care Units save some patients and play an important role in our health care system. But the overarching concern is, "Are we talking to frail, older patients and their families at the right time about when to stop (or avoid) ICU care and recurrent hospitalizations?" Decisions about hospitalizations and ICU admission must weigh the quality vs. the quantity of life.

Opinion: End-of-life planning eases suffering

These decisions must reflect a patient's informed wishes and goals for care, be based on what the patient and/or family understand about the medical condition -- their hopes and goals -- and educate them about the prognosis and treatment options to arrive at a care plan that honors realistic patient goals of care.

Our research published in the February 8 edition of JAMA finds that hospice is now part of mainstream medical care, with nearly half of older Medicare beneficiaries receiving hospice services. However, that's only half the story. More than a quarter (28.4%) of these people had the benefit of hospice for three days or less, and nearly half (40.3%) were in an ICU immediately before.

Indeed, contrasting end of life care in 2000 vs. 2009, in spite of a doubling of hospice use, we found more ICU care, more repeat hospitalizations and more patient transfers from hospital to another health care setting in the last three days of life. Does this pattern of care reflect the informed wishes of dying patients and their families? Our research does not provide the answer to this important question. But it is something we really need to know.

On the face of it, our research findings should not be surprising. You get what you pay for. All the financial incentives in fee-for-service Medicare are aligned to induce more hospitalizations, more ICU care and late hospice referrals. As we try to reform our health care system to provide care that is patient centered and care that improves the health of our population, we need to do a better job of paying for quality rather than simply paying for another day in the ICU, particularly if it does not change the inevitable.

Yet during the debate over health-care reform, a proposal to pay health-care providers for advance care planning was eliminated from the legislation based on the mistaken argument that promoting shared decision making with the goals of honoring patient wishes was equivalent to creating a "death panel."

The key is that decisions be based upon discussions that weigh the quantity vs. the quality of life reflect informed patient preferences. The evidence to date suggests we are falling short of that goal. We've previously shown that 11.6% of family members felt pressured by a physician to put a feeding tube in a dying patient with advanced dementia, and about 10% reported that no one discussed that decision with them.

A recent study of two ICUs that differed on the aggressiveness of care provided found contrasting decision-making styles: a futility based decision-making process where one talks to the patient only when death is certain in the aggressive ICU vs. a shared decision making model where physicians work with patients and families early in the ICU stay to arrive at a decision that is consistent with the patient's prognosis and goals of care in the ICU.

We must have publicly reported data on the degree in which our health care system delivers on the promise of patient centered care -- that health care providers are informing patients and their families of the expected prognosis and treatment options, helping them in making these difficult decisions, and that patients are provided the right care at the right time, in the right place, and consistent with their informed wishes. We must hold our health care system accountable to the goal that medical decisions should reflect patient informed goals and values.

The opinions expressed in this commentary are solely those of Joan M. Teno

@highlight

Joan Teno asks: Why do doctors continue to test and treat patients who are clearly dying?

@highlight

She says instead they should be helping very sick patients weigh quality of life against quantity

@highlight

Teno: Hospice care doubles, but patients still in ICU until last 3 days of life. Do they want this?

@highlight

Teno: Intervention lucrative for medical industry; this wars with patient-centered end-of-life care