(CNN) -- Carl Fields flips through hundreds of job applications he's filled out during the last 20 months of unemployment.

"I feel that I am going to get a job," he says. "I just feel it in my bones and my spirit that I am going to get a job. ... It's just a matter of when."

Fields, 59, is an African-American in Plainsboro, New Jersey, with a bachelor's degree who has been unemployed since February 2009. He was let go from his job as a vice president at a large insurance brokerage firm. He had worked there for more than 25 years.

He is also a devout Christian with an enormous amount of faith that he soon will be employed again. Unfortunately, there are a slew of statistics that suggest his optimism may be unwarranted.

"It's been a devastating recession for American society. We haven't seen unemployment rates like this since the '40s or around the Depression," says Melvin Oliver, co-author of "Black Wealth/White Wealth: A New Perspective on Racial Inequality." "For African-Americans, it's been a tsunami. It's been just a catastrophic event."

For black male college graduates 25 and older, the unemployment rate is 7.8 percent, as of August, according to the Bureau of Labor Statistics. It's 4.4 percent for white male college graduates older than 25. The unemployment rate for whites was 8.7 percent in September, according to the Bureau of Labor Statistics. For blacks, it was 16.1 percent. The difference is often explained by a lack of college education among many blacks. But even college-educated blacks are unemployed at a higher rate than whites.

"The college-educated black population is still predominantly in government jobs, which we've seen a lot of cutbacks," Oliver says. "They're predominantly in the retail sector and they're in parts of the corporate sector that are the first to go. And this is one of the issues that we have: that our highly educated African-Americans are still getting trained in areas that are most vulnerable in the economy. They're not the dynamic, growing parts of the economy."

The unemployment rate doesn't tell the whole story. The Labor Department also issues an employment-population ratio, which tracks what percentage of a given population is employed. A little more than 64 percent of black males were employed in December 2007 when the recession began. By last month, that figure had dropped to 56.9 percent. While not all of the people represented in that drop are involuntarily out of a job, a significant portion are.

Economist Julianne Malveaux says the employment-population ratio represents "families that are not accumulating [wealth]. These are families that have children who are going to college. And they're saying, 'I can't help you. I don't have anything for you.' "

That's the case for Fields and his wife, Lynette Clark Fields. Cameron Clark, the youngest of their children, was attending Morehouse College until last spring. He had to leave, partly because his grades were poor, and partly because the Fieldses didn't have the money for him to stay.

"The financial condition of this family says we can't afford you to [be] back at Morehouse. We cannot afford that level of tuition. It just cannot happen," Carl Fields says.

Clark is now in community college, and his grades are better. He hopes to return to Morehouse soon.

"When my blessing comes through, then there will probably be a blessing extended to Cameron to go back," Fields says. "We're not sure when that will be."

Fields' next "blessing" may not be as profitable as his last job. A Gallup Poll says that "underemployment" for blacks was 28.3 percent in May. That means more than a quarter of employed blacks are working for less money at jobs beneath their skill or education levels.

Fields says he realizes and accepts that he may not ever work in a job at his skill level ever again. Every day he goes to the library to surf the job boards and fill out applications.

"Not all of those are in my career discipline," he says, nodding to the jobs pulled up on a computer screen. "It doesn't really matter. ... I've been out of the picky mode for quite some time."

This former vice president has recently applied for positions as an administrative assistant and warehouse clerk.

One version of his résumé leaves off his vice president title so that employers don't automatically weed him out as "overqualified."

In addition to the online applications, Fields has attended more than a dozen job fairs, but he says he leaves every one feeling frustrated. "I go despite the results because I never know if the next job fair is going to be the one where that job, the next career will come from. It causes me to keep going," he says.

In the end, it may be his faith -- or at least his church -- that leads to a job. When Fields' influential pastor, the Rev. Buster Soaries, found out he was looking for work after more than a year and a half, the minister asked some of his more connected members to put some feelers out for Fields.

That hasn't yielded Fields a job ... yet. But he says he's still hopeful.

@highlight

Carl Fields, 59, is an African-American with a college degree who has been unemployed for a year and a half.

@highlight

He is one of many black males unemployed, which statistics show are almost double the number of white males.

@highlight

Fields is also looking to his church for not only spiritual guidance but help in finding a job, too.