(CNN) -- President Obama embarked Thursday on his first presidential visit to Asia, an eight-day journey that will take him to five cities in four countries.

Throughout the trip to Japan, Singapore, China and South Korea, Obama will emphasize the importance of Asian nations as vital U.S. partners on major issues such as economic growth, nuclear nonproliferation, the war in Afghanistan and climate change, three officials said in a briefing this week.

The presidential itinerary includes formal talks with Asian leaders as a group and individually, a bilateral meeting with Russian President Dmitry Medvedev, and the first participation by a U.S. president in a summit of the 10-member Association of Southeast Asian Nations economic alliance.

The itinerary also reflects Obama's personal ties to Asia, where he spent part of his childhood. He will have a bilateral meeting with President Susilo Bambang Yudhoyono of Indonesia, where Obama lived from 1967 to 1971.

As the first U.S. president with "an Asia-Pacific orientation," Obama "understands that the future of our prosperity and our security is very much tied to this part of the world," said Ben Rhodes, deputy national security adviser for strategic communications.

It won't be all diplomatic meetings, though. Obama's first trip to China will include a "town hall" style meeting in Shanghai and sightseeing in Beijing. While in Japan he'll meet the emperor and empress, according to Rhodes.

Obama's departure was delayed one day to allow his attendance at Tuesday's memorial service at Fort Hood Army Post in Texas for the 13 people killed in a mass shooting there last week. The revised itinerary cut a day from the stop in Singapore, White House Press Secretary Robert Gibbs said earlier this week.

En route to Tokyo, Obama will take time in Anchorage, Alaska, to speak to troops at Elmendorf Air Force Base during a two-hour layover.

The president will meet with new Japanese Prime Minister Yukio Hatoyama, Chinese President Hu Jintao and Premier Wen Jiabao, Singapore Prime Minister Lee Hsien Loong, South Korean President Lee Myung-bak, Medvedev and Yudhoyono, and also will take part in an Asia-Pacific Economic Cooperation summit.

APEC consists of 21 Pacific Rim nations that make up more than 50 percent of the world's economic output. The forum sees its goal as "facilitating economic growth, cooperation, trade and investment in the Asia-Pacific region."

Hatoyama and Obama have said they will affirm a strengthening of the bilateral alliance. But the U.S. president will be greeted by a Japanese leadership that has pledged more independence from the United States and has said it is reviewing a bilateral deal to relocate a U.S. Marine Corps base on Okinawa. The agreement was met with fierce local opposition.

Increasing U.S. exports to a region expected to grow by more than 7 percent next year will also be an important topic, said Michael Froman, deputy national security adviser for international economic affairs.

Asia "already takes about a quarter of our exports, and those exports are expected to increase as the region grows" Froman said. The result could be an increase of "hundreds of thousands" in the current 1.6 million U.S. jobs linked to Asian exports, he said.

The officials were careful to avoid any perception that Obama's presence at the ASEAN meeting would amount to a bilateral discussion with the prime minister of Myanmar, who also will attend.

After years of refusing direct talks with Myanmar, also known as Burma, the United States has indicated a possible re-engagement with the military regime it considers repressive for cracking down on political opposition, including the National League for Democracy led by detained Nobel Peace Prize winner Aung San Suu Kyi.

"The statement we're trying to make here is that we're not going to let the Burmese tail wag the ASEAN dog," said Jeffrey Bader, the National Security Council's senior director for East Asian affairs. "We're going to meet with all 10 and we're not going to punish the other nine simply because Burma is in the room, but this is not a bilateral [meeting]."

In China, Obama will continue efforts to define and strengthen the relationship with the world's largest emerging economy, which has a growing influence in Asia, Bader said.

"We see it as a relationship where we're obviously going to have differences, where we are going to be competitors in certain respects," he said. "But we want to maximize areas where we can work together because the global challenges will simply not be met if we don't."

Bader cited North Korea's nuclear weapons program, the economy, climate change, human rights and Afghanistan as among the top issues for the China swing. On human rights, Bader said Obama is likely to address "freedom of expression, access to information, freedom of religion, rule of law, and certainly Tibet."

Obama will make clear to Hu that he intends to meet in the future with the Dalai Lama, the exiled Tibetan spiritual leader, Bader said. China, which rejects Tibetan aspirations for autonomy, opposes such high-level contacts with the Dalai Lama.

On North Korea, the State Department announced Tuesday that U.S. officials will travel to the country by the end of the year to seek a resumption of broader talks on ending the Pyongyang government's nuclear program.

The Obama administration has claimed initial progress in its strategy of forging an international effort including China, South Korea and other countries to put pressure on North Korea to abandon its nuclear weapons ambitions.

Japan has been asking for a comprehensive solution to North Korea's missile tests and the abduction of Japanese citizens in the 1970s.

North Korea and South Korea reported an encounter Tuesday involving gunfire between two of their naval ships off the Korean Peninsula. No casualties were reported, and a State Department spokesman downplayed the significance of the incident.

CNN's Tom Cohen, Kyung Lah and Ed Payne contributed to this report.

@highlight

NEW: Obama will speak at Elmendorf Air Base in Alaska en route to Japan.

@highlight

Discussions in Japan will include status of U.S. base in Okinawa

@highlight

Obama will fly to APEC summit in Singapore and then China

@highlight

Trade likely to be major topic when Obama meets China's Hu