(CNN) -- The State of the World's Mothers is ... strong. In Finland, that is. Or anywhere in Scandinavia. And most of Western Europe, Australia, New Zealand and Singapore. They all place in the top 20 of Save the Children's annual Mothers' Index.

But motherhood in sub-Saharan Africa is a very tough proposition. The region has all 10 of the most difficult places for mothers in this year's ranking, with conflict-plagued Democratic Republic of the Congo last on the list. Among the bottom 20, only Haiti, Papua New Guinea and Yemen are in other regions of the world.

And the United States? We come in 30th on the Mothers' Index. We may be 10th in per capita income and the number of years a mom can expect her child to attend school. But the good news ends there. We are just above Japan and South Korea overall, but below Belarus, Canada, Israel and Poland.

This year's report on the State of the World's Mothers shows that we need to do better by moms in many parts of the world, including right here at home.

Two factors holding the United States back are indicators we've found to best represent the health and well-being of mothers and children -- their chances for survival.

When it comes to a woman's lifetime risk of dying in pregnancy or childbirth, we do better than only five other developed countries: Albania, Latvia, Moldova, Russia and Ukraine. American women are 10 times more likely to die eventually from pregnancy-related causes than women in Estonia, Greece or Singapore.

Opinion: Men, step up on family planning

Our child mortality rate, meanwhile, is on par with those in Qatar and Slovakia. Moms here are also three times as likely to lose a child by age 5 as moms in Iceland.

After 14 years of assessing the state of the world's mothers, Save the Children finds child mortality an indicator not only of children's health and nutrition, but of the quality of care that mothers receive before, during and after pregnancy.

This year's report delved deeper into the dangers posed to children on what turns out to be the riskiest day of life -- the first. In the United States, 11,300 babies a year die on the day they are born. That's more than in the rest of the industrialized world combined.

What can be done to save babies here is not as clear as in many parts of the world. Globally, more than 1 million babies die the day they are born. But we also know that up to 75 percent of the 3 million newborns who die in the first month of life could be saved if trained health workers -- not necessarily doctors -- could deliver very basic interventions.

An antiseptic costing 25 cents could prevent deadly infections starting in the umbilical cord. Basic resuscitation devices costing $6 and less could save 229,000 babies a year. "Kangaroo Mother Care" could save nearly a half-million premature babies through the warmth of their own mothers' skin, no incubators necessary.

Opinion: On Mother's Day, let's talk diapers

But in the United States, every baby can easily have access to far more sophisticated care at birth. So why are babies still dying and what can we do for them and their moms? Some of the reasons are congenital and difficult to address anywhere. Another reason is our high rates of premature birth. One in eight babies is born too soon here.

We can't fully explain this, although we know that the age of the mother and health issues like obesity play a role, as do high rates of elective cesarean sections. What we do know is that poor women are more likely to lose their babies, and that African-Americans suffer the highest rates of loss.

We need more research in this area and more action for America's poorest children in general. Save the Children is calling on Congress to create a National Commission on Children to address the critical issues facing the 22 percent of American children born into poverty. Those issues include boosting their chances of surviving the very first day. American mothers deserve this action.

There's one other important indicator on our Mother's Index: political status. Countries that outperform their economic peers on maternal and child health tend to do very well on the political status of women. If we look back to 2000, the year of our first Mothers' Index, Rwanda had a very high rate of female representation in government.

Since then it has made some of the greatest regional gains in helping its mothers and children survive. The Scandinavian countries also have long had high proportions of women in parliament, and they have some of the world's most supportive policies around motherhood, and some of the best outcomes for mothers and their children.

It makes sense that when women are in political power, children in that country do better. They know firsthand what mothers and children need to succeed. Today, women hold 19 percent of seats in the U.S. Congress -- the highest percentage in our nation's history. But still, about half the countries in the world do better than that.

The United States remains the only developed country with no guarantee of paid maternity leave and is lagging behind on how much women earn compared with men. We need more women -- and men -- in leadership positions to focus on what will make a difference for American mothers and children to get our country out of 30th place.

The opinions expressed in this commentary are solely those of Carolyn Miles.

@highlight

Carolyn Miles: State of world's mothers best in places like Scandinavia, Singapore

@highlight

She says U.S. is 30th in Save the Children's annual index, below Canada, Belarus, Poland

@highlight

Factors causing rating: death in childbirth, infant mortality, lagging political power, she says

@highlight

Miles: Congress, create National Commission on Children to address poverty for moms, kids