Tripoli, Libya (CNN) -- Libyan leader Moammar Gadhafi took aim at the rebel-controlled town of Ras Lanuf Monday, launching aerial strikes as part of an assault aimed at crushing the uprising against him.

At the end of the third week of unrest -- protests began February 15 -- Gadhafi's aerial forces targeted the main road heading into the oil town after launching another air strike earlier, five kilometers southeast of the city.

In what has turned into a civil war, members of the opposition fired anti-aircraft guns toward Gadhafi's planes.

Some families fled Ras Lanuf, hoping to escape the violence that has engulfed some of the country's most populous areas.

Meanwhile, U.K. Foreign Secretary William Hague said "there are credible reports of the use of helicopter gunships against civilians by government forces."

Three members of the U.N. Security Council -- France, Britain, and the United States -- were working Monday on a possible resolution that would include language on a no-fly zone over Libya, diplomatic sources at the United Nations said.

But any kind of military intervention could face sharp criticism from Russia and China, two permanent members of the council that wield veto power.

U.S. President Barack Obama said Monday he had a "very clear message to those who are around Col. Gadhafi: It is their choice to make how they operate moving forward and they will be held accountable for whatever violence continues to take place there."

"We've got NATO as we speak consulting in Brussels around a wide range of potential options, including potential military options, in response to the violence that continues to take place inside Libya," he said.

In a statement, NATO Secretary General Anders Fogh Rasmussen said NATO did not intend to intervene in Libya, but "as a defence Alliance and a security organization, it is our job to conduct prudent planning for any eventuality."

NATO has begun around-the-clock surveillance flights of Libya, as it considers options for dealing with the Libyan violence, U.S. Ambassador to NATO Ivo Daalder told reporters Monday.

While the opposition has managed to fight off onslaughts by Gadhafi's forces in some places -- including what a witness described as an "amazing" victory against Gadhafi's heavy artillery Sunday in the town of Misrata -- the regime has advanced as well. Gadhafi's forces seemed to make headway in the city of Bin Jawad, where the Libyan army appeared to have control Monday after fighting over the weekend.

But in Zawiya -- a city that the government insisted it had retaken -- the opposition still appeared to control the city center, and fighting was under way Monday. CNN saw pro-Gadhafi forces moving through the city, small arms fire, anti-aircraft gunfire and artillery. As the Libyan military brought in reinforcements, CNN could see about 150 troops moving into the city.

Anti-government protesters are seeking the ouster of the 68-year-old Gadhafi after nearly 42 years of ruling the country -- the kind of revolution that was seen in neighboring Tunisia and Egypt. But unlike in those countries, the Libyan uprising has turned into warfare.

Libya's foreign minister dug in Monday, saying the international community does not understand what is happening in Libya and accusing certain Western countries of helping divide the African nation.

"It is clear now the U.K. and the U.S. are getting in touch with the defected (people) in the East," Foreign Minister Musa Kasa told reporters. "This means a conspiracy to divide, partition the country."

"It is clear these super powers are undertaking a plot against Libya," he added.

Though rebel groups are long on passion, many are short on military training.

CNN's Ben Wedeman, just outside Ras Lanouf, heard someone say, "We'll capture (Gadhafi), put him on top of this car and drive all around Libya. Every Libyan will get one shot."

A special forces captain told Wedeman he is trying to teach volunteers "it's impossible to attack artillery with a Kalishnikov" rifle.

Foreign Secretary Hague, speaking to Britain's Parliament, said that in the Libyan capital, Tripoli, "there have been disturbing reports of hostage taking and large military deployments around the city designed to consolidate Gadhafi's position and intimidate his opponents. His forces remain in control of Tripoli, Sebha and Sirte; but his authority is contested in large swathes of the country where local tribes have withdrawn their support. There is a clear risk of protracted conflict and an extremely dangerous and volatile situation in large parts of the country."

With no clear end to the deadly clashes in sight, U.N. Secretary-General Ban Ki-moon appointed a new special envoy to Libya to discuss the crisis with officials in Tripoli, the United Nations said in a statement Monday.

"The secretary-general is deeply concerned about the fighting in western Libya, which is claiming large numbers of lives and threatens even more carnage in the days ahead," read the U.N. statement. "He notes that civilians are bearing the brunt of the violence, and calls for an immediate halt to the government's disproportionate use of force and indiscriminate attacks on civilian targets."

Death toll estimates have ranged from more than 1,000 to as many as 2,000, and the international community has been pondering strategies on how to end the violence and remove the Gadhafi regime.

The fierce fighting has also sparked the flight of Libyans and foreigners out of Libya, with nations across the globe scrambling to help people leave.

About 200,000 people have fled Libya with nearly equal numbers going to Tunisia and Egypt, the U.N. refugee agency has said.

But not everyone has been able to get out.

Between 15,000 and 17,000 people are still at a refugee camp near the Libya-Tunisia border. Of those left, the majority are from Bangladesh, the U.N. refugee agency said. The group plans to start running chartered flights to there Tuesday.

President Obama authorized Monday sending up to $15 million in humanitarian aid to Libya out of the United States Emergency Refugee and Migration Assistance Fund.

Humanitarian and medical aid to Misrata, in central Libya, has been blocked, U.N. emergency relief coordinator Valerie Amos said in a statement Sunday. She urged authorities "to provide access without delay to allow aid workers to help save lives."

After reports of the opposition successfully fighting off pro-Gadhafi forces in Misrata on Sunday, Libyan state TV showed a graphic -- in both Arabic and English -- saying that "strict orders have been issued to the armed forces not to enter cities taken by terrorist gangs, who took civilians as human shields and threatened to slaughter the inhabitants of those cities." The report cited "military sources."

There have been numerous conflicting reports over who controlled what cities, with the government declaring victory in some cities while witnesses in those cities told CNN the opposition was still in control.

CNN's Ben Wedeman, Nic Robertson, Arwa Damon, Salma Abdelaziz, Jomana Karadsheh and Caroline Faraj contributed to this report.

@highlight

NEW: President Obama pledges $15 million in humanitarian aid

@highlight

NEW: Libya's foreign minister accuses some Western nations of helping divide the country

@highlight

NATO begins around-the-clock surveillance flights

@highlight

3 members of the U.N. Security Council discuss a possible no-fly zone