Seoul (CNN) -- North Korea's underground nuclear test site, Punggye-ri, is set amid terrain appropriate for its purpose: The mountainous, northeastern province of Hamgyong, which borders China and Siberia, is one of the most inhospitable winter landscapes in Asia.

But this grim, forbidding province, which is also home to the notorious Yodok labor camp, seized the attention of the wider world half a century before Pyongyang's nuclear tests and claims of human rights abuses made headlines.

Hamgyong witnessed arguably the most harrowing battle fought by U.S. or British troops since World War II, a forgotten epic that offers every ingredient for the perfect war movie: an embattled force, towering odds, murderous combat and treacherous weather.

Yet 60 years after the Korean War ended, and with the number of surviving veterans rapidly dwindling, the dramatic story of what took place at Chosin Reservoir has so far eluded the silver screen.

"It's an amazing story," said Brian Iglesias, a former U.S. Marine, Iraq veteran and independent film producer. "It's unbelievable what they did, from both a military and a human standpoint."

In November 1950, a United Nations force -- including U.S. Marines, U.S. Army units and British Royal Marine commandos -- deployed around the strategic Chosin Reservoir, a frozen, man-made lake high in the Hamgyong mountains that supplied hydroelectric power to the industrial cities on the coastal plain.

They were preparing for what they believed would be the Korean War's final offensive. The North Korean Army teetered on the brink of defeat; men expected to be "home for Christmas."

What they did not know was that China, in a brilliant feat of mass infiltration, had intervened to support its North Korean ally, then led by Kim Il Sung, late grandfather of current leader Kim Jong Un. As a Siberian cold front descended over the highlands, the 30,000-strong U.N. force found itself surrounded by eight Chinese divisions with an estimated 80,000 men.

Around 65 miles from the sea, in temperatures of minus 37 degrees Celsius (minus 34 degrees Fahrenheit) and winds of 60 knots, the British and U.S. troops' only hope of escaping annihilation was to hack their way through massed enemy in a fighting withdrawal.

Combat and cold claimed a gruesome toll: Of the 15,000 U.S. troops involved, more than 3,000 died during the 17-day struggle. But the Chinese forces paid a much greater price forcing the allied troops from their positions -- some 60,000 replacements were required to replace men lost to firepower and cold.

The fight remains seared into veterans' memories.

"Six decades later, it's still vivid," said Warren Wiedhahn, a retired U.S. marine. "The biggest part of the battle in my mind was not being able to evacuate our wounded; if they couldn't walk to keep warm, it meant almost certain death."

It was a brutal campaign featuring a range of near-unbelievable events.

An Anglo-American force battled 9-1 odds in an ambush in "Hellfire Valley." A marine company somehow held off a Chinese division for five nights at a strategic pass. Chinese soldiers blew up a bridge over a 4,000 feet deep valley, forcing the U.S. to carry out an unprecedented operation: The airdropping of a replacement bridge.

Lyle Bradley, a marine fighter-bomber pilot, recalled that during one strafing run, he could only use the cannon in one wing, as Chinese and U.S. troops were fighting so closely.

On one freezing night, embattled marines watched in awe as a single star appeared through the clouds above their base. (That star later became the veterans' emblem.) And as Chinese advanced and U.N. forces evacuated North Korea, a single ship, the SS Meredith Victory, carried 14,000 desperate refugees to safety in the South, earning the title "Ship of Miracles."

Such scenes demand cinematic treatment. In 2010, New York-based Iglesias produced an award-winning documentary, "Chosin," and has since been working on a feature film: "17 Days of Winter."

Two years ago, all looked rosy. Oscar-winners signed on: Eric Brevig (Best Effects, Visual Effects for "Total Recall") as director and Frank Pierson (Best Writing, Original Screenplay for "Dog Day Afternoon") as scriptwriter.

Then tragedy struck.

After finishing the script, Pierson died last year, complicating revisions. The project then hit a funding gridlock, leaving the movie in indefinite limbo.

But Iglesias remains philosophical.

"Obstacles are not uncommon for these kinds of projects," said Iglesias. "Sometimes, it takes a year; sometimes a decade; sometimes they never happen."

If the project never happens, it would be par for the course for the Korean War. The conflict left such little mark on popular culture that it is dubbed "The Forgotten War."

"Korea was not a war like the Spanish Civil War, that intellectuals went to fight in," said Mike Breen, author of "The Koreans." "There are books and movies about it but no classics; it needs to be revisited in modern times."

Despite its near invisibility in art, the Korean War marked numerous Cold War milestones.

It was the Cold War's first "hot war;" the first U.N. war; and the only time troops from the "free world" advanced into a communist state, North Korea. Beijing's shock intervention also marked the first and only battlefield clash between the U.S. and China.

But it ended with an inconclusive armistice, and while North Korea remains 21st century news, the unfinished 1950-53 war lacks much of a cinematic image.

Although Hollywood has produced numerous classics on World War II and Vietnam, perhaps the only memorable Korea-set films are "Pork Chop Hill" (1959) and "MASH" (1970). A 1952 film on Chosin, called "Retreat Hell" barely does the material justice, some believe.

"Korea is too hard to define in Hollywood terms: They put out movies of heroism and derring-do in World War II or arrogance and stupidity in Vietnam, and people understand," said Don Kirk a veteran Asia-based U.S. correspondent. "We can't do that with Korea."

"One problem with the Korean War is generational: it happened after 'The Greatest Generation' but before the 'Baby Boomers,'" added Mark Russell, a culture critic and author of "Pop Goes Korea." "So for much of Hollywood, it never really happened."

But poignantly for the war's aging veterans, this year may mark probably its last significant commemoration: July 27, 2013 is the 60th anniversary of its end. The anniversary has raised some hopes for a filmic treatment.

"I'm disappointed that Hollywood hasn't done a feature film on this largely overlooked battle," said Wiedhahn. "It would contain drama, horror and suspense, and would be a major attraction on the 60th anniversary of the armistice."

Since December, Iglesias and business partner Anton Sattler, another ex-Marine, have raised more than $30,000 on Kickstarter, a fundraising website, to produce a 3-D animated short on the battle and are finalizing a graphic novel.

"There is a collective purpose with our Chosin products: Create awareness," Iglesias said. "We decided to continue the story on different platforms."

Iglesias' passion for Chosin is such that, with his proposed movie having just a "50-50" chance of production, he would applaud competing projects.

"If someone else makes this movie, I'll support them," he said. "For the Korean War, there's not enough consciousness."

@highlight

Dramatic battle took place at freezing Chosin Reservoir over 17 days in 1950

@highlight

United Nations troops were surrounded by large number of Chinese soldiers

@highlight

China sustained heavy losses as troops succumbed to firepower and cold

@highlight

Efforts to translate the battle to the big screen have largely failed