Braddock, Pennsylvania (CNN) -- In 2001, I came to Braddock, the poorest town in Western Pennsylvania, to serve the community's severely disenfranchised young people by starting an employment and GED program. Their lives were the embodiment of what happened to Braddock and this region: chaos through abandonment.

However, tough times and severe hardship are nothing new. It's been this way for decades.

Once one of the most important steel manufacturing centers in the world, Braddock -- what's left of it -- solemnly affirms one of the great economic maxims of our society: socialism for the rich, and capitalism for the poor.

Since the massive banking bailout of 2008, I have often wondered what Braddock would be today, if 35 years ago, the U.S. government also channeled hundreds of billions of dollars (and trillions in guarantees) to save the steel industry, the hundreds of thousands of manufacturing jobs it produced and the families it sustained.

Instead, places like Braddock were allowed to descend into decades of disorder, poverty and desertion. Braddock went from a prosperous community of 20,000 residents, to a shattered town of fewer than 3,000 today. Braddock looks every bit the deserted battlefield it truly is: 90 percent of our town's people, buildings, businesses, and homes are gone and what remains, bears witness to the torment.

In 2005, those same young people I was privileged to work for helped elect me mayor. Senseless homicides long lost their ability to shock, so I began to tattoo the dates of the killings on my arm as a living document of our collective loss.

Upon taking office, we set out to help reinvent Braddock through diverse solutions ranging from effective policing and the arts, to urban agriculture and youth employment. Today, buildings have been saved and repurposed. We farm for organic produce from formerly overgrown land, and can offer full summer employment for our youth. Perhaps most importantly, no dates have been added to my forearm in over 20 months.

However, at the start of my second term as mayor, we have decades of work ahead and we'll never come close to replacing what's been taken. As the saying goes, we're not looking for a handout, but a hand up and the chance to ameliorate three decades of socioeconomic unraveling.

Towards those ends, the stimulus, known as American Recovery and Reinvestment Act of 2009, has been a true fiscal balm, especially since our community's hospital, and largest employer, University of Pittsburgh Medical Center announced it would be shutting Braddock Hospital later this month, taking jobs along with our residents' access to health care.

CNN iReport: Share your thoughts on the State of the Union

Braddock received $250,000 in stimulus funding for the EPA compliance upgrade of our sewer system and $30,000 that enabled us to hire an additional 30 young people this past summer who would have otherwise been unemployed.

Without question, these stimulus funds were a needed infusion of resources. However, I believe the greatest promise of the American Recovery and Reinvestment Act of 2009 remains untapped and now represents an unprecedented opportunity for growth and renewal.

In Braddock and in the surrounding areas, we have an abundance of quality, shovel-ready projects that range in complexity and scope from small-scale urban farming, and retrofitting a now-vacant 300,000 square foot hospital, to a $300 million-dollar repurposing of a former steel mill site into a green enterprise zone of economic redevelopment.

Investments like these will not only help reinvent communities like Braddock, but will also foster a boom in job creation and long-term growth. These and similar projects across the country represent but a tiny fraction of the resources spent to save feckless bankers and Wall Street from their own unchecked greed and hubris.

Perhaps equally important, I believe this kind of investment will help restore a sense of social justice that is completely absent in today's public debates. Consider the absurd juxtaposition of rescued banking executives defending multi-million-dollar bonuses, to our community at over 30 percent unemployment, widespread abandonment, and pervasive poverty while losing the area's only hospital and access to medical care.

The explanation of this circumstance is as simple as the contrast is stark: one got capitalism and the other, socialism.

Basic fairness and equity demand that the color of your collar should not dictate if you receive a bail-out or get bailed on. For Americans living in places like Braddock, I believe the American Recovery and Reinvestment Act is perhaps the last, best chance to help overcome the injustice and harm that the decades steeped in a laissez-faire orthodoxy have wrought.

The opinions expressed in this commentary are solely those of John Fetterman.

@highlight

For decades, Braddock, Pennsylvania, has been in decline as it lost jobs and people

@highlight

Mayor John Fetterman says the population shrank from 20,000 to fewer than 3,000

@highlight

He says stimulus plan has helped reverse the tide in the old steel town

@highlight

Fetterman: Government bails out Wall Street  while allowing Main Street to suffer