BUENOS AIRES, Argentina (CNN) -- Argentina's economy is in a perpetual state of uncertainty. As a result, Argentines have learned to live with what they've got -- and make things last.

Lukas Desimone of Baumm cuts out a new bag from an old billboard advertisement.

This resilience and resourcefulness has resulted in a wonderfully creative culture, where innovation and ingenuity are ever-present.

In the wake of the country's 2001-2002 economic crash, many Argentines couldn't afford to travel abroad to forge new business relationships and absorb foreign ideas, so they did what they've always done -- they looked within for inspiration. In particular, Argentine fashion and designs have come to the forefront in recent years and gained worldwide accolades.

These days, whenever I walk down the streets of Buenos Aires, especially in the trendy bohemian neighborhoods of Palermo and San Telmo, I see scores of boutique shops selling cool furnishings and hip clothing.  Watch Brian Byrnes' report from Argentina »

These are the places that always seem to attract the most attention from tourists; I don't think they expect to find such cutting-edge goods here, and are pleasantly surprised when they do.

I've lived in Argentina since 2001, and witnessed the country struggle through the bad times and enjoy the subsequent recovery; in some sectors of society you could even call it a renaissance.

So it comes as no surprise to me that Argentine designers are now meshing technology and fashion in totally new, and in many cases, eco-friendly ways.

Living a "green" lifestyle is a relatively new concept in Argentina, and the country is definitely behind in regards to education and implementation of environmentally-friendly policies, but that has started to change in recent years, and as they are prone to do, many Argentines have embraced the idea with their typical gusto.

I wanted to find out more about some of these new designers, so I visited two businesses in Buenos Aires that are creating items that are both innovative and unique, especially for this region of the world. We'll be featuring these two companies on CNN International's special weeklong programming called "Going Green" this week.

The first place I went is Indarra DTX , housed in an enormous warehouse that also serves as a storage area for a supermarket. When I knocked on the non-descript gray metal door and passed through a loading dock area, I was thinking that I may have come to the wrong place.

But cameraman Eduardo Aragona and I were soon greeted by a cheerful receptionist, Agustina, who led us into the spacious workspace and then to a corner area reserved for fashion fittings and meetings. There we met Julieta Gayoso, the 37-year-old owner of Indarra DTX. She told me that Indarra is a Basque word that means "energy" and she named the company such because her objective is to mesh technology and fashion in a way that advances the functionality of clothing.

"We are with our clothes 24 hours a day, so I think they need to provide us with other services, and these new benefits have to do with technology," says Gayoso.

Indarra makes sleek jackets from eco-friendly textiles, like bamboo fibers and Lyocell. One of their most intriguing products is the FV Module Jacket, which comes with a small solar panel attached to the back.

The panel absorbs sunlight and in turn can power your Ipod or charge your cell phone. I tried one on, and it was comfortable, practical -- and stylish. Although I must say, I would be a bit concerned about garnering glances on the street because of the solar square. It's not that noticeable, though, and it's worth the funny looks to save a little energy. Every bit counts, right?

Next, we headed across town to the workshop and studio of Baumm, a self-proclaimed "Recycle and Design Company" housed on the second floor of a refurbished old home in the Villa Crespo neighborhood of Buenos Aires. Lukas Desimone, 29, and Rodrigo Chapero, 27, are the co-owners of the company, and when I first met them I thought they could easily be members of a skateboarding team.

Baumm -- which means "tree" in German (they added an extra "m" so "it would look cooler," according to Chapero) -- creates hip messenger bags and wallets from the vinyl that is used in billboards.

When they first started, they would literally rip down the material from old street advertisements; now they have hired some people to bring the material to them. It's a fantastic idea, because as Chapero told me, the material is not recyclable and is toxic if burned, so essentially, once an advertising campaign is over, the vinyl is rolled up, stored away, and never used again.

The Baumm guys saw the potential in this, and now make colorful, 100 percent original bags that retail for around $30 each. Every bag is hand-made, and literally one-of-a-kind. "We are giving new life to something we take out of the trash," says Chapero.

@highlight

CNN's Brian Byrnes reports from Argentina on trend for eco-friendly fashion

@highlight

Economic crash inspired a new creativity that's all about recycling, reusing

@highlight

Indarra DTX is creating hi-tech clothing, installing solar panels in jackets

@highlight

Baumm uses vinyl from discarded billboard advertisements to make bags