(CNN) -- Dear Barack Obama and Mitt Romney,

As much as America is looking forward to 10 more weeks of soothing campaign rhetoric (fingernails on the blackboard of America's psyche), I write to urge you to offer the nation a compelling vision for a common-sense immigration process. Your respective parties' conventions would be a great place to start.

First off, you should know that poll after poll shows a broad spectrum of Americans want a rational immigration process. In fact, a recent Washington Post-Kaiser Family Foundation poll found that immigration was one of only a few public policy issues where, as the Post put it, "rank-and-file Republicans and Democrats are less divided."

A creative approach to immigration may not play to your parties' fringes, but a clear majority of Americans want a pragmatic federal immigration policy.

Yet while the immigration solutions are simple, changing the conversation is not.

Opinion: Is Ryan an immigration pragmatist?

Let's start with what it means to be an American.

The United States is a nation of values, founded on an idea: that all men and women are created equal. That all people have rights, no matter what they look like or where they came from.

It's not about what religion you follow or where you were born that makes you American -- it's how you live your life and your dedication to American ideals.

Americans believe families should stick together, we should look out for one another, and hard work deserves reward. These are the reasons America is destination No. 1 for the best, brightest and hardest working from around the world.

How you treat new American immigrants reflects your commitment to these values that define us as Americans.

As president, how will you ensure that no aspiring American lives in the shadows, and that there is a road map to citizenship for the undocumented?

The same is true today as it has been throughout history: People move to make life better for themselves and their families. People come to America not only for the promise of freedom but also to put food on the table and to send their kids to a decent school.

And to rebuild our economy, we need new Americans as customers, innovators, taxpayers and workers.

According to a report out this month from the Partnership for a New American Economy, immigrants launched 28% of the country's new businesses in 2011 despite accounting for less than 13% of the U.S. population. The organization found that immigrant-owned firms now generate more than $775 billion in revenue, $125 billion in payroll and $100 billion in income.

But immigrant entrepreneurs are just one part of a 21st-century economy.

For example, a July economic analysis by the BBVA Bancomer Foundation and Mexico Economic Studies Department of BBVA Research found that Mexican immigrants are responsible for 18% of our gross domestic product in agriculture, forestry or fishing. In other words, "nearly one fifth of the national value added of agriculture in the U.S. comes from the work of Mexican immigrants."

Rest assured that Americans of all stripes hunger for a new consensus on immigration.

Earlier this summer, Focus on the Family's president, Jim Daly, told Christianity Today, "In terms of immigration, our system, our process is not working well. It's broken. We need to find new answers to this."

Opinion: Today, America welcomes young immigrants

Meanwhile, AFL-CIO President Richard Trumka said in a June statement, "We call on both parties to work with the president toward a legislative solution that will address the parents and families of these immigrant youth, and the millions of undocumented workers who are now living in the shadows."

All of us who believe so strongly in America's promise deserve from you an immigration process where all of us live our lives openly, participate fully in our communities and serve our country together.

Gentlemen, to be specific, this process must enforce the rule of law so all Americans are treated justly, create legal immigration opportunities that serve the needs of our economy and create a line for the undocumented to become full-fledged Americans. The status quo fails to meet this standard.

America will be a more vital nation when you engage in a debate that honors our common values and common history, and from which emerge pragmatic immigration solutions that lead us forward together.

Sincerely,

Ali Noorani

The opinions expressed in this commentary are solely those of Ali Noorani.

@highlight

Ali Noorani: Nation needs a compelling vision for a common-sense immigration process

@highlight

Poll after poll shows Americans want a rational immigration process, Noorani says

@highlight

He cites report that immigrants launched 28% of the country's new businesses in 2011

@highlight

Noorani: We must create legal immigration opportunities that serve the needs of our economy