(CNN) -- Watching the Toyota recall crisis unfold over the past few months has been like watching a wildfire on a windy day. Just when it would appear that the flames might be contained, another powerful gust sweeps through, stirring them up and blowing them still higher.

True, Toyota has acted as its own arsonist at times. If it had attacked the floor-mat entrapment problem as aggressively in 2007 as it is doing now, then perhaps the current crisis could have been avoided. And if the company had been acting as a better switchboard operator between Europe and North America, it could have more quickly connected the sticking accelerator problems in some European cars with the fact that the same pedal assembly was used in eight U.S. models. And it might possibly have avoided the recent stop-sale on those models.

But some of the gusts have been whipped up by the news media. The software glitch in the antilock braking system of the 2010 Toyota Prius and Lexus HS 250h, which causes a momentary loss of braking capability, is serious enough that it should be fixed. But on an overall scale of recalled problems, it's relatively minor. Yet, it continues to grab headlines in this Toyota-sensitized environment.

Vehicles are recalled all the time by just about every automaker. The National Highway Traffic Safety Administration issued 1,399 safety-related recalls affecting more than 38 million vehicles from 2007 to 2009. And while Toyota's inferno has been grabbing the nation's attention, new recalls have been springing up.

Chrysler, GM, Honda and Mazda have all issued recalls in recent weeks, for problems ranging from faulty power steering to defective air bags. And Hyundai issued its own stop-sale on the 2011 Sonata because of a faulty front-door latch.

Yes, the idea of a runaway vehicle is a frightful thought to drivers. And we encourage the government to continue to investigate complaints of unintended acceleration. But consumers shouldn't lose sight of two important points.

Such incidents are rare; the approximately 2,000 consumer complaints received by the NHTSA that were related to unintended acceleration in Toyotas over the past 10 years works out to about one in every 10,000 Toyotas sold over that period.

Also, these complaints aren't confined to Toyota. In an analysis of 5,916 total complaints filed to the NHTSA database for 2008 models (as of August 28, 2009, before the problem hit the national spotlight), we found 166 related to unintended acceleration. While ones citing Toyota-built vehicles made up the highest percentage -- 41 percent -- there were also complaints related to 20 other brands. Ford vehicles drew the second-highest number at 28 percent.

Still, while there has been unusually strong reaction to Toyota's problems, such flare-ups can lead to positive changes.

Following the Firestone tires/Ford Explorer recalls in 2000, the government enacted the TREAD (Transportation Recall Enhancement, Accountability, and Documentation) Act.  Among other things, it mandated tire-pressure monitoring systems in passenger cars and created the Early Warning Reporting database, which requires manufacturers to report problem data to the NHTSA.

We're hoping that the energy surrounding this crisis can be harnessed to improve our auto-safety system so that such rare-but-deadly problems can be caught earlier or prevented altogether.

To that end, Consumer Reports is recommending that the government take the following actions:

-- Improve public access to safety information by making their complaint databases more uniform, user-friendly and easier to search. This would help investigators spot a problem trend more easily and perhaps address it before it becomes a crisis.

-- Mandate that cars be required to stop in a reasonable distance, even with the throttle fully open. One solution to this is "smart throttle" technology, which disengages the throttle if the brake pedal is depressed. It's being used now by some automakers and Toyota says such a system will be installed in all of its models by the end of this year.

-- Improve the recall compliance process. According to NHTSA, the average consumer response rate to vehicle recalls is only about 74 percent, meaning that a quarter of all affected vehicles never get the fix. This puts used-car buyers at unnecessary risk.

-- Give regulators more funding. In 2007, auto crashes made up 99 percent of all transportation-related deaths and injuries. Yet, NHTSA's budget is just over 1 percent of the overall budget of its parent, the Department of Transportation. That's not enough for the reality of auto safety today.

Despite the tragedies, the Toyota crisis can yet be a catalyst for positive change that can benefit consumers.

The opinions expressed in this commentary are solely those of Rik Paul.

@highlight

Rik Paul: Some facts have been overlooked in the rush of coverage of Toyota

@highlight

He says some auto defects and recalls are routine and relatively minor

@highlight

Paul says other manufacturers also are subjects of unintended acceleration complaints

@highlight

Good can come out of this if regulators are given more funding, he says