Princeton, New Jersey (CNN) -- Following their retreat in Virginia, House Republicans voted for an unusual budget plan, which the White House has given some indications it would accept. The GOP decided to temporarily extend the debt ceiling, the federal law that authorizes the government to borrow the money it needs to pay for its expenditures for three months.

This would give President Barack Obama and Congress time to deal with the pending budget cuts that were left unresolved by the fiscal cliff deal, and then Congress will take up the debt ceiling again in three months. The deal also imposes a pay freeze, starting on April 15, on legislators if they fail to reach a budget agreement.

Although some observers are breathing a sigh of relief that the Republicans won't use the debt ceiling to hold the administration hostage as it deliberates over the spending cut, the decision represents one more example of the kind of Band-Aid budgeting that has become normalized in Washington over the past few years. It just postpones the debt ceiling fight a few more months. The last time Congress actually passed a budget was in 2009.

In 1974, Congress tried to reform the budget by creating budget committees and requiring Congress to put together an overall budget. But that system has fallen apart. Rather than a coherent approach to taxing and spending, Congress has relied on stopgap measures called "continuing resolutions" to keep the government working.

Federal money is allocated but without any long-term plan. The budget process has become so polarized that neither party is enthusiastic about laying out a long-term plan. Senate Democrats have refused to propose a budget for fear that Republicans will attach amendments meant to embarrass moderate Democrats by forcing them to vote them down. Senate Democrats also know that House Republicans won't vote for what they put together.

Rather than dealing with the budget in a rational and thoughtful manner, the entire process has become so politicized that Congress simply offers short-term budget fixes and leaves agencies in a state of constant uncertainty.

The ongoing threat of massive spending cuts tied to raising the debt ceiling causes even greater uncertainty than the new normal of short-term budgets. Not only is there an absence of long-term planning, but the possibility of debilitating cuts in the future is something that has become very real.

This dysfunctional approach to budgeting has terrible long-term effects on the capacity of the government to do its business. One of the main functions of the federal government has been to make long-term investments in areas where private markets are lagging. But if Congress and the White House don't adopt a budget, the nation winds up postponing decisions about making such investments.

Historically, some of the most successful initiatives in our nation's capital have come when politicians were able to devote resources to structural challenges that had festered.

During the 1940s and 1950s, the federal government devoted substantial amounts of money to higher education, bolstering the quality of our research universities and opening access to millions of Americans who were the first in their families to receive this level of education.

Federal investment also produced our modern computing and Internet system as well as advances in military technology that have curtailed the need for using large numbers of ground troops. For all the fiscal challenges faced by Social Security and Medicare, through both of those programs the federal government made long-term commitments that substantially reduced poverty rates and inadequate health care among the elderly.

Our most successful agencies have depended on some kind of stability and normality in the budget process. The most effective leaders, such as David Lilienthal at the Tennessee Valley Authority in the 1930s or James Webb at NASA in the 1960s, were given some budgetary cover from Congress so they could engage in long-term planning that improved the infrastructure of rural areas or allowed us to make huge advances in our understanding of space.

In an era when conservatives and liberals often lambast bureaucrats as the prime example of inefficient and useless workers, it would be worth looking back at an era when a steady and predictable flow of funding allowed government leaders to do their job well, focusing on the long-term problems, not each short term political crisis.

Those conditions no longer exist. Over the past few years Congress has engaged in a type of budgeting in which legislators simply pass temporary, quick fixes each year, leaving agencies in limbo about what their status will be in the near future and preventing policymakers from really engaging in deliberations about how the resources of government could best be used.

One employee at the Federal Aviation Administration told The Washington Post, "I still have a lot of uncertainty about the sequester (across-the-board spending cuts that are scheduled to start on March 1). We don't know where it is going to lead us as far as furloughs. It's kind of unnerving."

Appointed officials and civil servants literally can't predict what will come next. Indeed, everyone connected with an agency is left scrambling. Since the buildup to the fiscal cliff deal, military contractors have been left in a state of great uncertainty about what to expect for their businesses, which are dependent on federal funds. United Technologies Corp., the Connecticut-based company with units that work on defense programs, could not even come up with a general number to predict how many jobs were at risk in the coming year because of the current state of affairs.

Back in 2011, Defense Secretary Robert Gates said that using continuing resolutions to deal with the budget resulted in "inefficient, start-and-stop management" through short-term contacts.

This kind of budgeting process makes the warnings of conservatives a self-fulfilling prophesy. It makes it impossible for the federal government to work well, as the right claims it never will. But in fact the budgeting process is the problem here, not government as an entity. The result is that in all realms of policy, from domestic programs to defense, we suffer as a nation.

As the new Congress begins, legislators need to take stock and rethink the way budgeting is handled. Otherwise they will severely erode the capacity of a federal government that was once responsible for some of our most important advances.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer says Congress' repeated failure to pass a budget is harmful

@highlight

He says the constant series of short-term votes and debt-ceiling extensions extracts a cost

@highlight

The government never grapples with key decisions about long-term investments, he says

@highlight

Zelizer: Failure to pass a budget makes GOP criticisms of government seem justified