(CNN) -- Year after year Americans ask: When will our economy get better? Injecting more capital into the economy should work -- in theory -- because capital fuels capitalism.

Yet this capital sits unused on the balance sheets of corporations, and languishes inert in private equity funds.

Davos 2013: Follow the action live on CNN.com

Capitalists seem uninterested in capitalism, even as eager entrepreneurs can't get financing. Businesses and investors sound like the Ancient Mariner, who complained, "Water, water everywhere -- nor any drop to drink."

At the heart of this paradox is a doctrine of finance employing measures of profitability that guide capitalists away from investments that can create growth.

Davos 2013: New year, same old problems?

There are three types of innovations. The first are "empowering" innovations. These transform complicated, costly products that previously had been available only to a few people, into simpler, cheaper products available to many. The Ford Model T was an empowering innovation, as was the Sony transistor radio.

Empowering innovations create jobs for people who build, distribute, sell and service these products.

The second type are "sustaining" innovations. These replace old products with new. The Toyota Prius hybrid is marvelous -- yet every time a customer buys a Prius, a Camry is not sold. Sustaining innovations replace yesterday's products with today's products. They keep our economy vibrant -- and, in dollars, they account for the most innovation. But they have a zero-sum effect on jobs and capital.

Defterios: Why Egypt's transition from its Arab Spring is so painful

The third type are "efficiency" innovations. These reduce the cost of making and distributing existing products and services - like Toyota's just-in-time manufacturing in carmaking and Geico in online insurance underwriting. Efficiency innovations almost always reduce the net number of jobs in an industry, allow the same amount of work (or more) to get done using fewer people.

Efficiency innovations also emancipate capital for other uses. Without them, much of an economy's capital is held captive on balance sheets, tied up in inventory, working capital, and balance sheet reserves.

Quest: U.S. economy to dominate Davos 2013

Industries typically transition through these types of innovations. The early IBM mainframe computers were so expensive that only big companies could own them. But PCs were an empowering innovation that allowed many more people to own computers.

Companies like Hewlett-Packard had to hire thousands of people to make and sell PCs. They then deployed workers to make better computers — sustaining innovations. Finally, the industry began to outsource its operations, becoming much more capital efficient. This reduced net employment within the industry, but freed capital that had been used in the supply chain.

The dials on these three innovations are sensitive, but if set in a recurring circle -- with empowering innovations creating more jobs than efficiency innovations eliminate, and the capital that efficiency innovations liberate being invested back into empowering innovations -- the economy is a magnificent machine.

The belt of circularity in America's economic engine, however, is broken. The 1982 recovery took the economy's usual 6 months to reach the prerecession peaks of performance. Getting back to the prior peak in the 1990 recession took 15 months. Our economic machine has been grinding for 65 months trying to hit prerecession levels — and it's not clear whether or how we're going to get there.

The reason? In America, Japan and Europe, the dials have gone amok. Efficiency innovations are liberating capital, but that capital is being reinvested into still more efficiency innovations. Our economies are generating many fewer empowering innovations than in the past.

U.S. thinker George Gilder brings a useful perspective to this puzzle. He teaches that we should be frugal with resources that are scarce and costly, but can waste resources that are abundant and cheap.

When the Doctrine of New Finance emerged between the 1930s and 1950s, capital was scarce. We therefore focused on magnifying every dollar put into a company, to maximize revenue and profit per dollar of capital deployed.

Executives came to use measures of efficiency that focused on the short term, investing in quick wins in sustaining and efficiency innovations instead of funding empowering innovations that pay off in five years, or often even longer.

Read more: All you need to know to be a Davos delegate

The paradox explored in my book The Innovator's Dilemma is that successful companies can fail by making the "right" decisions in the wrong situations. We are in the capitalist's dilemma today. Investors continue applying doctrines that were appropriate when capital was scarce. But because today capital is abundant and the cost of capital today is essentially zero, the same rules are the wrong rules. It's as if our leaders in Washington are standing on a beach holding fire hoses full open, pouring more capital into an ocean of capital. We truly are awash in cheap capital -- which means that returns on long-term investments in empowering innovations will yield the same returns as short-term ones.

Is there a solution? It's complicated, but I offer three ideas for discussion:

Change the metrics

We can use capital with abandon now, because it's abundant and cheap. But we can no longer waste education, subsidizing fields that offer few jobs. Optimizing return on capital will generate less growth than optimizing return on education.

Change the politics

Both parties are wrong on taxing and distributing the capital of the wealthiest 1%. The Republicans are wrong in thinking that the rich create jobs. In reality many of the richest Americans have been investing in efficiency innovations rather than to create jobs. And the Democrats are wrong, because growth won't happen if they distribute the wealth of the wealthy to everyone else. Money will be spent buying sustaining innovations — replacing consumption with consumption, because there are few empowering products to buy.

Change tax rates on capital gains

We should make capital gains regressive over time, based upon how long the capital is invested. Taxes on short-term investments should continue to be taxed at personal income rates. But the rate should be reduced the longer the investment is held — so that, for example, tax rates on investments held for five years might be zero — and rates on investments held for eight years might be negative. We must give the wealthiest an incentive to invest for the long term. This can create growth.

We face complicated problems, and mine is a simple model. But I hope it helps us understand that policies that were once right are now wrong, and that counterintuitive measures might actually work to turn our economies around.

The opinions expressed in this commentary are solely those of Clayton Christensen.

@highlight

Harvard professor Clayton M. Christensen says we are now living in the capitalist's dilemma

@highlight

Investors continue applying doctrines that were appropriate when capital was scarce

@highlight

Christensen says U.S. can no longer waste education, subsidizing fields that offer few jobs