(CNN) -- A day after fall shrimping season began in the Gulf of Mexico and the state of Alabama reopened coastal waters to fishing, a major environmental watchdog group called for more stringent testing of seafood.

The National Resources Defense Council released a statement Tuesday saying it sent letters to the Food and Drug Administration and the National Oceanic and Atmospheric Administration, co-signed by almost two dozen Gulf coast groups, asking the government agencies to:

-- ensure that there is comprehensive monitoring of seafood contamination.

-- ensure public disclosure of all seafood monitoring data and methods.

-- ensure that fishery re-opening criteria protect the most vulnerable populations, including children, pregnant women and subsistence fishing communities.

"With the opening of shrimping season and near-daily reopening of fishing areas, seafood safety is a major issue right now," Dr. Gina Solomon, a senior scientist with the National Resources Defense Council, said in the statement. "The government needs to show it is putting strong safety criteria and testing standards in place to ensure that the seafood from the Gulf will be safe to eat in the months and years to come."

Government officials including Vice President Joe Biden and Steve Murawski, NOAA's chief scientist for fisheries, have said in recent weeks that waters closed to fishermen after the worst oil spill in U.S. history would be reopened when officials could guarantee that seafood would pass tests for safety and edibility.

The Deepwater Horizon disaster has hampered the seafood business across the Gulf as federal and state authorities put much of its waters off-limits amid safety concerns. With the once-gushing well capped on a temporary basis for more than a month now, NOAA and the Gulf states have begun lifting those restrictions -- but Louisiana shrimpers such as Anthony Bourgeoif say more needs to be done, and soon.

"It's open down over here with small shrimp, where it should be open over there where the big shrimp are," Bourgeoif said. "Can't make no money with no little shrimp, man."

Bourgeoif said he planned to go out, because "I ain't made nothing since the BP spill." But he was concerned that inspectors might find signs of oil in his catch and make him dump it.

"So why go out there and catch it if they're just going to be dumped, and I ain't going to make no money off it?" he asked. "I've got to make money. I've got four grandkids I'm raising."

Deborah Long, a spokeswoman for the Southern Shrimp Alliance, said it will probably take days to assess what impact the spill has had on the Gulf catch. And while some shrimpers are eager to get back out, many are still working for the well's owner, BP, which has hired many boats to skim oil off the surface and lay protective booms along the shorelines.

Two reports published Tuesday express concern about the lingering effects of oil spilled from the ruptured BP well into the Gulf of Mexico.

A team from Georgia Sea Grant and the University of Georgia released a report that estimates that 70 to 79 percent of the oil that gushed from the well "has not been recovered and remains a threat to the ecosystem," the university said in a release.

Meanwhile, researchers at the University of South Florida have concluded that oil from the Deepwater Horizon spill may have settled to the bottom of the Gulf of Mexico farther east than previously suspected -- and at levels toxic to marine life. Their study is to be released Tuesday, as well, but CNN obtained a summary of the initial conclusions Monday night.

Initial findings from a new survey of the Gulf conclude that dispersants may have sent droplets of crude to the ocean floor, where it has turned up at the bottom of an undersea canyon within 40 miles of the Florida Panhandle, the University of South Florida team said.

Plankton and other organisms at the base of the food chain showed a "strong toxic response" to the crude, and the oil could resurface later, according to researchers.

"The dispersant is moving the oil down out of the surface and into the deeper waters, where it can affect phytoplankton and other marine life," said John Paul, a marine microbiologist at the University of South Florida.

The University of Georgia study "strongly contradicts" a 2-week-old government report saying that only 26 percent of the oil spilled from the well remains in the Gulf.

"That is just absolutely incorrect in the opinion of the scientists," Charles Hopkinson, the director of Georgia Sea Grant and a professor of marine sciences at the University of Georgia, said Tuesday.

The government said 4.9 million barrels -- 205.8 million gallons -- of oil leaked into the Gulf, and 74 percent of that oil had been collected or dispersed or had evaporated. Of the remaining 26 percent, "much of that is in the process of being degraded and cleaned up on the shore," NOAA head Jane Lubchenco said August 4.

But the Georgia study said the government's numbers were skewed for several reasons.

First, because 800,000 barrels of oil were collected from the well before it could spill into the Gulf, the Georgia researchers said a total of 4.1 million barrels spilled into the water. But other factors mean more of that oil remains in the water, they said.

In addition, the Georgia researchers used a fundamentally different definition of when oil is "gone" from the water.

"One major misconception is that oil that has dissolved into water is gone and, therefore, harmless," Hopkinson said. "The oil is still out there, and it will likely take years to completely degrade."

And that oil is a lot harder to see than the huge clumps that dotted the Gulf's face like black and brown acne weeks ago. Samantha Joye, another professor of marine sciences at the University of Georgia, said that naturally dispersed oil was forming plumes in the water -- but "not black, not brown, turbid sea water. You don't need a river of oil. It's oil that's dissolved in water."

Joye stressed that the government also had completely omitted a crucial component of the environmental pollution from its statistics.

She said NOAA did not measure a third of the hydrocarbons because it did not measure gas emission, which she says are "mostly still in water floating somewhere out there. ... Methane and other gases aren't being documented."

The spill began after an April 20 explosion on the offshore drilling platform Deepwater Horizon that killed 11 men. Two days later, the platform sank and started gushing oil into the Gulf before it was temporarily capped July 15.

Thad Allen, the federal government's point man for the disaster, said Monday that attempts to permanently seal the well won't start until the latest potential problem is evaluated. Allen said engineers are now concerned about how to manage the risk of pressure in the annulus, a ring that surrounds the casing pipe at the center of the well shaft.

The "timelines won't be known until we get a recommendation on the course of action," Allen said.

Scientists began new pressure tests last week to gauge the effects of the mud and cement poured into the well from above during the "static kill" procedure that started August 3. From those pressure readings, they believe that either some of the cement breached the casing pipe and leaked into the annulus, or cement came up into the annulus from the bottom.

The scientists believe that process may have trapped some oil between the cement and the top of the well, inside the annulus. Now, given that new variable, they're trying to figure out how to safely maintain the pressure within the well before launching the "bottom kill," a procedure aimed at sealing the well from below.

Allen said that when it comes to giving a green light to the bottom kill of the well through the nearby relief well, "nobody wants to make that declaration any more than I do." But the process "will not start until we figure out how to manage the risk of pressure in the annulus."

"We're using an overabundance of caution," he said.

Allen said crews could remove the capping stack that sealed the oil in the well July 15and then replace the well's blowout preventer with one stored on the nearby Development Driller II in the Gulf. He said a new blowout preventer would be "rated at much higher pressure levels than the annulus."

The other option would require BP to devise a pressure-relief device for the current capping stack.

Once crews get their marching orders, it will take them about 96 hours to prepare, drill the final 50 feet of a relief well and intercept the main well. Then, the bottom kill process of plugging the well from below would begin.

CNN's Vivian Kuo, Reynolds Wolf, Ed Lavandera, Rich Phillips, Matt Smith, Mark Morgenstein and Chris Turner contributed to this report.

@highlight

NEW: The National Resources Defense Council calls for improved seafood testing

@highlight

Reports cast doubt on the government's estimate of oil remaining in the water

@highlight

Georgia report says more oil remains in the Gulf than the government has said

@highlight

A University of South Florida report says the oil may be farther east than first thought