(CNN)Through his work in fashion, Erik Schnakenberg was drawn to the classic Americana style that has seen a revival in the past decade.

He was turned off by the price tag of American-made clothing: basic crew-neck tees starting at $50, unembellished selvedge denim jeans priced at $250 and up, Oxford cloth button-downs cut and sewn in Los Angeles ranging from $150 to $300.

"It's that effortless design that most guys look good wearing, but it wasn't really happening for anyone except at the higher price point," Schnakenberg said.

To help shrink the gap, Schnakenberg and his Los Angeles neighbor, Sasha Koehn, started a business with a goal of lowering the barrier to "made in USA" fashion.

Buck Mason has been up and running since late 2013, offering a focused collection of American-made garments. Prices range from $24 for a t-shirt to $155 for its most expensive pair of jeans, about 25% to 50% less than comparable brands boasting the "made in USA" label.

How do they keep costs down? By focusing on just a few items and cutting out the middleman so they can sell directly to customers through their website and storefront in Venice, California, they say. With the help of the Internet and social media, they have been able to build their brand and find an audience without the help of chains or department stores.

"It didn't make sense for us to not do it this way," Koehn said. "Maybe that's us being naive or not thinking like a traditional business manager, but I don't see how we could have got this started any other way."

Brands selling directly to customers is nothing new in retail, and it's still a big gamble for most. Traditional middlemen such as department stores, chains and boutiques help legitimize brands and expose them to consumers faster than brands may be able to build their own fan bases.

But some small businesses are finding the cost of that exposure too onerous. By selling directly to consumers, brands increase their margins, control inventory based on their own projections and don't have to worry about returns from retail store customers. They also have complete control over pricing and may be able to offer lower prices to consumers, said Jack W. Plunkett, CEO of market research company Plunkett Research.

Fueled by venture capital investors, there has been strong growth in new direct to consumer brands, and not only in clothing, Plunkett said. But very few actually manufacture in the United States because of the high cost of doing business, especially compared with global competitors.

For Buck Mason, manufacturing in the United States is a matter of principle and direct to consumer a means to that end, Schnakenberg said.

"It's that idea of looking at our product and taking pride in creating something from scratch. We may not sell 100 million t-shirts, but we can say we're to create one thing and make it all here and be part of the process," Schnakenberg said.

To make direct to consumer work, Buck Mason and other plucky entrepreneurs are mixing aspects of traditional business models with customized approaches to production and marketing, taking on much of the work typically done by outside parties.

They sell through their own websites and stores, retaining absolute control over branding and merchandising. They build audiences through social media, using it as a branding tool and a forum to seek customer feedback on styles and colors, forming relationships in the process.

But it takes more populating a Web store or Instagram feed with aspirational images of attractive people to reduce margins. Brands offering specialty products that stand out have a better chance of surviving, depending on the product and its place in the global market, Plunkett said.

"Overall, this is positive for the sustainability of U.S. manufacturing, but there are many cases in which it will be extremely difficult to have competitive prices when manufacturing here," he said.

Instead of designing various products in different colors and styles, fledgling brands have found success in getting just a few items right, developing a cult-like following and adding products based on customer feedback.

It's a model that has worked for Adele Berne and Mike Kuhle, who launched the e-commerce arm of their New York storefront, Epaulet, in 2008 with a button-down shirt for men and women made in the city.

From day one, they have sold directly to consumers through their website and store, using social media to build a fan base that enjoys geeking out as much as they do over fabric origins and stitching details.

Since then, they have expanded to accessories and footwear, and they offer custom suiting and shirts. Along the way, they have earned a reputation for offering quality products sourced and made in the United States and Europe. They partner with esteemed brands including shoemaker Alden and suit maker Southwick on products and offer a handful of other brands for sale.

Through social media, Kuhle says, Epaulet has cultivated a fan base interested in the stories behind the brand, its creators and its manufacturing partners. Their customers see the value in paying more for products made in the U.S. or Europe, and they keep coming back.

"Your product has to be unique, and it has to be something people want, whether it's filling a void for something people don't know they want yet, or it's something you see in market that you could do better," Berne said.

Buck Mason launched with a simple T-shirt, working with a knitter in Los Angeles to develop a slub cotton before sending it to a mill outside the city. When it sold out, the company started working on a five-pocket selvedge denim jean sourced from North Carolina and cut and sewn in Los Angeles.

It's an a la carte approach to production that takes more time and attention than the full-package manufacturing typically used by larger brands to fill big orders under one roof. The upside is that it keeps shipping costs down and allows Buck Mason to respond faster to market demands by placing small orders with a quick turnaround.

Chris Sutton started out making one pair of jeans at a time in his Cincinnati, Ohio, workshop. As demand for Noble Denim grew, Sutton and his wife, Abby, scaled up production by partnering with a Tennessee factory that, like most remaining textile manufacturers, had seen better days.

As the Suttons learned more about the factory's history and the town it once supported, they realized it needed more business to create sustainable employment opportunities. It was "hipster and naive" of them to think they could make a significant impact with small runs of premium jeans, Abby Sutton said, and they started pondering new products.

They tested the waters with a small run of sweatshirts. After selling out within days, the couple decided to launch a Kickstarter campaign to raise funds for a new business.

Sweatshirts sold under the Victor label will be made from organic cotton in the same factory as Noble Denim. Unlike Noble, which is sold in a few stores, Victor will be sold directly to consumers through the company's website and its brick and mortar store in Cincinnati.

Cutting out the middleman allows Noble to control its brand instead of relinquishing control to wholesalers and create "stability" in terms of sales expectations, Abby Sutton said.

"Everyone is oddly reliant on each other but not in way that encourages innovation."

It also creates a quicker "feedback loop" through which the Suttons can listen and respond to customer feedback. That's how they heard from people who said they could not afford to support the "made in USA" movement even though they wanted to.

Through Victor, whose products range from $25 for a tee to $85 for a hooded sweatshirt, the Suttons hope to rehab American-made style's reputation as exclusively high-end and inaccessible, she said.

"There are people who value the idea of U.S.-made but have never taken the step," she said. "If we can make it for the same price as a Gap sweatshirt, hopefully people will see it as easy choice."

@highlight

American-made clothing brands try to cut out middleman, selling directly to consumers

@highlight

Pros include smaller margins that can lower prices for consumers

@highlight

Social media make finding customers easier, but it's still an uphill battle