A full moon hung just right in the night sky as the fierce Southern Army faced the encroaching Union troops in the spring of 1863.

Though they were outmanned and outgunned, the momentum of the war seemed to be on the side of Generals Robert E. Lee and "Stonewall" Jackson in Northern Virginia.

But the tide turned in the American Civil War not long after Jackson's own men inadvertently shot him that May night at the battle of Chancellorsville in Virginia.

And for that, say two researchers, Americans can thank that full moon.

It's an intriguing concept put forth by astronomer Don Olson and researcher Laurie E. Jasinski from Texas State University in a study appearing in this month's issue of Sky & Telescope magazine.

They say that when the men of the 18th North Carolina Infantry Regiment fired upon Jackson, the whitish lunar light likely obscured the target.

They didn't know it was him.

In other words, they say, a moon phase is partly responsible for the molding of a nation "dedicated to the proposition that all men are created equal," as President Abraham Lincoln put it in the Gettysburg Address.

The two reconstructed the scene of the shooting using moon phases and maps, and published the results 150 years after the incident.

Moonlight or no?

History seems divided on whether or not the moon shone bright that night, the researchers say, but they back up their hypothesis with recorded anecdotal accounts.

"The Moon was shining very brightly, rendering all objects in our immediate vicinity distinct...," one confederate captain wrote years later. "The Moon poured a flood of light upon the wide, open turnpike."

Jackson rode out with a party of officers on a scouting mission to see if the Confederate Army could find a way to cut off Union Army troops, according to the National Park Service, which cares for the nation's Civil War battlegrounds.

They were shot as they returned.

Olson and Jasinski say that a Confederate officer spotted them in the moonlight and ordered his men to open fire.

Jackson was wounded in his left arm, which had to be amputated, according to the Virginia Military Institute, where Jackson taught.

He died from complications on May 10, 1863.

His arm was buried separate from the rest of his body.

The South went on to win the Battle of Chancellorsville, but without Jackson, took a decisive blow in July 1863 at the bloody Battle of Gettysburg, often thought of as the turning point of the war.

Back lighting

If Jackson's reconnaissance party was riding in bright moonlight, then his own men should have recognized them as they returned from the Union's side, but Olson and Jasinski say they did not -- for good reason.

"The 18th North Carolina was looking to the southeast, directly toward the rising moon," they said. It stood at "25 degrees above the horizon" at the time, just at the wrong angle.

"The bright moon would've silhouetted Jackson and his officers, completely obscuring their identities."

The Confederate infantrymen likely thought their own men returning were Union cavalrymen on the approach.

"Our astronomical analysis partially absolves the 18th North Carolina from blame for the wounding of Jackson," Olson says.

It comes too late for the man who gave the order to fire.

Maj. John D. Barry died at age 27 --  just two years after the end of the war.

"His family believed his death was a result of the depression and guilt he suffered as a consequence of having given the order to fire," the Virginia Military Institute site says.

Stonewall Jackson may have appreciated the Texas State researchers' hypothesis, not only because it would have alleviated the conscience of the men who took his life.

Before joining the Confederate Army, he was a science professor.

@highlight

General Stonewall Jackson was shot at the battle of Chancellorsville

@highlight

The angle of the moonlight proved fateful on May 2, 1863, an astronomer says

@highlight

It obscured the view of his own men, researchers say

@highlight

Confederate infantrymen mistook him for the enemy and opened fire