Washington (CNN) -- Human rights groups met a somewhat skeptical Supreme Court on Tuesday as they presented arguments on whether foreign victims of torture and other crimes against humanity can sue corporations and other organizations in U.S. federal courts.

The cases argued could have enormous global impact from a moral, political, and financial perspective.

At issue is the scope of two federal laws that are increasingly being used in an effort to hold businesses accountable for human rights atrocities committed overseas.

Two separate civil cases before the high court involve Nigerian political activists claiming foreign oil companies were complicit in violent abuse at the hands of the country's military; and an American family alleging their father was tortured and killed while in the custody of the Palestinian Authority and the Palestinian Liberation Organization.

Both cases were earlier blocked from going to trial in federal courts, for separate legal reasons. Now the justices are being asked to sort out whether political groups and corporations enjoy broad immunity, and whether the American laws intend only for individuals to be held liable for international law violations.

"There's no connection to the United States whatsoever" in these lawsuits, said Justice Samuel Alito. The statute being challenged here "was enacted -- there seems to be a consensus -- to prevent international tension, and this kind of lawsuit only creates international tension."

But Justice Elena Kagan, an active questioner, was convinced such cases could proceed.

"Take an example that has all the extraterritoriality aspects of this case taken away from it," she said. "Let's assume that the French ambassador is assaulted or attacked in some way in the United States, and that that attack is by a corporate agent. Would we say that the corporation there cannot be sued" under the federal law?

The first appeal was filed on behalf of residents of the oil-abundant Ogoni area of the Niger River delta. Two decades ago, they protested the long-standing environmental harm caused by Shell and other energy firms from the petroleum extraction.

They and their families claim the Nigerian government brutally suppressed them, "aided and abetted" by private corporations doing business there. The Ogoni 9 -- as the key leaders became known-- were allegedly detained, tortured, and tried by a special Nigerian military tribunal, in violation of international human rights treaties.

The government's 1993-95 crackdown sparked global outrage after author Ken Saro-Wiwa and eight other activists were convicted, then hanged. Among those bringing suit is his nephew, Charles Wiwa, who escaped the Nigerian oppression and now lives in Chicago as a political refugee. He described being a student activist beaten by soldiers for hours in front of a crowd of onlookers, then detained and tortured for days

He claims Shell -- based in the Netherlands and Britain -- conspired with the government to keep its business operations going in the face of protests, and should be held accountable for ignoring or encouraging a pattern of killings, rapes, beatings, and property destruction. He said the only place to obtain justice is in the United States.

"Nigeria's dictatorship has grown rich from its oil," Wawa told CNN. "It is important those (oil) companies be held responsible, because we cannot bring any legal action in courts in Nigeria."

The law in question is the Alien Tort Statute, or ATS, which gives federal courts jurisdiction over claims from foreigners that they were harmed by international law violations. It was ignored for decades, but has now become an important legal vehicle for those bring human rights claims.

Similar lawsuits involve Chevron and Exxon energy operations in Indonesia; Chiquita Brand fruit farms in Colombia; and businesses that operated years ago in the now-outlawed apartheid system in South Africa.

The high court in 2004 endorsed use of the ATS, but only in limited circumstances. That approach was apparent among several of the conservative justices during Tuesday's two-hour oral arguments.

"In this case, the corporations have residences and presence in many other countries where they have many more contacts than here," Justice Anthony Kennedy said.

Later he told the Obama administration lawyer supporting the Nigerian plaintiffs, "Suppose an American corporation commits human trafficking with U.S. citizens in the United States. Under your view, the U.S. corporation could be sued in any country in the world, and it would have no international consequences. We don't look to the international consequences at all."

"If there is no other country where this suit could have been brought, regardless of what American domestic law provides," asked Chief Justice John Roberts, "isn't that a legitimate concern that allowing the suit itself contravenes international law?"

But Kagan and Justices Stephen Breyer and Ruth Bader Ginsburg were skeptical about giving corporations a judicial free pass of sorts.

Breyer pointed out the ATS was passed more than two centuries ago in response to piracy on the high seas. He used a humorous hypothetical to make his point.

"The principle that here would apply is Pirates Inc. Do you think in the 18th century if they'd brought Pirates Inc. (to court in a lawsuit), and we get all their gold, and Blackbeard gets up and he says: 'Oh, it isn't me, it's the corporation' that is responsible -- do you think that they would have then said: 'Oh, I see, it's a corporation. Good-bye. Go home.'"

"Yes, the corporation would not be liable" even in that case, said attorney Kathleen Sullivan, representing Shell.

The second case involves the Torture Victims Protection Act, passed two decades ago, and whether its provisions for liability for human rights abuses apply only to "natural persons."

The family of Palestinian-born Azzam Rahim Mohamad -- a naturalized U.S. citizen -- claims intelligence officers are responsible for his beating death in 1995. U.S. officials later said three of the officers were implicated in the incident, but Rahim's relatives believe the Palestinian organizations that have defacto control of the disputed Mideast territories hold ultimate responsibility.

The civil lawsuits in the international law context have been compared to a separate, high-profile domestic political dispute. The high court in 2010 concluded corporations -- businesses, unions, and issue advocacy groups -- enjoy the same free speech rights as individuals when it comes to independent election spending. Now the issue is whether corporations and political entities should be treated the same as individual offenders when it comes to enforcing international human rights.

The cases are Kiobel v. Royal Dutch Petroleum (10-1491) and Mohamad v. Palestinian Authority (11-88). Rulings can be expected by late June.

@highlight

Two U.S. cases seek to sue corporations for actions abroad

@highlight

The justices are being asked to sort out whether laws intended for individuals apply

@highlight

Justice Alito: "There's no connection to the United States whatsoever" in these lawsuits

@highlight

Justice Breyer: Would Blackbeard get off by blaming crimes on Pirates Inc.?