Beijing (CNN) -- As the global travel industry rolls out the welcome mat for China's surge of outbound tourists, it should consider tipping the scales in their customers' favor.

Consider Emirates Airline, which has won over retail-crazy Chinese travelers by simply boosting their baggage allowance.

"They increased their luggage allowance because they recognized when Chinese travelers go abroad, they come home with more than when they left," says Martin Rinck, Asia-Pacific president of Hilton Worldwide.

"And just by making that change, they won tremendous market share of the Chinese consumer."

For the latest CNN "On China" program, I talked to a panel of industry insiders about how to cater to China's rush of outbound tourists.

Fittingly, we filmed our discussion inside Beijing Capital International Airport -- a rare opportunity for an international TV network. The airport is on track to become the world's busiest passenger hub.

That's not a surprise, given the boom in Chinese business and leisure travel. By 2020, it's estimated more than 200 million Chinese will go overseas -- double the number that did so last year.

"It has been one of the biggest dreams for Chinese travelers to go outside and travel overseas," says Chen Xu, a Beijing-based researcher at the Chinese Tourism Academy, a government think-tank that studies tourism trends.

"And now the government has lifted restrictions on outbound travel, so for more Chinese, it's much easier to travel abroad."

Fueled by more visas and more money, rising numbers of Chinese tourists are now able to fly further and spend more, many booking their own adventures online on travel sites like China's CTrip.com.

"We just recently sold a very top-end package tour which is $200,000 per person for 88 days around the world," says CTrip.com Chief Operating Officer Jane Sun.

She asks me to guess how long it took to sell the package. I play along: "Eight minutes?"

"17 seconds," she says with a smile.

Without a doubt, the interest and buying power of China's ultra-luxury travelers is immense. Across the board, China's outbound tourists are the world's biggest spenders. In 2012, they spent a record $102 billion on international tourism.

And major booking volume is moving across mobile devices.

"More than 50% of our hotel bookings are on mobile," says CTrip.com's Sun.

Hilton's Martin Rinck adds: "China skipped the whole desktop/MacBook/computer thing and went straight to mobile."

"Some companies are really proud to have a new website, but if it doesn't have the functionality to be read on a small device and have full integration on a mobile device, it's really of no use."

It's also of no use if you don't welcome your Chinese guests in Mandarin Chinese.

"We do this outbound Chinese travelers survey every quarter," says CTA's Chen Xu. "And we noticed that last year, for four consecutive seasons, lacking Chinese service and lacking Chinese-language TV programs or menus were the most unsatisfying factors."

"As a business, you probably have to provide more Chinese-language services," he adds.

CTrip.com company data is in line with CTA's quarterly surveys.

"On our website, we rank the hotels and the sites," says Sun. "The hotels with Chinese services are ranked higher than the other hotels."

And does that influence consumer choice?

"Absolutely."

In 2011, Hilton Hotels & Resorts launched "Hilton Huanying," a welcome program tailored for Chinese travelers. In a number of Hilton properties outside China, it rolled out China UnionPay terminals, front desk staff fluent in Chinese, and a range of tailored in-room amenities like Chinese-language TV and tea kettles.

"We started the program in August 2011 with 15 participating hotels outside of China," Rinck tells me.

"We now have 82, and those hotels doubled their percentage of Chinese travelers in a period of just two years."

It's a clear message for the global travel industry: Tune those screens to Chinese TV and boost that baggage allowance. It pays to understand the needs of the 200 million tourists coming your way.

@highlight

Hotels, airlines advised to tailor services to Chinese tourists

@highlight

Tourism industry insiders appear on CNN's latest "On China" program

@highlight

By 2020, it's estimated more than 200 million Chinese will go overseas

@highlight

Relaxation of government restrictions, rising wealth opening doors