Canada and tennis? Really?

Yes the country known in sporting terms for dominating ice hockey and curling is prospering in a summer sport. And at least among the men, Canada is trumping the U.S., its more heralded and populous neighbor.

Early last year, Milos Raonic achieved a significant milestone when he became the first non-U.S. male to assume the position of North American No. 1 since rankings began in 1973.

"Didn't expect that one to happen," John McEnroe, the controversial, charismatic and talented former No. 1, said in a conference call. "I guess I learned to expect the unexpected."

While Raonic's feat said much about the amply discussed state of the U.S. men -- from having 42 players in the top 100 this week in 1984, only six found themselves there at the start of this week's U.S. Open -- it was the beginning of an unprecedented boom in Canadian tennis thanks to the 23-year-old, Eugenie Bouchard and Vasek Pospisil.

Boom in singles, that is. Daniel Nestor is one of the greatest doubles players of all time and continues to collect titles at the age of nearly 42.

Raonic, still the continent's top male player and ranked sixth overall, is frequently mentioned in the same breath as Bulgaria's Grigor Dimitrov when it comes to players able to threaten the "Big Four" of Roger Federer, Rafael Nadal, Novak Djokovic and Andy Murray and potentially claim a grand slam title.

He has bettered that illustrious quartet in one area this year, despite suffering from a lower leg injury in January and February. Raonic is the lone player to reach at least the quarterfinals in six Masters events.

"It's been great," Raonic told CNN. "I've put myself in weekend parts of tournaments, in the quarters or better most of the time so I've given myself a shot against the top guys."

No wonder he has high hopes at the year's final grand slam.

"I believe I can win the tournament, so that's what I'm pushing to do," Raonic said.

He is already the highest-ranked Canadian man in history, easily surpassing Canadian-turned-Brit Greg Rusedski's No. 41 in 1994, and was the first man from his nation in more than a century to reach the semifinals at Wimbledon.

With a serve considered one of the best in the game and a temperament as unwavering as his well-manicured hair, he should be around for a while, too.

He emerged earlier than Bouchard, but the 20-year-old -- whose first language is English, despite the francophone sounding family name -- has turned into a media darling a la a trio of North American blondes of decades past, Chris Evert, Tracy Austin and the 1984 U.S. Open semifinalist from Canada, Carling Bassett.

She even has her own fan club, the "Genie Army."

Given the name Eugenie because of her mother's fascination with British royalty, destiny appeared to be on Bouchard's side when she made July's Wimbledon final -- she was the first player representing Canada to play in a grand slam singles final.

But Petra Kvitova scuppered any hopes of a Hollywood ending with a masterful display of power tennis that left even the feisty Bouchard in tears.

Yet, she has reached at least the semifinals of the year's first three majors, something 17-time grand slam champion Serena Williams and five-time grand slam champion Maria Sharapova -- Bouchard's idol -- didn't accomplish.

Bouchard's loss of form entering the U.S. Open is likely a slight wobble instead of a longstanding concern.

High expectations don't faze her.

"It's a position I want to be in," she told reporters on the eve of the New York event.

Pospisil trumped Raonic and Bouchard in one department -- becoming a grand slam winner at the highest level. He and American partner Jack Sock triumphed in the men's doubles at Wimbledon.

The baby-faced Pospisil, whose weapons are his serve and forehand, faced Raonic in the first all-Canadian final on the men's tour in Washington in early August.

He broke into the top 30 this year in singles and, if not for a back injury, might have gone farther.

"It was tough because I was gathering so much momentum throughout 2013 and then I felt like I was playing great tennis at the start of this year," Pospisil told CNN before he lost his first-round match at the U.S. Open. "Then I hit a bit of a wall there, a big speed bump."

The rapid success has surprised Davis Cup captain Martin Laurendeau, who achieved a career high of No. 90 in 1988.

With Laurendeau at the helm, Canada surfaced in a maiden Davis Cup semifinal in 2013.

"We had a few athletes spread out during the generations doing a few good things here and there, but never really was there a club like this where they broke through on the international stage at the same time," Laurendeau told CNN.

The inevitable question is, why now?

"Tennis Canada's development programs, especially in Montreal, have been excellent, but in many ways the best players -- Raonic in Toronto, Bouchard in Montreal and Pospisil in Vancouver -- owe the most to their families and individual coaches," Canada's longest serving tennis writer, Tom Tebbutt, told CNN.

Touching more on Tennis Canada's contribution, Laurendeau brought up several factors.

The focus, he said, has shifted to high performance and development.

More resources, he added, have allowed the governing body to hire experienced coaches from other countries -- Laurendeau cited Louis Borfiga, who worked extensively in France -- and junior players can attend the tournaments they want rather simply choose the cheapest option.

"Louis came in and helped to change the mentality of the Canadian tennis players," said Laurendeau. "I do believe we believe more in our capabilities to break through.

"The mentality is a big part of it, definitely."

To that end, Bouchard wasn't just happy to reach the Wimbledon final, and Raonic said Wimbledon was bittersweet.

He took pride in getting to the last four but was "upset" with his straight-set loss to Federer.

Thus instead of doing media rounds when he got back home, Raonic almost immediately went straight back to training.

"As soon as I got my time off, I actually left Canada," said Raonic. "I wanted to be away from the things that might follow after tennis.

"When I came back and started training, I trained away from the tennis facility and actually (trained) where Toronto's (MLS) team trains.

"I think it was a great result in general at Wimbledon, but I was upset with the way it finished so I wanted to put that behind me and get my nose back into the work."

Now, according to Laurendeau, the key is to maintain the momentum.

Having a major star or handful of pros thriving is no guarantee of sustained success.

Take Sweden or Brazil.

Sweden, the home of Bjorn Borg and Stefan Edberg, doesn't have a men's player in the top 200. Brazil, meanwhile, couldn't capitalize on Gustavo "Guga" Kuerten's enormous popularity.

Helping Canada is its tennis infrastructure -- a major training hub lies in Montreal -- and more people in the country, according to information provided by Tennis Canada, are playing the sport.

The performances of Raonic, Bouchard and Pospisil should maintain the trend for the foreseeable future.

"When things get hot but there's no structure behind it, well, there are so many options for kids to go into that are exciting," said Laurendeau. "You want to pick up the game, you go here. How old are you? You can go here. Where do you live? You can go here.

"That's very important. When I look back at the Guga era, he was probably one of the greatest known sports figures in the world at one time.

"Especially in Brazil, tennis was very popular. Why didn't they see a boom behind Guga? It was because that was lacking. It's important for us to have a structure in place -- and we do have it in place."

@highlight

Canada's Milos Raonic is the top-ranked North American male on the tennis tour

@highlight

Twenty years ago, no one could have forecast that and the U.S. men's slump

@highlight

Canadian tennis is on a high with Raonic, Eugenie Bouchard and Vasek Pospisil

@highlight

Bouchard and Raonic excelled in Wimbledon singles and Pospisil won in doubles