LONDON, England (CNN) -- In 1981, Dr Mohga Kamal-Yanni was preparing to leave Egypt for a clinical attachment in England when her father had a heart attack. He fell in the street, and was taken to a public hospital, where Dr Kamal-Yanni kept vigil at his bedside until he regained his strength.

A doctor at a hospital in India where health indicators have showed no significant improvement  in seven years.

During his stay in the hospital, she was appalled at the low level of healthcare available to him. "It was awful. There was no medicine," she told CNN.

As a doctor, Kamal-Yanni was able to watch over her father's progress. Her professional opinion on his recovery was striking. "My father survived that heart attack for two reasons," she said. "One, because of God's will, and two, because he had a strong will. It was nothing to do with the health service."

The following year, Kamal-Yanni came to England to do a clinical attachment. She found herself deeply affected by the stark contrast between the healthcare available in Britain, on the publicly funded National Health Service, and the healthcare available at home in Egypt. She found herself slipping into depression.

"I couldn't talk to the patients; I couldn't talk to the doctors. I just couldn't cope with it," she revealed to CNN. "I couldn't understand why every time I saw a monitor next to a patient I was so upset."

It dawned on her that the gulf in care was troubling her. "I kept thinking why on earth my dad didn't have that. The only reason was that he happened to be born in Egypt and these people had the luck to be born [in England]."

Kamal-Yanni is now a senior health & HIV policy advisor at third-world charity Oxfam. Her first-hand experience of the divide between the healthcare available in richer countries, and that on offer in poorer ones, has given her the impetus to try and narrow the gap.

While Western countries are pushing the boundaries of scientific knowledge, discovering the potential of nanotechnology and other high-tech solutions to the developed world's diseases, like diabetes, cancer and obesity, poor countries are struggling to combat health problems such as HIV, malaria and TB.

Lack of infrastructure

And it's not as simple as shipping medicines and supplies in bulk quantities. Oxfam's "Paying for People" report, published in February this year, said that poor countries are suffering because they lack the infrastructure of a health service. The WHO's 2006 "World Health Report" also indicates that 4.25 million doctors, nurses and health workers are needed across 57 countries. Sub-Saharan Africa, for example, has 600,000 health workers: one million more are required.

Without these key workers, it is questionable whether healthcare in poor countries can be improved. Nicky Wimble, a spokesperson for Oxfam, told CNN, "There is money coming in for drugs now, but there's no commitment to long-term aid."

Governments are unable to give healthcare workers with job security and doctors and nurses, where they do exist, are largely poorly paid: so people choose other careers. "They're either becoming taxi drivers, or working for private businesses," Wimble says. This double brain-drain (one internal, one external as those who do train are tempted away by higher salaries and brighter futures in developed countries) means that even if drugs make it to poorer areas, there can be no one to administer them. "Drugs are sitting in cupboards," Wimble told CNN. "Or they're available in cities but people in rural areas don't have the bus fares to get to them."

Vulnerable to disease

Dr Kamal-Yanni backs this up. She told CNN, "There is no public investment in health systems so people have to pay for it. If you're poor you can't buy your healthcare and if you're a woman who happens to be poor you might as well forget it."

And in countries where no healthcare system exists, people are extremely vulnerable to diseases, which can spread rampantly and unchecked through communities.

Dr Kamal-Yanni paints a worrying picture. "Particularly in Africa, they're not equipped to face anything -- not HIV, let alone avian flu. If something like avian flu hit Africa with no health system, no health workers and no money, it would spread. We can't contain it in Africa. The world would wake up and realize that, but in the meantime, it would have wiped out goodness knows how many millions of people."

It's not just in Africa. HIV is a known crisis there, but it is anticipated that more people will be infected in India than anywhere else, as the disease spreads quickly through its billion-strong population.

Increasingly, countries like these are having to deal with a boom in incommunicable diseases, like diabetes and cancer. Chronic diseases like diabetes have the additional problem that they require long-term care, and therefore long-term funding. Dr Kamal-Yanni explained the difficulties of that situation. "You buy the pills today, but maybe tomorrow you don't have enough money so you're never cured and develop complications."

What lies ahead?

Dr Kamal-Yanni sees three possible outcomes for health in poor countries. The first, as she explained, is bleak.

She told CNN, "If things continue as they are, with rising infection, increasing resistance to drugs, HIV and malaria run unchecked, chronic and non-communicable diseases are ignored and no money is spent on a health system, then the gap will just increase and the situation will get worse and worse."

Dr Kamal-Yanni is hopeful, however, that the situation will improve somewhat. She explained a second scenario, the one she feels is most likely to happen.

"If the international community invests a little bit, things will be slightly better," she told CNN. "More people with HIV will get treatment, as will people with TB and malaria. But non-communicable chronic diseases [like diabetes] will be ignored."

But large-scale epidemics like avian flu or SARS would still remain a huge threat in this scenario, as would diseases like cancer.

"Who's going to pay for medicine for cancer, which is increasing like anything in developing countries?" asks Dr Kamal-Yanni. "Nobody."

Hope for the future

But there is a third scenario, which holds out more hope for people in developing countries. Dr Kamal-Yanni says, "If public pressure is high, southern governments, donors and the international community will decide that health is really a priority. We'll put our money where our mouth is and we'll fulfil the commitments that we've made before."

She says that in the first instance, African countries need to be encouraged to divert 16 percent of their budget to health. (Currently, nearly a third allocate less than five percent.) "Then they will realize that this is not enough, so they'll put in more," she continues.

If this money were to be added to the $50 billion promised by G8, the Group of Eight leading industrialized nations, in Gleneagles in 2005, it would have a huge impact on health and education, particularly in Africa. And education is the key, Dr Kamal-Yanni believes.

She explained, "You can't separate health and education because unless you educate doctors and nurses, and midwives and pharmacists, you can't run a health service."

Working together

It's also important for donors and governments to work together to provide a cohesive service, she says. "They really need to start coordinating their work so it's not a series of vertical programs that don't relate to each other and waste resources."

Oxfam's Nicky Wimble agrees. She told CNN, "Over the last 100 years, countries like France, Britain and America have developed by giving their people free education and healthcare. It's a major way to bring people out of poverty."

Wimble cites the example of education, where the number of children not in school worldwide has fallen from around 120 million to around 80 million.

"The key is getting governments to commit to it as a part of their aid package, and monitoring the aid package so that the money is tracked to ensure that it gets to where it's intended," she said. "It's working for education, and they think it'll work for healthcare too, but it needs committed investment."

And in the meantime, people like Mohga Kamal-Yanni will continue their work to pressure governments to encourage positive change.

She says, "That's my motivation to do this work. It's not for me; it's a life thing. My dream in life is for everybody in Africa to have access to a publicly financed, publicly run healthcare service with strong regulation, quality, care and equity." E-mail to a friend

@highlight

Oxfam: Lack of infrastructure is the greatest danger to health in poor countries

@highlight

WHO: 4.25 million more doctors and nurses needed worldwide

@highlight

Poor countries won't cope with SARS, avian flu

@highlight

Positive policy changes have seen number of children not in school fall by a third