(CNN) -- Kudos to the Department of Education for a new study documenting that black students, especially boys, receive much harsher discipline than other students in public schools. Many black people would tell you they knew this already, but it generally takes data for institutional change to occur.

The coverage of the study in The New York Times last week got me thinking about what needs to be done. While we must attack the problem on multiple fronts, one part of the solution will not be found in scholarly journals or five-point plans. It is sleeping deep in our histories and needs to be awakened and put to work.

It is the communal love of our children. Not just one or two of us doing it, and not just when it is convenient or our children are behaving and excelling. Children in trouble need caring and confidence-building now -- right now.

The Times article took me back to thoughts I had in watching all the media coverage of the hit movie "The Help," about black domestic servants and white women during the days of segregation. I remembered how profoundly the messages we get as children shape our world as adults.

One of the most memorable lines from "The Help" rolls easily off my tongue. A black maid, Aibileen, repeatedly tells Mae Mobley, a young white girl she cares for: "You is kind. You is smart. You is important."

Aibileen's message reaches far beyond the relationship of a black woman turned mother figure to a white child. It is a message that touches the very essence of human dignity and self-esteem in a world that can be unrelentingly cold and unkind.

How much better a world this would be if every child were encouraged to be kind. Kind in the face of unkind acts and deeds. Kind when differences of opinion are strong and the stench of bigotry and discrimination are pervasive. Aibileen's lesson to Mae Mobley was not to become hardened by a world that was hard on her. She wanted Mae Mobley to remember, once she was old enough to discover that her form was not thought beautiful by her own kind, that she was smart and she was important.

How much better a world this would be if every child was told she or he is smart.

Would more of our children excel in math and science? Would fewer drop out of school? Oh what we could accomplish if every parent, every adult and every teacher said over and over and over, to every child, every day, all through the day: "You are smart!"

Our children are starving for positive feedback and expressions of confidence in their abilities to achieve. We must anchor our children's confidence in our unwavering belief in their ability to do great things.

CNN Health: Love key to brain development in children

How much better a world this would be if every child felt important. Important enough for parents to make them a priority. Important enough to know they have special gifts and talents. Important enough to have teachers and school administrators who really care. Sometimes all the edge we need to achieve great things is to know we are unique and special.

I was born at time when more than a few sadly misguided black folk openly supported a black caste system based on skin color and hair texture and length -- the closer to white, the better. Although few openly promote such a system today, vestiges of that thinking remain. The ranges of skin color and hair type among black folk are from deep, rich blue-black to can't-tell-you-from-a-white-person; and hair can be short and coarse/nappy to coarse and long to straight and long and all in between.

My mother and father were opposite ends of the color and hair spectrum. She was fair-skinned with a head full of hair; he was much darker with somewhat coarse hair. My sister, the first-born, entered the world with a light complexion like our mother. Her hair was long, dusty-red and very coarse. My brother, the third child, was of medium complexion with keen features like our mother. I was the middle child, features like my mother and the complexion and hair texture of my father. There I was, a dark-skinned girl child with short, nappy hair: a recipe for a hard life.

But to the contrary, I live a rich and full life, have considerable professional accomplishments and most importantly, I know why. My family, understanding how skin color, hair length and texture played out in our community and beyond, made it their business to build incredible self-esteem and confidence within me.

They nurtured and prepared me for a world that would not always respond to me with open and caring arms. My skin color was my skin color, and my hair texture and length were uniquely mine -- all part of a beautiful package. Neither skin color nor hair could stop me from achieving anything.

There are many circumstances, things and people making our children feel they are less than and that they do not measure up. There are many things we must not tolerate from our schools. While we cannot stop the world from hurling stones of self-doubt at our children, we can fortify our children and strengthen their resolve to overcome.

In our words and in our touch, we can turn the tide of low self-esteem, insecurity about competence and abilities and hatred and intolerance toward others that bubble up in too many of our young people.

In whatever language used, however grammatically correct or incorrect, every child deserves to have his or her face gently held and to be told: "You is kind. You is smart. You is important."

The opinions expressed in this commentary are solely those of Marsha Johnson.

@highlight

Marsha Johnson: A study showed black children more harshly disciplined in schools

@highlight

She says a part of solution is communal love of children, fostering dignity in a cold world

@highlight

She says growing up in black community, her dark skin could have lowered her standing

@highlight

She says her parents' support made difference; all parents must show kids their love