London (CNN) -- A British Christian woman suffered religious discrimination when British Airways told her not to wear a visible cross over her uniform, a top European court ruled Tuesday.

However, three other British Christians lost related religious discrimination claims at the European Court of Human Rights.

Belief blog: Britain fights Christians' right to wear cross, infuriating activists

British Airways violated the article of the European Convention on Human Rights that guarantees freedom of religion when it stopped employee Nadia Eweida from wearing her cross openly, the court said.

Eweida said she experienced discrimination from 2006 to 2007, when she started displaying the cross while working as a member of check-in staff. She was first sent home and then offered another role where she'd have no contact with customers. She refused to take it.

The airline changed its policy on uniforms in 2007 to allow employees to wear religious or charity symbols, at which time Eweida returned to the check-in desk.

In its ruling, the court weighed Eweida's desire to show her religious belief against the airline's wish to project a certain corporate image.

"While this aim was undoubtedly legitimate, the domestic courts accorded it too much weight," it said, referring to British Airways' position.

Read more: New archbishop of Canterbury named

However, the court found that three other British Christians who argued they'd been unfairly dismissed from their jobs had not been subjected to religious discrimination.

They are nurse Shirley Chaplin, who also wanted to wear a cross at work, registrar Lilian Ladele, who declined to register gay civil partnerships, and Gary MacFarlane, a relationship counselor who did not want to give sex therapy to same-sex couples.

In the case of Chaplin, the court ruled that the concerns of hospital managers for health and safety outweighed the nurse's desire to wear a cross visibly in the workplace.

The cases of the registrar and the relationship counselor had been fairly considered in the national courts, the court said.

"In each case the employer was pursuing a policy of nondiscrimination against service-users, and the right not to be discriminated against on grounds of sexual orientation was also protected under the Convention."

The parties in the cases have three months in which to lodge an appeal.

Read more: British Muslims optimistic and proud, survey finds

The Christian Legal Centre, which directly supported Chaplin and MacFarlane, issued a statement saying the ruling "raised questions about the future involvement of Christians in professional and public life."

Gary McFarlane said he was "amazed" by the court's decision, and added that there had been no need for him to be dismissed from his job.

"What happened to me was deeply illiberal. I simply wanted to do my job in light of my Christian identity but I was policed and punished for my thoughts, for my beliefs. In a truly tolerant society we make room for one another," the Christian Legal Centre quoted him as saying.

"Today's judgment is a worrying sign not just for those who bring their Christian faith to bear on their work but for all those who hold viewpoints that differ from the reigning orthodoxy."

Rights groups hailed the outcome, however.

Shami Chakrabarti, director of the Liberty human rights group, said the judgment was "an excellent result for equal treatment, religious freedom and common sense."

The British courts had "lost their way" in considering Eweida's case, she said.

"Nadia Eweida wasn't hurting anyone and was perfectly capable of doing her job whilst wearing a small cross. She had just as much a right to express her faith as a Sikh man in a turban or a Muslim woman with a headscarf."

But, Chakrabarti added, the European court "was also right to uphold judgments in other cases that employers can expect staff not to discriminate in the discharge of duties at work."

The British Humanist Association also praised the European court for "applying the right principles" to the cases -- those of equality and human rights.

The association's chief executive, Andrew Copson, said the political Christian lobby and socially conservative media had sought to whip up a "victim narrative" around the cases that had no basis in reality.

"What they describe as discrimination and marginalization of Christians is in fact the proper upholding of human rights and equalities law and principles -- principles which protect all people against unfair treatment -- and we are pleased that the court has recognized this," he said in a statement.

"All reasonable people will agree that there is scope in a secular democracy for reasonable accommodation of religious beliefs when that accommodation does not affect the rights and freedoms of others."

The four Christians turned to the European Court of Human Rights in Strasbourg, France, after losing every round of their battles through the British legal system.

Their claims were filed under European human rights law, focusing on guarantees of freedom of religion and freedom from discrimination at work.

The cases have been closely watched in Europe because they may help to draw a clear boundary in cases where religious views contradict laws against discrimination. The court's decisions have implications across 47 countries on the continent.

The court ruling will not be binding in Britain, but the country is legally obliged to take it into account.

CNN's Antonia Mortensen and Richard Allen Greene contributed to this report.

@highlight

NEW: "I was policed and punished for my beliefs," says a Christian who lost his claim

@highlight

Nadia Eweida wins her case, over wearing a cross, at the European Court of Human Rights

@highlight

Three others lose their claims to have suffered religious discrimination at work

@highlight

The rights group Liberty says the rulings are a great result for equality and common sense