(CNN) -- America had already telegraphed plans to attack terrorist targets in Syria, but the operation that unfolded over Syrian skies overnight brought several significant and revealing surprises.

Here are five important ones:

1. Arab countries joined in attacking ISIS.

It was always crucial that Washington keep this fight against the so-called Islamic State from becoming another American war, and especially that it deny extremists the ability to portray it as a war against Muslims or against Arabs. This opening salvo in Syria is an important step in that direction. The U.S. reported that Bahrain, Jordan, Saudi Arabia, the United Arab Emirates and Qatar -- all Sunni states -- "participated in or supported" strikes against ISIS, which is also Sunni and violently anti-Shiite.

The "supported" part probably applies to Qatar, whose participation in any capacity is quite a surprise. Qatar has actively backed the opposition against Syrian President Bashar al-Assad, and many blame it for funneling the support that allowed Islamist groups to emerge as the dominant segment of the anti-al-Assad forces.

2. The United States didn't just hit ISIS, it targeted al Qaeda's Khorasan Group's "imminent" attack on America.

This news bombshell was hidden in the Pentagon's press release, which said the U.S. "took action to disrupt an imminent attack plotting against the United States and Western interests." Until now, the debate over whether or not the United States should strike in Syria has referred specifically to the threat posed by ISIS, but outside the United States, there has been growing concern about the rise of Khorasan, a group made up of highly experienced al Qaeda fighters.

U.S. Central Command said American forces -- without Arab participation -- struck explosives and munitions depots, training camps and other Khorasan facilities.

By attacking al Qaeda, the United States is helping prevent another militant group from filling the vacuum when and if ISIS loses strength in Syria. Defanging Khorasan would make it possible for moderate Syrian rebels -- rather that al-Assad regime forces or other extremists --- to move in where ISIS falls back.

3. The rise of ISIS has triggered jihadi competition to strike the United States.

The emergence of Khorasan as a major player in Syria points to the intensity of rivalry between jihadi groups in Syria. That is good news in the sense that ISIS and al Qaeda have more enemies, but it is extremely dangerous because jihadi groups are likely to try to upstage one another by hitting American and Western targets.

The Khorasan Group is headed by Muhsin al Fadhli, a 33-year-old Kuwaiti who has topped most-wanted lists in many countries. He reportedly played a major role in the acrimonious breakup in Syria between ISIS and al Qaeda. Al Fadhli and ISIS leader Abu Bakr al-Baghdadi operate from a personal enmity. As al-Baghdadi seeks to topple al Qaeda as the leader of global jihad, it is reasonable to expect that the two organizations will compete for adherents and prestige by seeking to attack Americans and Europeans.

4. Al-Assad didn't respond, but a Syrian fighter jet crossed into Israel and was shot down.

The most daunting aspect of the fight against Islamist extremists in Syria is that they seek to topple al-Assad. Meanwhile, America's position remains that al-Assad should leave power. The enemy of their enemy is no friend of the United States. Washington maintains that it did not seek permission from al-Assad to strike inside his country and there was "no coordination or cooperation" with either Syria or its ally, Iran.

Syria's foreign ministry says the United States informed its U.N. envoy before striking on its territory. Damascus did not lift a finger to object to the violation of its airspace by a hostile military coalition.

There was, however, another incident. Israel says that early Tuesday a Syrian fighter jet infiltrated Israeli airspace and was shot down. The pilots ejected safely into Syria space. Israel says the plane flew half a mile into its territory and says it has no intention of becoming involved in the war in Syria. It was the first time in more than two decades that Israel has intercepted a Syrian military plane, and a retired Israeli general told The New York Times he thought the incursion was not deliberate. Whatever triggered the incident, it is further evidence of just how dangerous the Syrian conflict is, and how easily it could continue to expand into new territories.

5. America's timing is smart, strategic and a little embarrassing.

The timing of America's first direct hit inside Syria comes almost exactly a year after President Barack Obama announced he would strike against al-Assad's forces because they had crossed his "red line" by using chemical weapons. That did not happen. Now Obama is hitting al-Assad's enemies. The irony is more than a little awkward, but the timing could prove politically productive.

The attacks came just hours before Obama's scheduled speech to the U.N. General Assembly, an annual gathering that not only provides an important platform to address the international community but also offers almost unlimited possibilities for face-to-face meetings with world leaders. The United States is in the middle of a major diplomatic push to build up support against ISIS.

At the United Nations, Obama will make the case for the rightness of the cause against the murderous extremists seeking to terrorize the Middle East and the world. He also needs to invigorate the push for a less sectarian government in Iraq, so that the country's Shiites and Sunnis will join in the life-and-death struggle against ISIS. He will seek to enlist new allies in the fight and bring old ones -- notably Turkey -- into line.

After years of resisting intervention in Syria, after more than 200,000 people have died, millions have been displaced there, and after the Syria civil war has metastasized and spread, fracturing Iraq and sending millions of refugees into Jordan, Lebanon, Turkey and elsewhere, the United States finally decided to act.

That it eventually would have no choice but to do so is hardly unexpected. But there are sure to be many more surprises in the months to come.

There is ample irony in the timing and the occasion -- the highest-profile meeting of the world's foremost peace organization -- but there is also news that the people in ISIS-controlled parts of Syria are quietly celebrating America's newfound resolve.

@highlight

Frida Ghitis: The attack of U.S. and allies on ISIS targets in Syria offered several surprises

@highlight

She says the U.S. was joined by Arab countries in attack, and U.S. targeted Khorasan Group

@highlight

She says ISIS' rise highlights new competition between jihadi groups to strike U.S.

@highlight

Ghitis: A year ago, Obama warned Syria of "red line"; now U.S.hitting Syria's enemy