(CNN) -- Dion Almaer's career revolves around experimentation. As a software engineer, he's always trying out different approaches to get the best outcomes and running tests to confirm hypotheses.

Last year, he decided to optimize the operation of a different kind of machinery: his own body.

Almaer, 37, is about to become a father for the third time, and he wants to be around for grandchildren further down the line. That's partly why he decided last year to get his weight, and health in general, under control.

In September 2012, the 5-foot-11 British-born man weighed 300 pounds. Today, he's 185 pounds.

He didn't follow any one pre-established regimen to get there. A variety of books and lectures taught him about possible methods, and he tried different approaches until he found what worked for him. What he did specifically isn't necessarily the best method for everyone.

"Try to set up an experiment where you give yourself some time, and kind of hold yourself to it," he advises. "If you screw up one day, that's in the past. Just pick yourself up and try again."

Sitting, the American way

Growing up in London, Almaer was very active. He played soccer and cricket in his youth. But when he went to college at the University of Minnesota, he got hooked on computers. He rebuilt the university's student registration system and worked for a start-up company while still in school.

The price of technology was slothfulness.

"I started to move a lot less, and sit at a computer a lot more, and just ate crap all day long," he said. "It kind of escalated from there."

Without fully realizing it, his diet turned to virtually all carbohydrates; he never ate vegetables. At the start-up company, he helped rig the soda machine so Mountain Dew would pour out even more concentrated.

Being overweight seemed to bring down his immunity. He developed skin conditions. When he'd get a cough, it wouldn't go away for months.

Over time, his weight ebbed and flowed. He got a little healthier while working in Boulder, Colorado. He lost a significant amount of weight when he and his wife moved to London, because he walked around the city and ate better.

But when they relocated back to the United States, moving several more times, Almaer's weight swung upward again. Almaer boasts that he has lived in every time zone in the continental United States -- and most of them helped him gain weight.

Target 1: Diet

Family members had been bugging Almaer for a long time about getting healthy. His father, a personal trainer and gym owner, was always in the back of Almaer's mind.

But it was Gary Taubes, author of "Why We Get Fat," who ultimately inspired him. Taubes taught Almaer that not all calories are alike -- it matters what you eat -- and that carbohydrates in particular are bad because they stimulate insulin, a hormone that increases fat storage.

Controversy still surrounds the idea that a low-carb diet is healthier than a high-carb one (Robert Atkins' famous diet, for instance, is still hotly contested), but Almaer decided to try it.

Almaer cut way back on his carbohydrates, then started adding some foods back into the diet to see how he did. He stayed away from processed foods. He also started paying more attention to his body's signals, only eating when he was hungry.

Another technique he found useful at the beginning of this journey was taking a photo of food that he was about to consume, making him feel more "in the moment" during the act of eating.

In conducting his personal experiments, Almaer didn't want to start with more than one variable at a time, so he didn't add in exercise until he felt he had a good handle on diet. With diet changes alone, he lost 20 pounds in two weeks.

He created a mobile Web app called 16:8 to track the time between his meals, because he had read about the idea of intermittent fasting. He would simply hit a button when he started and stopped eating, so he could monitor how energetic he felt in connection with how much time had passed since eating. For instance, he has discovered that he feels great when he runs in the morning even if he's been fasting since the night before.

Target 2: Exercise

When he felt his diet was under control, Almaer decided to try running, which he had never enjoyed. The first time, he could barely get to the end of the block. He paced himself by taking long walks, then got into a routine of "run, walk, run."

The key here was to commit ahead of time to running every single day, and letting that habit form, he says. He didn't have to make a decision every day about whether to exercise -- he had already made that choice. Soon he was able to run three miles at a time. Then five.

At first, he would listen to podcasts while running. But reading a book about meditative running -- "Running with the Mind of Meditation" by Sakyong Mipham -- changed his mindset. When he challenged himself to run without technology, he ran at least eight miles, and felt better than during any other run. He also got into meditation itself, which he found even harder than exercise because of the need to stay focused.

Although exercise has brought him noticeable physical and mental health benefits, he calculates that from a pure weight loss perspective, 80% of his loss has been due to his food intake.

What he eats

Today, Almaer continues to focus on minimizing carbohydrates and sugars, focusing instead on protein and vegetables.

Typically, for breakfast, he'll have a veggie bacon omelet, with water to drink. Lunch could be a salad with meat on top, or even a burger without the bun. Dinner might be quinoa with chicken, with more salad. Almonds make a good snack.

He'll have a cup or two of coffee in the morning to help boost his metabolism and take some of the hunger away.

Sticking to his diet isn't always easy. He remembers breaking down at a child's birthday party and eating more cake. The family still often eats pizza on Friday nights, but these days Almaer only has one slice instead of four.

He's also determined that having a "cheat day" isn't as effective as he thought; at first he enjoyed being able to indulge on his cheat day. But the day after would always be full of cravings. Now he keeps his "cheat" treats small, such as dark chocolate.

How it feels

Living with 115 pounds less than last year, Almaer says he has much more energy throughout the day. He used to be a night owl; now he doesn't even need an alarm to wake up in the morning. The tiredness he used to feel after lunch is gone. His lung and skin problems have cleared up. And his mood is "much more positive."

Weight loss has provided him with tangible evidence that he was able to make modifications to better himself, boosting his self confidence. It makes him think, "Huh, I actually made a change, and it's actually working. What else do I want to do with my life?"

He's intent on staying healthy, not just for himself, but for his family. He wants to live long for them as a good role model.

"I can tell my kid a million times, eat your broccoli," he said. "But if I'm there eating a pizza, it's just not going to work."

Almaer was brought to tears when, about eight months ago, his eldest son was at a friend's house and told his hosts he didn't want soda. He asked for water instead, "because that's what Dad drinks," Almaer recalls.

"This is having a bigger effect than anything else that I can be doing," Almaer said. "What are the things I can model, especially as a father, to a son? And it keeps kind of escalating from there."

When old photos of Almaer show up on the family's digital photo stream, his 4-year-old son Josh will shout "There's Fat Daddy!" or even, "I never got to meet Fat Daddy."

The truth is, of course, Josh did meet Almaer when he was "Fat Daddy." He just doesn't remember when his father looked like that, only a year ago.

The weight has been stored on the hard drive of the past.

Have you lost weight? Submit your story to iReport

@highlight

Dion Almaer lost 115 pounds over the last year

@highlight

He experimented with a variety of approaches to diet and exercise

@highlight

He feels healthier and has more energy