Barcelona (CNN) -- What does an acclaimed chef do for an encore after he's closed the best restaurant in the world?

For Ferran Adria, former head chef of Spain's elBulli, it's creating a new menu of big ideas.

Called the elBulli Foundation, Adria's new umbrella enterprise will encompass everything from an Internet search engine of gastronomy to a food laboratory to a huge visitor center.

All of this is necessary, he says, to explain his theories not just about cooking but about creativity writ large.

"Here you will eat knowledge," says the great chef of his elBulli Foundation.

More like a physicist or philosopher than a chef, Adria says he's come up with a "theory of everything" -- a model to unlock creativity in any walk of life.

Dali in the kitchen

"This is not about cooking. It's about creativity," he says, speaking through a translator while walking through the building that will house his new operation, an abandoned textile factory, in Barcelona, home to great Catalan innovators such as architect Antoni Gaudi and surrealist paint Salvador Dali .

The elBulli Foundation will spawn a research laboratory, BulliPedia (an online encyclopedia of food) and massive open online courses to teach gastronomy and creativity.

"I am a cook but no one else is thinking these things," he says.

He believes Bullipedia will become the most disruptive Internet venture since Wikipedia.

Adria tends to speak of himself as "we."

It's his way of recognizing his collaborators, some of who have gone on to create their own great restaurants.

"We have thought many times that we are crazy," he says. "If that is so then we must be changing many things."

With the passion of the self-taught, Adria speaks with his hands as much as his mouth, kneading the air as if it were pastry, pinching fingers together to make points as if adding salt.

It's all in the recipe

Any business, skill or art can be improved with a touch of elBulli magic, he suggests.

"The aim of this project is to show people they can be creative ... to be creative about any process," says Adria, waving his arms so vigorously you're glad he's not wielding a kitchen knife.

Adria, 52, is a native of Catalonia. He joined the army at 19 and became a cook.

He was hired to the kitchen staff of elBulli restaurant at 22, working in the little restaurant on the beach at Roses on the Costa Brava north of Barcelona.

Rising to head chef, he was recognized as an innovator, leading elBulli to a record five wins in the "world's best restaurant" awards.

A pioneer in molecular gastronomy, Adria liberated new tastes and developed new methods such as nitrogen-infused foams.

Despite holding three Michelin stars -- menu items included frozen whisky sour candy and tobacco-flavored blackberries -- elBulli closed in July 2011.

During a two-hour tour of his enormous new space, Adria explains the creative force that drove him to lead the world's best restaurant, only to close it after 25 years.

A polymath and control freak, Adria's new kitchen of ideas features hundreds of meters of foam pinboards with ideas big and small sketched on them.

There's also a scale model of the huge visitor center he plans for the coast next to the now-closed elBulli restaurant.

Articles about Google founder Larry Page are pinned to one board. Another has diagrams of cuts of meat from a pig.

Truffle ice cream

A sprawling library houses every recipe ever cooked at elBulli and an archive of food and recipes going back to the 15th century.

"In 1768 there was black truffle ice cream," says the man who created liquid olives. "If you think I do crazy things, that's even more amazing. The things that were done many years ago were so far ahead of their time."

Adria is planning what he says will be the first exhibition of its kind about the creative process, set for an October opening at Telefonica exhibition space in Madrid.

The "InvestigaciÃ³n y del MÃ©todo CientÃ­fico" will be an examination of the scientific methods behind elBulli.

At the center of the exhibition is a Creativity Map, a sort of astrological chart outlining the process that takes an idea through trial and error to finished product.

"Everything is in the map," he says, explaining how the broad chart can provide the answer to almost anything.

Adria is free with his advice and major institutions around the world seek his input. He lectures at the Massachusetts Institute of Technology.

It's how he tells 'em

Some of his truisms may sound so simple as to be half-baked, but there's a driving force behind his seeming madness: deconstruct everything.

A few beauties from the Adria lexion:

"A fried egg is chemistry."

"Eating with chopsticks is more sensual so we made (elBulli) chopsticks."

"People ask me how I get my ideas ... if you go to the toilet with a magazine you are thinking."

Critics have called his food pretentious, even dangerous to consume.

But the fans of haute cuisine love him.

The big question, of course, is when is Adria going to cook again?

His answer will disappoint many.

Adria says he turned away two million potential reservations for elBulli in its final year.

He now plans to serve only 20 meals a year: 10 paid and 10 free.

Right now he's focused on solving bigger questions: "What type of information do we need about ravioli so that it becomes knowledge?"

@highlight

Former head chef of Spain's elBulli, is launching a new venture

@highlight

Ferran Adria's elBulli Foundation will include a search engine of gastronomy and visitor center

@highlight

Adria says he's come up with a "theory of everything" ... a model to unlock creativity in any walk of life

@highlight

His "creativity map" outlines the process that takes an idea from inspiration to finished product