(CNN) -- The news that a U.S. nurse tested positive for Ebola has heightened concerns about the virus. Health officials are moving quickly to increase monitoring of hospital workers treating Ebola and ensure the deadly virus does not spread.

The World Health Organization described it as "unquestionably the most severe acute public health emergency in modern times."

"I have never seen a health event strike such fear and terror, well beyond the affected countries," Dr. Margaret Chan, WHO's director-general, said Monday.

With multiple developments under way, here's what you need to know Monday to get caught up on the latest:

U.S. DEVELOPMENTS

Nurse who treated Duncan is infected:

CNN affiliate WFAA has identified the Texas Health Presbyterian Hospital nurse who has Ebola as Nina Pham. On Monday, she got a blood transfusion from American Ebola survivor Kent Brantly, according to Jeremy Blume, a spokesman for Samaritan's Purse. Brantly was working for Samaritan's Purse in Liberia when he contracted the virus.

The nurse had numerous contacts with Ebola patient Thomas Eric Duncan, and the Centers for Disease Control and Prevention said there may have been a "breach in protocol." It didn't say what the possible breach was. Duncan died last week.

The nurse is "clinically stable," CDC Director Dr. Tom Frieden said Monday. The CDC said others who cared for Duncan could have been infected, but so far no other health workers are showing symptoms.

Tom Ha, a family friend, described Pham as a devout Catholic who always "puts other people's interests ahead of her own." It's a philosophy she shares with her family, he told CNN.

"They always helped other people and they take pride in helping other people. That's what this family's all about."

U.S. nurses union calls for better preparation:

The National Nurses United union says 76% of nurses it questioned in 46 states said their hospitals have not communicated a policy on the potential of admitting patients infected by Ebola.

The union is asking for immediate upgrades to Ebola emergency preparations that include hands-on training and enough protective gear. The CDC said Monday it is "doubling down" on training and outreach to make every hospital "think Ebola."

Ebola patient's waste disposal:

A judge granted a temporary restraining order blocking the disposal in a Louisiana hazardous waste landfill of incinerated waste from the Texas apartment where Ebola patient Duncan stayed, Louisiana Attorney General Buddy Caldwell said Monday.

Caldwell had said earlier he would seek to keep the incinerated waste from crossing state lines. The company that incinerated the waste told CNN it had followed CDC guidelines and had no plans to move the waste to Louisiana.

Burning is one way to dispose of Ebola contaminated items safely, according to the CDC. The virus becomes inactive once it's burned.

Cameraman's condition improves:

Doctors at the Nebraska Medical Center in Omaha are pleased with the progress NBC cameraman Ashoka Mukpo is making. He contracted Ebola while working in Liberia and is receiving the experimental drug brincidofovir, or CMX001.

"Feeling like I'm on the road to good health. Will be posting some thoughts this week. Endless gratitude for good vibes," a tweet on Mukpo's Twitter account said Monday. "Now that I've had first hand exp with this scourge of a disease, I'm even more pained at how little care sick west Africans are receiving."

Crew breaks its word:

The NBC crew that had been with Mukpo -- and had made a voluntary agreement to self-confine -- apparently broke its word. The New Jersey Department of Health has issued a mandatory quarantine order to make sure the crew remains confined.

'At risk' patient hospitalized in Kansas:

A medic who'd been working on a ship off the coast of west-central Africa came to the University of Kansas Hospital on Monday with possible Ebola symptoms.

"He's a suspect case. We don't know if he has it. I think overall, given that he hasn't worsened today, it would make me think that he would be low risk," said Dr. Lee Norman, chief medical officer at the hospital. Doctors expect to get test results Tuesday, he said.

"It's really about abundance of caution," he said. "We're going to keep our vigilance up."

The medic started experiencing some symptoms on the ship before flying to the United States last week, Norman said. He said he wasn't sure whether the medic flew on a commercial or private flight.

Massachusetts patient doesn't have Ebola:

Testing "determined with certainty" that a patient at Beth Israel Deaconess Medical Center in Boston does not have Ebola, the hospital said. The patient had been to Liberia and complained of headache and muscle aches.

Travel screening begins:

People arriving from the three nations hardest hit by Ebola -- Liberia, Sierra Leone and Guinea -- started getting screening, including having their temperatures taken, at New York's John F. Kennedy International on Saturday. Washington's Dulles, Newark, Chicago's O'Hare and Atlanta airports will begin screening Thursday.

Cuban doctors train, then fight Ebola in Africa

WEST AFRICA DEVELOPMENTS

No relief in sight:

The number of deaths attributed to the current Ebola outbreak has climbed to 4,033, the World Health Organization reported Friday. The tally brings the number of confirmed, probable and suspected cases of Ebola to 8,399. The numbers were reported from Guinea, Liberia, Nigeria, Senegal, Sierra Leone, Spain and the United States.

Obama speaks with U.N. leader:

U.S. President Barack Obama and United Nations Secretary-General Ban Ki-moon spoke about the need for "more robust commitments and rapid delivery of assistance by the international community," the White House said Monday.

Complete coverage on Ebola

U.S. troops battle invisible enemy in Liberia

IN OTHER COUNTRIES

Spain's Ebola patient is stable:

Teresa Romero Ramos, a nurse's assistant in Spain who is the first person to contract Ebola outside Africa, is doing better after taking a turn for the worse last week. She remains in critical condition.

"There are signs of hope," said Dr. Fernando Simon, spokesman for the government's special committee for Ebola.

In a scathing letter, Romero's husband said she received only 30 minutes of training in putting on protective gear and called for the resignation of Madrid's regional health minister over how the case has been handled.

CNN's Al Goodman, Katie Hinman, Catherine E. Shoichet, Dave Alsup, Drew Griffin and Elizabeth Cohen contributed to this report.

@highlight

NEW: Boston patient does not have Ebola, hospital says

@highlight

Nina Pham, Dallas nurse who contracted Ebola, got a blood transfusion

@highlight

A medic with possible Ebola symptoms is hospitalized in Kansas

@highlight

Spanish patient's husband says health minister should resign