(CNN) -- In two operations in Africa nearly 3,000 miles apart, U.S. military forces went after two high-value targets over the weekend.

One operation took place early Saturday in the Libyan capital of Tripoli, when members of the elite U.S. Army Delta Force captured Abu Anas al Libi, an al Qaeda operative wanted for his alleged role in the deadly 1998 bombings of two U.S. embassies in Africa.

In the second raid, a team of U.S. Navy SEALs in southern Somalia targeted a foreign fighter commander for Al-Shabaab, a terrorist group linked with al Qaeda, according to a senior Obama administration official.

Early-morning capture

Al Libi, 49, was returning to his house after morning prayers around 6:30 a.m. (Friday night ET) when a group of at least 10 men in four vehicles surprised him, his wife told CNN.

Umm Abdul Rahman said some of the men were wearing masks and some weren't. She said the unmasked men looked like Libyans to her and spoke Arabic with Libyan accents. She couldn't say whether the other men were Americans.

The capture was over very quickly, she said.

She disputed reports that her husband of 22 years was reaching for a gun when he was taken. She said he broke with al Qaeda in 1996 and had no role in the embassy bombings two years later, and he had even tried recently to clear his name.

The Saturday operation was conducted with the knowledge of the Libyan government, said one U.S. official. The Pentagon said the U.S. military was holding al Libi in a "secure location" outside Libya.

He eventually will be taken to New York, a source with knowledge of the capture and proceedings told CNN.

The Libyan interim government called the U.S. capture a kidnapping and has requested an explanation from Washington about the raid, the country's state news agency reported Sunday. Libya emphasized its citizens should be tried in Libya if they are facing charges, LANA reported.

President Barack Obama approved the two raids, monitored them closely and was updated regularly by homeland security adviser Lisa Monaco and his national security staff, National Security Council spokeswoman Caitlin Hayden told CNN on Sunday.

"This operation should be a clear reminder that the United States will seek justice against those who would attack Americans, and never forgets those who are victims of terrorism," the White House said Sunday.

And in a written statement Sunday, Defense Secretary Chuck Hagel said the raids "send a strong message to the world that the United States will spare no effort to hold terrorists accountable, no matter where they hide or how long they evade justice."

"We will continue to maintain relentless pressure on terrorist groups that threaten our people or our interests, and we will conduct direct action against them, if necessary, that is consistent with our laws and our values," Hagel said.

SEAL Team Six involved in Somalia

In the Somalia raid, members of the U.S. Navy's SEAL Team Six targeted a foreign fighter commander for Al-Shabaab named Ikrima, a senior Obama administration official said Sunday.

A Kenyan of Somali origin, Ikrima is associated with now-deceased al Qaeda operatives Harun Fazul and Saleh Nabhan, who played roles in the 1998 embassy bombing in Nairobi and the 2002 attacks on a hotel and airline in Mombasa, all in Kenya, the official said. Al Qaeda claimed responsibility for all three.

The Nairobi embassy attack claimed 213 lives and wounded 4,500 people.

In the 2002 attacks, three suicide bombers detonated a car bomb outside the Israeli-owned Paradise Hotel in Mombasa, killing the bombers as well as 12 Kenyans and three Israelis. The same morning, a missile attack unsuccessfully targeted an Israeli airliner taking off from Mombasa's airport.

Local residents said the compound targeted by the Americans was the home of Al-Shabaab leader Mukhtar Abu Zubayr, also known as Ahmed Abdi Godane, and an Al-Shabaab spokesman claimed Godane was the target of the attack.

SEAL Team Six is the same unit that killed Osama bin Laden in Pakistan in 2011.

The SEALs came under fire and withdrew before they could confirm whether they killed their target, a senior U.S. official said. A second administration official said the commandos withdrew to avoid civilian casualties.

The operations were carried out even as polls show Americans are skittish about U.S. military involvement in overseas conflicts. This means others who might be in U.S. crosshairs could have more reason to worry, said retired Lt. Col. Rick Francona, a CNN military analyst.

"One (mission) could have gone without the other," Francona said. "But the fact that they did them both, I think, is a real signal that the United States -- no matter how long it takes -- will go after these targets."

Speaking to reporters at the Asia-Pacific Economic Cooperation summit in Bali, Indonesia, U.S. Secretary of State John Kerry said the raids ought to make clear that the United States "will never stop in its effort to hold those accountable who conduct acts of terror."

"Those members of al Qaeda and other terrorist organizations literally can run," he said, "but they can't hide."

Al Libi tied to U.S. embassy bombings

Al Libi, has been on the radar for years. He was on the FBI's "Most Wanted Terrorists" list, with a $5 million reward offered for information leading to his arrest or conviction.

He is alleged to have played a key role in the August 7, 1998, bombings of American embassies in Nairobi, Kenya; and Dar es Salaam, Tanzania. More than 200 people were killed and another 5,000 wounded in the Kenya attack; 11 died in the Tanzania incident.

Al Libi has been indicted on charges of conspiracy to kill U.S. nationals, murder, destruction of American buildings and government property, and destruction of national defense utilities of the United States.

As early as December 2010, Libyan authorities told a United Nations committee that al Libi was living there, even providing a Tripoli address for him.

U.S. officials wanted al Libi to face trial in an American court.

But, counterterrorism analysts told CNN, he may not have been apprehended at the time because of the delicate security situation in much of Libya. There, ex-jihadists -- especially those who once belonged to the Libyan Islamic Fighters Group -- held considerable sway after the ouster of longtime leader Moammar Gadhafi.

"It's a huge deal to get him," said CNN's Nic Robertson, who has long been covering al Qaeda. "He's a big player in al Qaeda (and) he is in one of the key target areas, the north of Africa."

Beyond any psychological impact on the terrorist group, al Libi's capture could potentially yield a wealth of information about al Qaeda's plans and capabilities. The terrorist network has shown particular strength of late in Africa.

"Clearly, he may have useful information about the strength of al Qaeda and the Islamists in Libya," Robertson said. "He is somebody who is senior within al Qaeda. He was well respected, a good operative."

Al-Shabaab blamed for Kenya mall attack

Al-Shabaab long has been a target of Washington as well: It was designated a foreign terrorist organization in  2008. The group is seeking to turn Somalia into a fundamentalist Islamic state, though it has carried out attacks in other African countries as well.

The attack on Nairobi's Westgate Mall on September 21 thrust Al-Shabaab into the spotlight once again. Washington vowed to support Kenya's government after the bloody raid, which killed at least 67 people.

The Navy SEAL raid on Al-Shabaab took place before dawn Saturday (late Friday night ET) in the southern Somalian port city of Barawe. Abdiaziz Abu Musab, an Al-Shabaab spokesman, said at least one Al-Shabaab fighter was killed in the gunfight.  But no U.S. personnel were injured or killed, a U.S. official said.

In recent months, Al-Shabaab's haven in south-central Somalia has been been increasingly squeezed as Kenyan forces fight the group from the south and African Union forces come down from Mogadishu, the Somali capital.

At the same time, Al-Shabaab has become even more closely aligned with al Qaeda. The two groups effectively merged last year, said CNN national security analyst Peter Bergen.

"This is a group that has adopted al Qaeda's ideology wholesale," Bergen said. "The reason they attacked the mall was not only because it was Kenyan, but also because it attracted a fair number of Western businessmen and others living in Nairobi."

'Most Wanted Terrorist' al Libi nabbed in native Libya after years tied to al Qaeda

U.S. officials: Navy SEALs launch raid on Al-Shabaab leader

@highlight

The target of the Somalia raid was a commander for Al-Shabaab, an official says

@highlight

The man has ties to one of the 1998 U.S. embassy attacks, the official says

@highlight

Members of the elite U.S. Army Delta Force carried out the Libya raid

@highlight

The al Qaeda operative is accused in the 1998 U.S. embassy bombings