(CNN) -- My earliest memories of life in Cambodia are clouded -- I strain to recall my biological parents. I do remember waking up each morning, climbing trees to forage for fruit and berries with my cousins, and sitting around a fire each night for the one meal we ate each day.

I've always remembered my Yea (grandmother) but time washed away the memory of her face -- if not her presence -- in my life, which I'm told began in a refugee camp.

After my adoption, memories of Cambodia lived on in my dreams which I would tell my adopted mother upon waking. These nighttime images of life in my homeland: Were they real? I wondered.

One memory is etched clear in my mind: A two-day trip traveling by moped, car and foot only to be left at a building with many infants, toddlers and strange adults. Left alone, I developed a pain in my stomach that seemed to last for days -- no one would tell me why I was abandoned there.

I received a package while at the orphanage with pictures and a doll. While the doll was taken away, I was permitted to keep the pictures of these strange white people who held a Cambodian baby. One morning in December 1999, I was taken to a hotel with another little girl. In the car, we were told we would be meeting our new families. When we arrived, I saw the couple from the photos. Again, the pain in my stomach swelled.

The airplane landed after 30 hours of flying. I instinctively knew I was never to see my Yea again. It seemed so cruel -- why was this happening to me? I could not stop my tears.

I arrived to a large house in Long Island, New York, to find that I had two brothers, Joseph, 5, and Patrick, 7. With them was my sister, Sofia, a 1-year-old Cambodian girl adopted by my American parents a few months after she was born.

I had no idea then what an extraordinary family I was entering. I was immediately drawn to my brothers' athletic activities, like baseball and ice hockey, which made it easy to get along with them.

I had difficulty connecting with my father, probably because all the caretakers in my life had been female. My father was very patient, giving me "space" until I was ready to open up. No matter how cold or distant I was toward him, at the end of every day, he told me he loved me. I could tell by his hugs and the batting lineup when we played tee ball: "Girls first, Srey first," he told my brothers. Six months later, I started to call him "Dad."

From day one, I had a bond with my new mother. Our first language was soccer. Every day, no matter how cold or rainy, we would kick around a soccer ball. Seeing my enthusiasm for the sport, my mother enrolled me in a soccer league and became the coach. In 2010, I was named the MVP and awarded the Sportsmanship for the New York State High School State Championship. When I received the award I look up into the crowd and there she was my mom, my coach for life shouting my name.

My parents selflessly supported me and my siblings in everything that we pursued, somehow finding time to make each of us feel special, safe and loved.

As years went by, I began to have questions about my birth parents and my Southeast Asian roots. In response to my curiosity, my parents arranged a trip to my homeland, Cambodia. My mother and I went in the summer of 2009. We visited the orphanages where I had lived, bringing toothbrushes, art supplies and other gifts.

We spent several days creating arts and crafts with the children and listening to music. For the older kids -- many of whom were close to my age enjoyed the attention -- we held a dance contest for them. As we laughed together, I saw myself in their faces.

We spent eight days searching for my family's village in the northern region of the country. When we entered my village, I instantly recognized the neighbor's reed home, its distinctive bamboo design in the window. An ocean of emotions hit me like waves on the shore.

I ran from the car and, as if I had never left, my Yea appeared out of the door of the hut we once shared. We rushed toward one another's arms, I could no longer understand what she was saying but her grasp was tight and I did not want to let go. When I did, she dropped to her knees in tears. "Forgive me for giving you away," were the words of the translator. She looked at me, she added, "I would do it again -- you are beautiful women."

I picked her up -- her frame so fragile, her eyes showered with tears. She was the Cambodia that I remembered, the source of those mysterious childhood dreams.

Back in the hut, Yea unfolded my own undiscovered story. I was born in Khao I Dang, a notorious refugee camp in Thailand where my family had fled. I returned to Cambodia as an infant with my mother, her sisters, and Yea sometime in late 1993 or early 1994. It became apparent that dates and details of my past were obscured by my grandmother's hardships.

As we sat in a circle with all of my aunts and cousin, it was evident the only person missing was my mother. According to Yea she died six months after the return from the camp. While Yea wiped away tears, she handed me two photos: one of my mother and another of me as a 3-year-old child. It was my turn to wipe tears from my eyes -- the same eyes as the woman in the photo, the birth mother I had hoped to find and now would never know.

As we sat, it felt odd not being able to speak freely with my own grandmother, a translator having to interpret my feelings. I asked my Yea about my childhood. She described me as a hyper child, given to teasing and practical jokes. "Some things do not change," my mother laughed.

I shared my experience of going to high school, playing on travel soccer teams that traveled to Europe, having a family, planning for college. My Yea did not seem to understand, I could tell in her eyes she was trying to understand, it suddenly occurred to me our lives ended up so dramatically different.

As we sat, Yea turned to my adopted mother and spoke with a sudden harshness in her voice. My grandmother wanted to know if my American family had me working in servitude farming the fields. We were shocked. Our translator explained that the dark tan of my skin that triggered Yea's reaction; in her life, a dark tan suggests hard work on the land rather than long hours of practice on the soccer field. My mother assured Yea I was a girl with many opportunities in America, that I would be educated and would prosper.

Watching my mother's attempt to put my Yea at ease, I was struck by how different my life would have been if she had not adopted me. I felt a new level of gratitude my parents, my siblings and my life in America.

@highlight

Srey Powers, a former Khmer refugee, was adopted from Cambodia at the age of six

@highlight

She was left in an orphanage without explanation of what was happening to her

@highlight

Twelve years later she traveled with her adoptive mother to find her Cambodian family

@highlight

She found her grandmother, who said: "Forgive me for giving you away"