(CNN) -- Air passengers heading for United States are to be subjected to new security checks that could see them delayed if their electronic device has a dead battery.

A U.S. government official has told CNN the measures are in response to new intelligence that terror groups are trying to build new, harder-to-detect explosive devices.

With stringent airport security already viewed as an inconvenience -- albeit a necessary one -- by many passengers, the new checks have been greeted with concerns over delays, disrupted schedules and the potential loss of expensive and irreplaceable devices.

So how will the new measures affect travelers?

Here are a few answers:

Which passengers will be affected?

In theory the checks apply to all air passengers flying directly to the United States from outside of the country.

Those on domestic flights within the United States will not be subjected to the same scrutiny.

The U.S. Department of Homeland Security (DHS), which is requiring airlines or security officials to perform the checks before boarding, says the measures are already in place at some international airports and will be formulated at others in coming days.

The focus of the new measures is on airports in Europe, Africa and the Middle East.

Key aviation hubs in the UK, Netherlands, Germany and France have already confirmed they're implementing the measures.

Security agencies have declined to detail whether every passenger will be subject to heightened screening, but one analyst said this is unlikely.

"I think it's going to be a more of random selection," aviation security consultant Jeff Price told CNN. " I don't think everyone's going to be required to walk up there with their cellphone in their hand."

Which devices will be checked?

All electronic equipment could be subject to examination, including laptops, cell phones, tablets and MP3 players.

Passengers are being advised to make sure these are all charged before travel so that they can be switched on and demonstrated to be operational.

The DHS says there's an increased focus on enhanced explosive trace detections, meaning the devices could also be swabbed for chemicals.

Some reports have indicated that Apple and Samsung products are being specifically targeted, but the U.S. Transport Security Administration has declined to respond to questions about this.

Price said it's possible that intelligence reports have picked up on specific brands.

"Typically what will occur is that someone will come up with a new type of device and they'll publicize that within their community and try to get others to do it as well," he said.

"They'll most likely have designed it to go in certain devices, which is probably what the intelligence has indicated, that's why they'd look at specific brands."

What happens if the battery is dead?

The DHS says it doesn't dictate to individual countries how they handle electronics that do not power-up, other than to say the devices can't go on the plane. It's up to individual countries to decide what to do with the devices.

Anyone with an uncharged device risks being subjected to extra scrutiny and possibly held back from boarding their flight, according to the DHS and airline officials.

Those who get to the airport with a dead battery have several options.

They can try to charge the device if they can find a power point (many airports now have free or paid-for charging facilities).

Otherwise, if they find the dead battery in time, they can stow their device in their check-in luggage.

At some airports, those with no ability to charge up their device will have the option of using a private service to deposit items for later collection or forwarding (at a cost of up to about $100).

A spokeswoman for London's Heathrow Airport said final checks will be performed by airline staff at the boarding gate and it's up to airlines to decide what to do with the devices.

Similar procedures are in place at Amsterdam Schiphol Airport.

British Airways says anyone unable to switch on their device will not be allowed to fly and will need to rebook on an alternative flight.

Other airlines have declined to outline what measures they'll take.

Virgin Atlantic said it won't disclose specific security details.

"Our arrangements are under constant review and can be adapted at short notice should there be a need to do so," the airline said in a statement.

The DHS said anyone with an uncharged device may have to undergo "additional screening," but didn't elaborate.

Will this mean extra delays?

News of the enhanced measures has provoked fears of increased lines at security checkpoints but so far this appears not to be an issue.

Schiphol airport officials have pledged to "take all possible steps to avoid additional queuing time," but advised passengers to check with airlines about what time they should arrive at the airport.

Aviation security analyst Price said he doesn't foresee long lines at airports as a result of the measures.

Are the new security measures here to stay?

Officially, it's not known how long the new checks will be in place and Price speculates they could indefinitely remain a part of airport procedures.

However, he speculates that the intensity of the checks is likely to wane as any perceived level of threat subsides.

He said the new checks were likely linked to intelligence specifying a particular device -- as was the case when printer cartridges were restricted following an al Qaeda plot in 2010.

"I think they've got some intelligence that indicates these type of devices are going to be used for explosives and so for the time being they're going to increase the scrutiny and then I think it'll fall off.

"I don't think it will go away completely, it'll be part of a new bag of tricks."

He added that the most significant impact would be that "people are going to learn to charge their cellphone before going to the checkpoint -- that's for sure."

@highlight

Intelligence reports suggest terror groups are working on harder-to-detect explosive devices

@highlight

New security measures require passengers flying into U.S. from abroad demonstrate electronic devices are functional

@highlight

Worries of increased lines at security checkpoints so far unfounded