(CNN) -- As he strode on stage to accept the 1999 Rory Peck award for hard news journalism, Sorious Samura struggled to find the words that would fit the moment.

He hadn't expected to win the prestigious prize and so hadn't prepared a speech.

Looking out across audience, the pioneering video journalist made the snap decision to speak his mind rather than proffer faux gratification.

"I stood there and thought of my people," he recalls, before asking, "Where were you when my people were killing, raping and maiming themselves?"

"You are tripping over cables in Kosovo, why didn't you come and cover our war and now you are clapping for me. You can have your award."

See also: Child soldier on killing in Sierra Leone

In a decorated film career that has also brought Peabody and Emmy awards, Samura has rarely submitted his professional or personal style to convention.

This strident nonconformity has made him a compelling storyteller -- a fact perhaps best emphasized by the on and off camera tactics he employed to make "Cry Freetown," his debut film about the brutal civil war that tore apart his native Sierra Leone.

When the notoriously violent forces of the Revolutionary United Front marched on Freetown, the country's capital in 1999, Samura, unlike many of his colleagues and compatriots, refused to flee the city.

Instead he waited for the rebel army, gained their trust and embedded himself with their rank and file soldiers.

His plan was to document the violence, torture, rape and use of child soldiers by the RUF and their government backed opponents which came to define the conflict.

Read related: How diamonds fuel Africa's conflicts

Samura hoped his film would make it out of Sierra Leone and force the international community to intervene to end the war.

"I was just hell-bent on actually using my own weapon, which was the camera, to call for help because we were just left by ourselves to die. Nothing was going to stop me," he says.

"For me there was just no choice. I had to go out and film and hopefully stay alive and get the world to see what is happening in my country."

See also: Kenyan reporters win CNN journalist awards

To the untrained eye such tactics may seem reckless. For Samura however, experiencing his subject matter is an essential part of the storytelling process.

He has assiduously applied this concept to all of his documentary film work.

More recent efforts have focused on the topics of hunger in Ethiopia, aids patients in Zambia and the plight of refugees in Sudan.

In each project Samura has immersed himself in the lives of his protagonists in an attempt to comprehend the challenges of their everyday existence.

When he filmed a displaced Sudanese family in his 2004 film, "Living with Refugees," Samura only permitted himself to eat when they ate and drink from the same sources, mostly dried-up rivers, as he followed them across dangerous terrain from Darfur to Chad.

"To understand a man's problem you have got to walk at least a mile in his shoes," Samura says.

"If I really need to tell these people's stories, if I am the driver who will articulate their suffering, then I have to experience it."

"It is sometimes easy for people to say, I understand what you are going through, I can imagine...that is not true. Sometimes you can only live it to believe, to understand."

See also: From war orphan to teen ballerina

But by repeatedly drawing attention to such traumatic and challenging subject matter, some critics have accused Samura of focusing only on the negative in Africa.

The filmmaker who himself had to scavenge for food in his Freetown youth rejects this viewpoint out of hand. He says you have to tell these stories no matter how uncomfortable it may make some people feel.

"There are things that I believe that I can say that ought to be said about Africa....even if they are harsh realities but they ought to be said."

"African stories are like onions," he says. "You have got to take time to peel those layers and of course, like onions ... it's going to burn your eyes. You will get a story that is not just about objectivity...it is the whole picture."

While Samura is keen to recognize that there have been many positive developments on the continent, he also highlights the importance of Africans reporting their own stories and creating their own narrative, no matter how difficult.

He believes this will lend more authenticity to the chronicling of life in modern Africa than foreign journalists coming in with their own ready-made preconceptions.

"Only Africans can tell their stories from the bottom up, from the African perspective, like a prism so that people will be able to see."

See also: Film pioneer helps Rwanda build new identity

If a new generation of African journalists can be inspired to take ownership of their own story with honesty and conviction, Samura believes the risks he has taken to make his films will have paid off.

"One thing that would make me believe I have achieved something for real in this particular discipline, is to see African journalists worship ... on the altar of truth," he says.

"African journalists should realize that they owe no obligations to tribe, to party, or to wealthy businessmen or to political leaders. All their responsibility is the truth."

"We have to find that pride in ourselves. I would rather die a poor man than trade what I have right now... my integrity."

Eoghan Macguire contributed to this report

@highlight

Sorious Samura is an award-winning photojournalist and film-maker from Sierra Leone

@highlight

He is famous for embedding himself with his film's subjects to tell their stories

@highlight

Samura first came to prominence with his 2000 documentary, "Cry Freetown"