(CNN) -- The phone calls keep coming in as family and friends plead with Laura Libman, asking her not to go to Mexico.

Community health workers, or promotoras, in El Reparo, Mexico, take patients' blood pressure.

But the founder and CEO of the Arizona-based Tia Foundation, a nonprofit that strives to bring health care solutions and strategies to rural Mexico, can think of no more important time -- what with the swine flu scare -- to take the journey.

"Our job is to go down when people are sick and not stay here and be afraid," she said from the Phoenix area. "It's our mission, and I have to do it."

The World Health Organization says cases of swine flu have been confirmed worldwide, in countries that include the United States, Canada, New Zealand, the United Kingdom and Israel.

But Mexico has appeared to be the epicenter of the swine flu outbreak, with health officials saying the virus may have caused more than 150 deaths and roughly 2,500 illnesses there. And that fact is increasingly scaring off prospective travelers to the country.

The Tia Foundation -- "tia" means aunt in Spanish -- targets the poorest of villages, places that generally lack basic health care facilities, not to mention vehicles to get to hospitals hours away, and where the people, often unschooled and malnourished, are more susceptible to disease, Libman said.  Watch answers to swine flu questions »

Through a partnership with the community medicine program at La Universidad Autónoma de Guadalajara, the 3½ -year-old foundation trains local health care workers who are chosen by villagers and arms them with medical kits and medicines so they can take care of their own.

"It's a great help ... a 50/50 partnership," said Francisco Casteñeda Rico, the doctor in charge of the community medicine program, which has been reaching out to rural communities for more than 30 years."We can do it without Tia, but with the help [the funding, promotion and supplies], it comes out better."

Of the 98 health workers who have been selected and trained, all of them are women, Libman said. This is because they're seen as caregivers and also because many men leave to find work, she explained.

But Libman, 45, added that "an unintended but extremely positive outcome" has been the "creation of female leadership" and empowerment.

Kathy McCraine, a freelance journalist and photographer, saw evidence of this when she traveled in 2007 and 2008 to Mexico to write a story for Thunderbird Magazine, a publication for alumni of the Thunderbird School of Global Management, which Libman attended in Glendale, Arizona.

She spoke of the confidence women exuded while taking charge and helping others. McCraine fell in love with the foundation and ended up donating a $500 medical kit to one of the health care workers, or promotoras, after she graduated from the intensive week of training.

The recipient, McCraine remembered, "just felt that people respected her more. She was able to do something for her community, and that made her really proud."

Collectively, the promotoras, who are not paid, are helping serve 30,000 to 50,000 people, Libman said. They're doing everything from delivering babies and suturing wounds to treating infections, checking blood-sugar levels and teaching the importance of simple hand-washing.

The next village project is set to launch May 18 in the state of Jalisco. Libman said she'll probably head down May 8, as she also is on a mission to hire a medical director for the foundation.

She usually travels with foundation interns but, because of the swine flu scare, cannot bring them this time around "for liability reasons," she said.

Nicole Ostrofe, a 23-year-old Thunderbird student and a summer intern who just started this week, found out only Tuesday that she wouldn't be going. She was crushed, as she was really hoping to do field work and give back to the region where she studied abroad during her undergraduate years.

"It's been a total up and down," she said. "Congratulations, you got the internship! By the way, you can't go to Mexico."

In her place, a former intern, Wynona Heim, may go along as a volunteer -- someone free to sign a liability release -- to help with all that needs to be done. Is she at all concerned about the swine flu?

"I have two young children, but right now Jalisco has no outbreaks," said Heim, 31, who's keeping a close watch on developments. "Plus, I'd be surrounded by doctors. Can you get any safer?"

For her part, Libman's worry is that her flight may be canceled. If it is, she said she's prepared to hop in her car and drive if she has to.

"The only way we're going to cancel the project is if the university brigade," the team of medical students who train villagers, gets "called out to treat people in an emergency," she said. "It's going to be a day-to-day, hour-to-hour decision over here as to whether we'll be able to do our work."

She is hopeful, though, that the next wave of training will kick off as planned -- especially now, as concerns about swine flu sweep through Mexico and the remote villages remain the most underserved.

"I hope the State Department doesn't take any other steps that'll hinder organizations like ours," she said.

And to those who remain concerned about her plans and her personal safety, she said this: "I could just as easily be hit by a bus here. ... Do you tell Doctors without Borders they shouldn't go to a place that has armed conflict?"

CNN's Emanuella Grinberg contributed to this story.

@highlight

As swine flu cases rise in Mexico, the Tia Foundation hopes to be there

@highlight

The nonprofit promotes sustainable health care training in rural Mexico

@highlight

Founder: "Our job is to go down when people are sick ... not stay here and be afraid"

@highlight

98 women serve as community health workers, serving up to 50,000 people