(CNN) -- No sooner had Ruganzu Bruno and his troupe of fellow eco-artists arrived at Kampala's Kawempe area than their presence stirred up questions within the local community.

"What are you doing?" the startled residents asked. "Why are you using all this plastic?" they continued, baffled by the piles of waste bottles that were gradually filling a dusty compound yard in the northwestern suburb of the Ugandan capital.

What the group of artists was doing was creating "The Hand That Speaks," an enormous structure made of recycled materials to raise awareness about environmental degradation.

"We were trying to bring out the message that the hand is the one which is throwing this trash into the environment and at the same time it could be used to collect [them] and save the environment," says Bruno.

And once the nine artists started assembling their futuristic creation, using more than 20,000 bottles collected in the slums of Kampala, the local crowds also decided to lend a helping hand.

"At first, the community were confused but then they really loved it," says Bruno. "They were always getting us bottles."

Eco Art

That was about four years ago, when Bruno was still a student at the Kyambogo University fine art school. During that time, the talented painter and sculptor discovered that he wasn't interested in just crafting artworks that would only satisfy his creative needs.

Instead, he wanted his art to have a positive impact on his community.

"When we are trying to achieve things in life we are self-centered, and as artists we tend to make work for ourselves," explains Bruno, 30.

"I kind of felt a change within myself to think about others," he adds. "From then on I could not only paint -- I decided to work on work that was beneficial to my community."

Driven by a desire to influence his surroundings, Bruno then became involved in eco-art projects, devising innovative ways to deal with Kampala's acute waste management problem.

In 2010 he founded Eco Art Uganda, a collective of artists promoting environmental awareness by transforming anything from discarded bottles and cast-aside metal to broken TVs and computers into contemporary and functional pieces of art.

Read this: Specs 'give trash a second chance'

"I was looking for materials that were not expensive and easily available," says the soft-spoken artist, who hails from southwest Uganda.

"I really found that this trash and rubbish could actually become a really positive way of communicating to people," adds Bruno, who's won several accolades for his work, including the Ugandan Young Achievers award 2011.

Amusement park

In April last year, Bruno also won the $10,000 City 2.0 Award at the TEDx summit in Doha, Qatar, for his idea to create an amusement playground for children living in Kampala's congested slums.

Using an array of recycled materials, Bruno went on to transform a school yard in Kampala's Kireka community into a fun and safe place where children can play and learn.

The eco-park, which was completed last September, is dotted with whimsical structures attracting dozens of children each day -- from a colorful helicopter and life-size board games made of bottles to recycled swings and climbing frames crafted from old tires.

Bruno says the entire community, which lacked a recreation facility, embraced the project wholeheartedly.

Read this: Boy's flashy invention scares off lions

"I talked to the head of the school, and together with the parents and the students, they are the ones who collected the bottles," says Bruno, who is also a lecturer in the department of Art & Design at Kyambogo University.

"So we built the playground together as a team and they know how to repair it -- this is very important in terms of sustainability."

But more importantly, Bruno, who was orphaned at a young age, says the project has had a positive impact on the children.

"The attention of children in class has improved; the number of children who are dropping out [is falling] because now they have something to keep them busy there, " he adds. "There is a really good progress and it has also helped them to express themselves in class."

Legacy

Bruno says his goal is to recreate "as many as 100" similar amusement parks in other parts of Uganda.

He is also using the prize money to grow an eco-artist loan scheme he's developed, aimed at supporting the business endeavors of creative women in Kireka.

It's all part of his continuous efforts to be an artist whose work will serve his community's needs.

"I think a man will always be remembered by his work, "says Bruno. "I'm an advocate now of the environment; I'm an advocate for play for children; I'm an artist ...who wants his work to have an effect on the people.".

@highlight

Ugandan Ruganzu Bruno raises environmental awareness through his art

@highlight

He uses waste bottles and other recycled materials to create functional pieces of art

@highlight

He won the City 2.0 Award last year for his idea to build a playground from trash

@highlight

He has also developed a loan scheme that helps eco artists