London (CNN) -- Britain's Prince William called for global action Wednesday to stop the illegal wildlife trade that's devastating populations of some of the world's most magnificent wild animals -- including elephants, rhinos and tigers.

The prince spoke at a meeting of United for Wildlife, a body bringing together his royal foundation and the world's leading wildlife charities, in London.

The conference is part of a week of events aimed at galvanizing efforts to halt the slaughter of endangered animals for their bones, hides or tusks -- much in demand in parts of Asia.

On Thursday, William and his father, Prince Charles, will be among the high-profile global guests due to attend the London Conference on the Illegal Wildlife Trade, hosted by the UK government.

Prince Charles, UK Prime Minister David Cameron and the Presidents of Botswana and Gabon are all expected to speak at the event.

William pledged Wednesday that United for Wildlife, of which he's president, would use its global leverage to make a difference at a time when the trade takes the lives of 100 elephants a day.

"The forces that are currently destroying some of the world's endangered species are sophisticated and powerful," the Duke of Cambridge said.

"But this week, we are seeing the creation of an equally powerful alliance, coming together to help fight them.

"The commitments set out today will begin to address the challenges of protection, enforcement and demand reduction. We will use our combined resources to ensure they succeed."

The organization plans to use "smart" technology such as GPS trackers and drones to protect animals at risk.

It also intends to work with governments and local bodies to send out the message that no one should trade or buy rhino horn, ivory, tiger or pangolin parts and products.

United for Wildlife will also bolster efforts to bring those involved in the illegal wildlife trade to justice and to support local communities whose livelihoods are affected by the trade, it said.

Estimate: Rhino killed every 11 hours

The call to action comes in the face of horrifying statistics.

More than 10% of the total African elephant population has been slaughtered for ivory in two years, according to the Zoological Society of London, which calls it "a death toll the species simply cannot sustain."

Since the turn of this century, more than 1,000 tigers have been poached -- a huge number considering there are thought to be no more than 3,500 left in the wild.

The rate of rhino poaching in Africa reportedly increased by 43% between 2011 and 2012 and is still going up. Since 2013, a rhino is estimated to have been killed every 11 hours by poachers, the Zoological Society of London says.

U.S. President Barack Obama signed off Tuesday on a "National Strategy for Combating Wildlife Trafficking," which sets out ways to stem the illegal trade.

Its stated priorities are to strengthen enforcement, reduce demand for illegally trafficked wildlife and work more closely with international partners.

"Wildlife trafficking is both a critical conservation concern and a threat to global security with significant effects on the national interests of the United States and the interests of our partners around the world," the document says.

It acknowledges the United States is "among the world's major markets for wildlife and wildlife products, both legal and illegal" but also points to demand for ivory and rhino horn in Asia, "from a rapidly expanding wealthy class that views these commodities as luxury goods that enhance social status."

'If we fail, it will be too late'

William and Charles released an unusual joint video message Sunday that urged people worldwide to take a stand.

But William, who has been a patron since 2005 of the wildlife conservation charity Tusk Trust, faced criticism Saturday in UK newspaper The Sun for reportedly going on a boar hunting trip to Spain with his brother, Prince Harry. Wild boar are legally hunted in the country, but the timing of the trip raised questions, it said.

"Prince William has gone shooting -- a day before launching a campaign to stop wildlife being killed," the popular tabloid said.

In the joint video, recorded in November, Charles said it was time to treat the effort to stop the illegal wildlife trade "like a battle, because it is precisely that." He pointed to the sophisticated weaponry used by poachers and the threat that such criminal activity poses to economic and social stability in the countries affected.

William said that he and his father were optimistic the "tide can be reversed."

"We have to be the generation that stopped the illegal wildlife trade, and secured the future of these magnificent animals, and their habitats, for if we fail, it will be too late," the younger prince adds.

William, whose wife Catherine gave birth to their son George last summer, said that since becoming a father, he has become "even more devoted to protecting the resources of the Earth for not only my own son but also the other children of his generation to enjoy."

The video, which was recorded in November, ends with the pair saying the phrase "Let's unite for wildlife!" in Arabic, Vietnamese, Swahili, Spanish and Mandarin.

The aim is to be understood by as many people as possible living in the countries most affected by the illegal wildlife trade.

CNN's Max Foster contributed to this report.

@highlight

Prince William says a global alliance is being created to combat the illegal wildlife trade

@highlight

United for Wildlife brings together his foundation and the world's leading wildlife charities

@highlight

Increasing numbers of elephants, rhinos and tigers are being poached for the trade

@highlight

A global conference is being held Thursday in London to address the issue