(CNN) -- Since April, 117 law enforcement agencies in 18 states have decided to ignore U.S. Immigration and Customs Enforcement requests to keep foreign-born people in jail on suspicion they might be undocumented immigrants.

These "detainers" ask local and county agencies to hold individuals up to 48 hours after local charges are resolved to allow ICE time to investigate their immigration status.

California, Oregon and Washington state have seen the highest number of agencies changing their policies out of fear of being sued.

The Palm Beach County Sheriff's Office in Florida and Polk County Sheriff's Office in Iowa last week were the latest agencies to change their detainer policies.

Police agencies began reacting after several federal judges ruled that police were violating the constitutional rights by not releasing the immigrants after resolving their state charges.

The advocacy group Catholic Legal Immigration Network says that more than 190 agencies in three states and the District of Columbia enacted policies that reduce or eliminate cooperation with ICE detainers.

But ICE spokesman Nestor Yglesias disputed that number, saying that "U.S. Immigration and Customs Enforcement is aware of 134 different law enforcement agencies throughout the country that are no longer honoring ICE detainers." That number includes agencies that opted out before April.

Fred Wilson, director of operations for the National Sheriffs' Association, which represents most of the 3,083 sheriff's agencies in the country, said the national organization has not taken an official position on the matter.

"It's not a viral movement, but it's raising some legitimate legal issues," Wilson.

The Palm Beach County Sheriff's Office explained its new policy: "Palm Beach County Sheriff's Office will require Orders of Deportation or Warrants signed by a federal judge/magistrate, or other court related order, to hold individuals beyond the time they would otherwise be released," the agency said in a written statement.

The issue boils down to due process, immigration advocates say.

Every person in the United States -- citizen or illegal immigrant, has the same basic right of due process under the Constitution, says south Florida immigration attorney Jeffrey Devore.

"Detain first, ask questions later," is the problem with ICE detainers, Devore said. "Under our Constitution, you have to have some reasonable reason to detain people."

In an Oregon case, Maria Miranda-Olivares pleaded guilty to violating a domestic restraining order and was sentenced to time served. Clackamas County officials held Olivares 19 additional hours until transferring her into federal custody under an ICE detainer.

She sued and on April 11 a federal judge found the county violated her Fourth Amendment rights for unreasonable search and seizure by holding her without probable cause and with no warrant for her arrest.

The federal judge in Oregon cited other cases that ICE immigration detainers are "requests" -- and, therefore, not mandatory.

Yglesias, in a written statement said, "When law enforcement agencies turn over criminals into ICE custody rather than into the community, it helps protect both public safety and the safety of law enforcement."

Law enforcement sends fingerprints of anyone arrested in the United States to the FBI and prints of those born outside the United States are forwarded to ICE for an immigration status check.

The Secure Communities program, started under President George W. Bush in 2008 and expanded largely under the Obama administration, was designed to prevent undocumented immigrants from committing serious crimes.

ICE updated its policy last year and eliminated detainer requests for undocumenteds arrested for misdemeanors and petty crimes, saying its priority is to remove undocumented immigrants who commit serious crimes.

In 2013, ICE removed 368,644 immigrants from the United States. Most were apprehended crossing the border illegally. Of those arrested within the country, ICE says 82% had been previously convicted of a crime.

Advocates for immigrants are concerned the increased deportations separate families, said Jennifer Riddle, an attorney with the Catholic Legal Immigration Network.

Pro-immigrant groups have pushed hard for law enforcement agencies, and local and state government officials to change their detainer policies.

The Immigration Legal Resource Center focuses its online efforts to teach advocates how to best "explain the risk of civil liability if they continue to hold immigrants for ICE," Riddle said.

"It's not the local law enforcement's job to do immigration enforcement," Riddle said. "They are to protect their local community," said the advocate.

The Broward County Sheriff's Office in Fort Lauderdale, Florida, is taking steps to avoid legal pitfalls. In its decision to not enforce ICE detainers, its attorney cites two judges' rulings against police agencies.

"In light of these cases, personnel should not honor ICE detainers unless they are supported by probable cause," wrote the sheriff's legal in June.

In Austin, Texas, Travis County Sheriff Greg Hamilton disagreed with county commissioners decision to stop enforcing federal detainers. The sheriff said his organization will continue to honor the federal request since it keeps his community safe.

@highlight

Police agencies declining to hold suspects for immigration authorities over lawsuit fears

@highlight

Immigration and Customs officials acknowledge that more than 100 agencies have opted out

@highlight

ICE wanted suspects held before local authorities released them to check their immigration status