(CNN) -- When a disaster of a mega-proportion hits a city - from a terror attack to a hurricane - there are procedures in place to deal with the aftermath. Suggest that the source of a serious humanitarian crisis could lie in outer space, however, and many will assume you are talking science fiction.

But one woman is on a mission to convince the world -- and especially governments and the United Nations -- to take threats such as potential asteroid strikes more seriously.

Meet Nelly Ben Hayoun, Designer of Experiences at the SETI (Search for Extraterrestrial Intelligence) Institute in California, creator of the International Space Orchestra -an orchestra composed of space scientists- and trainee astronaut.

"This isn't a Bruce Willis film, this is real life", says the 29-year-old, from Provence, France.

Speaking from SETI, Ben Hayoun rattles off statistics about space, dissects doomsday scenarios, contemplates the possibility of aliens and brings names such as Carl Sagan to Jean Baudrillard into the conversation.

She has been called the 'Willy Wonka of design and science' and her latest project, Disaster Playground, is a documentary film, about scientists preparing for disasters from space that could threaten Planet Earth.

Ben Hayoun speaks to illustrious space scientists from SETI, NASA's Near Earth Objects (NEO) project and Disaster and Rescue Assistance (DART) including: extra-terrestrial intelligence specialist Dr. Jill Tarter (the inspiration for Jodie Foster's character in the film Contact), and meteor shower expert Dr. Peter Jenniskens.

So what do you do in the case of hazardous asteroids or a small NEO (Near Earth Object)?

ANSWER from Disaster Playground: There are different mitigation techniques in place: kinetic impactor, blast defection, combination methods, gravity tractor (a spacecraft to deflect an asteroid using only its gravitational field to transmit impulse).

Alternative methods: moving asteroids with lasers, focusing sun energy, changing thermal properties, electro-static pushing and reflecting white paint.

Ben Hayoun investigates such real-life procedures in place to deal with the threat of an asteroid collision and how critical information would flow up the chain of command.

"Who are the people who would make the decision and what would be the basis of their decision-making?" she asks.

There are 20 people before the President is alerted and before 'the red button is pushed'.

There might be something to be gained from revealing problems to the public in order to help secure funding which is a "big difficulty" she explains. "Humans are more willing to support a cause if you understand the difficulties involved."

As well as the film, to be released on March 2015, she's also relying on an app, exhibitions and "immersive experiences" such as the one at the Victoria and Albert Museum in London as part of the Digital Design Weekend.

She is determined to promote the role of women in the male-dominated space industry. Ben Hayoun recalls how she was once one of two women in a room of 1,500 people at the International Astronautical Congress.

"This is my massive fight," she says with gusto. "How are these space agencies making choices on what we need? It occurred to me that the people making these decisions are men -- space science is a field which is 90% men, men men! We need women - let's face it we would come up with way smarter solutions!"

But in all seriousness, Ben Hayoun warns that efforts to find and fund ways of dealing with the asteroid threat must continue.

"It's not like I can say 'yes, we have a solution'," she said. "It's only going to the UN now. They are aware of their responsibility but at the moment they are just putting in place the committees."

"Nobody knows exactly what the UN response would be and that's a real problem," said Ben Hayoun.

WATCH: Space chat with astronaut Karen Nyberg

READ MORE: Star Trek legend who became NASA's 'secret weapon'

WATCH: Space archaeologist unlocks secrets of ancient civilizations

@highlight

Disaster Playground follows scientists planning for space catastrophes

@highlight

'Failure is not an option' mantra associated with space exploration

@highlight

Women need to be promoted in space industry

@highlight

Funds to deal with asteroid threat must continue