New York (CNN) -- The commuter train that jumped its tracks in the Bronx was barreling into a curve at nearly three times the posted speed when it derailed, killing four passengers, federal safety officials said Monday.

Preliminary data from the event recorders aboard the train clocked it at 82 mph as it approached the 30-mph curve, where the Hudson and Harlem rivers converge, National Transportation Safety Board member Earl Weener told reporters. The data show the engineer cut the throttle and slammed on the brakes, but those moves came "very late in the game," Weener said.

"This is raw data off the event recorders, so it tells us what happened. It doesn't tell us why it happened," Weener said.

Investigators questioned the engineer, William Rockefeller, and the rest of the train crew on Monday. Rockefeller told investigators he applied the brakes, but the train didn't slow down, according to a law enforcement official who was at the scene and is familiar with the investigation.

But while the cause of the derailment has not yet been determined, investigators have seen no indication of brake problems, Weener said.

All seven coaches and the locomotive came off the tracks in the Sunday morning crash on New York's Metro-North Hudson line. In addition to the four dead, at least 67 more were hurt. Three remained in critical condition Monday night, and 16 others were still hospitalized, hospitals told CNN.

The train's recorded speed is not only far faster than the rated speed for the curve where the derailment occurred, it's faster than the 70 mph posted for the section of track that led into the curve, Weener said. The force of the crash ripped apart the rails and a section of the track bed, leaving chunks of concrete strewn about the scene.

David Schanoes, a former deputy chief of field operations for the Metro-North line, said the data is "uncannily similar" to a July rail crash in Spain that left 79 dead.

"I would have to see all the data from the event recorder," Schanoes told CNN's Erin Burnett OutFront. "But clearly, from what has been captured, the train was overspeeding, and the request for emergency brake application comes too late for the train to be able to negotiate the curvature."

Weener said authorities will be looking at the engineer's recent work history and will examine his mobile phone, which is now in the hands of authorities.

In the Spanish crash, a court found the engineer had been on the phone with railway staff when the train derailed. But a preliminary review has found no reason to believe Rockefeller was using his phone at the time of Sunday's derailment, a senior law enforcement official familiar with the investigation told CNN.

In a statement issued Monday evening, New York Gov. Andrew Cuomo said the data "makes clear that, as we suspected, extreme speed was a central cause of this crash."

"The lives that were lost yesterday are a stark reminder that protecting the safety of all New Yorkers must be our top priority," Cuomo said. "When the investigation concludes, we will make sure that any responsible parties are held accountable. My thoughts and prayers continue to be with the families of the victims of yesterday's crash."

The Hudson Line carried 15.9 million people last year. About 150 were aboard when the train derailed, authorities said.

U.S. Sen. Chuck Schumer said the speed report "sort of takes your breath away."

"For a train to be going 82 mph around that curve is just a frightening thought," said Schumer, D-New York, who appeared at a news conference with Weener. "The fact that it was going 82 mph even in the 70-mph zones before the curve started raises so many questions and is scary."

Schumer said the tracks appear to have been in good shape, and the preliminary indication is that signals were working properly -- "but it's premature to blame anyone or anything right now," he added.

'It was just smoke'

The train was about 10 miles short of its destination, Manhattan's Grand Central Terminal, when it derailed on the approach to the Spuyten Duyvil station in the Bronx. Despite the high speed, surviving passenger Amanda Swanson said she felt the wreck in slow motion.

"I was nodding off, and the thing that woke me up was my own equilibrium," Swanson told CNN's Anderson Cooper 360. "I realized that my body was tilted very severely, and that woke me up -- and when I woke up and saw the entire cab of the train was tilted, I immediately woke up and realized that I was in the middle of a train crash."

The windows of the coaches broke out and then, "gravel came flying up in our faces," said Swanson, 26, who was on her way to work at a Midtown Manhattan restaurant. She put her bag in front of her face to block the rubble as the car she was riding in flipped over and skidded to a stop with a thud.

"I couldn't see anything," she told CNN's New Day. "It was just smoke."

Workers lifted the rail cars back onto the tracks on Monday, and police determined no other bodies were trapped in the wreckage. Beth Barret, who sent photos to CNN's iReport, called the scene "very surreal and very scary."

"It was a scene straight out of a sci-fi movie," Barret said.

Cameras may have caught deadly derailment

It's not the first time a train jumped the tracks on that turn. A freight train derailed in the same curve in July, damaging about 1,500 feet of track, the Metropolitan Transit Authority reported at the time.

Mary Schiavo, a former inspector-general for the U.S. Department of Transportation, said investigators should take a close look at the sharp curve.

"It has been there forever, but the fact that we've had other accidents there means we have to look beyond just the fact that the train engineer said that brakes were not working," she said. "We have to see if there's additional issues concerning that track."

Weener said the agency would look into whether there was any connection between the July derailment and Sunday's crash, but both he and New York Gov. Andrew Cuomo discounted the possibility.

"The curve has been here for many, many years, right, and trains take the curve every day, 365 days a year ... We've always had this configuration. We didn't have accidents," Cuomo said Sunday. "So there has to be another factor."

Authorities also are looking for video that may have captured the derailment, safety board spokesman Keith Holloway said. Railroad officials have said there were no video cameras aboard the train.

Weener said security cameras from a nearby bridge captured the train's approach, but the image is small and obscured by a cloud of dust. Video technicians in Washington will try to recover some usable imagery from the recording, he told CNN's "The Situation Room."

Metro-North Railroad inspects its tracks twice a week, spokeswoman Marjorie Anders said. The most recent inspection found the track was "OK for normal operations."

She said the train wasn't equipped with positive train control -- a high-tech system designed to slow down or stop trains to prevent crashes caused by human error.

Anders said the railroad conducted routine drug and alcohol tests on crew members but has not released the results. Rockefeller appeared coherent at the scene, and there was no indication he was intoxicated, said a high-ranking law enforcement official who is part of the investigation.

Anthony Bottalico, general chairman of the union that represents Rockefeller and the train's conductors, said the crew members are also eager to find out what caused the crash and "make sure it doesn't ever happen again."

"Hopefully over the next day or two, there will be some kind of idea or closure," he said.

The victims

The MTA identified those killed as Donna L. Smith, 54, of Newburgh, New York; James G. Lovell, 58, of Cold Spring, New York; James M. Ferrari, 59, of Montrose, New York; and So Kisook Ahn, 35, of Queens, New York.

Lovell did freelance audio and was headed into New York to work Sunday morning, said Dave Merandy, a town council member in the Hudson Valley community of Philipstown.

"He loved his family and did what was necessary to keep things afloat with his family. He was a great man," Merandy said.

One of the survivors suffered a spinal cord injury that could leave him paralyzed from the neck down, said Dr. David Listman, director of the emergency department at St. Barnabas Hospital in the Bronx. The man is the father of a 14-year-old boy who was released from the hospital Sunday.

"It's hard to understand how they were sitting next to each other on the train, and the son walks away with minor bruises, and the father sustained such a severe injury," Listman said.

While patients with severe fractures could be released from the hospital Monday, he said, they may require further treatment and mental health care after surviving the devastating accident.

"For a lot of these people, the train was their way of commuting to work. I think a lot of these people are going to have to contend with getting back to normal life," he said. "I think that's going to be very difficult for them."

Train crash victim was 'pure goodness,' widow says

CNN's Alexandra Field reported from New York. CNN's Matt Smith, Holly Yan and Catherine E. Shoichet reported from Atlanta. CNN's Eden Pontz, AnneClaire Stapleton, Rene Marsh, Kate Bolduan, Wolf Blitzer, Polina Marinova, Lorenzo Ferrigno, Alexandra Field, Kristina Sgueglia, Jon Auerbach, Dana Garrett, Shimon Prokupecz, Mike M. Ahlers and Haley Draznin contributed to this report.

@highlight

NEW: Crash is "uncannily similar" to one in Spain in July, former rail executive says

@highlight

The doomed commuter train was doing 82 mph as it went into a curve, NTSB says

@highlight

The throttle was cut and brakes applied "very late in the game," NTSB official says

@highlight

Nineteen people remain hospitalized after the crash, which killed four