(CNN) -- The boy stood out because of the bright blue shirt he was wearing, not for his arms stretched toward the heavens or the look in his eyes that said: I am hungry.

All the other boys were desperate, too.

Photographer Paula Bronstein looked down at them from the Pakistani military helicopter about to drop food and water. She would never know their names but she would tell their story.

Click. click. click.

The boy in the blue shirt is one of 20 million Pakistanis suffering in a land washed away by massive monsoon flooding.

Aid workers say that media coverage of a disaster helps bring in donations. Bronstein, working for Getty Images, and other photographers are attempting to unveil the unfathomable scope of Pakistan's human misery.

Three weeks into the crisis, thousands of homeless packed into makeshift, fly-infested camps. They endured the searing summer heat and the ache of their empty bellies. They wondered, with more rain on the way, when they might see home again. If ever.

Some voiced frustration that aid had not reached them. Others were downright angry at their own government for perceived failure in a time of national need.

Much of the criticism has been pointed at President Asif Ali Zardari, who was in Europe as the crisis unfolded and was late visiting flood zones. Zardari again left Pakistan Wednesday, arriving in the Russian town of Sochi to participate in a four-nation summit with Afghanistan, Tajikistan and Russia, according to the state-run Associated Press of Pakistan.

Zardari's office has defended the president's travels as part of his job and called the criticism "venomous propaganda of his opponents."

But one thing is clear: Zardari, leader of a country already coping with poverty and violence, will have to deal with far-reaching consequences of the floods.

The United Nations has received less than half of the $460 million it needs for relief efforts. U.S. Secretary of State Hillary Clinton's office said she would announce more aid Thursday on top of the roughly $70 million already pledged by Washington.

No one knows exactly why the flow of aid money is failing to keep up with the need, though Bronstein, interviewed Wednesday on CNN, suspected one reason might be the death toll. At just over 1,400, it is low given the scale of the disaster.

"What usually takes people's breath away is the sheer number of people who die," she said. "But this is a different kind of disaster."

It has been evolving and people's suffering increased incrementally along with the water that spread from the mountains in the north to the plains of the south.

Aid workers have also said it has been hard to reach people because of continuing rain and damaged or flooded bridges and roads. In villages and towns where they were able to get through, people raced trucks carrying relief. Only the young boys, like the one with the blue shirt, had the energy to keep up, it seemed to Bronstein.

From the back of an aid truck all she could see were a mess of tangled arms forced through open windows. Others grabbed onto chunks of ice distributed by a local charity.

Another photo showed a woman in a black and pink dupatta (scarf). Her left hand hugged her cheek in despair, her eyes failed to meet the camera's lens. Bronstein snapped a perfect portrait of uncertainty.

"When you are here, you see how little people have," Bronstein said. "The poorest people have been affected."

Even when the rescue choppers land or the boats arrived, many Pakistanis were reluctant to leave home. They depended on the land and their animals to make a living. They already lost their crops. If they left their livestock behind, they would be leaving with nothing. How would they restart life?

But it was only from the air, said Bronstein, that she could see what it meant for one-fifth of the country to be underwater.

A group of people stood on an island of dry, dusty ground with a handful of ramshackle shelters. They were surrounded by water, water and more water. The helicopter hovered before dropping bags of flour and 10-packs of bottled water.

A man on a rooftop thrashed his arms about for attention. No one can afford to be forgotten, to be left behind or left without.

Bronstein pointed her camera toward people who have nothing. The world, she felt, needed to see.

CNN's Sara Sidner and Reza Sayah in Pakistan, and Isha Sesay contributed to this report.

@highlight

NEW: Photographer Paula Bronstein has been documenting the flooding in Pakistan

@highlight

NEW: 'People have nothing,' she says

@highlight

NEW: Thousands are enduring empty bellies

@highlight

NEW: Desperate people rush aid trucks as they come through