British politicians and EU officials expressed concern on Thursday after it emerged that a seven-year-old article criticising a former Merrill Lynch chief executive was set to be removed from Google's search results.

The action, which comes as the internet search company responds to the EU ruling on the "right to be forgotten" by removing articles from its European search rankings, led to accusations of censorship and over-reach.

Titled "Merrill's mess", the 2007 blog post by Robert Peston, now the BBC's economics editor, describes how Stan O'Neal left the US investment bank after it suffered huge losses on risky investments.

In a blog post on Wednesday Mr Peston said the search company had in effect removed his article from the public record, "given that Google is the route to information and stories for most people".

He had earlier received a "notice of removal" from the search company, informing him that his article would no longer appear in the results of some searches.

In May, the European Court of Justice, the EU's highest court, ruled that individuals had the right to request the removal of search results linking to "inadequate, irrelevant or no longer relevant" personal data -- even if the information had been published legally.

Google -- which opposed the court decision -- responded by introducing an online form giving visitors to its European sites a formal route to make removal requests. In the first four days after uploading the form, Google received more than 41,000 requests.

Two senior EU officials said Google's removal of the BBC article was a misinterpretation of the ECJ's ruling.

One, who did not want to be named, said: "The ruling and the European Commission have made it clear that the right to be forgotten should not be applied for journalistic work."

Earlier this year Viviane Reding, who stepped down this week from being the EU's justice commissioner to become a member of the European Parliament, said the court had "made clear that journalistic work must not be touched; it is to be protected".

However, the ECJ's ruling was a little more intricate. The court said the right to privacy could be waived if "justified by the preponderant interest of the general public in having, on account of its inclusion in the list of results, access to the information in question".

But it also added that in some cases the public interest argument was valid only for the search engine of a news site, not for that of a general search engine such as Google.

Legal experts said the decision to remove Mr Peston's article highlighted the complexity of interpreting the new EU law and the difficulty in applying it to Google, which now had to act as a de facto freedom of expression regulator.

"There are some cases that are clear-cut but the majority of cases will be in a grey area like this one," said Eduardo Ustaran, a partner at law firm Hogan Lovells in London. "Now it's up to Google to understand whether an article is in the public interest or not. That's tough for a company."

Dominic Raab, a British Conservative MP, said: "This draconian European court ruling risks turning internet search engines from being the great 21st-century emancipators of millions of ordinary people into arbitrary censors -- and a refuge for scoundrels and crooks looking to airbrush away their own unsavoury history."

Tracey Crouch, a Conservative MP on the culture select committee, said: "If critical articles are removed from Google searches at the request of persons named or unnamed, it could pose serious questions for lawmakers, the media and society."

Ben Bradshaw, a former Labour culture secretary, added that the company appeared to be over-interpreting the court ruling.

"Mr Peston is right to say the information he published is still relevant," he said. "I can't see why Google would do this. It is either a mistake or could be an attempt by them [Google] to whip up a storm of indignation against the regulatory authorities in an attempt to influence the bigger battles to come."

A link to Wednesday's article posted to the BBC journalist's Twitter feed has been retweeted more than 600 times.

Mr Peston conceded that he could simply be "the victim of teething problems" as the search company begins to implement the rules.

He added, however: "There is an argument that in removing the blog, Google is confirming the fears of many in the industry that the 'right to be forgotten' will be abused to curb freedom of expression and to suppress legitimate journalism that is in the public interest."

The BBC has a right to appeal against Google's move and seek the view of the UK's data protection regulator, which has the right to overturn the search engine's decision.

It is not clear who requested the removal of the article from Google's search rankings. Mr O'Neal was the only individual named in the 2007 article, but Mr Peston pointed out in an update to his Wednesday night blog post that the request could have come from any of the readers who commented beneath the original article, or anyone named in those comments.

The blog post continued to appear under certain searches on Google's UK site on Thursday.

Google does not plan to remove links to personal information from the US version of its search engine, meaning Europeans can visit Google.com to search for information removed from their local version.

Additional reporting by Kiran Stacey

@highlight

Google responded to the EU ruling on the "right to be forgotten" by removing articles from search rankings

@highlight

The internet search company's action led to accusations of censorship and over-reach

@highlight

The EU's highest court ruled that individuals can request the removal of some search results