Long lines formed at help centers and lawyers' office across America Wednesday as thousands of young, undocumented immigrants began applying for relief from deportation.

They took advantage of one of the biggest immigration policy changes in years. An executive order by President Barack Obama allows those who entered the country illegally as children to remain and work without fear of deportation for at least two years.

A crowd formed at Chicago's Navy Pier Wednesday to get help from  immigration lawyers and fill out forms.

"I was able to learn the customs and traditions, and I am used to living the life here," Nayeli Manzano, 16, told CNN affiliate WLS-TV.

She arrived in the United States as a child from Mexico and said she is very much American.

Faces of hope: Lining up for two more years in the U.S.

"I feel I am a citizen," she said. "The only thing that is stopping me is a little piece of paper."

Tuesday, at a Latino community center in New York, Maria, a young Chilean, leaped from her seat.

"I've found the form!" she screamed.

She was with a number of other undocumented immigrants meeting there to get legal advice in anticipation of the release of the form, which authorities surprisingly posted a day before they had said they would.

The form, titled "Consideration of Deferred Action for Childhood Arrivals," was dated August 15, 2012, and bore the expiration date of February 28, 2013.

Maria started filling it out immediately, telling a reporter she was too afraid to divulge her last name or details of her childhood trek to the United States, but would feel differently once the form had been processed and her status ensured.

Alejandro Mayorkas, the director of U.S. Citizenship and Immigration Services, said applicants who have not committed major crimes can apply without fear of deportation.

The forms were made available two months after Homeland Security Secretary Janet Napolitano said that people who arrived in the United States as children may request consideration of deferred action for a period of two years subject to renewal, and upon approval would be eligible for work authorization.

As many as 1.7 million youths may qualify for the program, according to the Pew Hispanic Center, a project of the Pew Research Center.

Dubbed Consideration of Deferred Action for Childhood Arrivals, the deferral program was created in June under an executive order signed by President Barack Obama.

However, there is no guarantee of its future if Obama is not re-elected. Republican Mitt Romney would then have the power to revoke the order.

The program also does not guarantee public benefits to successful applicants. That allowed Arizona Gov. Jan Brewer to issue an executive order Wednesday directing state agencies to deny benefits -- including driver's licenses -- to deferred action recipients.

"The program does not provide for any additional public benefit to unlawfully present aliens beyond the delayed enforcement of United States immigration laws and the possible provision of employment authorization," the executive order states.

It says granting public benefits to deferred action recipients would have "significant and lasting impacts" on Arizona's budget, health care system and other taxpayer-funded benefits.

Brewer's order drew immediate criticism from supporters of immigration reform and the DREAM Act, which would offer temporary legal status to young illegal immigrants who have graduated high school and want to attend college or join the military. Eventually, they could obtain permanent residency or citizenship.

"Gov. Brewer is directly attacking children and immigrant youth, who with no fault of their own, were brought to the United States," said the Arizona DREAM Act Coalition.

The group organized a march to the State Capitol on Wednesday, carrying a large banner reading "DREAM Act Now."

When he signed the deferred action order, Obama said the changes would make immigration policy "more fair, more efficient and more just."

Undocumented students in their own words

The shift on the politically volatile issue of immigration policy elicited praise from Latino leaders, while Republicans reacted with outrage, saying the move amounts to amnesty -- a negative buzzword among conservatives -- and usurps congressional authority.

"This is not amnesty," Obama said. "This is not immunity. This is not a path to citizenship. It's not a permanent fix. This is a temporary stopgap measure."

Mayorkas reiterated Tuesday that deferred action does not provide lawful status or a shortcut to permanent residency or citizenship.

A $465 application fee will fund the administrative costs of the program, including a biometric check and the issuance of a secure work-authorization document, he said.

Each request will be examined for possible fraud, he added.

Ana Ramirez said her parents brought her and her sister, Juana, to the United States without any documentation many years ago when they were just toddlers. They were filling out the paperwork for the deferred action program in suburban Atlanta.

I didn't have a choice to come here," Juana Ramirez said.

Lawyer Charles Kuck said the young immigrants just want a chance at life without fear of deportation.

"They are getting two things out of this program: one, a promise they won't be deported for two years and, two, a work permit," Kuck said. "In exchange, the federal government is getting a million or more kids coming forward, give their biographical information and that of their whole family and give their pictures."

He urged anyone applying to do so with the help of a lawyer.

"The government has said quite clearly: There will be no appeals. There will be no motions to reopen," he said. "You get one bite at this apple."

In announcing the program, Obama noted that children of illegal immigrants "study in our schools, play in our neighborhoods, befriend our kids, pledge allegiance to our flag. It makes no sense to expel talented young people who are, for all intents and purposes, Americans."

The president declared that the policy change is "the right thing to do."

Under the new policy, people 30 and younger who arrived in the United States before the age of 16, pose no criminal or security threat, and were successful students or served in the military, can get a two-year deferral from deportation and apply for work permits.

Participants must prove they have been living in the country continuously for at least five years.

The change is part of a department effort to target resources at illegal immigrants who pose a greater threat, such as criminals and those trying to enter the country now, Napolitano said.

The move addresses a concern of the Latino community and includes some of the provisions of the DREAM Act, which failed to win enough Republican support to gain congressional approval. The name is an acronym for Development, Relief, and Education for Alien Minors.

Obama has been criticized by Latino leaders for an overall increase in deportations of undocumented immigrants in recent years. Last year, U.S. Immigration and Customs Enforcement removed 396,906 illegal immigrants, the largest number in the agency's history.

Obama and Napolitano have called for Congress to pass the DREAM Act, which would put into law similar steps for children of illegal immigrants to continue living and working in the country.

Republicans who blocked Democratic efforts to change immigration laws have condemned the move, with some calling it an improper maneuver to skirt congressional opposition.

Rep. Steve King of Iowa, a GOP foe of Democratic proposals on immigration, threatened in June to sue to stop Obama "from implementing his unconstitutional and unlawful policy."

Republican Sen. Lindsey Graham of South Carolina has called the decision "a classic Barack Obama move of choosing politics over leadership," while House Judiciary Committee Chairman Lamar Smith, R-Texas, has called the change a "decision to grant amnesty to potentially millions of illegal immigrants."

Others predicted the move will tighten an already poor job market for young Americans.

However, Democratic Sen. Dick Durbin of Illinois, who sponsored the DREAM Act, said it "will give these young immigrants their chance to come out of the shadows and be part of the only country they've ever called home."

Presumed GOP presidential candidate Mitt Romney said in June that the issue needs more substantive action than an executive order, which can be replaced by a subsequent president.

As president, Romney said, he would seek to provide "certainty and clarity for people who come into this country through no fault of their own by virtue of the actions of their parents."

Latinos make up the fastest-growing immigrant population in the country, and the Latino vote is considered a crucial bloc for the November presidential election.

A spokeswoman for a major Latino group, the National Council of La Raza, hailed the administration's move.

"In light of the congressional inaction on immigration reform, this is the right step for the administration to take at this time," NCLR spokeswoman Laura Vazquez said in June.

Five things to know about the big change in immigration policy

@highlight

Arizona's governor orders state agencies to bar benefits to program recipients

@highlight

Thousands line up at legal help centers to fill up applications

@highlight

The program gives those who arrived in U.S. as undocumented children the right to work

@highlight

It does not "provide lawful status" or a path to citizenship, authorities say