(CNN) -- Skywatchers are gathering from parking lots in western India to music festivals on remote Japanese islands to witness what NASA describes as an "exceptionally long" total solar eclipse that will cross half the planet on Wednesday.

People try out "solar view goggles" ahead of the eclipse on the outskirts of Ahmedabad, India.

"This eclipse has the potential to be observed by more people than any eclipse in all of history," said MIT astronomer Richard Binzel, who will be in Shanghai leading an expedition of observers and a group of eclipse chasers.   "Essentially, every inhabitant of all of India and China will be able to see at least part of the sun covered throughout the day," he said.

The path of the total eclipse will stretch across the heart of Asia -- from India's Bay of Cambay, over the Himalayas and across China and the southern islands of Japan.

The eclipse is expected to reach its peak over India at around 12:40 a.m. GMT Wednesday (8:40 p.m. ET Tuesday).

Though the duration of greatest eclipse will occur over the Pacific Ocean at six minutes, 39 seconds, people in some areas of China and Japan will experience up to more than six minutes of darkness, according to predictions by Fred Espenak of NASA's Goddard Space Flight Center and J. Anderson of the Royal Astronomical Society of Canada.  Watch as eclipse-watchers head to China »

The 15,150-kilometer (9,415-mile) journey of the moon's shadow across the Earth will last nearly three-and-a-half hours and be "one of the longest eclipses, if not the longest eclipse, in this century," Binzel said.

Forecasters predict stormy weather for Wednesday morning in Shanghai, but this prognosis has not deterred astronomers and tourists from flooding the city. Send us your photos of the eclipse

Professor Zhao Junliang of the Shanghai Astronomical Observatory said the weather could be unpredictable but staying away from such an historic event would be a mistake.

"In 1987, I chased a total solar eclipse in (the western region of) Xinjiang. At the time, the sun was entirely blocked by stormy clouds. Two minutes before the eclipse began, the clouds suddenly cleared," Zhao said. "You just never know, so you have to go." Read blog on how eclipse-chasers are gambling on weather

Rick Gille and his wife flew in from Atlanta, Georgia, to catch the eclipse in Shanghai. They were heading to what is known as the "centerline" -- where the eclipse will last nearly six minutes.

They are armed with high resolution digital cameras and telescopes. "You'll know us when you see us," said Gille, who travels the world chasing solar eclipses. "We're all wearing beige t-shirts which read 'Eclipse 2009.'"

Total eclipses happen about once a year or a little less often somewhere on the Earth's surface and are visible in a narrow band, Benzil said.

"This band starts at sunrise in India and ends at sunset over the Pacific, just east of Hawaii about four hours later. The shadow path of the moon is sweeping across the surface of the Earth at about 3,000 kilometers per hour," he said. "The partial eclipse is also visible throughout Thailand and Vietnam, as far south at the top tip of Australia and as far north as Siberia."

In some cultures, legends and folklore surrounds eclipses.

In India, an eclipse is considered inauspicious. Women forbid pregnant daughters-in-law from going outside out of the belief that their children could be born with marks. Some temples won't offer any prayers on the day of an eclipse -- such as the one next to the planetarium in Mumbai, which said it won't even light a stick of incense.

In Chinese tradition, there is a story about a heavenly dog eating the sun. As the story goes, people would make noise to scare off the dog and rescue the sun, said Bill Yeung, president of the Hong Kong Astronomical Society.

"In ancient China, we shared the same impression with our Indian friends that a solar eclipse was not a good thing," he told CNN.

Some of the more unusual ways to see Wednesday's eclipse include a cruise ship that will travel along the centerline off Japan and from aboard a 737-700 chartered plane in India.

"The aircraft will be intercepting the middle of the eclipse shadow at 0626 IST (Indian Standard Time) at a height of 41,000 feet," travel company Cox and Kings India Ltd, which is organizing the flight in association with Space technology and education Ltd, said in a statement.

"Eclipse chasers sitting along the Sun Side seats of the aircraft will be able to photograph the eclipse; while the chasers sitting along the Earth Side seats will be able to photograph the Lunar Shadow moving over the Earth cloud top," the company said.

More conventional viewing parties in Shanghai have been planned along the beach, in a park and in skyscrapers. A music festival has been organized in Japan's Amami island, with more than 6,000 people expected, and Japanese television has shown rows of tents set up on Akusekijima island.

The witnesses of the eclipse will range "from the farmer who only knows legends of eclipses and may not know this is happening at all to the world's experts who have come specifically to the Shanghai region to make the most detailed scientific analysis possible," added Binzel, the MIT astronomer.

For James and Kathy Scheffler of Kokomo, Indiana, solar eclipses are not to be missed. They have seen six eclipses, including in Aruba, the Black Sea, Madagascar and the Egyptian-Libyan border, and are now making their way to Shanghai.

"When it happens, there is this dissonance that is set up between what your body knows is supposed to be light and what your eyes are seeing -- it's suddenly gotten dark. It's a very, very strange feeling that some people have likened to a religious experience, and you get kind of addicted to that," said James Scheffler, a cardiologist.

"It's a very interesting emotional experience as well as the beauty of the event." Kathy Scheffler added: "It's an experience that, first of all very few people in the world will see it, and second of all, it's a once in a lifetime -- ever -- experience that you can't ever duplicate because they are all so different."

CNN's John Vause, Nishi Kumar, Yoko Wakatsuki, Stephanie Akiko Haschke and Mallika Kapur contributed to this report.

@highlight

NASA says it will be "exceptionally long" total solar eclipse; will cross half the planet

@highlight

MIT astronomer says it could be seen by more people than any other eclipse

@highlight

The path of the total eclipse will stretch across the heart of Asia

@highlight

Some watching events include a cruise, plane trip and a music festival