Editor's note: James Alan Fox is Lipman Family Professor of Criminal Justice and professor of law, policy and society at Northeastern University in Boston. Fox has written 16 books, including "Extreme Killing: Understanding Serial and Mass Murder" and is writing a book on school violence and security.

James Alan Fox says perpetrators of mass shootings usually do not suddenly go berserk.

(CNN) -- Massacre/suicide has become an all too familiar sight on the electronic pages of this and other news sites.

But Tuesday's rampage in Samson, Alabama -- with a body count reaching to the double digits -- forces us to struggle mightily in search of plausible explanations and effective solutions.

What could have prompted 28-year-old Michael McLendon to shoot to death his mother, grandmother, uncle, cousin and six others -- some of whom appear just to have been in the worst place at the worst time -- before turning the gun on himself?

Mayor Clay King summarized the collective bewilderment in Samson in the immediate aftermath of the bloodshed. "I don't think anybody has any idea of what the motive is," he said.

In just over a few moments of horror, this rural community of a couple thousand residents that hadn't had a single homicide in well over a decade, based on FBI crime reports, now had a multitude of questions about the will to kill.

"Apparently something just snapped," speculated Wynnton Melton, mayor of Geneva, Alabama, the community just outside Samson where McLendon ended his own life after a police chase.

Because McLendon chose suicide, the complete truth to his motivation may never be known. But from what can be learned from countless similar episodes in America and abroad, the crime may not be so unfathomable after all

Contrary to the widely held belief of "snap judgment," perpetrators of mass murder -- and family annihilation in particular -- generally do not suddenly go berserk.

If he was like most others who have walked in his shoes, McLendon would have contemplated his actions for some period of time, surely more than the few moments it took to load his assault rifle. With a list of enemies and a large arsenal, his planning would probably have reflected calm deliberation and cool determination.

In decades of research in collaboration with my Northeastern University colleague Jack Levin, certain common characteristics of mass killers emerge time and time again.

First, the perpetrators tend to have experienced a long history of frustration and failure, resulting in a diminished ability to cope with life's disappointments. Second, they typically externalize blame, frequently complaining that others didn't give them a decent chance. Without this, their destructiveness would instead be directed inward.

In addition, these killers generally lack emotional support from friends or family. They are loners as well as losers. Lacking this support system and reality check, they come to perceive some precipitating event as being absolutely catastrophic.

This most often involves some kind of major disappointment: the loss of a job, the breakup of a relationship or financial ruin, surely a major issue in today's economy. Finally, they need access to a weapon powerful and rapid enough to satisfy their intense need for revenge.

Without much hope for a brighter tomorrow, these assailants often decide that life is not worth living; rather than just taking their own life in quiet solitude, they are eager for payback. It becomes their all-consuming mission to avenge, with a death penalty, against those who caused them to suffer -- in reality or perhaps only in their paranoid interpretation of events.

Experiencing disappointment and failure so profound as to extinguish their desire to survive, most mass killers deliberately and methodically execute those closest to them, those they hold responsible for their troubles. There is little surprise, therefore, that mass murder overwhelmingly involves family members or co-workers, not total strangers. Although there certainly are many well-known episodes of random slaughter of complete strangers, these are more the exception than the rule.

In the wake of extraordinary shooting sprees like the Alabama tragedy, calls for tighter gun control typically surface as a possible policy response for prevention.

Yet the mass shooting just hours later and thousands of miles away in rural Germany, where gun limits are stricter than in the United States, reminds us that any debate must confront questions broader than just guns, even if the use of a high-powered firearm tends to increase the victim toll.

Regrettably, there are no simple fixes nor any means for reliably identifying mass killers before they act, despite the consistent profile. There are tens of thousands of Americans who would fit the mold, yet, fortunately, very few of them decide literally to take matters and guns into their own hands

The best we can do, in terms of public policy and hometown approach, is to reach out to those around us who appear to be struggling emotionally or financially and offer friendship, compassion and understanding.

At the end of the day, our efforts may not eliminate the risk of mass murder or necessarily deter the next Michael McLendon from turning his community into a personal battle zone, but at least we can enhance the well-being of countless citizens in the process of trying.

The opinions expressed in this commentary are solely those of James Alan Fox.

@highlight

James Alan Fox: Alabama and Germany shootings raise questions about motive

@highlight

Evidence in many cases shows killers don't suddenly go berserk, he says

@highlight

Fox says mass killers react after losses and lack social support system

@highlight

He says they blame others, rather than themselves, for their failures