(CNN) -- President Obama called it "the defining issue of our time" in his 2012 State of the Union, but he did so without ever uttering the phrase "income inequality."

Perhaps that's because income inequality is one of those alliterative word pairs everyone's heard by now but few fully understand.

Instead of wonking up his speech with terms that may confuse some, Obama focused on the more familiar American Dream. That's "the basic American promise," as he put it, "that if you worked hard, you could do well enough to raise a family, own a home, send your kids to college, and put a little away for retirement.

"The defining issue of our time is how to keep that promise alive," he continued. "No challenge is more urgent. No debate is more important."

But what, exactly, is income inequality, and why does it matter so much in modern America that you would vote on it as one of the top social justice issues of our time?

Here's a snack-sized primer:

A definition of income inequality

Income inequality refers to how evenly or unevenly income is distributed in a society. The United States has a relatively high level of income inequality because the very richest people take home a large share of the economic pie -- and there is a relatively large gap between them and some of the poorest people in America.

Scandinavian countries have lower levels of income inequality because, overall, prosperity is more broadly distributed there, instead of being concentrated in the hands of a few.

There are other variations of inequality, too. Some economists think "wealth inequality" is a better measure of what's happening in the United States, since the super-rich are even farther away from the rest of us when you consider their assets, not just their incomes.

Some prefer the broader term "economic inequality."

How is income inequality measured?

The most popular measure of inequality is called the Gini coefficient. That coefficient, or index, "measures the extent to which the distribution of income or consumption expenditure among individuals or households within an economy deviates from a perfectly equal distribution," according to the World Bank.

A rating of 0 means the society in question is perfectly equal -- or everyone has the same income. A rating of 100 means that one person takes home 100% of the income.

The United States has a Gini rating of 45, according to the CIA World Factbook. Sweden, the most-equal country, gets a rating of 23. Lesotho, in southern Africa, has the highest Gini coefficient on the CIA's list with a rating of 63.2.

There are other ways to measure inequality, too, such as looking at the income held by the richest 20% and comparing it to that held by the poorest 20%. All of the different measures try to answer the question: How is money distributed in this place?

What's the trend in the United States?

The reason the president and others keep talking about income inequality -- with or without calling it that -- is because the income gap in America has been growing since the late 1970s. Experts disagree on exactly why, but most say it has something to do with cutting taxes on the very richest Americans and the growth of the finance industry. Technology also likely contributes to the shift, as many middle-class workers have seen their jobs taken by machines. Meanwhile, the very richest people are taking home a larger share of income than at any time since the late 1920s.

Is more income inequality necessarily bad?

Pretty much no one these days thinks everyone in the United States should have exactly the same income. But many economists and philosophers say extreme income inequality -- and many would argue that's what we have -- is a problem.

The economist Joseph Stiglitz argues income inequality is "holding back" our recovery from the recession. The epidemiologist Kate Pickett says high income inequality is associated with all sorts of bad things -- from obesity to high incarceration rates and violence. The philosopher Thomas Pogge told me societies can become so economically divided that people stop seeing each other as equals -- and a sort of classist, "Downton Abbey" dynamic develops. Others argue income inequality hampers economic mobility -- meaning it's less likely that that American Dream is actually a reality for people.

Think of the economy as a ladder, former U.S. labor secretary Robert Reich told me. If the rungs of the ladder are super far apart, how can you expect a person to climb?

More-conservative thinkers argue that income inequality is necessary for a capitalist society to thrive -- that income gaps encourage competition, innovation and hard work.

How is the use more unequal than Nigeria?

If you look at the CIA's list of the most equal and unequal countries, the United States ranks below a whole host of nations that most Americans probably wouldn't want to move to. They include: Iran, Uganda, Nigeria, Russia, Senegal, Nicaragua, Mali, Mauritania, Vietnam, Yemen, Mongolia. I could go on and on.

It's important to keep in mind that, in this case, the Gini coefficient is being used to measure inequalities within a given society. South Africa has a very high rate of income inequality because it does have both very wealthy and very poor people. There aren't many rich people in Niger, another country that's more equal than the United States. If everyone is more or less poor -- a country still could be relatively equal.

So, that's a caveat. But there still is research to support the idea that very high levels of income inequality tear at the fabric of society, regardless of its overall wealth.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

Income inequality has been growing in the United States since the late 1970s

@highlight

John Sutter: The topic is pervasive but relatively little-understood

@highlight

Obama argues against income inequality without using the term