(CNN) -- It could be the spartan living environment, or perhaps growing up in the thin air nearly 3,000 meters above sea level -- or maybe it's the influence of a legendary local coach.

Whatever its secret, a remote mountain town in Ethiopia has produced a string of world-beating distance runners.

Three-time Olympic champion Tirunesh Dibaba is the current cream of a crop that has helped put Bekoji on the map. Like many from her area, she was clearly born to run.

"Running is for me my job, but also my source of entertainment," the 27-year-old told CNN's Human to Hero series.

"It's because of running that I am well known around the world. For me, it's the ultimate thing."

Her elder sister Ejegayehu was an Olympic silver medalist in 2004, while younger sister Genzebe was the 2009 world junior cross country champion and a younger brother Dejene is a promising 800m runner.

Sporting excellence flows through the family genes: Dibaba is the cousin of double Olympic 10,000m champion Derartu Tulu, while she was also inspired by another cousin -- Bekelu, who she often calls her sister, and was an international distance runner.

They all hail from Bekoji, a town of fewer than 20,000 people set high in the mountains of the Arsi province, but with a freakish record for track and field success.

"Bekoji has produced so many great athletes starting from Derartu. In Beijing, Kenenisa (Bekele) and I brought home two gold medals each," Dibaba said.

"Bekoji has strong runners. Bekoji is great and can produce even greater athletes."

It has echoes of Jamaica's Trelawny district, another rugged rural setting which has produced a string of sprint champions, including six-time Olympic gold medalist Usain Bolt.

Before Dibaba, the great Kenenisa Bekele -- a three-time Olympic champion and double world record-holder in the 5,000 and 10,000m -- was the most famous product of the area. Both were coached by Sentayehu Eshetu in their important formative years.

Inspiring coach

"Sentayehu knew that my cousin Derartu Tulu ran, he knows that my sisters ran too. That's why he encouraged me to start running and used to tell me that I would be a great runner, he knew I would be a fast runner," Dibaba said.

Success clearly breeds success -- the peak of which came at the 2008 Beijing Olympics as Dibaba and Bekele both won distance doubles -- and she believes the conveyor belt of talent will keep going.

Bekele has suffered injury problems since 2010, and he had to settle for fourth in the 10,000m at London 2012 as his younger brother Tariku chased home Britain's Mo Farah and Galen Rupp of the United States to claim a bronze medal.

Dibaba was unable to repeat her Beijing double, but became the first woman to retain an Olympic 10,000m title and took bronze in the 5,000m as Addis Ababa-born arch rival Meseret Defar won back the gold she first held in 2004.

In addition, Dibaba has won four world championship golds and has also claimed the coveted world cross country title on four occasions, beating the best that Ethiopia's great rivals Kenya could produce.

Early struggles

But despite her faultless pedigree, Dibaba's route to the top was not without its difficulties. She hoped to further both her education and her fledgling running career by moving to the capital of Addis Ababa, a grueling 276-kilometer trip from Bekoji.

She was to live with her Bekelu and sister Ejegayehu, but missed the school registration deadline by six days.

Bekelu, recognizing her cousin's talent, instead enrolled the teenager into the sport club run by the Prison Police in Ethiopia.

Her early promise blossomed, and it was not long before Dibaba announced herself on the global stage by taking a surprise 5,000m gold at the 2003 world championships in Paris, still only 18 years of age.

At the 2004 Olympics in Athens, Dibaba was beaten into the bronze medal position in the 5000m by the more experienced Defar and Isabella Ochichi of Kenya, a defeat which rankled despite her young years.

"Our country is not like other countries. Silver and bronze in our country is no better than finishing fifth or sixth," she said.

Winning gold at the Olympics became the overriding goal for Dibaba, who underlined her dominance by winning the 5,000/10,000 double at the 2005 world championships and becoming the first woman to defend a 10,000m world title in Osaka two years later.

Inspiring husband

Going into Beijing, she was further inspired by Sileshi Sihine, whom she was to marry after the Games.

Sihine was twice a silver medal winner in the 10,000m, at the 2004 and 2008 Olympics, and wanted his fiancee to go one better.

"My husband Sileshi used to tell me that in order to become a great runner, you have to win the Olympic gold," she said.

"When I said that I was tired and won't go to training, he would say work hard just for this one.

"I did not believe then that I won my first Olympic gold (in the 10,000m). It was a hard race, a tough race, I broke the Olympic record, I broke the African record. I was very happy. "

Going into the 5,000m as the world record-holder, Dibaba sprinted to a golden Beijing double, while Defar was third.

With her main goal achieved, Dibaba concentrated on her wedding that November, when celebrations lasted over a week as the couple was feted in Ethiopia.

She took a four-month break from intensive training and suffered as a consequence, sustaining injuries which she believed threatened her career.

Serious injury

"I never thought I would return back to running again. I thought I had would never return to competition. I was under treatment, I spent a lot of time going back and forth to Germany for treatment," Dibaba said.

She was seeing renowned specialist Hans Muller-Wohlfahrt, who had to keep assuring Dibaba she would recover.

"He told me that I would return, but I still did not believe I would return back to running. It was really hard for me," she said.

The doctor's confidence was well placed, but it took until 2012 for Dibaba to rediscover her best form, just in time for the London Games.

A blistering command performance in the 10,000 saw her claim her third Olympic gold, but her double attempt was thwarted in the 5,000 by Defar and Vivian Cheruiyot of Kenya as she was relegated to the bronze medal position.

Dibaba shows no sign of winding down her career, but she is involved in several commercial projects, which include building a hotel.

Having earned her own wealth, she takes pride in providing employment in a developing country such as Ethiopia.

"We create jobs for those who don't have any. We create opportunities," she said.

The next goal

Dibaba has never forgotten the help of her family and the sacrifices she has had to make to achieve her success.

"I remember there were days where I felt could not complete my training program. But because I had to finish it, because my coach (Hussein Shebo) would advise me that it's a must to complete the program, I would finish the program," she said.

"There were times I got so tired that I would go to bed without eating food, only drinking water. To run well and be a good sportsperson, you have to work hard."

Rising around 6 a.m., she will do two sessions per day, preparing for the track season with intensive speed sessions as part of a specially devised schedule.

Dibaba is usually in bed by 9 p.m. and restricts herself to a mostly pasta and rice diet.

She will eventually move up to the 42 kilometers which make up the longest race on the track and field program -- the marathon being her ultimate goal for the 2016 Games in Rio.

"I want to do something special, that is historic and unforgettable. Especially in the Olympic marathon, I want to compete there. I believe that is what is left for me to achieve."

@highlight

Tirunesh Dibaba is a three-time Olympic gold medalist

@highlight

The Ethiopian has dominated women's distance running

@highlight

Her town of Bekoji is home to many other star runners

@highlight

Dibaba's cousin Derartu Tulu won two Olympic gold medals