(CNN) -- Africa is buzzing with its own brand of innovation, taking existing technology and adapting it to new uses.

Mobile technology, for example, has become a game changer in many parts of the continent, with cell phones being used for everything from transferring money to providing health care information.

But Africa's resourcefulness goes far beyond the mobile phone, and according to Nigerian-American journalist Dayo Olopade, author of forthcoming book "The Bright Continent," advanced economies can learn a thing or two from Africa's innovative spirit.

"There are ways of doing more with less that are very organic to the African ecosystem, and I think in general in the 21st century there's a very important recognition that we need to all do more with less, and where better to look that the place that has been doing this for centuries?" said Olopade.

CNN's Robyn Curnow sat down with Olopade to talk about what global businesses can learn from African innovation. An edited version of the interview follows.

CNN: So what you're saying is that African innovation can teach the rest of the world something?

Dayo Olopade: That's right and it's very counter-intuitive to say that the place where we've poured trillions of dollars of aid, we've tried rock stars, we've tried celebrity-led campaign ads, we've tried all sorts of things to help Africa, but the tools to help Africa really lie within the region, and that's really not necessarily aid flows but human capital.

It's a continent approaching a billion people, all of whom have something to say.

It's a very young place -- I think something like 60% of the population is under 35 -- and so in the next decade we're going to see this generation really take advantage of what is both global technology and global ideas and what they're already working with on the ground and there are so many examples that I see all over the place.

CNN: What are some of the examples?

DO: Well, for one, I think technology is very different, the way that people use things is very different than in more advanced economies -- I like to call it the difference between a fat economy and a lean economy.

In a fat economy, a bicycle is just a bicycle, or a cell phone is just a cell phone; in a lean economy, I've seen men in Kenya making phone chargers using their bicycles, where it's double use. Where electricity goes out and you have a cell phone that's out of juice, you can then plug your cell phone into a bike and peddle away and also charge your phone.

So it's about recombination, recycling, innovative use of existing objects. I actually just heard about something here in South Africa which is a woman who created a washing machine using the vuvuzela, where she poked holes in it and it was something that could be used as a washing machine.

CNN: What is somebody reading this book when it is published, sitting in London, going to take from a vuvuzela washing machine? They're not going to take the practicality of that -- what's going to make them say 'wow, I didn't know that?'

DO: Well I think what it is, is a sense of individual responsibility and a sense of entrepreneurship ...

I don't think you can walk along the streets of Lagos or you can walk along the streets of Accra or walk along the streets of Johannesburg without finding somebody who has got two jobs.

They've got the thing that they're doing and they've got their side hustle and I think the ability for people to find opportunity where there is none is something very important in terms of the way that the 21st century will move forward.

CNN: So clearly you're an Afro-optimist?

DO: Yes -- I think everything that is happening or is about to happen in Africa is extremely exciting. I think there are lessons to be learned from the way that people treat reality as something to build on.

I think there is a certain optimism sort of natural to living in a place -- and obviously everywhere is different -- where there are barriers, where there are confrontations, where there are conflicts, where life can be difficult. But I think that this is, not to be trite, but this is building character.

I think that people who have had to figure out ways to get by with a government that won't serve them, with roads that are bad or, as I said, electricity that's inconstant, they're finding ways around it, and again, if you can make it work in Africa, I think you can make it work anywhere.

@highlight

Nigerian-American journalist Dayo Olopade is author of 'The Bright Continent'

@highlight

Olopade believes advanced economies can learn from Africa's innovative spirit

@highlight

"It's about recombination, recycling, innovative use of existing objects," she says