Beijing (CNN) -- Few people have had so much impact on the Chinese attitude towards sexuality and gender equality than Jin Xing.

A spritely, sassy cultural icon, Jin Xing (or Golden Star) has sashayed her way to stardom as dancer-choreographer of Shanghai's Jin Xing Dance Theater, one of China's first non-government modern dance troupes.

Jin has also emerged as one of the most prominent -- and controversial -- emblem of personal freedom and gender equality in China.

Jin was one of the first Chinese to have a sex change operation -- and the first officially recognized by the Chinese government.

Jin's story acquires distinct significance in the Chinese context. Although the wall of puritanism built around China's sexual mores has been gradually crumbling, traditional Chinese reticence and sexual stereotypes persist.

I first met Jin Xing in 1994, when he was a man. He had just returned to Beijing after spending four years in the United States, learning modern dance from mentors like Martha Graham, and later dancing with professional troupes in Rome and Paris.

That time, the 26-year-old was perhaps the best male dancer in China, much admired for his furious pirouettes, soaring leaps and dazzling choreography.

A year later, Jin decided to have sex change. "When I was six years old, I thought I should be a woman," Jin said. "I myself knew something was wrong, but I didn't know what was wrong or what was mistaken. I had a confusing moment. I was wondering maybe I am homosexual, but in the end I said, no, I should come back to myself."

It was a difficult decision. Homosexuality was still considered a crime, tagged as "hooliganism," and was officially listed as a "mental disorder."

"That was quite taboo in 1995," Jin recalled. "The country's best male dancer becomes a female dancer -- that's too much for the Chinese society and government."

Fortunately for Jin, the society and government took a laissez-faire tack. "We Chinese always take the attitude, whenever things are not certain, we step back or stay there, to give it some time and space and let things naturally happen and become right. I was really challenging the boundaries of the society but I had confidence in myself."

Jin's mother was not as sanguine. She worried the surgery would not go well and feared for her son's future. Jin fretted over what his father, a military officer, would say.

At age 28, Jin underwent three sex-change surgeries. His final operation lasted 16 hours.

Jin recalls sitting in the hospital and telling his father: "Your son has become your daughter."

The PLA officer was briefly speechless, but after smoking a cigarette, he told Jin: "Twenty years ago, I looked at you and wondered, I have a son but he looks like a girl. So 28 years later, you've found yourself. Congratulations."

The new woman continued to thrive with even more charm and effervescence. I recall seeing Jin a few times in "Half Dream," a bar she opened in Beijing which briefly became a hub for local artists and expatriates.

I remember seeing her driving in a green VW Beetle, rushing from one meeting to another, dressed in mini-skirts, loud colored blouses and high heels.

In 2000, Jin's life changed again. She became a mother, adopting three Chinese orphans -- son Leo, daughter Vivian and little boy Julian. Soon after, she married a German man, Heinz Gerd Oidtmann.

"Everything is legal," she enthused in her gravelly voice, referring to her sex change, marriage and adoption. "But how does the society accept you and digest the status matters -- that's up to you to convince them."

Meantime, even though homosexuality has been decriminalized in 1997 and was dropped from the official list of "mental disorders" in 2001, China's LGBT community continues to struggle against social stigma and legal discrimination.

Because the Chinese government remains largely silent on the issue of homosexuality, they risk official ban or harassment whenever they meet, organize or provide services within the community. There are no applicable laws and regulations governing gay marriage, divorce, child custody, adoption and other related issues.

LGBT couples are not recognized as constituting families.

Yet, with an estimated transgender community of around 400,000 the Chinese government has granted them civil rights under the law, allowing them to change their national ID cards and passports, and legally recognizing their marriages after sex-change.

"It's still in the struggle period, but it's getting better," Jin said.

She believes China needs more time. "The day I came out as a woman to society, I said,` Okay, I give myself 50 years' time, I will tell the society who I am'."

Jin's willingness to reveal -- and revel in -- her sex-change story continues to make waves. When she is not dancing and choreographing, she is acting in films and appearing as a judge in China's versions of "Dancing with the Stars" and "American Idol."

Is she a good role model for the Chinese youth?

"I don't want to be a role model," she replied, flashing a smile as she tossed back her coiffed hair. "I just want to be myself. Next month, I will release a book, in which I said, "I don't want to change the world, but I also don't want the world to change me too much.' I just want to be myself."

@highlight

Dancer-choreographer Jin Xing had China's first officially recognized sex change operation in 1996

@highlight

Jin has become an emblem of personal freedom and gender equality in China

@highlight

She appeared as a judge in China's versions of "Dancing with the Stars" and "American Idol"

@highlight

Jin: "I don't want to change the world ... I just want to be myself"