(CNN) -- Intrepid travelers need not leave the United States to find distinctive cities, spectacular open spaces and wide beaches to explore.

Lonely Planet's top 10 U.S. destinations for 2014 are all available without clearing customs, including long-beloved destinations, spots commemorating important events in 2014 and significant regional spots that deserve your attention.

"Lonely Planet's top U.S. destinations is an annual list of places that travelers should add to their wish lists specifically for the coming year. They're not necessarily the must-see places, lest New York City be on the list every year," says Emily Wolman, Lonely Planet editor-at-large.

"We dig deeper and shine a light on destinations that are emerging, perhaps historically overlooked, and/or experiencing something wonderful in the coming year. These destinations aren't necessarily where U.S. travelers are going in 2014, but where they should go in 2014."

The list is more art than science.

To compile the annual list, Lonely Planet asks its U.S. staff and authors for urban and nature recommendations, well-known and lesser-known spots and locations that have a timely angle for 2014, says Wolman. "From there, our editors whittle down the list to ten, and a natural order emerges."

Since working Americans don't get as much vacation time as their European counterparts, consider using your limited vacation days to explore Lonely Planet's top destinations right here at home. Here are the 10 spots that came out on top:

1. Grand Rapids and Lake Michigan's Gold Coast

It's such an overlooked part of the Midwest, says Wolman, and so deserving of attention by travelers who love art, beer and food and the beach. The second-largest city in Michigan, Grand Rapids has beer and food festivals almost year round, perhaps inspired by more than 25 craft breweries in the area. It has a beautiful art scene, including the LEED-certified Grand Rapids Art Museum and Frederik Meijer Gardens & Sculpture Park.

From Grand Rapids, it's an easy 30-mile drive to Michigan's Gold Coast, "one of the United States' most unexpected beach getaways," says Wolman, at least to folks outside the Midwest. Enjoy the sugar white sand beaches, orchards, cider houses and wineries. Take a dip, and have a drink.

2. Yosemite National Park, California

With 3.8 million visitors last year, the third-most visited national park in the country is well-known among park lovers and novices alike. Yet the federal government shutdown and Rim Fire hurt the park and surrounding communities that depend on park visitors for their survival.

Add to that a reason to celebrate: the 150th anniversary of President Abraham Lincoln's signing of the Yosemite Grant, giving the Yosemite Valley and the Mariposa Grove to California to be administered. Yosemite was turned into a national park in 1890. The grant is widely seen as a precursor to the creation of the National Park Service in 1916.

"Yosemite is celebrating that with a bunch of preservation efforts," says Wolman. "It's a good time for the nation's and world's gaze to be on Yosemite. It's one of the most majestic parks in the U.S."

3. Boston, Massachusetts

The eyes of the world will be on Boston next year, as thousands descend upon the historic city to run and support the Boston Marathon come Monday, April 21 -- Patriots' Day in Massachusetts. It will be the first running of the marathon since the Boston bombing on April 15, 2013.

Fans of this New England city also know that U.S. history comes alive on the Freedom Trail, and walkers can include a stop at the Bell in Hand Tavern, the nation's oldest tavern, along the way. "The past in Boston is always very much alive," says Wolman.

4. Central Coast, California

While many visitors in the know have experienced the beauty of the area from Santa Cruz to Santa Barbara, it can be ignored as flyover country between San Francisco and Los Angeles. "It's quintessential California at its best," says Wolman. "The weather is generally gorgeous, and even when it's foggy, it is still romantic."

Check out the Pacific Ocean driving along Highway 1 and stop by the gorgeous inns and restaurants hugging the coast. Stay on the Monterey Peninsula and enjoy the Monterey Bay Aquarium during its 30th anniversary year. Explore Paso Robles wine country -- it rivals Sonoma and Napa, says Wolman.

5. Jersey Shore, New Jersey

With Superstorm Sandy last year and the boardwalk fire this year, the Jersey Shore has been through the wringer. The storm caused monumental damage, but there has been an incredible effort to revitalize.

From Sandy Hook to the north and Cape May to the south, you will find kitchy towns, classy towns and everything in between, says Wolman. "As recovery efforts continue, it's important to have tourism in 2014. We encourage people to go, and there's a lot of family fun. "

Top U.S. travel destinations for 2013

6. Kansas City, Missouri

Kansas City has its barbecue, of course -- more than 100 spots to celebrate its culinary accomplishments in that area. Yet there is so much more to Kansas City.

"It's another one of those cities in the central swath of the United States that is often overlooked," says Wolman. "It's really wide open and inviting, with 200 fountains, jazz and barbecue. It also has a very vibrant African-American community."

The city will be in the spotlight in 2014 with the 100th anniversary of the start of World War I. The city's National World War I Museum at Liberty Memorial, which is getting a $5 million makeover, will shine the spotlight on the Great War.

7.Cumberland Island, Georgia

Cumberland Island is a magical Southern getaway, a national seashore that's part of a collection of sea islands on the Southeast's Atlantic coast. One of the most underdeveloped places in the United States, there's room for backcountry camping among the mossy oaks and wild turkeys. For a bit of history, visit the First African Baptist Church (which dates back to 1893) and the ruins of a Carnegie mansion.

"It's otherworldly," says Wolman. "If you have the opportunity to stay overnight (there's an old inn), you'll have the place to yourself. It's off the beaten path, a magical Southern natural getaway."

8. Las Vegas, Nevada

Of course Las Vegas is about casinos, but it's not all about casinos. "We chose Vegas this year because it is reinventing itself," says Wolman. There are vibrant art districts popping up and attracting visitors in their own right. On the Vegas Strip itself, the "High Roller" Ferris wheel is scheduled to open with great views of the city in 2014.

9. Sun Valley, Idaho

While the crowds travel to Colorado's famed ski slopes, those looking for a less expensive and crowded vacation might want to head to Sun Valley. "It's a perfect alternative to places that can be more expensive," says Wolman. "It's a gorgeous setting with the Sawtooth Mountains, culinary events, great food and world class skiing and a lot of hiking in summer. It's really mellow, with no crowds or lift lines."

10. Lanai, Hawaii

An often overlooked, really unique speck of paradise, with old shipwrecks and petroglyphs, most of the island was recently purchased by Oracle founder and billionaire Larry Ellison.

"It will be interesting to see how the island transforms over the next few years, but it's worth seeing now before it transforms," says Wolman. "There's snorkeling and diving without the crowds. It's a real slice of Hawaiian life."

Lonely Planet's top destinations around the world for 2014

What spots would you add to this top 10 list of U.S. destinations? Please share in the comments below.

@highlight

Midwestern beaches and brew deserve your attention next year

@highlight

A city known for barbecue and jazz will host a more somber commemoration in 2014

@highlight

The Jersey Shore is back and welcoming visitors to its beach communities