(CNN)Hillary Clinton worked hard last week to put the "dead end" sign on the State Department email story by announcing there was nothing to find. But in her rush to control the narrative, Clinton may have (once again) missed the bigger picture: In politics as much as in business, authenticity matters.

Her press conference had the familiar ring of a controlled performance -- the carefully parsed explanation, the combative posture -- that stretched our belief that what she's telling us is really the whole story. People wonder: Is she playing it straight with us? Why the nagging suspicion that Brand Hillary does not include bringing to the public table who she really is?

As the author Joe McGinniss reported in his classic book on the 1968 Nixon campaign, "The Selling of a President," political consultants long ago began marketing candidates like bars of soap. The practice has accelerated since the '60s as campaigns have concluded that political brands face the same tests among voters that consumer brands do among customers.

And among consumers today, authenticity means more to success than at any other time in the history of brands. The desire for authenticity is a tangible driver of revenue for brands. Increasingly, people want to give their money to brands -- political as well as commercial -- that have a set of values they can also buy into.

As author James H. Gilmore told The New York Times, a sense of authenticity reinforces trust in what is real "in an increasingly staged, contrived and mediated world." A recent global study found that 63% of consumers would buy a brand they perceive as authentic over its competitors, and more than 60% would recommend an organization they perceive to be authentic.

Ignoring the importance of authenticity to voters is a significant risk, as both Mitt Romney and Al Gore learned too late. And they were running in a perceptual environment more forgiving than today's.

Voters easily identified the space between who these candidates really were and how they wanted us to perceive them. Romney, the successful entrepreneur and moderate politician, struggled to seem ordinary and "severely conservative," while Gore was perceived as having such an overblown sense of himself that the claim of having invented the Internet stuck to him like mud, even though he'd never said it.

The two shared what will likely also be Clinton's destiny: winning a party nomination by default as there were few compelling alternatives. For Clinton, an uncontested rise to the Democratic nomination could mislead her campaign into believing that she doesn't have a problem with authenticity. She does, especially among Independents and Republicans.

To be fair, Clinton's appeal as potentially the first woman to reach the White House makes her seem virtually bulletproof among certain voting groups. A recent Gallup Poll shows "first female" status as the "best thing about a Hillary Clinton presidency," leading the positives mentioned by 30% of Democrats and 17% of Independents. But the next-closest best thing about Clinton is a long way off: Her experience is mentioned by only 16% of Democrats and 8% of Independents.

A fledgling campaign apparatus, with powerful political recruits like John Podesta and Robby Mook and marquee brand wizards from Coca-Cola and Microsoft, might want to be looking hard at the dangerously lukewarm voter sentiment about experience and suitability that is lingering just beneath the surface of the "first female president" juggernaut.

Part of the heightened danger coming out of her press conference lies among millennials, who will be a critical voting group for Democrats in the 2016 presidential election. And authenticity is of paramount importance to millennials in how they relate to everything in their lives, including politicians. As one commenter on a MediaPost article on millennials put it, "If brands can't be authentic Millennials will call them on it. Want to win our hearts? A little self-deprecation and humility never hurt."

Forty percent of millennials in the U.S. admit to full-blown cynicism about the way they are approached by brands of all kinds. According to the MediaPost article, authenticity and the allied trait of trustworthiness are two of the top brand attributes millennials look for before they make a decision to hand over their money and, one could argue by extension, their vote.

These days, too, it's trickier than ever for brands to stay in step with the conversations that move people to make judgments. Whether they're consumers or voters, people are more in tune with each other than at any other time in human history. They can gang up more easily to support or reject a person, an idea, and, yes, a company, brand or politician. Brands are left on the outside looking in, puzzling out how to insert themselves into a meaningful relationship with constituents who can turn on them at any second.

This trend of demanding more authenticity from brands they invest in, and rewarding brands for it, has been accelerating with consumers across the U.S. over the course of the very same seven years since Clinton last ran for president. Since consumers are also voters, it stands to reason that any political brand -- including Hillary Clinton -- should look even more seriously today at how to increase its value by focusing on perceptions of its authenticity.

@highlight

Martha Pease: Hillary Clinton struggled last week to put the email story behind her

@highlight

Pease: Consumers are increasingly valuing brands perceived as authentic. Does the Clinton brand qualify?