(CNN) -- New York could be the first state in the country to impose a limited ban on a controversial method of drilling for natural gas.

This week, the state assembly passed a hydraulic fracturing moratorium bill, which is currently en route to New York Gov. David Paterson's desk.  He will have 10 days from then to take action.

In the past, Paterson has expressed concern about hydraulic fracturing, which involves cracking thousands of feet beneath the earth's surface to get at valuable natural gas. It is unclear if the governor will sign or veto the legislation.

"He'll hear what everybody has to say," a representative of the governor's office told CNN. She would not provide her name.

Interactive: See how fracking works

The assembly voted 93 to 43 Monday night to place a temporary moratorium on hydraulic fracturing, so the state can investigate the safety and environmental concerns. The state Senate passed a similar bill in August.

The moratorium  -- which would only be in effect until May -- seeks to halt new drilling permits for horizontal hydraulic fracturing, dubbed "fracking," a controversial method of extracting natural gas.

The drilling process has come under scrutiny because of the potential effects on drinking water, public health and the environment.

Can shale gas be produced safely?

If signed into law, New York would be the first state to impose a fracking moratorium, according to the U.S. Environmental Protection Agency.

The proposed moratorium in New York was described as "misguided" by Kathryn Klaber, who represents a large natural gas industry coalition in the northeast United States.

"Tightly-regulated, environmentally sound natural gas development in New York can and will deliver a much-needed and long-lasting economic shot in the arm to not only communities along the Southern Tier, but for the entire state, just as it is in Pennsylvania, West Virginia and elsewhere," said a written statement from Klaber, president of the Marcellus Shale Coalition.

Using hydraulic fracturing, drillers pump large amounts of water mixed with sand and chemicals into the shale formation thousands of feet underground under high pressure. Fracturing the shale around the gas well then allows the natural gas to flow freely.

The process has raised concerns about whether those chemicals are contaminating the underground water.  Some residents near hydraulic fracturing drill sites along the Delaware River Basin -- located in Delaware, New Jersey, New York, and Pennsylvania -- have been able to set their water on fire.

Watch residents set water on fire

Several residents in rural Pennsylvania have filed a lawsuit against Cabot Oil & Gas, blaming the company for the contamination.

The company has said the hydraulic fracturing process is "proven and safe," citing a 2004 hydraulic fracturing study by the EPA that concluded the injection of hydraulic fracturing fluids "poses minimal threat" to underground sources of drinking water.

The EPA is currently reviewing its position and plans to issue its report in 2012.

Can the EPA regulate fracking?

New York City gets roughly half of its water from the Delaware River Basin, which was recently named the country's most endangered river because of the threat of natural gas.

Last month, New York City Mayor Michael Bloomberg called for a cautious approach to the drilling.

"The stakes are high," Bloomberg wrote in a November 17 letter to the Delaware River Basin Commission's Executive Director Carol Collier.

"The City has invested more than $1.5 billion in watershed protection programs that have resulted in improved water quality throughout our watershed, as well as to our releases downstream, which benefit all members of the Commission, and the 15 million people who rely on the Delaware River watershed for clean drinking water," Bloomberg wrote.

Over the past few years, technological advances and increased profit margins have spurred increased use of hydraulic fracturing, according to the EPA. The U.S. Department of Energy estimates shale gas will make up more than 20 percent of the nation's total natural gas supply by 2020.

Currently, most natural gas is burned to produce electricity or heat and cool buildings. When burned, it emits about half the carbon dioxide as coal.

For that reason, most of the country's big environmental groups are cautiously supportive of increased shale gas development.

But, with the expansion of fracturing, there are increased concerns about its potential effects on the underground water table, public health and the environment.

Read Fortune Magazine's special series on fracking

The concerns have prompted an EPA study of the potential problems with fracturing and public hearings to help decide how to conduct the study are almost finished.

The EPA -- which held public meetings this year in Binghamton, New York; Canonsburg, Pennsylvania; Fort Worth, Texas; and Denver, Colorado -- plans to begin its actual study in January 2011 and release initial study results by late 2012.

@highlight

New York's state assembly passed a limited ban on hydraulic fracturing

@highlight

Also known as "fracking," it's a controversial method of drilling for natural gas

@highlight

The EPA is studying whether fracking contaminates ground water