(CNN) -- U.N. Secretary-General Ban Ki-moon has said in a letter to the U.N. Security Council that the international mission to destroy Syria's chemical weapons is unprecedented and that the team faces many grave dangers.

The joint mission, made up of personnel from the Organisation for the Prohibition of Chemical Weapons and the United Nations, is tasked with overseeing the elimination of all Syria's chemical weapons by the middle of next year.

Syrians began destroying their country's chemical weapons program Sunday under the oversight of an advance team of inspectors from OPCW, the world's chemical weapons watchdog, and U.N. security personnel, Ban said.

Syrian personnel used "cutting torches and angle grinders to destroy or disable a range of items," the OPCW said. "This included missile warheads, aerial bombs and mixing and filling equipment."

A second team of experts will be sent to Syria to "augment the advance team" of experts in the country, the OPCW said Tuesday. It did not give a date for their deployment.

In his letter, sent late Monday, Ban set out the three phases of the mission: establishing an initial presence and verifying the Syrian government's declaration of its stockpiles; overseeing the destruction of chemical weapons; and verification of the destruction of any and all chemical weapons-related programs or materials.

Opinion: Syria's other crisis

The teams going into Syria, which include security and medical personnel as well as the weapons inspectors, will have a support base in Cyprus where they can train for and plan their operations, the letter said.

At the moment, an advance team of about 35 personnel is on the ground in Syria, but their numbers will eventually expand to about 100, Ban said.

They face a "dangerous and volatile" environment, particularly in urban areas such as Damascus, Homs and Aleppo, the secretary-general warned.

"Heavy artillery, air strikes, mortar barrages and the indiscriminate shelling of civilians areas are commonplace and battle lines shift quickly," he said.

Given that environment, the mission "will establish a 'light footprint' in Syria, only deploying to Syria those personnel whose presence is necessary in the country to perform their tasks," Ban said.

A civilian "special coordinator" will head the mission and report back to Ban and the director-general of the OPCW, Ahmet Uzumcu.

Uzumcu told a session of the OPCW's executive council Tuesday that the developments so far "present a constructive beginning for what will nonetheless be a long and difficult process."

Tight deadlines

The U.N. Security Council resolution that authorized the mission set a deadline of mid-2014 for Syria to destroy its chemical weapons or face consequences.

Under the resolution, the international weapons inspectors must by November 1 complete their initial inspections of all Syrian chemical weapons and storage facilities and complete the eradication of production and chemical mixing facilities.

Read more: Refugees inside their own war-torn country

The time frame for that work is "very short," Ban said, especially given the complexity of the operation and the ongoing conflict.

But, he said, the final phase of the mission "will be the most difficult and challenging." Over the period of eight months, the team is expected to "support, monitor and verify the destruction of a complex chemical weapons programme involving multiple sites spread over a country engulfed in violent conflict."

This includes about 1,000 metric tons of "chemical weapons, agents and precursors that are dangerous to handle, dangerous to transport and dangerous to destroy," he said.

The inspectors will sometimes have to cross front lines and move through areas controlled by armed groups hostile to the joint mission's objectives, Ban added.

The time frame for the phase would be ambitious in the most peaceful of circumstances, he said, but the current conditions make it "an operation the likes of which, quite simply, have never been tried before."

Syrian commitment is key, says Ban

Syria, which has said it will cooperate with the international mission, has made a declaration of its chemical weapons sites.

Ban said the success of the joint mission would "first and foremost" depend on a "sustained, genuine commitment" from the Syrian government to fulfill its obligations under the Chemical Weapons Convention and cooperate with the inspectors.

He also called for any states with influence over the various sides in the conflict to support the international mission and ensure the safety of its personnel. The only way to bring an end to the "appalling suffering" of the Syrian people and end the crisis is through a political, not military, process, Ban added.

U.S. Secretary of State John Kerry and Russian President Vladimir Putin discussed Syria in a 15-minute conversation Tuesday on the sidelines of the Asia Pacific Economic Cooperation in Indonesia.

The pair spoke about the U.N. resolution on destroying Syria's chemical weapons, according to a senior State Department official, as well as the need to move forward on scheduling peace talks in Geneva, Switzerland, involving all parties in the conflict.

Syrian foreign minister at U.N. General Assembly: 'There is no civil war'

There has been some skepticism over whether Syria will give up its entire chemical weapons arsenal.

A defected Syrian brigadier general, Zaher al-Sakat, told CNN's Christiane Amanpour last week that in addition to four secret locations within Syria, the regime is currently transferring chemical weapons to Iraq and Lebanon, an allegation that the commander of the opposition Free Syrian Army, Gen. Salim Idriss, also recently made to Amanpour. Iraq and Lebanon have denied the claims.

The U.N. resolution, which capped a month of dramatic diplomacy, was based on a deal struck between the United States and Russia that averted an American military strike over allegations the Syrian government used sarin nerve gas in an August 21 attack on a Damascus suburb.

U.S. officials said at least 1,400 people died in the attack. Syria denied responsibility, blaming rebel forces.

CNN's Joe Sterling and Larry Register contributed to this report.

@highlight

NEW: A second team of experts is to be sent to Syria, the chemical weapons watchdog says

@highlight

Ban Ki-moon: Chemical weapons inspectors face a "dangerous and volatile" environment

@highlight

U.N. chief says Syrian commitment to the mission's objectives is vital to its success

@highlight

Syrians began destroying their country's chemical weapons program Sunday