(CNN) -- Muffled gun shots and squealing tires. A secret midnight meeting in a dark alley. Alone in an exotic city with enemies lurking around every corner. Everyone recognizes the classic elements of a good cloak and dagger story.

From James Bond to George Smiley, the spy thriller is one of literature's most popular and enduring genres. Right now the hottest name in this field is Olen Steinhauer. He's been called John le CarrÃ©'s heir apparent, and the best espionage writer of his generation. For anyone who reads spy novels, that's high praise.

Steinhauer is an American who has lived abroad for a good part of his adult life. He burst on to the publishing scene in 2003 with "The Bridge of Sighs," the first in a critically acclaimed five book series chronicling the cold war in a fictional eastern-bloc country. He followed that up with a thoughtful and thrilling trilogy about a reluctant CIA agent, Milo Weaver, who's trying to survive and keep his family safe in a post 9/11 world.

The first in that series, "The Tourist" was a bestseller, the second; "The Nearest Exit" won the 2010 Dashiell Hammett prize for best literary crime novel. Now Steinhauer returns with "An American Spy." Debuting in book stores this week, it's his third novel to feature Weaver, formerly a member of the "Department of Tourism," the CIA's home for black ops and dirty tricks.

The story picks up after a Chinese spy master has nearly wiped out the department. Milo is now one of only a handful of "tourists" -- a code name for CIA assassins -- left in the agency. When Milo's boss disappears and his family is threatened, Milo is drawn into a conspiracy that may link the Chinese government to the highest levels of American intelligence.

CNN recently spoke to Steinhauer about his newest novel. The following is an edited transcript:

CNN: What is it about the spy novel that has captured your imagination as a writer?

Steinhauer: My first two books were more police procedurals, but I soon came to realize that I was more comfortable in the looser genre of spy fiction. One reason was simple practicality -- cops follow very specific procedures that as a writer you either adhere to or you don't. If you don't, you're being unrealistic, and if you do, there's a possibility you'll end up straight-jacketed by these rules. So I gravitated toward the more free-flowing world of espionage. Spies follow procedures, but they vary by agency and, by and large, we in the public don't know what they are, so the writer is given a lot more latitude.

More importantly, though, I find the grayness of espionage compelling. In crime fiction, the antagonist is usually the "bad guy" in the literal sense. In espionage, these labels are harder to affix, at least in my mind. If the antagonist is, say, a spy for China, he's just someone doing what he can to advance his own country's cause. The protagonist in a spy novel is doing the same thing. They are -- or can be -- equals, even when they commit morally heinous acts, and I love that moral quandary. It also explains why, thus far, I haven't been writing terrorist antagonists -- they're much harder to empathize with.

CNN: Do you think readers love spy novels for the same reasons? What do you think is behind the genre's enduring popularity?

Steinhauer: Reader responses to spy novels seem to be as varied as the kinds of spy novels out there.

Some love high levels of realism, even if it means a spy spends most of his time at a desk, whereas others love spy stories for the action, no matter how unlikely it is. Some are attracted by the illusion that they're being given the keys to a secret world, one they would never be allowed into otherwise. Some like being reassured by patriotic rhetoric, while others are reassured by the cynicism that many spy novels wallow in.

As for its enduring popularity, I suppose that deception -- whether it's found in crime novels or spy novels -- is just too thrilling for readers to go long without.

CNN: You lived in Europe for a number of years, how did this influence your story telling?

Steinhauer: The European influence began with a few weeks' student exchange in high school, to Cologne, Germany. I was 14 at the time, and the exoticism of small details was immediately interesting to me -- I of course romanticized it all. In college, I did a semester abroad in Zagreb, Yugoslavia. A momentous year -- it was 1989, the Berlin Wall came down, and it was then that I decided to become a writer. So my fascination with that part of the world began early.

Just before writing "The Bridge of Sighs" 11 years later, I spent a year on a Fulbright fellowship to Romania, and all the research I did there shaped "The Bridge of Sighs" and helped direct the course of the next four books, which charted the Cold War history of Eastern Europe. By the time I was writing my second book, "The Confession," I was living in Italy and then in Hungary, where I've spent the last decade. While all this European living has influenced the subject matter of my novels, I think more importantly it's given me a window onto the world that's different than the one I would've had if I'd spent the last 10 years in the States. I was in Italy when 9/11 occurred, and I've experienced the entire post-9/11 era through more distant eyes.

CNN: Did the 9/11 attacks change your approach to writing a spy novel?

Steinhauer: Well, I'd only finished one book by 9/11, and I think at first my literary reaction was withdrawal. Terrorism, and radical Islam, seemed so complex and unknowable that instead of properly educating myself, I stuck with knowable history.

It took a while before I recognized what I was doing, so by the time I finished my Cold War sequence, I was chomping at the bit to give the contemporary world a try. Thus, "The Tourist," which tried to deal squarely with contemporary international relations. Which is another way of saying that, after 9/11, I took my time getting around to the subject. That said, you'll notice that the Milo Weaver books deal less with terrorism than with the way terrorism has influenced other aspects of espionage and international relations.

CNN: What kind of research did you do for "An American Spy"? Did you meet with any real agents?

Steinhauer: I wish I could say I did! But, no. My research is almost entirely scattershot -- I pick up information through online research, through books -- both nonfiction and fiction -- as well as movies. I'm less interested in the technique of espionage as I am in the psychology of that world, and there are so many ways one can glean this kind of information.

There's a lot to be said for the power of imagination -- when the writing's going well, the results can be shockingly correct. For example, when my French editor read the manuscript of "The Tourist," he sent me a complimentary e-mail, saying that as a "lifelong Parisian" he was impressed that I'd gotten Paris perfectly. What I hesitated to tell him was that, by the time I wrote that book, I'd never stepped foot in Paris!

CNN: The "spy craft" in your book feels very authentic, is it rooted in reality or strictly from your imagination?

Steinhauer: It's a bit of both. Through reading I'll come across actual craft that I pick up, though you'd be surprised how much realism you can acquire by simply getting into a character's head and turning on the paranoia. If I wanted to get from Miami to Chicago without anyone knowing, how would I go about this? With a basic knowledge of how cell phones can be tracked, how surveillance cameras pepper highways and public spaces, one can gradually form a plan that looks a lot like real spy craft. And if it works, then there's no reason to think it isn't spy craft.

CNN: I hesitate to call him "the bad guy" but tell me more about how you came up with Chinese spymaster, Xin Zhu.

Steinhauer: I've written very few "bad guys" in my time, and each time I've regretted it. Xin Zhu, like any good antagonist, simply has different aims than our protagonist. Since I don't outline my stories or characters ahead of time, I don't "come up" with characters before settling down to write a story -- instead, the characters are shaped by the story that's coming together.

There's a lot of give and take between plot and character, so that it's hard to tell where any particular thing comes from. Which is another way of saying that Xin Zhu is not based on anyone I know of, and that there's more mystery in writing than books on writing would have you believe!

CNN: What's next for you, will there be another Milo Weaver novel?

Steinhauer: I'm taking a break from Milo's world and delving into North Africa -- a book about spies that touches on the Libyan revolution. As I said, it's giving me a serious headache, but in my experience novels that get written easily are usually less compelling than the difficult ones, so I live in hope.

Read an excerpt from "An American Spy"

@highlight

Olen Steinhauer has been called the best espionage writer of his generation

@highlight

"An American Spy," his latest novel, is the third in a popular series

@highlight

The main character, CIA agent Milo Weaver, is trying to keep his family safe in a post 9/11 world