(CNN) -- Imagine for a moment that instead of just the U.S. Department of Agriculture, 16 federal agencies were responsible for administering the federal food stamp program. Also imagine that each of these agencies had unchecked taxpayer resources and no public oversight. Neither the taxpayer nor anyone in Congress would stand for it. But that is exactly what is happening with America's intelligence programs.

In August of last year, Edward Snowden leaked documents that gave taxpayers and most legislators a first-ever glimpse at the amount of money spent on intelligence activities by 16 federal agencies. What did the documents reveal? Among other things, we learned that, over the past 10 years, the budget for the Central Intelligence Agency ballooned by 56% and the National Security Agency budget jumped by 54%.

And what do we know about where that taxpayer money went? Virtually nothing, because intelligence spending is considered top secret and legislative oversight is done behind closed doors. The reality is that most lawmakers -- and, therefore, the taxpayers we represent -- don't gain access to intelligence spending information. Those who do are sworn to secrecy.

With the exception of the budget snapshot revealed by Edward Snowden, this top-line agency information remains buried in the so-called "black budget" that makes up the National Intelligence Program. And unless Congress acts, it will remain buried and unavailable to public scrutiny.

The biggest threat to successfully implementing any federal program is the combination of unchecked funding and limited oversight, which is precisely the situation with America's intelligence programs. Revelations about the NSA's intelligence-gathering programs have Americans on edge and justifiably demanding transparency and oversight. But this oversight is not possible without knowing how much money each of these agencies is spending.

Intelligence-gathering plays a vital role in the safety and freedom of all Americans. The importance of intelligence activities should not, however, exclude them from budget accountability. To the contrary, the critical nature of these programs is exactly why intelligence agencies should meet basic budget accountability requirements.

We are joined by 60 of our colleagues -- from liberal to conservative -- in sponsoring legislation that will take a simple first step toward long-overdue oversight of intelligence programs. Our bill, the Intelligence Budget Transparency Act, will require the President to disclose in his annual budget the top-line intelligence budgets of 16 intelligence agencies.

To be clear, we do not propose exposing intelligence program details, or sources and methods. Doing so could compromise operations and the safety of intelligence personnel. We are simply insisting that the total amount spent on intelligence at each agency be made public.

The National Commission on Terrorist Attacks Upon the United States, informally known as the 9/11 Commission, recommended the disclosure of this basic information. Lee Hamilton, the commission's widely respected vice chairman and former chairman of the House Intelligence Committee, has endorsed our legislation.

"America needs competent and effective intelligence-gathering agencies," Hamilton said. "And Congress must exercise prudent and diligent oversight to assure the American taxpayer is getting what it's paying for. The first step toward accountability and oversight is public disclosure of the top-line budget numbers of all our intelligence-gathering agencies."

Simply put, the taxpayer has a right to know the price tag for intelligence spending by agency. Disclosing this basic information will help Congress and the public compare spending trends over time and measure intelligence needs against other budget priorities.

The debate over secrecy in the name of national security is more relevant now than ever before. Shining a light on the intelligence budget is an important and practical step in ensuring an accountable and effective intelligence program and restoring the confidence of the American people in their government's intelligence activities.

@highlight

Writers: 16 federal agencies responsible for U.S. intelligence, with unchecked budgets

@highlight

They say intelligence spending is top secret; oversight is done behind closed doors

@highlight

Writers: "Black budget" will be buried, unavailable to public scrutiny unless Congress acts

@highlight

Intelligence Budget Transparency Act will require budget to be disclosed, they say