President Barack Obama told U.S. governors attending a luncheon Monday that they are cutting too much funding for education and need to make reforms while continuing to invest in the future of America's students.

While acknowledging the tough economic climate for state governments, Obama cited the need to prioritize the long-range significance of a strong education system.

"We've all faced some stark choices over the past several years, but that is no excuse to lose sight of what matters most, and the fact is that too many states are making cuts to education that I believe are simply too big," Obama told a White House gathering with the National Governors Association that included some of his harshest Republican critics.

"Nothing more clearly signals what you value as a state than the decisions you make about where to invest," Obama said. "Budgets are about choices, so today I'm calling on all of you: Invest more in education, invest more in our children and in our future."

The luncheon is an annual affair that highlights the constant tension over funding issues between the federal government and states. One table included Republican governors and constant Obama foes Chris Christie of New Jersey, Jan Brewer of Arizona, Bobby Jindal of Louisiana and Nikki Haley of South Carolina.

Obama noted the economic outlook is improving from the early days of his administration, saying, "our recovery is gaining speed."

However, he warned that a failure to maintain significant government investment in education now would cause economic harm in the future by leaving U.S. workers unable to compete in a global marketplace.

"I realize everybody is dealing with limited resources. Trust me, I know something about dealing with tight budgets," Obama said before citing statistics on decreasing numbers of teachers and higher university costs.

"No issue will have a bigger impact on the future performance of our economy than education," Obama said, adding that the unemployment rate for Americans with a college degree is roughly half the national average.

"Their incomes are about twice as high as those who only have a high school diploma," he added. "So this is what we should be focused on as a nation.  It is what we should be talking about and debating.  The countries who out-educate us today will out-compete us tomorrow.  That's a simple fact."

Republican presidential candidate Rick Santorum called Obama a "snob" last week because the president advocates that American students to go to college.

Santorum framed the issue as Obama seeking to indoctrinate young Americans in what Santorum called the liberal leanings of a majority of U.S. colleges and universities over a four-year college career.

Obama, however, made clear Monday that he was talking about all kinds of higher education, including community colleges and specialized training programs to help young people prepare to enter the modern work force.

"When I speak about higher education, we're not just talking about a four-year degree," Obama said.

The first step is creating a national expectation that all students graduate high school, "at a minimum," the president said. At the same time, federal and state governments need to do what they can to make college affordable, he added.

"Americans now owe more in student loan debt than they do in credit card debt," Obama said, adding that "state budget cuts have been a major factor in rising tuition costs at state universities."

Insisting that "all of us have to do more," Obama said, "We can't allow higher education to be a luxury in this country.

"It's an economic imperative that every family in America has to be able to afford and, and frankly I don't think any of this should be a partisan issue," he continued to applause. "All of us should be about giving every American who wants to succeed that chance."

After the meeting, Brewer and fellow Republican Gov. Bob McDonnell of Virginia said they agreed with Obama's thinking.

"I think that we all realize that everybody's not going to be headed to college, that we have to have ... community colleges and good job training," said Brewer, who has repeatedly clashed with Obama on immigration policy. "We need people that fit in with those kinds of skills that they have. So all of that's really, really important."

McDonnell questioned Santorum's wording when the presidential contender accused Obama of snobbery for advocating higher education.

"I wish he'd said it differently," McDonnell said, adding: "I think what we say is, we want someone to be career ready or college ready. If we haven't done one of those two things for the young people, we've failed you. You don't have access to the American dream."

The bottom line, McDonnell said, is that "when you look what's going on in other countries -- China, India, the premium they put on higher education -- we've got to do better if we still want to be the global leader we are."

@highlight

Some Republican governors agree with Obama's thinking on subject

@highlight

President Obama calls on the nation's governors to spend more on education

@highlight

The president addresses a luncheon with the National Governors Association

@highlight

He reiterates his push for students to graduate high school and get higher education