(CNN) -- The summer vacation season is already in full swing across the United States, and for many families that means loading up the car and heading to the beach. But as temperatures rise, so do the instances of air, road and railway congestion.

With America on the move, the resulting traffic jams show the poor state of our infrastructure. Lane closures, potholes, flight and rail delays all have one thing in common: a lack of adequate investment in our transportation systems.

The beleaguered Highway Trust Fund, which provides money for American roads, bridges and highways, is expected to go broke soon. The White House has just said it would support legislation for a short-term fix to keep the fund going through the height of the summer construction season.

The federal dollars from the highway fund help supplement states' transportation projects across the nation to help keep travel routes safe, efficient and well maintained. This fund is vital in ensuring that U.S. roads and rails do not go from inconvenient to impassable.

The fund relies primarily on revenue from the 18.4-cent-per-gallon gas tax and 24.4-cent-per-gallon diesel fuel tax. But because of a variety of factors -- from cars becoming more fuel-efficient, to states purchasing less gasoline from year to year, to the state of the gas tax (which has not been raised in 20 years) -- the trust fund is running on empty.

5 ways the highway crisis could affect you

If you think our roads, bridges and rails are in deplorable condition now, just think what would happen if the trickle of federal funding ever were to run dry. If Congress does not replenish the Highway Trust Fund quickly, ongoing projects will grind to a halt and new projects will be pushed back indefinitely.

States depend on the money from the trust fund at levels ranging from 15% to 60% of their transportation projects. An empty Highway Trust Fund would affect the entire country, but certain states and projects could be hit especially hard.

California, for example, has long depended upon federal dollars for miles of roads and bridges as well as many transit projects. Without the trust fund's capital, more than $2 billion worth of construction projects would be at risk. These projects range from road repairs to comprehensive transit rehabilitation projects and are of vital importance to the safety of California's transportation network.

On the other side of the country, Rhode Island could be in dire straits, too. Our smallest state depends on around $200 million a year to keep its transportation hub a viable connector in the Northeast and Middle Atlantic states. Without this continued federal investment, delays in Providence could worsen, clogging the entire I-95 corridor.

This is not just a coastal problem, either. In Missouri, a whopping 47% of highway and transit projects depend upon support from the Highway Trust Fund. The Missouri Department of Transportation has already been preparing to shut down many ongoing projects, with a spokesman saying: "We're going to be in virtually a maintenance-only mode, and even that is short of what we need to maintain our system."

State and city governments rely on the investment from the Highway Trust Fund in order to make important projects a reality. However, without action from lawmakers in Washington, many projects could be delayed indefinitely and construction workers will be sidelined. This is not only bad for travelers -- it's bad for the economy. In fact, more than 700,000 construction jobs are at risk if the Highway Trust Fund goes broke.

As the United States begins to see economic improvements following the Great Recession, a job market shock of this magnitude would be a huge step backward. Yet Congress seems poised to allow this to happen, a move that would directly affect millions of Americans -- especially those already frustrated with the delays they experience during this increasingly high-volume travel season.

Americans must make Congress listen. One way is the "I'm Stuck" app, created by Building America's Future as a simple, fast and secure way for people to share travel frustrations with their representative or senator. If you find yourself stuck on a highway, the tarmac or a train station, this app allows you to take a quick photo and send a message to your lawmaker. It's a modern-day letter-writing campaign -- one that will be hard for Congress to ignore.

American infrastructure is already in dire need of funding, and we cannot let Congress make the problem worse by letting the Highway Trust Fund run dry. The trust fund must be replenished as soon as possible -- but a long-term, comprehensive plan for infrastructure investment must become part of our country's legislative agenda.

Congress needs to either raise the gas tax and index it to inflation or pass comprehensive tax reform that could include provisions to pay for long-term infrastructure investment. Lawmakers need to find a way -- where appropriate -- to bring in the private sector to assist and take advantage of the groundbreaking work being done at our great universities to use technology to improve our vital systems.

While we are stymied on repairing our infrastructure, other countries are moving ahead with modern ports, highways and broadband. In order for the United States to stay competitive on an international level in the 21st century, we must invest in 21st-century infrastructure.

The next time you are frustrated with a travel delay or stopped in traffic, pull out your cell phone and tell Congress to do its job. It just might be the wake-up call our government needs.

@highlight

Marcia Hale: Summer travelers will find lane closures, potholes, flight and rail delays

@highlight

Hale: Crumbling infrastructure because of inadequate funding is the reason

@highlight

Hale: Highway Fund is dwindling, resulting in job losses, terrible bridges, roads

@highlight

She says Congress needs to find a long-term solution to keep fund healthy