(CNN) -- From the "Three Represents" to the "Harmonious Society," Beijing has long been fond of clunky political slogans.

But the "Chinese Dream," widely considered as the governing catchphrase of Chinese President Xi Jinping, has a decidedly more captivating ring.

Xi started using the expression even before he took office. "The great revival of the Chinese nation is the greatest Chinese Dream," he said in November last year.

And in March, in his keynote speech to the National People's Congress soon after his formal appointment as president, Xi said: "We must make persistent efforts, press ahead with indomitable will, continue to push forward the great cause of socialism with Chinese characteristics, and strive to achieve the Chinese Dream of great rejuvenation of the Chinese nation."

But what does that really mean?

"I think what this means is that China wants to create a more egalitarian society," says Jing Ulrich, JPMorgan's managing director and chairman of global markets, China. "We have a lot of people in the last 20 years who have gotten extraordinarily wealthy. But lots of people have been left behind. So I think this means that we need to improve the income of the lower segments of society, not just creating an elite."

Along an old hutong alleyway in Beijing, we also approached a few Chinese citizens for their interpretation.

Li Lei, a 27-year-old makeup artist says: "For me, the Chinese Dream is to buy a house in Beijing and to settle down here."

Sarah Shi, a 25-year-old hostel receptionist, adds: "My dream is to have enough money to reunite with my family, and not having to travel so far away for jobs."

Meanwhile, 47-year-old shopkeeper Li Jianjie tells us his biggest dream is just having access to medical care.

Ending poverty

For Xi, the Chinese Dream is to keep the economy growing. In the last three decades, China has lifted some 600 million people out of poverty. To continue to power ahead, China must reinvent itself from an export machine to a consumer economy.

That won't be easy.

"We cannot rely on investments, building a lot of infrastructure, factories, real estate... We have to really shift to a service-driven economy," says Ulrich.

She adds: "Aspirational consumers are everywhere in China, but they need to feel more secure by the future so that they can save less and spend more."

Corruption challenge

Apart from building a strong social safety net, there are many more challenges for Beijing like cleaning up China's air and combating rampant corruption.

"People today are looking for things that are more than just about their pocketbook," says Evan Osnos, China correspondent for The New Yorker.

"They have a richer conception of what 'the good life' means. They say, for instance, 'I want to live in a city where the air is cleaner.' People also say, 'if I go to court, I want to be confident that I can get a reasonable judgment where the judge hasn't been bribed or perhaps hasn't been politically influenced.'

"So that's where it starts to get into a political issue," says Osnos. "In order to satisfy people's economic demands, there's going to have to be political reform of some kind. And that's where it gets hard for the party."

Beijing is up against a wall, and has been forced to recognize that its people want more.

Real reform?

Senior diplomat Wu Jianmin, who has served as China's ambassador to the United Nations among other posts, says: "If you look at President Xi Jinping's speech, if you look at the Party Congress Report, you can see they talk loud about political reform."

"Xi Jinping was very clear on that. We need rule of law and democracy."

But as China pursues its vision for its place in the world, some worry it is becoming expansionist and aggressive -- especially regarding territorial claims at sea.

But Xi says his government's intentions are purely peaceful. At a recent speech in Moscow, he said the Chinese Dream "will not only benefit the Chinese people but will benefit the people of the whole world."

Xi has the next decade to show us what his dreams are really made of.

CNN's Yuli Yang contributed to this report

@highlight

Chinese President Xi Jinping says the country must pursue the Chinese Dream

@highlight

Question remains, what is the Chinese Dream and is it attainable?

@highlight

Beijingers tell us they dream of buying a house, to work closer to home and have medical care

@highlight

Xi's dream is about keeping the economy growing to bring more wealth to citizens