(CNN) -- Meriem Ben Salah's 2-month-old will never know his mother's Tunisia.

He won't play in a neighborhood where government minders are lurking and watching.

He won't have to praise and thank the president before giving a book report.

He won't fear talking about politics, afraid that he'll say something the regime doesn't like.

"My son represents the new Tunisia," Ben Salah, a Tunisian native, recently told CNN. "I will tell him what I had to do and what I grew up with and he'll understand that now there is no fear. Fear left with Ben Ali. May he and that fear never come back."

A year ago, the 28-year-old posted an iReport about what it was like to grow up in Tunisia under former President Zine El Abidine Ben Ali. As she wrote, Tunisia was in the throws of a historic revolution, a movement that would spread throughout the Middle East and North Africa.

The movement, known as the Arab Spring, was born in Tunisia with a street vendor's self-immolation last year on December 17.

Mohamed Bouazizi was reportedly pushed to such extraordinary ends after a municipal official and her aides were alleged to have harassed and humiliated him, and confiscated his goods. Tunisians viewed Bouazizi's act to be the ultimate protest against corruption in Ben Ali's government that they blamed for high unemployment and a lack of speech and political freedom.

Throngs of Tunisians took to the streets demanding the ouster of Ben Ali who became president in 1987. Following the 28-day Tunisian revolt that toppled Ben Ali, revolt spread in other countries: Egypt and the ouster of President Hosni Mubarak. The civil war in Libya and death of Moammar Gadhafi. Continued protests in countries such as Yemen and Bahrain. And a series of bloody demonstrations in Syria.

WHO'S GONE AND WHO'S HOLDING ONTO POWER?

"To know that the Arab Spring started in Tunisia is just something that warms my heart. It fills me with a love of my country that I thought I would not feel because it was so hard there for many years," Salah says. "I am so glad that tyrant is gone."

Ben Ali resigned and fled to Saudi Arabia in middle January 2011. A Tunisian military court in late November sentenced him in absentia to five years in prison for his role in a 1991 case in which 17 servicemen were accused of plotting a coup against his regime, the state-run Tunisian News Agency reported.

Salah will travel to Tunisia with her baby in late December to celebrate. Salah has been pursuing a doctorate in mechanical engineering in California, and wasn't in Tunisia for the protests. But she communicated frequently on the phone and over Skype with her parents during the demonstrations. Her family lives in the same town where she was raised, in Le Kram, a 15-minute drive from the presidential palace near Tunis, the capital.

She recalled to CNN this week the thrilling phone and Skype conversations she had with her family when the protests were happening.

"The first conversation with my family -- we talked for so long because we were so excited," she recalls. "We were just shouting, a lot of relatives jumping in to say something. It was odd because there were curfews in Le Kram and Tunis, and my parents were telling me that the neighbors were protecting their houses because the police weren't working. But no one was stealing or hurting each other."

Salah's father would occasionally interrupt during the calls, afraid that their conversations were being monitored by the government.

"He would say, 'Let's not talk. Maybe this is dangerous. We shouldn't,'" she remembers. "And yes, it was scary a little but we were all too excited. It was joy, relief, no fear at all."

Salah said her friends and family say that when Ben Ali was ousted, change occurred almost immediately. They were small and slow changes in the way people lived, but they were deeply meaningful.

"My family would say that they heard people talking in the streets and before you just didn't talk to anyone because you didn't want to be overheard saying something against Ben Ali," she says. "Now you can go to a coffee shop and hear people for the first time talking politics. They just talk and talk politics even if they don't understand it because they are so excited to have this freedom."

Salah's own family enjoyed these new political freedoms. During the October election in Tunisia, she supported one party while her parents supported another and they often talked openly about their different opinions.

In December, Tunisia's new president, Moncef Marzouki, was sworn in. The veteran human rights activist, who had been imprisoned during Ben Ali's regime, was elected by an Islamist-dominated parliament, the Constituent Assembly.

"For people in the West, they may not understand what a big deal that is," Salah says. "Tunisians understand it and that's what really matters. It will take time to live in freedom and to have democracy. I can't wait for my son to understand that one day."

@highlight

On December 17, 2010, a street vendor set himself on fire to protest government

@highlight

Mohamed Bouazizi's act sparked a revolution in Tunisia

@highlight

Those demonstrations toppled Tunisia's leader, and prompted Arab Spring