(CNN) -- Last August, the U.S. Food and Drug Administration issued an ultimatum: Food manufacturers had one year to make sure any "gluten-free" products met FDA requirements.

That deadline is up. To use the "gluten-free" label, products must now have an undetectable level of gluten and cannot have any ingredient containing wheat, rye, barley, or any their derivatives.

If manufacturers continue to use the "gluten-free" label without bringing their food up to scratch, they will be subject to regulatory action from the FDA. (Some foods, such as pasta, may still be on shelves legally for a while if they were produced before the ruling.)

A gluten-free diet is the only medically accepted treatment for those who suffer from celiac disease, although gluten-free is increasingly become a popular diet choice for those who don't have the condition.

There are approximately 3 million people in the United States who have celiac disease, and even a small amount of gluten can cause damage in their bodies. Some doctors also believe people can be sensitive to gluten or have a gluten intolerance, which is not as severe.

Is gluten-free food a joke?

Gluten is a protein complex found in grains such as wheat, barley and rye. It is typically what gives foods made with these products their chewiness and elasticity. It is pervasive through so many food products, it can be a challenge to steer clear.

The new labeling protocols should eliminate uncertainty for consumers, the FDA says.

"Without a standardized definition of 'gluten-free,' these consumers could never really be sure if their body would tolerate a food with that label," Andrea Levario, executive director of the American Celiac Disease Alliance, said in a statement.

Federal regulations stipulate that the "gluten-free" label means that the product contains fewer than 20 parts per million of gluten. This measure is the lowest amount scientists can consistently detect in a food.

A product labeled "gluten-free" also can't contain any of the following:

â€¢ An ingredient that is any type of wheat, rye, barley or a crossbreed of these grains.

â€¢ An ingredient derived from these grains that has not been processed to remove gluten.

â€¢ An ingredient derived from these grains that has been processed to remove gluten if it results in the food still containing 20 or more parts per million of gluten.

The ruling applies to packaged foods only. FDA suggests that consumers remain inquisitive and ask questions about their food in restaurants and other establishments.

"FDA will work with partners in state and local governments with respect to gluten-free labeling in restaurants," the government agency said.

Gluten: 5 things you need to know

Gluten-free and well-fed: Baking outside the box

More about a gluten-free life from Eatocracy

@highlight

"Gluten-free" products must now have undetectable levels of gluten to use that label

@highlight

Products also cannot contain wheat, rye, barley or any crossbreed of these grains

@highlight

If manufacturers use the label anyway, they could be subject to FDA regulatory action