Hamid Dabashi is the author of "Iran: A People Interrupted." He is Hagop Kevorkian Professor of Iranian Studies and Comparative Literature at Columbia University in New York. His Web site is http://www.hamiddabashi.com/.

Hamid Dabashi says imposing more sanctions on Iran, with its volatile politics, would be a mistake.

(CNN) -- In a recent congressional hearing, House Foreign Affairs Committee Chairman Howard Berman called the Iran Refined Petroleum Sanctions Act "a sword of Damocles over the Iranians" that will soon come down if President Obama's diplomatic overture did not show signs of success by the fall.

That sword is no mere metaphor and might kill more than the president's diplomatic overture.

The hearing came as demonstrators around the globe joined Iranians protesting the brutal crackdown of the uprising against the beleaguered regime. Meanwhile, a kangaroo court began the trial of the leading reformists as the contested second-term presidency of Mahmoud Ahmadinejad was about to be summarily inaugurated.

Of the six invited panelists at this hearing, three -- Patrick Clawson of the Washington Institute for Near East Policy, Orde Kittrie of the Foundation for Defense of Democracies and Michael Rubin of the American Enterprise Institute -- maintained that the United States should impose more severe economic sanctions on Iran.

Suzanne Maloney of the Brookings Institution and Karim Sadjadpour of the Carnegie Endowment for International Peace were counseling that Congress wait until "the dust has settled" over the current crisis before imposing such sanctions.

Abbas Milani of the Hoover Institution, however, upped the ante and said that the United States and other nations should impose multilateral "crippling sanctions" and not merely "half-baked" measures.

Although the paramount item on the agenda of the hearing was the Islamic Republic's nuclear program, the key question of the current post-electoral crisis was obviously on everyone's mind.

Sadjadpour informed the committee that "many members of the opposition and the population actually are starting to come around. Their views towards sanctions have changed. They're not in a position to publicly articulate that right now. ... They're starting to see value in it," a view that Milani seconded. The Iran Refined Petroleum Sanctions Act would allow the president to take new measures against Iran by imposing sanctions on the export of gasoline to the country.

The spirit of the meeting could not have been lost on any of the participants when Rep. Christopher H. Smith, R-New Jersey, invoked the example of Nazi Germany in criticizing Iran's use of technology to block human rights, thus advocating new and harsher sanctions, or when he added that if sanctions did not work, Iranians "need to know what's coming next."

As to what exactly was to come next, Rep. Dana Rohrabacher, R-California, told the panel, "we can do more than just sanctions," meaning advocating covert support for Iranian opposition forces "so that they will have the material well-being ... to take on that government themselves."

From there, Rep. John Boozman, R-Arkansas, proceeded to argue that he would support Israeli bombing of Iran. Kittrie proposed that in that event, it would be better for the United States to carry out any military action because "we have the right capacity," although he described that as not a "good option."

From imposing "crippling sanctions" to initiating "covert operations," all the way down to military attack by Israel and/or the United States amounts to a familiar scenario that has a very simple and coded antecedent in modern Iranian political culture: the CIA-engineered coup d'état of 1953, for which President Obama apologized during his speech at Cairo University in June 2009.

Contrary to the vision and wisdom of the president, the political machinations of the U.S. Congress and the flawed advice offered by this group of panelists amount to a belligerent threat against the regime. That will exacerbate its self-righteous warring posture and have chilling consequences for the grass-roots civil rights movement inside Iran.

To avoid that dangerous route, we need to make a distinction between the nuclear ambitions of the Islamic Republic and the growing civil rights movement in Iran.

So far as the nuclear issue is concerned, the only viable and legitimate way to make sure the Islamic Republic does not develop a nuclear weapons program remains a multilateral approach through the International Atomic Energy Agency and geared toward a regional disarmament.

This approach must begin by fully recognizing the fact that pursuing a peaceful nuclear program is widely supported by the Iranian people, even by those who regard the election as invalid.

Any unilateral approach by the United States that categorically disregards this fact and overlooks the crucial question of regional nuclear disarmament is frightfully reminiscent of the lead-up to the Iraq war and is bound to fail.

So far as the emerging civil rights movement is concerned, there is absolutely not a shred of evidence that any major or even minor opposition leader -- from Mir Hossein Moussavi to Mehdi Karrubi to Mohammad Khatami, or any of their related political organs or legitimate representatives -- has ever uttered a word that could possibly be interpreted as calling for or endorsing any sort of economic sanction against Iran, let alone "crippling sanctions."

As in the Iraqi case, imposition of economic sanctions on Iran will have catastrophic humanitarian consequences, while it will even more enrich and empower such critical components of the security and military apparatus as the Pasdaran and the Basij. The two organizations work like a massive corporate conglomerate and have major control over the export-import components of both the official and the unofficial economy.

It will also give them a welcome opportunity to accuse the opposition of cooperation with "the Enemy" and initiate even a harsher crackdown of the opposition, and perhaps even move toward a full-fledged military coup.

The fact of the matter is that the nascent civil rights movement in Iran, which can use the moral support of ordinary Americans, is an amorphous uprising still very much in its earliest, formative, stages.

No one, particularly a panel that has a very thin and dubious claim on scholarship on Iran, can speak for it in any certain terms, especially in its having asked the United States to lead the imposition of new economic sanctions on Iranians.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Hamid Dabashi: Congressional hearing raised prospect of sanctions vs. Iran

@highlight

He says Iran's civil rights movement is at a fragile moment

@highlight

He says harsh measures could give regime excuse for further crackdown