(CNN) -- Take a close look at the icon that Apple created for their new Maps app and you'll notice a few things. It points out the location of Apple headquarters at 1 Infinite Loop, but the red pin has been replaced by a blue line, one that leads away from their main building and suggests that you make a hard right through the median to jump onto the freeway.

From a tactical point of view, in their growing fight against Google, rushing out a new map application made sense. But the app itself is clearly worse than the one it replaced, and an audience used to constant improvements and refinements isn't happy. Meticulous attention to detail, once the hallmark of the Apple brand, seems to have been pushed aside for corporate competition, leaving everybody wondering what's next.

Maps is the most obvious misstep, but it isn't the only one Apple has made recently.

There has been a trail of failures and dead ends the past few years that people don't talk nearly as much about. They include Mobile Me, Ping, Siri, Apple TV and the ongoing mess that is the desktop version of iTunes. And iCloud is clunky because it's about trying to change the way we work, whether we like it or not.

So what happened, and what does it mean for the future of the most successful technology company of our lifetime?

Opinion: Apple seems to have gotten a little bit lost

What Steve Jobs saw was that the true promise of technology was to combine software and hardware in a way that would create a rich user experience. Instead of giving users what they were asking for, he succeeded by constantly giving people things they didn't even know they wanted until they held it in their hands.

Now everyone has come to expect a certain kind of perfection and showmanship from Apple that can only happen when you're revealing things that are so new and different that users find themselves gasping in surprise and delight.

Apple has been able to do that for quite a while with a brilliant visionary at the helm. But having totally redefined the consumer electronics landscape, Apple now finds itself without a creative leader and caught in the expectations of its own success.

As users become more comfortable with the devices they have, there's a justified sense of entitlement that the application they've come to rely on will continue to provide the functionality they've come to expect. To put it another way, discovering that there's no longer transit directions when you're looking to find the bus home is never a nice surprise.

Despite some neat new features, the iOS 6 lacks any of the usual big ideas that take out the sting. Instead, the new operating system cleans up some dirty corners and puts on a fresh coat of digital paint to get ready for bigger changes down the road.

But slow and steady won't win the race. When it comes to incremental steps, Google, Amazon and Microsoft are all experts at software that may not start out great, amazing or different but clearly improves through iteration. And Google is busy buying companies like Zagats and Frommers to quickly corner the market on rich, valuable data in a way that Apple will never be able to.

Without the ability to launch a new platform as bold as the iPod, iPhone and iPad, it gets harder and harder for Apple to truly innovate. The problem isn't that Apple is failing to do what it has always done, it's that its ability to "think different" might go away.

While Apple, under the guidance of Tim Cook, will continue to create its beautiful, crafted combination of hardware and software for at least another decade, that will no longer be enough to continue to take the risks they need to in order to wow the world the way they have since Steve Jobs showed us the iPod 11 years ago.

The opinions expressed in this commentary are solely those of Andrew Mayer.

@highlight

Andrew Mayer: The new Maps app on iPhone 5 is clearly worse than the old one

@highlight

Mayer: Maps is an obvious misstep, but it isn't the only one Apple has made recently

@highlight

He says incremental steps cannot substitute for boldness, like the creation of the iPod

@highlight

Mayer: Apple's real problem is that its ability to "think different" might go away