The ancient city of Homs is now a warzone as President Bashar al-Assad's army strikes fiercely at the heart of Syria's 11-month-old anti-government uprising.

Hundreds in Homs have been killed by rockets, mortar rounds and snipers' bullets since the start of the year, say opposition groups, as the Syrian regime tries to regain control of the country's third largest city.

The humanitarian crisis in Homs is worsening -- dozens are reported dead nearly every day, and opposition activists say they don't have enough doctors or medical supplies to treat the wounded.

Homs, known as the capital of the revolution, has seen the worst of the violence that has left at least 6,000 people dead since protests began in Syria in March 2011.

Located in the agricultural heartland of central Syria, the city has long been a transport and commercial hub of vital strategic importance.

The road through Homs connects the capital, Damascus, in the south to Syria's largest city, Aleppo, in the north. Homs is home to one of two oil refineries in the country; preserving that oil supply is crucial to the Assad regime's ongoing efforts to crush the anti-government movement there.

The city's citizens, known as "Homsies," hold a contradictory place in the Syrian national conscience, according to Chris Phillips, a Syria analyst for the Economist Intelligence Unit.

"Homsies are often the butt of jokes in Syria," said Phillips, "but they've actually got quite a large cultural and educational influence on the country."

The city of 1 million is one of Syria's most ethnically diverse. Traditionally a Sunni Muslim merchant town, a considerable number of Alawite Muslims, a Shia sect, have settled in Homs in the past 30 years, and there also is a small Christian population in the city.

"We live in a complex community, with many different sects and religions," a Homs opposition spokesman -- who uses the name Abu Rami to hide his real identity from security forces -- told CNN.

"Before the uprising, we were all living here as brothers and we didn't think there were differences between us," said Rami from central Homs, where scores have been killed in non-stop fighting between opposition and regime forces this month.

Homs is more warzone than city now, he says. Parts of the city are without electricity; in other parts, security forces shut off the electricity and telecommunications networks ahead of early morning raids to root out opposition members.

"If you're in a place where they cut off the power or the phones, you know you're in trouble," said Rami.

There is a shortage of everything from children's milk formula to oil for heating, and he says security forces are preventing medical aid from reaching dying citizens.

Many of the injured are being treated in field hospitals in civilian homes, including some who died from wounds that would not have been fatal with proper care.

"Every day there are murders -- snipers on the roofs are shooting anything that moves, preventing the arrival of medical supplies and shooting at ambulances. It's a very hard situation," said Rami.

A 26-year-old born and raised in a middle class family in Homs, Rami left his medical studies at Al Baath University to help organize protests against al-Assad's government in March.

But the city and its once-vibrant sidewalk cafe culture are now in lockdown mode after fighting intensified there recently.

Defectors from the military have joined volunteers in forming the Free Syrian Army in Homs, and residents in some neighborhoods have organized into armed defense committees, according to a report from Human Rights Watch.

With at least 60 checkpoints set up in Homs and dozens of tanks now surrounding the city, the opposition fears al-Assad is plotting an attack that could rival the 1982 crackdown in Hama, when regime tanks and troops killed thousands of people and reduced parts of that city to rubble.

President al-Assad denies responsibility for the escalating violence in Syria, and distanced himself from his armed forces in a recent television interview.

"They are not my forces," al-Assad told ABC's Barbara Walters. "They are forces for the government. I don't own them. I'm president. I don't own the country. So they are not my forces."

The bloodshed has left city residents on edge. Public life is limited to about six hours each day from 9:00 a.m. to 3:00 p.m., says Rami -- shops close soon after that and people are rarely seen on the street.

Rami himself hid in a friend's basement in the relatively calm Al Ghouta neighborhood for days, as he didn't feel safe to return to his own home.

"My neighborhood is surrounded by shabiha thugs and I'm afraid to be arrested or killed," he told CNN.

The "shabiha" pro-regime militia, reportedly working alongside government forces, has been blamed by the opposition for attempting to stoke sectarian tensions in Homs.

And while Homs has traditionally been a place of religious tolerance, Syria expert Phillips told CNN "there is a real sense now that that is changing and being manipulated by people on both sides" of the conflict.

"The older Sunni merchant class that feel the city is theirs rightfully are now turning on the Alawites, who they see as these recent migrants that don't actually belong in the city," said Phillips.

"Alawites live on the outskirts; they're not seen as really part of the old city. They don't fall within the old city boundaries, they're recent migrants and [some Sunnis] are not very happy with them."

While certain elements of the Sunni community would like to overthrow the Alawite al-Assad and retake what they see as their rightful place as leaders of Syria, Phillips says the Alawite community fears the prospect of persecution if the government falls.

"The regime is trying to persuade the Alawites that if they abandon the government, they will be wiped out in the dog-eat-dog aftermath," he said.

According to Phillips, those who have spent the last 11 months protesting every day in Homs fear that "if they stop doing this, then they will be crushed."

Rami said he would like to stay in Homs if and when the uprising ends.

"I hope Homs will be okay," he said. "I hope in the future we'll stand together in Homs."

As the death count continues to rise and prospects for peace in the near future dims, Rami believes the war in Homs can only end one of two ways.

"Either we all die," he said, "or we get victory at the end."

@highlight

Homs, Syria's third largest city, is known as the capital of the revolution

@highlight

Battles between army defectors and government forces have left hundreds dead in recent months

@highlight

Opposition members say pro-regime militia is stoking sectarian tensions in the city