(CNN) -- The headlines for the new season of ABC's "The Bachelor" read: "The Bachelor returns with its first Latino," "Hola, Juan Pablo," and "Expect 'lots of Latino' fun."

And millions are tuning in to watch Juan Pablo Galavis, a 32-year-old former professional soccer player who is American-born but grew up in Venezuela.

The "sexy, hot-blooded Latino" is one of many stereotypes that is prevalent in Hollywood. And, as the Hispanic population continues to grow, more and more attention is being drawn to how Latinos are represented in television and film.

While it may seem harmless to portray Latinos as sexy, these typecasts limit the roles for actors in Hollywood, said actor Esai Morales.

"Latinos are either cast as either the overly hormonal ("Oh mamacita, I have to have you"), overly hysterical ("Lucy!"), overly hostile ("I'll cut you sucka!"), or overly humble ("We are a poor people")," Morales told CNN in a recent interview.

Those, according to Morales, are the "four H's of Hollywood" that make up Hollywood's patronizing formula for Latino actors. And, Morales said, it's the reason why Hispanics rarely play heroes or leaders.

"It's just broad strokes," said Morales, whose acting credits include "24," "NYPD Blue," and "Criminal Minds."

"I don't want to be the 'spice' added to a show, I'm not a condiment!"

Just last month, Britney Spears unknowingly touched on two of those stereotypes during an interview with Univision.

When asked what Spears likes most about Latino culture, she said: "I think it's very sexy. I've always loved Latinos. They make me think of a bad-boy type that your father wouldn't let you go out with."

Some gossip websites seized on her comments, describing them as "racist," which might be a stretch.

"She didn't mean it badly, but it shows how seriously under-educated she is and how little big stars know about the Latino community," Morales said.

Hispanic marketing expert Gabriel Reyes said America's pervasive need to sexualize Latinos as "exotics" is based on strong archetypes that have been built up for generations within Latino culture.

Because of that, Reyes said, stereotypes like the Latin lover, the Latina bombshell, or the meek and lowly servant will take a long time to be eradicated from film and television.

The National Hispanic Media Coalition commissioned a study on the impact of media portrayals of Latinos and immigrants that revealed that news and entertainment media have a strong influence on non-Latinos' perceptions of Latinos and immigrants.

In other words, media plays an integral part in how a certain group of people are viewed and that has profound consequences in society. That's something Spears' comments reflect, according to Reyes.

"Britney is simply another non-Latino stating what so many already believe," said Reyes, president of Reyes Entertainment.

The National Hispanic Media Coalition supports ABC in selecting the first minority bachelor in the show's 11-year history. But the coalition's president said there's room for improvement.

"Within one Latino family you'll have those who are very light to a very dark complexion, a whole spectrum of coloration," said coalition president and CEO Alex Nogales. "While Juan Pablo's presence on 'The Bachelor' is a step in the right direction, I would love to see more Latinos on screen that are mestizos."

The New York Post wrote that ABC's bachelor pick "looks so white he could easily slip into a Mitt Romney family photo."

Most Latinos identify as mestizo, a mix of indigenous and European descent, but -- like "The Bachelor" star -- not all Latinos are olive-skinned with dark hair. Some Latinos are black like Victor Cruz or Tristan Wilds and others look completely European, like Vanna White or Ryan Lochte.

Latin America's diverse racial demographics are from a mixed-race background made up of European, African and indigenous cultures. Galavis may not represent the typical Hispanic man, but he is very much Latino.

The show declined to comment on why it chose Galavis, but his "Latino" presence seems more like a strategic business move than a newfound love for the Latino community.

In 2012, a class action lawsuit was filed against the reality show's producers, accusing them of racial discrimination. The suit was eventually dismissed by a judge who ruled it couldn't survive First Amendment review.

No network wants that kind of publicity, especially since ABC falls within the top three rated networks in measured Hispanic households, a coveted audience with a collective buying power of more than $1 trillion, mostly driven by Latinas, according to Nielsen.

Galavis' ethnicity and the fact he has such a light complexion can kill two birds with one stone: appealing to the Hispanic audience while still carrying general market appeal.

Reyes believes Latinos have bigger fish to fry, with immigration reform high on the list of priorities for many and midterm elections around the corner.

"Latinos have other things to worry about, like the lack of voter participation. That's where the key to exercising our power lies," Reyes said.

When "Modern Family" debuted, the show received a lot of flak and praise for casting Sofia Vergara as Gloria Pritchett, the trophy wife of Jay Pritchett. Supporters applauded ABC for giving the role to a Latina actress, but critics said she was playing up the role of the stereotypical "hysterical loud Latina."

Morales believes in order to break the stereotype cycle in Hollywood, a combination of things need to happen: Sought after talents like director Steven Spielberg need to tell the stories of the Hispanic community, and more Latinos need to be producers and directors, to help tell these stories the right way.

He said that's starting to happen.

"Did I mention I'm taking on a new job?" Morales said. "I get to play the president of the United States!"

Morales is referring to his starring role as President Julian Navarro on "The Brink," an upcoming pilot on HBO that also stars Tim Robbins and Jack Black, who are also reportedly producing the new series.

While the Spearses of the world and tacky marketing tactics may still get their moment in the sun, Morales said he thinks Hollywood has gotten better than when he started.

"It's up to us (Latino actors) now. There are a lot more Latino characters on TV now. The key is to not let it just be a 'Latino wave,' and to be undeniably good."

@highlight

Are stereotypes in Hollywood harmless or harmful?

@highlight

Esai Morales: "I don't want to be the 'spice' added to a show, I'm not a condiment!"

@highlight

Reyes says Latinos have other things to worry about like the lack of voter participation

@highlight

"The key is to not let it just be a 'Latino wave,' and to be undeniably good"