The first commercial mission to the International Space Station ended Thursday with the SpaceX Dragon capsule splashing down after a flight the company's founder declared a "grand slam."

The Dragon drifted beneath parachutes to the surface of the Pacific Ocean, about 560 miles off Baja California, on Thursday morning. It hit the water about a mile from its target, SpaceX founder Elon Musk told reporters.

"This has been a fantastic day," Musk said, adding, "I'm just overwhelmed with joy." He said recovery crews have reached the capsule and report it "looks really good."

Splashdown came at 8:42 a.m. (11:42 a.m. ET), about two minutes earlier than expected, SpaceX and NASA reported. Musk was on hand at the company's mission control center near Los Angeles as operators monitored the descent, and called the mission a "grand slam" in a briefing later Thursday.

Splashdown came nine days after it took off on its historic mission, during which it delivered food, clothing, computer equipment and supplies for science experiments to the orbital platform and returned with about 1,300 pounds of cargo -- everything from trash to scientific research and experimental samples.

The space station's robotic arm released the Dragon at 5:35 a.m. ET. A thruster burn a minute later pushed the spacecraft away from its host, according to SpaceX, the private company that built and operates the vessel.

Alan Lindenmoyer, NASA's head of commercial space systems, said the space agency is waiting to recover the spacecraft's cargo and will review post-flight reports. But he told Musk, "We became a customer today.""We've been waiting for this day, and it certainly is a tremendous day," Lindenmoyer said. "We're looking forward now to routine, regular cargo service."

Space analyst Miles O'Brien said the flight was a demonstration of the company's capabilities, and the spacecraft wasn't carrying critical equipment or supplies.

"If none of this cargo had gone up or down, the show would have gone on," said O'Brien, a former CNN correspondent. Its next mission, expected later this year, "will be a for-real cargo with mission-critical items."

"As time goes on, there will be more important stuff that will go up and down on Dragon," he said.

The Dragon's re-entry mimicked the way Apollo capsules returned to Earth after putting men on the moon in the 1960s and 1970s, but which fell out of use during the space shuttle era. Recovery divers were waiting on boats just outside the projecting landing area, ready to secure the spacecraft and tow it to a barge with a crane to hoist the space vehicle aboard.

SpaceX calls its capsule is "the only spacecraft capable of returning a significant amount of cargo from the space station," saying that other vehicles that deliver cargo to the International Space Station are destroyed after they leave the station. The Dragon is designed to be re-usable and ultimately, to carry as many as seven people into orbit.

SpaceX Dragon triumph: Only the beginning

The mission began May 22, when a SpaceX Falcon 9 rocket launched the capsule into space from Cape Canaveral, Florida. NASA collaborated with SpaceX on every part of the mission and gave final authorization for the flight. Dragon reached the station Friday and was "captured" by the station's robotic arm.

The mission, hailed by NASA Administrator Charles Bolden Jr. as a step toward a new future of private innovation in the space industry, comes as government funding of the space program decreases. It also marks the culmination of six years of preparation to bring commercial flights to the space station after the retirement of NASA's space shuttle fleet in 2011, which left the United States with no means of independently sending humans into space.

Without the shuttle, NASA relies on the Russian space agency to ferry U.S. astronauts to orbit and has limited capabilities to send supplies to the station and bring them back. Dragon fills a need in taking significant payload back and forth, current ISS astronaut Don Pettit said.

NASA: The end of the galaxy as we know it?

In December 2008, NASA announced it had chosen SpaceX's Falcon 9 launch vehicle and Dragon to resupply ISS crews after the shuttle's retirement. The $1.6 billion contract involves a minimum of 12 flights, with an option to order more missions for additional cost, according to SpaceX.

SpaceX is one of a few of private companies receiving NASA funds to develop the capability for commercial transport of astronauts into space. Musk, who founded the internet service PayPal, has said the commercial program's fixed-price, pay-for-performance contracts make fiscal sense for taxpayers and fosters competition among companies on reliability, capability and cost.

Astronaut Joe Acaba, also aboard the space station, called the mission a great first step in the commercialization of spaceflight, and Pettit agreed.

"Commercial spaceflight will blossom due to its own merits, and doesn't really hinge on one mission," Pettit said. "It will hinge on the viability of launching many missions over a long period of time and being able to provide useful commercial goods and services in the low-Earth orbit arena."

SpaceX is now developing a heavy-lift rocket with twice the cargo capability of the space shuttle and hopes to build a spacecraft that could carry a crew to Mars.

@highlight

"This has been a fantastic day," SpaceX founder says

@highlight

The return caps the first commercial flight to the International Space Station

@highlight

The Dragon capsule launched May 22 from Cape Canaveral, Florida

@highlight

It splashed down at 11:42 a.m. ET, controllers say