(CNN) -- French Prime Minister Jean-Marc Ayrault said Friday that the government's newly unveiled spending plans for 2013 are a "combat budget" that will tackle debt and bring much needed growth to the nation.

About 30 billion euros ($39 billion) in savings are needed to reach President Francois Hollande's ambitious target of lowering the deficit to 3% of gross domestic product by the end of 2013, from a forecast of 4.5% this year.

A third of the savings will come from cuts to public spending, the president's office said, while an additional 10 billion euros will come from a tax on companies.

The remainder will be raised through tax increases on high-earning individuals, including a 75% levy on incomes higher than 1 million euros ($1.26 million) and a new 45% tax bracket affecting 6.2 million households.

However, nine out of 10 earners will not see income tax increases, the government said.

The 2013 budget is viewed as a test of confidence for Hollande, who was elected in May on a pro-growth and anti-austerity platform, and his Socialist government.

Addressing reporters after a meeting of ministers Friday morning, Ayrault sought to stress that the tough measures were necessary -- and that most of the burden would fall on those best able to pay.

"It's a combat budget to fight against a debt that only continues to increase and that rests on the shoulders of French taxpayers and generations to come," he said, adding that it was "a courageous and responsible budget."

Ayrault said the French national debt had increased from 64% of GDP to more than 90% in five years -- and that's why the government's deficit reduction target must be met. "The 3% is a realistic objective, it is an indispensable objective," he said.

Ayrault also said that the budget, while cutting public spending, is one "which made choices" in favor of lower-wage earners.

"The working and middle classes have been exempted from the revenue tax. Nine households out of 10 ... will not be taxed further, this is the guarantee that we are giving to the French people," he said.

Who is Francois Hollande?

Speaking this month in front of the Cour des Comptes, a government financial body, Hollande said the reduction of public debt was going to be "the most important effort in 30 years."

However, some economists, including those at Citigroup, anticipate that the government's deficit reduction target will be missed, with Citi forecasting a deficit for the year of 3.7% of GDP.

Political analyst Christian Malard, of broadcaster France 3, told CNN that the French public was also skeptical about the government's ability to reduce the deficit without raising taxes more widely.

"A majority of the French know that 2013 is going to be for them a very terrible year," he said, citing tax hikes, continued high unemployment and difficult times for entrepreneurs as among the challenges they face.

"The French are very aware of the fact that everyone will have to pay."

The government's move to raise an extra 10 billion euros from taxes on businesses could further stifle growth and force companies to move overseas, Malard said.

Many people in France now fear that France could join other southern European nations such as Spain, Greece and Italy, whose ailing economies have prompted wider fears about the stability of the eurozone group of nations, he added.

As the fifth-largest economy in the world and the second-largest in Europe, France is a major concern to global investors. It's also the United States' third-largest trading partner in Europe, after Germany and the United Kingdom, the U.S. State Department says.

Analysts had predicted that Hollande would have to present a harsher budget than first expected because of fears that otherwise, France's cost of borrowing will spike, and any savings made will have to be spent on increased interest payments.

Since his election in May, the French president has been under growing pressure to reduce the national debt, boost growth and create new jobs, while seeking to avoid angering the public with big cuts in public spending.

But his popularity has already taken a knock since he beat the incumbent, Nicolas Sarkozy, to the top job.

A survey conducted by polling firm IFOP for the Journal du Dimanche last Sunday suggested that four months into his presidency, only 43% of French people are satisfied with Hollande. This was an 11% drop in his satisfaction rating, compared with August.

The figure represents one of the worst popularity plunges for a French leader in decades, the newspaper said.

By comparison, Sarkozy's satisfaction rating at the same point in his presidency, surveyed by IFOP in September 2007, was 61%, Le Monde reports.

Hollande acts over wealth tax crisis

Figures released Friday by the country's national statistics institute reveal zero growth in France in the second quarter of 2012, compared with the first quarter, CNN affiliate BFM-TV reports. However, individual spending power increased slightly over the same period, after several quarters of decline.

Speaking Thursday on public television station France 2, Ayrault said that the government was aware of the gravity of its mission and that it has a long-term plan for the country's future.

The prime minister defended the government's forecast 0.8% growth rate for 2013 as "realistic," rejecting doubts about the figure as "defeatist."

He also said it was important to set ambitious targets to tackle rising unemployment. The country's unemployment rate stood at 10.2% at the end of June this year, according to the national statistics institute.

France's budget announcement comes against a backdrop of unease in the 17-nation eurozone, where many governments are plagued by high debt and low growth.

Neighboring Spain announced its own budget Thursday, outlining new spending cuts, tax increases and structural adjustments aimed at bringing down its huge deficit.

The government's efforts have proved unpopular with many Spaniards, who have taken to the streets in large numbers to demonstrate against austerity measures.

Spain's next crisis: regional splits?

CNN's Nina Dos Santos, Kirsten Dewar and Dheepthi Namasivayam contributed to this report.

@highlight

NEW: France's budget for 2013 aims to save 10 billion euros in public spending

@highlight

NEW: PM Jean-Marc Ayrault says 9 out of 10 households are spared income tax increases

@highlight

NEW: But a new 45% tax bracket and a 75% windfall tax on the super-rich are introduced

@highlight

Ayrault says it is a "combat budget" designed to cut France's soaring debt