Miami (CNN) -- A satellite whose orbit is degrading will fall back to Earth Friday afternoon, but only some of its pieces will survive the fiery ride through the atmosphere, NASA scientists said Thursday.

The pieces are not expected to come down over North America, scientists said, but where they'll likely land is something NASA expects to narrow down over the next 24 hours.

Most of the Upper Atmosphere Research Satellite (UARS) is made of aluminum and will burn up on re-entry, NASA said. Of the satellite's 6 tons, only about half a ton of it will make it back to Earth. The components that won't burn are made of stainless steel, titanium and beryllium. NASA has identified 26 pieces they expect to survive, ranging in size from around 10 pounds to hundreds of pounds.

Mark Matney of NASA's Orbital Debris team in Houston told CNN there's no way to know exactly where those pieces will come down.

"Keep in mind, they won't be traveling at those high orbital velocities. As they hit the air they tend to slow down and travel, they're still traveling fast a few tens to hundreds of miles per hour but no longer those tremendous orbital velocities," he explained.

Because the satellite travels thousands of miles in a matter of minutes as it orbits -- even just before it hits the Earth's atmosphere -- it will be impossible to pinpoint the exact location the pieces will come down. On top of that, Matney said, the satellite is not stable.

"Part of the problem is the spacecraft is tumbling in unpredictable ways and it is very difficult to very precisely pinpoint where it's coming down even right before the re-entry."

Because water covers 70% of the Earth's surface, NASA believes that most, if not all of the surviving debris will land in water. Even if pieces strike dry land, there's very little risk any of it will hit people.

However, in an abundance of caution, the Federal Aviation Administration on Thursday released an advisory warning pilots about the falling satellite, calling it a potential hazard.

"It is critical that all pilots/flight crew members report any observed falling space debris to the appropriate (air traffic control) facility and include position, altitude, time and direction of debris observed," the FAA statement said.

The FAA said warnings of this sort typically are sent out to pilots concerning specific hazards they may encounter during flights such as air shows, rocket launches, kites and inoperable radio navigational aids.

NASA says space debris the size of the UARS components re-enters the atmosphere about once year. Harvard University astrophysicist Jonathan McDowell noted that UARS is far from being the biggest space junk to come back.

"This is nothing like the old Skylab scare of the '70s when you had a 70-ton space station crashing out of the sky. So, I agree with the folks in Houston. It's nothing to be worried about," McDowell said.

Pieces of Skylab came down in western Australia in 1979.

The only wild card McDowell sees is if somehow a chunk hits a populated area.

"If the thing happens to come down in a city, that would be bad. The chances of it causing extensive damage or injuring someone are much higher."

NASA says once the debris hits the atmosphere 50 miles up, it will take only a matter of minutes before the surviving pieces hit the Earth.

CNN's Mike Ahlers contributed to this report.

@highlight

Pieces of the satellite will crash back to Earth Friday

@highlight

NASA can't predict the exact location of where they'll hit

@highlight

In 1979, Skylab fell from orbit and some pieces hit Australia