(CNN) -- Pour yourself a cold martini, make sure it's extra dry, put some classic jazz on the stereo, a mournful saxophone is a must, and settle in with one of the best-reviewed novels of the year, "Rules of Civility."

Written by first-time novelist Amor Towles, a principal at a Manhattan investment firm, the book has shot up the best-seller charts and is drawing rave reviews from critics. It's a nostalgic love letter to New York of the late '30s, a novel of manners with lofty aspirations that evokes some of the classics of American literature.

The story unfolds largely in flashback, set on New Year's Eve in Manhattan 1937. The Jazz Age is over, the Depression in its final days, World War II just over the horizon. At its outset, there is a budding love triangle between Katey Kontent, that's "kon-tent, like the state of being"; her boardinghouse roommate, Eve; and a handsome banker, Theodore "Tinker" Grey, but an unexpected accident sends the story in a more serious direction.

Katey is the narrator and the wry heart of this novel. She's a young woman of "poise and purpose." Brooklyn-born, the daughter of immigrant laborers, she works in a Wall Street secretarial pool though aspires to much more.

Alongside a supporting cast with WASPy nicknames like Dicky, Bitsy and Peaches, Katey navigates her way through Manhattan jazz clubs and Long Island cocktail parties and into the upper echelons of New York society.

The novel takes its title from young George Washington's "Rules of Civility & Decent Behavior in Company and Conversation"; you'll find all 110 of them in the novel's appendix. These rules are described as "a do-it-yourself charm school. A sort of How to Win Friends and Influence People 150 years ahead of its time."

Towles gives a knowing nod to some classic American authors, no less than F. Scott Fitzgerald, Ernest Hemingway and Edith Wharton among them, but this book is much more than an homage.

It's a discourse on wealth and privilege, aspirations and envy, loyalty and reinventing oneself and how a chance encounter or a snap decision made at a young age can shape your life for decades to come.

CNN recently spoke to Towles about his bestselling novel. The following is an edited transcript:

CNN: You're a 46-year-old investment professional. What led you to write your first novel?

Towles: I've been writing fiction since I was a kid. From the age of 15 to 25, I probably wrote more than 50 short stories, one of which was published in "the Paris Review" in 1989.

Then in my late 30s and early 40s, I wrote a novel set in the farmlands of Stalinist Russia, which I stuck in a drawer. So when I finished the manuscript for "Rules of Civility," it was the first thing I had submitted for publication in almost 20 years.

One reason for the long hiatus is that I have been an investment professional since my mid-20s. My personal challenge as an artist has been having a day job which is intellectually satisfying and fun -- and thus can easily supplant the desire to make art.

But the benefit of having that career has been that I could write without an overwhelming sense of urgency to be published. I could just keep refining my craft until I was convinced I had something worth sharing.

CNN: What made you choose New York City in 1938 as the setting for your novel?

Towles: While I began writing "Rules of Civility" in 2006, the genesis of the book dates back to the early 1990s, when I happened upon a copy of "Many Are Called," the collection of portraits that Walker Evans took on the New York City subways in the late 1930s with a hidden camera.

At the time, I primarily knew of Evans' iconic Depression-era photographs of rural America, such as those that appear in "Let Us Now Praise Famous Men": the tilting clapboard houses, weathered signs, stalwart women in summer dresses, but this was the first I'd seen of his urban work.

The subway photos weren't shown publicly until the 1960s, and, as I flipped through the pages, I had the fanciful notion of someone at the exhibit's opening recognizing the same person in two of the portraits. When I set out to write a novel in 2006, I returned to this old idea -- which necessarily took me back to New York in the late '30s.

Beyond that, I've always had a great interest in the period between 1900 and 1940, because it was a period of such incredible creative combustion. In retrospect, the pace of change in the arts and industry in the 19th century seems pretty glacial. Painting, music, the novel, architecture were all evolving, but at a pretty observable pace.

Then in the span of a few decades, you have James Joyce, Nijinsky, cubism, surrealism, jazz, Henry Ford, Sigmund Freud, the rise of socialism, movies, airplanes, skyscrapers and the general upending of received forms in almost every area of human endeavor. New York was certainly one of the global centers in which these changes were taking shape, making it an inviting setting.

CNN: Your narrator, Katey Kontent, is such an appealing character with a very distinctive voice. Was she modeled on anyone in your life?

Towles: None of the characters in the book is based on anyone in particular. But three of my grandparents and a great-grandmother lived into their late 90s or early 100s. My maternal grandparents lived across the street from me in the summers, and I'd see them every day. Over lunch when I was in my 20s, it was great fun to talk with them about their lives between the wars, when they were young adults.

My grandmother, who was simultaneously a woman of manners and verve, fended off marriage proposals until she was 30 because she was having too much fun to settle down. Like the book's narrator, Katey, she pushed a rival in furs into the drink before ultimately accepting my grandfather's proposal.

CNN: While there's a very retro appeal to the book, it still has a very modern feel. Do you think your story could have taken place in today's New York?

Towles: I certainly hope so. I think the book's themes of self-invention, aspiration, love and loss are as pertinent in today's New York as they were a century ago.

Certainly, the composition of America's social strata has changed in meaningful ways since the first half of the century. The Second World War and the GI Bill were great leveling influences, in which many working-class individuals migrated from their ethnic communities towards a more homogenous middle class.

At the same time, the aristocratic families of the 1920s began to abandon the outward pomp of cotillions and tails. Wonder Bread, Budweiser and Chock Full o' Nuts found their place in pantries high and low (with consistency and low price being attained at the expense of differentiation and flavor). This convergence has had weird byproducts: The vast of majority of Americans, spanning a wide array of economics (from the statistically rich to the statistically poor), now identify themselves as "middle class."

And where in the first half of the century the struggling youth would have aspired to the narrow circles of aristocracy, in recent decades the affluent youth have aspired to the fashion and cadences of the streets. But having made these rough generalizations about transformation, I'd say that many aspects of 1930s social behavior prevail.

We clearly still live in an aspirational society. We have just exited half a decade when virtually every tier of the American population has borrowed money in order to buy bigger cars and bigger houses with better fixtures. And we still have American youth in pursuit of success and stature, though success and stature today may mean wearing sneakers at a startup rather than a tuxedo at a country club.

One interesting aspect of New York in particular is that it is a leading capital for advertising, art, broadcasting, fashion, finance, food, journalism, music, publishing, theater, etc. This means that every year, young people from all over the world with very different backgrounds, interests and ambitions descend on the city. They are all looking to establish connections (in the E.M. Forester sense as well as the networking sense), which provides the city with a unique chemistry. This, too, is a Manhattan reality that has persisted for generations.

CNN: "Rules of Civility" has received some high praise and been compared to classics like "The Great Gatsby," "Breakfast at Tiffany's" and "The House of Mirth," among others. What do you think about these comparisons?

Towles: I understand why the book's subject matter has prompted these comparisons, but I really didn't think too much about the great authors of the New York scene while I was writing the book.

At the onset, I had my premise from the Walker Evans' photos (of an individual undergoing transformation in 1938 New York) and my narrator (with her wry, ambitious intellect and sharp moral compass), and I tried to let all else spring essentially from those elements. I suppose I also claimed the period as my own through invention.

Perhaps I didn't struggle too much with comparison because I am such a lover of collage. Whether it's the works of the early Dadaists or the boxes of Joseph Cornell or sampling in contemporary music, I enjoy experiencing the successful integration of one work of art into another.

I have hundreds of influences at this stage of my life, and I am constantly collaging them into my work while still hoping to fashion something new.

Read an excerpt from "Rules of Civility" on the author's website.

@highlight

"Rules of Civility" is a nostalgic love letter to New York of the late '30s

@highlight

First-time novelist Amor Towles is also a principal at a Manhattan investment firm

@highlight

The book is a discourse on wealth and privilege, aspirations and envy