Washington (CNN) -- The Supreme Court offered its tentative endorsement of so-called "organizing agreements" between unions and for-profit companies, with some justices saying on Wednesday the longstanding practice can encourage good labor relations.

At issue is whether the particulars of such an agreement between Unite Here Local 355 and the Mardi Gras casino in Florida violates a federal law that prohibits companies from giving labor unions-- seeking to represent workers-- anything "of value."

Worker rights experts and business groups have called this one of the most significant labor relations cases in decades, and a high court ruling could have major implications for the future of the union movement in the United States.

The gaming union entered into a "neutrality" agreement with the company, agreeing to work together to pass a ballot initiative legalizing slot machines in Dade and Broward Counties, a deal that ostensibly would benefit both sides.

Unite Here independently spent more than $100,000 in an ad campaign supporting the measure. It also agreed not to strike or boycott. The casino in return allowed union members onto the premises, gave them employee contact information, and agreed to remain neutral in the organizing campaign.

The high court debated in oral arguments whether this particular agreement violated the letter and spirit of the broader law, designed to prevent bribery, corruption and extortion in negotiations and organizing.

A lower federal appeals court said "if the $100,000 bought the peaceful recognition provisions, then that's corrupt, and that is outside the exemptions that the law provides," said Justice Sonia Sotomayor. "Tell me how I deal with that niggling problem I have about the $100,000, because it does feel like a bribe to the employer."

But Justice Elena Kagan said, "I would have thought that the premise and the policies of the labor laws are to encourage a wide variety of employer/employee agreements," she said. "The idea is to get these parties together to reach agreements on a wide variety of things that matter to them, regardless whether the labor law specifically refers to that."

The lawsuit was brought by Martin Mulhall, an employee of Hollywood Greyhound Track Inc., who opposed the union's efforts to get him to join. Backed by the National Right to Work Foundation, his lawyers said "backroom deals" between company and union management undercut his right of association and free choice.

Section 302 of the Taft-Hartley Act of 1947 makes it a crime for an employer to "pay, lend or deliver ... any money or other thing of value" to a union that wants to represent its workforce.

"That's the danger that 302 exists to take care of, not that it's necessarily wrongful per se for a union to have lists of (employee) information or the use of property, but what will it do in return?" attorney William Messenger told the high court in an intense hour of oral augments. "And unions have compromised employee interests in exchange for this type of assistance. They certainly have extorted employers."

Several justices suggested the casino and the union were engaged in a quid pro quo, but were not sure that amounted to an exchange of something of "value."

"I mean, the union wouldn't promise that for nothing," said Justice Antonin Scalia. "It would get something in exchange such as, in this case, the right to go on the employer's property to recruit union members or some other thing of value from the employer, right?"

But Richard McCracken, Unite Here's lawyer, said this neutrality agreement and the $1000,000 ad campaign were like so many others, including the pending deal to build a massive oil pipeline through the middle section of the United States.

"The union, like so many construction unions that we know, is advocating in Congress for the passage of laws like the Keystone Pipeline Law. Why did they do that? They do it because they want the jobs," he said. "That is a combination of interests funneled through the First Amendment's protection for mutual effort."

Justice Anthony Kennedy seemed to agree, telling Messenger that his client's views run "contrary to years of settled practices and understandings."

Unite Here represents about 265,000 active members in the United States and Canada, mainly in the hospitality, food service and manufacturing industries.

The case is Unite Here Local 355 v. Mulhall (12-99). A ruling is expected by the spring.

@highlight

Case involves agreement between union and Florida casino

@highlight

Union campaigns for legal slot machines, casino gives it access to workers' info

@highlight

Court debates whether that violates law that says unions can't give firms things "of value"