It's a breathtaking scenario. Hundreds of petrol-heads roaring across some of South America's most stunning landscapes in a grueling two-week endurance race where the competitors are at the mercy of treacherous terrain.

The Dakar Rally's 465 competitors speed through the daunting sand dunes of Atacama desert one day, and traverse the snow-capped Andes mountain range the next in a 9,000-kilometer coast-to-coast marathon taking in Argentina, Chile and, this year, Peru.

But environmentalists are worried about the effect the event -- which attracts millions of spectators -- has on a continent that is home to a wealth of fragile ecosystems.

Argentine ecological group FUNAM has accused officials of failing to conduct the necessary environmental impact assessments before ratifying the route of the race, which ends on Sunday.

"The first issue to be analyzed is regulation," FUNAM president Dr. Raul Montenegro told CNN. "In Argentina, for the last rally, a lot of regulations were not accomplished by the race organizers and even local government.

"The environmental impact assessment is mandatory, and these kind of things were never presented and accomplished."

However, race director Etienne Lavigne insists the Dakar is only staged in areas where it has permission to go.

"Where we are going to go with the Dakar, we are authorized to go," Lavigne told CNN. "That means we work all the year with all the administration in each country to get permission to go where it's possible to go.

"The Dakar is like a cocktail. Which means you need to put in a lot of ingredients. Every year we chose the best places for the best sport in the event.

"This year, with three countries, we have a fantastic route with a lot of different landscapes, very different every day. A level of difficulty is very important every day. With the three countries, we are really in the best position to have the best route for the 2012 edition."

But Montenegro counters that this desire to find the most dramatic and challenging landscapes is taking the rally into terrains which are not ready for the barrage of vehicles -- which come in four categories: cars, motorbikes, quadbikes and trucks..

"Most of the adventure of the Dakar is to use natural landscapes and scenery," Montenegro said. "Our region, Argentina, Chile and now Peru, are really not prepared for this kind of event, especially environments which have very fragile ecosystems."

The Dakar, first staged in 1979, is named after the Senegalese capital which once served as its finishing point.

Competitors would set off from the French capital of Paris, in the shadow of the iconic Eiffel Tower, and make tracks through north Africa to Senegal and, for the victorious few, racing immortality.

A test of courage, stamina, strength and skill, the Dakar relocated to South America in 2009 after the murder of a French family in Mauritania, combined with terrorist threats made against the race, forced the cancellation of the previous year's event.

The continental switch has forced competitors to adapt to new sets of laws and regulations in South America, a transition that has thrown up several problems, according to Montenegro.

He and his team took many photos during last year's installment that claim to show drivers breaking traffic laws on local roads when traveling between stages of the race.

"During the 2011 rally, it was clear the people taking part in the competition in Argentina violated (traffic laws). Not during the competition itself, but during connections between stages," he said.

"We took more than 180 pictures showing these infractions. They put families in danger because at the time it was the holiday season in Cordoba."

Lavigne insists the Dakar is committed to doing all it can to ensure race entrants obey local laws during the rally.

"We work with all the authorities, the police," he said. "They need to respect the law. We are increasing the level of control with the full support of all the police authorities in the three countries."

Organizers have sent the images captured by Montenegro and his colleagues to the 2012 entrants as examples of how not to drive on local roads.

Despite the controversy surrounding the Dakar, it would seem the rally is a hit with local fans. The event's official website claimed that last year five million spectators across two countries turned out -- 3.5 million in Argentina and 1.5 million in Chile.

And Lavigne revealed that three more nations want to follow Peru and join the race.

"We can imagine including a new country in the next route in 2013. At the moment it's a bit early to speak about it, but we are working on some projects including a new country," he said.

"We have good potential there (in South America) with a lot of propositions from other countries like Uruguay, Paraguay and Bolivia."

The race's official website claims that "entering the Dakar is, in a certain way, like climbing Everest, sailing round the globe or rowing round the world."

Regardless of the political and environmental issues surrounding the rally, the racers who are crowned winners in Buenos Aires on Sunday will have achieved an unforgettable feat.

@highlight

The 33rd edition of the Dakar Rally will come to a conclusion on Sunday

@highlight

The South American endurance event has attracted the ire of environmental groups

@highlight

It has been held in Argentina and Chile since 2009, with Peru added this year

@highlight

Organizers say the grueling two-week race may expand to other countries