(CNN) -- Last night my youngest son, fresh out of college, and I got into a heated debate over who affected our culture more: Bob Dylan or Steve Jobs.

On the surface this was the kind of crazy, even absurd, argument that families often get into. But dig deeper, and it was about how generations define themselves: through the lyrics of one of the greatest songwriters of the 20th century or the objects of one the greatest visionaries of the century, through resistance to an unpopular war and opposition to unjust social practices or through the use of products that that have changed how we work, play and communicate with each other.

Writing on my MacBook, with an iPhone in my pocket and an iPad on the table next to me, it is easy to argue that Jobs' achievement was not only that he reimagined how technology could be used but that he redefined how it could look.

Can anyone really think anymore of working on a personal computer that does not have a brushed and machined aluminum casing or that is not sleek and thin, perfectly balanced, not so light as to be insignificant nor too heavy as to be not genuinely portable? Can anyone accept an awkward interface whose icons don't know how to dance gracefully to a downloaded tune suggested by Genius?

Jobs' insistence on objects whose look paralleled their use â€” not in the modernist sense of form following function but in his commitment to making devices that looked as good as they functioned -- made owning an Apple a deeply personal statement. And his relentless commitment to getting the details right, the shape of a screen, for instance, or the appearance and click of a keyboard, the size and location of the track pad, or something as simple as an on/off switch or a magnetic power cord connection, set a standard that every competitor has tried to match.

Apple's elegance and refinement of technology can, of course, be seen simply as a clever marketing strategy, a means of differentiating itself in a crowded marketplace. But despite the company's rigid protection of its brand, the way Apple treats the design of its products transcends any simple notion of branding.

Jobs realized that the digital generation not only wanted access to an endless array of information and entertainment, it wanted it delivered in a way that projected the user's sense of self; that personal style mattered as much as function.

Apple's ability to find a way to consistently make its products look and act better than similar products while appealing to individuals of every age and walk of life â€” kids as well as grandparents, hipsters as well as bankers â€” and from almost every corner of the planet is about a brand going viral and becoming a cultural phenomenon.

And that gets us back to Dylan, whose music shaped and defined a generation here and abroad. In a very different way, and with a very different meaning but with at least as great an impact, Apple has become an almost universal sign of belonging to a connected and open world that is deeply curious and innovative and is youthful in spirit.

The opinions expressed in this commentary are solely those of Glenn D. Lowry.

@highlight

Glenn Lowry says Steve Jobs, like Bob Dylan, is icon who helps generation define itself

@highlight

He says it's hard to imagine working on computer without production values of an Apple

@highlight

He says Jobs insisted on products that worked and looked good; made personal statement

@highlight

Lowry: Apple a nearly universal sign of belonging to connected, curious, youthful-in-spirit world