(CNN) -- Mohamed Morsi is an American-educated engineer who vows to stand for democracy, women's rights, and peaceful relations with Israel if he wins the Egyptian presidency.

He's also an Islamist figure who has argued for barring women from the Egyptian presidency and called Israeli leaders "vampires" and "killers." One analyst describes him as an "icon" of those seeking an "extreme agenda."

As Morsi, 60, battles to win the presidency, questions surround how much of a hard line he would take, and what direction he would steer the country.

Morsi leads the Freedom and Justice Party, the political wing of the Muslim Brotherhood -- the most powerful political movement in the new Egyptian government, controlling about half of parliament.

His party notes that he was arrested several times under President Hosni Mubarak's regime for protesting "repressive measures and oppressive practices," as well as "rigged elections." At one point he spent seven months in jail.

Analysts say Morsi is focusing his campaign on appealing to the broadest possible audience.

But he "represents the older, more conservative wing of the Brotherhood and openly endorses a strict Islamic vision," Isobel Coleman of the Council on Foreign Relations wrote in a column for CNN.com.

"A vote for Mohamed Morsi will consolidate the Brotherhood's political influence, which could translate into a constitution with weaker provisions for protection of minority and women's rights."

A slogan associated with his campaign, "Islam is the solution," is sparking concerns Morsi could introduce a fundamentalist Islamic theocracy.

He told CNN he has no such plans. His party seeks "an executive branch that represents the people's true will and implements their public interests," Morsi told CNN's Christiane Amanpour.

"There is no such thing called an Islamic democracy. There is democracy only. ... The people are the source of authority," he said.

Asked about the role of women, he vowed that "women's rights are equal to men."

And asked whether he would maintain Egypt's 1979 accord with Israel, Morsi answered, "Yes, of course I will. I will respect it provided the other side keep it up and respect it."

Morsi was not originally his party's candidate for the country's top post. He was called on to step in after the first choice was disqualified. Khairat al-Shater was among three candidates who were told they did not meet candidacy requirements.

The Egyptian media then portrayed Morsi as "an accident of history," said Shadi Hamid of the Brookings Dohan Center and the Brookings Institution.

In a column published by The Atlantic, Hamid said Morsi lacks the charisma and "crossover appeal" of al-Shater.

The Financial Times notes that the Muslim Brotherhood had originally pledged not to seek the presidency.

"It went back on its word, suspecting that its gains since the January 2011 revolution could be undermined by the military council that has ruled since the fall of President Hosni Mubarak."

Morsi has served as a central behind-the-scenes player for much of the past decade, Eric Trager of the Washington Institute for Near East Policy writes in a column for The New Republic.

He was the Brotherhood's primary point man for state security -- "the repressive domestic security apparatus through which the Mubarak regime monitored and infiltrated opposition groups," Trager writes.

"Indeed, Brotherhood leaders trusted Morsi because they viewed him as ideologically rigid, and therefore unlikely to concede too much to the regime during negotiations."

Morsi was also "an icon of the extremists in the Muslim Brotherhood," pushing for an "extreme agenda," Trager writes.

Morsi's official biography on the Freedom and Justice Party website describes him as "one of the most prominent political leadership figures of the Brotherhood, the organization that led the struggle against the ousted repressive regime in its last decade."

He led the Brotherhood's parliamentary bloc from 2000 to 2005 in addition to serving as president of the Department of Materials Science, Faculty of Engineering at Zagazig University.

Morsi was arrested several times "due to his constantly firm stance against the repressive measures and oppressive practices of the overthrown regime," the party said.

"After the 2005 elections were rigged, Dr. Mohamed Morsi led demonstrations in support for judges demanding independence, refusing referral of some judges to the Competence Commission to punish them for their outspoken views against blatant elections fraud."

The following May, he was among 500 members of the Brotherhood arrested, the party said. Morsi spent seven months behind bars.

"He was arrested, yet again, on the morning of the 'Friday of Anger' on January 28, 2011, during the revolution of January 25 along with a large number of Brotherhood leaders across Egypt. ... When several prisons were destroyed during the revolution, and many prisoners escaped, Dr. Morsi refused to leave his prison cell. Instead, he contacted satellite TV channels and news agencies demanding the judicial authorities visit the prison and check the legal position of jailed Muslim Brotherhood leaders, to clarify if there were indeed any legal reasons for their arrest," the party website says.

Morsi -- who has Bachelor and Master degrees from Cairo University and a doctorate from the University of Southern California -- insists that under his leadership, such abuses won't happen.

There will be "no need for worry at all over any kind of abusive power," he told CNN. "It will be impossible to allow these kinds of abuse in the shadow of a constitutional state, a lawful state, a state that protects the dignity of a person."

@highlight

Mohamed Morsi promises a democracy with the people as the source of authority

@highlight

He previously argued for barring women from presidency and called Israeli leaders "vampires"

@highlight

Morsi is candidate of Freedom and Justice Party, political wing of Muslim Brotherhood

@highlight

He was not the party's first choice