Washington (CNN) -- When the Founding Fathers decided to create a bicameral legislative branch, they were trying to make things difficult for the federal government to grab power from the people.

What the Founding Fathers may not have foreseen was how much the House and the Senate would grow to dislike and distrust each other. Why is this important now? Democrats in the House may have to take the political risk of voting to pass the health care bill based on assurances from the Senate that the upper chamber will eventually modify the law to change some things House Democrats don't want.

I live a bipartisan household. I am a creature of the House, having spent 15 years toiling as a Republican staffer in the lower chamber. My wife is a Senate girl, having spent about the same amount of time as a Republican staffer in the upper chamber. Talk about Mars and Venus.

When you are working for the House majority, you worry less about the tactics of the minority and more about the workings of an inscrutable Senate. Former Speaker Tip O'Neill reportedly once said to a Democratic colleague: "Remember, the House Republicans are merely the opposition. The Senate is the enemy."

Two examples come quickly to mind. Right after Bill Frist became majority leader in the Senate in 2003, President Bush and House Republicans were pushing for a tax cut of a certain size, which they thought would stimulate an economy that was faltering. To do so, both the House and Senate needed to pass a budget resolution that included that sizeable tax cut number.

The House passed the budget, and all eyes were on the Senate majority leader, who was having some trouble convincing a few wayward senators to climb on board the tax cut train. Suddenly, a deal was struck, and the Senate passed the budget. But nobody in the House knew exactly what the deal was.

Rumors started floating around that Frist had promised the few moderates who didn't like the high cost of the tax cut to only allow a tax cut of half the size being pushed by the president and by House Republicans to pass the Senate.

The House Republicans were, to put it politely, outraged. They fulminated and fomented. They accused the new majority leader and the new budget chairman (Don Nickles) of treachery, of cowardice, and worse, of being squishes. And they spent the next six months trying to come up with a plan to screw the dastardly Senate.

In October 2001, just after the September 11 terrorist attacks, a jittery congressional leadership went to the White House to meet with the president. At the early morning meeting, Sen. Tom Daschle divulged that his office had received a powdery substance that looked just like the anthrax that had been sent to news broadcasters in New York City. If it was the same anthrax, it could be deadly, especially if it got into the Capitol building air ducts.

All four leaders agreed to close down the Capitol to protect the lives of the employees who worked there. Speaker Denny Hastert and Minority Leader Dick Gephardt dutifully told their House colleagues of the plan, and they shut down their side of the Capitol.

When Daschle and Sen. Trent Lott went back to brief their colleagues about the plan, there was a rebellion. Sen John McCain was especially obstinate, saying basically that closing the Capitol was the same as surrendering to terrorists. Without telling Hastert and Gephardt, the Senate announced that it was staying open. The headline in the New York Post the next morning blared "WIMPS," calling the speaker and the House a bunch of cowards for trying to protect their staff from an anthrax attack. I never had so much fun in my life working with my House Democratic counterparts launching a furious counterattack in the media against the upper chamber.

My former boss, Speaker Hastert, who had nothing but disdain for the Senate, used to call senators those "prancing ponies who all wanted to be president." And the Senate, from what my wife tells me, holds the House in similarly minimal high regard.

The question that now roils the House is: Can they trust the Senate?

Could they trust them when the House, during President Bill Clinton's first term, passed a politically very dangerous BTU tax, a new tax based on energy consumption? Dozens of vulnerable Democrats voted for the president's budget that included that tax, only to see it stripped by the Senate.

The answer, sadly, is no.

The Senate is going to do what it is going to do. It is going to get as much done as it can get done, with the limitations it has under its rules. And if it sees a chance to stick it to the House, believe me, it will.

The difference between the House and the Senate is this: Members of the House who have power and positions of authority have already put in the time and energy to be House people. Nancy Pelosi and John Boehner have no interest in moving up to the Senate. They are going to fight for the prerogatives of their colleagues and of their institution.

Most senators still believe, in the back of the their minds, they will be or should be president. They are always looking for ways to play to the cameras and increase their national prominence. Aside from the egos and the ambition of those in the upper body, there are also the rules. The Senate rules give more power to individual senators and more power to the minority.

That tradition has been around for a long time, so that the Senate doesn't just become a smaller version of the House. It was created to give states, especially in less populous regions, an ability to protect themselves from the demands of the more populous regions of the country.

It is on big bills, like the health care reform legislation now being considered by the House and the Senate, where the stresses between the House and the Senate become more pronounced.

House members are now asking themselves: Can we trust the Senate? If we pass their bill, will they pass ours? If we go out on a limb for them, will they change their Senate rules for us?

Well, as President Ronald Reagan used to say about the old Soviet Union: Trust. But verify. Which really means don't trust them at all.

The opinions expressed in this commentary are solely those of John Feehery.

@highlight

Health bill passage may require House Democrats to trust Senate Democrats

@highlight

House could make politically difficult vote on theory that Senate would modify law later

@highlight

John Feehery says there's a long history of mistrust between the two chambers

@highlight

He says senators have lofty ambitions and more prerogatives