(CNN)  -- Enhanced screening procedures for U.S.-bound air passengers traveling through "state sponsors of terrorism or other countries of interest" such as Pakistan, Yemen and Nigeria amount to religious profiling of Muslims, the Council on American-Islamic Relations said Monday.

The Transportation Security Administration announced the strengthened security steps Sunday, saying that "effective aviation security must begin beyond our borders."

A senior government official, not authorized to speak on the record, provided CNN with the list of 14 countries subject to the enhanced screening for travelers heading to the United States: Cuba, Sudan, Syria, Iran, Afghanistan, Algeria, Iraq, Lebanon, Libya, Nigeria, Pakistan, Saudi Arabia, Somalia and Yemen.

The new guidelines target 13 Muslim-majority nations and will "disproportionately target American Muslims who have family or spiritual ties to the Islamic world," the Council on American-Islamic Relations said, adding that the tougher measures "amount to religious and ethnic profiling."

"Under these new guidelines, almost every American Muslim who travels to see family or friends or goes on pilgrimage to Mecca will automatically be singled out for special security checks -- that's profiling," said Nihad Awad, the council's national executive director. "While singling out travelers based on religion and national origin may make some people feel safer, it only serves to alienate and stigmatize Muslims and does nothing to improve airline security."

A TSA spokesperson, Kristin Lee, responded that "TSA does not profile."

"As is always the case, TSA security measures are based on threat, not ethnic or religious background," Lee said.

The tougher measures followed a botched bombing attempt on Christmas Day by a Nigerian man who boarded a U.S.-bound flight in Amsterdam, Netherlands. The suspect, Umar Farouk AbdulMutallab, originated his trip in Nigeria and changed planes in Amsterdam to a Northwest Airlines flight headed for Detroit, Michigan.

On the flight's final approach, the suspect allegedly attempted to detonate explosives hidden in his underwear. The attempt failed, and the suspect was grabbed by other passengers and crew members.

U.S. officials said the suspect received training and help for the attack from al Qaeda in Yemen, one of the countries of origin on the list for enhanced screening.

A senior State Department official, who could not speak on the record because of the sensitive nature of the material, said Sunday the countries on the list are places "where we have concerns, particularly about al Qaeda affiliates."

The official said the State Department was heavily involved in compiling the list, along with the Department of Homeland Security and other intelligence agencies. The State Department compiles the annual "Patterns of Global Terrorism" report, which details terrorism trends in countries around the world.

Passengers from other countries could still face enhanced security for other reasons.

Awad said the suspicious behavior of AbdulMutallab in the failed Christmas bombing case, rather than his religion or ethnicity, should have alerted authorities. For example, Awad said, AbdulMutallab paid cash for his ticket and boarded without checking in baggage.

Improved monitoring of such anomalies is the solution, said Awad, who called for increased spending "to obtain more bomb-sniffing dogs, to install more sophisticated bomb-detection equipment and to train security personnel in identifying the behavior suspects."

The American Civil Liberties Union issued a similar statement on Monday that called profiling an ineffective strategy.

"Singling out travelers from a few specified countries for enhanced screening is essentially a pretext for racial profiling, which is ineffective, unconstitutional and violates American values," said Michael German, national security policy counsel with the ACLU's Washington legislative office. "Empirical studies of terrorists show there is no terrorist profile, and using a profile that doesn't reflect this reality will only divert resources by having government agents target innocent people.

Profiling also can be "counterproductive by undermining community support for government counterterrorism efforts and creating an injustice that terrorists can exploit to justify further acts of terrorism," German said.

A federal counterterrorism official said the new TSA security directive lacked an expiration date, meaning it was intended to be "sustainable and long term."

The directive, issued to domestic and international air carriers, states that any individual flying into the United States who is "traveling from or through nations that are state sponsors of terrorism or other countries of interest will be required to go through enhanced screening."

The TSA did not elaborate on what those enhanced security procedures might entail.

In addition, the directive also keeps in place a mandate issued after the attempted Christmas Day attack giving pilots discretion to prevent passengers from keeping pillows and blankets on their laps during certain international flights, the official said. Also retained is the option for pilots to limit movement in the cabin on those international flights.

CNN's Mike Ahlers and Jeanne Meserve contributed to this report.

@highlight

Extra screening planned for passengers coming through "state sponsors of terrorism"

@highlight

13 of 14 nations on the list have majority Muslim populations

@highlight

Policy "only serves to alienate and stigmatize Muslims," group says

@highlight

ACLU says profiling is "ineffective, unconstitutional and violates American values"