When techno-whiz Seth Owusu left Ghana for the United States in 1991, he had never used a computer before.

But two decades later, he's using the power of technology to provide computer literacy to the children of rural Africa, one refurbished computer at a time.

Owusu is the founder of the Entire Village Computers Organization (EVCO), a Washington-based charitable organization that donates reconditioned old computers and accessories from the developed world and delivers them to those schools in need in the developing world.

"We try to put the computers there as electronic tools, also as a library, also to a place where not just the school but the entire villages around that school can come in and benefit from the computer," says Owusu, who moved to the United States at the age of 24.

Underwater cables bring faster internet to West Africa

Growing up under difficult conditions in rural Ghana, Owusu was inspired at a young age by a group of missionaries who visited his school, willing to make a long and difficult journey to help strangers.

He says that that incident has motivated him ever since  to try and make a difference in the lives of others.

"It showed me that regardless of how little you have, you can do something for somebody which can be great for their life and their future," says Owusu.

Since 2004, EVCO says it has built and donated 25 computer labs in village schools and communities in Ghana and Nigeria for a total of 233 computers.

The non-profit organization is funded entirely by Owusu, his family and a small pool of committed donors.

But besides money, Owusu, who did computer studies in the U.S. and now works for an electronics company in Washington, also dedicates his personal time, putting a lot of hard work on the project that's become his mission in life.

Using the monitor-crammed garage of his house in Washington as his base, he tests, fixes and upgrades all the donated computers himself before shipping them to Africa.

He says it's all worth it: "I feel very excited because it takes a lot to do it and finally when you get it done like this it's just joy," says Owusu. "You feel overjoyed because finally you know that you've reached the destination and somebody is going to benefit from all the hard work that you have to put in," he adds.

Web savvy Africans fuel growth in online shopping

But EVCO goes much further than just shipping hardware to African villages.

The group also runs training workshops for teachers and students and provides technical support, maintaining an ongoing relationship with the recipients of their computers.

"When we do the donation, we enter into a three-calendar year agreement with the kids, with the school, to go back and fix them and make sure everything is working for the next three years," says Owusu, who runs EVCO with the help of four volunteers in Ghana.

The non-profit organization also promotes local involvement and development, trumpeting Owusu's belief that an entire community benefits when computers are introduced in local schools.

"The whole concept about our donation process is first, not just the computers, but getting the entire community involved in the process" he says. "That makes them part of the process, so they know the kids are learning and so they can feel proud to have them go to school rather than tell them to go to the farm."

Ghana farmers lose out in gold mining boom

Owusu has visited his native Ghana 11 times after the launch of EVCO -- there, he doesn't only organize computer workshops but he's also giving motivational speeches and raises awareness about issues such as HIV and teenage pregnancy.

He says that his goal is to run EVCO as a full-time project and be able to bring his work to many more rural areas across Africa -- he's currently working to implement the project in Sierra Leone but admits that he has had to turn down calls for help from people in other African countries due to funding difficulties and logistics issues.

Yet, despite all the difficulties, Owusu is determined to carry on with his dream of introducing the world of computers to children across Africa.

He hopes that by re-building old computers, he will also be give them the tools to compete globally.

"If we want to change the world we have to start by changing the people who are going to be the world tomorrow, who are the kids," says Owusu.

"So any seed we sow today are what's going to bloom tomorrow to shape our world and make a better world, so anything that you can do, regardless of how little it is, goes toward making the world a better place," he adds.

@highlight

Seth Owusu is the founder of Entire Village Computers Organization

@highlight

The charity takes refurbished computers to rural communities in Africa

@highlight

It also runs training workshops and provides technical support

@highlight

Owusu says an entire community benefits when computers are introduced in local schools.