OLYMPIC NATIONAL PARK, Washington (CNN) -- Taking a road trip by yourself can be good for the soul. The freedom and beauty of the open road on a recent trip in the Pacific Northwest and California brought me back to what is really important in life.

Vistas along the California coast near Mendocino can be breathtaking.

My road trip started in Seattle, Washington, and ended two weeks later in Sacramento, California, covering 2,277 miles with a stunning backdrop of natural beauty along the way.

Living in the moment and charting my own course gave me a sense of self empowerment that extends to my path in life and what I want out of it.

For those who wish to set out on their own solo road trip, I recommend research and planning -- while still leaving time to be spontaneous.

Hoh Rain Forest, Olympic National Park

As I drove into the Hoh Rain Forest in Washington's Olympic National Park, the only words I could muster were Holy ... Wow!

The greenness of it all and the smell of fresh air stimulated a part of my brain that hadn't been stimulated in years, if ever.

Here I was in the good, old U.S. of A., driving through a rain forest.

Having just left Seattle, where my trip started, this was the first leg of my self-proclaimed big adventure. From the start, Olympic National Park was always a must-see.  See map of my road trip »

I mean, who knew you could hike through rain forests, climb glaciers, walk beaches or hit up mineral hot springs all in one place?

The Hoh Rain Forest offered enchanting hikes, with plenty of trails to choose from. Huge ferns, endless amounts of beautiful moss, and trees -- some 500 years old -- made up much of the landscape.

On my second day, as the rain started to come down hard, I decided to squeeze in a late afternoon visit to Ruby Beach, about 45 minutes east of Hoh.

There's something special about walking a beach in a virtual downpour: You've pretty much got it all to yourself.  See photos from my trip »

Sol Duc Hot Springs

After two days in the rain, accidentally stepping on a couple of mammoth-sized banana slugs outside my tent, and looking a bit like Chewbacca, I decided to treat myself to the popular Sol Duc Hot Springs Resort, about 30 minutes north of the Hoh Rain Forest in Port Angeles, Washington.

Named by American Indians, Sol Duc, which means sparkling water, is also thought to have healing values, something I was in desperate need of by this point.

Three pools are heated by the nearby hot springs and there's one freshwater pool if you need to cool off.

I threw on my suit, quickly showered and then headed straight for the hot spring.

Aaaaaah, this was perfect. The pools were crowded and the smell of the minerals in the water was obvious. With a backdrop of tree-lined hills, it's easy to sit, relax and soothe your bones for hours.

Oregon Caves

Oregon is a beautiful state from top to bottom.

It seems to have it all, the ocean, rivers, cool towns and caves! Oregon Caves National Monument is located outside Junction Caves, Oregon.

To get to the cave's entrance you have to drive 20 miles along a very windy -- but beautiful -- two-lane road, deep in the Siskiyous Mountains.

I arrived just in time for the last tour which ran about 90 minutes. Bring a jacket since the temperature inside the cave is around 44 degrees (7 degrees Celsius) year-round.

Our group had just started the tour when one woman traveling with her daughter announced she couldn't do it.

She wasn't comfortable walking within confined spaces. Our guide was very helpful and mentioned to all of us this was the right time to speak up if you didn't think you could do the tour.

Moments later our group, minus two, made its way through the inside of the mountain. This place rocked -- literally and figuratively.

In 1907, poet Joaquin Miller coined the cave's nickname, "The Marble Halls of Oregon."

You'll hear a lot of stories on the tour; from its discovery in 1874 by Elijah Davidson, whose dog chased a bear into the cave, to a couple who got married inside the cave, complete with cavemen outfits and fur.

Our guide, Rachel De Nardis, called the cave intimate and personable. Steve Thede, chief of interpretations, says the Oregon Caves offer an opportunity to connect with the inside of Earth.

Besides, he adds, this is something you'll remember 10 years from now. The drive to the caves is a little bit off the beaten path, but it's well worth the side trip.

Mendocino, California

My day in Mendocino County was completely unplanned.

I had a full day between planned stops on my route, so I headed to Mendocino because it's known for its scenery and its art community. Everyone talks about the gorgeous coastline in Northern California, so I thought, we'll see if they're right.

The vistas along the way were stunning. It took me longer than I had estimated because it's so easy to constantly stop and snap pictures.

Eventually I arrived in Mendocino, found a great spot on some rocks by the Pacific and ate lunch. Eating an avocado sandwich as waves crashed against the rocks was an inspiring moment. How often do you get to find those kinds of spots, I asked myself.

Another traveler's gem I found in Mendocino would be of interest to gardening gurus -- or those who just like flowers. The Mendocino County Botanical Garden showcases beautiful gardens and a gift shop.

Big Trees of Calaveras County, California

The Big Trees of Calaveras County is home to the giant Sequoias.

Located about four miles east of Arnold, California, the trees in the park are the biggest in the world.

As soon as I began my stroll in the North Grove portion of the park, I was overtaken by the sheer massiveness, power and age of these trees. Some trees in the park are believed to be up to 2,000 years old.

The largest tree in the park is about 25 feet in diameter and 250 feet tall.

Pick up the guided tour sheet for 50 cents. It gives you perspective and stories behind the trees.

Big Trees State Park is inside the Stanislaus National Forest, a huge forest spanning from just south of Lake Tahoe to the southern reach of Yosemite National Park.

I stayed with a friend who lives in an A-frame home along the west boundary of the forest -- a neighborhood which is pretty unusual.

Imagine driving out of your neighborhood and, instead of passing houses, you're driving by mammoth trees and clear blue running rivers. Who has that? To me, to live in the heart of Mother Earth like my friend does would be a privilege.

Overall, I surprised myself during this solo adventure. I learned that during a trip alone, you find yourself doing things that you didn't plan on -- that you wouldn't put down on paper beforehand.

A lot of people are afraid to be by themselves -- to travel by themselves. Some people don't even like to eat by themselves.

This trip showed me that going solo can be a valuable experience. It forces you to appreciate yourself, and realize that you are often times your own best company.

@highlight

Olympic National Park has rain forests, glaciers, beaches, mineral hot springs

@highlight

Oregon cave stories include dog chasing bear and a "caveman" wedding

@highlight

Stunning seaside lunch in Mendocino, California, with amazing scenery

@highlight

Among giant Sequoias, strolling among 2,000-year-old trees overtakes author