(CNN) -- People don't typically pay attention to software agreements, but PlayStation owners may want to read a recent update to their digital contract.

Last week Sony changed the terms-of-service document for its PlayStation Network, asking U.S. customers to forfeit their rights to file class-action lawsuits against the company and its partners. Customers can opt out by sending the company a letter in the mail.

Sony's PlayStation Network, which allows subscribers to play games and watch movies online, was down for weeks last spring following a security breach that exposed personal details of 77 million users. Users immediately began filing class-action lawsuits.

Sony said this week that the new terms-of-service changes were made, as some analysts suspected, in response to a Supreme Court decision in April. In that case, AT&T Mobility was permitted to include and enforce a clause in employment contracts that bars workers from bringing class-action suits.

"The Supreme Court recently ruled in the AT&T case that language like this is enforceable," a spokeswoman for Sony's PlayStation unit wrote in an e-mail. "The updated language in the TOS is designed to benefit both the consumer and the company by ensuring that there is adequate time and procedures to resolve disputes."

Like AT&T, Sony prefers to settle disputes outside of court through a process called arbitration.

Arbiters are typically retired judges who fetch an hourly rate of $300 or more, a fee that's generally split between the two parties on top of any costs for hiring lawyers, said Jack Lerner, a director at the University of Southern California's Technology Law Clinic. That would deter anyone looking to correct unfair charges of a few dollars to an individual, which could amount to millions if the problem was widespread and settled as a class action in court, he said.

Arbitration also does not involve a jury, which could include people more sympathetic to consumers than to corporations.

The AT&T suit was first brought in 2006 by customers who complained of being charged $30 in state taxes for a cell phone that was advertised as free. The 5-4 Supreme Court vote came, ironically, on the same day in April that PlayStation customers began filing class-action lawsuits against Sony for losing their personal data to hackers.

Sony added the new clause last week, apparently to protect itself against potential future widespread and costly blunders.

Courts haven't been lenient in the past about enforcing software agreements, despite the reality that few people read them, Lerner said. This year's court ruling in the AT&T case likely won't be overturned anytime soon, unless Congress intervenes with changes to the law, he said.

"That was an absolute travesty," Lerner said. "The implications for consumers (are) staggering."

Sony's new user agreement describes how to opt out of the class-action waiver. Future class-action suits against Sony from PlayStation online account-holders would only include people who made the effort to send a written letter, lowering the ultimate costs to Sony.

Including an option to dodge the waiver "was a savvy move by Sony because they didn't necessarily have to do it," Lerner said. The move should enable Sony to argue in court that it played fair, he said. Likely less than 1% of PlayStation users, of whom there are more than 77 million worldwide, would go through the process of opting out, he estimated.

PlayStation Network users were alerted of the class-action changes in e-mails and in a note near the top of the agreement. Gamers are unable to play online or watch Internet video from services like Netflix until they agree to the contract update on their consoles.

It takes 45 seconds, using a game controller, to scroll to the part of the document that describes the legal waiver. It takes a minute and a half to scroll through the entire document, and certainly much longer to actually read it.

@highlight

Sony changed its terms, asking PlayStation Network users to waive class-action rights

@highlight

The change was prompted by a Supreme Court decision, says a spokeswoman

@highlight

Customers began filing lawsuits against Sony in April after learning of a breach