(CNN) -- The first officially sanctioned ivory auction in nearly a decade happened Tuesday in Namibia, with opinion split on whether the sale will help or hurt efforts to stop elephant poaching.

The Namibian government sold almost eight tons of ivory for $1.2 million, said Willem Wijnstekers, the secretary-general of CITES, the international agreement covering the trade of endangered species.

Supporters say the auction will provide cash for elephant conservation. Opponents say it will stimulate the demand for ivory.

Buyers came from China and Japan, with the Chinese buying nearly 4.2 tons and the Japanese buying 3.7 tons, said Wijnstekers, who spoke to CNN from the auction in the Namibian capital of Windhoek.

The auctioned ivory consisted of whole elephant tusks and pieces of tusks in various sizes, he said.

Nearly 10 tons had been available for sale in Namibia, and the pieces that were not sold were the worst-quality pieces that will now be kept by the government or destroyed, he said.

The sale was the first of four approved by the secretariat of CITES, which stands for the Convention on International Trade in Endangered Species of Wild Fauna and Flora. First adopted in 1963, the agreement now has 173 signatories.

The last such ivory auction happened in 1999.

Another auction is planned for Botswana later this week, and for Zimbabwe and South Africa next week, said Juan-Carlos Vasquez, a spokesman for CITES in Geneva, Switzerland.

The auctions involve all of the stocks of government-owned ivory, all deemed to be of legal origin, he said. That means the ivory comes not from poaching or confiscation, but from animals that died naturally or -- in the case of South Africa -- from the period before 1994 when elephant culling was allowed, Vasquez said.

China and Japan are the only approved customers for the auctions, Vasquez said. They were the two nations that expressed an interest in the ivory and fulfilled the conditions set by CITES to allow its trade.

Under the agreement, proceeds from the auctions must be used exclusively for elephant conservation and community development programs in or near elephants' range in the four countries, said a statement from CITES, which is administered by the United Nations Environment Program.

In Namibia, for example, some of the money will be spent in communities that have problems with elephants destroying crops or killing people, Wijnstekers said.

"The revenues are expected to boost the countries' capacity to conserve biodiversity, strengthen enforcement controls and contribute to the livelihoods of the rural people in southern Africa," a CITES statement said. "All this without affecting negatively African and Asian elephant populations."

Conservation groups, however, have expressed doubts that the auctions will do anything but encourage poaching and the illegal killing of elephants.

The sale "will stimulate, not satisfy, the massive demand for ivory in countries like China," Will Travers, chief executive of the Born Free Foundation, told CNN. "It will do nothing to re-educate customers (in China and Japan) that buying ivory is signing an elephant's death warrant."

The four auctions taking place over the next two weeks may also encourage other countries with elephant populations to hold their own ivory sales, especially now that they have seen the proceeds Tuesday's sale generated for the Namibian government, Travers said.

The Environmental Investigation Agency, an independent environmental campaign group, expressed a similar fear.

EIA Campaigns Director Julian Newman told CNN the ivory market will fail to see the auctions as one-time sales of legal stocks and instead simply see the reemergence of ivory on the market.

"By opening it up to a legal trade, it will just stimulate that (ivory) market further," Newman said from the EIA's London office.

The International Fund for Animal Welfare said a legal ivory trade allows poachers to launder their stocks of illegal ivory.

Travers and Newman said they don't believe CITES' safeguards on China and Japan are strong enough to prevent the illegal ivory trade.

More than 108 tons of ivory remain to be auctioned in the next three sales, CITES said. Botswana plans to auction 48 tons; Zimbabwe plans to sell slightly more than four tons; and South Africa plans to sell more than 56 tons.

@highlight

Controversial legal auction of ivory held in Namibia

@highlight

First legal sale since 1999 sold 8 tons of ivory for £1.2 million

@highlight

Supporters say money will help elephant conservation

@highlight

Opponents: It will boost demand; "Buying ivory is signing elephant's death warrant"