(CNN) -- U.S. Secretary of State Hillary Clinton's admiration for Myanmar democracy activist and former political prisoner Aung San Suu Kyi was hard to miss during her visit to Suu Kyi's home in Yangon. They stood together, hands clasped and all smiles -- and even shared a hug -- at a news conference Friday on Suu Kyi's porch before international journalists.

"I felt like I had known her for years," Clinton told CNN's Jill Dougherty on her second day of meeting with Suu Kyi, "because of all of the information I had about her and the interactions that friends of mine had about her that carried messages back and forth."

But Clinton's enthusiasm on the last day of her historic visit to Myanmar seemed to extend beyond her personal admiration for the Nobel Peace Prize laureate, who, until her release in November 2010, spent nearly 20 years under house arrest imposed by the country's regime -- one that now appears to be taking steps in the direction of democracy.

Clinton sees signs that the country, ruled by a military junta for almost 50 years and which in the past cooperated with North Korea in missile technology, may genuinely be opening up -- via its economy.

"They asked that I personally follow through with a request for the World Bank to send an assessment team, that we offer technical advice about how they can and should reform their economy," Clinton told CNN.

But the military ties with North Korea have to go if Myanmar -- called Burma by opponents of the regime and by U.S. officials -- wants deeper political and economic cooperation with Washington and with nearby democracies, such as "South Korea, which has a great deal to offer in terms of development assistance," Clinton said.

"Burma" was the name the country used decades ago, before the military junta took control and changed it to "Myanmar."

As North Korea still looms in the background, the Obama administration is not ending sanctions and is not making any abrupt changes in policy.

"We've made it clear that it would be difficult for us to pursue our engagement unless that relationship was once and for all ended." The message "had a receptive audience," Clinton said.

That receptiveness may partly be the result of intense diplomatic contact between the two countries preceding Clinton's visit.

"We've had about 20 or more high-level visits from our assistant secretary, our special representative and others. They have fanned out across the country, meeting with all kinds of people," Clinton said.

Suu Kyi, the country's leading activist for democratic reform, was instrumental in helping to gauge the U.S. diplomatic approach, Clinton said.

"She is someone who we talk to and rely on about policy advice, and certainly we were very gratified that she encouraged us to engage, encouraged my trip."

Suu Kyi, who plans to run for parliament, expressed her hopes for more solid democratic reforms thanks to U.S. efforts.

"Because of this engagement, I think our way ahead will be clearer and we will be able to trust that the process of democratization will go forward," she told journalists.

The junta has ruled Burma since 1962. Thein Sein became president in March after a controversial election, and the new government freed dozens of political prisoners in October.

The new government has shown encouraging signs of reform and has released some political prisoners, but Suu Kyi said that all such prisoners must be released and that no one should be arrested for their beliefs.

"All hostilities must cease in this country," she said.

The road to democracy in Myanmar is closer than before, but there is still a ways to go, she added.

"We are not on that road yet, but we hope to get there as soon as possible with the help and understanding of our friends," she said.

Clinton became the first U.S. secretary of state to visit the country in 50 years, and her visit was made possible by the nation's unexpected steps toward democratic reform.

The trip, the White House said, indicates that the time could be right for the two nations to forge a new relationship.

Still, Myanmar is far from a democracy, and skepticism exists on both sides.

Journalists in the country enjoy new freedoms, but their work remains heavily regulated. Ethnic violence still occurs against Myanmar's minorities, and human rights groups estimate that more than 1,500 political prisoners are still detained.

For its part, Myanmar offered a cordial welcome to Clinton, but the visit with officials was low-key.

"We are at the very beginning," Clinton told CNN. "Where we will be in one year, five years or 10, I can't really predict."

The secretary of state ended her visit to Myanmar on Friday and is on her way back to the United States.

@highlight

NEW: Myanmar must end North Korea military ties to get U.S. cooperation, she says

@highlight

Secretary Clinton expresses deep admiration for iconic democracy activist

@highlight

Clinton became the first U.S. secretary of state to visit the country in 50 years

@highlight

But the country is not yet on the road to democracy, activist says