Can God be found on the Appalachian Trail?

Long before the Puritans of the Plymouth Colony laid a lasting religious claim to the Appalachian peaks, Eastern Woodland Indians claimed those heights as the first residences of the supernatural beings of their religious traditions.

Then the Puritans arrived.

Colonists seeking religious independence from established churches and the religious mainstream moved into mountain valleys at the margins of the frontier. Certain sites along the trail route became associated with the story of Exodus from the Bible. And in this version, America was the new "Promised Land."

12 things you may not have known about the Appalachian Trail

The American Romantics, including the Transcendentalist writers and the Hudson River Valley painters, visited the Appalachian peaks seeking both a deeper spiritual experience and subjects for their work. Benton MacKaye, a Harvard-trained planner, proposed the trail as a respite from the physical and mental impacts of industrialization and urbanization in 1921.

Walking the entire length of the trail, between Springer Mountain, Georgia and Mount Katahdin, Maine, has become a distinctly American pilgrimage, weaving through the religious roots of the nation, and providing stunning views of Eastern terrains ranging from isolated valleys to lines of blue-tinted mountains.

Mount Katahdin, Maine

The 5,268-foot-high Mount Katahdin (which means greatest mountain in Penobscot) is the home of Thunders, giants with eyebrows and cheeks of stone, who sometimes invite hunters into their home within the mountain to instruct them about nature, according to some Native American beliefs.

In the Passamamaquoddy and Penobscot versions, the Thunders, while powerful, are not malicious and mean no harm. But European immigrants turned the spirit of the mountain solely into Pamola (or Pomola), a demonic being, with a moose head, eagles' wings and feet and a human body.  Henry David Thoreau, on a failed attempt to bushwhack all the way to the summit, declared that Pomola  is "always angry with those who climb to the summit of Ktaadn."

Hudson River painter Frederic Edwin Church, having a more positive attitude, bathed Katahdin in the divine light of the Calvinist creator God in his colorful depictions of the Maine wilderness.

Hit the trail: 7 gorgeous hikes

Today, Katahdin is the northern terminus of the trail. It's celebrated in hundreds of photographs of end-to-end hikers finishing their backcountry pilgrimage by the sign at the top.

Mount Washington, New Hampshire

Originally named Agiocochook, which means "home of the Great Spirit" or "home of the spirit of the forest" in the Abenaki language, Mount Washington in New Hampshire is the highest peak in New England at 6,288 feet.

Native Americans identified Agiocochook as the place where a Native American family fled to the top of the mountain to avoid a great flood, analogous to Noah's landing on Mount Ararat.  Plymouth Colony leader John Winthrop reported that the Abenaki were afraid to climb the peak because it was where Manitou lived. Manitou is a universal spirit which, according to Native American belief, permeates all living creatures and natural objects.

A federalist survey expedition circa 1784 renamed the peak after George Washington, the new republic's Moses, who led the people to freedom from royal oppression. That reference associated the peak with the Biblical Pisgah where Moses had his vision of Canaan.

The Hudson River painters produced multiple canvasses of the ethereal mountain, where an inscrutable God ruled the heights, and divine providence flowed down the slopes and watered the pastures and farmsteads of the Promised Land below.

The trail traverses Mount Washington along the crest, through alpine meadows above the timberline. (It's a short side hike to the summit.) It offers panoramic views and some of the most unpredictable and dangerous weather in the Eastern United States, including dense fog and hypothermia-inducing summer sleet.

Mount Greylock, Massachusetts

The Berkshires have long been the terrain of philosophical innovators and religious nonconformists.

Transcendentalist Henry David Thoreau climbed to the top of Mount Greylock in 1844 to meet the sunrise, and view "an undulating country of clouds...as we might see in dreams, with all the delights of paradise."  Herman Melville's home Arrowhead (open for visitors), looks out on Mount Greylock. The humpback outline of the mountain reputedly inspired his description of the inscrutable and God-like Moby Dick.

Today's trail hiker can walk up to the summit of Mount Greylock and also appreciate Mount Greylock from the Cobbles, a quartzite outcrop on the trail. Then the trail goes through the classic New England town of Cheshire.

Also at the base of Greylock is the Adams Friends Meeting House (circa 1782). That's about a three-mile hike from the trail or five miles by car from Cheshire. In nearby Williamstown, Transcendentalist appreciation of natural form influenced the design of the Williams College campus. Williams College students cleared the first hiking trail to the spruce-covered summit of Mount Greylock in 1830.

Shaker Farm: Tyringham, Massachusetts

The trail crosses the remains of one of the Shakers' former utopian colonies at Tyringham, Massachusetts.

Shaker founder Mother Ann Lee brought her followers from England to America in 1774, 10 years before she died. More formally known as the United Society of Believers in Christ's Second Appearing, the Shakers established one of their first colonies in Tyringham in 1792. In Tyringham, the celibate members lived in dormitories. They were known as Shakers because of their vigorous religious dances.

The Tyringham Shakers selected a bald-topped mountain as their Mount Horeb, and marched to its summit following their celebratory religious feasts. The trail skirts well-crafted stone walls, provides views out over the patchwork of fields in the Tyringham valley, and crosses Jerusalem Street, where the remaining Shaker buildings and Shaker Pond, now in private hands, may be observed from the road (not open to the public).

Potomac River crossing at Harpers Ferry, Virginia/West Virginia

Approaching Harpers Ferry from Virginia, hikers cross over the Shenandoah River using a vehicle bridge. As they leave town and head for Maryland, they cross the Potomac River beside an active track on a railroad bridge.

In the days of the Underground Railroad, escaped slaves had to cross the Potomac (this dangerous "Jordan") during their Exodus to freedom. They waded and swam from island to island or slipped across hidden in a boat by a sympathetic ferryman. On the northern bank, the trail passes the location of John Brown's 1859 abolitionist raid on the federal armory, and the fire house which served as his "fort."

North of Harpers Ferry, the trail looks down on the peaceful agricultural valley surrounding Antietam, where the National Park Service has reconstructed the meeting house of the German Baptists, known as  Dunkers, on the Civil War battlefield. Dunkers, who were baptized three times in the name of the Father, Son and Holy Ghost, resisted slavery. The house served as a hospital during the battle of Antietam, one of the bloodiest battles in American history, when 23,000 were killed, wounded or went missing.

Clingmans Dome, Great Smoky Mountains National Park, Tennessee and North Carolina

The highest point on the entire trail at 6,643 feet, Clingmans Dome (Kuwo-i or Mulberry Place in Cherokee)  is the home of the White Bear, chief of the bears, according to Cherokee tradition. The Cherokee treated animals as members of neighboring tribes, who celebrated seasonal dances in their townhouses, just as the Cherokee did.

Hikers can enjoy the southern-most Appalachian spruce fir forest, and have the chance to view, not just numerous black bears, but endemic species such as the red-cheeked salamander and Fraser fir.

Heading south from Clingmans Dome, it's nearly 30 miles by trails or road to visit Native American museums. There is a replica of a Cherokee council house (the central religious building) at the Oconaluftee Indian Village (open May to October), and visitors can learn more about Cherokee religious traditions at the Museum of the Cherokee (year round) in the town of Cherokee, North Carolina.

Blood Mountain, Georgia

Nearly 30 miles north of the southern terminus of the trail at Springer Mountain, Georgia, Blood Mountain is known in Cherokee tradition as a townhouse of the Nunne'hi, a race of immortals. They are friendly to humans, assist lost hunters and support the Cherokee in battle. These gentle inhabitants of the heights love music, and local residents still report hearing the sounds of their drums and dances.

Several bald mountains or peaks with distinctive rock formations along the southern stretch of the trail are also associated with the Cherokee monster slayer tale of the giant horned lizard, the Utenka. A Shawnee medicine man pursued the ferocious beast, from nearby Brasstown Bald, Georgia, through Indian Gap and the Chimneys in the Smokies, in Tennessee to its home on Big Bald on the Tennessee/North Carolina border.

The open summits offer spectacular seasonal flora displays, including blooms of Catawba rhododendrons, azaleas and mountain laurels. Since a hiker can still stretch out on the grass or ascend above the trees on outcrops, the summits are among the best places to enjoy the ridges turning blue at sunset or to experience the August Perseid meteor shower, without the background lighting of civilization.

@highlight

The Appalachian Trail weaves through the religious roots of the nation

@highlight

Before the Puritans arrived, Native Americans already had spiritual traditions in the mountains

@highlight

Transcendentalist writers visited the Appalachian peaks seeking a deeper experience