Kyoto is Japan's historical heart, the former capital and home to 1,600 temples. From the entertainment district of Gion, where geishas can be spotted scurrying along narrow cobbled lanes, to the cherry tree-lined Philosopher's Path, some parts of the city seem timeless.

But among the striking sights of ancient Kyoto sit less obtrusive buildings that capture the spirit of the city and remain a link between the past and the present. They are "machiya", traditional wooden townhouses.

Their narrow frontage gives way to deep interiors, so long and thin that they became known as "a bed for an eel" ("unagi no nedoko," in Japanese).

Megumi Hata lives in a machiya in Kyoto that has been in her family for 13 generations.

"This house is rare and very traditional and therefore our identity as Japanese has been nurtured in this house," she says.

"When I think about that, I would say this is the most amazing part of this house and this is what I love the most about it."

That enduring love of old homes is not universal in Japan.

There is more financial incentive to destroy rather than preserve, as the structure of a home has very little market value after a few decades, and machiya have suffered from demolition and redevelopment.

Around 80% of demolished machiya in the city are replaced by modern houses and high-rise buildings, according to the University of Kyoto, while the majority of those that remain have suffered some loss to their original facades.

However some are focusing on preserving what remains of the city's old townhouses and believes that they should endure modern development.

"This one housing type has been developing over 1,200 years, continuously adapting to the different lifestyles, adapting and changing," says American designer Geoffrey Moussas who over a decade has renovated over 30 machiya.

The challenges of renovation are huge. Moussas first had to learn from carpenters and craftsmen the special skills needed to build machiya before he could draw up practical renovation plans.

But rather than build museums to a former way of life, Moussas is keen to create a fusion between the old and new. "That balance is very important," he says. "And that's the part that scares people (when it comes to renovations)."

"There is a great satisfaction in taking something that was going to be thrown away and creating something that people admire, something that people appreciate.

"There is an unbelievable amount of culture in these houses."

Hata uses a modern analogy: We view our lives like software, something forever changing then this traditional architecture is the hardware, the very structure that gives Japanese life its foundation.

@highlight

Kyoto is home to over 1,600 temples and former capital of Japan

@highlight

Historic districts of city have traditional wooden house called 'machiya'

@highlight

Many have been destroyed or redeveloped

@highlight

Some are trying to preserve and make them liveable for modern life