(CNN) -- If 2013 was an "annus horribilis" for McLaren, then next year provides a double chance of redemption for the motorsport giant -- and Russia will play a key role.

By the time Sochi hosts the country's first Formula One race next October, McLaren bosses will know if the team has been able to bounce back from one of its worst seasons in more than two decades, with major technological changes required due to the sport's new engine rules for 2014.

But well before then, the British manufacturer's innovations will have been put to the test at the same seaside resort, as Russia hosts its first Winter Olympics.

McLaren is working with the UK team -- specifically skeleton and bobsleigh -- via its applied technologies operation MAT in a bid to help improve GB's medal chances in February.

"It's similar work to what we did with the Summer Olympics, concentrating on sports with a greater chance of medals," says MAT project manager Caroline Hargrove, who used to work for the McLaren F1 team and created the race simulator which drivers such as Jenson Button use away from grand prix weekends.

For a team so synonymous with success -- 182 grand prix victories, eight constructors' titles and 12 drivers' championships -- this year has been an undoubtedly unwanted blot on McLaren's copybook.

Button and Sergio Perez -- who has since been replaced by rookie Kevin Magnussen -- were ninth and 11th respectively in the drivers' standings, with the team a lowly fifth in the constructors' table, more than 450 points behind dominant Red Bull.

But McLaren has previous success at the Olympics, with Team GB winning 30 of its 65 medals at London 2012 in sports with which MAT was involved: canoeing, cycling, rowing and sailing. Half of those were gold.

It is a model that clearly works -- MAT also worked with skeleton racer Amy Williams to a lesser degree on her path to Olympic skeleton success at the last Winter Games in Vancouver -- and there is a sense of excitement of another medal haul at Sochi.

Brought in by the government-funded agency UK Sport, MAT will focus on the downhill sledding disciplines.

"What we've done for the other sports, it's more generic in that we've done a little bit and still do a few programs with UK Sport, and we ran workshops recently with all the coaches for inspiration looking at other sports," Hargrove told CNN.

"In our case, we showed the side of Formula One, and the equipment and technical side of it."

The work done by MAT varies from use of its dynamic chassis rig -- also known as the shaker rig -- which is used on the development of F1 cars and now skeletons and bobsleds to run the rule over their respective suspensions.

Its technology is used to make both the equipment and the kit worn by British athletes, but also in data analysis and how the human body reacts to the skeleton and bobs in question. However, in order to keep an edge on rival teams, the specifics are kept closely guarded.

There are also strict rules which restrain MAT's area of operations.

"We don't have enormous margins for imagination," Hargrove says. "They prescribe the type of steel and where rubber can be used -- and that's hardly anywhere. But like in F1, we are able to use attention to detail to make things as near to perfect and that we assemble things as well as we can."

The bobsleighs are being tested in France to measure the gains that have been made.

"We can see a tangible time difference that we have made with the bobsleigh," Hargroves adds. "Our measurements are by the millisecond."

The Olympic projects are relatively small scale compared to MAT's other business strands, which span from pharmaceutical trials to working with the behemoths of oil and gas.

A solitary MAT engineer is working fulltime on each of the skeleton and bobsleigh projects, even testing the equipment themselves on the ice at high speed -- true workplace immersion.

At Sochi, MAT will be in direct competition with McLaren's traditional F1 foe Ferrari, which has been working with the Italian Olympic team -- in particular with the bobsleigh.

"There's definitely a little bit of rivalry with Ferrari in this," says Hargrove. "You always want competition, it helps to push you on."

For Hargrove, who was brought up in Montreal, Canada, with a love of winter sports, this project is a perfect fit. And she sees the love of sport as being a key ingredient to her team's success.

"When I interview people for jobs, one of my questions is are they sports fans," she says. "Sports fans tend to be inherently competitive and that is good for this working environment. It also means if and when you employ them you can bear them in mind for future sporting projects."

For all MAT's collective brainpower and tech nous, however, she acknowledges that there is only so much they can do for the competitors.

"It's all about the athletes," she points out. "If an athlete gets injured, there is nothing the kit will do without the athlete. But we hope to support what we believe is very real potential for medals.

"It's great working with people that are so driven, especially the coaches who don't see much of the limelight."

UK Sport covers MAT's expenses and time costs -- though otherwise the work is done on a non-profit basis -- and has given open access to its data.

However, not all the athletes are 100% compliant. Kristan Bromley, who runs his own skeleton-making business, is understandably loathe to share details of his intellectual property so he and his partner Shelley Rudman will be without MAT's backing in terms of their equipment.

"That said, Kristan has still worked with us on other aspects," adds Hargrove.

In addition, there have been skeptics of what is, on the surface, an alternative approach to the Winter Olympics, and Hargrove relishes that.

"The thing is that we don't have all the solutions," she says. "But by doing this it generally brings in more lateral thinking to the discussions."

Research from Infostrada has suggested that Great Britain is set for its most successful Winter Olympics, with a predicted five medals. Should that be the case, that will be in now small part down to MAT, and the world of F1.

@highlight

McLaren Applied Technologies working with GB team in quest for Sochi medals

@highlight

Major targets for MAT are in skeleton and bobsleigh with a crack unit of engineers

@highlight

MAT enjoyed success at London 2012 with canoeing, cycling, rowing and sailing

@highlight

Project leader helped create F1 simulator used by McLaren's drivers