LONGYEARBYEN, Norway (CNN)  -- A vast underground vault storing millions of seeds from around the world took delivery of its first shipment Tuesday.

Dubbed the "Doomsday Vault," the seed bank on a remote island near the Arctic Ocean is considered the ultimate safety net for the world's seed collections, protecting them from a wide range of threats including war, natural disasters, lack of funding or simply poor agricultural management.

Norwegian musicians performed Tuesday as part of an elaborate opening ceremony marking the opening of the vault, located 130 meters (427 feet) inside a frozen mountain. Wangari Maathai, a Kenyan environmental and political activist who won the 2004 Nobel Peace Prize, placed the first seeds inside the vault, followed by other dignitaries.

The inaugural shipment represent 268,000 distinct samples of seeds, with each sample containing a hundred-plus seeds and originating from a different farm or field around the world. In all, the shipment of seeds secured in the vault Tuesday weighed approximately 10 tons, filling 676 boxes.

The shipment amounts to a 100 million seeds in total, ranging from major African and Asian food staples like maize, rice, and wheat to European and South American varieties of eggplant, lettuce, barley, and potato, according to the Global Crop Diversity Trust, which is paying to collect and maintain the seeds.  Watch as "Doomsday" seed vault opens »  Eventually the Svalbard Global Seed Vault, as it is officially known, will hold as many as 4.5 million distinct samples of seeds -- or some 2 billion seeds in total -- encompassing almost every variety of most important food crops in the world, the Global Crop Diversity Trust said.

The Norwegian government paid to build the vault in a mountainside near Longyearbyen, in the remote Svalbard islands between Norway and the North Pole. Building began last year.

The United Nations founded the trust in 2004 to support the long-term conservation of crop diversity, and countries and foundations provide the funding.

"The seed vault is the perfect place for keeping seeds safe for centuries," said Cary Fowler, executive director of the trust. "At these temperatures, seeds for important crops like wheat, barley and peas can last for up to 10,000 years."

The vault's location deep inside a mountain in the frozen north ensures the seeds can be stored safely no matter what happens outside.

"We believe the design of the facility will ensure that the seeds will stay well-preserved even if such forces as global warming raise temperatures outside the facility," said Magnus Bredeli Tveiten, project manager for the Norwegian government.

The vault sits at the end of a 120-meter (131-yard) tunnel blasted inside the mountain. Workers used a refrigeration system to bring the vault to -18 degrees Celsius (just below 0 degrees Fahrenheit), and a smaller refrigeration system plus the area's natural permafrost and the mountain's thick rock will keep the vault at at least -4 C (25 F).

The vault at Svalbard is similar to an existing seed bank in Sussex, England, about an hour outside London. The British vault, called the Millennium Seed Bank, is part of an scientific project that works with wild plants, as opposed to the seeds of crops.

Paul Smith, the leader of the Millennium Seed Bank project, said preserving the seeds of wild plants is just as important as preserving the seeds of vital crops.

"We must give ourselves every option in the future to use the whole array of plant diversity that is available to us," Smith told CNN.

The idea for the Arctic seed bank dates to the 1980s but only became a possibility after the International Treaty on Plant Genetic Resources came into force in 2004, the Norwegian government said. The treaty provided an international framework for conserving and accessing crop diversity.

Svalbard is designed to store duplicates of seeds from seed collections around the world.

The Norwegian government says it has paid 50 million Norwegian Kroner ($9.4 million) to build the seed vault. E-mail to a friend

CNN's Becky Anderson contributed to this report.

@highlight

Ultimate safety net for the world's seed collections has opened in Norway

@highlight

The vault received inaugural shipments of 100 million seeds

@highlight

Norwegian govt. built vault in glacial mountain between Norway and North Pole