Osh, Kyrgyzstan (CNN) -- Life in this embattled country's second-largest city appeared calm Tuesday even as concerns over the plight of refugees grew.

The calm came as the Central Asian nation's news agency AKI Press reported that the death toll had risen to 176, a number that some observers discounted as low. A team of Red Cross doctors who visited Jalalabad's main hospital estimated the death toll at "several hundred."

The streets of the southern city of Osh appeared deserted, except for a few pedestrians and army checkpoints. Stores, warehouses and shops were burned along miles of streets, which were patrolled armed police and soldiers.

Near the airport, the most dangerous part of town, no one could be seen on the streets, which were quiet except for the sounds of sporadic gunfire.

In Jalalabad, about an hour away, journalist Dalton Bennett accompanied Kyrgyz military through the streets Tuesday evening and told CNN that the military appeared to have imposed total control in the downtown area.

Explainer: Kyrgyzstan's ethnic unrest

But, in the outskirts of town, sporadic gunfire and impromptu "checkpoints" continued, he said.

About two-thirds of the downtown area had been looted and/or burned, with Uzbek-owned buildings appearing to have been the primary targets, he said.

Buildings marked "Kyrgyz" appeared undamaged, he said.

In recent days, more than 100,000 ethnic Uzbeks have fled the clashes with ethnic Kyrgyz, streaming into camps in neighboring Uzbekistan, according to Uzbekistan's Foreign Ministry.

Thousands more have been denied passage into Uzbekistan because of a lack of resources. Many were standing on the Kyrgyz side of a barbed-wire fence.

Three border crossings between Kyrgyzstan and Uzbekistan were open, Uzbekistan's Foreign Ministry said. One, at Yor Kishlok, Uzbekistan, remained closed. The closure came after throngs of people fleeing the violence overwhelmed refugee camps in Uzbekistan.

Working together, the International Committee of the Red Cross and the Red Crescent Society of Kyrgyzstan have helped 16 medical facilities caring for more than 1,130 injured people in the past week, the ICRC said in a statement.

Police said 15 officers have been killed.

The United States and Germany have evacuated 89 people -- including 31 Americans and 40 Europeans -- from Osh, the German Foreign Ministry said Tuesday. They were taken to the capital, Bishkek, in the north.

The United States is providing humanitarian assistance to the impoverished country and evaluating what further help may be needed, including military, a senior U.S. health official said in Washington.

"Right now our focus is humanitarian but it remains to be seen exactly what, if any, security assistance Kyrgystan needs," said the official, who spoke on background because of the diplomatic sensitivity of the issue. The official said the United States is not considering acting alone to provide any security assistance.

The U.S. military said the interim Kyrgyz government has presented an official request for aid from the U.S. government beyond the $800,000 in humanitarian assistance already provided.

U.S. officials were working with the provisional government to determine how best to distribute another $200,000 in medical and emergency supplies.

The clashes are part of the most serious outbreak of ethnic violence in the former Soviet republic since 1990, when hundreds of people died in skirmishes between Uzbeks and Kyrgyz in Osh.

It was not clear what sparked the violence, which came weeks after bloody protests removed Kyrgyz President Kurmanbek Bakiev from office. But it was clear that Tuesday's calm did not indicate an end to the crisis.

"This is far from over," said Anna Nelson, a spokeswoman for the International Committee of the Red Cross, in a telephone call with CNN from Geneva, Switzerland. "It's still extremely volatile. The needs are still extremely great."

Those Uzbeks who are most vulnerable are those who have had to remain in Kyrgyzstan, many of whom include orphans and the elderly, she said. For some, the situation is dire. "Orphanages are running out of food," she said.

Mosques and hospitals in Jalalabad are receiving large numbers of burn victims and people with gunshot wounds, she said.

On Uzbekistan's side of the border, refugees were seeking shelter in parking lots and abandoned buildings, the ICRC said. As demand for water outpaced supply, some refugees were drinking from irrigation ditches, raising concern about outbreaks of diarrhea.

Some analysts have said the clashes stem from resentment from minority Uzbeks that they have been under-represented in government positions and fears from ethnic Kyrgyz that Uzbeks in the country will help Uzbekistan invade Kyrgyzstan.

Refugees were seeking help at bleak camps on the Kyrgyz border with Uzbekistan.

"People are screaming, 'We need food; we need food,' to those who are passing by," EU Commissioner Kristalina Georgieva said.

But in the refugee camp in Yor Kishlock, there were ample supplies of food, tents, beds, sheets and blankets. The vast majority of the camp's occupants were female. They said the males had largely stayed behind to look after their homes.

The United Nations said it was sending an emergency team to Uzbekistan to aid refugees who had crossed the border. U.N. Security Council President Claude Heller said the group condemns the "continued acts of violence in the Kyrgyz Republic and notes the need to support the delivery of humanitarian assistance."

He said the council was assessing the situation in Kyrgyzstan and called for "calm and a return to the rule of law" in the country.

In Osh, that calm did come Tuesday. But some wondered how long it would last.

"A pause before the unknown, and it's not clear if dark or light is ahead," said relief worker Will Lynch said.

CNN's Matthew Chance, Brian Walker, Jill Dougherty and Nic Robertson contributed to this report.

@highlight

NEW: Death toll at 176, Kyrgyz news agency reports; Red Cross estimate is higher

@highlight

NEW: Concern grows over plight of ethnic Uzbeks who have fled the unrest

@highlight

NEW: "This is far from over," Red Cross says