(CNN) -- By the end of the Super Bowl on Sunday night, one or more professional football players will be hailed for their valor, for their guts, for their devotion to their teammates.

They will be called heroes.

And more than 100 million people will be watching.

But because, predictably, those laudatory words will be thrown around so casually on Sunday, perhaps we can take a few minutes here to address an act of genuine valor that happened exactly 70 years ago today.

It wasn't televised. There were no sponsors.

On February 3, 1943, an Army transport ship called the Dorchester, carrying American soldiers through the icy North Atlantic on their way to serve in World War II, was about 100 miles off the coast of Greenland in rough sea. More than 900 people were on board.

Many of them were little more than boys -- young soldiers and sailors who had never been so far from home. The journey had been arduous already, with the men crammed into claustrophobic, all-but-airless sleeping quarters below deck, constantly ill from the violent lurching of the ship.

In the blackness of night, a German submarine fired torpedoes at the Dorchester.

One of the torpedoes hit the middle of the ship. There was pandemonium on board. The Dorchester swiftly began to sink.

The soldiers and sailors, many of them wakened from sleep by the attack, searched desperately in the dark for life jackets and lifeboats and a route to safety.

With them on the ship were four military chaplains, from four disparate religions.

They were Father John Washington, born in Newark, New Jersey, who was Catholic; the Rev. Clark Poling, born in Columbus, Ohio, who was ordained in the Reformed Church in America; Rabbi Alexander Goode, born in Brooklyn, New York, who was Jewish; and the Rev. George Fox, born in Lewistown, Pennsylvania, who was Methodist.

In the chaos onboard, according to multiple accounts by survivors of the attack, the four men tried to calm the soldiers and sailors and lead them to evacuation points. The chaplains were doing what chaplains do: providing comfort and guidance and hope.

"I could hear men crying, pleading, praying," a soldier named William B. Bednar would later recall. "I could also hear the chaplains preaching courage. Their voices were the only thing that kept me going."

With the Dorchester rapidly taking on water, there were not enough life jackets readily available for every man on the ship.

So, when the life jackets ran out, the four chaplains removed their own, and handed them to soldiers who didn't have them.

More than 600 men died that night in the frigid seas, but some 230 were rescued. And some of the survivors, in official accounts given to the Army, and in interviews after the war, reported what they saw as the ship went down:

Those four chaplains, men of different faiths but believing in the same God, their arms linked, standing on the deck together in prayer.

They had willingly given up their futures, their lives, to try to help the men who had been placed by the Army in their care.

The U.S. Army War College has in its records a narrative of what happened that night. One of the men who survived the sinking of the Dorchester, a Navy officer named John J. Mahoney, is quoted as recalling that before heading for the lifeboats, he hurried in the direction of his quarters.

Rabbi Goode, seeing him, asked where he was going. Mahoney said he had forgotten his gloves, and wanted to retrieve them before being dropped into the cold sea.

Rabbi Goode said that Mahoney should not waste fleeting time, and offered Mahoney his own gloves.

When Mahoney said he couldn't deprive Rabbi Goode of his gloves, the rabbi said it was all right, he had two pairs.

Only later, according to military historians, did Mahoney realize that of course, Rabbi Goode was not carrying an extra pair of gloves. He had already decided that he was going down with the ship.

According to the Army War College account, another survivor of the Dorchester, John Ladd, said of the four chaplains' selfless act:

"It was the finest thing I have seen or hope to see this side of heaven."

The story of the four chaplains was quite well known in America for a while; in 1948 a first-class 3-cent postage stamp was issued bearing their likenesses. There are still stained glass windows in some chapels across the U.S. that pay tribute to the four men, including at the Pentagon. But the national memory is short, and they are no longer much discussed. February 3 was, years ago, designated by Congress to be set aside annually as Four Chaplains Day, but it is not widely commemorated.

This Super Bowl Sunday, with its football heroes whose televised exploits are bracketed by commercials for beer and corn chips, will be no exception. The nation's attention, this February 3, will be focused on the game.

But perhaps, at some point in the day, we can pause for a moment to reflect upon what valor and courage and sacrifice really mean. How rare they truly are.

And to recall the four men who remain, in the words with which their grateful and humbled country honored them on the front of that long-ago postage stamp, "these immortal chaplains."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: On Super Bowl Sunday, football players will be called gutsy, heroic

@highlight

He says for real heroism, look to four WWII chaplains who sacrificed lives on this day in 1943

@highlight

He says the helped young soldiers to safety, giving up life vests, when their ship hit

@highlight

Greene: They went down with ship. Think of them while you're cheering football "heroes"