(Health.com) -- State laws that place restrictions on teenage drivers and require them to "graduate" from an intermediate license to a full license do seem to prevent fatal crashes involving teens, but only among the youngest drivers.

A new analysis of national crash data published this week in the Journal of the American Medical Association found that between 1986 and 2007, the rate of fatal accidents involving 16-year-old drivers was 26% lower in states that prohibited teens from driving at night and carrying certain passengers, compared to states with neither restriction.

Among 18-year-olds, however, strong graduated driver licensing (GDL) programs were associated with a 12% increase in the fatal crash rate, which effectively cancelled out the benefits among younger drivers. When teen drivers of all ages were pooled together, the link between these programs and the rate of fatal crashes was statistically negligible.

Health.com: Your car made healthy

"Right now, we're not getting the net effect across all teens that we're hoping for," says Scott V. Masten, Ph.D., the lead author of the study and a researcher at the California Department of Motor Vehicles, in Sacramento. "We're getting this washout where we do save some lives overall, but not nearly what we thought it [would be]."

Since the first GDL programs were established in 1996, there have been 1,348 fewer fatal crashes involving 16-year-old drivers and 1,086 more involving 18-year-olds, according to the study.

Masten and his colleagues can't explain the increase in traffic deaths among 18-year-olds, but they suggest that it may be a form of "payback" for the restrictions on younger drivers. By limiting teen driving, they explain, graduated-license laws may deprive younger teens of valuable driving experience, and in some cases may lead teens to delay getting a license altogether.

"They're saying, 'Forget it. I'll wait till I'm 18,'" Masten says. "We have, at least in California, more novice 18- and 19-year-olds with no driving experience."

Health.com: 7 ways to drive like a pro

GDL programs are now in place in one form or another in all 50 states plus the District of Columbia. Every state requires would-be teen drivers to first get a learner's permit, during which they can drive only with a parent or other adult, but beyond that the strength of the programs varies.

For the purposes of the study, Masten and his colleagues considered GDL programs that prohibit teens from driving after 1 a.m. and carrying certain passengers to be "stronger," while they considered programs with just one of those restrictions to be "weaker."

The pattern of fatal crashes associated with weaker GDL programs was similar, though less pronounced, than the pattern seen with stronger programs. In states with weaker programs, fatal crash rates were 16% lower among 16-year-olds and 10% higher among 18-year-olds than in states with neither of the two key restrictions.

Health.com: Your emergency car kit

"The expectation was that older [teen] drivers wouldn't be affected much one way or the other, so this is a new thing to think about," says Anne McCartt, Ph.D., senior vice president for research at the Insurance Institute for Highway Safety, an Arlington, Va.-based nonprofit organization dedicated to reducing traffic deaths and accidents.

But McCartt, who coauthored an editorial accompanying the new study, says this and other research suggests that GDL programs do help protect younger teen drivers. Although "the evidence is mixed at this point about how GDL affects older teens," she says, "I don't think there's any study that hasn't found a large benefit for 16-year-olds."

Health.com: How to be safe -- not sorry -- behind the wheel

The study had some important limitations that will need to be addressed in future research. For one, the authors looked only at fatal accidents, which account for a small percentage of all crashes and aren't representative of accidents as a whole. (Alcohol and speeding are more often a factor in fatal crashes, for example.)

Masten and his colleagues also suggest that the findings from their nationwide analysis don't necessarily reflect the effectiveness of specific GDL programs, given the variety in state laws. The age restrictions surrounding graduated licenses differ between states, Masten notes, as do the laws concerning learner's permits, passengers, and nighttime driving.

Copyright Health Magazine 2011

@highlight

Rate of fatal accidents involving 16-year-old drivers was 26% lower in states with restrictions

@highlight

Strong graduated driver licensing (GDL) programs associated with a 12% increase in fatal crash rate

@highlight

GDL programs are now in place in one form or another in all 50 states