(CNN) -- Picture this scene: an iPad resting on a table with the familiar 2D image from a video call on the screen.

The flat display shows your caller's upper body, talking away. But below this their hands and arms reach up out of the tabletop into the physical world, gently lifting a small red ball off the table and passing it from one digitally-recreated hand to the other.

It can already happen.

It's the work of the inFORM Dynamic Shape Display: a tabletop covered in miniature white squares that rise up like towers, to turn digital content into physical objects. Used in conjunction with a 3D sensor, like Microsoft's Kinect, it can capture a person's physical appearance and reproduce it in tiny skyscraper-like "pixel" blocks -- on-the-fly, anywhere in the world.

"Essentially it's very similar to those kind of pin toys that you might know from museum novelty stores," explains MIT's Daniel Leithinger, part of the Tangible Media Group behind the inFORM.

Similar -- yes -- just a lot more impressive.

To add color to the block shapes, a projector on the ceiling beams down light, turning the towers psychedelic hues as Leithinger demonstrates the table's capabilities.

It also has a deeper purpose -- communicating an extra layer of information from the sender to the receiver on the other end: "When you move your hands, not only do you have the shape of the hands, but you also see the color, the texture of the hands," says Leithinger.

Leithinger shows off a couple of the table's party tricks: sculpting a model car from the blocks, coloring it in, and video-chatting about it with a colleague -- allowing them both to get hands-on with the model, regardless of physical distance.

The display doubles as an active controller, allowing a user to interact with 3D menus constructed by the table by moving the little red ball.

"It's not real 3D because we can only push up and down each one of these pins," says Leithinger. "We can't push them sideways or have any other control over them at the moment -- we usually call this affect '2.5D'"

Even so, the inFORM's remarkable capabilities seem to given some users big ideas. "A lot of comments we get are like -- 'Oh, it's like a super power'," he laughs.

They say it feels like being X-Men nemesis Magneto, he explains -- suddenly having the power to manipulate the world at a distance, just with a wave of your hand.

For Leithinger, his ambitions are a little more down to earth.

"In the future, where we hope to get is something like, say, a phone that you could have in your pocket, and as you interact with things on the phone you can actually touch them."

It remains to be seen whether or not users will be excited about a smartphone that can poke them back. Leithinger, for one, has a good feeling about it.

@highlight

The inFORM Dynamic Shape Display is a table that can render 3D content physically

@highlight

Using a Kinect sensor, users can create a 3D likeness of their hands

@highlight

The display can also be used as a controller