(CNN)It came a day early. Baltimore investigators handed their files on Freddie Gray's death over to prosecutors Thursday, but the public shouldn't expect much.

It's largely a procedural step, and given the overtures from Baltimore officials, the state's attorney's decision on whether to file charges against the six officers involved in the arrest will not be immediate.

No reports will be made public, police Commissioner Anthony Batts said, echoing an assertion he made last week that even after the prosecutors receive the files, the task force assigned to Gray's death will continue investigating.

"That is just us sitting down, providing all the data we have. We will continue to follow the evidence wherever it goes," Batts said.

The Gray family's legal team had no expectations otherwise.

"I hate to say this, but I think if people are waiting for answers or charges to come," attorney Mary Koch said this week, "I don't think that's going to happen based on the way the process works, and I think that the government officials need to advise people of how the process honestly works and to lower their expectations about what's going to happen."

Mayor Stephanie Rawlings-Blake seemed reluctant to do so during a Thursday interview with CNN. Pressed several times on whether answers would be forthcoming, the mayor seemed to dance around the question.

Handing over the report represents "an inflection point," she said at first, before explaining that it also marks a "continuation in a process toward justice." She went on to reiterate a point officials have made several times, that releasing information hastily could jeopardize the probe and any possible prosecution.

Asked again if it was fair for people to assume they would not get answers immediately, she said Baltimore officials had a "duty to protect the justice process." Prodded on whether the public should expect her or Batts to announce findings, she said she didn't want to "seek justice for optics" and explained she had spoken to schools, clergy and community leaders about what to expect.

Finally, asked flat out if people should expect an end to the saga when the report was handed over, she replied: "Well, it can't be the end. There's been no charges. There's been no trial. It cannot be the end."

The family understands the process and was warned at the outset to be patient, Koch said Thursday.

"We've told the family from the beginning that answers were not going to come quickly and that the investigation needed to be full and complete, ... and hopefully what will happen is the correct people are charged, those charged are prosecuted and that prosecution sticks," she said.

Perhaps lost amid the chaos that has descended on Baltimore is that there is not one, but two investigations, seeking to determine how Gray suffered a fatal spine injury in police custody.

The mayhem since Gray's April 19 death a week after his arrest -- the looting, vandalism, blazes, attacks on police and firefighters, marauding criminals stoking the havoc -- has overtaken, or at least outweighed, updates about the investigations.

Newly appointed Attorney General Loretta Lynch said Monday that the Justice Department's Civil Rights Division and the FBI "will continue our careful and deliberate examination of the facts in the coming days and weeks."

Because of the Baltimore police's history, the Justice Department has been working with the force since October as part of a reform initiative that will assess "policies, training and operations as they relate to use of force and interactions with citizens."

Rawlings-Blake requested that the Justice Department take a look at the police department, The Baltimore Sun reported, saying her request came on the heels of the newspaper's report that the city had paid almost $6 million in judgments and settlements in 102 police misconduct civil suits since 2011. Overwhelmingly, The Sun reported, the people involved in the incidents that sparked the lawsuits were cleared of criminal charges.

Asked during her Thursday interview why no police officers have yet been charged in Gray's case -- given that if the case involved civilians instead of officers there would ostensibly be probable cause for arrests -- Rawlings-Blake, an attorney by trade, said the question amounted to speculation and cited her efforts to reform the Baltimore Police Department and repair the community's mistrust in police.

"Quite likely, but it could be the same situation, and at the end of the day, it's about this case and making sure we're getting this case right. It has nothing to do with speculation about any other cases out there. This family wants justice. They don't want us to sit here and speculate about what could've have happened if it was a private citizen that did it," she said.

Rawlings-Blake and police officials have repeatedly promised answers and accountability.

"We welcome outside review," police spokesman Capt. Eric Kowalczyk has said. "We want to be open. We want to be transparent. We owe it to the city, and we owe it to the Gray family to find out exactly what happened."

According to police, officers encountered Gray on April 12 and he "fled unprovoked." Three officers gave chase, apprehended Gray and carried him -- screaming, his legs dangling listlessly -- to a police transport van. Once at the police station, officers requested an ambulance, which took Gray to the University of Maryland's Shock Trauma Center, where he died a week later.

An autopsy report indicated Gray died of a spinal injury, but Batts has said that the medical examiner was still awaiting a toxicology report and a spinal expert's analysis before issuing his final report.

So far, six officers involved in the arrest have been suspended with pay: Sgt. Alicia White, 30; Officer William Porter, 25; Officer Garrett Miller, 26; Officer Edward Nero, 29; Lt. Brian Rice, 41; and Officer Caesar Goodson, 45. Five of them have given statements to investigators, Batts said.

Releasing the officers' names is standard procedure after an in-custody death and in no way implicates wrongdoing, Kowalczyk said.

Though the investigation is not yet complete, Batts said last week there are at least two indications that officers involved in Gray's arrest did not follow protocol.

"We know he was not buckled in the transport wagon, as he should've been. No excuses for that, period," he said. "We know our police employees failed to get him medical attention in a timely manner multiple times."

That Gray wasn't buckled has raised speculation that he was injured during what's known as a "rough ride" or "nickel ride," in which officers place a handcuffed suspect in a police van and drive recklessly so as to toss the suspect around.

Asked if Gray could have incurred his injuries via a rough ride or outside of the van, Batts said there is "potential" that both could be true.

Baltimore police have established a task force of 30 investigators -- including members of the force investigation unit and homicide detectives -- to look into Gray's death, Batts said.

They've conducted dozens of interviews, canvassed the region on foot seeking witnesses and procured video from closed-circuit television cameras.

Deputy Commissioner Kevin Davis, who is overseeing the task force as the head of the Investigations and Intelligence Bureau, said last week that the evidence suggested the transport van carrying Gray made three stops before delivering him to the police station. But on Thursday, he said a privately owned camera had captured evidence of a fourth stop.

Rice and two other officers on bikes were the first to see Gray, Davis said last week. Two officers remained on their bikes and one gave chase on foot, pursuing Gray for about one-fifth of a mile, he said.

"That's where the apprehension of Freddie Gray occurred, and quite frankly, that's exactly where Freddie Gray should have received medical attention, and he did not," Davis said last week.

The paddy wagon carrying Gray traveled about one block before stopping, and Gray was removed from the van and placed in leg irons, Davis said last week.

On Thursday, Davis revealed that the van stopped again, about a mile from where police placed shackles on Gray. He did not elaborate on that stop.

From there, according to the narrative Davis provided last week, the van then traveled about half a mile before stopping again "to deal with Mr. Gray, and the facts of that interaction are under investigation," he said.

It was at that stop, Batts added, that officers lifted Gray off the floor and placed him on a seat in the transport van. Gray requested a medic during that stop, he said.

The van then traveled to another incident, about a mile away and just a few hundred feet from where Gray was first spotted and chased. There, a second prisoner was placed in the van, which headed back to the police department's Western District building, about a mile away, the deputy commissioner said.

It was only then that an ambulance was called and Gray was taken to the hospital.

"It's complex," Davis said of the probe. "It involves a minutiae of details. It requires our full talents, our full time, and we're going to get this right."

CNN's Chris Cuomo contributed to this report.

@highlight

Prosecutors get investigative report a day early, but don't expect immediate word on charges

@highlight

Attorney general: We're continuing "careful and deliberate examination of the facts"

@highlight

Gray family was told "answers were not going to come quickly," and that's fine, attorney says