(CNN) -- The premise of social discovery seems simple: Uncover the people and events around you, in real time, based on user interests and/or locations. But many worry today's social apps define privacy in very different and sometimes concerning terms.

In 2012, Instagram revamped its privacy policy to much protest, and Path settled a case with the FTC over its personal information collection practices. As more of these social discovery applications emerge, two concepts remain key: user discretion and transparency.

SEE ALSO: 10 Free iPhone Apps You'll Use Every Day

On the other hand, some users subsets are growing into the new social media landscape, when it comes to privacy. According to "Teens, Social Media and Privacy," a report issued last month by Pew Internet, teens are sharing more information about themselves on social media sites than they have in the past, but they're also taking a variety steps to manage the privacy of that information.

The report indicates that 91% have posted a photo of themselves (compared to 79% in 2006); 20% share their cellphone numbers (compared to 2% in 2006), and 16% automatically include location in their posts (very rarely an option at all in 2006). Only 9% say they are very concerned about third parties accessing their data.

For one, social media user Jordan Kaneshiro of Honolulu, Hawaii is wary of all things location-based. "It's one thing to throw a quick status on Facebook or update at the end of the day, but constant updates on where you are or where someone else is doesn't really add value to my life," he says. "The only good use case is if I'm out and about and have nothing better to do. [I] find out someone I know is close, so we can hang out."

We gleaned some insight from developers behind three very different location-based discovery apps — Imo.im, Highlight and Banjo --- along with their users, to find out whether the value of sharing outweighs the apps' "TMI" factors. We asked how they aim to make privacy settings more transparent than in years past.

Imo.im — a communication tool to call, message and create chat groups with existing friends — recently launched a new broadcasts channel, where users connect with like-minded people and groups. The app targets specific users based on their locations, interests and in-app interactions.

Imo.im CEO Ralph Harik says user transparency was key in developing a trustworthy and safe resource, where users would be comfortable sharing with one another.

"Often with new technology, there is a bit of hesitation from users who don't understand how to use it, and what is and isn't okay," he tells Mashable. "Since we started developing the Imo network, we've focused on creating policies that are transparent to our users, as well as building out a user support and safety team."

On Imo, users can block messages from certain people and hide their availability from people not in their contacts. They also have the option to turn broadcasts off and on. In response to users still wary about exposing too much information or sharing with people they don't know, Harik says they can access people they may not be able to otherwise.

"Broadcasts are quite a mixed bag. Because they're public and anyone can post them, it's not uncommon to see some very strange people talking about very strange things," "Broadcasts are quite a mixed bag. Because they're public and anyone can post them, it's not uncommon to see some very strange people talking about very strange things," says Imo user Dan Hlavenka of Elmhurst, Ill. "However, the vast majority of posts I've seen have been really cool. Usually, I'll see people sharing interesting recipes or cool new music, or debating political issues."

To reduce unwanted conversations, Imo broadcasts utilize "communication points," which help users avoid unwanted attention. If a user doesn't have you in his or her contact list, it will cost you points to message them. Earn points by inputting data about yourself, linking social media accounts and inviting others to join the network.

"I'm more than happy to share plenty of details about myself," Hlavenka says. "But when comes to personally identifying information, I'm a lot more wary."

Social discovery app Highlight alerts you when other users or friends are nearby. By giving you the ability to see exactly where they are via map, you also have access to their names, photos, mutual friends, social networks and interests in common.

"The premise sounds really cool: sifting through the people around you to help leverage social networks. But I find it creepy," says Highlight user Katherine Stewart of Richmond, Va. "I think it would be cool in a city like New York or Chicago. In Richmond, there weren't very many users, so you would see the same people every day pop up."

While Highlight founder and CEO Paul Davison sees the app as a "bird's eye view of the world," he says it is going to take awhile to figure out social norms as more products use new technology for sharing.

"Any time a new piece of technology comes out, it has never been an option before, so it might be uncomfortable at first," Davison says. "But over time, the social benefits outweigh the cost of privacy ... Look what happened with Facebook, LinkedIn, Twitter and Foursquare."

In turn, he says, users can manage their privacy settings by limiting their profiles to who can find you, and where, even electing "hiding spots" that let them go "off the grid."

"The service is entirely opt-in; everyone has chosen to do it," Davison says.

Combining location and social updates, Banjo delivers publicly available posts from social networks — Facebook, Twitter, Instagram, Foursquare, LinkedIn and Google+ — from any location in the world, whether from your friends and common connections, or the general public.

Users can find posts from specific locations by entering a keyword, something Banjo founder and CEO Damien Patton calls a "there" instead of "here" experience. A recent app update added channels (sports, music, news, etc.), which allow people to observe live events around the world. Or if you missed it, go back in time and see everything that was posted for the event.

An additional Banjo feature alerts users when friends from their social networks are nearby, an in-app commodity that, according to Patton, everyone should be doing. He wouldn't categorize Banjo in the "social discovery" realm, though, because it's more location-focused, something he says you can't really talk about without mentioning privacy.

"You have to give the user full control of how they adjust their privacy," he says. "We check the privacy settings you have on every social network connected, so that posts are shared with the intended audience only ... Banjo never shows your location unless you want it to."

He explains that a user's location is determined by his vicinity or region, not his exact position, and that users have control and power over how much they want to share.

"As long as my location is never more accurate than the name of the city I'm in, I don't find it creepy at all," says Hlavenka. "I don't particularly care that a lot of the people I talk to are relative strangers. As long as they've got something interesting to say, I'm happy to listen."

Are you satisfied with the privacy options on your favorite social networks? Do social discovery apps get a pass due to their very nature? Share your opinions on social media privacy in the comments below.

This article originally appeared on Mashable.

© 2013 MASHABLE.com. All rights reserved.

@highlight

Many worry new apps define privacy too loosely

@highlight

Studies show people are sharing more on social media

@highlight

Social app creators say people are always wary of new technology

@highlight

Combining location and social posts can give away life info