(CNN) -- Facing weak support for U.S. military action, President Barack Obama said Monday that a plan to have Syria hand its chemical arsenal over to international control could avert American strikes "if it's real."

"It's certainly a positive development when the Russians and Syrians both make gestures towards dealing with these chemical weapons," President Barack Obama told CNN's Wolf Blitzer on Monday. But Obama said the threat of American force would remain, "And we don't want just a stalling or delaying tactic to put off the pressure that we have on there right now."

Obama was making the rounds of television interviews in an effort to shore up support for a congressional resolution that would authorize him to launch punitive raids on Syria, which his administration accuses of using poison gas against opposition forces and civilians. He's scheduled to address the nation Tuesday night, and that speech is still on, he said.

But a CNN/ORC International Poll out Monday found Americans strongly opposed to attacking Syria. Of the 1,022 people polled between Friday and Sunday, 59% said Congress should not authorize military action, and 72% said American strikes would achieve no significant goals.

In the Senate, Majority Leader Harry Reid postponed a procedural vote that had been scheduled for Wednesday after the proposal floated by Russian Foreign Minister Sergey Lavrov. An aide said the Russia proposal on chemical weapons is serious and fluid enough that senators do not want to lock themselves into a position on Syria just yet.

The Russian proposal came after comments by Secretary of State John Kerry earlier Monday -- remarks that the State Department said were meant to be rhetorical, but which Lavrov proposed concretely.

Asked during a stop in London whether there was anything Syrian President Bashar al-Assad's government could do or offer that would stop an attack, Kerry said that al-Assad "could turn over every single bit of his chemical weapons to the international community in the next week" -- adding, "He isn't about to do it, and it can't be done, obviously."

Syria's chemical arsenal at a glance

Soon afterward, Lavrov said Russia, Syria's leading ally, urged al-Assad to do just that if it would avert a U.S. military response. And Syrian Foreign Minister Walid Moallem, who was meeting with Lavrov in Moscow, told reporters that Damascus welcomes the proposal.

"We are also confident in the wisdom of the Russian government, which is trying to prevent an American aggression against our people," Moallem said.

White House spokesman Jay Carney said Washington remained "highly skeptical" of the Syrian regime. But Obama told CNN, "We have not seen these kinds of gestures up until now," suggesting his threat of force had prompted "some interesting conversations."

"We're going to run this to ground," the president said. "And John Kerry and the rest of my national security team will engage with the Russians and the international community to see, can we arrive at something that is enforceable and serious."

'Expect everything' if U.S. attacks, al-Assad says

Washington accuses Syria's government of launching a chemical attack outside Damascus on August 21, killing more than 1,400 people, hundreds of women and children among them. That led to Obama's call for military action, with the American leader arguing that strikes are needed to enforce a longstanding international taboo on the use of poison gas.

Syria denies its forces unleashed chemical weapons, and al-Assad said government troops were on the receiving end of a gas attack. Al-Assad told "CBS This Morning" interviewer Charlie Rose on Monday that the West lacks "a single shred of evidence" that his government was behind the attack.

Samples collected by U.N. weapons inspectors are still being tested, and even then, the inspection team was charged only with determining whether chemical weapons were used -- not who used them. But Washington says it knows the trajectory of the rockets used to deliver the gas, that Syrian commanders ordered troops to don gas masks and learned of fears by top Syrian officials that U.N. inspectors would discover evidence of the attack.

Al-Assad warned Monday that his country would lash out in potentially unpredictable ways after a U.S. military strike, telling CBS, "You should expect everything." He sidestepped the question of whether he would use chemical weapons against Western forces, but invoked the September 11, 2001, attacks on New York and Washington to warn that military action has unforeseen consequences.

"It is difficult for anyone to tell you what is going to happen," he said. "It's an area where everything is on the brink of explosion."

But on CNN's "The Situation Room," Obama snapped back that Syria is no threat to the United States.

"Mr. Assad doesn't have a lot of capability," Obama said. "He has capability relative to children. He has capability relative to an opposition that is still getting itself organized and are not professional, trained fighters. He doesn't have a credible means to threaten the United States."

The United Nations estimates that more than 100,000 people have been killed in Syria's civil war, now 2Â½ years old. Another 76 deaths were reported on Monday, according to the Local Coordination Committees of Syria, a network of opposition activists.

Of Monday's fatalities, 37 were in Damascus and its suburbs, where the August 21 attack took place, the LCC reported.

French intelligence believes that al-Assad ordered the attack because he feared a major rebel attack from the suburbs that could have endangered his control of Damascus and the route leading to the city's airport, according to a French Defense Ministry official who briefed reporters on background Monday.

But a German newspaper reported Sunday that German intelligence intercepted communications that indicate al-Assad had repeatedly denied his military approval for chemical attacks.

Calls to intervene have been shadowed by bitter memories of Iraq, when the Bush administration said that country's hidden arsenal of chemical and biological weapons and a clandestine nuclear weapons program posed a threat that required a U.S.-led invasion in 2003. Iraq was later found to have disbanded its weapons programs under U.N. sanctions in the 1990s.

Lawmakers in Britain, which committed troops to Iraq, voted to preclude their military from participating in any strike. French President Francois Hollande supports a military response, but French Foreign Minister Laurent Fabius said in a statement Monday that the Russian proposal "deserves a thorough examination."

Fabius said, however, that the Security Council needs to oversee the process; that it should start immediately; and the plan shouldn't let anyone off the hook for ordering a chemical attack.

At the United Nations, Secretary-General Ban Ki-moon said he is also considering asking the Security Council to demand the Syrian government immediately hand over its chemical weapons to be destroyed. Ban said Monday that if U.N. inspectors confirm the use of chemical weapons in Syria, it would be an "abominable crime" worthy of international response -- but he has previously warned against "further militarization of the conflict" in Syria.

Could a 'goof' be a solution?

A senior State Department official who spoke on condition of anonymity said Kerry and Lavrov were on a previously scheduled call before Kerry flew back from London when Lavrov brought up his remarks.

"I saw your comments this morning," Lavrov said to Kerry, the State Department official said. The Russian foreign minister said he would speak about the issue but played down the idea that a proposal was on the table during the 14-minute conversation, the official said.

Kerry told Lavrov that the United States "is not going to 'play games,'" the official said. "If there is a serious proposal, we will take a look."

One U.S. official called Kerry's remarks a "major goof," adding that America's top diplomat "clearly went off script." And several State Department representatives tried to clarify Kerry's remarks later in the day, calling them a "rhetorical argument."

"His point was that this brutal dictator with a history of playing fast and loose with the facts cannot be trusted to turn over chemical weapons. Otherwise he would have done so long ago," State Department spokeswoman Jen Psaki said. "That's why the world faces this moment."

The prospect of a diplomatic deal is likely going to make the Obama administration's attempts to make a case before Congress even more difficult, said Michael O'Hanlon, a senior fellow at the Brookings Institution. Lawmakers who are already debating whether to pass resolutions authorizing military action now may want to rewrite them, he said.

"It's going to obviously throw a monkey wrench in the gears on a number of things," he said.

But it got a hopeful reception in Congress, where the chairwoman of the Senate Intelligence Committee said she would welcome Syria's chemical disarmament "to prevent an international strike."

"I believe that Russia can be most effective in encouraging the Syrian president to stop any use of chemical weapons and place all his chemical munitions, as well as storage facilities, under United Nations control until they can be destroyed," said Sen. Dianne Feinstein, D-California.

Feinstein's House counterpart, Michigan Republican Rep. Mike Rogers, said Washington should review the Russian proposal to "see if there's any teeth to their bark." And Sen. Bob Corker, R-Tennessee, the ranking Republican on the chamber's Foreign Relations Committee, said the best way to reach a diplomatic solution to the conflict "is for us as a nation to stay strong."

"If it is real, and if Syria is willing to make immediate concrete steps, certainly that's something worth looking at," Corker said. "But it's very difficult to tell if it's that or just a way of creating a fog around this whole issue."

Sen. Jack Reed, a leading Democrat on the Armed Services Committee, said the Lavrov proposal is a "distinct change" in Russia's stance, "going from sort of defenders of the regime to now saying there's a real serious problem with chemical weapons in Syria."

"It is very thoughtful," said Reed, of Rhode Island, who described himself as undecided on Syria. "It goes to the essential objective that we should have, which is to deter the use of chemical weapons. This should not be about trying to settle a civil war raging in Syria."

CNN's Michael Pearson, David Simpson, Jamie Crawford, Dana Bash, Elise Labott, Alex Felton, Jill Dougherty, Jim Sciutto, Larry Shaughnessy, Joe Sterling and Jake Tapper contributed to this report.

@highlight

Russian proposal a "positive development" but can't be a "delaying tactic," Obama says

@highlight

Al-Assad warns Washington: "expect everything" if you attack

@highlight

France says Moscow's plan deserves a look, with conditions

@highlight

Poll: Most Americans oppose Syria attack