United Nations (CNN) -- World leaders met at the United Nations on Tuesday for the first day of debate at the 67th session of the U.N. General Assembly.

Here are five things we learned:

1. The Syrian conflict is at a stalemate, and the global community can't agree on how to stop the bloodshed.

U.N. Secretary-General Ban Ki-moon opened the day with a strong condemnation of the 18-month crisis in Syria, which has spiraled into a civil war. The situation grows worse by the day, he said, and is no longer limited to that country.

"It is a regional calamity with global ramifications. This is a serious and growing threat to international peace and security, which requires Security Council action," he said.

Ban's comments were no doubt directed at Russia and China, Security Council members that have repeatedly blocked draft resolutions that would take strong action against the embattled government of Syrian President Bashar al-Assad.

French President Francois Hollande described the situation in Syria as urgent, adding that France -- also a Security Council member -- would recognize a new government as soon as it was officially formed.

Earlier, international peace envoy Lakhdar Brahimi said the conflict was at a stalemate. "There is no prospect for today or tomorrow to move forward."

Brahimi added that he has plans to meet with Russian and Chinese leaders in an effort to forge a lasting solution, and that there were indications the country's anti-government resistance is growing more unified.

2. Time may be running out for a two-state solution to the Palestinian-Israeli conflict.

Ban and others dived head-first into the controversial issue of Palestinian statehood. Nearly a year after its failed bid to win United Nations recognition as an independent state, the Palestinian Authority is preparing to try again.

But unlike last year's attempt, which stalled in the Security Council, the Palestinian Authority is expected this time to seek nonmember observer status, one step up from its current status as a permanent observer.

"The Palestinians must be able to realize their right to a viable state of their own. Israel must be able to live in peace and security, free from threats and rockets. The two-state solution is the only sustainable option, yet the door may be closing for good," Ban said.

President Barack Obama called on world leaders to "leave behind those who thrive on conflict, those who reject the right of Israel to exist."

"The road is hard but the destination is clear -- a secure, Jewish state of Israel; and an independent, prosperous Palestine," the U.S. president said.

Jordan's King Abdullah II urged both sides to resume full negotiations toward a lasting settlement.

"For almost 65 years, the Palestinian people have been the exception of the U.N. promise," he said. "The shelter of international law and human rights, except not yet."

"Enough," he demanded.

3. The United States will "do what (it) must" to stop Iran from obtaining a nuclear weapon.

Delivering remarks thought to be as much of a warning to Iran as an assurance to Israel, which has repeatedly threatened a pre-emptive strike, Obama said he remains committed to a diplomatic solution to Iran's disputed nuclear program.

But, he warned, "time is not unlimited."

"Make no mistake, a nuclear-armed Iran is not a challenge that can be contained," Obama said. "The United States will do what we must to prevent Iran from obtaining a nuclear weapon."

Iran says its nuclear program is for peaceful purposes and to fill energy shortages, but Western leaders believe Tehran is an aspiring armed nuclear power. U.N. inspectors have also expressed doubts about the program's aims.

Secretary-General Ban said Iran must prove the "solely peaceful intent of its (nuclear) program."

4. Fault lines appear among nations in their reaction to the anti-Islam film that triggered protests in the Muslim world.

Several leaders addressed the inflammatory video that mocks the Prophet Mohammed as a womanizer, child molester and killer. The privately produced film sparked protests against the United States, where it was made.

While most of the demonstrations were peaceful, some were marred by violence that has left more than two dozen people dead -- among them U.S. Ambassador to Libya Chris Stevens and three other Americans killed in an attack on the consulate in Benghazi.

Pakistani President Asif Ali Zardari opened his remarks by commenting on the film.

"I want to express the strongest condemnation for the acts of incitement against the faith of billions of Muslims of the world, and our beloved Prophet Mohamed," he said. " Although we can never condone violence, the international community must not become silent observer, and should criminalize such acts that destroy the peace of the world and endanger the world security by misusing freedom of expression."

Obama, who described the video as "crude and disgusting," said he understood why people would take offense to it as millions of Americans did, too.

He stressed the United States had nothing to do with its production, but defended the right of such a film to exist and slammed the violent reaction to it.

"I know there are some who ask why don't we just ban such a video. The answer is enshrined in our laws," Obama said.

"There is no speech that justifies mindless violence. There are no words that excuse the killing of innocents. There's no video that justifies an attack on an embassy."

5. The crisis in the Sahel region of Africa is "intolerable."

French President Hollande spoke out from the lectern about the Sahel, where a deadly mix of drought, famine and Islamic militancy has unleashed a crisis.

"The situation created by the occupation of territory in the north of Mali by terrorist groups is intolerable," he said.

The Economic Community of West African States has warned that more than 6 million people are at risk of hunger in the Sahel region of Africa, including more than a million children exposed to severe malnutrition.

Ban also addressed the Sahel during his remarks, saying it "is not getting sufficient attention and support."

The two leaders met to talk about ways to forge a stronger response to the worsening crisis.

@highlight

NEW: The Middle East, particularly Iran and Syria, dominates the first day

@highlight

NEW: The U.N. secretary-general and leaders of the U.S., France and Pakistan speak

@highlight

NEW: The addresses highlight some of the differences among member nations