(CNN) -- President Obama was crying. Not choked up, not somewhat emotional. He was crying. It was a startling sight -- after years of watching the man known for his coolness under pressure, for his analytic detachment -- to see him suddenly wearing his heart on his rolled up sleeve.

What happened? What made the president â€” "No Drama Obama," "President Spock" -- suddenly crack?

It happened Wednesday, the day after he won re-election, when he stood before the staff at his Chicago campaign headquarters to thank them for the work that helped make his victory possible. "What you guys have done," he said, "means that the work that I'm doing is important." His right index finger quickly wiped away tears as they streamed down his cheek.

Perhaps Obama felt emotionally overpowered by what awaits him even before he finishes his first term. The country is careering toward the "fiscal cliff," which really is the wrong term. It's more a fiscal suicide (fiscacide?) if the government irresponsibly pushes the country into a self-inflicted recession, complete with a renewed rise in unemployment. Without an agreement with Republicans, Americans, including Obama supporters weeping with him in that room, will face higher taxes and across-the-board spending cuts.

Martin: Why voter suppression fueled black turnout

There's more to get choked up about on the fiscal front. Even with an agreement, Obama will preside over higher taxes and spending cuts in months and years to come.

Maybe thoughts about the economy brought to mind the crisis in Europe, America's economic, political and diplomatic soul mate, where a fiscal crisis will not relent; where protesters continue taking to the streets in Greece, Spain and elsewhere, and where European Central Bank chief Mario Draghi just said there are few signs of recovery and there is not much more the bank can do to help Greece. A European unraveling would be terrible news for America.

But that's probably not what made him cry. Maybe he was thinking about other matter beyond U.S. shores, considering what awaits the people of Afghanistan, particularly the women there, when U.S. forces leave. Maybe he was thinking about what to do in Syria, where the killing continues unabated and refugees are fleeing by the thousands.

Or was he thinking about the intensifying confrontation with Iran? Just last week, Iranian fighter jets fired on an unarmed U.S drone flying over the Persian Gulf. On Monday, the head of the U.N.'s nuclear agency said Iran is not cooperating with an investigation on possible nuclear weapons work, after the agency reported "credible evidence" of Iran's efforts to build a "nuclear explosive device."

LZ: Obama's critics, repudiated at last

Maybe Obama was crying tears of joy. Maybe he was crying because of what winning re-election means. Maybe he was savoring the realization that election to a second term means the American people, however divided their vote, have given a seal of approval to his presidency; that if he had lost this election, he might have gone down in history as a failed president, rejected by voters after they gave him that first chance to prove himself.

Perhaps it was the knowledge that he will have another four years to pursue his agenda; or his new hope that this time around, there's a chance, however faint, that Republicans and Democrats will find a way to work together. That would bring the entire country to tears.

Opinion: My generation showed up

Or maybe Obama worried about the perils of a second term, when other presidents have found the political landscape littered with scandals, often caused by overconfidence among their own staff, by entrenched officials spending too much time at their jobs, growing arrogant after getting used to power.

It's more likely, however, that he was moved precisely by what he was saying, by the thought that he was inspiring a new generation, that all the hard work was not in vain. That watching his eager, overjoyed supporters, he felt, as he told them, "that the work that I had done in running for office had come full circle," and the weight of history, the knowledge that his impact will transcend him, gradually made its way from his mind to his heart.

But no, I believe it was something else.

I think Obama cried because he was exhausted, physically and emotionally, and that exhaustion broke through the emotional barriers he has built since he was a child.

He gave us the clues to the origins of his coolness in the pages of his memoir "Dreams from My Father." "People were satisfied so long as you were courteous and smiled and made no sudden moves," he wrote. "They were more than satisfied; they were relieved -- such a pleasant surprise to find a well-mannered young black man who didn't seem angry all the time."

Obama learned to keep calm; to conceal his emotions. But four years in the White House, months of presidential campaigning, the final stretch of competing in an election whose outcome was in doubt until the very end, it takes its toll. It caused a small shift in that thick earthen dam, a tiny leak. And that's where the emotions trickled out. That's where the sense of gratitude, the sense of history, the stress over what he has faced over half a decade -- as president and as a candidate the first time around -- finally broke through. And what we saw, after all that, was a brief, if startling display of presidential emotion.

It was a rare display, but now Obama may not find it possible to completely rebuild that fractured dam. I expect the next four years we will see a more emotive president. Now the secret of Obama's emotions may not remain hidden in the safety of the East Wing, where only his family can see it.

Obama's re-election allows him to show his human side with less trepidation. Decades of self-control won't fade away. But the president has shown himself and the majority of voters said they liked what they saw.

Obama II will remain cool, but he will allow himself to become less emotionally detached. After all, even Mr. Spock cried sometimes.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: It was startling to see Obama get emotional in talk to campaign workers

@highlight

She says there are many woes he faces: looming "fiscal cliff," Iran, Syria, the Europe crisis

@highlight

She says maybe tears of joy? But no, it's likely exhaustion finally broke through his facade

@highlight

Ghitis: Brutal re-election battle ended in victory; it should let him ease that self-control