London (CNN) -- Fifteen years after Diana, Princess of Wales died in a Paris car crash while being chased by the paparazzi, a French edition of the magazine Closer has angered the British royal family by publishing topless pictures of her son's wife Catherine.

The pictures were taken while Diana's oldest son Prince William and the Duchess of Cambridge were staying at a private chateau in Provence, France, according to Closer magazine.

A palace spokesman said their privacy had been invaded in a "grotesque and totally unjustifiable manner" adding: "The incident is reminiscent of the worst excesses of the press and paparazzi during the life of Diana, Princess of Wales, and all the more upsetting to The Duke and Duchess for being so."

France is famous for its strict attitude to privacy -- the nation only found out about former President Francois Mitterrand's second family just before he died -- so why have the images appeared in France? CNN examines some of the key questions about privacy.

Doesn't France have some of the strictest privacy laws in the world?

"Indeed it does," says Claire de Than, senior lecturer at London's City University Law School. She explains that there is comprehensive protection for privacy, potential civil and criminal liability, and human rights protection under the European Convention on Human Rights.

"Photographs of private events and individuals cannot legally be published without their consent," she said.

"The French Civil Code states that 'everyone has the right to privacy' and the courts have generally been strict in enforcing that right. The photographs should only have been published if they are in the public interest, or with consent. There is criminal liability for taking and transmitting photographs of private events without consent."

So how come the photos have been published there?

De Than says some organizations are willing to face the potential penalties, presumably hoping that fines will be lower than the massive increases in sales. "It is true that average fines have dropped in France in recent decades but image rights have been strengthening and there is a significant risk of this case reversing that trend," she said.

Can France handle the truth on sex lives of rich and powerful?

How does French law differ from that in the UK?

Again, de Than explains that French law is stricter since privacy has constitutional protection.

"The media have generally been more reluctant to publish private information (including photographs) than in the UK.

"However, once photographs have been published then the harm has been done and it is much more difficult to obtain an injunction, so when media are willing to break the law and face the consequences it simply does not matter how strong the legal protection is for citizens' rights."

Does European law play a part?

Yes. The European Convention on Human Rights is incorporated into French law, just as it is in UK law. Article 8 says that everyone has the right to respect for private and family life, but article 10 protects the right of freedom of expression, although it also adds that the exercise of this freedom carries "duties and responsibilities."

In making a judgment about privacy infringements the European Court of Human Rights has to balance the two, with neither right taking automatic precedence.The interpretations of the convention's provisions evolve through case law in each member state.

Earlier this year, key rulings in the European Court were welcomed by press freedom campaigners in the UK as tipping the balance towards the right to free speech.

Can the royal family start proceedings under the ECHR and if so how would they go about it?

Yes it can, but as privacy expert Jennifer Agate at London law firm Wiggin LLP explains, it would first have to issue proceedings in the French courts, where the breach of privacy has taken place.

"The national courts have a duty to enforce Article 8, so if proceedings there did not provide an adequate remedy, and having exhausted the French appeal process, the Palace would then be able to appeal to the European Court of Human Rights who would rule on whether France had failed in its Article 8 obligation," she said.

"This was the approach taken by former F1 racing chief Max Mosley when he felt that the UK courts had failed to protect his Article 8 rights by not imposing a duty to notify the subjects of tabloid stories before publication."

(Mosley won a privacy case against the now-defunct News of the World after it published a story falsely alleging that he took part in a Nazi-themed orgy.)

Mosley: Can the press be free but responsible?

Has anything changed since the death of Diana in 1997?

Christopher Meyer, the former chairman of the UK Press Complaints Commission, told CNN he thought much had changed in the UK.

"I don't think the paparazzi are coming back with a vengeance," he said. "In the UK there are pretty strict rules about what is private... but it doesn't stop the paparazzi from selling to other markets. It's difficult to police but that isn't an argument for not having some rules."

Only last month, Prince William's brother Harry was snapped naked at a party and the pictures were published in the American magazine TMZ. Only one British tabloid, The Sun newspaper, chose to publish the images. Meyer rejected a comparison saying: "That's a different case with different arguments."

What's the likelihood of the photos being published by newspapers elsewhere in the UK or around the world?

Jennifer Agate said prevention would be very difficult.

"In the UK they would be able to get an injunction against publication, but realistically they won't be able to stop publication elsewhere, particularly in the United States where the First Amendment is sacrosanct," she said. "The photographs are also likely to become available online, which presents an enforcement nightmare."

She adds: "The photographs are so obviously private and indefensible; it seems unimaginable that the major publishers in the UK will decide to publish. The British press have typically shown a respect for the royal couple's privacy, agreeing not to publish photographs taken on their honeymoon. Unfortunately that won't stop the photos becoming available online.

"This is a blatant breach which won't change the law, but it does highlight the inconsistencies in the approaches to privacy taken in different countries. What makes this so staggering is that publication has taken place in France, a country renowned for its strict privacy laws."

It is a view echoed by Roy Greenslade, professor of journalism at City University, London, and a former tabloid editor. He told the BBC he doubted any British newspaper or British-based magazine would dare to publish the images.

"They quite clearly will be in breach of the editors' code of practice which says you are not to photograph individuals in private places without their consent, and you would need to have a public interest reason for overcoming that and I can't see that there would be one."

He also said the British press risked a backlash from the public if they published them. "I have a feeling that there might be a bad reader reaction to obviously intrusive pictures. I may be misreading the public view here, but I think she's quite a popular figure and the idea they might intrude in this fashion might lead to a boycott by readers," he said.

How has the royal family responded?

There is no doubting the anger within the British royal family. A statement from St James's Palace said the couple have been "hugely saddened" by publication of the pictures. It added: "Their Royal Highnesses had every expectation of privacy in the remote house. It is unthinkable that anyone should take such photographs, let alone publish them.

"Officials acting on behalf of Their Royal Highnesses are consulting with lawyers to consider what options may be available to The Duke and Duchess."

How has the magazine Closer reacted?

A statement on behalf of Closer Magazine UK says the UK publication is published by Bauer Consumer Media but the French edition is published under a license by a different Italian business called Mondadori.

It adds: "Closer magazine UK was not offered any pictures of this nature and certainly has no intention of publishing the photographs of the Duchess of Cambridge which have been published in France this morning.

"Closer magazine UK takes its obligations under the PCC [Press Complaints Commission] Code extremely seriously and would never publish topless images of a member of the Royal family on its cover or otherwise."

@highlight

Legal expert Claire de Than: French law is stricter since privacy has constitutional protection

@highlight

But she adds that average fines for infringement have dropped in France in recent decades

@highlight

Media lawyer Jennifer Agate says preventing publication across the world would be very difficult

@highlight

She said the case highlights the inconsistencies in the approaches to privacy taken in different countries