(CNN) -- Cardinals from around the world gathered in Michelangelo's masterpiece the Sistine Chapel this week for a conclave to elect a new pope. The historic process is filled with pomp and ceremony and so shrouded in secrecy that its very name means "under lock and key."

But it's a curious idiosyncrasy that, in an era when one of Benedict's XVI's final acts was to send a message via Twitter -- and his predecessor ordered that the Sistine Chapel be swept for recording devices -- the conclave's election of Pope Francis was announced on Wednesday evening by white smoke from burning ballot papers. Black fumes earlier signified an inconclusive vote.

And until the official announcement of "Habemus Papam -- we have a new pope" -- was made around an hour later, it was a modest little stove and chimney that stole the show.

The Vatican says the cast iron stove is "cylindrical in shape with a narrower upper portion" and approximately one meter high. "It has a door in its lower section enabling ignition, a valve for manual regulation of the draft and an upper door through which the documents to be burnt are introduced. The dates of election to the papacy and the names of the last six pontiffs are stamped on the upper cap of the stove."

CNN's senior Vatican analyst John Allen said the "oldish-looking" stove and its attached chimney were introduced to preserve the independence of the conclave process.

"The whole purpose of the secrecy is to protect the cardinals from outside influence," he said, the theory being that details of the ballot papers could expose the cardinals to repercussions or other pressures.

The Vatican's constitution requires a two-thirds majority to elect a new pope.

On the first day of the conclave, one voting session is held: on other days the cardinals vote twice in the morning and twice in the afternoon. If a second ballot must be taken immediately, the first bundle of ballots and any private notes are burned with the second. The cardinals chosen to be scrutineers are responsible for burning the ballots, with help from the secretary of the College of Cardinals and masters of ceremonies, who are allowed to enter the chapel after voting has concluded.

Depending on how long the cardinals take to agree, pilgrims gathered in St. Peter's Square could be reading smoke signals for days on end. And those signals haven't always been particularly clear.

Read more: How is a new pope elected?

Frederic Baumgartner, professor of history at Virginia Tech University and author of "Behind Locked Doors: A History of the Papal Elections," said that before the 1800s, "beginning to unbar doors and window was taken as a symbol that the election was complete. There was also mention of noise from where the cardinals were locked in and the firing of cannons at Castel Sant' Angelo."

In the 19th century, Baumgartner said, there was mention of smoke being "taken as meaning that there had been no election - and that they were burning the ballots after scrutiny. The smoke was described often as yellow. What I get from the sources that I was reading from the 1800s is that when they didn't see smoke then they were hopeful."

But the first reference to the different meanings of white or black smoke occurred at the 1903 conclave. "The primary reason they went for the black and white smoke was because there was confusion in the crowds as to what was going on," Baumgartner explained.

But the confusion didn't stop there.

Interactive: Selecting a pope

Priest and archivist Fr. Nicholas Schofield said that in the event of an inconclusive ballot, wet straw had traditionally been added to the fire to make the smoke black. But uncertainty around the results of a 1958 conclave had led to the introduction of chemicals to make the color of the smoke more obvious.

Nonetheless, CNN's senior Vatican analyst, John Allen, said smoke from the fire "normally comes out an indistinct grey at the start." At the 1978 conclave that resulted in the election of Pope John Paul II there were some false alarms and John Paul II later specified that the bells of St. Peters be rung to signify a successful election. "The problem with that is that bells go off at the Vatican all the time."

At Pope Benedict XVI's election in 2005, Allen recalled, bells had rung out at the same time as smoke came from the Sistine Chapel chimney, but it transpired that they were just marking the top of the hour.

The confusion occurred despite the introduction that year of an auxiliary smoke-emitting device aimed at improving the visibility of the smoke.

"In order to improve the draft, the vent is preheated by means of electric resistance and it's equipped with a ventilator for use if necessary," the Vatican said in a statement.

Ahead of this year's conclave, spokesman Father Federico Lombardi said the chemical technique had been improved to ensure a clear color signal.

Once the senior cardinal deacon appears on the balcony overlooking St. Peter's Square to formally announce the election of a new pope and his name, the little stove's time in the spotlight should be over and the focus will then move to the pope elect.

"He's supposed to act as if it's a difficult decision and then he has to be fitted with his vestments," Baumgartner said, estimating the appearance might come about an hour after the smoke signal. "If a man was really conflicted about the job, he may take a little longer."

Baumgartner said that he was not aware of any wrong announcements about a new pope being made in modern times - but there had been some in the past.

"There used to be a tradition that the Romans [residents of Rome] would go and ransack the dwelling of the cardinal that was elected -- on the grounds that he didn't need it anymore. There was at least one example of the Rome's residents ransacking the house of the wrong cardinal, during the 400-500 years the tradition was followed.

"Not only did he not become pope but he didn't have anything left in his house."

Read more: Clues to be found in next pope's moniker

@highlight

Conclave ballots and voting notes are destroyed in a stove placed in the Sistine Chapel

@highlight

Chemicals are added to color the smoke to signify whether the ballot has been successful

@highlight

White smoke means a pope has been elected, black means the ballot was inconclusive

@highlight

John Paul II ordered that the bells of St. Peter's should also be rung if a pope was elected