(CNN) -- The Communist Party leaders inside the Zhongnanhai compound in Beijing may have found solace in the Obama-Romney debates: Though China was mentioned 53 times, both presidential candidates avoided harsh rhetoric toward China.

Despite Romney's repeated avowal to label China a "currency manipulator" and Obama's branding of China as "an adversary," both sounded moderate and called China a partner, which leaves the door open for building a good working relationship with China's new leaders. The candidates traded jabs on how they would deal with the trade and currency issue but skipped other major controversial topics such as human rights, Tibet and censorship. To Beijing's relief and to American conservatives' disappointment, the highly anticipated "China bashing" was absent from the debates.

Also missing was the big picture -- America's relative decline, China's rapid rise and the ensuing power restructuring in the global system. Is the United States ready to cope with an increasingly powerful, confident and yet non-democratic China? The real issue is not whether China is a currency manipulator or not -- after all, the yuan has appreciated more than 11% since 2010 and more than 30% since 2005.

Obama's and Romney's narrow focus on trade and currency when mentioning China, which is understandable due to America's lackluster recovery, and their dodging of other major problems between the two countries may be misinforming Americans who, as a result, do not fully understand the nature of this complex relationship.

This is a multifaceted relationship, strong but difficult at times. The biggest challenge the two countries face is the power transition between them, as China continues to gallop ahead and is expected to surpass the United States as the largest economy within a decade. Both countries are struggling to deal with the new power structure in the international system.

In fact, China is rising so rapidly that it has difficulty adjusting to its newfound power and sometimes behaves clumsily in international affairs as evidenced in China's perceived forcefulness in the recent Diaoyu/Senkaku dispute and South China Sea controversy.

U.S. politicians are used to speaking from a position of dominance. Both Obama and Romney claimed they would push China to "play by the rules." Such a condescending approach will not work with today's more assertive and nationalistic China.

The United States must play by the rules first. For example, Huawei was recently singled out by Congress as a company threatening U.S. national interests and was essentially declared unwelcome in the U.S. The telecoms giant has businesses globally, including a recent Â£1.3bn investment in the United Kingdom which would create 500 jobs. In September, Obama issued a rare presidential order instructing Ralls Corp., whose owners are Chinese, to divest itself of four Oregon wind farm projects near a military base, citing a national security threat. But firms operated by other foreign owners in the same area are apparently conducting business as usual. Where is the level playing field?

The United States still maintains some Tiananmen-era sanctions against China, including the ban on exports of high-tech equipment and products to China. One wonders how the United States can narrow its trade deficit with China, if it only sells apples and oranges to China?

Is China friend or foe? This often-asked question misses the central point that the United States and China are so interdependent that they no longer have the luxury to make such a choice.

The two countries are separated by huge gaps in political systems and cultural values, which can be a major cause of conflict. The two governments still deeply distrust each other. Since the Obama administration's implementation of its "strategic rebalancing" toward Asia in 2010, the U.S. government has failed to convince China and many other countries in Asia that its purpose is not to counter China's growing power. America's deployment of more forces in the Asia-Pacific region and beefing up its alliances with China's neighbors smack of a policy of encircling China. Of course containment will not work in this day and age, and Asian countries do not want to be drawn into a great power conflict.

It has become politically incorrect to say anything good about China during America's elections. Candidates tend to compete over who is tougher on China. It has become an accepted norm to blame China for America's domestic woes. Such practices may help a candidate to win an election, but they are very harmful to U.S.-China relations in the long term. The United States is at the risk of creating a resentful China during the Asian power's transition to a more diverse and open society.

Nothing is wrong with focusing on economic issues now, but Americans should never lose sight of the big picture. As a global leader, the United States has the moral responsibility to help promote democracy, human rights and rule of law in the world. With China in transition, the United States has a great opportunity to help shape the future of a nation with which it will be politically and economically intertwined for generations to come.

@highlight

Obama and Romney mentioned China 53 times in the U.S. presidential debates

@highlight

Their discussions of China missed the big picture: China's rapid rise

@highlight

Biggest challenge is the power transition as China gallops ahead, writes Zhiqun Zhu