(CNN) -- More than 50,000 people in 2011 were arrested in New York City for possessing small amounts of marijuana -- the majority of whom were black and Latino -- at a considerable judicial and financial cost. New York City spends about $75 million every year on arresting people for recreational marijuana possession.

But what many people don't know is that the state decriminalized this offense more than 30 years ago, making private possession of less than 25 grams of marijuana a violation punishable by a $100 fine. Possession of the same amount in public view remains a criminal misdemeanor.

Despite this change in law, arrests for small quantities of marijuana over the last decade have skyrocketed, with more than 400,000 people arrested and unceremoniously run through the criminal justice system. Marijuana possession is now the No. 1 arrest category in New York.

Why is this happening?

Each year, hundreds of thousands of people in New York are stopped, questioned, frisked and searched, often without justification, under the "stop and frisk" policy. The vast majority of these people live in communities of color, and almost 90% are immediately released without arrest or even a summons.

Often, however, the police approach young people and instruct them to empty their pockets immediately and show the officers anything they have. People who have a small quantity of marijuana in their pockets take it out and hold it up. The marijuana is now in public view. Thousands of people are then arrested and charged with misdemeanor possession, punishable by up to three months in jail and a $500 fine.

Given the change of law in 1977, had the marijuana remained in the person's pocket, possession would not have been a crime at all. But in complying with a police officer's request, otherwise noncriminal behavior is instantly transformed into an arrest and unceremonious journey through the criminal justice system.

This is fundamentally unfair. Many view it as classic entrapment.

A majority of these arrests happen only in certain neighborhoods. Indeed, compounding the injustice is the fact that 85% of the people arrested are black and Latino. Yet studies consistently show that younger and affluent whites use marijuana in equal if not greater numbers.

The consequences of an arrest are severe, especially for young people of color who are already disproportionately subjected to criminal justice system intervention and incarceration. An arrest creates serious barriers to going to college or getting a job, and that person's future may begin to spiral downward. The damage to police and community relations cannot be overstated.

Another serious problem is that these needless and inappropriate arrests detract from arresting and prosecuting serious criminals. Millions of dollars in law enforcement resources are wasted. Thousands of lives are damaged with the contamination of having a criminal record.

But New York is prepared to take a significant step forward to solve this problem. With the leadership of Gov. Andrew Cuomo, we are on the brink of finishing the job that the state Legislature started in 1977. We want to reduce the classification of possession of small quantities of marijuana in plain view from a misdemeanor to a violation.

Justice demands this change. The possession of small quantities of marijuana is either a crime or it is not. But it cannot be criminal activity for one group of people and socially acceptable behavior for another when the dividing line is race.

The connected and powerful -- including many in high political office -- have frequently admitted to smoking marijuana when they were young. We didn't unmercifully penalize them. We should stop needlessly criminalizing tens of thousands of our young people for doing the same thing.

The opinions expressed in this commentary are solely those of Hakeem Jeffries.

@highlight

In 2011, 50,000 mostly black and Latino people arrested in New York for having a little pot

@highlight

Hakeem Jeffries: Carrying a small amount is not a crime, but having it in public view is

@highlight

Jeffries: Police order people to empty pockets, and if they take out pot, it is now in public view

@highlight

Jeffries says the marijuana penalty needs to be reduced and law changed