(CNN) -- "I'm angry at having presided over the first genocide of the 21st century," said Mukesh Kapila, a British doctor and former U.N. official.

Mukesh Kapila said atrocities in Darfur could have been prevented if the world had taken action sooner.

He was referring to what he considers the world's ineffective response to mass atrocities in Darfur, Sudan's western region.

"What happened in Darfur would be classified as obscene," he told CNN's Christiane Amanpour. "It's a combination of a horror movie and a snuff movie."

Kapila was the United Nations' top official in Sudan. He took up his post as resident and humanitarian coordinator in 2003, just a few months after rebels from Darfur's African tribes attacked outposts of Sudan's government, which is led by Arabs.

The government's retaliation was so harsh that a U.N. human rights monitor issued a prophetic warning. His March 2003 report said that in the "escalating conflict," Sudan's government may be "engaged in ... ethnic cleansing aimed at eliminating African tribes from Darfur."

Unfortunately, Kapila says, the report "disappeared into a big hole" because the world's attention was on Iraq, where a U.S.-led coalition had gone to war to topple Saddam Hussein's regime.  Watch as Kapila describes his anger at the lack of attention on Darfur »

Since 2003, according to U.N. estimates, 300,000 Darfuris have been killed in the violence or died in the ensuing disease and starvation. Another 2.5 million have been uprooted from their homes.

Kapila says it didn't have to be, and the man who was his boss at the time agrees.

"The most bitter lesson of Darfur," said Jan Egeland, former U.N. under-secretary-general for humanitarian affairs, "is that the world let a small conflict slowly but surely degenerate into a full-blown catastrophe."

As reports of atrocities mounted in late 2003 and into 2004, Kapila and Egeland saw a pattern: Sudanese forces and government-armed Arab militia members known as janjaweed ("devils on horseback") were using scorched-earth tactics against civilians from Darfur's African tribes. They burned villages, poisoned wells and raped women and girls, according to reports from U.N. workers and aid groups.

Sudan claims that its forces were only putting down an armed insurrection.

"I think the problems which have been happening in Darfur are problems which can be happening in any place of the world where there is a war," Sudanese Interior Minister Ibrahim Hamid said. "There are crimes, but it's not like what has been reflected in the international media."

But that's not what Kapila was hearing. He kept getting reports of more Darfuris killed or driven from their land and Arabs talking about making Darfur "zurka-free" -- "zurka" being a derogatory term for blacks.

Unlike cyclones and earthquakes, the humanitarian disaster unfolding in Darfur was man-made, so Kapila and Egeland began a crusade to get Darfur onto the U.N. Security Council's agenda. They knew from experience that getting an issue in front of the Security Council brings, as Egeland says, three things: "attention, attention, attention."

Both Egeland and Kapila approached Western governments but came away disappointed because most diplomats were focused on resolving another conflict, in southern Sudan, which had claimed 2 million lives over 20 years.

The international community did respond with an emergency relief operation for the growing number of refugees who were running for their lives. But Kapila and Egeland wanted more. They believed that Darfur was not only a humanitarian crisis but also a human rights crisis that required action from the U.N. Security Council.

Out of frustration, Kapila went outside proper channels and screamed to the media. In a March 2004 interview with BBC Radio, Kapila compared the situation in Darfur to the 1994 genocide in Rwanda.

His comments, which Sudan called a "heap of lies," were picked up by newspapers around the world. Kapila so angered the host government in Khartoum that he had to resign his post.

Even after the Security Council put Darfur on the agenda, it would take three more years of resolutions and debate to authorize a large U.N. peacekeeping force. China, which has veto power on the Security Council and extensive commercial and military ties to the government of Sudan, was one of the major obstacles to taking decisive action.

But as conditions in Darfur became more widely known, a grass-roots movement began to grow, putting pressure on the White House and a spotlight on the U.N. Security Council. According to Holocaust survivor and Nobel laureate Elie Wiesel, "no other tragedy since 1945 has caught the imagination of so many people as Darfur has."

Then-Secretary of State Colin Powell and President Bush characterized the killing in Darfur as "genocide." Human rights groups documented China's strong ties to Sudan. And activists, including actress Mia Farrow and other celebrities, campaigned to tag the 2008 Beijing Summer Olympics as the "genocide Olympics."

Over time and under pressure, Chinese diplomats helped persuade Sudan to accept a U.N.-led peacekeeping force with the understanding that many of the troops would come from African countries.

Would earlier action by the Security Council have made a difference? "Yes," Egeland said. "We would have kept it to a medium-sized African disaster. Not this mega-disaster. It could have been stopped when it was a small emergency."

In July, the prosecutor for the International Criminal Court applied for a warrant to arrest Sudan's president, Gen. Omar Hassan Ahmad al-Bashir, on charges of genocide, war crimes and crimes against humanity. Read the charges against Sudan's president (pdf)

Sudan denies the charges and has promised to punish anyone who has attacked innocent civilians.

@highlight

Mukesh Kapila was the United Nations' top official in Sudan in 2003

@highlight

Since that year, an estimated 300,000 Darfuris have been killed or died

@highlight

He says a U.N. monitor's warning of violence "disappeared into a big hole"

@highlight

Kapila says atrocities could have been prevented if the world had taken action sooner