(CNN)She could stand on a strand of human hair, with room to spare.

The microscopic polymer statue by South African sculptor Jonty Hurwitz, entitled Trust, measured just 1/100th of a centimeter and had been called the "smallest sculpture ever made."

But the world's tiniest woman suddenly disappeared to an unknown location, likely never to be seen again.

While she was being photographed through an electron microscope -- the only way to view the minute creation -- Trust vanished, with only a smudged fingerprint left behind by her photographer as a clue.

After an hour long search, Hurwitz and the photographer gave in: "It was horror. I remember saying to him: 'You just destroyed or lost the smallest human form that was ever created in history,' said Hurwitz to CNN Ones to Watch.

"It was gone."

But was it, really?

Hurwitz is an entrepreneur-turned-artist who has applied the same tech wizardry to sculpture that he put into coding a finance site valued at over $500 million.

The 45-year-old's "Nano-sculptures" are made from a mysterious resin -- "a big scientific secret", says Hurwitz -- and created through a process called "two-photon lithography."

Hurwitz works with a team of nanotechnology engineers at Karlsruhe University, who focus beams of ultraviolet light to "zap" solid the liquid resin, one 3D pixel at a time.

The resulting sculptures -- he has also created a statue depicting the classical myth of Cupid and Psyche -- can lie on an ant's head.

Put one into the eye of a needle, and it will barely occupy one corner.

The "Nano" project is just one of Hurwitz' science-inspired sculptural experiments.

Another one explores the properties of the mathematical constant Pi, presenting an indecipherable, "anamorphic" physical sculpture, whose hidden form becomes clear only when reflected in a cylindrical mirror.

And he hints that a forthcoming project will also be influenced by his love of the natural world, but will sit at the opposite end of the scale to his nano-models.

Hurwitz, who first made his name as the UK-based co-founder of controversial "payday" loans business Wonga, says he makes visual art with a team, as in traditionally collaborative art forms, such as cinema. He discusses accumulating collaborators as an aggressive start-up accumulates new talent:

"I spent a huge amount of time scouring the world for amazing achievements of humanity and contact these people to work with them. For me the creation of an artwork these days is analogous to the creation of a film: for each piece there may 20 people involved, each one brilliant in their field."

Hurwitz makes no secret of his desire to bring together contemporary science and art -- delighting in the fact that his nano-scale and 3D printed pieces depend on cutting edge technology, and would have been unimaginable just 10 years ago.

Online, fans response has been overwhelming, he says, and the internet has become his exhibition space. It provides an "epic scale" that brick-and-mortar galleries can't match, he says, and estimates 13 million people have seen his sculptures since they hit the web in November last year.

"I love the buzz. I love the buzz when I launch a piece on the Internet and on Google Analytics, you suddenly see society engaging... millions and millions of people engaging."

"You put a few images on the internet and just watch society consume, engage and think. With comments and blogs and people saying 'It's not art' and people working out the science behind it and people complaining... I just love that buzz! I love influencing society."

There's also another side -- what Hurwitz calls "the traditional side of the geeky art world" -- accusing him of being just an engineer rather than an artist. But he's unapologetic:

"A lot of the artistic expression that I bring to the world represents the absolute current moment in human development. Whether it's 3D printing, technology or science, I love to represent the now."

Hurwitz says the creation of the physical artwork is "just the beginning of its lifecycle."

So what about the missing woman, whose lifecycle has tragically been cut short?

She came back to life during the filming of CNN Ones to Watch (in the video above) -- Trust v.2, her new name, has taken the absent dancer's place.

Even still, there are some who think neither dancer was ever there. Invisible to the naked eye, how can we trust this sculpture ever existed beyond the computer screen?

For Hurwitz, this mystery gets right to the heart of nano-scale's appeal:

"You've got this 'emperor's new clothes' element to this end of the scale spectrum, because you look at these nano-sculptures and there's nothing there, there's an element of me going: 'this sculpture... believe me, it's there.'

"At that scale, the sculpture doesn't really exist, or our perception doesn't allow us to perceive its existence.

"In a way, it challenges the whole idea of contemporary art, by asking: 'Hang on, a piece of art you can't really see, is it really a piece of art?'"

@highlight

London-based artist Jonty Hurwitz creates sculptures that are smaller than a human hair

@highlight

They're made using ultraviolet light and resin, and then photographed with an electron microscope