(CNN) -- When Congressman Paul Ryan opined recently that there was a "real culture problem" in poor communities, "in our inner cities in particular," and that this culture was behind some of the country's economic troubles, he didn't realize how half right he was.

People are continuing to debate fiercely what Ryan said and whether he meant to propagate racially coded explanations of poverty's roots. But put that aside for a moment. Here's what he was right about: There is indeed a culture in America that is pathological and now threatens our social fabric. It's not the culture of poverty, though. It's the culture of wealth.

We live in an age of extreme concentration of wealth in America. The problem is not just that the 1% have managed to nearly triple their share of national income in the last three decades. Nor is it just that the 1% increasingly are fed, schooled and housed in a bubble apart from the rest of their fellow citizens.

The problem is that today's concentration of wealth is breaking the golden link that Ryan and others take pains to emphasize -- the link between work and reward.

Economist Thomas Piketty's landmark new book "Capital" unpacks this delinking in great statistical detail. It turns out that increasing numbers of Americans in the 1%, .1% and .01% have done little to "earn" their wealth or privilege.

Contrary to myth, most of today's plutocrats are not the kind of Steve Jobsian visionary risk-taking entrepreneurs or superstar celebrities. The .01%, for instance, tend overwhelmingly to be high-end corporate managers and executives, particularly on Wall Street, operating in interlocking networks that inflate the standard of what an executive is "worth." Or they are the heirs of the great entrepreneurs (4 of the 10 richest Americans are children of Sam Walton), inheritors of fortunes of which it can truly be said, "someone else built that."

An aristocracy is emerging in America, a class of insiders that corrodes the promise of equal citizenship. And with this compounding of unearned advantage, certain antisocial values and behaviors have taken root among the superrich -- norms that threaten to corrupt the rest of American society.

What's in this dysfunctional culture of concentrated wealth? Look around Wall Street. You'll find tribal insularity, short-term thinking, personal irresponsibility, cynicism about playing by the rules, an aversion to socially productive labor, a habit of shameless materialism, an inability to defer gratification and a lack of concern for what "message" all this sends to the youth raised in such an environment.

In short, you'll find the very things typically imputed to the culture of poverty.

Now, to be sure, there are poor people who do exhibit these antisocial values and norms. And there is no question that plenty of poor people are poor because they made bad choices and behaved in self-destructive ways.

But rich people who exhibit such values have something the poor don't: Money. Money buys exemption from bad choices. Money confers power -- in particular, over the poor. It confers the power to frame public narrative and policymaking and to determine whose behavior -- whose culture -- is (and isn't) called pathological.

Today, as it was during the last Gilded Age, the concentration of wealth gives the rich the political clout to further concentrate their wealth. (And now, as then, the Supreme Court greases the skids in the name of "liberty"). This clout is wielded in plain sight now, without any pretense of civic equality. And it calls to mind the warning attributed to Justice Louis Brandeis: "We may have democracy, or we may have wealth concentrated in the hands of a few, but we can't have both."

When the richest 400 families in America have more wealth than the bottom 155 million Americans combined, the danger to the republic is far more clear and present than that posed by the "welfare queens" of lore or by anecdotes of shiftless inner-city men.

That would be true even if the super-rich today had entirely benign or merely neutral policy preferences. But in fact they've rigged the game of policy, subsidies and tax preferences to amplify and hoard their gains.

This isn't to suggest that all super-wealthy people are "welfare kings" (they're not) or to imply that they have a monopoly on selfishness or sociopathic attitudes (they don't). Yet if it's unfair to paint everyone in the 1% with the same unflattering brush of "dysfunctional culture," isn't it far worse to do the same to the poorest 20%?

Wealth and advantage are as strongly self-reinforcing as poverty and disadvantage. It's possible to recognize this fact while also championing grit, gumption and good values. In fact, it's essential. But culture doesn't explain everything. And where it matters isn't only among the poor or nonwhite.

If we're going to reform the norms in this country so that opportunity is truly reflective of effort and talent, we have to do more than pick on those with the least. We have to start at the top.

@highlight

Congressman Paul Ryan says America has a problem in culture of poverty

@highlight

Eric Liu: Actually, we live in a dysfunctional culture of concentrated wealth

@highlight

He says certain antisocial values and behaviors have taken root among the rich

@highlight

Liu: The wealthy rigged the political and economic games to amplify their gains