Washington (CNN) -- The Federal Aviation Administration proposed a $2.75 million civil penalty against Boeing Co. on Friday for allegedly using certain parts in 777 construction that did not meet standards and repeatedly missing deadlines to address related quality control issues.

"Safety is our top priority and a robust quality control system is a vital part of maintaining the world's safest air transportation system," Transportation Secretary Anthony Foxx said in a statement.

The FAA said Boeing's commercial aircraft division took more than two years after learning about quality control gaps involving fasteners in 777 construction to fully address the problem.

Metal fasteners were used in a number of areas, including to attach the wing skin to the wing structures, the FAA said.

The issue did not present an immediate concern for the safety of the plane but manufacturers agree to follow rigid FAA standards when a plane is certified, and that includes rules on parts.

A workhorse aircraft, the twin-engine 777 -- or "Triple Seven" -- is flown by airlines worldwide.

Problems began in 2008 when the FAA said Boeing discovered it had been installing fasteners that did not meet government standards on the long-haul jets. It stopped using them immediately, but some of the underlying manufacturing concerns persisted.

The FAA said Boeing repeatedly granted itself extensions and then missed the deadlines, ultimately not acting on a comprehensive fix until 2010.

"Manufacturers must make it a priority to identify and correct quality problems in a timely manner," said FAA Administrator Michael Huerta.

This was the second major FAA civil penalty proposal against Boeing in as many years for missing deadlines.

The agency proposed a $13.5 million fine in 2012 over the company's alleged failure to provide information to airlines about reducing fuel tank flammability. That case grew out of the mid-air explosion that brought down TWA Flight 800 in 1996.

The FAA also grounded Boeing's 787 Dreamliners in January due to battery related fire risk. Boeing had to address regulatory safety concerns before those planes could fly again.

The world's largest aircraft manufacturer said in a statement that it takes "any concern about safety, compliance and conformity very seriously," but depicted the case raised on Friday as an old "administrative issue" that has been settled.

Boeing said its response includes a robust database for tracking potential problems, additional management oversight and communication with the FAA to ensure that any concerns are resolved in a timely manner.

"We are working closely with the FAA to ensure we understand and address any remaining concerns with this proposed penalty," Boeing said, promising a formal response within the 30-day period allowed by the government.

The term "fastener" in aviation describes any number of items, including bolts, rivets and other items used in assembling planes.

The FAA did not specify the type of fastener in this case, but said the parts that did not conform with its standards were manufactured between 1993 and 2008. Aircraft manufacturers use hundreds of thousands of fasteners during construction.

@highlight

Proposed penalty involves alleged shortcomings in quality control

@highlight

FAA found issues with certain parts used in production of the 777 jet

@highlight

Boeing has corrected the problem, but the FAA says it took two years

@highlight

NEW: Boeing says its fix was comprehensive; promises a formal response within 30 days