(Health.com) -- Each year billions of dollars are spent in the search to find new cancer drugs. Very few of these would-be treatments end up being approved by the government and entering widespread use, which makes it all the more intriguing that one of the most promising new cancer drugs in years is, in fact, an old drug.

Metformin, a diabetes drug, was approved by the Food and Drug Administration in 1995, and since then tens of millions of Americans with diabetes have taken it daily to control their blood sugar.

The first hint that metformin might also have anticancer properties came a decade later, when two research teams separately reported that diabetes patients were less likely to develop cancer, and less likely to die from the disease, if they were taking the drug.

This news wasn't entirely surprising: Metformin treats diabetes in part by lowering insulin levels, and several types of cancer -- such as those of the breast, colon, and prostate -- have been linked to high levels of that hormone.

But then, in 2006, researchers in Canada working with breast-cancer cells found that metformin increased the activity of an enzyme involved in tumor suppression, suggesting that the drug might fight cancer by working directly on cancer cells.

Health.com: Know the warning signs of type 2 diabetes

These two developments "set off a minor firestorm of interest," says Pamela Goodwin, M.D., a breast cancer researcher at the University of Toronto. "Basically there's been a convergence of all this information, and even before it was available we could see there was a strong signal here."

Over the past several years, studies in cell cultures and animals have found that metformin appears to slow or stop the growth of a wide range of cancer cells, including those associated with breast, prostate, lung, and endometrial cancer.

And the pace of research has picked up. This week, at the annual meeting of the American Association for Cancer Research (AACR) in Chicago, researchers presented preliminary results from no fewer than 20 studies on metformin, including some in humans.

"I think certainly over the last two or three years that metformin has come to the fore, and people recognize that it has an important role to play," said Anthony Joshua, M.B.B.S., a staff medical oncologist at Princess Margaret Hospital, in Toronto, who presented new research at the meeting.

Health.com: 25 breast cancer myths busted

The promising study findings aren't the only cause for enthusiasm among doctors. Metformin's decades-long history as a diabetes drug -- it entered the U.K. market back in 1958 -- suggests that it's generally safe.

It's also extremely cheap. The U.S. patent on metformin expired in 2002, so the drug is now available in various generic versions that cost just pennies per pill.

Extensive placebo-controlled clinical trials will be needed before metformin can be used as a standard cancer treatment. While it's too soon to say how that research will play out, metformin's apparent versatility and low cost seems to offer unusual potential, says Michael Pollak, M.D., director of cancer prevention at McGill University, in Montreal.

"This is not a cancer drug development story like any other," says Pollak, who led the 2006 study on metformin and enzymes. "It contrasts so much with what you hear in cancer research: doctors developing new targeted therapy that costs $800 a month, and it works a little bit -- but only for certain kinds of patients with certain kinds of tumors.

We don't very often see [that] the generic drug that's available at your drugstore anyways might have some use for cancer."

Health.com: Prescription drugs that lead double lives

There may be a reason for that. Pharmaceutical companies that spend billions to develop patented -- and expensive -- cancer drugs have little incentive to fund or conduct studies on generics like metformin.

As a result, metformin researchers have struggled to scrape together the money needed for clinical trials, which can run into the millions. Many of the ongoing metformin studies around the world are "being done on a shoestring budget, in a sort of informal way," Pollak says.

"I imagine that if [metformin] was a proprietary drug owned by a major pharmaceutical company, they would be developing it very aggressively, because all of the indicators point in the same direction, and that's unusual," Goodwin says.

Governments and nonprofit organizations have begun to fill the money gap. The National Cancer Institute (NCI), for instance, is funding dozens of clinical trials that are currently under way or recruiting patients.

One of these studies, led by Goodwin, is exploring the effect of metformin on breast-cancer recurrence in 3,582 women. The other major funders for the trial are the Canadian Cancer Society and Apotex, a generic drug maker that has agreed to provide free metformin and placebo pills.

Health.com: Simple things that may cut your breast cancer risk

A recent shift in thinking at the National Institutes of Health (NIH), which includes the NCI, seems to be working in metformin's favor.

In 2011, NIH director Francis Collins, M.D., said that "drug rescue and repurposing" would be a major focus of the agency, with the goal of investigating new uses for already approved or abandoned drugs.

A few days later, the agency's associate director for science policy, Amy Patterson, M.D., mentioned metformin as a prime example of this approach. Two-thirds of the NCI-funded clinical trials of metformin now under way were initiated in 2011 or later.

The preliminary research in humans has been encouraging. At the AACR meeting, Joshua and his colleagues reported that cancer-cell growth seemed to slow in 22 men with prostate cancer who took metformin every day for three to four weeks before prostate cancer surgery. The study, however, did not include a placebo or control group.

"The drug has potential in early-stage prostate cancer," Joshua says. "My job now is to work out the characteristics of the men who had the best response to the metformin so we can design appropriate studies."

In another study, researchers from the University of Texas MD Anderson Cancer Center, in Houston, found that metformin was associated with better outcomes in diabetes patients with pancreatic cancer, an especially aggressive form of cancer.

The two-year survival rate was 30% among the 117 patients taking metformin and just 15% among 185 patients not on the drug.

So far, most metformin research has focused on cancers related to obesity and diabetes, like pancreatic cancer, says Donghui Li, a researcher at the center and the lead author of the study. But because metformin may stem cancer through several different channels -- by lowering insulin, directly slowing tumor growth, or promoting suicide by cancer cells -- it could potentially prove useful in many types of cancer.

Health.com: 12 myths about insulin and type 2 diabetes

That possibility is a long ways from being confirmed, however, and in the meantime researchers investigating metformin temper their optimism with caution. "It's not as fantastic as it sounds at first," Pollak says. "At first you see it and say, 'Half the cancers are gone -- let's put it in the drinking water.'"

But the findings so far haven't shown that metformin directly reduces cancer risk or mortality in humans, Pollak adds. In studies such as Li's that have looked at cancer outcomes in diabetes patients, for instance, doctors may be prescribing metformin -- rather than insulin or other diabetes drugs -- only to their healthier patients, who may be less likely to develop or die from cancer anyway.

Moreover, even if some of metformin's anticancer effects are confirmed in humans, there's no guarantee the drug will become a useful treatment in real-world practice. "When we're dealing with patients, we have to always be aware that [metformin] possibly could not have clinical relevance," Goodwin says. "So we have to test it."

Copyright Health Magazine 2011

@highlight

Metformin is now available in various generic versions that cost just pennies per pill

@highlight

Extensive trials will be needed before the drug can be used as a standard cancer treatment

@highlight

The two-year survival rate was 30% among the 117 patients taking metformin