One day last January, Robert Ethan Saylor, a 26-year-old man with Down syndrome, went to see the movie "Zero Dark Thirty."  When it was over, Saylor briefly left the theater, then decided to return and see it again. The manager called security because Saylor didn't pay, and three off-duty deputies, moonlighting at the mall, came in to confront him.

According to Frederick County, Maryland, police statements, he swore at them and refused to leave. The deputies tried to remove him, despite Saylor's caretaker's warnings and pleas for them to wait and let her take care of it. What happened next is a little unclear, but witnesses say the deputies put Saylor on the floor, held him down and handcuffed him. Saylor, called Ethan by his family, suffered a fracture in his throat cartilage. He died of asphyxiation.

The death was ruled a homicide, but a grand jury failed to indict the deputies and they returned to work without charges.

My son has Down syndrome, so I have been following this case closely. But for months, it seemed as if only people in the disability community cared about it.

Petitions for independent investigations sputtered out with just a few hundred votes. Local reporting on the case never made a splash in national media. Meanwhile, the Frederick County sheriff investigated his men's conduct, ruled they had followed procedure correctly, and tried to move on.

Police violence against people with disabilities is not uncommon, but the cases don't seem to get a lot of publicity. Most people see the disabled as, at best, passive victims, objects to care for, perhaps to love, but not people with whom we automatically identify.

This is a mistake. We are all only temporarily able-bodied.  Accidents, illness, and age wait for us all. What happened to Ethan Saylor could happen to you.

In July, his death began to get more attention. Heather Mizeur, a member of the Maryland House of Representatives and candidate for governor, seized on Saylor's story and called for new training for law enforcement. Debra Alfarone, an investigative journalist in Washington, began to broadcast and write about the case.  A petition asking Gov.  Martin O'Malley to investigate went viral in mid-August, garnering 300,000 signatures in just a week. This petition fueled a renewed, suddenly national, media narrative. Ethan Saylor and #JusticeForEthan are now an official cause.

What's next? An outside investigation either by the Justice Department or as part of a civil lawsuit might piece together the chain of events from the moment deputies confronted Saylor to his death on the cinema floor. We need an unbiased assessment of responsibility, not just to help the Saylor family understand -- although that's important -- but to help all of us understand what went wrong. When law enforcement officers encounter people with disabilities, things can go wrong very easily.

Dennis Debbaudt trains police on how to respond to people with intellectual disabilities, and argues that such cases require special tactics.

First, he says, law enforcement officers should ensure that they, bystanders and the person with a disability are all out of danger. If the situation is safe, Debbaudt says, officers need to take all the time that's necessary to resolve the problem without force. He tells officers that if the person with a disability isn't "aggressing into the officer's space," then there's generally no good reason to "aggress into theirs."

Saylor's aide was asking the officers to wait, rather than handcuff and arrest him, because he hated to be touched. To wait sounds a lot like common sense. According to both the officers' and witnesses' statements, no one seems to have been in danger, a deputy initiated contact only after Saylor swore at them, and witnesses report that the officers remained calm throughout.

At worst, taking more time would have inconvenienced other moviegoers -- who, in any event, did not see their movie because of the death. I can't say whether the deputies did anything wrong; in fact, they may have followed their typical procedures to the letter. But with just a little more patience, Ethan Saylor could still be alive.

This tragedy raises questions about how people with disabilities fit into society.

The Americans with Disabilities Act suggests that employers must offer reasonable accommodations to workers with disabilities. That standard has entered the broader culture, even as we repeatedly litigate the meaning of "reasonable." Would it have been reasonable to let Saylor watch the movie for free? Would it have been reasonable to try to talk it out for 10 minutes, 30 minutes, an hour, delaying the start of a movie? Would it be reasonable to bar admission to people with disabilities?

Making sure we figure out how to safely include people with disabilities throughout our community matters to everyone. Here's a very different story with an equally tragic ending.

On August 2, John Wrana, a 95-year-old World War II veteran in Park Forest, Illinois, was scared. He didn't want to go to the hospital for surgery, because he didn't want to end up on life support. The staff at his assisted living community decided to involuntarily commit him and called the police. He threatened the staff with a shoehorn and a cane. The police came. They shot him with a Taser and and fired beanbag rounds at him. He died.

The Park Forest police say, "Attempts were made verbally to have the resident comply with demands to drop the articles, to no avail." The police claim he had a kitchen knife, but the family disputes this, saying there was no knife in the old man's room before the incident.

Unlike Robert Ethan Saylor, John Wrana was not born with a disability. He made it through WWII with his body intact. But he was only temporarily able-bodied, then age caught up with him.  Once in the world of disability, confused and stripped of his power to govern his body, he encountered the police and was killed.

Disability rights are universal human rights, not abstract principles. But if it takes a personal reason to care about rights for the disabled, remember this: You might need them someday.

@highlight

Ethan Saylor, 26, with Down syndrome, died in a cinema when he refused to leave

@highlight

Witnesses say officers put him on floor and handcuffed him, and he died of asphyxiation

@highlight

David Perry: Police need to learn to deal with people with disabilities without force

@highlight

Perry: We all benefit from disabled rights, we will be old and disabled one day