(CNN) -- For the past few days, the NFL punditry here has been remarkably divided on predictions for Super Bowl XLVI. For every expert espousing New England Patriots' depth and balance there is another waxing rhapsodic about the New York Giants' "momentum" and "destiny." Las Vegas echoed this ambivalence, as the gambling line continues to shift.

We'll let others divine the game's outcome. But as you prepare to watch the highest-rated Super Bowl in history, here are some factors to bear in mind.

Be careful not to exaggerate the importance of defense

Which team had the worst total defense in the NFL this past season? The Green Bay Packers, who also had the league's best record, 15-1. The Patriots ranked 31 of 32 teams on defense. The Giants ranked 27th, not much better.

Huh? Isn't defense a prerequisite for success? Doesn't "defense win championships?"

Not really. Among almost 10,000 regular season NFL games, the better defensive team has won 66.5% of the time, compared with 67.4% of the time for the better offensive team. You need a good offense or a good defenseâ€”and if you have both, great.

So, if defense is no more critical to winning than offense is, why does everyone from Little League coaches to ESPN analysts extoll its importance? Well, no one needs to talk up the virtues of scoring. No one needs to create incentives for players to score more touchdowns.

There's a reason why fans exhort "De-fense, De-fense!" not "O-ffense, O-ffense!" Offense is fun. Offense is glamorous. Who gets the Nike shoe contracts and the other endorsements, the players who score or the defensive stoppers?

Quick, which of the following set of names is more recognizable? The top five touchdown leaders in NFL history: Jerry Rice, Emmitt Smith, La-Dainian Tomlinson, Randy Moss, Terrell Owens? Or the top five interception leaders: Paul Krause, Emlen Tunnell, Rod Woodson, Dick Lane, and Ken Riley?

Offense leads to glory and fame and money. We don't need to provide incentive for players to score. We need to incentivize them to partake in the activity that doesn't necessarily lead to endorsement deals. What better to do it than by telling players it's indispensable for winning a championship?

Consider the home field advantage

As in all sports, in the NFL the home team wins most of the time, 57% of games to be precise. (In only one anomalous year, 1968, did home teams win less than half the games, but that was because there were five ties that season; remove those five tied games and the home field advantage would have been 51%.)

This year the game is being played at Lucas Oil Stadium in Indianapolis, Indiana.

When the Indianapolis Colts lost their quarterback, Peyton Manning, to an injury and posted a miserable 2-14 record this year, it meant that, technically, there would be no "home team" for Super Bowl XLVI. But tell that to the fans.

Sunday's game features another Manning as quarterback: Eli, who, of course, pilots the Giants' offense. Peyton will be on hand supporting his younger brother. And the fans will take their cue from him. What's more, the opposing Patriots also happen to be the Colts' chief rival, the team the Indianapolis fans dislike the most. For the Patriots, playing in Lucas Oil Stadium will be akin to the Red Sox playing a World Series game in Yankee Stadium. For the Giants, it will be considerably more hospitable.

Don't get overheated about the Giants' hot streak

After a dismal first half of the season, triggering murmurs that head coach Tom Coughlin was about to be fired, the Giants suddenly upgraded their play and slipped into the playoffs with a 9-7 record. The team has won five straight games and the conventional wisdom is that they are on a "hot streak," that "momentum is on their side."

While the team is, undeniably, streaking, that is something different from "momentum." Momentum implies predictive value. But there's little evidence that winning a football game predicts how the team will play in the next game. A good team is a good team, and will win most of the time. A poor team is a poor team, and will lose most of time.

You can liken this to coin-flipping. Flip a coin 100 times and you will get 50 heads and 50 tails, or thereabouts. But it doesn't mean you'll alternate heads and tails. You may get a run of five heads, then a run of six tails. It doesn't mean there's momentum in coin-flipping. There's simply probability.

Investors in financial markets, similarly, get duped into "chasing returns" of fund managers. One successful quarter doesn't necessarily predict future success. Same for football. The Giants may prevail on Sunday. But if they do it will be because they are the better team, not because of what's happened in their last few games.

The opinions expressed in this commentary are solely those of L. Jon Wertheim.

@highlight

Jon Wertheim offers a few suggestions for things to pay attention to in the Super Bowl

@highlight

He says don't exaggerate the vaunted importance of defense; it's not prerequisite for winning

@highlight

He says the game in Indianapolis carries a home field advantage via a rivalry and favorite son

@highlight

Wertheim: The Giants may be in a "hot streak," but that's not the same as momentum