Harvard Law School professor Alan Dershowitz recently claimed that Special Prosecutor Angela Corey, who charged George Zimmerman in the shooting death of 17-year-old Trayvon Martin, threatened to sue Dershowitz for libel and slander and to have him disbarred.

According to Dershowitz, Corey went into a tirade against him after he strongly criticized her. He said Corey was being unethical for not disclosing material facts to the court in the probable cause affidavit she had filed against Zimmerman and had erred by bringing a second-degree murder charge against him, when the evidence didn't support such a charge.

In an article, Dershowitz maintained that Corey called Harvard's law school dean and was transferred to a communications office staff member.

According to this account, she went into a "40-minute rant" about how she could sue Harvard for his comments. She apparently was reminded that Dershowitz had a right to his opinion and that his comments were a matter of academic freedom. I hope that she was also sent a copy of the First Amendment to the U.S. Constitution.

Dershowitz claims that Corey was required to include in her probable cause affidavit any information that would tend to exculpate Zimmerman of the charges against him. He's incorrect, unfortunately.

Florida law doesn't require a prosecutor to go as far as Dershowitz argues, although I believe such information should be included so that a judge can make a fully informed decision.

If the facts disclose that the court was intentionally misled by the way information was presented to it, that is a cause for grave concern and reconsideration. However, offering a bare-bones affidavit is relatively common and so long as the language is truthful, done in good faith and doesn't intentionally mislead the court, then the prosecutor is not obligated to provide evidence that might be exculpatory to a defendant in an affidavit.

That said, the affidavit Corey filed in the Zimmerman case is about as minimal as I've seen in more than 30 years of practice as a criminal defense attorney.

Corey, Dershowitz and I all might have varying interpretations of the law, but because Corey disagrees with Dershowitz, it surely doesn't subject him to being sued by her. If Corey made that threat, it's frightening for a prosecutor in power to act that way and smacks of prosecutorial overreaching in an effort to chill any critics. Corey has not publicly responded to Dershowitz's claim.

Corey has made the most serious of claims against Zimmerman, charging that he committed a homicide by the intentional killing of a unarmed teenager. Zimmerman may have done exactly that. Conversely, he may not have. The facts will continue to unfold, and more clarity will emerge.

Regardless of the outcome, Corey is protected by prosecutorial immunity for her actions, right or wrong. I'm suspicious when those in power can seemingly act without personal consequence for their actions but behave as if they are also immune from public criticism when they are challenged. They are not.

Corey is a public official and public person. When she introduced herself to the American public on the Zimmerman case, she glided on stage, smiled for the cameras, flashed a V for "victims," told the country how she prayed with Travyon's family before she commenced her "impartial" investigation and made it clear that she would circumvent the grand jury, which was already scheduled, and make the charging decision herself.

An elected official, especially one who has beckoned the cameras and reporters to record and transmit her every word and act, should be subject to the closest scrutiny. Once she opened that door, the public has every right to walk in, including Dershowitz.

Zimmerman's history is relevant since it relates to his intent and motive when he shot and killed Martin. Wouldn't it be fair then that Corey's history should be similarly relevant when assessments and opinions are made regarding her prosecution of Zimmerman? Whether the prosecution is a call for justice or a political prosecution is a fair question.

Ron Littlepage, a columnist for Corey's hometown newspaper, The Florida Times-Union, identified a number of people who Corey lambasted when they questioned her tactics or motives.

They include Sandy D'Alemberte, former president of Florida State University and the American Bar Association; David Utter from the Southern Poverty Law Center; Jeff Goldhagen, a professor and division chief of pediatrics at Shands Hospital; and the writer, Littlepage himself.

Does her behavior suggest a person who listens to no one other than those who agree with her? Does her criticism of her critics bespeak one who has an agenda that may be greater than the public may see and hear at a news conference?

Corey was appointed by Gov. Rick Scott to prosecute the case after Norman Wolfinger, the experienced state attorney for the 18th Judicial Circuit who had been in office 18 years, mysteriously announced that he was stepping down from the case, "to avoid even the appearance of a conflict of interest ..."

Even though Wolfinger had one of his most experienced career prosecutors, Jim Carter, involved in the case within hours of the shooting and had scheduled a grand jury to consider the case, he unexpectedly left.

To this day, there's no documentation or public statement about what possible conflict of interest existed. From the many I have talked to and from all that I have learned, it is my informed belief that there was no conflict of interest at all.

Contrary to some speculation, Wolfinger wasn't personally involved in the investigation and had never met Zimmerman or Zimmerman's father. Why was that prosecutors' office, which even Corey praised, replaced?

A grand jury could have appropriately considered the case. That's what grand juries do.

Was there a fear that the grand jury might consider the evidence and not indict? Sure looks like it. If that's true, then the question is whether a fair and impartial review of the evidence actually occurred. Or were the charges that Corey brought a foregone conclusion from the onset?

Corey and Scott espouse similar political philosophies. They are NRA-supporting, far-right self-described conservatives. It is telling that Corey, who has recently been praised by many in the African-American community for charging Zimmerman, has been subjected to some of the harshest criticism by many in minority communities for other cases.

Corey has prosecuted a string of controversial cases.

She led the prosecution against a 12-year-old boy, Christian Fernandez, to try him for first-degree murder in the death of his 2-year-old brother. Christian was born to a 12-year-old mother and if he is convicted, will be the youngest person ever sentenced to life in prison without parole in America.

Many in the African-American community in Jacksonville are outraged over Corey's prosecution of an abused black woman who claimed she shot a gun into the air to ward off her abuser. She received a 20-year prison sentence.

Were the charges brought against Zimmerman in Martin's death decided purely on the basis of the evidence and facts, or were political considerations in play, such as Scott's and Corey's efforts to appeal to the African-American community?

I hope Dershowitz and others keep their scrutiny, questions and concerns forthcoming and don't relent. Our democracy and the Constitution require it.

If Corey did everything properly on the case, the truth and its outcome will be the ultimate response to her critics.

Alternatively, if politics proves to have been the driving force, we will again have proof of the wonders that the First Amendment brings when it is exercised without regard of retaliation from those wielding power.

Follow @CNNOpinion on Twitter

@highlight

Alan Dershowitz said special prosecutor threatened him with a lawsuit

@highlight

Mark NeJame: Angela Corey's handling of Martin case should be open to scrutiny

@highlight

He says outside critics are right to examine whether politics played a role

@highlight

NeJame: Why wasn't the case handled in normal fashion by a prosecutor and grand jury?