(CNN) -- After 13-year-old Jahi McMath had a tonsillectomy, she suffered cardiac arrest and loss of blood flow to her brain. Her doctors pronounced her "brain dead." But what happened next tragically exposed the challenges and confusion in American medicine over defining death. Is it when the brain stops functioning, or when circulation stops?

By California law, if the brain is dead, the person is dead. According to the law in all American jurisdictions, it doesn't matter how death is measured. Doctors who persist in calling patients "brain dead" are asking for trouble. These doctors have gotten it.

Jahi is on a ventilator. Her parents wanted a second opinion on whether she met the standard tests for the death of the brain. After the second physician confirmed that the criteria were met, the normal next step would have been to pronounce her dead and stop ventilation. But her parents continued to fight, and another extension on turning off her machines was granted. They are scrambling to move her to a facility that will treat her before the court-imposed deadline of January 7.

Now the family of Terri Schiavo has joined the battle. Schiavo's case was another high-profile example of the devastation that happens when there are differences on whether someone is alive and whether to keep that person on support. Terri Schiavo, who was not brain-dead but was severely brain damaged, died in 2005 after her feeding tube was disconnected. Her parents fought for years to keep her alive against her wishes, as expressed by her husband.

The standard tests for the death of the brain are fairly straightforward. It is not a vegetative state -- it is absence of brain activity, and constitutes a legal measure of death in all states. And no law prohibits continued ventilation of a dead body. We do it routinely to preserve organs for transplant. Jahi's parents have decided to try to continue ventilation -- if you call it life-support you are taking a stand on whether she is dead -- so the issues become who will provide the treatment and who will pay.

A significant minority in the medical profession continue to believe people with dead brains and beating hearts are still alive. Believers include some of our wisest minds -- a Harvard professor, an National Institute of Health theorist, a chief of neurology at UCLA, and the former chair of the U.S. President's Council all reject brain-based death pronouncement. They agree with Jahi's parents that death is linked to circulatory loss.

Others take a position more liberal than the standard law that defines brain death. They favor pronouncing death in some cases even when some parts of the lower brain are still functioning. I have defended that view since 1973.

Why, then, does American law continue to force one standard of death on Jahi's parents and others who have plausible alternative definitions? Once one realizes that the choice among the options is not a cut-and-dried matter of medical science, why not let people have some choice based on their personal religious and cultural views?

This is a "conscience-based" approach to defining death. We need to have a default public policy -- the brain-based definition currently in law -- but people like Jahi's parents should have the option to record their conscientiously held positions and allow pronouncements of death to be based on those beliefs. That's the law in New Jersey and Japan. That would mean Jahi could be classified as alive if that is what her parents choose.

That, of course, doesn't end the controversy. Just like it is not illegal to provide medical support for dead people, it is not necessarily illegal to stop life-support on someone who is still alive. We do that every day, particularly for those who are permanently unconscious.

The trouble arises when physicians want to stop life-support, perhaps because they believe the case is hopeless, and the patient or family insist that life support continue. We call this the "futile care problem." I defended in court the mother of a severely brain-damaged baby referred to as Baby K who wanted life support to continue even though her doctors wanted to stop. Society should show sympathy for mothers who want their children to be kept alive.

If preserving life requires high-tech support like a ventilator, doctors are the ones who should provide it. The costs shouldn't be borne by the hospital. The health insurance company or Medicaid shouldn't pay. But if the family can raise the funds, like Jahi's parents are doing, and the patient is beyond feeling pain, no harm is done by continuing, especially if they can find a facility willing to take the case.

Whether this right to medical support should extend to those considered dead by one standard, but alive by another is the question we face with Jahi McMath. If the patient does not suffer, and private funding is available, people should have the right to make this decision for their loved ones.

The opinions expressed in this commentary are solely those of Robert Veatch.

@highlight

Jahi McMath has been declared brain dead but parents want her to remain on ventilator

@highlight

Robert Veatch: Some define death when brain stops, some say it's when circulation stops

@highlight

Veatch: Tragedy shows the confusion around defining death; we need a public policy

@highlight

Veatch: Parents should be able to keep her on support if it can be privately funded