WASHINGTON (CNN) -- -- Discount air carrier Southwest Airlines flew thousands of passengers on aircraft that federal inspectors said were "unsafe" as recently as last March, according to detailed congressional documents obtained by CNN.

Congressional documents show Southwest flew thousands of passengers on aircraft deemed "unsafe" by inspectors.

Documents submitted by Federal Aviation Administration inspectors to congressional investigators allege the airline flew at least 117 of its planes in violation of mandatory safety checks.

In some cases, the documents say, the planes flew for 30 months after government inspection deadlines had passed and should have been grounded until the inspections could be completed.

The planes were "not airworthy," according to congressional air safety investigators.

On Thursday, the FAA initiated actions to seek a $10.2 million civil penalty against Southwest for allegedly operating 46 airplanes without conducting mandatory checks for fuselage cracking.

"The FAA is taking action against Southwest Airlines for a failing to follow rules that are designed to protect passengers and crew," Nicholas A. Sabatini, the FAA's associate administrator for aviation safety, said in a written statement.

Calling it "one of the worst safety violations" he has ever seen, Rep. James Oberstar, D-Minnesota, is expected to call a hearing as soon as possible to ask why the airline put its passengers in danger.

But Southwest Airlines -- which carried more passengers in the United States than any other airline last year -- said there was never a flight safety issue.

"The FAA penalty is related to one of many routine and redundant inspections on our aircraft fleet involving an extremely small area in one of the many overlapping inspections. These inspections were designed to detect early signs of skin cracking," the airline said in a statement Thursday evening.

"Southwest Airlines discovered the missed inspection area, disclosed it to the FAA, and promptly reinspected all potentially affected aircraft in March 2007. The FAA approved our actions and considered the matter closed as of April 2007."

The airline said it understood the FAA's concerns and was anxious to work with the agency.

The documents obtained by CNN allege that some management officials at the FAA, the agency responsible for commercial air safety, knew the planes were flying "unsafely" and did nothing about it.  CNN's Drew Griffin uncovers 'troubling information' »

"The result of inspection failures, and enforcement failure, has meant that aircraft have flown unsafe, unairworthy, and at risk of lives," Oberstar told CNN.

He said both FAA managers and the airline may also have broken the law as well as threatened the safety of Southwest passengers.

The documents were prepared by two FAA safety inspectors who have requested whistle-blower status from the House Transportation and Infrastructure Committee, which is headed by Oberstar.

The two inspectors have been subpoenaed to testify before the committee. The nation's "Whistle-Blower Protection Program" protects federal employees from being fired or retaliated against by their employer.

The inspectors say FAA managers knew about the lapse in safety at Southwest, but decided to allow the airline to conduct the safety checks on a slower schedule because taking "aircraft out of service would have disrupted Southwest Airlines' flight schedule."

According to statements made by one of the FAA inspectors seeking whistle-blower status, a manager at the FAA "permitted the operation of these unsafe aircraft in a matter that would provide relief" to the airline, even though customers were on board.

Laura Brown, an FAA spokeswoman, told CNN that the administration has taken action and that a supervisor who was in charge of overseeing Southwest is "no longer in a supervisory position."

The FAA's announcement that it would seek civil penalties against Southwest came after news of the congressional reports became public.  Watch passengers react to the violations »

The safety inspections ignored or delayed by the airline were mandated after two fatal crashes and one fatal incident, all involving Boeing's 737, the only type of airplane Southwest flies.

In 1994, a US Air Boeing 737 crashed in Pittsburgh, Pennsylvania, killing 132 people. Three years earlier, a United Airlines Boeing 737 crashed in Colorado Springs, Colorado, killing 25 people. Investigators blamed both crashes on problems in the planes' rudder control system, leading the FAA to demand regular checks of the 737's rudder system.

Documents provided to CNN show 70 Southwest jets were allowed to fly past the deadline for the mandatory rudder inspections.

The documents also show 47 more Southwest jets kept flying after missing deadlines for inspections for cracks in the planes' fuselage, or "skin."

The long-term, mandatory checks for fuselage cracks were required after the cabin of an Aloha Airlines 737 tore apart in mid-air in 1988, killing a flight attendant. That incident, which opened much of the top of the plane during flight, was attributed to cracks in the plane's fuselage that grew wider as the plane underwent pressure changes during flight.

An FAA inspector at a Southwest Airlines maintenance facility spotted a fuselage crack on one of the airline's 737s last year, according to the congressional documents. He notified the airline and then began looking through safety records, discovering dozens of planes that had missed mandatory inspection deadlines.

According to the inspector's statement in congressional documents: "Southwest Airlines at the time of discovery did not take immediate, corrective action as required to address this unsafe condition and continued to fly the affected aircraft with paying passengers."

In a news release Thursday afternoon, the FAA said Southwest operated 46 Boeing 737s on nearly 60,000 flights between June 2006 and March 2007 while failing to comply with an FAA directive that requires repeated checks of fuselage areas to detect fatigue cracking.

The FAA alleges that after Southwest discovered it had failed to comply, it continued to operate the same planes on an additional 1,451 flights. The airline later found that six of the 46 planes had fatigue cracks, the FAA said.

"We expect the airline industry to fully comply with all FAA directives and take corrective action," the FAA's Sabatini said in the statement.

Southwest has 30 days to respond to the agency.

The documents show Southwest voluntarily disclosed some of the missed inspections last spring. Earlier, Southwest told The Wall Street Journal it did not expect any civil penalties to be imposed because of the self-disclosure.

But, even after the airline's disclosure, FAA inspectors assert that planes continued to fly, in some cases for more than a week, before inspections were complete. The airline "did not take immediate, corrective action," according to the congressional documents obtained by CNN.

"That is wrong," said Oberstar. "When an aircraft is flying out of compliance with airworthiness directives, it is to be shut down and brought in for maintenance inspection. That's the law."

Southwest Airlines has never had a catastrophic crash. Federal investigators determined a 2005 incident at Midway airport in Chicago that killed one person on the ground was the result of pilot error, as was a 2000 incident at Burbank airport in California that seriously injured two passengers. E-mail to a friend

@highlight

Southwest responds: "This was never a safety of flight issue"

@highlight

FAA initiates action to seek $10.2 million penalty from Southwest

@highlight

Documents show Southwest flew thousands of passengers on "unsafe" flights

@highlight

House panel chair says it's "one of the worst safety violations" he's ever seen