(CNN) -- Severe rain and thunderstorms pounded the Los Angeles suburbs again Saturday, causing more mudslides in Glendora and other towns.

Mandatory evacuation orders for Glendora, Azusa, and Monrovia remained in effect, CNN affiliate KCAL reported. So far, no deaths have been reported.

"We've got people still evacuated only because we expect those thunderstorms, those high-intensity, short duration, type of rain storms," Glendora Police Chief Timothy Staab told KCAL. "The hillsides are already soaked right now, and it may not take much to cause those mudslides to just come down out of the hills."

The hills can't hold water because so much vegetation was destroyed in wildfires and drought.

"These areas have the highest risk of being impacted by flooding/debris flows from rainfall due to the loss of vegetation from the foothills," the city of Glendora said in a statement to KABC, also a CNN affiliate.

In Monrovia, people who choose not to leave will be asked to sign a form acknowledging they know the risk and assume liability for staying in their homes, KABC reported.

The bad weather extended into Burbank, where rain and winds felled a 50-foot tree into an elderly woman's home. She escaped out the back door and wasn't injured.

In Glendora, stories of close calls were easily found on Friday.

Mario Vazquez grabbed his dog and got out of the way, as a stream of water and mud came gushing on to his streets.

Since California has been in the middle of its worst drought in 100 years, it would seem that the sight of rain would be good news.

But in Glendora and other towns in Los Angeles County, it wasn't.

The rain has been much needed, but Friday's deluge -- coming down at more than an inch an hour at times -- landed on bone-dry hills scorched by recent wildfires in and around Los Angeles.

With little vegetation left to stop them, walls of water have gushed into valleys below. They have spewed mud and debris into quiet residential streets, turning them into thick, brown creeks.

More could hit before Saturday is up, the National Weather Service says. It has placed Los Angeles and Ventura counties under a flash flood watch.

By the time it's over up to 6 inches will have landed on the foothills of Los Angeles County and as much as 10 inches on the ridge line.

Weather weirdness

The West Coast rain is expected to end by Sunday, but will move eastward over the weekend. It will bring cold and snow to the central Plains to Ohio Valley late Saturday and Sunday and to the East Coast by Monday.

Cities that will fall in the path of the heaviest snow include Louisville and Lexington, Kentucky; Pittsburgh and Philadelphia; and the Washington, D.C. area.

Severe thunderstorms will be possible across central and eastern Texas and much of Louisiana on Sunday. Damaging thunderstorm winds will be the primary threat and a few tornadoes will be possible.

Several cities will experience yo-yo temperatures. For example, the high in Atlanta will be 71 degrees on Sunday and drop to 54 on Monday. In New York, it will be 40 on Sunday and 26 on Monday; in Washington, 54 and 34, with a chance of 8-10 inches of snow.

In Colorado, one person was killed and 20 were injured after a series of wrecks Saturday that involved an estimated 60 cars, Sonny Jackson, public information officer for the Denver Police Department, told CNN. Jackson said there were three different accident scenes within a short stretch of I-25 North, the first of which involved 45 cars.

The storms brought the first rains since a powerful, persistent weather system collapsed that was keeping California parched. The same system was also at the root of a lot of strange weather around the globe -- all the way to Russia.

A massive, sturdy ridge of high-pressure air had hovered over California, blustering rain clouds away. At the same time, it pushed the jet-stream way up into Canada and distorted it, said weather environmentalist Bill Lapenta.

The stream then whipped south, pulling icy cold down into the Deep South, where it triggered snow storms. Then it dragged them up to Northeast, before crossing the Atlantic and bringing floods to Britain.

It is also brought the unseasonably warm weather at the Olympic Games in Sochi, Lapenta said.

The heavy California rains will not do much to alleviate the drought, according to the CNN Weather Center.

A lot of the water is flowing right back out to sea, and the drought's effects have been enormous. Water reservoirs are running at minimum levels.

For the first time in its history, the California Water Project - a system of canals and reservoirs that provide water to two thirds of the people in the state's Central Valley -- set its allocation for all of them to zero.

Fire, then water

Floating in Glendora's silt were chunks of burned wood.

Just weeks ago, flames were consuming the hills looming above them. Now, 1,000 homes in the valley have been ordered to evacuate, for fear of flash floods.

Besides his dog, Vazquez left almost everything he owns behind to face the sludge.

"I got my laptop," he said. "It's going to be fine. It's all replaceable."

It was probably quick thinking on his part. The rising waters caught many off guard.

"It wasn't like this 20 minutes ago," said resident Ryan Friend. He seemed aghast, as he watched a stream of thick brown pour down a street.

CNN's Greg Morrison contributed to this report

@highlight

Rains are the first since the weather system behind the drought collapsed

@highlight

Though desperately needed, the rain has not been great news

@highlight

Deluge has come down at more than an inch an hour at times

@highlight

Rain and cold will move, hitting the East Coast Monday