(CNN) -- Just when it seems all rivers have been charted, seas explored and canals crossed, secret backwaters move into the limelight. While cruise companies have traditionally focused on more popular circuits, increasing attention is being paid to off-the-radar bodies of water.

Cruise providers are noticing an uptick in enthusiasm for offbeat boating. Orient-Express Trains & Cruises is adding its second ship to river itineraries in burgeoning Myanmar (also known as Burma ).

"Our decision to introduce our newest river cruiser, Orcaella, in July 2013 is evidence of our commitment to Myanmar, one of the few places yet to be fully discovered," says managing director Gary Franklin. "So we wish to use our experience to delve farther off the beaten track."

Travel photos you wish you'd taken

Micato Safaris, which offers bespoke tours to India, has seen a recent spike in inquiries about river cruising in the country's southern state of Kerala. "Cruising Kerala's backwaters provides a wonderful contrast to the hustle and bustle of India's cities," says managing director Dennis Pinto. "A sail through reveals a serene and peaceful world, where one can observe the quieter lifestyles of the villagers who make their living in these resource-rich backwaters."

There is something to be said for drifting along uncharted waterways and quietly observing the shores. The silent distance adds a special touch to a voyage, whether it separates you from the African bush or picturesque Swedish landscape. It also comes as no surprise that many of these waterways are quickly morphing from secretive to spotlighted—such as Myanmar's Irrawaddy River—while others remain rarely plied. Bon voyage.

Departures: Cruising the Mediterranean

Amazon River, Peru

While the Amazon River is not a secret, many of its tributaries are. Aqua Expeditions does three-, four- and seven-night cruises on M/V Aqua and M/V Aria, two boutique river vessels that travel deep into the Pacaya-Samiria National Reserve at the headwaters of the Amazon. Tour the jungle town of Iquitos before plying the untouched waters of the Maranon, Ucayali and Yanallpa rivers. Experience piranha fishing and walks through the rainforest to spot playful monkeys or relax on the rooftop deck and view neon-brilliant birds and rare pink dolphins. Panoramic windows wrap around the large design suites; Peruvian-European fusion fare is served onboard. Prices start at $2,685; 866-603-3687.

Chobe River, Namibia and Botswana

Few experiences match the thrill of a river safari along the Chobe River between Botswana and Namibia on the five-star Zambezi Queen. The cruiser provides an ideal vantage point from which to view the African grasslands and the river itself, which teems with hippos and crocodiles. Private balconies connect each of the 14 cabins to the outdoors and a contemporary dining room showcases three-sided views. After an exhilarating game drive, travel in a traditional mokoro canoe to visit local villages for a boma dinner, with a barbecue and dance performance under the stars. Sip a sundowner cocktail by the onboard pool while observing elephants, leopards, lions and buffalo along the riverbank. Prices start at $905 (two nights).

Departures: Sailing the Aeolian Islands

Danube River

Experience the "Romance of the Blue Danube" aboard the MS River Splendor as it makes its way through the Czech Republic, Slovakia, Austria and Germany. Inaugurated this month, the 176-passenger vessel offers intimate cruising with plush suites and private French balconies. Guests take in Budapest's imperial cityscape before embarking on an 11-day sail during which they witness a knight tournament and savor Tokaj wines before arriving in Vienna for a private concert at the Kursalon concert hall. Wend through vineyard-dotted Wachau Valley and meet a Habsburg descendant at Artstetten Castle. Stop in Mozart's hometown of Salzburg and, in Passau, hear the tunes of the world's largest church organ before traveling through forested gorges to reach the city of Regensburg. Prices start at $4,249.

Gota Canal, Sweden

Simply Sweden hosts three- to five-night cruises between Gothenburg and Stockholm on one of three period ships from the 1800s. These sailings go between the Baltic and North seas along three canals, across eight lakes and through 66 locks. (A hotel stay on either end allows guests to explore Sweden's two largest cities.) Glide through the Swedish countryside on a charming old cruiser with humble cabins and meals that star Nordic herring specialties. Excursions travel to never-invaded Karlsborg Fortress for a war re-enactment and to the canal museum in Sjotorp village for an introduction to the fascinating science of lock systems. In between the culture-packed outings, mingle with curious locals as the ship descends and ascends the lock staircases. Prices start at $2,158.

Departures: Top Alaska cruises

Irrawaddy River, Myanmar

Winding down the Irrawaddy, the scenic waterway that cuts right through Myanmar, is the most serene way to explore the Golden Land. Relive the journey in Rudyard Kipling's poem "On the Road to Mandalay" aboard Orient-Express' luxury Road to Mandalay cruiser, with three- to 11-night trips. Get a bird's-eye view of this forgotten land on a hot-air-balloon ride over the ancient kingdom of Bagan or see lacquerware being made. Unwind with a soothing east meets west massage and savor mohinga, the region's staple fish soup. Orient-Express is adding a second ship on the Irrawaddy River in July—the 50-guest Orcaella will take to the more remote sections of western Myanmar along the Chindwin River toward the Indian border. Prices start at $2,520.

Kerala Backwaters, India

For a unique ramble through the backwaters of Kerala, a southern Indian state that edges the Arabian Sea, pick a two- or three-night itinerary on The Oberoi Motor Vessel Vrinda. In Malayalam, the official language of Kerala, vrinda means beautiful and serene (or a bunch of flowers) and aptly describes the sojourn on this luxe backwater cruiser. Onboard find eight deluxe cabins with panoramic picture windows and a rich repertoire of events, such as a performance of Kathakali, a local dance interpretation of ancient Hindu epics. Culinary highlights include sadya, a traditional feast of a dozen small dishes served on a banana leaf, and available daily outings on a small traditional rice boat float past brightly colored houses, rice paddies and tea shops. Prices start at $1,641.

Departures: Most luxurious new cruises

Mekong River, Vietnam and Cambodia

Discover former Indochina aboard an array of boutique liners that travel the Mekong River between Vietnam and Cambodia. Luxury Cruise Mekong brings you the most luxe selection of colonial cruisers and traditional sampan skiffs. The showstopper is The Jayavarman, a French-colonial-style vessel with silky Indochine design accents. Choose between two- or seven-night cruises, which both kick off with an awakening tai chi lesson. Voyages down this living waterway wind through floating villages and rustic catfish farms and meet villagers as they prepare coconut candies and rice cookies. Alternatively, opt for a private cruise on a Song Xanh sampan (two nights, from $880), which goes deep into the Mekong Delta with visits to 19th-century French estates, temples and dinh, Vietnamese community halls. Prices start at $732.

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Watch hippos and crocodiles along the Chobe River between Botswana and Namibia

@highlight

Trips between Gothenburg and Stockholm go along three canals and through 66 locks

@highlight

Discover former Indochina on boutique vessels traveling the Mekong River