Editor's note: Brian Levin is a professor of criminal justice at California State University, San Bernardino and director of the university's Center for the Study of Hate & Extremism. Michael Stoops is executive director of the National Coalition for the Homeless in Washington.

Brian Levin says the homeless are excluded from lessons on tolerance and aren't protected by hate crime laws.

CAMBRIDGE, Massachusetts (CNN) -- Over the last two calendar years, more Americans in the United States were killed in a little-noticed spate of unprovoked attacks than were killed by terrorists, in large commercial jet crashes or in racial hate crimes.

Since 1999, more than 240 vulnerable homeless Americans have been stabbed, beaten, drowned, shot or burned to death in a revolting display of one of the last socially tolerated prejudices, this one based on class.

Despite being prime targets of prejudice and violence, particularly in today's youth subculture, the homeless are routinely excluded from lessons related to tolerance, as well as from official data collection and hate-crime penalty enhancement laws.

A newly released report from the National Coalition for the Homeless documented 27 unprovoked, apparently bias-related homicides by attackers in the United States last year, down one from the previous year and the second-highest number of killings since 2001.

After bottoming mid-decade, the number killed has not dipped below 20 a year since 2005. In contrast, the FBI documented only 12 hate-crime homicides nationally for the two most recently available calendar years combined.

According to the NCH and the Center for the Study of Hate & Extremism, nearly 2 1/2 times more homeless people in America have been killed over the past 10 years in apparent unprovoked bias homicides than the total for all the other hate- crime homicides -- on the basis of race, religion, national origin, disability and sexual orientation -- combined.

Like other hate crime perpetrators, these attackers are typically young male "thrill offenders" seeking excitement, with 58 percent of assailants over the past 10 years falling in the 13-19 age range. In 2006, three teenagers out for fun attacked homeless people in Fort Lauderdale, Florida, with baseball bats, killing one of their victims, 45-year-old Norris Gaynor. One pleaded guilty and the two others were convicted of murder last September after the jury saw graphic surveillance tape of one of their nonlethal beatings from earlier in the evening.

These attacks exclude the large number of other types of crimes involving the homeless, such as personal disputes, homeless-on-homeless violence, robbery, drugs or murder for life insurance proceeds.

The August issue of Maxim, a youth-oriented magazine targeted at college-aged males, joked about last weekend's National Hobo Convention in Britt, Iowa, in a blurb titled "Hunt the Homeless." The journal quipped "Kill one for fun. We're 87 percent sure it's legal."

In previous violent attacks, some assailants have referenced degrading and violent depictions in popular culture such as "Bumfights" either during their crimes or in subsequent interviews with authorities, with some even filming the events.

"Bumfights" is a popular violent video series that sold hundreds of thousands of tapes and DVDs before going viral on the Internet. The film series sets a new low in American popular culture, featuring fights between homeless men plied by the producers with alcohol, as well as sadistic parodies of the late Australian conservationist "crocodile hunter" Steve Irwin.

These "skits" feature terrified sleeping homeless people who are startled awake and forcibly restrained with duct tape by "hunters" narrating their attacks with feigned Australian accents. Samuel Bowhay of Grinnell College found almost 86,000 videos on YouTube last month with "bum" in the title, thousands more than videos with other derogatory prejudiced epithets.

While homeless advocates lack the political and financial infrastructure often needed to institute policy reform, the frequency and brutality of the bias attacks have renewed focus on the nature of this violent form of prejudice and ways to address it.

Last week, District of Columbia Mayor Adrian Fenty signed legislation adding homeless status to the district's hate-crime law. Maryland, an early adopter of such measures in the 1980s, will join Maine in adding homeless status to its hate-crime law on October 1.

Other jurisdictions such as Alaska; Puerto Rico; Los Angeles County, California; and Seattle, Washington, also have taken various steps to recognize homeless status in their laws, data collection, educational efforts or procedures.

In almost a dozen other states, including California, Texas, South Carolina and Florida, legislation has been introduced over the past three years to add homeless status to their hate-crime laws as well. Nationally, Rep. Eddie Bernice Johnson of Texas has introduced legislation to add homelessness to federal hate-crime laws and data-collection efforts.

These efforts are long overdue. A primary purpose of hate-crime laws is the targeted deterrent message to would-be offenders that they face real punishment and social disapproval. Moreover, the key criminological criteria for coverage in hate-crime law apply seamlessly to homeless status as well:

1. a significant additional risk of violent victimization;

2. discriminatory selection;

3. established prejudice against a socially identifiable class;

4. identical offenders such as bigoted skinheads or young male thrill offenders who share identifiable characteristics and motivations.

Arguments against including provisions in hate-crime laws for the homeless are recycled ones that were initially used unsuccessfully against other groups, like gays and lesbians. Too many additional groups dilute the laws, or homelessness is a changeable condition that most people wouldn't want, they argue. The fact is, millions of Americans have changed their religious affiliation and yet, just about all hate crime laws cover faith. Disability is a characteristic that, like homelessness, most people would not seek out, yet it too is covered.

Adding the homeless to hate-crime laws, tolerance education and data-collection efforts must not be obstructed. When hate makes a fist, the laws of a civilized society must decisively block the blow in the most forceful and unambiguous way possible.

The opinions expressed in this commentary are solely those of Brian Levin and Michael Stoops.

Reuters contributed to this report.

@highlight

Levin, Stoops: Homeless aren't protected by hate-crime laws or tolerance lessons

@highlight

They say new report documents disturbing level of violence vs. homeless

@highlight

They say popular culture leads some to think of hunting homeless as a sport

@highlight

Levin, Stoops: Laws must forcefully block violence against homeless