(CNN) -- Energy ministers at Wednesday's OPEC meeting in Vienna agreed to maintain oil production levels, after negotiating in the shadow of flaring violence in the second-biggest city of Iraq, one of the consortium's key producers.

More than 500,000 citizens have fled Mosul as extremist militants overrun the town.

The impact of the insurgency has so far been limited, but a drive into the deep south, around Basra, or further into the Kurdish region, could quickly alter the dynamics of the oil market.

The OPEC agenda has also been destabilized by complications on the path to an agreement between world powers and Iran over its nuclear program.

Further, chaos continues to reign in Eastern Libya, which has brought down the country's production to an eighth of its pre-war average of 1.6 million barrels a day.

OPEC agreed to keep production at 30 million barrels a day, despite rising production from Iraq and Iran. They will meet again in Vienna in November.

In a statement, OPEC said member countries affirmed they would "if required, take steps to ensure market balance which is so important to world economic activity." Further, they "reiterated their willingness to firmly respond to developments that might jeopardize oil market stability."

Strategists say the cartel's traditional swing producer Saudi Arabia (the one that balances market demand for OPEC crude) may need to step in to produce a record 11 million barrels a day to fill a potential void.

The Kingdom moved to increase production capacity to 12.5 million barrels a day when the former government in Iran threatened to chock off exports through the Strait of Hormuz.

The situation could be much worse for the group that produces about 40% of the world's daily oil output. These countries -- dominated by the major players of the Middle East -- have enjoyed triple digit oil prices, meaning $100 or more, for three years.

This has kept export revenues within OPEC above $1 trillion since 2011. So far, we are witnessing the same scenario playing out in 2014. Four investment banks raised their annual forecasts for North Sea Brent based on the uncertainty that prevails over supply.

At the same time, Paris-based think tank the International Energy Agency said that OPEC production would need to rise in the second half since inventories for April were at their lowest level since 2008.

That amounts to a 180 degree turn in sentiment from the last time OPEC members convened in December. With North American output at a 30-year high as a result of the shale oil and gas boom, many expected OPEC members to be vying amongst themselves for global market share.

The Middle East uncertainty is allowing OPEC to delay tough decisions. Long-time rivals Iran and Iraq both say they will take production to four million barrels a day in 2015, if geo-politics and violence do not stand in the way.

But all eyes will remain on Iraq, and the insurgency. So far, the real oil bounty has not been hit. Andrey Kuzyaev, president of Lukoil Overseas, the Russian oil group told me in an interview back in April "to date we had zero cases of kidnappings and zero terrorist attacks."

The company plans to move forward with an estimated investment of $36 billion in the West Qurna field near Basra in southern Iraq.

But the situation remains fluid. The Iraqi government was hoping to boost production in Kirkuk, near where the violence has broken out, from its recent low of 260 thousand barrels a day. Those plans seem to be in jeopardy as the insurgence spreads.

The siege of Mosul: What's happening? Why is it significant?

More from John Defterios: Investors welcome el-Sisi

More from John Defterios: Putin's 48 hours in St Petersburg

@highlight

OPEC is meeting to discuss oil production, including rising output from Iran and Iraq

@highlight

Production in Libya, meanwhile, has dropped as chaos reigns in the east of the country

@highlight

Uncertainty in the Middle East is enabling OPEC to delay tough decisions, John Defterios says