What kind of holiday rental home costs $10,000 a day? Perhaps one set on a private Caribbean beach, with a personal fleet of boats?

An Alpine chalet, with postcard-perfect views of the Matterhorn from every window? Or maybe a personal spa, with a lap pool, hiking trails, a state-of-the-art gym -- and an on-call personal trainer to make sure you use them?

The answer: yes, yes and yes. For today's new generation of well-heeled travelers -- who are increasingly eschewing hotels for private rental villas -- the bar for luxe hideaways has reached dizzying heights.

Departures.com: See more over-the-top villas

For a certain breed of jet-setter, home theaters, Ducasse-worthy kitchens and private bars stocked with top-shelf liquor are all de rigueur; what they're after are award-winning chefs ready to whip up personalized dinner-party menus or on-demand yachts with captains who know the best deep-sea fishing spots.

Somewhat ironically, this surge in over-the-topness could be considered a by-product of harder economic times. "Before the global financial crisis there was a glut of high-end construction," explains Brian Sharples, founder of HomeAway, a network of villa rental websites representing 650,000 properties with prices ranging from a few hundred dollars up to $392,000 a week. "Many owners of luxury properties who were over-leveraged have now turned to rentals as a way to defray ownership costs."

The result is a super competitive market where added extras like sports cars and ski equipment are as common as evening turndown treats in hotels.

While many of the world's most opulent villas lure guests with an array of cool toys (and we do mean cool -- how does recording studio equipment once used by John Lennon sound?), others deal in what may be the most coveted holiday-home currency: privacy.

Departures.com: Top yoga retreats

Is it any wonder that rock stars and royals duck the paparazzi by hiding out on islands like St. Barth and Mustique (particularly when there are homes like Shogun -- set alone on a cloistered estate and reminiscent of a Japanese imperial palace, koi pond included)?

Of course, for those seeking true sanctuary, the right vacation villa is only part of the equation; the right staff is also key. (After all, a Viking stove isn't much use if you're a terrible cook; and 17,000 square feet seems like a lot, when you have to vacuum it yourself.)

That's why many top-tier villas come with phalanxes of personnel and also offer private transport -- via luxury car, boat or helicopter -- to zip guests anyplace they desire. But, really, when your home away from home is as outrageously opulent as these villas, why go anywhere else?

Nandana, Grand Bahama Island

Sequestered behind ornately carved wooden doors (rescued from a 250-year-old Javanese temple), the 20,000-square-foot Nandana evokes a Balinese teak palace -- with a few exceptions.

One is its location, on five private acres of Bahamian beachfront on Grand Bahama's Pine Cay; another is the 120-foot-long infinity pool that anchors five luxurious suites, including one styled like an air-conditioned safari tent.

Departures.com: World's top walking cities

Yet another is the fleet of go-go gadgets that comes with the property, including four top-of-the-line Yamaha FX WaveRunners (capable of reaching 70 mph), two golf carts, two Suzuki all terrain vehicles, a customized Land Rover Defender and a deep-sea fishing yacht with a captain.

The only downside: You might have to bring your own Learjet for the private airfield. nandanavilla.com

Elisa, Aspen, Colorado

This 17,000-square-foot, six-bedroom mountain lodge has views over the wild snowshoe terrain of Aspen's Red Mountain from nearly every window.

There's an entry room with soaring vaulted ceilings, exposed beams, stone walls and a huge welcoming hearth; outside, there's a 60-foot-long infinity pool, hot tub and a colonnaded stone porch with its own massive fireplace -- perfect for evening toddies or marshmallow roasts.

Departures.com: A global guide to vacation villas

Ski lift passes and in-house ski and boot fittings are provided. If there's a vintage you can't find in your pre-stocked wine cellar, engage the services of Elisa's personal butler. villazzo.com

Chalet Hike, Zermatt, Switzerland

This five-bedroom ski chalet has possibly the most iconic mountain views in the world; almost every room overlooks the jagged peak of the Matterhorn. Inside, the house has been customized to provide the ultimate in pre-and après-ski comfort.

There's the state-of-the-art Brazilian stone and Italian marble kitchen, outfitted with Gaggenau and Miele appliances; a walk-in wine cellar; a sprawling leather De Sede sectional, big enough to sleep three or four extra guests; both bio-fire and natural-log fireplaces; a full gym; boot warmers and a drying room for top-of-the-line ski equipment; and ice-climbing gear, in case you fancy tackling Europe's most iconic peak.

Best of all, though, is the quartz and crystal-tiled steam room, which purportedly helps speed healing after a challenging day on the slopes. premiumswitzerland.com

Shogun, Mustique

On an island already famous for its over-the-top exclusivity (Mick Jagger has a holiday home here, and Prince William and Kate Middleton came to celebrate her 30th birthday), the Japanese ryokan-style Shogun, which is 9,000 square feet, stands alone for its outlandish opulence.

The house, built on five bucolic cliff-side acres on the western saddle of the island in 1980 -- and newly renovated this year -- is a showcase for Japanese art and antiques, and sports two swimming pools, a private putting green, three vehicles (one Suzuki jeep and two open "mules") and a game-fishing powerboat.

Each of the nine silk-upholstered, shoji-screened bedrooms is named for a Japanese flower; most look over a 1,000-square-foot central pond, stocked with a small fortune's worth of koi. mustique-island.com

Pezula Private Castle, Knysna, South Africa

A 40-minute ride in a private helicopter brings guests from Cape Town to the 1,500-acre Pezula estate, set along the Garden Route between a three-mile-long stretch of coastline and the Sinclair Nature Reserve.

As well as a luxury resort, the property is home to Pezula Private Castle, an elite hideaway set into a cliff overlooking pristine Noetzie Beach. The Castle -- aptly named, with stone towers that resemble something out of medieval England -- contains five suites scattered among three separate buildings.

The main castle has two living rooms with wood-burning fireplaces, a bar stocked with South African wines, a full gymnasium, an infinity pool, a ten-seat dining table (with private chef) and magnificent views over white sand and the Indian Ocean. pezula.com

Departures.com: See more over-the-top villas

@highlight

A stocked wine cellar and in-house ski and boot fittings are provided at Elisa in Aspen, Colorado

@highlight

Shogun is on Mustique, an island already famous for its over-the-top exclusivity

@highlight

Pezula Private Castle is an elite hideaway set into a cliff overlooking a South African beach