(CNN) -- Freedom. Equality. Both are cornerstones of our treasured American heritage as well as primary foundations of Sikhism. The South Asian faith preaches equality among races, genders, and classes and incorporates this teaching in all aspects of its practice.

The Sikh temple, or gurdwara, which means "House of God," is open 24 hours a day, seven days a week, and has four doors pointing toward the four cardinal directions to welcome people from all faiths, creeds and backgrounds, demonstrating Sikh ideals in its very architecture.

You find this not only in India -- where the most notable of gurdwaras is the Golden Temple -- but also right here in the United States. In fact, you'll find it at the gurdwara in Oak Creek, Wisconsin, where one of those doors that welcomes all comers was used by someone who did not have equality in his heart.

Those four doors were kept open in no small part because of the tireless dedication and efforts of the president of the temple, Satwant Singh Kaleka, a personal, family friend I had the pleasure of knowing since we first welcomed members of his family to southeastern Wisconsin over 30 years ago -- a place that I still proudly call home.

Although we now know him as a victim of this horrendous act and as the hero who died trying to stop the gunman, I remember him as someone who never missed an opportunity to open his heart to you and greet you with a smile. And what a characteristic and beautiful smile it was.

His whole family is a fixture in the Milwaukee area and members carry with them that same spirit of love and caring. Indeed, one of my fondest memories is of Mr. Kaleka's family joyfully leading a group of guests in song at our home in Wisconsin the day after our wedding. So full of life.

Fate intervened and my family and I did not attend services that Sunday. The loss of our friends is deep and saddening and it hurts. But the effect it's had on not just the Sikh but the broader community has been nothing less than profound. And for that, in the midst of this grief, I am sincerely grateful.

In Sikhism, all are welcome and are one, without condition or limitation. All Sikh houses of worship have a community kitchen, called a langar, so that anyone in need of food can come and eat free of charge at any time. Indeed, tradition dictates that everyone who participates in langar sit at an equal level with all other diners to remind congregants to practice what is preached -- that we are all one.

Both at langar and elsewhere, congregants strive to serve others, especially those less fortunate. It's a practice known as seva, selfless service, and it represents the highest ideal and function of Sikhs.

At their core, the teachings and traditions of Sikhism represent the very best of what our beloved country stands for: a place of equality and opportunity open to and in service of all. And, as they've done in both in their home country and here in the United States, Sikhs have sacrificed greatly to ensure that this freedom is guaranteed to all.

But, unfortunately, we also have to recognize that respecting and protecting the liberty and equality of all sometimes means making an uncomfortable peace with those who seek to undermine those very same principles. It means making a place for those who might not reflect our lofty ideals and who express hate instead of inclusion. It means making a place for, and respecting the existence of, people like Wade Michael Page, who committed the massacre in Oak Creek on Sunday.

A messy thing, freedom.

That said, as Americans and as Sikhs, we are committed to respecting the essential rights of every human. We know the sacrifices of heroes like Lt. Brian Murphy -- in critical condition after he was shot nine times helping victims -- Satwant Singh Kaleka and myriad others, are worth it in the end. It's the price of the society envisioned by the Founding Fathers and those sages who founded Sikhism. Indeed, it's the price we pay for the very foundation of this country that we call home.

After all, as it is written in the very first stanza of the Sikh holy book, we are all one under one guiding spirit. Not just those with whom we agree, but all of us.

Now, if only we could all remember that.

Chardi Kala. May your spirit rise.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Kanwar M. Singh.

@highlight

Kanwar Singh: Freedom and equality are cornerstones of America and of Sikhism

@highlight

Kanwar was friends with temple head Satwant Singh Kaleka, who died trying to stop gunman

@highlight

Respecting all includes finding a place in the heart for people who express hate, he writes