London (CNN) -- It could be the find of the century, or something much more suspicious. "La Bella Principessa" -- a 13 inch tall pen-and-ink portrait of a Florentine woman with a Mona Lisa-esque smile -- sat in a drawer for decades, before being "rediscovered" and attributed as a lost $150 million masterpiece by Leonardo da Vinci.

Each year, we're seeing "priceless" lost art reappearing -- a lost Van Gogh, a haul of Caravaggios, a stash of Picassos and Matisses -- that transform owners into multi-millionaires overnight.

Today's booming international art market creates a near-irresistible draw for attic-raiders and flea market-shoppers hoping to win big -- and seductive target for fraudsters and forgers, too. Currently, the U.S. Department of Justice lists art crime as the world's third-highest-grossing criminal trade -- only behind drugs and arms dealing.

Here, a lecturer teaching a new class in forgery-catching and the head of science at the British National Gallery's laboratory explain how new techniques identify ever more cunning forgers and bring true masterpieces to light.

1. Does it have style?

Before a painting ever finds itself in front of the high tech gadgets now boasted by arts scientists, it is likely to face the oldest examination: an examination by a "connoisseur" -- one of a band of art experts whose weighty support can push a painting into contention as a potential masterpiece.

Martin Kemp, a world-leading da Vinci scholar, conducted a year-long critical "interrogation" of the Principessa -- the brushstrokes, composition, and details of the clothes were all scrutinized -- to discover if the portrait bore the hallmarks of the master, or a lesser artist.

"Kemp specifically compiled evidence of all the mistakes that Leonardo's forgers had made through the ages," says Dr Christa Roodt, a Lecturer in Art Law and Business at Glasgow University, teaching a new course on Forgeries, Attributions and the Art Market.

"He would look for things like a right-handed brush stroke [da Vinci was left-handed], which could happen inadvertently, and would give the forger away, or a failure to layer the paint in the way Leonardo did it."

2. Go beneath the surface

Kemp found no mistakes. Increasingly, scientists are developing techniques that allow the critical gaze of connoisseurs to penetrate further -- to "give a new glance to art historians" says Jean Penicaut, CEO of LumiÃ¨re Technology, a Paris-based firm which worked with Kemp to uncover the Principessa's secrets.

For decades, forensics have employed x-ray and infra-red imaging to see through the surface paint to details hidden below -- often tantalising secrets later painted over.

The National Gallery, London, acquired "The Madonna of the Pinks" in 2004 for Â£22m, identifying the portrait as an authentic Rafael. Back in their high-tech lab, head of science Marika Spring explains how infrared imaging found tentative sketching underneath -- typical of the artist plotting ideas for the painting, but unlikely to be seen in a student or forger copying an original.

Lumiere's "multispectral" 300 megapixel cameras takes this further -- producing a digital scan that cuts through the paint and provide a thinly sliced view of the inside of the painting from surface down to canvas, revealing times a forger slipped up. Finding none, beliefs mounted that the Principessa could be the real deal.

3. Test the materials

A renaissance fake painted with modern synthetic pigments would be exposed at once. A quick look through a microscope is enough to tell the difference between these 19th century inventions and pigments used in the 15th and 16th centuries.

But it doesn't stop there. Spring zooms in on a microscopic fleck of paint to show layer-upon-layer of paint and primer which the painter had laid down. An angular particle at the base, she explains, is "colorless powdered glass."

The team had discovered this base layer on other Rafael paintings in the collection, but before this, Springs says: "There's no way that a copyist several centuries later would have known that this is how Rafael prepared his paints."

For the Principessa, too, pigment analysis turned up only substances available during da Vinci's life. Radiocarbon dating -- a process more commonly used to date prehistoric archaeological finds -- indicated that the parchment was produced between 1440 and 1650.

"Both of those tests," says Roodt, "indicated that it could well be by Leonardo."

4. Beating the forgers

Either of those tests might once have ruled out modern day forgery -- but forgers are keeping up with scientific advances.

"Techniques are improving all the time, and the techniques can be used for good or evil," laughs Roodt.

"What if the breakthrough scientifically also helps the forger to make a more perfect forgery? So it is a race... it is a race of wits and technique and skill."

The National Gallery has confirmed the authenticity of the Rafael beyond any doubt and it hangs in the halls of the gallery, but testing on the da Vinci continues.

Processes more commonly seen at a murder scene are now used in the attempt to piece together final evidence. Roodt mentions Peter Paul Biro, a Canadian forensic art expert, who attempted to find da Vinci's fingerprints in the Principessa's paint.

The controversy seemed settled when Biro found a print under layers of paint which matched one from a known da Vinci, but Biro's techniques are now under the microscope, after an investigation by the New Yorker suggested he had used them to authenticate other fakes.

For now, the Principessa remains in limbo.

More from Ones to Watch:

Meet the 'chameleon' who blends into other people's family portraits

Learn to paint a portrait in 54 seconds with master Jonathan Yeo

Astonishing photo-realistic portraits painted by hand

@highlight

It could be a $150m da Vinci or a worthless fake: how do we find out?

@highlight

Secrets revealed by fingerprints in paint, chemical tests, and a 300 megapixel camera

@highlight

New techniques are being created all the time, as forgers learn to beat the tests