Sandy is winding down, having spent much of its fury in the past two days crashing into homes and trees, cutting power and wrecking coastal cities.

It has claimed at least 40 lives in the United States.

The system still reaches from the Appalachians to the Great Lakes and beyond to Canada, and it is triggering winter storm warnings from the mountains of Pennsylvania to those of Eastern Tennessee and North Carolina.

A running CNN tally reflects a steady restoration of power to affected areas, but early Wednesday, nearly 6.2 million customers were still without power in 15 states and Washington.

Here's a look at how Sandy has affected the United States and Canada.

Sandy changes lives forever -- here are three of their stories

CONNECTICUT

-- The death toll stands at two, according to Lt. J. Paul Vance, a state police spokesman. The victims -- one of them a firefighter in Easton -- were killed by falling trees.

-- About 477,000 customers were without power, according to utilities.

DELAWARE

-- Power is out for 7,853 customers, authorities said. Delmarva Power said it plans to have power restored by 6 p.m. Friday.

-- Gov. Jack Markell removed driving restrictions Tuesday evening.

DISTRICT OF COLUMBIA

-- Power has nearly been completely restored -- 1,461 customers were without it, according to CNN's latest tally.

-- Metro transportation bus and rail service were expected to be back to normal for Wednesday morning's commute.

Will you be able to vote on Election Day?

MAINE

-- The National Weather Service issued a flood watch for much of the state Wednesday morning as heavy rainfall is expected to move through as Sandy heads toward Canada.

-- More than 80% of power outages have been remedied, according to Central Power Maine. About 16,000 customers were without electricity, according to a CNN tally.

MARYLAND

-- The death toll is at two.

-- After a raw sewage leak Tuesday, power has been restored to a processing plant. Howard County said that drinking water was not affected.

-- Utilities said 122,000 customers were without power.

Transit systems struggling to restart

MASSACHUSETTS

-- "Wave goodbye to Sandy!" the National Weather Service office in Boston posted to Twitter early Wednesday. "The effects from this storm gradually come to an end today."

-- Utilities said 108,000 customers were without power.

-- Utilities paired tree removal and power restoration crews, rather than having them work separately, so that work can be done more efficiently.

NEW HAMPSHIRE

-- A flood warning is in effect for the Saco River until Wednesday afternoon.

-- New Hampshire's power suppliers reported 81,000 customers without electricity.

NEW JERSEY

-- Motorists lined up in front of service stations for blocks to purchase gas in the town of Hazlet. Others, on foot, stood in long lines, holding red canisters, waiting their turns to fill them up.

-- A fire broke out Wednesday morning in Mantoloking, according to police.

-- President Barack Obama is set to travel Wednesday to New Jersey to join Gov. Chris Christie in viewing widespread damage, the White House said.

New Jersey coastal town turned to "devastation"

-- Sandy has killed at least six people in the Garden State, according to Christie.

-- It will take weeks for rail service to resume on the coastline, according to New Jersey Transit Rail. Downed trees covered the tracks in many areas, ripping down power lines with them, while other sections of track are washed out. Service on the Northeast Corridor Line also remains suspended.

-- Amtrak service is to resume Wednesday between Newark and points south; between Harrisburg, Pennsylvania, and Philadelphia; and between Boston and Portland, Maine.

PATH train service -- which typically ferries 245,000 people under the Hudson River to New York City each weekday -- will take six to nine days to restore, Christie said. New Jersey Transit train, bus and light rail service remain suspended, he said.

Newark Liberty International Airport will open Wednesday, but Teterboro Airport remains closed.

-- The state was hit the hardest by power outages, and more than 2 million customers remain without electricity, according to CNN's tally.

New Jersey floods leave rail cars floating, homes in road

NEW YORK

-- Police on Wednesday reported a higher number of fatalities for New York City, placing the toll at 22.

-- The police department released videos Wednesday to YouTube of helicopter rescues on Staten Island. Rescuers brought six people to safety Tuesday after floodwater trapped them in their homes.

-- Mayor Michael Bloomberg posted to Twitter on Tuesday that financial markets will resume Wednesday.

-- Amtrak said flooding in its tunnels under the Hudson and East rivers made it impossible to predict when service would be restored to Penn Station.

-- A CNN crew at the Breezy Point section of Queens reported smelling gas and seeing an electric line mast catch fire Wednesday. More than 80 houses were lost in a large blaze there after Sandy pushed a storm surge ashore.

80 homes destroyed by New York fire amid superstorm

-- John F. Kennedy International Airport was to reopen at 7 a.m. Wednesday with limited service, the Port Authority of New York and New Jersey said. LaGuardia remained closed.

-- About 1.9 million are still without power, suppliers said.

-- New York City's Office of Emergency Management on Twitter called on residents to report imposters posing as power company employees, reminding them to look for identification cards.

-- Bus service will run on regular routes Wednesday, the Metropolitan Transit Authority announced, though there may be detours and "substantial waits." But subway tunnels remain flooded with no estimated time for repair.

-- A crane atop a luxury Manhattan skyscraper under construction is dangling over West 57th Street.

NORTH CAROLINA

-- The death toll stands at two, including a crew member of the HMS Bounty that went down over open sea.

-- The captain of the Bounty remains missing.

-- Power has been restored to the vast majority of customers.

-- The state of emergency for 24 counties in the western part of the state remains in effect because of snow.

OHIO

-- The state has dispatched nearly 400 crews to clear storm debris.

-- Suppliers said 151,000 homes and businesses were without power.

Superstorm Sandy: By the numbers

PENNSYLVANIA

-- The death toll in the state remains at three, including an 8-year-old boy who was struck by a tree limb.

-- Utilities said 896,000 homes and businesses were without power.

RHODE ISLAND

-- The union's smallest state, with slightly more than 1 million residents, reported 64,000 customers without electricity.

-- The state has closed most of its emergency shelters.

Superstorm Sandy breaks records

VIRGINIA

-- Virginia's death toll remains at two, both traffic fatalities.

-- The number of customers without power stood at 55,000.

-- The state has seen heavy snowfall.

WEST VIRGINIA

-- Parts of West Virginia have seen at least 2 feet of snowfall from Sandy, and a winter storm warning is in effect there, with more snow expected in the Appalachians.

-- One fatality has been attributed to the storm.

-- Utilities said 239,000 customers had lost power.

CANADA

-- Superstorm Sandy is drifting to the north toward Canada, sending gale-force gusts across the Great Lakes.

-- Power has been restored to 113,000 customers in Ontario, with 37,000 still without electricity, the provincial energy minister said.

-- Sandy's effects will be felt for a few days in Ontario, according to its government website. Rains have caused flooding and road closures.

-- Authorities blamed flying debris for the death of a Toronto woman.

How to help

@highlight

Sandy has killed at least 40 people in the United States

@highlight

Motorists line up at service stations for blocks in New Jersey town

@highlight

President Obama to tour damage in New Jersey