(CNN) -- The Supreme Court is expected to issue a number of historic decisions in the coming weeks about how the government deals with race issues.

With the Voting Rights Act and affirmative action on the agenda, the nation is watching closely to see what the highest court will say.

The court is tackling affirmative action through a case involving the University of Texas and a student who was denied admission. With the Voting Rights Act, the court is looking again at the law, including Section 5, which stipulates that some jurisdictions with a history of racial discrimination are required to submit changes in districting and voting laws for clearance.

Both issues came out of the 1960s, one under President Lyndon Johnson in 1965 and another under President Richard Nixon in 1969, with the intention of helping to correct more than a century of racial inequality.

In 1965, in the wake of massive grassroots protests, Congress passed the historic legislation that ensured the federal government would protect the right of African Americans to freely participate in the vote. Johnson responded to immense pressure that came from the Rev. Martin Luther King Jr. and civil rights protesters, who put themselves on the line and suffered violence to obtain this right.

Selected quotes from Supreme Court affirmative action

In 1969, the Department of Labor launched the Philadelphia Plan, requiring unions involved in projects receiving federal funds to hire a percentage of African Americans in proportion to the composition of the local population. Nixon supported this plan as much for politics as policy. His goal was to divide the Democratic coalition by pitting African Americans against organized labor.

The goal of both programs, though born for very different political reasons, was for the government to proactively tackle problems that aggravated racial equality. Johnson's speech in 1965 laid out the rationale.

In a powerful address at Howard University, he said: "You do not wipe away the scars of centuries by saying: Now you are free to go where you want, and do as you desire, and choose the leaders you please. You do not take a person who, for years, has been hobbled by chains and liberate him, bring him up to the starting line of a race and then say, 'you are free to compete with all the others," and still justly believe that you have been completely fair."

These programs have been controversial from the start.

A summary of major upcoming Supreme Court decisions

As the late historian Hugh Davis Graham argued with regards to affirmative action, they moved away from the idea that the government would guarantee individual rights after they had been violated toward establishing policies whereby the government would take steps to ensure that racist practices would not even be allowed to occur. The goal, though more controversial, was to take stronger steps to design institutions that would not perpetuate racism.

During the late 1960s, some members of the Nixon administration tried to push for changes to the Voting Rights Act that would have severely weakened the legislation, including dismantling the clearance provision that required governments holding elections to gain approval from the Justice Department to any changes in their voting process. But the supporters pushed back, and the laws remained intact.

There have been repeated challenges to the Voting Rights Act and affirmative action, especially as it was extended into areas other than employment, such as education, but they have failed.

This time the threat seems greater than before. The efforts of conservatives to transform the composition of the federal courts in a rightward direction are finally starting to pay off. For the first time, many experts feel the conservatives have the numbers they need to make substantial changes in both of these laws.

The decisions will have huge ramifications. If the court begins to knock down these two pillars of civil rights policies, they would set back the government's power to deal with racial problems.

These programs have been a stunning success, slowly starting to repair the immense damage caused by the nation's history of racism. The Voting Rights Act produced big increases in the number of African Americans voting and produced several generations of African American elected officials.

Three questions for Clarence Thomas

Affirmative action has helped bolster the African American middle class and opened access to institutions from education to employment.

To be sure, there are legitimate questions that have been raised about both of these programs, areas where they certainly could be strengthened. Experts have debated how affirmative action programs could do a better job, particularly by putting emphasis on giving those who suffer from class-based discrimination more access to higher education rather than relying solely on race as a standard. But improving and strengthening programs is different than knocking them down.

If the court makes the decision to turn back the clock on these two policies, it would be a huge setback for the civil rights movement that changed the nation 50 years ago. Even with all the progress we've seen, the court must be cautious before weakening programs that respond to the many racial challenges that still need to be fixed, as well as to new ones that have emerged.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Two cases before the Supreme Court challenge longstanding policies on race

@highlight

Affirmative action and the Voting Rights Act came out of the civil rights era of the 1960s

@highlight

Julian Zelizer says despite progress in racial issues, both policies are still needed