(CNN) -- Abelardo Joya's life and livelihood vanished in a matter of seconds. When a fumigation plane flew over his farm in September 2010, mistakenly targeting his crops with coca eradication chemicals, his small cacao, yucca and plantain plants didn't stand a chance. Brown and crisp, they can no longer produce food.

Joya, his four children and his pregnant wife, Olga, fled to a city slum more than eight hours away and prayed they would be able to return to lush green land someday. They are among Colombia's more than 3 million desplazados, or displaced population.

The founders of Give Us Names, a nonprofit organization trying to turn an international spotlight on the plight of displaced farmers in Colombia, want to make sure Joya's voice is heard.

"We're an organization that believes in story telling as a means to bridge the gap between the United States and the developing world," Give Us Names co-director and editor Dan Roge said.

Headquartered in Atlanta, Give Us Names released its first documentary, "Leaving La Floresta," in September. It tells Joya's story in an effort to end displacement in Colombia caused by illicit crop fumigations.

These aerial fumigations are heavily funded as a part of Plan Colombia, a complex $7.5 billion program started in 1999 during the Clinton administration. Plan Colombia supports the nation's efforts against the drug trade by investing in various military and anti-drug operations.

"The aerial eradication program run by the government of Colombia has been extraordinarily successful," said James Story, director of the Narcotic Affairs Section at the U.S. Embassy in Bogotá. He said coca cultivation in the South American country has decreased about 40% and cocaine production has dropped 60% since Plan Colombia's inception. He also said homicides are down by 50%, and terrorism and kidnappings are down more than 90%.

Displacement in Colombia is extraordinarily complex, Story explained. He lists poverty, floods, land titling issues, violence over land, coca cultivation, and terrorism as a result of drug trafficking and child recruitment among the main drivers forcing people from their homes.

"When you take displacement out of the rather scientific and sterile ways we tend to talk about it, what you're really talking about is human beings that are being pulled away from their trades," Roge said. "Things they know how to do, things that give them value ... and that is a deeply human and tragic issue of dignity."

According to a 2010 United Nations report, Colombia has the world's highest rate of internal displacement.

"We kept researching the top humanitarian crises in the world, and Colombia kept coming up again and again on the top of that list," documentary co-director Caleb Collier explained.

Give Us Names spent months traveling, researching and filming in Colombia.

"We knew we wanted to get specific, to find a story to tell. We had searched for someone who would open their lives to us and tell us about the issue of displacement."

Give Us Names met Joya through a partner organization several months before his legal crops were fumigated. Their relationship helped narrow the organization's focus to displacement caused by fumigation. The documentary reports that Joya's neighbor's coca crop — plants whose leaves are processed to make cocaine — remained untouched by the herbicide.

"If your neighbor is growing coca, every attempt possible is made only to spray the coca itself," Story said. "There is some drift that happens. It's very minimal, within 150 meters."

Story added that a complete system in place in Colombia allows people to file formal complaints through their municipal government. If the claims are verified by vigorous review, the farmers get economic redress for any legal crops that have been damaged by the spray program.

Story said few of these receive compensation for a variety of reasons, such as late filing, mixed legal and illegal crops, or lack of evidence of spray. According to documents from the anti-narcotics division of Colombia's Policía Nacional, in 2004, only one complaint out of 874 received payment. In 2009, 4,442 complaints were filed. Redress was paid to 107 of those.

There are few statistics detailing what percentage of displacement is caused by fumigations. CODHES, a Colombian human rights nonprofit organization, estimates that 60% to 70% of displaced people from the Guaviare region in 2007 and 2008 were linked to erroneous fumigations.

"Trying to get at the exact number of people who've been displaced because of spray event is very difficult," Story said.

He placed a loose estimate at less than one-quarter of 1%. Out of the nearly 3.5 million desplazados, that's fewer than 9,000 people.

Story also said USAID has invested $2.5 million in areas like La Floresta, where it works with 5,000 displaced people.

"Certainly, our program has spent over $1.2 million focused on providing economic redress for those people who've been affected wrongly by the spray program," he said. "It's a very rare and unfortunate thing that happens. Each individual case is a tragedy in itself."

"Leaving La Floresta" also explores alternative solutions. Give Us Names partners with other organizations to place displaced farmers in co-operative-style communities.

"We want something better for Abelardo," Collier said. "And because we want something better for Abelardo, we're gonna work to make sure it happens. So we're storytellers, but we're characters within that story at the same time."

Give Us Names insists it isn't criticizing the Colombian government.

"We're not attacking them at all," Collier said. "We're saying on our side as U.S. citizens, we see that our policy's not going the way it should be. So let's talk with the Colombian government, the U.S. government, with different NGOs on the ground, and see what are the best ways to move forward."

Acción Social, the government entity that assists displaced people, said it does not consider these types of displaced farmers among its statistics.

CNN's Andrés Gay and Wes Little contributed to this report.

@highlight

A new documentary shows the plight of displaced farmers in Colombia

@highlight

Some are dispaced because of aerial fumigations intended for illicit crops, group says

@highlight

The U.N. says Colombia has the world's highest rate of internal displacement