The new film "Pandora's Promise" is a love song to nuclear power that claims to be a documentary, but like all good propaganda it omits key parts of the story, overstates the positives and underplays the negatives.

Built around the (false) proposition that improved quality of life requires commensurate growth in energy use (a recurring visual theme is a globe that glows brighter and brighter), the movie presents nuclear power as the only plausible solution to global warming.

No American utility today would consider building a new nuclear power plant without massive government support. Of 29 power plants on the drawing boards in 2009, only a handful are going forward, with government help, and even those are experiencing delays and cost overruns.

No major U.S. environmental group endorses nuclear power as a solution to climate change caused by fossil fuels, but this movie lionizes environmental activists who have become nuclear power enthusiasts, led by Michael Shellenberger and Stewart Brand. Shellenberger notes in the film that he at one time worked for NRDC and other major environmental groups in a consulting role. Their narratives are juxtaposed against unflattering, decades-old clips of veteran anti-nuclear activists like Helen Caldicott, Jane Fonda and Ralph Nader, suggesting that being pro-nuke is modern and hip.

One of us, Cavanagh, was among about 50 people who attended a screening at Stanford University, home to the film's science adviser, Nobel Prize-winning physicist Burton Richter. Those in the mostly empty auditorium heard one of the movie's principal funders -- tech entrepreneur Steve Kirsch -- tell the audience beforehand that outspoken climate scientist James Hansen was an inspiration for the film. Kirsch said it was Hansen who first alerted him to the promise of the Integral Fast Reactor, which is an advanced reactor design intended to operate more safely and produce less hazardous waste than today's plants. Hansen certainly would not agree, however, with the film's curt dismissal of the potential contributions of energy efficiency and renewable energy resources to meeting global energy needs.

Opinion: Are environmental leaders steering us toward disaster?

Integral Fast Reactor and France

The still-unrealized Integral Fast Reactor is the real star of the film, along with the nation of France, whose nuclear generation program is extolled as "one of the most inspiring stories ever" ("the trains are electric powered, they have clean air, and they have the cheapest electricity in Europe"). Nuclear power debates are the only places where you will ever see those at the conservative edge of the political spectrum argue that the United States should reorganize its economy to be more like France.

The Clinton administration killed the Integral Fast Reactor in 1994 because of concern over the potential diversion of the plutonium fuel by terrorists and non-nuclear weapon states of concern. Yet the film's closing argument is that a "fourth-generation" reactor modeled on the Integral Fast Reactor will sweep the globe, burning waste created by the first three generations and "solving" the nagging problem of long-term disposal of nuclear waste. The film fails to mention that this would take hundreds to thousands of plutonium-fueled reactors operating over hundreds of years, resulting most likely in an increase in the releases of radioactivity to the environment as a consequence of operations by the Integral Fast Reactor's fuel processing and fabricating facilities.

The film invokes Bill Gates as one of many forward-thinking new investors in nuclear innovation, but surely even Gates would recoil from the Integral Fast Reactor's poor economic outlook compared to conventional reactors and the financial risks associated with building just one Integral Fast Reactor, let alone a global fleet of them. The film fails to acknowledge that the flagship fast reactor development efforts in the United States, France, Germany, Japan and Italy all failed, and that fast reactors were abandoned by both the U.S. and Soviet navies, hardly a strong selling point for resurrecting the Integral Fast Reactor program.

Director/producer Robert Stone told the Stanford audience that he first sought financial backing from Kirsch about three years ago, which also explains one of the film's dilemmas. It clearly was crafted initially to debunk concerns about Three Mile Island (1979) and Chernobyl (1986), but then the Fukushima nuclear disaster inconveniently intervened (2011).

Obviously unable to ignore Fukushima, Stone had one of the narrators visit the site to wield a radiation meter and contend that the reactor accidents should have been far less newsworthy than the earthquake-generated tsunami that caused them. Still, the wrecked reactors are a nagging distraction from the film's upbeat message, with one speaker acknowledging that "this is not just something you can brush away.  This was not supposed to happen."

Dismissing facts

Meanwhile, the movie contends that anti-nuclear activists have grossly overstated radiation risks, even as it overlooks scientific findings from, for example, the World Health Organization on actual impacts of radiation releases.

The film also dismisses energy efficiency in light of the allegedly inherent energy intensity of modern life, perpetuating the decade-old urban myth that a smartphone uses as much electricity as a refrigerator. (Repeated demonstrations show that if you take everything into account, a smartphone and the cloud data it uses only represent 15-20% as much electricity as an average refrigerator.)

The film makes an effective case against coal combustion on public health grounds, with credible data on annual premature deaths both globally (3 million) and in the United States (13,000). Yet this indictment promptly and unfairly broadens to cover the full universe of nuclear power skeptics: "To be anti-nuclear is to be in favor of burning fossil fuels," and presumably all these deaths, too.

In the final sequence, an ebullient Shellenberger concludes: "This is the beginning of something really beautiful." Cut to that glowing globe of the Earth (without a hint of irony, but remember that these are the same people who chose to include Pandora in the title of a movie promoting nuclear power; readers may recall that Pandora was the figure in Greek mythology who unleashed evil spirits by opening a container that was supposed to be left undisturbed).

Join us on Facebook/CNNOpinion.

@highlight

Natural Resources Defense Council: "Pandora's Promise" a "love song to nuclear power"

@highlight

NRDC: Film overlooks scientific statistics on radiation impacts

@highlight

"Star of the film" is the Integral Fast Reactor, but the movie fails to mention downsides