(CNN) -- President Obama and Israeli Prime Minister Benjamin Netanyahu on Monday held their first face-to-face meeting since each took power, confronting a range of potentially divisive issues.

Israeli Prime Minister Benjamin Netanyahu and President Obama visit at the White House on Monday.

At a pivotal moment in the Middle East peace process, the two leaders met at the White House to discuss, among other things, the endorsement of a two-state Palestinian solution and relations with Iran.

The issue of Iran's nuclear ambitions became an increasingly urgent one in recent months. Netanyahu wants a time limit for negotiations relating to such ambitions, with the threat of military action if no resolution is reached. Obama is seen as unlikely to provide a timetable.

Both Israel and the United States believe Iran is seeking nuclear weapons under the guise of a civilian nuclear energy program; Tehran denies the accusation. Israeli leaders have pointed to Iranian President Mahmoud Ahmadinejad's calls for the end of Israel as a Jewish state and argue that quick action is needed.

At an Oval Office news conference, Obama again refused to commit to an "artificial deadline" for Iranian negotiations. But he also warned that he would not allow such talks to be used as an excuse for delay while Iran develops a nuclear arsenal. Obama said he expects to accelerate such talks after the June Iranian elections.

"I firmly believe it is in Iran's interest not to develop nuclear weapons, because it would trigger a nuclear arms race in the Middle East and be profoundly destabilizing in all sorts of ways," Obama said.

It "is important ... to be mindful of the fact that we're not going to have talks forever. We're not going to create a situation in which the talks become an excuse for inaction while Iran proceeds with developing ... and deploying a nuclear weapon."

He said the United States is not "foreclosing a range of steps, including much stronger international sanctions, in assuring that Iran understands that we are serious."

Netanyahu emphasized that although "the common goal is peace ... the common threat we face are terrorist threats and organizations that seek to undermine [that] peace and threaten both our peoples."

The prime minister called Iran the biggest threat to peace in the region.

"If Iran were to acquire nuclear weapons, it could give a nuclear umbrella to terrorists, or worse, could actually give [them] nuclear weapons. And that would put us all in great peril," he said.

The divide between the two leaders -- Obama is considered to have a more conciliatory approach to the Arab world than Netanyahu -- was dramatically illustrated shortly before their meeting by Israel's decision to begin construction at the West Bank outpost of Maskiyot.

A number of families evacuated from Gaza are now being resettled in Maskiyot; several are living in temporary housing. A government spokesman said the construction's start date and the timing of Netanyahu's trip are a coincidence.

Obama wants such outposts dismantled, along with an immediate freeze on settlement expansion. Netanyahu wants to allow natural growth in Jewish settlements in the West Bank -- for example, allowing children who grow up in a settlement to build a home alongside that of their parents.

Obama also supports the idea of a Palestinian state alongside a secure Israel. Netanyahu has not endorsed the idea, arguing that Israel needs security guarantees and a clear Palestinian partner for peace talks.

"I want to make it clear that we don't want to govern the Palestinians. ... [If] Israel's security conditions are met and there's recognition of Israel's legitimacy -- its permanent legitimacy -- then I think we can envision an arrangement where Palestinians and Israelis live side by side in dignity, security and in peace," Netanyahu said.

Pressed on the question of a two-state solution, the prime minister said he thinks "the terminology will take care of itself if we have the substantive understanding."

Netanyahu and his Cabinet were sworn in March 31. A day later, Israel's new hard-line foreign minister, Avigdor Lieberman, distanced himself from the Annapolis process, the 2007 relaunch of peace talks adopted by his predecessor, Tzipi Livni.

The PLO issued a statement after the meeting criticizing Netanyahu for failing to more explicitly endorse a two-state solution.

Netanyahu "missed yet another opportunity to show himself to be a genuine partner for peace," chief Palestinian negotiator Saeb Erakat said. "Calling for negotiations without a clearly defined end-goal offers only the promise of more process, not progress."

Erakat praised Obama for supporting a freeze on Israeli settlement activity.

Despite their differences, Obama and Netanyahu agree on numerous key issues, such as U.S. military and financial support for Israel. Obama highlighted his stance during his presidential campaign.

Obama also supports funding for Palestinian entities not controlled by Hamas, which controls Gaza and which the United States labels a terrorist organization.

Before making his trip to Washington, Netanyahu met with leaders of Jordan and Egypt, viewed as potential partners in the effort to bring peace to the region.

Obama will host Egyptian President Hosni Mubarak on May 26 and Palestinian Authority President Mahmoud Abbas on May 28.

He is also scheduled to deliver a long-awaited speech on relations between the United States and the Muslim world in Cairo, Egypt, on June 4.

Some Palestinian leaders have expressed hope that Netanyahu, under pressure from the new U.S. administration, may soon choose to accept the principle of a two-state solution.

"If, in fact, Mr. Netanyahu were to make an unequivocal statement about acceptance of this as a solution concept, then he should immediately be asked to begin, immediately, to implement Israel's other obligations under the road map," said Salam Fayyad, the Palestinian prime minister.

The road map, put together by the Mideast Quartet -- composed of the European Union, Russia, the United Nations and the United States -- calls on Israel to stop settlement building and Palestinians to stop terrorism. The plan was introduced in 2003 but immediately stalled.

Monday's meeting between Obama and Netanyahu was largely expected to be a chance for the two sides to discuss their positions rather than iron out differences.

Aides on both sides stressed that each leader views the other as a friend in peace efforts.

CNN's Paula Hancocks contributed to this report.

@highlight

President Obama, Israeli prime minister meet for first time as national leaders

@highlight

Obama and Benjamin Netanyahu discuss approach to Mideast peace

@highlight

Leaders also touched on Iran's nuclear ambitions

@highlight

Israeli settlements illustrate divide between the two