Washington (CNN)Legislation to approve the Keystone XL pipeline is headed back to Congress after President Barack Obama vetoed the bill Tuesday.

Obama's veto of the bill comes after a yearslong debate on the controversial pipeline which ultimately handed a legislative victory to proponents of the pipeline after Republicans took control of the Senate in January.

The House and Senate may have come together to send a single piece of legislation to Obama, but don't expect that agreement to lead to construction permits for the pipeline project that would ship crude oil from Canada to U.S. refineries on the Gulf Coast. Republicans may have enough Democratic support to clear a filibuster, but they'll be hard-pressed to find the 67 votes to override a veto.

So what's the big fuss? Why is this one pipeline such a contentious issue and is it really worth the fight for opponents and advocates of Keystone XL?

Let's break it down:

How long would the Keystone XL pipeline be?

TransCanada's full-fledged Keystone Pipeline system is waiting for U.S. approval to finish construction on 1,200 miles of pipeline known as Keystone XL -- the final piece of a 3,800-mile pipeline network.

Wait. There's already a Keystone pipeline?

That's right. Keystone XL represents just under a third of the entire Keystone project, and every other piece of pipe has been built and laid out. In fact, TransCanada's pipeline system is already shipping hundreds of thousands of barrels of crude oil from the Canadian oil sands across the U.S. border -- and into Illinois. The current Keystone XL proposal would run the pipeline through Montana, South Dakota, Nebraska, Kansas, Oklahoma and Texas

Oil sands ... that sounds familiar.

That's because oil sands are one of environmentalists' biggest gripes over the proposed Keystone XL pipeline since extracting crude oil from the oil sands (oil + sand = oil sands) pumps about 17% more greenhouse gases into the air than standard crude oil extraction, according to a State Department review of the project.

And either way, the State Department concluded the oil sands will be developed regardless of whether the pipeline goes through.

But that's not all that's prompted environmentalists to protest Keystone XL and deploy an inflatable pipeline on Sen. Mary Landrieu's front yard last November when she was leading the charge to pass the bill.

Environmentalists, local residents and indigenous tribes are also protesting the pipeline's planned route, which would cut across the Ogallala Aquifer, which is one of the world's largest.

Aqui-what?

Aquifer is just a fancy term for an underground layer of porous rock trapping large deposits of water that can often be accessed through wells -- there are about 2,500 within a mile of the would-be Keystone XL route. Aquifers are a key source of fresh water, and environmentalists are concerned the pipeline could pollute those reserves.

But the State Department concluded in January -- amid continued objections from environmentalists -- that the impact on water quality "would be limited."

You said indigenous tribes were also protesting the project?

Yes. Native Americans are concerned about the societal impact of camps with thousands of construction workers living near their communities, which face a high rate of sexual assaults from non-indigenous men, representatives of the activist Wica Agli group said in an interview earlier this week.

Angus King a 'no' on Keystone XL vote

And the pipeline would also run through the sovereign lands of some tribes. The Rosebud Sioux Tribe even declared that the House bill to approve Keystone XL last week amounted to a declaration of war.

War? Sounds serious. If it comes to that, will the economic benefits be worth it at least?

Depends what you consider to be "worth it."

The State Department concluded in January the project would create about 42,000 jobs directly and indirectly during the construction phase (indirect: think commercial benefits for restaurants, shops, etc.). That total includes 3,900 construction jobs to actually build the pipeline.

Fact checking Keystone jobs claims

All in all, the pipeline would inject $2 billion in total economic benefits, according to the State Department review.

But once the construction -- which would last no more than two years -- wraps up, Keystone XL will have created just 50 permanent jobs -- the number needed to maintain the pipeline.

Either way, the State Department's conclusions seriously undercut TransCanada's claims in 2011 that the project would create about 140,000 direct and indirect jobs.

So if this pipeline goes through, what are the risks of an oil spill?

Not too high. The State Department concluded the Keystone XL proposal "would include processes, procedures, and systems to prevent, detect, and mitigate potential oil spills."

And will the pipeline help lower gas prices in the U.S.?

Not really. The State Department said Keystone XL would have "little impact" on domestic gas prices.

Alright, so the State Department released its findings on Keystone XL's impact in January. What's the hold up?

The State Department concluded its review of the pipeline's impact in January, but was waiting on a Nebraska Supreme Court case over the pipeline's route to determine whether the pipeline project is in the U.S. national interest.

That supreme court approved the pipeline's route through the state earlier this month, and the State Department has been reviewing that decision as it makes its final determinations.

The State Department said the pipeline was not in the U.S. national interest in 2011, but TransCanada renewed its application in May 2012 after making changes to the proposed route.

The State Department concluded in January 2014 that the Keystone XL pipeline would have a negligible impact on the environment

The White House has insisted it will let the State Department's process play it before Obama makes a final decision on whether or not to approve the pipeline.

The State Department is expected to conclude its final review soon, once it finishes reviewing comments from various federal agencies including the Environmental Protection Agency, which urged the State Department in a February letter to reconsider the negative environmental impact the pipeline would have.

Obama has said his top concern in making a decision will be "does it contribute to the greenhouse gases that are causing climate change."

For now at least, Obama will veto the Congressional legislation and Keystone XL is facing a dim future.

Why Keystone XL matters

@highlight

The State Department reported the project would have minimal environmental impacts

@highlight

Proponents have touted economic benefits, but the proposal would generate few permanent jobs

@highlight

The production of oil from oil sands emits more greenhouse gases