The bodies of the victims are being buried. The court case will continue, without cameras.  The horror in Aurora has faded from the front page in favor of Olympic coverage.

So it is worth asking, 10 days after the largest mass shooting in American history, whether it is still too soon to start a conversation about reasonable gun restrictions.  What actions could we take to make such slaughters more difficult to perpetrate?

Because if it is true, as the National Rifle Association says, that "guns don't kill people; people kill people," then it's equally irrefutable that people with guns kill people.

Here is the toll, beyond the 12 dead and 59 wounded in Aurora.  More than 180 people killed in mass shootings in the past five years, including the 32 people who died in the April, 2007 massacre at Virginia Tech.  And dwarfing that total are the 10,000 Americans murdered by gunshots every year.

Fareed Zakaria: Time to face facts on gun control

No one is suggesting that insane actions such as the Colorado shootings can ever be legislated out of existence. And there is no doubt that the Second Amendment is enshrined in our Constitution.  But part of life in a civil society is about having civic conversations about problems -- not aiming for the illusion of perfectibility but for improvement.

Circa 2012, however, it has become politically incorrect to talk about restricting the ability of unstable individuals to get AR-15 rifles, or 6,000 rounds of ammunition.  When people say "it's too soon" to talk about the role of guns in mass shootings, what too many of them really mean is that we should never have the conversation.

Gun violence is not inevitable. It does not reflect the human condition.

Navarrette: Guns endanger cops' safety

America leads the world in gun violence by many multiples.  It reflects our culture -- and guns are a core part of American culture, for better or worse.  It is a fact rooted in the conquest of the West, where guns were used primarily for hunting and self-defense. And Americans' divergent views about guns are reflected in something more fundamental than politics.  In a larger sense, America's political divides are not rooted in questions of left versus right as much as urban versus rural.

These basic cultural differences have been the drivers of political debates since Alexander Hamilton squared off against Thomas Jefferson in George Washington's Cabinet.  They were reflected in debates over the Civil War and Prohibition and today's red state versus blue state divides.  And they underscore the different opinions that exist about guns.

We use guns differently in rural and urban areas of the United States.

And because Democrats need to expand their base beyond urban areas to win statewide or national elections, they have ceded this ground to Republicans. This new status quo is enforced on Capitol Hill by the fact that the NRA outspends anti-gun advocacy groups such as the Brady Campaign to Prevent Gun Violence by a factor of 10-to-1, making it all too easy for members of Congress to calculate that taking on -- or even talking about -- this issue isn't worth the cost.

And it is even more true at the presidential level.  President Barack Obama was eloquent and empathetic after meeting with victims and their families, but he backed off making any proposals for new gun control laws.

Mitt Romney also was quick to cite scripture and communicate his sorrow in the hours after the attacks, but he was firm in his insistence that no new guns laws were needed.  Gun violence and gun laws seem oddly and unrealistically disconnected when it comes to political discussion.

Frum: Fear drives opposition to gun control

What's particularly hypocritical about these stands is that both men backed assault weapons bans in the past.

As governor of Massachusetts, Romney signed an assault weapons ban into law. As a candidate for president, Obama said he would push for a restoration of the assault weapons ban achieved by President Bill Clinton but which expired in 2004. Now?  Crickets.

Presumably, what's changed is not their personal beliefs but the politics.  Mitt Romney did a signature flip-flop on this social issue because no Republican believes they can win their party's nomination without full genuflection at the altar of the NRA. Obama's position can also be ascribed to presidential politics -- the Obama campaign can't afford to lose a single persuadable vote in swing states such as Colorado, Nevada and Ohio.

Moreover, Obama's stance on guns is complicated by the typical competition between fear-mongering and facts. Despite the fact that Obama has in some cases loosened gun laws -- such as signing legislation allowing people to carry firearms into national parks -- the far right has been pushing the fright-wing fantasy that he is hell-bent on banning all guns via a U.N. small-arms treaty or some other nefarious plot.

But the conventional wisdom in Washington -- that this is a settled debate -- is a fiction. A new poll by the Republican pollster Frank Luntz for Mayors Against Illegal Guns found that:

-- 74% of NRA members and 87% of non-NRA gun owners support criminal background checks for anyone purchasing a gun.

-- 74% of NRA members think that concealed carry permits should be granted only to applicants who have completed gun safety training and 75% believe that such permits should be granted to people who have not committed violent misdemeanors, including assault.

-- In addition, 71% of NRA members back the idea that people on terror watch lists should be barred from buying guns (duh), and 65% believe that gun owners should be required to alert police in the event of lost and stolen guns.

Opinion: Gun control or carry permits won't stop mass murder

The point is that there is plenty of room for discussion on gun policy post-Aurora and plenty of room for defining the common ground around  reasonable restrictions that gun-owners and advocates can agree on. This is not settled policy and not the third-rail politicians pretend it is.  That narrative is unrelated to the facts.

There is no reason we can't increase background checks, ban people on a terrorist watch list from buying guns and make it more difficult for people to buy 100-drum magazines that have no function except to kill as many people as possible as fast as possible.

This all falls under common sense and the kind of reasonable restrictions set out by the Supreme Court in their Heller decision.  Having this civic conversation is a rational response to a mass killing -- it can be done respectfully and thoughtfully and well within the realm of "reasonable restrictions" that do not impede on the Second Amendment.

All that is required is political courage -- and that can be encouraged by speaking up.

Follow @CNNOpinion on Twitter

@highlight

John Avlon: The view that it's too soon after Colorado to talk about gun control is wrong

@highlight

He says politicians are making a mistake by ducking action on the issue

@highlight

A new poll of NRA members shows support for reasonable restrictions on guns, he says

@highlight

Avlon: Nearly 10,000 are murdered by gunshots each year; that must be reduced