Beijing (CNN) -- To many people in China, Mao Zedong is the country's eternal father -- "No Mao, no China," is the mantra often repeated by his supporters.

His giant portrait hangs over the gate of Beijing's ancient Forbidden City like that of an emperor. Across the city, thousands flock every day to gaze at his body lying preserved in a mausoleum in Tiananmen Square.

His picture holds pride of place in many houses in villages across China.

To these people he remains a symbol of strength, a man born a peasant -- albeit a somewhat comfortable one -- who rose to lead the people's army of the Communist Party and unite a warring country.

Lately, Mao has re-emerged as the face of resistance and defiance more than three decades after his death. Young Chinese protesters have carried his image aloft during protests against Japan over disputed islands in the region. One young woman from Mao's home village in Hunan province lamented how weak she thought her country's leaders have become -- that if Mao were still alive then China would just take the islands.

Despite this reverence, Mao's remains a flawed legacy. For those who see strength in his face, others remember fear: revolution, paranoia, famine, brutality and tens of millions of deaths.

China suffered during high-profile campaigns introduced by Mao, such as the "Great Leap Forward," where millions of people died through starvation or persecution during a catastrophic attempt to modernize China between 1958 and 1961. Another disastrous period, known as the "Cultural Revolution," began in 1966 with the intention of reviving the revolutionary spirit of Communism. But over the next decade, millions of young people were forcibly removed from cities to learn from peasants in the countryside -- viewed as ideological role models by Mao -- causing massive social and economic upheaval.

On the streets of Beijing, when we mention Mao's name, seeking people's opinion, some are wary.

"Why are you asking me this?" asks one woman as she scurried away from our cameras. "Where is your identification, you shouldn't be talking about this," she warned.

Another young woman was more forthright: China needs no more of Mao.

"I think that Chairman Mao is a rather extreme person. We don't really need those who are too extreme; instead, we need people who can connect China with the international community. In the long run, this would be best for China," she said.

But many are wrapped up in an almost revolutionary nostalgia.

"The current leaders should be as strong as Mao," one Beijing resident said.

"For the Chinese people, he represents belief, a great man," said another.

As the Communist Party prepares for its 18th Party Congress on Thursday, when it will name a new leader, it will also reflect on a country that would be unrecognizable to Mao. This is no longer the land of gray suits and bicycles, it's all about Audi cars and Armani suits for many Chinese now.

The country that once couldn't feed itself is now the world's second-largest economy and an emerging superpower to rival the United States. Mao's peasant revolution has given way to "socialism with Chinese characteristics."

Yet Mao remains inescapable, not just in the minds of ordinary people nostalgic for the past, but at the heart of the party itself.

Bo Xilai, once tipped as a potential future President himself whose father was a Mao acolyte, launched an audacious bid to re-model the party in Mao's image.

As chief of the massive metropolis of Chongqing, Bo launched huge Cultural Revolution-style rallies, encouraging the singing of red songs -- songs popular during the country's revolution -- and chanting Mao-era slogans.

Bo won great favor with ordinary people. But as his popularity rose, his standing in a nervous Communist Party diminished. According to those close to him, Bo played with fire.

"I think it was a huge misjudgment of Bo. Going back to Mao's path is definitely not an option. That has proven to be a dead end. Mao led a road to ruin," Wang Kang, a Chongqing scholar who knows Bo and his wife, told CNN.

As the world now knows, Bo is in disgrace and never got a chance to spread his new "gospel of Mao." He's been stripped of his party positions and faces prosecution in the wake of a political scandal while his wife, Gu Kailai, is in prison convicted of killing a British business associate.

This scandal has torn open the veil of secrecy around the party, and all of this in a year of political transition with a new generation led by Xi Jinping, the current vice president, preparing to take the helm.

Like Bo, Xi is a "princeling," the son of one of Mao's revolutionary inner circle.

Xi will inherit a different party -- the days of one supreme leader are over, according to long-time China watcher Mike Chinoy.

"This is a system that is based on consensus, not structured any longer to have a single dominant figure like a Mao Zedong or a Deng Xiaoping," he said.

Yet Xi must also walk the "maze of Mao," for he is a son of China's past as much as a leader of its future.

Like all Chinese, he will look at Mao's image and know the power of its symbolism, yet he will look past that and know his country's fate lies, perhaps, with moving even further from Mao's idea of China.

@highlight

Mao Zedong can divide opinion in China, inspiring nostalgia in some and fear in others

@highlight

Mao's "Great Leap Forward" and "Cultural Revolution" was disastrous for China

@highlight

China is now less about one supreme leader and more about ruling by consensus

@highlight

The country has grown into the world's second largest economy behind the U.S.