(CNN) -- The small fruit has the color of a cranberry, the shape of an almond and tastes like a flavorless gummy.

The "miracle fruit" makes acidic foods, such as lemons and grapefruits, sweet and candy-like.

But after chewing the fruit and rubbing the pulp against the tongue, the berry, known by a promising name -- "miracle fruit" or Synsepalum dulcificum -- releases a sweetening potency that alters the taste buds.

For about 15 to 30 minutes, everything sour is sweet.

Lemons lose their zing and taste like candy. Oranges become sickeningly sweet.  Hot sauce that usually burns the tongue tastes like honey barbecue sauce that scorches as it trickles down the throat.

Through word of mouth, these miracle fruits have inspired "taste tripping" parties, where foodies and curious eaters pay $10 to $35 to try the berries, which are native to West Africa.

About five months ago, a Miami, Florida, hospital began studying whether the fruit's sweetening effects can restore the appetite of cancer patients whose chemotherapy treatments have left them with dulled taste buds.

"What happens in patients is the food tastes so metallic and bland, it becomes repulsive," said Dr. Mike Cusnir, a lead researcher on the project and oncologist at Mount Sinai Medical Center. "Most of the patients undergoing chemotherapy have weight loss. Then they cut further into their diet and then this furthers the weight loss. It causes malnutrition, decreased function of the body and electrolyte imbalance."   Watch a flavor tripping demonstration and the interview with Cusnir. »

One of Cusnir's patients, Don Blechman, told him about the fruit after discovering it while he and his wife volunteered at a tropical fruit garden in Coral Gables, Florida.

"We didn't need it, but we thought it's wonderful and told a lot of people," said his wife, Terry Blechman. "If you can't eat because everything tastes bitter, and one berry gives you back your taste for a meal, what is it worth? It's worth everything."

Cusnir filed for an investigational new drug application, which is required by the U.S. Food and Drug Administration to use an unapproved product in a new patient population. His study seeks 40 cancer patients.

"The majority have given good feedback that it did improve taste," Cusnir said. "A few patients felt there wasn't much change. The feedback is mixed as it usually is in any situation. It's been encouraging, but we haven't analyzed the data so far."

If the results show promise of helping cancer patients to maintain a healthy body weight and appetite, there will be bigger studies, Cusnir said. The process is expected to take several years.  "If this doesn't work, we move on and spend resources on something else instead," he said.

It's not only cancer patients and foodies turning to the miracle fruit. Carmen Duporte, a Fort Lauderdale,Florida, resident, integrated the miracle fruit into her routine drinks of aloe vera juice. Duporte drinks the juice to cleanse her digestive system, but hates its thick and long-lasting taste.

"It's really bitter," she said. "If I don't take [the miracle fruit], I'd be having that taste for a long time. When I drink it with the fruit, there's no taste in my mouth."

Duporte told her friends about the berries, because "it's such a friendly fruit." Through word of mouth, the miracle fruit has picked up buzz.

"This new resurgence of interest is fascinating," said Linda Bartoshuk, a professor at the University of Florida's Center for Smell and Taste. "It popped on the scene and people are having fun with it. It motivated us to go back and do research."

Bartoshuk seeks to better understand how the berry works. In the 1970s, she studied the fruit while working for the U.S. Navy and Army labs.

The miracle fruit contains a natural protein, called miraculin, which has sugar molecules that bind to the tongue, she said. When acid enters the mouth, the sugar molecules press into the sweet receptors.

Some of her colleagues are looking into how the berries could help people with diabetes and obesity, because they sweeten the taste of food. Unlike sugar, the miracle fruit  has very few calories and unlike artificial sweeteners, the berries are natural.

Bartoshuk said she hasn't seen any reports of dangers from eating the berries, but warned against premature health benefit claims.

"Everyone's immediate response is it's an artificial sweetener, it'll help you lose weight," she said. "But the bad side is artificial sweeteners don't help you lose weight. Any real claims for health benefits are going to have to be supported by good research."

After the FDA in 1974 declared that miraculin was a food additive, the miracle fruit grew in obscurity in South Florida and remained a local treat.

Individual farmers, like Curtis Mozie, a retired post office employee, raised the berries and began shipping them to customers who found him on the Internet.

"I felt like everyone else needs to be aware of this fruit," said Mozie of Fort Lauderdale. "Why was it kept hush-hush? I wanted people to enjoy the fruit and enjoy the experience and any edible item that doesn't taste good with the help of the miracle fruit."

Curiosity about the fruit began to circulate among exotic fruit seekers. After a few media reports, other small farms cropped up and companies started selling the miracle fruit and tablets.

"No offense meant to people who want to pay money to eat miracle fruit and weird things. We used to do that every Friday," said Richard Campbell, who oversees the tropical fruits at the Fairchild Tropical Fruit Garden. "We grew up with miracle fruit. People came over, ate miracle fruit and sat around eating limes. I feel stupid I didn't think of charging anyone."

@highlight

Miracle fruit launches "taste tripping" parties where foodies eat lemon, hot sauce

@highlight

Researchers at University of Florida are exploring chemistry behind fruit

@highlight

Miami hospital studies whether cancer patients can restore taste with berries