(CNN) -- MasterCard built a 15-year advertising campaign around the idea that the best things in life are "priceless." Much as I hate to give ad execs their due, these folks got it right. Today, we live in an era when what's truly valuable is the intangible.

A quarter century ago, 80 percent of the cost of value of a computer was in the tangible hardware. Today, in a time when "knowledge workers" predominate, the opposite is true -- 80 percent of the value of a personal computer is in the software.

The most neglected fact in business is that we're all human. Ask CEOs about what's the competitive advantage they have in their industry, and they'll tell you it's their corporate culture, their customer loyalty, their brand reputation or their ability to innovate and create intellectual property.

None of these assets appears on a balance sheet. The balance sheet -- a 400-year-old relic -- doesn't truly capture the value of the hearts and minds that define what makes a sustainable, successful company today.

Learn more about Chip Conley at TED.com

Look at Apple, the most admired company in America (according to a Fortune survey), and analysts tell us that 80 percent of Apple's value appears off its balance sheet in intangibles that our 20th century version of leadership can't even fathom or calculate.

I went to Stanford Business School in the early 1980s, and I was taught to "manage what I could measure." And I was also taught in kindergarten how to count. Maybe as adults, it's time for us to reconsider what to count.

As a founder and CEO of a company for two dozen years, I know how to count profitability and cash flow. These are the lifeblood of any business, especially in hard economic times.

But here's the reality that most CEOs aren't talking about: Profitability is a lagging indicator of success, at least in the long-term.

Three Harvard Business School professors three decades ago proved that a "service profit chain" exists such that a great corporate culture (an intangible) creates employee engagement (an intangible) that leads to customer loyalty (an intangible) that ultimately creates a profitable and sustainable business (a tangible).

Leadership in the 21st century is all about learning how to measure and value the intangibles in our lives since this is truly where value is created. Are you focused on the intangible inputs in your life or company, or are you purely focused on the tangible outputs?

As I suggested in my talk at TED2010, it was a question about "what counts in life and business" that led me to take my CEO hat off for a week and fly off to the Himalayan peaks, to Bhutan.

The teenage king of Bhutan was also a curious man, but this was back in 1972, when he ascended to the throne two days after his father passed away. At 17, he started asking the kinds of questions that you'd expect of someone with a beginner's mind.

On a trip through India, early in his reign as king, he was asked by an Indian journalist about the size of the Bhutanese Gross Domestic Product (GDP). And the king responded in a fashion that actually has transformed us four decades later.

He said the following: He said, "Why are we so obsessed and focused with gross domestic product? Why don't we care more about gross national happiness?"

Now, in essence, the king was asking us to consider an alternative definition of success, what has come to be known as GNH, or gross national happiness.

Most world leaders didn't take notice, and those that did thought this was just "Buddhist economics." But the king was serious.

This was a notable moment, because this was the first time a world leader in almost 200 years had suggested that the intangible of happiness is something we should measure, and it's something we should actually value in government.

For more on happiness and how we experience it, watch this talk

For the next three dozen years as king, this king actually started measuring and managing around happiness in Bhutan -- including, just recently, taking his country from being an absolute monarchy to a constitutional monarchy with no bloodshed, no coup. Bhutan is the newest democracy in the world.

So as I spent time with leaders in the GNH movement, I got to understand what they're doing. And I got to spend some time with the prime minister.

Over dinner, I asked him an impertinent question: "How can you create and measure something which evaporates, in other words, happiness?"

And he's a very wise man, and he said, "Listen, Bhutan's goal is not to create happiness. We create the conditions for happiness to occur. In other words, we create a habitat of happiness."

And he said that they have a science behind that art. They've created four essential pillars, nine key indicators and 72 metrics that help to measure their GNH.

In fact, one of those key indicators is: How do the Bhutanese feel about how they spend their time each day? It's a good question.

How do you feel about how you spend your time each day? Time is one of the scarcest resources in the modern world. And yet, of course, that little intangible piece of data doesn't factor into our GDP calculations.

What's true for a nation is also true for a company. My boutique hotel company makes a practice of counting intangibles in evaluating how the business is progressing. It recently sold a majority share to a well-regarded player in the hospitality business (Geolo Capital, the private equity investment arm of the John A. Pritzker family), which made the investment because of our intangibles.

I understand a company is a magnet for people -- whether they be employees, customers or investors -- and that a reputation lasts a lifetime and a company's reputation can last more than a human lifetime.

Admired firms such as Apple, Harley-Davidson, Whole Foods Markets, Southwest Airlines and Google have created the kind of intangible-driven companies that are helping to transform the world.

At the end of the day, it's all about human needs. The best business executives in the world are those who truly understand psychology and the nature of that complex beast that's at the heart of all business transactions: you and me.

The opinions expressed in this commentary are solely those of Chip Conley.

@highlight

Chip Conley: Key factors in making business successful are intangibles

@highlight

The intangibles are what lead to the easily measurable profits of a firm

@highlight

King of Bhutan insisted on counting "Gross National Happiness"

@highlight

Conley says the intent is to create a "habitat for happiness"