Beijing, China (CNN) -- A driverless van has completed the longest-ever trip by an unmanned vehicle, beginning in Italy and arriving in China, covering 13,000 kilometers (8,077 miles), researchers said.

The van arrived at the Shanghai World Expo on Thursday, after leaving Italy on July 20.

The three-month trip took the van through Eastern Europe, Russia and Kazakhstan; across China through the Gobi Desert; and finally along the Great Wall, before arriving for a celebration at the expo. The driverless van relied solely on electricity.

See more of CNN's tech coverage

The vehicle weathered three months of rain, blizzards and sun, and arrived in Shanghai with no major problems, according to researchers tracking its progress. The van even stopped to pick up hitchhikers outside of Moscow.

"We are really happy. It's a real milestone in our field of vehicular robotics," said lead researcher Alberto Broggi.

The van, designed by Italian tech company Vislab, featured 12 refined sensors, including cameras, a carbon dioxide sensor, a GPS device and an off-road laser scanner.

"This driverless trip to China shows how science can capture people's imagination through achievements that would recently have been unthinkable ... [and] provide major environmental and economic benefits," said Maire Geoghegan-Quinn, head of research, innovation and science for the European Commission.

See more of CNN's special coverage of China

The record-setting journey comes in amid of major developments in driverless vehicle technology.

Earlier this month, Google announced that its self-driving vehicle had successfully traveled about 350 miles [563 kilometers] from its headquarters in Mountain View, California, to Santa Monica, California. Google, which engages in energy-related businesses along with its core Internet search-engine service, says its self-driving cars have logged more than 140,000 miles. General Motors, Volkswagen and Stanford University are also developing driverless vehicles.

No maps were used as Vislab's van traveled from Italy, then off-road through much of Siberia and China. The van topped out at 37 miles per hour and traveled about four hours a day to allow for adequate battery recharging.

As for human intervention during the van's three-month journey, "We had to intervene manually only on limited occasions, such as in the Moscow traffic jams and when passing toll stations," said lead researcher Broggi, who also is a professor at Italy's University of Parma.

Two engineers rode in the van to prevent dangerous situations. The vehicle was part of a four-vehicle caravan, which included a leading van that was occasionally driven by two engineers, but mostly operated without human guidance.

From Italy to Russia to China, the driverless van baffled onlookers. During a special demonstration on the outskirts of Moscow on September 10, a police officer approached the vehicle as it maneuvered in a pedestrian zone, only to find a driver missing.

"He realized there was no driver!" engineers wrote on the van's official trip blog. "He then looked around and tried to find a clue of what was happening. He really seemed puzzled!"

"We talked to him ... explained this is a big test," Broggi said. "It was extremely difficult, but in the end we avoided getting the first ticket to an autonomous vehicle."

Other challenges along the way included replacing a 430-kilogram battery in Moscow, lengthy and complicated border crossings due to customs clearances, and several frigid nights camping along the van's route in Siberia.

"We weren't worried about not making it," though, Broggi said. "This big trip was an intermediary step in a longer process. We have something new planned for 2012."

The European Research Council primarily funded the expedition, to develop technology to increase road safety and fuel efficiency by supplementing driver decisions at the wheel. The project used low-cost technologies that could be integrated in most current vehicles' chassis, researchers said.

More than 1.2 million people die annually in auto crashes, according to the World Health Organization.

@highlight

Van arrives at the Shanghai World Expo on Thursday

@highlight

The van left Italy in July, with two engineers aboard to prevent dangerous situations

@highlight

It traveled through Eastern Europe, Russia and Kazakhstan

@highlight

The van then went through the Gobi Desert and along the Great Wall