Editor's note: In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events. Here, Cal Perry describes speaking with Hamas leader Khaled Meshaal in a secret location in Damascus, Syria.

Hamas leader Khaled Meshaal hinted to CNN at a potential shift in the group's policy toward Israel.

DAMASCUS, Syria (CNN)  -- Sitting in a room with the top Hamas leader -- a man Israel would prefer dead -- is not an easy feeling, knowing that at any second a missile could shatter the building, killing everyone inside, myself included.

And, of course, it is no surprise why Israel has Khaled Meshaal at the top of its hit list. He is known to have ordered bombings that have targeted Israeli civilians, blowing up cafés, markets and malls across Israel.

CNN senior correspondent Nic Robertson and I recently sat down with Meshaal in a secret Hamas "safe house" in the middle of Damascus. The walls were adorned with the pictures of Hamas members who have carried out suicide bombings that have killed hundreds of Israelis.

We sipped coffee uneasily as we waited for Meshaal to emerge for an interview that was more than three years in the making. Suddenly and without warning, the Hamas leader appeared.

Dressed in a suit, he smiled as he greeted us. "You are more than welcome," he said in broken English, a common phrase you hear in the Middle East.

He then explained he was more than willing to discuss anything we wished, ranging from a captive Israeli soldier to the peace process to U.S. foreign policy.

The still abducted Israeli soldier, Cpl. Gilad Shalit, was a key part of the interview, and Meshaal was more than willing to talk about him.  Watch Meshaal talk about Gilad Shalit »

"We did not blackmail Israel, and we gave free information to Gilad Shalit's father and his family that Gilad Shalit is still alive. When he asked us to bring him a medical glasses for his sight, we did so as humanitarian duty. We treat Gilad Shalit in a humanitarian way that is in line with the Palestinians' morals," he said. Read Israeli father reject Hamas claim

Robertson began to ask about Hamas' view of the United States and the Bush administration's foreign policy. Suddenly, Meshaal hinted at a potential shift in Hamas' policy toward Israel. The slightest chance of change, of course, depends on events, according to the Hamas leader.

"Hamas changed a lot and great efforts have been made to conform with the realistic positions of Palestinians and Arabs. When Hamas says with other Palestinians forces that we demand for a Palestinian country as the border was back in 1967. Isn't this a development change?" he said.

Shortly after the interview began, the room filled up with his guards and those that work with Meshaal. They wanted to hear what he had to say as much as we did. In the middle of the interview, one of his guards handed him a cell phone. He had a brief conversation and apologized to us for the interruption.

"Who was that?" I asked one of my contacts.

The answer: "A very powerful Arab leader."

I asked, "Who?" My contact shook his head. It was clear at that moment, I would never know who it was that called.

During the interview, it was impossible not to look at our surroundings. This was a safe house where the leader of Hamas avoids assassination attempts.

The safe house was a simple building. It reminded me of something one of my Hamas contacts said to me weeks earlier in a neighboring country, "I am just a poor man, serving a cause I know to be just."

There were two levels to this safe house -- upstairs was a reception room with elaborate decorations, framed pictures of the late Sheik Ahmed Yassin and the Al-Aqsa mosque.

The lower level of the safe house was only three rooms. Only the basics exist in the place. A few tables, couches and plastic chairs. Hamas security was everywhere -- checking everything and keeping a keen eye on us. Just a request to use the bathroom involved an escort.

Meshaal is a complicated, calculating man. To his people, he is seen as a humanitarian and as the leader of Hamas. To Israel, the United States and a list of other nations, he is seen as a terrorist.

Israel has openly blamed him for terror attacks across their country. They also say he is responsible for the abduction of Shalit.

On June 25, 2006, Shalit was abducted by Hamas. Three days later, Israel flew four jets over Syrian President Bashar Assad's palace -- a clear message to both Syria and Meshaal. Shimon Peres, the former prime minister and current president of Israel, blamed Meshaal, marking him as a prime target on Israel's strike list.

Not necessarily a surprise -- they have tried killing him before.

Next month will mark the 10-year anniversary of an assassination attempt on Meshaal's life by the Israeli intelligence organization Mossad.

While Meshaal was living in Jordan in 1997, Mossad agents breached the building in which he was sleeping. They injected poison into his ear. The Jordanian authorities quickly discovered what had happened and through pressure from both the Jordanian king and some U.S. officials, Israel eventually provided Meshaal with the antidote he needed to survive.

"I am 51 years old, and the past 10 years have been a gift from above," he told CNN.

Which is why he now resides in Syria, living in an undisclosed location, using a variety of secret safe houses from which he leads Hamas. When he speaks, Palestinians and Israelis equally listen to every word, because he may be the only man who can assure the Palestinians will honor a cease-fire with Israel if one is ever agreed upon.

He has led Hamas ever since an Israeli missile literally split Hamas's spiritual leader Yassin in half, killing him in downtown Gaza in 2004. Of course, because he is such a target, gaining access to Meshaal is nearly impossible, especially for a Western news organization.

Why he agreed to talk to CNN at this moment remains a mystery to me. But after months and years of persistence, the day had finally arrived. Robertson and I met in Damascus.

We started Friday in a hotel lobby, with a member of Hamas sitting at a table with the two of us. As is tradition in the Arab world, we had a cup of coffee while talking with this man, one of my Hamas contacts.

Our phones and BlackBerries were surrendered -- all electronic equipment except the cameras handed over, put into bags, and our names written on the bags.

From the hotel, we were escorted through the streets of Damascus, winding our way through narrow streets, constantly looking in the rear-view mirror. Suddenly the car stopped and we were hurried inside. The security was as tight as it could possibly be. We were searched thoroughly.

"It's not that we don't trust you. It's that you may not know who has been tampering with your things," one of the Hamas members said.

The interview with Meshaal lasted around 90 minutes, but it seemed to fly by far faster.

He discussed the role of Saudi Arabia and how Hamas' relationship plays into wider regional politics. He spoke of mistakes he believes the Americans have made -- especially not backing the Hamas government in Gaza, which was democratically elected -- and much, much more.

"Israel is even destroying the interests of [the] international community and for this I believe that the Americans should change their policy and to knock the right door. America is still knocking the wrong door," he said.

I know one thing for sure: Everyone he mentioned and spoke of will listen carefully to each word he said. Palestinians and the Arab world will cling to his words, but perhaps his most captivated audience will be the state of Israel. E-mail to a friend

@highlight

Hamas leader hints at potential shift in policy toward Israel

@highlight

Khaled Meshaal spoke to CNN at a secret location in Damascus, Syria

@highlight

Meshaal says captive Israeli soldier is being treated in "humanitarian way"