(CNN) -- Before the tabloid headlines, before the media crush, before Casey Anthony and her daughter Caylee became instantly recognizable, there were only two phone calls.

"I have a possible missing child," Cindy Anthony said in the first of two 911 calls made July 15, 2008. The little girl -- her granddaughter, Caylee -- "has been missing for a month," she said.

In another call, she added an ominous statement: "There's something wrong," she said. "I found my daughter's car today and it smells like there's been a dead body in the damn car."

Caylee was 2 when she was last seen June 16, 2008. It wasn't until six months later the little girl's skeletal remains were found in woods about a quarter of a mile from the home of her grandparents. The girl's mother and Cindy Anthony's daughter, Casey Anthony, had also lived there, moving out around the time the child was last seen.

On Tuesday, Casey Anthony, now 25, will stand trial, accused of a crime unthinkable to many: Killing her daughter. Besides capital murder, she faces six other charges, including aggravated child abuse, aggravated manslaughter of a child and providing false information to authorities. If she is convicted by jurors -- seven women, five men and five alternates -- she could face the death penalty.

Anthony has pleaded not guilty, and denies harming her daughter or having anything to do with her disappearance. One of her defense attorneys, Jose Baez, has said that once all the facts are known, it will become clear his client is innocent.

The case has generated intense media attention, prompting the court to move jury selection to Clearwater, Florida, in Pinellas County, because of concern about getting an impartial jury in Orlando, in Orange County. Jurors were being transported Monday to Orlando in preparation for opening statements Tuesday.

Both the prosecution and the defense face hurdles, said "In Session" correspondent Jean Casarez, who has followed the case from the beginning.

The cause of Caylee's death was homicide by undetermined means, meaning there is no cause of death, she said.

"One of the elements in the statute for murder is that the defendant caused the death," Casarez said. "This is a circumstantial case, so prosecutors will build their building blocks toward that answer, but they don't have a definitive cause of death, and that can be a problem. I have seen cases where there are acquittals because the prosecution does not have a cause of death."

The fact that the remains were skeletal also prevented authorities from getting definitive answers on toxicology, as well as evidence that Caylee was abused -- something her mother is charged with doing. "How do you prove that when you just have skeletal remains?" Casarez said.

Duct tape was still stuck to the lower facial region of the child's body, authorities have said.

"(Caylee's) killer prepared some substance in advance that would render her physically unable to resist," prosecutor Jeff Ashton said at a December 2009 hearing, "administered the substance, awaited its effect and then methodically applied three pieces of duct tape to completely cut off the flow of air through her mouth or her nose and let nature take its course."

Authorities have said that the amount of decomposition would seem to indicate Caylee died shortly after she went missing.

Anthony initially told police that she had last seen her daughter in the custody of a babysitter named Zenaida Gonzalez. Investigators never tracked down the babysitter; later, a woman named Zenaida Gonzalez filed a defamation suit against Anthony, saying she had never met her and lost her job over the claims. Anthony countersued, accusing Gonzalez of attempting to cash in on the high-profile case.

Prosecutors allege that after killing her daughter, Anthony stashed her body in the trunk of her Pontiac Sunfire before disposing of it. A cadaver dog has alerted to the scent of human decomposition in the trunk, and testing showed the presence of chloroform. Orange County Superior Court Chief Judge Belvin Perry Jr. ruled last month jurors can hear the chloroform testimony. In addition, investigators have said they found Internet searches of websites mentioning chloroform on Anthony's computer.

Anthony's high-powered defense team, fighting to save her life, will likely try to cast doubt on prosecutors' scientific evidence. At pretrial hearings, they have argued that evidence regarding a potential odor of decomposition in the trunk, chloroform and other evidence is not reliable enough for jurors to consider.

Perry has also ruled jurors can hear testimony about a stain in the trunk, as well as the decompositional odor. In March, Baez contended that having jurors look at the stain might have a "prejudicial effect," alleging it could have been caused by a wet bag of garbage or gasoline cans. The stain was negative for DNA, as well as for the presence of blood or other bodily fluids, he said. "There is absolutely no proof whatsoever that this is a biological stain," Baez said.

Perhaps the biggest hurdle for the defense is the fact that Caylee had been missing for 31 days before authorities were aware of it, and her mother failed to report it, Casarez said.

In addition, some have alleged that Anthony didn't behave like the worried mother of a missing child during the search for Caylee. She went to nightclubs and sent hundreds of text messages to friends, according to cell phone and text transcripts and investigative reports released by police. Those records show she rarely mentioned her missing daughter.

"She doesn't report her child missing but she actively parties," Casarez said. Perry has allowed pictures of Anthony taken at nightclubs, both before and after Caylee went missing, to be presented at trial. Why before? "Probably (for prosecutors) to show that this was her lifestyle before and after her child was missing, and it's not a reaction to not knowing how to deal with Caylee suddenly out of her life," said Casarez.

Another potential defense hurdle: During the time Caylee was missing, Anthony also got a tattoo on her shoulder reading "Bella Vita" -- Italian for "beautiful life," Casarez said.

The car also poses a huge obstacle for the defense, with evidence of chloroform found inside along with hair that potentially showed signs of decomposition, she said.

The defense has also objected to the jurors chosen. Baez told Perry as the jurors were seated Friday that "we do not accept the panel as seated." The defense wanted more than the 10 peremptory challenges it was allowed. The challenges let attorneys on both sides reject jurors without having to provide a reason. Perry overruled his objections.

Early in the jury selection process, defense attorneys hinted that mitigating circumstances including "a history of sexual abuse" may have explained Anthony's behavior in the days after her daughter disappeared and her failure to alert authorities sooner. Anthony herself told police she had been trying to find her daughter on her own.

Defense attorney Ann Finnell raised a host of potential mitigating circumstances to gauge what would-be jurors might consider if they had to decide whether to sentence Anthony to death. Those circumstances included a "lack of maturity," "lack of impulse control" and "a history of sexual abuse."

Anthony alleged her father and brother sexually abused her in a letter from jail last year. In an interview with NBC News afterward, her father, George Anthony, denied the claims and criticized Baez's judgment in questioning him about the allegations.

Finnell asked potential members of the jury pool whether the assertion her client came from a "dysfunctional family" might factor into their penalty decision.

CNN's Ashley Hayes contributed to this report.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

Opening statements are set for Tuesday

@highlight

Anthony is accused of killing her 2-year-old daughter Caylee

@highlight

If convicted, she could face the death penalty

@highlight

A jury was seated Friday in another Florida county