(CNN) -- The Food and Drug Administration and the Centers for Disease Control and Prevention said Thursday they are assisting in the investigation of a newborn baby who died of a rare bacterial infection that could be linked to powder-based infant formula.

The two agencies are also investigating the case of another baby who survived after being infected by the same bacteria. Both cases happened in Missouri within the past month, but it was not clear whether they are connected.

Late Wednesday, Wal-Mart Stores Inc. announced it had pulled from its outlets nationwide all cans of Enfamil Newborn powdered formula that matched the size and lot number of the formula involved in the fatal case.

The retailer said it removed the product "out of an abundance of caution" during the investigation, because it has still not been determined whether the formula caused the baby's death.

"We extend our deepest condolences to this baby boy's family as they try to come to grips with their loss," said Dianna Gee, a Wal-Mart spokeswoman. "As soon as we heard what happened, we immediately reached out to the manufacturer of the formula and to the Department of Health and Senior Services to provide any information we may have to help with the investigation."

The maker of Enfamil, Mead Johnson Nutrition, said it is working with health authorities "to identify the source or cause of the infant's infection," though it remained "highly confident in the safety and quality of our products."

The formula involved is Enfamil Newborn Formula in 12.5-oz. cans, with the lot number ZP1K7G. Consumers who have purchased formula with that lot number should discard the product or return it to the store, according to the Missouri Department of Health and Senior Services, which is in charge of the investigation.

The infant died of an invasive Cronobacter sakazakii infection, Missouri health officials said. The bacteria is ubiquitous in the environment, but the source of infection is still unclear.

Because of a growing number of Cronobacter infections among newborns, however, there is compelling evidence that milk-based powdered infant formulas are the source of infection, Missouri health authorities said. The bacteria has been detected in other types of food, but only powdered infant formula has been linked to outbreaks of disease, they said.

The FDA has collected samples of powdered formula, both opened and unopened, from the home of the deceased infant and the Walmart store, located in Lebanon, Missouri, FDA spokeswoman Siobhan DeLancey said.

The FDA has also collected samples of the water used to reconstitute the formula, which in this case was bottled water, not from the tap. Test results are expected sometime next week, DeLancey said.

CDC spokeswoman Lola Russell said the agency is conducting separate tests of similar samples.

DeLancey warned against jumping to conclusions in the case.

"There hasn't been a connection found with infant formula at this time," she said. "We are investigating and the samples are still pending. We don't have lots and lots of cases, we have one case, and we're investigating this one very tragic case."

DeLancey said the FDA investigates between four and six cases of Cronobacter infection in infants every year.

Because powdered infant formulas are not commercially sterile, the FDA recommends the following steps to reduce infection in newborn babies:

-- Prepare only a small amount of reconstituted formula for each feeding so as to reduce the amount of time the formula is held at room temperature.

-- Do not hold reconstituted formula for longer than two hours without refrigeration.

-- Minimize the time reconstituted formula is held in the refrigerator before it is fed.

The World Health Organization has guidelines for the safe preparation and handling of powdered infant formula, which include washing hands with soap and water, thoroughly sterilizing all feeding equipment in hot, soapy water, and preparing enough formula for only one feeding at a time.

CNN's Miriam Falco, Christy Lenz, Saundra Young, and Philip Cantor contributed to this report.

@highlight

The baby died of a rare infection that has previously been found in formula

@highlight

Investigators have found no link yet between the formula and the baby's death

@highlight

Wal-Mart Stores Inc. has pulled the specific formula from its locations