(CNN) -- Conflict and hardship have long made Goma a difficult place to live in, but one woman has set out to change that -- and she's using soft croissants and fresh coffee.

When Vanessa Jados opened the "Au Bon Pain" bakery in May, she brought something new to the residents of the town in the far east of the Democratic Republic of Congo. Six months on, she is showing no signs of shutting up shop.

"Goma is my home," says Jados, 27. "I am very proud of Goma. It's the most beautiful part of Democratic Republic of Congo, and people here need fresh bread just like people in Europe."

Nestled between a mountainous national park and a freshwater lake, Goma sounds like the ideal setting for a holiday and the perfect place for a bakery. But the determined entrepreneur has had to overcome electricity, supply and staffing problems to make her dream a reality.

Goma's troubles

Born in Goma, Jados was sent by her parents to study in Belgium at the age of 12. "I had been to Belgium once before with my family, but that time it was just me and my two sisters," she recalls. "Leaving my parents behind was tough."

Jados wasn't to return home for 11 years. During her absence, Goma felt the horrific effects of the 1994 genocide in neighboring Rwanda as refugees fled across the nearby border.

By the end of the 1990s an armed rebel movement called RCD-Goma were running the town, and Human Rights Watch says the group forcibly recruited child soldiers to wage war in the politically unstable region where Uganda, Rwanda and the DRC meet.

As the armed conflict rumbled on in January 2002, molten lava spewed out of the nearby Mount Nyiragongo and quickly spread to the town. Approximately 400,000 people were forced to flee and a third of the city was destroyed by the flames.

Goma's residents began to rebuild the town after the natural disaster, but the M23 rebel group briefly occupied it in 2012 and waged war with Congolese armed forces. Human Rights Watch documented summary executions as well as numerous cases of violent sexual abuse.

Business beginnings

Returning to Goma at 23, Jados saw a very different place to the town she had left. High quality food products were in short supply, as were clean water and electricity. The challenges didn't stop her from focusing on her goal of establishing the first high-end bakery in town.

"Two years before I opened the doors I started raising money," she explains. "I needed to get an oven and mixing machine from Italy."

Another essential ingredient she couldn't find locally was a skilled baker, so she convinced a baker from the French town of Toulouse to move to Goma. "Young people in Goma aren't well trained or educated," she says. "I want to help young people learn new skills so the baker is training a Congolese baker and a woman who makes cakes."

Jados continues: "Congolose people are very nice and always smiling. Their current difficulties aren't as bad as they were during the war, so people are very happy. They really want to learn new skills and are very happy to learn from the French baker."

While she can't run her business without materials from abroad, like brown flour and chocolate, Jados uses local products where she can. "I can find white flour in Goma," she explains. "And the butter I use comes from my family's farm about an hour away. The butter isn't sold in shops, but they produce enough for the bakery."

Heavenly croissants

Like the materials she uses, the customers Jados serves are a mixture of local and foreign.

Having experienced such hardship, Goma has become a center for NGOs and charities in the region. The continued presence of expats has impacted the local economy and caused some price hikes for certain services like hotels and drivers. "In the beginning, most of the customers were expats," Jados recognizes. "But more Congolese people are coming these days -- they like the fresh bread and the birthday cakes as well."

For an expat aid worker living in Goma, "Au Bon Pain" is a "godsend." She says: "It's literally the only place in town to get good croissants, tasty sandwiches and genuinely good bread...The only thing they need to improve is the slow service -- if they find a way to make it speedy and efficient, the place will be pretty much perfect."

But not all the issues the aid-workers have come to help resolve are fixed. "It's hard to set up something that's got good foundations," Jados says. "It is difficult. There's lots of tax which makes things expensive. The electricity always cuts out, so I had to buy a big generator which was expensive and [it] also uses fuel which is very expensive. Water is also a problem."

And if these issues weren't enough, as well as a full-time business owner, Jados is a full-time mum of two. "I was pregnant when I was setting up the bakery," she says. "I now have a three month year old daughter, and I have to care for her too."

Despite her heavy workload, Jados is resolute that she's doing the right thing. "We can never be sure the war won't start again," she says. "We don't know, but we must continue. We must do the schools, the hospitals, the restaurants. We have to keep a positive mindset and make sure Congolese people don't go to Europe. Local people need to stay here and create a better Congo."

Read this: Swapping suits to launch 'Starbucks of Africa'

Read this: Lawyer finds success with baking biz

More from African Start-Up

@highlight

Vanessa Jados has established the "Au Bon Pain" bakery in Goma, DRC

@highlight

The capital of North Kivu province has experienced war and destruction after a volcano erupted

@highlight

Difficulties with electricity, water and skills shortages make running the business challenging

@highlight

Jados says that Congolese people need to remain positive and build a better country