(CNN) -- Pity the poor U.S. airport; its self-esteem has taken a beating in recent months.

In February, as reported by the New York Daily News, Vice President Joe Biden said New York's frequently lambasted LaGuardia Airport "feels like it's in some third world country."

"Why did we lead the world economically for so long?" Biden lamented. "We had the most modern infrastructure in the world."

In March, the UK-based Skytrax consultancy released its annual list of the world's top 100 airports.

The highest ranking any U.S. airport managed to muster was No. 27, achieved by the relatively small Cincinnati/Northern Kentucky International Airport.

Now, The Economist has joined the dogpile.

After combing through data on more than a million flights in 2013, the venerable British magazine concludes in its current issue that U.S. airports are "awful," beset by "soggy pizza, surly security staff and endless queues."

The Economist article poses the million- (or, rather, multimillion-) dollar question: "Why are foreign airports better than America's?"

Perhaps indicative of the global traveling public's dismissal of the standards at U.S. airports, the online article doesn't bother to provide an answer.

Best eats at 20 busiest U.S. airports

Hope for U.S. airports? Well ... maybe

"There's no question that U.S. airports suffer from an image problem globally, and the main culprit is our nation's lack of dedicated infrastructure investment, particularly in its aviation infrastructure," Airports Council International North America President and CEO Kevin M. Burke said.

"Many of our airports are operating well beyond the capacity for which they were originally intended several decades ago, and this is the reason why air travelers -- international and domestic -- experience crowded terminals and outdated facilities.

"The other source of harm to our global reputation has been the unacceptably long waiting times to process through customs at U.S. international airports."

Burke is optimistic about correcting the problems, pointing to a recent U.S. Customs and Border Protection announcement that it will add 2,000 officers, many assigned to airports.

"ACI-NA has been working with Congress for additional staffing, and with international traffic on the rise, this increase could not have come at a more critical time for U.S. airports," Burke said.

Hong Kong airport glory days, breathtaking photos

Meager public funding bedevils performance, improvement

At the root of many problems experienced by travelers at U.S. airports is an atypical system of governance and finance.

Unlike many of their overseas counterparts, U.S. airports are predominantly owned and operated by city, county or state governments.

"This means that how they are funded is far more restricted than the rest of the world," Burke said. "For our large hub airports, their primary source of funding for capital improvement projects is the Passenger Facility Charge."

The charge is a nominal user fee paid by passengers upon purchase of airline tickets in the United States, "virtually all of which," according to Burke, is returned to the airport for investment in infrastructure projects.

10 of the world's top airport lounges

The problem is, the fee no longer amounts to as much as it once did.

"The PFC's ceiling of $4.50 hasn't been raised since 2000, and this has meant that its purchasing power has eroded by roughly half due to inflation over the past 14 years," says Burke.

Lack of Passenger Facility Charge punch has hindered significant improvements and updates at many major U.S. airports.

Despite all this, Burke, and perhaps at least some of the millions of visitors who continue to pour into U.S. airports each year, remains bullish about the future of U.S. airports.

But can U.S. airports realistically improve vis-a-vis their international counterparts in, say, the next five to 10 years?

"Yes, but it's going to take an unwavering commitment to upgrading our infrastructure," Burke said. "It's crucial that Congress and the American public recognize that infrastructure investment in airports is reinvestment in the communities they connect to rest of the world.

"And in an increasingly global marketplace, the U.S. will require world-leading airports to stay competitive."

Or, by now, simply to catch up to a field that has already, by many estimates, flown far ahead of them.

And the world's best airport is ...

@highlight

The Economist says U.S. airports are beset by "soggy pizza, surly security staff"

@highlight

Highest placement of U.S. airport in recent "top 100" list is No. 27

@highlight

Airports Council International North America chief reacts to spate of negative press

@highlight

Public management of airports at root of many problems experienced by travelers