In our Behind the Scenes series, CNN correspondents, producers and photojournalists share their experiences in covering news and analyze the stories behind the events. CNN's Cliff Hackel talks about his experiences while on location for the documentary "Latino in America."

Shenandoah, Pennsylvania, resident Jaelynn Mackalonis wants people to know that her town is not racist.

SHENANDOAH, Pennsylvania (CNN)  -- Jaelynn Mackalonis was angry.

The upcoming trial in the killing of Luis Ramirez had rocked the town of Shenandoah, Pennsylvania, and Mackalonis urgently wanted to speak out.

She hung out on the street, overhearing CNN's interview of her neighbor Lou Ann Pleva. As Pleva recounted the various opinions around town about the street fight that killed Ramirez, Mackalonis' blood began to boil. She whistled and waved her arms to get our attention. Finally, she exploded.

"We just want to let you know, the neighbors around here, it's not fair that one person is going to speak for us," Mackalonis insisted. "This wasn't a racial crime."

Pleva stood up and tried to defuse the situation.

"I'm sorry; do I know you?" Pleva asked.

"I don't care if you know me or not," Mackalonis answered. "Do not say this town is racist."

"I didn't say that," Pleva said.

"Don't speak for anyone else," demanded Mackalonis.

"I promise you, I don't," Pleva said.

The exchange went on for minutes. It was highly unusual to have a formal interview interrupted in that way. But, the emotion of that moment typified the anxiety that gripped Shenandoah, a down-and-out former coal town in central Pennsylvania.  Mackalonis interrupts CNN interview »

On July 12, 2008, a group of white high school students, out on the prowl after a night of drinking, encountered one of their female classmates in the company of Luis Ramirez, a 25-year-old migrant worker from Mexico.

Racial insults were exchanged, and, in no time, a fight ensued. Police reports claim that at least one kick was delivered to Ramirez's head while he was unconscious on the ground. He died two days later.

One of the boys was charged as a juvenile. Another teen pleaded guilty to federal civil rights violations in a plea deal. The other two teens were charged with ethnic intimidation but were ultimately acquitted of those charges.

The crime cast an unwelcome spotlight on Shenandoah, according to Mackalonis.

"It's putting Shenandoah on the map for being a rotten town. It's not a rotten town," Mackalonis said. "I talk to people, and it's, 'Oh, yeah, you're from Shenandoah, where that illegal immigrant got beat.' "

Shenandoah has a rich cultural history. In its heyday, during the productive coal mining years of the 1920s, the town boasted nearly 30,000 residents. St. George's Roman Catholic Church became the nation's first Lithuanian parish. St. Michael's became the first Greek Catholic church in the country. There were so many diverse immigrant groups that the town was dubbed "Little New York."

When the coal mines dried up in the 1950s, Shenandoah began its economic slide. Today, the town's population is just over 5,000.

But immigrants still come to Shenandoah. The latest influx has been Latinos, who account for less than 10 percent of the town's population. It's inexpensive to rent or buy a house here, and most immigrants are able to send money home.

Although some in town accept the new residents, many of them from Mexico, others feel threatened by those who are here illegally. One person said that when he hears Spanish spoken, he "feels out of place. Like you're not in America no more."

Luis Ramirez was one of those illegal immigrants from Mexico. His death divided the town. One group wanted a long prison term for the boys. Another side called it "a street fight gone bad" and claimed that the boys acted in self-defense. Still others felt a degree of ambiguity and uncertainty as they waited for the trial to sort things out.

But Mackalonis, a local bartender, had made up her mind.

"Get your story straight before you go babbling anything," she admonished Pleva. "If he wasn't here illegally, I think it wouldn't have happened."

Getting the story straight in Shenandoah proved difficult. Mackalonis herself gave three possible scenarios for the crime: the rape of a 14-year-old, a drug deal gone bad and a fight that started spontaneously.

In our dozen trips to Shenandoah, we heard many more rumors of gangs, violence and drug dealing by Latinos. They were hard to substantiate, and fear seemed to rule the day.

Both Latinos and white residents told us they were afraid to walk the streets at night, even though we saw little evidence of any major crimes. Residents talk about crime, racial overtones

After her tirade during our interview with Pleva, Mackalonis stormed across the street to her home. We caught up with her to learn more about her opinion of undocumented workers.

"If you're here legally, fine. But if you're here illegally, and you don't want any of these problems, go back, get the green card, come back," Mackalonis said.

But one resident said many people in Shenandoah think every Latino needs a green card.

Carlos Ramos, who was born in Puerto Rico, is an American citizen. Despite that, he is often asked for his green card.

"If you're Puerto Rican or Dominican or whatever, you know, to them you're considered a Mexican," Ramos said.

Pleva tries to understand such differences. She has been outspoken in her attempts to help Shenandoah heal. She spoke at a candlelight vigil just days after Ramirez's death, urging racial harmony. All of which leaves her confused about Mackalonis.

"It hurts. We live across the street. We don't know each other. I just now found out her name when she told it to you! And yet she has all of this animosity toward me," Pleva said after the confrontation.

It has been months since our surprise interruption. In that time, the residents of Shenandoah have put the murder trial behind them. But little has changed. Some high school students see the convicted boys as heroes. Undocumented workers still find jobs around town. Rumor, distrust and disinformation fill the air, and anger simmers just below the surface.

Brian Rokus and Jacinth Planer contributed to this report.

@highlight

Shenandoah, Pennsylvania was once called "Little New York" for its cultural diversity

@highlight

Beating death of Luis Ramirez, a Mexican immigrant, rocked town in 2008

@highlight

Emotions ran high before trial of four white teens charged in case

@highlight

"This wasn't a racial crime," resident Jaelynn Mackalonis said