(CNN)The estate of the late comedian Joan Rivers filed a lawsuit Monday in New York County Supreme Court detailing alleged missteps by the outpatient endoscopy facility and the physicians caring for Rivers during an August 28 procedure that the New York medical examiner said ultimately led to her death.

Rivers died at Mount Sinai Hospital on September 4, 2014.

Attorneys for the estate said they are suing for damages and said the family wants to "make certain that the many medical deficiencies that led to Joan Rivers' death are never repeated by any outpatient surgery center."

The lawsuit alleges that the doctors who performed the procedure at Manhattan's Yorkville Endoscopy clinic were "reckless, grossly negligent and wanton."

The lawsuit says they performed procedures to which Rivers did not consent.

It also alleges that one of the doctors did not have credentials or privileges to treat patients at the facility.

Clinic that did Joan Rivers' procedure to be cut off Medicare

The comedian went to the medical center for a procedure to evaluate her "voice changes" and to determine what was causing her stomach reflux, according to the New York medical examiner.

The lawsuit says Rivers signed an authorization and gave her consent to let the doctors perform an upper endoscopy, or EGD, with possible biopsy/possible polypectomy and possible dilation of the esophagus.  It was unclear if Rivers had given verbal consent to any other procedure before being sedated.  The lawsuit maintains she did not.

During an upper endoscopy a camera is inserted to examine the upper part of the digestive system.  A doctor controls the tiny camera on the end of a flexible tube.  It is used to diagnose stomach, esophagus and small-intestine problems.

A biopsy would be done if a doctor found an area that looked like there was some kind of cancer. Voice changes can be a sign of throat cancer.

Federal agency claims major violations by clinic that treated Rivers

A polypectomy is done to remove nasal polyps, which are benign growths originating in the mucous membrane that can block the nasal passages.

During esophageal dilation doctors dilate or stretch the narrowed area of the esophagus, which they may do as part of a sedated endoscopy procedure. It's most commonly done because the esophagus has narrowed from acid reflux. Often patients with this problem have trouble swallowing and sometimes have pain.  Less commonly, narrowing happens because of cancer of the esophagus.

Rivers first underwent a laryngoscopy. This is a procedure she did not consent to in writing.  It is used by doctors to get a look at the vocal folds and glottis.  It was during this first procedure that her doctors had "difficulty maintaining" her oxygen saturation at an "appropriate and safe level to ensure that her airway was not compromised" the lawsuit says.

Then Dr. Lawrence Cohen and Dr. Renuka Bankulla performed the upper endoscopy, the procedure for which they did have written consent.  When Bankulla noticed the oxygen saturation level again dropped, the lawsuit says she requested that the EGD be stopped and the endoscope removed to increase Rivers' oxygen level.

Once her level was raised, Cohen reinserted the laryngoscope and continued the EGD.

The lawsuit argues that during this part of the procedure Cohen and Bankulla failed to ensure Rivers' airway was appropriately maintained and that they "failed to properly observe and monitor Joan Rivers' vital signs which were deteriorating" and that her blood pressure "dropped significantly" as did her pulse and oxygen saturation level according to the lawsuit.

After Cohen completed the EGD he took a selife with Rivers while she was under sedation during the procedure, without her consent, according to the lawsuit.

When he took the photo, the lawsuit says, Cohen announced that maybe Rivers would "like to see these in the recovery area."

Dr. Gwen Korovin then said she wanted to "go down again" and take another look, doing another laryngoscopy, the procedure for which the facility did not have written consent, according to the lawsuit.

E!'s 'Fashion Police' to continue without Rivers

Korovin performed the laryngoscopy despite a concern voiced by Bankulla that the procedure could compromise Rivers' airway, the suit says, adding that Cohen told Bankulla she was just "being paranoid," and the doctors proceeded with the second laryngoscopy.

According to an October investigation by the medical examiner's office, the cause of death was "anoxic encephalopathy due to hypoxic arrest," a medical description of brain damage caused by lack of oxygen "that happened during the laryngoscopy."

25 of Joan Rivers' best jokes

Rivers had a laryngospasm, a spasm of the vocal cords that makes it difficult to breathe, according to the investigation.

Her body was unable to take in enough oxygen and eventually her heart stopped delivering fresh oxygenated blood to her brain, which shut down.

When the doctors did notice that Rivers' vital signs had dropped, as had her oxygen saturation level, they tried to get her breathing better.   When 10 minutes of ambu bagging didn't work, the lawsuit says Bankulla asked another doctor to get the tracheotomy kit ready.

In that case, the lawsuit says the doctors should have performed an emergency tracheotomy.

Bankulla looked for Korovin to perform a cricothyrotomy, but the lawsuit says Korovin had left the room.

Korovin is a well known doctor who has successfully treated an impressive list of celebrity clients who have come to her with voice trouble.

The list of famous patients who have sung her praises include actors Hugh Jackman and Nathan Lane and singers Celine Dion, Lady Gaga and Ariana Grande.

Korovin is a licensed medical doctor, but she "did not have privileges to perform surgical procedures" at Yorkville Endoscopy nor was she credentialed to perform procedures at the facility, according to the lawsuit.

After Rivers started to deteriorate further, the lawsuit alleges that Korovin left the room "because she knew she was not permitted to perform medical services or procedures" at that particular clinic and wanted to "avoid getting caught."

Joan Rivers gave misfit girls permission to dream

The lawsuit also says the doctors were inadequately trained to handle an emergency like the one they encountered.

CNN left voice messages and emails for all the individuals and facilities named in the suit. So far, none has responded to CNN's inquiries.

In relation to this case in the past, the Yorkville Endoscopy clinic has said, "Our anesthesiologists monitor the patient continuously utilizing state-of-the-art monitoring equipment, and remain at the bedside throughout the procedure and into recovery." It added that all its doctors are certified for advance cardiac life support.

Korovin's lawyer sent a statement in relation to past stories that said the doctor "is respected and admired by her peers in the medical community and she is revered by her patients."

"As a matter of personal and professional policy, Dr. Korovin does not publicly discuss her patients or their care and treatment. Further, Dr. Korovin is prohibited by state and federal confidentiality laws from discussing her care and treatment of any particular patient.

"For these reasons, neither Dr. Korovin nor her attorneys will have any public comment on recent press reports regarding her practice. We ask that the press please respect Dr. Korovin's personal and professional policy of not discussing her patients, as well as the privacy of her patients," the statement said.

In reaction to the lawsuit, Rivers' daughter, Melissa Rivers, released a statement.

"Filing this lawsuit was one of the most difficult decisions I've ever had to make," said Rivers. "What ultimately guided me was my unwavering belief that no family should ever have to go through what my mother, Cooper and I have been through.

"The level of medical mismanagement, incompetency, disrespect and outrageous behavior is shocking and, frankly, almost incomprehensible," Rivers said. "Not only did my mother deserve better, every patient deserves better.  It is my goal to make sure that this kind of horrific medical treatment never happens to anyone again."

Debra Goldschmidt of CNN contributed to this report

@highlight

Joan Rivers died in September after a medical procedure went wrong

@highlight

Rivers did not consent to the procedure that may have killed her, according to the lawsuit

@highlight

One doctor took a selfie with the comedian while she was sedated, the lawsuit says