(CNN) -- For 20 years, it has circled quietly above us, capturing a dark, secret world billions of light years away.

From black holes to primordial galaxies, the Hubble Space Telescope has provided out-of-this-world images of space where no human has ever gone.

NASA, the European Space Agency and the Space Telescopic Science Institute celebrated Hubble's 20th year in orbit on Saturday by releasing another stunning photo caught by the iconic telescope.

The striking color shot shows a small portion of the Carina Nebula, "one of the largest seen star-birth regions in the galaxy," according to NASA.

Former NASA astronaut John Grunsfeld, who flew on three service missions to Hubble, said that inside those newborn stars "are the chemical elements ... that make up people."

Time.com: Greatest hits from Hubble

"The carbon and oxygen in our bodies was all built inside of stars," he said, "Hubble is answering fundamental scientific questions that in the end tell us about our earth, our solar system and ultimately how we were formed."

The photo, captured February 1 and 2, is one of more than 500,000 images that Hubble has taken -- captivating scientists and astronomy enthusiasts alike -- since it was launched into orbit by the space shuttle Discovery on April 24, 1990.

"I never would have believed in 1990 that the Hubble would have turned out this great," said Ed Weiler, associate administrator of NASA's Science Mission Directorate. "I knew it was going to be great, but it has just exceeded all of our expectations."

Among its most famous findings, Hubble has:

-- Helped astronomers discover dark energy, which exerts a repulsive force that works against gravity;

-- Helped determine the age of the universe (about 13.75 billion years old);

-- Acted as a virtual time machine, providing glimpses into how the universe might have looked millions of years ago and helping shed light on how the giant galaxies we see today were formed;

-- Helped identify the atmospheric makeup of planets beyond our solar system.

Weiler cites supermassive black holes, the largest type of black hole, as another of Hubble's most prominent discoveries.

"When Hubble was launched in 1990, supermassive black holes were a fantasy, a theory -- something you saw on 'Star Trek,'" Weiler said. "One of our goals was to ... find at least one and prove it exists.

"As it turns out, Hubble surprised us," he said, "Not only did it find one but it basically showed us that supermassive black holes are pervasive throughout the universe ... and they clearly play a role in the evolution of a universe."

Despite its age, Hubble is 100 times more powerful today than at the time of its launch, NASA says, thanks to its most recent visit by astronauts, including Grunsfeld, on a service mission last May.

"We had hoped to get 10 to 15 years out of it with frequent shuttle visits every two and a half to three years," Weiler said. "As it turns out, we're now 20 years into this program, and thanks to the work of John and the crew in the last mission, we're looking forward to at least another five years and maybe even another seven, eight or nine or 10 years more."

@highlight

New color photo of Carina Nebula marks Hubble Telescope's 20 years in space

@highlight

Hubble helped to determine age of universe, shed light on how galaxies were formed

@highlight

Hubble has captured more than 500,000 images since 1990