Congress faces several big issues before beginning its August recess at the end of the week. While it appears lawmakers might get to a few things on the to-do list, other matters are likely to be left until they return in September.

Here's what will and won't get done before the end of the week:

1. Crisis on the border: Agencies responsible for dealing with the influx of youth migrants from Central America on the southern border could run out of money next month.

But competing legislative proposals means it's highly unlikely a resolution will materialize before Friday. Senate Democrats are looking at a $2.7 billion plan to address the border crisis, while House Republicans are crafting a measure totaling less than $1 billion. President Barack Obama has asked Congress for $3.7 billion.

The major sticking point overall is whether to change a 2008 law to make it easier to deport those streaming across the border from El Salvador, Guatemala and Honduras.

Central American leaders to Obama: We're working on it

Most Republicans argue for the change in policy because it can take months or years to determine legal status under current law. They want to link any new money to a change in the 2008 law.

Most Democrats oppose altering the law, saying doing so could lead to an unfair process that might short-change kids fleeing gangs and violence who want to stay in the United States legally. They want any new money to include no change in policy.

But Democrats have sent mixed messages. Obama top administration officials say they are open to addressing the 2008 law, while Hispanic lawmakers and top leaders warn any major revisions are unacceptable.

Poll: Border crisis impacts public opinion

House Republicans are expected as early as Monday to unveil details of legislation that would fund border and other related agencies through the end of September. They could vote by week's end.

Speaker John Boehner says he wants the House to act but it's unclear if anything can pass.

2. A fix for veterans' health care: CNN uncovered troubling stories of delayed care for veterans, some of whom died. Allegations surfaced of secret waiting lists for patient care, mismanagement, and bonuses for executives who oversaw such dysfunction. Investigations were launched, the VA secretary resigned, and Congress stepped in.

Veterans caught up in the bureaucratic mess who feared retaliation for speaking out prompted Congress to fast-track legislation to revise procedures at hospitals and provide more resources to address case backlogs.

Senate Veterans Affairs Committee Chairman Bernie Sanders, a independent who normally sides with Democrats, and his House Republican counterpart, Rep. Jeff Miller, announced a deal on a $17 billion pacage on Monday.

Public outrage over the alarming VA shortcomings has lit a fire under Congress to ensure a final measure gets to Obama before week's end.

On Friday, 115 House members wrote to Boehner demanding that Congress stay in session until it approves a bill on veterans care.

Veterans waiting longer for cancer care

The Senate is expected to confirm Robert McDonald, a former CEO of Proctor & Gamble and a West Point graduate as the next VA secretary as early as Tuesday.

3. Highway fund running on empty: The highway trust fund, which pays for road and bridge repair carried out by the states, is about to run out of money.

Funded by gasoline taxes, the account has been in trouble for years with prices at the pump steadily higher and people driving more fuel efficient cars and trucks. The sluggish economy also has cut down on fuel purchases.

Less money going into the trust fund fund means hard choices. Raising the 18.4 cents per gallon gas tax is a non-starter, especially in an election year.

So where will the money come from? Congress in the past has diverted billions in general tax revenues to shore up the trust fund, and that is what's on the table now.

A short-term House bill would infuse the trust fund with $11 billion in new revenue. It is expected to pass the Senate this week. But that measure just means this emergency will arise again next May, when the balance gets low again.

Without federal money, states will have to curtail -- and shut down, in some cases -- road projects. That's unappealing on both sides of the aisle since construction provides a lot of jobs and fuels economic growth in other ways.

5 ways the highway crisis could affect you

4. House Republicans vs. Obama: The House is expected later this week to pass a resolution authorizing Boehner to sue Obama for exceeding his executive authority.

Republicans are basing the case on Obama's decision last year to authorize a one-year delay in the Obamacare requirement that businesses provide health coverage.

Although House Republicans voted to do the same thing, they maintain it's the job of Congress to change the laws, not the President's

"This is also not about me vs. President Obama. This is about future Congresses and future presidents. There is a conflict between the executive branch and the legislative branch of our government. It is the judiciary branch's role to help resolve it," Boehner wrote on Monday in a USA Today opinion piece.

House Democrats are using the case to raise money and make argument that the suit is merely a political move to rally the Republican base ahead of the midterms.

There is a small contingent of House conservatives who want to impeach Obama, but Boehner has said multiple times that he disagrees with such a step.

A CNN-ORC poll released last week shows that nearly two thirds of Americans oppose any move to impeach Obama.

5. Funding government agencies: The most basic function of Congress is its power of the purse. It decides annually how much each agency can spend.

To date, the House has passed about half of the annual spending bills establishing budgets for these departments for the fiscal year starting October 1. But the Senate has not voted on one yet.

Unless both pass some type of massive spending bill to cover everything at once before the end of September, there could be another federal shutdown. Remember last fall.

Boehner has said he expects the House to approve a resolution extending current levels of funding through some time in December. When lawmakers return after Labor Day, there are about 10 days left in the legislative calendar for a deal to come together.

@highlight

GOP, Dems push competing border plans, but policy change may be biggest obstacle

@highlight

Sen. Bernie Sanders and Rep. Jeff Miller said they have reached a deal over VA reforms

@highlight

Congress is likely to punt on a highway bill with a stopgap measure through May

@highlight

House Republicans expected to authorize suit against President Obama over Obamacare