Durban, South Africa (CNN) -- Your phone rings. Someone's trying to sell you financial services. The person you're speaking to is likely to be sitting in a massive room with hundreds of other people. And if you're in an English-speaking country, the chances are they will have an Indian accent.

India may be the world leader in call centers but in South Africa the government is hoping to grow its own industry, so the person calling you in the future could be a South African.

Amazon and Aegis are among the internationally renowned companies using South African call centers. British company Coracall has also opened a call center in South Africa. The company's CEO, Philip Lightfoot, says he looked at other international call center destinations, including India and the Philippines, but was lured to Durban.

"The main reason for coming to South Africa was the pool of talent, with regards to the employees we could bring in," he says.

But it was the South African accent that's proved particularly compelling for his business interests.

"For the UK in particular there has been a stigma around the Indian accent," he says. "South Africa, as a destination, because it has such a neutral accent, especially Durbanites have such a neutral accent, means the UK population is receptive to speaking to individual from South Africa, and in particular, Durban."

Read related: African CEOs look to bright future

Coracall currently employs 300 people, but it has plans to expand over the next three years. Its staff, many of whom happen to be from Durban's large Indian community, are calling the UK asking about customer satisfaction for a major car company.

The South African government wants to attract more companies like Coracall to its shores, as well as grow its own domestic industry. It has introduced a number of financial incentives in the hope of achieving this. Companies are now eligible for grants for investment and training, as well as tax breaks for job creation.

"It has had a massive impact," says Suleman Shaikh. He runs a call center in Johannesburg that deals specifically with the South African consumer market.

He adds: "It has made the industry much more competitive in terms of attracting offshore investment into the country.

"We can now compete with other offshore locations, such as India and the Philippines, much more favorably. It has lowered the barriers of entry into the market and it really has given the industry that competitive edge we have been looking for."

Read related: Mxit - South Africa's Facebook beater

According to South Africa's national association for companies operating in the "Business Process Service and Outsourcing" market, this competitive edge is beginning to deliver results.

The industry grew over 85% from 2007 to 2010. Around 10,000 people are currently employed in this sector but that is expected to rise to 40,000 by 2015.

"The industry has grown exponentially over the last 10 years," says Shaikh. "I have seen the industry grow from a few thousand agents to tens of thousands agents. I have seen it grow from just pure domestic operators to at least six new entrants from the UK entering South Africa over the last 24 months."

For the South African government there are incentives too; this is a labor-intensive industry and one that is proving lucrative. Between 2009-10 the industry made nearly $250 million in exports.

South Africa's success in this area is attracting interest from other African countries, according to Brendon van Staaden, the CEO of Inter-Active Technologies. His call centers provide services for Samsung and the cable television provider Multi Choice, but he also provides technology for businesses opening their own call centers in other parts of Africa.

"It is incredible the amount of commitment that African countries are making to this industry," van Staaden says. "If you look at the prospects we are faced with over the next four to five years it is a very exciting space to play in.

"We have come of age in South Africa. As a result of that the African states, particularly the neighboring states, have begun to notice this a lot."

It's unlikely that South Africa's call center industry will outflank India's, even with its rising labor costs. However, this industry is growing at a time when South Africa is struggling with unemployment.

But it seems not everyone is convinced by the local accent.

"Usually our Scottish customers have a bit of difficulty understanding us," says Durban call center worker Rhoda Anandam. "That's because of their accent themselves, because they are used to communicating with people of their same accent."

@highlight

South Africa is looking to grow its call center industry

@highlight

The government has introduced a number of financial incentives to attract more companies

@highlight

Companies like Amazon and Aegis are now using South African call centers

@highlight

The South African accent is a major asset, industry players claim