(CNN) -- President Obama's address to Congress was full of lofty promises to make unprecedented investments in government programs, even as he aims to cut the deficit in half by the end of his first term.

President Obama on Tuesday outlined an ambitious agenda to help revive the economy.

But it takes more than a proposal to bring about real change. Will Obama be able to meet his goals?

CNN political analyst David Gergen says the answer will be "one of the greatest political dramas of our time."

White House Press Secretary Robert Gibbs says the budget Obama sends to Capitol Hill Thursday will help show how the president plans to tackle his ambitious agenda.

Here's a look at some of Obama's goals, and what experts are saying about them.

Economy

Promise: "To ensure that a crisis of this magnitude never happens again, I ask Congress to move quickly on legislation that will finally reform our outdated regulatory system."

Promise: "I held a fiscal summit where I pledged to cut the deficit in half by the end of my first term in office."

Promise: "My administration has also begun to go line by line through the federal budget in order to eliminate wasteful and ineffective programs. As you can imagine, this is a process that will take some time, but we have already identified $2 trillion in savings over the next decade."

Analysis: Democratic strategist Lisa Caputo said so far, Obama is taking the right steps to revive the economy, but the country needs to see his plans put into action. He's already passed a massive stimulus bill, and he has a housing bill and a banking regulatory reform bill in the works.

"He's doing all the right things. Hopefully he'll come forth with a balanced budget. ... He's saying all of the right things. He's got to do them," she said.

Republican strategist and CNN contributor Ed Rollins pointed out that what Obama did was put forth proposals, not an action plan.

"This was a speech about aspirations. There was not a strategy or the details. They may come later, but it's an overly ambitious program, and if he can accomplish just the financial part of it, he'll move the country forward," he said.

The success of Obama's budget goals will fall heavily on Speaker of the House Nancy Pelosi, Rollins said.

"Can she control her members? The last two years the Congress has controlled the spending, it's been a Democrat Congress. It's still a Democrat Congress and will be for the foreseeable future. There's a lot of pet projects these people want, there's a lot of entitlements that people aren't willing to cut," he said.

Larry Winget, a personal finance expert, said he agrees with everything that Obama said needs to be done, but said he doesn't agree that the country can borrow or spend its way out of debt.

"If you came to me and said, 'I'm in a financial crisis, I've screwed up everything based on all of my bad decisions, what should I do?' the last thing in the world I would tell you is to go borrow more money or go try to spend something that -- money you don't have on something you don't need," he said.

Winget said instead, the country should work its way out of debt.

"The practical thing would be to put more money in the hands of people, which would always go back to, we need to give bigger ... tax cuts," he said.

Education

Promise: "By 2020, America will once again have the highest proportion of college graduates in the world. That is a goal we can meet."

Promise: "It will be the goal of this administration to ensure that every child has access to a complete and competitive education, from the day they are born to the day they begin a career. That is a promise we have to make to the children of America."

Analysis: Rollins pointed out that this is the first time the federal government is taking a such a major role in education.

"We have $59 billion in this year's education budget. We added another $100 billion to build schools and do those things. That's never been the role of the federal government. So it's a whole new way to go, and obviously if it works, it may benefit the country," he said.

CNN Senior Political Correspondent Candy Crowley said Obama's proposals are just the start of a new direction.

"It is the beginning of shaping the country differently when it comes to a lot of these programs. And the different shape, again, is a more liberal shape of the country, than really the conservative country it has been since Ronald Reagan," she said.

Energy

Promise: "We will invest $15 billion a year to develop technologies like wind power and solar power, advanced biofuels, clean coal, and more efficient cars and trucks built right here in America."

Promise: "Thanks to our recovery plan, we will double this nation's supply of renewable energy in the next three years."  Watch Obama say, 'It begins with energy' »

Analysis: Lakshman Achuthan, managing director of the Economic Cycle Research Institute, said Obama laid out a "tall order" of what needs to be done, and tried to show how everything is connected.

"So he showed, here's the short term, which is stimulus, banking, housing. Here's the longer term: If we want to own the century, we have to deal with energy, education, health, for example, and connecting those things," he said.

"And one of the critical things is that it's not clear -- you know, the stimulus is great, we passed it, but it doesn't work unless the banks lend. The banks won't lend unless the housing sector stabilizes. So, it's -- this is much tougher than chewing gum and walking at the same time," he said.

Health care

Promise: "[The recovery plan] makes the largest investment ever in preventive care, because that's one of the best ways to keep our people healthy and our costs under control."

Promise: "To preserve our long-term fiscal health, we must also address the growing cost in Medicare and Social Security. Comprehensive health care reform is the best way to strengthen Medicare for years to come, and we must also begin a conversation on how to do the same for Social Security, while creating tax-free universal savings accounts for all Americans."  Watch Obama explain his plans for health care reform »

Analysis: Larry Elder, a libertarian commentator, thought that Obama gave a "great political speech" but Elder questioned the president's economics.

"I just wish he was a limited-government, personal-responsibility, hard-core-fiscal-responsibility Republican, which, of course, he isn't. Look, he's got a faith in government that I don't share," he said.

"Whenever I hear somebody talk about investing in health care, investing in education, investing in energy, I put my hand on my wallet and I say, 'These guys are not good stewards of your money the way you are of your own money.' "

Pamela Gentry, a senior political analyst with BET, said Obama's big promises will keep people watching because they play to the drama of this presidency. Health care, she said, will be the issue to watch.

"Health care has got to be one of the toughest ones. I mean, Medicare is the second largest budget after defense. So, if he can pull this off, it would be remarkable," she said.

Gibbs said Wednesday that the president is well aware of the difficulty of reforming health care.

"But he understands the only way to do that is bring together the stakeholders on both sides of the aisle, business and labor, doctors, providers. That process will begin next week here to discuss health care reform," he said.

But, Gibbs said, the president doesn't plan on setting any "artificial deadlines" to pass health care reform.

Military

Promise: "To relieve the strain on our forces, my budget increases the number of our soldiers and Marines. And to keep our sacred trust with those who serve, we will raise their pay and give our veterans the expanded health care and benefits that they have earned."

Analysis: Patricia Murphy, editor of Citizen Jane Politics, said she thought Obama's speech was strong, but she didn't follow Obama's math.  Watch: How to cut defense spending »

"The problem in this speech, I think, is his promise to cut the deficit in half and layering on program after program after program, saying we'll pull the troops out of Iraq, but we'll increase the size of the military. Those numbers don't add up," she said.

CNN contributor Roland Martin on Tuesday compared Obama to rapper Kanye West. Martin: Obama's ambitious agenda is a good thing

All of the president's promises -- fixing health care, fixing the economy, halving the deficit, boosting funds to troops, curing cancer, achieving energy independence and solving Pakistan's problems, to name a few -- are just the markers in terms of his presidency, Martin said.

"Sort of when like Kanye West had his new album, and he said, 'I want to make it as bad as Stevie Wonder's [Songs in the Key of Life].' ... He said, 'If it doesn't get to that, it's still a great album.'

"[Obama] is a guy who is saying, a president who's saying, 'Look, I want to raise the stakes.' And, so, isn't it amazing that we're sitting here, saying, 'Wow, an ambitious president'? Well, shouldn't we have an ambitious president? Shouldn't we have a president saying, 'We can do more'?"

@highlight

President Obama promises to halve deficit by 2013

@highlight

Experts support Obama's proposals, but want details on the action plan

@highlight

Obama sets high goals for economy, energy, education, health care

@highlight

CNN contributor Roland Martin likens Obama to Kanye West