New York (CNN) -- Jeff Parness still remembers the pain of September 11, 2001, when his friend and business partner, Hagay Shefi, was among the thousands killed in the World Trade Center attacks.

But Parness, a native New Yorker, also hasn't forgotten the support that his hometown received from other communities in the immediate aftermath. Many cities -- in the United States and around the world -- sent volunteers and supplies to aid the rescue and recovery effort.

"9/11 changed all of us forever, but 9/12 changed us just as much," said Parness, 45. "That outpouring of kindness and generosity, to me, was more powerful than the terror that happened the day before."

That spirit of goodwill inspired Parness to create New York Says Thank You, an organization that sends volunteers from New York City to disaster-stricken communities every year -- normally around the 9/11 anniversary. To date, more than 7,000 people have participated in the group's rebuilding projects.

Running a nonprofit isn't something that Parness, a former software venture capitalist who lives in Manhattan, ever thought he'd do. He had never been community service-oriented. But a suggestion from his 5-year-old son changed all of that.

In November 2003, Parness' son, Evan, saw a news report about wildfires near San Diego. He asked his dad if he could send the children in California some of his toys. Parness suggested that they ask all of the children in their apartment building for donations.

Three days later, Parness and two friends were headed to San Diego in a truck half-filled with toys and supplies. Parness put a sign on the truck that read: "New York Says Thank You."

"I wanted to make a bigger statement," he said. "I wanted to let people know that New Yorkers will never forget what people did for us after 9/11."

As Parness and his buddies made their way to California, people they encountered along the way added donations. By the time they arrived, the truck was full.

The whole experience deeply touched Parness, who wanted to turn it into something more. That's when he came up with the idea of helping a different city every year.

"On a day that's about destruction ... let's create an organization that's focused on helping people rebuild," he said. "It's our way to really honor the sense of spirit and volunteerism (of) 9/12."

Each year, Parness finds a community that has been hit by a disaster and he selects a structure to rebuild there. The projects often hold some significance to the area -- a historic church in Indiana, a veterans' home in Texas, a Boy Scout camp in Iowa. But Parness says that in a way, what's being built really doesn't matter.

"It's not about building structures. It's about building hope," he said. "We want able to touch people who are still recovering from disasters and show them that other people care."

For the organization's first project in September 2004, Parness brought 14 volunteers from New York City to rebuild homes destroyed by the wildfires outside of San Diego. The next build, in September 2005, was in Utica, Illinois, a city that had been hit by a deadly tornado. Thirty New Yorkers made the trip this time, and they were joined by eight people from California who had received help the previous year.

It is this cycle of "paying it forward" that is at the heart of New York Says Thank You. It's also part of what gives the group its unique character: Nearly all of its volunteers have survived a disaster of some sort, be it natural or man-made.

That shared connection means a lot to firefighter Brian Fitzpatrick, who was at ground zero on 9/11 and lost 10 members of his fire academy class that day. As a volunteer for New York Says Thank You the last four years, he says he is motivated by helping others who've also lived through a tragedy.

"You're there to let them know that ... they're not alone," he said. "It's like a crazy club that you join."

Do you know a hero? Nominations are open for 2011 CNN Heroes

The organization has helped communities in nine states since 2003, and its web of volunteers now extends across the country. With more volunteers from outside New York than from the city itself, Parness says his group isn't really about New York anymore -- it's about America.

Eric Kreippen, a firefighter from Slidell, Louisiana, would agree. He has been a dedicated volunteer since Parness' group came to his community after Hurricane Katrina. He says he's "addicted" to the experience, and he brings more people with him every year.

"This past year, I brought 22 people to Arkansas," Kreippen said. "This whole 'paying it forward' thing, it's just contagious."

Every September, Parness' army of disaster survivors -- usually 200-300 people -- rolls into town for what amounts to an old-fashioned barn-raising. The atmosphere is like a family reunion as volunteers from past projects reunite.

The locals "can't believe that people from Manhattan and Slidell and Indiana and all of these towns are all in their town to help them," Kreippen said. "You get the thanks, and it's 'No, we're here because we went through the same thing!' "

Working side by side, many volunteers form friendships and stay in touch year-round.

"You're banging nails and building something, but it's the relationships that help you heal," Fitzpatrick said.

Many volunteers discover that the work helps them move forward with their own lives.

Megan Manning lost her husband on 9/11, and she has been volunteering with New York Says Thank You since 2007. She said the experiences have completely changed her attitude every time September 11 comes up on the calendar.

"Ever since it started, I wake up on 9/11 and I feel grateful," she said. "That's huge for me."

It's huge for Parness as well.

"When I started this, I thought it was about building homes and churches that were destroyed, " Parness said. "When we went on ... I realized that 50% of value went to the survivors, but 50% went to the volunteers. It's empowering."

This year, for the 10th anniversary of 9/11, Parness is planning to go to Ellijay, Georgia, a small town that was hit by a tornado earlier this month. There, he hopes to rebuild a barn that housed Build An Ark Animal Rescue, a sanctuary that saves and rehabilitates animals.

"We always look for special projects that could benefit a community," Parness said. "This lovely woman, Susan Littlejohn, lived in the barn with 65 animals that she used as therapeutic companions for disabled children and senior citizens. ... We couldn't think of a better place to do this year."

A new documentary about Parness' group, also called New York Says Thank You, will premiere April 28 at the Tribeca Film Festival in New York. Parness says the film's message is about the power of volunteerism, and he hopes it will inspire people to get involved, in some way, in their community.

"This is about honoring that volunteer spirit," he said. "It shows that nothing is impossible if you can come together."

Want to get involved? Check out the New York Says Thank You website at www.newyorksaysthankyou.org and see how to help.

@highlight

Inspired by the help New York got after 9/11, Jeff Parness started a volunteer group

@highlight

The nonprofit, New York Says Thank You, helps a different community rebuild each year

@highlight

Its volunteer base keeps growing as more people look to 'pay it forward'

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes