Washington (CNN) -- Millions of undocumented immigrants would get immediate but provisional status to live and work in America under a compromise plan proposed Monday by a bipartisan group of eight senators.

While temporarily removing legal uncertainty for the nation's 11 million undocumented immigrants, the senators' outline also called for strengthening border controls, improved monitoring of visitors and cracking down on hiring undocumented workers.

Only after those steps occurred could the undocumented immigrants already in the country begin the process of getting permanent residence -- green cards -- as a step toward citizenship, the senators told a news conference.

"They would no longer be deported, provided they don't have a criminal record. They would no longer be harassed, they would be allowed to stay here and work," said Democratic Sen. Chuck Schumer of New York in describing the immediate impact of the framework if crafted into legislation and enacted.

The outline for a possible immigration bill reflects a new willingness by mainstream Republicans to compromise following their party's defeat in November, when President Barack Obama got strong backing from Latino voters.

"Elections, elections," answered Republican Sen. John McCain of Arizona, a veteran of past immigration battles in Congress, when asked to explain the push now for a bill that proved unattainable two years ago.

"The Republican Party is losing the support of our Hispanic citizens," McCain said. "We realize that there are many issues on which we think we are in agreement with our Hispanic citizens, but this is a preeminent issue with those citizens."

His party and all Americans now realized that "we cannot continue as a nation with 11 million people residing in the shadows," McCain added.

Florida Sen. Marco Rubio, a tea party-backed conservative considered a rising star in the Republican party, said the goal was to create a "modern immigration system" that treated everyone fairly -- both the undocumented and those waiting to come to America legally.

"None of this is possible if we don't address the reality there are 11 million people in this country who are undocumented," Rubio said.

However, another tea party-backed Republican, Sen. Mike Lee of Utah, objected to the framework by his colleagues, saying the guidelines "contemplate a policy that will grant special benefits to illegal immigrants based on their unlawful presence in the country."

Other conservatives immediately voiced their opposition to what they called amnesty, a code word on the political right for providing undocumented immigrants a path to legal status.

"When you legalize those who are in the country illegally, it costs taxpayers millions of dollars, costs American workers thousands of jobs and encourages more illegal immigration," said Rep. Lamar Smith, R-Texas, who serves on the immigration subcommittee in the House. "By granting amnesty, the Senate proposal actually compounds the problem by encouraging more illegal immigration."

NumbersUSA, a group seeking to reduce U.S. immigration, called the Senate plan an attempt to "out-amnesty Obama" and said it was activating its 1.3 million members to push for congressional opposition.

House Speaker John Boehner's office was noncommittal, saying he looked forward to learning more about the senators' plan.

A similar effort on immigration is said to be under way in the House, involving a group of Republicans and Democrats.

Two senior House Democratic sources briefed on the effort told CNN the group was working to release some sort of outline of its plan soon, possibly as early as this week, but concede "they are not as far along as the Senate."

Like the Senate framework, the House plan will include a path to citizenship, but details of how that will work are still being discussed.

McCain and Rubio, joined by three Democratic colleagues at the news conference, acknowledged the political challenge, with Rubio calling the legislative process ahead "enormously complicated."

Read the senate plan

Obama is expected to deliver a speech in Las Vegas on Tuesday to discuss comprehensive immigration legislation, which he calls a priority of his second term.

According to senior administration officials, the president will say the senators' plan represents progress and argue that now is the time to act. He will lay out his vision for immigration reform, which is consistent with the Senate plan, they said.

Obama is not expected to present legislation during his speech, nor anytime this week.

At the White House, spokesman Jay Carney said the president welcomed the senators' framework, calling it a "big deal" because it included an eventual path to citizenship for undocumented immigrants.

"He is encouraged by the progress we have seen from members of both parties in the Senate, and looks forward to working with members of both parties to reach a point in the hopefully not too distant future where we have a bill that has bipartisan support, that is very specific, and that he can sign because it meets his principles," Carney said.

Path to citizenship: Senators outline bipartisan immigration plan

Meanwhile, a litany of left-leaning advocacy groups spoke out on the senators' plan, praising it as a good first step but cautioning against harming the rights of workers.

"The people of this country are ready for us to be one country again without second-class people being mistreated simply because they lack paper even though they are already contributing to our economy and our tax system," noted NAACP President Ben Jealous.

Democratic senators backing the plan include Schumer, Dick Durbin of Illinois, Robert Menendez of New Jersey, and Michael Bennet of Colorado. On the Republican side, McCain and Rubio were joined by Lindsey Graham of South Carolina and Jeff Flake of Arizona.

What you don't know about Latinos in America

The eight senators based their framework on four "pillars," described as:

-- A "tough but fair" path to citizenship for undocumented immigrants already living in the United States, but only after bolstering the nation's border security;

-- Overhauling the country's legal immigration system, including attaching green cards to advanced degrees in science, technology, engineering, or math from U.S. universities;

-- Establishing an employment verification system that holds employers accountable for hiring undocumented workers;

-- Creating a guest-worker program for positions that Americans are either unable or unwilling to fill.

Lawmakers: GOP needs to back immigration overhaul

A source familiar with how the eight senators came up with the plan told CNN that Graham called Schumer after the November vote to restart work on an immigration bill that broke down in 2010.

Soon, a core group of six senators formed and met five times in the following weeks in the offices of Schumer and McCain, the source said, adding that Flake and Bennet also took part in some of the meetings and were the last to agree to the proposal.

Opinion: Worker visas are the key to immigration reform

Schumer said Monday that an initial timetable called for delivering the text of a bill to the Senate Judiciary Committee by March, and Senate passage by late spring or in the summer. He and Durbin called Obama on Sunday to tell him of the agreement by the senators, Schumer said, describing the president as "delighted."

DREAMer's clout increases in immigration debate

Obama came under criticism from Latino activists for failing to deliver on 2008 campaign promise to make immigration reform a priority of his first term.

Last year, as his re-election campaign heated up, the Obama administration announced a halt to deportations of some young undocumented immigrants in a move that delighted the Latino community.

Exit polls in November indicated Latino voters gave overwhelming support to Obama over GOP challenger Mitt Romney, who had advocated a policy that amounted to forcing undocumented immigrants to deport themselves.

Five reasons why time may be right for immigration reform

iReport: Under deportation, above fear

CNN's Jessica Yellin, Deirdre Walsh, Kevin Liptak, Catherine E. Shoichet and Matt Smith contributed to this report.

@highlight

NEW: House lawmakers are also said to be working on a bipartisan immigration plan

@highlight

NEW: President Obama will not present legislation, but call for action, during a speech Tuesday

@highlight

Eight senators, four from each party, unveil a "first step" toward an agreement

@highlight

Conservatives reject the senators' plan as "amnesty"