(CNN) -- People are turning. The misery is too widespread. The privileged are too brazen. The injustice too apparent.

On Wall Street, young students have created a free democratic space in a place they call Liberty Square. They protest that Wall Street has been rescued, but there is no help for most Americans. In a moving statement, they presented their view: "We are the 99%. We are getting kicked out of our homes. We are forced to choose between groceries and rent. We are denied quality medical care. We are suffering from environmental pollution. We are working long hours for little pay and no rights, if we are working at all. We are getting nothing while the other 1 percent is getting everything. We are the 99%."

Their demonstrators were scorned in the beginning. They had no clear demands. They were organized with no formal structure. They were squatting out in the rain, not allowed tents or bedding.

But they understood the value of nonviolence. In the face of pepper spray and police provocation, they stayed disciplined. As they were being dragged away to be arrested, they said to the police: "We are the 99%. We are fighting for your pensions. You should stand with us."

They made no demands but their analysis was dead on. The wealthiest few are capturing all the rewards of growth in this society, while the large majority falls behind. Wall Street got bailed out, rescued without being reorganized, while homeowners were left to fend for themselves.

Inequality has reached levels not seen since before the Great Depression. With this kind of inequality -- with the top 1% having as much income as the bottom 60%, according to the Campaign for America's Future -- the economy doesn't work well. The rich turn to speculation. The middle class sinks. And the country suffers.

Now conservatives are talking about sending the bill for Wall Street's excesses to the most vulnerable -- cutting Medicare and Social Security, slashing spending on public education.

Many of the kids in Occupy Wall Street are graduating from college with thousands in college debt and no jobs are to be found. They are the 99%.

The discipline of their demonstrations, the clarity of their moral voice, has touched a chord. Now groups are organizing to occupy financial districts all over the world. I've been to many of the occupy sites: in New York, Chicago, Washington DC, Phoenix, Atlanta, just last month in London. I've seen the faces and places of the Occupy movement.

But Occupy is more than places. Occupy is a spirit whose time has come, capturing the people and the world's imagination with a keen focus on the gaps of inequality, unfairness and corruption. The Occupiers' cause is a just cause, a moral cause. It cannot and will not be dismissed, but heard. Listen to the message:

They are the canary in the mine warning us of the dangers...

Too few have too much; too many have too little; too much poverty, too much wanting in the land of plenty; too many costly wars.

Biblically, Jesus was an occupier. Born under occupation, facing a death warrant on his life, He fled to Egypt -- an immigrant, a political refugee. He represented hope for the oppressed; his mission was to serve the poor. He challenged the prevailing ethos and power of Rome.

Gandhi was an occupier. He marched to the sea protesting colonialism and British occupation. He prevailed.

Mandela was an occupier, his country occupied by the ruthlessness of apartheid. But Mandela occupied his jail cell on Robben Island, turning it into a library, a center for peaceful, non-violent revolution. He prevailed.

Dr. King was an occupier, our country occupied by the vicious and divisive legal segregation. His last great campaign was the Poor People's Campaign, aimed at occupying the Mall in the nation's Capitol to address abounding poverty, the demands for a job or an income for all, health care for all.

When Dr. King was shot down on April 4, the campaign moved on to Washington DC, setting up Resurrection City and occupying the nation's Capitol in tents. It was the precursor to today's Occupy movement. We prevailed.

Deep into a recession that nearly drove the world economy over the brink in 2008, the eurozone crisis and the recent downgrades of European countries remind us ever to starkly that the dangers of economic collapse remain with us today.

Banks got bailed out; people got left out. Banks are making record profits and issuing billions in executive compensation bonuses again. But protestors are criminalized -- homeowners are still being foreclosed on while others find themselves "underwater" with debt exceeding the value of their homes. Student loan debt now exceeds credit card debt, and our youth are finding it increasingly difficult to enter, and stay in, college. Big banks are still not lending to small businesses.

Yet for all of the excess and scandalous trading practices and policies, not a single top executive from a U.S. bank has gone to jail for their crimes of corruption and greed that drove the global economy to the brink of disaster.

In this mirror, a movement for change is building across the country.

It was reported that the Wall Street traders drank champagne in their offices as they looked down on the drenched and straggly demonstrators in Liberty Square. They should hold their scorn. This is how change takes place. The courageous stand up -- and more and more people come to their side. The movement for jobs and justice has started up again.

As we commemorate Dr. King's birthday this month, we occupy. We are not just dreaming, we are occupying. Occupying until justice rolls down like mighty water. Occupying until a new day of justice appears. Occupying until the bright morning appears. Occupying until peace and love, hope and justice prevails in our land.

Keep hope alive.

The opinions expressed in this commentary are solely those of Reverend Jesse Jackson.

@highlight

Rev. Jesse Jackson supports the non-violent protests that took place on Wall Street.

@highlight

He thinks the Occupy movements have spotted the widening gap between rich and poor.

@highlight

Many spiritual and oppositional leaders from history carried an occupier spirit, finds Jackson.

@highlight

Jackson calls for further movements to commemorate Dr. King's birthday this month.