Dressed in police and army uniforms, the suicide bombers placed themselves among the security officials lined up to cast their ballots.

The soldiers and police were waiting to vote early, ahead of Wednesday's parliamentary elections -- Iraq's first nationwide polls since the withdrawal of U.S. forces at the end of 2011.

But the men, charged with protecting polling stations and voters on election day, came under attack themselves as the militants detonated explosives, killing and injuring dozens of people across the country.

In an apparent attempt to derail the balloting process and discourage the rest of Iraq's 21.5 million registered voters from going to the polls, suicide bombers struck several polling stations as well as other locations in a wave of attacks in Baghdad and northern Iraq on Monday and Tuesday.

With a surge in car bombings, assassinations and suicide attacks, the vote -- the fourth national election since the fall of longtime leader Saddam Hussein in 2003 -- is being held amid rapidly growing violence reaching levels not seen in more than five years.

Across villages and cities in the shattered nation, the echoing deep boom of explosions has become all too familiar for Iraqis.

"We depend on God each time we leave the house, because you don't know what fate holds for you," one man said.

Wave of attacks

Shootings and explosions across the country on Monday killed 53 people and wounded more than 100 others.

In addition to the targeted polling stations, a suicide attacker killed at least 18 people and wounded 33 others at a Kurdish political gathering in the town of Khanaqin, 160 kilometers (100 miles) northeast of Baghdad.

The gathering was in celebration of Iraqi President Jalal Talabani, who appeared on television casting his vote in Germany where he has been getting medical treatment.

On Tuesday, at least 12 people were killed when twin roadside bombs exploded in a busy outdoor market in al-Saadiya, about 120 kilometers northeast of Baghdad.

Another 18 were wounded, police officials told CNN.

Iraq has tightened security measures ahead of the elections, banning vehicles from the streets on Tuesday night and closing roads in and out of the capital.

But on the eve of the polls, the country is fast returning to the horrors of its recent past.

Prime Minister Nuri al-Maliki is battling for a third term in office but faces fierce opposition from political opponents, with sectarian violence at its most intense in more than five years.

Deadly year

Iraq has been beset with political and sectarian violence for months, often pitting Sunnis -- a minority in Iraq -- against Shiite Muslims, who came to dominate the government after Saddam Hussein was overthrown in 2003.

The United Nations said 2013 was the deadliest year in Iraq since 2008, with more than 8,800 people killed, most of them civilians.

Tensions continue to be fueled by widespread discontent among the Sunnis, who say they are marginalized by the Shiite-led government and unfairly targeted by heavy-handed security tactics.

Sunni anger has made it easier for al Qaeda-linked militants to recruit and operate while eroding the public's cooperation with security forces. Violence flared just a few months ago because of the arrest of a Sunni lawmaker in Anbar's capital, Ramadi, and the dismantling of protest sites by the army in Falluja and Ramadi.

Iraq's security forces, trained by the United States at a cost of billions of dollars, have been unable to dislodge the militants and instead are fighting pitched battles.

Other endemic problems gripping the country include high unemployment levels, dilapidated infrastructure and services, and chronic corruption. Oil revenues have failed to improve the lives of most Iraqis.

The vote

The dire security situation in which the elections are going ahead is reminiscent of the country's first post-Hussein elections in 2005, when threats from al Qaeda insurgents led to minimal turnouts in most Sunni provinces.

Al-Maliki, whose State of Law alliance is seen as a front-runner, on Tuesday called on Iraqis to take part in the vote.

"Your presence and your insistence to exercise your legitimate national and historical right represents a real response to the terrorists and sectarianism and those who stand behind them," he said in a statement.

Some 277 political entities across Iraq will compete for 328 seats of the Iraqi Council of Representatives, the country's parliament. There are 9,032 candidates.

The voting has been canceled in parts of Anbar province, controlled by jihadists and tribesmen.

"It doesn't bode well for stability if the electoral results do not reflect an accurate representation of the political realities on the ground," Ramzy Mardini, nonresident fellow at the Atlantic Council, told CNN.

"What's more worrisome is, what happens next? Will the government double down on a military offensive in Anbar? Does fighting intensify between Sunni tribes? Does Maliki take advantage to exploit the divisions? Does the violence eventually spill over into Baghdad? Will Anbar be neglected, whereby it converges closer to the adjacent insurgency inside Syria? As is always the case with Iraq, nothing is inevitable, anything is possible."

Observing from outside

Following the last parliamentary election in 2010, it took nearly eight months of intense backdoor negotiations for Iraq's bickering politicians to finally form a government.

This time, though, there are no U.S. forces on the ground, and Washington will be watching from afar.

"The United States is facing a dire situation in Iraq, whereby both instability in the political and security realms are converging," Mardini said.

"If there is no resolution in the upcoming post-election saga in forming a government, Iraq's security situation is expected to worsen. Unlike past electoral cycles, the United States lacks the influence to bring about a resolution, and without its military presence, the psychological effect that helped pacify political behavior is no longer there as a coolant."

Iraq's neighbors will also be keeping an eye out for any serious implications in a region that is still coming to terms with the geopolitical effects of the Arab Spring.

For Iran, the unity of the Shiite political class is a core interest, because it determines the depth and scope of its influence in Iraq, Mardini said.

"A new emerging interest for Tehran could be the maintenance of the status quo in Baghdad," he said. "The ousting of Maliki could symbolically undermine Tehran's efforts in safeguarding the survival of the Syrian regime in Damascus."

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

@highlight

Iraq holds nationwide vote on Wednesday, first since U.S. troop withdrawal in 2011

@highlight

Runup to polls has been violent, with election centers attacked this week

@highlight

Iraq has been beset with political and sectarian violence for months

@highlight

Prime Minister Nuri al-Maliki is battling for a third term in office