Michaela Cross, an American student at the University of Chicago, has written a powerful account of her study abroad trip to India last year, during which she says she experienced relentless sexual harassment, groping and worse.

Upon her return, she says she was diagnosed with post-traumatic stress disorder and is now on a mental leave of absence from the school after a public breakdown in the spring.

Cross, a fair-skinned, red-haired South Asian studies major, titled her story "India: The Story You Never Wanted to Hear." She posted her account on CNN iReport under the username RoseChasm.

Her story has struck a chord around the world, racking up more than 800,000 page views as of Wednesday morning. It quickly found its way to India, where many readers sympathized with the story and men felt compelled to apologize for the experience she endured. Others called for greater perspective and warned against making generalizations about India or its people.

Reaction: Indian women feel sorrow, anger at U.S. student's harassment claims

India's deadly gang rape of a 23-year-old woman in New Delhi happened a few days after Cross left India in December, and she said that helped others understand what she and her classmates went through. The country has continued to see several high-profile cases of rape and sexual violence cases since then, and the government has introduced tougher laws and punishment for sexual crimes.

Keeping chivalry alive in India: Men respond to rape crisis

On her return, Cross struggled to find a way to talk about a cultural experience that was both beautiful and traumatizing, she said in her essay.

She writes:

"Do I tell them about our first night in the city of Pune, when we danced in the Ganesha festival, and leave it at that? Or do I go on and tell them how the festival actually stopped when the American women started dancing, so that we looked around to see a circle of men filming our every move?

"Do I tell them about bargaining at the bazaar for beautiful saris costing a few dollars a piece, and not mention the men who stood watching us, who would push by us, clawing at our breasts and groins?

"When people compliment me on my Indian sandals, do I talk about the man who stalked me for 45 minutes after I purchased them, until I yelled in his face in a busy crowd?"

"How it feels to be a woman in India"

Later, she writes: "For three months I lived this way, in a traveler's heaven and a woman's hell. I was stalked, groped, masturbated at; and yet I had adventures beyond my imagination. I hoped that my nightmare would end at the tarmac, but that was just the beginning."

A university spokesman confirmed Cross is a student at the school and would not comment on her mental leave. He said the school is committed to students' safety at home and abroad.

Cross said she didn't say anything to the professors on the trip until things reached "a boiling point" -- what she called two rape attempts in 48 hours.

Should solo female travelers avoid India?

Dipesh Chakrabarty, a University of Chicago professor who was in India for the first three weeks of the session, told CNN that he was unaware of Cross' situation. He noted, though, that the university tries to prepare students for what they might encounter while abroad. The Civilizations Abroad in India program was based in the city of Pune, but the students traveled to other areas during the semester.

"Both faculty and staff in Chicago and our local Indian staff counsel students before and during the trip about precautions they need to take in a place like India," Chakrabarty said in an e-mail. "Ensuring student safety and well-being is the top priority of both the College and staff and faculty associated with the program."

The university provided this statement to CNN:

"Nothing is more important to us at the University of Chicago than caring for the safety and well-being of our students, here in Chicago and wherever they go around the world in the course of their studies. The University offers extensive support and advice to students before, during and after their trips abroad, and we are constantly assessing and updating that preparation in light of events and our students' experiences. We also place extremely high value on the knowledge our students seek by traveling and studying other civilizations and cultures, and we are committed to ensuring they can do so in safety while enriching their intellectual lives."

From India: A different view

Her story sparked a wave of reaction online, with scores of Indians responding, many with sympathy to her plight and pointing out that Indian women also experience high levels of harassment and abuse.

Arvind Rao, a media professional in Mumbai, was moved to post this comment on her story: "It thoroughly disgusts me to be known as an Indian male ...  An apology is extremely meager for all the trauma you've gone through." He expressed hope that politicians  would "wake up and implement stricter laws against crime and sexual harassment on women."

"Every time my girlfriend goes out alone, I pray that she comes back home safely," wrote a commenter using the name Jajabar. "Being an Indian male, I apologize."

Others, however, observed that sexual harassment was by no means confined to India, and Indian commenter Sam1967 warned against condemning his home country when so many others failed to protect the women living within their borders.

"I accept what happened was definitely an embarrassment and a cause of trauma for her that might haunt her for the rest of her life. But this has happened in many other countries or places and therefore it may not be the right thing to single out India."

'She could have been me': Action urged after Delhi gang rape

Another woman who said she was on the same University of Chicago sponsored trip to India, posted a response on CNN iReport calling on people to resist stereotyping Indian men and recognize that sexual assault happens all over the world.

The student, Katherine Stewart, said she dealt with her own share of harassment on the trip, but "in my experiences in India, I have met a solid handful of warm and honest Indian men -- men who are also college students, men who also love the thrill of riding on a motorcycle in the busy streets, men who defended me at necessary times, and men who took the time to get to know me and my culture. And that should not at all be surprising."

Stewart said she believed Cross "had every right to tell her story" and in no way wanted to lessen the significance of her experience. But Stewart, who is black, cautioned that "when we do not make the distinction that only some men of a population commit a crime, we develop a stereotype for an entire population. And when we develop a negative stereotype for a population, what arises? Racism."

One thing is certain: Cross sparked a huge discussion with a story that she thought no one wanted to hear. She said she is thankful for her experiences in India, and wants to see more international exposure about what women travelers and residents endure.

"Truth is a gift, a burden, and a responsibility. And I mean to share it," she writes. "This is the story you don't want to hear when you ask me about India. But this is the story you need."

@highlight

U.S. college student Michaela Cross spent three months abroad in India

@highlight

She says she and others faced repeated sexual harassment in India

@highlight

She was diagnosed with PTSD and is now on a leave of absence

@highlight

She shared her story to make others more aware