(CNN) -- Just under ten years ago, the Dutch-British physicist Andre Geim stumbled across a substance that would revolutionize the way we understand matter and win him and his colleague Kostya Novoselow the 2010 Nobel Prize for Physics. It was graphene -- a one atom thin substance. The Professor of Physics at Manchester University talks to CNN about discovering the first ever 2-dimensional material.

CNN: Graphene has been described as a 'miracle material', but what exactly is it?

Andre Geim: It's the thinnest material you can get -- it's only one atom thick. A tiny amount can cover a huge area, so one gram could cover a whole football pitch. It's the strongest material we are aware of because you can't slice it any further. Of course, we know that atoms can be divided into elementary particles, but you can't get any material that is thinner than one atom, or it wouldn't count as a material anymore.

Graphene is stronger than diamond; it shows extraordinary heat conductance; it conducts electricity a thousand times better than copper -- the list goes on. We're talking about probably 20 superlatives which apply to graphene. Another surprise is that you can just about see it with the naked eye, even though it's only one atom thick!

CNN: Your scotch-tape method for discovering the material has gone down in science history. Tell us about that.

AG: We were trying to make graphite as thin as possible using lab equipment and for many months we struggled to make it thinner than 10,000 layers. Then we had a kind of Eureka moment. We were using scotch tape on a regular basis in the lab to clean the surface of the graphite. We would look at what was happening on the surface of the graphite and throw the scotch tape in the bin. Then we decided to take the tape out of the bin and look at it under the microscope and we saw really transparent pieces of graphite -- graphene.

CNN: Your discovery was certainly a surprise to the science world, but was it a surprise to you?

AG: Yes. We live in a 3-dimensional world. My physics intuition, developed over the last thirty years, told me that this material shouldn't exist. And if you had asked 99.9% of scientists around the world they would have said the idea of a 2D material was rubbish and that graphene shouldn't exist. And in most cases they would have been right, but in the case of graphite or graphene, and a dozen other materials like it, our intuition was completely wrong. You can reach this limit of one-atom-thin layers.

CNN: But what exactly is graphene useful for?

AG: Because of its range of extraordinary properties, people are considering using graphene in a myriad of different applications. For example, because graphene is so strong, people want to use it to reinforce plastics, making them conductive at the same time. Because it's transparent and conducts electricity, people want to use it in applications like mobile phone screens, touch screens, TV screens and so on. People are also considering using it to go beyond silicon technology and make our integrated circuits even denser and speedier. Those are just few examples.

CNN: What is the future for graphene?

AG: I don't dare try to predict the future, but if the speed of development of the last ten years is of any guidance we can expect to see graphene everywhere soon. Typically it takes 40 years for a new material to move from an academic lab into a consumer product, but within less than ten years graphene has jumped from our lab into an industrial lab and now there are pilot products all over the world. Governments around the world and probably more than 100 companies are spending billions on researching these materials. So, it probably deserves the superlative of the fastest developing material as well.

'Miracle material' chips away at silicon dominance

Frances Perraudin contributed to this report.

@highlight

Andre Geim and Kostya Novoselow discovered graphene in 2004.

@highlight

At one atom thick, it is the thinnest material ever discovered.

@highlight

They made their discovery by pulling scotch tape off graphite.

@highlight

Graphene is very strong, flexible and a good electrical conductor.