Elephants are being killed in Africa at an alarming rate by increasingly efficient and well-armed poachers as international demand soars for the ivory from their tusks, wildlife conservation groups say.

The slaughter, described by some activists as unprecedented, is enabled by ineffective law enforcement, official corruption, porous borders and a rapidly expanding population seeking sustenance, the groups say. And it is being driven by a growing appetite for ivory products in increasingly affluent Asian countries, particularly China and Thailand.

"China has taken over Japan as the world's largest ivory consumer. And from 2006 to last year, the ivory price in China has tripled. So that's why some Chinese buy ivory products in Africa with dollars and smuggle them back to China to sell for a better price," said Grace Gabriel, Asia regional director for the International Fund for Animal Welfare.

But Chinese Foreign Ministry spokesman Hong Lei said his government has taken a firm stance on ivory trafficking.

"We have enacted corresponding laws and regulations, and made significant efforts in enforcing them," he said. "We have made positive contributions to tackling ivory trafficking activities worldwide. We will keep this momentum going in our future work."

African elephant slaughter highest in more than two decades

Gabriel said the Chinese government has done a "great job" in banning online trade of ivory products, ordering online shopping sites to remove such items and closing ivory trade websites. But she said that while 136 Chinese retailers are authorized to sell ivory products, many more illegal stores have set up shop, according to International Fund for Animal Welfare investigations.

The numbers available are stark: The poaching of elephants is the most intense it has been in a decade, and the number of documented ivory seizures has reached its highest level since 1989, a group of agencies that monitor elephant populations and the ivory trade said in June.

The elephant population in central Africa, where the worst of the killing is believed to be taking place, has dropped significantly over the past 10 years, according to estimates cited by Bas Huijbregts, head of field programs for the conservation organization WWF in the Congo Basin region.

The level of butchery is a throwback to the 1980s, when an estimated 100,000 elephants were being killed every year, according to WWF. The Convention on International Trade in Endangered Species of Wild Fauna and Flora in 1989 outlawed the international ivory trade and sharply reduced illegal killing in some countries.

The chief reason for the deteriorating situation today is the rising demand in Asia and the weak law enforcement against poachers and illegal ivory traders in central African countries like the Democratic Republic of Congo and the Central African Republic, Huijbregts said.

Little is being done to prosecute the people in those countries who run the ivory trade, he said, largely because they are often local government officials who use their authority to sidestep inspections and intimidate law enforcement agents.

Cathay Pacific bans shipping of shark products

"They don't hunt themselves, but they use their government status, and indeed their government vehicles, to organize the crime behind the scenes," said Huijbregts, who has spent 16 years working in the region.

Wildlife wardens in rural areas can have little incentive to risk their publicly funded jobs by pursuing and prosecuting powerful local officials, he said. The money to be made from killing elephants for a living is also tempting for many people in the region, where population growth is rapid and poverty rates are high.

"With the price of ivory skyrocketing over the past few years, it becomes a very lucrative business for local people," Huijbregts said.

The wildlife wardens are often outgunned by the poachers, whose growing use of automatic firearms and other weapons has been documented by conservation groups.

They are also now confronting not just local poachers, but also seasoned fighters from war-torn areas of the continent like Sudan, conservationists say.

Once the ivory has been harvested from the slaughtered elephants, it is transported across thinly and badly policed borders to ports in countries like Kenya and Nigeria. From the trading hubs, it is shipped abroad, mainly to Asia.

"Most illegal shipments of African elephant ivory end up in either China or Thailand," according to TRAFFIC, an organization that monitors the wildlife trade.

The biggest demand is from China, Huijbregts said, where ivory household items, like chopsticks, are increasingly sought after by tens of millions of people newly enriched by the country's past decade of meteoric economic growth.

Ivory is also purchased as a collector's item or for investment, Gabriel said.

Thailand is also a good market for the criminal gangs that traffic the ivory because it is a popular tourist destination with weak laws governing the sale of ivory products and lax policing, according to Huijbregts.

Despite the bleak situation, efforts are under way to clamp down on the illegal trade, as the increase in elephant killing damages governments' credibility and, in the case of incursions by foreign poachers, presents possible security threats.

Some African countries are starting to share information about poaching between them, Huijbregts said. And Interpol has joined efforts to investigate those involved in the trade of ivory and other illicit wildlife products.

The U.S. government has also been "extremely active in the Congo Basin region in putting pressure on governments to take this issue seriously," according to Huijbregts.

"There is light as well as darkness," he said.

Will elephants still roam earth in 20 years?

@highlight

China says it has enacted laws and regulations on ivory trafficking

@highlight

Elephant poaching is the worst it has been in 10 years, wildlife groups say

@highlight

It is being driven by strong demand for ivory from countries like China

@highlight

Weak law enforcement in central Africa enables the slaughter, activists say