President Barack Obama might soon find himself in a quandary in which basic arithmetic prevents him from faithfully executing all of the laws Congress has passed. The debt ceiling statute prohibits borrowing enough money to make up the difference between funds in the Treasury and legal obligations to spend.

Anything the president does would violate some law. Indeed, anything he does would be unconstitutional because all of the relevant powers -- spending, taxing and borrowing -- belong to Congress.

Many Washington insiders have assumed that if Congress fails to raise the debt ceiling, Obama could simply cut spending.  But constitutional history says otherwise.

When President Richard Nixon tried to "impound" money that Congress had ordered him to spend, the courts slapped him down. During Bill Clinton's administration, the Supreme Court ruled that the president has only a limited ability to cut spending even with congressional authorization. He has no constitutional power to cut spending without such authorization.

If every action the president might plausibly take would usurp a power of Congress, what should he do? He should minimize the usurpation.

During the Civil War, President Abraham Lincoln unilaterally suspended habeas corpus. Lincoln argued that if that decision was unconstitutional, it was nonetheless necessary to avoid a greater evil: violating his constitutional oath to defend the Union. Faced with a dilemma, Lincoln chose the less unconstitutional course.

The same goes for this president from Illinois. If Congress creates a trilemma, he must choose the least unconstitutional option.

Some commentators suggest that the Treasury could generate $2 trillion for the government by minting two platinum coins, using an obscure law that was enacted for the express purpose of creating memorabilia. But doing so would be economically equivalent to borrowing $2 trillion and thus, even if technically legal, would violate the substance of the debt ceiling law.

In a constitutional crisis, analysis should rest on constitutional principles, not technicalities. The core issue is separation of powers: What course of action would minimize the executive taking over legislative authority?

The answer is violating the debt ceiling, not cutting spending or raising taxes. By borrowing exactly enough money to cover the difference between funds in the Treasury and expenditures required by law, the president would simply be implementing Congress' budget.

By contrast, a presidential decision to raise taxes or cut spending would require many policy-laden judgments: Whose taxes would be raised and by how much? What expenditures would be cut, to what degree and according to what criteria?

For the president to make these quintessentially legislative judgments on his own would usurp power on an enormous scale. Issuing debt beyond the debt ceiling would be unconstitutional but not as unconstitutional as raising taxes or cutting spending.

Despite some confusion, Obama has kept the least unconstitutional option on the table. In December, White House press secretary Jay Carney said that the "administration does not believe that the 14th Amendment gives the president the power to ignore the debt ceiling."

That observation is beside the point. True, some scholars argue that the debt ceiling violates Section 4 of the 14th Amendment. If so, then the debt ceiling is void and the president's power to borrow money comes, not from the 14th Amendment, but from the statute authorizing the Treasury secretary to "borrow on the credit of the United States government amounts necessary for expenditures authorized by law."

Putting aside the 14th Amendment, Carney's claim at most shows that unilaterally raising the debt ceiling would override Congress' borrowing authority. But that merely states one horn of the trilemma. Unilaterally raising taxes or cutting spending would usurp more congressional authority.

Our leaders can still act responsibly by raising the debt ceiling or, better yet, by repealing it entirely. Congress can then control federal debt simply by paying attention to the gap between spending and taxes.  It should not force the president to usurp one of its powers.

But if Congress leaves the president no constitutional options, he must choose the least unconstitutional one: borrowing money beyond the debt ceiling.

@highlight

Writers: Debt ceiling puts Obama in a trap; executing law means violating others

@highlight

A president cannot authorize spending, taxing or borrowing to avoid ceiling, they say

@highlight

Writers: He should borrow exactly enough money to implement Congress' budget

@highlight

That move would be the least unconstitutional solution to his "trilemma," they say