(CNN) -- While the spread of assault rifles is fueling heated discourse in the United States, nations around the world are grappling with a similar debate involving weapons, particularly automatic rifles.

Combat weapons are flowing with relative ease worldwide, intensifying bloody power struggles between brutal regimes and opposition groups, and leaving innocent civilians dead.

This week, 193 nations will gather at the United Nations in New York City to negotiate a global treaty to limit their trade across international borders, a resolution supported by the United States.

Agreement on the Arms Trade Treaty is not a sure thing. In July 2012, representatives left the negotiation table without one.

An international rights group came out in support of the treaty Tuesday and issued a report depicting how the flow of arms in some countries escalates tensions into bloody violence.

Small arms abound

An AK-47 may look like a big gun to most people, but in conflict regions, they are referred to as "small arms." The term includes most hand-held weapons such as hand grenades and rocket-propelled grenade launchers.

They are easier to transport and use than a tank or artillery. They are also cheaper to buy, and they have spread rapidly, according to the United Nations, which refers to them as the "weapons of choice."

"The illicit circulation of small arms, light weapons and their ammunition destabilizes communities, and impacts security and development in all regions of the world," the U.N. said.

In many parts of the world, automatic assault rifles make their way at a dizzying pace into the hands of gangs, rebels, pirates and terrorists.

"They can all multiply their force through the use of unlawfully acquired firepower," the U.N. said in a statement.

Widespread proliferation of such handy weapons fuel armed conflict, crime and violations of human rights, according to U.N. Secretary-General Ban Ki-moon.

Ivory Coast's arms race

Weapons buildups by factions within countries can drive nations to war with themselves, Amnesty International said in its report on the bloody conflict in the African nation of the Ivory Coast in 2010-2011.

In populations divided by deep ethnic, religious or political tensions, easy access to arms can stoke distrust and paranoia, Amnesty said. This can put peace further out of reach and deepen divisions.

The country's military split in 2002, dividing the nation politically into two sides: north and south.

Then-president Laurent Gbagbo began stockpiling arms to raise his level of power over that of his opponents, Amnesty said. His purchases included small arms and heavier weaponry such as tanks, warplanes and drones.

Despite a voluntary moratorium on arms imports, the rights group said, Gbagbo bought weapons from various continents, including Asia and the Middle East. Chinese, Bulgarian and Ukrainian weapons flowed into the nation.

"Those arms transfers were highly irresponsible, as they took place in the context of a fragile cease-fire," Amnesty said.

The purchases fueled fear among Gbagbo's opposition, which also armed up.

The opposition had Polish, Chinese and Russian small arms, Amnesty said, escalating the weapons buildup of both sides.

In 2004, the U.N. attempted to stem the flow of weapons with an international embargo -- to no avail.

Escalation to armed conflict

In November 2010, Gbagbo lost in a presidential election, to rival Alassane Ouattara, but refused to cede power.

The government's weapons came out. Soldiers gunned down opposition protesters in the streets, and Ouattara and his loyalists started an armed campaign to oust Gbagbo.

Hundreds died; many more were wounded, and hundreds of thousands fled to neighboring countries. Many women and girls were raped, according to the report.

The United Nations intervened militarily and Ouattara's troops took power by force in April 2011.

Both sides committed atrocities, Amnesty said, including the summary killings of "men and boys who were singled out based on their ethnicity or political affiliation."

Widespread weapons problematic

Abuses still go on, partly because of the high number of weapons still in the country.

They "continue to fuel grave human rights abuses and violent crime in the country," Amnesty said.

Amnesty supports the U.N.'s efforts and expressed hope that the world's nations will agree on the Arms Trade Treaty.

Ban wants the treaty to cover all conventional weapons, "from small arms to tanks to combat aircraft."

The treaty has been in the works since 2006, when the U.N. General Assembly requested all countries to submit their views on a binding arms trade treaty. That year, the United States, under the George W. Bush administration, voted against the resolution that started the process. But the Obama administration later reversed that decision.

The U.N. estimates that in 2010, more than 27 million people were still internally displaced because of armed conflict.

@highlight

193 nations meet in New York this week to discuss an arms treaty

@highlight

The United Nations wants the trade of conventional weapons regulated

@highlight

"Small arms" include AK-47s, hand grenades and rocket-propelled grenades

@highlight

The nations could not come to an agreement in July 2012