Washington (CNN) -- A "defiant" pregnant woman who was subjected to three Taser stun gun shocks by law enforcement officers after refusing to sign a speeding ticket will not get her appeal addressed by the Supreme Court.

The justices without comment Tuesday rejected separate petitions from both Malaika Brooks and the Seattle Police officers sued for excessive force.

The court also rejected a similar appeal from a separate plaintiff in Hawaii.

Hundreds of such Taser-related lawsuits have been working their way through lower state and federal courts, but the Supreme Court so far has refused to address the issue of what the officers call "a useful pain technique."

Brooks was seven months pregnant and driving her 11-year-old son to school in 2004. Police clocked her going 32 miles per hour in a 20 mph school zone. She handed over her driver's license but denied wrongdoing.

A speeding citation was issued but the woman refused to sign it as state law required. Brooks later claimed she mistakenly believed signing the ticket was an admission of guilt. An argument ensued with two police officers. A federal appeals court later said, "she remained defiant even after (Officer) Jones told her she'd be arrested if she continued to refuse."

A police sergeant soon arrived and informed the motorist that force would be applied if she did not get out of her vehicle as ordered. Brooks refused. A Taser electro-shock weapon was displayed, and officers warned her it would be used if there was further resistance. Brooks explained her pregnancy, and later claimed one of the officers replied, "Well, don't do it in her stomach, do it in her thigh."

The Taser was applied in a "drive-stun" mode three times in a one-minute span -- in her thigh, arm, then neck, according to court testimony.

Brooks fell out of the vehicle, was dragged onto the street face down, and then was handcuffed.

She gave birth weeks later to a healthy girl. Soon after, the then-33-year-old woman was cited for a misdemeanor, refusing to sign the ticket, but not for resisting arrest. She sued, claiming emotional and physical scars from the incident.

A federal appeals court in San Francisco eventually issued a split decision, finding excessive force was used, but saying the officers could not be sued because "it was not sufficiently clear" in the law at the time that what they were doing was a constitutional violation.

First the judges found the force applied was unreasonable. "The record unambiguously reflects that the officers knew about and considered Brooks's pregnancy before tasing her," said the ruling from October. "Three tasings in such rapid succession provided no time for Brooks to recover from the extreme pain she experienced, gather herself, and reconsider her refusal to comply."

But on the immunity question, the officers were cleared from liability. Two judges said Brooks brought some of the problems on herself. "The officers, for their part, were endlessly patient, despite being called liars and otherwise abused by Brooks," said Chief Judge Alex Kozinski. "They deserve our praise, not the opprobrium of being declared constitutional violators. The city of Seattle should award them commendations for grace under fire."

And Judge Barry Silverman noted force must sometimes be used even when the underlying offense is minor.

"No constitutional violation was shown. Brooks conceded that the police had the right to remove her from the car when she repeatedly refused to step out voluntarily," said the judge. "There are only so many ways that a person can be extracted from a vehicle against her will, and none of them is pretty. Fists, batons, choke holds, dogs, tear gas, and chemical spray all carry their own risks to suspects and officers alike."

A similar appeal heard by the judges came from Maui, when a 2006 domestic disturbance got out of hand after officers arrived on the scene. Jayzel Mattos was tased with a dart-mode device in a rapidly escalating and confusing scene inside a residence. She and her husband, Troy, were arrested on harassment, resisting arrest and obstruction charges, which were eventually dropped.

The appeals court ruled the same: force was excessive, but the officers could not be sued.

The appeals court rulings ultimately cleared the officers, but made clear future law enforcement use of a Taser and similar devices might be a constitutional violation of a suspect's search-and-seizure rights.

The Supreme Court has generally been tolerant of police use of force when dealing with belligerent or defiant individuals, but has not yet accepted any cases on the specific use of Tasers, a brand name from a company by the same name.

The justices have noted similar excessive force claims are by nature fact-specific, and have usually been reluctant to substitute their hindsight judgment for the real-time decision-making officers must practice in a stressful, often dangerous situation.

In an unrelated the 2007 ruling, the high court noted that while any "attempt to craft an easy-to-apply legal test in the Fourth Amendment context is admirable, in the end we must still slosh our way through the factbound morass of 'reasonableness.' Whether or not (an officer's use of forceful) actions constituted application of "deadly force," all that matters is whether (the officer's) actions were reasonable."

Tasers are handheld devices that use electric current to cause a disruption of physical control from "neuromuscular incapacitation," according to the company's website.

Some law enforcement agencies consider them a safer alternative to other forced-restraint methods, for both suspects and police.

Brooks asked the high court to hold the officers liable for damages, while the officers asked the high court not to restrict future use of the forced-compliance and immobilizing tools. Their employer, the Seattle Police Department, had asked the justices to stay out of the case, worried it and other law enforcement agencies would be subject to a flood of personal injury claims.

Brooks herself is continuing a separate state lawsuit seeking damages.

The cases are Daman v. Brooks (11-898); Brooks v. Daman (11-1045); Agarano v. Mattos (11-1032); and Mattos v. Agarano (11-1165).

@highlight

Malaika Brooks sued Seattle Police officers, saying they used excessive force

@highlight

She refused to sign a speeding ticket because she thought doing so would admit guilt

@highlight

Justices rejected her appeal without comment, along with a petition from police officers