Nairobi, Kenya (CNN) -- It's a date etched in the minds of every Kenyan -- September 21, 2013. At the upscale Westgate shopping mall in Nairobi, a youth cooking competition was underway, friends laughed as they sipped coffee and families strolled idly through supermarket aisles.

But the relaxing Saturday afternoon was shattered when gunmen descended upon the five-storey facility shooting shoppers indiscriminately. The siege would last four days and the carnage would leave at least 67 people dead.

When the terror attack began, Abbas Gullet was one of the first people on the scene. As the head of Kenya Red Cross, he is on the front line of emergency response when disaster strikes in the country -- and this was no exception.

"It's something that we never expected," Gullet says. "We always knew that something may happen, a terror attack -- I think there had been a heightened alert of terror possibility in the country in the last two, three years -- but what I can say is that when it did happen ... we acquitted ourselves very well from an emergency response point of view," he adds. "It happened at about 12:30 and by about 1:15 we were there."

Gullet says that day changed his life forever. Taking lead on the scene, he coordinated teams of paramedics, life support ambulances and a psychosocial unit to offer support to families of those injured or killed during the terror attack.

Community support is paramount in emergency situations, and during Westgate Gullet says that he couldn't have asked for a better response. After setting up mobile blood donation clinics, Kenyans banded together to help in whatever way they could.

"They gave blood; they gave money; anything that they could give they were out there to give," he says. "Companies came on board, individuals came on board."

Six months on and the Red Cross secretary general is able to reflect on how the aid group can continue to improve following the Westgate attack.

"The lesson learned is that they need to be better prepared, better coordination with the security forces, with the government," says Gullet. "Since then we've taken a backseat and now are working more closely with hospitals -- as the second-line providers ... we know which hospitals can get what type of person, so today if this were to happen, I know where to take the patients and we're going to do more drills with this hospital.

"But since then as Kenya Red Cross, even our own fast response emergency ambulance services and training, we have moved on another level up from then to now."

A life of dedication

Born in Kenya's north eastern province of Garissa, Gullet lost both his parents when he was just five years old. Raised by his adoptive parents in the coastal city of Mombasa, he says these early events instilled a need to give back, which is part of why he began volunteering with the Red Cross at 14 years old.

Over 40 years have passed and the 55-year-old humanitarian is still working as hard as ever. On top of his leading role in Kenya Red Cross, he is also the vice president of the International Federation of Red Cross and Red Crescent Societies, a position he holds since his election in November last year.

"I would say what ticks me and what makes me continue doing this job is the ability and the opportunity it offers me to be able to make a difference in the lives of ordinary people who are vulnerable," he says. "The ability to bring back hope to them, to give them back their dignity, to have a smile on their face, to have little kids who can have a basic normal life."

During Gullet's tenure in Kenya Red Cross, the disaster response organization has grown from an underfunded society to one which now operates with more than $23 million in assets.

He has established response centers and increased the number of available emergency vehicles with specialized equipment for advanced life support -- run out of Nairobi, the organization controls 53 ambulances, with another 75 arriving in June, and also leases emergency vehicles to counties that can't afford to purchase their own.

'Out of the box' ideas

With so many life-saving initiatives to finance, and an increasing number of international, regional and local NGOs fighting also for the same pie, Gullet is often having to get creative when it comes to working out where to get the money his operations require.

"You have to think out of the box to see how you would take this to the next level," he says, citing the "crazy idea" of Red Cross opening three hotels, including The Boma, a luxurious hotel in Nairobi.

"It's the first in this country, the first in the region, the first in many parts of the world that today the Red Cross owns and runs a five-star hotel," he says. "Any surpluses or profits that the hotel may make, every penny then is brought back into the humanitarian work of the Red Cross."

Despite his many successes, Gullet says there is still work to be done as he continues to strive for improvements in the emergency medicine field and for more locally-generated funding schemes.

"I want to see a day where there is less aid coming from outside and more being generated locally," he says. "Where the African governments would see their national institutions as the first port of call or their preferred choice of partners that can do as good, if not a better, job than what international NGOs would do."

READ THIS: How Westgate changed the lives of Kenyans

READ THIS: Rapping for respect in Egypt

@highlight

Abbas Gullet is the secretary general of Kenya's Red Cross

@highlight

Was one of the first emergency responders on the scene after the Westgate terror attack

@highlight

Started volunteering with the international humanitarian organization at just 14 years old