Washington (CNN) -- Federal health officials on Thursday are unveiling a $54 million national media campaign to get smokers to quit and prevent anyone else, especially children, from starting.

The campaign, called "Tips From Former Smokers," is intended to educate Americans about the dangers of smoking through the stories and graphic pictures of ex-smokers who have suffered severe health consequences of tobacco use.

The former smokers profiled have suffered ailments such as stroke-related paralysis, limb amputation, lung removal and heart attack. One breathes through a stoma, a surgically created hole in the neck through which a person who has undergone larynx or voice box surgery can breathe.

"Hundreds of thousands of lives are lost each year due to smoking, and for every person who dies, 20 more Americans live with an illness caused by smoking," Health and Human Services Secretary Kathleen Sebelius said in a statement.

"We cannot afford to continue watching the human and economic toll from tobacco rob our communities of parents and grandparents, aunts and uncles, friends and co-workers. We are committed to doing everything we can to help smokers quit and prevent young people from starting in the first place."

The ads are the brainchild of the Centers for Disease Control and Prevention's Office on Smoking and Health. The agency says smoking remains the country's leading cause of disease and preventable death, resulting in more than 443,000 fatalities annually. More than 8 million Americans live with a smoking-related illness or conditions, according to the disease agency.

The combination of public service announcements and paid advertising for television, radio, newspapers and magazines also spotlights the dangers of exposure to secondhand smoke. The ads will also be featured on billboards, in theaters and online -- including on Facebook, Twitter and YouTube.

"Although they may be tough to watch, the ads show real people living with real, painful consequences from smoking," said CDC Director Thomas R. Frieden. "There is sound evidence that supports the use of these types of hard-hitting images and messages to encourage smokers to quit, to keep children from ever beginning to smoke, and to drastically reduce the harm caused by tobacco."

See the CDC anti-smoking campaign print ad (PDF)

The campaign includes eight television ads (one of them in Spanish), seven radio spots in 30- and 60-second versions, seven print ads and five billboard and bus stop ads.

The campaign marks the first time the CDC has run a paid, comprehensive national anti-tobacco advertising effort. The primary target is smokers ages 18 to 54, but public health experts also said they hope it will dissuade children from adopting the habit.

Last week the surgeon general released a report on youth smoking, leading Sebelius to declare: "Targeted marketing encourages more young people to take up this deadly addiction every day. This administration is committed to doing everything we can to prevent our children from using tobacco."

The agency said, "Targeted messages and images that portray smoking as an acceptable, appealing activity for young people are widespread, and advertising for tobacco products is prominent in retail stores and online."

The need for such a campaign is urgent, according to the Campaign for Tobacco-Free Kids.

"This media campaign is a smart investment that will reduce tobacco use, save lives and reduce tobacco-related health care costs," Matthew L. Myers, president of the advocacy group. "The tobacco industry spends more than $1 million every hour on marketing that entices kids, discourages smokers from quitting and portrays its deadly and addictive products as normal and appealing. The CDC's campaign will counter the industry's marketing with the harsh truth about tobacco use, told by former smokers themselves."

The CDC said the tobacco industry spends more than $27 million a day on marketing to kids and others -- about $10 billion a year. In two days, the industry spends about what the government has budgeted for the entire 12-week campaign. The industry denies that it markets to children.

Tobacco giant Phillip Morris would not comment of the campaign, telling CNN: "Philip Morris USA agrees smoking is addictive and causes serious disease. While we are not prepared to comment on CDC's anti-smoking campaign, preventing underage tobacco use, discouraging smoking initiation and promoting quitting remain important to reducing the harm from cigarette smoking. A complementary strategy, focused on the development of and appropriate communications about potentially lower risk tobacco products, may be one of the most meaningful actions that the Food and Drug Administration can take to reduce the health effects of smoking."

Not in dispute is the deadly impact smoking can have on health. About a third of the smoking-related deaths in the United States are linked to heart disease, according to the American Heart Association.

"The ads highlight a shocking but very realistic fate that could await some current smokers if they continue their tobacco addiction," said Nancy Brown, the association's CEO. The ads note that smoking contributes to one in five strokes and increase the odds of having a heart attack. "The American Heart Association believes these graphic ads, coupled with vigorous tobacco control at the state level, will reach not only the adults who smoke, but also will break through to teens and discourage them from ever taking up this deadly habit," she said.

The American Cancer Society says nine of 10 smokers started before they turned 18.

"Combating tobacco use requires a multipronged approach, including federal regulation of tobacco products, increased tobacco taxes, smoke-free workplaces and sustained investment in prevention and cessation now and beyond the end of the CDC campaign," said Christopher W. Hansen, president of the American Cancer Society Cancer Action Network, in a statement. "This historic advertising campaign will help to combat Big Tobacco's unscrupulous efforts to addict new users and prevent existing users from trying to quit."

Featured reader comments: Should smokers be targeted?

The campaign begins less than a month after a federal mandate requiring tobacco companies to place graphic images on their products warning of the dangers of smoking was tossed out by a judge in Washington, who said the requirements were a violation of free speech.

The Family Smoking Prevention and Tobacco Control Act passed in 2009 would have required nine written warnings such as "Cigarettes are addictive" and "Tobacco smoke causes harm to children." Also included would have been alternating images of a corpse and smoke-infected lungs.

CNN's Caleb Hellerman contributed to this report.

@highlight

Campaign intended to educate Americans about the smoking habit's dangers

@highlight

CDC says Big Tobacco spends more than $27 million per day in marketing

@highlight

Ex-smokers profiled include amputee, heart patient