Tokyo (CNN) -- As Japan began its workweek Monday morning, the trains ran exactly on time, the elevators in thousands of Tokyo high-rises efficiently moved between floors, and the lights turned on across cities with nary a glitch.

What makes this Monday so remarkable is that for the first time in four decades, none of the energy is derived from a nuclear reactor.

Over the weekend, Japan's last remaining nuclear reactor shut down for regular maintenance. In the wake of the Fukushima Daiichi nuclear disaster, reactors have not been allowed back on. Japan is now the first major economy to see the modern era without nuclear power.

Tomari Nuclear Power Plant's reactor 3 in Hokkaido shut down Saturday evening in a much-watched move by government, industry and environmentalists, who are waged in a public battle over the future of Japan's energy policy.

"I think it is not easy, but this challenge is worth fighting for," said Greenpeace Japan's Junichi Sato. "There is an increased chance of earthquakes in Japan, so that has a significant risk to the Japanese people and the Japanese economy. The only way forward is to rapidly shift the energy source from nuclear to other sources of energy."

That's not the call just from environmental activists, but from a public suspicious of nuclear energy and its regulatory bodies since a tsunami and earthquake triggered nuclear meltdowns at three reactors at the Fukushima Daiichi nuclear plant in March 2011.

Thousands marched through the streets of Tokyo on Saturday, celebrating the shutdown of the final reactor.

The protesters waved colorful, traditional "koinobori" carp-shaped banners for Children's Day that became a symbol of the anti-nuclear movement.

That movement grew from the grass-roots level in the wake of the disaster as the country watched tens of thousands of residents living within a 20-kilometer (12-mile) radius of the nuclear plant evacuated and the remaining area turn into a contaminated wasteland.

Before the Fukushima disaster, Japan relied on nuclear for about 30% of its energy. As reactors have come off-line, the country has increased its imports of fossil fuels.

Japan's government predicts it won't be able to keep up that pace, and the void will result in an energy crunch this summer, possibly leading to rolling blackouts.

The national government's ruling party, the Democratic Party of Japan, has been urging local communities to allow reactors to return to operation.

The party's deputy policy chief, Yoshito Sengoku, bluntly said without nuclear energy the world's third-largest economy would suffer. "We must think ahead to the impact on Japan's economy and people's lives, if all nuclear reactors are stopped. Japan could, in some sense, be committing mass suicide," Sengoku said.

Hiromasa Yonekura, chairman of Japan's biggest business lobby, Keidanren, joined the plea in an April press conference. "We cannot possibly agree to do the kind of energy saving yet again this year, or every year from now on," he said, referring to the country's efforts to turn off air conditioners and shift operation of production lines to weekends. "The government must bring the nuclear power stations back into operation."

Economist Jesper Koll, managing director at JP Morgan, said Japan could avoid the economic fallout by defining a clear energy policy, something it has failed to do so far.

"The issue to the private sector of Japan is the government is taking its time in a very emotional, highly politicized debate. And the end result is very, very slow or no decision-making at all. After all, if you don't have an energy policy, you don't really have an economic policy because everything revolves around the energy," he said.

Japanese Prime Minister Yoshihiko Noda has promised a clear energy policy sometime this year, perhaps by summer.

At a conference last month, the chairman of the Japan Atomic Industrial Forum said the nuclear industry was committed to rebuilding the municipalities around the Fukushima plant, decommissioning that facility and pushing for increased safety measures at plants nationwide.

"We, the nuclear industry, will learn what should be learned from the accident at the Fukushima Daiichi Nuclear Power Station. Based on that, we will endeavor to restore the image and position of nuclear energy," Takashi Imai said.

Nuclear energy must remain part of the government's policy, he said, "in order for Japan to continue sustainable growth as a nation committed to trade based on science and technology."

But Yukie Osaki, who used to live in Fukushima, said she won't accept any policy that includes nuclear energy. "Nobody believes the government anymore when it says nuclear plants are safe," she said.

"Japan is an earthquake country. It is already dangerous to have nuclear plants here. If we have another accident, we won't have anywhere to live in Japan anymore."

@highlight

Japan closes its last operating nuclear reactor over the weekend

@highlight

Final shutdown follows a swing against nuclear energy after last year's Fukushima meltdowns

@highlight

Thousands march through Tokyo on Saturday to celebrate the final closure

@highlight

Government has warned that summer energy demand may prompt rolling blackouts