Panmunjom, Korean border (CNN) -- Just ahead of the demilitarized zone (DMZ) that separates North and South Korea, the world's most tense border, South Koreans take their last chance to protest -- behind them lies no-man's land.

"There are no human beings in the DMZ," says CNN's Kyung Lah as she waits for a military escort into the area.

The presence of five lone protesters on this remote and heavily policed strip of road provides an incongruous welcoming party to a strip of land so explosive that visitors are told not to point or draw attention to themselves in any way.

"It's weird. There's just five of them wearing South Korean flags and they're protesting against North Korea and urging the reopening of Kaesong," she says, referring to the joint venture industrial zone that Pyongyang recently restricted access to.

The Wednesday media tours of the DMZ are a regular target of South Korea's die-hard protesters; a last chance to get their message across before the press enter a zone where mobile phones and any type of communication is strictly forbidden.

Just two kilometers further along the road lies the knife edge in the tensions between the two Koreas.

Panmunjom Truce Village is a study in barely contained hostility: on one side South Korean border guards adopt the pugnacious stance -- arms behind back, legs astride -- that has become one of the abiding feature of the DMZ.

On the other side, the high peaked hats of their North Korean antagonists glare through binoculars at their foes just a few hundred meters away.

"This is the weekly press tour, they hold them every Wednesday, the difference this time is that the tensions are higher," Lah says. "At other times when there haven't been so many reporters, the press have been able to interview soldiers, and do stand-up reports along the border.

"We weren't granted any of that. It was like they had a stopwatch on every single stop we had -- they didn't want us to linger too long. As always, they didn't want us to point at anything in case the North Koreans misinterpreted it."

While visibly not much has changed along the DMZ -- the North's Propaganda Village with its fake facades and preposterously large flagpole still baldly punctuates the view -- the tensions were felt in the heightened restrictions.

"At certain points they restricted our visuals, told us not to shoot, but mainly it was time: 'Hurry up move along, hurry up move along'."

Speaking to Americans at the border, Lah says there was more concern among Americans stationed and living in South Korea.

Timeline: North Korea's war of words escalates

"But basically viewed it's viewed by them as an ugly sibling rivalry between the Koreas," Lah says.

The DMZ stretches for 250 kilometers (160 miles) and is approximately 4 km wide, according to the U.S. State Department.

Despite its name which suggests otherwise, it is the world's most heavily militarized border. On the southern side, South Korea has 639,000 battle-ready troops, and 2.9 million reserves, according to South Korean government figures. They are backed by a permanent force of 28,500 U.S. armed forces, according to U.S. government figures.

North Korea, meanwhile, has one of the largest standing armies in the world. The Korean People's Army has an estimated 1.1 million military personnel under arms and a massive 8.2 million in reserve, according to CIA World Factbook figures.

Under the Armistice Agreement of July 27, 1953, the DMZ required both sides to back off 2,000m (2,200 yards) from the frontline along the 38th parallel. Running down the middle of the DMZ is a line known as the military demarcation line (DML) which indicates exactly where the front was when the armistice was signed that ended the Korean War in 1953.

Soldiers from both sides are permitted to patrol the DMZ but none is permitted to cross the DML. Since 1953, more than 500 South Korean soldiers and 50 Americans have been killed along the DMZ.

The high point of the tension along the DMZ occurred between 1966 and 1969 during the Korean DMZ conflict: 397 North Koreans, 299 South Koreans and 43 Americans were killed during the low-intensity conflict.

Despite a thaw since the heady days of the Cold War, the DMZ is still among one of the most dangerous places on earth. In October last year, an 18-year-old North Korean Army private defected, crossing the DMZ undetected after killing two of his senior officers.

@highlight

Demilitarized zone (DMZ) between Koreas is most volatile border region on earth

@highlight

Tensions were higher on regular weekly press tour of the DMZ truce village at Panmunjom

@highlight

Since 1953, more than 500 South Korean soldiers, 50 American have been killed along DMZ

@highlight

N. Korea has as many as 1.1 million battle-ready troops. S. Korea has 639,000