United Nations (CNN) -- Libya's interim prime minister said on Tuesday that he expects the county to have a new government within 10 days.

Mahmoud Jibril, head of the National Transitional Council's executive board, spoke at a Group of Eight conference on the sidelines of the U.N. General Assembly.

"I expect the government to be announced within a week, 10 days maximum from now ... most of the work has been done," he said. "I think this government, when formed, will help tremendously, bring about stability and order in Tripoli and the rest of the country. Therefore, I am not bothered by the time we are consuming to bring about some sort of national consensus behind this government."

Jibril said negotiations include discussion of the number of ministries the new government will have and where they will be located.

Earlier Tuesday, U.N. Secretary-General Ban Ki-moon congratulated Libya's transitional leadership on the apparent success of that country's revolution, ushering in a post-Gadhafi era for the North African nation as part of the international body.

"For Libya, this is a historic day," said Ban, who directed that the country's new flag be presented alongside the U.N. flag amid a standing ovation from those in attendance.

The United Nations General Assembly overwhelmingly voted to accept the credentials of the country's new leadership after rebels last month all but ousted Libyan strongman Moammar Gadhafi after more than four decades in power.

"I am sure you saw your new flag this morning, flying so proudly outside this building," the U.N. chief said.

The rebuilding of Libya and the Palestinian quest for statehood are expected to be the dominant topics this week as world leaders converge on the United Nations in New York for the 66th annual session of the General Assembly.

On Tuesday, Ban met with Mustafa Abdul Jalil -- head of Libya's ruling National Transitional Council -- to discuss the deployment of a support mission to be run by British diplomat and U.N. envoy Ian Martin.

The mission is thought to largely center on post-conflict planning, with particular focus on security-building and electoral assistance.

But American participation, the U.N. chief says, is instrumental in supporting the new government, noting challenges facing transitional leadership as it confronts pockets of resistance and the specter of Gadhafi, who remains at large.

U.S. President Barack Obama vowed to continue to protect Libyan civilians for as long as they remained threatened by the former regime, pledging to reopen the American embassy in Tripoli later this week.

"Six months ago, as his tanks approached Benghazi, Gadhafi predicted that his opponents would be slaughtered like rats," said U.K. Foreign Secretary William Hague. "But he had not counted on the courage of the Libyan people, the principled stand of the Arab League and the resolve of the international community."

Hague said he sought to send to a clear message to the former dictator and his remaining supporters that "their time is up," adding that the unfreezing of Libyan assets will help pay for the country's critical services.

Tuesday's Libya summit at the U.N. General Assembly was billed as an event designed to give world leaders a chance to figure out ways to help Libya rebuild from the battle against their former leader.

The meeting was in stark contrast to two years ago, when Gadhafi gave a rambling General Assembly address where he floated conspiracy theories, urged probes into U.S. military activities and took aim at the structure of the Security Council itself.

Meanwhile, the international body also focused on what it described as an alarming increase in global desertification, and wrapped a two-day meeting on noncommunicable diseases, now the world's leading killer.

It is only the second time a health issue has been debated at a special meeting of the General Assembly, following the group's pledge to take on AIDS a decade ago.

Delegates unanimously approved a "political declaration" on Monday, addressing illnesses including cancer, cardiovascular disease, chronic lung diseases and diabetes in developing countries, which often struggle with limited budgets and overwhelmed health care systems.

Also on the plate of U.N. activities this week is an expected address from Iranian President Mahmoud Ahmadinejad, who will take the podium Thursday to address recent changes in the Middle East.

His visit marks the seventh time the Iranian president has traveled to New York since he took office in 2005.

Ahmadinejad told Iranian state media on Monday that the U.N. must meet the international community's "real demands," raising questions as to whether the Iranian leader will broach the issue of Palestinian statehood, a lightning-rod topic and the subject of much diplomatic wrangling.

The U.S. has pledged to block a Palestinian membership application should it reach the Security Council, but is likely eager to head-off a scenario that would involve an American veto -- a move widely seen as unpopular in the Middle East.

Palestinian President Mahmoud Abbas has, however, seemed largely undeterred.

In a speech Friday that appeared both an attempt to manage domestic expectations and push the statehood issue, the Palestinian leader told an audience in Ramallah, "We are going to the United Nations to attain full membership."

He has said the Palestinian territories should be represented by their "natural borders" -- with Israel remaining within its 1967 boundaries, which would afford Palestinians the Gaza strip, East Jerusalem and the West Bank.

He called disputed territories inhabited by Israeli settlers "illegal."

On Friday, the body will address the controversial bid.

Abbas is scheduled to speak, and has said after he gives that speech, he will deliver a formal membership application to the U.N. secretary-general.

Israeli Prime Minister Benjamin Netanyahu, who opposes the measure, is scheduled to speak later in the day and has called the move provocative and pushed for a return to the negotiating table.

The Palestinian territories currently have "observer" status, meaning delegates can speak in the General Assembly but not vote.

A "yes" vote in the General Assembly -- where only a majority vote would be needed -- could afford Palestinians with the status of "permanent observer," similar to the position the Vatican currently holds.

A vote in their favor would be all but assured, meaning they could pursue legal actions against Israel, though analysts suggest that the elevated status could prematurely raise expectations for change in the region.

Hamas, the Palestinian organization that controls Gaza, has warned Abbas against making the request, saying it would show a willingness to acknowledge and negotiate with Israel, which would "deprive the Palestinian people from their right to come back to their homeland."

The five permanent members of the Security Council are the United States, China, France, Russia and the United Kingdom.

The General Assembly, the U.N.'s main policy-making body, has 193 member nations.

CNN's Joe Vaccarello and Mitra Mobasherat contributed to this report.

@highlight

NEW: Libya's interim PM says he expects Libya to have a new government within 10 days

@highlight

Presentation of the country's new flag draws a standing ovation

@highlight

"This is a historic day," says U.N. Secretary-General Ban Ki-moon

@highlight

The group will address the Palestinian quest for membership this week