(CNN) -- The United States is on the verge of losing a fierce advocate for democracy in Latin America. Mari Carmen Aponte, ambassador to El Salvador, was initially nominated by President Obama in late 2009. He made her a recess appointment in August 2010. She has hit the ground running in a Central American country that, thanks to her tireless work, has become a close partner and ally of the United States. It was the first Latin American country to send troops to Afghanistan.

Aponte has been renominated, but if the Senate does not confirm her nomination next week, she will head home, leaving her impressive work unfinished and a gaping hole in our country's efforts to continue to build and sustain strong and transparent democracies south of the border.

Why wouldn't the Senate confirm her? Sadly, as with everything in Washington right now, it would be purely because of partisan politics. It would be because Republicans would rather shoot themselves (and the country) in the foot before they give President Obama a perceived political "win." Republican Sen. Jim DeMint is using an even worse excuse to vote against her: a commentary she wrote recently for a daily newspaper in El Salvador urging tolerance and inclusion for gays and lesbians. The op-ed was the result of a State Department directive to all U.S. ambassadors urging them to recognize Gay Pride Month. Last time I checked, tolerance and inclusion were all-American values that we should all hold dear.

Republicans need to put these distractions, which have nothing to do with Aponte's clear abilities, aside and recognize that her approval would be a win for the country. There is still time for Republicans to reconsider how important her work in El Salvador has been and how foolish and petty it would be for them to put politics before good policy. This is especially true in a region where we are fighting every day to turn back the influence of totalitarian regimes such as Cuba, and other regimes like Venezuela, that while technically democratic, engage in suppression and human rights violations. Aponte has been a true soldier for representative government, human rights and the rule of law.

It is not too late for Republicans to look at her record objectively and realize her many accomplishments not only deserve recognition, they deserve to be seen through to fruition as she fulfills her entire term.

Republicans should let her finish her work with the first Salvadoran Government Ethics committee, which she has overseen through a partnership with USAID. They should let her finish what she started by negotiating with the Salvadoran government for the creation of the new National Electronic Monitoring Center, which marks a significant milestone in the fight against organized crime in El Salvador.

Republicans should let her finish her efforts with the Partnership for Growth, an economic development initiative focused on understanding the barriers to growth in our partner countries with tremendous potential. Aponte took leadership of the Partnership for Growth and immediately established a joint action plan that could ensure the kind of on-the-ground transformational change that El Salvador needs to give its citizens hope for a better life -- if she can stay to finish the job.

In fact, her work on economic development will go a long way toward stemming the flow of illegal immigration to the United States. If Salvadorans believe they will have good economic opportunities to provide for their families in their beloved home country, they will not choose to come to the United States, relieving some of the incoming flow of undocumented immigrants.

Republicans could also easily send a message to our neighbors to the south, that they support their countries and want to be true partners with them. In El Salvador, where Aponte has helped unite the country's factions, that message could be sent by approving her ambassadorship.

Republicans would also be sending a positive message, at a time when they so desperately need it, to the Latino community in the United States, and to women in general, if they approve Aponte, who has a long and rich history of work in the nonprofit sector and the private sector, as well as extensive experience in government. She is highly regarded by Latinos of all backgrounds here in the United States.

Aponte's advocacy for democratic values will be by far her most lasting legacy in El Salvador. She has become a leader of that country's women's empowerment movement, has been a tireless advocate for increased government transparency and accountability, and -- Republicans should be thrilled with this one -- she has been a staunch supporter of the U.S. private sector, constantly looking at ways to support American jobs by opening up markets and opportunities for companies in El Salvador. Aponte has also been an unmoving U.S. presence against any Cuba-Venezuela influence, including sending a direct message to El Salvador's president, Mauricio Funes, about the need to address human rights and democracy with Raul Castro during Funes' first official visit to Cuba.

Next week, the Senate should show Americans that on something as simple but important as a nomination to be ambassador to El Salvador, they can get it right. Let's send Ambassador Aponte back to finish the job. We will all be better off for it.

The opinions expressed in this commentary are solely those of Maria Cardona.

@highlight

Maria Cardona: U.S. is on verge of losing a fierce advocate for democracy in Latin America

@highlight

Mari Carmen Aponte, ambassador to El Salvador, is up for Senate confirmation

@highlight

GOP senators oppose her confirmation for petty political reasons, Cardona says

@highlight

Cardona: Republicans should let Aponte finish her vital work in El Salvador