(CNN) -- Getting the details out of his head and on to paper was Executive Producer Ronald D. Moore's most important priority of the day.

It was the first Tuesday in March, and he had been up late the night before typing out the details of life in the "17th Precinct," an innovative new world in which police detectives relied on magic, not forensics, to catch criminals.

Writing the "show bible" was Moore's way of conveying his vision to his cast and crew. Until a couple of months ago, these ideas existed only in his head. This one document would spell out every detail of life, from the way detectives picked apart a crime scene to the way they could make evidence float off the ground for closer forensic examination.

The concept had already taken shape at Sony, where executives had teamed with Moore's Tall Ship Productions for content. It was then successfully pitched to NBC, where executives agreed to fund the pilot.

After that, Moore's professional life became a frenzied ballet of scripting, casting, coordinating artwork and setting production schedules. He was now just a week away from a table read with the cast, and he already had a crew scouting shoot locations in and around Vancouver.

Geeky interests linger

The excitement was palpable. In a way, it reminded him of the feeling he had as a 5-year-old boy sitting in his Chowchilla, California, living room decades earlier. When Neil Armstrong took his first uncharted steps on the moon, Moore watched with a sense of awe.

For him, a whole new world was unfolding. "I wrote letters to NASA in first and second grade, and then I found 'Lost in Space,' " Moore recalls. "In third grade, I discovered 'Star Trek,' and that was the defining show of my life. Channel 26, four o'clock every afternoon."

As Moore got older, he explored the jock route, playing football and running track in high school. He eventually became a self-described "baseball fanatic," but that sense of discovery and exploration stayed with him and led to a writing job on "Star Trek: The Next Generation."

A stint with "Star Trek: Deep Space Nine" followed and helped launch his budding career as well as helping him earn status with a generation of nerds, even if he never really considered himself a part of that culture.

"I've never really thought of myself as a nerd, which is not to say others haven't thought it of me. I have referred to myself as a geek from time to time, and my wife sometimes calls me the 'King of the Geeks,' although considering the hierarchical status of Steve Jobs, George Lucas, et al., a mere prince might be more accurate."

Like other television writers who eventually move up to become producers, executive producers and, sometimes show runners, Moore was building a body of work that was gaining attention.

Running the show

Eventually, it would be his executive producer role in the reimagined "Battlestar Galactica" series that would draw the most critical acclaim. It was also the first time Moore had been a co-creator on a show from beginning to end. He and Executive Producer David Eick just seemed to click.

"Ron is the scariest writer I know" his former producing partner recalls.

"I'm not sure there's anything he can't do remarkably well. Even within the context of 'Battlestar,' there was such a wild panoply of styles and emotions -- action, tragedy, melodrama, comedy, philosophy, even music -- all of which I watched him nail."

"But he's also weirdly unpretentious," Eick said. "We'd argue about whether something worked, but never whether or not it was 'good,' because if you tell Ron something's not good, he doesn't take it personally. He just says OK and then does something great."

Moore's sense of flexibility and vision were solidifying his reputation among his cast and crew.

Writer and Executive Producer Jane Espenson first met Moore while pitching show ideas for "Star Trek: The Next Generation" as a grad student at UC Berkeley. She later joined "Battlestar's" writing team.

"There could be a million distractions around him -- he could be on a bad phone connection, in an airport, running for a plane, and he'd immediately grasp a complex story as five of us shouted it into a speaker phone, and he'd have the fix," she said.

Moore was acquiring a dedicated following with the show's success. He understood how much the geek culture's acceptance by the mainstream had helped his own success as genre material had made the transformation from niche to widespread commercial viability.

"That's good and bad," Moore said.

"More projects get made, more material is available, but a lot of it is dumbed down for the general audience, and the intimacy of fan-run conventions is now almost a thing of the past," he said.

"There was a time when being a genre geek meant you were part of a secret club, and when you wore your Nostromo ball cap (from 'Alien') or your HAL-9000 T-shirt ('2001'), the other club members were the only ones who recognized the colors you were flying, and it was a way of connecting. Now it's all commercialized and merchandized and everyone's a geek. Guess that's the price you pay for success."

With "Battlestar," Moore had success in spades. He had led a team that was honored with a Peabody Award, and Moore himself was nominated for an Emmy for best writing in a dramatic series, followed by an Emmy win for the "Battlestar Galactica" webisodes.

The show had been a true test of courage and strength and had brought with it valuable lessons in how to run a show. "The show runners that I know are willing to charge into the barricades over and over again, and you have to be willing to get back up again," Moore said. "You're constantly fighting battles every day with executives, or directors or actors. You are constantly fighting, and you lose a fair number of battles, but the guys just keep going."

But even as he accepted critical praise for "Battlestar," there was a line from another scene running through his head. It came from the movie "Patton," in which the famous general described victorious Romans returning from battle in triumphant chariots: "A slave stood behind the conqueror holding a golden crown and whispering in his ear a warning: that all glory is fleeting."

The new journey

By the end of March, Moore was wrapping up shooting for "17th Precinct."

He was guardedly optimistic. He had seen strong performances from the actors, had seen some beautiful effects come to life, and had even been a little surprised by how some of the characters had popped onscreen. He had been in the business long enough to know that what he had in his head would seldom compare to what was actually shot.

Still, he had a feeling this was going to be good. That morning, he watched a scene being edited in which the cops were using magic to dissect a crime scene. They set up a perimeter and effectively flipped a switch, setting off the magic that literally lifted blood from the ground so that they could see it from all angles.

There was no doubt in his mind that this show was going to be something new and memorable. Being an executive producer had its share of tough days and moments where there seemed to be a rush of decisions and nervous energy, but mostly, Moore found it to be calm and enjoyable. Everything was still new, and he felt like he was falling in love every day.

As he returned to L.A. for final post-production work, a deadline loomed in his head. He had to have the show turned over to the executives at NBC by May 2. He'd make it, but he knew that the weeks of waiting that would follow would be nerve-racking.

The delivery

May 2 came and went. The show was turned over, but Moore and his team probably wouldn't hear anything until the 16th. Two full weeks of misery, wasted nervous energy, reading tea leaves and seemingly endless speculation with his agent.

But bad news came early.

On May 12, the phone rang. NBC had decided to pass on "17th Precinct," and with that, nine months of Moore's creative vision came to an end.

"It was an ambitious project to take on, it was something different. I was just so close to it. It's hard after shows like "Battlestar" to not have equal measures of success after that. That's a personal thing I have to keep in mind."

So Ron Moore was literally at the beginning again, already plotting a new course and determined to make the experience worthwhile.

"There are creative lessons I'm trying to draw from, and there were some conceptual mistakes I probably made. But at the same time, you kind of balance that with the knowledge that each one of these projects is unique and they are all special."

As he sat down to go through his drawer of untapped ideas for what comes next, Moore remembered that famous line: All glory is fleeting. But as he's proved, it's also attainable.

@highlight

Watching the moon landing as a child inspired Ron Moore's work on TV shows

@highlight

He's worked on "Star Trek: The Next Generation" and "Battlestar Galactica"

@highlight

Moore identifies as a genre geek rather than a nerd

@highlight

He recently focused his energy on a new project: the magical "17th Precinct"