A transgender rights group announced Wednesday that it has filed a discrimination complaint in Colorado on behalf of a first-grader who was born a boy but identifies as a girl.

The filing stems from a decision announced last December by officials at Fountain-Fort Carson School District that Coy Mathis could no longer use the girls' bathroom at Eagleside Elementary.

Mother Kathryn Mathis said she and her husband were shocked.

"We were very confused because everything was going so well, and they had been so accepting, and all of a sudden it changed and it was very confusing and very upsetting because we knew that, by doing that, she was going to go back to being unhappy," she told CNN. "It was going to set her up for a lot of bad things."

Coy was born with male sex organs but has identified as female since she could express herself, her mother said. The child had attended classes during her kindergarten year with no problems and no complaints from anyone at the school, Mathis told reporters at the Colorado Capitol in Denver, where she was flanked by her husband, Jeremy, and four other children.

Wearing a girl's winter coat, Coy stood behind her mother.

Afraid bullies would make fun of her daughter, Kathryn Mathis said she pulled Coy out of school during winter break.

"In the end, we just want what is the best for Coy," Mathis said about the complaint. "We want her to be able to go back to school and be treated equally without discrimination and harassment."

Attorney Michael Silverman of the Transgender Legal Defense and Education Fund, which is representing Coy, said the complaint -- which was filed with the Colorado Civil Rights Division -- is intended to have an impact beyond a single family or school.

"For many transgender people, discrimination is a daily part of life. Unfortunately for Coy, it has started very early," he said, adding that the complaint is a "test of Colorado's Anti-Discrimination Act."

"The world is going to be looking at the school," he said, which can "send a message to the world and teach tolerance, fair play and equal rights."

A girl's life

For most of the past year, Coy has dressed as a girl.

Coy's passport and state-issued identification recognize her as female.

Transgender kids: Painful quest to be who they are

Kathryn Mathis said she got a call "out of the blue" from the school in December saying that Coy could use the boys' bathroom, gender-neutral faculty bathrooms or the nurse's bathroom, but not the girls' facilities.

The district "took into account not only Coy, but other students in the building, their parents and the future impact a boy with male genitals using a girls' bathroom would have as Coy grew older," a letter the family's attorney received in December said.

"However, I'm certain you can appreciate that, as Coy grows older and his male genitals develop along with the rest of his body, at least some parents and students are likely to become uncomfortable with his continued use of the girls' restroom."

In a statement Tuesday, the district's attorney, W. Kelly Dude, said: "The district firmly believes it has acted reasonably and fairly with respect to this issue.  However, the district believes the appropriate and proper forum for discussing the issues identified in the charge is through the Division of Civil Rights process.  The district is preparing a response to the charge which it will submit to the division.  Therefore, the district will not comment further on this matter out of respect for the process which the parents have initiated."

"It's sad that the Mathis family had to file a civil rights complaint in order for their daughter to be treated equally," said Herndon Graddick, president of the Gay & Lesbian Alliance Against Defamation, in a statement. "The students clearly aren't the only people at this school who need more education."

A little-studied group

Transgender children experience a disconnect between their sex, which is based on their anatomy, and their gender, which includes behaviors, roles and activities, experts say.

For the general public, transgender identity may be a new concept, though many might recall Chaz Bono, the child of entertainers Sonny and Cher. Born female, Bono underwent a transition in his 40s to become a man. He wrote in his book "Transition" that, even as a child, he had been "aware of a part of me that did not fit."

He appeared last year as a man on "Dancing with the Stars," in part, he said, to destigmatize being transgender.

Being transgender no longer a mental 'disorder' in diagnostic manual

Comprehensive data and studies about transgender children are rare. International studies have estimated that anywhere from 1 in 30,000 to 1 in 1,000 people are transgender.

Some children as young as age 3 show early signs of gender dysphoria or gender identity disorder, mental health experts who work with transgender children say.

These children are not intersex -- they do not have a physical disorder or malformation of their sexual organs. The gender issue exists in the brain, though experts do not agree on whether it's psychologically or physiologically based.

Many transgender people report feeling discomfort with their gender as early as they can remember.

Transgender job seekers face uphill battle

Gender identity is often confused with sexual orientation. The difference is that "gender identity is who you are, and sexual orientation is who you want to have sex with," said Dr. Johanna Olson, a professor of clinical pediatrics at the University of Southern California, who treats transgender children.

Children around age 3 are probably not interested in sexual orientation, she said. But experts say some children who look like they will be transgender in early childhood turn out to be gay, lesbian or bisexual.

Differences in schools

School policies toward transgender students vary across the United States.

In New York, for example, the law says students can't be discriminated against on the basis of their gender identity.

But in Maine, a court ruled in November that a school district did not violate a transgender student's rights when she was told she couldn't use the girls' bathroom.

Gender nonconformity is not a disorder, group says

Dude, the Colorado school district's attorney, has said there is nothing in that state requiring public schools to permit transgender students to use restrooms intended for the gender with which they identify.

He added that the Fountain-Fort Carson School District adheres to the Colorado Anti-Discrimination Act in all respects: "Coy attends class as all other students, is permitted to wear girls' clothes and is referred to as the parents have requested."

She also has easy access to bathrooms other than the girls', Dude said.

Coy's case will be the first to challenge a restroom restriction under the state's anti-discrimination act, the Transgender Legal Defense and Education Fund said.

For now, the first-grader is being home-schooled.

Girl Scouts accept transgender kid, provoking cookie boycott

Reaction to Coy's story

CNN's online audience has responded to this story with a range of questions and comments, with many saying the child is too young to comprehend gender differences. Mostly, posters said they felt sorrow for Coy as a child who is struggling.

"Just let the kid use the gender-neutral bathrooms. When he/she is a teen, if he is still convinced he is a girl, maybe then you can get into it with the school," said commenter EDM.

"This kid is going to have a hard enough life if he really is transsexual, why start fighting battles now, when he should just be blissfully ignorant"?

Transgender teacher sues school for alleged discrimination

Commenter AlawJ said the story left a "negative impression of the parents."

"My rash view may be unfair, but I remember being that age and have helped raise 9 nieces and nephews. One wanted to be a firetruck and ran around making truck noises. Another one of the boys liked to play dress up with the girls," AlawJ wrote. "My fiance's little brother always wore dresses as well. But, at the end of the day, the parents are there to be the adults and make decisions for them.

"I also am a little weary when you read a story where the parents are filing lawsuits for their 6 year old child's rights."

Editor's note: A previous version of this story quoted certain reader comments that were harshly critical of Coy's parents. We removed these comments because we decided they did not increase understanding of this complex and personal issue.

@highlight

"The district firmly believes it has acted reasonably and fairly," its lawyer says

@highlight

Coy Mathis' parents file a complaint under Colorado's Anti-Discrimination Act

@highlight

Coy can no longer use the girls' restroom at her elementary school

@highlight

The school district says Coy can use other restrooms in the school