Donetsk, Ukraine (CNN) -- Pro-Russian separatists in the eastern Ukraine city of Donetsk dug in Friday despite an international deal aimed at being a key first step in resolving a crisis that has threatened to devolve into civil war.

The separatists' self-declared leader, Denis Pushilin, said it is those aligned with the Kiev-based national government who should vacate all public buildings, not the militants in Donetsk.

Pushilin, the head of a group called the Donetsk People's Republic, addressed reporters on the heels of an agreement Thursday between officials from Ukraine, the United States, the European Union and Russia. Among other things, that deal calls for amnesty for anti-Kiev factions provided they give up their weapons and leave government buildings.

But separatists in eastern Ukraine have not signed on nor indicated they intend to, unless the pro-Western government in Kiev steps down.

"Lavrov did not sign anything for us, he signed on behalf of the Russian Federation," Pushilin said Friday, referring to Russian Foreign Minister Sergey Lavrov.

Instead of any such agreement, Pushilin has pushed for a referendum by May 11 to ask residents whether they want sovereignty from Ukraine. This step may be popular with those who view Ukraine's interim authorities -- who took power in February after the ouster of President Viktor Yanukovych, who some saw as too closely aligned with Russia -- as illegitimate.

Ukraine President Olexander Turchynov on Friday criticized the "factions of communists (who have) refused to sign or even vote on the document" agreed to in Geneva, Switzerland.

He and Prime Minister Arseniy Yatsenyuk urged them to do so, saying in a joint statement, "We have to do everything possible not to take this treasure of (Ukrainian unity) from our children."

"We are calling on our compatriots to (reach out) to each other and give up actions aimed at hatred, and come back to (work toward) rebuilding a united Ukraine," the two leaders said.

In addition to groups disarming and returning seized buildings to their legitimate owners, Yatsenyuk and Turchynov spoke of plans to change the constitution, provide "more powers" and "necessary financial resources" to the regions and allow for Russian and other languages in addition to Ukrainian.

"We are all different, but we all have one thing in common: We are all citizens of a sovereign and independent Ukraine," the leaders said.

But the key to the Geneva agreement is whether Russia can and does use its influence to persuade protesters to comply.

Acting Ukrainian Foreign Minister Andriy Deshchytsia told reporters Friday in Kiev that Russia still must prove its intentions in Ukraine are sincere.

"I don't know the Russian intentions, but Minister Lavrov did promise that they want to de-escalate, so we will see in a few days if it was (a) sincere promise and sincere participation," he said.

Deshchytsia said the Ukraine government's "anti-terrorist operation" against the pro-Russian protesters who have taken control of key sites will continue, but its intensity will "depend on the practical implementation" of the pact. So far the show of force has done little to bring the eastern region back under Kiev's control.

Monitoring mission

All sides agreed on Thursday to ask for monitors from the Organization for Security and Cooperation in Europe, which has a mission in Ukraine, to help implement the measures aimed at easing the crisis.

Deshchytsia said there would be a meeting later Friday at the Foreign Ministry with leaders of the mission to discuss the process by which occupied buildings will be handed over. He noted OSCE had "over 100 monitors" in the country.

The European organization released a statement Friday describing the situation in western and central Ukraine as calm, whereas the Lukansk and Donetsk districts were "tense due to the activity of armed opponents of the central government and Ukrainian special forces conducting a 'counterterrorist operation.'"

The OSCE noted, for example, that the state security service building in Luhansk was occupied.

Observers saw evidence of blood, gunfire and Molotov cocktails at a military base in Mariupol. A hospital official indicated five people had been treated for gunshot wounds, and local government officials reported three dead, according to OSCE.

This unsettled situation speaks to the drama, tension and challenges for those hoping for a speedy, peaceful resolution.

Even as he announced the pact Thursday, U.S. Secretary of State John Kerry stressed that the proof of the agreement would be in its swift implementation on the ground.

"The job will not be done until these principles are implemented and are followed up on," he said.

Kerry warned Russia could face "further costs" if the situation does not de-escalate in line with the concrete steps set out in the statement. Ukraine's leaders must also play their part in calming the situation, he said.

Caution, skepticism greet deal

His boss, U.S. President Barack Obama, said the hope is that "diplomacy may de-escalate the situation," but admitted that is not a given.

"I don't think we can be sure of anything at this point," he said at a news conference Thursday.

The President added the United States and its allies "have to be prepared -- potentially -- to respond" to continued efforts by Russia to interfere in southern and eastern Ukraine.

Already, he signed off on more nonlethal aid to Ukraine's military and state border guard service.

At the same time, Obama said U.S. military options are still not on the table "because this is not a situation that would be amendable to a clear military solution."

Rear Adm. John Kirby, the Pentagon press secretary, told CNN's "New Day" that the focus now was "appropriately on diplomatic and economic pressure" rather than military might.

"We're hopeful about the agreement. Now it's time for Russia to meet the obligations under that agreement and to help disarm, and to remove from those buildings, those armed militants," he said.

Anti-Semitic fliers in eastern Ukraine denounced

Putin: Intervention still an option

The emergency talks in Geneva were called amid the spiraling crisis in Ukraine that has seen East-West relations at their most strained since the end of the Cold War.

Even as the negotiations in Geneva were under way, Russian President Vladimir Putin made clear in his annual televised call-in session with the Russian people that military intervention in Ukraine remains an option.

Moscow denies it has any intention of invading but says it reserves the right to protect Russian speakers in eastern Ukraine. It has warned in the past week that Ukraine is "on the brink of a civil war."

NATO says Russia has about 40,000 troops assembled near Ukraine's eastern border.

In a story posted Friday on the website of Russia's state-owned Rossiya 1, Kremlin spokesman Dmitry Peskov acknowledged additional Russian troops were moved close to the Ukraine border "due to the instability of the political situation."

"It is a country where they just had a coup," he said, referring to Yanukovych's ouster, "and any country would take measures to provide security. And also we should remember that Russia is an absolutely free country and has a right to move their military."

Putin recently ceded that Russian forces had been active in Ukraine's Crimea region to support local defense forces, the first time he has acknowledged the deployment of Russian troops on the Black Sea peninsula.

Peskov explained that Putin made this decision only after citizens in the majority Russian-speaking peninsula voted last month to align with Russia.

"Crimea was an act of protection of Russian people and their right to have a referendum," he said.

The spokesman defended Moscow and sharply criticized the United States and European Union for their "hypocrisy" for siding with "illegal, armed groups (who) won a so-called revolution." Putin won't back down in the face of Western demands and under the threat of sanctions, he said.

"Russia should not be addressed or treated like a schoolgirl with a checklist of things to do," Peskov said.

Ukraine military push appears to lose momentum in the east

Diplomats agree on steps to de-escalate tensions in Ukraine

Opinion: Is Ukraine about to go nuclear again?

CNN's Phil Black reported from Donetsk, Laura Smith-Spark wrote and reported from London, and Greg Botelho wrote and reported from Atlanta. CNN's Frederik Pleitgen, Kellie Morgan and journalist Azad Safarov, all in Kiev, contributed to this report, as did Tim Lister and Arwa Damon in Donetsk, and Anna Maja Rappard and Tatyana Drotenko in Atlanta.

@highlight

NEW: Kremlin spokesman: Troops near Ukraine border due to political instability

@highlight

NEW: He blasts West for hypocrisy, says Russia won't be "treated like a schoolgirl"

@highlight

Protest leader in Donetsk, Ukraine, says Russia did not speak for his group with pact

@highlight

Russia is under pressure to use influence to persuade protesters to leave seized buildings