The U.S. Food and Drug Administration announced Tuesday that it approved the availability of the Plan B One-Step emergency contraception pill without a prescription for women 15 and older.

This move comes just weeks after a federal judge in Brooklyn, New York, ordered the FDA to make the morning-after birth control pill available to women of any age, without a prescription. Tuesday's FDA announcement, which pertains to an application from Teva Women's Health, Inc., is not related to that, the FDA said.

"The FDA's approval of Teva's current application for Plan B One-Step is independent of that litigation and this decision is not intended to address the judge's ruling," the FDA said in a statement.

In early April, the U.S. Justice Department indicated an appeal of the Brooklyn judge's order was under consideration. "The Department of Justice is reviewing the appellate options and expects to act promptly," department spokeswoman Allison Price said.

According to the new FDA decision, Plan B One-Step will now be labeled to reflect that proof of age is required to purchase it, and it cannot be sold where age cannot be verified. The packaging will include a product code that prompts the cashier to ask and verify the age of the customer.

The product will be available in retail outlets with pharmacies, but the pill can be sold during non-pharmacy hours, too.

"While we fully support this expansion of access to birth control, we continue to believe that the administration should lift all unnecessary restrictions to emergency contraception, consistent with the prevailing science and medicine," Planned Parenthood Federation of America President Cecile Richards said Tuesday in a statement.

The FDA decision does not pertain to the two other emergency contraceptive drugs marketed in the United States. Plan B is available from generic manufacturers over-the-counter for women 17 and older and Ella is available by prescription only, for all ages, and prevents pregnancy within five days of unprotected sex or contraceptive failure.

"Research has shown that access to emergency contraceptive products has the potential to further decrease the rate of unintended pregnancies in the United States," said FDA Commissioner Dr. Margaret A. Hamburg in a statement. "The data reviewed by the agency demonstrated that women 15 years of age and older were able to understand how Plan B One-Step works, how to use it properly, and that it does not prevent the transmission of a sexually transmitted disease."

None of these products protect against sexually transmitted diseases.

Controversy surrounding emergency contraception in the United States has lasted more than just one morning.

The American College of Obstetricians and Gynecologists recommended last year that oral contraceptives be sold over the counter in an effort to reduce the number of unintended pregnancies in the United States. Opponents of prescription requirements say prescriptions can delay access to the drug.

In 2011, Teva Women's Health Inc., maker of Plan B One-Step, had asked the FDA to make the drug available without prescription to all sexually active girls and women.

Health and Human Services Secretary Kathleen Sebelius overruled the FDA's recommendation in 2011, saying, "I do not believe enough data were presented to support the application." She mandated requiring a prescription for girls under 17.

In early April, U.S. District Court Judge Edward Korman said in his order, "The decisions of the Secretary with respect to Plan B One-Step and that of the FDA with respect to the Citizen Petition, which it had no choice but to deny, were arbitrary, capricious, and unreasonable."

Korman's order sparked praise among supporters of the morning-after pill for all ages, such as the Center for Reproductive Rights, which had launched a relevant lawsuit.

Nancy Northup, the center's president and CEO, said in a statement about that order: "This landmark court decision has struck a huge blow to the deep-seated discrimination that has for too long denied women access to a full range of safe and effective birth control methods."

But other groups, including the Family Research Council, expressed concerns about Korman's order.

"There is a real danger that Plan B may be given to young girls, under coercion or without their consent. The involvement of parents and medical professionals act as a safeguard for these young girls.  However, today's ruling removes these common-sense protections," Anna Higgins, director of the organization's Center for Human Dignity, said in a statement.

The FDA approved Plan B in 1999. The key ingredient in Plan B is a synthetic hormone called levonorgestrel.

This drug stops an egg from being released from the ovary, or preventing fertilization of the egg by sperm.

If there has been fertilization, Plan B may prevent a fertilized egg from embedding in the uterus. But if the egg has already been implanted in the uterus, the morning-after pill will not work.

Emergency contraceptives are intended for use within 72 hours after sex but are most effective if taken within 24 hours.

Many developed countries require a prescription for oral contraceptives, including Canada and most of Europe, but other countries sell the pill without a prescription even formally or informally.

A 2012 study in the journal Pediatrics found that there is misinformation about emergency contraception, including about what age women can obtain it without a prescription, and who can take it in general.

The morning-after pill goes for about $50, said Susannah Baruch, interim president and CEO of Reproductive Health Technologies Project.

@highlight

NEW: FDA: Morning-after pill can be sold over-the-counter to women 15 and older

@highlight

New decision is not related to litigation surrounding Brooklyn judge's order

@highlight

Previously, the morning-after pill required a prescription for women 17 and older