Editor's note: William Jelani Cobb is associate professor of history at Spelman College and author of the forthcoming "Change Has Come: Barack Obama and the Meaning of Progress." He blogs at http://americanexception.com/

William Jelani Cobb says Barack Obama's White House has been remarkably silent on same-sex marriage.

(CNN) -- Last week Gov. John Lynch signed a bill making New Hampshire the sixth state to legalize same-sex marriage.

It was a paradoxical moment. The new law is a reminder that same-sex marriage is the civil rights issue of our era and just how far the movement for marriage equality has come. It also highlighted the unexpected and remarkable silence from the White House on this issue.

During the campaign, Barack Obama assured gays and lesbians that he supported repealing "don't ask, don't tell" as well as adoption and anti-discrimination rights for the gay community. Those kinds of promises carry a particular weight when made by a man whose very capacity to run for elected office is the yield of another civil rights struggle.

That lineage and the high expectations that come with it gave Obama an amazing degree of latitude, allowing him, for instance, to remain relatively unscathed even when he placed the Rev. Rick Warren on the Inauguration Day program.

But to date he has taken no significant action on this front and, more critically, his administration is actually being outpaced by state legislatures around the country.

Granted Obama has been in office for just 4½ months, but given the developments in Iowa, California and New Hampshire, they have been among the most significant months in the struggle for marriage equality.

The administration likely wishes to avoid the culture war debacle of Bill Clinton's early presidency. But gay rights are a national issue in a way they weren't in 1993. Thus the clouds of disappointment we already see gathering.

We long ago overdosed on comparisons of Obama and previous presidents, but it's hard to miss the way his administration had begun to echo that of John F. Kennedy. And not in a good way.

During the 1960 campaign, Kennedy ran as a forward-looking Democrat who understood the necessity of civil rights. He promised an executive order banning housing discrimination. Gestures like his phone call to a pregnant Coretta Scott King while her husband languished in an Albany jail and Robert Kennedy's judicial arm-twisting to secure his release endeared the young candidate to millions of African-Americans.

But once in office, Kennedy made civil rights a low priority. By 1962, Martin Luther King was openly critical of Kennedy and bitterly observed that the movement activists had become "pawns in a white man's game." It is worth recalling that the 1963 March on Washington was organized not only to ensure passage of a civil rights bill, but also to ensure that Kennedy would not cave to Southern Democrats on the issue.

In retrospect, Kennedy's reputation as a supporter of civil rights was greatly exaggerated. On one occasion, Atlanta Mayor William Hartsfield invoked Kennedy's name -- without his knowledge or approval -- as the reason local politicians were "forced" to release Martin Luther King from prison.

The plan was to direct the anger of Southern whites at Kennedy rather than the local officeholders who wanted King out of jail, but one side-effect was to raise Kennedy's standing among black voters. In reality, though, as both candidate and president, Kennedy was consistently behind the curve of history.

It is far too early to make such assessments of President Obama, but there is a disturbing parallel. He has carefully outlined support for civil unions and his opposition to a Constitutional amendment banning same-sex marriage.

But as a former law professor, Obama certainly knows -- and the language of the recent California ruling makes frighteningly clear -- the logic of civil unions is essentially the logic of "separate but equal." (Try reading the California decision and the Plessy v. Ferguson opinion consecutively.) iReport.com: Share your thoughts on same-sex marriage

On the surface, civil unions are a politically safe middle ground, an attempt to highlight the artificial divide between secular unions and the religious rite of marriage. But the fact is that marriage is a civil institution just as much as it is a religious one, and therefore religious objections to same-sex marriage shouldn't be an obstacle. We allow atheists to marry and we do not refer to a wedding performed by a secular judge or justice of the peace as a "civil union."

The president would do well to define this moment by taking immediate action to repeal "don't ask, don't tell" or ensure adoption rights for homosexual, bisexual and transgender families. Kennedy believed that promoting civil rights would jeopardize other aspects of his domestic agenda during a national crisis. Barack Obama has a broader set of crises to resolve than any president in modern history, but that is not a rationale for inaction on this issue.

Ultimately, the gay rights movement will have to learn something that the civil rights movement learned again and again during the 20th century -- it is often necessary to force the hand of even your allies to achieve your goals.

The opinions expressed in this commentary are solely those of William Jelani Cobb.

@highlight

William Jelani Cobb: White House has been largely silent on same-sex marriage

@highlight

He says the issue is the civil rights struggle of our time

@highlight

Cobb: State legislatures have taken the lead by allowing same-sex marriage

@highlight

He says Obama's wariness resembles John Kennedy's reluctance on civil rights