The mysteries surrounding the disappearance of Malaysia Airlines Flight 370, and the true identities of some of its passengers, are as deep as the southeast Asian waters where multinational search teams are searching for the jet.

Navies from two of Malaysia's neighbors were pursuing new leads as Sunday turned into Monday in the region.

Vietnam's navy has spotted a floating object about 80 kilometers (50 miles) southwest of Vietnam's Tho Chu Island, which is off the country's southwest coast in the Gulf of Thailand, Vietnam National Search and Rescue Committee spokesman Hung Nguyen told CNN. The object was spotted by a Vietnamese navy rescue aircraft at about 7:30 a.m. ET Sunday (6:30 p.m. local time). Because of the dark, the navy aircraft could not get close enough to identify the floating object and was recalled to base. Three search and rescue boats have since been deployed to that location.

Meanwhile, Thailand's navy is shifting its focus in the search away from the Gulf of Thailand and the South China Sea, Thai Navy Rear Adm. Karn Dee-ubon told CNN on Sunday. The shift came at the request of the Malaysians, who are looking into possibilities the plane turned around and could have gone down in the Andaman Sea, near Thailand's border, Karn said.

The Andaman Sea lies to the west of a narrow strip of Thailand that ends in the Malaysian Peninsula, while the Gulf of Thailand lies to the east of that Thai isthmus.

One promising lead has turned out to be a dead end. A "strange object" spotted by a Singaporean search plane late Sunday afternoon is not debris from the missing jetliner, a U.S. official familiar with the issue told CNN on Sunday.

A U.S. reconnaissance plane "thought it saw something like debris, but it was a false alarm," said the official, who spoke on condition of anonymity.

By the end of the day Sunday, more than 40 planes and more than two dozen ships from several countries were involved in the search. Two reconnaissance aircraft from Australia and one plane and five sea vessels from Indonesia were the latest additions, Azharuddin Abdul Rahman, the director general of civil aviation in Malaysia, told reporters Sunday. In addition, the Chinese navy dispatched a frigate and an amphibious landing ship, according to an online post by China's navy.

Those reinforcements join the rescue teams already scouring the South China Sea, near the Gulf of Thailand, for any sign of where the flight, operated by Malaysia's flagship airline, might have gone down, Malaysian authorities said.

The area in focus for most of the search, about 90 miles south of Tho Chu Island, is where a Vietnamese plane reportedly spotted oil slicks that stretched between 6 and 9 miles.

"I can confirm that there was an oil slick, no debris. But what we are doing now, I was told that the Vietnamese aircrafts are on the site right now to verify what actually is it on the surface of those waters," said acting Malaysian Transportation Minister Hishammuddin bin Tun Hussein.

Big questions far outweigh the few fragments of information that have emerged about the plane's disappearance:

What happened to the plane? Why was no distress signal issued? Who exactly was aboard?

The flight may have changed course and turned back toward Kuala Lumpur, Malaysian military officials said at a news conference Sunday.

But the pilot appears to have given no signal to authorities that he was turning around, the officials said, attributing the change of course to indications from radar data.

As the search continues, the agonizing wait goes on for relatives of the 227 passengers and 12 crew members on board the plane. Video from Reuters showed Malaysia Airlines personnel in Beijing, where Flight 370 was headed, helping family members apply for expedited passports so they could fly to Kuala Lumpur early this week.

Among the passengers, 154 people were from China or Taiwan; 38 Malaysians, five Indian nationals and three U.S. citizens. Five of the passengers were younger than 5 years old.

Malaysia Airlines said Monday that initial financial assistance has been given out to all passengers' families "over and above their basic needs." Each family has also been assigned at least one caregiver.

"Malaysia Airlines' primary focus at this point in time is to care for the families. This means providing them with timely information, travel facilities, accommodation, meals, medical and emotional support," the airline said in a statement.

Stolen passports

Interpol tweeted Sunday that it is "examining additional suspect #passports in connection" with the missing flight.

Earlier, the international law enforcement agency said at least two passports -- one Austrian and one Italian -- recorded in its stolen and lost travel documents database were used by passengers onboard the flight. The passports were added to the database after being stolen in separate incidents over the past two years, Interpol said.

Italy and Austria have said that none of their citizens were onboard the plane.

"No checks of the stolen Austrian and Italian passports were made by any country between the time they were entered into INTERPOL's database and the departure of flight MH 370. At this time, INTERPOL is therefore unable to determine on how many other occasions these passports were used to board flights or cross borders," the agency said in a Sunday statement.

It added that passengers were able to board planes more than a billion times last year without having their passports screened by Interpol's databases.

The Italian man whose passport was allegedly used, Luigi Maraldi, contacted the Italian consulate in Phuket, Thailand, on Saturday, after receiving a call from his parents, Italian Consul Franco Cavaliere told CNN on Sunday.

Maraldi told Reuters he was inundated with phone calls, texts and social media inquiries asking if he was alive and well. He soon discovered that he was the subject of stories about the missing plane.

Maraldi is staying on Phuket Island as a tourist, and his passport disappeared in July 2013, Cavaliere said. Maraldi told Reuters he got a new passport after his old one was stolen.

"Whilst it is too soon to speculate about any connection between these stolen passports and the missing plane, it is clearly of great concern that any passenger was able to board an international flight using a stolen passport listed in INTERPOL's databases," said Interpol Secretary General Ronald K. Noble in a statement.

The two passengers who used the passports in question appear to have bought their tickets together.

The tickets were bought from China Southern Airlines at identical prices, paid in Thailand's baht currency, according to China's official e-ticket verification system Travelsky. The ticket numbers are contiguous, which indicates the tickets were issued together.

The two tickets booked with China Southern Airlines both start in Kuala Lumpur, fly to Beijing, and then onward to Amsterdam. The Italian passport's ticket continues to Copenhagen, the Austrian's to Frankfurt.

Authorities say they are investigating the identities of some of those onboard who appear to have issues with their passports.

"I've seen these reports about the passports. We're looking into that, but we don't have anything to confirm at this point," U.S. deputy national security adviser Tony Blinken told CNN's "State of the Union" on Sunday. "The reports certainly raise questions and concerns, and that's exactly why we're looking into them. But right now, it would be premature to speculate," he said.

Plane was 'at safest point' in flight

Terrorism concerns

A fuller picture of what happened may not become available until searchers find the plane and its flight data recorder.

"We have not been able to locate anything, see anything," Rahman told reporters Sunday.

The passport mystery raised concerns about the possibility of terrorism, but officials cautioned that it was still too early to arrive at any conclusions.

Malaysian authorities have been in contact with counterterrorism organizations about possible passport issues, acting Transportation Minister Hishammuddin Hussein said Sunday.

He didn't specify how many potential passport issues there were, saying authorities are looking at the whole passenger manifest.

Additionally, no inquiry was made by Malaysia Airlines to determine if any passengers on the flight were traveling on stolen passports, he said. Many airlines do not check the database, he said.

Five passengers ended up not boarding the aircraft. Their bags were removed and were not onboard the jet when it disappeared, Hussein said.

A U.S. intelligence official said that no link to terrorism had been discovered so far, but that authorities were still investigating.

Another possible explanation for the use of the stolen passports is illegal immigration.

There are previous cases of illegal immigrants using fake passports to try to enter Western countries. And Southeast Asia is known to be a booming market for stolen passports.

Disappearing during cruise

There is a precedent for a modern jetliner to fall from the sky while "in the cruise" and lie hidden for months, according to CNN aviation correspondent Richard Quest.

On June 1, 2009, Air France Flight 447 was en route from Rio De Janeiro to Paris when communications ended suddenly from the Airbus A330, another state-of-the-art aircraft.

It took four searches over the course of nearly two years to locate the bulk of flight 447's wreckage and the majority of the 228 bodies in a mountain range deep under the ocean. It took even longer to find the cause of the disaster.

In May 2011, the aircraft's voice recorder and flight data recorder were recovered from the ocean floor after an extensive search using miniature submersible vehicles.

It was not until July 2012 that investigators published their report, which blamed the crash on a series of errors by the pilots and a failure to react effectively to technical problems.

The missing Malaysia Airlines plane had suffered damage in the past, airline CEO Ahmad Jauhari Yahya said Sunday. The aircraft had a clipped wing tip, but Boeing repaired it, and the jet was safe to fly, Yahya said.

The National Transportation Safety Board announced late Saturday that a team of its investigators was en route to Asia to help with the investigation, the agency said.

If all those on board Malaysia Airlines Flight 370 are found to have died, it will rank as the deadliest airline disaster since November 12, 2001, when American Airlines Flight 587 crashed into a New York neighborhood, killing all 260 people on board and five more on the ground.

The deadliest commercial air crash ever involving a single plane occurred almost 30 years ago on August 12, 1985, in the mountains of central Japan. A total of 520 people were killed when Japan Airlines Flight 123 -- a Boeing 747 -- crashed not long after takeoff from Tokyo. Four people survived.

@highlight

Malaysia Airlines says financial assistance has been given to families

@highlight

Interpol tweets it's "examining additional suspect #passports"

@highlight

Vietnamese navy finds new debris; Thai navy expands search area

@highlight

Radar data suggest the missing plane may have turned back, officials say