(CNN) -- Climate skeptics are indicative of societies in decay.

So said Mohamed Nasheed, president of the Maldives.

Speaking at CNN's Earth's Frontiers debate in Seoul, Nasheed said he was looking for a greater urgency from countries and business across the world in dealing with the problems caused by climate change.

Rather than a slow decay, Nasheed's own nation is faced with a rapid extinction caused by a rise in sea-levels, according to many climate scientists.

Joined at the debate by filmmaker and environmentalist James Cameron, Puma's CEO Jochen Zeitz, and Changhua Wu of The Climate Group, Nasheed noted what was at stake when talking about future energy sources.

"I think it's going to be very difficult for the Maldives to survive if business goes as usual," he said. "I think it's time especially for big emitter countries to find alternatives and move forward. If not, it's not just going to be the Maldives, it's going to be all of us."

Instead of revisiting the divisions that flared between countries at the Copenhagen climate summit in December, Nasheed struck a more inclusive tone on how countries can work together to create a carbon-neutral future.

"I don't think this is an issue of developed and developing countries. Given the opportunities, (developing countries) would have done the same.

"But of course industrialized countries have more capabilities and more means, and there are people who are in trouble. If they want to lend a hand, that's the decent thing to do."

Zeitz took a stand for businesses taking the initiative in promoting renewable energy by saying that business cannot wait for government action.

"We can't wait for the perfect solutions. It's trial and error," he said.

Puma has a carbon neutral HQ in California and two of its factories operate off-grid. Zeitz said he was committed to fostering responsible businesses.

"If you plan your business out for the long run, you have to plan with renewable energies and eliminate carbon footprints. Business ultimately has caused a lot of the environmental degradation we see around the world, so business is there to also fix it," he said.

A number of solutions that balance energy production and environmental protection exist, but the panel took different stands over a particular hydroelectric damn project in the Brazilian state of Para.

Cameron had recently visited the region to campaign against the dam, but as a a head of state immediately threatened by rising sea-levels, Nasheed took a different view.

"Reducing the amount of carbon in the atmosphere is the priority right now," he said.

"If Brazil does that through damming their rivers, I would say, go ahead and do it. I think a number of countries are unable to understand the mathematics of the whole issue. If we cannot become carbon-neutral by mid-century, then we won't be around here. It's as simple as that."

Zeitz disagreed: "You have to look at carbon holistically. We live in a connected world where conservation, community, culture all have to play together," he said.

Wu touched upon China's position as the world's largest emitter of greenhouse gases as well as its biggest investor in renewable energy projects.

"No matter how much China invests today, it's not just a one country issue. More importantly we need to work together in order to deal with the core issue," she said.

Ultimately that core issue for Cameron was getting a greater consensus that climate change itself was a serious, global problem.

"The fundamental problem out there is how many people (don't) actually believe there's a problem," he said.

"The most powerful force on the planet right now is the ability of individuals to communicate with each other. I believe in the power of ideas. People can certainly make a difference in the way they live, if they're motivated. The important thing is to get the ideas out there."

What do you think? Should governments or businesses be doing more? Use the soundoff box, below, to have your say and send an iReport to show how you are going off-grid.

@highlight

President Nasheed of Maldives wants more help and action in coping with climate change

@highlight

Puma's CEO thinks businesses should lead in drive towards renewable energy

@highlight

James Cameron believes climate skepticism is still a great problem

@highlight

Earth's Frontiers debate took place in Seoul, South Korea