(CNN) -- On a day when global doomsday predictions failed to pan out, NASA had more good news for the Earth: An asteroid feared to be on a collision course with our planet no longer poses a threat.

Uncertainties about the orbit of the asteroid, known as 2011 AG5, previously allowed for a less than a 1% chance it would hit the Earth in February 2040, NASA said.

To narrow down the asteroid's future course, NASA put out a call for more observation. Astronomers from the University of Hawaii at Manoa took up the task and managed to observe the asteroid over several days in October.

"An analysis of the new data conducted by NASA's Near-Earth Object Program Office at the Jet Propulsion Laboratory in Pasadena, California, shows that the risk of collision in 2040 has been eliminated," NASA declared Friday.

The new observations, made with the Gemini 8-meter telescope in Mauna Kea, Hawaii, reduce the orbit uncertainties by more than a factor of 60. That means the Earth's position in February 2040 is not in range of the asteroid's possible future paths.

The asteroid, which is 140 meters (460 feet) in diameter, will get no closer to Earth than 890,000 kilometers (553,000 miles), or more than twice the distance to the moon, NASA said.

A collision with Earth would have released about 100 megatons of energy, several thousand times more powerful than the atomic bombs that ended World War II, according to the Gemini Observatory.

Observing the asteroid wasn't easy, said David Tholen, an astronomer at the University of Hawaii Institute for Astronomy.

The asteroid's position was very close to the sun, so astronomers had to observe it when the sky was dark. Tholen told CNN there was about a half-hour between when the asteroid got high enough in the sky for the telescope to point at it and before the sky became too light to observe it.

Because the astronomers were looking at the asteroid low in the sky, they were viewing it through a lot of atmosphere, which scattered some of the light and made the object fainter, he said.

"The second effect is the turbulence of the atmosphere makes things fainter," Tholen said. "We had to keep trying over and over until we got one of those nights when the atmosphere was calm."

Tholen and the team also discovered the asteroid is elongated, so that as it rotates, its brightness changes. That was another challenge for the astronomers: Because they didn't know the asteroid's rotation period, they didn't know when it would wax and wane, and when it would grow too faint to see.

"This object was changing its brightness by a factor of three or four -- it was just enormously variable," Tholen said. "It was hit and miss depending on which night you observed it."

Many predicted the end of the world would come Friday, the day on which a long phase in the ancient Mayan calendar came to an end. Some believe the day actually comes Sunday.

Modern-day Mayans say the end of the calendar phase doesn't mean the end of the world -- just the end of an era, and the start of a new one.

NASA estimates 4,700 'potentially hazardous' asteroids

@highlight

The asteroid previously had a 0.2% chance of hitting the Earth

@highlight

More observation by astronomers in Hawaii shows no risk of collision

@highlight

A collision would have released about 100 megatons of energy

@highlight

Observing the asteroid wasn't easy