(Time) -- No, "six strikes" isn't a phrase from some esoteric version of baseball played on Mars — it's a colloquialism for a new anti-piracy warning system designed to track copyright infringers and help internet service providers (ISPs) take progressively punitive measures to discourage or prevent said infringers from engaging in further copyright-violating activities.

It's essentially an industry workaround, after SOPA and PIPA — bills designed to give the government increased power to battle copyright violators — failed or stalled last year.

But "six strikes" is notably different from either SOPA or PIPA. For starters, it's not a bill. Instead of empowering the government to blacklist sites deemed illicit, it's an escalating warning system managed by ISPs independently. It employs a third-party tool, MarkMonitor, to identify users engaging in copyright-violating activities, then leaves it up to ISPs to take action. ISPs participating at this point include AT&T, Verizon, Comcast, Cablevision and Time Warner Cable.

Say an IP address associated with your account is identified as a violator. Your ISP would first send you a warning, then send further warnings for each infraction, at some point rolling out actual punitive measures, from throttling your bandwidth up to — in theory, a possibility — termination of your service.

The system was supposed to go live this week, but was delayed at the last minute by the Center for Copyright Information (CCI), the group working with the Motion Picture Association of America, the Recording Industry Association of America and several of the nation's biggest ISPs to roll "six strikes" out.

According to CCI executive director Jill Lesser, the delay, due to "unexpected factors," is mostly because of Superstorm Sandy, which "seriously affected" the group's final testing plans. CCI says it now expects what it calls the "Copyright Alert System" to kick off in early 2013, adding:

"Our goal has always been to implement the program in a manner that educates consumers about copyright and peer-to-peer networks, encourages the use of legal alternatives, safeguards customer privacy, and provides an easy-to-use independent review program for consumers to challenge alerts they believe they've received in error.

"We need to be sure that all of our "I"s are dotted and "T"s crossed before any company begins sending alerts, and we know that those who are following our progress will agree."

Regardless of when it goes live, I'm worried about some of those I's and T's — specifically what it's going to mean for me, speaking not as a copyright violator, but as someone whose somewhat unique residential situation poses some awkward, potentially nightmarish alert management issues.

My condo complex (I'm an owner) has 48 units. It was built in 2003, so it's relatively new. At the time, the builders had the foresight to wire each unit with Ethernet — a drop in each room, everything connected back to aggregate wire closets. Near my front door (and all the front doors of all the units) is a mini-wire closet with a switch/hub that connects my unit to a central switch/hub in a locked room on the property.

That, in turn, plugs into a high-speed cable modem — a cable modem that's shared across all 48 units. We're technically shielded from each other using a special box that "firewalls" each private IP and can control how much bandwidth it's allocated, etc. Whether we elect to use it or pay for our own service instead, all 48 units have access to this shared Internet.

You can probably see where I'm headed. With "six strikes," any of the residents in the complex who — knowingly or unknowingly — engage in an act of copyright violation, could incur an alert. Who's going to see that alert? Probably me, as the technical contact for the ISP (that, or our property management company, at which point it'll route back to me).

At this point I'm not sure what happens. The IP address MarkMonitor's software is going to see, presumably, is our public one, not the private address of the device that's been singled out on our condo complex's network. How do we identify the perpetrator? Should we identify the perpetrator? If our ISP says we're in violation, is it incumbent on us to run our own tracking software, somehow, to identify the person(s) involved? Are we supposed to somehow issue these warnings ourselves, since the ISP won't technically be able to?

See the problem? Who's responsible for each infraction? Who should be punished? The entire complex, by throttling or at some point terminating our Internet service? Each unit in the complex pays for shared Internet equally as part of our monthly association fees. We're not a business — there's no CEO. The few of us who manage the Internet on behalf of the rest can't act unilaterally to preempt potential infractions by blocking aspects of the service by introducing content filters the way a private company might.

It's a delicate, thorny issue. Anyone who's been on the board of a housing association knows how tough it can be to promulgate policies to owners, much less policies where the repercussions of violations can't be controlled locally, and where the punishment extends to everyone.

We could put it to a complex-wide vote, but even if a majority were in favor of taking action, say somehow shutting off file-sharing activity entirely, now we're talking about an all or nothing "fix" that also blocks legitimate file sharing — sharing anything not copyrighted, e.g. game or application demos, some music (freely released albums, for instance), public domain materials (Project Gutenberg's texts, for instance, or public domain art).

I wouldn't vote for neutering my Internet service, would you?

I'm assuming this scenario applies, more or less, anywhere you'll find shared Internet provided by a "six strikes"-participating ISP. We've heard nothing about exemptions. So what about hotels? Restaurants? Coffee shops? Fitness centers? Libraries? Bookstores? RV Parks? Airports? What about municipal initiatives to beam free Wi-Fi to anyone at all, citywide?

Maybe the "workaround" lies in the acknowledgment portion of the process. According to reports, users found in violation of "six strikes" will have to somehow acknowledge they've received and read the alert explaining their account was engaged in illicit activity. Some ISPs are said to be rolling this out as pop-ups (don't ask me how). I'm not sure what that entails for shared Internet access. Does everyone get the pop-up? What happens if you ignore it? What happens if, for whatever reason, the pop-up doesn't appear in the first place?

Like the proverbial tree in the forest, does an alert count as a strike if you don't see (or acknowledge having seen) it?

I'd like to see the CCI and participating ISPs lay all the details about "six strikes" on the table, proactively, instead of letting them trickle out in leaked documents and casual interviews. Don't just backdoor the policy and expect users, especially where Internet's shared, to somehow reverse-engineer what they're responsible for, what happens if they fail to meet some new policy threshold and so forth.

Be upfront with customers. Sure, they already know (or they should) that copyright violations are no-nos, per the terms of their user agreements (and the law), but they deserve to know when policies for policing those terms change, especially when those policies could seriously impact them whether they're personally responsible for a copyright violation or not.

Maybe "six strikes" isn't designed to produce lawsuits. Maybe it really is just an "educational" campaign to raise violation awareness among users. Maybe it's just to remind us that someone's watching (and possibly storing information for potential lawsuits).

Whatever the case, there's a transparency issue here. I'm worried that the absence of public engagement may be intentional — an attempt to manage the perception of what's about to happen by keeping it quiet (or at best, confusingly disclosed), in hopes of preventing another public relations fiasco, like the bill-killing blowup over SOPA and PIPA.

If CCI really wants this to work as claimed — to educate users — then it needs to work with ISPs to lay out the parameters beforehand, addressing scenarios like the one I've described above, "I's dotted and T's crossed."

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

There's a new anti-piracy warning system designed to track copyright infringers

@highlight

But "six strikes" is different from either SOPA or PIPA; it's a warning system managed by ISPs

@highlight

Participating providers include AT&T, Verizon, Comcast, Cablevision and Time Warner Cable

@highlight

But who's responsible for each infraction? It's a delicate, thorny issue