(CNN)  -- Just over a year ago, a U.S. staff sergeant in Iraq decided to practice his shooting skills. His target: the Quran, Islam's holiest book.

Pvt. Nicole Wright, 20, learns cultural awareness by watching an interactive DVD.

The military issued a formal apology, promptly dismissed the soldier from his regiment and reassigned him to stateside duty.

But news of the shooting had already made its way onto YouTube, and a firestorm of outrage was ignited across the Islamic world. Protests turned deadly in Afghanistan.

Back at the Army's Intelligence and Cultural Awareness Center at Fort Huachuca, Arizona, commanders knew they had a problem. In the 21st century, the Army was sending younger soldiers into an arena they had little cultural experience in, and at the same time, new social networking sites were poised to broadcast their mistakes to the world.

Maj. Gen. John Custer, the leading officer at Fort Huachuca, knew that the Army not only needed trained linguists, but it also needed a new language of its own.

"The advent of social networking has changed the world. The soldiers who I see coming from basic to the intel center, what is the first question they ask? 'Are you Wi-Fi?'," he said.

Today, a third of the men and women the Army has deployed in Iraq and Afghanistan are between the ages of 20 and 24, and Custer believes the military has now entered the age of the "strategic private" -- a young soldier reared on video games.

And because of social networking, that private is now armed with the ability to severely cripple a mission and spark the kinds of reactions that the world saw after the Quran shooting.

So Custer decided his young recruits needed some extra training in cultural awareness. For help, he turned to a group of former military men who also saw an opportunity to engage today's Iraq-bound soldiers.

Russ Phelps spent a career in the Navy before starting a Denver, Colorado-based company called InVism, which combines live-action video and virtual-reality technology to create simulators that become learning tools for the military and other clients.

"I was watching the rise of the gaming world, and the impact and the power it was having over how people were interacting with information, and I thought there is something here," Phelps said.

So Phelps, a trained Arabic linguist, worked with two other companies, Combat Film Productions and Quest Pictures, to help him create realistic, movie-like combat scenarios. Hollywood veterans shot the scenarios on an elaborate set in Southern California, adding real footage from Iraq whenever possible.

The result: an immersive cultural simulation program that is part video game, part blockbuster Hollywood movie. Soldiers use computers to train on an interactive DVD that plunges them into a series of scenarios and presents them with choices, such as whether to accept a cooler full of drinks from an Iraqi youth.

At the end of each scenario, the recruit clicks on his or her choice, then discovers whether it was the right one. (Hint: That cooler could contain a bomb.)

In this way, the DVD becomes an immersive learning tool that trains soldiers in a way that lectures and textbooks cannot.

Ken Robinson, an Army Ranger turned Hollywood guru, is the project's executive producer. He's convinced that by grabbing soldiers' attention with stunning graphics and compelling characters, and then engaging them in the decision-making process, the project will deliver the ultimate payoff.

"They're gonna live," he told CNN. "They're gonna make choices on the battlefield that will prevent their first choice from being to use their weapon. They're gonna use their mind."

Robinson believes the simulator program is more effective then a traditional video game because soldiers relate more to human characters than virtual avatars.

"Nobody cares about an avatar that gets killed. You just get another avatar," he said.

"It's a 'band of brothers' mentality," agreed Steve Wilson, Chief of Training at Fort Huachuca. "You are building a camaraderie."

Wilson hopes that the soldiers build enough of a bond with the characters onscreen that they will be able to sense the shock and stress that come with the life-or-death situations they'll soon be immersed in for real.

But can a soldier really save a life, or multiple lives, just by using more cultural sensitivity? Does it really matter if a U.S. soldier knows the difference between a Shiite and a Sunni? Custer thinks so.

"If an untrained soldier walks through a market, he's gonna come back and tell you 'there are a lot of tomatoes here today,' " Custer said. "The guy who has cultural training is gonna come back and say, 'All the Sunnis in the market are talking about al-Dari, a meeting tonight.' "

Pvt. Nicole Wright, 20, who doesn't know yet when she'll be deployed, has found the training useful.

"I'm going to be a little more aware of what I'm looking for, the people and the environment," she said.

Spc. Andrew Omernick, 23, who grew up playing video games, agrees.

"The format was a little bit different from most video games I've seen. It was intuitive," he said. "I thought this training was a significant step forward."

Every soldier who takes the DVD immersion course is given a pre- and post-training test to measure the change in their cultural acuity. But there is an even more immediate feedback about whether the Army has achieved its mission of connecting with its young soldiers.

"If it were a video game, I'd buy it," Omernick said.

@highlight

The U.S. Army is using interactive videos for soldiers' cultural sensitivity training

@highlight

The videos help recruits understand and adapt to Iraq and Afghanistan

@highlight

Soldiers watch DVDs that plunge them into a series of wartime scenarios

@highlight

Recruits face choices, click on options, then find out how they scored