(CNN) -- As more technology goes mobile, "where" has become one of the key pieces of context in daily life. And the answers to "where" increasingly are provided through geographic information systems (GIS), a technology that is being explored, debated and celebrated today in public.

It's GIS Day, and events are being held in 45 U.S. states and 59 countries.

Find a GIS Day event near you

GIS is an umbrella term to describe tools used to gather, transform, manipulate, analyze and produce information about real-world places. It's used to create maps and 3-D models, and to provide information to create more accurate reports and make better decisions. It also powers popular interactive services like Google Street View, or GPS features that help apps on your smartphone know what you mean by "nearby."

The point of GIS Day is to demonstrate uses of GIS that are making a difference in society, from getting driving directions on your cell phone to geocaching games to the global response to the Haiti earthquake. Presentations, demonstrations and discussions will cover such far-ranging topics as transportation, defense,  education, agriculture and more. Every event is unique.

I'll be attending the GIS Day event at the University of California, Berkeley, where I'm hoping to try out the free app GeoBeagle on my Android phone in a geocaching exercise.

Some GIS Day events (like the UC Berkeley one) are conference-style and geared toward adults. But many are specifically kid- and family-friendly. For instance, Myford Elementary School in Irvine, California, is hosting a GIS Day event that includes first-graders making "map hats" and fourth- and fifth-graders playing geo-"Jeopardy."

Most events are free and open to the public.

GIS Day grew out of Geography Awareness Week, an annual campaign launched in 1987 by the National Geographic Society to promote geo-literacy and draw attention to "the importance of geographic understanding in ensuring our nation's economic competitiveness, national security, environmental sustainability, and the livability of our communities in the 21st century."

Of course, GIS technology isn't all roses and sunshine. When GIS-enabled devices or systems know where you are and where you've been, it opens substantial concerns about privacy, safety, security and equity.

GIS technology can pave the way for the more effective or equitable delivery of products and services, or it can empower communities to better look after their own local interests. But it can also enable new types of discriminatory "redlining," or encourage overeager law enforcement agencies to snoop.

How much locative information is OK to share, and who should have access to it? Where to draw that line will probably be one of the most important "where" questions discussed at today's GIS Day events.

@highlight

GIS Day aims to show how geographic information systems can aid society

@highlight

Amy Gahran will be attending the GIS Day event at the University of California, Berkeley

@highlight

GIS Day grew out of Geography Awareness Week, an annual campaign launched in 1987