The Southern Plains of the United States are likely to see a continuation of a severe drought this winter, while the Pacific Northwest will be colder and wetter than average, according to data released Thursday by the National Oceanic and Atmospheric Administration.

La Nina is expected to influence weather patterns across the country for the second year in a row. Weather officials say with La Nina in place, Texas, Oklahoma, New Mexico and other surrounding states are unlikely to get enough rain to alleviate the ongoing drought.

"Ninety-one percent of Texas, 87 percent of Oklahoma and 63 percent of New Mexico are experiencing extreme or exceptional drought," said David Brown, director of the Southern Region Climate Services based in Fort Worth, Texas.

Parts of Texas and Oklahoma are more than 30 inches below average in rainfall this year, with little in the forecast to predict the trend is going to change as the winter months approach.

Agricultural losses in Texas have reached $5 billion in the past year, Brown said. Wildfires in 2011 have destroyed at least 3.5 million acres in the state. He also pointed out there are more than 600 separate water systems facing mandatory restrictions. Parts of Arizona, Kansas, Arkansas and Louisiana are also experiencing drought conditions.

NOAA expects La Nina, which returned in August, to gradually strengthen and continue from December through February 2012. La Nina is associated with cooler than normal water temperatures in the tropical Pacific Ocean, which influences weather throughout the world.  It's the opposite of El Nino in which warmer ocean temperatures are seen in the same region.

"The evolving La Nina will shape this winter. La Nina is not going anywhere," said Mike Halpert, deputy director of NOAA's Climate Prediction Center. "There is a wild card, though. The erratic Arctic oscillation can generate strong shifts in the climate patterns that could overwhelm or amplify La Nina's typical impacts."

Officials said the phenomenon could produce dramatic short-term swings in temperatures.

While the opposing weather patterns are always present, it fluctuates between positive and negative phases, the agency said. The negative phase pushes cold air into the United States from Canada and can result in cold snaps and snowy conditions such as the "snowmageddon" storm of 2009, according to NOAA.

The highlights of the U.S. winter outlook from NOAA include:

■ Pacific Northwest: colder and wetter than average. La Nina often results in below-average temperatures and increased mountain snow in the Pacific Northwest and western Montana during the winter months. This may set the stage for spring flooding in the Missouri River Basin.■ California: colder than average with odds favoring wetter than average conditions in northern California and drier than average conditions in southern California. All of the southern part of the nation is at risk of having above normal wildfire conditions starting this winter and lasting into the spring.■ Northern Plains: colder and wetter than average. Spring flooding could be a concern in parts of this region.■ Southern Plains and Gulf Coast states: warmer and drier than average. This will likely exacerbate drought conditions in these regions.■ Florida and south Atlantic Coast: drier than average, with an equal chance for above-, near-, or below-normal temperatures. Above normal wildfire conditions.■ Ohio and Tennessee valleys: wetter than average with equal chances for above-, near-, or below-average temperatures. Potential for increased storminess and flooding.■ Northeast and Mid-Atlantic: equal chances for above-, near-, or below-normal temperatures and precipitation. Winter weather for these regions is often driven not by La Nina but by the Arctic oscillation. If enough cold air and moisture are in place, areas north of the Ohio Valley and into the Northeast could see above-average snow.■ Great Lakes: tilt toward colder and wetter than average.■ Hawaii: Above-average temperatures are favored in the western islands with equal chances of above-, near-, or below average precipitation. Statewide, the current drought is expected to continue through the winter. Drought recovery is more likely over the windward slopes of the Big Island and Maui.■ Alaska: colder than average over the southern half of the state and the panhandle with below average precipitation in the interior eastern part of the state.

The seasonal outlook from NOAA does not project where and when snowstorms may hit, according to weather officials. The snow forecasts are dependent upon winter storms which are generally not predictable more than a week in advance, they said.

@highlight

Strong Arctic weather patterns can overwhelm or amplify La Nina

@highlight

Drought conditions are expected to continue in the South and Southwest

@highlight

The Pacific Northwest will be wetter and colder than average