On March 19, 2003, Iraq was invaded by an "alliance of willing states" headed by the U.S. and UK. My U.N. inspection team and I had seen it coming -- and I felt an emptiness when, three days before the invasion, an American official called me to "ask" that we withdraw from the country.

While we were sad to be ushered out in the midst of a job entrusted to us by the U.N. Security Council -- one that we were doing well -- there was a certain relief in knowing we had all made it out safely. We had worried that our inspectors might be taken hostage, but as it turned out the Iraqis had been very helpful during our time there.

So it was that a few hundred unarmed U.N. inspectors left Iraq, to be replaced by hundreds of thousands of soldiers who began an occupation that would have a horrendous cost in lives, suffering and resources.

FULL COVERAGE: The Iraq War, 10 years on

I headed the U.N. inspections in Iraq at the time of the war 10 years ago. Today, I look again at the reasons why this terrible mistake -- and violation of the U.N. charter -- took place and explore if any lessons be drawn. Here are my thoughts.

After the terrorist attacks of September 11, 2001, George W. Bush's administration felt a need to let the weight and wrath of the world's only superpower fall on more evil actors than just Afghanistan's Taliban regime.

No target could have seemed more worthy of being crushed than Iraq's brutal dictator, Saddam Hussein. Sadly, however, the elimination of this tyrant was perhaps the only positive result of the war.

The war aimed to eliminate weapons of mass destruction, but there weren't any.

The war aimed to eliminate al Qaeda in Iraq, but the terrorist group didn't exist in the country until after the invasion.

The war aimed to make Iraq a model democracy based on law, but it replaced tyranny with anarchy and led America to practices that violated the laws of war.

The war aimed to transform Iraq to a friendly base for U.S. troops capable to act, if needed, against Iran -- but instead it gave Iran a new ally in Baghdad.

WATCH NOW: Iraq's phantom WMD

The Bush administration certainly wanted to go to war, and it advanced eradication of weapons of mass destruction as the main reason. As Deputy Secretary of Defense Paul Wolfowitz has since explained, it was the only rationale that was acceptable to all parts of the U.S. administration.

The WMDs argument also carried weight with the public and with the U.S. Congress. Indeed, in the autumn of 2002 the threat seemed credible. While I never believed Saddam could have concealed a continued nuclear program, I too thought there could still be some biological and chemical weapons left from Iraq's war with Iran. If not, why had Iraq stopped U.N. inspections at many places around the country throughout the 1990s?

However, suspicions are one thing and reality is quite another. U.N. inspectors were asked to search for, report and destroy real weapons. As we found no weapons and no evidence supporting the suspicions, we reported this. But U.S. Defense Secretary Donald Rumsfield dismissed our reports with one of his wittier retorts: "The absence of evidence is not evidence of absence."

Rumsfeld's logic was correct, I believe, but it was no excuse for the American and British governments to mislead themselves and the world, as they did, by giving credit to fake evidence or assuming that if weapons items were "unaccounted for" that they must exist. They did not exist.

We inspected many hundred of sites, including dozens that had been suggested to us by various governments' national intelligence organizations. In a few cases we found conventional weapons -- but no weapons of mass destruction. The governments that launched the war claimed to be 100% convinced that there were such weapons, but they had 0% knowledge of where these weapons were.

I am not suggesting that governments should ignore information coming from their billion dollar intelligence programs. Such information is indispensable and collected with many means that are not available to U.N. inspectors.

However, I think one lesson from the Iraq war is that we should pay equal attention to the results of multimillion dollar international reports that are based on extensive professional inspections on the ground. In 2003, the alliance of willing states did not do that.

After the war it was reported that I and several others in New York had had our offices bugged during this period. If I was bugged, as I find very likely, I regret that those listening in did not pay more attention to what I had to say.

FAREED ZAKARIA: 5 lessons of the Iraq War

Fortunately, enough states did listen, and the U.N. Security Council was saved from green-lighting a war that was justified by false evidence.

The political leaders who have been criticized as responsible for launching the war on false premises have asserted that they acted in good faith, and that interrogation of leading Iraqis showed that the regime planned to revive its weapons program as soon as sanctions disappeared.

I am not questioning the good faith of the political leaders, but rather their poor judgment in bringing war and death to a country on flimsy grounds.

On February 11 -- less than five weeks before the invasion -- I told U.S. national security adviser Condoleezza Rice I wasn't terribly impressed by the intelligence we had received from the U.S., and that there had been no weapons of mass destruction at any of the sites we had been recommended by American forces. Her response was that it was Iraq, and not the intelligence, that was on trial.

ARWA DAMON: Iraq suffocates in cloak of sorrow

And during a telephone chat with Tony Blair on February 20, I told the British prime minister that it would be paradoxical and absurd if a quarter of a million troops were to invade Iraq and find very little in the way of weapons. He responded by telling me intelligence was clear that Saddam had reconstituted his weapons of mass destruction program.

At any rate, whatever view one took of the evidence of weapons, no one could believe in 2003 that prostrate Iraq was a threat to any other state.

I cannot judge whether Iraqi prisoners were sincere when they talked about Saddam Hussein's intentions to revive weapons programs after the end of sanctions. They might have said what they thought their Western interrogators wanted to hear. Either way, the risk of a revived weapons program was remote and hypothetical -- and the U.N. foresaw a system of reinforced monitoring to continue in Iraq and to provide an alarm bell even after a lifting of sanctions.

The most important lesson of the Iraq War, I think, has been that an overconfidence in military power has been replaced by an understanding that there are severe limitations on what can be achieved by military means.

OPINION: Media's failure on Iraq still stings

Intervening swiftly with arms and crippling strikes might be easy for a great power, but achieving desired political aims is another matter and exiting may be hard -- the phrase "If you break it, you own it" comes to mind. Vietnam, Afghanistan and Iraq have been long and costly engagements with very mixed results. Since then prudence has held the U.S. back in the case of Libya and so far in Syria.

Another important lesson is that today armed  international interventions are likely to be condemned by much of the world unless they are clearly  in self-defense or have been authorized by the Security Council.

Iraq was neither. Unless we remember this going forward, I fear there is nothing stopping this kind of tragedy from being repeated.

@highlight

Blix: Lead-up to war shows we must rely on international inspectors' reports

@highlight

War aimed to eliminate non-existent WMD, but ended up replacing tyranny with anarchy

@highlight

Blix: Invading a country is easy for great power, but achieving political aims is more difficult

@highlight

Blix: It is likely my U.N. office in New York was bugged in lead-up to invasion of Iraq