Bekaa Valley, Lebanon (CNN) -- After I became a father, I found covering the stories of refugees more heart-wrenching than ever before. Of course, it is the children that immediately draw your attention. It is their wide-eyed fascination with everything you do. They want to touch my producer Danielle's hair and play with the gadgets of my cameraman, Clayton. They exchange high fives, give the peace sign, and gamely practice their English on me.

I try not to let my mind wander to the place that imagines what the lives of these sweet children will be like weeks or months from now. They are images nobody should ever see. People starve to death here.

How to help Syrian refugees

For the past several days, I had been in refugee camps along the border between Syria and Lebanon. Over the past 12 years, I have covered wars, natural disasters and other tragedies as a medical reporter, which meant the very worst stories filtered down to me. I remember a child who lost both her legs after stepping on a land mine in Iraq. I remember a family standing in a decimated home in Sri Lanka, having lost all it owned. In Port-au-Prince, Haiti, I saw young children searching for their parents in large garbage dumpsters, hoping to catch a final glimpse of them. Pakistan was full of stories of families swept away by the floods that soaked one-fifth of the nation. Some of the very worst stories are happening again.

None of this is easy to write.

I am here because I believe the few minutes you spend reading this firsthand dispatch will give you a clearer idea of what is unfolding here. While you may not be able to locate the Bekaa Valley on a map, or even Damascus for that matter, stories about health are universal and serve as a common denominator all over the planet.

Over the past two years, 720,000 registered refugees have made the dangerous crossing from Syria into Lebanon. According to aid organizations on the ground, at least that many more have also come across illegally. In a country of 4 million people, roughly one in four is now a refugee. Lebanon is buckling under the weight of these refugees, leading to abysmal conditions. In the largest camp in Bekaa Valley, there is no fixed water supply or sanitation. There are streams of putrid waste snaking their way through the camps. And there is not enough food.

As a dad, you get pretty good at judging the age of children, based on their size. Here, nothing makes sense. There are 8-month-olds who look closer in age to newborns, and 10-year-olds who look 5. And often, it is the young child forced to care for an even younger child.

In a place like this, you can quickly distinguish the children who are being breast-fed from those who are not. While the breast-fed children are getting carbohydrates, fats and proteins, they are not getting enough calories overall. It is tough, after all, when the mother has not had anything to eat for days herself. The child's hair looks dull, the skin looks thin and the body looks emaciated. It is called marasmus, and it shouldn't typically happen to a breast-fed baby.

Syria's traumatized refugee children

Again, nothing here is typical.

The older children who are able to obtain any sort of calories are not getting enough proteins in their diet. They eat primarily just grains. Their small bodies look bloated and they often have swelling in their tiny feet. It also has a name: kwashiorkor. I learned much of this in medical school, and even then I prayed to never see it firsthand.

Sadly, I now know the look of eyes that have not seen food for too long. They can look at nothing else. It is not a hopeful look, but a sad resignation that despite their deep hunger, these morsels of basic food are not meant for them.

If you are a parent or have any compassion whatsoever, seeing those eyes will bring you to your knees.

U.N. Number of Syrian refugees tops 2 million

To simply live in a makeshift tent on a 10-by-10-foot plot of dirt, some of the landowners in Bekaa Valley are charging $100 a month. It would almost be laughable except as so often happens -- the children bear the brunt of this hardship. They work in the fields for $2 a day, beg under bridges and turn to prostitution.

Truth is, I feel guilty the moment I arrive, knowing I will leave and wave wildly at the tiny little friends running alongside our car -- as if that will somehow make things any better for them. These children will fill your daytime thoughts and your dreams at night. Their minds are brimming with dreams unrealized and their hearts are so full of hope.

I often think of my own children and how disappointed they would be that their daddy couldn't do more to help kids like them.

It would be missing the point to say that I see the eyes of my own children, when I look into the children's eyes of Bekaa Valley. Truth is, these are my children. They are the children of the world, Many of them will persevere, and may even make it home to a hopefully more stable way of life. But, for the time being -- this is the price they pay as refugees in Lebanon, September 2013.

@highlight

Dr. Sanjay Gupta has been at refugee camp outside of Syria

@highlight

The children are living in filth and look half their age, he says

@highlight

Their small bodies are bloated as they are living off grains, Gupta says

@highlight

"Truth is, these are my children," he says