Fifteenth-century Arabs were the first to cultivate coffee and a Frenchman was behind the 1843 debut of the world's first commercial espresso machine.

There have been a few leaps forward since then.

"People are more and more interested in where the beans come from, and how they're harvested and roasted," says New Zealand barista champion Nick Clark of Wellington's Flight Coffee.

"There are so many variables involved in producing a great cup of coffee these days, and the industry has had to evolve to meet growing consumer expectations."

The world's best coffee cities are those where the coffee isn't just good -- it's great.

Have you got a favorite coffee city? Top coffee shop? Share your coffee love in the comments below.

London

Aussies and Kiwis opened the city's first espresso-focused coffee shops (such as Flat White and Kaffeine) a decade ago and they've been popping up across the city ever since.

"London still has a long way to go with café service, but in the past five years there's been so much growth, which is a great thing to be part of," says Estelle Bright, head barista at London's Caravan.

Local order: Flat white or cappuccino.

"London is still in the grip of the flat white craze, but cappuccinos are similarly popular," says Bright.

Top shops: East London boasts the highest concentration of quality coffee shops and cafes. Allpress, Climpson & Sons and Caravan are standouts.

Melbourne

"The coffee culture in Melbourne is just incredible," says reigning World Barista Champion Pete Licata, from the United States.

Coffee is such an integral part of the Melbourne lifestyle that the city even hosts an annual coffee expo.

Local order: Piccolo latte.

While lattes, cappuccinos and flat whites remain popular, piccolo lattes (made with less milk so the espresso tastes stronger) are the drink du jour.

Top shops: "It's nearly impossible to find a bad cup of coffee in Melbourne," says Licata.

For real coffee purists, there's Axil Coffeehouse Roasters in Hawthorn (322 Burwood Road), Auction Rooms in North Melbourne and Dead Man Espresso in South Melbourne.

Hidden Secrets Tours runs café culture walks.

Reykjavik, Iceland

After the Dutch, Scandinavians have the highest coffee consumption per capita in the world.

While Finns drink the most among Scandinavians, Icelanders are also coffee crazy.

"Not too long ago, cafés in Reykjavík were more about the food," says Kristin Thora, a barista at Icelandic institution Kaffitar and reigning National Cupping Champion.

"You'd have coffee and cake and didn't mind how the coffee was as long as the cake was good.

"Then, about 25 years ago, people started to care about how their coffee was served."

With Iceland's lack of commercial coffee behemoths, smaller businesses have had a chance to flourish.

Now you can hardly walk a city block without passing a coffee shop.

Local order: Latte or cappuccino.

"Drip coffee is popular in the home, but Icelanders tend go to coffeehouses for espresso-based drinks," says Thora.

Top shops: With seven coffee shops and a roaster to its name, Kaffitar is the closest thing Iceland has to a coffee chain. Stofan and Kaffismidja are hipster faves.

Rome

Coffee is so much a part of Italian culture that you'll rarely encounter a local who doesn't drink it.

But believe it or not, it's not always that easy to find a decent espresso in Italy, with critics whispering that Italians have been resistant to adopt modern barista techniques.

But with the best of the nation's baristas calling it home, Rome is your best bet for a quality cup.

Local order: Espresso.

Custom dictates that milky coffees can only be consumed at breakfast, anyway.

Top shops: Rosati in Piazza del Popolo, Sant' Eustachi by the Pantheon or Giolitti, a few blocks west of the Trevi Fountain, are crowd favorites.

Singapore

"Coffee has always been an integral part of Singaporean life, but we've only recently embraced modern espresso technology," says Jovena Loon of Café Hopping Singapore. "Locals have become so obsessed with latte art that it has become a basic criteria for a good café."

Local order: Latte, mocha or cappuccino.

Top shops: Jovena recommends Strangers' Reunion in Chinatown, Dutch Colony in Pasar Bella marketplace, and Bukit Timah and Chye Seng Huat Hardware in Little India.

Seattle

If there's one American city that's consistently ahead of the game, it's Seattle.

The green mermaid is only a small part of the hometown coffee scene.

"Coffee is our liquid sunshine in Seattle," says Joshua Boyt from Victrola Coffee Roasters, one of the city's best cafes for coffee geeks.

"Passion for the product, coupled with the sheer number of coffee shops across the city, has created a culture of constant improvement through competition and camaraderie."

Local order: Espresso, cappuccino or a single-origin pour.

Top shops: Victrola Coffee Roasters in Capitol Hill, Empire Espresso in Columbia City and Seattle Coffee Works downtown are all solid picks.

Vienna, Austria

They're such an important part of Viennese culture that the city's coffee houses were listed by UNESCO in 2011 as an Intangible Heritage.

But modern coffee connoisseurs such as Vienna coffee blogger Lameen Abdul-Malik of From Coffee With Love admit that the standard of coffee in these beloved institutions, which act as public living rooms where people come to chat, read newspapers and eat strudel, are lagging in terms of coffee technology and service expectations.

Perhaps not for long.

"Since Vienna hosted the World Barista Championships in 2012, and new-style independent coffee shops began to open up, the quality of espresso drinks is steadily improving," says Abdul-Malik.

Local order: Espresso or cappuccino in a new style cafe.

Or a Vienner melange (similar to a cappuccino, but usually topped with cream) in a traditional coffeehouse.

Top shops: Abdul-Maliuk recommends Caffe Couture, Essenti or Coffee Pirates. Demel serves traditional coffee and marvelous cakes.

Wellington, New Zealand

While the ubiquitous flat white was purportedly invented in Sydney, the drink was perfected in Wellington, where it's become the nation's unofficial national beverage.

"Wellington-ites really know their coffee, and there is a very high standard being served around the city," says Clark. "Wellington is also a small city; there's a lot of interaction between consumers and professionals, which helps our industry to improve and grow."

Local order: Flat white. It's a religion.

Top shops: It's tough to find a bad coffee in New Zealand.

Some of Wellington's best coffee shops include Flight Coffee Hangar, Memphis Belle and Lamason Brew Bar.

Have you got a favorite coffee city? Coffee shop? Share the coffee love in the comments below.

@highlight

After the Dutch, Scandinavians have the highest coffee consumption per capita in the world

@highlight

Coffee culture in Melbourne "just incredible" says reigning World Barista Champion

@highlight

Singapore is Asia's coffee capital

@highlight

Seattle? Of course!