(CNN) -- Earlier this week, Pete Cashmore, the founder of Mashable, published his top 10 trends for 2012. And while Cashmore's list is characteristically prescient, it misses one trend which I suspect will increasingly shape our attitude toward technology over the next year.

So let me add an 11th trend of 2012: Next year, we will become increasingly preoccupied with the relationship between new digital technologies and employment. 2012 will be the year that it finally dawns on us that more digital technology might mean fewer regular jobs and that robots could be replacing human beings as the critical labor constituency of our "new economy."

Cashmore's own Mashable website gave us a sneak preview of this revolution in August when it reported on the decision of Foxconn, Apple's Chinese manufacturer, to replace a large part of its workforce with one million robots. And in 2012, I predict, these kinds of strategic investments in artificial intelligence -- from consumer products like Apple's Siri and Google's self-driving car to automated industrial factories -- will become ever more commonplace.

Next year, we will also see an increasing debate about the connection between new technology and jobs. This is a debate that will particularly focus on the impact of digital technology on average workers. It will pit what we might call "innovation fundamentalists" against "innovation skeptics."

Eric Schmidt, Google's former CEO and its current executive chairman, is a classic example of an innovation fundamentalist. "Innovators create millions of jobs in America," the multi-billionaire mogul told CNN's Erin Burnett last week on OutFront about what he believes is the inevitably positive impact of new technology, particularly information technology, upon employment.

But even though innovation fundamentalism remains the core orthodoxy in Silicon Valley, not every digital mogul shares Schmidt's faith in the magical impact of innovation on jobs. Last month, for example, at the Oxford Union, the debating society of Oxford University, we got a sneak preview of the kind of debate about our digital economy that we will become ever more resonant in 2012.

"This house believes that the average worker is being left behind by advances in technology", the Union debate -- a part of the annual Silicon Valley Comes to Oxford conference -- was framed. And among those arguing that the average worker is, indeed, being left behind by technologyl were innovation skeptics like Reid Hoffman, the billionaire co-founder of LinkedIn and two distinguished MIT economists, Erik Brynjolfsson and Andrew McAfee.

"The androids are coming and they work even cheaper than the Chinese do," argued McAfee in the Union debate. He went on to explain that the combined American labor force of Facebook, Apple, Amazon was less than 150,000 workers -- a number, he explained, that was smaller than the average number of people entering the American workforce each month.

McAfee then warned the Oxford audience about the cloud-based storage company Dropbox, the so-called current "darling" of Silicon Valley. He said Dropbox was bringing in $270 million in revenue from 40 million users and yet employed only 70 people. Not surprisingly perhaps, the Union motion was carried by a more than 3 to 1 margin.

Brynjolffson and McAfee are also the co-authors of "Race Against The Machine: How the Digital Revolution is Accelerating Innovation, Driving Productivity, and Irreversibly Transforming Employment and the Economy," a controversial new e-book which argues that the creative destruction of today's digital revolution is actually leaving millions of people behind.

While they are argue that technological innovation is certainly making us more productive, it is not, they worry, either raising average American income or generating more jobs for average workers.

It's important to note that skeptics like Brynjolffson and McAfee aren't luddites and "Race Against the Machine" is distinguished by a substantive final chapter which outlines a series of a prescriptions and recommendations of what needs to be done to more effectively combine technological innovation and jobs.

Proactive education, entrepreneurship and investment policy are the keys to guaranteeing that new technology will produce more jobs for average workers, the MIT economists write.

I have to confess that I share the concerns of entrepreneurs like Reid Hoffman and economists like Brynjolffson and McAfee about the impact of new technology on average workers. Like them, I worry that dynamic new global companies like Dropbox, Facebook and Google don't require the labor of average workers. I thus welcome the debate about technology and labor that we are about to have in 2012.

Traditional media's decline is our loss

In his excellent summary of 2011, Cashmore argues that "the pace of change has become blisteringly fast, with traditional industries -- bookstores, video-rental chains, newspapers -- crumbling more quickly than we could have imagined."

Yet while Cashmore is right to describe the pace of change in 2011 as "blisteringly fast", he is wrong to suggest that nobody imagined the "crumbling" of old media industries like Blockbuster video rental stores and Borders bookstores. Indeed, one of the most impressive of this year's non-fiction books, Robert Levine's "Free Ride: How Digital Parasites Are Destroying the Culture Business, and How the Culture Business Can Fight Back," charts this demise and argues that it can be blamed, in part, on the online economy's misguided focus on free content and the self-interested permissiveness of powerful digital companies toward online piracy.

In many ways, Levine's argument is also about the relationship between technology and employment. Rather than the android, however, Levine's enemy is the online pirate whose theft of intellectual property has resulted, he says, in many thousands of creative professionals losing their jobs.

Levine's argument puts him in the camp of innovation skeptics. Like Hoffman and McAfee, this former Billboard editor is not against technology and recognizes that, for better or worse, the digital revolution is an unavoidable reality of our age. But "Free Ride" is a carefully calibrated reminder that there is nothing either inevitable or beneficial about the crumbling of many traditional media companies and that we, as regular consumers of music, books and movies, are the ultimate losers when these industries decline.

Artificial intelligence: Good or bad?

I've already mentioned two of my top five 2011 books: Levine's "Free Ride" and McAfee and Brynjolfsson's "Race Against The Machine."

The next two pretty much pick themselves. Walter Isaacson's blockbuster "Steve Jobs" is a rich and balanced biography of the ultimate innovation fundamentalist, ultra-willing to sacrifice everything and everyone at the altar of technological creativity. While James Gleick's acclaimed "The Information: a History, a Theory, a Flood," is a brilliant analysis of why and how information has become the motor of the early 21st century's innovation economy.

My final choice is Tyler Cowen's "The Great Stagnation: How American Ate All the Low-Hanging Fruit of Modern History, Got Sick, and Will (Eventually) Feel Better," which addresses the relationship between technological innovation and prosperity. Cowen, an economist at George Mason university, blows up every orthodoxy.

He argues there hasn't been much technological innovation over the last 50 years which, he notes, explains the scarcity of ordinary jobs in today's economy. Ironically, Cowen pins his hopes for future prosperity on the commercial success of artificial intelligence technology -- a development which, of course, McAfee and Brynjolfsson blame for today's unemployment crisis.

The opinions expressed in this commentary are solely those of Andrew Keen

@highlight

Andrew Keen argues relationship between digital tech and jobs will become focus in 2012

@highlight

Debate will pitch so-called "innovation fundamentalists" against "innovation skeptics," Keen says

@highlight

Regular consumers are the true losers of the collapse of old media businesses, he adds