(CNN) -- In just a few days, Jorge Bergoglio has shown that as Pope Francis he will be the kind of approachable, down-to-earth man that people yearn for in a spiritual leader.

Like the Dalai Lama and Bishop Desmond Tutu, he smiles easily and appears to walk comfortably through the world. He showed his humanity on his first full day in office as he suddenly left the Vatican to visit Rome's main church, the Santa Maria Maggiore basilica, and then stopped by the hotel where he had stayed before the recent conclave to pay his bill.

Like any major political leaders who communicate with symbols and gestures, Catholic hierarchs use style and stagecraft to reach their followers. The conclave and then the presentation of the new pope have been refined, as theater, over more than a thousand years.

The secrecy surrounding the selection of the pontiff and the pomp accompanying the announcement from the balcony produce the kind of drama that rivets the world even in an age of technological distraction. Who isn't awed by the sights and sounds of a hundred-thousand people gathered in St. Peter's Square, awaiting and then greeting the man chosen to lead 1.2 billion people?

Opinion: A humble, authentic and credible pope

Just as we are meant to be affected by religious stagecraft, we are also practically hardwired to seek the meaning in a leader's every move. When Francis visited Santa Maria Maggiore he met briefly with Cardinal Bernard Law, who recently stepped down as archpriest of the basilica.

A decade ago, when he was archbishop of Boston, Law was a notorious figure in the scandal that arose around the sexual abuse of children by priests. As scores of victims accused him of failing to protect children from predatory priests, he became the only bishop to resign because of the abuse crisis; he then fled to Rome. But while many Boston Catholics consider Law a disgraced figure, his fellow bishops have continued to respect him and, in reaching out to him, Pope Francis appeared to echo this solidarity.

Opinion: Pope Francis is no herald of big changes

This can be seen as a reminder to the world that the Catholic Church remains under the control of men who were appointed to high office by the archconservatives John Paul II and Benedict XVI and share a commitment to the orthodoxies that have alienated so many modern Catholics. On the status of women, priestly celibacy, contraception and sexuality, Francis is as firmly rooted in the past as his predecessors.

For example, during the debate that eventually resulted in gays in Argentina being allowed to marry, then-Archbishop Bergoglio mounted a fierce campaign against this equality. He argued that Satan himself was the author of a reform he called "a machinization of the 'Father of Lies'," and that children and families would be harmed by the change.

While he was archbishop of Buenos Aires, Bergoglio spoke often of the poor and called attention to the many ways that modern societies push people without status to the margins. In this way, he reflected Christ's affiliation with the outcasts of his time.

However, even as he spoke for the powerless, Bergoglio also consistently aligned himself with powerful conservative politicians seeking to oust the government headed first by Nestor Kirchner and later by his wife, the current President Cristina FernÃ¡ndez de Kirchner, and which enjoyed wide support from the middle and lower classes. Time and again he invoked God in his political campaigns and suggested the other side was somehow less holy.

As he engaged in politics, Bergoglio emphasized the special status claimed by the church as an agent of his God, which, he implied, makes it superior to all other institutions. When he became Pope Francis, Bergoglio expressed the same sentiment in his very first formal remarks, delivered at the Sistine Chapel. There he warned that without emphasizing its religious base the church runs the risk of becoming "a pitiful NGO" (nongovernmental organization).

Navarrette: Pope pick a signal to Latino Catholics

For those who respect NGOs such as Amnesty International and the Red Cross, Francis' choice of words -- "pitiful NGO" -- was a stinging reminder that this man with the humble style cannot resist claiming superiority based on supernatural beliefs. This is the great contradiction of the new pope. On the one hand he criticizes hypocrisy in the church and shows his discomfort with the trappings of power. On the other, he shows disdain for social institutions and leaders that compete with the church for influence and authority.

The dichotomy represented by the values espoused by Christianity and an imperial church is what makes so many people uncomfortable with official Catholicism. Francis embodies this conflict. Stylistically, the world is getting a far more approachable, Christ-like man who understands the compassion and empathy people crave from spiritual leaders.

However, Francis' record appears to indicate there will be no real changes where it matters -- on the status of women, power-sharing, sexual ethics -- and thus huge numbers of Catholics will remain alienated. The biggest risk the Church faces today is irrelevance, and while the new pope's style means he'll get a hearing, what he has to say about issues that matter the most is unlikely to make the institution any more relevant than it was before him.

The opinions expressed in this commentary are solely those of Michael D'Antonio

@highlight

Michael D'Antonio: In Pope Francis' first days it's hard not to plumb meaning of his gestures

@highlight

He says among them was a visit with disgraced Cardinal Law, implicated in sex abuse scandal

@highlight

He says in this and other moves, he's shown commitment to orthodoxy of church hierarchy

@highlight

D'Antonio: Pope embodies tension between Christian values, imperial church