(CNN) -- Since her debut with the New York Philharmonic at the age of eight, Sarah Chang has grown through the weight of expectation to become one of the world's great violinists.

Now aged 31, Chang was born in Philadelphia to a composer and music teacher of Korean descent. She first dabbled with the piano at the age of three, before opting for the violin a year later. By five she had been accepted into New York's prestigious Juilliard School for Performing Arts.

By her own acknowledgment, the world of grand orchestras and opera houses that she has so long inhabited can be "very formal" and "exclusive." This perhaps goes some way to explain her choice of destination for her "Fusion Journey" challenge: Buenos Aires.

Here, in the hot-blooded Argentinean capital, she would meet with local band "Orquesta Tipica Andariega," to learn first-hand the sensual and mysterious art of tango.

See more Fusion Journeys

During her visit, Chang was challenged to produce a fusion of sound that blended the traditions of Western classical music with tango's emotionally raw and folksy heritage. She says that the process has given her performance a new-found sense of intimacy that she's carried ever since.

In her own words, Chang tells the story of her Fusion Journey.

Sarah Chang: I've been trained as a classical violinist my entire life. It's all about structure, all about technique. It's very much a polished profession. But tango music, although it has some classical elements, is very sexy and rough and, in a way, from the earth.

When you walk along the streets of Buenos Aires, fun is in the air. You see children with barely anything on their feet playing soccer, and there is music on every corner. They are playing all sorts of Latin sounds; they're all dancing and drinking; they're enjoying life; they are loving life.

One of the cornerstones of tango is definitely the dancing, so I first met up with dance instructor Nora Schvartz.

Now, I'm not really a dancer. I'm a very physical performer when I'm on stage, but of course tango is a completely different thing to thrusting around when you're performing as a violinist.

I learned that the best tango dancers move not just with their legs and arms, but from their guts. That's the sign of a true art form, and it's the source of so much beauty, so much soul and passion.

Even though I absolutely cannot dance -- just watch the footage! -- I always thought that to experience the whole picture, you really have to open up your vulnerabilities, and sort of take that risk.

Read related: Photographer's Lapland journey highlights global warming

Tango is -- in a sense -- imperfect ... albeit beautifully imperfect. It's not about being always metronomically on time, it's about spontaneity and freedom.

I've worked, of course, with a piano and an orchestra before -- but never with a band. All of a sudden I find myself rehearsing with the "Orquesta Tipica Andariega," an extremely talented local tango group. So there I was, playing songs I'd never played before, alongside instruments I'd never heard before, with a group I'd never met before -- it was thrilling!

The piece we chose for our fusion was by Carlos Gardel -- the biggest name in the history of tango. The tune itself is very famous -- it's used in all these movies, you name it, any famous tango scene. But as far as I know, there is no version for a band with a solo violinist, so I asked a composer friend of mine to make an arrangement for us.

I was really thrilled with the result. We performed it in this intimate little club and it felt so immediate. Everyone was there, drinking wine, dancing, looking so happy. There were no rigid rules, none of this "clap here, oh you have to be quiet here." Instead, the audience were whistling and yelling and clapping along -- it felt like they were right up there with us.

Literally, if I just stretched my arm, I could touch them, they were so close. That sort of intimacy, that sort of physical closeness, the fact that they were dancing when we were playing, I just thought was so beautiful.

"Fusions" can often turn out badly -- I can think of some fusion cuisine that I wish I could forget! But when each side brings just the right balance of their experience, their culture and personality, then I think it can be magical -- and the only way you know it has worked is when everyone has a smile on their face.

Classical music is one of the world's longest-standing traditional forms of music-making out there -- and I don't think it will, or should, change over night. There is a sort of purity in what classical musicians do that I cherish very much and want to preserve.

But the big thing that I really took from this experience is that sense of connecting with the audience. Quite often, in grand concert halls where everyone is wearing elegant ball gowns and black tails -- that kind of old-Hollywood glamor -- it can feel like there is a big distance between the audience and the performers, a sense of "look, but don't touch."

But with Argentinean tango, it's the opposite. They are saying "please touch, please come into and share my world." Now, every concert that I do, I try to utilize that, I try to connect with every single last person in the balcony on an emotional and personal level.

@highlight

American violinist Sarah Chang flew to Buenos Aires to immerse herself in tango

@highlight

Chang collaborated with local ensemble to create fusion of musical styles

@highlight

She says that the process has given her new sense of intimacy with audience