It's getting harder to remember life before September 11, 2001, but as soon as you walk through the door, the George W. Bush Presidential Library and Museum aims to take you back there.

Bush was first elected on November 7, 2000, and sworn in on January 20, 2001, so the months before the 9/11 terrorist attack were but a brief moment in the Bush presidency.

Those moments are represented by the first museum exhibits, part of the 43rd president's library to be dedicated Thursday in Dallas.

Bush 43: 'History will ultimately judge'

All five living U.S. presidents are expected to attend the ceremonies.

Displays of the legacy he intended for himself -- the so-called Bush-era tax cuts, his signature "No Child Left Behind" education reform, his faith-based community initiatives -- quickly give way to the moment that unexpectedly defined his presidency.

By the Numbers: Presidential libraries

The bright red dress first lady Laura Bush wore to her husband's first state dinner, just six days before 9/11, stands in contrast to the next, most talked about artifact in the museum - the twisted hulk of two beams from the World Trade Center.

Employees giving the media a tour said it is believed to be the point where the second aircraft hit the South Tower, the first tower to collapse.

"The whole presidency was changed on 9/11 and it could not be otherwise," Bush's former chief of staff Josh Bolten told CNN. "It was a very different presidency from then on. That's dramatically portrayed in this museum."

5 presidents on hand for Bush center dedication

In most museums, touching the exhibits is not allowed. Here though, visitors are encouraged to reach out and touch the dark steel and tangibly connect to that day that changed America.

"George walked a family through recently and realized that the children who were on the tour with him weren't alive on September 11," the former first lady told reporters at the museum on Wednesday. "They had no direct memory of it like all of us do and it's important, I think, to remind people of it."

History's jury is still out on George W. Bush

What comes after the wreckage from the World Trade Center is the hallmark of Bush's time in office: the war on terror.

Above the bullhorn Bush used on Sept. 14, 2001, to address workers at "Ground Zero" is the key quote from his remarks at the National Cathedral on the same day: "This conflict was begun on the timing and terms of others. It will end in a way and at an hour of our choosing."

Flash points of terrorism are pinpointed on a large map of the world.

Critics of Bush's decision to invade Iraq on the basis of weapons of mass destruction that turned out not to exist or his policies on interrogation techniques of terrorist detainees will find no apologies here. But there is some introspection.

In the Decision Points Theater, an interactive exhibit based on the president's book by the same name, visitors can try their hand at making the decisions Bush considered his toughest: invading Iraq, implementing the so-called "surge" of troops there in 2007, the federal response to Hurricane Katrina and the unprecedented government intervention during the financial crisis.

Brazile: Bush came through on Katrina

Just this month Bush said he is "comfortable" with his legacy on the Iraq war and those close to him shrug off the effect sustained criticism has had on him. But this exhibit aims to challenge visitors with an implicit question: could you have done any better?

Museum-goers can request advice from top aides and military commanders before voting on how they would respond.

"They get pestered by press to make a decision, to give an answer. Then at the end, they get to decide, 'what would you do?' After the audience votes, the president comes on and tells what he decided and why he decided," Bolten explains. "But it's all intended to give people a sense of what it's like to be president, and to give them a sense that a lot of the issues that people have made up their minds on are a lot tougher than they might have imagined."

There's also a lighter side to the experience. A replica of the Oval Office leaves you feeling like you are in the White House rather than on the Dallas campus of Southern Methodist University, where the museum is located. The Air Force One jackets worn by President and Mrs. Bush aboard the presidential aircraft are prominently featured.

Hillary, Jeb in spotlight before Bush library dedication

There is a significant amount of square footage dedicated to the presidential pets.

Air Force One dog bowls used by Barney and Miss Beazley, the Bush family's Scottish Terriers, are displayed next to a deflated volleyball that Barney loved to play with on the South Lawn of the White House.

For those close to the former president, the dedication of the George W. Bush Presidential Library and Museum is a time to reflect on his legacy and also the public perception of a controversial commander-in-chief. Bush's approval rating has improved since he left the White House but it's still a markedly low 47 percent, according to the latest ABC/Washington Post poll.

A new CNN/ORC poll shows that a growing number of Americans -- 42% -- say Bush's presidency was a success, up 11% since he left office in 2009, but 55% say it was a failure.

"Over time when the emotions fade you can take a more objective look and I think that will benefit President Bush," Bolten told CNN. "One of the really cool things about [him] is he doesn't care very much. I mean, he's not fixated on his own personal popularity. What he cares about is he did the best he could, he applied principle, very strong principle, to some tough problems, and he will be comfortable with history's judgment."

@highlight

The George W. Bush Presidential Library and Museum will be dedicated Thursday

@highlight

All five living U.S. presidents are expected to attend the ceremonies

@highlight

Bush's presidency changed dramatically after 9/11