(CNN) -- Zimbabweans are voting in a hotly-contested election as President Robert Mugabe seeks to extend power for a further five years. Mugabe, 89, has been at the helm since 1980, and is the only leader the nation has known since it gained independence from Britain.

The polls are expected to end an uneasy coalition government formed after violence broke out when Mugabe claimed victory in the last election five years ago. The post-election violence left 200 people dead and thousands more injured, according to rights groups.

Is Zimbabwe ready for elections? Depends on who you ask

What do we need to know about these elections?

They are taking place under a new constitution endorsed in a March referendum that limits the president to two five-year terms. Mugabe is allowed to seek another term because the rule does not apply retroactively. Results are expected within five days. To be declared winner, a candidate needs to win more than 50% of the vote. If that doesn't happen, a run-off will be held on September 11.

Who is running for president?

The head of state Robert Mugabe, the 89-year-old leader of Zanu-PF, is seeking to extend his 33-year rule. His main rival is the current Prime Minister Morgan Tsvangirai, who helped form the Movement for Democratic Change (MDC) in 1999. Tsvangirai, 61, hopes to become president after three failed attempts. There are three other candidates: Welshman Ncube, the current industry and commerce minister and president of the Movement for Democratic Change; Dumiso Dabengwa, leader of the Zimbabwe African People's Union (Zapu), and Kisinoti Munodei Mukwazhe, who represents the small Zimbabwe Development Party (ZDP).

Who is Robert Mugabe?

Mugabe, born in 1924 in the south of Rhodesia, spent his early career as a teacher.

Drawn to the struggle for independence, he fled the country in the early 1960s, only to be jailed for 10 years on his return in 1964. On his release he formed Zanu-PF, which he led from neighboring Mozambique.

The conflict came at the same time as the ANC in South Africa, led by Nelson Mandela, engaged in its struggle to overthrow apartheid, a cause that drew strong support from Mugabe and his followers.

In 1980, Mugabe became prime minister of the newly formed Zimbabwe, and he assumed the position of president in 1987.

A Wikileaks cable released in 2011 claiming Mugabe had prostate cancer was dismissed by his party.

What problems has Zimbabwe faced?

Mugabe's liberation credentials held him in good stead during the early part of his leadership, with many seeing him as a politician who could unite a country that had been divided through civil conflict.

But in 2000 he drew criticism for his land reform program, when white farmers were evicted from their land, which was given to poor black Zimbabweans, many of them veterans of the struggle for independence with limited knowledge of commercial farming. Soon, agricultural output began to decrease sharply.

Overseas, Mugabe's relationship with nations beyond southern Africa became rocky. In December 2003 Zimbabwe withdrew from the Commonwealth, the organization of the United Kingdom and predominantly her former colonies. Five years later the UK government stripped Mugabe of the honorary knighthood he had been awarded by Queen Elizabeth II.

The European Union imposed sanctions on Mugabe and his allies over its human rights record.

By 2008 inflation in Zimbabwe had soared to 200 million percent. Food shelves were empty, international isolation continued to hit the economy, and corruption was rife.

Mugabe failed to win enough votes in the March 2008 presidential vote to retake office. His main opponent, Morgan Tsvangirai, leader of the Movement for Democratic Change (MDC), withdrew from the presidential run-off vote scheduled for June 2008, alleging Mugabe supporters had used violence and intimidation. Scores of opposition party supporters were beaten, tortured and killed.

A power-sharing agreement was eventually signed in September 2008, but a government of national unity was only formed in February 2009, after Tsvangirai was sworn in as prime minister.

How is Zimbabwe's economy doing at the moment?

In 2009, the country's unemployment rate stood at 94% according to the CIA. However, since 2009, Zimbabwe's economy has started to recover from a decade-long crisis. The value of mineral exports increased by 230% during 2009-2011, while the value of agricultural exports increased by 101% during the same period.

Growth in 2011 was led by strong growth in mining (50.5%), agriculture (17.1%) and services (16.3%), according to the World Bank. Zimbabwe's economy recorded real growth of more than 9% per year in 2010-11, before slowing to 5% in 2012, mainly because of a poor harvest and low diamond revenues.

But poverty in Zimbabwe is still widespread, food shortages affect many parts of the country, and corruption is rife.

Africa's rocky road to democracy

@highlight

Zimbabweans head to the polls in a hotly-contested election

@highlight

President Robert Mugabe seeks to extend his 33-year rule

@highlight

His main rival is the current Prime Minister Morgan Tsvangirai

@highlight

Results of the election are expected within five days