JERUSALEM (CNN) -- The Israeli military's firing of white phosphorus shells over densely populated areas during the Gaza offensive "was indiscriminate and is evidence of war crimes," Human Rights Watch (HRW) said in a report on Wednesday.

Human Rights Watch says Israel used white phosphorus shells over populated areas in Gaza.

"In Gaza, the Israeli military didn't just use white phosphorus in open areas as a screen for its troops," said Fred Abrahams, a HRW senior emergencies researcher.

"It fired white phosphorus repeatedly over densely populated areas, even when its troops weren't in the area and safer smoke shells were available. As a result, civilians needlessly suffered and died."

Entitled "Rain of Fire: Israel's Unlawful Use of White Phosphorus in Gaza," the 71-page report provides "witness accounts" and "presents ballistics evidence, photographs, and satellite imagery, as well as documents from the Israeli military and government."

HRW is an independent international organization dedicated to defending and protecting human rights.

The group urged Israel and the United States to investigate the attacks. Israel should prosecute those who carried them out and the U.S. government, which supplied Israel, should look into the issue.

HRW said white phosphorous was a chemical substance dispersed in artillery shells, bombs and rockets, used primarily to obscure military operations.

"(While) it is not considered a chemical weapon and is not banned per se, it ignites and burns on contact with oxygen and creates a smokescreen at night or during the day to mask the visual movement of troops.

"It also interferes with infra-red optics and weapon-tracking systems, thus protecting military forces from guided weapons such as anti-tank missiles. When WP comes into contact with people or objects, though, it creates an intense and persistent burn. It can also be used as a weapon against military targets," the group said.

In response, the Israeli military said "smoke shells are not an incendiary weapon" and defended its actions.

The Israel Defense Forces said it was close to completing its probe into "the use of ammunition containing elements of phosphorous."

"(The invesitgation) is dealing with the use of ammunition containing elements of phosphorous, including, among others, the 155mm smoke shells which were referred to in the HRW report. This type of ammunition disperses in the atmosphere and creates an effective smoke screen. It is used by many Western armies.

"It is already possible to conclude that the IDF's use of smoke shells was in accordance with international law. These shells were used for specific operational needs only and in accord with international humanitarian law. The claim that smoke shells were used indiscriminately, or to threaten the civilian population, is baseless," the IDF said.

It said  "that weapons intended for screening are not classed as incendiary weapons."

But Abrahams said past IDF investigations into allegations of wrongdoing suggest their inquiry would be neither thorough nor impartial.

"That's why an international investigation is required into serious laws of war violations by all parties.

"For the needless civilian deaths caused by white phosphorus, senior commanders should be held to account," Abrahams said.

The report said white phosphorus munitions weren't illegal when deployed properly in open areas, but it determined that the IDF repeatedly used them "unlawfully over populated neighborhoods, killing and wounding civilians and damaging civilian structures, including a school, a market, a humanitarian aid warehouse and a hospital. "

"First, the repeated use of air-burst white phosphorus in populated areas until the last days of the operation reveals a pattern or policy of conduct rather than incidental or accidental usage. Second, the IDF was well aware of the effects of white phosphorus and the dangers it poses to civilians. Third, the IDF failed to use safer available alternatives for smokescreens," the report said.

A medical report prepared during the recent hostilities by the Israeli Health Ministry said that white phosphorus "can cause serious injury and death when it comes into contact with the skin, is inhaled or is swallowed." The report said that the IDF could have used a non-lethal smoke shells produced by an Israeli company if it wanted to provide a "smokescreen" for its troops.

Israel launched the offensive in late December to take on militants from Hamas, who had been shelling southern Israeli communities for months from Gaza.

The offensive, called Operation Cast Lead, was launched December 27 and ended January 17 with a cease-fire. Of the 1,453 people estimated killed in the conflict, 1,440 were Palestinian, including 431 children and 114 women, a U.N. report recently said. The 13 Israelis killed included three civilians and six soldiers killed by Hamas, and four soldiers killed by friendly fire, it said.

HRW also said it found no evidence that the Hamas militants Israel was targeting in Gaza were using human shields "in the vicinity at the time of the attacks."

Israel has said Hamas militants used civilians as human shields and fought from civilian locations, HRW points out.

"In some areas Palestinian fighters appear to have been present, but this does not justify the indiscriminate use of white phosphorus in a populated area."

@highlight

Israel's use of phosphorus shells over during Gaza offensive "indiscriminate"

@highlight

Human Rights Watch says shelling "evidence of war crimes"

@highlight

Group says phosphorus shells cause an "intense and persistent burn"