(CNN) -- North Korea's newly launched satellite marks a "big deal" for Pyongyang, the crossing of a major threshold and a public relations win for the secretive country's new leader, Kim Jong Un, experts say.

The success, after years of failed attempts, triggered worries among world leaders about nuclear weapons, Iran and the balance of power in the Pacific.

U.S. Defense Secretary Leon Panetta called the launch "clear provocation."

Experts do not believe North Korea has a nuclear warhead small enough to fly on the kind of missile that Pyongyang has now proved it can send long-distance.

And the United States believes the North Koreans may not have full control of the satellite they launched into space Wednesday, according to one U.S. official who declined to be identified due to the sensitive nature of the information.

But the launch allowed the regime to flex its military and technological muscle on the world stage.

Panetta told CNN he is "very confident" that if North Korea were to launch a missile at the United States, the U.S. military could guard against it.

North Korea silences doubters, raises fears with rocket launch

"Obviously the hope is that we never have to face that kind of threat," Panetta said. A central reason the United States is working to "rebalance the Pacific" is to deal with "the threat from North Korea," he added.

There is "a path for North Korea to end its isolation, but that requires abiding by its international obligations," White House spokesman Jay Carney said Wednesday. "... It has chosen not to, and therefore, there will be consequences for that."

Washington is leading the global response, threatening to impose sanctions on Pyongyang like those that have helped devastate Iran's economy.

Those efforts were under way Wednesday in Security Council meetings at U.N. headquarters in New York

"Members of the Security Council condemned this launch," the council said in a statement, calling it "a clear violation" of previous resolutions -- including one in April that demanded North Korea halt any launches using ballistic missile technology.

Success raises stakes for U.S. missile defense system

The council considers the issue urgent, the statement said.

Susan Rice, U.S. ambassador to the United Nations, called the statement one of the swiftest and strongest she had seen the council make about North Korea. "Now we go into the second phase" of discussions, she said: negotiations about what to do.

China and Russia, North Korean allies and two of the council's permanent members, could exercise their veto power.

The United States and other nations may impose unilateral measures, senior administration officials warned. But Pyongyang has ignored such threats before.

New U.N. sanctions are unlikely, but the council might step up pressure on North Korea in other ways, said George Lopez, a professor with the University of Notre Dame's Kroc Institute for International Peace Studies, who last year served on a U.N. panel of experts monitoring sanctions already in place against North Korea.

The council's sanctions committee could add more North Korean entities to the sanctions list, he said. It could also do more to enforce sanctions already in place, for example by increasing inspections of cargo leaving North Korea to ensure no weapons technology is being shipped out.

North Korea may not have 'full control' of satellite, U.S. official says

What the launch means

Wednesday's success was a breakthrough for the reclusive, nuclear-equipped state.

North Korea "could sell this technology to others, including Iran and Pakistan, who have been regular customers of North Korea's other missiles," warns Victor Cha, who analyzes the region for the Center for Strategic and International Studies.

"They still have other technological thresholds to cross (miniaturized warheads, reentry vehicle), but this was undeniably a major one."

The rocket blasted off from a space center on the country's west coast and delivered a satellite into its intended orbit, the North Korean regime said. The launch followed a botched attempt in April and came just days after Pyongyang suggested that a planned launch could be delayed.

China reaction key as neighbors decry North Korea rocket launch

North Korea's previous claims of successful launches have been dismissed by the United States and other countries.

But this time, a U.S. official confirmed that the object is in orbit. U.S. officials were looking into whether it is an operating satellite, the official said.

The regime's state-run Korean Central News Agency said the satellite, named Kwangmyongsong-3, was "fitted with survey and communications devices essential for the observation of the earth."

The satellite itself is probably not very sophisticated, said David Wright, a senior scientist with the Union of Concerned Scientists.

The regime showed it in April, and it was a small box with solar panels and a simple camera with some basic communication devices, he said.

Opinion: Name and shame China over North Korea launch

He compared it to Sputnik 1, the first man-made satellite that Russia launched into space in 1957. The value lies in the launch rather than in the object that North Korea now has floating above the Earth, Wright said.

The regime doesn't "really care so much what's in it." It's a statement, Wright said.

In Japan and South Korea, people will hear about North Korea's achievement -- and will probably be struck by its power, he said.

Any show of might can help strengthen North Korea's position in international talks on numerous issues, including nuclear negotiations.

The South Korean government said the launch was confrontational and a "threat to the peace and stability of the Korean Peninsula and the world." Japan called it "intolerable."

The cost of launching a rocket

Iran praises the launch as much of the world assails it

Iran, meanwhile, praised North Korea's move.

Gen. Masoud Jazaeri, a senior Iranian military official, expressed happiness about the launch, the semiofficial Fars News Agency reported.

"Experience has shown that independent countries, by self-confidence and perseverance, can quickly reach the height of self-sufficiency in science and technology. Hegemonic powers, such as the United States, are unable to stop the progress of such countries," he said.

China expressed regret that the launch had taken place, noting "concerns among the international community."

"We hope relevant parties stay calm in order to maintain peace and stability on the Korean Peninsula," said Hong Lei, a Chinese Foreign Ministry spokesman.

Several governments criticized Pyongyang's decision to spend hundreds of millions of dollars on its rocket program rather than on assisting its poor, malnourished population.

British Foreign Secretary William Hague said he deplored the fact that North Korea "has chosen to prioritize this launch over improving the livelihood of its people."

The North's failed launch in April ended a deal for the United States to provide thousands of tons of food aid to the country.

In his father's footsteps

"I think this is very important to Kim Jong Un to build political legitimacy and bolster the spirits of his people," said James Schoff, a North Korea specialist with the Carnegie Endowment for International Peace. "He is doing this despite the fact that he knows he is going to come into a lot of criticism in the region for it."

The launch has taken place during a period of power consolidation for Kim in which he has purged senior military officers in an apparent effort to stamp his authority on the regime's leadership.

"If Kim Jong Un pulls off a successful long-range missile test, it's a very important signal saying that 'Yes, I, Kim Jong Un, have replaced the powerful generals,' " said John Park, a Stanton junior faculty fellow at the Massachusetts Institute of Technology. "It shows that 'I have found the right balance and I am now in charge.' "

Opinion: One small step for Kim Jong Un

The launch also ties in with important dates for the regime's ruling dynasty.

Pyongyang had said this rocket launch would be "true to the behests" of Kim Jong Il, the late North Korean leader and father of Kim Jong Un.

Kim Jong Il died on December 17 last year, so the rocket launch took place just days before tearful mourners are expected to gather for the first anniversary of his death.

Experts had also speculated that North Korea wanted this launch to happen before the end of 2012, the year that marks the centenary of the birth of Kim Il Sung, the founder of North Korea and grandfather of Kim Jong Un.

Another factor may also be at play: The launch took place ahead of national elections in Japan on Sunday and in South Korea on December 19. North Korea is a crucial foreign policy issue in both of those countries.

The rocket took off Wednesday morning and flew south over Japan's Okinawa islands. There were conflicting reports about how many parts fell into the sea.

Read more: What does North Korea's planned rocket launch mean?

A launch had seemed unlikely to take place so soon after North Korea announced Monday that it was extending the rocket's launch window into late December, citing technical issues with an engine.

Previous attempts by the North in 1998, 2006, 2009 and April of this year failed to achieve their stated goal of putting a satellite into orbit and provoked international condemnation.

The rockets launched in 1998 and 2009 flew for hundreds of kilometers but didn't succeed in deploying satellites, other countries and experts said at the time. North Korea nonetheless insisted that both satellites did reach orbit, with KCNA reporting that they were transmitting "immortal revolutionary" songs back to Earth.

The 2006 launch failed soon after takeoff and wasn't reported by state media.

In April, the North Korean regime invited members of the international news media, including CNN, into the country to observe the preparations for its planned launch. But the strategy backfired when the rocket broke apart shortly after blasting off. On that occasion, state media took the unusual step of admitting the launch's failure.

Timeline: North Korea's rocket-fueled obsession

CNN's Elise Labott, Jethro Mullen, K.J. Kwon, Paula Hancocks, Paul Armstrong, Erin Burnett, Junko Ogura, Barbara Starr, Jamie Crawford, Chris Lawrence and Jessica Yellin, and journalist Connie Young in Beijing, contributed to this report.

@highlight

White House warns "there will be consequences"

@highlight

New sanctions are unlikely, an analyst who served on a U.N. panel says

@highlight

Iran says it is happy for North Korea; China expresses regret about the launch

@highlight

Panetta cites "threat from North Korea," calls the launch "clear provocation"