Joe Kaczmarek's police scanner pops to life with chatter just before midnight.

Moments later, "Kaz," as he's known, is rushing to the scene of a robbery near the Temple University campus alongside fellow veteran photojournalist Jim MacMillan.

By the time they arrive, the 20-year-old robbery victim has been taken to the hospital with a gunshot wound to the back.

Kaz snatches two cameras from the back seat of his car and jumps into the street. He is roving around the crime tape like a caged lion, snapping photographs as police take away two men in handcuffs.

Standing nearby, MacMillan thumbs away at his smartphone, updating Twitter: "On shooting scene at 17 & C.B.Moore in North Philadelphia now."

Kaz and MacMillan co-founded GunCrisis.org to help curb gun violence plaguing what is supposed to be the City of Brotherly Love.

"I want to put the audience out there in the streets," Kaz said. "I want them to see what I'm seeing every night in this city: The children watching crime scene investigations night after night, day after day. Anything to disrupt this, marginally disrupt this, we consider a success."

After the July 20 shooting massacre in Aurora, Colorado, GunCrisis estimates there have been at least 55 gunshot victims in Philadelphia, and that number is rising.

Related story: Have gun control opinions shifted after Aurora?

So far this year, the city has seen more than 210 murders. A rate approaching the level set in 2007, when the city saw more than a murder a day and earned its nickname Kila-delphia.

At GunCrisis, an open-source interactive journalism project launched in March, the goal is to avoid becoming entangled in gun control debates or in drafting new legislation, MacMillan said. Instead, they try to bring people together to find solutions to the epidemic of homicide by gunfire in Philadelphia.

"Turning around the gun violence epidemic is a tall order," MacMillan said. "It's going to take heroic action, but our cities are full of heroes. We've done this before, and we can do it again. It's not going to go on forever. And the harder we work the sooner we'll put an end to this violence."

Until 2008 MacMillan was a senior photographer and photo-columnist at the Philadelphia Daily News, where he worked since 1991.

The Pulitzer Prize-winning photojournalist, who now teaches journalism, got the idea for the project after viewing a documentary called "The Interrupters" during a trauma journalism conference. The film follows "violence interrupters" in Chicago who intervene in conflicts before they turn deadly.

The small volunteer team at GunCrisis wants to shake things up -- and interrupt the violence -- by chronicling the daily gunfire.

"We believe a coordinated response can lead to a vast reduction in violence, and we want to play a part in that," MacMillan said.

There's another radio call, and the pair race across town.

"I have a bad feeling about this," MacMillan says to Kaz over the static on the police scanner.

A man was shot at least 12 times on a residential block in South Philly. Police, who initially heard the shots, rushed him to the hospital where he died a short time later.

It's a warm summer night, and law enforcement officers are talking loudly over the hum of window air conditioners. Flashlights flicker, shedding some light on the dark street where a police crime scene unit documents evidence.

In just two hours, at least four people had been shot in separate incidents in the city.

"This is a project that I believe in. The city gives us no break. There's an abundance of opportunities to report, unfortunately," said Kaz, an independent photojournalist whose work has been featured in The New York Times, Washington Post, Time magazine and USA Today.

Philadelphia had 324 homicides last year. Arguments are the leading motive for murder, and blacks make up 85% of the homicide victims, according to police data.

Blaming a weak economy, a crumbling public school system and dysfunctional family units, Chuck Williams, director of the Center for the Prevention of School-Aged Violence at Drexel University, said residents are desperate and come from a culture where they learn the way to handle an argument is with a gun.

"This is a people problem, not a government problem," said Williams, a Drexel education professor who works with educators and youth to prevent school fights, shootings and cyberbullying. "I see so much hopelessness and despair. A broken child comes from a broken home, with few exceptions."

Philadelphia successfully attacked the gun crisis in the late 1990s because law enforcement, residents and religious leaders worked together, Williams said, adding that once the body count went down people went back to their lives.

"We haven't reached a critical point (again) when the communities and stakeholders have decided that this a major issue that needs to be addressed," he said. "Instead of whining, we need to put a call out to every caring adult to spend one hour a week with a child in need. It's all hands on deck. We can change this."

Out of the nation's 10 largest cities, Philadelphia --  population 1.5 million -- has the worst homicide rate, with around 20 killings per 100,000 people, according to the FBI's Uniform Crime Reports.

Next on the list are Chicago and Houston.

But Philadelphia's homicide rate pales in comparison with less-populated U.S. cities, including New Orleans -- which has 49.1 homicides per 100,000 people, St. Louis with 40.5 and Baltimore with 34.8, according to FBI data from 2010.

Overall, the U.S. homicide rate is 6.9 times higher than other industrialized countries, and American homicides account for 80% of worldwide firearms deaths, according to a Journal of Trauma analysis of World Health Organization statistics for 2003.

"It's costing all of us. Whether it's immediately in front of your face or it's several miles away in another community. We are all connected, and it's affecting all of us," Kaz said.

The city introduced new crime-fighting measures at the end of January, including a $20,000 reward for information that leads to solving homicides and $500 for locating illegal guns. Funding has been beefed up for a witness assistance program and increased police presence. But, so far, the mayhem hasn't let up.

Mayor Michael Nutter has made it clear that the city is waging an all-out war against violent criminals.

"If you want to act like an idiot, if you want to be an a-hole, if you want to be a low-life in this town, we will track you down like the dog that you are," Nutter told CNN affiliate KYW in February.

MacMillan spends most of his time maintaining the group's website, researching solutions and grassroots organizations and meeting with city officials. Kaz spends his nights at crime scenes.

GunCrisis recently hosted a roundtable discussion with the members of Philadelphia's City Council. In attendance was Councilman Curtis Jones Jr., who said he was appalled by the city's body count.

"If 200 whales washed up on the shores of New Jersey, every scientist and biologist would come to find out why this was happening. But when it comes to 200 urban kids dying, nobody cares," Jones said. "It's a new normal, and it's not acceptable.

A Philadelphia native, Jones said he's saddened by the violence and lack of uniform action.

"We need more hands in this, more ideas and more resources," he said. "Welcome to the struggle."

GunCrisis is committed because lives depend on finding a solution, MacMillan said.

"What happens next? We elevate the discourse. We bring people together. We build a movement. We stop the killing," he said.

That's a major challenge for a city where murder has become routine.

@highlight

Photojournalists launch website to fight Philadelphia gun violence

@highlight

GunCrisis.org posts crime scene photos to raise awareness

@highlight

Of the most populated U.S. cities, Philadelphia has highest murder rate

@highlight

Councilman: "When it comes to 200 urban kids dying, nobody cares."