New York (CNN) -- Afghan President Hamid Karzai has started talks with representatives of the Taliban, a move that analyst Fareed Zakaria says could bring an end to the nine-year-long war.

Karzai convened a meeting Thursday with the Afghan Peace Council, which was formed to help negotiate with the Taliban. Referring to the militants, Karzai said, "I call on them once again to use this opportunity and say 'yes' to this endeavor. I want them to come and bring peace to this land."

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Thursday. Here is an edited transcript:

CNN: Hamid Karzai has launched a council to help negotiate with the Taliban? What's the significance of that step?

Fareed Zakaria: I think it's about time. If you look at any good study of civil wars, what you find is that most of them end in a negotiated settlement. Maybe because Americans have the memory of our civil war in which the North crushes the South, we somehow think that that's how civil wars end. But that's actually is very unusual.

Watch an excerpt from Larry King's interview with Hamid Karzai

What normally happens is some kind of settlement that is negotiated in which the losers are reintegrated into the political order. Civil wars are unlike normal wars, because the winners and losers are going to have to live with one another.

CNN: How does that apply to Afghanistan?

Zakaria: The Taliban, which is mounting this insurgency, is not a foreign element within the body politic. The Taliban is basically the political representative of the conservative elements of the Pashtun community.

The Pashtuns are 50 percent of Afghanistan. ... It is a political force in Afghanistan. Coming to terms with it politically and seeing if there's some way it can be reintegrated into the political order makes sense. You're not going to kill every member of the Taliban. They're not going to be exiled to a foreign land. They're going to be there at the end of the day so it's better to to have them in the tent.

CNN: The U.S. military view seems to be that the talks haven't yielded progress so far, and a senior defense official told CNN, "We don't think the Taliban believe that they're losing to the degree that they'd come to terms in large numbers." Are the talks premature because the effects of the U.S. military buildup haven't been felt yet?

Zakaria: First the very fact that the Taliban are coming to the table in a way they had not been willing to before suggests that they are feeling some pressure.

But I also think you can't get too hung up with this idea that you have to negotiate from a position of strength. Ideally we would have them totally prostrate on the floor and that would be the time to negotiate. But the reality is that this is a very mixed military campaign. I don't know if it's going to be dramatically better one year from now or three years from now.

See more opinion articles

This is a little like somebody who owns a stock, who says, it's at six now, I need to sell it, but I'm going to wait till it goes to eight. Well maybe it will go to eight, maybe it will go to four.

You might as well start talking at this point. First of all you learn a lot in the process of negotiations. And secondly, the military campaign could move in many different directions. If the surge starts succeeding even more, that will be reflected in our negotiating posture.

CNN: Is there an idea yet of what a negotiated settlement might involve?

Zakaria: It seems as though the Taliban demands are that they want all foreign troops out. They don't want to accept the Afghan constitution and they don't want to lay down their arms.

Now those are obviously their opening demands. Foreign troops aren't going to be out, but one could point out that President Obama has said there is going to be a reduction of foreign forces next year.

On the Afghan constitution, there is a compromise there where there could be a few amendments to the constitution. But on laying down their arms, that it seems to me you can't really compromise, they would have to lay down their arms. Could some elements be integrated into the militia, or the Afghan national army? Perhaps -- that's what happened in Iraq.

CNN: Isn't there also a clashing conception of society, with the Taliban being a closed society that doesn't recognize an elevated role for women as opposed to a potentially democratic kind of society that's envisioned by the Afghan constitution?

Zakaria: Yes, it is the kind of society envisioned by the Afghan constitution. But Afghanistan is a fairly conservative society. While the extreme elements of the Taliban have draconian visions which are obviously not supported by the Afghans -- the polls bear this out -- it's also true that on issues of women's rights and some of the more progressive elements of the Afghan constitution, the Karzai government is in a minority and those rights are not popularly supported.

There are clashing visions, but there is probably a reality of Afghanistan which is a lot more progressive and open than the Taliban believe but is still a society that is somewhat conservative, and often tribal, and with very traditional views on something like women's rights.

The key is creating a situation where these rights are guaranteed but not fetishizing it. For example, one of the things the Afghan constitution has is a requirement for 25 percent representation of women in parliament. We don't have such a requirement either in the U.S. Constitution or in the amendments. Many European countries don't.

Is it conceivable that something like that could be compromised? Perhaps, and that's the kind of thing where we'd have to be creative in coming up with a solution that moderates and some elements of the Taliban could live with.

CNN: Is this an honorable exit for the United States?

Zakaria: I think so, and it's not really an exit, it's a reduction in our forces and in our role. And I think it would be appropriate. We've been there for nine years. It's not the only battleground, the only place where al Qaeda operates. There are many more members of al Qaeda in Pakistan than in Afghanistan.

You're trying to create a political settlement, and a self-sustaining political framework in Afghanistan that can survive the departure of American troops. And finally you're leaving enough troops in there where you could still prosecute a fairly vigorous counterterrorism operation against those elements of the Taliban or al Qaeda that continue to plot and plan to do violence to civilians, foreigners, westerners.

And I do think, if we could get this kind of a settlement, it would be an honorable way for the United States to begin reducing its exposure in Afghanistan.

@highlight

Afghan president Karzai is talking to Taliban representatives

@highlight

Fareed Zakaria says a negotiated settlement is the only way to end the war

@highlight

He says compromise possible between Karzai government and Taliban

@highlight

After nine years, the U.S. needs to reduce its forces in Afghanistan, he says