As the United Kingdom continues to enforce sanctions on Russia over its actions in Ukraine, the British Museum has announced it is lending one of the controversial Elgin Marbles to a St. Petersburg museum, describing it as "a marble ambassador of a European ideal."

A statue originally from the Parthenon in Greece will go on display at the Hermitage Museum on Saturday, British Museum Director Neil MacGregor said in a statement.

It is the first time the British Museum has loaned one of the Elgin Marbles to a foreign museum.

The British government and other European Union and NATO nations have imposed sanctions on Moscow over Russia's annexation of Crimea and allegations of continued interference in eastern Ukraine.

Britain's sanctions are not cultural, instead targeting Russia's financial, defense and energy sectors, as well as imposing asset bans and travel restrictions on specific individuals. However, MacGregor's statement did touch upon the issue:

"The Trustees have always believed that such loans must continue between museums in spite of political disagreements between governments," MacGregor said. "It is a position energetically shared by our counterparts in Russia."

Western countries and the Ukrainian government in Kiev accuse Moscow of sending troops and military equipment into eastern Ukraine to help pro-Russian separatists fighting against government forces. Russian officials have persistently denied their military is involved.

At the G20 summit in Australia last month, British Prime Minister David Cameron warned Russia to change course over Ukraine. Otherwise, Cameron said, "The relationship that Britain has with Russia, that the European Union has with Russia, the relationship that I hope Australia has with Russia, will be very different."

'Provocation to Greek people'

Greece has for decades been demanding the return of the sculptures, which were "acquired" by Lord Elgin between 1801 and 1805, bought from him by the British Parliament in 1816, and later presented to the British Museum.

Greek Prime Minister Antonis Samaras described the decision to loan the sculpture as "a provocation to the Greek people."

"The Parthenon and its sculptures have been looted. The value of the sculptures is priceless," he said. "We Greeks identify with our history and culture, which cannot be fragmented, loaned or bestowed."

The Elgin Marbles are a series of sculptures in a frieze that once adorned the upper sections of the Parthenon in the Greek capital of Athens. The sculpture being loaned to Russia, of the river god Ilissos, "is one of the finest of those to survive from the Parthenon," the British Museum said.

Describing itself as "the most generous lending museum in the world," the museum said the loan was part of ongoing exchanges with the Hermitage, which had requested it to mark the 250th anniversary of its foundation.

"The British Museum is a museum of the world, for the world and nothing demonstrates this more than the loan of a Parthenon sculpture to the State Hermitage Museum in St. Petersburg to celebrate its 250th anniversary," MacGregor said.

Mikhaile Piotrovsky, director of the State Hermitage Museum, said: "I am delighted that this important, beautiful and significant sculpture has been lent in celebration of our two museums' shared values and will be seen alongside the permanent classical sculptures of the Hermitage."

The British Museum says the statues "are part of the world's shared heritage and transcend political boundaries."

Greece's Prime Minister said the decision to send the Ilissos statue to Russia disproved what he said was the British Museum's rationale for retaining the Marbles.

"The last, until now, British doctrine that the Parthenon Marbles could not be moved is no longer valid -- as their other 'argument' for the lack of an appropriate space to house them collapsed with the opening of the Museum of Acropolis," Samaras said.

The Parthenon was a temple in ancient Athens' Acropolis citadel, built in the 5th century B.C.

The Acropolis Museum says the area is believed to have been largely intact until the 17th century, but after damage in warfare, foreign visitors began taking parts of the structure as souvenirs.

"It was in the 19th century that Lord Elgin removed intact architectural sculptures from the frieze, the metopes and the pediments of the building," the museum says.

The latest Acropolis Museum building was completed in 2007 and is the place "where eventually the Parthenon sculptures will be reunited," the museum says.

It says the Parthenon frieze was originally 160 meters long. "From the entire frieze that survives today, 50 meters are in the Acropolis Museum, 80 meters in the British Museum, one block in the Louvre," the museum said, adding that "other fragments are scattered" among museums in Sicily, the Vatican, Germany, Austria and Denmark.

Earlier this year, UNESCO said it had received a request from Greece to mediate in the dispute between Greece and Britain over the Elgin Marbles. In October, the U.N. agency said it had not yet received a response to an official letter sent to the British government and the British Museum.

@highlight

The British Museum says it is lending one of the Elgin Marbles to a foreign museum for the first time

@highlight

The sculpture of the river god Ilissos will go on display at Russia's Hermitage Museum

@highlight

The Elgin Marbles are a set of Parthenon sculptures "acquired" by Lord Elgin in the early 1800s

@highlight

For decades, Greece has been demanding for their return