(Health.com) -- Amanda Santos wanted to send her 5-year-old daughter, Skylar, to a small private school. But after they interviewed, met the teachers, and submitted Skylar's medical records, they never heard back from the school, despite repeated inquiries.

Santos, who lives in Fairhaven, Massachusetts, can't say for sure why communication was cut off so abruptly, but she's convinced that Skylar's severe nut allergy was an issue.

"They knew going in that she had an allergy; they said it was no problem," says Santos. "But until we sat down and had a meeting about the precautions they'd have to take -- kids washing their hands, asking parents not to send nuts to school, that kind of thing -- they didn't realize how severe it was. I just think they didn't want her there, didn't want to deal with all of that."

Health.com: The latest on food allergies

Santos is not alone. According to a new study conducted in the U.K., families with children who are living with this potentially life-threatening condition often feel isolated, stigmatized, or unfairly excluded from activities, due to the allergies.

In many ways, nut allergies feel more like a disability than a chronic illness because of the stigma, the researchers say.

"Families reported some really very difficult and unpleasant experiences when they were trying to keep their child safe from risk," says coauthor Mary Dixon-Woods, professor of medical sociology at the University of Leicester.

She was surprised by the study's results.

"I was expecting to hear about problems with labeling and so on, but the extent of the stigma families reported was very troubling," she says.

Peanuts are the most common food trigger of life-threatening anaphylactic shock, accounting for more than half of all fatal food-induced allergic reactions. Peanut allergies are on the rise, doubling in children between 1997 and 2002. About 1% of children in the U.S. have peanut allergies.

Health.com: 8 Reasons to delay vaccines for kids

Along with the rise in nut allergies have come more restrictions on schools and other public places, including nut-free classrooms and airplanes, as well as better labeling for products.

In recent years, there has been a bit of backlash against the greater focus on nut allergies. In 2008, Harvard Medical School professor Nicholas A. Christakis published in the journal BMJ an editorial called "This allergies hysteria is just nuts." While noting that allergies are a real problem, he wrote about the "overabundance of caution" at his children's school and an incident in which a school bus was evacuated because a peanut was found on the floor.

To determine some of the challenges faced by parents of children with nut allergies, Dixon-Woods and her colleagues interviewed 26 families about their coping strategies and techniques for avoiding dangerous situations.

They found, however, that these parents were routinely made to feel that such allergies were nothing but a "frivolous and self-indulgent fad invented and maintained by attention-seeking people."

Health.com: The healthiest vacuum cleaners for your home

Parents interviewed for the study frequently encountered skepticism or hostility when they tried to explain their children's allergies to others, says Dixon-Woods. Birthday parties became "nightmares," and even just sending kids to school or leaving them with friends or family was terrifying.

Interview transcripts from the study reveal several scenarios in which parents felt ridiculed, ignored, or challenged on the subject of food allergies.

· In the lunchroom at school, children might feel bullied. "She was teased and things like that, people saying...'I've got nuts and I'm gonna come and touch you,'" said one participant.

· Said one participant about a family camping trip: "He'd caught her sort of pulling faces and complaining to other people that they'd had to put the peanuts away...they all laughed and it was awful..."

· At a social gathering, the hosts thought the family was overdramatizing the problem. "We got invited up for a party...gave them a list of what he could eat," said one study participant. "[We] walked in there and I couldn't believe my eyes, big bowls of peanuts in between all the food."

· Forgetful or disbelieving relatives aren't uncommon. In one family, a grandparent gave a child candy with nuts. "Now whether it was deliberate or not, I don't know, but I blew a fuse," said one participant. "I suppose in my heart of hearts I felt that he'd given it deliberately; my husband doesn't want to believe that his father would do that."

The study, published Monday in the journal Chronic Illness, was funded by the British charity Midlands Asthma and Allergy Research Association.

Dixon-Woods agrees that better food labeling, more education, and stricter regulation is necessary to reduce misunderstanding and negative attitudes about nut allergies especially in the United States, where peanut-based products are ubiquitous and the word allergy is frequently used to describe non-life-threatening conditions such as hay fever.

"It may be time to come up with a new term to describe the condition," Dixon-Woods says. "'Nut allergy' is so poorly understood that it really is not a helpful term anymore."

Health.com: How to buy the right air cleaner

The Santos family removed their daughter from preschool this year because a teacher gave her a food with traces of nuts. When she had a minor reaction, the school's response was, "Well, she didn't die, so she's fine," Santos says.

They've had flight attendants tell them that other passengers' snack preferences were more important than Skylar's safety. And they've gotten nasty looks from parents on Skylar's T-ball team after her coach requested that a child who'd been eating nuts put them away and wash his hands.

"Generally speaking, the public awareness of food allergy in the U.S. has increased, and this has resulted in some real benefits to families," says Brian P. Vickery, MD, an assistant professor of pediatrics at Duke University School of Medicine, in Durham. "For example, manufacturers are now required to put clearer labels on food items, many restaurants can provide better experiences, and schools are often more prepared to handle children with allergies."

However, the situation is far from perfect, he says.

Health.com: 15 hypoallergenic dogs and cats

"Bullying in school does happen. The risks of anaphylaxis are not always appreciated," says Dr. Vickery. "Many families continue to struggle over and over again with obstacles, limitations, skepticism, and judgment."

Each family handles the challenges differently, but "we try to provide as much practical and scientific guidance as we can, and equip them to handle anything that might happen," he says.

Copyright Health Magazine 2011

@highlight

Families with food allergies often feel isolated, stigmatized, or unfairly excluded

@highlight

Peanuts are the most common food trigger of life-threatening anaphylactic shock

@highlight

Public awareness of food allergy in the U.S. has increased