A doctor at a government-run Ebola treatment center in Monrovia is too busy to mince words.

"You have so many patients in agony. Patients are crying in pain," said Soka Moses.

"They are dying and all you do is you watch them die sometimes. You pray for them and do the little you do, and just hope that something miraculous happens," he said.

Moses got just one day's training before jumping in to treat high-risk Ebola patients, which he says is typical.

You simply do what needs to be done here, he said.

At his center, one patient is too weak to hold up his own head. He writhes in pain as he's given water to drink.

Another is laid on the floor because there is no place else to put him. There are two patients for every bed.

"Life is rough, and then you die. What else can we do? If we don't do it, who will do it for us?" asked Moses. "We have to take the risk and cater to the patients, or else our country will be wiped away."

'The poor are left to die'

West Africa is in the midst of the worst Ebola outbreak in history.

The Centers for Disease Control and Prevention estimates that some 9,000 people have contracted the disease so far. Heath officials put the death toll at around 4,500, meaning that one in two people who get Ebola in this outbreak die.

The odds are not good.

They are especially not good for patients who are poor and live in places with underfunded and mismanaged health systems -- countries like Guinea, Sierra Leone and Liberia, which have been hardest hit.

Although much has been made of the cases in Spain and the United States, nearly all of the people getting sick from Ebola are in West Africa.

"The rich get the best care. The poor are left to die," the World Health Organization said last month.

The outbreak highlights the dangers of growing social and economic equality, said WHO Director-General Margaret Chan. It also lays bare the risks of a purely profit-driven system.

Chan made the point that Ebola emerged nearly four decades ago, but there are still no vaccines and no cure. She wondered why.

"Answer: because Ebola has been, historically, geographically confined to poor African nations.

"The R&D incentive is virtually nonexistent. A profit-driven industry does not invest in products for markets that cannot pay," the WHO said.

WHO to review Ebola response amid criticism

'Stop it at its source'

There are signs, however, that attitudes are changing.

A deadly virus anywhere is a threat to everywhere now.

"We can't just cut ourselves off from West Africa where this disease is raging. Our medical experts tell us that the best way to stop this disease is to stop it at its source, before it spreads even wider and becomes even more difficult to contain," President Barack Obama said recently.

"If we want to protect Americans from Ebola here at home, we have to end it over there," he said.

To that point, here's a look at what's happening in West Africa:

Liberia

The WHO says the outbreak in Liberia is by far the most worrisome.

Approximately 2,500 people have died there, according to health officials, but that figure is almost certainly higher. Some families are reportedly hiding deaths to circumvent the government's mandatory cremation policy.

"The true number of deaths will likely never be known, as bodies in the notoriously poor, filthy and overcrowded West Point slum, in the capital, Monrovia, have simply been thrown into the two nearby rivers," the WHO said last month.

According to the organization, new cases are increasing exponentially and there are many more patients than beds.

Further complicating efforts there, health workers have threatened to strike over pay and unsafe working conditions.

"I don't want to strike, but the President (of Liberia) has to listen," said Moses, the doctor. "You don't want to have angry people knocking at your doors during this kind of emergency situation, so the President has to listen and act very fast."

Sierra Leone

In terms of sheer numbers, Sierra Leone is second hardest-hit by the Ebola outbreak. Close to 1,200 people have died there.

Among the dead are doctors and nurses, which slows down the country's capacity to respond.

Every district is affected, according to Doctors Without Borders, or MSF. The government has put five districts under quarantine, preventing people from leaving the area, the humanitarian organization said.

MSF also said it was seeing more orphaned children in its centers and a lack of caregivers.

Guinea

The first case in this deadly outbreak has been identified by the WHO as a 2-year-old boy in the Guinean village of Meliandou.

He fell ill and died in December.

The area in southern Guinea is close to the Sierra Leone and Liberia borders, and the disease spread quickly.

In total, more than 800 people have died there during the outbreak.

"On at least three occasions, prospects for nationwide control looked good and the countdown for a case-free 21-day incubation period began," said WHO.

"The country never made it. As the deadline approached, cases suddenly flared up again in previously controlled villages and cities. In other instances, the virus marched on to infect previously untouched areas," it said last month.

Nigeria and Senegal

The experiences of Nigeria and Senegal offer a rare bright spot in this outbreak.

International MSF teams left Nigeria on October 5. If there are no new cases reported there by Monday, the outbreak will be declared officially over there.

The virus was introduced in Nigeria by an air traveler, who arrived in Lagos in July. WHO credits an aggressive government response and effective contact tracing for keeping the virus in check. Ebola claimed just eight lives in Nigeria.

Meanwhile in Senegal, there was just one confirmed case of Ebola, and that patient made a full recovery. WHO declared the country free of the disease last week.

@highlight

Guinea, Sierra Leone and Liberia have been hardest hit

@highlight

One in two people who get Ebola in this outbreak die

@highlight

The experiences of Nigeria, Senegal offer a rare bright spot