New York (CNN) -- Today's bipartisan health care meeting is being called a summit, a term that brings to mind diplomatic missions during wartime. That's a fitting description for the atmosphere in Washington. Political opponents are considered enemies.

Health care is just the latest example of government dysfunction; it's been derailed by hyper-partisanship, over-spending and the disproportionate influence of special interests.

Independent voters, the largest and fastest growing segment of the electorate, hold the balance of power in American politics, but they have once again been shut out of the debate. The professional partisans in Washington ignore them at their peril.

Many Americans associate broken government with the chaos that followed Hurricane Katrina and the anxieties that accompany the current manic recession. But the roots of independent voters' frustration go deeper.

For them, the first modern evidence of failure from the federal government came during the late 1960s, when the social spending of Democratic President Johnson's Great Society failed to stop urban blight by throwing taxpayer money at the problem. One presidency later, the country confronted the corruption of Watergate from Republican President Nixon. Washington grew more harshly partisan, with political opponents determined to delegitimize any president from day one of his term.

As the two parties grew more polarized, power shifted from the center to the margins, and special interests increased their influence. In reaction, the ranks of independent voters grew from 20 percent of the electorate at the start of the 1960s to 30 percent after Watergate.

When Ross Perot ran for president as an Independent in 1992, the self-made businessman presented himself as a nonideological problem solver. His campaign gained traction because both parties had lost credibility as stewards of fiscal responsibility, with overspending and then-record deficits.

Perot briefly led in the polls, and independents spiked to 36 percent of the electorate. The divided government of President Clinton and House Speaker Newt Gingrich ultimately produced hard-won budget surpluses. But when President Bush and the Tom DeLay-led Republican Congress ruled Washington during the last decade, surpluses again turned to deficits and independents turned against the GOP.

Independents listed the economy as their No. 1 issue back in 2007, when Democrats said health care and Republicans said terrorism. Moderates and the middle class -- the people who determine who wins elections -- felt squeezed even before the fiscal crisis, with rising health care and energy costs absorbing whatever benefit they might have received from tax cuts.

After watching the jet set excess of the Bernie Madoff class from afar, they were left with less and still asked to clean up the mess. Now, as they try to balance their own budgets at home, they see big government and big business --Washington and Wall Street -- piling up huge debts and passing the buck to the taxpayer.

It was in this environment that independents began to break with President Obama last spring, after voting for him in 2008 by an eight-point margin. The change they voted for was rooted in candidate Obama's calls for an end to politics that "played to the base" and a restoration of fiscal responsibility.

The liberal House leadership's private negotiations over the $787 billion stimulus bill seemed to contradict those promises. And the subsequent health care debate was derailed in part because it was seen as adding additional spending and leading to the growth of government.

In reaction, independents reasserted themselves, their numbers growing quickly and reaching 43 percent by September 2009, according to a monthly Washington Post/ABC News poll. In Virginia, New Jersey and Massachusetts' elections, independents voted by at least a 2-to-1 margin for Republican candidates. Exit polls showed they were voting to send a message to Washington, not necessarily endorsing the Congressional Republicans' agenda.

Independents' anger today is focused on familiar targets: hypocritical politicians, over-spending and a lack of agreement on solutions from Washington. Independents feel they are paying more and getting less. They believe the system has been rigged to benefit special interests at the expense of the national interest. As bitter partisanship increases government's dysfunction, more voters are declaring their independence from politics as usual.

Today's bipartisan health care summit is a step in the right direction. Independent voters want to see the warring parties in Washington speaking to each other in the presence of television cameras, ensuring at least a degree of civility and accountability. It's more difficult to demonize the opposition when talking with them.

But photo-op centrism is, of course, not enough. It must be followed by substance. To really change the culture of Washington, we need to change the rules that reinforce this predictable partisanship.

The quickest policy cure would be to change the rigged system of redistricting that creates congressional 'safe seats' and replaces competitive general elections with closed primaries, where party activists reign supreme. Nonpartisan redistricting and open primaries would reward politicians who reach across the aisle, and would empower independent voters.

Americans' sense that government is broken didn't happen overnight, and it won't be solved overnight. It will take time to restore trust in Washington. But substantive efforts to depolarize our politics will lead to the politics of problem solving.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon says health care summit comes amid a period of bipartisan dysfunction in government

@highlight

Historically, frustrated independent voters increase in this climate, hold balance of power, he says

@highlight

Let down by bipartisan gridlock, stalled agenda, faltering economy, independents have broken with Obama

@highlight

Avlon: Health care meeting is chance for parties to show independents they can change