(CNN) -- When Cristina Behrens travels to Santa Barbara, CA, to see clients, she likes to stay somewhere that's convenient for meetings and—almost more important—convenient to a morning jog on the beach.

After trying just about every top-notch hotel in the city, the L.A.-based investment manager was surprised that her favorite—the Hotel Oceana—cost as little as $139 a night. "My assistant booked me there for the first time about five years ago," Behrens says. "I have not stayed anywhere else since."

In most beach destinations, hotel rates rise exponentially the closer you get to the shore. But it's a mistake to assume that any place on the water will carry four-star prices -- or high-end accommodations. With that in mind, we collected a group of hotel gems scattered along both coasts that met two criteria: value and thoughtful charm.

Read on for a list of seaside hotels across the U.S. under $200.

SeaCrest OceanFront Hotel, Pismo Beach, CA

When the SeaCrest Motel first opened in the early 1960s, it was the only beachfront hotel in this dune-buggy-loving town. After various additions and ownership changes over the years, the 158-room SeaCrest reemerged in 2007 with a bright, retro-mod décor as well as a free breakfast, pool, fire pits, patio couches, and a staircase down to a quiet stretch of sand. Located on the Pacific 101, it also makes an easy launching pad for exploring the wine country or visiting Hearst Castle, 50 miles away. Even in the high-season summer, rates start as low as $219. Doubles from $119; seacrestpismo.com.

Hotel Oceana, Santa Barbara, CA

You don't really find hotels right on the sand in Santa Barbara, but this bougainvillea-covered boutique property is about as close as it gets: the beach is right across the street. Spread over six small buildings, the Spanish-style hotel has a shabby-chic vibe with rooms decorated in garden-like pinks, oranges, and greens and easy-open windows that let in the steady breeze. There are also lush courtyards, two outdoor pools, and complimentary beach-cruiser bicycles, and it's an easy walk or ride to the heart of downtown and the train station. Even though the lobby has a free breakfast, dinner fans may be tempted by the original (and last remaining) Sambo's—an old coffee-shop chain from the 1960s—right next door. Season does matter here: at the height of summer, rates start at $289. Doubles from $139; hoteloceanasantabarbara.com.

Travel + Leisure: America's best little beach towns

La Casa del Camino, Laguna Beach, CA

In a neighborhood with resorts that have starting rates of $600-plus a night, this little hotel is unique in more ways than one. The 36-room, Mediterranean-style property opened in 1929 as a Hollywood star magnet and today has sumptuous, Spanish-style rooms as well as a collection of 10 eye-popping, surf-inspired suites, such as the Billabong and the Roxy. Low-season rates for the Surf Suites inch a little over $200, and you can still get standard rooms at right around $200 even during peak summer months. Doubles from $139. lacasadelcamino.com.

The Palms Hotel & Spa, Miami Beach, FL

Low season in South Beach means easier access to this sleek, 251-room hotel with a sand-and-surf-inspired décor: a dark brown, cream, and orange palette, along with mosaic tiles and, in the bathrooms, rain-shower heads. The chic ambience extends to the cabanas by the pool and beach service that includes lounge chairs, umbrellas, towels, and fabulous cocktails (from raspberry mojitos to the popular Pain Killer, a mix of rum, pineapple juice, OJ, cream of coconut, and nutmeg). During peak season, starting rates run as low as $198. Doubles from $153. thepalmshotel.com.

Azul del Mar, Key Largo, FL

This six-suite, Art Deco villa exudes enough timeless elegance for Bogie-and-Bacall types, but it also has an earthy splendor. Lawns are covered with key lime bushes and frangipani, rooms come with their own granite-counter-topped kitchenettes, and you're just a few steps from the John Pennekamp Coral Reef State Park. Look to the innkeepers to hook you up with scuba, fishing, and kayaking trips; if you happen to catch a nice mahimahi, they'll let you cook it up on the house grill. During high season, rates still start at a reasonable $229. Doubles from $139. azulkeylargo.com.

Travel + Leisure: World's most amazing restaurants with a view

B Ocean, Fort Lauderdale, FL

Ocean views are par for the course at this spare but pretty 240-room hotel—proving that hotels with hip one-letter names need not cost multiple dollar signs. Rooms have crisp, white-on-white furnishings with aqua-hued accents, and the hotel has an on-site gym, sushi bar, and free Wi-Fi. It also offers a fun twist on wine tasting: the B'stro on the Beach has an Enomatic wine machine, where a prepaid card (typically ranging from $5 to $20) entitles you to up to three self-serve pours, ranging from tastes to full glasses. Snowbirds, beware of seasonal sticker shock: winter-spring rates start at $299 a night. Doubles from $149; bhotelsandresorts.com.

Postcard Inn, St. Pete Beach, FL

This motel from the 1950s sits on a six-mile island off the Gulf Coast about a half hour southwest of Tampa International Airport. When the 196-room property was renovated into a boutique hotel in 2009, it took on a distinct hipster sensibility: rooms are decorated with vintage longboards, locally snapped surf photos, and groovy lamps. You can book packages that include kite-flying or stand-up paddleboarding; the hotel also has a pool, shuffleboard, and the PCI Bar and Grill, a gourmet comfort-food restaurant. Order the signature Sticky Ribs or the bacon flavor of the day, such as garlic herb or cherry whiskey. In spring, rates start at $229. Doubles from $129. postcardinn.com.

Travel + Leisure: 25 things you didn't know about Disney parks

The Georgianne Inn, Tybee Island, GA

This barrier island, a half hour from Savannah, has plenty of old-school activities, from bicycling along the sand dunes or the causeway, with osprey or herons overhead, to watching for dolphins from a sailboat or kayak. The charming seven-room inn dates back to 1910 as a home—a father built the beach house for his daughter—and started life as an inn in 1921. It's just three houses away from the beach, and stays include beach chairs, boogie boards, and bikes for guests' use. Five of the rooms are actually suites with full kitchens—perfect for extended-stay folks who like B&B charm but want breakfast-table autonomy. Even in the high season, rates start at a reasonable $125 a night. Doubles from $75; georgianneinn.com.

The Ocean Lodge, Cannon Beach, OR

Even though this hotel on Oregon's rocky northern coast was built in 2002, its 1940s style—a stone-and-timber exterior and big verandas—evokes an old-school resort feeling. Its beach location is within steps of a 235-foot basalt monolith, Haystack Rock, and it's an easy walk into town. Rooms have fireplaces, balconies, and two distinctive bits of Portlandia-esque charm: you can bring your dog (designated pet rooms have direct beach access), and rooms are stocked with locally roasted Sleepy Monk coffee. Summer rates start at $249. Doubles from $199. theoceanlodge.com.

Dunes on the Waterfront, Ogunquit, ME

Thanks to a slew of homey white cottages, wide green lawns, and huge blue-sky views, this low-key escape has loads of repeat guests. Located in southern Maine on the Ogunquit River, the 12-acre Dunes has 17 rooms, each with a pair of Adirondack chairs, as well as 19 cottages that up the ante with their own screened-in porches. The beach is just across the river, which, depending on the tide, is either a short walk or rowboat ride away. The inn also has direct access to trails, fishing from the docks, and a trolley that will take you into town. Doubles from $175; dunesonthewaterfront.com.

See all of the U.S. beachfront hotels under $200

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

California offers a crop of beachfront hotels under $200

@highlight

Pismo Beach's first oceanfront hotel sports a retro-mod interior

@highlight

Affordable rooms can even be found in South Beach in peak season