(CNN) -- Let us not doubt, even in the age of deep cynicism, the power of words can still stir the spirit.

And let us acknowledge, whatever our politics, that President Barack Obama has redefined oratory for our times, and perhaps more, revived it.

Not all of his speeches are memorable. His talk on the 50th anniversary of the 1963 March on Washington fell short. Not all of his remarks inspire thoughtful reflection, initiate critical debate or compel us to move forward. In some ways, his Second Inaugural speech was a missed opportunity.

But when he is focused, when the moment and its meaning coalesce, no president since John F. Kennedy matches Obama's ability to transform ideas into phrases, and phrases into the passion to be a force for progress.

I give President Ronald Reagan and President Bill Clinton their due. Magnificent speakers and eloquent in their convictions, both in their time elevated the stature of presidential speeches.

Obama, though, as he proved in his eulogy for Nelson Mandela, can be in a league of his own.

Let me first deal with -- or rather dismiss -- the gossipy flutter over Obama's handshake with Raul Castro, president of Cuba and Fidel Castro's brother. As CNN reported, it happened in the context of Obama's shaking hands with dozens of world leaders. Respect for Mandela and his family required Obama to be polite. As CNN Foreign Affairs Correspondent Jill Dougherty wrote, "refusing to shake Castro's hand would not have been in keeping with Mandela's legacy of reconciliation."

There are times when all of us can be critical of President Obama. After all, he's not infallible.

His speech at Mandela's memorial was beyond my expectations. I watched as more than 100 world leaders walked into the stadium where South Africans had gathered to celebrate Mandela's life. They took their seats to applause. Latin American, Asian, Arab, European and African leaders sat together, so they could talk amongst themselves, I guess.

It was an interesting juxtaposition since they were there to honor a man who brought people of different colors and backgrounds together.

But when Obama spoke, I became lifted from the drizzle and dim light.

Obama's words made me proud as an American and as a person; they resurrected Mandela's spirit. It is because of Mandela's soul, his spirit, that so many gathered. It has not vanished.

Mandela's spirit was present within each person who was there. It was reflected in the hope that was palpable even across the miles and through a television screen. Mandela, a man of persistence, forgiveness, decency, struggle and strength, has left an overwhelming legacy as reflected in the faces of those in attendance, from the pauper to the world leader.

We all know there is nothing easier to overdo than a eulogy. It is so tempting, in the graciousness of not speaking to human errors because they are gone, to lay it on so thick that the deceased, if he could, would look around and say, "Who is he talking about?" Obama avoided that trap.

It was because Mandela showed us his human traits in all their mix that we came to love the man, he said. He also showed us that a human being, though weighted by faults, can rise to the greatest heights of the human spirit.

As Obama reminded us, "There is a word in South Africa -- ubuntu -- that describes [Mandela's] greatest gift: his recognition that we are all bound together in ways that can be invisible to the eye; that there is a oneness to humanity; that we achieve ourselves by sharing ourselves with others, and caring for those around us."

Obama also hit the hypocrisy in all of us, but especially in world leaders (including himself, he said) who would praise Mandela but then not walk the walk that Mandela walked. Twenty-seven years in prison would have killed many a person's hopes. At some point, most would have thought, "I'll never get out, my dreams are gone."

While social media was gossiping about Obama shaking hands with Castro, Obama chastised leaders who would praise Mandela's racial reconciliation yet oppose the most modest reforms to end economic injustice and inequality. And speaking to the heads of authoritarian governments present, Obama said there were too many leaders who "claim solidarity with freedom," but do not "tolerate dissent from their own people."

Obama spoke of Mandela's uniqueness as the last great liberator of the 20th century. Mandela's special qualities should inspire us to make our own imprint for the continuing struggle of equality, reconciliation and freedom.

"While I will always fall short of Madiba's example, he makes me want to be a better man. He speaks to what is best inside us," Obama said.

That he does. Thank you, Mr. President, for words and a spirit befitting the occasion.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: In his remarks at Mandela's memorial, Obama was "in a league of his own"

@highlight

"The power of words can still stir the spirit," Brazile says

@highlight

Brazile notes not all of the President's speeches are memorable