Ashkelon, Israel (CNN) -- On Monday morning, the sirens went off in Ashkelon, warning of an incoming rocket from Gaza. I was asleep and in that foggy state of mind made the mental calculation not to get out of bed and seek shelter, despite the blaring red alert.

This happens so often on Israel's side of the Gaza border that sirens are just another part of your day and it's easy to become complacent. Seconds later, a distant boom.

I've only been here for little more than a week, but I'm already falling into this strange routine.

The beach in front of my hotel here is gorgeous: Blue water, kids playing in the surf while their parents soak up the sun. In the quiet moments, it's hard to believe there's a war going on less than a 20-minute drive away. But then another siren will go off. Some people quickly walk to shelters. Others ignore it.

Most rockets fall into open areas or get intercepted by Israel's Iron Dome anti-missile system. The rockets from Gaza are wildly inaccurate, but the rare direct hit can be deadly.

When I talk to residents, they often try to describe this distant but constant threat, more psychological than physical. Being driven to madness by rocket fire is a common problem here.

Inside a Hamas tunnel

Support for the Israeli operation

Few believe any form of negotiation will work, and nobody is shy about telling you what they think.

Many not only believe the Gaza offensive is justified but want the Israel Defense Forces to escalate the operation, to demolish Hamas and its rockets once and for all. Two recent polls in Israel showed more than 80% of respondents rejected a cease-fire as long as rocket attacks continued and the tunnel network in Gaza remained, even while supporting the continuation of Operation Protective Edge until Hamas is overthrown.

On the roads, blue and white banners flap their support for IDF soldiers. Tour buses of civilians come to hand out ice cream and care packages to resting soldiers, stuffed with socks and underwear, favorite snacks and sweets. Chabad caravans are parked alongside the highway to offer spiritual support.

One man at a gas station offered me this unsolicited metaphor on dealing with Gaza and Hamas:

"When your child is young, you can beat him when he does something wrong. But when he is older, then it's too late. Beating him will do nothing. You must do more."

I was left wondering what "more" could be and whether violence could end the threat forever.

Every day, the casualty count in Gaza rises. It's now more than 1,000 dead and thousands more wounded. The vast majority are Palestinian civilians caught in the relentless shelling of their neighborhoods.

People here are aware of the pain and suffering the Israeli military has inflicted. Most I spoke to don't take any joy in it. There is, instead, a grim determination to get the job done, however brutal.

One kibbutz member told us he had been hoping to host a family exchange, allowing members of a Palestinian family in Gaza to live in an Israeli home for a while, to start a dialogue.

But then the war happened. A group of Hamas militants managed to burrow under the border and infiltrate only a few hundred meters from his home. An IDF patrol engaged the militants, killing most of them, but he and his wife spent that night in their safe room, listening to the deafening sounds of battle outside. He still wants dialogue but, unsurprisingly, only after the IDF has dismantled the tunnel network that came so close to his home.

Big reminders of war

During the day, we drive down the 232 border highway and see a country mobilized for war. Merkava tanks kick up dust rumbling alongside the road. Armored personnel carriers are transported by trucks. Giant armored bulldozers wait for orders.

Usually, we get off the highway and drive through the sunflower and melon fields to catch sight of a military unit or artillery position.

Last week, we happened upon a unit nestled in a green orange grove, just a few hundred meters from the Gaza border. They had just pulled out of Gaza. Our cameraman shot video of the tanks returning from the border and the troops relaxing in the setting sun. It was strangely peaceful. Overhead, planes and helicopters dropped flares and we counted the booming pattern of artillery fire and wondered where the shells were falling on the other side. The soldiers next to us did not look victorious in any way. They just looked exhausted and dusty.

More than 40 Israeli soldiers have been killed so far. This is the biggest loss the Israeli military has suffered since its 2006 war in Lebanon. But it has not diminished the appetite for war and may even strengthen Israel's resolve.

I was struck by how one military family, whose eldest son was killed in an ambush in Gaza, spoke through their grief to describe the righteousness of their cause, a conviction that blends fervent nationalism and religious devotion.

"The Jewish people are the most moral people. Those people on the other side are the ones without morals," the father told me. And when I asked about the possibility of peace, he just laughed: "Who are you going to make peace with? Hamas? We gave Gaza back to them 10 years ago. And who is sitting there now? Not the good people. Not good Palestinians."

'We came here to see it with our own eyes'

In the evenings, we set up our live shot location near the Gaza border to see the skies light up with flares and feel the ground shake with the sound of outgoing artillery.

We aren't the only ones. Plenty of residents from nearby towns come to watch: Teenage girls in summer dresses. Men with barbeques and shisha pipes. Professional journalists and amateur photographers with cameras and microphones in hand.

Sometimes the crowd is rowdy, angry. One night, a group of men cheered the bombing on, whooping whenever a shell landed. They were not fans of CNN. And when they found out who we were, they threatened our engineer and grabbed our camera.

But that's not always the case. One night, a group of Bedouin Arabs watched the surreal light show next to a group of former and serving soldiers. The mood was somber, subdued.

The soldiers did not want to talk. They watched the scene with grim intent.

"We came here to see it with our own eyes," explains one of the Bedouin men, "They are our brothers, Arabs like us. It hurts us to know that they suffer like this, especially during Ramadan."

Monday is actually the end of Ramadan, leading to Eid al-Fitr. And when I got up Monday morning, after the siren sounded, there was a faint hope of de-escalation on this holiday. Overnight, the rocket attacks had subsided somewhat and there was only the occasional IDF strike.

By late afternoon, the lull in fighting had disappeared: A rocket barrage from Gaza, then Israeli airstrikes. And even as I type this, another siren blares and I can see the children on the beach flatten themselves in the sand or sprint for shelter. The boom sounds in the distance. And, then, life here resumes as normal as can be under the circumstances. But somewhere in Gaza, the military's response is swift and devastating and I cannot help but wonder how many more will die today.

War knows no holiday.

@highlight

In Ashkelon, rocket attack sirens go off so often, the sound is just another part of the day

@highlight

Few in the city say negotiation will work, and many think the Gaza offensive is justified

@highlight

In the evenings, residents gather near the Gaza border to see flares, feel outgoing artillery