Sevare, Mali (CNN) -- The Malian military gained control Monday of the central Mali town of Diabaly, a key advance in the battle against Islamist militants in the north.

The country's forces retook the town without ground assistance from the French troops in the country, a military spokesman said Sunday. The French military confirmed that it provided only air support.

The French are involved in the fight because Mali once was under the country's control and because Islamists have been threatening to turn the democracy into a haven for international terrorists.

Ethnic Tuaregs who had returned to Mali well-armed from fighting for late Libyan leader Moammar Gadhafi staged a military coup last year against the Malian government. Islamic extremists capitalized on the chaos, carved out a large haven in Mali's north and imposed a strict interpretation of Sharia law. The Islamists banned music, smoking, drinking and watching sports on television. They also destroyed historic tombs and shrines.

Those events stoked fear among global security experts that Mali could become a new hub for terrorism.

And recent events regarding Mali have unfolding in harrowing ways. Mali is allowing France to use its airspace to take on insurgents, a move that purportedly angered militants, prompting some to storm a gas field in eastern Algeria and take hostages. That ended Saturday with 23 hostages dead and dozens of Islamist militants killed.

On Monday, French officials said Malian forces pushed the Islamists into the forest beyond Diabaly and have taken control of the city and another area, Douentza.

A CNN crew was in Diabaly Monday and were told by Malian and French forces that Islamists left after they were hit directly in one of their makeshift camps by the French and Malians. The scene after one battle included burned-out armored vehicles and a truck that at one point belonged to the Islamists.

A Malian officer, Col. Seydou Sogoba, told CNN that the Islamists were using sophisticated weapons like he had never seen before. He believes they originated in Libya.

As the news crew drove into town, the dusty streets in the extremely poor area were mostly empty except for military vehicles and French and Malian troops. Whatever trucks had belonged to the Islamist rebels were bombed and burned out. Destroyed high-caliber weapons were seen in the vehicles.

A French colonel, exhausted from fighting and who wished not to be named, told CNN that foreign fighters -- including some who are Algerian -- have been pushed out of the area.

Sogoba told CNN the fight against the rebels was very hard, but he is focused on "preserving the national integrity" of Mali.

The humanitarian crisis in Mali is stark, according to the Norwegian Internal Displacement Monitoring Centre.

"They cannot stay where they are due to the grave insecurity caused by the conflict," said Sebastian Albuja, the center's head of the Africa and Americas Department. "Yet the meager resources and the diminished coping abilities of the government and humanitarian actors means that they are faced with limited options."

Because Algeria has closed its borders, people in the north are increasingly heading to the desert, where they will face harsh conditions and real struggles over food and water with limited humanitarian assistance, the group said.

Many are fleeing on foot because they can't afford boats or buses, Albuja said, and even if they do make it, they get there only to find the roads blocked.

The group is especially concerned about women, children and the injured, who they've heard are too afraid to go to hospitals, believing hospitals will be bombed. The Norwegian center is very concerned about victims of rape as a weapon of war, he said.

French involvement began the day after militants said January 10 that they had seized the city of Konna, east of Diabaly in central Mali.

Paris-Match interviews Belmoktar

On Monday, the website of the French magazine Paris-Match published an interview with the spokesman for Moktar Belmoktar, the veteran jihadist behind the Algeria attack, who said the attack was "a 90% success because we managed to reach a strategic site protected by 800 soldiers with only 40 men."

France's "crusaders and Zionist Jews will have to pay for its attack on the Muslims of northern Mali," said the spokesman, Hacen Ould Khalil. "I hope France realizes that there will be dozens of Mohammed Merahs and Khaled Kelkal(s)."

Merah, believed to be a French national of Algerian descent, said he was a self-styled al Qaeda-trained jihadist. He was the chief suspect in a series of shootings, including an attack on a Jewish school, in France in 2012. He was killed in a police raid.

Kelkal was of Algerian origin and is believed responsible for a series of attacks on French soil in the 1990s.

The spokesman told the magazine that his group has contacted the French authorities and started negotiations.

"The goal was never to kill or hurt the hostages," he added.

Then he explained what al Qaeda-linked militants in the Sahara want:

The end of the French intervention in Mali; the liberation of Omar Abdel-Rahman, "the blind sheikh" incarcerated in the United States for his role in the 1993 World Trade Center bombings; and the freeing of Aafia Siddiqui, a Pakistani scientist who is incarcerated in the United States on terrorism charges.

France denies any communication with Belmoktar's group, according to the publication.

Read more: Six reasons events in Mali matter

France sending more troops?

In recent weeks, French President Francois Hollande has said that if his country had not intervened, Mali "probably would have fallen into the hands of terrorists."

Now 3,150 French soldiers have been assigned to the French mission, dubbed Operation Serval. At least 2,150 of them are on Malian territory, the French have said.

The government is considering sending more troops, it said Monday.

The Islamists are well-equipped and well-trained, French officials have said. But advances made by the Malian army toward cities that the Islamists previously controlled "constitutes a certain military success for the Bamako government and for French forces," said French Defense Minister Jean-Yves le Drian.

"I reaffirm my total confidence in our soldiers who are in combat with determination in the mission decided by the French president." he said. "It aims to restore sovereignty to Mali on its territory and to prevent the risk of the constitution of a terrorist sanctuary in the heart of Africa."

Gunfire heard

Rebel control over Diabaly was one of the chief concerns to Mali and France as they tried to stop the Islamists' movement into the south.

French and Malian forces retook Konna from militants Friday, a French source said. But gunfire could still be heard there on Monday.

What's behind the instability in Mali?

As fighting continues, many people are being cut off and are in need of basic supplies.

The U.N. Security Council in December authorized the deployment of an African-led International Support Mission in Mali, and West African leaders met Saturday in Ivory Coast to discuss speeding up deployment of troops.

The regional bloc -- the Economic Community Of West African States -- has said it has 3,300 regional troops on standby.

It urged the United Nations to provide immediate logistical and financial support for African troops.

"The escalation of conflict in recent days reminds us of the importance of assuming our responsibilities very quickly in a dynamic of coordination with our partners," said Charles Koffi Diby, the Ivory Coast foreign minister. "We should act very quickly."

'It was absolutely necessary'

Despite its unilateral decision to get involved, France is seeking help from its regional allies and the international community.

Christian Rouyer, French ambassador to Mali, reiterated the need for the French offensive in Mali.

"We had a friendly country that was on the verge of dying," Rouyer said Friday. "It was absolutely necessary to act with urgency. We did it, I believe, with full knowledge of the reasons."

Leaders from several countries have offered troops or logistical support.

The European Union has approved a training mission. Canada and Britain are deploying military transport aircraft. Nigeria is set to deploy soldiers as part of the U.N.-mandated African force to fight the insurgents.

No military aid from U.S.

U.S. policy prohibits direct military aid to Mali because the fledgling government is the result of a coup. No support can go to the Malian military directly until leaders are chosen through an election, said Victoria Nuland, a State Department spokeswoman.

So far, the United States has only shared intelligence from intercepted signals and satellites with France, defense officials said.

U.S. trainers will be in African nations to prepare forces set to be deployed in Mali. Trainers will be in Niger, Nigeria, Burkina Faso, Senegal, Togo and Ghana.

The United Nations is warning of a record number of Malians fleeing to neighboring nations.

The violence could soon displace up to 700,000 in the country and around the region, said Melissa Fleming, a spokeswoman for the U.N. refugee agency.

@highlight

A humanitarian group says many injured fear going to hospitals

@highlight

Paris-Match: Terrorist leader spells out demands and talks about the Algeria attack

@highlight

France may send more troops to prevent Islamist terrorists from controlling Mali

@highlight

The international community fears Mali could become a hub for terrorists