(CNN) -- A boy takes a condom.

He inflates it slowly, each breath meticulously measured as the creation begins to take shape.

He takes some plastic and carefully wraps it around the condom, ensuring it can't be punctured before using pieces of shredded tire and an old rope to tie around the oddly shaped sphere.

This is football -- rural African style.

No grass, no shoes, just a machete knife on hand to chisel out the thorns which get stuck in the players' feet.

Welcome to Chicome -- a small village in Mozambique, located 150 kilometers off the beaten track and an eight-hour drive through the bush.

Chicome exists without electricity or running water -- instead it lives off the "Three F's": farming, family and football.

"Having less is interesting because it makes us see things in a different way," renowned international photographer Jessica Hilltout told CNN.

"What I know is that everyone says the same thing, how can people be so content?

"Happiness is a state of mind. You see people with so much who are buried in their belongings and burdened by their attachment to possessions.

"Those who have less also have less worries and are more focused on what is essential."

Chicome was one of the places where Hilltout's photos spoke loudest.

Football is what keeps the village breathing. Every evening a match takes place amid noise and a carnival of color.

At 4pm each and every day the whistle sounds to signal the start of play with people arriving from all sides of the bush onto the field.

"It was a moment of magic," Hilltout said. "They forget the hardship of the day and people just had fun. Not just for the players but for fans, the wives, it was real delight.

"It was a real African match. Bare feet, getting thorns, cutting them out with machetes, dressed in individual fashion. It was fantastic."

Hilltout is well qualified to explain the attitudes and role of football in rural African society following the success of her "Amen" project.

In her father's Volkswagen Beetle, Hilltout traveled across Africa, documenting in each and every shot just how crucial football is to the survival of those battling against the odds.

"It wasn't easy at the beginning. I was sitting in my tent, crying, why am I doing this?" she recalled.

"I hated football. It's such a male world, then there is a little white woman, and everyone was looking at me.

"With time on the terrain I learned that the best thing for me was to settle in an area where I felt a good vibe. I wanted to use my senses, feel, talk to people, make friends, see the fields and spend time with people to explain the project and gain their trust.

"People are suspicious because white people take photos and make money off the back of it. I had to break that. I think that people saw I was putting love into my log books they saw it wasn't a commercial project.

"They saw that when I was stopping to write their names down and put some memorable quotes in that there was more to it."

Hilltout is no stranger to Africa. Her tour of Madagascar in 2007 whetted the appetite for something which delved deeper into the everyday lives of those living across such a vast and enriching continent.

It was while spending Christmas with her father in South Africa five years ago that the idea of a football project was born.

"I love Africa and my father loves football. He did the design of the book and I took the pictures and the traveling," she said.

"I'm not a football fan at all. I did watch the World Cup, but I'm really not a big fan.

"During my travels through Africa I had often seen handmade balls which I thought were beautiful and symbolic of so much. But I thought there was something wonderful about showing what life is like in Africa through football.

"I wanted to do a study of football in its purest sense, without all the corporate sponsors, television and stuff which goes with it.

"I wanted to show people playing just for the pure pleasure."

Hilltout spent a total of nine months traveling throughout Africa, taking in Lesotho, Malawi and South Africa on her first trip before visiting Ghana, Ivory Coast, Burkina Faso, Niger, Togo and Benin.

"Every time I stopped somewhere, I found someone who could speak the dialect and English or French and they would be my link to the population. I wanted to have fun," she said.

In Kumasi, Ghana, another story was brought to life through the lens.

"I'm OK, I'm OK," said Sani Pollux, manager of the famous Anokye Stars side.

Pollux, a quiet and humble man, has been training children since he was 14 and has been responsible for unearthing some of Ghana's most talented players.

The club, which is made up of 150 boys, has teams in several age groups and survives by selling players to the bigger teams.

The likes of Milan's Sulley Muntari, former Leeds striker Tony Yeboah and international midfielder Isaac Boakye have all passed through the Anokye Stars set up.

Kids from across the country flock to attend trials, as Pollux runs the rule over "these young dancers in the dust," according to Hilltout.

"The boys look after Sani, and he looks after them," she said. "He lives in a 10 square meter home, in old Suame neighborhood.

"On the roof is a huge satellite dish with all the sport channels. The living room is the center of this house. Here they listen to his massive old-fashioned radio, eat and watch football.

"The place is an organized mess with footballs hanging up, old photos of successful young boys, old boots, cups, trophies and a dangerously low ceiling fan."

The project has sparked reaction from across the globe with hundreds of people donating both new and old equipment, while Adidas has also contributed.

"It has gone beyond all expectations," she said.

"I was always attracted to the world of image. I assisted photographers to make sure I actually wanted to do it. I did a trip in a Land Rover from Brussels to Mongolia and then up to Africa when I was younger.

"It really formed my way of seeing the world. I wanted to see the imperfect, the banal and all the simple things in life which we sometimes forget about.

"For anyone, whatever their passions is, when you give a project everything you've got and push yourself that bit further, there's always some kind of magic that happens."

Amen to that.

@highlight

Photographer Jessica Hilltout traveled across Africa capturing role of football in society

@highlight

Hilltout, not a sports fan, believes football is integral to people's happiness

@highlight

She drove across the continent visiting whole raft of countries

@highlight

Hilltout has set up a fund to help bring sports equipment to Ghana