(CNN) -- Moments after blasting what he called Russia's illegal "military aggression" of his nation, Ukraine's interim leader insisted Thursday that a peaceful resolution that ends with Kiev and Moscow becoming "real partners" is still possible.

"We still believe that we have a chance to resolve these conflicts in a peaceful manner," interim Prime Minister Arseniy Yatsenyuk told the U.N. Security Council.

Yatsenyuk's remarks come as thousands of Russian troops staged military exercises not far from his nation's border.

And they are entirely new, given that Ukrainian officials have previously called for talks and slammed what they say is Russia's military invasion of their country, something that Russian President Vladimir Putin has denied.

Still, the stage -- addressing representatives of the world's most powerful nations, Russia among them -- makes the assertions more salient, as does the fast approaching referendum in which residents of the Crimean Peninsula will vote whether to secede from Ukraine and join Russia.

Ukraine has been simmering since last November, when protesters angry at the sitting government -- in part for its president's move toward Russia and away from the European Union -- began hitting the streets. In February, after deadly clashes between government forces and demonstrators, President Viktor Yanukovych was ousted (he soon took refuge in Russia).

With that, the focus moved from Ukraine's west, which tends to lean more European, to its south and east, where ties to Russia are stronger.

Rising tensions have centered on Crimea, where local officials have declared their autonomy from Ukraine and alliance with Russia, as armed men have blockaded and taken other actions against Ukrainian military and other posts.

Tensions also have spilled over into other parts of eastern Ukraine, such as Donetsk, where the regional health authority said a 22-year-old man was stabbed to death and at least 10 others were injured in clashes Thursday between pro-Ukraine and pro-Russian protesters.

While the bloodshed has been limited so far, fears are percolating that this crisis could turn into a full-scale military conflict.

"We are looking for an answer to the question of whether the Russians want war," Yatsenyuk said Thursday in Russian. "I am sure that, as the prime minister of Ukraine, (which) for decades had warm and friendly relations with Russia, I am convinced that Russians do not want war.

Russia kicks off military drill

On Thursday, Putin reiterated his longstanding stance: Ukraine's crisis was caused by internal factors, not by Russia. And if people in Crimea -- including ethnic Russians -- want to be part of Russia, that's their right and likewise Moscow's right to protect them.

Speaking after Yatsenyuk at the United Nations, Russian U.N. Ambassador Vitaly Churkin accused the West of having "fanned the flames of unrest" in Ukraine by their officials' "blatant interference," which he said contributed to Yanukovych's "illegal" ouster. Since then, the Ukraine's pro-western government has exacerbated the crisis by clamping down on opposition and effectively "splitting this country (into) two parts," Churkin said.

As to Sunday's referendum, the ambassador said citizens there deserve the same right to self-determination as anyone: "Why should the Crimeans be the exception?"

Even as Moscow hasn't said it wants to takeover Ukraine, its military has become noticeably active in the region of late -- and not just its thousands of troops stationed in Crimea.

Its most recent such action was starting military drills Thursday involving about 8,500 artillery men in the southern part of the country bordering Ukraine, according to Russia's defense ministry. U.S. Ambassador to the U.N. Samantha Power portrayed the "new military operations" as connected to the "Russian military intervention," telling the Security Council on Thursday that they involve "artillery batteries, assault helicopters and at least 10,000 additional soldiers near the Ukrainian border."

These exercises -- which include rocket launchers, howitzers and anti-tank cannons -- aim to "improve the cooperation between artillery (units) and motorized rifle forces, tank forces, air cavalry and the marines," Russia's defense ministry said.

The Southern Military District borders Ukraine and includes the North Caucasian Military District, the Black Sea Fleet and the Caspian flotilla, the ministry said. One of its four bases is in the Ukrainian city of Sevastopol.

The troops involved in these drills seemingly are in addition to the up to 25,000 Russian troops already stationed in Ukraine.

Not far away, U.S. President Barack Obama's administration is expected to announce plans to keep the aircraft carrier USS George H. W. Bush in the Mediterranean Sea longer than planned to reassure NATO allies who may be feeling insecure after Russia's moves in Crimea, CNN has learned.

Asked about the decision to keep the aircraft carrier in the Mediterranean, a senior administration official said not to expect much more muscle-flexing, or additional military steps, before Sunday.

Ukraine financial package stalled in Congress

Russia's military activities within Ukraine itself -- including whether its troops are among the men, whose uniforms did not have insignias, who have seemingly marooned Ukraine's military there -- are a matter of intense scrutiny and debate.

Yatsenyuk stated Thursday he has no doubt Russian troops have intervened, despite having "no grounds" to do so. He said Russia's military presence "is clearly identified," pointing out that vehicles used by some armed men have Russian license plates.

"This is absolutely and entirely unacceptable in the 21st century to resolve any kind of (conflict) with boots on the ground," the interim prime minister said.

Western officials warn Moscow

Western officials, meanwhile, warned Thursday that Russia will face significant consequences unless it changes course in Crimea, with U.S. President Barack Obama pledging to "stand with Ukraine."

In a speech to the German parliament, German Chancellor Angela Merkel said Sunday's secession referendum is unconstitutional and Russia's presence in the Black Sea peninsula violates Ukraine's territorial integrity. She warned Putin that his actions would lead to "catastrophe" for Ukraine.

"It would also change Russia economically and politically," she said.

In a phone call, French President Francois Hollande told Putin the referendum "has no legal basis," urging the Russian leader to "do everything to prevent the annexation of Crimea to Russia."

At a Senate committee hearing in Washington, U.S. Secretary of State John Kerry -- who is set to meet Friday with his Russian counterpart -- predicted that the upcoming vote would favor Crimea rejoining Russia.

But he warned that, absent movement by Russia toward negotiating with Ukraine on the crisis, "there will be a very serious series of steps Monday in Europe and here."

Already, the Paris-based Organisation for Economic Co-operation and Development said it had postponed activities related to Russia's process for membership in the organization.

In a boost to Kiev, members also "agreed that the OECD should respond positively to Ukraine's request to further strengthen existing OECD-Ukraine cooperation to take advantage of the OECD's expertise to address the public policy challenges it faces."

'Putin's opinion is much more important'

Crimea is on edge, as evidenced by flaring tensions and growing worries as evidenced by long lines at banks in the regional capital of Simferopol.

Separately, Crimean authorities have secured offshore Ukrainian oil and gas projects in the Black and Azov seas, as well as the Chernomorneftegaz company's oil and gas fields, Russia's state-run RIA Novosti news agency reported Thursday, citing Crimean parliamentary speaker Vladimir Konstantinov.

"These deposits and the platform fully become the property of the Republic of Crimea," he said. "We have guarded them. These are our fields and we will fight for them."

A decision on Ukraine's Chernomorneftegaz has not been made, Russia's Interfax news agency reported, citing Crimean Deputy Prime Minister Rustam Temirgaliev. He said consultations would take place on whether "this enterprise will remain the property of the Republic of Crimea or will become part of Gazprom," the Russian energy giant.

Ukraine's armed forces deployed in Crimea have been bottled up since late last month, but they're free to leave their bases to vote in the referendum, said Yury Zherebtsov, the Crimean government's official in charge of the ballot, according to Interfax. Zherebtsov said officials had visited military bases across Crimea to convince soldiers that "they have simply become hostage of the Ukrainian government" and to understand that "the only way to maintain the peace and unity of the Crimean people is by forming a union with Russia."

The new, pro-Russian government on the southeastern peninsula has said that if the voters opt to join Russia, the first step would be to declare Crimea an independent and sovereign state. Then it will apply to join the Russian Federation.

INFOGRAPHIC: Comparing Ukraine and Russia's military forces

CNN's Nick Paton Walsh reported from Simferopol, as did journalist Nadjie Femi. CNN's Anna Coren in Simferopol, Alla Eshchenko and Fred Pleitgen in Moscow, Tim Schwarz in Kiev, and Clare Sebastian, Claudia Otto, Laura Smith-Spark, Kevin Liptak, Carol Jordan, Damien Ward, Shirley Henry, Harry Reekie, Richard Roth, Stephanie Halasz, Mathew Chance and Matt Smith contributed to this report.

@highlight

NEW: U.S. ambassador: "At least 10,000" more Russian troops taking part in new drills

@highlight

Ukrainian leader wants to know if "the Russians want war," thinks they don't

@highlight

Residents in Crimea are to vote Sunday on whether to leave Ukraine, join Russia

@highlight

Russia official: West "fanned ... unrest," Crimeans should have self-determination