Charles Davis didn't sense a great deal of excitement leading up to Ferguson, Missouri, elections on Tuesday.

His Ferguson Burger Bar & More is situated along the primary protest route in the city. People have streamed in and out of the eatery since it opened just before Michael Brown was shot in August.

Along with handmade burgers and milkshakes, his patrons have been able to pick up voter registration forms from the counter where they place their orders. While Davis saw voters wearing stickers and some customers mentioned the elections, it wasn't a regular point of discussion in the days before the polls opened.

"A lot of people didn't talk about it," he said. "It was a dead conversation."

Davis, who is registered to vote in Illinois but whose wife voted in Ferguson on Tuesday, concedes that general and midterm elections don't excite him. But in April 2015, when city elections are held? When three of the six City Council seats will be up for grabs? Now, that's a different story.

"That, I would definitely be excited," he said. "They're going to have to make some changes. It's not going to be the same ol', same ol', so I'm excited."

Numbers game

Since Officer Darren Wilson killed the unarmed Brown on a Ferguson street, much has been made of the city's supposed history of poor voter turnout. In a city that is two-thirds black, how, many asked, could the police force and local government be so overwhelmingly white?

Even at Brown's funeral, some speakers used the occasion to call for social change, with one of Brown's cousins urging those in attendance to make their voices heard at the polls because "we have had enough of seeing our brothers and sisters killed in the streets."

To put it bluntly, voter turnout for Ferguson township was far from historic.

Of 24,334 registered voters, 10,222 cast ballots in Tuesday's election, a turnout of slightly more than 42%, according to an initial tally.

There wasn't a wave of new voters, either, as only 204 residents registered to vote between August 11, the Monday after Brown was shot, and October 8, the registration deadline for Tuesday's election, said Rita Days, St. Louis County's director of elections. Fifty-six additional residents have registered since October 8, she said.

Of course, 42% is only the initial tally, and the county has two weeks to verify that figure with the state, so the number could rise or drop, Days said. Still, she felt it was a strong turnout.

"This is a very big number considering the last mayoral election, when Mayor (James) Knowles was elected -- that was 16%," Days said.

But comparing municipal to general and midterm election turnouts is apple and oranges, Knowles said in an email. Since 16.2% of voters first put Knowles in office in 2011, voter turnout for the annual city elections has never topped 12%. The 2012 general election, however, lured 76.4% of voters to the polls.

Alternate views

Turnout, Knowles said, is dependent on a variety of factors, including top-tier races on the ballot, the number of contested races, tax increases and the weather.

"Turnout is low in all municipal elections, period," he wrote. "To try and compare April municipal election turnout numbers to November general election turnout numbers, and interpolating something about what has been going on here with that data would be dishonest."

Asked their impression of Tuesday's turnout, Knowles and the six City Council members declined to share their sentiments on the numbers.

"I want to thank everyone that took the time to come out in the dreary weather to exercise their right to vote," Knowles said. "I hope that our citizens will continue to engage in the community and be educated and active participants in government every day of the year."

While he didn't want to characterize the turnout number as good or bad, the mayor pointed out that 42% lags behind the county's preliminary number of 44%. It's also below the county's totals of 55.8% (2010) and 63.4% (2006) in comparable midterm elections.

County election records show it's also about 10 percentage points lower than Ferguson's turnout in the 2010 midterm, which saw 52.2% of registered voters cast ballots, and about 15 points lower than the city's 2006 turnout.

"Turnout in elections all across St. Louis County has been going down for years," Knowles said.

Others saw the numbers as a positive sign that voters are making sure their voices are heard in the voting booths.

"A big shout-out to the protesters who took their protest from the street to the ballot box," said community activist and Ferguson native John Gaskin.

Protests have been a mainstay on Ferguson's streets since Brown was killed, with demonstrators calling for Officer Wilson to face charges and lambasting what they felt was a heavy-handed police response to the protests.

A grand jury is expected to decide soon whether Wilson will be charged with any crime, and Knowles told local media this week authorities to expect demonstrations and "prepare for the worst."

Some voters undeterred

Gaskin called Tuesday's turnout "significant" when you consider that the August primaries, held nine days after Brown was shot, drew only 25.8% of voters to the polls. He also lauded those who braved a chilly autumn rain to vote, despite an underwhelming ballot on which two congressional seats and the county executive post were highlights.

Precipitation wasn't the only factor vexing voters. There were other minor problems, said Days, the election director. Two of the 11 city precincts ran low on paper ballots, causing delays, a complaint officials heard throughout the county, she said. Days also received a report from a local news outlet about ballot tampering at one precinct, but the media outlet did not provide her with basic details of the allegation, she said.

The Washington-based Lawyers' Committee for Civil Rights Under Law, which set up a hotline to report voting irregularities, received complaints that poll workers were requesting voters' photo IDs, which Missouri law doesn't require, and there were at least a couple of calls "about potential police intimidations at the polling place," said the committee's director of public policy, Tanya Clay House.

Gaskin heard reports that people were standing in line as long as an hour in some Ferguson and St. Louis County precincts, and he was impressed by the outcome of the races for county prosecuting attorney and county executive. The latter went down to the wire, and preliminary numbers show it will likely be decided by less than 1 percent of the vote.

In the prosecutor's race, incumbent Robert McCulloch, who has faced criticism for his handling of the Brown case, ran unopposed, yet more than 11,000 voters cast write-in votes. McCulloch was handily re-elected, but the write-ins composed almost 5% of the vote. By comparison, the second-highest number of write-ins came in the county executive race, with 3,713, according to unofficial numbers.

"St. Louis County is realizing not only do black lives matter, but it's quite obvious that so do their votes," Gaskin said, applauding Ferguson voters for "turning anger and frustration into real, productive action."

Looking ahead

Engagement could be higher, Gaskin said, but he suspects that it will be come April.

There are already "some conversations on who's going to run," which he believes is "definitely healthy for a community that needs to get politically engaged," he said.

There is a feeling among many residents that local leaders are "insensitive, unaware of what's going on or not being honest with the public," he said.

"I think many people feel that way, and it will show at the ballot box," he said. "There are people in office in the city of Ferguson that need to be re-evaluated. I think the community -- you can see from the turnout numbers -- is taking note of that."

During his phone interview from Ferguson Burger Bar & More, Davis said he felt Gaskin's prediction was apt and shared a thought he's sure will be unpopular.

The community doesn't want to think about it because it's grieving and still in pain, he said, but if you can find anything positive in Brown's death, it's that residents are thirsty and excited for change. Maybe that was God's plan, he posited.

"If none of that was going on, nothing would change. It'd be the same as it's been the last 60 years," he said. "A lot of unfortunate situations bring about positive situations, silver linings."

@highlight

10,222 of Ferguson's 24,334 registered voters cast ballots in election, official says

@highlight

County election director calls it "big number"; mayor notes county percentage higher

@highlight

It's largest nonpresidential turnout in 4 years, but 2010 midterms drew far more voters

@highlight

Officials: Lack of paper ballots, illegal requests for ID, rain, police intimidation reported