(CNN) -- At least 10 people died Saturday after Syrian security forces opened fire on protesters who turned out across the country to mourn dozens of demonstrators slain the day before, eyewitnesses told CNN.

The violence erupted in the Damascus suburb of Douma and the southern town of Izraa, where people attended funerals and buried people shot dead during the "Great Friday" protests.

The brazen Friday killings rippled through the Syrian political establishment Saturday when Syrian parliament member, Khalil Al Rifai,  announced his resignation in a television interview over the deaths. He said security forces opened fire even though President Bashar al-Assad promised not to use force against protesters.

The developments occurred amid growing discontent in Syria with the al-Assad regime, whose tough response to peaceful protests has emboldened the citizenry to take to the streets.

Douma is one of the towns where Syrians have staged anti-government demonstrations for weeks. On Saturday, as thousands of people marched from the burial grounds towards the main hospital, security forces on the rooftops of government buildings fired shots, a witness said.

"We were chanting 'with our bloods with our souls we will sacrifice for you martyrs.' And all of sudden and without warning, they fired indiscriminately into the crowd," the witness said.

The witness said five were killed and others were injured. People fled the violence, but several hundred demonstrators remain in smaller alleyways and side streets awaiting the opportunity to come out and demonstrate again.

Activist Wissam Tarif, who is not in Syria but remains in contact with activists across the country, said he was told the forces were firing in the air and at random targets.  His contacts told him more than 10,000 protesters took to the streets.

Witnesses in Izraa said tens of thousands of people gathered for a funeral procession, when, one  witness said, "suddenly they opened fire on us and it was raining bullets. We were chanting 'peacefully, peacefully' and they fired at us."

Two people were critically wounded in the assault and medical personnel transported them to a hospital in nearby Daraa, a doctor said. There was a confrontation between security forces and families of the victims. Shots were fired in the air but the security forces left the scene and there were no casualties.

Tarif said there were reports of shootings in the city of Homs, but an eyewitness said the city is eerily quiet and many people are too scared to leave their homes. There were burials of slain protesters but the funeral ceremonies were performed quickly and they were sparsely attended as if to not attract attention, the witness said.

As for Friday's killings, they occurred in several flashpoint regions as thousands of Syrian protesters defiantly marched after Muslims' weekly prayers in a display of mass discontent toward the government. Violence ripped through the Damascus suburbs of Douma, Moademy and Zamalka, and other cities -- Homs, Harasta and Izraa.

Firm casualty figures were difficult to come by. The Syrian government does not permit CNN to report from inside the country and CNN bases its figures on reports from witnesses.

Tarif said activists have confirmed at least 84 deaths from Friday's confrontations between protesters and security forces.

The state-run Syrian Arab News Agency said a "group of people, some of them armed" assaulted guards in Izraa on Friday, leading to the deaths of eight and the wounding of 28, both from the group and the military.

Ted Kattouf, a former U.S. ambassador to Syria, expressed admiration for the demonstrators' courage, but made no predictions about where it might lead.

"Unfortunately, repression, if used repeatedly, ruthlessly, brutally, can work. We saw that in Iran and, I'm afraid, we could see it in Syria," he told CNN's "AC 360."

The demonstrators do not have the critical mass needed to effect regime change, Kattouf said. He noted that massive demonstrations have yet to appear in Damascus or Aleppo, where millions of people reside, most of them Sunni.

Al-Assad is Alawite, an offshoot of Shiite Islam. The Alawite sect is a minority in Syria but it has maintained control of the regime for decades.

"There's a coalition of interests here, and the demonstrations would have to get much, much larger and stretch the capacity of the regime's security services to the point where some people thought about maybe making their own ways and abandoning Assad."

Amnesty International, which reported at least 75 deaths on Friday, said two boys aged 7 and 10 and a 70-year-old man were killed and urged the regime to stop its attacks on "peaceful protesters."

"The Syrian authorities have again responded to peaceful calls for change with bullets and batons," said Malcolm Smart, Amnesty International's Middle East and North Africa director.

The protests began last month in the southern city of Daraa after a violent crackdown by security forces on peaceful demonstrators protesting the arrests of youths who scribbled anti-government graffiti.

The tough crackdown in Daraa spurred more protest. As peaceful demonstrations spread to other regions, such as Latakia, Banias, and the Damascus suburbs, the protests were met with force that emboldened the protesters' resolve.

The government made some efforts at reform, include the lifting of the country's emergency law, the abolition of a special court that tried regime opponents, the establishment of a new cabinet, and the granting of citizenship to stateless people in the country's northeastern Kurdish region.

The emergency law permitted the government to make preventive arrests and override constitutional and penal code statutes. The security court was a special body that prosecuted people regarded as challenging the government.

But activists think the violent crackdown Friday undermines the lifting of the emergency law. They also have other complaints with the government, such as immunity for its security officers and the incarceration of political prisoners and those arrested for participating in peaceful protests.

They want the easing of the ruling Baath Party's power and a law that would permit the establishment of independent political parties.

CNN's Nada Husseini, Joe Sterling, Salma Abdelaziz and Samira Said contributed to this report

@highlight

NEW: Witnesses say 10 are killed in Douma and Izraa

@highlight

Homs is eerily quiet but shots have been reported there

@highlight

Syrians turned out to mourn dozens who died Friday