London (CNN) -- Violence has returned to the streets of Cairo -- this time in fresh confrontations between army forces and pro-Coptic Christian protesters.

Accounts of the casualties vary but an Egyptian health ministry spokesman told CNN that 25 people had been killed and more than 272 injured during the weekend protests that were sparked by the burning of a Coptic Christian church in southern Egypt.

There has been long-standing tension between Egypt's Coptic Christians and Muslims but CNN's Ben Wedeman in Cairo says that since this year's revolution that removed the former President Hosni Mubarak there have been more of these clashes.

In the aftermath of the latest violence, Egypt's Prime Minister Essam Sharaf has vowed to ban all discrimination based on religion, language, gender or ethnicity.

But why has the violence erupted after a revolution which promises to deliver fresh democratic elections, who are the Coptic Christians and what will the new measures achieve? CNN examines the background.

After a revolution that brought change, do people have renewed confidence in being able to protest? Are they seeing an opportunity to make their voices heard ahead of elections?

Ben Wedeman reports that at least among activists, there is a growing concern that any form of political activity, particularly demonstrations, that target the regime will be met by the kind of force used Sunday evening

One Coptic man told our correspondent that the military is more than happy to allow "millions of Muslim fundamentalists to occupy Tahrir Square every Friday, and cooperate with them in doing so, but when it comes to people who criticize -- Copts, Muslims, secular people -- the military, they use their guns."

He says it's also important to keep in mind that one thing that occupies the minds of many Egyptians is that since the revolution the economy has gone from bad to worse. Tourists are scarce, foreign investment is drying up. One Egyptian told him: "If people don't get back to work within the next five months, there could be famine and chaos."

Why did the military react with such a heavy hand, given its experiences in the revolution?

Wedeman says it is a good question to which no one really has an answer, but offers this analysis:

During the revolution the army stood on the sidelines, and were cheered by the masses

The military, however, adds Wedeman, is not an organization which by its nature is well adapted to dealing with civil disturbances, and that has been clear for some time. They often stand by when the situation goes out of control -- something they did during the revolution when regime thugs tried to attack the protesters in Tahrir Square.

There are concerns among some that with the spread of Islamic fundamentalism within Egyptian society as a whole that religious hardliners have gained a foothold in the officer corps, and that is reflected in the way they dealt with the Coptic protesters.

One sometimes hears Muslims describe Christians as "kufar" -- infidel -- even though the traditional interpretation of Islam was that Christians and Jews are not "kufar" but rather "Ahl al-Kitab" -- the people of the book -- meaning that they are followers of books holy in the Abrahamic tradition.

Who are the Coptic Christians?

The Coptic Christians make up somewhere between 8 and 11 % of the 80 million Egyptians, most of whom are Sunni Muslims. They are not ethnically distinct. They base their theology on the teachings of the Apostle Mark, who introduced Christianity to Egypt, according to St. Takla Church in Alexandria, the capital of Coptic Christianity. Copts split from other Christians in the 5th century over the definition of the divinity of Jesus Christ.

The Copts have been a target of violence in the past but there have been dozens of casualties this year. The New Year's Day bombing of a Coptic church in Alexandria left 23 people dead, and during sectarian clashes in Cairo on May 7 at least 12 people were killed. The most recent protests follow the September 30 burning of the Mar Girgis church in Edfu, a city in Aswan governorate in southern Egypt.

Sectarian violence in Egypt is nothing new. Maha Azzam, Associate Fellow of the Middle East and North African Program at the Chatham House think tank in London, says the sources of tension have focused on religious conversions, attacks on places of worship and Coptic resentment that they are not being given licenses to build new churches

The U.S. Commission on International Religious Freedom, an independent bipartisan federal agency, earlier this year added Egypt to a list of countries named as the worst violators of religious freedom.

The Coptic church

Egypt's Coptic Christians and the crisis

Why have we seen an upsurge in sectarian violence this year?

The reasons are not clear but Azzam points to two possibilities

1) Attempts by those opposed to democratic changes put in place by the revolution earlier this year to stir up trouble.

2) Efforts by extreme Islamist groups to resist attempts by the Copts to establish more churches in the new democratic era.

However, CNN's Ben Wedeman reports that the Muslim community has sent condolences to the Copts in response to the weekend deaths - and there are similar sentiments being expressed on Twitter with many calling for greater religious tolerance.

So what are the concerns now?

Copts are increasingly worried about their future in Egypt. Wedeman says many are worried that the de-facto rulers of Egypt, the Supreme Council of the Armed Forces (SCAF), have concluded an under-the-table alliance with the Muslim Brotherhood and the hard-line conservative Salafi movement as a means to cement their hold on power. "And this perceived alliance shuts out not just Christians, but also secular activists, liberals and others who are worried about the excessive power of those who use religion as a cover for their political ambitions," he said.

Will the new measures to ban intolerance make a difference?

Again, our correspondent says there is a lot of skepticism about the willingness of the military or the government to make good on these promises. He said similar promises were made in May when there was an outbreak of sectarian violence in Cairo that left more than 10 people dead.

The government formed a National Justice Committee, composed of Muslim, Coptic representatives and military and government officials. Several members of the National Justice Committee have resigned or suspended their membership in protest after Sunday's violence and the army's actions.

Wedeman says there have been growing calls from prominent politicians for the resignation of the prime minister who is seen as weak and ineffectual at addressing sectarian issues.

What does this mean for the Egyptian government?

Azzam says the weekend violence presents a serious challenge for Egypt in this transitional period. But she says the reaction of the armed forces and overwhelming use of force reflects a military that is unable to deal with dissent. "Questions have to be asked about who gave the orders and the clumsy way they dealt with protesters," she said.

Both Azzam and Wedeman say the government reaction looked similar to that of the old regime, while the military response has also attracted criticism from Muslims.

In May this year, Michael Wahid Hanna, a fellow and program officer at The Century Foundation, wrote on the CNN website that much should be expected of Egypt's newly-empowered Muslim Brotherhood.

"Repressed and officially banned under Mubarak, the Brotherhood is now the most coherent opposition force in the country and is calling for the emphasis of Islam in Egypt's politics," he said.

So will the process of change be affected?

Moves towards a democratically-elected Egyptian government have been difficult. The U.S. has been trying to encourage the government to lift the state of emergency, and a coalition of 60 political groups previously threatened to boycott parliamentary elections set to start in November unless their demands were met.

An agreement reached Saturday included a promise to consider abolishing military tribunals and plans to draft a document to guide the creation of a new constitution. But some activists said the agreement fails to meet all the demands of the popular uprising.

"There are very serious challenges - both sectarian and economic - but I think we are heading for greater democratization," said Azzam. "It's very hard to reverse that. I think it's going to be very hard to delay elections."

@highlight

Coptic Christians make up between 8 -11% of the population, most of whom are Sunni Muslims

@highlight

Tensions focus on religious conversions, attacks on places of worship and resentment over building licenses

@highlight

CNN's Ben Wedeman says Muslim community has sent condolences to the Copts

@highlight

Maha Azzam says the use of force reflects a military that is unable to deal with dissent