(CNN) -- For more than 100 days, the St. Louis area has experienced an unprecedented season of unrest.

On August 9, Officer Darren Wilson shot Michael Brown, an unarmed teen.

The next day, the community gathered for prayer in the parking lot of the Ferguson Police Department. People continued to gather as the prayer service ended. I hung around and listened to story after story of police abuse in Ferguson and throughout the St. Louis area. I have no reason to doubt the legitimacy of the stories as my own black children have had similar encounters and stories of their own.

Meanwhile, about a mile away on West Florissant Avenue, more people gathered to express grief. Existing frustrations with the business community on West Florissant were amplified by Brown's death. Passions exploded when the grievers were met with an aggressive police presence including a barking attack dog and drawn rifles.

In utter despair and bewilderment, one person threw a rock through a window. As others ran from the police, anger and fear collided, resulting in a fair amount of destruction -- including the burning down of the QuikTrip. There hasn't been a day like that since.

A tale of two streets in Ferguson

Residents from all over St. Louis who gathered day after day on West Florissant encountered police being transported in armored trucks, standing offensively in riot gear, some officers with rifles and others with batons, none with a name tag. We were tear-gassed and shot with rubber bullets and wooden pellets. A justifiably angry community was met with a violent assault from militarized police.

This community needed to process grief, express anger, question authorities, and gather information. We didn't get that.

My friend J. Harris said, "When you treat a generation of people like they have nothing to offer, they will start fighting like they have nothing to lose."

In the months since Brown's death, this community has formed an unbreakable bond. Many times, the community has come together for dinner during protest demonstrations. Women have become surrogate moms. Men have risen as protectors of the community. Lifelong friendships have been formed.

The white and Latino community has also entered the struggle. Many white allies have told stories of feeling powerless in righting injustices they have witnessed in their communities and schools and are now empowered by a collective action. Latinos have had similar experiences with police brutality and excessive force, and we stand united.

There is within St. Louis a groundswell of residents who are fed up with unchecked power and abuse of trust and authority primarily as it pertains to law enforcement throughout this region.

Missouri, it is said, is the heart of America. America's heart is broken.

Many talk about a need for reconciliation. Personally, I think reconciliation is the wrong goal as it implies that an equitable relationship existed at some point.

There is a long history of great division in our state -- classism and racism have impacted every issue of our lives. I do not believe that we need to reconnect with each other; I believe that a new relationship paradigm must be molded. We are broken, and simply getting back to the way things were will not heal our brokenness.

I have met some really good white people who are so deeply rooted within systemic racism that they don't even realize their actions and inactions are racist behaviors and thoughts -- to them, it's just the way things are.

Brown's blood spilling out onto that street in Ferguson was symbolic of the blood that is spilling out of America's heart. The answer to a broken heart is not found in calling for more force.

The heart needs healing -- healing, Governor, healing!

Missouri governor declares state of emergency

Our movement reminds me of Blind Bartimaeus in Mark 10:46-52. The scripture says that when Bartimaeus heard Jesus was passing by, he cried out for wholeness. As others told him to be quiet, he cried out all the more. Bartimaeus didn't have anything to lose, and in this divine moment he decided that the possibility of being whole was worth the risk of remaining broken.

Bartimaeus summoned every ounce of courage and boldness within him and the scripture says he shouted out all the more until his voice was heard -- until he got access to the wholeness he knew was possible.

Bartimaeus has been crying out in St. Louis for more than 100 days and has been dealt with harshly by the use of rubber bullets, tear gas, pepper spray and wooden batons.

Yet Bartimaeus has cried out all the more. As the heart of America is made whole, lifeblood will pump through throughout this nation.

We -- black, white, Latino; across socioeconomic class; interfaith; clergy, politicians and other leaders; children, young adults and elders -- have collectively determined that the possibility of being whole is worth the risk of remaining broken.

We are not going away. Not with tear gas, not with pepper spray, not with beatings, not with arrest. We will spread our cries to the furthest reaches of this city until the process of wholeness has begun.

It is my prayer that the governor will do as Jesus did and hear Bartimaeus crying out and bring healing to the heart of America.

@highlight

The people of Ferguson are grieving, the Rev. Renita Lamkin says

@highlight

Missouri is heart of America, and America's heart is broken, she says

@highlight

The answer to a broken heart is not found in calling for more force, Lamkin says