(CNN) -- There are plenty of ways to game the upcoming Supreme Court decision on health care reform, and they've all been said: President Obama loses in court, he wins with his base. Or it's a severe blow, potentially fatal. Or Republicans benefit if they win, because they were "right" all along. Or the GOP loses, because it has to figure out what to offer for health care instead.

And so it goes.

But there's something else going on here, and it's more meaningful than some short-term political skirmishing. This Supreme Court case is the Waterloo for political polarization, because it underscores something we should have known all along: Great changes in national public policy should never be erected on slender partisan majorities.

If they are, they will always be suspect.

It's a proposition advanced by the late Sen. Daniel Patrick Moynihan, who understood there's little upside to partisan policymaking. After all, he was a member of the 1983 commission that reformed -- and saved -- Social Security for a generation. The program faced collapse; a bipartisan group of heavy-hitters fixed it, together.

No one liked all that the rescue plan contained. But the work had to be done and they did it.

That kind of work is not something we see a lot of these days: health care reform, arguably the most far-reaching social legislation since Medicare, was passed strictly along party lines. Sure, the White House says -- with some justification -- that Republicans weren't interested in their plan. But would the GOP have bitten on a more scaled-back version? Would some in the GOP have broken ranks over, say, requiring insurance companies to cover pre-existing conditions so long as it wouldn't bankrupt them? Sure.

But that wasn't to be. The Democrats had a two-house majority, so the stars were aligned. And with recalcitrant Republicans vocal in their opposition, the Democrats, too, became more strident.

So reform was an all-Democratic bill, a sure way to be challenged before the high court. And no one looks good: the president, who Monday seemed to be warning the court about "judicial activism" in advance of any decision; the court, which about half of the public now believes is political anyway; and Congress, which has an approval rating so low it's hard to even find.

That's what happens when Washington's default setting is always along party lines.

And it's not going to get any better. As congressional districts are redrawn to benefit partisans, those elected become -- naturally -- more partisan. So there is no political benefit to compromise, and as conservative southern Democrats virtually disappear, there are no natural allies left in the Democratic party for vote-hunting GOPers. The same goes for Democrats in search of moderate Republicans, most of whom are either quitting Congress out of frustration (see: Sen. Olympia Snowe of Maine) or are fighting for their political lives (see: Sen. Dick Lugar of Indiana).

Imagine today's Congress passing, by bipartisan majorities, legislation on two controversial issues: taxes and immigration reform. Impossible, right? Well, it was done in the mid-1980's. The tax measure lowered rates and eliminated some loopholes (many, alas, have crept back into the code, but that's another story.) And the immigration bill legalized certain illegal immigrants while punishing employers for hiring illegal immigrants. (And of course we are back at that issue again).

So while the measures were far from permanent or perfect solutions, they were big fixes. Sure, Democrats controlled the House and Republicans maintained control of the Senate and President Ronald Reagan, a Republican, was in his second term, finding a way to cut deals with members of both parties.

Oh, and by the way, the chairmen of the tax-writing committee -- a House Democrat and a Senate Republican -- actually worked together to get something through the Congress. Ditto for those writing the immigration legislation. I know. I watched them in action.

Believe me, it was nothing like watching the debt-ceiling debacle of last summer. Even when there was one small glimmer of hope that the White House and GOP House Speaker John Boehner might work something out, it disappeared. And almost one year later, each side is trying to get history to blame the other fellow for the failure to strike a deal.

It's too bad, really. Because in the end, history will blame both sides -- for looking small when most of the country thinks our problems deserve solutions that are really big.

The opinions expressed in this commentary are solely those of Gloria Borger.

@highlight

Gloria Borger says the Supreme Court health care case is a symptom of what ails us

@highlight

One of the most important laws in decades was passed on purely partisan vote, she says

@highlight

Now the court may deliver a verdict on the law along partisan lines, Borger says

@highlight

Borger: America wants Congress to step up and address big problems effectively