Downtown Kiev was aglow in fire early Wednesday, as demonstrators undeterred by a bloody day on the streets staked their claim to the heart of the Ukrainian capital and, they hope, the heart of the country itself.

Such flames have been a constant for three months, acting as fiery barricades all around Kiev's Maidan, or Independence Square, for protesters. Yet the flames grew more ominous on Tuesday as at least 21 people died in fresh clashes between government forces and activists.

What began with protests over President Viktor Yanukovych's backpedaling from a trade pact with the European Union -- a move that the opposition maligned, accusing Yanukovych of trying to cozy up to Russia rather than the West -- has spawned into something much larger.

In addition to new elections, the opposition is calling for constitutional reforms to transfer more power from the presidency to the parliament.

Yanukovych and his allies have responded with some concessions, even offering places in government to opposition leaders. But on-again, off-again talks have gone nowhere, with the opposition refusing to budge politically and from its positions in the center of Kiev.

None of that changed after a face-to-face meeting overnight between Yanukovych and opposition leader Vitali Klitschko.

Speaking to reporters afterward, Klitschko said there effectively was "no discussion." According to his Ukrainian Democratic Alliance for Reforms party, the president demanded protesters "stop the standoff" and put down their weapons -- an accusation that Klitschko claimed is unfounded.

"I think the authorities should immediately pull back the police and stop the blood, because people are dying," Klitschko said. "I told Yanukovich this. How can we negotiate when there is blood being spilled? Unfortunately, he does not understand it."

What's behind Ukraine's political crisis?

Deadliest day of political unrest

Tuesday's violence followed what seemed like a rare breakthrough.

Protesters pulled back Sunday from Kiev's City Hall and unlocked streets in the city center after the government said it'd drop charges against those arrested in the political unrest.

Then everything fell apart Tuesday.

The speaker of parliament's refusal to allow amendments that would limit the president's powers and restore the constitution to what it was in 2004 angered many in the opposition.

The government's prosecutor general, meanwhile, accused the opposition of breaking "the truce" and, therefore, setting the stage for the crackdown.

"For the sake of pursuing their own political interests, they neglected all previously reached agreements and put lives and the peace of millions of Kiev residents under threat," said Viktor Pshonka, Ukraine's prosecutor general.

Whoever was to blame, there was no dispute Tuesday was the deadliest day -- by far -- in the political unrest.

Riot police used water cannons, stun grenades and other means to force their way through protesters, with video showing some of them toting shields and swinging sticks as they barreled through. Some demonstrators fought back, swinging what looked like baseball bats or using other means.

Protesters also set fire to the headquarters of the ruling Party of Regions. Authorities accused them of firing guns at security forces. A CNN employee at the scene saw demonstrators carrying pellet guns, though not with live ammunition.

One video showed an armored personnel carrier charging toward demonstrators barricades, only to be inundated by a flurry of what appeared to be Molotov cocktails. The vehicle then burst into flames.

All the moving parts, different tactics and raw emotions contributed to a violent, chaotic melee in the center of Ukraine's capital. Officials warned people to stay indoors and shuttered metro stations to help control the situation.

The situation hardly calmed as night descended. Black smoke and bright flames from burning tires continued to rage around Independence Square, just a few blocks from parliament. Small explosions regularly erupted all night -- the product of protesters' fireworks and, perhaps, the stun grenades that police have been using to clear the crowds.

Demonstrators also worked through the night to build up their barricades, by forming human chains to pass bricks, rocks and wood up their front lines in anticipation of another police offensive.

Ukrainian security forces did indeed move forward, despite a barrage of rocks, before halting their advance -- for now, at least.

Kiev was the center of the action, just like it has been all winter, with nine police officers, 11 protesters and an employee from the ruling party's headquarters among those killed, according to officials.

But it wasn't just the capital. Police confirmed the unrest has spread to western Ukraine, with protesters attacking police and local government offices in a number of regions.

Blame game, calls for restraint

Pshonka, Ukraine's prosecutor general, blamed protesters for the violence that he said that -- in addition to those killed -- injured at least 100 others. The organizers of a rally Tuesday that descended into violence will be held accountable "for every single person injured, every car burned and every window broken," he said.

"Today, we were able to see that only the government is interested in peaceful resolution of the situation," Pshonka said. "Opposition leaders should take the responsibility for everything happening in the street of Kiev today."

Opposition leaders painted their supporters as the victims, not the aggressors.

Klitschko, a former world class boxer turned politician, accused police of "cruelly shooting at people in central Kiev."

And Arseniy Yatsenyuk -- an opposition leader from a party other than Klitschko's -- made a public appeal to Yanukovych: "Do not let Ukraine become a country covered with blood. Pull back the police and announce a cease-fire. Then we will negotiate."

U.S. Vice President Joe Biden himself pressed Yanukovych in a phone call, with the White House saying "the government bears special responsibility to de-escalate the situation."

Secretary of State John Kerry later backed up the Vice President's words. He called for the Ukrainian government to halt violence immediately, and reopen dialogue with the opposition.

Kerry: United States, EU stand with Ukraine's people

On the flip side, Russia's state-run RIA Novosti's story on the latest Kiev unrest noted Moscow's persistent support for Yanukovych and its accusation -- made earlier this week from foreign ministry spokesman  Alexander Lukashevich -- that Washington is trying to tell "the authorities of a sovereign state what they should do next and how they should do it."

Such international back-and-forth is especially significant in the Ukraine, given not only its geographic and political position betwixt Europe and Russia and the origins of the latest unrest.

It began in November with Yanukovych's decision to scuttle an European Union trade pact that the opposition hoped would bring the Ukraine closer to the West, and improve its economy in the process.

The next month, Russian President Vladimir Putin announced that Russia would buy $15 billion in Ukrainian debt and slash the price Kiev pays for its gas.

As the months rolled on, the conflict expanded beyond the long-simmering discord over whether Ukraine should align more with the West or with Russia.

The opposition has pressed to change how the Eastern European nation's government operates, namely through constitutional and other reforms that would -- among other things -- shift powers away from its president and toward parliament.

Stop the ultimatums, Russia tells Ukraine protesters

@highlight

Video shows an armored personnel carrier hit by Molotov cocktails, bursting into flames

@highlight

An opposition leader says there was "no discussion" in his meeting with the president

@highlight

A crisis that has been brewing for three months erupts in worst violence to date

@highlight

The 21 killed in Kiev include 9 police officers, 11 protesters and 1 political party official