Describing it as a "day that has been a long time coming," President Barack Obama made modern history Monday by announcing the creation of a monument to honor the late labor and civil rights activist Cesar Chavez.

The Cesar E. Chavez National Monument becomes the 398th unit in the National Park Service system, and the first honoring a Latino born later than the 1700s, the Park Service told CNN.

It's no coincidence the move comes less than a month before Election Day, as the president maintains a strong lead among Latinos. A big turnout among Latino supporters in states where the race is close could help Obama win re-election against GOP challenger Mitt Romney.

Opinion: Obama hits a foul by honoring Cesar Chavez

The president spoke at a ceremony in Keene, California, on land known as Nuestra Senora Reina de la Paz, where, from the 1970s until the early '90s, Chavez lived and led his farm worker movement.

Decades ago, Obama said, when Chavez began his farm worker movement, "no one seemed to care about the invisible farm workers who picked the nation's food -- bent down in the beating sun, living in poverty, cheated by growers, abandoned in old age, unable to demand even the most basic rights."

"Cesar cared," the president said. "In his own peaceful and eloquent way he made other people care too." Chavez's organized labor marches and other protests, including a boycott of table grapes, led to "some of the first farm worker contracts in history,"  Obama said. "Let us honor his memory, but most importantly let us live up to his example."

Chavez's movement "was sustained by a generation of organizers who stood up and spoke out and urged others to do the same," Obama said.

Chavez, Obama said, believed that "when someone who works 12 hours a day in the fields can earn enough to put food on the table -- maybe save up enough to buy a home -- that lifts up our entire economy."

Obama acknowledged that there's still "more work to do" and "the recession we're fighting our way back from is still taking a toll -- especially in Latino communities which already faced high unemployment and poverty rates."

Earlier Monday, the National Hispanic Leadership Agenda, a coalition of 30 Latino organizations, lauded the move.

Chavez, who died in 1993, embodied the principle "that individuals can accomplish more as a community than they ever could on their own," said Hector E. Sanchez, executive director of the Labor Council for Latin American Advancement, in a statement put out by the leadership agenda.

The monument includes 120 acres, National Park Service spokesman David Barna said.

Obama's order puts property under federal protection that includes a visitor's center, the United Farm Workers' legal aid offices, Chavez's home with his wife, Helen, a memorial garden containing his grave, and other buildings, the White House said.

Barna said no sculpture is planned.

The monument, in the Tehachapi Mountains, is the fourth designated by Obama under the Antiquities Act.

Obama's decision to set aside the land as a national monument also sends a political message to environmentalists -- a key group of voters, as many strongly supported him in 2008.

The League of Conservation Voters, which endorsed Obama in 2008 and for his current White House run, has not always been happy with the president's environmental record. As debate raged in 2011 over air quality regulations and proposed construction of a transcontinental oil pipeline, LCV President Gene Karpinski said the administration had been "caving" to industry.

LCV spokesman Jeff Gohringer said Monday that establishing the Chavez monument stands as "further proof of President Obama's commitment to our special places across the country and we hope he continues to use that authority."

César Chávez an inspiration to president's campaign slogan and movements

The Chavez family donated certain properties to the federal government so that the monument could be created.

Beginning Tuesday, the Park Service will take steps to prepare it as an official site, Barna said.

It will become "one of those places that everyone should visit," he said, "part of our shared cultural heritage."

The land includes property that was once Chavez's home, which  was added to the National Register of Historic Places last year. Interior Secretary Ken Salazar called him "one of the heroes of the 20th century."

Paul F. Chavez, president of the Cesar Chavez Foundation, said at the time, "For my father, La Paz was a personal refuge from bitter struggles in agricultural valleys and big cities, a spiritual harbor where he recharged batteries, drew fresh inspiration and prepared for the battles ahead. It was a place where many dedicated people spent years of their lives working with Cesar Chavez for social justice, inspiring generations of Americans from all walks of life who never worked on a farm to social and political activism."

Ruben Navarrette, a CNN.com contributor, wrote a column last year noting that many sites around the country are named for Chavez, and suggesting that that "campaign" may have run its course.

Still, he wrote, Chavez "was a great American who helped bring fairness and dignity to the fields and the workers who toil there. Before Chavez and the union came along, there were no collective bargaining rights for farm workers, no toilets or clean drinking water in the fields, and little public awareness about pesticides and other dangers that workers must endure to put fruits and vegetables on our table. He helped change all that."

@highlight

Obama honors farm workers' champion Cesar Chavez

@highlight

The 120-acre monument the first to recognize a Latino born after the 1700s

@highlight

Event comes as Obama, Romney battle for Latino votes

@highlight

Chavez pushed to create farmers' union, brought attention to plight of farm workers