(CNN) -- At this year's International Consumer Electronics Show, the televisions will be bigger, the watches smarter and more attractive, and the homes and cars more connected.

CES, which kicks off next week in Las Vegas, is a giant technology trade show that mixes dozens of major tech companies with hundreds of scrappy startups.

The big names show off their most recent lines of gadgets alongside eye-catching prototypes of future devices that may or may not ever make it into stores. Smaller companies fill booths with oddball gadgets and robots, plus more mundane fillers like phone accessories.

Here's a peek at what to expect from 2014's first big technology conference.

A gadget for every limb

There are devices to go on wrists, faces, waistbands and necks. Wearable-technology makers will push even harder to make these small gadgets go mainstream after a year of mostly awkward and misguided offerings.

The main focus has been on smartwatches, but so far products like Samsung's Galaxy Gear have combined only half-baked hardware and clunky designs. Google Glass is not yet available outside a select group of beta testers, but it already has something of a reputation problem.

One area that has managed to find a profitable niche is fitness tech. Wearable devices like the FitBit keep it simple by tracking steps, calories and other workout stats, and by synching collected data to smartphones. Fitness wearables overlap with health tech, with devices that track vital signs and help doctors monitor patients from far away.

But it's still unclear if companies will be able to transition sporty and geeky wearables into legitimately fashionable designs that will appeal to mainstream consumers. Major tech companies at CES can be particularly tone-deaf when it comes to appealing to women. (An area of the show floor dubbed "Mommy Tech" is an ominous sign.)

The intelligent house

It's not enough for phones and wristwatches to be smart. Some of the same technology that goes into wearable devices (tiny sensors and low-power wireless connections) is being used to make homes more connected as well.

The promise of a smart home that saves energy and can be controlled from a phone has been around for several years, but the industry was still figuring out how to best make the various devices speak to each other. This year there will be even more vendors shilling home gadgets, but outside of home security systems -- a smart thermometer like Nest or a code lock -- it's not clear whether regular consumers are itching to wire up their entire homes so that they can dim the lights from halfway around the world.

The home-automation industry still has some issues to untangle before it connects with mainstream homeowners. Conflicting communications standards, like ZigBee and Z-Wave, are fighting for supremacy.

A handful of major companies want to own the entire connected-home ecosystem, such as Lowe's with its Iris system. Other smaller companies such as SmartThings see a future where various bits and pieces of a home from different vendors can work together.

TVs are still a thing

Televisions continue to be a dominant product at CES, with major companies like Sony, Samsung, LG and Sharp trying to make screens bigger, higher-resolution and splashier than ever before. There will be gimmicky and extremely costly features, like curved screens, and other new form factors that will appeal only to the most well-funded audio/visual fanatic.

Last year, 4K was the new ultra high-resolution buzzword, but the volume of 4K content continues to be minimal. (Expect to see some new 4K compatible cameras and camcorders.) Google gave the format a boost this year when it announced it is working on a way for the new devices to stream 4K content from services like YouTube without gobbling up all the bandwidth.

The new streaming format, called VP9, will be demonstrated by major TV manufacturers at CES.

Other TV trends will include OLED screens, Internet compatibility in the form of improved TV operating systems, and gesture controls. Many TV companies have eased off of 3-D televisions, which still haven't caught on despite years of hype.

Cars connect with smartphones

Driving and smartphones may not mix now, but car companies are still looking into ways to safely combine the two. Detroit's annual auto show doesn't take place until later in January, but the tech developments inside the cars will make an early appearance at CES.

It takes much longer to design and produce a new car than it does a smartphone, tablet or computer. That means such in-car technology as dashboard computers often feel out of date as soon as they're released. Some car manufacturers are working around this issue by adding compatibility for iOS and Android devices and including safe new ways to interact with the systems while keeping eyes on the road.

Cars are new territory for the smartphone operating-system battle, with Apple and Google each angling for prime placement inside of popular car brands. For example, Audi is expected to announce next week a partnership with Google to bring Android systems to its cars.

In-car information and entertainment systems are a minor feature when compared to what's going on inside some vehicles. Major car companies, universities and tech companies like Google are all working on automated-driving features.

Fully self-driving cars are still a ways off, but early features that will let vehicles communicate with other cars, gather data about your driving patterns and take over in stop-and-go traffic are beginning to appear.

The games people play

CES is not the biggest show for video-gaming news. The major console releases came out just ahead of the holiday rush, and game shows E3 and GDC don't take place until later in the year.

But some smaller gaming products will bring a bit of fun to CES this year. Mobile gaming is a huge market, so look for smartphone- and tablet-compatible accessories and controls, motion sensors and fun add-ons that communicate with your devices over Bluetooth.

Valve's SteamOS gaming platform is expected to have a big presence at CES, while cult darling Oculus Rift -- a virtual reality headset -- also will be on the floor. Some tech that started with game systems, such as motion-controlled interfaces, will branch out into other devices.

@highlight

The International Consumer Electronics show starts Monday in Las Vegas

@highlight

TVs will get bigger (and curved), and will add more "smart" features

@highlight

Tiny sensors will lead to a boom in home and wearable gadgets