(CNN) -- Scientists have found the oldest fossilized footprints made by a four-legged creature, forcing a rethink on when fish first crawled out of water and onto land.

The discovery of the footprints in a former quarry in the Holy Cross Mountains in southeastern Poland are thought to be 395 million years old -- 18 million years older than the earliest tetrapod (a vertebrate with limbs rather than fins) body fossils.

The report published Thursday in the science journal Nature says the footprints of the tetrapod measure up to 26 centimeters (10 inches) wide, which scientists say is indicative of an animal around 2.5 meters (7.5 feet) in length.

The footprints are also 10 million years older than the earliest known elpistostegids -- creatures which displayed some animal characteristics but retained fins.

Philippe Janvier from the Museum National d'Histoire Naturelle in Paris, the reviewer of the paper, told CNN: "It is a really stunning discovery because it's the earliest evidence we have of tetrapods. These footprints are clear enough to attest that tetrapods were there 395 millions years ago."

The report's authors say their findings "force a radical reassessment of the timing, ecology and environmental setting of the fish-tetrapod transition, as well as the completeness of the body fossil record."

As well as finding fossilized footprints, Per Ahlberg, professor of evolutionary organismal biology at Uppsala University in Sweden, and his co-authors from the Polish Geological Institute in Warsaw also report finding several tracks of different sizes and characteristics.

The tracks, they say, have distinctive "hand" and "foot" prints and no evidence of a dragging body.

Ahlberg said in a video on the Nature Web site: "The trackway shows pairs of prints -- the sort of tracks a salamander would leave if it walked. In order to make tracks like the ones found you need to have front legs and back legs that are about the same size."

Ahlberg said the disused quarry where the fossils were discovered has yielded some of the most exciting finds he has encountered in his career as a paleontologist.

Although Janvier describes the lack of skeletal evidence as "frustrating," it doesn't undermine the importance of the discovery. "It changes what we thought about the evolutionary tree concerning the part dealing with transition from fish to land vertebrae." Janvier said.

"The divergence between the tetrapods and their closest fish relatives is much younger than previously thought and it obliges us to find actual evidence -- skeletons or complete fossils -- in much earlier strata that could enlighten us between this divergence."

@highlight

Fossilized footprints of 395-million-year-old four-legged creature found in Poland

@highlight

Discovery pushes the evolutionary scale back by nearly 20 million years

@highlight

Compared in significance to discovery of the first miocene hominoids