(CNN) -- The three Iranian security officers rang the doorbell, politely informed the man of his arrest, thoroughly searched the house, confiscated high-tech gear and books, and whisked him away to the nation's notorious Evin Prison.

The early Sunday morning raid took three hours. Now, every second seems like an eternity for the man's anguished family members, praying for his physical safety, hoping for his release, and getting their heads around the prospect of a long stint in prison, his relatives told CNN.

His family says the reason for his arrest is his religion.

The man is one of 16 Baha'is swept away in raids on or after May 21 targeting educators dedicated to teaching members of their community who are denied entry to universities in the Islamic Republic of Iran. Of those 16, nine have since been released. But this educator remains in prison, a Baha'i official told CNN.

The crackdown is the latest example of the Shiite Muslim regime's relentless persecution of those who adhere to a faith deemed heretical by the ruling ayatollahs.

The Baha'i faith, founded during the 19th century in Iran and now with 5 million to 6 million adherents worldwide, is a monotheistic religion that focuses on the spiritual unity of humanity.

The clerics who hold sway in Iran regard the Baha'i faith as blasphemous because its founder, Bahá'u'lláh, declared himself to be a prophet of God. Muslims believe the Prophet Mohammed was the last prophet of God.

Iranian security officials in Tehran, Karaj, Isfahan and Shiraz raided as many as 30 homes of Baha'is who were part of the Baha'i Institute of Higher Education, or BIHE, established in 1987 to help their co-religionists get undergraduate and graduate degrees. More than a dozen people were arrested in the raids, the most sweeping against the education initiative since 1998.

"The BIHE university was a cover for the propagation of the Baha'i faith and was used to trap citizens in the Baha'i spy network and to gather information from within the county," the Iran Daily, an official government newspaper reported.

"Authorities have discovered Baha'i propaganda, CDs and books in the possession of those who have been arrested," according to the newspaper.

The raids have drawn condemnation from the Baha'is and other voices, including the U.S. Commission on International Religious Freedom, an American government agency that monitors religious discrimination across the globe.

"The Iranian government will stop at nothing in its shameless persecution of the Baha'is in Iran," said the commission's chairman, Leonard Leo, in a written statement. "It's not enough that authorities already have a policy in place preventing Baha'is from attending Iranian universities -- the government is now systematically trying to dismantle the Baha'i community's internal initiative to ensure that its youth have the opportunity to get an education beyond high school."

The 300,000-person Iranian Baha'i community has endured intensified persecution since the shah of Iran was toppled in 1979.

Since the Islamic regime took power decades ago, the U.S. commission says, 200 Baha'i leaders in Iran have been killed, more than 10,000 have been dismissed from government and university jobs, and followers are forbidden to "establish places of worship, schools, or any independent religious associations in Iran."

They are "denied government jobs and pensions as well as the right to inherit property. Their marriages and divorces also are not recognized, and they have difficulty obtaining death certificates. Baha'i cemeteries, holy places, and community properties are often seized or desecrated," the commission says.

Baha'i spokesman Farhad Sabetan, who teaches economics at California State University, East Bay, said that while Baha'is are not allowed to serve as military officers, they were recruited to serve as low-level privates in the Iran-Iraq war.

And since 2005, around 400 Baha'is have been jailed arbitrarily, the U.S. commission said, including seven of the community leaders seized three years ago.

"It reminds one of what Hitler wanted to do prior to the extermination," Sabetan said. That is a reference to the persecution and genocide of Jews under Adolf Hitler's Nazi regime in Germany in the 20th century.

As Baha'is were systemically banned from higher education, they developed the underground-style institute.

Sabetan said that the thinking had been, "Why can't we just start something ourselves?"

At first the classes were correspondence courses. Others were held in private homes, where dental students stood over kitchen sinks in denture-making lessons.

"It became a grass-roots homegrown development."

No one bothered the students and teachers at first as the group amassed volunteers, equipment and willing students. Its faculty comprised volunteer professionals who once taught in Iran but lost their jobs after the revolution because they are Baha'is.

But about 10 years later, the crackdowns started.

The power plays made no sense to Baha'is and seemed like oppression for oppression's sake. Sabetan said one teacher told him that security officers "destroyed everything" in a raid and didn't even have the good sense to confiscate the material for their own use.

With the help of funding from foreign Baha'i organizations, the system grew and is now a virtual online college.

The effort is a serious initiative to help Iranian Baha'is gain the right qualifications for trades and professions and the bachelor's degrees issued by the school have been accepted by some Western colleges, the Baha'is say on their website.

The Baha'i educational network offers over 20 associate, undergraduate and graduate degrees in a range of subjects from literature and law to math and pharmacy, the website says.

Sabetan said he doesn't know what compelled the authorities to carry out the latest raids, but at least one of the people has been charged with acts against the security of the regime.

"It's not clear to us how the study of physics, chemistry and science endanger the Iranian government," Sabetan said.

The professor seized in the Sunday, May 22 raid typified the faculty, according to his wife and daughter in Iran.

They did not want to be named for security reasons.

His relatives said he was unpaid for his labors teaching math and economics to fellow Baha'is. The security officers told the teacher and his wife he would be held in Evin Prison's Ward 209. That's a section of the penitentiary said to be for political prisoners and run by intelligence officers.

"He was not paid or reimbursed for this work," his daughter told CNN. "He did it out of love, love for teaching and love for his students. He wanted to give young people an education so they can have a good life and make something of themselves. It was his passion in life to educate others."

After the three security officers, armed with a warrant, walked in the Baha'i man's house, the man quickly told his wife that the police had arrived.

"Please put your veil on, your brothers have come," a phrase meant to show respect to the police of the Shiite regime, which expect women cover their heads.

The officers explained that they would be looking through the family's personal belongings. While the wife accepted that, she insisted that she accompany them; the officials let her.

"I couldn't just sit down and let men sort through my home. I told them, 'This is my house.' I couldn't just stand to the side," she told CNN.

The men were respectful, she said. They didn't destroy material or ransack the house. But they seized memory cards from cameras, mobile phones, computer hard drives and books on the faith and university.

Before the father was taken away, he told his wife not to worry, saying the authorities will realize he didn't do anything wrong.

But his relatives and the Baha'i community are worried that interrogators attempting wider clampdowns will try to pry names of other teachers and students out of the arrested teachers.

Before one unsuccessful effort to visit him at the prison last week, his wife said, "God willing, I will be able to see him tomorrow and he will be released. I am positive about this because he did not do anything wrong and he is a good person."

@highlight

The Baha'i faith, founded in Iran, is considered blasphemous there

@highlight

Now, 16 Baha'i professors have been arrested for helping followers get advanced degrees

@highlight

A government newspaper calls it "a cover for the propagation of the Baha'i faith"

@highlight

A U.S. agency says Iran "will stop at nothing in its shameless persecution of the Baha'is"