Who is Abu Bakr al-Baghdadi? Who is Saja al-Dulaimi, a woman who's been tied to the ISIS leader? And what would she be doing in Lebanon, now purportedly in custody of authorities there?

Those are some of the many questions about reports of the arrest of a woman that regional sources describe as al-Baghdadi's wife, al-Dulaimi, but who Iraq's Interior Ministry said Wednesday is anything but.

What makes the situation even murkier is how little is known about al-Baghdadi.

Yes, he heads the self-declared Islamic State, leading a group that has used brutal tactics -- think beheading innocents, kidnapping civilians, raping women -- to overtake vast swaths of Syria and Iraq. Yes, he fashions himself as a spiritual authority as he spearheads efforts to spread his group's extreme form of Sharia law to any territory it touches, and to punish nonbelievers along the way.

But al-Baghdadi the man is a mystery. And so is his family, his wife or wives included.

Which brings us back to the woman being held by Lebanese authorities. Is she not his wife, as the Iraqi ministry suggests, or perhaps an ex-wife, as American sources in Washington say? Or is she a "powerful figure (who is) heavily involved in ISIS," as a source with knowledge of her arrest told CNN?

And if it's the latter, what role did she play in the terrorist group? And what was she doing in Lebanon, a country on the fringes of Syria's years-long civil war?

She's his wife, or his ex-wife, or neither

The reported detention of a wife and child of al-Baghdadi has made many wonder who exactly the woman is and what she might know about the terrorist group's inner workings.

Authorities in Lebanon, where the woman was arrested, haven't officially commented on the matter. Neither has the CIA, amid suggestions that Western intelligence was involved in her capture.

But the Iraqi Interior Ministry, citing a source in an intelligence cell under its authority, said the woman's identity didn't match up with either of the names it has for al-Baghdadi's two wives, Asma Fawzi Mohammed al-Dulaimi and Israa Rajab Mahal Al-Qaisi.

"There is no wife named Saja al-Dulaimi," the ministry stated bluntly, saying al-Dulaimi is the sister of a man who is imprisoned in Iraq and has been sentenced to death for a series of bombings.

It doesn't help that Baghdadi's family life is cloaked in mystery.

A biography posted on jihadist websites last year gave little away, stating simply that he was "married." CNN was told that al-Baghdadi has two wives. The news agency Reuters, citing tribal sources in Iraq, said he has three.

And ISIS certainly isn't confirming anything. Some of its members took to social media Tuesday to deny that any wife of al-Baghdadi had been arrested.

She wielded power, but how much?

If the woman is indeed Al-Dulaimi, she is "very active" in the organization, a regional source with knowledge of the operation told CNN.

She was reported to have previously been held by the Syrian regime of President Bashar al-Assad. In March, al-Dulaimi was released from Syrian custody as part of a group of 150 women who were freed in return for a group of Syrian nuns, an intelligence source told CNN.

But her apparent attempt to cross into Lebanon with a child at a time when authorities there are tightening security around the border raises questions about the state of her relationship with al-Baghdadi.

"Is he estranged from them? Has he fallen out with them? Were they escaping from him?" asked Sajjan M. Gohel, the international security director at the Asia Pacific Foundation.

Uncertainty also remains about how much influence al-Dulaimi would have had within ISIS, which is known for its oppressive treatment of women.

Analysts say women who join ISIS may find their role limited to that of housewife for jihadi men.

But in February, ISIS formed Al-Khansaa, a female battalion with about 60 members whose job is to inspect women who pass through checkpoints and to enforce the organization's strict morality code for women.

She could reveal vital intelligence, or hardly anything

The arrest of al-Dulaimi, if it was her,  was a coordinated operation involving intelligence agencies from Iraq, Syria and Lebanon, an intelligence source familiar with the arrest told CNN.

The source said the Iraqis had help from the U.S. intelligence community, an account corroborated by a second source in the region with knowledge of the operation. But in Washington, the CIA had no comment on the matter.

Rep. Adam Schiff, a California Democrat, expressed confidence that the United States would be able to "gain some intelligence" from al-Dulaimi.

"We may get insights into al-Baghdadi's movement, who he surrounds himself with, whether he was injured, and the degree of his injuries," he said, referring to recent reports that al-Baghdadi was hurt in airstrikes.

Not everyone was convinced she would provide a treasure trove of insight into ISIS, though.

Expressing skepticism, a former senior U.S. military official told The New York Times that in the Iraq war, the Americans captured a wife of Abu Musab al-Zarqawi, the leader or al Qaeda in Iraq, ISIS' forerunner.

"We got little out of her, and when we sent her back, Zarqawi killed her," the unidentified official told the newspaper.

And since al-Dulaimi was reportedly seized more than a week ago, what intelligence she carried may already have passed its sell-by date.

"In military conflicts, information flows are very immediate, and they become yesterday's news very quickly," said Michael Stephens, a Middle East research fellow at the Royal United Services Institute in London.

She was with a son, or a daughter

The identity of the child with al-Dulaimi is still the subject of conflicting reports.

An intelligence source told CNN that the child was al-Dulaimi's 4-year-old son. Other news organizations, including Agence France-Presse and The Associated Press, also reported that it was a young boy.

But Reuters, which originally reported the same thing, later revised its reporting to say that she was with a daughter. The New York Times also said it was a daughter rather than a son.

Deepening the intrigue, one regional source even told CNN that al-Baghdadi himself has been calling up, asking for his son to be released.

The full picture of who exactly Lebanese authorities have in their custody is still to be revealed.

@highlight

There are conflicting reports on many details about the woman detained in Lebanon

@highlight

Some intelligence officials have said she's the ISIS leaders' wife, others say an ex-wife

@highlight

A source tells CNN she was with a son, but other reports suggest it was a daughter