Washington (CNN) -- Nearly a year later, Benghazi remains a flashpoint in Washington for two very different reasons: indefensible pre-attack policy decisions and irresistible post-attack politics.

The Obama White House, from the president on down, complains of "phony" Republican-led congressional investigations. Yet the administration's own reluctant, and at times inaccurate, responses to congressional inquiries have contributed to the GOP charge that the administration, at a minimum, has been less than transparent.

"We need to get to the bottom of what happened that terrible night, why it happened, and how we can prevent similar tragedies in the future," House Speaker John Boehner said last week in serving notice the House Benghazi investigations would continue into the fall, and include new subpoenas for documents and testimony if necessary.

There are legitimate questions about why repeated and specific warnings about the Benghazi security situation were undervalued or ignored. Both lawmakers and intelligence professionals point to this weekend's unprecedented wave of Middle East and Africa embassy closings as, at least in part, a lesson learned from the September 11, 2012, attack that killed Ambassador Chris Stevens and three other Americans.

Embassy closures extended after al Qaeda message intercepted

Republicans, however, have at times undermined their own claim to be interested only in legitimate congressional oversight, not what Democrats often label a partisan witch-hunt.

Boehner, for example, has at times privately urged lawmakers leading the investigations to focus on what the evidence shows -- and not let their partisan instincts allow their public rhetoric to get out ahead of the facts.

Exclusive: Dozens of CIA operatives on the ground during Benghazi attack

Also undermining the GOP effort: fund-raising e-mails and videos from Republican and conservative groups asserting a Benghazi cover up orchestrated by President Barack Obama and then-Secretary of State Hillary Clinton.

"You've got a very valid point," Rep. Darrell Issa, chairman of the committee leading the House Benghazi review told CNN in an interview for "The Truth About Benghazi," a one-hour program looking at the attack and at the lingering policy and political questions. "I would prefer that fund-raising by outside groups stay away from the hard work of Congress.

"But it isn't going to happen."

Issa demands more State Department documents on Benghazi

Early 2016 jockeying also factors into the politics.

Kentucky GOP Sen. Rand Paul says Clinton is responsible for the sub-par security in Benghazi even if, as she says, the stream of warnings and requests for more personnel never reached her desk.

"That's precisely her culpability," Paul told CNN. "When you lead the State Department, decisions in one of the most dangerous countries in the world should rise to your level. That's your job to make sure those messages get to you."

GOP strategist Kristen Soltis Anderson understands the GOP effort to use Benghazi to tarnish Clinton's image, but describes her as the most "formidable" Democratic 2016 hope and adds, "I don't know that Benghazi alone would sink a Clinton candidacy for president."

And if the attacks now are somehow designed to discourage Clinton from running, veteran Democratic strategist and Clinton ally Paul Begala suggests an opposite reaction.

"She's never been a person to back to down to a bully," Begala said in an interview. "Hillary is the type of person to be motivated by that. To stand up and fight back."

Benghazi politics often get more attention because of the personalities involved. But there is also a policy divide.

Republicans say they do not yet have a full picture of three critical issues:

â€¢ Why the warnings didn't reach the point where the State Department either sent more security help or ordered the Benghazi mission closed.

â€¢ Why, especially given the weeks of threat warnings, there was no viable military option to assist the State Department personnel at the Benghazi mission and the predominantly CIA-run annex that came under attack later same evening and where two of the four Americans were killed.

â€¢ And why, nearly a year later, no one has been brought to justice.

New FBI Director James Comey is being pressed to update Congress on the investigation within a month of his officially beginning work next month.

Lawmakers press FBI on Benghazi

On the military response question, the Pentagon now says it is making significant improvements in its contingency planning for responding to embassies in danger zones.

But former Pentagon brass told Congress there was no viable option that night, with then-Defense Secretary Leon Panetta saying the military "should not be a 911 service capable of being on the scene within minutes."

The top Democrat on the House Armed Services Committee, Rep. Adam Smith of Washington, calls Benghazi a tragedy but labels continued GOP questioning a witch hunt.

"The bottom line is there was not a force available that could get there in time," Smith told CNN. "So I don't think these questions need to be asked again."

GOP Rep. Jason Chaffetz, however, says that his classified briefings have included information that convince him more could have been done.

"How is it that we have a man down, in this case four men down and an injured person, and the cavalry never comes over the hill," Chaffetz said.

On the first question, the administration's official review, by what is known as the Accountability Review Board, found a series of State Department bureaucratic failures at several levels, but found no negligence.

"A whitewash," is how Issa describes that analysis.

That process was led by veteran diplomat Thomas Pickering, who has served in both Democratic and Republican administrations.

Pickering defended the integrity of the review in the weeks after its release. He several times, however, canceled scheduled interviews with CNN and ultimately said his attorney had advised him not to speak to the network.

Now, House investigators are pursing documents the review board used in its review and this is likely to be one fall focus.

Former CIA Director Michael Hayden, the retired Air Force general and a veteran of many Washington dramas, said GOP talk of a cover up is "a loaded word."

But he says there is, nearly a year later, a lack of full clarity in determining where the biggest security related mistakes were made.

"This is team ball," Hayden said. "There are a lot of people who now look back and say, 'I should have done that. I could have done that. Maybe I could have prevented this.'"

@highlight

White House complains of investigations but its reluctant responses contribute to GOP charge

@highlight

Republicans have undermined their claims of oversight that Democrats call a witch hunt

@highlight

Possible presidential candidates' involvement makes 2016 jockeying a factor

@highlight

Former CIA director says there is still a lack of clarity on what biggest security lapses were