(CNN)Much of the world has been stunned by the huge increase of migrant deaths in the Mediterranean this year, increasing the number of deaths at sea by a factor of 30 compared to the same time last year. Almost all the deaths have occurred in the perilous central Mediterranean crossing from Libya to Italy.

The flows of migrants across the Mediterranean are unlikely to stop -- Italian authorities estimate that up to 200,000 migrants in Libya are waiting to cross, following 170,000 refugees and migrants who arrived in Italy last year. These flows reflect a significant increase in the number of refugees and internally displaced people across the world, with a total estimate of 51.2 million people.

The latest sinking has triggered some action in the European Union, which has unveiled a new ten-point action plan. The plan includes both deterrent mechanisms, such as efforts to capture and destroy vessels being used by smugglers and a rapid return system, but also an expansion of search-and-rescue programs and a proposed new voluntary resettlement scheme, though it is reported that this may only provide 5,000 spaces.

But some EU critics called for much tougher action to deter asylum seekers from making the risky journey. In a column published in the UK's Sun newspaper just hours before the sinking, Katie Hopkins declared: "It's time to get Australian. Bring on the gunships, force migrants back to their shores and burn the boats."

Since then, Australia's Prime Minister, Tony Abbott, has also suggested that Europe adopt a tougher approach, saying, "The only way you can stop the deaths is to stop the people smuggling trade. The only way you can stop the deaths is in fact to stop the boats... That's why it is so urgent that the countries of Europe adopt very strong policies that will end the people smuggling trade across the Mediterranean."

So what would it mean if the EU did "get Australian" in its approach to asylum seekers? And could Australia's current policy be used as a global solution, or at least one for asylum seekers trying to cross the Mediterranean?

There were dramatic changes in Australia's immigration policy in 2013, in the final months of the Labor government, led by Kevin Rudd, which have been followed up and taken further by the current Liberal National coalition government, led by Abbott.

In 2013, with bipartisan support of those two major parties, mainland Australia was legally "excised" from the migration zone. It was done so that anyone arriving without a visa by boat would not be processed in Australia.

All people who seek to enter Australia by sea, under the Asylum Legacy Act, are no longer entitled to enter or stay in Australia while their refugee claims are processed. Instead, they can be transported to detention facilities in Papua New Guinea or Nauru. Alternatively, under a recent agreement, they can also agree to move to Cambodia.

Beyond this, the Abbott government has also returned some boats to Indonesia without processing asylum seeker claims and, in two instances, to Sri Lanka following a very brief teleconference interview with the asylum seekers on board. That process was widely condemned by human rights advocates, given ongoing human rights abuses in Sri Lanka.

That shift in policy under successive Labor and now the Liberal National governments in Australia has been chiefly designed as a deterrent: or, to use Tony Abbott's slogan, to "stop the boats". So has it worked?

First, the numbers. If your sole criteria for success is the number of boats arriving in Australia each year, then "no advantage" (meaning no asylum in Australia) and "stop the boats" (including the turning back of boats in international waters) has worked. In 2013, the Australian government reported that 300 boats with approximately 20,000 people on board arrived; in 2014, there were 0.

The current government has argued that its objective was to end the people smuggling trade -- and this required secrecy concerning the extent of its operations and turn-backs. So we do not know how many boats tried to enter Australian waters with asylum seekers.

It also appears that no asylum seekers drowned in Australian waters during the 2013-2014 period. Abbott explained the tactic of secrecy and turn-back in the following statement: "We are in a fierce contest with these people smugglers. And if we were at war, we wouldn't be giving out information that is of use to the enemy just because we might have an idle curiosity about it ourselves."

If we accept that these responses have worked, the question for Australia's government is whether it is sustainable, and whether it alleviating the flow of asylum seekers in the larger Asia Pacific region. In sum, if this policy had to end due to its financial cost, has this policy been a "solution"?

The later years of the Howard administration saw both policy and budget departures from 2001's "Pacific Solution," which first introduced the excision zones and temporary protection visas as deterrents to asylum seekers.

The Rudd government abandoned temporary protection visas altogether but retained the excision zones; this occurred in a period of heightened regional instability, leading to an increase of asylum seekers under the Rudd era. The earlier Howard years of deterrence did not provide long-term solutions regarding the regional flow of asylum seekers.

At present, in the greater South-East Asian region, we may see potential regional pressures finding a way to Australian shores. The drowning of asylum seekers who sought passage via people smugglers appear to have increased, in particular, in the Bay of Bengal. At the same time, the number of asylum seekers attempting to flee within the Asia Pacific region has increased; they are just not making it to Australia yet.

On cost alone, it is hard to see Australia's approach to asylum seekers working or being affordable in Europe. For Australia, these short-term solutions have been extraordinarily expensive.

A 2014 report by the Guardian estimated that the Australian government may have spent as much as A$10 billion ($7.72 billion) on its detention policies since mid-2007-- and that each person in offshore detention costs the government as much as A$440,000 ($343,000). For comparison, we estimate that a similar model to respond to the 170,000 refugees and migrants who arrived last year in Italy would cost A$75 billion ($58.5 billion).

The Australian government's ability to "stop the boats" -- or at least keep asylum seekers offshore -- depends on a number of factors, including tolerance from Indonesia, significant spending devoted to asylum deterrence and weathering international condemnation for violating the human rights of asylum seekers.

The consequences of a policy of no asylum and no refuge in Australia for those who arrived by boat from July 2013 has been asylum seekers placed in situations where they are vulnerable to abuse, as we saw with the death of an Iranian refugee in the Regional Processing Center on Manus Island and sexual and physical assault of asylum seekers held at the Regional Processing Center in Nauru.

The Australian government's interception of asylum seekers attempting to reach Australia by boat, and then their relocation to Nauru or Papua New Guinea (or perhaps Cambodia), does not remove or absolve the human rights obligations that Australia has to these populations.

The operation to stop and return the boats, called "Operation Sovereign Borders" has been politically tumultuous for Australia's relationship with Indonesia. Returning boats to international waters potentially violates Australia's obligation to international maritime law; push-backs to Indonesian waters violates Indonesia's sovereignty and has placed people at great risk.

In 2013 and 2014, the Australian government sought the Sri Lankan government's assistance to intercept those attempting to flee, and receive those who had already fled the country, at a time when that government was under investigation by the UN Human Rights Council for war crimes and crimes against humanity.

As the situation in Europe illustrates, just because people are not making it to your shoreline to seek asylum does not mean people stop attempting asylum.

In the short term, the "stop the boats" approach appears to be working for the Australian government. It is questionable whether this policy is financially or politically sustainable in the long term. It certainly has not ended people smuggling or people's attempts to seek asylum in the wider Asia-Pacific region.

Nando Sigona argues that the recent tragedy in Italy is not just about how to manage search and rescue operations, but requires consistent and long-term engagement with the root causes of refugee flows. This is a message that both the European Union and Australia should heed.

Italy is a good example of the failure of trying to stop asylum seekers with deterrence. The Italian government ended its Mare Nostrum search and rescue program last autumn, which was effective but was also costing the Italian government €9.5 million per month. It was replaced by a much smaller European Union-run program, Operation Triton, which has a smaller patrol area and a budget of less than a third that of Mare Nostrum.

The UN High Commissioner for Human Rights, Zeid Ra'ad Al Hussein, has noted that this new program is totally inadequate and "more geared to border control and policing the seas than to saving lives".

In Italy, both Mare Nostrum and Operation Triton were stemming an inevitable tide given the political instability in North Africa. The migrants currently in Libya are in a perilous limbo, with a growing civil war having displaced more than 400,000 Libyans and with Human Rights Watch noting that the conflict and collapse of government authority has "eliminated any semblance of law and order from large parts of Libya."

Second, such policies have significant legal implications. The Australian High Court has ruled that these policies are legal as long as they take place outside of Australia's migration zone, an area that today includes all of Australian territory for the purposes of boat arrivals.

By contrast, the European Court of Human Rights ruled in 2012 that efforts by the Italian government to return migrants intercepted at sea to Libya violated its legal obligations under the European Convention on Human Rights because the migrants "were under the continuous and exclusive de jure and de facto control of the Italian authorities."

This suggests that similar practices to Australia's would be illegal under the European Convention.

Copyright 2015 The Conversation. Some rights reserved.

@highlight

The European Union is trying to stop thousands of migrants from drowning at sea

@highlight

Migrants risk their lives by paying people smugglers to get them to Europe

@highlight

Australia has successfully stopped the flow of migrant boats to its waters