He talked a good game of acting on his own if necessary, calling for 2014 to be a "year of action, but President Barack Obama's State of the Union address showed he knows that true progress depends on cooperation with a divided and recalcitrant Congress.

"Sometimes we stumble; we make mistakes; we get frustrated or discouraged," he said near the end of the more than hour-long speech, seeming to describe his bad 2013 that lowered his approval ratings. "But for more than 200 years, we have put those things aside and placed our collective shoulder to the wheel of progress."

It was vintage Obama, blending hopeful calls for a unified approach with declarations of presidential independence through executive orders.

There were the now familiar calls to recalibrate the tax code, spend more to rebuild roads and bridges, bolster education and avoid war if at all possible.

He brought many to tears with a tribute to Sgt. First Class Cory Remsburg, a disabled war veteran who sat next to first lady Michelle Obama and waved with wounded limbs to a prolonged standing ovation.

Even Republicans relentlessly critical of the President conceded his oratorical skill.

"A speech by Barack Obama is a lot like sex," said GOP strategist and CNN contributor Alex Castellanos. "The worst there ever was is still excellent."

According to a snap CNN/ORC International poll, 44% of respondents had a "very positive" response to Obama's speech, while 32% described a "somewhat positive" response and 22% didn't like it at all. Last year, 53% of respondents in a similar poll rated their response to the 2013 address as very positive.

The underlying theme of Obama's fifth State of the Union address was his call on Tuesday for the government to work on behalf of all Americans in 2014, and his pledge to do so even if Congress refused to join him in an election year.

"Let's make this a year of action," Obama said. "That's what most Americans want -- for all of us in this chamber to focus on their lives, their hopes, their aspirations."

It's an optimistic goal for a President with a 43% approval rating entering his sixth year in office and facing a determined opposition in the Republican-led House of Representatives with congressional elections looming in November.

Search the transcript of Obama's speech

"What I offer tonight is a set of concrete, practical proposals to speed up growth, strengthen the middle class, and build new ladders of opportunity into the middle class," Obama said. "Some require congressional action, and I'm eager to work with all of you. But America does not stand still, and neither will I."

On issue after issue, he invited Congress to work with him but said he also would go it alone.

Obama called for more government support to rebuild the nation's infrastructure, but also said that "I will act on my own to slash bureaucracy and streamline the permitting process for key projects, so we can get more construction workers on the job as fast as possible."

The President also promised an executive order to raise the minimum wage for some government contract workers. While the action is relatively narrow and affects less than half a million people, Obama urged Congress to follow suit for all low-wage workers in America.

Earlier Tuesday, House Speaker John Boehner chafed at such unilateral action, telling reporters that Republicans are "just not going to sit here and let the President trample all over us."

In the official Republican response, Rep. Cathy McMorris Rodgers of Washington complained that Obama's policies "are making people's lives harder."

"We hope the President will join us in a year of real action -- by empowering people -- not by making their lives harder with unprecedented spending, higher taxes, and fewer jobs," she said.

One area of possible progress is immigration reform. Obama got a long ovation when he urged Republicans in the House to join Democrats in passing a Senate plan that got bipartisan support.

McMorris Rodgers also brought up the issue backed by some Republicans as a way to bolster their weak support among Hispanic Americans, the nation's largest minority demographic.

"We're working on a step-by-step solution to immigration reform by first securing our borders and making sure America will always attract the best, brightest, and hardest working from around the world," she said in describing the more limited GOP approach to the comprehensive Senate measure that includes a path to legal status for immigrants living illegally in the country.

On another major reform issue, Obama chided Republicans for trying to undermine his signature health care law that passed in 2010 without GOP support. He cited the millions of people helped by the reforms that ended denial of coverage for pre-existing conditions among its benefits.

"The American people aren't interested in refighting old battles," Obama said. "Let's not have another 40-something votes to repeal a law that's already helping millions of Americans. ...The first 40 were plenty. ... We all owe it to the American people to say what we're for, not just what we're against."

In her response, though, McMorris Rodgers continued the GOP attack line on the health care reforms as big government run amok and causing harm to people by raising costs and limiting their personal choices of doctors and medical treatment.

This year's State of the Union is a defining test for Obama

The CNN/ORC poll indicated 59% of respondents thought Obama's policies as presented in the speech would help the economy, a lower figure than in recent years.

Obama said he will order the U.S. Treasury to create a new federal retirement savings account called MyRA, a savings bond that would guarantee "a decent return with no risk of losing what you put in." It will be available to those whose jobs don't offer traditional retirement savings programs, he said.

Additionally, Obama called for:

-- Eliminating $4 billion in tax subsidies for the fossil fuel industries "that don't need it" and instead "invest more in fuels of the future."

-- Equal pay for women, noting they make 77 cents for each dollar a man earns, which he called "wrong" and "an embarrassment" to prompt loud and long applause.

-- Setting new fuel standards for American trucks to help reduce U.S. oil imports "and what we pay at the pump."

-- Reworking the corporate tax code. He urged Congress to work with him to close "wasteful, complicated loopholes that punish businesses investing here" and instead "lower tax rates for businesses that create jobs right here at home."

-- Congress to lift restrictions on transferring detainees from Guantanamo Bay so the prison cna be closed in 2014.

Obama also reiterated that he will veto any new sanctions bill from Congress that would derail talks on preventing Iran from developing a nuclear weapon, adding that "for the sake of our national security, we must give diplomacy a chance to succeed."

Brazile: Obama's message: A dysfunctional Congress, but we'll get it done anyway

Even as he cited a growing economy and increasing corporate profits, Obama said average wages have been flat. Along with his order raising the minimum wage for workers on federal contracts, Obama asked Congress to get on board with a Democratic proposal to raise the federal minimum to $10.10 per hour.

Republicans largely oppose any federal increase, saying it will place a burden on employers.

"This is definitely the President's agenda and has been for some time now," said CNN Chief Political Correspondent Candy Crowley, who added it was hard to see how Republicans would respond any differently than before and therefore, it was hard to see big things happening in 2014.

John Edwards says Dems should do more on poverty

@highlight

Republicans say President Obama is offering the same policies that haven't worked

@highlight

Analysts agree it was a good speech, even if they disagree on the message

@highlight

In emotional moment, Obama lauds wounded war veteran

@highlight

Obama calls on the GOP to stop re-fighting Obamacare battles