In a town not far from me, a municipal ballot measure has become a national bellwether. The citizens of SeaTac, a working-class community that includes the major airport for the Seattle-Tacoma area, will vote next month on whether to establish a $15 minimum wage for hospitality and transportation workers.

This is obviously a fight about economics (a recent report (PDF) finds that those workers make an average wage of $11 today). Perhaps less obviously, it's also a fight about citizenship.

The pro-Proposition 1 campaign is part of a resurgence of worker organizing across the country. Fast-food strikes have hit dozens of cities; autoworkers are unionizing in the low-wage South; fiercely independent lobstermen in Maine have already unionized. Labor organizers in SeaTac want to ride this wave.

At the same time, the opposition is strong and well-funded and has the advantage of inertia. The airlines and hotel chains opposed to Proposition 1 need only to sow uncertainty and fear about unintended consequences -- the fear, specifically, of the layoffs or cuts in hours that might result if labor costs went up (and, implicitly, of course, if corporate profits remained untouched).

But SeaTac is a town with fewer than 12,000 voters, with many immigrant families and with shops and restaurants where "everybody knows your name." Generic talking points and a vague invocation of fear or hope won't cut it here.

Every voter's door in SeaTac can be knocked on more than once, and will be. Which is why SEIU 775NW, the local union that helped put Proposition 1 on the ballot, is investing heavily in feet on the street and face-to-face persuasion.

What's notable in SeaTac, though, is that the people who live here are not pawns in anyone's game. For over three decades, workers in the United States found that as their economic fortunes declined, so did their civic clout.

Now, everyday citizens in and around SeaTac who have endured constant economic insecurity are finding their voice and learning to ask in public whether they should accept as normal a life where working multiple jobs still can't push a family out of poverty.

Last week, I heard one of these newly activated citizens. Evelyn Olano is a 51-year-old Filipina immigrant. She works two low-wage jobs at the airport, scanning bags and doing security seven days a week. Her husband, already past retirement age, cleans hotel rooms.

Five or 10 years ago, Evelyn and every baggage handler and bathroom cleaner and car rental gatekeeper at SeaTac would have silently borne their lot. Today, they are not. They are becoming literate in the language of civic action and political power.

As I watched Evelyn give a speech at a campaign event, it was very clear that she'd never done this before -- and that she'd be doing it again. Evelyn spoke of the dollars and cents difference Proposition 1 would make in her household. But her earnest presence testified just as powerfully to the democratic difference it would make.

The economic rationale for a minimum wage hike is that it creates a virtuous cycle of increasing demand: When workers have more money, businesses have more customers, which means businesses hire more workers, which in turn generates more customers. Customer creation begets job creation, from the middle out and bottom up.

The civic rationale for a minimum wage hike is similarly demand-driven. When more citizens demand economic fairness, powerful institutions become more responsive, which empowers more citizens to find their voice, which in turn leads our leaders to listen more to citizens. It's citizen creation, from the middle out and bottom up.

The fight in SeaTac is evidence that the surest way to address economic inequality is to address political inequality: by organizing, speaking up and rounding up the votes to redefine what's considered normal in public policy.

Indeed, even if Proposition 1 doesn't pass, it's already expanded the "safe zone" in regional politics: Both candidates for mayor in nearby Seattle have now pledged to raise their city's minimum wage to $15, a move that will have wide national reverberations.

This era of economic upheaval nationwide and policy paralysis in Washington is leading citizens across the spectrum to rediscover the power of collective action. The tea party has showed vividly that an activated, well-organized minority, working together, can change the frame of what's possible in politics. Now, it's time for workers stuck in poverty to learn and apply that lesson. They may get a living wage. They will certainly get a healthier democracy.

@highlight

Eric Liu: Proposition would raise wages by $4 for many in Seattle-area community

@highlight

He says the effort, organized by union group, is a model of citizen activism

@highlight

The tea party has showed how citizen organization can sway public policy, he says

@highlight

Liu: Surest way to address economic inequality is to start with political activism