LONDON, England (CNN) -- The death of a 14-year-old girl in England after she received a vaccination for Human Papilloma virus (HPV) has prompted a widespread freeze on the country's national vaccination program.

Millions of girls have received vaccinations for HPV since 2008, the virus that causes 99 percent of cervical cancers.

More than 1.4 million girls have received the vaccination in England since the National Health Service (NHS) started administering it in September 2008.

Natalie Morton's sudden death Monday occurred within hours after she received a shot of the vaccine Cervarix at the NHS at her school in  Coventry.

Three other girls at the Blue Coat Church of England school suffered mild symptoms of dizziness and nausea after receiving the vaccine, according to media reports.

It remains unclear if the vaccine caused Morton's death. Only an autopsy will be able to determine the exactly cause of death.

Glaxo Smith Kline, the manufacturer of Cervarix, issued a recall of the batch of vaccine used in Coventry as a "precautionary measure."  Watch reaction to Natalie Morton's death »

"At this stage the cause of this tragic death is unknown," the company said in a statement posted on their Web site.

"Following immediate quarantine of the batch involved last night, we have taken the decision to voluntarily recall this batch as a further precautionary measure while the investigation into the circumstances surrounding Natalie's death is conducted."

On Tuesday several NHS clinics and schools indefinitely postponed immunizations.

"As a purely precautionary measure, we have asked the NHS to quarantine all stocks of HPV vaccine from the batch related to this case," a spokesperson for the NHS said.

"Where the local NHS has supplies of vaccine from other production batches, they should continue with the vaccination program."

Many clinics were forced to close as they checked the numbers on their batches of the vaccine.

What is HPV?

HPV stands for human Papilloma virus. Although there are more than 100 types of HPV, only a few of them are known to cause cervical cancer. Most strains of HPV are harmless or cause genital warts.

HPV is a common sexually-transmitted disease. Almost half of all women who have sex will be infected at one point in their life, according to the British National Health Service.

HPV infects the cells of the surface of the cervix. Infections can clear up on their own or stay for many years without any symptoms and develop into cervical cancer.

Ninety-nine percent of cervical cancers are caused by HPV.

What is the Cervarix HPV vaccine?

The Cervarix HPV vaccine protects against the two strains of HPV (16 and 18) that cause cervical cancer in over 70 percent of women.

The vaccine is typically injected in the upper arm, or thigh, in three doses within six months, and is recommended for teenage girls.

How effective is the Cervarix vaccine?

According to the manufacturer, Glaxo Smith Kline, Cervarix is over 99 percent effective.

Is Cervarix the most common vaccine for HPV?

No. Gardisil, manufactured by Merck is used by the majority of vaccine programs worldwide. Gardisil protects against four strains of HPV (16, 18, 6 and 11). Strains 6 and 11 cause less serious conditions, such as genital warts.

Gardisil proved comparatively effective in trials carried out by Merck. Of 23 million American girls who have already been vaccinated, 32 deaths were reported, though the reports do not determine if the deaths were caused by the vaccine or just a coincidence.

Why was Cervarix chosen for the UK?

According to the NHS, Cervarix, "was selected because the bid from this company scored higher than the competitor in the adjudication process against pre-agreed award criteria. The pre-agreed award criteria were shared with the manufacturers during the process so that they were fully informed of the criteria against which their bids would be evaluated."

When was the vaccine introduced?

In September 2008, England began a national program to vaccinate girls aged 12-13, and a three-year catch up campaign offering the vaccine to 13-18 year old girls.

Do condoms protect against HPV?

Using condoms reduces the risk of HPV transmission, but infection is still possible because HPV can be spread by contact with parts of the body that the condom does not cover.

What are the known dangers associated with taking the HPV vaccine?

Cervarix has undergone rigorous safety testing as part of the licensing process required in the UK and other European countries, according to the NHS. The most commonly reported side effects are mild swelling or pain at the injection site, nausea, a mild temperature, dizziness, diarrhea and muscle aches. In rare cases allergic reactions in the form of skin rashes and in very rare cases anaphylactic shock has occurred.

@highlight

Teenage girl dies after receiving Cervarix vaccination for HPV

@highlight

England's national vaccination program freezes as batches are recalled

@highlight

HPV is a sexually-transmitted virus that causes 99 percent of cervical cancers

@highlight

Almost 1.4million girls in England have already received the vaccine