(CNN) -- Rising from the desert like a white Arabian castle, Umm Qarn has all the trimmings you'd expect of a six-star luxury hotel.

Walk through the grand marble entrance, replete with chandelier, and you'll find a fitness studio, swimming pool, solarium and international restaurant.

But behind the gold-plated doors, a team of fitness gurus from across the world is catering to an unlikely guest.

Welcome to Qatar's Umm Qarn Stud Farm, the breeding ground of some of the most successful -- and expensive -- race horses on the planet.

Owned by the Gulf state's former prime minister Sheikh Abdullah bin Khalifa Al Thani, the 580-acre estate is home to about 60 champion horses -- either in training for their next million-dollar competition or being used to breed a new generation of winners.

One of those champions, Arabian stallion Tabarak, this week won Qatar's most prestigious race, the Emir's Sword, extending his unbeaten winning streak to a remarkable six.

His silver sword trophy -- not to mention $550,000 in prize money -- will now join the many others already lining Umm Qarn's lavish lobby.

Behind Tabarak's success -- and that of his predecessor Al Dahma, who won the sword in 2009 and 2010 -- is an international team of trainers, nutritionists and scientists reinventing the way that champion stallions are raised.

"I don't think you could find facilities like that in Europe," says Umm Qarn's head trainer, Alban de Mieulle, pointing to the farm's swimming pool, treadmill and solarium.

With temperatures in Qatar soaring to 113F (45C), the pool is an ideal place for sleek stallions to cool down after a morning workout. The water itself is kept at a comfortable 68F (20C), in an air-conditioned room.

"The horses go in for one or two minutes," De Mieulle says. "You have good and bad swimmers, but we never push them if they don't want to go. And 95% of them really love swimming."

The extreme desert weather means temperatures can also drop to 41F (5C) in winter. But instead of shivering in the paddocks, the pampered ponies are treated to a solarium session.

"We use the solarium after swimming. Sometimes the weather can drop to -5C (23F) in the morning, so we use it to dry the horses," De Mieulle explains. "Some of them have back problems and, because the lights are around 24C (75F), it's good for them."

When not relaxing in front of the solarium, the horses -- a mixture of Arabian stallions and thoroughbreds -- can enjoy a nutritious meal of hay imported from France and fresh alfalfa grown in the garden.

When Frenchman De Mieulle first arrived at Umm Qarn ("The Place") seven years ago, he was astonished to find a thriving farm housing not just horses, but cows and gazelles.

But it can be hard work creating a green oasis in the desert, with track specialists importing grass seeds from the U.S. during the winter and turf from Bermuda during the summer.

"The main challenge here is actually growing the grass. We don't have rain, the climatic conditions are very harsh, and there is a lot of salt in the water so we always have high PH levels," says Qatar Racing and Equestrian Club track manager Bradford Smith.

"We also have a lot of funguses and diseases -- our track could be in perfect condition one day and the next morning all of a sudden it's brown."

It may seem like an exhausting amount of resources plowed into keeping horses happy.

But this is Qatar, an oil-rich emirate which has invested heavily in its racing industry -- and its brand abroad -- in the last decade.

In 2008, the Qatar Racing and Equestrian Club became the official sponsor of France's prestigious Prix de l'Arc de Triomphe -- the richest turf race in Europe, which attracts a TV audience of around 1 billion.

Last year the Qatar royal family's private investment company, Qipco, also bought the naming rights for the British Champion Series, which includes premier races the Derby, the St. Leger, the Guineas and the Oaks, in a multimillion-pound deal.

"We are trying our best to be one of the top horse racing industries in the world, we're trying our best to be an icon," said Sheikh Joaan bin Hamad bin Khalifa Al-Thani, son of the Emir of Qatar.

"We're not looking to be the greatest -- we've got our own style and we've our own guidelines to work with. But hopefully we'd like to be one of the main race tracks in the world."

If the horses are anything to go by, a day out at the races in Qatar is sure to be a luxurious experience.

@highlight

Six-star luxury hotel features pool, solarium, and an unlikely guest

@highlight

Umm Qarn Stud Farm in Qatar is breeding ground for race horses

@highlight

Farm celebrates winning 2013 Emir's Sword, with stallion Tabarak

@highlight

Part of Qatar's huge investment in horse racing at home and abroad