LONDON, England (CNN) -- Governments around the world continue to pump billions of dollars into financial markets, but there is still no telling whether the "injections of liquidity" will be enough to prevent "this sucker" -- to quote the President of the United States -- from going down.

Could 700 billion greenbacks be put to better use and kickstart a green revolution?

To many people one of the more fascinating aspects of the unfolding spectacle has been the bewildering amounts of money made available by governments to avert financial catastrophe. And no one knows yet whether it will all be worth it.

The same could be said of climate change. No one really knows how bad it will get, but as the Stern Report concluded in 2006 doing nothing about it now is going to massively increase the costs of mitigation further down the line.

But the amounts being talked about and spent on climate initiatives by governments is dwarfed by the bailout package.

Take, for example, a statement issued by the World Bank at the end of September which revealed that 10 leading industrialized nations -- including the United States, Japan and the UK -- have pledged a total of $6.1 billion to help "Climate Investment Funds". That's around $675 million per nation.

This sense of skewed priorities was recently put into perspective by rock star Bono. Speaking at the Clinton Global Initiative, the U2 front man made a damning comparison. "It's extraordinary to me that the United States can find $700 billion to save Wall Street and the entire G-8 can't find $25 billion dollars to save 25,000 children who die every day from preventable diseases," he said.

So what would happen if governments ignored the un-capitalist cries for mercy spilling out from Wall Street and put the money towards climate change instead? What would $700 billion buy?

Let us start at the margins of common sense. You could buy 100 billion energy saving light bulbs. At the other end of the scale, $700 billion would contribute a third of the cost towards a geo-engineering project which imagines deflecting the sun's rays away from earth. Astronomer Roger Angel believes that the bill for his idea of a vast array of space mirrors would be around $2 trillion.

A slightly more plausible idea might be to oversee a comprehensive insulation program for 700 million homes or perhaps fund domestic solar panels. A $10,000 photovoltaic solar array could be installed atop 70 million homes.

Much of the responsibility for our future energy needs rests on the fortunes of large-scale renewable solar and wind projects. Why not roll out a comprehensive program now? For example, the 40 megawatt Waldpolenz Solar Park in Bolanden, Germany is due to be switched on in 2009 at a cost of $180 million. The Wall Street bailout would pay for nearly 3,900 such solar farms.

If wind power was the only item on your shopping list then you could afford to build 3,700 farms similar to the 90 megawatt facility being built offshore at the Kentish Flats Wind Farm in the UK, which would collectively generate an impressive 330 gigawatts.

Alternatively, nuclear energy -- now back from the dead and a big favorite with energy ministers worldwide -- would see 175 new plants at $4 billion each.

But as Gavin Edwards, Head of Greenpeace's Climate and Energy Campaign, points out: "There are two sides of the coin in tackling climate change. One is to mitigate greenhouse gas emissions, the other is adaptation," he told CNN.

Using figures from the Stern Report, the IPCC and renewable energy industries Edwards gave CNN his assessment of how Greenpeace would spend the money.

"If you put $30 billion a year towards protecting forests, then that could cut greenhouse gas emissions by one fifth," he said.

"Another $20 billion per year is enough to spur an energy revolution and a massive uptake of green energy. And approximately another $10 billion per year would make sure we are using energy much more efficiently.

"That's about $60 billion right there for mitigating climate change."

For adaptation, Edwards put the figure at around $50 billion per year for saving lives in developing countries and continents such as Africa.

"So that's about $110 billion per year," he said. "So if the U.S. Congress diverted money from the financial bailout we could have a really good head start on climate change in the next six years, if we applied the $700 billion in this way." Read about Greenpeace's Energy Revolution here.

An Economist's view

Earlier this year, Gary Yohe, Woodhouse/Sysco Professor of Economics at Wesleyan University in Connecticut participated in Bjorn Lomborg's Copenhagen Consensus exercise where global issues are rigorously debated and then ranked in terms of importance.

Yohe headed a team of three economists whose task it was to calculate a workable fiscal plan for global warming. "Almost by coincidence," Yohe told CNN, "$700 billion is close to the discounted budget for the Copenhagen Consensus exercise. $800 billion, actually."

"Allocating $50 billion to research and development (R&D) on carbon friendly technology produced a discounted payback of nearly three times that amount.

"Adding reflections of aversion to risk, as well as optimally allocating effort over time, increased the payback to more than six times the investment." Download Gary Yohe's challenge paper here.

But he cautions against spending $50 billion on R&D without economic incentives. "We would be wasting a lot of effort," he said.

"We should be thinking about risks and the degree to which you are reducing risks as you make these investments," Yohe said.

"That's a reasonable question about the bailout as well. $700-800 billion dollars wouldn't guarantee that you are going to avoid climate change. Nor does that figure guarantee you are going to avoid significant financial trouble. But the benefits avoided are likely to be really quite substantial."

Yohe says that the $800 billion figure he drew up in his Copenhagen Consensus paper isn't necessarily the right number, but it would produce "an extraordinary gain relative to doing nothing." He concludes that a mixture of adaptation and mitigation approaches coupled with greater research and development into greener technology would yield the best returns on the money allocated.

The bailout bill passed by the U.S. Senate now stands at $810 billion -- strikingly similar to the budget Yohe himself has been theorizing about. When the dust settles on the financial crisis his analysis may well provide politicians with a useful framework from which to start developing a meaningful large-scale climate change strategy.

But climate change is going to require a lot more than just plain hard cash. "This is going to sound North American centric," Yohe said. "But I think the world is looking for U.S. leadership and if, in January, it picks up a leadership role -- accepting the notion that there is a void in leadership -- there will be a great deal of response."

How would you spend $700 billion to combat climate change? Let us know in the sound off box below.

@highlight

How much would $700 billion help climate change mitigation and adaptation?

@highlight

Greenpeace spokesman says $700 billion would "give us a good head start"

@highlight

U.S. economist says gains would be "extraordinary" compared to doing nothing