Beijing (CNN) -- If the latest U.S. intelligence reports are true then North Korea is planning to test-fire not one but multiple missiles, the latest provocative act by its unpredictable young leader.

While the region has become used to the posturing from Pyongyang, the recent wave of rhetoric has been unusually sustained and virulent, leading some analysts to consider the possibility of an armed confrontation between the two Koreas -- the neighbors remain technically at war after the 1950-53 conflict ended with an armistice rather than a peace treaty.

So far Kim Jong Un has refused to listen to the international community, leaving many to wonder if anyone can appeal to the leader, thought to be 30 years old, and defuse the crisis. All eyes are turned on China.

Of all the regional powers, analysts say, China has the greatest potential leverage over its traditional ally.

Chinese troops fought side by side with the North Koreans during the Korean War that left the Korean peninsula divided.

Over the years it has supplied the North with much of its fuel, food and other resources.

China could stop doing this at any time but it has rarely done so.

"Chinese netizens say, 'if we squeeze it for one week, what do you do the next week? You have to un-squeeze because we can't let them die,'" explained Sunny Lee, a South Korean writer and scholar. "They think it's an ineffective strategy from the start."

Lee says China has tried squeezing the North in 2002 and again in 2006. "They tried it and realized it did not work," he said.

It fears the specter of millions of starving refugees crossing into China along its 1,400-kilometer (880 mile) border with North Korea.

It also fears a united Korea under the control of South Korea, a close U.S. ally.

Lee says China benefits from the status quo and from Pyongyang's brinkmanship.

"When North Korea makes some noise, the U.S. ambassador asks the Chinese ambassador at the United Nations for a dialogue, it becomes a public G-2," he said. "It elevates China's international status. It seems, on the surface, that China has now come around as a respectable global stakeholder."

But Lee said the U.S. benefits too.

"It can pressure South Korea to join its military defense system, it can pressure South Korea to join a regional trading group, and it can sell South Korea more advanced weapons, which are very expensive."

Meanwhile, analysts say a full-scale North Korea attack is unlikely, but they also fear a mishap could unintentionally trigger a localized skirmish -- a fact that has triggered unusually strong statements from Beijing.

OPINION: Will China finally 'bite' North Korea?

"No country should be allowed to throw a region into chaos for selfish gains," declared President Xi Jinping last Monday, apparently an oblique slap at its wayward ally.

North Korea's latest bout of saber rattling began on February 12, when it conducted a third underground nuclear test.

The international community reacted with outrage, while the United Nations responded with more sanctions.

Even former Cuban leader Fidel Castro, a North Korean ally, warned against conflict last week. He described the current tensions on the peninsula as one of the "gravest risks" for nuclear holocaust since the Cuban Missile crisis in 1962.

U.S. Secretary of State John Kerry is visiting China this week to press Beijing to lean on its wayward neighbor.

"Of course they will use their influence," Jon Huntsman, the former U.S. ambassador to China, told CNN's Wolf Blitzer. "The question is will North Korea listen to their admonition? They have influence, but they've been lied to and they've been cheated by North Korea. They know that and they are feeling the sting of it."

Huntsman believes the Chinese have less clout with the North Koreans. "Business is done by people and they have less of a personal rapport at senior levels with the Korean leadership than they did in the years back," he said.

None of China's current leadership has met with Kim Jong Un.

Last November, China dispatched Li Jianguo, a senior Communist Party official, to Pyongyang in a last-minute effort to convince Kim to forgo its planned nuclear test.

Li failed.

Since then, there have been no high level exchanges between the two former allies.

Indeed the last high-profile foreigner to spend quality time with the young Kim was Dennis Rodman, the eccentric former NBA basketball star.

"You have a friend for life," Rodman told Kim after the two men sat next to each other to watch a basketball exhibition in Pyongyang in March. The meeting showed another side of a young man thrust into the seat of power with much to prove, according to Korea watchers.

Christopher Hill, a former U.S. ambassador to South Korea, said the flurry of tough talk out of Pyongyang shouldn't be ignored, but it could be directed to the citizenry itself. "I think there's a big element of domestic North Korean politics, if one can understand that concept, where clearly Kim Jong Un is not being well received," Hill told CNN recently.

"I think they are trying to kind of boost his status to some sort of wartime leader."

It remains to be seen how far the relatively inexperienced leader will go to shore up his position at home -- even if this pushes the North's traditional ally too far.

Lucrezia Seu in Beijing contributed to the report.

@highlight

New intelligence reports suggest North Korea planning multiple missile launch

@highlight

Traditional ally China increasingly irritated by regime under Kim Jong Un

@highlight

President Xi Jinping: No country should be allowed to throw region into chaos

@highlight

Analysts believe Kim is under pressure to justify his position at home