(CNN) -- It's a World Cup photograph taken over 40 years ago. Shot on film, and after the game, but it still ranks as one of the most memorable and impactful of football images.

At the 1970 tournament, legendary Brazil player Pele and England's 1966 World Cup-winning captain Bobby Moore share an open embrace and dazzling, relaxed smiles after the heat of battle against each other on the pitch.

"It's a wonderful moment. Two legends, that natural expression, friendship and admiration. There's a real power to that photography," says CNN Digital's director of photography Simon Barnett.

Photographer John Varley captured that moment while many others around him were changing film or were unaware it was unfolding.

"This is a great example of a picture that most of us could take these days if we're keeping our eyes open. Look around. You can get moments like these. And they really resonate," Barnett tells CNN's Sports Photography Masterclass series.

"There's no reason not to take a lot of pictures nowadays. You can delete them afterwards," he adds.

"Keep your mind open to imagery because it can come from the most surprising of places."

Fast forward almost three decades later, to another iconic image that also stands the test of time -- but portrays peak action instead of the quiet power of an off-the-field interaction.

It was the 1998 World Cup final in Paris. France's goalkeeper Fabien Barthez dramatically foiled Brazil's superstar striker Ronaldo as the home side pulled off a shock 3-0 victory.

"It's a remarkable peak action photograph and it works as well because there was a whole backstory with Ronaldo that day," Barnett explains.

Ronaldo, the World Cup's all-time leading scorer, was the best player of the tournament.

However, there was a controversy that day when he was initially not named in the starting lineup. Rumors spread that he had a pre-match seizure.

Despite this, Ronaldo did take the field for a Brazil side heavily favored to win.

"They ended up losing and Ronaldo had a pretty bad game on top of that. So there's a metaphor here for what a bad day Ronaldo had," says Barnett.

"Typically you go into these World Cups and you assume it's a straight-up sports event. But then something else happens -- this added drama that soccer sends."

iReport: Send us your best football photos

While there is a lot at stake for players on such big occasions, the photographers are also out to make a name for themselves.

In this case, the snapper was Simon Bruty -- well known for his work with Sports Illustrated.

The magazine's layout is probably the reason this particular shot of Ronaldo and Barthez was shot as a vertical, says Barnett.

"Photography tends to be horizontal and certainly in this day and age where we're looking at pictures on a screen, on our phone, on our iPads, horizontal is typically the way to go," he explains.

"Now Bruty was shooting this for Sports Illustrated so I'm sure in the back of his mind was to get the cover, which is one of the rare places that you can actually have a really good use for a vertical picture.

"And I believe this was going to be the cover until it got overtaken by a picture of (American football legend) Mike Ditka smoking a cigar, for whatever reason."

The equipment Bruty used then seems ancient compared to today's technology, which Barnett calls "truly staggering."

"As a photo editor, we used to pick up the phone and ask photographers, 'Did you get it?' Now the question is, 'Where is it?' " he says.

Even in the four years since the last World Cup in South Africa, the speed at which photography moves from field to office is much faster.

"Quite literally we can be seeing pictures within the minute," Barnett says.

"Photographers are shooting on the sidelines. Those images instantaneously go to their picture editors, be it in New York or Rio. They are editing and they are being sent to us."

And what about in the next four years, when the World Cup is played in Russia? How will photography have changed?

"Right now the way we take still photos is we press the button to start the camera. I've got a feeling you're going to get to a place where you press the button to turn the camera off," Barnett predicts.

He says the process will entail looking at a game afterwards to pick out the best angle and most important moment.

But despite the technical wizardry of our age, Barnett says the talent of an experienced photographer will always have cache.

"Technology has made the job easier. But the analogy I'd give is that cameras these days are like Formula One racing cars. But the real difference is who's driving the car. If I try to drive one of those cars, I'm not going to win a race. You give it to a professional driver -- they'll win races."

@highlight

Photo of Pele's 1970 meeting with Bobby Moore captures football legends

@highlight

Shot of Ronaldo tumbling at 1998 World Cup sums up Brazilian's problems

@highlight

Sports photography is moving into a new hi-tech age