The U.N. Security Council unanimously approved a resolution on Libya on Wednesday that calls for an immediate ceasefire and includes sanctions for those involved in violence there.

The Security Council's move came amid worsening conflict in Libya -- and a day after the Pentagon said it believes Egypt and the United Arab Emirates have been conducting secret airstrikes in the North African nation.

That claim has been denied by Egyptian leaders and apparently dismissed by a UAE minister.

The allegation was first made at the weekend by militants from an alliance of Islamist and Misrata militias -- known as the Libya Dawn forces -- who have been battling rival moderate militias from the western city of Zintan.

The alliance wrested control of Tripoli International Airport from the Zintan militia groups Saturday night after airstrikes targeting locations held by their own forces.

The claims of outside military intervention have sparked fears that Libya has become the latest arena in a regional battle for influence between Egypt, Saudi Arabia and the UAE on one hand and Turkey and Qatar on the other.

Libya continues to be beset by instability -- politically, militarily and otherwise -- nearly three years after the revolution that toppled former strongman leader Moammar Gadhafi. That has included extensive violence, much of it involving increasingly powerful militias that have outgunned the nation's central government.

Late last month, the U.S. Embassy in Tripoli, the United Nations and other international organizations and businesses evacuated their staffs due to the unrest.

The U.N. resolution calls for an end to the fighting and for those responsible to be held accountable.

It also urges "all parties to engage in an inclusive Libyan-led political dialogue in order to help restore stability, and to forge consensus around the next steps in Libya's transition."

The resolution does not mention any claims of bombing by outside forces.

U.S. urges political process

Rear Adm. John Kirby, the Pentagon press secretary, confirmed at a briefing Tuesday that the United States believes that airstrikes were undertaken in recent days by the UAE and Egypt inside Libya but declined to give further details.

Asked if the Pentagon supported independent action by the UAE and Egypt in Libya, he said it, like the U.S. government, wants Libya's problems to be resolved "peacefully, and through good governance and politics and not violence, and that we discourage other nations from taking a part in Libya's issues through violence."

State Department spokeswoman Jen Psaki gave a similar message, saying, "We understand that there were airstrikes undertaken in recent days by the UAE and Egypt."

She pointed to a joint statement issued Monday by the U.S., UK, French, German and Italian governments which calls for an immediate ceasefire in Libya by all sides and engagement in the democratic process.

"We believe outside interference in Libya exacerbates current divisions and undermines Libya's democratic transition," the statement concludes.

The United States doesn't believe there is a military solution in Libya, Psaki said. "The political process is what the focus needs to be on. And, hence, the concern that we have."

In a tweet later Tuesday, Psaki appeared to seek to clarify her earlier remarks. "Comment today on Libya intended to refer to countries reportedly involved, not speak for them," she said.

Egypt 'has no forces in Libya'

Egypt has repeatedly denied any military involvement in Libya.

"Egypt is not involved in any military activity and it does not have any military presence on Libyan territories," Egyptian Foreign Minister Sameh Shoukry said Tuesday.

"We respect the Libyan people's will represented by the parliament and all its decisions."

Egyptian Foreign Ministry spokesman Badr Abdellatty told CNN on Monday that suggestions Egypt was involved in recent airstrikes are "nonsense."

A day earlier, Egypt's President Abdel Fattah el-Sisi also denied any Egyptian involvement in Libya, according to the official Egyptian news agency, MENA.

He told newspaper chiefs that are no Egyptian aircraft or forces in Libya and that no Egyptian aircraft took any military action inside Libyan territory.

El-Sisi added that Egypt, like its neighbors, is interested in the safety and security of Libya and has been consulting with Algeria and Tunisia and others over political action to achieve stability there.

The UAE has not given an official response to the allegation it was involved in airstrikes.

But UAE Minister of State for Foreign Affairs Anwar Gargash appeared to dismiss the initial claim by Libyan Islamists in remarks on Twitter, translated by CNN.

"The attempt to drag the UAE into the Libyan issue is an escape from facing the results of the elections and the legitimacy that it brought about and the desire of the majority in Libya for stability and security," he said in one tweet.

His comment referred to elections in June that brought a new anti-Islamist government to power in Libya. However, the new administration has so far proved ill-equipped to quell the violence plaguing Libya.

@highlight

U.N. Security Council resolution includes sanctions for those involved in violence in Libya

@highlight

It demands an immediate ceasefire and end to fighting in Libya

@highlight

The Pentagon believes Egypt and the United Arab Emirates carried out airstrikes in Libya

@highlight

Egyptian leaders have denied the claim and a UAE minister has dismissed it