Paris (CNN) -- The apparent assassination of three Kurdish women political activists in central Paris on Thursday, all shot in the head, has provoked shock among the Kurdish community.

Mystery swirls around the slayings, with no claim of responsibility or any indication from authorities as to who might have pulled the trigger.

The fact that one of the women is a founding member of the Kurdish Workers' Party, or PKK -- a group viewed by Turkey, the United States and others as a terror organization -- has led to heightened speculation.

The killings come at a delicate time for Kurds in Turkey, where analysts say the government has recently entered into talks with Kurdish leaders -- among them the jailed head of the PKK, Abdullah Ocalan.

Analysts suggest the attack could be an attempt to derail a nascent peace process, in what is one of the Middle East's longest-running conflicts.

Opinion: How Paris killings could renew Kurd flashpoint

The PKK, a pan-Kurdish nationalist movement, is best known internationally for the guerrilla war it has fought for nearly three decades against the government of Turkey, a conflict that has claimed more than 40,000 lives.

The ethnic Kurdish population extends across parts of Turkey, Syria, Iran and Iraq.

French Interior Minister Manuel Valls told reporters in Paris the three women had been "without doubt executed" and described the killings as "totally unacceptable."

Report: Turkey's Kurdish conflict has turned more violent

The main pro-Kurdish political party in Turkey, the Peace and Democracy Party, or BDP, identified the three victims as Sakine Cansiz, who was a co-founder of the PKK, Leyla Sonmez and Fidan Dogan.

Police said the women's bodies were discovered about 2 a.m. local time in the Information Center for Kurdistan in Paris, located on a busy street behind the Gare du Nord, one of the capital's main train stations.

Officers took evidence bags from the building, near which much of the city's Kurdish community lives, but have released few details.

Leon Edart, of the Federation of Kurdish Associations in France, told CNN affiliate BFM-TV that the women had been alone at the site, which had no security cameras, on Wednesday afternoon.

Read more: Turkish town on Syrian border deals with fighting, ethnic differences

French Foreign Minister Laurent Fabius said that French authorities were determined to shed light on the murders and that a judicial inquiry had been opened.

So far, authorities have not indicated who might have been responsible.

But political leaders in Turkey have been quick to express their shock and revulsion.

Turkish government spokesman Bulent Arinc condemned the "savage" killing of the women, in comments to the semiofficial Anadolu news agency, saying it was "utterly wrong."

And the BDP, which has 35 elected members in the Turkish parliament, demanded answers.

"We expect the French government to enlighten this massacre beyond a shadow of doubt. We want it known that these murders committed overtly in the busiest part of Paris cannot be covered up," it said.

Roj Welat, a spokesman for the PKK leadership in the Qandil Mountains of northern Iraq, said the PKK had not seen any claims of responsibility and was waiting for the results of the French investigation into the murders, as well as its own probe.

"It is an assassination, it is terror, it is ideological and political assassination, (a) terror attack against the Kurdish people," he said.

"Sakine Cansiz has been actively involved in the peace and democracy struggle, freedom struggle, of the Kurdish people for a long time. She was one of the women who participated in the formation of the PKK."

Read more: Turkey police crack down on Kurds

Hugh Pope, senior Turkey analyst for the International Crisis Group, suggested the killings would "raise huge questions on the Kurdish side about what's going on" in relation to the Turkish negotiations.

"No one should use this as an excuse to end these talks. Because this is a unique opportunity, it is a year without any political elections," he said. "Whoever did it, it's very important that the negotiators take steps to reassure each other."

Pope warned against quick pronouncements on the assassin's identity or affiliation, saying the PKK "has a long history of killing its own people, too. So there's no way anybody can jump to conclusions."

Huseyin Celik, a spokesman for Turkey's ruling Justice and Development Party, or AKP, said information was still coming in, but "when you look how it was carried out, it seems like an internal settling of scores within the PKK."

Read more: Kurdistan officials hope Iraq will allow Turkish minister in

The murders have also left the Kurdish community in Paris and elsewhere reeling.

Valls, the French minister, said that Dogan was the head of the Information Center for Kurdistan and that she was known to many in the community through her work.

She was also the Paris representative of the Kurdistan National Congress, or KNK, a political group based in Brussels, Belgium.

Akif Rizgar Wan, the British representative of the KNK, told CNN he had known Dogan for more than a decade and had last seen her in December.

He described her killing as "terrorism in the middle of Europe" and an attack on efforts to find a peaceful resolution to the Kurdish question.

"It's a very big loss for us," he said. "I cannot describe my sadness. I've not seen anyone else in my life so warm and helpful to anyone."

Read more: Jailed leader calls for end of Kurdish hunger strike

About 200 members of the Kurdish community rallied outside the Information Center for Kurdistan on Thursday morning but dispersed soon after.

A statement on the French website Jeunesse Kurde (Kurdish Youth) on Thursday urged Kurds and friends of the Kurdish people to gather in Paris.

Berivan Akyol, a spokeswoman for the Kurdish Cultural Center in Paris, said a demonstration would be held Saturday.

"We want to condemn these savage executions and the obscure political forces behind them. We are expecting at least 4,000 people," she told CNN.

More than 150,000 Kurds live in France, many of them in the Paris area, according to BFM-TV. About 90% of the population originates from Turkey, the broadcaster says.

Whether the murders will affect the high-profile negotiations in Turkey remains to be seen.

Throughout the long conflict in Turkey, the PKK has modified its goals from demanding a separate Kurdish state to fighting for the expansion of Kurdish cultural and linguistic rights, as well as the release of Ocalan, the jailed PKK leader.

For decades, the Turkish state discriminated against the Kurds, Turkey's largest ethnic minority, which now makes up roughly 20% of the population. The Kurdish language was banned, and Kurds were long referred to as "mountain Turks."

During Turkish Prime Minister Recep Tayyip Erdogan's 10 years in power, the government has made historic outreaches to the long-oppressed population, an effort that included secret talks with PKK leaders in 2005.

But PKK-related violence has spiked recently, reaching death tolls unseen in more than 13 years, according to a report published by the International Crisis Group, a nonprofit conflict mediation organization.

Read more: Syria rebels, Kurdish militia discuss cease-fire

CNN's Ivan Watson and Gul Tuysuz reported from Istanbul; Alexander Felton and Laura Smith-Spark reported from London; and Jim Bittermann reported from Paris.

@highlight

Turkish government spokesman condemns the killings as "utterly wrong"

@highlight

The slain women are Sakine Cansiz, Leyla Sonmez and Fidan Dogan, pro-Kurdish party says

@highlight

"I cannot describe my sadness," a Kurdish activist says of one victim's death

@highlight

Analyst says the killings can be seen in the context of talks in Turkey with Kurdish leaders