(CNN)They're a relatively small group of parents in a big country. But their decision not to vaccinate their children can have a profound impact on public health.

Opponents of vaccines against diseases like measles are simply on the "wrong side," CNN chief medical correspondent Dr. Sanjay Gupta says.

Just how many people are we talking about, and what do we know about them as a group?

Here's a look at some key numbers.

According to the CDC, in the United States:

• 95% of children in kindergarten have had vaccines for preventable diseases, including two doses of the measles, mumps, and rubella (MMR) vaccine. But that figure is not spread evenly across the country.

• 82% of children in Colorado have had the two-dose MMR vaccine that doctors say is necessary. In Mississippi, virtually all children in kindergarten (99.7%) are vaccinated.

• 26 states have not reported meeting a government target of 95% coverage for MMR.

The differences stem from varying laws over when exemptions are allowed.

The National Conference of State Legislatures reports:

• 48 states and the District of Columbia allow religious exemptions from vaccines

• 20 states allow philosophical exemptions.

Even within states that have high exemption rates, "vaccination exemptions have been shown to cluster geographically, so vaccine-preventable disease outbreaks can still occur where unvaccinated persons cluster in schools and communities," the CDC says.

Because of health complications, some children should not be vaccinated, doctors say. These children are also one of the biggest reasons vaccination is so important. Those unvaccinated can carry the disease and infect vulnerable children.

Families with medical exemptions make up a small portion of those who don't vaccinate.

The CDC reports:

• In California, there were about 1,000 medical exemptions in the 2013-2014 school year, and more than 17,000 philosophical exemptions.

• Florida had less than 800 medical exemptions and about 4,000 religious exemptions. Florida does not allow philosophical exemptions.

• Mississippi and West Virginia do not allow religious or philosophical exemptions, and they reported only about 50 medical exemptions combined.

(See a full state-by-state breakdown here.)

Why do some parents opt out?  They're more likely to have vaccine safety concerns and to "perceive fewer benefits associated with vaccines," a study found -- despite the scientific evidence and debunking of a study that suggested vaccines could trigger autism.

Most of these parents do believe vaccines are necessary to protect the health of their children. But many also believe their children could suffer from the vaccines themselves.

The study was published by Public Health Reports, the official journal of the U.S. Public Health Service, in 2011. It found that among parents who delay and refuse vaccines:

• 70% say they believe the vaccines are necessary to protect the health of their children (compared with 96% of parents who vaccinate)

• 63% say they fear their children could have serious side effects (compared with 31% of parents who vaccinate).

• 57% say they have concerns about autism.

• 78% say they believe children get too many shots.

• There's also more mistrust of the medical community among those who don't vaccinate. While 95% of parents who vaccinate said medical professionals in charge of vaccinations have their children's best interest at heart, 77% of parents who delayed and refused vaccines agreed.

The Public Health Reports study also found that families of unvaccinated kids are more likely to be:

• Wealthier on average, with annual incomes more than four times the poverty level

• Non-Hispanic white

• Married couples in English-speaking households

• Educated, with college degrees, and

• Covered by private health insurance.

In the medical community, conversations are underway about how to reach out to these parents.

"There's not much we can do about the small core of people who oppose vaccines based on ideology," Ford Vox, a brain injury doctor in Atlanta, wrote in a CNN column. "... But we have a better shot with the larger and more rational border zone of the vaccine hesitant who may base their concerns on genuine cases of vaccine harm, such as the very small but accepted link between influenza vaccination and a temporary paralysis called Guillain-Barré Syndrome."

Cultivating "a strong patient-doctor relationship is the most successful method of reversing vaccine opposition," he wrote. That means carving out a system in which "your doctor is granted the time to truly understand you, while at the same time allowing your doctor to treat you appropriately. ... If we've done our job right, you'll seek out the insights we've earned from treating many challenging cases over many years. And we'll know we've succeeded in our new relationship when you let us vaccinate your children."

What is your message to those who don't vaccinate?

@highlight

26 states have not reached a federal target for vaccination

@highlight

Mississippi has the highest level of vaccination; Colorado has the lowest

@highlight

Many parents of unvaccinated children are concerned about side effects, autism and children having too many shots