(CNN) -- If the Tour de France founder Henri Desgrange could have magically transported himself forward to the100th edition and discovered that the hot favorite was Kenyan-born Briton Chris Froome, with not a French contender in sight, then he might have abandoned the idea altogether.

Desgrange and his editorial colleagues on the newspaper L'Auto came up with the idea of a cycle race around France to boost its flagging circulation and a non-French winner was the last thing they would have wanted.

Maurice Garin duly obliged in the 1903 edition, but more importantly the "Grand Boucle" had successfully captured the French public's imagination and with the exception of two world wars has been raced every year since.

Despite a raft of doping scandals -- this year's Tour is the first since Lance Armstrong confessed to cheating and was stripped of his seven titles -- and the tragic deaths of leading riders such as Tommy Simpson and Fabio Casartelli -- its popularity as the greatest free sporting spectacle in the world has endured.

For a race conceived by a journalist, it has undoubtedly provided rich material to fill countless column inches, not to mention ample opportunities for their photographic colleagues to capture the drama of the moment and France's stunning scenery.

Mapping Le Tour, published in conjunction with the centenary race, chronicles the history of the race in images and route maps of each year, plus a stage-by-stage preview of the 2013 edition.

It reveals that the Tour has visited every region of France apart from Corsica -- so fittingly, and to mark the special anniversary, this year's race will start Saturday with three road stages on the hilly Mediterranean island.

World's greatest tourist destination

The peloton returns to the mainland for a short team time trial in Nice before setting off on a clockwise route around France.

For the first time since the 2003 race, which marked the actual centenary of the Tour, all 3,360 kilometers will be on French soil, a move designed organizers say to "showcase the splendors of the world's greatest tourist destination."

Froome, who began his cycling career racing BMX and mountain bikes near his birthplace of Nairobi, and the other leading contenders will be too busy to appreciate the delights of the terrain in the Alps and Pyrenees, but for the millions of spectators who line the route it's an added attraction.

Last year Froome finished second to Team Sky teammate Bradley Wiggins as he became the first British rider to win overall honors in the famous three-week race.

Last month Wiggins withdrew from the 2013 edition after sustaining injuries in the Giro d'Italia, leaving the way apparently clear for Froome to lay his claim to the storied yellow jersey.

"It's got to be our focus to try and get yellow, make that the number one goal," Froome told the UK's Press Association on the eve of the race Friday.

His Australian teammate Richie Porte is also tipped to fulfill the major supporting role that Froome himself played for Wiggins last year.

"I don't see why Porte couldn't be on the podium come Paris," Froome added. "There's a lot of road ahead but that would be the dream scenario for us."

Doping controversies

But as the riders gathered in Corsica, the shadow of doping controversies continued to hog the headlines.

Armstrong was quoted in the French daily Le Monde claiming that the route to success still lay in taking performance enhancing drugs.

"It's impossible to win the Tour de France without doping because the Tour is an endurance event where oxygen is decisive," he said.

The disgraced Texan -- who dominated the Tour from 1999 to 2005, added: "I simply took part in this system. I'm a human being."

Coming a week after Armstrong's arch rival Jan Ullrich finally confessed he too had taken blood boosting drugs such as EPO, it was the last thing the organisers needed as the sport seeks yet another fresh start.

Australian BMC rider and 2011 champion Cadel Evans, one of the major challengers to Froome, took exception to Armstrong's remarks.

"I think the opposite. I am proof that that is not true," Evans told gathered reporters in Porto-Vecchio.

"I sometimes read in the press what Armstrong says and I respect him as a human being, but really I just focus on doing my own job as best I can and fortunately we are supported by a great group of people."

Angry Hinault

Five-time Tour champion Bernard Hinault strongly defended his sport when asked about Armstong's reported comments by CNN affiliate BFMTV.

The French legend said that if other sports were as tightly controlled as cycling "we would be laughing for five minutes."

He angrily added "one has to stop thinking that cyclists are drug addicts, thugs."

Froome's other likely rival, Spaniard Alberto Contador, has himself served a ban after giving a positive test for the banned steroid clenbuterol on the way to winning the 2010 edition, the title later awarded to Andy Schleck of Luxembourg.

Saxo-Tinkoff's Contador has always protested his innocence and his route to redemption may well lie in the 2013 race, which takes in 28 mountain ascents, four of which finish at the top, suiting his climbing abilities.

Away from the battle for yellow, sprinting stars such as Britain's Mark Cavendish and Slovakian Peter Sagan will battle it out for the green points jersey on the flatter stages.

Cavendish, led out by Wiggins, crossed the line first on Champs Elysees last year, his 23rd Tour stage win, closing fast on the all-time record of 34 by the five-time overall winner Eddy Merckx of Belgium.

International appeal

It is unlikely a home rider will add to France's record 38 overall victories, the last of which came from Hinault back in 1985, but Desgrange would surely have been proud of how his creation has gained such international appeal.

Since it's first incursion into the Netherlands in 1954, the Tour has visited major capitals such as London and Berlin, while the 2014 race will start in the English northern county of Yorkshire.

American Greg Lemond, an outspoken critic of Armstrong, was the first non-European winner of the Tour in 1986 and Wiggins' historic victory last year is likely to continue this trend as the well financed Team Sky squad has the resources and rider lineup to dominate for the foreseeable future.

Pictures courtesy: Â© MAPPING LE TOUR by Ellis Bacon, published by Collins.

@highlight

Kenyan-born Briton Chris Froome favorite for 2013 Tour de France

@highlight

100th edition of the famous race founded by Henri Desgrange

@highlight

History littered with tragedy and doping scandals

@highlight

First Tour since Lance Armstrong confessed to cheating