Editor's note: Burton Wides served as chief counsel to Sens. Ted Kennedy, Phil Hart and Paul Sarbanes and special counsel for President Carter. He now works as a pro bono private counsel on civil rights and human rights issues.

Former Kennedy aide Burton Wides says the senator had a zest for politics and an appetite for hard work.

(CNN) -- For half a century, Ted Kennedy was the most prolific senator on the political scene, making major strides in civil rights, civil liberties, education, human rights abroad, arms control, good government and of course health care.

You name it, he was there -- and in the lead. To some tabloid readers, he was largely a spoiled Kennedy playboy. To his colleagues and staff who watched him up close year after year, and to millions of Americans who saw him fighting on so many fronts, he was a committed champion of equality, justice, peace and protection of those in need.

How did he do it? With incredibly long hours, amazing energy and hard work, coupled with a zest for politics -- in the best sense -- and legendary legislative mastery acquired over the years. His staff knew that when he was starting an initiative, his first priority instinctively was to win over as staunch a conservative as he could find to be his partner and original co-sponsor. It worked so many times.

Sometimes, he would leave an evening event where he was the honoree before it had ended. The next day, a cynical scribe might note that shortly after receiving his award, "Kennedy bugged out early." I knew that the senator had gone home to be able to help his son with homework or put him to bed, and then had begun a late-night briefing with staff to prepare for an important hearing the next morning.

Finally, over a life of personal trials and tribulations, Kennedy had developed great "empathy" -- a word recently much maligned, but all-important in the Senate's staid, marble halls.

He had endured the physical and emotional pain that enabled him to feel the pain of illness, discrimination or disability endured by others. You could see that he did, as he gently helped a tearful witness through difficult testimony at a Senate hearing.

Kennedy knew well that on Capitol Hill you tried for a full loaf, sometimes took half of one and, if necessary, you planted the flag, took a slice and came back another day for more. But he also remembered Frederick the Great's admonition: "L'audace, toujours l'audace (boldness, always boldness.)"

The 1965 Voting Rights Act, the crown jewel of modern civil rights laws, revolutionized America. In small Mississippi towns and elsewhere in the South where African-Americans once feared walking past the sheriff's office, they now may be the elected sheriff, mayor or state senator. The same is true for Hispanics in parts of the Southwest.

The Act's two main parts are Section 2 and Section 5. Section 2 is a permanent, nationwide prohibition against electoral discrimination. Section 5 requires preclearance by the U.S. attorney general of election law changes in jurisdictions covered by the provision. From the beginning, Section 5 was controversial and was set to expire in 1982.

In 1980, however, a Supreme Court ruling had gutted the equally important Section 2 with a statutory misinterpretation. Kennedy had to decide which section to save. The nation's civil rights coalition urged him to go for both. Many Democrats warned that trying to preserve both was a bridge too far and that Kennedy would risk losing everything.

After much debate, and uncertainty, he firmly decided to go for broke, and "ran the table." Section 5 was preserved for another 25 years, while the statutory clarification of Section 2, combined with the 1990 census, dramatically increased the number of minority members of Congress.

Kennedy was interested in results. At the outset of Watergate, long before it became a constant headline, he and his staff started the Senate investigations, fully apace with the Washington Post, and unearthed the "dirty tricks project" of the 1972 Campaign.

But he came to realize that a Kennedy was not the most appropriate person to chair hearings on the Nixon White House and supported Majority Leader Mike Mansfield's creation of the select "Ervin Committee" to finish the job.

Kennedy's intense pursuit of the causes he championed was matched by his fabled sense of humor. I enjoyed both his huge store of anecdotes and his gentle barbs, except when I was the target. Sitting in the back of the Senate chamber behind him and Sens. Edmund Muskie, Walter Mondale, Eugene McCarthy and Phil Hart while they regaled each other with the foibles of Washington was a treat that helped lighten the often tense atmosphere of debate on heated issues.

Occasionally, he missed the humor in the situation, especially if advance work for his events wasn't up to his standards. I remember Kennedy rebuking Bob Shrum, his speechwriter, and me for running late as he weaved through traffic from his suburban home to an interview by civil rights leader and radio host James Farmer.

Shrum kept assuring him that the interview would be prerecorded and could be taped whenever they got there. Then, at a stoplight, a cabbie leaned out his window and yelled: "Hey Ted, you're late. They're all waiting for you." It turned out that, because Kennedy had been in the news a lot, Farmer had decided to do the interview live on his daily show. Needless to say, Kennedy did not laugh.

Superseding these and many other recollections of Kennedy the senator is my vivid memory of him as a person uniquely able to distract and comfort others in distress. On time stands out. When my first Senate boss, Phil Hart, was in the last stages of his battle with cancer, Kennedy spent hours by his side offering humor, Irish tales and Senate banter almost endlessly, as Chris Dodd and many others have now done for him.

Hopefully, we will see his like again.

The opinions expressed in this commentary are solely those of Burton Wides.

@highlight

Burton Wides: In the tabloids, Ted Kennedy was viewed as a playboy

@highlight

He says the reality is that he worked very hard on his legislative agenda

@highlight

He says Kennedy's adroit work saved the Voting Rights Act

@highlight

Wides: Kennedy knew there was a time for compromise -- and for boldness