(CNN) -- It was on the pages of newspapers and in the coveted aisle seat on television's "At the Movies" that the world met Roger Ebert, the passionate lover and sometimes combative critic of film who virtually defined cinema critique for a generation.

But in his final years, when cancer had robbed him of his jawbone and whittled away his once ample frame, it was social media, particularly Twitter, that let Ebert not only keep talking, but also interact with his fans, and foes, more freely and personally than ever.

"Twitter for me performs the function of a running conversation," Ebert wrote in June 2010, about eight months after he signed up for the site and five years after losing his vocal chords and part of his lower jaw to thyroid and salivary gland cancer. "For someone who cannot speak, it allows a way to unload my zingers and one-liners."

He wrote that he'd sworn never to become a "Twit" -- that he'd been sure nothing worthwhile could be communicated in 140 characters. But, in its way, the site, with its fast-paced microbursts of info, was perfect for a man who had never shied away from snark, whether arguing with professional foil Gene Siskel or ripping gashes into "Freddy Got Fingered" or "The Brown Bunny."

"Twitter is now a part of my daystream," Ebert wrote. "I check in first thing every morning, and return at least once an hour until bedtime. I'm offline, of course, during movies, and don't even usually take my iPhone. The only tweeting I've done with mobile devices was when our Internet went down one day, and when my laptop was lost in Cannes. But you can be sure that before I write the next three paragraphs I will tweet something."

If Twitter was made for Ebert, Ebert was, in the end, made for Twitter.

"Roger really understood social media," said Christina Warren, senior tech analyst with Mashable, a CNN content partner. "He instinctively 'got it'."

Remembering Roger Ebert: Tweets pour in

Forget the need to continue the long-form journalism that won Ebert a Pulitzer Prize. He had his blog, and his Chicago Sun-Times column, for that. Twitter was where Ebert continued talking about movies, politics, life and the universe the same way he'd once done over mugs of beer at his beloved Chicago ale houses.

He had more than 840,000 Twitter followers. But while many Twitter users with a dose of celebrity use the site as a self-promotional megaphone, for Ebert it was a two-way radio.

"The best part about the way Ebert used Twitter was that it wasn't just a one-way conversation," Warren said. "He would debate and argue with his followers. That sort of true interaction is really rare for someone of his stature and celebrity. ... It was a new way to really engage with the community -- and even with new fans -- in a way that was more immediate and more instantaneous."

In the hours after his death became public Thursday, Twitter users recalled their interactions with him on the site. Movie questions he'd answered. Direct messages he would send to compliment a tweet he enjoyed. Even heated debates they'd engaged in, 140 characters at a time.

Opinion: What the Internet owes to Roger Ebert

Freed largely from the "old media" standard of public impartiality, Ebert mixed it up lustily at times on topics ranging from video games to politics. He was a harsh critic of vice-presidential candidate Sarah Palin and the tea party movement, which he decried as a phony cause ginned up by political operatives to manipulate voters.

It was that back-and-forth that displayed the Web's ugly side. From dark, often anonymous perches behind their computer screens, trolls responded to Ebert's opinions with hateful mockery of his disease and the toll it had taken upon him.

"I mean honestly. How many pieces need to fall off @ebertchicago before he gets the hint to shut the ---- up?" one blogger tweeted. It was part of a nasty string of tweets after Ebert criticized some California high-school students who pointedly wore U.S. flag T-shirts to school on Cinco de Mayo.

"You know, @ebertchicago, I'm not as expert on flag etiquette as you," went another. "Tell me, which do I fly when you die of cancer?"

The man who penned the scripts for the bawdy Russ Meyer exploitation flicks "Beyond the Valley of the Dolls" and "Beneath the Valley of the Ultra-Vixens" could no doubt have gone slur-for-slur with them. Instead, he responded with the sort of surprising grace that had always accompanied his brusquer moments.

"Dear TeePee Tweeters making fun of my cancer: You want ugly?" he wrote, using his own tea party shorthand. "For that, you have to look at a mind, not a face."

The social-media voice he developed was, in a way, a natural evolution for Ebert. An early investor in Google, Ebert took his work to the Internet much sooner than many of his traditional-media counterparts, scoring a Webby Award along the way. But in a TED talk in 2011, Ebert acknowledged that the full impact of technology didn't fully register on him until his cancer fight began.

"It makes me incredibly fortunate to live at this moment in history ... ," Ebert said as the words he typed on a Macbook were broadcast via a text-to-speech app. "We live in the age of the internet, which seems to be creating a form of global consciousness. And because of it, I can communicate as well as I ever could."

He added, "For me, the Internet began as a useful tool and now has become something I rely on for my actual daily existence. ... I feel as if my blog, my e-mail, Twitter and Facebook have given me a substitute for everyday conversation."

It served him well to the end. Ebert's final tweet, sent Wednesday, was a link to a blog post announcing that he'd be stepping back from some duties ... taking a "leave of presence," as he put it.

The final words of that post? "Thank you for going on this journey with me. I'll see you at the movies."

@highlight

When cancer stole his ability to speak, Roger Ebert went to Twitter for "zingers and one-liners"

@highlight

Analyst says Ebert naturally understood the back-and-forth nature of social media

@highlight

He talked movies, but also debated issues from politics to religion on the site

@highlight

Ebert felt "incredibly fortunate" to live in the Internet age in his final years