(CNN) -- Nigeria woke up on Sunday to a brand new economy, apparently.

The federal government had changed the baseline for calculating Gross Domestic Product for the first time since 1990, and as a result the economy was boosted by around 75%. This was thanks, in part, to the contributions of accelerated sectors like telecoms and entertainment.

Overnight, the economy of the "giant of Africa" had grown from $292 billion to $510 billion. It could now claim to be Africa's largest economy, and the world's 26th.

It was another headline-grabbing moment for a government already smug from Nigeria's status as one of the "MINT" economies, which also includes Mexico, Indonesia and Turkey. They are seen as successors to the now-famous BRICs as profiled by former Goldman Sachs economist, Jim O'Neill.

But more interesting than this news is the countrywide response. In summary, it was a loud hiss.

To hear one columnist tell it, "until Iya Ramota, the tomato seller at Mile 12 Market, can be guaranteed uninterrupted power supply... any economic statistic indicating that Nigeria is the largest economy in Africa ... cannot be worth more than the paper it is written on!"

To be sure, this is not a particularly bright argument. No country is changed overnight.

After all, statistics matter.

To dismiss a decade of annual growth averaging 7% in real terms is to insist on ignorance about how nations are changed in the long term. And, in terms of how the world views our country with respect to investment and risk, this news cannot hurt.

But the argument against has some merit.

There are some urgent numbers that, alas, wont go away. Despite our new status, South Africa's GDP per capita is $7,352 compared to our $1,555, according to 2012 statistics.

South Africa produces 40,000 megawatts, set to double by 2025, while we battle a miserly 3,000 with no prospects of improvement, if our immediate history is any guide.

Barely a week ago, in a nod to the over 100 million living far under the poverty line, the World Bank president said Nigeria was one of the world's poorest countries.

Then there is our biggest and most urgent crisis -- a debilitating lack of jobs. The National Bureau of Statistics has youth unemployment at over 54%, although some commentators insist the true number is almost 80%.

Our work with Aiki.ng, a portal to expand access to jobs and opportunities for young people, suggest they are closer to the truth.

If anyone disagrees with the numbers, they must accept the visual aids.

In February, Nigerians were hit with the harrowing image from the nation's capital, Abuja. At least half a million youth fought for 4,500 positions available in the Nigerian Immigration Service, with tens of thousands gathering at the National Stadium.

Amid the crush, 16 people died.

In Northern Nigeria, hundreds continue to die as the vestiges of state control have completely broken down, in a war that terrorist organization Boko Haram is clearly winning.

How much direct foreign investment can our brand-new economy truly bring if Nigeria is still defined by insecurity, rampant inequality and a government that suspends its central bank governor, after he warns of missing oil revenues?

Not much, Nigerians believe. And they have saying this loudly for months and years.

There was a time when the president's people would dismiss the naysayers as a vocal minority on social media.

But this has changed. According to the NOI-Gallup Polls -- the country's most credible barometer -- Nigerian President Goodluck Jonathan's approval ratings for March took a 10-point hit, continuing a trend from last year that makes it clear he is no longer a popular president.

That is why numbers that should give a psychological boost to a battle-weary citizenry instead lead to scorn, to disbelief, to nationwide derision.

Because people are tired of pointless numbers and meaningless chest thumping. Nigerians are tired of waiting for their leaders to lead.

Last week, the International Youth Foundation released its first Global Youth Wellbeing Index. Nigeria youth ranked lowest for wellbeing.

The country was ranked near bottom in terms of economic opportunities, near bottom in use of Information Technology. Nigeria's education system -- as seen by young people aged 12 -- 24 - is ranked the worst in the world.

Much can fall apart, but when your youth lose faith in the present, and are incapable of seeing hope in the future, that is the worst possible thing that could happen to any country in the world.

That's not so easy to rebase.

The opinions expressed in this commentary are solely those of Chude Jideonwo.

@highlight

Nigeria's economy was "rebased," making it Africa's largest and the world's 26th.

@highlight

But the country, particularly its youth, are suffering and its people responded with a hiss

@highlight

President Goodluck Jonathan is trending down in the polls, and he is no longer popular

@highlight

The country's dissatisfaction will not be so easy to rebase, Chude Jideonwo writes