(CNN) -- The upcoming presidential election will likely hinge on whether voters trust President Obama or Mitt Romney to restore a robust economy. Presidents have less power over the economy than they and most people believe -- Congress, the Fed, and the economy's inherent dynamics all play major roles -- but the president can lead on key issues and set the tone for economic policy.

To understand how the Romney and Obama views differ, consider two issues.

The first is how to avoid the so-called "fiscal cliff." Under current policy, substantial tax hikes and spending cuts kick in on January 1, 2013. The Bush tax cuts, in particular, are scheduled to expire, and both domestic and military spending are scheduled to fall, under the debt ceiling deal of August 2011.

Both candidates view this tightening in fiscal policy as a threat to economic recovery, but they differ on which aspects to modify.

Obama wants to continue the Bush tax cuts on middle-class households but let them expire on high-income households. And Obama opposes the automatic spending cuts in general, although most observers suspect he would be open to some cuts in military spending.

CNN Money: Tax deduction cap -- how much would it raise and who would pay?

Romney also wants to extend the Bush tax cuts, but for all households rather than just the middle class. In fact, Romney has called for further reductions in tax rates, including those on corporate income. Romney will likely accept cuts to domestic spending while opposing those to the defense budget.

Obama, therefore, will use negotiations over the fiscal cliff to push greater redistribution of income and for shifts in expenditure from military to domestic programs; Romney the reverse.

Neither candidate, of course, describes his position in these terms. Obama will paint the debate over tax policy as about fairness, while Romney will say it is about promoting economic growth. Obama will defend domestic expenditure as "investment" in our future, while Romney will characterize much of it as waste. Regardless, the two have different priorities for taxes and spending.

On the tax side, Romney's position is more convincing. Raising rates on high-income households will generate only modest revenue, and higher rates on dividends and capital gains are bad for growth. Likewise, lower corporate tax rates will boost growth. More broadly, Obama's focus on redistribution sends a chilling message to entrepreneurs and innovators, and any negative impact on growth makes the debt situation worse.

On the budget, neither candidate is sufficiently skeptical of federal spending.

Obama errs in believing that federal expenditure is mainly "investment." In reality, huge chunks -- such as drug prohibition, the National Endowments for the Arts and Humanities, the Corporation for Public Broadcasting, NASA, earmarks, the Postal Service, Amtrak, foreign aid, agricultural subsidies, the Small Business Administration, along with bridges to nowhere, the Big Dig, and high-speed rail -- are wasteful.

Opinion: Romney's radical economic plan for U.S.

Romney makes a similar mistake for military spending. Many defense and national security activities, such as the ongoing war in Afghanistan, provision of national security for nations in Western Europe and other parts of the globe, not to mention unnecessary weapons systems, redundant military bases, and more, are difficult to justify.

The second big issue facing Obama or Romney will be taming the growth of Medicare. Both candidates agree that, under current projections, Medicare grows faster than the national's overall economic output forever, which means Medicare is essentially bankrupt.

Romney and Obama disagree, however, on how to fix Medicare. Obama's approach consists of the Independent Payment Advisory Board, a creation of the Affordable Care Act. The IPAB will have the power to restrict Medicare expenditure, chiefly by controlling health care prices and limiting reimbursement for care deemed unnecessary or not cost-effective.

Romney wants to shift most or all future Medicare beneficiaries (those currently 55 and younger) to vouchers. By limiting the rate at which the voucher amount increases over time, this approach can also slow Medicare expenditure. And if competition among insurers makes the health insurance market more efficient, vouchers can reduce spending further.

Both approaches, therefore, aim to "save Medicare," but in fundamentally different ways: The IPAB relies on government to decide what health care is valuable, while the voucher approach lets individuals make those choices.

Of the two, Obama's has little chance of success, given the failure of similar efforts in the past. Price controls incentivize health care providers to game the system, such as by billing for extra tests, procedures, and medications. This also means that price controls will introduce myriad inefficiencies in the health care system.

The Romney voucher approach has more potential, but the devil is in the details. Any voucher system must include enough insurers to generate real competition. And the definition of "health insurance" must be sufficiently broad that competing insurers can offer policies that genuinely limit costs.

In addition, the most obvious way that insurers can lower premiums is by raising co-payments and deductibles. This would be a good outcome, since it would encourage seniors to balance the benefits and costs of health care. Yet this also means seniors would pay more, a fact not often emphasized by advocates of vouchers.

Obama's and Romney's economic visions differ, therefore, on three fundamental issues: how much government should redistribute income; what kind of federal spending is worth its costs; and whether governments or markets allocate resources more efficiently. The choice is not unambiguous, but overall Romney has the better view.

The opinions expressed in this commentary are solely those of Jeffrey Miron.

@highlight

Libertarian economist Jeffrey Miron says both candidates' economic plans have flaws

@highlight

He says Romney's position on taxes is stronger, higher rates will curb growth

@highlight

Miron says both candidates try to control the unsustainable growth of Medicare

@highlight

He says Obama seeks to use government to curb costs while Romney relies on a voucher plan