Ukraine's government and separatist leaders signed a ceasefire deal Friday after talks in Belarus, raising hopes of an end to the nearly five-month conflict that has wracked eastern Ukraine.

The ceasefire went into effect at 6 p.m. local time (11 a.m. ET) on the order of Ukrainian President Petro Poroshenko.

It was not immediately clear if it would hold.

Artillery fire and explosions were heard in the eastern Ukrainian city of Donetsk as of 6 p.m. local time, the city's website said.

But a CNN team in southeastern Ukraine, where Ukrainian forces and the rebels have engaged in fierce fighting this week between the Russian border and the port city of Mariupol, said that as of 20 minutes into the ceasefire period there had been no renewal of artillery fire.

President Barack Obama said he was hopeful but skeptical that a ceasefire in Ukraine would hold, questioning if pro-Russian rebels would adhere to it.

Obama, speaking at the end of a NATO summit in Wales, added that NATO was "fully united in support of Ukraine's sovereignty, independence, territorial integrity and ability to defend itself."

Member nations would send nonlethal military aid and help modernize Ukraine's security forces while the United States and European allies finalize measures "to deepen and broaden sanctions" against Russia, he said.

"Russia's aggression against Ukraine threatens our vision of a Europe that is whole, free and at peace." he said.

Speaking to reporters at the same summit, Poroshenko said the ceasefire deal was based on his peace plan and an agreement reached in a phone call this week with Russian President Vladimir Putin.

He said the sovereignty, territorial integrity and independence of Ukraine were key to the 12-point plan. He also said he hoped the exchange of prisoners would start in the near future, perhaps as soon as Saturday.

Poroshenko said it was important that ceasefire lasted, and that during this period a political dialogue should continue on restoring peace and stability to the Luhansk and Donetsk regions.

"We are ready to provide significant steps, including the decentralization of power," he said, as well as  greater economic freedoms for the Luhansk and Donetsk regions and guarantees that their culture and language be respected. Many in the region are Russian speaking.

The self-styled Donetsk People's Republic Twitter feed also said the ceasefire had been signed and that it would come into effect at 6 p.m. local time.

However, the ceasefire does not mean the end of the Donetsk People's Republic and the Luhansk People's Republic, separatist leaders said at a televised news conference after signing it.

Poroshenko has asked his foreign minister and the Organization for Security and Cooperation in Europe, which already has international observers in Ukraine, to monitor compliance with the ceasefire.

"The entire world strives for peace, the entire Ukraine strives for peace, including millions of Donbas residents," he said.

"The highest value is human life. We must do everything possible and impossible to terminate bloodshed and put an end to people's suffering."

A previous unilateral ceasefire declared by the Ukrainian government in June broke down after 10 days.

Sanctions on table

A ceasefire deal may have been signed, but Putin remains under international pressure over Russia's actions in Ukraine.

UK Prime Minister David Cameron, who is hosting the summit in Wales, said in his final remarks that what Putin was doing is "indefensible and wrong."

A package of EU sanctions "is being finalized in Brussels that will further increase the economic costs to Russia for its behavior," he said.

"We stand firmly behind Ukraine's right to make its own decisions, not to have then dictated by Russian tanks rolling over the border."

Europe and the United States are firmly resolved to maintain their pressure on Russia, in support of Ukraine, he said.

"At the end of the day, Russia needs Europe and America more than Europe and America need Russia. We have to make that relationship pay," he said.

"If they go on destabilizing this country, partitioning this country, they will face more pressure," he said of the Russians.

Earlier Friday, EU spokesman Maja Kocijancic said a decision on implementing the proposed new round of sanctions "will only be taken in light of developments on the ground."

She added, "If there is a ceasefire agreed in Minsk today, member states would look at how serious it was and decide whether to go forward."

Russia: Volunteer fighters in Ukraine

Kiev and the West accuse Moscow of both arming the rebels and sending Russian troops into Ukraine to aid them -- claims Moscow denies.

Andrey Kelin, Russia's Permanent Representative to the OSCE, on Friday repeated Russia's longstanding denial that it had troops in Ukraine.

Kelin told CNN's Christiane Amanpour that there are no Russian forces in Ukraine.  But, he admitted, there may be Russian "volunteers, probably former military men" who are fighting on behalf of the separatists, which he calls "freedom fighters."

The talks in the capital of Belarus, Minsk, brought together the leaders of the separatist groups with former Ukrainian President Leonid Kuchma, as well as Russian representatives.

Putin set out his own seven-point peace plan after talking by phone with Poroshenko this week.

It included a halt by both parties of "any offensive military operations" in Donetsk and Luhansk, international monitoring of the ceasefire, prisoner exchanges and the opening of a humanitarian corridor to allow aid to reach civilians.

Ukraine: Russian losses number 2,000

The conflict in eastern Ukraine showed no sign of abating Friday morning.

Col. Andriy Lysenko, a spokesman for the National Defense and Security Council, said that there had been 27 clashes in the past 24 hours, including at Donetsk airport, and that shelling from Russian territory continued.

Ukrainian forces in Mariupol have been bolstered to fight off a rebel advance, he said.

A CNN team in Mariupol witnessed shelling Thursday that indicated rebel forces were moving closer. The rebels seized the nearby Ukrainian border town of Novoazovsk last week, allegedly with the help of Russian forces, and have been threatening to advance on Mariupol.

"According to preliminary intelligence information, overall Russian losses over the period of the conflicts are about 2,000 killed," Lysenko said. It was not clear if he was referring to Russian citizens or troops.

Lysenko added that the number injured could be four times as many, and they are being treated in hospitals in Russia.

Since the conflict began in mid-April, 846 Ukrainian soldiers have died and 3,072 have been wounded, he said.

NATO warning

Russia's alleged incursion and the threat that its forces could move deeper into Ukraine have caught the attention of the West.

"This is the first time since the end of World War II that one European country has tried to grab another's territory by force," NATO Secretary-General Anders Fogh Rasmussen said. "Europe must not turn away from the rule of law to the rule of the strongest."

Putin has voiced sympathy for the separatists, many of whom are ethnic Russians. But he denies that Russia has armed and trained the rebels, or sent Russian troops over the border.

In July, Obama and the European Union announced sanctions against Russia's state-owned banks, weapons makers and oil companies, along with Putin's top cronies, an extension of previous sanctions against targeted individuals and companies.

Moscow responded by banning imports of fruits, vegetables, meat, fish, milk and dairy products from the U.S., Europe, Australia, Canada and Norway.

In what may be another retaliatory move, Russia's federal consumer rights protection service banned all confectionery imports from Ukraine, Russian state news agency ITAR-Tass reported Friday. It said the ban was imposed to protect consumer rights.

@highlight

President Barack Obama says he's hopeful but skeptical about the ceasefire

@highlight

Ceasefire ordered by President Petro Poroshenko comes into effect

@highlight

President asks Ukrainian Foreign Minister and OSCE to monitor compliance

@highlight

EU member states are considering a new round of sanctions against Russia