China's space plans are ambitious, incremental and extensive. Should Americans be worried that China will overtake us in both space exploration and military capability in space?

No, not yet.

This week, China successfully achieved its first manned space docking with the launch of the Shenzhou 9 spacecraft that carried two men and China's first female astronaut. Part one of China's Project 921, a 30-year plan for space exploration that was approved in 1992, is complete. This is progress, indeed.

Project 921 is the result of China's fear of being left behind in the development of space technology.  Part one was about attaining human spaceflight. Part two -- which is where China is now -- focuses on testing  advanced technologies, like maneuvering and docking. Part three envisions a large (about 20 tons, the size of Skylab) space station.

China sends first female astronaut to space

A manned mission to the moon was never included in the plan and has only recently become a topic of discussion in China. When talks do come up of putting a Chinese on the moon as early as 2016, they can rile U.S. officials and engender international prestige for China, especially as the U.S. space program appears to be floundering.

But China is not overtaking the United States in space. It is, however, advancing. The execution of China's space program has led to "tortoise and hare" comparisons with the United States.

During the Apollo phase, the United States advanced very quickly, launching many missions which culminated in reaching the moon by a decade's end. In contrast, China launches a mission about every two years, but takes large steps with each one and has a much longer timeline for achieving its goals. What China has that the United States lacks -- and what may give the Chinese an advantage over the long run -- is patience.

China's path to space is not without obstacles, though. Launching their large space station will require a new heavy lift vehicle, the Long March 5, which is still in development and behind schedule. And China's ambitions do not come with an unlimited budget, even though it has already spent billions.

In response, the U.S. needs to keep moving forward.

The Obama administration's decision to redirect the civilian space program to a private-public partnership is smart. A space exploration program fully funded by the government is unsustainable. The recent use of the privately developed Flacon-9/Dragon duo to resupply the International Space Station indicates that if the private sector can handle low-Earth orbit needs, then over time NASA can focus its limited budget on new, more distant exploration goals.

But Americans are not known for patience. The real danger for the United States is in ceding space exploration and leadership to China because it lacks the political will to proceed at a steady, supportable pace. This will have broad strategic implications.

Complicating the issue is the largely dual-use nature of space technology, which can be used for both civilian and military purposes. And it is difficult to discern whether military space assets are intended for offense or defense. The difference between a rocket and a missile is considerable in political considerations, but nominal in terms of technology. A country that possesses missile defense could also use it as a weapon.

So what can be done if we need to protect our space assets? One thing is clear -- weapons are not the answer.

China's irresponsible 2007 anti-satellite weapon test exponentially increased the amount of space debris in orbit, which is dangerous to operating satellites. Space debris is now recognized by all countries (and militaries) as a threat to space assets.

An International Space Code of Conduct is being discussed in the United Nations. It would state what responsible spacefaring nations consider acceptable behaviors in space. Though legally nonbinding, it would be a first step toward maintaining the sustainability of the space environment for use by all.

The United States largely knows what space technology China possesses, but it doesn't know what China's intentions are. The United States should try to better understand China's space goals.

However, NASA is prohibited by law from working with China. This makes no sense. If one believes that China and the United States are not inherently enemies, then working together on space projects -- with technology transfer controls -- will benefit both countries. If one believes that China is inherently a threat to the United States, then the adage "keep your friends close and your enemies closer" comes to mind.

The script for U.S.-China relations -- and space relations in particular -- is constantly evolving. The United States can influence the direction, but only if we engage and persuade the Chinese to engage with us. It's one way of preventing a scenario of a galactic Wild West in which China has become the world's leader in space.

Historic Chinese space mission docks successfully

Follow CNN's space and science blog Lightyears

@highlight

China successfully achieved its first manned space docking this week

@highlight

Joan Johnson-Freese: U.S. should not worry just yet about China overtaking it in space

@highlight

She says real danger is if U.S. cedes space exploration to China because it lacks patience

@highlight

Johnson-Freese: It would benefit both U.S. and China to work together on space projects