(CNN) -- Get a kick out of this: Researchers reported Wednesday finding the world's oldest leather shoe in a cave in Armenia.

The 5,500-year-old one-piece shoe antedates Stonehenge by a millennium and precedes every loafer, mukluk, wader, clog, bootee, stiletto, wingtip, mule, Oxford and cross trainer anyone has ever seen, according to Ron Pinhasi, a lecturer in prehistoric archaeology at University College Cork in Ireland.

The effort that resulted in the find dates to 2005, when Pinhasi and his team of archaeologists first entered the cave about an hour south of the capital city of Yerevan, in Vayotz Dzor province on the border with Iran and Turkey, and decided it looked promising.

Two years later, Pinhasi returned, dug down about half a meter and "started discovering everything," including rare, well-preserved organic material such as textiles, ropes and wooden stakes, leading them to redouble their efforts.

The next year, they excavated in a house that had been constructed inside the cave and found a pit covered with sheep or goat dung.

Below the dung, they found broken pottery and goat horns covering the shoe, said the authors, who published their findings in the online scientific journal PLoS ONE.

The right-footed, undecorated shoe -- today it would be a size 5 -- probably belonged to a woman, "but we cannot be certain; it could be a man with small feet," Pinhasi said.

A leather thong is stitched through four sets of eyelets in the back and 15 sets in the top. The shoe was lightly worn. Some of the eyelets have been recut, but the sole shows little wear.

"We thought originally it could be a discard, but at the same time, it's very strange, because we have only one shoe, and it's in very good shape," Pinhasi said. "It looks like it was more than likely deliberately placed in this way."

If so, it would join a number of other items that appear to have been placed as offerings. At the back of the cave, the archaeologists found pots full of grain and three pots, each containing the skull of a child -- their jaws removed.

"It's pretty weird," he said.

Two leather samples were taken: One was sent for carbon dating to the Oxford Radiocarbon Accelerator Unit at the University of Oxford and the other to the University of California-Irvine Accelerator Mass Spectrometry Facility; a piece of the straw was sent to Oxford.

Age estimates were the same for all three.

Pinhasi said he had no idea how common it would have been at that time for people to wear shoes.

His is the second-oldest shoe find; a pair of 7,500-year-old sandals made of fiber was found in Missouri, he said.

But that doesn't mean shoes were not commonly used. The fact that so little footwear from those days has been found could be explained by the fact that shoes don't tend to age well. Had it not been for the conditions inside the cave, the shoe would probably have disintegrated long ago.

Though temperatures in the region range from sweltering in the summer to icy in winter, the interior of the limestone cave remains a dry, consistent 20 degrees Celsius (68 degrees F), key to the shoe's survival, he said.

"What was exciting was that it is so complete and it looks so much like a modern shoe, with the eyelets and everything. Obviously, these people already knew how to make it."

And there was a level of sophistication in the product that he did not expect. The cow leather appeared to have been split and cured with a vegetable oil, said Pinhasi, who favors size 10½ Birkenstocks. "They actually look a little bit like the shoe," he said. "Not quite -- a bit more sophisticated."

The fact that the cave remained untouched for so many millennia is surprising. It can be seen from a heavily traveled road and is only about 300 yards from a fish restaurant, he said.

But government authorities are now posting a guard to keep away looters. "It's turning [out] to be sort of the most important site in Armenia," he said.

Though he wants to display the shoe in a museum in Armenia, he first wants to take it to Switzerland or Germany for preservation.

In the two years since the footwear was unearthed, the elements have taken a toll. "When it came out [of the ground], the leather was absolutely soft," the Israeli archaeologist said. "Now, it's hard as a rock."

But legislation does not exist in Armenia that would allow him to remove a national treasure from the country, so he is waiting.

Meanwhile, the shoe sits in the Institute of Archeology at the National Academy of Sciences in Yereva.

On Friday, Pinhasi plans to return to the region, this time to dig in a cave near the one that held the shoe.

"We want to see if it's unique," he said.

Even if nearby caves turn out to hold no such treasure, the 41-year-old researcher has plenty of work ahead of him. "We must have excavated about 2 percent of it," he said. "It could take decades" to finish the rest.

@highlight

5,500-year-old leather shoe found in Armenian cave

@highlight

Footwear may have been left as offering

@highlight

In 2 years since shoe was found, leather has hardened