(CNN)  -- "Grow old along with me! /  The best is yet to be, / The last of life for which the first was made." Robert Browning, 1864

How quaint Browning's celebratory ode to aging is these days. Americans seem gripped with dread about an aging society. The alarm "we can't afford it" is ringing loudly all over the place, from congressional hearing rooms to corporate boardrooms to policy think tanks.

The reason for the alarm is the federal government's rising tide of red ink. Retirement looms for the roughly 76 million baby boomers born between 1946 and 1964. The oldest members of the Woodstock generation could start collecting Social Security in 2008 and they'll be eligible for Medicare next year. And the core of the federal government's long-term debt-and-deficit problem is entitlement spending.

Yet the widespread perception that Social Security, the oldest entitlement, is a basket case is deeply wrong. (In sharp contrast, health care spending is the driving force behind the scary budget projections.) There are looming financial concerns, but they're manageable from an economic point of view.

There is no crisis. For one thing, when it comes to Social Security, and all public and private pensions for that matter, what really matters is the health of the economy. For example, the future Social Security tab is easy to meet if the U.S economy continues its average annual per capita growth rate of around 2 percent, which it has for the past half-century or so.

Read the opposite view on retirement age

For another, the real Social Security concern lies with the  consensus on how to shore up the system's finances: Raising the age of retirement to, say, 70. It's the signature change that has gathered around it as close to a bipartisan consensus as is possible in today's fractured politics.

Average life expectancy, so goes the argument, is  about 78 years. That's way above the average expectancy of 61 years when Social Security became law in 1935. We're also healthier and better educated. Therefore, we're told, it's feasible for most Americans to work longer and the change will relieve some of the system's long-term financial pressure. What's not to like?

Everything. Mandating that folks retire later is a big step backward. Before the 1950s, retirement was for the rich. Most elderly Americans needed to earn an income and work was often hard to get. Yet with Social Security, and Medicare in 1965, a majority of aging workers could look forward to a period of fulfillment at the end of their working lives. It was a major social and economic achievement of the 20th century. The richer a society becomes, the more people spend on health care, education, leisure and, yes, early retirement. That's what wealthy societies do.

This suggests that the public policy goal should be to lower the retirement age to, say, 50-something. Again, that's an age of retirement only the rich can afford. Why not create a comparable option for everyone?

It sounds crazy, doesn't it? The idea is well outside the mainstream. But too much of the discussion about Social Security has taken a narrow bean-counter view of the system. The goal of reform should be to make the system better by enabling people to enjoy greater freedom of choice in the last third of life. Now, the choice may be work, full-time or part-time, paid or volunteer. It could mean learning more and heading off on various adventures. For many people it might involve nourishing their spiritual well-being and making a difference in their community.

"Today, ordinary people wish to use their liberated time to buy those amenities of life that only the rich could afford in abundance a century ago," writes Nobel laureate and University of Chicago economist Robert Fogel in "The Fourth Great Awakening and the Future of Egalitarianism." "These amenities broaden the mind, enrich the soul, and relieve the monotony of much earnwork."

Fogel offers up a possible blueprint for accomplishing the goal of an earlier retirement. The transition might take several generations. It would require that everyone save when they're younger -- a universal mandatory savings requirement. Yet under very reasonable economic growth assumptions households that were required to set aside nearly 15 percent of their annual income into retirement savings would be financially free to pursue their passions in the mid-50s. For low-income people, he recommends boosting their savings with a tax of 2 or 3 percent "applied progressively to the top half of the income distribution."

There are other ideas that would accomplish the same goal. Fogel's is one possible blueprint. To be sure, in these times it's hard to imagine that the economic resources are there to finance early retirement. But America remains the world's wealthiest nation. Social Security reform should build on economic opportunity, not embrace penury. We can afford it and, yes, the best is yet to be.

The opinions in this commentary are solely those of Chris Farrell.

@highlight

Chris Farrell: "We can't afford early retirement" is alarmist; there's no Social Security crisis

@highlight

Farrell says public and private pensions depend on economy's 2 percent steady growth

@highlight

Mandating older retirement is a step backward, he writes. Wealthy societies don't do that

@highlight

The goal should be giving people freedom of choice in the last third of life, Farrell says