(CNN) -- It's a Friday in May, 2005, and Schapelle Corby stands in the center of packed courtroom on the tropical island of Bali, waiting to learn her fate. Will the beauty school student from Australia's Gold Coast be found guilty of smuggling a large bag of marijuana into Indonesia -- where the maximum penalty for drug trafficking is death by firing squad?

A furrow forms between the 27-year-old's eyebrows as the judge reads out the verdict in Bahasa Indonesia.

Corby appears confused. Her piercing blue eyes dart around the room -- at her family, at the cameras broadcasting live to televisions around Australia, at the ground, at her interpreter. Then reality sets in.

Guilty -- the judge said. Her sentence? Twenty years in a Bali prison.

At the back of the court, members of her family erupt with anger.

"It's not alright! How dare you?" screams her sister, Mercedes.

"We swore on the Bible to tell the truth and your fellow lied!" her mother, Rosleigh Rose, booms at the prosecutors.

As her daughter is led away, Rose makes a promise: "Schapelle, you will come home. Our government will bring you home."

Not since Lindy Chamberlain claimed a dingo took her baby in the Outback have Australians become so caught up in a courtroom drama. Nearly nine years on from the verdict, interest remains strong enough to sustain a soon-to-be-broadcast Australian telemovie based on the case.

And now Corby has walked out of prison -- on parole but free. Yet Australia remains divided as to whether she is guilty of the crime.

To this day, Corby insists she was an unwitting victim of a botched drug smuggling operation.

The bust

On 8 October 2004, Corby took a flight with her brother and two friends from Brisbane airport via Sydney to Bali to celebrate Mercedes' 30th birthday.

When they landed in Indonesia, customs officials checked their luggage and discovered a plastic bag containing 4.1 kilograms of marijuana -- the largest seizure ever made at Bali's Denpasar airport -- in Corby's boogie board bag.

She said she had no idea how the drugs ended up in her luggage. She hadn't locked the bag carrying her board so the marijuana must have been planted there, she argued.

Indonesian authorities had a different version of events. Customs officers who were at the airport claimed Corby refused to open the bag when asked -- a claim she denies. They also said she admitted the marijuana was hers. Corby says they had difficulty understanding each other, and that she told them the bag, not the drugs, belonged to her. There was no CCTV footage of the inspection.

Corby was arrested and charged with breaching Indonesia's tough anti-drug trafficking laws. She was put in jail without bail pending trial.

Her story resonated with many Australians -- those who had been to Bali, a popular tourist destination; those who imagined how easily an unlocked bag could allow drug traffickers to turn a dream holiday into a nightmare; those who held prejudices about customs officials in developing countries; and others who thought, regardless of whether Corby was guilty or not, the penalty she faced was unreasonably harsh.

When Corby was sentenced, Australia's then-prime minister John Howard said he understood why Australians felt so strongly about her case.

"The fact that we are a nation whose young travel so much, it is an issue that has touched this country very directly," he said.

Actor Russell Crowe was an example of a high profile voice on the case.

"When there is such doubt, how can we as a country stand by and let a young lady, as an Australian, rot away in a foreign prison? That is ridiculous," he said in an interview with Sydney radio station 2UE.

A fair go?

Much of the outrage surrounding Corby's case centered on whether she had been treated fairly.

Under Indonesian law, Corby had to prove that someone else had placed the drugs in her bag.

Indonesian customs officials at the airport did not weigh her luggage. In Australia, Corby's baggage was weighed together with those of her travel companions, not as separate pieces.

Corby's defense team asked for fingerprint testing to be carried out on the plastic bag containing the drugs. Their requests were repeatedly denied.

Her lawyers claimed that the drugs were planted in Brisbane, by airline baggage handlers involved in interstate drug trafficking, who planned to remove the package in Sydney, but mistakenly sent it to Bali instead.

The judges in Corby's trial found her defense team could not prove there was another person responsible for the drugs.

As Chief Judge Linton Sirait read out the court's verdict, he said Corby had "convincingly carried out a crime" by importing the drugs illegally.

"The actions of the accused were a danger to the community," he said. "This was a transnational crime that could damage the minds of young people."

Is she guilty?

As far as many were concerned, Corby was your average young, attractive Aussie. An opinion poll among Australians after she was charged found that more than 90% believed she was innocent.

Corby, whose father was a coal miner and mother a fish and chip shop owner, had no previous criminal convictions and no evidence of involvement with drugs in the past.

In an interview with Australian public broadcaster ABC, Corby's father, Mick, said she didn't use drugs, except for possibly experimenting in high school.

"Oh, she might have bloody had a puff when she was in bloody Grade 10 or something, round the back of the schoolyard like kids do, I don't know," he said.

Corby's lawyers relied on a witness -- a prisoner awaiting trial in Melbourne -- who said he overheard other inmates talking about a drug smuggling syndicate that had "lost" a package of marijuana after planting it in luggage at Brisbane airport in October 2004.

Australian media told the stories of other tourists who said they'd found marijuana in their luggage on arrival in Bali years earlier.

One man told Channel Nine, he found a bag of pot about the size of a loaf of bread in his luggage. The man said when he phoned the Australian consulate in Indonesia, they told him "you get caught with that, mate, and you'll be eating nasi goreng for the rest of your life in jail."

A spokeswoman for the department confirmed that call to a Sydney paper.

Then, just weeks before Corby's trial ended, Australian Federal Police and Qantas, the airline Corby used to fly to Bali, announced they had been investigating the role of some baggage handlers in a long running cocaine smuggling operation through Sydney airport.

One alleged incident took place on the same day Corby traveled. Corby's defense said they were hopeful of using the evidence in an appeal. However, Qantas said thorough reviews with police found no evidence of links between Corby's case and the alleged cocaine trafficking.

Over the years, questions have been raised about Corby's father. A family member accused him of involvement in drug dealing. A book went even further. But Corby's father, who died of cancer in 2008, steadfastly denied any involvement with drugs.

For a case under the microscope, no detail -- even involving a family member, is too small.

Questions over the integrity of some of Corby's legal team also threatened to damage her case.

When allegations emerged that one of Corby's legal advisers requested A$500,000 from the Australian Government in an attempt to bribe Indonesian judges, her flamboyant lawyer, Hotman Paris Hutapea, appeared on an ABC current affairs program "The 7.30 Report" to defend himself -- raising other questions in the process.

"So I'm not Mr Clean, but for this case temporarily I am clean," he said.

"There is no lawyer in the world is clean (sic) ... If you keep saying Australian lawyer, American lawyer they are all clean, that's totally bulls--t."

What happens now?

On Monday, Corby was released on parole amid a swarm of cameras.

But she won't be returning to Australia anytime soon. Corby, now 36, must remain in Indonesia on parole until 2017, according to local media reports.

It's believed she will live with her sister Mercedes, who has a home in Kuta -- a popular tourist area in Bali. According to CNN's Australian affiliate Seven Network, Corby plans to work in a surf shop owned by Mercedes' husband, where she will design bikinis.

It seems the Corby saga isn't over just yet.

CNN's Emma Lacey-Bordeaux contributed to this report.

@highlight

Corby, then 27, was arrested at Bali's airport with marijuana in her luggage in 2004

@highlight

The Australian trainee beautician insists she was set up

@highlight

A Bali court convicts her of drug trafficking, sentencing her to 20 years in prison

@highlight

Her case has been one of the most-watched criminal trials in Australian history