(CNN) -- Students in Gainesville, Georgia, are likely eating a better lunch than you today. On the menu in their cafeterias? Chicken salad on a bed of spinach with strawberries and Mandarin oranges. Boneless wings. Brunch for lunch.

Roughly 76% of students in Gainesville City Schools qualify for free or reduced-cost meals under the National School Lunch Program. Since the program's nutritional guidelines went into place in 2012, school administrators have been getting creative with their food program to create meals children like.

"Taste testing is where it's at," said Penny Fowler, the district's director of school nutrition. "They're your customers. It's like running a business."

Fowler said her team has worked hard to implement the new guidelines, which are entering a third school year this fall. The ultimate goal is to reduce childhood obesity, which according to the Centers for Disease Control and Prevention, has more than doubled in children and quadrupled in adolescents in 30 years.

Gone are the days of mystery meats and grilled cheese on white bread. Instead, participating schools in the federal lunch program are required to serve skim or low-fat milk, add more whole grains, include a fruit and vegetable at each meal and prepare food with zero grams of trans fat per serving. Calorie and sodium limitations are also in place.

"With one-third of American children obese or overweight, members in both parties agreed that Americans' tax dollars should fund healthy and wholesome food," said Kevin Concannon, the U.S. Department of Agriculture's undersecretary for food, nutrition and consumer services.

USDA new rules for school meals

About 90% of schools are now in compliance with the new guidelines, according to the USDA, with students eating about 16% more vegetables and 23% more fruit on a daily basis. But there's been controversy over the program's implications for school food budgets.

The USDA says 1 million fewer students nationwide are eating federal school lunches since the guidelines were enacted in 2012 -- either by personal choice, or because their schools have opted out of the lunch program altogether.

What it really comes down to, experts say, is money. Wealthier school districts can turn down federal reimbursements if their students aren't enjoying the healthier fare. Districts with more students who qualify for the program, such as in Gainesville, often don't have a choice.

Economics of school lunch

Established in 1946, the National School Lunch Program was created to provide free or low-cost meals to students. Although the program is optional in most states, the federal reimbursement for students' meals is so significant that some schools find it too expensive to run programs on their own, said Diane Pratt-Heavner, â€Ždirector of media relations at the School Nutrition Association, a national organization of school nutrition professionals.

The School Nutrition Association was instrumental in helping the Obama administration put these new nutrition guidelines in place; now the organization is lobbying for schools to be allowed to opt out. Opponents say food companies are working behind the scenes, trying to keep their less-healthy items on the menu longer.

The USDA gives schools in the continental U.S. $0.28 per lunch for students who pay full price. For students in need, the USDA pays almost 10 times more: $2.58 for those who qualify for reduced price meals and $2.98 for children who qualify for a free lunch.

It isn't surprising then that state agencies reported to the USDA that students leaving the program were mainly from residential child care institutions, wealthier districts and/or smaller schools with low percentages of children eligible for free and reduced-price meals.

Fort Thomas Independent Schools in Kentucky is one such district that decided to opt out for the 2014-2015 academic year. The local high school was losing students to its rivals: Subway and a handful of convenience stores down the street.

With an open campus, students can leave for lunch, and administrators say the daily exodus increased after new nutritional guidelines went into effect two years ago. This meant less money being spent in the cafeteria.

"The guidelines are too strict and the kids can leave," said Gina Sawma, the school district's food and nutrition director. "If they aren't eating with us, they're leaving and eating junk."

Sawma says the biggest challenges were the calorie and sodium restrictions required by the federal program. The students wanted more protein and larger portions, especially athletes. The school has a robust football program that has won 22 Kentucky state championships.

Douglas County High School in Colorado and Burnt Hills-Ballston Lake Board of Education in upstate New York also have called it quits, citing burdensome regulations, hungry children and a decline in food sales that led to large amounts of debt.

Like Fort Thomas, these school districts are in areas with relatively high median incomes and have a low percentage of students who qualify for free or reduced meals.

Donna Brazile: Let them eat ... whatever

Schools that predominantly serve low-income students have fared better in both revenue gains and participation, according to the USDA. Since they are unable to opt out of the program, and students can't afford to eat elsewhere, cafeteria workers are making the new rules work.

The Los Angeles Unified School District, which has one the highest concentrations of low-income students in California, is an example. Since the nutrition guidelines were established, there has been a 14% increase of participation in its school lunch program.

Testing taste buds

For some schools, labor and food costs, and the quality of kitchen equipment can play a role in whether their revamped food program is a success, says Pratt-Heavner. Schools in small and rural areas may also have local vendors and distributors that don't carry a great deal of healthy food options.

Sawma in Kentucky, for example, found that foods that met the new dietary guidelines from her vendors didn't taste all that great. She says companies are trying, but may just need more time to reformulate their foods so they taste better.

"It's important to keep in mind that all school meal programs are different," Pratt-Heavner explained. "Some communities have an easier time if students are more familiar with healthy foods at home."

Most students seem to be liking the healthier lunches despite some early negative feedback. A survey published in the Childhood Obesity journal reported that 70% of elementary school children, 70% of middle schoolers and 63% of high school students liked their school's meals.

And schools opting out of the federal lunch program aren't necessarily serving unhealthy fare. In the Fort Thomas district, Sawma said schools will continue to serve extra fruits and vegetables at no charge and add back larger portions of protein and the popular homemade soups, which had to be discontinued due to the National School Lunch Program's calorie restrictions.

She said she has received calls from vendors selling unhealthy foods after the school district announced it was leaving the federal program, but she made it clear her schools have always offered healthy foods. Soft drinks and candy bars aren't on the menu.

For those schools remaining in the National School Lunch Program, the USDA is offering technical support, help with recipes and financial assistance. According to the USDA, about $48 million in grants is still available to schools with lunch programs.

"The USDA continues to help schools by demonstrating flexibility and common sense as we work together to improve the health of the nation's next generation," Concannon said. "The department will continue to provide additional funding and training to schools as progress continues."

@highlight

USDA: Students eating more fruits and vegetables with lunch guidelines enacted in 2012

@highlight

It says 90% of schools are in compliance; schools with more federal aid growing programs

@highlight

Some schools with students who pay full price for lunches say they're losing revenue

@highlight

USDA says 1 million fewer students are eating federal lunches since 2012