(Sunset) -- Check out these 10 scenic spots to swim, float and soak in the sun at the West's amazing national parks.

Best for adventure: Grand Canyon National Park, Arizona

Okay, here's the catch. There's just one way to reach most Colorado River beaches in the canyon -- and that's by rafting down the river. Only then do you experience secluded beaches like Football and Owl Eye.

Many people, of course, consider the 3- to 18-day trips one of the high points of their lives. As for the beach experience, the water isn't warm -- figure anywhere from 48° to 60° -- but given that Grand Canyon summer temps can rise to above 100°, it feels, says veteran outfitter Steve Hatch, "just great."

Don't miss: Well, the river rafting. Trips are often booked up far in advance, but in this recessionary year, you should be able to slip into one now through the end of the season in midfall.

Get there: All-inclusive river trips from $1,100 for four days; nps.gov/grca for a list of park-approved outfitters. --Peter Fish

Sunset's guide to the Grand Canyon

Best lazy float: Yosemite National Park, California

With El Capitan and Half Dome towering above, the Merced River beaches in Yosemite Valley sometimes get forgotten. Which is a mistake, especially in summer, when valley temps sizzle and the river water is blissfully cool. The two main beaches, Cathedral and Sentinel, are great for splashing or bobbing around in an inner tube.

Don't miss: Taking on the Merced by raft. Rent a four- to six-person raft at Curry Village Recreation Center, and float 3 miles to Sentinel Beach; the $26 fee includes shuttle service back to your start.

Get there: In summer, take the El Capitan Shuttle to stop E4 and walk 1/4 mile to Cathedral Beach, or get off at E5, 1/2 mile from Sentinel Beach; $20 per vehicle; nps.gov/yose or 209/372-8319 (raft rental). --Peter Fish

Sunset: 36 fun fall escapes

Best beachcombing: Olympic National Park, Washington

The easy 3-mile (one-way) hike to Shi Shi Beach, near Neah Bay, is best made at low tide, when you encounter some of the best tidepools on Earth. Against the backdrop of towering sea stacks, Pacific waves, and the occasional kayaker, peer down at neon pink and chartreuse sea anemones and bright orange seastars.

Don't miss: Point of the Arches, a mind-bending array of sea stacks 1.3 miles down the beach.

Get there: Neah Bay, about 160 miles northwest of Seattle, is on the Makah Indian Reservation; ask for a map when you buy your Makah Recreation Pass ($10); nps.gov/olym or 360/645-2711 (reservation info). --Matt Villano

Best desert oasis: Glen Canyon National Rec Area, Utah/Arizona

A blue mirage set in red rocks, Lake Powell -- which forms the watery heart of Glen Canyon National Rec Area -- has nearly 2,000 miles of shoreline, which means a lot of Lake Powell beaches to choose from.

A few, like Lone Rock Beach, can be reached by car. But some of the best are nameless coves accessed only by boat. Good thing you can rent powerboats at three lake marinas: Antelope, Bullfrog, and Wahweap. (Houseboats are also popular, but you can't navigate into narrow coves as well.)

Don't miss: A cruise to the lake's south shore and Rainbow Bridge National Monument, home to the world's largest known natural rock bridge.

Get there: $15 per vehicle; nps.gov/glca or lakepowell.com (boat rental). --Peter Fish

Sunset: 10 great dog-friendly getaways

Best for surf and sun: Santa Monica Mountains National Rec Area, California

Malibu-ites know to skip the Zuma tourist zoo and come to El Matador. Officially one of three beaches that make up Robert H. Meyer Memorial State Beach -- likely to provoke a "Huh?" even from locals -- it's a gem tucked from sight at the foot of sandstone cliffs (and accessed by a dirt trail and stairway).

Out in the waves, bodyboarders and surfers perform aerial acrobatics. On shore, scenically carved sea caves make El Matador a favorite with photographers, often seen snapping away at leggy models.

Don't miss: The chance to take a photo of one of Southern California's best sunsets.

Get there: 10 miles up the coast from Malibu on Pacific Coast Hwy. between Broad Beach and Decker Canyon Roads; $8 per vehicle; parks.ca.gov or 805/370-2301. --Ken McAlpine

Best for solitude (even on weekends): Point Reyes National Seashore, California

Most visitors to Point Reyes don't know about Limantour Beach. They zip out along Sir Francis Drake Boulevard to crashing North Beach or to Drakes Beach, where there's a proper visitor center and cafe. Few think to turn off instead at Limantour Road, which dead-ends in deserted grassy dunes.

All the better for you. Climb up and over, and you'll see a narrow finger of sand stretching 2 miles north between Drakes Bay and a mighty estuary teeming with birds. Out at the tip, harbor seals loll and bark. On the rare sunny summer day, the water is calm and swimmable.

Don't miss: A walk with your pooch, welcome on-leash at the section south of the parking lot.

Get there: From the Bear Valley Visitor Center, head north about 1/4 mile to Bear Valley Rd., turn left and follow it 1 1/4 miles to Limantour Rd., then turn left again and go 7 1/2 miles to the parking lot at Limantour Beach; nps.gov/pore or 415/464-5100. --Lisa Trottier

Sunset: 10 places for your life list

Best for thinking really, really big: Redwood National Park, California

To step from a redwood forest onto the wide-to-the-sky spread of Gold Bluffs Beach is an unforgettable memory. Equally memorable are the Roosevelt elk grazing in the meadows, then making their regal, antlered way through the sand. The world's tallest trees, America's largest elk -- sometimes size does matter.

Officially in Prairie Creek Redwoods State Park, the beach is cooperatively managed by California State Parks and the surrounding Redwood National Park.

Don't miss: The oasis of Fern Canyon, back from the beach, where sinuous walls, blanketed by moist green, press in on a cobbled stream.

Get there: 50 miles north of Eureka and 40 miles south of Crescent City, take Davison Rd. off U.S. 101; $8 per vehicle; parks.ca.gov or 707/465-7335. --Ken McAlpine

Best ocean-view swimming hole: Haleakala National Park, Maui, Hawaii

Hawaii's national parks feature volcanoes, not beaches. And yet Maui's Haleakala National Park includes a "beach" of a sort -- not sand but large, warm basaltic stones; not ocean but the refreshing roar of plunging freshwater cascades. Oheo Gulch (popularly misnamed Seven Sacred Pools) lies beyond Hana town in the verdant Kipahulu district. The lower pools, right off the roadside parking lot, are superb "swimming holes," but they crowd up by midday; get there before 10.

Don't miss: The moderate 2-mile trek on the Pipiwai Trail to 400-foot-sheer Waimoku Falls, the most beautiful in Hawaii.

Get there: 10 miles southwest of Hana on State 31; $10 per vehicle; nps.gov/hale or 808/248-7375. --Paul Wood

Best for a city stroll: Golden Gate National Rec Area, California

Knockout views. Appealing mix of people. Good coffee. Crissy Field gives you everything you love about San Francisco in one scenic package.

A historic Army airfield transformed into a native plant-lined beach oasis, Crissy draws jogging moms with strollers, kitesurfers, picnickers, dog walkers, cyclists, fishermen, and 8-year-olds letting the cool bay water lap their toes. All this and the Golden Gate Bridge looming gracefully, plus lattes, baked goods, and book browsing at the Warming Hut.

Don't miss: Let's Be Frank's superior grass-fed beef hot dogs from the cart just outside the Warming Hut on weekends.

Get there: From downtown S.F., take Marina Blvd. to Baker St., where it turns into Mason St., then follow it west (along Crissy Field) to parking; nps.gov/goga or 415/561-3040 (Warming Hut). --Peter Fish

Best escape from reality: Channel Islands National Park, California

It takes your catamaran roughly an hour to cross the Santa Barbara Channel from the Southern California mainland to Scorpion Anchorage on Santa Cruz Island. And during that time, the world with all its worries falls away.

The pretty cobbled beach is just a launching point: From here, you can snorkel in the diverse kelp forest just off the beach or paddle a kayak farther out, past the island's dark cliffs and sea caves.

Don't miss: The short hike from the beach up Smugglers Road to the high bluff and the stand of cypress pines known as Delphine's Grove, where you'll fall under the spell of a sweeping ocean view and the sound of the wind in the boughs.

Get there: Island Packers boats leave from Ventura Harbor ($48 round-trip; 805/642-1393); nps.gov/chis or 805/658-5730. --Ken McAlpine

@highlight

The water along Yosemite's Merced River beaches is blissfully cool in summer

@highlight

The tide pools in Washington's Olympic National Park are full of intriguing creatures

@highlight

Crissy Field gives you everything you love about San Francisco in one scenic package