LONDON, England (CNN) -- One of Francis Williams' favorite stories to tell is about the time he was pulled over for speeding.

As countries and companies plan to go to the moon, a debate heats up on lunar property rights.

Williams, who had been in London on business, was driving home through the English countryside when a police officer stopped him and wanted to know two things: Was Williams aware of how fast he was driving? And, what was his profession?

It turned out the response to the second question would help Williams resolve the first: "I said, 'I sell land on the moon,'" said Williams. "And [the police officer] said, 'Do you know, my wife has bought some of that.'"

The answer to the first question was subsequently forgotten.

Williams, who describes himself as the "Lunar Ambassador to the United Kingdom," is the owner of MoonEstates. He claims to have sold around 300,000 acres of moon land since he and his wife, Sue, founded the Cornwall-based company eight years ago. One-acre plots of lunar turf go for about $40.

As proof of purchase, new property owners receive a silver tin containing a personalized "Lunar Deed" and a moon map with a tiny black X marking their tract's approximate location. Most of the land Williams sells is in the northwest, in an area known as Oceanus Procellarum, or Ocean of Storms -- a desolate lava plain formed by volcanoes billions of years ago. "I know the Japanese are [selling] further east," he said.

Williams received his license to sell lunar land in the UK from Dennis Hope. In 1980, the Nevada-based entrepreneur claimed ownership of the moon after finding what he calls a loophole in the 1967 United Nations Outer Space Treaty, which forbids countries from owning the moon but, according to Hope, does not forbid individuals from owning it.

Hope, who estimates he has sold over 500 million acres of moon land, said he immediately filed a "declaration of ownership" with the U.N. along with the United States and Russian governments.

After 28 years, the moon mogul still has not received a reply. "I have never heard from them on that note ever," Hope told CNN in a phone interview.

While the U.N. may have ignored Hope's lunar land claims for almost three decades, it is unlikely the organization will be able ignore what could soon become a question of increasing international importance: Who, exactly, does own the moon?

"At some point the world community needs to come together and draft some new convention or treaty," said Paul Dempsey, director of the Institute of Air and Space Law and McGill University in Montreal. "It is an open wound that needs to be healed."

Dempsey pointed out that at the time the U.N. drafted the Outer Space Treaty, there were only two spacefaring nations -- the U.S. and the Soviet Union. Now there are over a dozen. And many of them, including China, Russia, the U.S., India and Japan, want to go to the moon.

NASA, for example, recently announced plans to return by 2020, eventually building a permanent base on the lunar surface. The Russian space agency, Roskosmos, has confirmed similar intentions.

The burgeoning commercial space sector is also casting its gaze towards Earth's only natural satellite with companies considering everything from mining the lunar surface to building extraterrestrial resorts on it.

"It is quite a complicated issue because it is international law we are dealing with," said Niklas Hedman, chief of the Committee Services and Research Section of the U.N.'s Office for Outer Space Affairs in Vienna.

There are five treaties that govern international affairs in space, said Hedman.  Two of them -- the Outerspace Treaty and the 1979 Moon Agreement -- deal with lunar law.

The Outer Space Treaty provides a legal framework for the international use of space for peaceful purposes, including the moon and other celestial bodies.  Widely considered the "Magna Carta of space law," this treaty lays down the fundamental principle of non-appropriation and that the exploration and use of space shall be the province of all mankind.

According to the treaty, states bear international responsibility for national activities in space, including by non-governmental entities.  The Outer Space Treaty says governments cannot claim ownership of the lunar surface and that stations and installations on the moon shall be open to others, said Hedman.

The Moon Agreement builds upon the Outer Space Treaty but also says that any natural resources found on the moon are part of "the common heritage of mankind" - in other words, they must be shared.

While 98 nations, including all the major spacefaring ones, have ratified the Outerspace Treaty, only 13 countries have approved the Moon Agreement -- Kazakhstan, Lebanon, Uruguay and Mexico, to name four.

But Hedman said this does not mean the other 179 countries that have not ratified the Moon Agreement are free to make a lunar land rush.

"They are still bound by the fundamental provisions [of the Outer Space Treaty]," he said, adding that "when enough states of the world have ratified a treaty, and it becomes binding, then certain fundamental provisions become binding even on states that have not ratified it."

Henry Hertzfeld, a space analyst at George Washington University's Space Policy Institute, said he is not so sure the U.N.'s treaties provide an adequate answer to the question of lunar property rights.

"These treaties don't really have any teeth to them in terms of enforcement," said Hertzfeld. "They are agreements on principle."

Instead of  focusing on who owns the moon, the international community needs find ways to incentivize future business activity on the moon by guaranteeing that rights to land and resources will not be preempted by competing interests, said Hertzfeld.

"Owning property is not the issue, the issue is finding a mechanism for businesses to make a fair return on their investment," he said. "Otherwise there is no point in investing."

But first, Hertzfeld said, there also needs to be a guarantee that there is something on the moon worth investing in at all.

"My feeling is until we know what is there, we shouldn't mess with it," he said.

...........................

Have you bought land on the moon? Would you consider purchasing lunar property? Leave your views and comments in the Sound Off box below.

@highlight

1967 U.N. Outer Space Treaty says no government can claim the moon

@highlight

1979 U.N. Moon Agreement says lunar resources "common heritage of mankind"

@highlight

Experts say treaties outdated, should be renegotiated

@highlight

Companies and countries, including the U.S. and Russia, planning lunar trips