Jackson, Georgia (CNN) -- Troy Davis, whose case drew international attention, was put to death by lethal injection for the 1989 killing of an off-duty police officer in Savannah, Georgia, prison officials announced Wednesday night.

Davis was defiant to the very end. After he was strapped to the death gurney, he lifted his head to address the family of the slain officer.

He told the family of Mark MacPhail that he was not responsible for the officer's death and did not have a gun at the time, according to execution witnesses.

Davis said the case merited further investigation, talking fast as officials prepared to give him the lethal cocktail.

The execution followed the U.S. Supreme Court's rejection of a stay, allowing the state to proceed. Davis was declared dead at 11:08 p.m. ET.

Throughout the day, Davis' lawyers and high-profile supporters had asked the state and various courts to intervene, arguing he did not murder MacPhail in 1989.

Davis initially had been scheduled to die by lethal injection at 7 p.m. ET. But the proceeding was delayed more than three hours as the justices pondered a plea filed by his attorney.

Several hundred people, most of them opposing the proceeding, gathered outside the state prison in Jackson where Davis, 42, awaited his fate. Others held a vigil in a nearby church.

The inmate's sister, Martina Davis-Correia, was among those who held a vigil outside the prison. Before the U.S. Supreme Court's decision, she said officials needed to take more time to examine the case. "When you are looking at someone's life, you can't press rewind."

More than 100 officers, many in riot gear, stood guard over the largely-quiet gathering, which featured candles, occasional prayers and songs. At least three people who crossed the street had been taken away in handcuffs.

"Tonight the state of Georgia legally lynched an innocent man," Davis' lawyer Thomas Ruffin Jr. said. "Tonight I witnessed something tragic."

Davis' supporters, who also rallied outside the U.S. Supreme Court building, argued that his conviction was based on the testimony of numerous witnesses who had recanted, including a jailhouse informer who claimed Davis had confessed.

"There's a genuine feeling among people here and across the nation that we're about to do the unthinkable," said Isaac Newton Farris Jr., president of the Southern Christian Leadership Conference.

But prosecutors have stood by the conviction, and every appeal -- including the last-minute petitions filed Wednesday -- has failed.

Davis's supporters cheered and hugged each other when news of the earlier delay reached them. But it did not sit well with McPhail's mother, who remained at home.

"This delay again is very upsetting and I think really unfair to us, because we want this situation closed," the slain officer's mother, Anneliese MacPhail, told CNN's "Anderson Cooper 360" earlier in the evening. She said the execution would bring her "relief and maybe some peace."

Davis' attorneys started the day by asking a judge in Jackson, where Georgia's death row is located, to halt the proceeding, citing a new analysis they say shows ballistics testimony at his trial was "inaccurate and misleading." They also note that a federal judge found in 2010 that a jailhouse informer's testimony that Davis confessed to killing MacPhail was "patently false" and that prosecutors knew a key eyewitness account was wrong.

"Clearly, the fact that Mr. Davis's death sentence rests in part on 'patently false' and egregiously inaccurate and misleading testimony, evidence and argument renders the death sentence fundamentally unfair, unreliable and therefore violative of the Eighth and Fourteenth Amendments," his attorneys argued in a motion filed Wednesday morning.

That appeal was denied Wednesday afternoon. The state Supreme Court followed suit a short time later, leading his attorneys to turn to the U.S. Supreme Court in the final hour before the execution.

Davis has been scheduled to die three times before, most recently in October 2008. That time, the U.S. Supreme Court halted the execution two hours before it was scheduled to take place.

This time, Davis declined to request the special last meal offered inmates prior to execution and was offered a standard meal tray: Grilled cheeseburgers, oven-browned potatoes, baked beans, coleslaw, cookies and a grape drink.

"He has continued to insist this is not his last meal," said the Rev. Raphael Warnock, the senior pastor at Atlanta's Ebenezer Baptist Church.

Pope Benedict XVI, South African anti-apartheid leader Desmond Tutu and former President Jimmy Carter said the execution should have been called off. Amnesty International and the NAACP led efforts to exonerate Davis, and U.N. human rights officials joined those calls Wednesday.

"Not only do we urgently appeal to the government of the United States and the state of Georgia to find a way to stop the scheduled execution, but we believe that serious consideration should be given to commuting the sentence," read a joint statement from the U.N. special rapporteurs on arbitrary executions, judicial independence and torture.

But the man who originally prosecuted the case, Spencer Lawton, said those who do not believe there is physical evidence in the case are wrong.

"There are two Troy Davis cases," Lawton said Tuesday. "There is the legal case and the public relations case. We have consistently won in court, and consistently lost in the public relations battle."

Since Davis' 1991 trial, seven of the nine witnesses against him have recanted or contradicted their testimony. The U.S. Supreme Court ordered a district court in Savannah to review his claims of innocence in 2009, but District Judge William Moore ruled the following year that the evidence did "not require the reversal of the jury's judgment."

The parole board rejected a plea for clemency on Tuesday. In Georgia, only the board -- not the governor -- has the right to grant clemency.

And a request that Davis be allowed to sit for a polygraph by his attorneys was also rejected by the state Department of Corrections.

Davis' supporters argue he was the victim of a rush to judgment by police seeking justice for the death of one of their own, as well as widespread racial prejudice in the criminal justice system. Warnock noted to CNN that several other inmates have been proven innocent in recent years.

Supporters argued that the original witnesses who testified against Davis were fearful of police and spoke under duress. Other witnesses also have since come forward with accounts that call Davis' conviction into question, according to his supporters.

According to prosecutors, Davis was at a pool party in Savannah when he shot a man, Michael Cooper, wounding him in the face. He then went to a nearby convenience store, where he pistol-whipped a homeless man, Larry Young, who'd just bought a beer, according to accounts of the case.

Prosecutors said MacPhail rushed to the scene to help, but wound up being shot three times by Davis. They said Davis shot the officer once in the face as he stood over him.

A jury convicted Davis on two counts of aggravated assault and one count each of possessing a firearm during a crime, obstructing a law enforcement officer and murder. The murder charge led to the death sentence.

Anneliese MacPhail told CNN earlier this week that she didn't begrudge protesters their opinions. But she said they don't understand the facts of the case.

"To them the point is the death penalty. Ninety-nine percent have absolutely no idea who Troy Davis is or who Mark MacPhail was," she said. "They're just following their belief."

CNN's David Mattingly, Vivian Kuo, Bill Mears, Gustavo Valdes and John Murgatroyd contributed to this report.

@highlight

NEW: Inmate tells victim's family he was not guilty

@highlight

Troy Davis put to death late Wednesday

@highlight

U.S. Supreme Court denied stay of execution

@highlight

The original prosecutor says the facts support Troy Davis' sentence