(CNN) -- A couple years ago, a Microsoft researcher named Gordon Bell embarked on a personal experiment: He would wear a video camera around his neck all the time and keep this "life recorder" always turned on, so it would record everything he did.

It was like an external memory drive for his brain, he wrote in a book called "Total Recall."

Sounds pretty sci-fi, right? Not so much. The "real-time sharing" updates Facebook announced Thursday aim to do something quite similar -- only for the Internet instead of in real life.

Before we get into the details and implications, here's a "real-time" example of how the updates, which are rolling out in the coming weeks, will work: As I write this, I'm listening to the band LCD Soundsystem on an Internet music service called Spotify. Because I've updated my Facebook page (here's a TechCrunch article on how to do that if you're interested) and because I've logged in to Spotify with my Facebook identity, every song I listen to is automatically shared to Facebook.

Suddenly, my listening experience isn't private. It's public. All my Facebook friends are watching. And judging. Chances are this will affect people's behavior online. If you're a closet fan of Lady Gaga or Bjork or Enya (I'm all three), then you'll just have to stop listening to those potentially mockable artists -- either that, or all your Facebook friends will be chiming in with comments:

"OMG, you're listening to that?!"

In the old world of Facebook, I would have to click that I "liked" a song for it to show up on my Facebook profile page. That's something you have to think about: "OK, I really like this song, and I really want all of my friends to know that I'm listening to it right now." Now, sharing is both passive and automatic. It's a choice you make in advance -- one time -- and never again.

And so it goes with all kinds of the new "real-time" apps.

Since I've logged in to Yahoo! News with Facebook, every time I read an article on that site, it goes to my Timeline.

The same is true for Hulu and TV shows.

And for the Internet game "Words with Friends." When I play a Scrabble-style word in that game, it will show up on Facebook, along with an image of the current playing board.

For Facebook, this is obviously a good thing. The site's goal -- as postulated in "Zuckerberg's Law" -- always has been to get people to share more and more information about themselves. That's bound to happen in this new auto-share era.

It's also ostensibly good for makers of Facebook apps. In a presentation in San Francisco on Thursday, Netflix CEO Reed Hastings said he was initially skeptical of the deal, since it would give Facebook so much information about Netflix's customers' preferences for movies and TV shows.

He decided it was smart, however, after he used the real-time app integration for himself and decided it was so addictive that it would doubtlessly result in more people watching more videos on Netflix -- a good thing for him, of course.

But the benefits for Facebook users are less clear.

Tech bloggers and analysts worry these automatic, real-time updates will kick off a new level of oversharing.

If you were sick of hearing about what your aunt had for breakfast and who your co-workers had "friended" on Facebook, wait until you know every single song they've listened to and every single movie they've watched.

"It's not hard to imagine Facebook sharing more than doubling after the f8 launches," Liz Gannes wrote at the blog AllThingsD. "Millions of tiny little actions are going to move from implicit to explicit. You can start to see why Facebook enabled its 'ticker' news feed earlier this week (that's the dizzying real-time stream that many users have been complaining about). There's going to be a ton of information flying by."

With every one of these "passive" shares, users are teaching Facebook a little more about themselves.

That's incredibly valuable to advertisers, who can use that data for target marketing.

It's also a potential invasion of privacy, Justin Brookman of the Center for Democracy and Technology writes at The Daily Beast.

"Since a one-time click will grant a persistent permission to any app to collect and disclose personal information on your behalf, Facebook will have to make sure its users fully understand the implications of these new apps before roll-out, or risk another round of privacy backlash," he says.

Brookman sides with Facebook on the changes, though.

"For Facebook, of course, the point is for you to provide them more data about your life, which they can use to serve you ads you'll be more likely to engage with (which makes them more money). But there's potentially real value here too, if people can discover ways to share their music-listening and cooking habits with friends in a perhaps lighter-touch way."

Passive sharing isn't a privacy invasion, but it is "killing taste," Farhad Manjoo wrote at Slate.

"Why do you share a story, video, or photo? Because you want your friends to see it. And why do you want your friends to see it? Because you think they'll get a kick out of it," he says. "I know this sounds obvious, but it's somehow eluded Zuckerberg that sharing is fundamentally about choosing. You experience a huge number of things every day, but you choose to tell your friends about only a fraction of them, because most of what you do isn't worth mentioning."

The MIT Technology Review notes that Facebook tried something like this in 2007. It failed.

"The new features may prove controversial," Tom Simonite says. "In some ways they resemble Beacon, a failed project from 2007 in which sites like Amazon automatically posted updates to Facebook when a person bought something. Beacon was canceled after public protests over a lack of privacy controls."

We'll see how the public reacts to what Zuckerberg calls "real-time serendipity" when these changes launch in a few weeks. But if these changes stand, and if people do sign up for these new-new Facebook apps with auto-share built in, then all of us may soon have a semi-public record of everything we do online. Just like Bell, the researcher with a camera around his neck.

@highlight

Facebook unveils "real-time" features

@highlight

The changes will roll out over coming weeks

@highlight

New apps will post to Facebook automatically, if approved

@highlight

The result: Facebook is watching your every online move