Washington (CNN) -- In 2002, a male killer whale, or orca, who had been on public display in concrete tanks for 19 years, swam off on his own into the Atlantic Ocean.

Keiko, the star of the movie "Free Willy," had been rescued from a tiny tank, sent to recover his health in a larger tank, and then finally returned to his native waters of Iceland.

He spent two years adjusting to life in the habitat of his infancy, gaining more independence as the days and months went by, until he was finally allowed out of his pen without a tether, to swim freely in the ocean for the first time since 1979. After interacting with the wild orcas now and again and spending hours exploring the coast of the Westmann Islands, Keiko decided to head off toward the horizon with a pod of wild whales.

For his entire five-week journey across hundreds of miles of open sea, researchers tracked Keiko with a satellite tag. He went more or less in a straight line, ending up in Norway. He had lost little or no weight, suggesting he had been feeding himself, at least a bit. Somewhere along the way Keiko had parted ways with the wild whales and had been alone for more time than he apparently liked; he arrived in Norway's Taknes fjord eager for company.

He found companionship in the form of boats and even intrepid Norwegian children who got into the frigid north Atlantic waters to welcome him. After a bit too much attention, Keiko's caretakers from the Keiko Project, which my organization managed at that time, arrived to once again take up their duties.

Keiko had shown he could adjust again to his natural habitat, but he wasn't ready to be independent. He wanted human companionship and he had it, coming and going as he pleased but always returning to the project team, who took up residence in a house in the fjord. He died more than a year later, probably from pneumonia.

Now there is Tilikum. Tilikum, the longtime captive orca who drowned veteran Sea World trainer Dawn Brancheau on February 24, is at a crossroads. He has been involved in three fatal interactions now.

He is the largest orca in captivity and is often kept in a small side pool that is barely large enough for him to turn around. He is 30 or 31 years old, as old as any captive male orca before him has ever lived.

Most captive male orcas die in their teens or early 20s at best, with only a handful reaching their late 20s and only three making it past 30, although this is only middle-aged for a wild male.

He has fathered more than a dozen calves, but SeaWorld has perfected artificial insemination, so his physical presence isn't even needed for breeding. So what should SeaWorld do with him after this latest incident? How can it ensure his well-being and the safety of its employees?

SeaWorld should try thinking outside the swimming pool when it considers its options for Tilikum's future. Tilikum needs something he isn't getting in a concrete enclosure. The idea of keeping captive such a large, complex, intelligent predator for our entertainment may no longer be acceptable in the 21st century.

Trainer safety with Tilikum is a serious concern. If he stays in a SeaWorld tank, putting distance between him and his trainers will only further isolate him, which is completely unnatural and stressful for a social species like orcas.

Keeping him out of the shows will only increase his inactivity and boredom. However, Keiko actually had only limited physical contact with his trainers, in an effort to increase his independence, but he was never bored or inactive -- he had so much to hold his interest in his natural environment.

If Tilikum were moved to a sea pen (ideally in Iceland, where he too was captured, in 1983), he would be stimulated enough even without direct contact with his caretakers. This would maximize both his welfare and his caretakers' safety.

It would be stressful to move him. A transport of an adult orca is no small matter and significant risk would be involved. The whale has to be placed in a specially designed sling, hoisted into a box half-filled with water, and trucked to a plane like a 747 or a troop transport that requires an experienced pilot to avoid unbalancing the load. But significant risk is involved in leaving him where he is, as he is -- leaving him in the same circumstances that have, over his 27 years in a box, led to the deaths of three people.

It's time to change the playbook. It's time to try something new. It's time to follow Keiko's fin strokes and try again to give a captive orca a better life, a more natural life, a more respectful life.

The opinions expressed in this commentary are solely those of Naomi A. Rose.

@highlight

Keiko, the star of "Free Willy," was released into the Atlantic after 19 years of captivity

@highlight

Naomi Rose says it's difficult and stressful to move a whale into the wild

@highlight

But she says it's the right solution for Tilikum, the whale involved in a fatality at SeaWorld

@highlight

Tilikum needs something he isn't getting in a concrete enclosure, Rose says