(Parenting) -- I was scrolling through family photos on my computer, admiring my two beautiful babies, when I spotted a disturbing trend: My laptop was open in almost all of the pictures. There's my daughter, at 8 months, playing at my feet while I typed away on the couch. There's me and my son, a year later, with the laptop at my side as I held him in my arms.

I'd heard about Internet addiction before, but always assumed it was something limited to socially challenged guys who played too much World of Warcraft. Now it seemed my Internet "habit" was slowly but surely crossing the line. Sometimes I found myself up into the wee hours of the morning, surfing the Web while my family slept. I read the news, kept up with friends, and looked up answers to endless questions. I wrote my personal blog and read dozens of others, just for something to do.

It turns out I'm not the only mama who plugs in and zones out. Coleen Moore, coordinator of resource development at the Illinois Institute for Addiction Recovery in Peoria, says that she's seeing more and more women coming in for Internet addiction. They're young, they're often new mothers, and they're addicted to blogs, message boards, and Second Life, she says.

These moms are contributing to a growing global addiction. There's a movement among psychiatrists to recognize Internet addiction as an official mental disorder (just like alcohol dependency). And a recent Stanford University national survey found that 14 percent of Internet users find it hard to stay away from it for several days at a time; 9 percent try to hide their "nonessential Internet use" from their loved ones; 8 percent admit they use the Web as a way to escape problems.

You're likely not the kind of addict that Moore has seen -- women who don't bathe and abuse drugs to help them stay "up" for more online time. You may have noticed, though, that going online has become an imposing part of your life, which, at the least, means a load or two of laundry goes unwashed (and who cares about that?).

But it may also mean you're missing out on time with your baby -- something you probably do care about. Here, why we're so susceptible as new moms to that blue glow of the screen.

'I feel like I'm going crazy'

Tonya Barksdale's son Joshua was born prematurely and released from the hospital under the condition that Barksdale keep him at home for two months without any visitors. Since her husband works long hours, Barksdale was alone most of the day.

"When my husband got home from work, I was clingy and dying for someone to talk to. I started to feel like a crazy person. I was becoming depressed without any interaction," she says. Parenting: When postpartum depression lasts

Desperate, she went online and found the community she needed. "I'd talk to people in chat rooms for hours." But not about babies or parenting. "I needed to feel like a normal person who could have normal conversations that weren't about breastfeeding or how many ounces my son gained." Soon, she was spending as many as eight hours online every day.

"In addiction treatment, we talk about the fact that there's a void," says Moore. "Whatever that void may be -- whether it's emotional, spiritual, physical -- typically, we're trying to fill it."

For many new moms, she says, that void is the isolation -- both the tangible isolation of being home alone with a demanding newborn and the mental isolation of diving into uncharted waters -- they often experience during the transition to parenthood.

"Being a mom of young children can be very solitary," agrees Jay Parker, cofounder of Internet/Computer Addiction Services in Redmond, Washington. So it's easy for them to turn online, he explains, to find other parents and create a world there where they are not alone. Once that world is created, it becomes an escape that moms may turn to whenever they're stressed, lonely, bored, or sad. In addiction, they become dependent on that escape. Parenting: Ways to beat new-mom stress

"I called it my 'avoidance cycle,'" says Jessica Rigby (her name has been changed), a pregnant mother of three from Idaho who used to write four blogs. "Whenever I felt overwhelmed, I would escape into mindless Web surfing. I'd find myself circling through the comments section on my blogs to my photos on Flickr to see if anyone had commented on them, and then over to Twitter to see if anyone was chatting with me there. I'd waste hours just waiting for someone to respond to something I'd said or posted." Because she'd skip errands and allow her kids to make a mess of the house, she says, her stress only amplified, and she'd dive into the avoidance cycle all over again.

And even now that Barksdale's son is a healthy 5 months and allowed to socialize, she still finds it hard to resist the Net. "Today, I had to unplug my computer so I wouldn't go online," she says. "I probably spend the same amount of time online as I did when it was all I could do."

'I can be a different person'

If it were just an escape that moms were looking for, however, they could flip on the TV or pick up a book. But according to a recent Babytalk.com poll, more than double the number of moms choose the computer over books or the boob tube during their babies' naps, showing that they're looking for something more than an escape: connection, yes, but also a way to express themselves.

After giving birth, says Moore, many women feel like they've given up their identity to the all-consuming role of "mother."

"It's another sense of loss common in new moms," she says. Flirting with ex-boyfriends on Facebook or buying a handbag online may remind us of the people we used to be -- the working woman, the woman who had time for art projects, the woman who wore skirts and lipstick.

"I'm just a mother in real life, but online, I can be a whole person," says Ashley Bryan, a mom of 2-year-old twins from Las Vegas, of her four-hour-a-day online habit.

On virtual-living sites like Second Life, where users create avatars, moms can become anyone from a leather-wearing motorcycle chick to a college cheerleader. In moderation, trying on different personas can be healthy, assures Moore. It becomes problematic when the online identity becomes so appealing that you neglect your real-life role. Parenting: Moms' dirty little secrets

"My husband feels like I don't spend enough time with him," says Bryan. "He says that every time he's home and can watch the girls, I dash online."

'I have so much to do!'

Online, you can pay bills, order diapers, upload photos, and look up possible causes of your kid's constipation. In fact, you can almost accomplish too much online.

"Ticking items off a to-do list is intoxicating when you feel like you don't have much control over other parts of your life," says Parker (and what's more uncontrollable than life with a newborn?).

Diane Anderson, mom of a 7-month-old in Memphis, knows the feeling. "I started following coupon sites and became so engrossed in finding deals that I neglected the important things, like time with my son, for a while."

After the Internet, real life can seem, well, unproductive. "When I play with my boys, I feel like I should be getting something done," says one mom of 18-month-old twins in New York City. "I almost get antsy just hanging out with them, and I take regular breaks to check my e-mail, respond to a Facebook friend request, or order photos from Snapfish. I'm addicted to online errands." Parenting: Getting over new-mom guilt

Going off-line

Think you might be hooked? Try keeping a journal of how often you go online for a week. Then assess what you're missing out on when you do it -- sleep, family time, work?

Also note in your journal what was going on each time you decided to sit down at the computer. Was it right after a fight with your husband? Were you bored? By figuring out the triggers that send you seeking refuge online, Moore says, you can come up with alternative activities that help you deal. If you're stressed, for example, you might take your baby out for a walk.

Moore also suggests making small weekly goals that get you involved with the real world: Join a playgroup or grab coffee with a friend. And if you can't control your habit on your own, talk to a therapist who deals with addiction. Parenting: Eight ways to be a happier mom

As for me? I quit blogging after six years and am working hard to meet new people. Jessica Rigby is doing the same. "Getting off-line has helped stop the flood of mama guilt I had all the time. I still have guilt over different stuff, but at least now I don't have to lie in bed and think about all of the times my kids wanted something and I shooed them away because I was absorbed in my Google Reader."

Rachel Mosteller is a freelance writer in Houston.

Try a FREE TRIAL issue of Parenting Magazine - CLICK HERE!

Copyright 2009 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

Addiction expert: Many moms are addicted to blogs, message boards, Second Life

@highlight

They often seek self-expression and escape from their daily lives

@highlight

Some feel the Internet improves their productivity

@highlight

If you think you're hooked, try keeping a journal to log how much and why go online