(CNN) -- How cold is it?

It's so cold, even polar bears and penguins were being kept indoors Monday.

Anana, the lone polar bear at the Lincoln Park Zoo in Chicago, has never grown the thick layer of fat that bears in their native Arctic develop to insulate themselves against winter temperatures that can range as low as -50 degrees F, zoo spokeswoman Sharon Dewar said. So when temperatures plunged well into the negative range in Chicago, Anana stayed in a 40ish-degree habitat, Dewar said.

"In the wild, they would seasonally eat seals and fatten themselves up with that blubber," Dewar said. But zookeepers "don't feed them seals or fatten them up," she said.

And at the National Aviary in Pittsburgh, both bald eagles and African penguins "who are used to temperate climates" were taken off exhibit until the weather warms up, the facility reported.

Chicago saw a record low of minus 16 (minus 27 C) on Monday. The day's high was minus 11, with a windchill of minus 34. It's part of an Arctic blast that plunged deep into the central United States on Monday, leaving Nashville, Tennessee, 40 degrees colder than Albany, New York; Memphis 20 degrees colder than Anchorage, Alaska; and Atlanta colder than Moscow -- Russia or Idaho, take your pick.

The bitter cold that a "polar vortex" is pushing into much of the United States is not just another winter storm. It's the coldest in 20 years in many areas. The South was downright balmy compared to the Great Lakes region, where temperatures hovered in the negative 20s -- before wind chill, which dropped temps to the negative 40s and in places like Minneapolis.

Minnesota Gov. Mark Dayton ordered the state's roughly 2,000 public schools to close on Monday, the first such order since 1997. Many of those will stay closed Tuesday, including the three major districts around Minneapolis, where blowing snow shrouded bridges over the frozen Mississippi River.

"I've only been out of school four days ever, and today and tomorrow are two of the four days," said Graham Myers, who was going to a movie with several friends and his father.

Wind chills in the 40-below range can cause frostbite in a matter of minutes, the National Weather Service warned. But there were those who reveled in it.

"I love the cold. I'm one of those crazy cold-weather Minnesotans who just enjoys this," Robert Pettit told CNN as he took a walk on a work break. If properly dressed, "It's not so bad," he said.

"You dress up, put your mukluks on, get some gloves and a hat and you're set," Pettit said.

Freeze toll 15, mostly from accidents

Authorities have blamed a total of 15 deaths on the cold so far, 11 of them from traffic accidents.

But the the death of an Indianapolis woman found in her backyard early Monday "is believed to be weather-related," police spokesman Kendale Adams told CNN. A man in Wisconsin died of hypothermia, and an elderly woman with Alzheimer's disease who wandered away from her home in New York state was found dead in the snowy woods about 100 yards away, authorities there said.

In addition, hypothermia was a contributing factor in the death of a patient at University Hospitals Case Medical Center in Cleveland, hospital spokesman George Stamatis told CNN.

At the Salvation Army Harbor Light Center, a Minneapolis homeless shelter, Executive Director Bill Miller said 750 people came in off the street to spend the night Sunday.

"That's a record," he said. He said Harbor Light "will take in everybody, no matter if they've been drinking or whatever their issues might be."

Further south, the chill was less brutal but still nothing to dismiss. In Fairfield, Iowa, at minus 9, CNN iReporter Deborah Roberts called Monday "a good day to stay in and use the excuse it's too darn cold."

In Illinois, Gov. Pat Quinn called on state residents to stay off the roads and activated National Guard troops to help local authorities clear highways. In Chicago, Mayor Rahm Emanuel urged residents "to keep exercising good judgment and remain indoors if at all possible."

8 tips to ease winter travel woes

The deep freeze has also snarled air traffic across the country, with more than 3,800 flights canceled by Monday evening, according to flightaware.com. Among those stuck waiting for a way home was New York resident Mindy Goldberg, whose family's flight back from Mexico had been diverted to Boston because of bad weather.

"I just called my kids' school to tell them they wouldn't be there, and she said, 'Everyone's stuck somewhere,' " Goldberg told CNN affilliate WBZ.

In Indianapolis, Los Angeles resident and iReporter Jason Bentley took some time out to play in the snow outside the airport after learning his flight home had been canceled Sunday. It was 15 below zero.

"This is the wettest snow I've ever touched," Bentley said. "The easiest snow to make a snowman and to have snowball fights. It's also probably the worst (weather) I've ever been in because of the temperature."

The Northeast will be seeing its own swift drop in temperatures as the arctic air works its way east. In New York, where it was about 50 degrees with wind chill Monday morning, could go as low as minus 7 on Tuesday, said CNN meteorologist Indra Petersons -- a nearly 60-degree temperature change in a single day.

Welcome to 'Chiberia'

The National Weather Service adopted the Twitter hashtag "#Chiberia" for Chicago. Parts of the vast Siberian region, such as Tobolsk, had Fahrenheit temps in the low teens Monday, though other parts had temperatures of 50 below zero.

Chicago opened up 12 centers for residents to seek warmth, one of which was to stay open all night through Tuesday. Libraries and some other city facilities would also be open, said Evelyn Diaz of the city's Department of Family and Support Services. Quinn said 100 warming centers were open statewide.

The Southern Illinois University men's basketball team, fresh off a game against Illinois State, got trapped on the side of Interstate 57 late Sunday and was prepared to spend the night on the bus, SIU Athletic Director Mario Moccia said.

There wasn't a massive amount of snow on the ground, Moccia said. Rather, it was the blowing snow that made the road virtually impossible to see. Players later tweeted that they were going to spend the night at a nearby church.

"Somehow this eventful day/night has led to our team sleeping on the floor of a church in Tuscola. What a journey it has been," Dawson Verhines tweeted.

Some of the greatest concern surrounds the tens of thousands of Midwesterners without electricity. More than 15,000 customers in Indiana, 6,800 in Illinois and 2,200 in Missouri didn't have power overnight, according to utility companies.

Join the conversation on Facebook

The worst was still reaching down South on Monday night. In Atlanta, where Tuesday morning's low was projected to be in the single digits, Katie Fallon joked, "My shoes do not even match my outfit this morning! Had to go fuzzy socks and hiking boots for warmth." Atlanta's public schools were still closed for break Monday, and the city announced schools would remain closed Tuesday.

But by Wednesday, temperatures will start edging closer to normal, and by Thursday temperatures in most of the country will be back to normal -- or even a bit warmer, said CNN meteorologist Brandon Miller.

"It's bitterly 10 degrees here in Weatherford, Texas, with a wind chill of below zero," said Elizabeth Brew. "Very hard to watch my kids go to school in such weather, but it is what it is."

"It's not just a snow event, it's a cold event, and that's what scares us," Indianapolis Mayor Greg Ballard said. He urged residents to stay off the streets, especially after nightfall.

In Embarrass, Minnesota, residents wondered whether they might see their cold-temperature record of 64 below zero, set in 1996, snap like an icicle.

"I've got a thermometer from the weather service that goes to 100 below," resident Roland Fowler told CNN affiliate KQDS. "If it gets that cold, I don't want to be here."

iReport: Watch heavy snow create a beautiful scene in Indiana

CNN's Stephanie Elam, Paul Vercammen, Kevin Conlon, Holly Yan, Dave Alsup, Jareen Imam, David Williams and Dave Hennen contributed to this report.

@highlight

NEW: Freeze death toll rises to 15, most in traffic accidents

@highlight

Too cold for Chicago zoo's polar bear, but not for some Minnesotans

@highlight

Polar vortex brings deep freeze from Great Lakes to Deep South

@highlight

Extreme wind chills mean exposed flesh can freeze in as little as five minutes