VRINDAVAN, India (CNN) -- Ostracized by society, thousands of India's widows flock to the holy city of Vrindavan waiting to die. They are found on side streets, hunched over with walking canes, their heads shaved and their pain etched by hundreds of deep wrinkles in their faces.

A widow makes her way in Vrindavan, India, where an estimated 15,000 widows live on the streets.

These Hindu widows, the poorest of the poor, are shunned from society when their husbands die, not for religious reasons, but because of tradition -- and because they're seen as a financial drain on their families.

They cannot remarry. They must not wear jewelry. They are forced to shave their heads and typically wear white. Even their shadows are considered bad luck.

Hindus have long believed that death in Vrindavan will free them from the cycle of life and death. For widows, they hope death will save them from being condemned to such a life again.  Watch how some widows are rebelling »

"Does it feel good?" says 70-year-old Rada Rani Biswas. "Now I have to loiter just for a bite to eat."

Biswas speaks with a strong voice, but her spirit is broken. When her husband of 50 years died, she was instantly ostracized by all those she thought loved her, including her son.

"My son tells me: 'You have grown old. Now who is going to feed you? Go away,' " she says, her eyes filling with tears. "What do I do? My pain had no limit."

As she speaks, she squats in front of one of Vrindavan's temples, her life reduced to begging for scraps of food.

There are an estimated 40 million widows in India, the least fortunate of them shunned and stripped of the life they lived when they were married.

It's believed that 15,000 widows live on the streets of Vrindavan, a city of about 55,000 in northern India.

"Widows don't have many social rights within the family," says Ranjana Kumari with the Center for Social Research, a group that works to empower women.

The situation is much more extreme within some of India's rural community. "There, it is much more tradition-bound; in urban areas, there are more chances and possibilities to live a normal life."

But the majority of India's 1.1 billion population is rural. "The government recognizes the problem," Kumari says. "It can do a lot, but it's not doing enough."

One woman, a widow herself, is working for change. Dr. Mohini Giri has formed an organization called the Guild of Service, which helps destitute women and children.

Giri's mother was widowed when Giri was 9 years old, and she saw what a struggle it was. Then, Giri lost her husband when she was 50, enduring the social humiliation that comes with being a widow. At times, she was asked not to attend weddings because her presence was considered bad luck.

"Generally all widows are ostracized," she says. "An educated woman may have money and independence, but even that is snatched away when she becomes a widow. We live in a patriarchal society. Men say that culturally as a widow you cannot do anything: You cannot grow your hair, you should not look beautiful."

She adds, "It's the mind-set of society we need to change -- not the women."

Seven years ago, Giri's organization set up a refuge called Amar Bari, or "My Home," in Vrindavan. It has become a refuge for about 120 of India's widows. Giri's organization is set to open a second home, one that will house another 500 widows.

But as she says, "Mine is but a drop in the bucket."

At Amar Bari, most widows reject traditional white outfits and grow out their hair. Along the open air corridors that link the house's courtyard are green wooden doors, leading to dark tiny rooms, home for each widow.  See the widows of Vrindavan »

Bent over by osteoporosis, 85-year-old Promita Das meticulously and slowly sweeps the floor just outside her door and then carefully cleans her dishes.

"I came here when I couldn't work anymore. I used to clean houses," she says. "Nobody looked after me, nobody loved me. I survived on my own."

She married at 12 and was widowed at 15. Seventy years later, she finds herself at Amar Bari. "I used to live in front of a temple, but then I came here," she says.

She carries with her not only the pain of a life without love, but also the loss of her only child. She gave birth at 14; her baby lived a year.

Another widow, Ranu Mukherjee, wearing a bright red-patterned sari, shows off her room at the home and wants to sing for her guests. The lyrics of her song are about a lost traveler.

"When did you come here after losing your way?" she sings. "When I remember the days gone by I feel sad." E-mail to a friend

@highlight

India's Hindu widows can't remarry, are forced to shave heads and wear white

@highlight

Widow says her son told her she was too old and to "go away"

@highlight

A women's group is seeking change, has set up refuge for widows

@highlight

There are an estimated 40 million widows in India