(CNN) -- The shale gas boom in the US is having a surprise knock-on effect in Europe -- a big increase in the burning of coal by European utilities, despite EU environmental policies designed to curb the share of polluting fossil fuels in the energy mix.

The trend shows how disruptive shale gas has become for traditional industries, leading to unforeseen -- and often perverse -- outcomes across the global energy system.

North America's fracking revolution pushed down US natural gas prices to 10-year lows last spring, prompting electricity generators to switch to gas from coal. Unwanted at home, US coal increasingly found its way on to European markets, where it has displaced more expensive gas as a feedstock for power stations.

But many experts believe coal's European revival will be shortlived, and that it is essentially the last gasp of a fuel with no long-term future.

The International Energy Agency says the trend of rising European demand is "close to peaking", and by 2017 it will drop to levels slightly above those in 2011.

Even coal's backers agree that the phenomenon is short-term. "We don't see this as a renaissance of coal," says Milton Catelin, head of the World Coal Association. "It's just economics."

Coal sceptics say the dirtiest of fossil fuels will inevitably be squeezed out in Europe as new solar and wind capacity comes on stream and ageing coal plants are shut down. Attempts to replace these creaking pieces of kit with new, efficient coal-fired stations are being stymied by environmentalist opposition and regulatory uncertainty, especially in Germany.

"New large-scale power plants and some existing assets are not economically viable in the current environment," says Matthias Hartung, chief executive of RWE Generation, which bundles RWE's German, Dutch and UK power plants.

According to figures from the European Climate Foundation, a think-tank, in 2008 European utilities had plans for 112 plants. Of these, only two have broken ground and 73 have been abandoned.

Long-term, policy analysts say, coal's comeback will inevitably fall foul of EU environmental policy, which calls for a 20 per cent reduction in carbon emissions from 1990 levels by 2020 and a growing role for solar, wind and biomass in electricity generation.

For the time being, however, the economics work in coal's favour. American coal exports to Europe increased by 29 per cent last year. The resulting oversupply, exacerbated by a slowdown in Chinese demand, sent European coal prices plummeting from $130 a tonne in March 2011 to around $86 now.

That coincided with a sharp fall in the price of carbon allowances under the EU's flagship emissions trading system and rising European prices for natural gas.

As a result, the German power generators' association, the BDEW, says gas-fired electricity output in Germany fell last year by 13bn kilowatt hours, or 16 per cent, while coal-fired plants upped output by the same amount, recording a 5 per cent increase to 275.8bn kWh.

"The economics are telling us to burn coal rather than gas," says Andrew Horstead, risk analyst at Utilyx, an energy consultancy.

Figures from Bloomberg New Energy Finance show power generators in Germany currently earn â‚¬25.2 per megawatt hour when they burn coal and lose â‚¬1.1/MWh when they burn gas.

There are also local factors in individual EU countries that have contributed to increased coal use. In the UK, several coal plants are due to close before the end of 2015 under the EU's Large Combustion Plants Directive, which is designed to limit emissions of pollutants from ageing plants.

The directive limits the number of hours they can operate before shutting down, and many coal plants are choosing to burn through their remaining permitted hours by April when the UK government introduces a carbon floor price. This will set a price for carbon that is higher than in the European trading scheme, and so entail much higher costs for coal-burners.

Another new policy, the emissions performance standard, currently moving through parliament, will prevent any new coal-fired stations being built in the UK that are not equipped with technology to capture and store carbon emissions.

Other countries are following similar paths. The Netherlands is introducing a coal tax, Denmark and Finland have announced phase-outs of coal and Spain says it will end coal subsidies.

Even Germany, which has huge domestic reserves of cheap lignite, is lowering its reliance on coal. RWE, Germany's largest electricity generator, has reduced the proportion of coal-fired plants from 56 per cent of total capacity in 2006 to about 50 per cent at the end of 2011. By 2020, it sees that dropping to about 35 per cent as the proportion of renewables in the energy mix rises.

However, Germany and the Netherlands are due to build 12.5 gigawatts of new coal capacity between 2012 and 2015, offsetting the 11GW that will be retired in the UK over the next four years. "But a lot of the new plants are replacing older ones," says Brian Potskowski of BNEF. "So there is unlikely to be net growth in coal capacity in western Europe."

@highlight

U.S. shale gas boom having knock-on effect in Europe, despite EU environmental policies

@highlight

Fracking revolution pushed down US natural gas prices, leading electricity generators to switch from coal

@highlight

US coal has displaced more expensive gas in Europe as feedstock for power stations

@highlight

Experts believe coal's European revival will be shortlived