(CNN) -- On Tuesday, I was free. On Wednesday, I became a criminal.

Tuesday, we mourned the loss of President Nelson Mandela -- a leader whose presidency saw the first constitutional prohibition on anti-gay discrimination. On Wednesday, the India Supreme Court denied my freedom as a gay man, upholding a nearly 153-year-old colonial law that could result in my own imprisonment.

Tuesday, on Human Rights Day, the story of my gay friend fleeing India because his family threatened to kill him went viral. Today, India's highest court has wiped away four years of progress following the Delhi High Court ruling that set me free. Religious groups -- have been fighting to overturn the high court ruling for three years, and have succeeded.

I was 19 when I was set free. And I remember the feeling of hope as I heard the news -- not just that my country was on a new path, but that my life was. I sat down with my family and came out to them. So many of my friends did the same, all across the country.

When I heard the news Wednesday, I wondered about all those people who are living with the burden of hiding, with the fear of harassment and violence. I wondered about those who had come out of the closet over the last four years, and if they, like me, heard in the Supreme Court ruling a clear message to go back in.

I will not, much to my mother's distress. I called her upon hearing the news. She wasn't always by my side -- she has a journey of her own over the last four years. But last year she marched in the Gay Pride parade with me. Today, she's worried about her son. "I told you," she said, "it's not that easy."

But I refuse to retreat. With this ruling, according to ILGA, India becomes the 77th country worldwide that views lesbian, gay, bisexual and transgender people as criminals. Just this week, the U.S. ambassador to the U.N., Samantha Power, spoke out strongly against these laws, saying "To criticize the criminalization of LGBT status is not cultural imperialism. To deny gays and lesbians the right to live freely and to threaten them with discrimination and even death is not a form of moral or religious Puritanism. It's in fact barbarism."

As I write this, I sit in the Human Rights Campaign offices in Washington, D.C., as a fellow with the Global Engagement Program. Upon accepting this fellowship, I knew I would be working to shine a spotlight on this barbarism. But I never imagined my own homeland would take center stage.

We all had hope. Now, our opponents do. On Twitter, the American Family Association's Bryan Fischer is cheering the ruling, saying the U.S. Supreme Court should follow India's example. Back in my home country, where the only chance of reversing this decision lies with the Parliament, the conservatives who give passes to anti-LGBT "honor" killings are downright giddy.

But their enthusiasm will only make my voice louder. In President Barack Obama's eulogy at the funeral of Mandela, he said that, "he tells us what is possible not just in the pages of history books, but in our own lives as well. Mandela showed us the power of action; of taking risks on behalf of our ideals."

While India's Supreme Court justices took my freedom, they cannot take my hope.

The opinions expressed in this commentary are solely those of Tushar Malik.

@highlight

Tushar Malik: India's high court just made being gay illegal, upholding old colonial law

@highlight

Supreme Court reversed a lower court ruling four years ago to legalize homosexuality

@highlight

Malik remembers being hopeful when being gay was made legal; many came out of closet

@highlight

He says, "while India's Supreme Court justices took my freedom, they cannot take my hope"