New Delhi, India (CNN) -- Hours after it snapped power lines, overturned cars and ripped away bamboo homes, the most powerful cyclone to hit India in years weakened Sunday, but not before it left at least 14 dead.

Morning light revealed damage from Tropical Cyclone Phailin after it pounded the eastern coast, the strongest storm in India in 14 years.

Debris littered wet streets. Buildings had gaping holes where roofs and windows had been.

In Odisha state, where the cyclone landed, at least 13 people were killed after trees fell and walls collapsed when the storm hit, Police Chief Prakash Mishra said. Another death was confirmed in Andhra Pradesh state, India's disaster management authority said.

Many had feared the death toll would be higher. Massive evacuation efforts helped limit the number of casualties, officials said.

"It is a huge, huge relief," Naveen Patnaik, Odisha's chief minister, told CNN sister network CNN-IBN. "Damage has been minimal."

But in the hardest hit areas, the storm's impact was clear, with flooded highways, fallen trees and downed power lines.

As a precautionary measure, authorities cut the electricity in the affected districts. It could take up to a week to restore power, authorities said.

Like a fierce hurricane

Hurricanes are known as cyclones in the Indian Ocean.

At 140 mph wind speed, Phailin made landfall as the equivalent of a Category 4 hurricane. The strongest hurricane is a Category 5, which comes with winds greater than 155 mph.

By Sunday, some 13 hours later, it was the equivalent of a Category 1 hurricane with winds of about 80 mph.

Where have all the hurricanes gone?

'Zero-casualty approach'

India evacuated nearly a million people before the storm to avoid a repeat of what happened in 1999, when a cyclone killed 10,000 people.

"We have taken a zero-casualty approach," said Kamal Lochan Mishra, Odisha state's disaster manager. "If people do not move, force will be used to evacuate them."

Phailin has brought nearly 8 inches of rain to Odisha's capital of Bhubaneswar, about 30 miles from the coast. The city's average rainfall for October is 6.5 inches.

The storm will continue to fall apart as it moves over land, but tropical storm-force winds are still possible through early Monday, said CNN meteorologist Judson Jones. Rainfall will also be a problem as Phailin moves up toward the Himalayas in Nepal.

Multiple states in the region were under weather warnings for excessive rainfall and thunderstorms.

Hundreds of emergency shelters

About 900,000 were evacuated in Odisha alone. Most people in low-lying coastal areas of the state left on foot or by bicycle, Kamal Lochan Mishra said.

Relocating evacuees is a major challenge because of property damage and losses caused by the storm, said Patnaik.

Most are housed in nearly 250 emergency shelters set up in sturdy buildings like schools and government offices.

The India Meteorological Department warned of extensive damage to houses made of flimsy materials like mud and bamboo, as well as damage to old buildings.

The storm disrupted power and communication lines. Extensive flooding also affected rail and road traffic, and crops are likely to suffer major damage, the agency said.

In Gopalpur, a coastal resort town in Ganjam, restaurants were shuttered and streets deserted. Tourists and local residents left the town.

Military deployed

In October 1999, Cyclone 05B, also known as the Odisha Cyclone, made landfall in the same area, killing 10,000 people. It was the strongest tropical cyclone recorded in the Bay of Bengal, with winds of 155 mph at landfall. It caused more than $2 billion in damage.

In advance of Phailin, military units and National Disaster Response Force personnel were deployed to coastal areas with relief supplies and medical aid, CNN-IBN said.

All flights to Odisha have been canceled and train services in the state are also disrupted, CNN's sister network reported.

Officials survey damage

As authorities surveyed the damage Sunday, they said food assistance would be provided to severely impacted villages.

Teams from nonprofits were also canvassing the affected areas.

Initial surveys indicate the damage was not as bad as many feared it could be, Save the Children said. But strong winds and heavy rains continued to pound some areas.

"There may be delays in being able to reach the most vulnerable families with aid," said Devendra Tak, a spokesman for the organization. "This also means it could take some time before the full extent of the damage is known."

CNN's Neha Sharma and Harmeet Shah Singh reported from New Delhi, and Faith Karimi wrote and reported from Atlanta. CNN's Mallika Kapur, Bharati Naik, Catherine E. Shoichet, Pedram Javaheri and Radina Gigova contributed to this report.

@highlight

NEW: Save the Children: It could take time before the extent of damage is known

@highlight

Massive evacuation efforts helped limit the number of casualties

@highlight

At least 14 people were killed, authorities say

@highlight

To avoid electrocution, authorities cut the electricity in affected districts