New York (CNN) -- Ashley Murray never expected to follow five generations of men into the family business, selling industrial gasses and welding supplies. Then her father passed away and Murray, the youngest of his four children, stepped up. She became the first female president of Liberty Industrial Gases and Welding Supplies Inc. in Brooklyn.

"I grew up working in the business, all of my siblings did. We would file, paint cylinders and work in the store. I got involved about 10 years ago working under my father, running operations for five years when he passed away," recalls Murray, who still keeps her father's office much the way he left it. "I've continued to run it, and it's done great. I've been slowly purchasing it from my mom bit by bit."

But now the family history Murray was charged with preserving is at risk of ending. Liberty is in Red Hook, Brooklyn, an industrial park along a canal that connects to New York Harbor. When the waters of Superstorm Sandy surged, they engulfed 80% of her inventory in 4 feet of water. She is still without any government help.

Finding joy among the wreckage: Family photos returned post-Sandy

"It's devastating. It's just been a devastating process," said Murray with tears in her eyes. "We're just kind of this lost block at the end of Smith Street in Red Hook (Brooklyn). I know all the businesses and all of the residents have been affected, but it seems like there has to be more help."

Murray estimates the destruction will put the business $700,000 to $800,000 in debt. She says Liberty had no debt before the storm.

"In 26 years, we'd had not 1 inch of water," she said. "We couldn't afford to have more than the tiny bit of flood insurance that we had, and we didn't think we needed it."

In the days after Sandy, Murray attended community meetings with other business owners hoping to find some assistance from the government or elsewhere. She also collected information from the FEMA website and elsewhere online to determine what assistance might be available for her company. She found government loans with a 6% interest rate. But her bank offered her a $1 million line of credit with a 3.2% interest rate. She opted for that.

Map: See Images of destruction, recovery across the East Coast

The Federal Emergency Management Agency does not issue loans to businesses impacted by Sandy. The agency tells CNN it would only give a grant to a small business if it is located within a primary home or resident damaged by Sandy. But FEMA is a federal partner of the Small Business Administration, which tells CNN it has two loan programs for businesses impacted by Sandy.

The first is a disaster loan of up to $2 million for businesses that sustained physical damage. The interest rate begins at 4% (and goes higher) for a term of up to 30 years. The SBA says only businesses with no other means of credit would qualify for the 4% interest rate.

The second is an economic injury disaster loan geared toward small businesses to cover operating expenses they would have otherwise been able to cover had the disaster not occurred. That loan is also capped at $2 million and comes with 4% and higher interest rates for businesses, and a 3% interest rate for nonprofits.

As of Friday, 302,412 disaster loan applications have been issued by the SBA in New York, New Jersey and Connecticut -- 62,294 of those to businesses. If Murray can't get her business back up and running at full capacity, she fears her competitors will move in. She's already seen her business slip 30%.

Two days after the storm, when Murray first was able to get inside her company, she began to run it off the sidewalk with "business operations" run out of a tiny storage room facing the street.

Her employees use cell phones, generators and work off one computer and one printer perched atop a makeshift counter. Customers are greeted by a sign that says "Liberty is open," but they still peak in through the roll-up garage door and can't believe it's true.

"Sometimes they just roll up their window and yell out to see if we're really here," Murray said.

Murray has barely been home since she reopened her business; neither have her employees who have worked around the clock and on weekends. Liberty employee Nick Gardener watched Ashley Murray grow up working alongside her father. He was hired back in 1995. "It's my life," he said. If it goes under, "I would go under, too," Gardener added.

Employees at Liberty still have a sense of humor, despite all the difficulty.

Gas prices up in Sandy-stricken areas

They've placed a stuffed lion in front of the darkened warehouse with a sign around its neck that reads: "WE ARE AS TOUGH AS IT GETS. WE ARE STILL HERE." But inside, the business is struggling to get off its knees. You can tell the condition of the business by the cacophony of overwhelming sounds from all the machinery trying to keep it going in the absence of electrical power.

Outside, the droning noise of a massive generator competes with the roar of power tools being used by workers from Consolidated Edison, as the power company tries to repair the electrical lines. You can still see the water line just above the circuit breaker boxes.

Inside, you hear a sizzle as the lights flicker on and off, the hiss of propane tanks powering heaters, the clanging of empty tanks being hauled in and out for refilling since the business lost all three of their trucks and one forklift. In another room, workers pound in new drywall and toss soggy merchandise into bags. The office phones only work when the generators are running and voicemail isn't functioning. When they turn off the generator at night, calls are transferred to cell phones.

Red Hook was hit so hard by Sandy that volunteers at the business next door are using blow dryers to dry piles of invoices one by one. The job is essential because their server was destroyed in the storm.

The only thing that's quiet is the nearby Gowanus Canal, where the water receded. The canal was declared a federal Superfund site, meaning its waters are considered in need of cleaning up.

"They keep telling us the toxic stuff stayed at the bottom, but we just don't know," said Murray.

Jersey Shore community gives thanks even after Sandy

What's next after Superstorm Sandy?

@highlight

Ashley Murray is the fifth generation to run Liberty Industrial Gases

@highlight

Superstorm Sandy engulfed 80% of her inventory in 4 feet of water

@highlight

It's been devastating: "It seems like there has to be more help," Murray says

@highlight

She and her employees deploy hard work, generators and humor to keep things going