(CNN) -- The first line in most of the early obituaries of Lou Reed described him primarily as lead singer for the Velvet Underground. This is somewhat like starting an obituary for Abraham Lincoln by saying he was president of he United States during the Civil War. Or, more to the point, that Thelonious Monk played piano or that Bob Dylan was a folk singer. In each case, it's a start. At the same time, it doesn't begin telling you what's important to know.

In fact, what I've been hearing and reading online from friends and others, since word came Sunday of Reed's death at age 71, were reactions that vibrated with emotional intensity and startling intimacy. "He changed my life" was a recurring theme, as was "I wouldn't have been a ______ without him."

And you could fill in the blank with any or all of the following: poet, artist, musician, singer, writer, performer, iconoclast, New Yorker -- all of which Lou Reed was. And the example he set in those roles empowered generations as decisively and enduringly as such disparate peers as Dylan, John Lennon, Brian Wilson and others who made the '60s (and a lot that came afterward) possible.

"He was as gifted, as important and influential, as any artist of the last fifty years," wrote Mikal Gilmore, a writer and rock journalist whose own work, including the 2001 memoir "Shot in the Heart," has evoked some of the same darkness, mordancy and pungent wit that filtered through Reed's songs. "And he was a great favorite of mine since the day I first heard the Velvet Underground's debut as I was sitting on the floor of the Psychedelic Shop in Portland, Oregon in the summer of 1967."

"Even though I knew (Reed) was sick, I thought he'd last forever" was another recurring theme that one read in blogs and social media postings. This seemed aligned with the perception of Reed as a hard-bitten survivor of drug abuse and other wretched excesses who continued to put out trenchant albums, alienate journalists, and inspire independent rockers and others who sought the cutting edge he helped define.

Michael Hogan's Vanity Fair blog -- which celebrated Reed as "the last of the old New York characters, a true curmudgeon" -- alluded to the knowingly affectionate jibes many people made over Reed's liver transplant this past spring.

"Look what he did to the last one, people said," wrote Hogan. "And it's true that Lou Reed put his body through hell back in the day. He eventually cleaned up his habits but he never softened up."

The YouTube postings of Reed's performances also blanketed the social media landscape. "Walk on the Wild Side" and "Sweet Jane," arguably his two most widely successful and recognized singles, were the most frequently shared.

Some reached back to the 1967 album that started it all, "The Velvet Underground and Nico," by posting such songs as "I'm Waiting for the Man," "Venus in Furs" and "Heroin" -- songs that took their listeners to dark, forbidding places many of them weren't ready to go, whether it was the dark corridors of a Harlem brownstone to buy hard drugs or even harder-core rituals of sadomasochistic sex. Over time, the album would become the hallowed cornerstone of such iconoclastic offshoots of the rock-pop universe as new wave, punk and indie rock. It also created a space where a new kind of romantic vision of outlaw street life would seize the imaginations not only of musicians, but of artists, writers and filmmakers.

There were even those who insisted on posting, in its entirety, Reed's 1975 experimental LP, "Metal Machine Music," consisting almost entirely of guitar feedback running at different speeds.

It sounds just as confounding and fascinating now as it did to listeners in the mid-'70s. But as with all of Reed's music, scary and wistful, funny and sad, tender and spiteful, these strange sounds, whatever their reason for existing, will remain a thrown gauntlet to anyone who's alienated themselves from the status quo to make something of their own that confuses or arouses people to think differently about their surroundings.

As Gilmore wrote, "There always seemed something indomitable about (Reed) and his commitment. Today, especially, he still seems indomitable."

The opinions expressed in this commentary are solely those of Gene Seymour.

@highlight

Reactions to Reed's death showed emotional intensity and intimacy, writes Gene Seymour

@highlight

He says many commented that Reed had changed their lives

@highlight

Seymour: Reed was a pioneer in his romantic vision of outlaw street life

@highlight

Many knew Reed was ill, but thought he'd last forever, he writes