The core of Trayvon Martin's story has been told again and again in recent days -- about how the 17-year-old went out to a Sanford, Florida, convenience store, only to be killed on his way back to his father's fiance's home.

Yet one month later, questions persist as to exactly how and why that happened. The man who admitted shooting the teen has not been charged in connection to the case, much to the dismay of Martin's parents and thousands of strangers nationwide who've rallied behind them.

On Monday, the story continued to gain both complexity, and clarity, thanks to details of the account that Martin's shooter gave to police after the shooting.

George Zimmerman's description is outlined in an Orlando Sentinel article that cited "authorities" as the source of its information. The Sanford Police Department subsequently released a statement that, while condemning what it called"unauthorized leaks," confirmed the newspaper account "is consistent with the information provided to the State Attorney's office by the police department."

Events held around country in response to case

Zimmerman, a 28-year-old neighborhood watch volunteer, told police he was on his way to the grocery store when he saw Martin, a black male, walking through his gated community, according to the Sentinel report.

"Something's wrong with him," he told a 911 dispatcher, according to the contents of a call released last week. "Yep. He's coming to check me out. He's got something in his hands."

The teen started to run, Zimmerman said. When he said he was following the boy, the dispatcher told him, "We don't need you to do that."

Shortly afterward, neighbors began calling 911 to report an apparent altercation, then a gunshot.

The Orlando Sentinel report fills in some blanks, purportedly from Zimmerman's perspective, of what transpired in the meantime.

Zimmerman, according to the Sentinel report, later told police that he lost sight of Martin and was returning to his SUV when the teen approached him. The two exchanged words, according to Zimmerman, who said Martin then punched him in the nose.

On the ground, Zimmerman said he was repeatedly punched and had his head slammed into the sidewalk, according to the Sentinel report. He began yelling, he told police.

Previously released tapes of 911 calls included neighbors saying they had heard hearing screams -- though it wasn't clear whether they came from Zimmerman or Martin.

Mary Cutcher told CNN on Monday that she and Selma Mora Lamilla were in a kitchen nearby when they "heard a whining, someone in distress, and then the gunshot."

They ran outside and, "within seconds," were about 10 feet away from Martin's body, Lamilla said.

"(Zimmerman) was standing over the body, basically straddling the body with his hand on Trayvon's back," said Cutcher, adding that they called three times to him before he finally asked them to call police. "It didn't seem to me that he was trying to help him in any way."

And Martin's girlfriend was on the phone with him prior to the shooting, according to a lawyer for the shooting victim's family. Benjamin Crump said last week that the girl "completely blows Zimmerman's absurd self-defense claim out of the water."

What is evident is that, minutes after that Zimmerman's first 911 call, police arrived at the scene. They found Martin "laying face down in the grass," according to a police report.

A short time later, Martin was pronounced dead.

As to Zimmerman, "his back appeared to be wet and was covered in grass (and he) was also bleeding, from the nose and back of his head," according to the same report.

Zimmerman was questioned, but has not been charged in the case.

This fact has triggered widespread uproar, with nearly three-fourths of Americans -- including 67 percent of whites and 86 percent of non-whites -- believing he should be arrested, according to a CNN/ORC International poll released Monday.

Majority in poll call for shooter's arrest

Those attitudes were on display in more than dozen cities Monday. Many demonstrators wore hooded sweatshirts and carried Skittles candy -- just like Martin had, on the night he was killed -- from Atlanta to San Francisco in many communities, big and small, in between to show support for the victim's family and denounce racism, profiling and laws that permit use of force in self-defense.

In the central Florida city of Sanford, a regularly scheduled city commission meeting turned into a forum focused on the Martin case. Near its start, Rev. Al Sharpton presented a petition that he said had been signed by 2 million people calling for Zimmerman's arrest.

He was one of several speakers who called for answers and accountability for police officers who they felt bungled the case by not testing Zimmerman for alcohol and drug levels and not doing a background check on him -- even though they did both for the victim.

"The Sanford police department needs to be held accountable," said an emotional Tracy Martin, Trayvon's father.

Martin's family and supporters have said that they believe race played a role in the shooting. Zimmerman is a white Hispanic. His family says he has been mistakenly portrayed as racist.

On Monday, Martin's supporters continued to insist that Zimmerman should be held responsible for Martin's death -- saying the teen would be alive today if Zimmerman had simply followed the 911 dispatcher's instructions, to stay away.

"We're dealing with a self-appointed watchdog who disobeyed the dispatcher's instructions that he agreed to," said Sharpton, during a press conference earlier Monday with Martin's parents in Sanford. "All else is irrelevant."

That includes, he added, reports that first surfaced Monday in media accounts and later confirmed by a family spokesman that Martin had been suspended after a search of his book bag turned up an empty plastic bag with marijuana residue.

Martin, who lived in Miami, was visiting Sanford after receiving a 10-day suspension from school, according to a family spokesman. An empty plastic bag found in his book bag had marijuana residue, spokesman Ryan Julison confirmed.

"The only comment that I have right now is that they've killed my son and now they're trying to kill his reputation," Martin's mother, Sybrina Fulton, said at a news conference.

Crump, the family attorney, said authorities were trying to "demonize" the teen.

"Whatever Trayvon Martin was suspended for had absolutely no bearing on what happened on the night of February 26," he said.

Both of Trayvon's parents will be in Washington on Tuesday, attending a House Judiciary Committee meeting with Rep. Sheila Jackson Lee, D-Texas, according to a news release from the congresswoman's office.

A special prosecutor is investigating the case. A grand jury scheduled to begin deliberations on April 10, but it is uncertain if the group will ever work on the case. The prosecutor, Angela Corey, said Monday on HLN that she has never used a grand jury to decide on charges in a justifiable homicide case.

"We do a thorough investigation. We make that decision ourselves," she said.

The two prosecutors assigned on the case worked through the weekend and will do their best to provide answers quickly, Corey said. They have not yet interviewed Zimmerman, nor does her office know where he is, she said.

An attorney for the Martin family said Monday that any jury that sees the evidence in the case -- much of which she said was collected by investigators working on the Martin family's behalf -- would convict Zimmerman."Clearly, the investigation in this case was either bungled, or ignored completely," Natalie Jackson said of the initial police inquiry.

Sanford authorities say they could not arrest Zimmerman under Florida's "stand your ground" law, which allows people to use deadly force to defend themselves anywhere they feel a reasonable fear of death or serious injury. The evidence police had at the time didn't allow for an arrest, police have said.

In addition to the investigation led by Corey, the state's governor has formed a task force to review the state's "stand your ground" law. The Justice Department is also investigating.

Did you attend a rally for Trayvon Martin? Share your images

Sanford's city manager, Norton Bonaparte, also has said he is seeking an outside review of the police department's handling of the case.

The neighborhood where Zimmerman was volunteering in the neighborhood watch program could also face a lawsuit, the National Association of Black Journalists said, citing Martin family attorney Daryl Parks.

Parks spoke to the group's board of directors over the weekend.

There is evidence that the Twin Lakes homeowners' association told residents who saw suspicious activity to call Zimmerman if they could not contact the police, according to the association's statement.

Meanwhile, a handful of members from the New Black Panther Party have offered a $10,000 reward for Zimmerman's "capture." The group is distinct from the better-known Black Panther Party and is described by the Southern Poverty Law Center describes as a "virulently racist and anti-Semitic organization."

The Rev. Jesse Jackson cautioned people not to try to capture Zimmerman, saying it would not only put them at risk of being arrested, but also because it would a distraction.

"The focus must be on Zimmerman himself and what he did," Jackson said.

Joe Oliver, a friend of Zimmerman's told CNN on Monday that Zimmerman is in hiding and all his family members are worried for their safety.

Even with the shooter's account clear, authorities still are working to piece together the details from February 26.

"Right now, we have too many unanswered questions," Florida Attorney General Pam Bondi said Monday.

@highlight

A witness says Zimmerman was straddling Trayvon Martin, not helping him

@highlight

Rallies are held from coast-to-coast in support of Martin's family and cause

@highlight

Zimmerman told police Trayvon Martin hit him before the shooting, a report says

@highlight

"Right now, we have too many unanswered questions," the attorney general says