(CNN) -- As the new Japanese government of Shinzo Abe unleashes a new round of stimulus for the ailing economy, a Tokyo restaurateur has thrown his support behind the new government -- but it comes with a resigned sigh that seems to mark most leadership changes in the world's third largest economy.

"I voted for Abe and the Liberal Democratic Party," says Shigeki Koshiba, chef and owner of Hainan Jeefan Shokudo, a restaurant that specializes in Singaporean food. "I decided to give them another chance. I give these guys a last chance."

Japan starts the new year under its seventh prime minister in seven years and a return to power for Abe's Liberal Democratic Party. The list of challenges for Abe -- who was previously prime minister in 2006-2007 -- is long and familiar: Deflation, the strong yen, an aging population and an expensive country in which to live. All of this existed well before the damage from the tsunami, earthquake and nuclear disaster in March 2011.

CNNMoney: Japan unveils $117 billion stimulus package

During the recent campaign, Abe promised more stimulus spending even though Japan's debt to GDP ratio is estimated at 236%, according to recent International Monetary Fund projections. That's the highest debt level in the developed world. On Friday, he made good on that promise as the government unveiled a $117 billion fiscal stimulus package in a bid to boost growth.

"Abenomics" is the nickname given to the prime minister's push for more quantitative easing from the Bank of Japan and a doubling of the inflation rate to 2%.

"Abenomics is not just about the central bank. It is about coordinating policy which is something here in Japan we have not had in basically five or six years," Jesper Koll, head of Japan Equities at JP Morgan, tells CNN. Koll says the acceleration of both fiscal and monetary policy is key. "That's where the good news is going to be coming from in Japan the next six to nine months."

Read more: Waiting for Japan's election: Could the 'Abe trade' be justified?

But Yonghao Pu, UBS Chief Investment Strategist for Asia-Pacific, says more stimulus is not as simple as it sounds.

"That's the trick question. If you print a lot more money, you're more likely to have inflation than deflation. On the positive side, quantitative easing can reduce deflation," he said. "But if you have inflation come back, the investors (in Japanese government bonds) are not going to be happy with 2% inflation because the net return will be negative 1%. So they (Abe) cannot overdo it."

Restaurant owner Koshiba and his brother-in-law -- Paul Yang, the CEO of Delta Capital, a real estate development company -- will watch the political leadership with a wary eye.

Read more: Shinzo Abe: The answer to ailing Japan's problems?

Yang says the biggest problem in Japan is the lack of innovation in big business. Corporate tax is 40% which drives many foreign businesses out. He says the government needs to offer more incentives for companies to stay in Japan. His own development company is getting creative by moving away from traditional business models. Delta Capital is talking to Japanese universities about leasing their land, building dormitories and managing them.

"We're trying to stay away from buying land and we're borrowing land instead," Yang says. He believes Japan's complex rules make leasing a better option. "It's economically more viable because yields and returns are so much better if you don't have to buy the land. We're trying to create a new real estate asset class."

Koshiba's restaurant is casual and the average lunch costs $10. "We don't feel the economy slowing down because business is constant. For me and a lot of my restaurant friends, turnover is not bad."

But he keeps his eye on the cost of electricity. Since the nuclear crisis at Fukushima, the cost of power has increased. Koshiba now has to pay $600 more per month at his two restaurant locations. He's also watching the yen which has weakened significantly since Abe called for more stimulus in November. While a weaker yen helps exporters by making their products cheaper overseas, it can have an adverse affect on businesses like restaurants and supermarkets that need to buy imports.

"It depends how long the yen weakening lasts. A lot of food stuff is imported from outside," says Koshiba. "There's always a time lag. If this (weakening yen) continues, it'll affect a lot of people."

@highlight

Japan unveiled a $117 billion fiscal stimulus package Friday in bid to boost growth

@highlight

New Prime Minister Shinzo Abe has promised aggressive action on recessionary economy

@highlight

Abe is the seventh prime minister in seven years to confront Japan's economic woes

@highlight

Analyst: "Good news is going to be coming from in Japan the next six to nine months"