New York (CNN) -- You could be forgiven for thinking no one cares -- or even should care, right now -- about climate change.

For starters, there's all that other terrifying stuff competing for attention: President Barack Obama's war with ISIS; the Ebola outbreak, which recently put Sierra Leone on national lockdown; Ukraine; Scotland; wife-beating athletes. That scary guy in Pennsylvania.

The world seems like a pretty big mess right now.

The climate? Not top of the agenda.

Polls indicate Americans care less about climate change than pretty much anything. Even among those of us who are inclined to care about the planet, there's the holy-crap-I-can't-even-deal-with-it factor. It seems too big, too daunting -- and like so much damage is already being done.

But I put those doubts completely to rest on Sunday as I wove through hopeful crowds of thousands at the People's Climate March in New York, which was billed by organizers as the biggest rally against climate change world has ever seen. There was no independent estimate of the size of the crowd immediately available, but organizers said as many as 310,000 people attended -- many from far reaches of the globe, ahead of a UN climate summit here this week.

Marchers sound urgent call for climate change action

World leaders are expected to discuss the topic and, hopefully, build momentum for more-concrete climate talks in Paris next year. Climate marches also were held on Sunday in 2,800 other locations, according to organizers, from Paris to Port Moresby, Papua New Guinea.

Related: 'I'm on the front lines of this crisis'

In a world disinclined to care about the urgent threat of climate change, these were the people who are both experiencing the crisis -- right now, not 100 years in the future -- and who also believe there's still time to make a difference.

"I am fearful, but for the most part, I'm optimistic," said Kathy Jetnil-Kijiner, a 26-year-old who came to New York from the Marshall Islands, in the Pacific. Sea level rise already is washing away grave sites and lashing homes on the islands, she said. She came to New York in part to represent her 7-month-old daughter, who she hopes will be able to live on the island, rather than relocate. "I see this movement and I see this march and I see all these thousands of people coming together for climate change; I believe there are things we can do to change the world.

"I believe it can happen."

It's not possible for her to ignore this issue like the rest of us.

"The thing you have to imagine is the ocean is huge next to our islands," she told me. "Our islands are completely tiny ... You don't get to forget how vulnerable you are."

The march, which wandered along the edge of Central Park and through the streets of Midtown Manhattan, took on the feel of a celebration for a planet that's worth saving rather than a funeral for one already lost.

I saw accordions, drums, a giant-dancing-puppet representation of Mother Earth. The mood was a bit surprising considering some climate scientists and policy experts say the world already has acted far too slowly to curb carbon emissions and that we're locked into some level of harmful warming. The atmosphere already has warmed about 1-degree Celsius because of people, said Bill McKibben, co-founder of 350.org, which helped organize the events. "That's enormous," he told me. "It's been enough already to melt the summer Arctic" and to increase ocean acidification by 30%. "As astonishing as those changes are, they are a very small trailer for the horror movie that's coming if we don't act quickly," he said.

And that's what people here were calling for: Quick, assured action. A reduction in harmful carbon emissions. Real targets, based on science. New, clean industry. A revolution, really -- an economy that looks beyond the fossil era. I met people from China, Tibet, West Virginia, Arizona -- all of whom want the world to act.

"We are here representing the Earth," said WhatwenÃ¯ne "Freida" Jacques, 64, who moving with the crowd in a motorized wheelchair. "I really think this should have happened a good 20 years ago."

Jayeesha Dutta, a 36-year-old from New Orleans, marched in New York wearing a Mardi Gras mask and carrying one side of a banner that read, "The Seas Are Rising and So Are We!"

"We are at the front lines of climate change," she said, echoing a familiar refrain. "Our communities are going to be the first climate change refugees of our country ... As we lose the land, we're also going to be losing cultures."

Some of the most poignant pleas for action came from people impacted by Superstorm Sandy, which hit New York in October 2012, filling subways with water, displacing coastal residents and killing more than 100 people in the United States as well as more than 60 in the Caribbean and Canada. Hurricanes are expected to continue to get stronger as the climate warms, and locals here fear a repeat tragedy.

I met Silaka Cox, 19, from the Rockaways, at the city's edge. It was hit hard by Sandy. If climate change isn't stopped, Cox told me she worries her community, where she still lives even though it means a 1 1/2 hour commute to New York University, where she's a sophomore, might not be viable. "The sea levels are just going to keep rising if we don't do anything about it," she said.

And I met Brendan McAvoy, a 21-year old who lost his home in the storm. He came to the rally Sunday with a blue sign simply reading, "Hope." The letters were made of sand he collected from the beach in New Jersey. He told me he initially made the sign for his mom, to help get her through the months after the storm.

"That's all you have when the water takes away your house and takes away your family," he said, referencing the fact that he attributes his father's death, after the storm, in part to the stress caused by the displacement. "All you have is hope."

Climate change is a collective tinnitus -- always ringing in the background, but so constant and seemingly incurable that we try to ignore it.

That's impossible for McAvoy and the others I met on Sunday. For them, climate change is sounding an alarm far too loud to be silenced.

To demonstrate this in the most literal of ways, rally attendees raised their hands in the air in a moment of silence at 12:58 p.m. Then at 1 p.m., they let out a collective yelp.

It was so loud and heartfelt it gave me chills.

I hope it brought some degree of comfort -- and maybe inspiration -- to all those attending whose lives already are being shaken up by this crisis, which the world should act far more urgently to address. As I heard from many people I met, we have the technology and the popular will to fix this. It's just time for someone in power to listen.

@highlight

Organizers say more than 300,000 gather in New York for climate rally

@highlight

The People's Climate March is billed as the largest climate demonstration ever

@highlight

CNN's John Sutter says it's easy for people to write off climate change

@highlight

But he writes that meeting people at the march should cause a change of heart