New York (CNN)It's the "crippling and potentially historic" blizzard that turned out to be neither.

"They were trying to out-drama each other," architect Rebecca Uss in New York City said Tuesday, speaking of officials in the region who had warned of the coming snowstorm.

"In hindsight, it was overkill," said Brian Beirne, who was sledding with his son Micah on New York's Upper West Side. "It's much ado about nothing."

Roberto Gonzalez slept in the lobby of a building, curling up near a radiator, since the restaurant he worked at closed too late Monday for him to get on the subway to go home. "When I woke up, I expected the end of the world. I went outside and nothing (had) happened. What storm?"

Some people in the Northeast are concerned the government cried wolf.

"They decided to close," a woman named Anesah, who works with international students in Philadelphia, tweeted about her workplace.  There "isn't a flurry to be found. I don't think they'll ever give us off again. #crywolf."

"This #snowFail does not bode well for civilian cooperation with the terms of the next snow emergency in NYC," Lisa B. in New York said on Twitter.

Government officials say the measures taken, including travel bans, are helpful for the quick cleanup of streets and, most importantly, are signs of erring on the side of caution.

"Better safe than sorry," said New York Mayor Bill de Blasio, who had warned Monday that the storm could be one of the largest "in the history of this city."  Instead, "It's going to be a fast return to normalcy," de Blasio said.

Connecticut Gov. Dannel Malloy was asked at a news conference Tuesday about suggestions that the predictions were "overblown."  "That would be an oversimplification," he said, laughing.

The eastern part of the state was heaviest hit and is still receiving "significant and continued snowfall," he said. Still, despite previous warnings that people might be without power for days, "By and large we'll be back to normal for most of our state tomorrow," Malloy said.

Many people had stocked up on days' worth of necessities and prepared to hunker down for what the National Weather Service said could be a "raging blizzard."

Some are now calling it all "snowperbole."

But Liz Childs, who works at a hospital in New York, said she doesn't believe authorities overreacted.

"I feel we were lucky this time," she said. "I think we dodged a bullet."

Sights and sounds of the blizzard

Some who forecast the weather professionally felt the need to apologize, including Gary Szatkowski, with the National Weather Service in Mount Holly, New Jersey.

"My deepest apologies to many key decision makers and so many members of the general public," he wrote Tuesday on Twitter. "You made a lot of tough decisions expecting us to get it right, and we didn't.  Once again, I'm sorry."

He wasn't alone. An online collection showed several similar tweets from meteorologists, including one from News 12 New Jersey's Dave Curren saying the forecast "deflated as much as New England Patriots footballs."

Many of the responses to these posts were supportive.

"You are making a prediction about the future. Closing roads at 11 p.m. when it snows saves lives," Jennifer Smith in New York wrote to Szatkowski.  "No apology necessary."

Government officials face a tough dilemma. They don't want to shut everything down, keeping children home from school and people home from work, but they also do not want to risk a disaster.

"Look at what happened in Atlanta when the city wasn't prepared," Frank Flores said in a Facebook discussion.

He was referring to an incident a year ago this week in which people were stranded along miles and miles of icy interstates, paralyzing the metro area for more than 24 hours. Many ultimately abandoned their cars and walked home.

There's some hand-wringing over the forecasting models used.  Here's the basic idea, from CNN meteorologist Brandon Miller:

"Meteorologists largely depend on three major forecast models:  the NAM (North American Mesoscale), the GFS (Global Forecast System), and the ECMWF (European Center for Medium Range Forecasting).  Meteorologists will look at all of these and, using their own expertise, local knowledge, etc., formulate a forecast.  In this case, the NAM and the ECMWF both showed 2 feet of snow or more for New York City, while the GFS (which has just been upgraded this winter) showed a more conservative 6 to 12 inches.

"The National Weather Service forecasters in New York certainly went all in with the NAM and ECMWF forecasts, and all but ignored the GFS, without providing much room for uncertainty that should come with the GFS showing a vastly different solution."  (In 2012, the ECMWF "was the media-darling model for properly forecasting Superstorm Sandy to a 't' while the GFS did not," Miller says.  "Now it is the opposite.")

Still, "the forecast wasn't too far off if you look at it as a whole," Miller says. "The heaviest snow fell across much of Connecticut, Rhode Island, Long Island and Massachusetts.  Winds have gusted up to hurricane strength, which was also in the forecast." Predicted storm surge flooding also came to fruition, he said.

"But of course the headlines are going to come from New York City and New Jersey, where a forecast of more than 2 feet turned out to only be about half that," Miller said. There were 2 feet of snow elsewhere, and "a miss of only 30 to 40 miles in a forecast that was first given 48 hours in advance is not that bad from a strictly forecasting perspective."

But from a "practical perspective," it's a "big miss, and has major ramifications with business disruption, wasted resources and tax dollars, etc.," Miller said.

CNN did note the discrepancy among forecasts Monday, even as government officials were announcing closures.

"I just got the brand new models in just a minute ago. And one model says for New York City 2 inches -- not 2 feet, 2 inches. The other model I looked at said 27 inches," CNN meteorologist Chad Myers noted. "I hate it when models don't agree to that extent."

It's not an exact science, and it's important for people to know that, Miller says. "As meteorologists we must convey the uncertainty associated with these forecasts."

Opinion: Weather forecasts are always going to be uncertain

CNN's Ray Sanchez contributed to this report from New York; Josh Levs reported from Atlanta.

@highlight

Some Americans fear a "crying wolf" effect

@highlight

"Better safe than sorry," New York Mayor Bill de Blasio says

@highlight

A CNN meteorologist explains what the forecasts left out