(CNN) -- In his second inaugural address last month, President Barack Obama forcefully articulated a case for confronting the climate crisis. In his State of the Union speech on Tuesday, I encourage him to lay out a plan on it.

I realize Congress can be an obstacle. A few years ago, the right and left discussed how best to tackle the climate crisis. Today, it has become an article of faith among some conservatives to ignore science and deny there is a human-made crisis at all. Just last week, Sen. Marco Rubio, the oft-touted 2016 GOP savior who will deliver the Republican response to the State of the Union, falsely claimed there was "reasonable debate" on the issue.

There isn't. There is no alternative but to act.

As if the warnings from scientists weren't enough, in 2012 -- the hottest year on record in the contiguous U.S. -- we saw the true face of climate change: freak storms, raging wildfires, a new Dust Bowl in the heartland and devastating damages. Most heartbreakingly, innocent lives were lost.

Here's what Obama can do to help stop climate change -- and what he should announce in his speech on Tuesday night.

Opinion: Obama's chance to lead, or kick the can down the road

1. Negotiate a bilateral agreement with China

New Secretary of State John Kerry declared climate change a "life-threatening issue" at his confirmation hearing. Obama should make his chief diplomat's top priority the crafting of a bilateral agreement with China to reduce carbon pollution and accelerate clean energy.

Even if the Doha climate negotiations produce a treaty with teeth, the Senate will refuse to ratify it unless China is on board. Growing concerns about air pollution have the Chinese government talking about renewable energy. An agreement between the two largest emitters of greenhouse gasses would set the whole planet on a more sustainable path.

The best thing about this option: Obama does not need Congress' approval to start the dialogue. Furthermore, he can use the buildup to the Doha climate summit as an opportunity to educate the public about the real dangers of climate chaos.

2. Stop the Keystone XL Pipeline

Some scientists liken building the pipeline to lighting the fuse on the world's biggest carbon bomb. According to industry experts, without the demand from this pipeline, most of the oil in the Alberta tar sands would stay safely in the ground. Instead, Keystone would funnel the dirtiest oil on Earth from Canada to the Gulf of Mexico, which would do nothing to reduce our dependence on foreign energy while causing irreparable harm.

In return, we could get higher gas prices, risk of a BP-like spill in the heartland and fewer jobs than there are people employed in the wind industry right now.

3. Use executive branch powers

Although Obama cannot institute a carbon tax without Congress, he is not without options.

The Environmental Protection Agency used its authority to regulate carbon dioxide as a source of pollution and set higher standards for power plants. The EPA could go further. Obama should also support the efforts of the EPA to set new standards for soot based on the best and latest science. The administration could also open more public land for renewable energy development.

Finally, the president should publicly commit to making sure coal miners emerge as winners in the transition to clean energy jobs. At the least, the people who sacrifice their health to bring us power deserve secure pensions, world class health care and the opportunity to be trained in the industries of the future.

Twenty years from today, we could live in an age defined by ever-more-violent storms and watch as other nations stake out a crucial advantage in clean energy technology. Or, we can reject that future now and lead a healthier, more prosperous world well into the 21st century.

Tackling the issue entails some political risks. But the president should know that if he leads, a movement will rise to stand behind him. This Sunday, tens of thousands of Americans are expected to gather in Washington for the massive "Forward on Climate" Rally. They will be joined by thousands more across the nation.

A generation from now, this president's legacy will be measured by his record on climate. Strong words in the inaugural address were just the starting point. On Tuesday, we need to hear a concrete plan.

The opinions expressed in this commentary are solely those of Van Jones.

@highlight

Van Jones: President Obama should lay out a plan on climate crisis in his SOTU speech

@highlight

Jones: Obama should push for a bilateral agreement with China to reduce carbon pollution

@highlight

He says the administration should support the EPA to set stronger air pollution standards

@highlight

Jones: This president's legacy will be measured by his record on climate