(CNN) -- In 2012, a strong Web presence must be part of every political hopeful's strategy.

On the eve of Tuesday's Iowa caucuses, the first official contest of this year's presidential campaign, we take a look at how the seven Republican hopefuls are presenting themselves in the digital world of social media.

This includes everything from tallying their Twitter followers and Facebook likes to comparing what kind of information they're most likely to share online. We also compare their scores on Klout, a site that aims to measure someone's influence based on their popularity on social media (a number some consider dubious, but that more folks online are starting to pay attention to).

Of course, these numbers may have no bearing on how the candidates actually fare with Iowa caucusgoers. Some of the candidates may have departed the race by Wednesday night. And whoever survives the grueling process to presumably face President Barack Obama in November may change digital strategies multiple times between now and then.

But for now, here's a snapshot of the current GOP field online (in alphabetical order; numbers current as of Monday evening):

Michele Bachmann

Twitter followers: 36,262 (a heartier 126,842 for her Congress account)

Facebook page "likes": 460,290

YouTube channel views: 1,323,985

Klout score: 68

Style: Bachmann tweets only sporadically from her Congress account but several times a day from her campaign account, which is full of upbeat messages and quotes from the candidate ("I fight, I fight hard, and I fight for you"). Both her Twitter feed and Facebook page -- which seems to exist just to promote her campaign -- are full of pics of her on the stump in Iowa, waving from her bus and greeting voters.

Sample tweet: "Happy New Year! In 2012, we're resolving to make Barack Obama a one-term President. What's your resolution?"

Noteworthy: A gallery of Facebook pics shows Bachmann attending the Iowa-Iowa State football game in true politician style -- wearing a jersey that says "Iowa" on one side and "Iowa State" on the other. In another photo, she has autographed a bald man's head.

Newt Gingrich

Twitter followers: 1,385,524

Facebook page "likes": 224,267

YouTube channel views: 6,310,555

Klout score: 78

Style: Gingrich's Twitter feed is largely made up of routine posts like photos from campaign events, links to newspaper endorsements and the like. The feed is sprinkled with few posts that appear personal, though, thanking supporters and responding to follower's questions, for example. His Facebook page appears to strictly be official campaign posts.

Sample tweet: "Newt's economic plan is 'the most aggressive now, and it shows you how timid Romney's is in comparison.' http://bitly.com/sZSz38"

Noteworthy: Gingrich, whose Twitter follower count far exceeds any other GOP candidate, had a bit of a kerfuffle when a former staffer told reporters in August that the campaign had hired an agency to inflate that number with phony accounts. Gingrich denied it, although one analysis suggested that as few as 8% of his followers were actually human.

Jon Huntsman

Twitter followers: 66,699

Facebook page "likes": 30,785

YouTube channel views: 635,793

Klout score: 70

Style: Thanks in part to tweets and video clips from his daughters, Huntsman has definitely injected some personality into his online presence. In August, after Perry made comments that appeared to call the theory of evolution into question, Huntsman tweeted: "To be clear. I believe in evolution and trust scientists on global warming. Call me crazy."

Sample tweet: "Wishing everyone a Merry Christmas. Family tradition to serve at a homeless shelter in Salt Lake City on Christmas day."

Noteworthy: Huntsman's best social-media moment might have been in late November, when he fielded questions from followers live on Twitter. The event got some unexpected attention when "The Daily Show" playfully pranked it, using its own Twitter account to urge "Mad Men" fans to tweet questions to star Jon Hamm using Huntsman's identifying hashtag -- #QforJon.

Ron Paul

Twitter followers: 150,192 (plus 96.605 for his Congress account)

Facebook page "likes": 675,897

YouTube channel views: 35,591,936 (Note: He's had the account since 2008.)

Klout score: 75

Style: Paul's Facebook page has a dash of personality, including links to articles about him, photos of supporters and family events, and even the occasional "politician-with-baby" shot. Under "likes" he lists his son, U.S. Sen. Rand Paul.

Sample tweet: "Thank you for supporting today's money bomb! If you haven't had a chance yet, you can donate here: http://ow.ly/826Mq #RonPaul"

Noteworthy: In 2008, Paul was dominant online, with an active presence and diehard followers who flocked to push him to the top of online polls, even when the real polls didn't coincide. This year, other candidates have caught up with his campaign's Web presence, but he's polling better in the numbers that matter.

Rick Perry

Twitter followers: 111,629 (plus 24,209 for his campaign account)

Facebook page "likes": 180,211

YouTube channel views: 13,075,616

Klout score: 74

Style: Perry likes to tweet about running. He really, really likes to tweet about running. A big chunk of Perry's most recent tweets are photos of the spots in Iowa, and elsewhere, in which he's taken a jog.

Sample tweet: "Very nice running trail around Oskaloosa, Iowa. Go get em today..whatever it may be!! http://yfrog.com/obhyibvj"

Noteworthy: Perry's campaign got a lesson in social-media use after posting a campaign ad that bemoans the fact that gays can openly serve in the military and accused President Obama of waging a "war on religion." But the campaign either forgot or chose not to disable comments on the video. The result? It collected more than 730,000 "dislikes," making it one of the most disliked videos on YouTube. (By comparison, Rebecca Black's "Friday" has 367,000, although it is in its second incarnation).

Mitt Romney

Twitter followers: 219,425

Facebook page "likes": 1,267,200

YouTube channel views: No official channel

Klout score: 78

Style: Both Romney's Twitter feed and Facebook page are made up entirely of posts that seem to be directly from the campaign. No banter here. Perhaps to maintain greater control over his message, Romney almost never retweets posts from others.

Sample tweet: "I believe in restoring the principles that made America great, and I'll do that with your help Tuesday night."

Noteworthy: Pranksters on Klout have used the ability to give someone "+K" -- basically, an endorsement -- in an area of influence and are taking a shot at Romney's reputation for changing positions on issues. Behind "politics" and "conservative politics," Romney's third area of "expertise" is "Flip-flop (fashion)." It's a casual shoe and a political insult, all rolled into one.

Rick Santorum

Twitter followers: 52,800

Facebook page "likes": 42,147

YouTube channel views: 43,326

Klout score: 70

Style: With their "No Surrender" and "The Courage to Fight for America" slogans, Santorum's Web pages have a pugnacious tone. Both his Facebook and Twitter feeds are full of links to positive articles and plugs for his TV and radio appearances. The first fact listed on his Twitter bio, ahead of his status as a former U.S. senator, is "Karen and I have seven children."

Sample tweet: "Sitting w son John talking about his 1st pheasant hunt in IA. A proud dad and NRA member (with an A+ lifetime rating btw) #fb #iacaucus."

Noteworthy: The Internet hasn't always been kind to the former U.S. senator from Pennsylvania. When you Google his name, a top result is a fake sexual byproduct we can't repeat here, an act of revenge by sex columnist Dan Savage, who created the site because he objected to Santorum's comments about homosexuality.

CNN's Brandon Griggs contributed to this story.

@highlight

GOP presidential candidates have a varied approach to their online presences

@highlight

Newt Gingrich has the most Twitter followers, but some question how he got them

@highlight

Rick Perry's campaign posted an ad on YouTube that became its most disliked