(CNN) -- The major portion of the area Abu Bakr al-Baghdadi is attempting to control for the Islamic State in Iraq and Syria is the same place I called home for 16 months of my life.

Commanding Multinational Division North during the "surge" in 2007-08 -- a command that required securing four of the five provinces ISIS now desires to occupy -- allowed me to study the geographic, cultural, infrastructure and political and economic complexities of northern Iraq.

Anyone who supports fighting Baghdadi's ISIS in this area ought to be aware of the challenges the land and the people will present.

During our time there, we countered Iraqi insurgents, elements of al Qaeda in Iraq, homegrown terrorist groups like the 1920s Brigade, Nashqabandia, Ansar Al Sunna and a variety of other gang-like organizations.

During that time, I had more than 30,000 U.S. forces and a significant U.S. Air Force support element contributing to our operations. We also coordinated with an emerging Iraqi army (five divisions, 60,000 men in our area), Iraqi police force (about 40,000 men and a few hundred women in the various cities in the region) and a small and uncommitted Iraqi air force, with pilots training in helicopters and prop planes.

The most important thing I learned is how tough it is to fight a determined enemy there. Another takeaway: To succeed, the government of Iraq must want to provide security in the area more than the United States does.

The four Arab provinces in the area between Baghdad and the borders with Turkey and Syria are about the size of our states of Maryland, Connecticut, Vermont and New Jersey. Ninewa -- with Mosul as the capital city -- shares a 175-mile border with Syria; Ninewa and two other provinces have a 400-mile border with the three Kurdish provinces (also a part of Iraq but viewed by most within their borders as the autonomous Kurdish Regional Government).

The Kurdish provinces, in turn, share a 200-mile border with Turkey and a 300-mile border with Iran.

Four major rivers (Tigris, Euphrates, Diyala and Zaab) and two major mountain ranges (the now-famous Sinjar and the lesser-known but more mountainous Hamrins) break the landscape, which is mostly desert, palm groves and irrigation canals.

There are 10 major cities (five of which are among Iraq's top nine in population), dozens of smaller towns and hundreds of mud-hut villages. More than 11 million people make northern Iraq their home; I would suggest that over 90% do not want ISIS in control.

The land is diverse, and the culture is exceedingly complex. Though I studied this area for months prior to the deployment and then lived, traveled and interacted with the people in the area for over a year and a half, I still had difficulties understanding many cultural dynamics -- even with the advantage of State Department professionals, intelligence analysts from top three-letter agencies and cultural subject matter experts from universities and think tanks at my disposal.

It will take more than just wanting to beat ISIS to win in this area.

Tribes are critical in Iraq, and in the north, there are seven major tribal confederations and over 100 subtribes. While many believe the north is Sunni Arab territory, I found that while many tribes were indeed Sunni, a slightly smaller number were Sunni-Shiite mix, and some were exclusively Shiite.

One tribal confederation -- the Shammars -- is on both sides of the Iraq/Syria border, they have subtribes that are Sunni and Shiite, and their members roam freely across this national boundary with more allegiance to tribal law than to government of Iraq authority.

When we were in northern Iraq, we had evidence that some members of a tribe were assisting in smuggling weapons and foreign fighters from Syria into our area of operations. I would suspect they have provided the same service for ISIS.

When growing and training the Iraqi army and police during our tour, we realized it wasn't enough to recruit individual soldiers or police for the force. We had to garner tribal support.

It becomes obvious why the Iraqi security forces fell in the wake of ISIS advances: Since the central government in Baghdad did not meet the wishes of the tribal sheiks in the north, the leaders' calculation was that it was better to back those who would overthrow the government.

All this gives some indication of the challenges new Prime Minister Haider al-Abadi has in winning back the north from the grips of ISIS. Gaining tribal allegiance to support a government counteroffensive against ISIS is an issue al-Abadi understands; it took U.S. forces years to comprehend this critical cultural nuance.

Tribal feuds occur due to clashes over resources in rural areas, control of economic sectors in cities, honor issues (promises of marriage) and crimes committed by members of one tribe against another. The Kurdish region is not immune from tribal loyalties: The Talabanis make up one major political party (the PUK); the Barzanis make up the other (the KDP).

There has been much discussion of the importance of the control of Mosul Dam. But that is only one of many key infrastructure elements. The Bayji Oil refinery, the Kirkuk oil fields, the Mullah Abdullah Power Plant, the Ports of Enty at Rabbiya and Habur Gate, and key religious shrines like the newly renovated Shiite mosque in Samarra are also critical to the political and economic future of Iraq.

Each is probably on ISIS's "control" list, just as the elimination of security forces and other religions is on the "destroy" list of this horrific organization. Controlling or destroying each will result in humanitarian disasters as ISIS broadens its reach.

A more inclusive Iraqi government is currently forming, and hopefully it will gain momentum in addressing a nationalistic approach to countering ISIS.

It will require many things: an Iraqi national will; a condemnation by sheiks and imams -- and other moderates in the Islamic religion -- of the horrors committed by ISIS; an Iraqi and Kurdish military adequately supplied and trained, centrally controlled and supported by the people and not used for sectarian purposes; help from its friends and allies in the region and beyond; and taking advantage of mistakes ISIS is increasingly making in its messaging campaign.

Special operators designating key targets and U.S. air power dropping bombs will contribute, but ultimately only the Iraqis, including the Kurds, can turn this around.

Join us on Facebook.com/CNNOpinion.

@highlight

Retired Lt. Gen. Mark Hertling spent 16 months in Northern Iraq

@highlight

He says he learned about the great social, geographic challenges of the region

@highlight

U.S. airstrikes, Special Forces may help but won't gain victory over ISIS

@highlight

Hertling: Only the Iraqi, Kurd security forces have the potential to oust ISIS