(CNN) -- If you ask a class of aspiring managers in a business school for the purpose of the corporation, you get a remarkably rapid response. The purpose of the corporation, they will tell you, is to maximize shareholder value.

But like any simple answer, it is not only wrong, it is also profoundly damaging. To paraphrase Jack Welch, the legendary ex-CEO of GE, the idea that purpose of the corporation is to maximize shareholder value is "the dumbest idea in the world."

Corporations with a strict focus on maximizing shareholder value tend to employ a cadre of generalist managers who have relatively short-term commitment to the firm.

Because their compensation and future prospects are directly tied to share price, executives spend much of their time courting financial analysts. CEOs will often go to any lengths to keep this relatively small audience happy.

This means announcing all manner of initiatives which will boost the share price -- including mergers and acquisitions, restructuring, and downsizing.

Usually these initiatives look good on paper, and therefore deliver a rapid boost to the company's share price. However, actually delivering the value these initiatives promise is much more tricky.

The result is that up to 80% of these initiatives fail to deliver on their promises. Meanwhile, the executives who started them years earlier have banked their bonus, sold their share options and moved on, often to start similar restructuring initiatives at another company.

The people left behind -- such as longer term shareholders and employees -- are left to pick up the pieces.

Many large corporations are remarkably resilient. The people working for them are often able to get over failed initiative and get back to delivering the results which matter.

But this resilience can be rapidly eroded if the company -- driven by a relentless search for shareholder value -- goes through rounds of appointing heroic new CEOs who implement promising initiatives, create temporary share price boosts, then deliver disappointing or disastrous long-term results.

When this happens repeatedly, a corporation can easily go into a death spiral. Employees become bitter and cynical. The best leave, while the worst stick around. The quality of products and services suffer, and customers become dissatisfied.

The company diverts resources from innovation into providing immediate returns to shareholders. This can mean the company gets quickly overtaken by competitors.

Over time, analysts begin to sniff the creeping signs of corporate decline and begin making more sell recommendations than buy ones. The result is that the share price begins to decline. Ever more change and turnaround efforts seem to add fuel to the fire. Eventually the firm goes out of business, or is taken over.

There are many groups who lose from this process.

Employees lose jobs, customers lose loved products and services, suppliers lose value customers, governments lose tax revenues and investors lose the value of their investment portfolio.

One group who gains from this are the senior executives who keep moving between companies to get away from impending disasters and increase their pay packet. The other group are many professionals who skim the transaction costs off the multiple restructuring efforts, change initiatives and other activities designed to increase shareholder value.

Pulling companies out of these death spirals is notoriously difficult, and senior executives' responses can make matters worse. They usually launch flashy initiatives designed to appeal to the markets, which ultimately fail to deliver value in the long term.

But one of the biggest steps which we can take to avoid the fate of companies like the banks or Blackberry is to drop the myopic focus on maximizing shareholder value.

Instead, it is vital we recognize corporations have multiple goals -- such as creating fulfilling jobs, building up industry, satisfying consumers and delivering returns to shareholders.

The task of senior business leaders should be about balancing these multiple goals.

To ensure corporations drop their shareholder value myopia, there are some immediate practical steps that can be taken.

Corporate boards might include a range of representatives which goes beyond just shareholders. They might include employee, customer and community representatives.

Corporations should report not just their financial performance to shareholders, but also how they perform along other important metrics such as customer satisfaction, social and environmental benefits.

Executives should be measured and incentivized on a number of different dimensions -- only one of which would be shareholder value.

The corporation itself needs to take active steps to repudiate a broad culture where share price is the only thing which matters.

Questions such as how this impacts on customers, suppliers, communities and employees all need to be equally valid topics of discussion in the new corporation. The most damaging practices designed to boost shareholder value in the short term, such as share buyback schemes, could be banned.

These measures are likely to create an environment where plans are rigorously tested against different criteria before they are hastily rolled out.

READ MORE:
CNN's complete coverage from Davos

From 007 to the boardroom: What the Royal Navy can teach leaders

Opinion: Why it's time to rein in CEO pay

The opinions expressed in this commentary are solely those of Andre Spicer.

@highlight

Executives should be incentivized on different dimensions -- not just shareholder value, Spicer says

@highlight

Corporations with strict focus on maximizing shareholder value tend to employ managers with short-term commitment

@highlight

He argues that impacts on customers, suppliers, communities and employees all need to be discussed