(CNN) -- NATO agreed Thursday to take command of enforcing a no-fly zone over Libya and was considering taking control of the full U.N.-backed military mission, Secretary-General Anders Fogh Rasmussen told CNN.

Rasmussen's announcement fell short of what U.S. President Barack Obama has sought, and it was unclear if concerns by Turkey and some other NATO allies over coalition airstrikes on Libyan ground forces would prevent NATO from agreeing to expand its command over the entire mission.

"What we have decided today is that NATO will enforce the no-fly zone," Rasmussen said in an interview with CNN's Wolf Blitzer. "We are considering whether NATO should take on overall responsibility. That decision has not been made yet."

Rasmussen said he expected NATO to take over full control of the no-fly-zone enforcement in a few days, and to decide on the issue of broader responsibility "within the coming days."

However, a senior administration official said that in fact, NATO reached an understanding that it will control the rest of the mission, with details on the extent of the mission still being worked out.

The administration official, who spoke to reporters on condition of not being identified by name, said NATO ambassadors actually made two decisions Thursday. One was to take over command of the no-fly zone, and the other was a political decision to take responsibility for enforcing the full U.N. Security Council resolution authorizing the military mission.

"That latter part, we are still completing the operational planning and expect to be completed by this weekend," the administration official said.

The U.N. resolution authorizes a no-fly zone, enforcement of an arms ban, and other steps as necessary to protect Libyan civilians. So far, the U.S.-led coalition has interpreted that to include airstrikes on Libyan ground forces threatening the rebel stronghold of Benghazi and in other areas.

Thursday's agreement was reached in a conference call between U.S. Secretary of State Hillary Clinton and her counterparts from Britain, France and Turkey, according to the senior administration official and diplomatic officials who spoke on condition of not being identified by name.

At NATO headquarters later, the meeting of ambassadors extended long past its expected conclusion. NATO sources said a major sticking point involved the rules of engagement for coalition forces enforcing the U.N. resolution, with Turkey raising concerns over details.

When Rasmussen finally emerged to announce an agreement, it was clear that questions over the rules of engagement remained unresolved.

Asked if the announcement revealed a split in NATO over the mission, Rasmussen said no. However, he also acknowledged that if unaltered, the agreement would mean the overall Libyan mission would have two parts, with NATO enforcing the no-fly zone and arms blockade, and the U.S.-led coalition that launched the mission handling other necessary civilian protection.

Rasmussen said NATO would use the mission's already established chain of command for enforcing the no-fly zone. The NATO supreme commander, an American, would be in charge, but the mission would be under NATO control, Rasmussen noted.

In addition, non-NATO partners including Arab countries would participate, Rasmussen said.

After Rasmussen's announcement, Clinton told reporters that all 28 NATO allies authorized military authorities to develop a plan for NATO to take on the broader mission of civilian protection under U.N. Security Council Resolution 1973.

"NATO is well-suited to coordinating this international effort and ensuring that all participating nations are working effectively together toward our shared goals," said Clinton, who took no questions. "This coalition includes countries beyond NATO, including Arab partners, and we expect all of them to be providing important political guidance going forward. We have always said that Arab leadership and participation is crucial."

Clinton also said she will travel to London on Tuesday to attend an international meeting on Libya that will include NATO allies and Arab partners in the Libya mission.

NATO sources told CNN that the shift in command for enforcing a no-fly zone was expected by Sunday night.

According to the sources, NATO has sent a directive to NATO's military chain of command asking for a plan on how to execute an expanded role for enforcement of U.N. Resolution 1973. Under the expanded role, called "no-fly plus" by some officials, NATO might be given more robust rules of engagement to ensure that civilians are protected, the sources said.

One proposal for "no-fly plus" would allow some coalition forces to withdraw from certain missions, the sources said.

So far, U.S. forces have taken on the bulk of the Libyan mission, according to figures provided by the Pentagon. Of a total of 175 Tomahawk missiles fired, 168 were from the United States and seven from Great Britain, the only two countries to possess them, while U.S. planes have flown almost two-thirds of the sorties and U.S. ships comprise more than two-thirds of the total involved.

The U.S. aerial involvement will ease once NATO assumes full operational control of the no-fly zone, officials say. It was unclear whether the number of U.S. Navy ships taking part also would decrease, as well as what role U.S. forces would play in the civilian protection part of the mission.

Obama has repeatedly said that the United States will turn over control of the Libya mission to allies within "days, not weeks." While he specified that would mean no U.S. planes in the air over Libya, Obama left open the possibility of U.S. naval vessels playing a role in blockading Libya against arms shipments.

CNN's Jennifer Rizzo, Larry Shaughnessy, Tom Watkins and Tom Cohen contributed to this story.

@highlight

NEW: U.S. official says NATO agrees take on broader command, but details pending

@highlight

The deal means NATO will assume command of one part of the military mission

@highlight

NATO is still considering whether to also take command of the rest of the mission

@highlight

The agreement followed talks involving Britain, France, Turkey and the United States