Minneapolis, Minnesota (CNN) -- Attorney Brian O'Neill has a lifetime of experience when it comes to the legal battles that ensue following major oil catastrophes.

After the Exxon Valdez oil tanker crashed in Prince William Sound in 1989, O'Neill headed straight to Alaska.

The Minnesota-based attorney had an interest in environmental issues and wanted to help because, as he put it, "there were an awful lot of hurt people."

He soon represented 2,600 fishermen and others affected by the spill. What he thought would be a two- or three-year "adventure" is still the biggest thing on his plate, one-third of his life later.

O'Neill successfully argued the 1994 trial after which a jury ordered Exxon to pay $5.3 billion in punitive damages to O'Neill's clients and others affected by the spill.

Exxon appealed almost two dozen times and O'Neill was there through it all.

In 2008, the case reached the U.S. Supreme Court, where a 5-3 majority finally set punitive damages at $500 million.

It was a significant blow to O'Neill and his clients.

Today, O'Neill is working to make sure each of his clients receives the remainder of their payments from Exxon, which he expects will be complete by year end.

O'Neill spoke with CNN in his downtown Minneapolis office at the Faegre & Benson law firm about the similarities between the Exxon Valdez situation, and the current disaster in the Gulf of Mexico.

CNN: What are some of the key similarities you see between the two spills?

O'Neill: The noise and the feeling that you get now is the same as the noise and the feeling that you got in the early days of the Valdez spill, with people saying the same thing and people reacting the same way.

It's going to be interesting when the limelight is no longer on the Gulf as to how BP is going to act and how the federal and state governments are going to act. Because once this is no longer on the front page of the newspaper, everybody's reaction is going to be 'We need oil.'

Oil runs the universe, and you can see governments settling with BP relatively cheaply and you can see BP at some point in time changing its attitude from 'We'll pay you' to 'We'll pay you if the court tells us to pay you.'

CNN: This week, BP agreed to set aside a $20 billion escrow account to compensate U.S. businesses and workers who have been adversely affected by the Gulf oil spill.  What are your thoughts on that?

O'Neill: I hope what it means is that they're going to take $20 billion and set up a fund for victims and that you'll go to the fund and that they'll pay you interim money and then they'll pay you final money. That's my hope.

And for a lot of the plaintiffs, they may not need to ever go to court, so they're not going to get tied up for 20 years. [In that regard] it would be really positive.

If they're successful in starting to move money quickly, it'll be a huge success, but if they're going to pay anywhere from 30,000 to 100,000 people, that's awfully tricky.

And it's going to take a lot of work and a lot of money to set this thing up quickly, and it only works if you set it up quickly ...

For a lot of these people who live from year to year on their fishing businesses, they could be bankrupt by the end of the year. So that's what we have to do is we've got to get money to them quickly.

CNN: Did anything surprise you once you started representing the fishermen and taking on Exxon after the Valdez spill?

O'Neill: I thought that -- like a lot of people think now with regard to BP -- that Exxon would want to settle the case relatively early and move on and I was surprised a number of times with the fact that this was World War III to them, and they dealt with it that way ...

They spent over $400 million on lawyers, essentially defending [against] our claims. They took every appeal they could take and they took every delay they could take and filed every motion they could take.

Don't kid yourself: the oil companies have the best lawyers money can buy.

CNN: Is that one of the most important things you think people in the Gulf should keep in mind when thinking about filing a claim?

O'Neill: I think that they should -- if they have a claim --file a claim with BP and see if BP will pay it. If BP doesn't pay it I think they ought to go to the federal oil spill fund and see if the oil spill fund will pay it, and then if they have to file suit with the knowledge that it's gonna be a long haul ... make absolutely sure they're not giving up any legal rights.

The major problem they face other than the legal system is that they don't know how hard they've been hit yet. You could say to yourself, if you're a shrimper, 'Well I haven't fished for the last month.'

But what happens if this toxic oil does something to that fishery? Or what happens if the presence of that toxic oil does something to the price of Gulf shrimp around the world?

You're not going to know the answer to some of those things for two or three or four years.

So you have to settle part of your case now if you can ... because the scope of the harm to you is unknown. It's as unknown as where that oil is going to go.

CNN: You mentioned the legal system would be one of their biggest problems: can you elaborate on that?

O'Neill: Well if a company is rich enough and powerful enough to hire hundreds of lawyers they can essentially bring the legal system to a halt. They can.

Most of these fishermen no longer believe that the court system of the United States provides equal justice. They've come to a conclusion that is the same as the conclusion that I've come to, and that is that our governmental institutions will always bail out big oil, and they did here.

CNN: Do you think oil still has that great of an influence today?

O'Neill: It's more than the influence that oil has. It's whoever controls oil rules the world.

The fact that you came downtown in a car that needs oil [and the fact that] the electricity in the office is probably the result of oil are everyday reminders of the strategic importance of oil to the United States, and if you're a judge or you're the president...you're aware of the fact that you need BP and Exxon, so why the heck would you punish BP or Exxon in any way that impairs their ability to survive?

You wouldn't, no matter how many people they hurt.

CNN: Do you have any regrets from this case?

O'Neill: I regret that I haven't done a lot of other professional things for the last 21 years, I do. It was never my plan to be a trial lawyer until I was 63 years old.

I was going to go off and do something else, teach law school probably. But I didn't get the chance to do that so that's my biggest regret.

Second regret is it's hard on you emotionally, so then it's hard on your family to always be worrying about the same thing all of the time.

But we got through it ... I am proud of the work I've done. I am not proud of the fact that I didn't make my clients whole.

I had expected in 1989 that in the end of the day, everybody would be fully compensated for their losses, and they weren't. And that's in part my fault.

So while I'm proud I lasted 21 years, the result was not what my clients deserved.

@highlight

After the 1989 Exxon Valdez disaster, attorney Brian O'Neill headed to Alaska

@highlight

O'Neill thought he would be representing victims of the spill for three or four years

@highlight

Today, 21 years later, he is still working to make sure his clients are fully compensated