(CNN) -- Of all the terrible conflicts facing the world in 2013, Syria is undoubtedly the most complex and dangerous.

Violence has left four million people inside Syria in desperate need of help -- shelter, food, education, clean water, health care and protection -- and has uprooted two million inside the country and sent 600,000 fleeing the horrors of war into neighboring countries. Now a bitter winter is the new enemy.

Syria's children suffer the most. At least half of all those affected by the conflict are children. Too many have been injured or killed; too many have seen family and friends die, their homes and schools reduced to rubble.

The good news is our aid is reaching approximately 1.5 million Syrians, even in areas of fighting -- children are being vaccinated, and temporary schools are being set up, families are being fed and sheltered -- thanks to our work and to the valiant, efforts of many partners like the Syrian Arab Red Crescent.

But we could do so much more. There are areas inside Syria where our ability to deliver is intermittent at best; where we cannot reach those in need of our help. We appeal to all the parties involved in the conflict to grant unrestricted humanitarian access inside Syria. Sadly, if this appeal continues to go unheeded, we fear the already horrific level of suffering will become even worse.

Crisis in Syria: The Refugees

With each passing day, and each passing week it becomes harder for Syrians to endure. Most cannot flee and find safe havens in neighboring countries. Some find precarious refuge with friends or the kindness of strangers in another town. Others shelter in abandoned, unheated buildings or makeshift camps. Many find themselves moving from one place to another, again and again as the conflict spreads.

Living conditions in all areas of the country are deteriorating rapidly. It is not only the violence that people fear, but the combined threat of hunger, cold and illness.

Neighboring countries have opened their borders to 600,000 Syrian refugees and, with the help of humanitarian organizations like ours, offer basic support for their survival. But even they face difficult challenges.

Most refugees are children who have escaped with mothers and grandmothers. Now, many have been refugees for 21 months. It has been UNHCR's job to register them and provide them with shelter and basic relief items like mattresses, blankets and kitchen sets.

What's next for Syria in 2013?

In most places, WFP vouchers allow them to buy fresh food from the market. UNICEF helps children overcome their trauma, gets them into schools, and gives them with books and supplies and access to better health. Host communities open their homes and their hearts. Host governments provide medical and other community services.

As the numbers of refugees grow, so does the strain on these host governments.

The resources provided by Lebanon, Jordan, Turkey and Iraq are dangerously stretched.

No one can predict how long this will last. What is needed now is support from the entire international community to asylum countries and organizations like ours to help us do more.

In December, the U.N. appealed for $1.5 billion for the humanitarian response both inside and outside Syria and we are urging donors to contribute more.

If the conflict can't be stopped now, the least we can do is ease the suffering.

The opinions expressed in this commentary are solely those of António Guterres, Ertharin Cousin and Anthony Lake.

@highlight

Four million people inside Syria are in desperate need of help

@highlight

More than half a million others have fled to neighboring countries

@highlight

U.N. agencies say they struggle to get aid to some areas inside Syria

@highlight

U.N.: "Living conditions in all areas of the country are deteriorating rapidly"