(CNN) -- The U.S. Environmental Protection Agency on Thursday revoked a permit for one of the nation's largest mountaintop removal mining projects, saying it would destroy water, wildlife and Appalachian communities in West Virginia.

The controversial decision was condemned by the permit holder, Arch Coal Inc., and mining representatives, who said it would hurt industry investment and the economic recovery.

But adversaries praised the ruling as "a major victory" for environmentalists opposed to surface -- or mountaintop-removal -- mining, which uses explosives on hilltops to expose underlying coal.

The EPA invoked the Clean Water Act in killing a permit issued by the U.S. Army Corps of Engineers for the Spruce No. 1 Mine project, proposed for a more than 2,200-acre area in Logan County, West Virginia.

The agency has used that authority only 12 times since 1972.

Coal industry representatives suggested politics was behind the ruling. Regulators under Republican President George W. Bush, viewed as friendly to the coal industry, approved the permit, but agencies under Democratic President Barack Obama's administration moved to veto it, prompting lawsuits.

One industry leader called the ruling "unprecedented." The Sierra Club called it a "historic step" in dealing with "this mother of all mountaintop removal coal mines."

A West Virginia mining historian, who opposes another hilltop mining project at a state historic site, said the decision could merely force the industry to deploy the more costly method of traditional shaft mining, instead of the cheaper mountaintop-removal technique.

Despite industry objections, the EPA insisted "coal and coal mining are part of our nation's energy future," one official said in a statement Thursday.

St. Louis-based Arch Coal described the ruling as "chilling" to the industry and contended that the project would have infused the local economy with $250 million and 250 "well-paying" jobs.

"We believe this decision will have a chilling effect on future U.S. investment because every business possessing or requiring a permit under Section 404 of the Clean Water Act will fear similar overreaching by the EPA," Arch Coal spokeswoman Kim Link said in a statement. "It's a risk many businesses cannot afford to take.

"We remain shocked and dismayed at EPA's continued onslaught with respect to this validly issued permit."

Arch will "vigorously" defend the permit, now in court, and assert its right to have a predictable regulatory environment, Link said.

In response, the EPA said that 100,000 projects are approved by the corps every year, translating to millions of permits during the 39 years of the Clean Water Act.

The EPA has only twice revoked a permit under the section cited by the coal firm and added in its statement that the large scale and nature of the Arch permit are issues "unlikely to be repeated for other permitted Appalachian surface coal mining projects."

"Despite EPA's willingness to consider alternatives, the company did not offer any new proposed mining configurations in response to EPA's concerns based on science and the law," the agency statement said. "We don't think people in West Virginia have to make the false choice between healthy waters and a healthy economy. They can have both."

The plaintiff who began the fight to stop the mine, 70-year-old Jimmy Weekley, told CNN on Thursday that he was elated at the decision.

Weekley sued the government in 1998 for issuing the permit, saying Pigeonroost Hollow, where he lives, would be obliterated by the mine.

"They did the right thing, the EPA did. Thank God for that," Weekley told CNN, whose news crew was interviewing him when he received word of the ruling.

Weekley became tearful.

"This is another victory. They were fixing to destroy this," he said, referring to his property in Blair, West Virginia.

"I hope it's considered that all mountaintop removal permits will now stop," he said.

That hope is what triggers fear among industry leaders and the coal-mining families of West Virginia.

"It's absolutely mind-boggling to grasp," said Linda Dials, 51, of Clothier, West Virginia. Her husband, James Dials, 48, is a surface miner, and his job is now in jeopardy, she said.

The Dials are three-generation mining family. James Dials' father and grandfather were traditional underground miners, and Linda Dials' grandfather was a similar miner, she said. Her family lives seven miles from the Spruce No. 1 Mine project, she said.

"This is just one permit. What's going to stop them from taking back the rest of them," Linda Dials told CNN. "Right now, the thought that goes through your head is what job in coal mining is safe at this point, as far as your permits and stuff go. If they can take one, they can take them all."

Bill Raney, president of the West Virginia Coal Association, said he found the decision "absolutely awful news from an American standpoint and a mining standpoint."

"This is an example of arrogance on the part of the federal government," Raney said. "This permit was issued with all agencies agreeing on it four years ago, including the EPA. Then today they come in and say we're not going to have that permit. It's not right. It's like revoking a driver's license after it's issued."

Karen Harbert, president and CEO of the Institute for 21st Century Energy at the U.S. Chamber of Commerce, said the EPA decision "sends a very unsettling message to American businesses."

"EPA's unprecedented action to retroactively deny a permit changes the rules not just in the middle of the game, but at the end of it," Harbert said in a statement. "This is exactly the kind of practice that will keep capital on the sidelines and slow our economic recovery. The negative impact of this decision will be felt not only by West Virginians and the energy industry but across all sectors of our economy."

C. Belmont Keeney, a history instructor at Southern West Virginia Community and Technical College in Logan, said the decision was "a major victory for environmentalists," but "it's not going to end coal mining," as some might suggest.

Hilltop mining is cheaper because it employs fewer miners, and the EPA decision may force the industry to deploy traditional underground methods, which are more labor-intensive, Keeney said.

"It's going to affect profits because mountaintop removal is the cheapest way to get coal," Keeney told CNN. A historian of West Virginia coal mining, he's a member of Friends of Blair Mountain, which opposes any surface mining at the site of 15,000-miner revolt in 1921 that included his great-grandfather, who was charged with treason, which was later dropped.

"It's very difficult to prophesize what will happen," Keeney said. "It depends on how the coal companies will react. Will they be more conciliatory and willing to work with environmental groups or are they going to entrench themselves and draw battle lines?"

In its decision, the EPA acted under the law and used "the best science" in determining that the mine "would use destructive and unsustainable mining practices that jeopardize the health of Appalachian communities and clean water on which they depend," EPA Assistant Administrator for Water Peter S. Silva said in a statement.

"Coal and coal mining are part of our nation's energy future, and EPA has worked with companies to design mining operations that adequately protect our nation's waters," Silva said. "We have a responsibility under the law to protect water quality and safeguard the people who rely on clean water."

The EPA said it believes that mining companies can design their operations to make them more sustainable and compliant with the law. The agency cited as an example a mining company it worked closely with last year to eliminate nearly 50 percent of its water impacts and reduce contamination while increasing coal production.

In vetoing the permit, the agency said the mine would have created 110 million cubic yards of waste from blasting more than 2,200 acres of mountains and forests. The waste would have buried more than six miles of high-quality streams in Logan County, killing fish, small invertebrates, salamanders and other wildlife, the agency said.

The mining operation would have tainted downstream waters with toxic levels of selenium, which turn fresh water into salty water, the EPA said. The agency also said the mining plan "inadequately mitigated" environmental impacts by attempting to use storm water ditches as compensation for natural stream losses, the agency said.

CNN's Robert Howell and Dave Timko contributed to this report.

@highlight

An angry industry leader calls the decision "unprecedented"

@highlight

Environmentalists call it a "historic step"

@highlight

The EPA says the project would have created 110 million cubic yards of waste

@highlight

A "shocked" coal mining company says the ruling will have a "chilling effect"