A Maine judge on Friday ruled in favor of a nurse who defied a quarantine in a tense standoff with state authorities, saying local health officials failed to prove the need for a stricter order enforcing an Ebola quarantine.

District Court Chief Judge Charles LaVerdiere ordered nurse Kaci Hickox, who recently returned to the United States after treating Ebola patients in Sierra Leone, to submit to "direct active monitoring," coordinate travel with public health officials and immediately notify health authorities should symptoms appear. Another hearing is scheduled for Tuesday.

Standing with her boyfriend Ted Wilbur, outside their home in Maine, Hickox told reporters the decision was a "good compromise" and that she would continue to comply with direct active monitoring.

Ebola outbreak: Get up to speed

"I know that Ebola is a scary disease," she said. "I have seen it face-to-face. I know we are nowhere near winning this battle. We'll only win this battle as we continue this discussion, as we gain a better collective understanding about Ebola and public health, as we overcome the fear and, most importantly, as we end the outbreak that is still ongoing in West Africa today."

In a news conference with her lawyers Friday, Hickox, via Skype, expressed her support with the army of U.S. health care professionals battling the outbreak in West Africa.

"They are why I'm here," she said, acknowledging that she will work in Africa again. "I hope that one day I can meet some of them at the airport and give them a big hug and let them know that we're in this together ... This is important day for public health."

Her attorney, Norman Siegel, earlier called the decision a victory.

"She won," he said. "She is not quarantined. She can go out in the public. ... (The judge) got the understanding of what liberty is about and how the government can't restrict your liberty unless there is compelling justification."

At the news conference, another lawyer for Hickox, Steve Hyman, called the decision "an indication of thoughtfulness versus irrationality" and said his client had become "a prisoner because of misconceptions and a whole host of irrational arguments."

Hyman said he hoped politicians applied "the same kind of thinking and rationality" as LaVerdiere did when dealing with Ebola.

Late Thursday, the judge had ordered stricter limits on Hickox, requiring that she "not to be present in public places," such as shopping centers or movie theaters, except to receive necessary health care. The temporary order permitted her to engage in "non-congregate public activities," such as walking or jogging, but said she had to maintain a 3-foot distance from people. And it forbade her from leaving the municipality of Fort Kent without consulting local health authorities.

In Friday's ruling, LaVerdiere praised Hickox for lending her skills "generously, kindly and with compassion" to "aid, comfort and care" for Ebola patients.

"We owe her and all professionals who give of themselves in this way a debt of gratitude," he wrote.

While many people were acting out of fear that is not entirely rational when it comes to the deadly Ebola outbreak, the judge said that fear was present and real.

The actions of Hickox, as a health professional, "need to demonstrate her full understanding of human nature and the real fear that exist," LaVerdiere wrote. "She should guide herself accordingly."

Hickox said she has been sensitive to those fears.

"This is one of the reasons I am saying this battle isn't over," she said. "We need to continue this discussion. We need to continue educating ourselves and I don't want to make anyone uncomfortable. I think so far Ted and I have shown a lot of respect to this community. We care about the community."

Maine authorities wanted Hickox to stay home for 21 days -- the incubation period for the deadly virus -- although she has tested negative for the disease and has shown no symptoms.

Hickox says that she is healthy and that forcing her to stay home is unconstitutional.

Wilbur said isolating medical professionals returning from West Africa, the epicenter of the Ebola outbreak, affects their partners as well.

"This thing doesn't just affect Kaci," Wilbur told CNN affiliate WCHS. "And when people are going to be coming home from different parts of the world and West Africa, it's just not affecting the aid workers and what not. It's affecting their partners."

'We're not trying to push any limits'

The two went out on a bike ride Thursday, trailed by a police cruiser and journalists.

"If anyone in the community might have noticed, we went bicycling that way. We did not go into town," Wilbur told the affiliate.

He said they are not trying to cause trouble and want the community to feel at ease.

"We did not go into the grocery store. We are not trying to get anyone sick," he said. "We don't believe that we can get anyone sick. We're not trying to push any limits here. We're members of this community too, and we want to make everyone feel comfortable."

Hickox's quarantine was scheduled to end on November 10.

Governor: Her safety is a concern

Maine Gov. Paul LePage said venturing away from her house jeopardizes Hickox's safety.

"The reason there's a police car there when she does that is to protect her, more than anybody. 'Cause the last thing I want is for her to get hurt," he said. "But at the same token, her behavior is really riling a lot of people up, and I can only do what I can do. And we're trying to protect her, but she's not acting as smart as she probably should."

At first, Maine officials said they wanted her to remain at home for 21 days. Then, they've said they wanted Hickox -- who has twice tested negative for Ebola and says she feels healthy -- to avoid public places during that time.

Making a point with bike ride

Hickox has said state officials are the ones being unreasonable. She contends the U.S. Constitution and science are on her side.

"I'm fighting for something much more than myself," she said. "There are so many aid workers coming back. It scares me to think how they're going to be treated and how they're going to feel."

Hickox has said she's willing to compromise with the state, and she's open to restrictions barring her from public transportation and limiting her to Fort Kent, a town of 4,000 on the Canadian border.

Siegel, her attorney, said the couple went for the bike ride to highlight that she could be out in public without interacting with people.

New Jersey incident

When she returned from a month working with Doctors Without Borders in Sierra Leone last week, Hickox had an elevated temperature at an airport in Newark, New Jersey, officials said. She was put into an isolation tent.

She blasted New Jersey Gov. Chris Christie for enforcing a new policy that required anyone showing symptoms of Ebola, including an elevated temperature, to be isolated.

Complete coverage on Ebola

@highlight

Nurse Kaci Hickox calls court decision a "good compromise"

@highlight

Judge rejects Ebola quarantine for Hickox, loosens restrictions

@highlight

"We are not trying to get anyone sick," her boyfriend says

@highlight

Ted Wilbur, her boyfriend, says quarantine of aid workers will affect their partners as well