Washington (CNN) -- It used to be said that if the American economy sneezed, Latin America and the Caribbean would catch a cold.

Not so anymore.

Despite the great recession of 2008, the region has kept growing and avoided, largely unscathed, the troubles that still ail the United States.

The 20 nations that informally make up Latin America boast a booming economy with a combined GDP of more than $6 trillion, according to 2010 estimates by the International Monetary Fund. Latin America and the Caribbean, with a population of over 591 million people in 2011, are a potent market in a region where the U.S. already has free trade agreements with Mexico, Chile, Peru, Colombia and Panama.

But with 2,000 miles of a common border between the U.S. and Mexico (its third-largest trading partner after Canada and China), a complicated communist presence still in Cuba, simmering anti-American sentiments in Venezuela, and Brazil -- the largest economy in Latin America and the U.S.'s eighth-largest trading partner -- already a formidable economic powerhouse, the region is anything but a stable, sedate space in the Western Hemisphere.

As the U.S. is actively engaged in a deadly drug war in Mexico, Colombia and most of Central America and the Caribbean, and an arms deal gone bad is threatening to consume a sitting U.S. attorney general, the region could easily be seen as a very real security threat for the next occupant of the White House.

So will Latin America be one of the issues that the eight major Republican candidates confront during Tuesday's CNN National Security Debate in Washington?

You might not think so. A Google search of news stories on "national security" and "foreign policy" resulted in articles related to Syria, the Middle East, terrorism and who is advising the Republican candidates. Latin America or the Caribbean don't show up on the first 10 screens.

Still, candidates ignore the region at their peril.

New president in Guatemala

Hugo Chávez, the ailing president of Venezuela, has in the past reached out to Russia, Iran and Syria for arms support and strategic alliances. In Cuba, Raúl Castro, who took over as president of the country from his older brother Fidel in 2008, is only now starting to loosen restrictions on property ownership and instituting other reforms on the socialist island just 90 miles south of Florida.

A fence along the border

And then there's immigration. In recent debates, it has been considered more of a domestic issue, with proposals from the major candidates for a single fence, a double fence, an electrified fence and other fence variants along the border with Mexico.

Herman Cain, who had been surging in polls but is starting to slip, said that he supported a fence along the Mexican border. "When I'm in charge of the fence, we going to have a fence. It's going to be 20 feet high. It's going to have barbed wire on the top. It's going to be electrocuted, electrified," Cain told a rally in Tennessee. "And there's going to be a sign on the other side that says it will kill you."

He apologized for the comment, saying "it was just a joke," but a day later said he still supported some sort of electrified fence that could kill people trying to cross the border illegally.

Rep. Michelle Bachmann, who was popular early in the GOP race but has since fallen back to single digits in some polls, said she supports a two-part fence. "I was the very first candidate that signed a pledge that said that, by a date certain, I will build a double-walled fence with -- with an area of security neutrality in between."

Most GOP candidates have opposed most proposals for immigration reform until the border is "sealed," although the Obama administration states that border security is tighter that it has ever been.

U.S. Immigration and Customs Enforcement reported last month that the Obama administration deported nearly 400,000 illegal immigrants in the last year, a record number for the third straight year.

Staying out of their business

If Latin America and the Caribbean do come up in the discussions Tuesday, Rep. Ron Paul probably will be applauded by the region for his proposal not to meddle in other countries' affairs. He may not get the same applause in Latin America, however, for an idea -- shared by his some of his rivals -- to eliminate much of U.S. foreign aid to the region, which worldwide accounts for less than 1% of the federal budget.

Gov. Mitt Romney presented a formal proposal for Latin America focusing on trade and singling out Venezuela and Cuba. Cain says he will follow guidance from Cubans in South Florida on what to do about Cuba and the embargo.

Romney: I won't let Iran get nukes

Meanwhile, Gov. Rick Perry would send U.S. troops to help fight the war on drugs in Mexico, although that country most likely wouldn't accept them.

Former House Speaker Newt Gingrich, who appears to be the most informed of the candidates on the region by far, says he's learning Spanish and follows issues beyond the standard talking points on Cuba, Venezuela, Argentina and Brazil.

The current crop of Republican candidates would be wise to pay attention to the looming security presence posed by Latin America, whether it is drugs in Mexico, cartels in Colombia, Castros in Cuba, or a Chávez in Venezuela.

@highlight

Latin America has a booming economy with more than $6 trillion in GDP

@highlight

Deadly drug war in Mexico and Colombia, tensions in Venezuela make region a concern

@highlight

Several GOP presidential candidates have weighed in on the volatile region