(CNN) -- Nearly a decade ago, a group of Saudis and other men from the Middle East came to the United States to carry out the worst terrorist attack on the U.S.

Not a single one had American citizenship.

Almost nine years after the September 11 attacks, the threat of another major terror strike is still a concern, but where the threat is coming from has changed.

A growing number of American citizens and longtime residents of the United States are becoming radicalized enough by al Qaeda's extremist ideology to kill their fellow Americans, counterterrorism officials say.

A growing number are also learning the bomb-making skills necessary to become potentially dangerous terrorists, the officials say. They are training in the mountains of Waziristan in northwestern Pakistan, where al Qaeda still enjoys significant safety.

That's where, according to the U.S. government, alleged Times Square bomber Faisal Shahzad was trained by the Pakistani Taliban, a group with close ties to al Qaeda.

Shahzad's case has strong similarities to that of another American who plotted with terrorist groups in Pakistan to attack the United States. His name is Bryant Neal Vinas, a Catholic convert to Islam from Long Island, New York, who became radicalized, traveled to Pakistan to join up with al Qaeda and helped Osama bin Laden's terrorist organization plot a bomb attack on New York City.

When news of Vinas' arrest broke last summer, family members, friends and terrorism experts where dumbfounded by how a studious, middle-class, baseball-loving, all-American kid and onetime U.S. Army recruit could end up plotting to kill in the name of al Qaeda.

CNN's investigation into Vinas has resulted in an intimate portrait of a homegrown terrorist, charting the disturbing story of a young American's obsessive quest to join al Qaeda.

Watch a preview of 'American al Qaeda'

Vinas' case sheds significant light on why Shahzad and an increasing number of other young Americans have become seduced by al Qaeda's ideology.

Both Vinas and Shahzad were well-integrated into American life before becoming radicalized. Both traveled to the heart of al Qaeda's operational command in Pakistan's tribal region along the border with Afghanistan.

And both allegedly met with the most senior leaders of the Pakistani Taliban in the weeks before allegedly plotting against the United States.

"Bryant Neal Vinas is almost a poster child for the process, the unremarkable nature of the people who might go through this process and, frankly, the potential to link up to al Qaeda and the danger that presents," according to Mitch Silber, the director of intelligence analysis for the New York City Police Department.

Several top U.S. counterterrorism officials had the same message: Americans radicalized at home and trained in Pakistan represent a new and disturbing threat to the American homeland.

The changing face of terrorism

"In the 9/11 world and in the immediate aftermath, the theory was and the reality was that a terrorist attack, if it were to occur again on U.S. soil, would be someone coming from abroad and coming in to the United States," Homeland Security Secretary Janet Napolitano said. "That paradigm has changed, and there are now individuals in the United States, some who have grown up here and are American citizens. ... They haven't done anything to violate the law, but yet they have become radicalized to the point of violent extremism and to the point of ... considering coming back to the homeland and conducting an attack of some sort."

In the last year, there have been 16 cases of Americans or American residents implicated in Islamist terrorism, a surge in such cases. The Times Square plot is case No. 17.

These cases include the plot last September by Denver taxi driver Najibullah Zazi to conduct multiple suicide bombings on subway cars in New York City, an al Qaeda plot described by U.S. officials as the most serious on U.S. soil since 9/11. Like Vinas and alleged Times Square bomber Shahzad, Zazi and two associates allegedly received terrorist training in the tribal areas of Pakistan.

"Radicalization is definitely on the rise in the United States," said Silber of the NYPD, adding that there's "a new wrinkle" to that radicalization: "For years, many of these people almost exclusively sought to fight overseas, [but] now, we're seeing individuals looking to target the United States itself."

Counterterrorism officials believe that interactive online social media sites and a new generation of charismatic English-speaking preachers have helped al Qaeda and other terrorist groups spread their ideology into the United States like never before.

But not only radical online preaching has caused increasing concerns. CNN investigations have revealed that radical preachers are attempting to spread al Qaeda's message on the streets of American cities, including even on Times Square in New York.

Two New York City-based groups -- The Islamic Thinkers Society and Revolution Muslim -- have come under particular scrutiny because of their attempts to spread al Qaeda's ideology in the United States.

CNN investigations have revealed that Vinas hung out in Islamic Thinkers Society circles in New York before leaving to fight jihad in Afghanistan. U.S. counterterrorism officials tell CNN they believe he was radicalized by spending time with the group.

While the Islamic Thinkers Society and Revolution Muslim have few full-time members and their public rallies are sometimes sparsely attended, they have thousands of followers online, many of them American. And counterterrorism officials believe they often organize meetings in private.

"In a sense, they are almost bug lights for aspiring jihadists," Silber said. "They've got an anti-Western, anti-democratic, anti-U.S., pro-al Qaeda message."

One of the followers of Revolution Muslim's website was "Jihad Jane," the avatar of Colleen LaRose, a Pennsylvanian woman charged in March for allegedly plotting to murder a Swedish cartoonist.

The Islamic Thinkers Society, like Revolution Muslim, is still active. Last month, outside the Israeli Consulate in New York, it protested U.S. support for Israel.

After the rally, Islamic Thinkers Society spokesman Abu Mujaddid said the group planned to step up its activities in New York and was successfully recruiting new followers.

Mujaddid, who said he believed the United States was at war with Islam, refused to give his real name.

Breeding ground

While it is still unclear whether Shahzad had radical associates in the United States, U.S. counterterrorism officials are concerned that others like him may be being radicalized through personal contact with proselytizers.

Most serious plots directed at the West in the last six years saw plotters either trained or directed by established jihadist groups in Pakistan, according to a recent study conducted for the New American Foundation.

In recent months, videos have emerged purporting to show two Americans fighting with militants along the Afghanistan-Pakistan border.

One of the alleged Americans, going by the name Sayfullah Amriki, was featured with his face blurred in a video produced by the propaganda arm of the Islamic Jihad Union, an al Qaeda-affiliated Uzbek group.

In the video, Amriki said he was not the only American who had joined up with militants in the area. He also made a plea in English for new recruits to fight American forces in Afghanistan.

"We must rush to the lands to jihad. It is an obligation on us," he said. "How can we lose when we wish for death?"

But it's what happens when fighters like Amriki come home that most worries U.S. counterterrorism officials.

@highlight

More Americans are turning to radical Islam, U.S. counterterrorism officials say

@highlight

Homeland security secretary: This is a "paradigm shift" since the days just after 9/11

@highlight

Times Square bomb suspect Faisal Shahzad allegedly trained in Pakistan

@highlight

His case is similar to that of Bryant Vinas, subject of CNN's "American al Qaeda"