An abandoned subway terminal in New York City is being pitched for redevelopment into a sunlit, subterranean park -- replete with 60,000 square feet of flowers, ponds and trees.

Located in Manhattan's trendy Lower East Side, the vast underground space -- which is about the size of a football field -- has remained untouched since the terminal was discontinued back in 1948.

Now, a group of entrepreneurs are proposing an elaborate green makeover, in which sunlight would be "harvested" above ground and channeled into the vaults below via a network of fiber-optic cables -- creating an environment apparently filled with natural light and, in theory, ripe for growing all the foliage of a typical city park.

"Effectively, we'd gather an image of the sky and sun at street level and distribute it underground," said James Ramsey, former NASA satellite engineer-turned-architect and the brains behind the idea.

Ramsey began developing the Delancey Underground project (named after the old New York street under which the park is planned) after persuading the local transport authorities to give him, and co-founder Dan Barasch, a guided tour of its derelict carriage terminal.

"Sixty years of accumulated filth aside, I was struck by the beautiful historic qualities of the space -- with its cobblestone floors, original footway tiles and high-vaulted arched ceiling," recalled Ramsey. "These are all features we'd love to see carried through, but with the futuristic addition of a fully functioning community park."

Read related: Could 'Earthscraper' really turn architecture on its head?

Ramsey and Barasch's romantic vision includes a polished, undulating ceiling plane from which the "remote skylights" -- developed by Ramsay to filter out harmful ultraviolet and infrared light frequencies -- will flood the park with sunrays all year-round, night and day.

According to Ramsey, the technology is "like a cross between a  telescope and an endoscope" -- capturing light from the sun and then transporting it through fiber-optic cables onto a relatively small focal point.

"Of course the lighting will be supplemented with an electric supply at night and during cloudy periods ... and we'll also need additional energy for a ventilation system," said Ramsey. "But for both cost and environmental purposes, any additional energy use will be as green and efficient as possible," he added.

Comment:  Would you give them your support? Is the "Delancey Underground" project a feasible and much needed innovation or a pretty but impractical pipe dream? Tell us you thoughts in the comments section below.

Despite the possibility of this additional energy consumption, Barasch -- who also works for an NGO promoting socially innovative applications of technology -- is resolute about the park's eco-credentials.

"This will be a distinctive testament to the varied applications and incredible promise of solar power," he said. "It would also bring a slice of nature into one of New York's least green areas, and encourage people to think about their relationship with the environment."

The plans have drawn comparisons with the popular High Line -- another park built along an old railway way line -- in this case high above the city streets in New York's Lower West Side.

"Rather than demolish what was there and replace it with shiny new office blocks or expensive apartments, the existing structure has been re-imagined to become a sustainable space for everyone to enjoy ... and we have very similar aims in that respect," said Ramsey.

The terminal is currently under the control of the transport authority, and they have agreed to listen to the duo's pitch -- but made it clear they will not submit any funding for the construction of the park.

"In the end, we will have to compete with other proposals, which will no doubt offer compelling commercial arguments for things like a car-parking lot or shopping mall," said Ramsey, who plans to finance the entire initiative through private funding and donations.

The duo say it's too early to put a price on how much the park will cost to build and run, but they are currently in the process of raising $400,000 for a full-scale demonstration of the "skylight" technology and a thorough feasibility study regarding the structural and ventilation conditions of the terminal.

Barasch says that after a recent spate of community meetings, they also have the enthusiastic support of the locals.

@highlight

A group of entrepreneurs are proposing an an underground garden for New York

@highlight

Disused subway terminal could be filled with captured sunlight, allowing for growth of plants

@highlight

Creators say plans represent opportunity to introduce nature into one of New York's least green areas

@highlight

Pipe-dream or genuine innovation? You tell us.