(CNN) -- A predicted busy hurricane season this summer is on a collision course with an unprecedented oil spill in the Gulf of Mexico, and the results are anyone's guess, weather experts say.

"The problem is that this is a man-made experiment we wish we hadn't made," said Jenni Evans, a professor of meteorology at Penn State University.

Scientists on Thursday said as much as 19,000 barrels of oil have been spewing every day from the BP well in the Gulf, making it the largest oil spill in U.S. history. Most of the oily water lies off the coast of Louisiana, where marshes and wildlife have been coated and the state's fishing and tourism industries have taken direct hits.

Not only is it hard to track how contaminants would be redistributed by a hurricane, but it's also hard to predict how the slick would affect the storm, NOAA Public Affairs Officer Dennis Feltgen and Evans agreed.

Evans said the storm could either move the oil along the water's surface or it could mix the oil with the water and cause it to sink. If the oil moved horizontally, the shoreline would be polluted, she said. If it moved vertically, the marine life under the surface would suffer.

The oil could slow the storm's growth, Feltgen said. Evaporated ocean water fuels hurricanes, and the oil forming a film across the Gulf could buffer the water from the air, preventing the ocean water from feeding the hurricane, he said.

But other scientists say the storms could be stronger than usual because the black oil would heat the water faster and accelerate formation of hurricanes, which rely on warm waters for their development, Evans said.

CNN meteorologist Chad Meyers said there was another threat from the volatile mix of hurricanes and oil: storm surge.

"All the winds would be coming here," he said, indicating the coast on a map, "and there would be storm surge here. All the winds would be going this way, and there would be scouring and cleaning of the beaches on this side. But the storm surge that could make its way up and bring the oil miles inland could be completely contaminating the oil inland."

Oil in the Gulf coast isn't the only worry for hurricane forecasters this year: In earthquake-devastated Haiti, roughly 1.5 million displaced people are at risk. They are living under tarps and in tents in makeshift camps.

In Haiti, aid agencies relocated about 20,000 people who were vulnerable to flooding and mudslides when the rainy season began. But it is impossible to hurricane-proof the congested tent cities that many are calling home right now, said Heather Paul, CEO of  the aid program SOS Children's Villages.

Paul's program is working to provide permanent, stable homes to orphans in the form of polypropylene shelters. While her program's anchored shelters have the greatest potential to withstand strong winds, the outlook appears grim for many Port-Au-Prince residents.

"It's only short of a miracle to prepare these people for hurricane season," she said.

@highlight

Hurricanes would pile on to problems of oil spill, Haiti quake survivors

@highlight

Storm surge could force oil from shore miles inland, forecaster says

@highlight

It's hard to predict how oil slick would affect a hurricane, experts say

@highlight

Oil could slow the storm's growth, or make it stronger