(CNN) -- As the Supreme Court prepares to hear arguments in the constitutionality of the health care reform law, CNN spoke with two experts on opposing sides of the issue.

Karen Harned is executive director of Small Business Legal Center for the National Federation of Independent Business. The group, along with 26 states, will appear at the court's oral arguments. NFIB represents 350,000 small-business owners.

(Ron Pollack, founding executive director of Families USA, is for the health care reform law. Read his viewpoint here).

The following interview with Harned is edited for clarity and brevity:

CNN: Has the U.S. reached a health care crisis that justified the law supported by President Barack Obama and most Democrats in Congress?

Karen Harned: "We strongly think that our system is broken, and NFIB for two decades has been aggressively fighting for health insurance reforms. The reforms we wanted unfortunately were not included in the final law. They were reforms that would not drive down the cost of health insurance. That has been the number one issue for small-business owners.

"We are very much not of the 'just say no' crowd, we think the status quo is not acceptable. Our members are very vocal on that. The problem is that the reforms that we advocated were the ones that ended up landing on the cutting room floor and that Congress made a bad situation worse."

Preview: 'The implications ... are impossible to overstate'

CNN: But proponents argue there are tax incentives and other benefits designed to help small businesses provide health coverage for their small staffs.

Harned: "Of course, there are provisions in this law that small-business owners like. On the big picture, our small-business owners don't get to pick and choose which provisions of the law apply to them, in addition to the two better provisions. There are numerous new tax increases, but there's also an unconstitutional infringement of individual liberty in the form of individual mandates that require everyone to buy health insurance or pay a fine. So at the end of the day, the small-business owners that we represent saw more bad than good.

"The tax credit has been highlighted by the administration as something that's great for small business, but what we have found is that most of our members are not going to get that full credit. And the extent to which they get that credit, it's just not that significant. Because the amount of the tax incentive goes down as you either add employees or pay them more. It's actually disincentivizing small-business owners to grow their businesses."

CNN: Why in your view is the individual mandate requiring most Americans to purchase some form of health issuance an unconstitutional provision?

Harned: "If it's upheld, then the Constitution is essentially giving Congress the authority to create a command-and-control economy. This is about them telling us all sorts of things that we have to buy or contracts that we need to enter into. This is exactly the opposite of what we want to see -- Congress telling you where you need to be shopping, what you need to buy.

Two families, two viewpoints on health reform

"It also is just amending decades -- maybe centuries -- of contract law because you always have two willing participants. Those are things that fundamentally strike at the core of the small-business owners that I represent; it offends them to no end. As a practical matter, there are dollars and cents attached to this. I've talked to members who say, 'Look, this is a no-brainer.' "

CNN: So you worry the federal government would only expand its authority over commerce?

Harned: "The government has only made this worse in how they've argued this case, because they've been unable in every court they've been in before, to say where it would end.

"As recently as the federal D.C. Circuit Court of Appeals case, where Judge [Laurence] Silberman asked them [the Justice Department lawyers] point blank, 'Is it unconstitutional to regulate broccoli?' and [the government lawyer] said, 'Well, it depends.' Now it's like we're not citizens of this country anymore, we're merely subjects, if this individual mandate goes through."

CNN: Should Congress start all over and craft a new health care bill?

Harned: "NFIB went into this with the intention of striking down the entire law. We have demanded for decades that we get health insurance reform that drives down the cost of health insurance for small-business owners because that market is severely broken.

"We also believe, as the government has continued to argue, that the individual mandate is key, integral, to its operation. Without the individual mandate, it cannot stand. Even some of the provisions that people think are relatively extraneous come back, at least from a cost perspective, to the individual mandate. And if you don't have that, how does the rest of it work?

"... And the answer here is clearly no, because the two things that the law was said to be accomplishing were to increase coverage. The individual mandate is very key to increasing coverage. And reducing costs -- again by getting everybody into the pool, they're basically having the young, healthy people subsidizing the older population. That is supposed to be helping to lower costs for all.

"When you take that out, we don't see how the entire law works as Congress intended. And we definitely don't think Congress would have passed it without the individual mandate."

CNN: What is your message to the Supreme Court as they take on this legal challenge?

Harned: "We think the law is on our side. We think it's very clear that the Founding Fathers never intended to see Congress telling people what products they should buy. If you look at the justifications the government gives, the text doesn't support this mandate, the Constitution doesn't support it, and if the justices rule that the individual mandate is constitutional, they are going to basically open the door for Congress to legislate whatever mandates it finds appropriate that it will impose on individuals.

"We think the law, the Constitution, is very much on our side. That's what they're charged with upholding."

@highlight

Karen Harned speaks for the National Federation of Independent Business

@highlight

Harned: Reforms that we advocated were the ones that ended up being cut

@highlight

If health law is upheld, it will "create a command-and-control economy," she says

@highlight

Her assessment of having reform struck down: "We think the law is on our side"