(CNN) -- The tiny Caribbean nation of Grenada is more often associated with its unforgiving hurricane season and at times turbulent political history, however this week the island will be hoping that all the conditions are right for sailing.

The 2012 Grenada Sailing Festival begins on Friday with races around the southern and eastern coasts, in waters the organizers say are some of the most challenging in the Caribbean.

It is that same water that attracts visitors to the region. The crystal blue sea is a haven for sailors, swimmers and scuba divers, keen to race, relax and explore in the island that is known for being a yachting destination.

Twenty one miles long and 12 miles wide, Grenada lies just north of Trinidad and Tobago. The island declared independence from Great Britain in 1974, and today, much of its culture reflects the African roots of the black majority.

Grenada is more commonly known as the "Spice Island" and is a major exporter of cinnamon and nutmeg.

Climate

Around 110, 000 people call Grenada home, with the largest town St George's having one of the Caribbean's most picturesque waterfronts. With the average temperatures teetering around the mid-to late 20s (degrees), the climate is perfect to enjoy the outdoors and gaze out towards the ocean. However the region is not immune to hurricanes.

Its long hurricane season, stretching from June until November, can sometimes be deadly. In 2004, Hurricane Ivan ripped through the area, killing dozens in the region and causing widespread damage.

Sailing

If the festival inspires yachting enthusiasts to set sail, then there are plenty of marinas and inlets to dock for overnight stays. Eight marinas are dotted around the Grenada, and little inlets offer boats a sheltered place to drop an anchor. The festival centers around Port Louis Marina, just outside the capital.

Joshua Yetman, a photographer who lives on the island said, "Society here isn't based on class or cash-flow - and those lack of barriers is openly evident during the sailing festival. Million dollar sailing yachts are crewed by visitors and locals alike.

"On any given vessel you might find a teacher, a doctor, an investment banker, or a leather-skinned yachtie who travels from festival to festival."

Diving

The crystal clear water of Grenada makes the island's surrounds ideal for diving. Reefs, shipwrecks and a sculpture park are features of the underwater world.

Read more: The world's weirdest places to scuba dive

Within the island's protected marine area is Happy Valley, where authorities say divers will find a plethora of reef fish.

But it's not just the natural beauty that's said to captivate. The Bianca C shipwreck has been called the 'Titanic of the Caribbean'. The luxury liner sank outside the capital's harbor more than half a century ago and has since become a spectacular dive site. The sculptures under the sea is another of the breathtaking man-made sites. They were created by renowned English artist Jason de Caires Taylor to promote conservation awareness.

Beaches

Undoubtedly a highlight of Grenada, people are divided as to which beach is the best. But one thing they do agree on is that with turquoise water the glides up the long stretches of white sand, the beaches are idyllic. Visitors who are hungry for the typical Grenadian experience should head to Grand Anse where bars and restaurants are sandwiched between the clear waters and surrounding hills.

Sydney: Making the most of Australia's 'harbor city'

The fashion conscious should try the beach resort of Laluna which is co-owned by an Italian fashion publicist. Famous fashion names are said to have stayed in the cottages along the beach. However for those wanting a quieter approach, locals recommend the secluded L'Anse aux Epines Beach on the island's south.

@highlight

The 2012 Grenada Sailing Festival begins on Friday

@highlight

Organizers say the waters are some of the most challenging in the Caribbean

@highlight

The crystal blue sea is a haven for sailors, swimmers and scuba divers, keen to race, relax and explore