(CNN) -- State and federal investigations are underway in the case of lane closures that clogged traffic on the George Washington Bridge in New Jersey in August. Politicians and pundits are tossing around accusations of wrongdoing by employees of the New York-New Jersey Port Authority and the office of New Jersey Gov. Chris Christie.

The national press may feast on the political implications for New Jersey's Republican governor, but I think the episode is symptomatic of a larger, more troubling issue.

The deliberate political action resulted in life-threatening situations and delays that cost more than $21 million of economic losses to businesses and families. But the same situation faces millions of Americans every day because of the deterioration of our nation's infrastructure and political gridlock.

The George Washington Bridge is emblematic of thousands of other bridges nationwide -- it suffers from chronic traffic jams, has a long maintenance backlog and is showing signs of aging that you'd expect in an 83-year-old superstructure.

And while the bridge is undergoing an eight-year, billion-dollar renovation, it remains the busiest bridge in the world. It is a major connector of commercial industry and human capital in the Northeast that will require upkeep for decades to come.

In other words, the George Washington Bridge's condition is mirrored by other bridges coast to coast. American bridges are in bad shape, and there is a dire need for massive funding to shore them up or rebuild them.

As we know from major bridge collapses in Minneapolis in 2007 and in Washington State in May 2013, we're seeing more and more that merely driving across some bridges might mean that you are putting yourself at risk.

Rather than focusing only on the question of whether certain New Jersey politicians can "survive" the unfolding political scandal, we need to ask whether millions of Americans who cross the nation's bridges every day are going to survive their trips. We need to question why political battles at the congressional level have gummed up the funding for improving America's bridges.

This is a slow-motion scandal with far-ranging implications. Why is political gamesmanship stopping the critical investment in our country's future that labor, the Chamber of Commerce and the American public overwhelmingly support?

This political gridlock is about national elected officials from both sides of the aisle who -- over the span of several presidential administrations -- have failed to make the upkeep and revitalization of our bridges a top priority.

The condition of U.S. bridges and our national infrastructure -- roads, sewers, manufacturing and energy facilities -- should be inseparable from the debate over how to end our economic malaise. The troubling state of our bridges, in particular, is a premium example of how political priorities have created gridlock that impact millions of Americans every day.

By ending political gridlock that is in the way of funding for major infrastructure projects, jobs can be created, lives can be saved and the future of transportation and commerce will be secured. Instead, bridges continue to decay and desperately needed maintenance projects are still dangerously backlogged.

Consider this:

-- The United States, including Puerto Rico, is home to more than 66,700 structurally deficient bridges and 84,748 functionally obsolete bridges, the Federal Highway Administration reports.

-- Last year, the American Society of Civil Engineers rated one out of nine U.S. bridges as structurally deficient, and also found that the average age of the nation's 607,380 bridges is 42 years.

As a journeyman iron worker and representative of more than 100,000 workers -- including thousands of bridge workers -- I read about the George Washington Bridge-related political squabbling taking place now in New Jersey and interpret it differently.

As I see it, the real scandal here is in the question of how a critically vital piece of America's infrastructure -- the bridges that are our lifelines to jobs, hospitals and economic development -- have been neglected for so long.

Where is the outrage over the political gamesmanship at the congressional level that has caused desperately needed work on American bridges to grind to a halt?

The opinions expressed in this commentary are solely those of Walter W. Wise.

@highlight

Walter Wise says the attention focused on New Jersey's bridge scandal is misplaced

@highlight

Wise: Our nation's bridge's are in dire need of repair

@highlight

Wise: Political gamesmanship may lead to disaster with our infrastructure