(CNN) -- North Korea's National Defense Commission has penned a letter to South Koreans saying it is determined "to create an atmosphere of reconciliation and unity," the isolated nation's state news agency reported.

But South Korea says it wants to see action not words from North Korean leader Kim Jong Un's regime.

In the letter, the North's defense commission vowed to work to "completely halt hostile military acts, realize the reunion of separated families and relatives, ... and re-energize multi-faceted north-south cooperation and exchanges."

There was, however, a catch. The North Korean officials' peace proposals come with a request to halt upcoming U.S.-South Korean military drills and a reiteration of Pyongyang's claim to its own "precious nuclear force for self-defense."

A call last week by North Korea about the annual joint military exercises next month was swiftly dismissed by Seoul and Washington.

The open missive this week was carried by KCNA, which for years has featured reports deriding South Korea and its longtime ally, the United States.

It touts the proposal by North Korean authorities last week that signals "the steadfast will of its army and people to improve the North-South relations by concerted efforts of the two sides, not asking about all inglorious happenings in the past."

"The North-South relations will be improved on a solid basis only when both sides take realistic measures to prevent impending nuclear disasters with concerted efforts of the Korean nation," the commission wrote in a letter reportedly written Thursday and put out the next day.

But South Korean Unification Ministry spokesman Kim Eui-do said later Friday that if the North is sincere about improving ties, it "must show action" that South Korean citizens and the international community can accept.

That notably includes North Korea showing how it will take steps to dismantle its controversial nuclear program and making efforts to resolve humanitarian issues, like the reunions of families separated by the Korean War.

Hard to read

Many in Seoul and elsewhere have long been wary of Pyongyang's motives and intentions.

South Korean President Park Geun-hye told CNN's Paula Hancocks earlier this month that she feels it is now especially hard to make sense of what's happening or will happen next inside North Korea. She referenced the recent unforeseen execution of Kim Jong Un's uncle and perceived protector, Jang Song Thaek, as proof.

"North Korea has always been very unpredictable, but the level of unpredictability has, in fact, (been) exacerbated," Park said. "I'm concerned about deepening volatility."

North Korea's latest letter touches on many of the same points, and highlights similar proposals, to a statement addressed to South Korean authorities last week.

The two statements are among the more conciliatory and less combative communications from Pyongyang in recent years.

In his New Year's address earlier this month, Kim Jong Un called for better relations with the South.

Tensions last year

The relationship between Seoul and Pyongyang became particularly strained last year as North Korea hurled dramatic threats against South Korea and the United States.

Pyongyang has continued to develop its nuclear and long-range missile programs despite widespread international opposition.

Early last year, tensions simmered near the boiling point: North Korea's army declared the armistice ending the 1950 to 1953 armed conflict to be invalid on March 11, and a few weeks later, state news reported that Pyongyang had entered a "state of war" and threatened to "dissolve" the U.S. mainland.

"Any issues regarding North and South will be treated in accordance to the state of war," North Korea's government said in a special statement carried by KCNA.

The tensions have since eased somewhat and Pyongyang and Seoul have resumed dialogue on a certain number of issues, including their joint industrial zone that sits on the North's side of the border.

Dispute over drills

In last week's statement, a North Korean government spokesman conveyed Kim Jong Un's "sincere stand to ease tension and ensure peace" while also slamming "ill-boding, provocative remarks ... from South Korea" as well as "powder-reeking war exercises" involving the United States.

"The recent announcement of the huge DPRK-targeted war drills by the U.S. and puppet warmongers is a total denial of the improvement of the North-South ties and dialogue and is little short of the declaration of a total nuclear stand-off," said the spokesman.

North Korea has in previous years called for the cancellation of the annual joint military exercises between South Korea and the United States, but without success. The drills appeared to be a key cause of Pyongyang's threatening rhetoric last year.

The United States reiterated Thursday that it won't call off the drills with South Korea, which start next month.

"We don't plan to stop the exercises," Adm. Samuel Locklear III, head of the U.S. Pacific Command, told reporters. "The exercises are ... a cornerstone of how we train and maintain the alliance... It's not a change. We do these every year."

Notably, North Korea's latest message jabbed directly -- as it has in the past -- at South Korea's international allies.

And the commission didn't entirely spare Seoul either, chiding leaders there for not embracing its "important" initiative.

"Regretfully, ... the South Korean authorities still remain unchanged in its improper attitude and negative stand towards the proposal," the letter states. "What is most important for mending the inter-Korean ties is to have a proper attitude and stance towards this issue."

Journalist Soo Bin Park contributed to this report.

@highlight

NEW: South Korea says the North needs to show its sincere through action

@highlight

U.S. admiral says joint military exercises with South Korea won't be called off

@highlight

North says it wants to "halt hostile military acts," reunite families, improve ties with South

@highlight

Letter blasts "foreign forces," says South should have embraced its plans