Atlanta, Georgia (CNN) -- In one chair sits a rural retiree, his financial security shot in the slump, a humble Southerner who's never thought much about politics. In another seat is a born Northerner, an inner-city native, a relative of a civil rights giant. And nearby, circling a table, are an economist, an artist, a onetime John McCain supporter and a long-haired guy who's rich in Woodstock memories.

Meet these members of the Coffee Party Movement, an organically grown, freshly brewed push that's marking its official kickoff Saturday. Across the country, even around the globe, they and other Americans in at least several hundred communities are expected to gather in coffeehouses to raise their mugs of java to something new.

They're professionals, musicians and housewives. They're frustrated liberal activists, disheartened conservatives and political newborns. They're young and old, rich and poor, black, white and all shades of other.

Born on Facebook just six weeks ago, the group boasts more than 110,000 fans, as of Friday morning. The Coffee Party is billed by many as an answer to the Tea Party (more than 1,000 fewer fans), a year-old protest movement that's steeped in fiscal conservatism and boiling-hot, anti-tax rhetoric.

This new group calls for civility, objects to obstructionism and demands that politicians be held accountable to the people who put them in office.

Are you at a Coffee Party gathering? Share your images, story

"The government has become so broken that the will of the people has been lost in the political game," said Stacey Hopkins, 46, coordinator of the Atlanta, Georgia, chapter. "And the only voices you're hearing are the ones of those who are screaming the loudest. They have a right to their views, but they don't have the right to speak for all Americans."

At a recent Coffee Party planning meeting at Manuel's Tavern, an Atlanta political institution, about 40 people gathered to speak for themselves. They brought their own stories of why they were there.

The one who was "never active in this stuff"

Politics? It never spoke to John Purser, who's preferred the simple life. At 69, he lives in a two-room house on a rural dirt road in Carroll County, drives a 26-year-old Ford pickup and takes odd jobs to get by. He cuts grass, chops wood and does handyman work. Earlier this week, he freed a bird from someone's house and "got paid with a bottle of whiskey," he said with a laugh.

He doesn't need much. Never has. But Purser, who worked in maintenance for Delta Airlines for 30 years, has seen the little security he might have had -- his retirement money, for example, and his home's value -- fall apart in recent years. And he just doesn't understand why some fancy executive should earn millions. His own daddy made $12 a week building roads for the Work Projects Administration during the Great Depression.

"Our country was a hell of a lot worse off then, and we came together, and we did something," he said. "I'm not that smart. I don't know the dollars and cents. But I'm just looking for something different."

The Atlanta coordinator

Hopkins was 5 when she stared at the two water fountains: one marked "colored," the other "white." The New Yorker was somewhere in Virginia at a train stop with her mother and grandmother, and, well, she'd never drunk colored water before and figured white was what she wanted. But her grandmother yanked her away from that water, muttering something about her getting them all killed.

That moment, and her childlike understanding of what it meant, stuck with Hopkins and has driven  her ever since. The stay-at-home mom used to work in the real-estate mortgage field but left when she became disheartened by the industry.

She feels hopeful about the people who are re-engaging in and taking ownership of the political process.

"President Obama is stifled by a dysfunctional Congress. When he was on the campaign trail, he used the word 'we' a lot. He cannot do this alone. He needs our help," she said. "Americans are waking up across the board. ... Not everyone is cut out to be an activist. But everyone can do something."

The young fiscal conservative

When other kids were watching cartoons, Alex Oxford tuned in to news programs. For as long as the Marietta, Georgia, high school senior can remember, he's been drawn to politics. He's 17 and can't vote, but he's long volunteered for campaigns.

The self-described libertarian and fiscal conservative was, and in some ways still is, a supporter of the Tea Party. He initially backed Sen. John McCain for president in 2008 and isn't, himself, comfortable with the idea of a public option in the health-care system. But the direction Oxford has seen the Tea Party take recently has him concerned.

He can't help but think it's being hijacked by social conservatives and the far right, he said, and as a gay man who's committed to gay rights, it may not be his cup of political tea.

So he's pulled up a chair at the Coffee Party to see what it can offer. Next to him is a college Democrat leader wearing a T-shirt that reads: "I'll hug your [picture of an elephant] if you kiss my [picture of a donkey]."

"I never feel uncomfortable stating my opinions," but it was "sort of ironic. They wanted free discussion of the issues but didn't want to talk about the conservative side of things," Oxford said after the planning meeting. "I think it was great, but I'd like to see more conservatives and libertarians."

The disillusioned Obama supporter

"As a Southern woman, I was taught that discussing politics and religion is ill-mannered," said Darlene Jones-Owens, 53, of Carrollton, Georgia. But she became an involved and vocal Democrat when she "realized that America had been lied to about Iraq, that our military uses torture, and when I heard John McCain sing 'Bomb, bomb, bomb Iran.' "

She said she began registering voters for the Democratic Party, canvassed her neighborhood to talk about issues that had become dear to her and endured "icy stares and insults." Unable to find Obama bumper stickers and other materials where she lives, the University of West Georgia lecturer and a friend ordered them in bulk and made sure others had access to them.

"I am looking for a group of informed thinkers who might be able to impact the obstructionism we now have in D.C.," she said. "I've gotten really disillusioned with the lack of change that's happened. ... There are a lot of people looking for something different. We have a lot more in common than we realize."

The man Aunt Rosa called "baby"

Tony Anderson likes to say he was born into an organization. He has a twin brother and learned early on what it meant to work with others. Through church involvement and his family, the Detroit, Michigan, native gleaned more.

His great-grandmother's first cousin was the legendary civil rights activist Rosa Parks, whom he grew up calling "Aunt Rosa." He remembers her telling him, " 'You know, baby, you're not special. You're unique,' " and that's a distinction he appreciates today. To be special means you deserve more, your own category; everyone, on the other hand, is unique and has something to offer.

The 27-year-old social entrepreneur and nonprofit consultant works in sustainability. While a political philosophy major at Morehouse College in Atlanta, he started the Let's Raise a Million Project, which set out to bring low-income black communities into the green movement one compact fluorescent light bulb at a time.

He calls himself a "political realist" who never expects change to happen in a flash. He didn't put that on Obama, and he looks at the Coffee Party with cautious optimism.

"I think that space is definitely onto something," he said. It's "another way to start a conversation. That's what I really like."

@highlight

Freshly brewed Coffee Party Movement kicks off with global gathering Saturday

@highlight

Group calls for civility, end of obstructionism, accountability by politicians

@highlight

Planning meeting shows diversity in political, racial, socioeconomic backgrounds

@highlight

"We have a lot more in common than we realize," one Atlanta participant says