It was late in the day with the House oversight hearing on Benghazi winding down. On social media and elsewhere, there was conservative grumbling that Hillary Clinton was getting off relatively unscathed.

Then came conservative Rep. Trey Gowdy of South Carolina's second round of questions.

"If anyone wants to ask 'What difference does it make?' it always matters whether or not you can trust your government," Gowdy said, borrowing some words from the former secretary of state.

"And to the families, we're going to find out what happened in Benghazi, and I don't give a damn whose career is impacted," Gowdy continued. "We're going to find out what happened."

Tough legitimate congressional oversight or partisan politics? Leading Republicans say the former; most Democrats the latter.

Truth is, it is both.

And as the Benghazi investigations continue, that presents both parties with challenges.

For Republicans, if they want public support for continued hearings and questions beyond the GOP's conservative base, the challenge is to stress the legitimate questions about the Obama administration's response to the deadly attack on the U.S. consulate -- and its conflicting explanations of why it believes the attacks happened.

House Speaker John Boehner served notice on Thursday that GOP pressure would not subside.

The speaker said the administration should make public a series of e-mails and other records he said would provide key details about the attacks and the response.

Boehner calls for White House to release Benghazi emails

Among the records, he said, should be an e-mail from a top State Department official from the day after the attack. The e-mail, Boehner said, refers to "Islamic terrorists" as carrying out the attack.

"A senior State Department official e-mailed her superiors that the Libyan ambassador, she had told the Libyan ambassador, the attack was conducted by Islamic terrorists. The State Department would not allow our committees to keep copies of this e-mail when it was reviewed," Boehner said.

The White House and its allies in Congress make the case that any confusion and conflicting information in the early hours and days after the attacks stemmed from the "fog of war" -- not  any deliberate effort to mislead the American people about the source of the attacks.

Doomed Libya ambassador: 'We're under attack'

Traveling in Rome, the man who replaced Clinton, Secretary of State John Kerry, said he was as determined as the Republican House leadership to answer any legitimate questions.

"I have already made it crystal clear to the chairmen of the relevant committees that I have assigned my chief of staff, David Wade, to be responsible for liaising with them to answer any questions that they have," Kerry said. "I am absolutely determined that this issue will be answered, will be put to bed."

"And if there is any culpability in any area that is appropriate to be handled in some way with some discipline it will be appropriately handled. But that judgment awaits me in a report that will be forthcoming and I am confident that any recent evidence will be a component of that consideration," Kerry said.

Gregory Hicks, who became the top diplomat in Libya after Ambassador Christopher Stevens was killed, suggested at Wednesday's House Oversight and Government Reform Committee hearing that he was demoted and otherwise punished or making it clear he believed the Obama administration was withholding or ignoring key facts about the Benghazi attacks and response.

After hearing, Republicans say there's more to story

The committee chairman, California GOP Rep. Darrell Issa, said Democrats on the panel had shown little interest in finding the truth. In turn, committee Democrats, including ranking member Elijah Cummings of Maryland, said Issa and other GOP members were to blame for a reckless campaign designed to "smear public officials."

Susan Rice, the U.S. ambassador to the United Nations, took the most direct heat because of her assertions in a Sunday television interview days after the attack that linked the attacks to a demonstration outside the Benghazi consulate.

Hicks said there was no demonstration and that top State Department officials had been told that, and he told the committee he was "stunned" and "embarrassed" by Rice's televised account.

What the Obama administration has said about the Libya attack

The administration concedes Rice spoke from flawed talking points, but insists the mistakes were born of understandable confusion. Many Republicans see it differently -- alleging the Obama White House, in the closing days of the presidential campaign, wanted to play down the idea of a successful, coordinated terrorist attack on a U.S. diplomatic post.

"I do think that was the political motivation behind it," Florida GOP Sen. Marco Rubio said Thursday on Fox News. "What I think is sad is how many people around the administration, including the former secretary of state, Secretary Clinton, knew this to be the case, and allowed this to move forward anyway.

Mother of Benghazi victim: I blame Hillary

"You would've hoped that people would have stepped up and said this was wrong and the American people deserve the truth. That didn't happen."

Democrats are quick to suggest it is Rubio playing politics, noting his own interest in a possible 2016 presidential campaign. Democrats make the same argument when asked about the harsh criticisms of Kentucky GOP Sen. Rand Paul, another potential 2016 Republican contender.

Paul calls Clinton's handling of Benghazi a "dereliction of duty" that, in his view, disqualifies her from higher office.

Boehner tried to take a less confrontational tone on Thursday, but nonetheless said the White House was refusing to make public e-mails and other documents he says show the political calculation behind the Rice TV appearance and other elements of the administration's Benghazi response.

"The White House continues to claim it only made stylistic changes to talking points used by Susan Rice, ignoring the fact that senior White House officials directed the changes being made" to those talking points, Boehner said.

Conservative media outlets also clearly see an opportunity to raise questions about Clinton that could be a factor in her 2016 calculations.

Respected conservative writer and commentator Terence Jeffrey reminded his readers this week of the initial Clinton Benghazi statement suggesting, "Some have sought to justify this vicious behavior as a response to inflammatory material posted on the internet."

Jeffrey said the State Department refuses to provide information about who told Clinton an Internet posting might be a possible cause.

Hicks told the hearing on Wednesday that U.S. diplomats in Libya reported back from the very beginning that they believed it was a terrorist attack.

Among the conservatives urging House Republicans to demand answers from Clinton directly is former Vice President Dick Cheney.

On Thursday, Cheney spoke to the weekly "Theme Team" meeting organized by House conservatives and two people present at the breakfast said the former vice president said if Clinton declined to voluntarily answer questions, then she should be subpoenaed to testify.

Another veteran of the George W. Bush administration also weighed in Thursday, in a way that highlights the intersection of Benghazi oversight and Benghazi politics.

In an e-mail sent to conservatives, former U.N. Ambassador John Bolton said, "What happened with Benghazi is not how it's supposed to be handled and I think it could be a hinge point for the Obama administration."

The Bolton note was distributed by the House GOP's campaign arm -- the National Republican Congressional Committee -- and asks for political contributions to the GOP. In fact, if you click on the links in that Bolton e-mail, it takes you to an NRCC fund-raising website that declares "Benghazi was a cover-up" over a photograph of Clinton and President Barack Obama.

That definitive assertion on a House GOP official fund-raising site is par for the course in Washington these days. But it gives Democrats fodder for their argument that Republicans have already made up their minds and aren't conducting oversight hearings with an open mind.

Clinton is now a private citizen. But close allies on the committee, including New York Democratic Rep. Carolyn Maloney, came to Clinton's defense during the proceedings. And other longtime Clinton political loyalists were privately nudging reporters and media outlets about the tone of the Benghazi coverage.

One veteran Democratic strategist, who spoke only on condition of anonymity because Clinton chafes at those who publicly speculate about her 2016 interest, noted her overwhelming popularity among Democrats.

"She will have to deal with this," the strategist said, "but it will not be central to the campaign."

Longtime Clinton ally and Democratic strategist Paul Begala takes a similar view.

"Once more, the GOP runs the risk of appearing to be blinded by their partisanship," Begala said. "I have no idea if Hillary will run. But I know this: If she does this issue will not be a major stumbling block."

Begala drew historical comparison -- between Clinton now and then-Vice President George H.W. Bush heading into the 1988 presidential campaign.

"Remember Iran-Contra?" Begala asked. "Infinitely more damaging than Benghazi. The Reagan administration sold weapons to the ayatollah's regime in Tehran, then diverted some of the proceeds to the (Nicaraguan) Contras, then lied about it. The scandal paralyzed the Reagan administration for 18 months."

There were high-level resignations and criminal convictions, Begala recalled.

"There was a major joint congressional investigation, with highly publicized, televised hearings. There was a special prosecutor. It was one of the biggest scandals of the 20th century. And two years later, it had no impact on Vice President Bush's campaign."

@highlight

Republicans say Benghazi investigation legitimate congressional oversight

@highlight

Democrats say GOP is playing partisan politics with the attack on U.S. consulate

@highlight

Cheney tells House conservatives that if Clinton won't answer questions, she should be subpoenaed

@highlight

Analyst points to similarities between Hillary Clinton now and George H.W. Bush in 1988