An imposing ancient floor mosaic depicting a man driving a chariot drawn by horses and led by the Greek messenger god Hermes is the latest in a series of remarkable finds archaeologists have unearthed in the largest ancient tomb found in Greece, at Amphipolis in the country's north.

As experts try to get to the heart of this complex and delicate structure, excavation works have revealed the large floor mosaic, 10-feet wide and 15-feet long, full of tiny pebbles of white, black, blue, red and yellow. Other finds inside the tomb include two magnificent caryatids, sculpted female figures like those found at the Acropolis in Athens. Each figure has one arm stretched, as if to keep intruders out of the main chamber.

With every find revealing the further wealth of the tomb, excitement grows as to who was buried at the site. Dating from the fourth century BC, obvious links lead to Alexander the Great. Some say it may be the king's wife, Roxane, or his mother, Olympias. And while historic accounts show that Alexander is buried elsewhere, his tomb has not been found, fueling further speculation.

Since the excavation began in August, hundreds of tourists and local day-trippers have flocked to Amphipolis hoping to catch a glimpse of the site, while local media are filled with lengthy reports of the archaeologists progress. Bets and sweepstakes have also appeared to guess the occupant of the tomb, some less serious than others, with names like "Indiana Jones" popping up.

A visit to the site by Greek Prime Minister Antonis Samaras, who has described it as very important, has increased local certainty about the significance of the tomb. Despite what historians say, there are many who argue that only Alexander could be buried in such opulence.

The government is warning against unfounded reports but at the same time continues fueling public interest, with almost daily reports from Amphipolis on state broadcaster Nerit.

Broadsheet Kathimerini in an article this week wondered whether the "Amphipolis Syndrome" is largely a product of the financial crisis that the country has been experiencing for the last six years. The crisis "did not only dry social funds and pockets but also revealed a cultural deficit," the newspaper said. It questioned whether this is an attempt to restore Greece's tarnished image and boost national pride and morale that includes elements of a strategy that will see the government's popularity increase at a time when polls put ruling New Democracy 10 percentage points behind the main opposition, leftist Syriza.

There is such a wealth of heritage in Greece, often referred to as "the cradle of civilization," that there is no denying that antiquity remains one of its strongest cards, and with tourism being its second largest moneymaker after shipping, the country is keen to promote it further.

Only days ago at a presentation at the Archaeological Museum of Greece's second city, Thessaloniki, a team of Greek experts  confirmed that bones found in a royal tomb at Vergina, also close to Amphipolis, are those of the Macedonian King Philip II, Alexander the Great's father.

As Greece looks to the past to move forward at a time of crisis, it is also preparing to bring back to the limelight a cultural cause celebre, that of the Parthenon marbles housed at the British Museum in London. Greece says they were removed illegally and is asking for their repatriation.

Three prominent lawyers have arrived in Greece for talks with the government to explore the legal route for the marbles' return. And there are few people who are likely to attract more attention than the youngest of the three, 36-year-old Amal Alamuddin, who recently became Mrs. George Clooney after marrying the Hollywood star in Venice.

The Oscar-winning actor took the audience by surprise when he called on Britain to return the marbles to Greece in February during a news conference for his film "The Monuments Men," which deals with the recovery of artworks stolen by the Nazis. Responding to a question by a Greek reporter, he said, "I think you have a very good case to make about your artifacts."

Alamuddin has been involved in the issue since 2011, yet her high-profile visit, her first public viewing since her marriage with Clooney, is expected to further raise international interest in Greece's antiquity.

@highlight

There is speculation the find in northern Greece is related to Alexander the Great

@highlight

Large floor mosaic is latest treasure to be uncovered at Amphipolis

@highlight

Find could boost tourism that could help troubled Greek economy