Enoosaen, Kenya (CNN) -- When she was 14 years old, Kakenya Ntaiya entered the cow pen behind her home with an elderly woman carrying a rusty knife.

As a crowd from her Maasai village looked on, Ntaiya sat down, lifted her skirt and opened her legs. The woman grabbed Ntaiya's most intimate body parts and, in just moments, cut them out.

"It (was) really painful. I fainted," recalled Ntaiya, now 34. "You're not supposed to cry."

For generations, this ceremony was a rite of passage for every Maasai girl, some as young as 10; soon afterward, they would marry and drop out of school.

About 140 million girls and women worldwide have been affected by female genital mutilation, also known as female circumcision. The procedure is commonly based on religious and cultural beliefs, including efforts to prevent premarital sex and marital infidelity.

While female circumcision and child marriage are now illegal in Kenya -- new laws banning genital mutilation have contributed to a decline in the practice -- officials acknowledge that they still go on, especially in rural tribal areas. Despite free primary education being mandated 10 years ago by the Kenyan government, educating girls is still not a priority for the Maasai culture. According to the Kenyan government, only 11% of Maasai girls in Kenya finish primary school.

"It means the end of their dreams of whatever they want to become in life," Ntaiya said.

But when Ntaiya endured the painful ritual in 1993, she had a plan. She negotiated a deal with her father, threatening to run away unless he promised she could finish high school after the ceremony.

"I really liked going to school," she said. "I knew that once I went through the cutting, I was going to be married off. And my dream of becoming a teacher was going to end."

Dreams like Ntaiya's weren't the norm in Enoosaen, a small village in western Kenya. Engaged at age 5, Ntaiya spent her childhood learning the skills she would need to be a good Maasai wife. But her mother encouraged her children to strive for a better life, and Ntaiya heeded her advice, postponing the coming-of-age ritual as long as she could. When her father finally insisted, she took her stand.

Ntaiya's bold move paid off. She excelled in high school and earned a college scholarship in the United States. Her community held a fundraiser to raise money for her airfare, and in exchange, she promised to return and help the village.

Over the next decade, Ntaiya would earn her degree, a job at the United Nations and eventually a doctorate in education. But she never forgot the vow she made to village elders.

In 2009, she opened the first primary school for girls in her village, the Kakenya Center for Excellence. Today, Ntaiya is helping more than 150 girls receive the education and opportunities that she had to sacrifice so much to attain.

The Kakenya Center for Excellence started as a traditional day school, but now the students, who range from fourth to eighth grade, live at the school. This spares the girls from having to walk miles back and forth, which puts them at risk of being sexually assaulted, a common problem in rural African communities. It also ensures the girls don't spend all their free time doing household chores.

"Now, they can focus on their studies -- and on being kids," Ntaiya said. "It's the only way you can give a girl child a chance to excel."

Students receive three meals a day as well as uniforms, books and tutoring. There are also extracurricular activities such as student council, debate and soccer. Class sizes are small -- many schools in Kenya are extremely overcrowded -- and the girls have more chances to participate. With these opportunities and the individual attention they receive, the girls are inspired to start dreaming big.

"They want to become doctors, pilots, lawyers," Ntaiya said. "It's exciting to see that."

Just 4 years old, the school already ranks among the top in its district.

"Fathers are now saying, 'My daughter could do better than my son,' " Ntaiya said.

As a public school, the Kakenya Center for Excellence receives some financial support from the Kenyan government. But the majority of the school's expenses are paid for by Ntaiya's U.S.-based nonprofit. While families are asked to contribute to cover the cost of the girls' meals, an expense that can be paid in maize or beans, Ntaiya covers the costs of any students who cannot pay.

Each year, more than 100 girls apply for approximately 30 spots available in each new class. Parents who enroll their daughters must agree that they will not be subjected to genital mutilation or early marriage.

Many families are willing to accept Ntaiya's terms, and that's the kind of change she was hoping to inspire. It took her years to drum up support for the project, but eventually she persuaded the village elders to donate land for the school.

"It's still quite challenging to push for change. Men are in charge of everything," she said. "But nothing good comes on a silver plate. You have to fight hard."

Chief John Naleke, a village elder, can testify firsthand to Ntaiya's powers of persuasion. As recently as 2006, he claimed there was no need for girls to be educated. But she managed to win him over; he's now an important partner in her efforts.

Naleke said Ntaiya's accomplishments and spirit have made her a role model, noting that villagers also respect the fact that she didn't forget her promise.

"We have several sons who have gone to the United States for school. Kakenya is the only one that I can think of that has come back to help us," Naleke said. "What she tells us, it touches us. ... She brought a school and a light and is trying to change old customs to help girls get a new, better life."

In 2011, Ntaiya moved to Nairobi, Kenya's capital, with her husband and two young sons. She spends about half her time in Enoosaen, where she loves to visit with the girls and see them evolve.

"When they start, they are so timid," she said. "(Now) the confidence they have, it's just beyond words. It's the most beautiful thing."

Her nonprofit also runs health and leadership camps that are open to all sixth-grade girls in the village and teach them about female circumcision, child marriage, teen pregnancy and HIV/AIDS.

"We tell them about every right that they have, and we teach them how to speak up," Ntaiya said. "It's about empowering the girls."

In the coming years, Ntaiya plans to expand her school to include lower grades. She also wants to provide tutoring for the students from her first class when they head to high school next year, and she wants to eventually open a career center for them. She hopes that one day the school will serve as a model for girls' education throughout Africa.

Ultimately, Ntaiya wants girls to have the opportunity to go as far as their abilities will take them.

"I came back so girls don't have to negotiate like I did to achieve their dreams," she said. "That's why I wake up every morning."

Want to get involved? Check out the Kakenya Center for Excellence website at www.kakenyasdream.org and see how to help.

@highlight

Only 11% of Maasai girls in Kenya finish primary school, according to the government

@highlight

Kakenya Ntaiya is trying to change the culture and empower girls there

@highlight

Ntaiya studied abroad, came back to her village to open its first primary school for girls