London (CNN) -- The Democratic Republic of Congo has been torn apart for most of its bloody history. Its people have known little other than death, war and greed.

The central African state has been plagued by fighting over the control of its phenomenal natural resources -- a wealth of diamonds, gold and copper that sparked a war responsible for the deaths of over five million people.

But now its citizens have the chance to experience rare unity as the country's top football team seeks to complete an incredible journey.

African champions TP Mazembe will take on the might of Europe's finest, Inter Milan, in the final of the FIFA Club World Cup in Abu Dhabi on Saturday night.

Mazembe shock Internacional to reach final

The club hails from Lubumbashi in the south-eastern region of Katanga, which has a history of separatism and experienced some of the worst fighting in the complicated, five-year war between 1998 and 2003.

The conflict pitted different Congolese ethnic groups -- funded and armed by many of the country's neighbors -- against each other.

As many as 20,000 United Nations troops remain to keep the peace -- the world's biggest peace keeping mission -- but unrest, including murders and mass rapes, continue in the north and east of the country.

Just last August, the U.N. was criticized by human rights groups when at least 240 women, children and babies were raped within a few miles of their base in Luvungi.

Yet Katanga has enjoyed relative peace in recent years, in large part thanks to the province's popular governor Moise Katumbi, a billionaire Roman Abramovich-esque character who has regulated the region's previously chaotic natural mineral extraction and bankrolled TP Mazembe in the process.

Inter Milan ease into World Club final

"Soccer is something very good for the kids to do ... to stay out of doing bad things," Katumbi told CNN. "They can help the country, the national team, and help also their families, because today you can see the money that is going into soccer is crazy."

Katumbi's money has transformed TP Mazembe from a failing club with an illustrious past -- they won back to back African titles in 1968 and 1969 -- into the best team on the continent.

Rather than spending big on flashy foreign imports, he has instead invested in Congolese players, paying European-level wages to keep them at the club and out of the hands of European scouts used to picking off Africa's best talent for a pittance.

The players' salaries are rumored to be as high as $3,000 a week in a country where the average yearly wage is, according to Christian aid group World Vision, just $120.

Africans win opening match in Abu Dhabi

"[TP Mazembe] give 80% of our players to the national team of Congo," Katumbi explained.

"We have over 2,000 boys at our academy, training to be the next Messi, to be the next Ronaldinho. I like doing social programs for the people, that's why I'm in soccer. Soccer is social. I don't like anyone to suffer."

In African terms, the money dwarfs every other team on the continent.

"Just to give you an idea of how uneven the playing field is, I met Katumbi in Harare when I watched TP Mazembe play the Zimbabwean champions," said Steve Bloomfield, foreign editor of Monocle magazine and author of the book Africa United: How Football Explains Africa.

"Their entire budget for the year was $200,000. But I asked Katumbi, and he said: "If we win, the players and staff share $250,000."

TP Mazembe's bonus pool for one match was bigger than the budget for the Zimbabwean champions for a whole season.

"Money is no problem and this helps attract great players but, crucially, it helps them keep the players from European clubs because he can pay good wages," Bloomfield said.

From fishing boats to the Club World Cup

The huge budget helped TP Mazembe win the African Champions League title in 2009 for the first time in more than 40 years, and with it qualification for the FIFA Club World Cup, a competition that pits the champions from the ruling body's six confederations against each other.

For the players, it was a hugely significant moment, one that they felt could have a transformative effect on their war-torn country.

"There was many times my life was at risk ... but with the end of the war I am happy that there is now peace," TP Mazembe's captain Tresor Mputu told CNN last year before his debut in the competition.

"Football is a huge factor for development in Africa, in DR Congo especially. People love football so much, it unifies even in times of war."

But TP Mazembe's second appearance at the Club World Cup was almost over before it started.

TP Mazembe crowned kings of Africa

At a goodwill tournament in Rwanda earlier this year, Mputu -- considered to be the best footballer still playing on the continent -- was banned by FIFA for a year after karate-kicking a referee. The match, and the tournament, was subsequently cancelled and the team expelled from the country.

Missing their star player, Mazembe struggled in the early rounds of the African Champions League, but battled through before hammering Tunisian side Esperance 5-0 in the final.

Yet without Mputu, the team has made it to the Club World Cup final, beating Mexico's Pachuca and Brazil's Internacional along the way, without conceding a goal.

Mazembe's success has seen Katumbi's popularity soar across Congo, so much so that the businessman is seen by many as a Presidential candidate once U.N. forces leave and elections are held at the end of 2011.

Mazembe win 2009 African Champions League

"He is a politician and [funding TP Mazembe] helps his political profile," Bloomfield said.

"Not just in Katanga, where 90% voted for him. He wants to send a message to the rest of Congo and wants to be seen as the rich philanthropic leader who builds roads and hospitals.

"He used to be very good friends with [President Joseph] Kabila, but have had a bit of a falling-out. I don't think he will stand against him, but he will stand [in the future]. Congolese politics is very murky but I'll be very surprised if he didn't run for the presidency."

For now, though, the club is concentrating on how to beat UEFA Champions League winners Inter Milan in Saturday's final in Abu Dhabi. For once, the entire country will be united behind one flag.

"In TP Mazembe you find players who come from all the different provinces," Katumbi said.

"They have become something that belongs to the country."

@highlight

Congolese club TP Mazembe becomes first African team to reach FIFA Club World Cup final

@highlight

Moise Katumbi, governor of Katanga province, has bankrolled the club's success

@highlight

DR Congo's bloody war only ended in 2003, which saw 5.3 million people killed

@highlight

The team take on European champions Inter Milan in Abu Dhabi on Saturday night