WASHINGTON (CNN)  -- A government report released Thursday paints an alarming picture of an unstable future for international relations defined by waning American influence, a fragmentation of political power and intensifying struggles for increasingly scarce natural resources.

The report aims to better inform policymakers, starting with the administration of President-elect Barack Obama .

The report, "Global Trends 2025: A Transformed World," was drafted by the National Intelligence Council to better inform U.S. policymakers -- starting with the incoming administration of President-elect Barack Obama -- about the factors most likely to shape major international trends and conflicts through the year 2025.

"Although the United States is likely to remain the single most powerful actor, the United States' relative strength -- even in the military realm -- will decline and U.S. leverage will become more constrained," says the report, which is the fourth in a series from the Intelligence Council.

The report argues that the "international system -- as constructed following the second World War -- will be almost unrecognizable by 2025 owing to the rise of emerging powers, a globalizing economy, an historic transfer of relative wealth and economic power from West to East, and the growing influence of nonstate actors."

It argues that the world is in the midst of an unprecedented "transfer of global wealth and power" -- from West to East -- that is being fueled by long-term "increases in oil and commodity prices" along with a gradual shift of manufacturing and certain service industries to Asia.

And yet, while American power and influence are projected to decline, America's burdens are not.

"Despite the recent rise in anti-Americanism, the U.S. probably will continue to be seen as a much-needed regional balancer in the Middle East and Asia," the report notes.

The American military will continue to be expected to play a leading role in the war against global terrorism, though the United States as a whole will be less able to "call the shots without the support of strong partnerships."

America's biggest rival by 2025, the reports says, will be China.

"China is poised to have more impact on the world over the next 20 years than any other country," it notes.

The report projects that China will have the world's second largest economy by 2025 and will be a leading military power.

Equally problematic for U.S. policymakers is the fact that China is expected to become the world's biggest polluter and largest importer of natural resources.

China will not be alone, however, in terms of its desire to provide a consumption-oriented American lifestyle to a rapidly growing population. Countries such as India and, to a lesser extent, Indonesia, Iran and Turkey, will also likely see their power -- and desire for natural resources -- increase.

The report predicts that, the recent economic downturn aside, "unprecedented global economic growth" will mean that the demand for basic resources such as food, water and oil "will outstrip easily available supplies" over the next decade.

As an estimated 1.2 billion people are added to the world population over the next 20 years, the demand for food will rise by 50 percent, the report projects.

The lack of access to stable water supplies will also worsen due to rapid global urbanization, it says.

Further complicating matters is the fact that while demand for energy is projected to rise, oil and gas production will continue to be "concentrated in unstable areas," it says. The world in 2025 is therefore likely to find itself in the midst of a "fundamental energy transition away from oil toward natural gas, coal and other alternatives."

Such a transformation, however, may not stave off armed conflict driven largely by the struggle for scarce resources, the report says.

While conflicts are still most likely to "revolve around trade, investments, and technological innovation and acquisition," the report states that "we cannot rule out a 19th century-like scenario of arms races, territorial expansion, and military rivalries."

Terrorism is also expected to remain a major issue through 2025, though its appeal could be significantly reduced if economic and political liberalization accelerates in the Middle East.

"In the absence of employment opportunities and legal means for political expression, conditions will be ripe for disaffection, growing radicalism and possible recruitment of youths into terrorist groups," the report argues.

Adding to complications in the always-volatile Middle East will be Iran's possible acquisition of nuclear weapons, which could trigger a regional nuclear arms race, the report says. Continuing tensions between India and Pakistan also add to concerns regarding nuclear proliferation, it says.

The report highlights the need for new technological innovation to provide "viable alternatives to fossil fuels" and overcome future food and water constraints. At the moment, "all current technologies are inadequate for replacing" traditional energy sources "on the scale needed," it says.

The bottom line, the report says, is that "the next 20 years of transition to a new system are fraught with risks."

"This is a story," it says, "with no clear outcome."

@highlight

Report says China will have growing impact, second largest economy by 2025

@highlight

There will be an unprecedented global transfer of power because of oil, report says

@highlight

Indonesia, Iran, Turkey, will likely see power, desire for natural resources increase

@highlight

"Unprecedented" growth means demand for basic resources will outweigh supply