New Orleans, Louisiana (CNN) -- Oil companies Shell and BP began evacuating nonessential personnel from their drilling platforms in the Gulf of Mexico on Saturday as officials kept a wary eye on a tropical storm churning toward Mexico that could wreak havoc on oil spill cleanup efforts.

As much as 2.5 million gallons of oil could flow into the Gulf for two weeks if Tropical Storm Alex forces a work stoppage at the ruptured BP well, the government's disaster response manager said.

Adm. Thad Allen said gale-force winds near the well head would prompt an evacuation of the thousands of workers and vessels involved in the oil recovery and cleanup effort.

Both Shell and BP were taking precautions ahead of the storm. About 300 people were evacuated from Shell's production platforms and drilling rigs Saturday, company spokesman Bill Tanner said, adding that evacuations will continue Sunday.

BP began similar evacuations Saturday from three of its rigs in the far south of the Gulf, spokesman Neil Chapman said. He noted that the evacuations do not include anyone involved in the Deepwater Horizon response efforts.

If Alex forces a stoppage in cleanup, however, Allen said it would take 14 days to put everything back in place. That means the containment cap would be off for that period, allowing oil to flow freely. Researchers have estimated that between 35,000 barrels -- about 1.5 million gallons -- and 60,000 barrels -- about 2.5 million gallons -- of oil are gushing into the ocean every day.

Anxiety levels rose Saturday as Alex churned toward Mexico with a potential for hurricane-force winds in the coming days.

The latest computer models show the predicted path of the storm passing well south of the United States, making landfall in Mexico as a hurricane in the middle of the week, according to the National Weather Service. If it continues on its predicted track, the storm would not directly pass over oil-affected areas -- but forecasters have not ruled out an easterly shift in Alex's path.

"We all know the weather is unpredictable, and we could have a sudden last-minute change," Allen said.

Alex -- the first named storm of what is expected to be a fierce Atlantic hurricane season  -- formed in the Caribbean on Saturday and had maximum sustained winds near 65 mph. It was heading toward Belize and Mexico's Yucatan Peninsula.

Allen said it would take five days to evacuate more than 38,000 people and 6,000 vessels that are involved in the oil response as well as the two rigs that are collecting about 24,500 barrels of oil a day from the well, Allen said.

He told CNN there is "no playbook" when it comes to responding to a massive oil spill as a storm brews. "But I will tell you there's been an extraordinary amount of planning being done," he said.

BP plans to place a third rig called the Helix Producer at the well site next week, which will increase the amount of oil being captured to 53,000 barrels a day, Allen said. That, too, could be disrupted if Alex affects the area.

Gulf Coast residents feared that high winds and storm surges could spread the slick and push more oil ashore into bays, estuaries and pristine beaches, exacerbating the oil disaster triggered by BP's ruptured well.

"The greatest nightmare with this storm approaching is that it takes this oil on the surface of the Gulf and blows it over the barrier islands into the bays and the estuaries," Sen. Bill Nelson, D-Florida, told CNN. "And that is where you really get the enormous destruction, because it's just very difficult to clean up those pristine bays."

Also Saturday, Americans took to beaches from coast to coast to protest offshore oil drilling. They held hands and formed lines in the sand.

"I believe Americans need to stand together and take our energy future back from the grip of the oil industry," said Dave Rauschkolb, a restaurant owner from Seaside, Florida, who founded Hands Across the Sand.

Deepwater drilling could resume by the end of July after U.S. District Judge Martin Feldman in New Orleans, Louisiana, on Thursday denied a request to keep a six-month moratorium imposed by President Barack Obama on May 27 in place, pending a government appeal.

The government has 30 days to show it is beginning to comply with Feldman's order and start issuing permits. The appeals process can continue, but until the appeal, the government must act as if Feldman's order will be upheld.

While protesters lined the sand, Alex moved toward Mexico, no one knowing whether it would make a sudden turn north into the open Gulf.

CNN meteorologist Karen Maginnis said the "preferred scenario" actually would be for Alex to head to northern Florida. That's because the oil spill has been gradually rotating counterclockwise. If the storm heads to the east of it, it would send the oil farther out to sea. If the storm heads more directly towards the central Gulf and Louisiana, it might push the oil toward Florida.

"We've never been in this situation before," Maginnis said. "We've never seen an oil spill that encompassed the Gulf like this, end up so close to shore."

A powerful storm would also complicate efforts to clean up miles of coastline.

"It's going to mean we're going to have to find a way to maneuver all our resources, change things," said Grover Robinson, chairman of the Escambia County Commission in Pensacola, Florida. "We won't be able to fight the oil for a couple of days. And we have no idea about winds and current and what it will do to the oil in the gulf. So obviously, it's a very big concern for us."

Allen said he and some top Obama administration officials, including Vice President Joe Biden, will be headed back to the Gulf region next week to assess the oil relief efforts.

CNN's Chuck Johnston, Brandon Miller, T.J. Holmes and Moni Basu contributed to this report.

@highlight

NEW: Shell, BP evacuate nonessential personnel from Gulf of Mexico platforms

@highlight

If stopped, oil recovery could be suspended for two weeks

@highlight

Alex could push more oil ashore

@highlight

Alex moving toward Mexico's Yucatan Peninsula