(CNN) -- As any bike lover can attest, cycling has numerous advantages over driving; it's cheaper, healthier, and when there's traffic, the ride can be considerably quicker. What cars bring to the table is storage space. It's difficult to imagine moving house, schlepping groceries or making deliveries by bicycle, but in a handful of cities, residents and businesses are choosing to do just that.

Nine years ago, Rob King launched Outspoken Deliveries, a bicycle courier service in Cambridge, England -- a city often deemed the country's most bike-friendly.

"When we started, there were a few companies in Cambridge doing what we do, but they were still using shoulder bags, and delivering small documents. We found these cargo bikes that operated like a small van, only they were much more flexible and faster," he recalls. Today, his fleet includes bikes that can haul up to 250kg (550 pounds). Last year, Outspoken started subcontracting for larger delivery firms, including Parcelforce, TNT and APC.

"Traveling that last mile or two to deliver a package can be a bit of a headache for delivery companies," explains King. In the EU, larger companies often have to comply with automobile restrictions (in Cambridge, cars can't load or unload in the city center between 10am and 4pm without incurring a fine) and increased taxes for high-emission vehicles. Delivery by bike avoids those pitfalls.

Research undertaken by CycleLogistics, an EU-funded project dedicated to replacing motorized freight transport with bikes, found that bikes and cargo bikes could accommodate 51% of all deliveries in European cities currently being moved by all types of motor vehicles and over 90% of all supermarket shopping trips. According to Austrian Mobility Research, that amounts to a saving of 37 million tons of C02 a year, or a full 1% of Europe's current emissions.

"C02 isn't even the main argument," says Dr. Randy Rzewnicki, the project manager for CycleLogistics.

"There are an awful lot of more things that would benefit from moving shipping to bikes; urban air pollution, noise pollution, traffic. Those are big problems in Europe."

Of course, a surge in bike usage does raise the issue of bicycle casualties, though according to Ceri Woolsgrove, the policy officer for road safety and technical issues at The European Cyclists' Federation, reducing the number of delivery trucks could significantly reduce fatalities.

"Traditional lorries are really the most dangerous vehicle we come up against. They account for about 3% of the total vehicle fleet in Europe, but 18% of fatal road accidents. About 22% of cyclists killed in the EU are killed in collisions with good vehicles and public transport," he notes.

Despite the many benefits to getting cargo bikes on the road, Rzewnicki finds that one of the biggest hurdles his mission faces is a misconception of what is transferable by bike. In point of fact, there are few limitations. King says some of the more unusual things they transport include medical samples and human tissue for local hospitals.

"We've taken heart valves, and eyes, and all sorts," he notes.

In Copenhagen, a local sperm bank even developed a sperm-shaped bicycle that carries (you guessed it) sperm. To accomplish this, the belly of the bike has been outfitted with a nitrogen-cooled tank set to -320 degrees F to make carting samples around the city a possibility.

"We have about 15 clinics around the city, and we used to find ourselves stuck in traffic a lot of the time. By bike, it's an easy 20 minute ride between them," explains Dr. Peter Bower, the CEO of the European Sperm Bank.

While Bower notes he's "taken it to the extreme," he points out that in the cycle haven that is Copenhagen, cargo bikes are becoming the norm over cars.

"There are plumbers and carpenters and craftsmen that are starting to use bikes to carry a significant load. People here see the advantage of moving quickly through the city with more than you could carry on a regular bike.

@highlight

Research suggests that 90% of grocery trips could be made by bicycle

@highlight

Cargo bikes could accommodate half of all deliveries made in urban centers

@highlight

Though delivery trucks account for 3% EU of traffic, they contribute to 18% of fatal accidents