London (CNN) -- They are a formidable new force in the tech world -- tween developers with world-class coding skills and firsthand insights into the games kids really want to play.

At the forefront of this wave of young developing talent are a couple of entrepreneurial Irish boys who have emerged from the CoderDojo, a volunteer movement to teach kids computer programming.

Since the first CoderDojo started up in Cork, Republic of Ireland two years ago, the free, not-for-profit coding clubs have spread to 180 locations in 22 countries.

Harry Moran was hailed as the world's youngest app developer in 2011 when, as a 12-year-old, he released his app "PizzaBot" -- a game where a pizza tries to eliminate salami slices from a kitchen.

He created the game as a class project at a CoderDojo, less than two months after he started learning to code. It became an instant and unexpected hit, shooting to the top of the UK/Ireland App Store chart, overtaking giants like Angry Birds on the way and also performing well in the U.S. and Australia.

"PizzaBot was an experiment really," Moran said. "I didn't want it to be successful, I just wanted to put an app up."

The secret of the game's success? "It's pizza and it's a robot," he ventures. "Maybe because it was kind of based on Space Invaders, people felt they could relate to it."

Opinion: Teach U.S. kids to write code

While he admits coding "is not for everyone," it felt like a natural fit for Moran, even though it was not a talent that had been strongly fostered at home.

Before he started at CoderDojo, his parents would only allow him 20 minutes of screen time a week.

"That's computers, PlayStation and TV put together," he says. "After I went to CoderDojo one of the mentors took my mum aside and said, 'You've really got to let him have more time on the computer.'"

That extra time is now paying dividends, as Moran has followed up his hit game with a sequel called "PizzaBot Season(ing)s," and a new game -- "Robot Run!" -- about a quest to stop a rogue killer robot.

Read more: Demystifying cloud threats and firewalls

Moran credits his success to his affiliation with CoderDojo, co-founded by fellow Irishman James Whelton and Australian entrepreneur Bill Liao.

Whelton, 20, had run a computer club at his own school, and saw a huge demand for more resources to teach computer programming skills to young people.

After leaving high school, with Liao as an angel investor, Whelton launched CoderDojo, in which volunteers donate their time to teach code to 10-14 year olds. About 10,000 children have participated in the program.

Read/Watch: Gates, Zuckerberg: Kids, learn to code

Jordan Casey, a young software developer who also released an app game, "Alien Ball vs Humans," at the age of 12, is another CoderDojo success story.

Now aged 13, he has spoken at conferences in France, Germany, and India, while his company, Casey Games, has released an online multiplayer virtual world game called "Food World," and another called "Save the Day" to mark International Children's Day in Brazil.

Casey had already begun playing with code before he joined CoderDojo, and played a role in having a branch set up in his town.

"I think the best aspect of CoderDojo is the collaboration and social aspect," Casey says. "Most people when they think of programmers think of people in their room alone, curtains down ... Now, thanks to CoderDojo, people see it just like any other club."

Read more: The smartphone app that maps your mental state

Young people had some distinct advantages when it comes to tech, said Whelton, in that they picked up coding much more quickly than adults. "It's a generational thing. They've grown up with this stuff around them, so it's quite instinctive," he says.

They also had an edge in terms of an instinctive understanding of what appealed to their age group.

"I think their biggest strength is their age. It's like they're covert agents among their peers."

Coding had the potential to empower young people, he says, particularly in struggling economies such as Ireland where unemployment is approaching 15%.

"There are still vacancies in tech though -- people can't get enough developers and technical talent," he said.

On a personal level, the clubs played an important role in helping to give young people confidence, a peer group of like-minded kids, and a sense of identity.

"When I was young, coding was my thing -- I wasn't into the academic thing or the sporting thing," said Whelton. "It was always a passion. It wasn't to do it to get a job, or make the new Facebook -- it was to have fun, to build apps and games."

But from an early age, he had an appreciation of the ways in which coding could have a more serious impact as well.

When he was 14, he came to the aid of his neighbor's nephew who had been diagnosed with a tumor behind his eye. Doctors in the U.S. needed to see a scan within a day but the inferior broadband quality of the time wouldn't allow for the scan to be sent.

Whelton stepped up by swiftly putting together a software app that allowed the doctors to view the scan over the Internet, allowing them to make a correct diagnosis and treatment plan and saving the child's life.

Read more: Heal thyself - the bio-inspired materials that self-repair

Anyone can learn to code, he says.

"Myself, I did quite poorly in maths in school. But in the context of coding it makes sense. It's more based around logic than it is around arithmetic."

The trick is to make lessons fun and relevant. "Instead of making a website for the sake of it, you should be making a website for the local football club."

The open source, workshop culture of the CoderDojo adds to its appeal by encouraging students to quickly become mentors themselves.

"If someone learns or creates something new," says 14-year-old Moran, "it's really easy for them to teach other people and share that thing."

In this way, the first generation of CoderDojo prodigies like Moran are already working to inspire the next.

"I've taught quite a few people Android app and web development, and I really enjoy doing that."

@highlight

Developers as young as 12 are having success developing game apps

@highlight

Many prodigious developers come out of the CoderDojo, a free coding club for kids

@highlight

Started in Ireland two years ago, the non-profit has since spread to 22 countries

@highlight

Two entrepreneurial Irish boys are the club's most high-profile success stories