(CNN) -- Voters in military-run Myanmar head to the polls Sunday for the first time in two decades. The West has denounced the vote -- the military junta will maintain a plurality of seats in the parliament while the remainder are contested by candidates from dozens of parties, including one formed by the military-backed former prime minister.

China's chess match with Myanmar

Additionally, Aung San Suu Kyi's National League for Democracy, which won a landslide victory in 1990 but was not allowed to take power when the military nullified the vote, is boycotting the vote. It was disbanded by the junta earlier this year when its insistence on keeping Suu Kyi on its rolls barred it from registering for the election.

Suu Kyi, a Nobel Peace Prize laureate who has spent most of the last 20 years under house arrest or in prison, says she will not vote. Here's a preview of Sunday's vote.

How many will vote?

There are about 29 million eligible voters and more than 40,000 voting stations in the country. The population is about 58 million.

What are they voting for?

This is the first election since 1990, when the National League for Democracy won a landslide -- a victory that was never acknowledged by the army. After years of stalling, now Myanmar's military regime is holding an election, which many analysts say is nothing more than a sham to legitimize its rule. Voters will elect representatives to two houses of parliament (instead of one as before) and there will be 14 state/regional assemblies. The lower house, the People's Assembly, will have 440 seats and the upper house, the Nationalities Assembly, will have 224. There are about 900 seats in the 14 state or regional assemblies. However, with 25 percent of the seats in each of these assemblies is reserved for the military, the seats up for grabs are reduced to 330, 168 and 665 respectively. Each voter will be casting a vote for each of these three assemblies.

What about Aung San Suu Kyi?

The icon of the democracy movement remains under house arrest, her 15th year of detention. Her latest detainment was imposed after American John Yettaw swam the lake next to her house in May 2009 and spent two days in her compound, saying afterwards he was delivering a message from God.

Can Suu Kyi run in the election?

Conveniently for the junta, the election law specifies that a convict cannot be a member of a political party, and so Suu Kyi can not stand for election. The NLD refused to expel her in exchange for being able to register as a party in the election, hence they are now boycotting the process. However, some of their members have split and formed a new party, National Democratic Front (NDF), which will take part in the election.

What will happen to NLD and its members?

It is now an illegal party since members didn't register it as a party. They have been unclear about their next move, saying they will have to become a "social movement."

Which party does the junta favor?

The youth wing of the army, the Union Solidarity Defence Association (USDA), has transformed itself into the Union Solidarity Defence Party (USDP), a political party, which is expected to run uncontested in many areas.

Cyclone exposed secrets but junta keeps power

Why did Thein Sein, the prime minister, and some other ministers have to resign?

He has resigned to lead USDP. Its predecessor, the USDA, had at least 26 million members, and USDP has at least 16 million party members.

What are the other main parties?

The National Union Party (NUP) is the party of the former military strong man Ne Win. The NUP was beaten in the 1990 election by Suu Kyi's NLD, but the army ignored the result. Some analysts speculate that a high vote for the NUP could be interpreted as a protest vote against the current regime.

The National Democratic Front is a splinter group of former NLD members who think it's better to participate in this election as a first step towards full democracy.

A total of 37 parties are taking part in the election.

What was the SPDC and what happens to it?

The State Peace and Development Council was the official name of the junta. Officially, it will disappear as the new government is formed, but critics say the same officers will remain in power and, crucially, Senior Gen. Than Shwe is expected to remain commander in chief of the army.

How much does it cost to participate?

Each candidate has to pay a US$500 fee for running in the election -- and the fee has been criticized as an obstacle to many who would otherwise stand for election.

So if it's a sham, does that mean nothing will change?

Some analysts say that although the vote is rigged, the paradigm is changing. With regional assemblies, ethnic groups may gain power and effect change on the ground. A president, not a general, will be head of state, and another set of elections will be held in five years, when perhaps democracy may have a better chance.

@highlight

The election Sunday is the first in Myanmar in 20 years

@highlight

Nobel Peace Laureate Aung San Suu Kyi cannot run for office

@highlight

Her party, the National League for Democracy, has been disbanded