(CNN)This week, Hillary Clinton surprised the world yet again — not with the official launch of her campaign but for the unconventional way she did it. She sure pushed the envelope. With her video, new logo and road trip, she opened a long communications campaign not only to "rebrand" herself but to completely reframe who she is, what she stands for and how she intends to run.

We'll find out over the next year and a half whether it will work. Many in the press and on late-night television scratched their heads this week; others were scathing.

Ruth Marcus --  a  columnist for the Washington Post -- dismissed her launch video as a "relentlessly, insultingly vapid" effort of "demographic box-checking." Jon Stewart lampooned it as a "State Farm commercial gone viral" and also "boring as s---." Since the media will likely be the stand-in primary opponent for Hillary, their belief in her authenticity is a critical factor in whether she can reframe herself in voter's eyes.

But from a marketing perspective, her launch may have been much more successful than critics think. The YouTube announcement video took on the central strategic challenge for the campaign and candidate: To flip Clinton's message from self-absorbed "I" to empathetic "we."

While critics may sneer, it is hard to deny that the image it projects of Hillary is more confident, fresher, simpler and forward-looking, with even a bit of the upstart feel of two of the most successful product launch companies, Nike and Apple. Clinton's team may have begun to create an empathetic relationship with voters that has eluded her in the past, most crucially when she lost the nomination fight to Barack Obama in 2008.

In marketing terms, rebranding is a strategy to bring a new name, term, symbol or design to an established brand with the aim of developing a new identity in the minds of consumers. Reframing is a strategy that goes further: it seeks to change how a consumer (or voter) emotionally experiences an established brand.

A rebrand may change how you think about a brand; a reframe may change how you feel about it.  In the Apple case, the company at one time fell on its face when it unveiled the original Macintosh; some thought the company was headed for oblivion. But when Steve Jobs returned as CEO, he went back to the drawing board and soon unveiled the iPod, which not only changed the way consumers thought about Apple, but how they experienced it. Not only a rebrand -- but a reframe.

Take Hillary's road trip to Iowa in the van nicknamed Scooby. The press lampooned her, but I would bet that for many others, her unscripted and anonymous stop at Chipotle reinforced the "everyday Americans" campaign theme. Hillary stood in line to order, an everyday customer among everyday people at an everyday fast-food chain.

Also introduced last week was what will come to be the single most-ubiquitous element of her campaign: Clinton's new and controversial  campaign logo. It is a brilliant, iconic expression of the emotional connection she wants people to have with her, her message and her movement.  In fact, her logo is all about movement.

Simple, confident, high tech and shorthand to a much younger set of voters, the bold red arrow moving left to right in front of the strong blue H says it all: You are the important ones. I'm here to support you with everything I've got. Let me help you move forward.

Taken together, all the pieces of Clinton's announcement -- as well as the unconventional media she used to deliver them -- bring her back on stage not as a leader from yesterday but, surprisingly, as one for the future.

Coincidentally, the way Marco Rubio announced his run for the Republican nomination most likely amplified the impact of Clinton's reframing. For all his posturing about being the new generation, Rubio followed to a "T" the most traditional script for announcing a candidacy: traditional stage and podium, dark suit, bright tie, wife and kids on camera, a live speech, all about himself, timed for the evening news.

Rubio's logo, the signature of his image, drew immediate criticism for being amateurish and unconsidered, even leaving Alaska and Hawaii off the map of America. In stark contrast, Hillary showed the confidence and finesse to buck tradition on every front. It was Hillary who pulled the ultimate jiu-jitsu.

There are those, of course, who will be alienated, if not disgusted, by the way her campaign has unfurled such a sophisticated marketing plan. In a day when voters are yearning for authenticity, how do we know this is the real Hillary or a candidate in a mask?  Fair question. But for better or worse, mass marketing has become the staple of presidential campaigns -- that's where most campaign dollars go.

Both sides know how to play, sometimes brilliantly.  Remember the Reagan advertisements of 1984, proclaiming "Morning in America"? What we know is that over time, voters see a lot of unscripted moments of a candidate where the real character comes through. And if they spot hypocrisy between ads and the candidate, that campaign will get into trouble fast.

That's why the key to Hillary Clinton's success in reframing her message and movement will be consistency.  She must not only take the essence of a humble, empathic relationship with voters and integrate it into all elements of her communication, she must also live it every day.

Otherwise there will be messaging "schizophrenia," the solid start with flashes of brilliance will peter out and she'll be facing the same voter perceptions that doomed her race in 2008. In the meantime, one can imagine Clinton getting a huge, satisfying belly laugh out of the early returns on her efforts.

@highlight

Martha Pease: Hillary Clinton got her presidential bid launched by reframing who she is, what she's about

@highlight

She says Clinton took a low-key, unconventional approach, unlike Marco Rubio's standard announcement