Washington (CNN) -- The Obama administration Thursday evening asked a federal appeals court in California to reconsider its order last week temporarily blocking the U.S. military from enforcing its "don't ask, don't tell" policy on gays and lesbians serving in the military.

U.S. officials have been moving ahead with dismantling the policy but had objected to having the courts force the government to officially repeal it at this time.

At issue in the complex legal fight is whether "don't ask, don't tell" can remain in effect -- even in name only -- while the legal fight over its constitutionality is being carried out in the federal courts. Judges have been at odds over the enforcement issue for months.

The case has put the Obama administration in an unusual position of supporting a repeal, but at the same time filing court motions to prevent it from happening faster than planned. Military officials suggest the policy compliance changes eliminating "don't ask, don't tell" could be finished in a few weeks.

Federal courts -- including the Supreme Court -- have bounced back and forth over the temporary enforcement question, ignoring for now the larger question's of the federal law's constitutionality.

In its second appeal Thursday, the Justice Department in an emergency motion said the federal courts are overstepping their authority.

"The Armed Forces are moving forward expeditiously to prepare for the repeal of ("Don't Ask/ Don't Tell) in a fashion that Congress and the President consider the most effective way possible, and consistent with the nation's military needs," said the appeal. "The (judicial) panel's order cuts that process short and overrides the judgments of Congress and the President on a complex and important question of military policy."

In a brief order a week ago, the 9th U.S. Circuit U.S. Court of Appeals said "the process of repealing (the policy) is well underway, and the preponderance of the armed forces are expected to have been trained by mid-summer" on abiding by the new guidelines. However, said the three-judge panel, "The circumstances and balance of hardships have changed," concluding that as a result, "don't ask, don't tell" cannot remain in place.

The San Francisco-based appeals court's order is temporary, until it can fully hear the issue with oral arguments in late August.

A gay rights group -- the Log Cabin Republicans -- had sued over the 18-year-old ban on openly gay and lesbian members serving in the U.S. armed forces. In September, U.S. District Judge Virginia Phillips declared the military's ban to be unconstitutional, and demanded the government immediately stop enforcing it.

Congress has since passed legislation signed by President Barack Obama to gradually eliminate "don't ask, don't tell," but Pentagon officials had refused to issue a timeline on when that policy change would be completed.

It is an issue Defense Secretary Leon Panetta, who took over the post this month, will now have to confront.

If "don't ask, don't tell" is fully dismantled, and any current investigations of gay and lesbian service members are suspended, the legal appeals might quickly become moot. But the Log Cabin Republicans have vowed to continue the legal fight until then.

The Supreme Court last fall upheld an earlier order keeping the policy in place.

Log Cabin Republicans slammed the administration's newest court action. "This latest maneuver by the President continues a pattern of doublespeak that all Americans should find troubling. All this does is further confuse the situation for our men and women in uniform," said R. Clarke Cooper, the group's executive director, who is also a captain in the Army Reserve.

"'Don't Ask, Don't Tell' is an offense to American values that should have been gone long ago. It is shameful that a president who has taken credit for opposing the policy is taking extreme measures to keep it on life support."

Obama had said he long wanted to repeal "don't ask, don't tell," and had reached an agreement with then-Defense Secretary Robert Gates and Adm. Mike Mullen, the chairman of the Joint Chiefs of Staff, on a process that included a military review of how to make a successful transition to openly gay and lesbian soldiers serving.

The three men would then have to certify the repeal.

Gay rights groups say the policy -- even as it is being discarded -- violates the due process and First Amendment rights of military members. In their appeals, the Log Cabin Republicans said allowing the policy to remain in effect pending appeal would be unacceptable and would cause "irreparable harm."

The government presented "no evidence to support a finding that open service by gay and lesbian individuals harmed the military's interests, and ... both civilian and military leaders admitted that DADT actually impairs military interests," the appeal claimed.

"Deference to military judgment here tips the scales against a stay, rather than in favor of one," it said.

But the Obama administration, supported by Pentagon officials, argued that suspending the policy and forcing the military to immediately change course while the case is being appealed would cause problems during a time of war.

"The military should not be required to suddenly and immediately restructure a major personnel policy that has been in place for years, particularly during a time when the nation is involved in combat operations overseas," said the government in an earlier legal brief.

After the court's order last week, Pentagon spokesman Col. Dave Lapan said the military "will of course comply with orders of the court, and are taking immediately steps to inform the field of this order."

He added, "In the meantime, implementation of the DADT repeal voted by the Congress and signed in to law by the President last December is proceeding smoothly, is well underway, and certification is just weeks away."

Gates last fall raised the level at which gay and lesbian troops can be discharged under "don't ask, don't tell" by ordering that it only be done by the secretaries of the Army, Navy and Air Force.

In a memo written to the heads of all the military services, Gates said his action was taken in direct response to the legal uncertainty surrounding "don't ask, don't tell" law.

The case is Log Cabin Republicans v. U.S. (10-56634).

@highlight

An appeals court ruled last week that "don't ask, don't tell" cannot remain in place

@highlight

The Obama administration is asking the court to reconsider that ruling

@highlight

The administration supports the repeal but objects to having courts set the timing