When was the last time you saw a blockbuster film that didn't include a gun?

It might be hard to remember. Americans love movies that depict violence, a new study shows; 94% of the most popular movies since 1985 contain at least one violent scene, and half of those involve a gun.

For the study, published this week in the scientific journal Pediatrics, researchers analyzed the 30 top-grossing films every year from 1950 to 2012. They identified violent sequences in each movie and noted whether the scenes included a character carrying a gun with the intention of harming or killing a living target.

Since 1950, violence in films has more than doubled, the study authors concluded. Perhaps more surprising is that gun violence in PG-13 films has tripled since 1985, even exceeding the amount found in R-rated films in more recent years.

"Parents need to realize that just because a movie has been rated PG-13 does not mean that their 13-year-old should go to see it," study author Daniel Romer said. "We would like to see Hollywood go back to labeling movies with lots of violence, and gun violence in particular, with an R rating, just like they have been doing for explicit sex all along."

The average American sees seven movies in theaters every year, according to Nielsen's 2012 American Moviegoing Report. Those rated PG-13 are often the highest-grossing, bringing in about 45% of the market share.

The Motion Picture Association of America first began using the PG-13 rating in 1985. The rating urges parents to be cautious, saying "some material may be inappropriate for pre-teenagers," but theaters do not check IDs for those seeing a PG-13 movie. And some worry that exposing children to violence on the screen may encourage them to act it out in real life.

"There has been a long line of research showing that continued exposure to screen violence among children, mainly on TV, predicts the emergence of later aggressive behavior," Romer said. "We don't know if seeing gun violence on the screen has a unique effect, but it is concerning considering that we have seen a rise in the use of guns in schools and other settings in recent years."

Experts are still debating whether watching violent movies or playing violent games leads to real-life violence.

In 2000, a coalition of public health organizations, including the American Academy of Pediatrics and the American Psychological Association, published a joint statement, saying science had clearly shown "a causal connection between media violence and aggressive behavior in some children."

They said viewing violence led children to view aggressive acts as acceptable behavior and to become emotionally desensitized. The effects were "measurable and long-lasting," according to the statement.

Since then, several scientific studies have shown just the opposite. And the American Psychological Association has convened a task force to review the new evidence and potentially update its position.

"The problem is that people are looking for a yes-or-no answer ... when there is none," Brad Bushman, professor of psychology at Ohio State University, wrote in an opinion article for CNN.

Bushman and his colleagues recently conducted a study that showed college students who played violent video games for 20 minutes at a time for three days showed more aggressive behavior each day they played.

"The argument I hear most often is that video games can't be dangerous because millions of people play these games without becoming violent," Bushman wrote. "That's because they come from good homes, aren't victims of bullying, don't have mental health issues and don't have many of the other risk factors for violence. But what about players who are already predisposed to violence?"

Those who don't believe a link exists have crime data on their side. Coinciding with the rise of violent video games and violence in movies is a significant decrease in juvenile violent crime. In 1993, at the peak, teens aged 12 to 17 had a serious violent crime offending rate of 52 crimes per 1,000 juveniles, according to the Bureau of Justice Statistics. By 2011, that number had dropped to just six crimes per 1,000 juveniles.

While the study authors saw gun violence in PG-13 films triple, the same was not true for R- and G/PG-rated films. Violence in R-rated films held at a steady rate while G-and PG-rated films saw a decrease over the same time period.

@highlight

Since 1950, violence in films has more than doubled, a new study finds

@highlight

In PG-13 films, gun violence specifically has tripled since 1985

@highlight

Experts are still debating whether watching violence promotes it in real life