(CNN) -- It's no secret that the Obama administration has been routinely using the war budget as a safety valve to pay for equipment and operations that have nothing to do with fighting wars.

But as the President continues to expand U.S. military operations in Iraq and Syria, it is important that this practice of using war funding to pay for unrelated items be brought to an end. The alternative -- allowing the Pentagon to use budgetary sleight of hand to evade the spending caps contained in current law -- is simply unacceptable.

The levels of overfunding of the war budget -- known in Pentagon-ese as the Overseas Contingency Operations account -- have been astonishing. Independent analyses by the Center for Strategic and Budgetary Assessments and the Project on Government Oversight suggest that there may be $20 to $30 billion in non-war-related expenditures in the $80 billion-plus OCO account in the 2014 budget alone.

Two recent examples underscore how much excess funding has been sloshing around in the war budget. For a start, there is the fact that there is apparently enough money in the OCO account to pay for short-to-medium term expenses of the Obama administration's new war in Iraq and Syria. Yet every dollar in that account should have been justified based on the war in Afghanistan. This raises the question of what this money would have been spent on had the U.S. not become involved in countering ISIS. Second, there is talk of using the fund to buy eight additional F-35 fighter planes that won't even be ready for combat for a year or two.

The next big budget battle will come with the Obama administration's proposal for Pentagon spending for FY 2016, which will be submitted to Congress next year. Independent experts have reportedly suggested that the Obama administration may ask for $15 to $20 billion in OCO spending for Iraq and Syria alone, plus whatever they assert is necessary to continue transitioning the U.S. mission in Afghanistan from direct combat against the Taliban to continued training of Afghan security forces.

Congress should scrutinize this budget to make sure that every dime can be justified as having a specific connection to a current conflict, rather than a vaguely worded purpose that keeps the door open to continued use of the fund as a repository for Pentagon projects that couldn't cut it in the normal budgeting process. There are many reasons to question the wisdom of going to war in Iraq and Syria, but even members of Congress who currently support some sort of military action should be required to hold the line on unnecessary Pentagon outlays.

And, as Congress casts a sharp eye on the administration's request for the war budget, it must also guard against the expansion of wasteful spending in the Pentagon's base budget. Advocates of higher Pentagon spending have seized on the crises in Iraq, Syria and Ukraine to argue for a lifting of the caps on Pentagon spending that currently exist. But given the levels of unnecessary spending that currently exist at the Pentagon, there is no need to lift the caps.

A short list of items in the current Pentagon budget that need to be reduced before the department is allowed to request more funding should include the tens of billions spent on its vast civilian bureaucracy, the runaway funding for costly private contractors, vast overspending on basic items ranging from spare parts to prescription drugs, and unneeded and overpriced new combat systems like the F-35 and the new ballistic missile submarine.

We shouldn't let the Pentagon use the conflict in Iraq and Syria to continue entrenched patterns of wasteful spending that add nothing to our national security.

The ultimate proof that the Pentagon remains overfunded is the fact that it cannot manage a simple audit. The department can't even properly figure out how many contractors it has, what it is paying them, or what kinds and amounts of spare equipment and parts it has on hand. This sorry state of affairs is an invitation to fraud and abuse that is costing taxpayers untold billions every year.

The last time the United States went to war, Pentagon spending was given a free pass that allowed it to grow to the highest levels since World War II with little accountability over how those funds were spent. As it considers next year's budget request, Congress has a responsibility to make the Pentagon justify every dollar of spending it is asking for. The alternative could be tens or even hundreds of billions in unnecessary expenditures in the years to come.

@highlight

Pentagon uses budgetary sleight of hand to evade spending caps, says William Hartung

@highlight

Levels of overfunding of the war budget have been astonishing, Hartung says

@highlight

Congress has responsibility to make Pentagon justify every dollar of spending, he says