Columbus, Ohio (CNN) -- The campaign of Republican presidential frontrunner Mitt Romney tried Wednesday to put the best possible spin on Super Tuesday's mixed verdict, releasing a memo arguing that it is now nearly impossible for his opponents to catch him in the delegate hunt.

"Super Tuesday dramatically reduced the likelihood that any of Gov. Romney's opponents can obtain the Republican nomination," said Rich Beeson, the campaign's political director. "As Gov. Romney's opponents attempt to ignore the basic principles of math, the only person's odds of winning they are increasing are President Obama's."

According to CNN's latest delegate count, Romney now has 404 delegates, compared with 165 for Rick Santorum, 106 for Newt Gingrich and 66 for Ron Paul. To claim the nomination, a candidate will need 1,144 delegates when Republicans meet for their national convention in Tampa this summer.

None of Romney's opponents "succeeded in closing (the) delegate deficit" Tuesday, and "the calendar ahead offers them dwindling opportunities to close the gap," Beeson said. He called Super Tuesday a "one-time opportunity" to reshape the race.

Among other things, Beeson said that there are now few major delegate prizes remaining and that most of the states yet to vote have rules requiring a proportional allocation of delegates -- a reality that makes it hard to narrow Romney's lead.

Santorum and Gingrich have argued otherwise, insisting there is still an anti-Romney majority within the Republican Party that can unify in the weeks ahead. Next on the calendar: Kansas holds its caucuses Saturday, followed by contests in Alabama, Mississippi, and Hawaii on Tuesday.

Several U.S. territories will also have the chance to weigh in over the next week, including Guam, the Virgin Islands and American Samoa.

Romney substantially increased his delegate lead on Super Tuesday but failed by most accounts to deliver a knockout blow. He squeezed out a razor-thin popular vote win in the bellwether state of Ohio, while also carrying his home state of Massachusetts, plus Idaho, Vermont, Virginia and Alaska.

Santorum won North Dakota, Oklahoma and Tennessee, while Gingrich cruised to victory in his home state of Georgia.

Paul failed to win in any of the states up for grabs.

Complete Super Tuesday results

Romney was aided by his opponents' organizational failures. Santorum failed to meet the eligibility requirements for a number of delegates up for grabs in Ohio, and neither Santorum nor Gingrich qualified for the Virginia ballot.

Despite his opponents' problems, however, Romney still demonstrated significant weakness with elements of the Republican base. Evangelical voters, Southerners, strong tea party backers and rural residents continued to largely reject the former Massachusetts governor's candidacy.

A substantial number of voters also indicated concern that Romney -- a wealthy former venture capitalist -- cannot adequately relate to their daily struggles. In exit polls, 34% of Ohio voters said Santorum best understands the problems of average Americans, compared with only 22% for Romney.

Opinion: Why can't Romney win big?

Romney -- generally perceived as more moderate than Santorum or Gingrich -- "still has a problem with the base," said Ari Fleischer, a CNN contributor who was press secretary for President George W. Bush. "That base problem may make him attractive to independents if he gets to a general" election, but can work against the former governor in the primary season.

Santorum loses among Ohio Catholics

For their part, Santorum's and Gingrich's campaigns have high hopes for upcoming contests in the more conservative Southern and Plains states. Santorum's camp plans to buy about $1 million of ads in Kansas, Alabama and Mississippi, a source with the campaign told CNN.

Santorum's victory in Tennessee hurt Gingrich's strategy in the South after the former House speaker's triumphs in South Carolina and now Georgia.

"It looks we're going to get at least a couple of gold medals, and a whole passel full of silver medals," Santorum told cheering supporters in Ohio before the outcome in the Buckeye State was known.

Santorum stumps his naysayers

For Gingrich, who represented Georgia's Sixth Congressional District for two decades, the home state victory provided a new boost after a string of defeats.

Check in on the Political Ticker

"Thank you Georgia! It is gratifying to win my home state so decisively to launch our March Momentum," Gingrich said Tuesday night in a Twitter post.

"There's lots of bunny rabbits that run through," he later told supporters in Georgia, referring to the earlier revolving door of front-runners in the GOP nomination fight. "I'm the tortoise."

Gingrich vows to keep plugging away

A Gingrich campaign source told CNN on condition of not being identified that the former House speaker will become the third GOP candidate to get Secret Service protection starting Wednesday. Romney and Santorum already have that protection.

Romney entered Super Tuesday off of three wins last week and a growing lead in the race for the right to face off against President Barack Obama in November.

In remarks to supporters in Boston, Romney sounded like the presumptive GOP nominee, focusing his attention on the president.

iReport: Why can't Romney seal the deal?

Citing national unemployment that remains above 8%, Romney said the figure is just an "inconvenient statistic" in the eyes of the Obama administration.

"But those numbers are more than data on a spreadsheet; they are worried families and anxious faces," said Romney, who was interrupted repeatedly by chants and cheers. "And tonight, I'd like to say to each of them: You have not been forgotten. We will not leave you behind. Our campaign is on the move, and real change is finally on the way."

Photos from Super Tuesday

Romney also signaled a continued battle for his campaign.

"Tonight we've taken one more step towards restoring the promise of America," he said. "Tomorrow we wake up and we start again. And the next day we'll do the same. And so it will go, day by day, step by step, door by door, heart to heart."

Santorum also focused on Obama, saying the president's policies threatened the individual liberty of Americans. But he targeted Romney as well for his health care law in Massachusetts, arguing it was the model for Obama's federal health care reforms detested by conservatives.

"I've never been for a mandate at a state or a federal level," Santorum said in challenging the requirement in both the Massachusetts and federal laws for people to have health coverage.

Delegate tracker | delegate calculator

Despite lingering concerns about Romney's conservative credentials on health care and other issues, the former governor's campaign was bolstered by endorsements from several leading conservatives this week, including House Majority Leader Eric Cantor, R-Virginia; Oklahoma Sen. Tom Coburn; and former Attorney General John Ashcroft.

Five things we learned from Super Tuesday

Here is a state-by-state breakdown of the states that voted on Super Tuesday:

* The Alaska caucuses had 24 delegates at stake, to be allocated on a proportional basis.

Alaska results

* Georgia's primary had 76 delegates at stake, allocated on a proportional basis.

Georgia results | Georgia exit polls

* Idaho caucuses had 32 delegates at stake, to be allocated on a proportional basis.

* Massachusetts' primary had 38 delegates at stake, to be allocated on a proportional basis.

Massachusetts results | Massachusetts exit polls

* North Dakota's caucuses had 28 delegates at state, to be allocated on a proportional basis.

* Ohio's primary had 63 delegates at stake, to be awarded on a proportional basis.

Ohio results | Ohio exit polls

* Oklahoma's primary had 40 delegates at stake, to be allocated on a proportional basis.

Oklahoma results | Oklahoma exit polls

* Tennessee's primary had 55 delegates at stake, to be awarded on a proportional basis.

* Vermont's primary had 17 delegates at stake, to be awarded on a proportional basis.

Vermont results | Vermont exit polls

* Virginia's primary had 46 delegates at stake, to be allocated on a proportional basis.

Virginia results | Virginia exit polls

CNN's Jim Acosta, Dana Bash, Gloria Borger, Chelsea J. Carter, and Paul Steinhauser contributed to this report.

@highlight

NEW: Mitt Romney's campaign says it is nearly impossible for GOP opponents to win

@highlight

But Romney still appears to have a problem winning the conservative base

@highlight

Romney ekes out a victory in Ohio and bolsters his lead in delegates

@highlight

Rick Santorum takes three states; Newt Gingrich stays alive with victory in Georgia