(CNN) -- As the more than 76 million babies born in the "Baby Boom" of 1946 to 1964 approach and enter retirement, many thought they would finally be driving across the country in that decked out RV or spending more time spoiling the grandkids.

However, with their parents living longer than ever, many boomers have learned that unexpected obligations can cause their retirement plans to veer off-course.

According to data from the National Alliance for Caregiving, an estimated 65 million people in the U.S. are unpaid family caregivers. Seven in 10 of those caregivers take care of someone 50 years of age or older, according to research done in conjunction with the AARP.

Caregiving for loved ones the 'new normal' for boomers

Sixty-one-year-old Karen Jones from Virginia Beach, Virginia, burns the candle at both those ends.

"I never thought I would be doing this," said Jones. The retiree takes care of both her elderly parents, who are in their 90s and live two houses down from her.

At this point in Jones' life, her previous retirement fantasies of traveling have been replaced with the reality of being a caregiver and on call, 24/7.

"Travel plans now include very expensive trip insurance so I can rush back to take care of them," said the active retiree, who still surfs. "An extended trip to Scotland to visit my husband's relatives has been put off twice because it's hard to leave my parents for a month at a time."

Citing a strained relationship with her parents and no siblings nearby, Jones felt compelled to assume the caregiving role, "knowing that I am doing the right thing and that I am cleaning up my karma and putting old hurts to right," she said.

Many take this route instead of hiring a third party because it gives not only the child but the parent peace of mind, says Ellen Breslau, editor-in-chief and senior vice president of Grandparents.com.

"They will naturally feel more comfortable with you than with non-family members, which can impact the caregiving and their well-being," said Breslau.

Chrissy Carew's late mother moved in with her family in Nashua, New Hampshire, in spring 2003.

"When I was a child I always told my parents, when one of you goes, I am going to take care of the other one. I always knew this was my role," she said.

According to experts, boomers in the caregiving role encounter their own set of unique challenges, physically and emotionally.

"Caregiving often involves physically lifting your parent, helping them walk, sit and do everyday functions like getting dressed. This can have a big impact on your own body, which might not be as strong as it once was," said Breslau.

Seventeen percent of caregivers felt their health has gotten worse as a result of caregiving, according to the National Alliance for Caregiving. The Family Caregiver Alliance estimates that 30% to 59% of caregivers have symptoms of depression, which can lead to more health problems.

Building relationships amid memory loss

"My age wasn't my concern. My biggest concern was I was exhausted. In the last few months of my mother's life, I moved into her room and didn't get more than two hours of sleep in a row," said 59-year-old Carew.

There's also the loss of freedom: About half of caregivers say that their caregiving takes time away from friends and other family members.

"When my parents were my age, their parents were dead and they were having fun white-water rafting down the Snake River and here I sit -- two houses down," said Jones.

There are also the typical difficulties of caregiving that people face, regardless of birth year: balancing work and dealing with the financial burden, among them. According to a 2011 AARP Public Policy Institute study, the estimated economic value of unpaid caregivers was approximately $450 billion.

While the burden of caring for elderly parents can be great, experts like Breslau say the benefits can be equally powerful.

Looking after a parent allows you to get to know them better. You are often able to spend more quality time together, talking and learning from one another. You can ask them the questions you've always wanted to ask, and hear stories of their life. It is an excellent time to learn your family history and record it, Breslau said.

"It is also a time to give back to your parents in a way that is unique," she said. "They raised you and cared for you, and now the cycle has come full circle to a point where you can do the same for them."

Caregivers like Carew couldn't agree more.

"Bottom line is, loving and caring for my mother was spiritual and the deepest level of fulfillment I have ever known," she said. "What is really cool is that I believe that connection we have will continue to grow and there are deeper levels of fulfillment to come."

"I am the luckiest daughter alive."

Are you a Baby Boomer who is also a caregiver? Share the challenges you've faced in the comments section below.

Like CNN Living on Facebook

@highlight

65 million people in the U.S. are unpaid family caregivers

@highlight

Boomers in the caregiving role have their own set of unique challenges, physically and emotionally

@highlight

AARP: Economic value of unpaid caregivers was approximately $450 billion