New York (CNN) -- Tropical Storm Irene's swipe at the Big Apple proved Sunday that New Yorkers can be a tough crowd to impress.

"I slept through the whole thing," said James Trager, a writer who watched nature's display of fury as it took place outside the windows of his apartment in Midtown and gave a tepid review: "Nothing. It's exaggerated."

"I think we're all surprised how relatively quickly the storm blew through here and the rain stopped," said Steve Kastenbaum, a national correspondent for CNN radio, who watched the storm from the comfort of his apartment in the Boerum Hill section of Brooklyn.

He said he saw lots of local street flooding and branches in the streets, but few uprooted trees; during the height of the storm, people were walking on the street. "I even saw one or two folks taking a jog," he said. "I kid you not. Pretty typical for Brooklyn. They're not going to let anybody get in their way."

While the initial effects of the storm were less harsh than anticipated, officials said they were still concerned about flooding from heavy rains that could affect electrical systems and other infrastructure that is largely underground in New York.

Gov. Andrew Cuomo said it was not yet clear when subways, Metro North trains and Long Island Railroad lines would reopen. "The conditions are still too dangerous. We can't put people on bridges; we can't put people in tunnels," he told CNN affiliate WCBS. "Once we get a full assessment, we will give people an idea of when the system will come online."

He praised New Yorkers for taking the storm in stride. "When we have our darkest hours, New Yorkers shine their brightest, and I think this is one of those times."

But the possibility of worse occurring away from the shore was weighing on National Hurricane Center Director Bill Read. "The biggest concern, now that (Irene's) gone inland, is heavy rain, flash floods" and wind damage, he told CNN. Once inland, hurricanes "start falling apart pretty fast," he said. "Eventually, it will exit out into Canada."

"Overall, I think we've gotten through this," Joseph Bruno, commissioner of emergency management for the city, told reporters in Brooklyn, where the skies were bright. He said the hardest-hit areas were from Coney Island in Brooklyn to the Rockaway area of Queens. "We have 50,000 people without power. That's pretty good in a city of this size. So, we did well, but we prepared well, also."

"Nothing really that bad happened," said Sarah Sargenti, who spent Saturday night in a friend's walkup apartment in Soho rather than risk getting stuck without elevator service in her 23rd-floor apartment near the financial district. "A lot of wind and rain."

Lt. Gen. Russel Honore, a CNN contributor who was involved in a leadership role in the recovery efforts in New Orleans after Hurricane Katrina hit in 2005, described Sunday's hurricane as a six out of 10, with 10 representing Katrina.

About 30 miles north of the city, in Westchester County's Sleepy Hollow, near the Tappan Zee Bridge over the Hudson, Tom Sobolik was out early Sunday at the Philipse Manor Beach Club.

Though the bridge was shut to traffic, "the boats here are all fine," the photographer said. "Nobody had any problem."

On Saturday night, he attended a hurricane party in his neighborhood to discuss the brewing storm. "Everybody just went over how they prepared and how it was going to be a waste," he said. "It turned out to be largely true. The media blew this all out of proportion."

It did not flood the 9/11 memorial site in Manhattan, as many had worried it might.

Still, the storm left quite a wake -- sending water from the East River and the Hudson River over their banks for a brief period on Sunday morning and into New York City.

The water also led officials to close for a brief time the north tube of the Holland Tunnel, from Lower Manhattan to New Jersey.

Earlier, authorities had halted public transportation, closed bridges and tunnels and buttoned up ports, essentially locking down the city of more than 8 million people as Hurricane Irene began to lash the city with wind and rain.

And New York City Mayor Michael Bloomberg urged some 370,000 people to evacuate their residences in low-lying areas.

In the Long Island community of Long Beach, massive berms were breached by 8 a.m., with water pushing northward into town. The water yanked a lifeguard building from its foundation on the beach and streets were flooded.

Bloomberg ordered evacuations for Long Beach Island, including Atlantic Beach, Lido Beach and Point Lookout.

The mandatory evacuations, which also affected parts of Manhattan, Queens, Brooklyn, the Bronx and Staten Island, were a first in the city's history, he said.

CNN iReporter and Queens resident Anne Egan, who was watching events unfold from her house three doors down from the beach wall, said she disregarded the evacuation order because she was afraid of looters. "You can see the waves breaking on (the beach wall)," she said. "I was a little panicked approaching high tide, which was about 7:30 a.m. But now that the peak of high tide has passed us, I'm not as nervous. The waves are just huge out there."

More than 905,334 people were without power in New York early Sunday afternoon, authorities said.

In Brooklyn, Seunh Hong watched in despair as the water in his shop's basement rose to his knees.

"Way worse than I'd expected," he said. "It is absolutely horrible. Afterwards we have to spend lot of time and money, (and) energy for fixing them up."

Many in New York began preparing days ago for the arrival of Irene, stocking up on essentials.

By late Saturday, most stores, restaurants and bars were closed.

The bread shelves were bare early Sunday at the Associated Supermarket on Manhattan's Upper West Side, according to Aaron Herman, who said more than 1,000 people had stopped in Saturday to buy the "essentials."

By then, the streets were largely deserted. "For a city that never sleeps, it's clearly taking a nap," Herman said.

CNN's Tom Watkins, Chelsea J. Carter, Holly Yan, Phil Gast, Eden Pontz, Kristina Sgueglia, Jesse Solomon, Cheryl Robinson, Rob Marciano, and Chris Boyette contributed to this report.

@highlight

Katrina recovery veteran ranks Irene as 6 out of 10

@highlight

"I slept through the whole thing," says James Trager from his Midtown apartment

@highlight

Some in Brooklyn chose to jog during the storm

@highlight

"The media blew this all out of proportion," says Sleepy Hollow's Tom Sobolik