(CNN) -- For incoming Prime Minister Narendra Modi, securing India's energy needs over the next decade ranks among his greatest challenges and one that will likely see him both compete and cooperate with China, the United States and Russia.

These three are the world's biggest energy consumers, with India in fourth spot. For all of them, energy security is a constant goal, driving their search for new resources, new technology and new investment opportunities around the globe.

The U.S. has its shale bonanza, while China has led the way with an aggressive array of international deals, covering everything from shale gas in North America, pipelines across Myanmar, stakes in Russian liquefied natural gas (LNG) projects and Caspian Sea oil and gas.

India has been able to secure coal assets in Australia, Indonesia and Africa, and some good oil and gas assets in the Middle East and the Americas. But Chinese companies such as China National Petroleum Corp. (CNPC) have had the muscle and the money to outbid Indian rival Oil & Natural Gas Corp. (ONGC) for some of the most prospective oil and gas opportunities.

In energy infrastructure such as international pipelines, China is way ahead of India, with a network of lines from Turkmenistan, Kazakhstan, Russia and Myanmar that delivers a steady supply of oil and gas.

How Modi handles India's energy situation and the relationships he forges with Russia, China and the U.S. may well define his administration.

Keeping up with demand

According to the International Energy Agency's latest World Energy Outlook, India will overtake China in the 2020s as the principal source of growth in global energy demand. By 2025 India will be the world's biggest coal importer.

Modi prides himself that electricity is always on in his home state of Gujarat, where large coal-fired power stations run by groups such as Adani and Tata help deliver a surplus of power. That is certainly not the case for many other parts of the country -- more than 300 million people lack access to electricity, and a massive outage in July 2012 saw another 600 million across the northern, eastern and central parts of India lose power for two days. There are constant problems with energy infrastructure, ranging from the stability of the grid to supply-demand imbalances and illegal connections.

Modi's Bharatiya Janata Party (BJP) identifies energy as a "national security issue" in its policy manifesto, and says economic growth must not be "negatively impacted" by energy supply issues. If Modi is to achieve his goal of every Indian citizen having access to a house with water and power by 2022-23, then energy security becomes of paramount importance.

The role of renewables such as solar and wind is expected to grow in India's energy mix, but coal will remain the backbone of power generation until at least 2025, supported by oil and gas, hydro and nuclear power.

Even with extensive coal deposits at home -- state-owned Coal India Ltd is the world's single biggest coal producer with an output of 462 million metric tons in the financial year that ended on March 31 -- India's domestic energy sources run well below demand. That means it must import thermal coal from suppliers such as Australia and Indonesia, oil and gas from the Middle East and Africa, and uranium from Russia, France and Kazakhstan. By the end of this decade, LNG from North America will enter India's supply equation.

Divide and conquer

Diversity of fuel types and suppliers is a key part of Modi's energy security platform, which is why he wants to explore options such as a gas pipeline from Russia. There is a long-standing proposal to bring in gas from the Central Asian nation of Turkmenistan through a pipeline that would cross Pakistan and Afghanistan. This is the TAPI pipeline, which has been on the books for almost 20 years but has been stalled by the geopolitics of India-Pakistan hostility and the long-running conflict in Afghanistan. Another proposed pipeline from Iran to India would also have to cross Pakistan, rendering both projects problematic for now.

That makes a Russian pipeline running through its Altai region into northwest China and then to northern India a possibility, albeit a costly one. During their annual summit in Moscow last October, Russian President Vladimir Putin and Modi's prime ministerial predecessor Manmohan Singh agreed to delve further into land-based hydrocarbon supply options such as the pipeline.

Modi says India-Russia relations have stood the test of time, and he wants to further strengthen them, which suggests that India may be keen to buy more Russian oil and gas in future. Price and delivery options will be the usual sticking points.

Modi says China is a country he can do business with, but energy competition between the two is likely to remain high. India is partnering with Vietnam to explore for oil in the same South China Sea waters where China's recent oil rig movements have brought China-Vietnam relations to an unhappy low.

For its part, China says it is willing to make joint efforts with the new Indian government and "bring the China-India strategic partnership to a new height."

India-U.S. relations should improve under Modi's pro-business outlook. His "minimum government, maximum governance" approach resonates with President Barack Obama, who has already invited Modi to visit the U.S.

Domestic supply

Indian companies such as Mukesh Ambani's Reliance Industries and state-run gas utility GAIL have invested in the U.S. shale sector to gain exposure to the new technologies being used there. Some of this may be translated back to India's nascent shale gas sector, where recent estimates by the U.S. Energy Information Administration suggest India has 2.7 trillion cubic meters (tcm) of risked, technically recoverable resources.

In comparison, the United States has 33 tcm and China 31.5 tcm. Argentina, Algeria, Canada, Mexico and Australia also have potentially large fields, as do Russia, Brazil and South Africa. The reality is that the hydraulic fracturing or "fracking" technique used to unlock shale reserves is highly water-intensive, meaning that India's chronic water shortage will have a big bearing on how many shale fields are developed.

Still, Modi's policy is clear: India will not put all its energy eggs in one basket, and developing its domestic supply capacity is a priority.

@highlight

How India's new PM handles the nation's energy may define his administration, says Hiscock

@highlight

Modi is likely to compete and cooperate with other major energy consumers

@highlight

India is expected to overtake China as the main source of growth in global energy demand

@highlight

Developing India's domestic supply capacity is a priority for the prime minister