Athens, Georgia (CNN) -- Wilmot Greene sat among charred remains of his iconic Georgia Theatre recalling the fire that reduced it from an alternative rock icon to rusted steel girders and walls of black bricks.

A year after an unexplained fire gutted the century-old musical cradle of bands such as R.E.M., the B-52s, Indigo Girls and Widespread Panic, Greene still kicks himself for missing Rockinwood play the last show before the fire. He says he'd missed only about 20 shows since buying the place in '04.

The fire broke out overnight and raced throughout the building.

"I got a call at about 6:45 in the morning, and by the time I got here, it was completely engulfed in flames," Greene said. "And that was the beginning of the longest day of my life."

Theater production manager Ric Wallace watched the roof collapse atop piles of blazing wood, leaving firefighters with few options but to let the fire burn itself out.

"It was one of those moments where the town stood still for a day," Wallace said. "It was a stunning day, you simply cannot put words to it ... it's a total life-changing event."

Their emotional investment in the music palace tracks back to the '80s. Greene remembers the exact day he fell in love with the Georgia Theatre -- October 1, 1989 -- when he was still one of thousands of students at Athens' University of Georgia.

The Georgia Theatre had recently reopened as a music venue and was featuring a local band, Pylon. The theater had operated as a concert venue for three years before closing in 1981. He went to see the show with some friends and fell in love with the place. The club had a vast open floor where hundreds of sweaty music fans would dance the night away and a balcony upstairs for those that wanted to just sit back and enjoy the show.

In a college town where music is king, the Georgia Theatre is its castle.

Fifteen years later, Greene owned his beloved music palace.

The list of bands that graced its stage reads like the Rock and Roll Hall of Fame roster: The Dave Matthews Band, The Police and The Ramones played here. Sting and Joey Ramone hung out backstage and prepped for shows in the dressing rooms.

See list of bands that have played at the Georgia Theatre

R.E.M. and the B-52s' Kate Pierson shot their 1991 video for "Shiny Happy People" inside the theater -- joined by a cast of dozens of extras and in front of a brightly colored watercolor backdrop.

R.E.M. bassist Mike Mills remembers playing the theater in the band's earlier days.

"The Georgia Theatre was the scene of many great nights of music and fun for me, both as a player and a fan of music. We all look forward to its returning better than ever," Mills said.

Jeremy Trimmer, sax player for Six Shades Blue, remembers the theater as "the top place to play. There was no better place. Your goal as a musician in that town was to play there."  In 2001, John Mayer shot the video for his first big hit,"No Such Thing," here. Mayer played to a room full of adoring fans, and he stood in front of the theater with his name in big red letters on the signature marquee.

In "Athens Burning," a documentary celebrating the theater and the local music scene, R.E.M. manager Bertis Downs says its size, quality and character did much to help Athens become a laboratory for new music.

"A theater of that size can really be a key part of trying to build any kind of music tourism destination. That, Athens clearly is, in a lot of ways," said Down.

The Georgia Theatre was one of those places where you could go to a show, and even if you had no idea who was playing that night, you were guaranteed to have a great time.

Greene and Wallace enjoyed a meal at The Globe restaurant across East Clayton Street, where they told stories and showed their passion for the theater. To them, it was much more than just a building and a stage. It still holds memories of amazing shows and good times with friends at a place that was celebrated for bringing people together.

They had an endless supply of stories centered around the building.

Wilmot remembers seeing bands that would later gain national fame play the theater.

"I remember seeing Phish there one time and there were like 50 to 100 people there, and I remember thinking to myself, this band will change my life," Wilmot said. "I ended up following Phish around for an entire summer after that."

David Barbe remembers using the theater as a recording studio.

"Wilmot closed down the theater for a week for us to record the album 'Sand and Lines' for Venice is Sinking. It was really Wilmot's vision to why that record was made," said Barbe, who heads the university's music business program. "It was all about the performance and the room, and it's all about as little from the mouth to the ear as you can possibly get. I thought about that experience a lot the day of the fire."

The fire not only created a cultural void in the town, but left a big question among fans of the theater: what sparked it?

"We know it started in the guest dressing room, but we're not sure," said Greene. "It was either a cigarette, or an electric fan, or a wiring problem. We'll probably never know."

Watch Wilmot and others tell their story about the theater

In the days after the fire, Greene made the decision to rebuild.

"I knew it was something that I had to do," he said. "This building had been here 120 years, and I couldn't let it end on my watch."

The cost to rebuild is more than $4 million, Greene said. Insurance got them to zero, because it only covered what was owed on the building before the fire.

Georgia Trust donations site for the Georgia Theatre

Although fundraising has proven difficult during a weak economy, the Athens community has been very supportive.

The town's Terrapin Beer has brewed a special series commemorating the history of the theater with proceeds going toward reconstruction. Benefit concerts have raised some money, most notably a Zac Brown show at Atlanta's Fox Theatre last year.

But Greene and Wallace still have a long way to go. They say they've only raised $167,000 so far. Construction has begun on the crippled theater and they hope to have it open for concerts by spring or summer of next year.

See the Georgia Theatre's updates on rebuilding

"One of my roles in the redesign is to make it the best venue possible, not just only for customers, but the musicians, too," Wallace said. "We see the musicians as our customers just as the audience is."

From Wilmot's perspective, it's about returning to what he says is the greatest thing about owning a music theater: "Seeing the look of joy on people's faces. It's a religious experience."

@highlight

Fire gutted alt-rock cradle of bands such as R.E.M. and B-52s in Athens, Georgia, in 2009

@highlight

Insurance only covered what was owed before; new building codes have raised costs

@highlight

Wilmot Greene: "This building had been here 120 years, and I couldn't let it end on my watch"