(CNN) -- They arrived with bulldozers and ordered him to leave. When the Syrian restaurant owner asked why, he was threatened with detention.

The security forces that had arrived unannounced that morning denied him permission to remove anything from the shop his grandfather had opened. He was forced to leave on foot, his motorcycle left behind.

"As I was walking, I looked back and I saw the bulldozer demolishing my shop," said the man, who's from the Qaboun neighborhood in the Syrian capital of Damascus.

"The shop was opened by my grandfather many years ago. I personally managed the restaurant for eight years. Before my eyes, all of my family's hard work was destroyed in one second."

The man, Human Rights Watch says, is one of the thousands of Syrians who have seen their homes or other premises razed as part of what it says is a collective punishment by authorities against residents of opposition strongholds.

In a report released Thursday, the New York-based rights group says the Syrian government "deliberately and unlawfully" demolished thousands of homes in rebel strongholds in the cities of Damascus and Hama in one year.

It says satellite imagery taken over both cities revealed seven areas where neighborhoods have been largely demolished. None of the destruction was caused in combat, it said. Rather, the buildings were destroyed with bulldozers and explosives placed by troops who ordered residents to leave, then supervised the demolitions.

"Wiping entire neighborhoods off the map is not a legitimate tactic of war," Ole Solvang, an HRW emergencies researcher, said in a prepared statement.

"These unlawful demolitions are the latest additions to a long list of crimes committed by the Syrian government."

Satellite images

The 38-page report, "Razed to the Ground: Syria's Unlawful Neighborhood Demolitions in 2012-2013" was released as government and opposition delegates attended peace talks in Geneva, Switzerland.

It said state officials and pro-government media outlets have said the demolitions were part of urban planning efforts or the removal of illegally constructed buildings.

However, HRW says the demolitions were supervised by military forces and often followed fighting in the areas between government and opposition forces.

Claims of widespread abuses have been routinely leveled by the Syrian government and the opposition during almost three years of conflict in the country, which has killed more than 100,000 people and displaced millions.

HRW said that as far as it could determine, there had not been similar demolitions in areas that generally support the government, although it said many houses in those areas were also allegedly built without necessary permits.

It published before-and-after satellite images of the destruction, along with witness testimony.

HRW said Syrian authorities flattened the districts in the year from July 2012, estimating the total built-up area destroyed at 145 hectares (360 acres) -- the equivalent of 200 soccer fields -- and said many of the buildings were apartment blocks up to eight stories high.

It named the districts as Masha'a al-Arbaeen and Wadi al-Jouz in the central city of Hama, and Qaboun, al-Tadamon, Barzeh, Harran al-Awamid and Mezze airport in and around Damascus.

Calls for compensation

HRW said some of the demolitions took place around government military or strategic sites that opposition forces had attacked.

"While the authorities might have been justified in taking some targeted measures to protect these military or strategic locations, the destruction of hundreds of residential buildings, in some cases kilometers away, appears to have been disproportionate and to have violated international law," it said.

HRW demanded the Syrian government immediately end the demolitions and provide compensation and alternative housing to the residents affected.

It also urged the U.N. Security Council to refer the situation in Syria, where fighting first began in March 2011, to the International Criminal Court.

"No one should be fooled by the government's claim that it is undertaking urban planning in the middle of a bloody conflict," Solvang said.

"This was collective punishment of communities suspected of supporting the rebellion."

INTERACTIVE: Life after war: How Syrian refugees turned a camp into a city they call home

@highlight

Rights group says Syrian authorities demolished homes in opposition strongholds

@highlight

Authorities used bulldozers and explosives, Human Right Watch says

@highlight

Syrian government: Demolitions were part of urban planning or removal of illegal buildings

@highlight

"This was collective punishment," rights group says