In China, bribery is known colloquially as "tea money" and nearly everyone from local businesses to foreign multinationals has usually had a brush with it.

The practice is so widespread that in Yangjiang -- a steel town in Guangdong Province -- a group of artists even made a cheeky exhibition of the official receipts they received for bribes they paid to build their preposterous iceberg-shaped headquarters in town.

Kick-backs in China are often demanded through semi-official means and getting paperwork for overly rigorous fire safety regulations, for instance, is typically one way of oiling the wheels of officialdom.

News this month that China has slipped from 80th position to 100, tied with Suriname and Algeria, in Transparency International's Corruption Perception Index of 174 countries may come as no surprise to those who live with bribery and graft on a daily basis.

'Tigers and flies'

Yet, the result has thrown a question mark Chinese President Xi Jinping's "tigers and flies" campaign. When Xi took office in 2012, he promised to root out endemic corruption and used a slogan made famous by former dictator Mao Zedong to show that not even high officials would be safe from his anti-corruption drive.

Read more: The best and worst countries tackling corruption

Since 2013, more than 70,000 cadres have been probed in a widespread crackdown on corruption that has been so far reaching that international luxury brands have reported a downturn. Luxury goods maker LVMH said in July that its sales of cognac, handbags and watches had all taken a hit amid challenging business conditions following China's anti-corruption drive.

Nevertheless, according to Transparency International, China's poor score this year may be a sign that deep-rooted and systemic problems are finally being addressed.

"When countries start trying to address corruption they lift up the stone to see what's underneath and it often looks an awful lot worse than you thought it was," executive director of Transparency International Robert Barrington told CNN.

Perceptions of graft

He said that because corruption was often difficult to measure, the index surveyed perceptions among country experts such as businesspeople, diplomats and journalists.

"What happens is that when countries begin to address corruption, actually the perceptions get worse before they get better."

He said for many countries trying to roll back corruption, the starting place is getting more transparency and accountability in the system.

"But what China seems to be doing is having an anti-corruption drive without introducing transparency and accountability which means you can't really tell what's happening."

Without a free press or social media, he said it was quite hard for Chinese citizens to know how widespread the crackdown was or how seriously the authorities were prosecuting it.

"It may be that China is very vigorously pursuing an anti-corruption campaign, but it won't get the credit for that success if it does not have greater transparency."

Gifts and hospitality

While graft may often be standard practice in China, where it is usually disguised as gifts and hospitality, the victims of corruption are often those who can least afford it. Barrington said that one of the essential tests was whether the money that was being paid ended up with the state or with the individual it was paid to.

"In general, people around the world do become very accepting of corruption, not because they like it but because it seems so monolithic," he said. "This is where we feel social media has had such a transformative effect in many countries because it encourages people to band together by putting information out.

"And that is one of the issues with China -- the mechanisms that have worked elsewhere are not going to work there because the state control of information is so very strong."

'Biggest fall'

China's slump in the index was one of the "biggest falls" of 2014, Transparency said. Other countries whose rankings dropped were Turkey, which dropped five points, and Angola, Malawi and Rwanda, which all dropped four.

North Korea and Somalia ranked equal-worst of 174 countries, with a score of just eight. Denmark and New Zealand ranked least corrupt, with scores of 92 and 91, respectively.

"The Transparency International report is inconsistent with China's well-known achievements in the anticorruption campaign," Chinese Ministry of Foreign Affairs spokesperson Hua Chunying told CNN when the report was released earlier this month. "The public will judge the achievement that the government has obtained and it will not be affected by the index."

Barrington said that despite China's official line on corruption, many people were taking their discontent to the streets and protesting about graft.

"If you're not very rich in the first place and to get a state service you should be entitled to for free like healthcare or education and you have to pay a bribe in addition to the fact you're also very poor, then clearly people feel it."

Read this: China's slowdown - Good or bad?

More from Virtual Think Tank

@highlight

Kick-backs in China are known colloquially as "tea money" in a country where paying bribes is widespread

@highlight

China dropped from 80th position to 100 out of 175 countries in a recent corruption index

@highlight

Transparency International says the country's poor showing may actually be a sign of improvement