(CNN) -- It's home to a sound system from Jamaica and an elephant slide from Chernobyl.

It's where you'll find an outdoor Thai boxing ring, exercise gear from Santa Monica beach, lampposts from the UAE and swing benches from Baghdad.

This is Superkilen, an urban park and cycling gateway that sprawls through Norrebro, a bohemian neighborhood of Copenhagen that's become one of the most ethnically diverse parts of Denmark.

A far cry from the Copenhagen of the Little Mermaid and traditional waterfront buildings of Nyhavn canal, this willfully eclectic venue might be considered the world's most surreal public space.

Stretching along a half-mile-long cycle route, Superkilen is a colorful exercise in community building born from a collaboration between residents and some of Europe's most experimental architects.

I start my exploration of Superkilen's three distinctive zones with a slice of Americana.

At the top of the zone known as The Green Park stands a 14-meter-tall pole with a giant "Donut" and a neon sign.

It hails from a restaurant in Pennsylvania and looks like something conjured in a dream by a salivating Homer Simpson.

American highway setting

When viewed from a distance, the doughnut sign and shiny logos from the car dealerships across the road create the perfect tableau for an American highway setting.

Heading south into the park, I'm greeted by a large cast iron bull, a tribute to the famous Spanish Osborne sherry trademark.

Next up is a basketball court that sits in a bowl-shaped concrete structure.

The court is modeled on Mogadishu's Lujino Stadium, a venue once used by the militant Al-Shabaab group to launch assaults on Somalia's presidential palace, and which now serves as the training facility for the country's national basketball teams.

Then there are all the smaller objects, which I initially walk straight past but which Superkilen's smartphone app guides me to via an interactive map.

There are trash cans from the British seaside resort of Blackpool, drains from Switzerland, a manhole cover from Israel and seven different types of bike racks from across Europe.

It's a multicultural onslaught.

Some of the objects in Superkilen are originals while others are replicas designed so that they comply with Danish regulations for playground materials and public spaces.

The items were chosen after canvassing local ideas online and at community meetings.

Residents weren't required to pick objects from their place of birth -- some were inspired by treasured vacation spots -- but the idiosyncratic output reflects the diversity of a neighborhood made up of people from 60 nationalities.

World expo

Superkilen is a collaboration between the artist group Superflex, Berlin-based landscape architects Topotek1 and Danish architects BIG-Bjarke Ingels Group.

Ingels has masterminded some of the most ambitious and left field ideas in Copenhagen, including a public swimming pool in the harbor and a plan to turn an incinerator into a ski slope.

"With Superkilen, we had to find a way of utilizing the diversity in the local population," says Nanna Gyldholm Moller of BIG-Bjarke Ingels Group. "Rather than just have the same Copenhagen bench you will see in any other park, why not involve the local residents to source the best items from across the globe and almost create a world expo?"

A good example stands at the end of the Green Park -- it's a grassy mound with a small patch of naked, reddish soil.

The soil comes from different towns of the Palestinian territories and was brought here by two young Copenhagen women who traveled to the Middle East.

I stand near the soil and use the smartphone app to watch a film about how the women used their hands, rocks and small plastic bags to gather the material.

"When we travel as Palestinians," says one of the the women, Alaa, in the video, "we gather soil so you can take a piece of Palestine back home to Denmark."

On this breezy morning, a group of schoolkids have gathered on top of the mound on an assignment to plot park objects on a world map as they explore the area.

When their teacher gives them the go-ahead, they scamper down a slope covered in zebra-striped asphalt.

The stripes lead to the asphalt-covered Black Square, the second part of Superkilen.

Local residents were initially irked when they found out grassy areas of the park would be paved over, but the Black Square is the most visually exciting aspect of the project.

Judging by the crowds who gather here and take photos, it's also one of the most engaging.

Other items here include a Moroccan fountain, chess tables from Bulgaria and a giant plastic octopus from Japan that doubles as a slide.

"The fountain on the Black Square works incredibly because it's star-shaped," says Moller. "When parents are watching their kids play in the water or sliding down the octopus, the parents are seated across from each other, so they end up talking together rather than just sitting in a circle looking away."

Bulls and Thai boxing

The final part of Superkilen is the Red Square, complete with neon signs for a Moscow hotel and a beauty shop in China.

It's the most bustling part of Superkilen and takes the park right down to Norrebro's busiest street.

Teenage boys play-fight in the Thai boxing ring while daycare children sway on the Baghdad-inspired swing benches.

Walls of the adjacent building have been painted red to match the color of the surface, but some the purple-tinted patches on the ground have faded.

The area is due to be refurbised next year to enhance the color scheme and to make the surface more slip-resistant for pedestrians and cyclists.

Not all of Superkilen is resistant to wear, tear and the effects of time. Some objects, such as the lone steel bull, feel incongruous and random.

However, when seen as a whole, this strange bubble of world exposition and local community is a cohesive experience.

There have been honors for Superkilen, including a nomination for the prestigious 2013 Mies Van Der Rohe architecture prize.

Its real triumph, however, lies in its ability to engage people in its surreal world, whether they're chess players deep in contemplation on the Black Square, moody teenage students having gym lesson at the Santa Monica "muscle beach" or toddlers sliding down an octopus from Japan or an elephant from Chernobyl.

Lars Hinnerskov Eriksen is a freelance journalist and author based in Copenhagen who writes about all aspects of Nordic culture. He previously spent six years in London working for the Guardian.

@highlight

Copenhagen urban space is surreal, eclectic mix of objects from all over the world

@highlight

Thai boxing ring, Mogadishu stadium among recreated venues in Superkilen park

@highlight

Three park zones were created by experimental architects working with diverse local community