(CNN) -- The first person to be diagnosed with Ebola on American soil went to the emergency room last week, but was released from the hospital even though he told staff he had traveled from Liberia.

"A travel history was taken, but it wasn't communicated to the people who were making the decision. ... It was a mistake. They dropped the ball," said Dr. Anthony Fauci, director of the National Institute of Allergy and Infectious Diseases.

"You don't want to pile on them, but hopefully this will never happen again. ... The CDC has been vigorously emphasizing the need for a travel history," Fauci told CNN's "The Lead with Jake Tapper."

Hospital officials have acknowledged that the patient's travel history wasn't "fully communicated" to doctors, but also said in a statement Wednesday that based on his symptoms, there was no reason to admit him when he first came to the emergency room last Thursday night.

"At that time, the patient presented with low-grade fever and abdominal pain. His condition did not warrant admission. He also was not exhibiting symptoms specific to Ebola," Texas Health Presbyterian Hospital Dallas said.

The patient, identified by his half-brother as Thomas Eric Duncan, told hospital staff that he was from Liberia, a friend who knows him well said.

A nurse asked the patient about his recent travels while he was in the emergency room, and the patient said he had been in Africa, said Dr. Mark Lester, executive vice president of Texas Health Resources. But that information was not "fully communicated" to the medical team, Lester said.

The man underwent basic blood tests, but not an Ebola screening, and was sent home with antibiotics, said Dr. Edward Goodman with Texas Health Presbyterian Hospital.

Three days later, the man returned to the facility, where it was determined that he probably had Ebola. He was then isolated.

"The hospital followed all suggested CDC protocols at that time. Texas Health Presbyterian Hospital Dallas' staff is thoroughly trained in infection control procedures and protocols," the hospital said Wednesday.

The Centers for Disease Control and Prevention, which has helped lead the international response to Ebola, advises that all medical facilities should ask patients with symptoms consistent with Ebola for their travel history.

Duncan's travel history "was not acted upon in an appropriate way," said Dr. Sanjay Gupta, CNN's Chief Medical Correspondent.

"A nurse did ask the question and he did respond that he was in Liberia and that wasn't transmitted to people who were in charge of his care," Gupta said. "There's no excuse for this."

A U.S. official told CNN senior medical correspondent Elizabeth Cohen that the situation was clearly "a screw-up." A patient who shows up to a hospital with a fever and a history of travel to Liberia should be treated as an infection risk, the official said.

Asked repeatedly by Gupta whether the patient should have been tested for Ebola during his first visit to the hospital, CDC Director Dr. Thomas Frieden said officials were still looking at details about how the case was handled.

"We know that in busy emergency departments all over the country, people may not ask travel histories. I don't know if that was done here," Frieden said. "But we need to make sure that it is done going forward."

Friend: I called the CDC with concerns

Duncan is a 42-year-old Liberian national, according to his friend. This is Duncan's first trip to the United States, where he was visiting family and friends.

The close associate, who does not want to be identified because of the sensitivity of the case, contacted the CDC with concerns that the hospital wasn't moving quickly enough after Duncan's second hospital visit.

The associate said Duncan is "all right" now, but is in pain and hasn't eaten in a week.

The patient is now under intensive care and isolated, Frieden said.

He is in serious condition, the hospital told CNN. Neither the hospital nor government officials have identified Duncan by name.

Obama administration recirculates guidelines

It's unknown whether others were infected after Duncan's first visit to the hospital. People who have Ebola are contagious -- but only through contact with infected bodily fluids -- when they display active symptoms of the virus, such as a high fever, severe headache, diarrhea and vomiting, among others. It's not like a cold or the flu, which can be spread before symptoms show up, and it doesn't spread through the air.

Liberia is one of the hotspots in a large outbreak of Ebola in West Africa, with 3,458 cases and 1,830 deaths as of September 23, according to the World Health Organization. Other countries affected include Guinea, Nigeria and Sierra Leone. In total, more than 3,000 people have died in those countries from Ebola, and more than 6,500 have contracted the disease.

This summer, two American missionaries who were working in Liberia contracted the virus and were brought back to the United States, where they were treated with the experimental drug ZMapp. Another American doctor working with the same charity was also infected in Liberia and brought home for treatment. They all have since recovered from the virus and were released from care.

The CDC has ramped up a national effort to stem the spread of Ebola, and in September President Barack Obama spoke at CDC headquarters in Atlanta. He called the virus a global health and security threat, and pledged U.S. assistance to the affected countries to try to stem the tide of the disease.

After the Dallas diagnosis, the Obama administration is recirculating its guidance about how to respond to the virus, White House spokesman Josh Earnest told reporters.

"In light of this incident," Earnest said, "the administration has taken the step of recirculating our guidance to law enforcement agencies that are responsible for securing the border, to those agencies that represent individuals who staff the airline industry and to medical professionals all across the country, to make sure people are aware there is an important protocol that should be implemented if an individual presents with symptoms that are consistent with Ebola."

Finding the people the man came in contact with

The patient came into contact with up to 20 individuals, Dallas Mayor Mike Rawlings told CNN.

A CDC team is in Dallas helping to find anyone he may have come in contact with, Frieden said.

Once those people are identified, they will be monitored for 21 days -- taking their temperatures twice a day -- in cooperation with local and state health officials, Frieden said.

Some school-age children have been in contact with the Ebola patient, but the students haven't exhibited symptoms of the deadly virus, authorities said.

Five students at four different schools came into contact with the man, Dallas Superintendent Mike Miles said.

The children are being monitored at home, and the schools they attended remain open, he said.

Paramedics who transported the patient to the hospital have been isolated, Rawlings' chief of staff said. They have not shown symptoms of the disease so far, Frieden said.

The ambulance used to carry the patient was still in use for two days after the transport, city of Dallas spokeswoman Sana Syed said.

But she emphasized that the paramedics decontaminated the ambulance, as they do after every transport, according to national standards.

Learn how Ebola spreads

Ebola: 9 things to know about the killer disease

Air travel testing

The Ebola patient told authorities he flew part of his trip on United Airlines, a spokesperson for the airline said, citing information from the CDC. The airline believes the patient flew from Brussels to Washington Dulles and then from Dulles to Dallas-Fort Worth on September 20, the spokesperson said.

"The director of the CDC has stated there is 'zero risk of transmission' on any flight on which the patient flew because he was not symptomatic until several days after his trip and could not have been contagious on the dates he traveled," the spokesperson said.

Every person who travels by air is screened before departure and at arrival in Liberia, Guinea and Sierra Leone, but because the man says he began feeling ill days after landing in the United States, a screening test in West Africa would likely have not turned up that he had Ebola.

However, it's unclear what kind of screening someone flying from West Africa might receive when they land in the United States, Cohen said. The CNN correspondent and her crew recently reported in and flew from West Africa, where she said they were screened numerous times for Ebola by having their temperatures taken at the airport.

Should we worry?

But when they arrived back in the United States, and asked travel officials about whether their temperatures would be taken or whether they'd be screened for Ebola, they were given unclear explanations about how the process worked and ultimately were not tested.

Regardless, the CDC maintains that passengers on planes with the Texas patient were likely not at risk because the man was not displaying active symptoms.

How the virus spreads

CNN's Jennifer Bixler, Danelle Garcia, AnneClaire Stapleton, Jason Morris, Chandler Friedman, Greg Botelho, Ed Payne and Catherine E. Shoichet contributed to this report.

@highlight

NEW: U.S. official to CNN: The situation is a "screw-up"

@highlight

Dallas mayor: The patient came into contact with up to 20 people

@highlight

Hospital says symptoms 'did not warrant admission' last week

@highlight

NIH official on hospital: "They dropped the ball"