(CNN) -- Angola's ruling party held a big lead Saturday as the southern African nation posted preliminary results in its benchmark national election.

With almost 70% of the vote counted, the Popular Movement for the Liberation of Angola (MPLA) had almost 75% of the vote.

Friday's election was only Angola's third since it gained independence from Portugal in 1975.

Under the terms of a constitution approved in 2010, the leader of the party that wins Friday's parliamentary vote will automatically become Angola's president.

President Jose Eduardo dos Santos, who has held power since 1979, had been widely expected to retain the top spot as the head of the MPLA.

After independence, Angola suffered through 27 years of civil war. Friday's election were widely viewed as an indicator of the country's progress after a decade of peace.

Elections in 1992 were abandoned midway and led to an outbreak of further violence. The MPLA won the 2008 parliamentary vote with a landslide 82%.

It appeared from early results that the MPLA was headed for another comfortable victory.

The main opposition party and a former civil war enemy of the MPLA, the National Union for the Total Independence of Angola (UNITA), is among the nine political parties and coalitions contesting the election for 220 members of the National Assembly.

UNITA won about 18% of the vote in the preliminary results. Seven other parties split up the rest of the vote.

UNITA has alleged fraud in previous elections and again voiced concerns about apparent irregularities in election campaigning this time around. But on Saturday, spokesman Alcides Sakala said the party would recognize the election results, the official Angola News Agency reported.

They include the scheduling of the vote only three days after a public holiday for the president's birthday, questions about voter rolls, and "what seems like a concerted effort by certain security forces to tell people in rural areas that if they do not vote for the ruling party, the country will be back to war," said Domingos Jardo Muekalia, UNITA's deputy secretary for external relations, speaking at the Chatham House think tank in London.

In 1992 and 2008, there were "substantial irregularities -- some intentional such as manipulation, fraud and intimidation and others resulting from inexperience," he said.

Human Rights Watch also accused the government of "numerous incidents of political violence, intimidation of protesters, and crackdowns on peaceful demonstrations," in a report issued on August 1.

"The human rights environment in Angola is not conducive for free, fair and peaceful elections," said Leslie Lefkow, deputy Africa director for the rights monitoring group.

"The Angolan government needs to stop trying to stifle peaceful protests, gag the independent press or use the state media for partisan purposes if these elections are to be meaningful," Lefkow said.

Angola, sub-Saharan Africa's second-largest oil producer, pumps out more than 1.9 million barrels per day and boasts an expanding investment portfolio in its former colonial power, Portugal, and in other parts of Africa.

But despite big spending on infrastructure and social programs since the end of its brutal civil war in 2002, corruption, poor governance and economic inequality remain serious issues for much of the country's population of about 18 million.

Angola ranked 168th out of 183 countries on Transparency International's 2011 Corruption Perceptions Index, and was 148th out of 187 countries in the U.N.'s Human Development Index.

A number of small but consistent demonstrations have taken place in Angola since last year, revealing a growing frustration with the economic hardship that many still face in the country.

Over the last few months, civil war veterans have taken to the streets to demand overdue subsidy payments, and disgruntled youths and civil rights activists have staged rallies to voice their concerns about the lack of jobs and opportunities.

The protracted civil war killed up to 1.5 million people, according to the CIA World Factbook. About 4 million people were internally displaced, more than half of them children, the United Nations said.

After peace was established, the country faced the challenge of reestablishing civil institutions, rebuilding damaged infrastructure, clearing land mines and demobilizing large numbers of former fighters.

Opinion: Is oil-rich Angola a development success?

@highlight

Preliminary results with 70% of the vote counted showed an easy win for the MPLA

@highlight

Jose Eduardo dos Santos is expected to keep presidency he's held for three decades

@highlight

Many are closely watching Angola's third election since independence

@highlight

The opposition UNITA party voiced concerns about irregularities