San Diego, California (CNN) -- For many Americans, the scariest phrase in the English language is "changing demographics."

It's never easy to adjust to change -- especially when the thing that is changing is nothing less than the complexion of the country. America is being transformed before our eyes. In the early years of the 21st century, many white Americans are trembling at the thought that -- within three decades -- they'll be the minority in the United States. The demographic "doomsday" is about 2043, according to the most recent projections.

If you're the kind of person who stays up at night worrying about such things -- either because you fear that you will be marginalized in the future, or because you're feeling a little guilty over how African-Americans, Latinos, and Asian-Americans have been treated and you're hoping they're not holding any grudges -- living in America at this moment means having to endure one terrifying story after another.

In 2012, the U.S. Census Bureau revealed that -- because of immigration, and high birthrates among Latinos and Asian-Americans -- whites had become a minority among babies.

In 2013, the headline was that, for the first time, racial and ethnic minorities made up about half of Americans under the age of 5.

Now comes this bit of news, which is likely to send more Americans scrambling for their blood pressure medicine. According to the National Center for Education Statistics, starting this fall, U.S. public schools are projected, for the first time, to have more minority students than whites. At 49.8 percent, whites are still expected to be the largest racial group in the public schools. Yet, minority students will now make up the majority. And about one in four of those minority students will be Latino.

This turnaround has already occurred in some states, most notably Texas and California. And now it's about to happen on a national scale.

The economic, political and social implications of this demographic sea change will extend far and wide.

For one thing, the immigration debate will continue to erupt periodically, every few years. After all, what drives much of that discussion isn't concerns about border security or the rule of law. That's just the window dressing. The real fuel is nativist anxiety over the ethnic transformation of our neighborhoods, towns and cities. We'll also keep fighting about language and culture, as one way of life yields to another.

In addition, there will be greater expectations on Latinos in particular -- who now comprise 17% of the U.S. population and who, by 2043, are expected to account for as much as 25% -- to convert those population figures into something more tangible, such as political power. Already, many political observers wonder why one hasn't led to the other. As the numbers increase, that curiosity will become more intense.

Specific to what will be happening in the schools, we can also expect greater demand for bilingual teachers and more resistance from older taxpayers to having to approve additional property tax bonds to pay for what will be a necessary expansion of school facilities in the years to come. That is awfully shortsighted given that the elderly rely on younger workers to pay for their Medicare and Social Security.

It may surprise you to hear it, but I cringe every time I see one of these stories about changing demographics, if it doesn't come with the proper context.

They get people all wound up for no reason, and needlessly pit groups of Americans against one another. They give Latinos, African-Americans and Asian a sense of false hope that, just around the corner, respect and power are on the way and life is about to get better. And they scare the dickens out of whites who, sensing that a storm is on the way, inevitably try to batten down the hatches by passing more restrictive laws.

Good luck with that. There's not much any of us can do to stop these changes from happening.

But there is no reason to fear them either. Immigrants change America, but America returns the favor and changes them right back. For instance, English is the dominant language in the United States, and so many immigrants will wind up speaking English within a matter of months or years. Their children will speak English as their primary language, as the immigrant's native language fades away.

Where some Americans look at changing population figures and see calamity, I only see opportunity. This country continues to draw to its shores the determined and the daring, who come here -- to the land of second chances -- to reinvent themselves and, in the process, wind up remaking and revitalizing the country.

That's not a threat to America. Quite the contrary. It's the very essence of America.

Bring on the change.

Join us on Facebook.com/CNNOpinion.

@highlight

For the first time, minorities will exceed white population in U.S. public schools

@highlight

Ruben Navarrette says that some may fear the change, but the results are positive

@highlight

He says immigrants change America, but America winds up changing immigrants

@highlight

Navarrette: Immigrants reinvent themselves and wind up revitalizing the U.S.