(CNN)  -- The first decade of the 21st century in the United States was defined by terrorism, crisis and uncertainty. The exuberance of the 1990s, with its strong economic growth and the sense of American military omnipotence, came to an end.

Most Americans have been left reeling from nine very difficult years, even though the decade neared its close with a presidential election that spoke to the promise and potential of the nation.

We must remember that any "most important" list should be seen as the beginning of a conversation, not a definitive judgment.

Historians learn that it is extraordinarily difficult to discern exactly which events will be transitory and which will have the most long-lasting effects.

iReport: Share 10 photos from the past 10 years

Some moments that seem to be turning points shortly after they happen, such as Operation Desert Storm in 1990-1991, seem less important over time. Others that we don't pay as much attention to, such as the first bombing of the World Trade Center in 1993, look much more consequential with the passage of time.

September 11, 2001

The tragic moment when terror struck in New York and at the Pentagon will be at the top of everyone's "most important" list. When terrorism caused such devastating damage, the perpetrators defined the central national security challenge confronting the United States and much of the world: Stateless terrorism.

Even though the nation had faced terrorism for several decades, including the first attack on the World Trade Center in 1993 and the Oklahoma City bombing in 1995, nothing compares to 9/11 in scale and scope.

The event shattered the sense of confidence that many Americans had about being able to avoid the kinds of attacks on civilians that had become commonplace in the Middle East. American national security policy was reconfigured as a result.

The federal government vastly expanded and reorganized its homeland defense system. It instituted an aggressive program of interrogation and surveillance to combat terrorist threats and refocused foreign policy to concentrate on destroying these networks and the states that support them, including the invasion of Afghanistan to topple the Taliban regime. Eight years later, we are still fighting.

Iraq War

The war with Iraq quickly became one of the most controversial aspects of the war on terrorism. The difficulties that the United States encountered in the reconstruction period, and the falsity of the Bush administration's claims in the build up to war that Saddam Hussein had weapons of mass destruction, opened up the administration to intensified attacks from the left and the right.

The war eroded Bush's political capital and constrained his ability to achieve other objectives, including domestic proposals such as Social Security privatization. Equally important, the difficulties the nation encountered in achieving its goal of creating a stable democracy and combating insurgents has raised serious doubts -- domestically and internationally -- about the capacity of American military power in conflicts, including the war in Afghanistan.

Hurricane Katrina

When Hurricane Katrina devastated New Orleans in 2005, it revealed the horrible conditions under which many inner-city Americas were living after decades of neglect. The failure of so many levels of government to properly respond to the hurricane and its aftermath also exposed the limited interest of the government -- and the public -- in protecting these African-American communities even after a tragedy this severe.

The unwillingness of the federal government to commit substantial resources to the reconstruction effort confirmed that urban America was not central to the national agenda.

Financial crisis of 2008

The financial crisis constituted a huge shock to the economic system. As September 11 ended a false sense of physical security within our borders, the financial crisis shattered the economic confidence which had emerged in the 1990s and established the parameters for President Obama's administration.

The plummeting market fundamentally challenged decades of policies that centered on deregulation and market-based solutions. The fact that President Bush's administration put forth a hugely expansive financial bailout package revealed how Americans have come to expect federal intervention in times of economic crisis and showed that there were limits to the Reagan Revolution.

Election of 2008

The 2008 election is the one defining event that spoke to America's potential. Even though the United States clearly has not entered any kind of post-racial period, as Hurricane Katrina revealed, the election of an African-American to the presidency in a country whose economy once revolved around slavery was historic.

Combined with other developments -- such as the growing acceptance of gay rights, despite the setbacks to same-sex marriage --  the election signaled a movement away from discriminatory attitudes that have been so deeply rooted in the American psyche.

Any most important list is inherently incomplete, and only captures a small part of what the nation experienced. Should Congress pass health care reform, which seems likely, that could become a crucial moment in the history of our government. Nonetheless, these five events will certainly be ones that historians will look back to for years to come.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Zelizer writes: The first decade of the 21st century defined by terrorism, crisis, uncertainty

@highlight

Zelizer: 2000s brought abrupt end to exuberant, flush 1990s

@highlight

He cautions any "most important events" list only a suggestion, not definitive judgment

@highlight

His list: 9/11; Iraq War; Katrina; financial crisis; 2008 election