Kampala, Uganda (CNN) -- All that glitters is not gold, and not all designer jewelry is made from precious metals and gemstones.

A few years ago, Linda Lwanga's love of traditional African designs led her to her ancestral home in Uganda's capital of Kampala, giving up her career in electrical engineering in the UK.

Once in the country, the British-born designer started Zanaa, a luxury label producing high-end jewelry and accessories made from a variety of materials, including ankole cow horns.

Used for centuries for their milk and meat, ankole cows are indigenous to east Africa. Yet once they are slaughtered their striking long horns are usually discarded -- and this, Lwanga thought, represented a sustainable business opportunity.

"If it weren't for making something out of cow horn it would have been disposed of," says Lwanga. "Typically in Africa we tend to burn a lot -- our garbage, our waste is burnt and it's not environmentally friendly at all so I just thought of collecting it and transforming it into something beautiful."

Read this: Fishing boats reborn as furniture

From horn bangles and chic rings to eye-catching necklaces and earrings, Zanaa's growing jewelry line is sold to high-end buyers in the United States and Europe. Lwanga says that all the products are handmade by a small dedicated team of local artisans.

"Zanaa means illuminate the source, the source being Africa, where we have an abundance of beautiful materials, an abundance of amazing craftsmanship," says Lwanga. "We are losing a lot of our heritage, our culture and our artisans, in a sense, are kind of losing hope," she adds. "So we are trying to get that artisanal craftmanship and keep it."

Alongside the cow horn, Lwanga sources other traditional materials for her designs, such as imported leather from Ethiopia and beads from South Africa.

Yet doing business from Kampala has not been without problems.

"I would say timeliness is the biggest challenge," says Lwanga. "Trying to get your products to market in a short space of time and be competitive."

Regional trade

Uganda, often described as the "pearl of Africa," is one of the continent's most beautiful nations. The landlocked country, however, is also one of Africa's poorest -- according to a 2009 report by the World Bank, 38% of the population lives below the poverty line.

The country is part of COMESA, a trading bloc of 19 nations in east and southern Africa. Its free trade arrangements are designed to allow regional trade to flow easily between the member countries.

Read this: Weapons of mass creation

Uganda's trade within COMESA is worth $1.2 billion annually, according to the country's ministry of trade. But transporting goods is one of the key problems due to crumbling roads and expensive air travel.

For Zanaa, accessing information and understanding how the trade bloc can benefit young entrepreneurs has been problematic.

"I had to go directly to the ministry of trade to find out about the tariffs for example, how to import," explains Lwanga, who already trades with many of the countries in the COMESA trading bloc. "So it was more proactive, actually going out to seek that information."

Putting businesses on the map

Uganda's ministry of trade says it knows the system is far from perfect but insists much is being done to improve the availability of information to businesses in the country.

"We have promoted the district commercial offices because some of these small and medium-sized enterprises are out in the rural areas," says Amelia Kyambadde, minister of trade, industry and cooperatives. "So they are able to access them and give them information about the market standards and the necessary facilitation that they need."

Read this: Artist gives trash a second chance

Although still a work in progress, Lwanga says she sees the potential for her future if Uganda's regional trading relations continue to grow, especially when it comes to distributing her products.

"It will impact the business greatly," she says. "If we can get import and export of the products smoothly and in a timely manner, an affordable manner and understanding what tax breaks we can get from doing business in such a way that will be fantastic," adds Lwanga. "It will enable us to be put on the map."

@highlight

Zanaa is a Uganda-based company making jewelry from ankole cow horns

@highlight

Its high-end products are sold in the United States and Europe

@highlight

"Africa has abundance of beautiful materials," says Zanaa's founder