LONDON, England (CNN) -- Amory Lovins is an environmentalist and the chairman and chief scientist of the Rocky Mountain Institute (RMI).

Amory Lovins founded the Rocky Mountain Institute in 1982 to promote energy efficiency.

Lovins, who participated in Principal Voices in 2006, has advocated the "soft energy path," which promotes efficiency and renewable energy. He has also propagated concepts based on energy conservation, efficiency as well as the generation of energy at or near the site where it is actually used.

The author of 29 books, who has also advised 19 heads of state, Lovins talks about the current state of renewable energy.

CNN: Do you think the climate change debate puts too much emphasis on alternative energy and not enough on energy efficiency?

Amory Lovins: Yes. They're both important and synergistic, but efficiency is generally larger, cheaper, and faster.

CNN: You've said that energy efficiency isn't costly, it's actually profitable for businesses -- why don't businesses focus more on this area?

AL: Smart businesses are raising their energy efficiency by about five to 15 percent per year. Inattentive businesses -- distracted by other matters, or forgetting that saved overhead, even if it's a small fraction of total costs, drops straight to the bottom line, or lacking the leadership and attention to turn the many implementation barriers into business opportunities -- suffer high costs, increased risks, and lost competitive advantage.

CNN: What are the most promising energy-saving technologies?

AL: There's no short list of technologies; energy efficiency can be greatly increased in essentially every use and sector, including uncompromised but safer cars, trucks, and planes, with three times the current efficiency; buildings saving 80 to 90 percent of their energy and costing less to build; and often several-fold more efficient factories.

Overall, the U.S. could save half its oil and gas and three-fourths of its electricity at a cost equivalent to about an eighth of their price. RMI's latest $30 billion worth of efficiency redesigns in 29 sectors have consistently found about 30 to 60 percent savings on retrofit, with two to three year paybacks, and about 40 to 90 percent savings in new facilities, with nearly always lower capital cost.

Moreover, energy-saving technologies keep improving faster than they're applied, so efficiency is an ever larger and cheaper resource. The big surprise is that integrative design -- not a technology, but a way of combining technologies -- can often make very big energy savings cost less than small or no savings. For more on how to achieve this, read my Stanford Engineering School lecture notes.

CNN: Why do you oppose nuclear power?

AL: New nuclear plants are so extraordinarily costly that they would save about two to 11 times less carbon dioxide emission per dollar, about 20 to 40 times slower than investing the same money in efficient use of electricity or in "micropower" (co-generation and distributed renewables).

These competitors already provide the majority of the world's new electrical services because they cost less and have lower financial risk than central thermal power stations do. Indeed, micropower generates more electricity than nuclear power does, and has lately been adding 30 to 41 times more capacity per year.

The claimed 'nuclear revival' is not actually happening because, despite new U.S. subsidies rivaling or exceeding new nuclear plants' total cost, no private investors have been willing to finance them anywhere in the world; they're bought only by governments using public funds.

Nuclear power has other serious problems -- most importantly, facilitating and cloaking the spread of nuclear bombs -- but since it's unbuildable in a free market, it fails before one reaches those issues.

CNN: What can we do as individuals in our everyday lives to waste less energy?

AL: Turn off stuff we're not using. Weatherize our homes. Combine trips, bike, walk, carpool, use public transit. Get the most efficient energy-using devices --vehicles, appliances, lights -- we can find. Become informed. Organize efficiency improvements in your workplace and community. Set a good example. Spread the word. Vote mindfully with your ballot, actions, and dollars.

@highlight

Amory Lovins says smart businesses are becoming more energy efficient

@highlight

He's the chairman and chief scientist of the Rocky Mountain Institute

@highlight

Lovins: "Integrative design can often make very big energy savings"

@highlight

Amory Lovins participated in CNN's Principal Voices in 2006