(CNN) -- It's been more than a year since Haiti was rocked by an earthquake, leaving about 230,000 people dead, hundreds of thousands injured and more than a million homeless. The international community was quick to provide aid, especially in the first few months after the earthquake.

But the devastation didn't end with the natural disaster. Haitians are still dealing with a cholera epidemic that killed more than 2,000 people at the start of the year.

Here are five ways you can help alleviate some of the Haitian people's suffering:

1. Donate money  You can make a difference by donating to one of the many organizations providing relief. Most nonprofits make it easy to send money -- via text message, online, on the phone or through the mail.

Organizations such as the Clinton Foundation break down how your money will be spent. On the foundation's website, you will see that $35 could provide six mosquito nets to help prevent the spread of malaria and other illnesses; $55 could buy life-saving medical supplies; $125 could purchase a tent to provide shelter for a family of five; and $600 could provide two portable toilets for use in crowded camps.

One hundred percent of the donations made to Haiti through the Clinton Foundation go directly to recovery efforts.

2. Make personal hygiene kits  If you're looking for something more hands-on, several organizations, such as Heart to Heart International, allow you to make personal hygiene kits that will be shipped to Haiti. Close to 82,000 kits have been mailed through Heart to Heart in the past year. Instructions on what to put in the kits -- hand towels, toothbrushes and soap -- and where to send them can be found on the group's website.

"Hygiene is one way to fight disease, especially in a cholera-induced environment," said Pete Brumbaugh, a Heart to Heart International executive. "There's also a benefit to the person making the kit. It gives them something hands-on that they can do to make a difference in Haiti, even though they are not able to be there."

3. Volunteer  Another way to help is through volunteering. Many of the volunteers in Haiti are medical aid workers who are sent to Haiti through organizations such as Doctors Without Borders. But organizations such as MedShare also offer volunteer opportunities for nonmedical aid workers in the United States.

Since the earthquake, MedShare has shipped 28,000 boxes of surplus life-saving medical supplies and equipment to needy hospitals and clinics in Haiti. But they can't do it without the help of volunteers who sort and package the supplies.

The organization will be making at least three more large shipments in the coming months and needs volunteers around Atlanta and in the San Francisco Bay Area. Visit medshare.org for more information on how to sign up.

4. Be an advocate  An easy way to spread the word about the organizations you support is to "like" them on Facebook or follow them on Twitter.

If you want to take it a step further, some organizations such as J/P HRO, founded by actor and humanitarian Sean Penn, also have instructions on how to set up your own personal fundraising page to collect donations for the organization.

Once it's set up, you can e-mail your friends and spread the word on social networking sites. There are also ideas on how to plan an event to go along with your fundraising page.

5. Help rebuild  With more than a million people still displaced from their homes, there is still a great need for rebuilding efforts. In most cases, the best way to help is through donations to various organizations such as Habitat for Humanity.

While this organization is currently not sending volunteers to Haiti, money raised over the past year has helped close to 24,000 families through emergency, transitional and permanent housing.

Another organization, ShelterBox, relies on donations to send emergency shelter and other life-saving equipment to families in Haiti and other areas hit by disaster.

ShelterBoxes include a disaster relief tent for a family of up to 10 people; a children's pack containing coloring books, crayons and pens; a range of other survival equipment, including mosquito nets to prevent the spread of malaria; a basic tool kit; and a wood-burning or multifuel stove.

@highlight

Groups providing cholera treatment supplies and rebuilding efforts in Haiti still need money

@highlight

Locally volunteering and advocating for aid groups can also make a big difference

@highlight

There are hands-on ways to help: Hygiene kits are desperately needed