Rome (CNN) -- The United States promised Thursday to send food and medical supplies -- but not weapons -- to rebels in the first such move since the conflict began two years ago.

At the same time, European nations began to explore how to strengthen rebel fighters short of arming them after a European Council decision allowing aid for civilian protection.

U.S. Secretary of State John Kerry said the aid would help fighters in their effort to topple Syrian President Bashar al-Assad. The conflict has claimed more than 60,000 lives, laid waste to large portions of the country and created an enormous humanitarian crisis as refugees flee the fighting.

The fighting also threatens to widen into a regional crisis and has raised concerns that Hezbollah, Iran or others could gain control in Damascus after al-Assad's government falls.

"The United States' decision to take further steps now is the result of the continued brutality of a superior armed force propped up by foreign fighters from Iran and Hezbollah, all of which threatens to destroy Syria," Kerry said after meeting opposition leaders in Rome.

He did not say how much aid, but did announce that the United States would separately give $60 million to local groups working with the opposition Syrian National Council to provide political administration and basic services in rebel-controlled areas of Syria.

That's on top of $50 million in similar aid the United States has previously pledged to the council, as well as $385 million in humanitarian assistance, Kerry said.

"This funding will allow the opposition to reach out and help the local councils to be able to rebuild in their liberated areas of Syria so that they can provide basic services to people who so often lack access today to medical care, to food, to sanitation," he said.

Islamist Influence

The aid represents, in part, an effort to hem in radical Islamist groups vying for influence in Syria after the fall of al-Assad, a senior State Department official told CNN.

"If the Syrian opposition coalition can't touch, improve and heal the lives of Syrians in those places that have been freed, then extremists will step in and do it," the official said.

Sheikh Ahmed Moaz al-Khatib, president of the Syrian National Council, said concerns about Islamist influence were overstated.

"We stand against every radical belief that aims to target Syria's diverse social and religious fabric," he said.

U.S. officials hope the aid will help the coalition show what it can do and encourage al-Assad supporters to "peel away from him" and help end the fighting, the official said.

The opposition council will decide where the money goes, Kerry said.

But the United States will send technical advisers through its partners to the group's Cairo headquarters to ensure the aid is used properly, the senior State Department official said.

Additional aid possible

The European Council carved out an exception in its sanctions against Syria on Thursday to allow for the transfer of nonlethal equipment and technical assistance for civilian protection only.

The council did not specify what kind of equipment could be involved.

British Foreign Secretary William Hague said Friday on Twitter that his country would pledge new aid because "we cannot stand still while the crisis worsens and thousands of lives are at stake."

A diplomatic official at the French Foreign Ministry told CNN that France is studying the possibility of supplying night-vision equipment or body armor.

In the United States, President Barack Obama is thinking about training rebels and equipping them with defensive gear such as night-vision goggles, body armor and military vehicles, sources familiar with the discussions said.

The training would help rebels decide how to use their resources, strategize and perhaps train a police force to take over after al-Assad's fall, one of the sources said.

Kerry did not announce that sort of aid Thursday, but said the United States and other countries backing the rebels would "continue to consult with each other on an urgent basis."

An official told reporters that the opposition has raised a number of needs in the Rome meetings and the administration will continue to "keep those under review."

"We will do this with vetted individuals, vetted units, so it has to be done carefully and appropriately," the official said.

Humanitarian crisis

Meanwhile, the bloodshed continued. On Thursday, 98 people were killed across Syria, including 35 in Damascus and its suburbs, said the Local Coordination Committees for Syria, a network of opposition activists.

The conflict began with demands for political reform after the Arab Spring movement that swept the Middle East and Africa, but devolved into civil war when the al-Assad regime cracked down on demonstrators.

In addition to the 60,000 people who have died since the fighting began in March 2011, another 940,000 have fled the country and more than 10% of Syria's 20 million residents have been forced to move elsewhere inside the country, the Office of the United Nations High Commissioner for Refugees said.

The outpouring of refugees threatens to overwhelm the ability of host nations to provide for their needs, Assistant High Commissioner Erika Feller told the U.N. Human Rights Council on Tuesday.

Jill Dougherty reported from Rome, and Michael Pearson reported and wrote from Atlanta. CNN's Nick Paton Walsh and Elise Labott also contributed to this report.

@highlight

France considers sending Syrian rebels night-vision gear and body armor, a source says

@highlight

Britain's foreign secretary says the UK will announce new aid soon

@highlight

United States will send non-lethal aid to rebels, plus $60 million in administrative aid