Washington (CNN) -- For most divers, a shark in the water can inspire fear, or even dread. Greg Marshall wanted to hitch a ride.

More specifically, Marshall was inspired by the shark's constant companion, a remora -- a torpedo-shaped fish that commonly catches a ride by sucking onto the shark's rough skin and thriving on the shark's leftovers.

Marshall thought to himself: What if you had a camera as small as a remora? What if you could stick a camera on a shark so that the shark goes about its life, unaware that its actions were being recorded away from the distractions of photographers in scuba suits?

Where would it go, and what would you see?

For a naturalist, being able to observe animal behavior without interfering with the world the animal inhabits by the simple act of being there is the gold standard. In scientific terms, it's similar to a control in an experiment.

But that goal is usually unobtainable -- observing how an animal acts in captivity, for example, is no indication of how an animal actually behaves. Observing that behavior in the wild, Marshall says, is equally problematic.

"When we're in an animal's habitat, they know we're there," he says. "And they're reacting to us." And knowledge of an animal's actual behavior, Marshall says, is absolutely critical to reaching the correct conclusions about a creature's habitat and behavior, and how humans may be disrupting both.

Of course, the best way to observe real behavior in the wild is to have omniscient powers of observation, or perhaps a camera lens as long as your arm and as expensive as a new car. Or you can see what the animal sees, courtesy of "Crittercam."

Twenty-five years after that underwater epiphany in the waters off Belize, Marshall and his far-flung team of naturalists and engineers are getting closer to that gold standard. Technology may finally be catching up with inspiration.

Marshall took his initial ideas for ride-along observation technology to the National Geographic Society in 1987. Now he's vice president of the society's Remote Imaging division -- an effort by a team of scientists and engineers working with researchers around the globe capturing footage of how animals behave in the wild, away from the interference of the observers.

"Crittercam enables us to get out of the picture entirely -- to ride along, almost completely unobtrusively, to see their world and their behavior," he says.

Latest Crittercam news, virtual tours and more at NationalGeographic.com

Marshall is a real-deal explorer, a tall, lanky, gregarious type who seems more suited to a dive boat in the Sea of Cortez or a snowmobile in Antarctica than an impressively equipped machine shop in the basement of the fabled headquarters of the National Geographic Society.

Marshall still gets more than his fair share of exploration -- a day after this interview, he was off to Antarctica, again. But more often he's back in Washington, at his desk or in an edit bay. Still, adventure is where you find it -- and sometimes, it's in the most unlikely of places.

Cracking open a newly recovered Crittercam remora (or box, or sphere, or whatever device his crew of happily mad scientists invent to capture hitherto-unwitnessed moments in nature) is, for Marshall, full of the rush of exploration.

When Crittercam got its start, the results of all the hard work came down to a small, fragile tape. Nowadays, the data is stored on a tough, solid-state memory card. But seeing the data of the first time, Marshall says, is always a rush.

"You start looking at the screen because you never know what you're going to see. It's completely engaging and captivating," he says.

The results, Marshall says, run the gamut from inspiring and revelatory to downright boring -- at least, boring to a typical National Geographic Channel viewer. But to a marine biologist like Marshall, even the "boring" stuff can have stop-in-your-tracks potential.

Case in point: Sperm whales. They are one of the deepest-diving species on the planet. Years ago, his crew successfully attached an advanced Crittercam to a diving sperm whale.

"The first 10 seconds are fascinating, because you see the whale diving down," Marshall says. "And then it dives down into utter darkness. And then we're looking at a black screen for the next two hours."

But that Crittercam was also equipped to record sound, as well as video. And in that utter blackness (sperm whales can dive almost two miles down), the Crittercam whale began a conversation with another whale -- a cascade of powerful, rapid-fire clicks.

That whale conversation kept Marshall and his editors transfixed. It wasn't a made-for-TV moment, but it was yet more evidence that just about every deployment of the Crittercam system can reap unexpected rewards.

In the frigid waters off Alaska, a Crittercam captured an intimate view of a humpback whale calf nursing. There's dizzying footage of a tree kangaroo (yes, there's a kangaroo that climbs trees) high in the jungle canopy of New Guinea.

A sea lion in Australia plays with its food -- in this case, a hapless octopus. There's even a brief glimpse of a great white shark swimming at eye-popping speed, chasing an equally quick seal.

"You just never know what you're going to get -- it's just completely engaging," he says with a broad grin.

Crittercam footage finds its way into many of National Geographic's nature programs. And the best Crittercam moments are a rare combination of good television and good science. That's partly the goal of the whole program, Marshall says.

"I want to find a way to connect with people, I want to find a way to make them care about the conservation problem," Marshall says. "Imagine a planet where there are no humpback whales, where there are no blue whales, no leopard seals, no leatherback turtles. Can we survive? Absolutely we can survive... Well, probably.

"Is it going to be the kind of place we're going to revel in, that's going to inspire us? I doubt it. As we know more, we're going to care more -- and as we care more, we're going to protect these animals and the habitats they depend on."

@highlight

For a naturalist, observing animals in the wild is key to learning about species

@highlight

Greg Marshall pioneered the use of "Crittercams" mounted on animals

@highlight

Crittercams record hours of footage that can be retrieved later

@highlight

The cameras have captured whale calves nursing and a shark chasing a seal