(CNN) -- The U.S. Department of Justice said Friday it has joined the whistle-blower lawsuit against cyclist Lance Armstrong that was originally filed by a former teammate.

The Justice Department will file its formal complaint in 60 days.

Armstrong, the onetime legendary and now disgraced cyclist, has admitted to using performance-enhancing drugs. He was the team's lead rider when the U.S. Postal Service sponsored the team from 1996 to 2004 and Armstrong won six of his seven Tour de France titles, the Justice Department said.

The civil lawsuit alleges that Armstrong and former team managers submitted false claims for government funds to the sponsoring Postal Service by their "regularly employing banned substances and method to enhance their performance" in violation of the sponsorship agreement, the federal announcement said.

"Today's action demonstrates the Department of Justice's steadfast commitment to safeguarding federal funds and making sure that contractors live up to their promises," Stuart F. Delery, principal deputy assistant attorney general for the civil division, said in a statement.

Read the lawsuit

Between 2001 and 2004, the Postal Service paid $31 million in sponsorship fees, but that affiliation has now been "unfairly associated with what has been described as 'the most sophisticated, professionalized, and successful doping program that sport has ever seen,' " said Ronald C. Machen Jr., U.S. Attorney for the District of Columbia.

"In today's economic climate, the U.S. Postal Service is simply not in a position to allow Lance Armstrong or any of the other defendants to walk away with the tens of millions of dollars they illegitimately procured," Machen said.

The suit that the Justice Department is joining is by former Armstrong teammate Floyd Landis and was unsealed by U.S. District Court Judge Robert Wilkins. It provides details of the payments Armstrong and his team received while they promised to abide by the rules of cycling's governing bodies. Those rules prohibited the use of certain performance enhancing substances and methods.

"This lawsuit is designed to help the Postal Service recoup the tens of millions of dollars it paid out (to) the Tailwind cycling team based on years of broken promises," Machen said.

The suit also names as defendants Johan Bruyneel, who had managed the U.S. Postal Service and Discovery racing teams on which Armstrong raced, and Tailwind Sports, which was the team's management entity, the Justice Department said.

The Justice Department is joining the lawsuit's allegations against Bruyneel and Tailwind, but it isn't intervening in the suit's claims against several other defendants, the agency said.

The U.S. Postal Service supported the Justice Department intervention.

This so-called qui tam case allows the resources of the federal government to intervene on the side of a whistle-blower. If the suit is successful the government stands to recoup millions, and Landis stands to claim a sizable share of the proceeds -- possibly in the millions of dollars. The government had been working on the case for several weeks in advance of a likely federal intervention.

"The defendants agreed to play by the rules and not use performance enhancing drugs," general counsel and executive vice president Mary Anne Gibbons said in a statement. "We now know that the defendants failed to live up to their agreement, and instead knowingly engaged in a pattern of activity that violated the rules of professional cycling and, therefore, violated the terms of their contracts with the Postal Service."

The lawsuit accuses the former management of Armstrong's team of defrauding the federal government of millions of dollars because it knew about the drug use and didn't do anything.

The federal government had been evaluating for weeks whether to intervene in the lawsuit.

An attorney for Armstrong, Robert Luskin, said that ongoing discussions between the federal government and Armstrong's legal team had collapsed.

"Lance and his representatives worked constructively over these last weeks with federal lawyers to resolve this case fairly, but those talks failed because we disagree about whether the Postal Service was damaged," Luskin said. "The Postal Service's own studies show that the service benefited tremendously from its sponsorship -- benefits totaling more than $100 million."

Armstrong's attorneys declined to comment further on Friday's Justice Department announcement.

Former teammate Landis, who was stripped of his 2006 Tour de France title after failing a drug test, filed the lawsuit in 2010 against the team, which was sponsored the U.S. Postal Service.

Landis was a teammate of Armstrong on the Postal Service-sponsored team from 2002 to 2004, and his lawsuit was filed under the False Claims Act, the Justice Department said. That act is commonly called the whistle-blower law.

The law permits the federal government to investigate allegations and intervene, the Justice Department said.

The act was originally passed in 1863 when government officials were concerned that suppliers to the Union Army during the Civil War could be defrauding them.

In 1986, Congress modified the law to make it easier for whistle-blowers to bring cases and give them a larger share of any penalties collected. Whistle-blowers can now take home between 15% and 30% of the sums collected in their cases.

For years, Armstrong had denied drug use and blood doping, but he publicly admitted such use in January, three months after international cycling's governing body stripped him of his seven Tour de France titles.

That stripping came after a damning report by the U.S. Anti-Doping Agency accused Armstrong and his team of the "most sophisticated, professionalized and successful doping program" in cycling history.

That agency praised the Justice Department's announcement.

"The U.S. Postal Service Cycling Team was run as a fraudulent enterprise and individuals both inside and outside of sport aided and abetted this scheme and profited greatly," CEO Travis T. Tygart said in a statement.

CNN's Terry Frieden in Washington and Jason Morris in Dallas contributed to this report.

@highlight

U.S. Justice Department will file formal complaint in 60 days

@highlight

Feds won't allow Armstrong and managers "to walk away" with tens of millions of dollars

@highlight

"The defendants failed to live up to their agreement," postal official says

@highlight

"We disagree...whether the Postal Service was damaged," Armstrong attorney says