(CNN) -- The United States isn't leaving anything to chance.

While it pursues a diplomatic solution to the Syria crisis by sending Secretary of State John Kerry to meet with his Russian counterpart in Geneva, Switzerland, on Thursday, it has also started arming the rebels. Two rebel groups, though, say the arms have yet to reach them.

Meanwhile, a Vladimir Putin-penned editorial in The New York Times has at least one White House official saying it's an indication the Russian president is "now fully invested in Syria's chemical disarmament." And a U.N. report says that both sides -- the regime and the rebels -- have committed war crimes in Syria's bloody 2-year-old civil war.

Here are the five things to pay attention to today.

1. Giving peace a chance

As the diplomatic focus shifts to Geneva, the talks get down to the nuts and bolts of how to identify, verify and ultimately destroy the Syrian regime's chemical weapons stockpile, a senior State Department official told CNN. Expect the sessions to last two or three days. A final deal may take much longer, but the State Department says the United States is looking for a "credible and authentic way forward" that is "verifiable and that can happen expeditiously."

Kerry and Russian Foreign Minister Sergey Lavrov have talked nine times since an August 21 chemical weapons attack in Syria that prompted the U.S. to urge military action against the regime. U.S., British and French diplomats also are hashing over similar matters in New York.

A senior State Department official says the Syrian opposition is not pleased about recent developments. "They're upset," the official says "They don't trust this at all."

These are complicated matters with competing interests. Expect any final deal to go to the U.N. Security Council to be put into a formal resolution.

And to add to the intrigue, French Foreign Minister Laurent Fabius says the U.N. report on last month's attack will probably be published Monday. And there will "certainly be indications" that the attack originated with Syrian President Bashar al-Assad's regime, he said in a radio interview Thursday.

Looming over the talks is the military strike card that President Barack Obama continues to hold. He asked Congress this week to put the authorization on hold, but the card isn't going back in the deck just yet.

"This is the way that diplomacy works," said former Secretary of State Madeleine Albright, who was America's top diplomat in the Clinton administration. "You use the threat of the use of force to get some action in diplomacy, and then diplomacy just to figure out what you do about the threat of the use of force."

Still, some say it doesn't give the White House a lot of wiggle room.

"If diplomacy fails, he's painted himself into a corner," said Sen. Lindsey Graham, R-South Carolina. "The leader of the free world can't say all these things at the end of the day and do nothing."

2. Rebels and their guns

These things don't happen quickly. It was back in June that officials familiar with the matter told CNN that the United States planned to send small arms, ammunition and, potentially, anti-tank weapons to Syria's rebels. Concerns about who the White House could trust kept the process on the slow track. But no more.

Funded and organized by the CIA, the weapons began reaching moderate Syrian rebels two weeks ago, a U.S. official tells CNN.

"A coordinated effort is being made among the many supporters of the moderate opposition to get them the assistance they need," Kerry said during a Google+ Hangout discussion this week.

Not so, opposition groups said Thursday. The Syrian National Coalition and the Free Syrian Army deny they have received weapons.

"We have some promises from the U.S. administration of shipment of weapons in a short period of time, but until now we have not received any," said Louay al-Mokdad, the Free Syrian Army political and media coordinator.

We're waiting to see what the White House has to say about that.

3. Other government business

Obamacare. Government funding. An energy efficiency bill. Relieved of an impending vote on whether to give the president the authorization to attack Syria, Congress is moving on to other matters.

Yet, Syria continues to bubble under the surface.

"Congress will be watching these negotiations very closely," Senate Majority Leader Harry Reid warns. "If there is any indication they're not serious or they're being used as a ploy to delay, then Congress stands ready to return" to a resolution that would authorize a military strike on Syria. Whether the votes are there to approve such a resolution is another matter.

But for now, there's a different deadline looming over Congress. If there's no spending plan by early October, there could be a government shutdown.

4. Pointing fingers

Finger-pointing is a popular pastime when the topic is Syria. The government blames the rebels. The rebels blame the government. The United Nations blames both.

A U.N. report, released Wednesday, says that both sides have committed grave crimes in violation of international law.

The U.N. Human Rights Council says government forces are committing crimes against humanity by attacking civilian populations. War crimes like murder, torture and hostage-taking are the charges against the opposition.

"There is no military solution to this conflict," the report says. "Those who supply arms create but an illusion of victory."

Denials and more finger-pointing are likely from both sides.

5. Putin's turn

Obama got his say Tuesday. On Wednesday night, Putin took a stab at winning friends and influencing people in a piece published by The New York Times.

In the op-ed, Putin says it's time "to speak directly to the American people and their political leaders." He challenges Obama across the board.

He says striking Syria would kill innocent people, spread violence across the region and cloud other Middle East peace efforts. It would also "unleash a new wave of terrorism." He said skipping the United Nations to go it alone "would constitute an act of aggression."

The sarin gas attack? That's in there too.

While Obama squarely puts the blame for the alleged sarin attack on the Assad regime, Putin writes, "There is every reason to believe it was used not by the Syrian army, but by opposition forces to provoke intervention by their powerful foreign patrons, who would be siding with the fundamentalists."

Not a lot of middle ground as talks start in Geneva.

Democratic Sen. Robert Menendez of New Jersey said the piece made him almost want to throw up.

Putin ended with a swipe at Obama, with a reference to the Tuesday night address in which the president said that while America can't be a global cop, it ought to act in certain situations.

"That's what makes us exceptional," Obama said. "With humility, but with resolve, let us never lose sight of that essential truth."

Putin's answer to that?

"It is extremely dangerous to encourage people to see themselves as exceptional, whatever the motivation," he wrote.

"We are all different," the Russian leader concluded, "but when we ask for the Lord's blessings, we must not forget that God created us equal."

The Internet responded with variations on "Oh no, he didn't!"

But the administration's reaction was to brush it off.

A senior White House official says it's "all irrelevant," suggesting that Putin is already all in when it comes to forcing Syria to give up its chemical weapons.

Putin "now owns this," the official added of the Russian plan to have Syria's leadership give up its chemical weapons. "He has fully asserted ownership of it, and he needs to deliver."

Let's see if he does.

CNN's Barbara Starr, Steve Brusk, Jamie Crawford, Jake Tapper, Elise Labott, Barbara Starr, John King, Jake Tapper and Dana Bash contributed to this report.

@highlight

Talks between the United States and Russia begin Thursday in Geneva

@highlight

The United States, United Kingdom and France are meeting in New York

@highlight

Weapons are flowing to moderate Syrian rebels, U.S. official says

@highlight

Russia's Putin takes a swipe at Obama in a New York Times op-ed piece