(CNN) -- There are promising signs that the Department of Education and the Department of Justice might be getting serious about holding for-profit colleges accountable after so many of them have deceived students for years.

The devious practices of one of the country's largest for-profit colleges finally caught up with it in June after years of accusations of inflated job placement rates, abysmally low graduation rates, high loan default rates and more when Corinthian Colleges reached a deal with the Department of Education to shut down its operations. In exchange for $16 million in operating funds, Corinthian -- the parent company of Everest University, Everest University Online, Wyotech, and Heald College -- agreed to sell off or close its more than 100 campuses across the country, while at the same time denying the allegations.

Then, this month, the company announced it had received a grand jury subpoena from the U.S. attorney's office in Los Angeles, where the for-profit is based and where nearly a fourth of the school's 107 campuses are located. The subpoena, which indicates a possible federal criminal investigation, requests the company turn over documents on its job placement rates, graduation rates, and materials used in marketing and recruitment.

Now, as Corinthian winds down its operations, the Department of Education needs to make sure no student is left struggling after the demise of this institution.

The 72,000 students trapped on Corinthian's sinking ship are some of our nation's neediest. Like many for-profit schools, Corinthian targeted students who are overwhelmingly minority, female and low income. They are veterans back from Iraq and Afghanistan -- Corinthian received $186 million in post-9/11 GI bill funds in 2012 -- blue-collar workers seeking to improve their skill sets, and single mothers who hope more education will help them provide for their children.

Over and over again, for-profit colleges like Corinthian have failed these students by promising a quick path to financial stability through vocational education programs. But in reality, these schools are notorious for charging exorbitant tuition without preparing students for jobs in the real world.

On average, tuition at for-profit colleges is four to six times higher than at a comparable public school. A two-year Senate investigation found a medical assistant diploma cost $22,275 at Corinthian's Heald College in Fresno, California, while the same program at Fresno City College costs $1,650. An undergraduate certificate in paralegal studies at the Anaheim campus of Everest Colleges costs more than $43,000. At the Anaheim area community college, an associate's degree in paralegal studies costs less than $3,000.

And students at for-profit colleges generally cannot transfer credits because the schools lack the accreditation recognized by traditional community and four-year colleges. Without a job or the ability to transfer credits, students at for-profit colleges all too often find themselves unable to repay their loans; for-profit college students represent just 11% of federal loan borrowers, yet account for nearly 50% of loan defaulters.

Many of these issues apply to the deal with Corinthian, and students are being left in limbo. Depending on the accreditation each campus has, Corinthian students may not be able to transfer the credits they've already earned. Most unbelievably, the Department of Education continues to allow some Corinthian college locations to enroll studentsâ€”without meaningfully disclosing that the school is in the process of being sold off.

The very arm of the government that should be protecting students is aiding the profiteers in a bait and switch.

Corinthian has a long record as one of the worst players in the for-profit education industry. In 2012, when the Department of Education released the first metrics to determine the success of career college programs, 44 of Corinthian's programs failed outright. In fact, Corinthian Colleges performed worse than any other for-profit chain. But because a lawsuit prevented those metrics from being enforced, Corinthian's practices and programs continued unabated.

Last year, the Securities and Exchange Commission and Consumer Financial Protection Bureau announced investigations of the company's lending practices. Earlier this year, the Department of Education asked Corinthian to document its job placement and graduation rates, and when the documentation never arrived, the department delayed the release of financial aid to Corinthian's students.

Despite taking $1.4 billion from the federal government in 2012 alone, Corinthian can't keep its doors open. It is also under investigation for deceptive practices by the attorneys general of California and Massachusetts.

Last August, I represented the Mississippi Center for Justice and other low-income legal services providers on a Department of Education committee that proposed regulations to bring greater accountability to the for-profit college industry.

Our committee worked hard to add teeth to the rules that govern for-profit colleges, but industry trade groups began to pressure the Department of Education to water down those standards. The collapse of Corinthian makes clear just how important these new regulations are. If meaningful regulations had already been in place, it's quite likely that many of the 72,000 Corinthian students wouldn't be facing such tremendous uncertainty today. While we can't fix the past, we can make steps to start protecting students now.

For those students enrolled at schools that the for-profit is selling, the Department of Education must ensure that the buyer will allow students to complete their degrees. It should not allow sale of the company to another failing school offering unmarketable degrees. Otherwise, the Corinthian problem will not be solved by the shut down -- it will simply be a name change.

Corinthian and other similar colleges have made a profit for decades off the backs of students. As a nation, we must say "enough."

@highlight

Whitney Barkley: Government is at last making for-profit colleges accountable

@highlight

Barkley: Corinthian Colleges must shut down after inflated job rates, low graduation rates

@highlight

Barkley: For-profit colleges charge sky-high tuition without getting students ready for jobs

@highlight

She says for-profits target and rip off minorities, females, veterans, blue-collar students