Addis Ababa, Ethiopia (CNN) -- On the outskirts of Addis Ababa, Ethiopia, in the dusty crowded neighborhood of Akaki, I've just been treated to a traditional Ethiopian coffee ceremony. The beans are roasted and the coffee boiled in front of you then served piping hot with a heaping spoonful of sugar and a side of freshly popped corn.

As I step out onto the dirt road to leave, one of my hosts wants to ask a question: do I know anyone who can donate some wheelchairs, so adults don't' have to carry disabled children on their backs to school anymore?

I wish I did.

The woman who needs the wheelchairs is one of the 20,000 volunteers for Yekokeb Berhan, a USAID-funded program trying to help half a million highly vulnerable children. The name means "Light from the Stars" in Amharic, and is meant to reflect the resiliency of children.

After spending a week working with the volunteers here, I have no doubt those wheelchairs are going to find their way, due to the resiliency of the adults.

Read more: Ethiopia's rock churches 'built by angels'

Yekokeb Berhan volunteers are chosen by community committees and given training in health, parenting, budgeting and life skills. Then they go out into communities, to find and identify the most vulnerable children. Each volunteer will take in 25 of those kids as her own.

"I have 29 children" says Sintayehu Kenna, a mother of four (plus 25), "I can't separate them from my own. I love them. "

The program's philosophy is that the way to help children is to help their families. More often than not, assistance is needed in multiple areas -- and that means these volunteers have had to become master networkers -- calling on friends, family, neighbors, local businessmen and faith leaders to get the kids what they need.

Leyela Ayele, from the Kolfe neighborhood, tells me about a family of eight in which the father was sick and the mother was the breadwinner until she had a heart attack and died. Ayele volunteered to foster the six kids. One of the boys was malnourished and Ayele went to every health center in the area, telling doctors about him, until she found one to admit and treat him.

She visited the local bakery and convinced the owner to provide breakfasts for another child. And she linked up the eldest with a government association that gave a scholarship to study hairdressing.

Volunteers receive a stipend of about $10 a month to cover phone and transportation costs. They are expected to give about 15-20 hours a week, but I found they all are giving much, much more.

Alemitu Yemes has 31 kids, four of her own, two foster kids plus her 25 kids from the program. She's given a small room in her compound, rent free, to a family of five. Everyone except the youngest toddler is HIV positive. Yemes is working to keep the kids in school and making sure the family keeps to their anti-viral medical regime. "We don't want them to be dependent," she says, "I'm telling them to be self-reliant and we are all working towards that together."

Yekokeb Berhan is also working in conjunction with local government and 40 civil society organizations to recruit, train and supervise the volunteers all over the country.

In Ethiopia, formal education doesn't begin until age seven. So, the Hiwot Integrated Development Association (HIDA) struck a deal with the local government. HIDA would renovate and supply an early childhood development center if the government would pay the teachers. That partnership resulted in new brightly colored classroom expanded to serve 128 children, many of them considered highly vulnerable. Amharic and English are taught, and on the day I visited, I was treated to a version of the nursery rhyme Mary Had a Little Lamb.

But the backbone of the Yekokeb Berhan program is the individual volunteers. A majority of the women I met were single mothers with big families of their own. Some work as bread makers and vegetable sellers, but about half of those I spoke with seemed to have no other support. But yet everyone I met said it was their moral obligation to help others.

"Even after they turn 18 years we will still help them, by linking them up with the woreda (local government) and getting them skill training and jobs. We will empower our graduated children," says Gete Tefera, who has two children of her own, plus her 25 fosters.

Read more: War orphans turn tragedy into triumph

On my last day in Addis, I met with a group of women entrepreneurs in a half-built concrete mid-rise with broken windows, which will one day be a youth center. Through Yekokeb Berhan's "Community Self-Help Savings Group" each is getting help with a new venture and for the first time in their lives, saving money. The women enthusiastically describe their plans: one is switching from selling bananas to housewares, because the latter doesn't spoil; another is expanding her business from selling used clothes to new.

But the profits will not be all theirs. As part of the program, two birr a week, about 10 cents, has got to go into a kitty to help out those in need.

Before I leave, one woman says there are a lot of kids in the neighborhood unable to go to school because of poor eyesight. She wants to know if I know anyone who can get them the glasses they need.

I don't. But I'm going to look into it.

Find out more about Yekokeb Berhan.

@highlight

Ethiopian group is helping highly vulnerable children

@highlight

Volunteers care for 25 disadvantaged children, many of whom are HIV positive

@highlight

They give their homes, incomes, time, to help the kids