Lifelong Democrat Jackie Bland is doing something she never thought she'd do: Urge people to vote for a Republican.

Bland supports Thad Cochran, a six-term Mississippi senator who's trying to fend off a fierce tea party challenge to his seat from Chris McDaniel as voting got underway in Tuesday's primary runoff.

Two weeks ago, Bland helped put up 5,000 pro-Cochran posters in black communities and talk to people about his record.

"We wanted to raise the awareness to African-Americans that we do have a stake in this runoff election," she said.

She pointed to Cochran's efforts to secure federal funds for jobs, Head Start programs and health centers relied upon by African-Americans in the state.

"We don't want to move backwards," she said.

Bland's efforts reflect the high stakes locally and nationally in the Cochran-McDaniel showdown and also illustrate the unscripted political realities of particular states that play out on Election Day.

In this case, it's apparent that Cochran needs Democrats to keep his job, and some Democrats heed the fact that Democratic Senate nominee Travis Childers likely won't win in November, so they turn out for a Republican.

In Mississippi, neither candidate secured 50% of the vote in the GOP primary this month, requiring a runoff election. And both sides over the past few weeks have relentlessly pursued get-out-the-vote efforts.

Unheralded candidate believes he played spoiler in Cochran race

Mississippi law allows anyone to vote in the runoff, meaning Democrats can go to the polls so long as they didn't vote in the Democratic primary and they don't plan to support their party candidate in the general election.

The question is whether Cochran can shore up enough support to beat back the tea party wave against him. McDaniel got about 1,400 more votes than Cochran in the primary, and national conservative groups have actively rallied around the challenger.

Mississippi primary spending spree pushes advertisers off the air

Cochran is pushing his message that his experience makes him more influential in Congress, and his ties on Capitol Hill will better serve Mississippi if he's reelected.

McDaniel and allies, however, say Cochran has been in office long enough, and his tenure only breathes more life to the status quo. For his part, McDaniel vows to bring change to the nation's capital and shake things up on Capitol Hill.

"The people of this country are finally waking up again and recognizing that Washington's been broken for a long time," McDaniel said Monday, referring to tea party victories in recent years. "All the sudden you see a great awakening among all the people, particularly those who are very dissatisfied with the direction our country is going."

Courting the African-American vote

Mississippi Conservatives, a super PAC founded by former Gov. Haley Barbour and his nephew, Henry, has taken the lead in courting votes from Democrats, especially in the African-American community. Cochran's allies are arguing the case that he has long been there for the voting bloc and would better represent their interests than McDaniel.

The issue is so complicated that even Bland can hardly stomach what she's doing. She attended an event Monday featuring Republican Sen. John McCain, who called on voters to keep Cochran in Washington but also spent much of his speech blasting President Barack Obama.

Bland, a supporter of the President, got up and left.

Cochran acknowledged Monday he would likely benefit if a wide range of voters turn out for the runoff.

"I've always reached out and benefited from support from the black community," he said. "My responsibility as a United States senator has been to represent the people of the state of Mississippi, not just one party or one race or a select group of friends."

But another Mississippi political veteran labeled the vote courting a risky move.

"It might get him some votes, but it might lose him some votes," said former Republican Sen. Trent Lott. The ex-Senate majority leader not only served with Cochran for many years, but the two were competitors for the leadership position in 1996.

Lott now describes Cochran as "a good friend" and said he's "very nervous" about the runoff.  It will be "difficult for Thad to overcome the momentum" by McDaniel, he predicted.

Vote underway

Conservative groups are working with Christian Adams, a former Justice Department official, to train volunteers to monitor poll workers and make sure they check to see whether Democrats have already voted in their primary.

Some critics question whether the effort might lead to voter intimidation. The Mississippi NAACP dispatched about 250 volunteers to watch poll stations and look for any signs of interference.

They're supposed to call the state office if anyone is turned away, but enforcing the crossover primary rule may be hard to enforce.

Wayne McDaniels, president the NAACP's Jackson City Branch, said the biggest concern is polling stations in rural areas.

"There won't be much coverage as far as the news media out there, so those are the pockets where someone might figure they can get away with certain things," he said.

McDaniels said the state office hadn't yet receive any calls or suspicious reports from any of the volunteers in the field.

CNN saw three people turned away by poll workers in Jackson because they voted in the Democratic primary.

Monitoring crossover voters

Adams is overseeing the "election integrity project" for the conservative groups FreedomWorks, Tea Party Patriots and Senate Conservatives Fund, said Monday in a phone interview that volunteers won't be instructed to talk to voters or poll workers, but only monitor the process at polling stations across the state.

"These are not negotiators," he told CNN, stressing that they're "not activists urging people" to vote one way or the other.

He said the volunteers will "observe what's going on and how to memorialize the events of the day in an observer report," which will be reviewed by lawyers. But he refused to elaborate on who the lawyers are and who they work for.

He also declined to be more specific about where exactly the volunteers would be working, saying only that they will be stationed at polling locations "across the state."  Pressed on why he was providing few details about an effort that seeks transparency and honesty in an election process, Adams didn't give an answer.

McDaniel, who chairs the elections committee in the state Senate, said Monday he approves of the monitoring effort and doubts intimidation will become an issue.

"The issue is to make sure we have a fair process," he said.

He argued that a high Democratic turnout for Cochran would reveal the senator's true colors.

"I'm not concerned about them being African-American. I'm concerned about them being liberal," he told CNN. "That's always been my concern. If Senator Cochran is going to court liberal Democrats to save his seat, that's a good indication that he's abandoned conservatism in Mississippi."

Learning from last time

Since Cochran failed to defeat McDaniel in the primary, the senator and his campaign have been more aggressive about their ground game.

Sources familiar with Cochran's campaign strategy say they hope that a lot of Republicans who stayed home during the primary, thinking Cochran would be fine, will show up at the polls.

The senator has had a more active schedule for the runoff and his overall operation is more finely tuned. On Monday, he campaigned with McCain, who reiterated the pitch that an experienced senator is more beneficial for a state.

McDaniel doubled down on his attack line against Cochran, saying his partnership with McCain further proves how out of touch the senator is with conservatives.

Former Sen. Lott has also helped out Cochran by cutting an ad for his former colleague. He said he didn't do much for Cochran in the  primary because "I think they didn't think they needed me." But the runoff's been different.

The U.S. Chamber of Commerce also pitched in for Cochran and produced an ad featuring retired NFL star Brett Favre, a Mississippi native. But Cochran isn't the only one with a celebrity endorsement. Longtime game show host Chuck Woolery headlined a bus tour organized by the Tea Party Express.

While Cochran has tried to make the case that his near-four decades in the Senate brings wisdom and power, he's fighting an uphill battle against a younger politician and former talk radio host who paints himself as the candidate more principled and eager to help lead a conservative movement in the Senate.

Jeremiah Boddy, 20, a student at the University of Southern Mississippi and a McDaniel supporter, showed up to a Cochran event Monday.

"I feel like it's the same rhetoric, just washed and put in different clothes," he told CNN. "I mean he has no charisma, and as far as I'm concerned, he couldn't sell you a brand new car, even if it was free."

@highlight

GOP Sen. Thad Cochran hopes African-American Democrats can help him keep his seat

@highlight

Cochran is in bitter runoff battle with tea party-backed challenger Chris McDaniel

@highlight

McDaniel says Cochran's long tenure in Washington makes him part of status quo

@highlight

Cochran is banking on that tenure, and the benefits it provides back home