Anniversaries are useful moments to pause and reflect. For the 70th anniversary of D-Day and subsequent campaign in northern France, it is also an opportunity to look at the past in detail and ask how much of what we think we know is true and how much is well-entrenched myth. Not only is it more interesting, it is also of greater worth as we plan for the future and pray there will never be a conflict like World War II again.

1. MYTH: D-Day was predominantly an American operation

REALITY: For many people, D-Day is defined by the bloodshed at Omaha -- the codename for one of the five beaches where Allied forces landed -- and the American airborne drops. Even in Germany, the perception is still that D-Day was a largely American show; in the recent German TV mini-series, "Generation War," there was a reference to the "American landings" in France.

But despite "Band of Brothers," despite "Saving Private Ryan," despite those 11 photographs taken by Robert Capa in the swell on that morning of June 6 1944, D-Day was not a predominantly American effort. Rather, it was an Allied effort with, if anything, Britain taking the lead. Yes, Gen. Dwight D. Eisenhower, the supreme Allied commander, was American, but his deputy, Air Chief Marshal Sir Arthur Tedder was British, as were all three service chiefs. Air Marshal Sir Arthur "Mary" Coningham, commander of the tactical air forces, was also British. The plan for Operation Overlord -- as D-Day was codenamed -- was largely that of Gen. Bernard Montgomery, the land force commander. The Royal Navy had overall responsibility for Operation Neptune, the naval plan. Of the 1,213 warships involved, 200 were American and 892 were British; of the 4,126 landing craft involved, 805 were American and 3,261 were British.

Share your family's D-Day stories

Indeed, 31% of all U.S. supplies used during D-Day came directly from Britain, while two-thirds of the 12,000 aircraft involved were also British, as were two-thirds of those that landed in occupied France. Despite the initial slaughter at Omaha, casualties across the American and British beaches were much the same. This is not to belittle the U.S. effort but rather to add context and a wider, 360-degree view. History needs to teach as well as entertain.

2. MYTH: American forces were ill-prepared

REALITY: By the end of World War II the United States had the best armed services in the world. The 77-day Normandy campaign did much to help them reach this point.

Northern France was a showcase for American tactical and operational flexibility. At the start of the campaign, the Americans found themselves fighting through the Norman "bocage," an area of small fields lined with thick, raised hedgerows and narrow, sunken lanes. They hadn't trained for this; instead they expected that the Germans would quickly retreat after a successful Allied landing. For the Germans, the bocage offered cover and ambush opportunities for mortar teams and machine guns. Even the American 30-ton Sherman tanks couldn't get through these hedgerows. Then a U.S. sergeant came up with the ingenious solution of attaching a hedge-cutting tool built from German beach obstacles to the front of a Sherman. Gen. Omar Bradley, the U.S. First Army commander, was impressed; within a fortnight, the device had been fitted to 60% of all U.S. Shermans in Normandy.

This was but one example. During the campaign huge developments also were made in close air support, as well as in coordination between infantry, artillery and armor. Medical services advanced so much that one in four casualties returned to the battlefield after treatment, remarkable for 1944.

3. MYTH: The Allies became bogged down in Normandy

REALITY: In the pre-invasion estimates for the Normandy campaign, the Allies expected to be roughly 50 miles inland after 17 days, based on German retreats in North Africa and Italy. But Adolf Hitler ordered his forces to fight as close to the French coast as possible and not give an inch.

On paper it seemed that the Allies weren't making much progress, but in reality the German strategy worked to the Allies' advantage as they pounded the enemy with offshore naval guns. For by 1944 the Allies had realized that German tactics -- which dated back more than 100 years -- were rigidly predictable. Striking back once the enemy had overextended itself was central to German DNA throughout World War II. The Allies soon realized that this penchant for counterattack meant that the Germans would eventually move into the open and get hammered.

By the end of the Normandy campaign the Germans were hemorrhaging men and machines, with two armies all but destroyed. True, a handful of Germans did escape the attempted encirclement around Falaise, but it was still a massive Allied victory. In the rapid advance that followed, the Allies moved more quickly than Germans had in the opposite direction four years before, during the invasion of France.

4. MYTH: German soldiers were better trained than their Allied counterparts

REALITY: At the start of World War II the best German units were more than a match for their Allied opposition -- but by 1944 that had changed radically. There were a few exceptions, such as the Panzer Lehr, but come D-Day most German units were not as well trained as the Allies.

Some Allied units in Normandy had been preparing for four years for this campaign. In contrast, many German troops had had little more than a few weeks' notice. The German ad hoc battle groups known as kampfgruppen are traditionally regarded as showcasing tactical flexibility, but even these were borne of extreme shortages and desperation toward the end of the war.

The German paratroopers, or fallschirmjäger, were acknowledged to be among the best of their armed forces, yet one veteran I interviewed recalled how he had barely any training, save a few route marches and practice at laying mines. He never trained with a tank, had no transport and had to march 200 miles from Brittany when sent to the front. His case was not atypical: All infantry divisions in Normandy were expected to move by either foot or horse-drawn cart. The veteran I spoke to reached Saint-Lô, a major Normandy town, on June 12 with a company of 120 men. When he was captured on August 19 he was one of just nine men still standing.

The Germans had a doctrine during World War II called auftragstaktik -- best described as the ability to use one's initiative -- which has been hailed as what set their soldiers apart. But the paratrooper I spoke to knew nothing of it. By that stage of the war, German training was so skimpy that it was impossible to implement.

5. MYTH: The Germans had stronger tactical skills

REALITY: The dogged determination of the Germans to fight during D-Day is often confused with tactical skill. It shouldn't. The best analogy is with more recent conflicts like Afghanistan or even Vietnam, when Western forces had the best training and kit yet struggled to defeat a massively inferior enemy. As the Taliban have shown, it is very difficult to completely defeat your enemy if they don't want to be defeated. The only way to do that is to kill them all.

This is why the Germans took so long to be defeated in Normandy and, subsequently, despite a lack of training, they were still a very dangerous and deadly enemy with plenty of powerful weapons and a fierce determination to keep fighting. This was for a number of reasons: Nazi indoctrination, a profound sense of duty and the threat of execution for deserters. In World War I the Germans executed 48 men for desertion; during World War II that figure rose to 30,000.

6. MYTH: America and Britain got off lightly in World War II

REALITY: Allied frontline troops suffered horrifically during World War II. Democracies such as Britain and America tried to achieve victory with as few casualties as possible. For the most part, they did this very successfully using technology and machinery to shield lives wherever they could.

However, short distances still had to be won by the infantry, tank units and artillery. Although technology meant the Allies needed fewer forces than a generation earlier, those in the firing line still pulled the very short straw. Losses to frontline troops were proportionally worse during the 77-day Normandy campaign than they were during the major battles along the Western Front during World War I.

D-Day veteran: I don't want them to be forgotten

@highlight

D-Day signalled the start of the campaign which ended World War II in Europe

@highlight

Many myths have subsequently developed about the events in Normandy, says historian

@highlight

James Holland says Operation Overlord was not just an American venture

@highlight

He also argues that German soldiers were not better trained than the Allies