Tegucigalpa, Honduras (CNN) -- More than 300 inmates were killed in a prison fire in central Honduras, officials said Wednesday, as families clamored to learn whether their loved ones were among the victims.

The fire was one of the worst tragedies of its kind in decades in Latin America and focused renewed attention on the often poor conditions of prisons in the region.

Authorities offered differing reports of how many prisoners died in the fire. Honduran government officials said more than 300 inmates were killed, while the National Human Rights Commission said as many as 356 inmates were unaccounted for and may have died.

Forensic teams removed more than 150 bodies from the facility by Wednesday evening.

"Everyone ran for their lives," said one survivor who spoke briefly to local television cameras.

Watch an iReport of the fire

Prisoners awakened to the screams of fellow inmates and forced themselves out of the prison any way they could, he said.

Authorities were investigating what caused the blaze, which broke out late Tuesday in a minimum-security prison in Comayagua, Honduras, about 40 miles northwest of the capital, Tegucigalpa.

About 200 meters away from the prison, Carlos Alfredo Garcia Zepeda said he was inside his home when he heard a series of blasts, like a bomb.

"I didn't pay much attention, because we have a lot of fireworks," he said. "Then I heard them screaming. ... I went outside and couldn't believe what I was seeing."

As bright orange flames and thick plumes of smoke filled the night air, the 21-year-old recorded a video of what he saw, which he submitted to CNN's iReport.

Gunshots rang out. The flames raged for about an hour, he said, but a few minutes after he started recording, the cries for help stopped.

"It's an outrage. It happened so quickly. I guess they couldn't do anything anymore," he said.

As word of the fire spread, Honduran officials pledged to take swift action to determine what caused it.

"This is a day of deep pain for Honduras," Honduran President Porfirio Lobo said in an address to the nation Wednesday.

He announced the suspension of the Comayagua prison administrators and the entire prison chain of command up to the national level.

"We are going to review the conditions in all the penitentiary centers to see how we can improve the overcrowding conditions that exist in many of our prisons," Lobo said.

The prison was built to house 250 inmates, but 852 inmates were behind bars there at the time of the fire, the Honduran National Human Rights Commission said in a statement.

Five of the prison's units -- more than half of the facility -- were affected by the fire, said Jose Turcios, a spokesman for the Comayagua fire department.

The country's prison commissioner said authorities were looking into whether a short circuit sparked the fire or if a prisoner set a mattress alight.

Authorities have not determined what caused the fire, but the nation's electric utility will review wiring in all prison facilities as a "preventative measure," Lobo said, "because that can be one of the causes of these types of disasters."

Before dawn Wednesday, families of the prisoners gathered in front of the prison gates and authorities' offices, demanding to know if their loved ones were among the survivors.

Hundreds of relatives pressed against the gates as an official read aloud the survivors' names.

"I understand the worry and demands of the people, but we have to abide by the law," said Pompeyo Bonilla, the country's minister of security. "We have the best intention to give answers to the families as soon as possible."

The president said Chile was sending forensics experts to Honduras to help with identification.

It was the third fatal prison fire in recent years. In 2003, 61 prisoners were killed in a fire at a prison in La Ceiba. In 2004, 107 died in a fire at a San Pedro Sula prison.

The U.S. State Department published a report last April painting a damning portrait of conditions in Honduras' 24 prisons.

Prisoners "suffered from severe overcrowding, malnutrition, and lack of adequate sanitation," the report said, citing human rights groups.

"Authorities did not provide adequate food or other basic necessities. The ready access of prisoners to weapons and other contraband, impunity for inmate attacks on nonviolent prisoners, inmate escapes, and inmate threats against prison officials and their families contributed to an unstable and dangerous penitentiary system environment," the department said in its 2010 Country Reports on Human Rights Practices.

Human rights groups also alleged that prison officials used excessive force against prisoners, the State Department said.

As of December 2010, the total prison population in the country was just under 12,000, about 400 of whom were women, the report said.

Honduran officials told CNN that overcrowding in the country's prisons is the result of an increase in transnational organized crime.

Honduras, and the world, will have to decide how to respond to the security crisis in the poor nation, Foreign Minister Arturo Corrales said.

"We do not produce drugs, nor are we the main place where they are consumed. But we suffer from the scourge of the extreme increase in violence in our country because of drug trafficking," he said.

Danilo Orellana, the director of prisons in Honduras, added that the prisons in general were in crisis.

"The situation is grave, and we have said on many occasions that the prisons in the country are failing and that investments are necessary from the state," he said.

Mariano Castillo reported from Atlanta and Elvin Sandoval from Tegucigalpa. CNN's Laura Smith-Spark in London and Rafael Romo and Catherine E. Shoichet in Atlanta contributed to this report.

@highlight

NEW: Witness: "I went outside and couldn't believe what I was seeing"

@highlight

Offcials say more than 300 were killed in the prison fire in Comayagua, Honduras

@highlight

A short circuit or mattress fire may have sparked the blaze, an official says

@highlight

The cause is under investigation, authorities say