(CNN) -- There is compelling evidence that the economic security of women and their families is more fragile today than ever.

Women are one-half of the nation's workforce, yet disparities in pay, the shrinking of the public sector and stagnant wages have left too many women and families on the losing end of our nation's economic recovery.

Nearly two-thirds of all minimum wage workers are women. The poverty rate among women is as high as it has been in 17 years. Women are more likely to file for bankruptcy and have less retirement savings. Women have rushed to get more education and training, but student debt has skyrocketed. Five decades after the Equal Pay Act, women still make just 77 cents for every dollar men make for the same job, an average real difference of $11,000 a year. Unmarried women -- single, widowed or divorced -- are the most economically insecure.

These disparities persist for many reasons.

Too many women face financial pressures simply because of outdated policies and a "Mad Men" view of the world that constrain opportunities for women's full participation in our economy. Our country's policies simply do not reflect the way families live today, with both parents in the workforce and more single-parent households than ever. A second income is no longer a luxury; it is a necessity.

For far too long, Washington has been silent on these issues. It's time for an agenda that addresses the economic instability of women and their families.

This week, House Democrats announced an economic agenda for America's women and families.

It recognizes a simple fact: When women succeed, America succeeds. It reflects the same spirit advanced 165 years ago at the first Women's Rights Convention at Seneca Falls, New York, where American women began their quest for equal rights and equal opportunity.

House Democrats' agenda -- "When Women Succeed, America Succeeds: An Economic Agenda for Women and Families" -- stands on the shoulders of what was accomplished at at Seneca Falls and what was advanced by activists in every generation by addressing the economic challenges facing women and families in our time.

Our agenda promotes policies that raise wages and ensure pay equity in the workplace. It allows working parents to support their families, succeed in school and at the office, and care for their children.

Achieving good and equal pay for women is essential.

We must enact paycheck fairness legislation to ensure women get paid what they deserve and put more money in the pockets of working women and their families. We must expand access to job training and education assistance so that working women can obtain better-paying jobs in the future. We must do more to support women-owned businesses and nurture entrepreneurship by providing more access to capital.

Today, women play an expanded role in the workforce, in businesses small and large, and in our homes as primary breadwinners.

Given this reality, we need policies that allow a better work and family balance for all workers, not just a select few at the top of the income ladder. The Democrats' agenda increases access to paid sick leave, expanding the Family Medical Leave Act and protecting pregnant workers and new mothers so that they can't be fired or demoted.

The high cost of child care is another economic barrier for working families, forcing too many to make a near-impossible choice between low-quality child care or forgoing wages to stay home to care for their children.

That's why we must increase access to affordable, quality child care. One key step forward should be to provide all low- and moderate-income 4-year-olds with access to high-quality preschool, as proposed by President Barack Obama.

Congress must also take steps to support early Head Start and child care partnerships and expand existing child and child care tax credits.

Our pro-family agenda will help strengthen the middle class, grow our economy and provide a brighter future for the next generation.

Democrats have long led the way to address the health and economic security of women and families -- from the passage of the Affordable Care Act and the Lilly Ledbetter Act to our continued fight to strengthen and protect Social Security and Medicare. Our women and families economic agenda is the next step in our mission to expand opportunity for all Americans.

American women and their families are at an economic crossroads. We want them to succeed, not sink. That is why every chance we get we will call for passage of the policies necessary to meet the economic needs of America's women and families today, to help them succeed so America will succeed.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Nancy Pelosi and Rosa DeLauro: Women and their families are worse off than ever

@highlight

Writers: We need fair, equal pay for women, early education for children, access to job training

@highlight

They say old policies and "Mad Men" view of the world add to women's money woes

@highlight

House Democrats agenda: "When women succeed, America succeeds"