Paris (CNN) -- With his razor-sharp cheekbones and youthful appearance, Olivier Rousteing looks like he could be fresh out of design school.

Instead, the 28-year-old is at the helm of one of the most venerable fashion houses in the world -- Balmain. Since taking over in 2011, the Bordeaux-born prodigy has been credited with bringing a fresh, popular-culture aesthetic to the house, while staying true to its spirit and tradition.

His richly embroidered, luxurious designs have earned him legions of fans, and his so-called "Balmain Army" of supporters includes some of the most glamorous women in the world, from Naomi Campbell to Rosie Huntington-Whitely.

Rousteing, who at 25 was the youngest creative director of a Parisian label since the legendary Yves Saint Laurent took the top job at Christian Dior in the 1950s, has also been hailed as a champion of diversity, casting mixed-race and Asian models in his catwalk shows and advertising campaigns.

The designer tells CNN about his love of "wonder women," the meaning of luxury, and his friendship with his muse, Rihanna.

CNN: What is at the heart of the Balmain DNA?

Olivier Rousteing: Pierre Balmain has always been a big designer like Christian Dior or Monsieur Saint Laurent, and when I had this opportunity to take (on) the house I just felt so flattered ... it was an honor for me. And at the same time I wanted to bring back the archives because Pierre Balmain was known for the Jolie Madame silhouette, amazing tailoring and the most incredible embroideries, but I wanted to twist it with my edge, my generation. And I was excited to express all these feelings -- all my culture I had today with all the past of the house which is so huge and so interesting and impressive.

CNN: How does your style differ from former creative director Christophe Decarnin?

OR: I learned a lot from Christophe. And when I was working at Balmain as an assistant and managing the studio, my job was translating everything he wanted in a fashion way. But Christophe was from another age, another generation, loving different muses and icons. He was more into Kate Moss, rock and roll and Sex Pistols, the 1980s.

What I loved about him was all the sex appeal that he wanted to introduce to the house. But my generation is all hip hop, a different culture. Even top models that inspire me didn't inspire him -- it is just a matter of generation. And I think what is important for me today is underlining the luxury of the house, maybe less jeans, less street wear, but keeping the DNA of Pierre Balmain and pushing the embroideries and the craftsmanship because this is something that I think is part of me, and part of the house at the same time.

CNN: What is it about Rihanna that inspired you?

OR: Rihanna has been my muse from the beginning. I have been listening to her albums since I was young and followed her career. I love women and I love wonder women -- those kind of women who have no boundaries and no (limits) and have this power to express themselves. And I had the chance to meet her two years ago and it was love at first sight -- literally. She showed me how to believe in myself and push the boundaries and limits at the same time keeping control of your life and that I think is the best I could learn from her.

CNN: Did you feel pressure for your first show for Balmain in 2011?

OR: Actually, I think the first show is the easiest one because you don't know what you expect. But the first minute that I went out on the runway I just realized that my life is going to change. From the second show you realize what it means to be a creative director -- you are more exposed and people don't see you just as a designer -- your personality is really important and they sometimes don't judge you only on your clothes.

CNN: What has been the greatest advantage -- and hindrance -- of your youth in this industry?

OR: For me it is really important not to lose faith. When you are a baby you just dream to be the President -- you dream to be Miss Universe or whatever -- you don't have boundaries. And I think youth helps (me) to just believe and think there are no boundaries and no (limits). If I had this job at 45 or 40, I don't think I would do the same clothes, I don't think I would express myself in the same way and thanks to my youth I believe so much and I push my boundaries so strongly .

CNN: Is it hard to stay grounded?

OR: No, because I am close to people who are true and down to earth, and so for me it's not like, 'Oh I am only with celebrities or the woman who is 60 and wearing my clothes.' I have met so many celebrities who are arrogant and hardcore -- they are not my friends. I am just a simple person and maybe it seems weird to say that but sometimes the greatest luxury is to remain true to yourself.

CNN: Tell us about your love of Instagram.

OR: What is important in my career and my way of being a designer is Instagram. Obviously people see I am selling a dress at $25,000 and that I have this life with celebrities, taking flights all the time ... but with my Instagram people can realize who I am. I can wake up and do a selfie in my flat, go to the gym like 75% of the population, you know, just be normal!

CNN: Talk about the inspiration behind this collection.

OR: When Rihanna came to my after party last winter she was dressed in my leather skirt a beautiful see-through top, and she was kind of naked underneath. That inspired the whole collection. But it is a happy, joyful collection showing the state of my mind today. I am enjoying my work, I am celebrating my youth, my generation. There is a lot of work behind it, still keeping the couture element, still keeping this dreamy thing that I always have.

CNN: What are the last minute preparations in the atelier ahead of the show like?

OR: I'm really a control freak! At Balmain, everything needs to come five days before -- that is my limit. But it is still very last minute but really exciting because obviously we get some (pieces) that are really well done, but with others you are like, 'Oh my God, I need to redo it!' I have an amazing team that believes in me and the brand.

CNN: What, for you, is the sign of success?

OR: When people who I am close to tell me that something is good. You know, in fashion you can't trust too many people. But the people who you trust, you can be sure of, and they are going to tell you the truth, when it's bad and when it's good and that's what I want. But the most important thing is to please myself. If you are sure of yourself, if you like your show people are also going to love it.

Look: Paris Fashion Week in photos

@highlight

Balmain's creative director Olivier Rousteing has brought a note of hip-hop to the venerable house

@highlight

He has been the youngest creative director of a Parisian fashion house since Yves Saint Laurent

@highlight

Rousteing cites Rihanna as his muse and inspiration behind the latest collection