The American bears a broad grin, flashing an "OK" sign to the Russian support team tending to him after his descent from space. It's not exactly the image of two countries at extreme odds over the Ukraine crisis.

But in the world of U.S.-Russian relations, space is impervious, as demonstrated by the joint effort to bring American astronaut Mike Hopkins and his cosmonaut counterparts, Soyuz Cmdr. Oleg Kotov, a native of Crimea, and fellow flight engineer Sergey Ryazanskiy, home to Earth.

The Soyuz TMA-10 spacecraft landed in Kazakhstan early Tuesday after the trio spent more than five months aboard the International Space Station, leaving the multinational astronaut delegation of Japan's Koichi Wakata, America's Rick Mastracchio and Russia's Mikhail Tyurin to finish the orbital laboratory's Expedition 39.

Those three are expected to return home in mid-May, after being joined by another international team: Steve Swanson (U.S.), Alexander Skvortsov (Russia) and Oleg Artemyev (Latvia) are in Star City, Russia, training for their March 25 launch from Baikonur Cosmodrome in Kazakhstan, NASA says.

Kotov is a space veteran returning from his third mission and 526th day in space. Hopkins and Ryazanskiy are rookies. This mission marked their first 166 days in space, NASA says.

Hopkins conducted a pair of U.S. spacewalks for a total 12 hours and 58 minutes. Ryazanskiy conducted three Russian spacewalks during his mission working outside the station for 20 hours and five minutes.

On Earth, the United States may be trading bitter accusations with Russia over Ukraine, but in space, it's a different story.

Putin vs. Obama: Facing off over facts in Ukraine

The space collaboration between the two nations has survived other diplomatic kerfuffles -- most recently, the war in Syria and asylum for NSA leaker Edward Snowden -- and there's no need to worry, NASA says.

"We do not expect the current Russia-Ukraine situation to have any impact on our civil space cooperation with Russia, including our partnership on the International Space Station program," said Allard Beutel, a NASA spokesman, pointing out that it's in both countries' best interests not to disrupt "operations that have maintained continuous human presence on orbit for over a decade."

Beutel added, "NASA and its Russian counterpart, Roscosmos, have maintained a professional, beneficial and collegial working relationship through the various ups and downs of the broader U.S.-Russia relationship and we expect that to continue."

'Reluctant co-dependency'

The two nations can't afford temporary tussles to upend a costly relationship -- one that James Oberg, a former space engineer, describes as "reluctant co-dependency."

In 2011, NASA retired its space shuttle fleet, its only means of getting to and from the station. Now, Russian Soyuz capsules ferry U.S. astronauts and cosmonauts, together with supplies that can fit in the smaller craft.

In turn, the United States brings to the table technology far more advanced than Russia's capabilities, Oberg told Politico.

At the same time, many of the Russian systems are more reliable because they are simpler and have been operating longer, Leroy Chiao, former NASA astronaut and International Space Station commander, told CNN.

The space station itself has an intricate blend of both countries' contributions -- from U.S. solar arrays and power systems to Russian core life-support systems, to a navigation system that comes from both countries, he said.

Americans and Russians train on each other's systems, but one country can't run the station alone, he said.

The mission control centers in Houston and Korolyov, near Moscow, have to coordinate commands sent to the station, he said.

"We need each other to operate the station," Chiao said. "Otherwise we run the risk of losing that asset."

A pretty penny

What's more, the agreement between the two nations isn't exactly cheap.

According to a new deal NASA signed with the Russian space agency, the United States will pay Russia $71 million to ferry each astronaut to the space station.

The emergence of private companies in the space transport business may change the game.

NASA has a $1.6 billion contract with SpaceX to fly at least 12 cargo resupply missions to the space station, and a $1.9 billion contract with Orbital Sciences for eight such missions.

SpaceX is gearing up for its third commercial resupply mission this month; Orbital Sciences completed its first in February.

As for transporting astronauts, NASA said in November that it's seeking to partner with U.S. companies for human trips to the station as well, by 2017. That could end U.S. reliance on Russia for space voyages.

But for now, experts say, the U.S.-Russia relationship on space remains a marriage of convenience.

@highlight

American Mike Hopkins returns to Earth with Russian, Crimean cosmonauts

@highlight

Even if U.S., Russia are at odds, space collaboration endures, NASA says

@highlight

U.S. astronauts have no way to get to and from the International Space Station

@highlight

In return, U.S. brings money, more advanced technology to table