(CNN) -- Thousands of North Carolina voters hit the polls on Tuesday to cast their ballots on a referendum that would constitutionally ban same-sex marriage, even though state law already does not permit such unions.

Amendment 1 would alter the North Carolina Constitution to say that "marriage between one man and one woman is the only domestic legal union that shall be valid or recognized in this state."

Supporters argue that the amendment is needed to stop those trying to redefine marriage and to ward off possible future actions of "activist judges." It would also strengthen the state's position against same-sex civil unions, often considered a precursor to the marriage issue.

Opponents say the measure is redundant and could result in jeopardizing domestic violence protections for women and affect couples' health benefits.

Follow all the political news at CNN.com's Election Center

Several municipalities in North Carolina provide benefits to same-sex couples, state officials say.

Duke University law professor Kathryn Bradley says those rights could be potentially lost if the referendum passes on Tuesday.

Concerns over the measure also home in on the potential for unintended consequences, she said, affecting issues such as child custody and the prosecution of domestic violence among unmarried couples because of the narrow definition of the new statute.

"Before domestic violence laws, we relied on criminal assault laws, which don't always protect against things like stalking," added Bradley, who says the measure could also affect heterosexual couples.

But Sen. Dan Soucek, one of the primary sponsors of the proposed amendment, said he doesn't "believe those are legitimate concerns."

"We looked at these issues extensively and tried to make sure that all of those concerns are addressed," he said.

A simple majority is needed for the measure to be approved.

It was passed in the state House and Senate last year. Both are Republican-controlled, the first time that's happened in North Carolina in the past 140 years, according to house officials.

"This bill's been 12 years in the making," noted Maxine Eichner, a law professor at University of North Carolina at Chapel Hill. "But it's now made possible because Republicans control the legislature."

Should Amendment 1 gain approval, it would largely prevent the state's judiciary from overturning the bill by enshrining its language into the state constitution.

Some 500,000 people had already cast ballots on the measure through early voting or absentee ballots.

Polls are set to close at 7:30 p.m. ET.

"It could destroy our family unit," said Kelli Evans alongside and her partner of 17 years, Karen Wade. "If they could see that it's a family they're affecting, maybe they could sit down and think about the issue before they vote on Election Day."

Others say the issue, if left unchecked, could one day undermine traditional notions of marriage.

Evangelist Billy Graham endorsed the ballot initiative, a rare move for a preacher who has typically avoided political fights. Graham took out full-page ads in 14 North Carolina newspapers touting his support for the measure, saying "the Bible is clear -- God's definition of marriage is between a man and a woman."

Graham's website encouraged churches to download a poster that bears his image and the message "Vote for Marriage May 8th."

On the other side, former President Bill Clinton opposed the amendment in a recording sent by phone to hundreds of thousands of North Carolina homes.

"So the real effect of the law is not to keep the traditional definition of marriage, you've already done that," Clinton says in the recording. "The real effect of the law will be to hurt families and drive away jobs."

The only recent public opinion polling on the issue, derived from a group that does work for Democratic candidates and causes, indicates that a majority of North Carolina voters support the amendment.

Nationally, according to a new Gallup survey, 50% of Americans believe same-sex couples should be allowed to wed, a markedly different position than in past years, suggesting a growing acceptance of same-sex marriages.

Some 48% say they do not support same-sex weddings.

Sen. Soucek described marriage on Tuesday as a "time-tested building block of society that revolves around procreation."

But three days earlier, Vice President Joe Biden said he was "absolutely comfortable" with the idea of same-sex marriage.

"I just think that the good news is that as more and more Americans come to understand what this is all about, it is a simple proposition: Who do you love? Who do you love? And will you be loyal to the person who love?" Biden said on NBC's "Meet the Press."

Biden did not mention the North Carolina initiative and added that it's the president, not he, who sets the administration's policy.

President Barack Obama has taken the official position that his views on the issue are "evolving."

Thirty states have voted in favor of constitutional amendments that seek to defend traditional definitions of marriage as a hetereosexual union.

"Of states without constitutional amendments on marriage, 45% (9 of 20) eventually recognize same-sex marriage, either by direct judicial decree, by legislative action, or by a ruling requiring that same-sex marriages from other states be treated as valid," a nonprofit political group called the National Organization for Marriage said in a statement. "Among the 30 states with marriage amendments, none have been repealed."

Massachusetts, Connecticut, Iowa, Vermont, New Hampshire, New York and the District of Columbia issue marriage licenses to same-sex couples.

In February, Washington Gov. Christine Gregoire signed a bill that would legalize same-sex marriage beginning in June. Opponents there have pledged to block the bill and have also called for a referendum.

Maryland Gov. Martin O'Malley signed into law a bill that permits same-sex couples to wed in that state as of January 1, 2013.

CNN's David Ariosto, Political Editor Paul Steinhauser and Belief Blog Co-Editor Eric Marrapodi contributed to this report.

@highlight

Polls in North Carolina close at 7:30 p.m. ET

@highlight

Both chambers of N.C. legislature are GOP-controlled for first time in past 140 years

@highlight

Indiana and West Virginia also hold primaries on Tuesday