(CNN)Its name means "bending over in pain." It has no treatment or vaccine. Its symptoms resemble Dengue fever. And it has infected more than 1 million people -- 155 of them fatally -- since spreading to the Americas one year ago.

The mosquito-borne Chikungunya virus has long been diagnosed in travelers returning from countries in Asia and Africa, where the disease is widespread. But in December 2013, the first people infected by mosquitoes local to the region were reported on the Caribbean island of Saint Martin.

This was the first outbreak of the debilitating disease in the Western Hemisphere, health officials said.

All countries in Central America have now reported local transmission of Chikungunya [pronounced chik-un-GOON-ya], and the United States had 11 confirmed cases of local infection this year as of December 12, all in Florida. There also have been 1,900 imported cases across the United States in returning travelers.

"It wasn't until 2013 that unfortunately a traveler resulted in local transmission of Chikungunya," said Erin Staples of the U.S. Centers for Disease Control and Prevention (CDC), referring to the people infected in Saint Martin.

Those infected carry the virus in their bloodstream; it can then be picked up by mosquitoes as they bite, making them carriers. The virus has since spread rapidly and shows no signs of leaving, as ecological conditions are perfect for the disease to flourish.

"We knew it would spread," said Staples, a medical epidemiologist.

The big question perplexing officials: Why now?

Two mosquito species primed to the temperatures of Central and South America carry Chikungunya. The species -- Aedes aegypti and Aedes albopictus -- also carry the virus behind Dengue fever.

"Given the level of Dengue in the region, we knew there could be the same levels of Chikungunya," Staples said. Both diseases can cause joint pain and inflammation, headaches, rashes and fever, and can lead to death in rare cases.

But this tropical disease with an exotic name (which originates from the African Makonde dialect) causes more intense joint pain and inflammation. For some people the pain can last for months or years, resulting in additional psychological strain.

The lack of immunity among people living in the Americas provided a blank canvas for Chikungunya to spread throughout the population this year. As of December 12, more than 1.03 million people have been infected, in addition to the 155 who died, according to the Pan-American Health Organization (PAHO). Almost all of the fatalities occurred in the Caribbean island countries of Guadeloupe and Martinique.

"Where we saw the biggest jump was after it reached the Spanish-speaking countries in the region," said Staples, referring to the weakened infrastructures and health systems of countries such as the Dominican Republic, which has reported more than 520,000 cases -- more than half of the overall outbreak and 5% of the island country's population.

As South American countries approach their summer, numbers are expected to rise there as the mosquitoes flourish in the heat.

"Brazil, Peru, Paraguay are coming into their summer months and reporting their first local transmission," Staples said. Already, more than 2,000 people have been infected in Brazil.

Is there cause for concern?

Because infection with Chikungunya is rarely fatal, the issue of most concern to officials is the burden on health services and the impact of the debilitating symptoms on the economy.

"The high number of cases can overload health services," says Dr. Pilar Ramon-Pardo, regional adviser for PAHO, the regional office of the World Health Organization. Until recently, monitoring for Chikungunya was not part of routine surveillance in the region.

"Clinicians have to be ready to diagnose," she said

About 20% to 30% of cases are expected to become chronic, with symptoms such as arthritis and other rheumatic manifestations leading to physical disabilities, Ramon-Pardo said. Further long-term effects are psychological as people become more depressed and tired.

All of this can result in missed work and lower school attendance, she said, hurting local economies.

Is it here to stay?

The warm climate of the region offers potential for Chikungunya levels to be maintained for years to come, just like Dengue fever. But areas of most concern are the tropics.

"The areas which have year-round favorable climate for the mosquito are at the greatest risk," says Dr. Laith Yakob of the London School of Hygiene and Tropical Medicine, which is monitoring the spread of the outbreak.

While the climate and mosquitos have long been present, Ramon-Pardo said, "we don't know why this is happening now." She said globalization is likely to blame, with increased population movement from one country to another. This offers more opportunities for local mosquitos to bite infected humans.

The CDC's Staples said she is temporarily at ease regarding numbers in the U.S. "We're moving into fall and winter periods, which should see activity decrease," she said. Cold temperatures reduce mosquito survival rates.

The rapid spread of Chikungunya this year also could help minimize future infections. "Chikungunya will go through a region quite rapidly and create a level of population immunity which helps mitigate large outbreaks of the disease," Staples said. Unlike Dengue, infection with Chikungunya results in lifelong immunity.

Like many other infections, Chikungunya could, however, remain in the background through animals capable of carrying the virus in their bloodstream and acting as so-called reservoirs of the disease.

"In Asia and Africa there is a transmission cycle in small mammals and monkeys," Ramon-Pardo said, meaning these animals keep the virus present within the population. "In the Americas ... we don't know yet."

Those words --  "we don't know" -- resonate throughout the community of scientists and government officials trying to control the outbreak.

The future risk of spread, levels of future immunity, risk from animal reservoirs, why this is only happening now, and the total economic impact are all unknown.

"Mathematical models are under construction by numerous research groups around the world to improve confidence over projections of future spread," said Yakob, whose team is modeling the disease.  As they work, control efforts continue.

Getting it under control

When it comes to controlling Chikungunya, there are two main strategies -- reduce the likelihood of bites and remove the ever-biting mosquito. Prevention is the priority.

Unlike the mosquitoes behind malaria, which bite at night, the species behind Chikungunya bite any time, day or night. Those living in affected areas are asked to use repellent, sleep under bed nets and wear long clothing to avoid getting bitten. The air conditioned and indoor environments of people living in the U.S. mean numbers are likely to stay low there.

But mosquito control is at the heart of it all. Mass spraying of insecticides and removal of any sources of shallow water in which mosquitoes can breed are taking place across the continents.

According to the CDC's Staples, Florida has been highly aggressive with its approach to control. "We're only at 11 (cases) due to such proactive measures," Staples said. For now, prevention is all they have as officials wait and see how the outbreak pans out.

"There is no vaccine currently and no good antivirals, so we are trying to control the spread of the disease," Staples said. "There are a lot of questions and only time will tell what we'll see for Chikungunya in the future."

Debilitating case of mosquito-borne chikungunya in U.S.

Mosquito-borne virus chikungunya worries CDC

@highlight

In 2014 an outbreak of Chikungunya has spread across the Americas

@highlight

The mosquito-borne virus causes debilitating symptoms such as joint pain

@highlight

More than 1 million people have been infected and 155 have died

@highlight

There is no treatment or vaccine, making prevention the main strategy for control