(CNN) -- The Supreme Court on Wednesday made it somewhat easier for victims of online child porn to recover limited financial restitution from some of those who download their images.

The majority in the 5-4 ruling concluded that lower courts could use discretion in continuing to award damages, but restitution should be based on certain criteria.

Awards should be tied to the "proximate" harm inflicted by the sexual predator and those who later view the resulting pictures onlline.

The case involves "Amy Unknown," an unwilling if ubiquitous presence in one digital cave for more than 15 years.

Images of her childhood rape, sexual abuse, and other criminal acts at the hands of a relative have been widely distributed in the underground world of Internet child pornography.

"Of course the victim should someday collect restitution for all her child pornography losses," said Justice Anthony Kennedy. "But it makes sense to spread payment among a larger number of offenders in amounts more closely in proportion to their respective causal roles and their own circumstances so that more are made aware, through the concrete mechanism of restitution, of the impact of child-pornography possession on victims."

The case tested the interpretation and limits of a federal law designed to help those victims.

At issue was the level of proof -- or causal relationship -- prosecutors must show between the defendant's conduct and the victim's harm.

Lower courts have struggled to determine what share of damages should be paid in individual cases.

During January's arguments, the justices exhibited sympathy for the woman's pain and suffering. Now 24, she has struggled to put her life together.

But many on the court had worried whether it was fair to hold a few individuals caught possessing the illegal images for full liability, when many more may be equally culpable for damages.

A Texas man caught possessing two images of "Amy" -- the pseudonym given to protect her identity -- argued that he should have to pay little or nothing, for a variety of reasons, including the fact he was not directly involved in the attack on the girl or in the distribution of the images.

Her lawyers countered that Doyle Paroline is liable for the full $3.4 million in restitution she sought for lost income, psychological and physical treatment, and other injuries suffered as "proximate result" of the crimes.

The high court's ruling will not make it easier for those like "Amy" to collect full damages from one or just a few violators. But the justices made clear those like Paroline cannot escape restitution by arguing their involvment in the offenses was comparatively minimal, or that determining a fair amount in the aggregate would be all but impossible.

"This would serve the twin goals of helping the victim achieve eventual restitution for all her child-pornography losses and impressing upon offenders the fact that child pornography crimes, even simple possession, affect real victims," said Kennedy.

A ruling favoring all of "Amy's" legal claims could have put the burden on the defendants prosecuted first

The woman's lawyers told the court she has spent the past five years or so filing about 250 restitution requests. She has collected about $1.75 million in amounts from $100 to $1.2 million.

Amy was 8 when the violent abuse was committed by her uncle, Eugene Zebroski.

Zebroski was prosecuted a year later and sent to prison for 10 years. He was ordered to pay $6,300 in mandatory restitution to his niece, the amount of counseling she required up to that time.

A decade later, Paroline was separately discovered having 300 images of child porn on his computer, including two of "Amy." He pleaded guilty and served two years.

Paroline was among an estimated 71,000 people worldwide who viewed the attacks. Complicating matters is that distribution of those images may be a permanent part of the Internet due to high-speed digital technology and greater encryption software for voyeurs of this activity.

Paroline's lawyer, Stanley Schneider, said during arguments that since his client was the only defendant in his prosecution, the illegal acts should not be viewed in the aggregate when it came time to determining restitution.

Chief Justice John Roberts, in dissent, said "Amy" deserves restitution, but the law as written is too generic to deal with the "unique" harms suffered by sexual abuse victims.

"When it comes to Paroline's crime -- possession of two of 'Amy's' images -- it is not possible to do anything more than pick an arbitrary number for that 'amount.' And arbitrary is not good enough for the criminal law," said Roberts. "The statute as written allows no recovery (from Paroline); we ought to say so, and give Congress a chance to fix it."

Justice Sonia Sotomayor alone said the federal law allowed "Amy" to collect the full amount from Paroline alone if necessary.

The Obama administration took a middle ground in the case, with the Justice Department suggesting individual judges be given the discretion to formulate a reasonable amount of restitution.

Officials said about $18,000 by each possessor of the child porn would be appropriate in this case.

"Amy" gave a victim impact statement in Paroline's case where she said she lives in "constant fear" knowing those images were spread around the world, making her feel "abused over and over and over again."

The emotional pain has caused her to require weekly psychotherapy sessions. She has dropped out of college and cannot stay employed.

The case is Paroline v. U.S. (12-8561).

Internet giants pledge action to curb child pornography online

Google seeks to scrub Web of child porn

@highlight

Ruling makes it somewhat easier for victims of online porn to recover damages

@highlight

The 5-4 decision concluded that restitution should be based on certain criteria

@highlight

The case involves "Amy Unknown," a girl who was abused by a relative