WASHINGTON (CNN) -- President Obama on Thursday sent a civil nuclear agreement with the United Arab Emirates to the Senate for ratification, but its passage remains uncertain, thanks to a recently disclosed video.

Sheikh Issa bin Zayed al Nahyan allegedly tortured a business associate on videotape.

Senior U.S. officials said lawmakers critical of the deal could use the video, which shows a member of the UAE government's royal family torturing a man, to argue the United States should not have such nuclear cooperation with a country where the rule of law is not respected and human rights violations are tolerated.

The senior officials said the Obama administration deliberately held off sending the deal to Congress for ratification because of fears some lawmakers would try to use the video to undermine the agreement.

But the administration felt comfortable sending the agreement to Congress at this time, officials said, given that there has been little reaction to the release of the video except for a letter to Secretary of State Hillary Clinton earlier this month from U.S. Rep. James McGovern -- the Massachusetts Democrat who co-chairs the congressional Human Rights Commission.  Watch how the video came to light »

McGovern expressed "outrage and concern" and asked Clinton to "place a temporary hold on further U.S. expenditures of funds, training, sales or transfers of equipment or technology, including nuclear, until a full review of this matter and its policy implications can be completed."

He issued a statement Wednesday after Obama signed the agreement, saying he would not support the deal until the UAE addresses his "very grave concerns" about its human rights record.

In the video, an Afghan grain dealer is seen being tortured by Sheikh Issa bin Zayed al Nahyan, a member of the royal family of Abu Dhabi, one of the UAE's seven emirates, whose leaders also run the federal government. The government has since arrested the sheikh, pending a full investigation.

The video emerged in a federal civil lawsuit filed in Houston, Texas, by Bassam Nabulsi, a U.S. citizen, against the sheikh. The men, former business partners, had a falling out, in part over the video. In a statement to CNN, the sheikh's U.S. attorney said Nabulsi is using the videotape to influence the court over a business dispute.

The U.S.-UAE pact is similar to one the United States signed last year with India. Under it, Washington would share nuclear technology, expertise and fuel. In exchange, the UAE would commit to abide by the Nuclear Nonproliferation Treaty and International Atomic Energy Agency inspection safeguards.

The small oil-rich Gulf nation promises not to enrich uranium or to reprocess spent nuclear fuel to extract plutonium, which can be used to make nuclear bombs.

A statement issued Thursday by the State Department said the deal will "serve as a model for responsible nuclear energy development" in the Middle East.

"The UAE agreement contains the strongest nonproliferation conditions of any negotiated by the United States," the statement said. Of special note, it said, is the UAE's commitment to obtain nuclear fuel from reliable and responsible suppliers rather than pursue indigenous uranium enrichment and reprocessing, fuel cycle activities that pose the most serious proliferation risks.

This commitment "is reflected within the agreement as a legally binding obligation on the part of the UAE," the State Department said.

The civil nuclear agreement was signed in January by the Bush administration, but had to be recertified because it was not approved before Obama took office.

The deal is part of a major UAE investment in nuclear energy, and the government has already signed deals to build several nuclear power plants. UAE Ambassador Yousef Al Otaiba said his country will "seriously consider" U.S. companies to implement the program.

The United States already has similar nuclear cooperation agreements with Egypt and Morocco, and U.S. officials said Washington is working on similar pacts with Saudi Arabia, Bahrain and Jordan.

The United States has praised the UAE's development of nuclear energy, a stark contrast to criticism of Iran, which is suspected of attempting to enrich uranium for a nuclear bomb.

But UAE's ties to Iran have caused concern.

Iran is among the UAE's largest trading partners. In the past, the port city of Dubai has been used as a transit point for sensitive technology bound for Iran.

Dubai also was one of the major hubs for the nuclear trafficking network run by Pakistani nuclear scientist Abdul Qadeer Khan, who admitted spreading nuclear technology to Iran, North Korea and Libya up until the year 2000. He was eventually pardoned by the Pakistani government.

Such ties contributed to stiff opposition in Congress to the failed deal for Dubai Ports World to manage U.S. ports.

Some in Congress have expressed concern that the new deal could fuel an arms race and proliferation in the region.

Rep. Ileana Ros-Lehtinen, R-Florida, the ranking Republican on the House Foreign Affairs Committee, has said she was "deeply disappointed" the United States signed a "flawed agreement."

"Transferring nuclear technology and know-how to this unproven partner is inconsistent with the administration's expressed commitment to the pursuit of stronger nonproliferation controls," Ros-Lehtinen said in a statement after Obama signed the agreement. "The UAE's long history as a conduit for Iran's nuclear weapons program, its failure to fully implement effective export controls, and the danger of expanding nuclear facilities and expertise in the Middle East make this agreement a dangerous precedent."

She introduced legislation earlier this year that would prevent the agreement from going into effect until the president certifies that the UAE has met a number of conditions regarding export controls and terrorist financing.

@highlight

Obama sends nuclear agreement with the United Arab Emirates to the Senate

@highlight

Recently released video shows member of UAE royal family torturing a man

@highlight

Co-chair of congressional Human Rights Commission opposes deal