It's been three years since I reported on the plight of the Rohingya Muslim people of western Myanmar and neighboring Bangladesh.

We called our documentary "A Forgotten People," and it looked at appalling incidents where boatloads of refugees fleeing poverty and persecution arrived in Thailand only to be towed back out to sea and abandoned by the Thai security forces. Hundreds died or went missing.

WATCH: The Forgotten People: Part 1 | Part 2 | Part 3

Since then, the Rohingya have remained off the political agenda in western countries.

But now that's changing. U.S. President Barack Obama addressed their plight during his recent visit to Yangon. The lukewarm response he got in the auditorium was nothing to the vitriol he got online. Even mentioning the name Rohingya is controversial for some in Myanmar.

We have come to Rahkine to report on the latest threat to the Rohingya. What we have found is shocking. The Rohingyas are among the most persecuted people on the planet. In both Myanmar and Bangladesh -- where they have a deep-rooted heritage dating back to when it was known as East Bengal -- they are not officially citizens and are denied passports, access to health-care, education and decent jobs.

Each country claims the Rohingya is the other's problem. In July this year, the Bangladeshi government ordered three international aid organizations to stop helping Rohingya who were crossing the border from Myanmar.

In Myanmar, their perilous situation has become markedly worse in recent months. Mobs of Buddhist Rahkine extremists have been torching whole Rohingya villages. Hundreds have died and more than 100,000 people have been forced to flee, according to humanitarian groups.

But there is nowhere for them to go. So driven by fear many are congregating in huge makeshift camps on the edge of the Rahkine town of Sittwe.

I was expecting the camps to be grim -- but I wasn't prepared to see children starving to death. This isn't journalistic hyperbole. The two western doctors working unofficially here have watched several children perish before their eyes -- not from a rare tropical disease or an untreated chronic condition, but simply from malnutrition.

I find it sickening and outrageous that this is happening in a land of plentiful food in 2012. Perhaps I am naïve or too idealistic. I should probably know better, I should have seen enough of the world's misery and violence to be unaffected by a wide-eyed kid too fatigued to swat the flies from her eyes. But this one broke my heart.

She's not alone.

An assessment in August by Refugees International found that "2,000 acutely malnourished children who were at a high risk of mortality."

Thousands of kids like Saulama Hafu are starving to death.

International aid agencies are beginning to wake up to the scale of the problem. The United Nations has just launched an appeal for US$41 million. Tents, wells and latrines have been installed in some of the camps, but according to Refugees International, camp facilities are "unacceptable and fall well below international standards" and "are a direct manifestation of a funding gap." They say water and sanitation facilities in particular are "wholly inadequate, resulting in life-threatening illnesses."

Many Rohingya are surviving on a cup of rice each day and little else. It's not enough for breast-feeding mothers to sustain their babies. It's not enough for adults. It's not enough for little Saulama, whose skeletal body is as light as a doll's. She looks like a famine victim but she is starving to death in a camp surrounded by paddy fields full of rice. There's a busy market a couple of miles away, but her mother is effectively imprisoned here. This is a man-made crisis that could be ended immediately, with political will.

I asked Saulama's age, thinking that she looked like a toddler. My own daughter is three and is considerably larger, so I guess perhaps she was two. I was appalled when her mother told me Saulama is five-years old. In the west, she'd be in her first year of school. Here, she could be in the last year of her life. She's so thin she can barely walk. Her limbs are pitifully emaciated. After six months in this camp, she looks like she can't go on.

The doctors have not been given visas to help here, so they can only get the most basic supplies. The Myanmar government is reluctant to allow aid workers to help people who don't officially exist. But the reality is that there are an estimated one million Rohingya in Western Myanmar and at least a tenth of them have been driven from their homes.

Yet driving around Sittwe, away from the camps, you rarely see a Rohingya in the town center. When we asked a Rohingya driver to bring us back from the camps to our hotel to sort out a problem with our camera, the hotel manager was furious. He told us in no uncertain terms not to use a Muslim driver again and said people had seen the driver come into the hotel and had complained. It is apartheid of the most extreme form.

Near Sittwe University, which sits amid several Rohingya villages and camps, RohingyaS on foot, bicycle or scooter are forced to pull off the road when Buddhist Rakhine students are leaving classes. Sharing the same stretch of tarmac as a Rohingya is unacceptable for many Rahkine Buddhists; heaven forbid a Rohingya should attempt to board the same bus or eat in the same restaurant.

Aung Mingalar is the last neighborhood of Rohingya living inside the town of Sittwe; the rest of population is now under canvas or tarps out in the countryside. This island of Rohingya houses is now effectively a ghetto surrounded by barbed wire.

The soldiers that patrol the area are supposed to protect the Rohingya from further attacks by hostile locals, but videos taken by Rohingya purportedly showing an outbreak of violence in Aung Mingalar in June show the troops doing little to put out fires set in Rohingya homes. The Rohingya fear more attacks here, but can do little to stop the gangs of extremists who they say were orchestrated by a local Rahkine nationalist party.

The spokesman for that party denies involvement, but has open contempt for the Rohingya, flinching when I even mention the term. He says it's a recently made up word, and that the Rohingya are simply Bengalis from neighboring Bangladesh. Ominously he goes further. He doesn't just want to kick all Rohingya out. He wants all Muslims out of Rakhine state, including officially recognized ethic groups like the Kaman. The anti-Muslim sentiment has spread across Myanmar, with protests outside a mosque in the main city of Yangon.

The International Crisis Group report on the situation is deeply worrying, while Human Rights Watch has also completed some important work, highlighting the atrocities, with satellite photos showing the vast areas of destruction.

What has disappointed many is that Nobel laureate and pro-democracy leader Aung San Suu Kyi took a long time to speak out clearly to uphold Rohingya rights and condemn the extremists. She recently told Indian Broadcaster NTV: "Violence is something I condemn completely, but don't forget that violence has been committed by both sides. This is why I prefer not to take sides and also I want to work towards reconciliation between these two communities. I'm not going to be able to do that if I'm going to take sides."

Suu Kyi elaborated further, saying: "There's a quarrel whether people are true citizens under the law or whether they have come over as migrants later from Bangladesh. One of the very interesting and rather disturbing facts of this whole problem is that most people seem to think as that there was only one country involved in this border issue. But there are two countries. There's Bangladesh one side, there's Burma on the other and the security and the security of the border is surely the responsibility of both countries."

But in the past she has referred to Rohingyas with the pejorative term "Bengalis" suggesting some should not be recognized as citizens in Myanmar.

The whole issue has tarnished the glow of fast-paced reform in Myanmar. While the rest of the country is enjoying freedoms not experienced in 60 years of military dictatorship, in Rahkine State the ethnic cleansing is continuing with impunity. It demands the attention of the international community, for the sake of children like Saulama... before it's too late.

@highlight

Rohingya are a stateless Muslim minority living in Myanmar's Rakhine state

@highlight

Thousands have been forced to flee the region amid persecution from Buddhist majority

@highlight

They are driven to refugee camps where conditions are extremely poor

@highlight

U.S. President Barack Obama raised the issue during his recent visit to Myanmar