The NFL's history of punishing players in domestic violence cases is as complicated as the legal cases themselves.

Sometimes players were suspended for a game or two. Sometimes, charges were reduced, which also reduced the severity of the NFL punishment. Sometimes, charges were dropped and players' names were cleared.

Domestic violence now seems to be the football league's No. 1 off-field issue.

Last month, the NFL announced a new policy against it. Then, this week, running back Ray Rice was released by the Baltimore Ravens and suspended indefinitely by the National Football League on the same day a video showed him knocking out his future wife with a punch earlier this year.

But the league hasn't always been so assertive about the matter, one expert said. Domestic violence accounts for 85 of the 713 arrests of NFL players since 2000 in a database compiled by USA Today.

At a domestic violence summit in Florida about 15 years ago, "the NFL actually sent a representative who argued, 'Are you kidding me? They're giving up two out of 16 paychecks for this issue. Isn't that a significant enough penalty?' And back then, they would take that (to the public). Today, it's a different story," said Don Yaeger, co-author of the 1998 book, "Pros and Cons: The Criminals Who Play in the NFL."

Here's how the NFL is handling or has handled punishment in some other cases:

Ray McDonald (San Francisco 49ers)

Three days after Commissioner Roger Goodell created a new NFL policy against domestic violence on August 28, San Francisco 49ers defensive end Ray McDonald was arrested on an accusation of felony domestic violence.

The new policy imposes a six-game unpaid ban for first-time offenders and up to a lifetime ban for second-time offenders.

No charges have been filed in the incident involving McDonald, and the case was still being investigated Tuesday, said spokesman Sean Webby of the Santa Clara County, California, District Attorney's Office.

McDonald was arrested by San Jose police at 2:45 a.m. at his house, where a party was being held for his approaching 30th birthday. McDonald allegedly became involved in an altercation with his fiancee, who was 10 weeks' pregnant, a police source told the Sacramento Bee newspaper. Several 49ers players attended the party, CNN affiliate KTVU said.

The fiancee showed police minor bruises on her neck and arms, the newspaper said.

After McDonald posted bail, he stated he couldn't say much about the case.

"The truth will come out," he told KTVU. "Everybody knows what kind of person I am ... a good-hearted person."

On Tuesday, San Francisco 49ers CEO Jed York said the team was awaiting the outcome of the criminal case against McDonald before determining whether to punish him.

"I think it's very important that we do let due process take its course," York told KNBR-AM. "I think it's very important that we don't judge somebody before, whether charges are filed or whether anything else happens. We want to make sure that everybody is afforded the right that I think Americans are afforded."

Greg Hardy (Carolina Panthers)

Defensive end Greg Hardy was convicted in a bench trial this summer of assaulting his former girlfriend and threatening to kill her, both misdemeanors.

Hardy is appealing, and the Carolina Panthers team said last month it wouldn't discipline him until his appeals are completed, ESPN reported.

The former girlfriend accused Hardy of throwing her on a pile of guns and said he "bragged that all of those assault rifles were loaded," her motion for a protection order said earlier this year, according to The Charlotte Observer newspaper, which posted a copy of her request online.

The woman said Hardy picked her up, threw her into the bathroom, dragged her into the bedroom, choked her, picked her up again and "threw me onto a couch covered in assault rifles and/or shotguns," her protection order request said, according to the Observer.

Hardy threatened to shoot her if she went to the media or reported the assault, the court papers said, according to the Observer.

However, the NFL website cites an Associated Press account about 911 tapes revealing a different version of events.

"Hardy can be heard on a call saying: 'My assistant is trying to restrain her, and she's trying to break free and hit me with her heel. I'm literally running around the table right now.' Hardy also alleges that the accuser could be on drugs," NFL.com reported.

Some sports analysts are urging Goodell to punish Hardy: "With Hardy, as with Rice, Goodell needs to make a statement that the league has a zero-tolerance policy when it comes to how men in his league treat women," ESPN commentator Ashley Fox wrote.

When asked about the criminal case against him in July, Hardy said he disliked how it is a distraction.

"I hate that I have distracted my team," Hardy said, according to ESPN.  "Other than that I can't answer that question."

A.J. Jefferson (Minnesota Vikings)

In November 2013, Minnesota Vikings cornerback  A.J. Jefferson was arrested on a felony count of domestic assault by strangulation, CNN affiliate KARE reported.

His 23-year-old girlfriend claimed to have been in an early morning domestic dispute with Jefferson, who yelled and grabbed her neck, CNN affiliate WCCO reported.

On the day of his arrest, Jefferson was cut by the Minnesota Vikings, the NFL reported. Also, after the arrest, the NFL suspended Jefferson for four games, but Goodell lifted the suspension, the league said. The NFL website didn't say why.

Jefferson finished last season with the Cleveland Browns before being placed on the injured reserve list because of an ankle problem, according to the National Football Post.

In March, Jefferson pleaded guilty to a misdemeanor count of domestic assault in the 2013 case, WCCO reported. He was sentenced to 90 days in jail, which was suspended to three days times served, The Seattle Times reported. In May, Jefferson was signed as a free agent by the Seattle Seahawks, which won the Super Bowl last season.

Robert Reynolds (Tennessee Titans)

A fifth-round draft pick in 2004 by the Tennessee Titans, linebacker Robert Reynolds made the team and played in all but three of its regular season games over his first two seasons.

But 2006 was a different story. In October of that year, Ohio authorities issued a warrant for Reynolds' arrest on domestic violence and assault charges relating to his now ex-wife, according to The Tennessean newspaper.

After the charges were filed, then-Titans coach Jeff Fisher asked Reynolds to leave the team facility and decided he wouldn't play that weekend -- at least.

The Associated Press reported that Reynolds pleaded guilty later that month to criminal damaging (for smashing a cell phone and punching a hole in a wall) and disorderly conduct after lashing out during a visit to the home of his toddler son and ex-wife, who told police she didn't want to press charges.

The former Ohio State player has not played an NFL game since, although his court case was not cited as the reason. The Titans waived Reynolds in July 2007 after previously placing him on injured reserve, and no other team picked him up. The Columbus Dispatch reported in 2008 that Reynolds had been suspended for one year for violating the league's substance abuse policy, with his agent adding then that Reynolds would likely retire.

Dez Bryant (Dallas Cowboys)

In July 2012, wide receiver Dez Bryant of the Dallas Cowboys was arrested on a misdemeanor domestic violence charge in DeSoto, Texas, CNN affiliate KDFW reported.

Bryant's mother called DeSoto police, claiming she got into an argument with her son and that he had assaulted her. Bryant later turned himself in and was charged with Class A misdemeanor domestic violence.

The charge was dismissed in November 2012 on the condition that Bryant undergo anger counseling and that he not be charged with a crime for the next year, ESPN said.

Bryant denied any domestic violence.

In an interview with Sports Illustrated, Bryant said he would be "a crazy man" to put his hands on his mother, other than to defend himself, and that after she grabbed his arms, he used his hands to remove hers. The magazine, however, cited the police report, which said Bryant grabbed his mother by her T-shirt and hair, bruised her arms and "hit her across her face with his ball cap."

The NFL didn't suspend Bryant. It imposed a strict set of conduct guidelines on him, which included a curfew, counseling twice a week and no alcohol, ESPN reported.

In March 2013, Bryant made a surprise appearance at Dallas Mayor Mike Rawlings' "Men Against Abuse" rally. "I am done with domestic abuse," he said at the public gathering.

Rod Smith (Denver Broncos)

In 2000, Denver Broncos wide receiver Rod Smith was accused of beating his former live-in girlfriend by throwing her around, banging her head on the floor and choking her during an argument, the Denver Post reported. The girlfriend is also the mother of his two children.

Smith pleaded guilty to a reduced charge of verbal harassment just days before he was to stand trial on third-degree assault and harassment charges, the newspaper reported. A judge sentenced Smith to two years of probation and ordered him to undergo 36 weeks of domestic violence counseling and pay $1,000 in court costs.

The NFL didn't suspend Smith but did impose a $25,000 conditional fine against him, which he wouldn't have to pay if he adhered to his probation, the newspaper said.

At the time, Smith denied hitting his former girlfriend, and even before the NFL imposed the conditional fine, he said the league wouldn't suspend him.

"It'd be different if I did what they originally said I did," he told the Denver Post, referring to the original charge of domestic violence. "But all those charges were dropped. So I don't see how they can even take that into account when she said it didn't happen, under oath, and we have several documents stating that."

Ex-NFL player's wife: Ray Rice shouldn't be banned from league

@highlight

NFL used to say two-game suspension was "significant enough," expert says

@highlight

"Today, it's a different story," expert says

@highlight

Some analysts say NFL needs to impose new, stronger penalties to other players

@highlight

In past, NFL punishment was lowered when charges against players were reduced