Qanta Ahmed is the author of "In the Land of Invisible Women: A Female Doctor's Journey in the Saudi Kingdom." An M.D., she is an attending physician based in the Division of Pulmonary, Sleep and Critical Care Medicine at Winthrop University Hospital in Mineola, New York, and a fellow of the American College of Chest Physicians and the American Academy of Sleep Medicine.

Dr. Qanta Ahmed, wearing an abbaya, says the Saudi kingdom is rejecting the subjugation of women.

NEW YORK (CNN) -- A judge in Saudi Arabia has said husbands are allowed to slap their wives if they spend lavishly, a Saudi newspaper reported this past weekend. In one fell swoop, the judge debased Islam, vilified the kingdom and disregarded the ideals the Saudi monarch himself embraces.

Islam is very clear on this issue: Both a husband physically chastising his wife for "overspending" and a judge "upholding justice" by sanctioning this abuse would be acting counter to Islam's ideals of compassion and justice.

There is no basis in Islamic theology to support domestic abuse of any kind and specifically none pertaining to the matter of a wife's spending pattern.

What is critically important to note is that the judge is flagrantly in opposition to King Abdullah's very public stance against both domestic violence and myopic clerics.

The stark abasement of Islam that such a puritanical, backward-thinking judge would exact by issuing ridiculous decisions invites special scorn from the royal camp.

Last year, in his annual speech marking Saudi Arabia's National Day, the king first described threats to Islam from within its ranks. Later he denounced specifically those clergy who ridicule Islam by issuing perverse fatwas.

He particularly criticized the clergy who issued edicts against the owners of satellite television for airing shows thought to be salacious during Ramadan (the holy month in Islam) and, on one occasion, an especially bizarre edict focusing on Mickey Mouse. The cleric issuing these edicts was later divested of his power by King Abdullah.  Watch report on Saudi judge's comment »

In this much-feted speech, the king identified such distortions as offensive to Islamic ideals. He followed these very unambiguous statements with broader actions, replacing much of the nation's clergy in February in recent domestic reforms and installing the first female Saudi minister in the country's history.

These actions send a strong signal to the increasingly calcified puritanical agents within the kingdom that their power would be successively and emphatically dismantled.

Further, the monarch's concerns about the defense of women and children who are victims of domestic violence has been widely demonstrated by his enthusiastic and highly visible patronage of the National Patient Family Safety Alliance, a movement founded by Dr. Maha Al Muneef under royal patrons who are daughters of the king.

In March, more than 1,600 academics from more than 30 countries convened in Riyadh at the first symposium studying domestic violence in the kingdom. Together, international academics examined, measured and evaluated the growing reports of domestic violence and child abuse in the kingdom with a view to formulating solutions.

Critics complain that abuse in Saudi Arabia is increasing, but authoritative experts in the field recognize that the climate for reporting and identifying abuse has only just arrived in the kingdom, thanks in large part to the HM King Abdullah's open support and generous funding. The scale of domestic violence issues is, therefore, only just coming into focus.

Why are the king's gestures so important? Because these causes relating to Saudi women have not been championed in such an aggressive manner since the time of Queen Iffat. She personally initiated mandatory education for Saudi girls in the 1960s into Saudi law, often pushing for it against the prevailing cultural norms of the time.

King Abdullah has also pursued similar reforms intensely, recently laying the foundations for the largest women's university in the world, which will educate 40,000 women at a time, and installing and empowering aggressive advocates who will actively pursue reforms for Saudi womanhood in particular.

While the focus of the West remains on the pervasive abbaya in the kingdom or the longstanding restriction on women driving cars in the nation's cities, uninformed outsiders fail to realize that many, many women operate unhindered by these "restrictions."

In my time working in Saudi Arabia as an intensive care specialist, I came to learn that for most Saudi women, the abbaya is not a tool of oppression but rather one of liberation.

For the observant Saudi lady who has often been raised in an environment that highly prizes securing the beauty and guarding the modesty of their womenfolk, donning abbayas allows them to work as chemical engineers at Aramaco or as fellow intensive care physicians in intensive care units at the nation's state-of-the-art hospitals.

My Saudi female colleagues could therefore replace valves and fix aneurysms even if they couldn't make a three-point turn. I found them perfectly capable of managing the critically ill on mechanical ventilators and dialysis machines, all the while uncompromising of their values, maintaining their privacy in their veiled garments underneath their sterile gowns.

Let us also not forget 40 percent of the wealth in Saudi Arabia is owned and controlled by women, and these women are frequently business owners and oftentimes themselves employers.

Women are encouraged by Islam to maintain independent assets, assets over which men have no right or recourse even within the sanctity of marriage.

For experienced kingdom watchers, it is exciting to see the outcry against the violation of human rights come from inside the kingdom, not merely from without. Women and progressive Saudi men who support them are not silenced. In fact, as observant Muslims, they are enjoined by Islam to expose any injustice, even and, in fact, especially when the infraction is committed by Muslims themselves.

The judge fails on several levels: He fails the kingdom, his countrymen, his monarch and ultimately his fellow Muslims. For these failings, he should be called to task.

Further, Islam demands that for Muslim women to advance their positions, rights and needs, they must gather into a cohesive social unit and mobilize. Women can demand what is fairly and rightly theirs, whether within the context of a marriage or a workplace only if they truly understand Islam, have sought out the knowledge and identified gaps in their own insight.

So, in conclusion: Islam never condones slapping a wife for being "spendthrift." Rather it should be the judge who now needs to exercise prudence and restraint and quickly demonstrate remorse for his myopic "Mickey Mouse Mufti" antics.

This act of stupidity unfairly depicts the kingdom as draconian at a time when the tides of progressive reform are now waist-deep and rising. Such narrow perspectives only serve to fuel global Islamophobia that has greatly increased in the West post-9/11. Muslims around the world and within the kingdom can no longer tolerate this stance, and the king, the Custodian of the Two Holy Sites of Islam, isn't likely to, either.

The opinions expressed in this commentary are solely those of Qanta Ahmed.

@highlight

Qanta Ahmed: Saudi judge wrongly said it's OK to slap wife for spending too much

@highlight

She says there's no basis in Islam for domestic violence of any kind

@highlight

Ahmed: Kingdom has moved to aggressively bolster the rights of women