Caen, France (CNN) -- "See what I'll miss?"

Princess Haya has been ambushed. The 40-year-old leader of one of the Olympics' biggest sports finds herself fending off British paradressage rider Lee Pearson.

Pearson wears around his neck the three gold medals he has won at the World Equestrian Games in Caen, Normandy.

As he leans in, medals dangling above the seated Haya's left shoulder, he announces: "Now ma'am, I know you were quite good at showjumping and you might not have enough golds, so I thought I'd let you have a feel of my gongs."

This is what the princess will miss when, in December, she reaches the end of her two terms leading the FEI, which governs world horse sport.

One of very few women to occupy such a prominent position within the Olympic movement, Haya is the subject of a warm, impromptu tribute from Pearson.

"She's brought inclusion from many countries that thought equestrianism was kind of elitist," says the 10-time Paralympic champion.

"She's kept us in the Olympics by making sure London was such a success, and she's modernized it. We're not riders, we're athletes."

Her Royal Highness Princess Haya of Jordan carried her country's flag at the Sydney 2000 Olympic Games, where she competed as a showjumper at the age of 26.

Four years later she married Sheik Mohammed bin Rashid Al Maktoum, an equestrian endurance racing enthusiast.

By 2006, he had become the prime minister of the United Arab Emirates and she had been elected to lead the FEI.

Since then, much of her role has been to ensure equestrian keeps its place at sport's top table.

Like wrestling, equestrianism claims roots extending back to the original Olympics contested by the ancient Greeks.

Hence, when wrestling had a scare last year -- being temporarily voted off the program for Tokyo 2020, before reinstatement at a later International Olympic Committee (IOC) meeting -- there may have been grounds for concern at the FEI.

"I believe there were very specific issues around the decision for wrestling," says Haya.

"But I believe no international federation can consider that their place goes without saying.

"Very much the reason I came to the FEI, to try to modernize, was not the fact that my sport had got worse or gone backwards -- but other international federations had moved a lot faster than us.

"That spirit of competition, that commercially cluttered landscape really does exist. The international federations compete for their place at the Games just as much as the athletes do, and you have to guarantee that you really do have top sport."

Haya points to the World Equestrian Games (WEG) as evidence that the FEI is doing its job. The latest edition of the quadrennial event boasted more than a thousand horses and riders, from 74 countries. The FEI claims more than half a billion people saw at least some action from the eight competing disciplines.

"We've never had a larger event than this," she says. "The growth that's happened over the past four years has made a marked difference.

"There is a larger percentage of non-purist spectators in the stands and we are able to export our sport to a new public. Our digital numbers have rocketed. Our athletes are not just performing for the family any more, they are performing for the world."

All of that will be taken to the table by Haya's successor -- six candidates have come forward -- the next time the IOC calls on its constituent sports to fight for their future.

Haya believes the IOC is most likely to look at removing one discipline from a large sport in order to accommodate a new, smaller sport in Tokyo and beyond. She thinks the FEI's battle lies in protecting its three Olympic disciplines of dressage, showjumping and eventing.

Not that the Olympic disciplines have always dominated Haya's eight years at the FEI's helm.

Endurance racing, a lower-profile form of equestrian sport immensely popular in the Middle East, has provided the biggest threat to her presidency.

The sport, in which horses can race a hundred miles in a day, has been troubled by a succession of doping scandals and concerns over animal welfare given the immense distance involved.

Haya's position was called into question when her husband -- an endurance racing champion, an influential horse breeder and also the ruler of Dubai -- received a six-month doping ban in 2009. She has since been accused of failing to vigorously pursue perceived shortcomings in the discipline's approach to the wellbeing of horses.

Haya, who handed oversight of endurance sport to colleagues over the conflict of interest involving her husband, says the issues are now being "managed very well" by the FEI.

"The sport has mainly come under criticism -- or the FEI has -- because it hasn't moved fast enough," she admits. "But on the other side of that, there are processes and procedures put in place for a good reason.

"You can't have a knee-jerk reaction. You have to go through a period of dialogue and examine the situation from every side. They have been strong enough to do that and I think they've done everything they can to protect the horses, and the integrity of the sport."

For her part, Haya says she wishes she had "had a lighter hand in some situations" in the earlier days of her time in charge.

And as regards her unusual position as a leading woman in world sport, she believes examining gender equity only in the highest echelons of power means searching in the wrong place.

"I think a lot is done to help women get to these positions but for me, what is missing is the avenue to come up through the grassroots," she says.

"For me it was easy. I had my career as an athlete, I rode in an Olympic Games, then I had interaction with the national federations. I understood how it worked, and I went through a pathway.

"What's missing is that opportunity for women at grassroots level in other sports. While you had the opportunities at the top, there is still very much a vacuum in between.

"I think in many ways it's harmful that we have this permanent crusade, that we 'have to have women.' It makes it sound like you got the job because you're a woman, rather than being able to do the job properly.

"There's a big difference between a person who merits doing the job and happens to be a woman, and one who gets the job just because she is."

The FEI's vote to replace Haya in three months' time will determine the sport's course for at least the next four years.

With organizations associated with the Middle East accounting for a number of equestrianism's major backers, brought in through Haya and her connections, there is uncertainty as to how the financial future will pan out if and when her influence wanes.

She, however, has already promised herself more time for two other interests in her life.

In a statement turning down the chance to stand for a third term, the mother-of-two listed first her family and then humanitarian work, in Gaza, as her new priorities.

"I felt the president should only have an eight-year term and I still feel that is important," says Haya, who had at one time announced her intent to seek a third term -- a move some considered "undemocratic" despite a majority of national federations backing the necessary rule changes.

"As president, you have to do a 12-hour day, it's a full-time job, and it's only really possible to do that for eight years until you do run out of ideas," she says.

"The sport is bigger than any international federation ever will be. Sometimes, you get the feeling the world revolves around you. I've always known that if we stop, the sport never will. It's worth knowing that."

@highlight

Princess Haya steps down as leader of world horse sport this winter

@highlight

Jordanian royal competed in showjumping at Sydney Olympics

@highlight

One of few female leaders at the highest level of Olympic sport

@highlight

Equestrian among sports facing fight to preserve Olympic status