SEMEY, Kazakhstan (CNN) -- Kazakhstan's nuclear orphans are a distressing sight.

This young child slept at an orphanage, his deformities the result of nuclear testing in the region.

The first child I met in the local orphanage was lying limply in his crib. His giant, pale head was perched on his tiny shoulders, covered in bed sores, like a grotesquely painted paper-mâché mask. Peering out, a pair of tiny black eyes darted around.

It took me a few seconds to understand what I was seeing. The doctor told me he was 4 years old.

Through the bars in the next crib, I saw another child, twisted with deformities. His fragile legs and arms turned in impossible contortions.

These are the children of Kazakhstan's terrifying nuclear past.

Decades of Soviet nuclear testing unleashed a plague of birth defects. When the Soviet Union tested its nuclear devices, it chose eastern Kazakhstan, one of its remotest, most desolate areas. But no one bothered to evacuate the people living there.  Watch the effects of nuclear bombs on villagers »

The testing began in 1949 at a site known as Polygon and continued until 1989. According to the Nuclear Threat Initiative, there were 456 tests, including 116 nuclear bombs tested above ground. The Polygon site officially closed on August 29, 1991 -- 16 years ago this week.

Local officials say there were hundreds of thousands of people, possibly as many as a million, who lived in the region during the nuclear testing. The end of the Cold War might have ended this dark chapter, but thousands are still paying a terrible price.  Learn more about nuclear testing »

From the old Soviet city of Semipalatinsk, now renamed Semey, it was a long grueling drive across the barren, flat Kazakh plain. Nature can be hostile here, with temperatures hitting over 100 degrees Fahrenheit in summer, then plunging to 40 below in winter.

The people living in the villages scattered throughout this former nuclear testing zone have been through the unspeakable. Seriqkaisha is 62 years old. She remembers watching the mushroom clouds as a child.

"We were very frightened," she told me, "because the windows in our house would blow out and the walls would shake. My parents both died of cancer, and my own son is handicapped."

Almost every family in Seriqkaisha's village, 20 miles from the old test site, is affected -- from cancers to impotency to birth defects and other deformities.  See where the nuclear site is located »

Meeting people was proving hard. The genetic defections and illnesses that afflict so many here are frequently a source of shame. The doctor told me that people hide their deformed family members from outsiders. For decades, they have felt like animals in a zoo, she said, and had grown to distrust prying eyes.

The region also has one of the highest suicide rates in the world, according to local health officials. Tragically, many young men who discover they are impotent -- one of the effects of nuclear fallout -- end their own lives.

A doctor introduced me to Biken -- one of the few residents who agreed to be interviewed. She was born in 1951, two years after the nuclear testing began. Her facial disfigurement, she said, has always brought her despair.

"If only there had been no bombs, I could have been equal to every one else. My youngest daughter looks like me too. I worry about her future, more than anything," Biken said.

It was heartbreaking to hear.

The problem of defects is so big, there's even a museum of mutations at the regional medical institute back in Semey, the largest city near the old nuclear testing site. It's a small room filled with jars containing deformed fetuses and human organs preserved in formaldehyde.

It's hard to look at them -- babies with bulging eyes and malformed brains, or conjoined twins locked in a contorted embrace.

The head of the institute, Tolebae Rakhipbekov, showed me around and told me how this house was more than just a grim collection of anomalies.

It was the reality for some parents, and a real fear for everyone who lives here.

"You could call these children, and others affected, victims of the Cold War. Kazakhstan has refused nuclear ambitions now because it experienced 40 years of this war. Nowhere else were there so many nuclear tests," Rakhhipbekov said.

And nowhere else, I suppose, are so many Cold War injustices still being felt. E-mail to a friend

@highlight

Thousands in Kazakhstan remain scarred from decades of nuclear tests

@highlight

The Soviet Union did not evacuate villages when testing began

@highlight

Deformed woman: "If only there had been no bombs, I could have been equal"

@highlight

The problem of deformities is so big that there's a museum of mutations