Queens, New York (CNN) -- Kellie Phelan doesn't mince words when she looks back at herself five years ago.

"I was basically a crackhead," Phelan said. "I literally was getting arrested every other week. I got pregnant by a drug dealer. ... I was seven months pregnant, and I was still smoking crack."

When she finally gave birth to her daughter, Phelan was behind bars, serving a 90-day jail sentence for possessing crack cocaine, violating her probation.

It was a wake-up call.

"That was the most traumatizing experience of my life," Phelan said. "To go see my beautiful, healthy baby girl in an orange jumpsuit and handcuffs and shackles ... I was embarrassed that was the way I brought her into this world.

"I knew I was changing my life. I just didn't know how I was going to change my life."

Fortunately, Phelan connected with Hour Children, a nonprofit that reaches out to convicted mothers at five correctional facilities in New York. Now, at 38, she says she is drug-free, has a job she loves and is raising her daughter in an apartment of her own.

"When you see what (these women) can do with support and love and education, it's miraculous, really," said Sister Teresa Fitzgerald, who founded Hour Children. "They don't believe in a future and are hung up on the mistakes of their life. And life is not about a mistake. We all get a gift of life, and we have to live it."

Over the past 25 years, Fitzgerald's group has provided life-changing assistance to more than 9,000 mothers both behind and beyond bars. Its goal is to reintegrate former inmates into society by helping them with common post-release stumbling blocks, such as reuniting families and finding safe, affordable housing. It also provides the women with free counseling, education and employment support.

"Everybody loves children, and they're an easy sell," Fitzgerald said. "But the mothers, for many of them, their lives were so horrific growing up, and they didn't have what children deserve. They ended up on the negative side of life.

"If you don't get the support and tools, you can't give it to your child. ... It's a dead end all around."

Hour Children -- named in part because jailed mothers get only an hour at a time to visit with their children -- begins counseling women at least three months before their release. Women are referred to the group by corrections workers, or they can reach out directly. Most have family histories of substance abuse, physical abuse, mental illness and other types of trauma, Hour Children says.

According to the New York Department of Corrections, 29% of the state's female ex-convicts are eventually re-arrested. But Hour Children says that for women in its program, that rate drops to 3%.

"No woman comes out of prison and says 'Gee, I really want to mess up again,' " said Fitzgerald, 65. "You talk with these women ... about the skills that they need and the perspective and the possibilities of change. That's the key here: that change can happen."

Do you know a hero? Nominations for 2012 Heroes close August 31

Phelan admits she initially had little faith that Hour Children would live up to its promise to meet her upon her release from Rikers Island in New York. But the organization picked up her and her baby and brought them to one of its transitional homes in Long Island City.

"From the moment I walked through the doors, it was like home," Phelan said. "I knew I was going to be OK from that point on. ...

"If I hadn't found this organization ... my family would have taken my baby. ... I'd be dead, in prison, smoking crack or doing heroin. No doubt about it."

In Long Island City, the group maintains several affordable, sober-living transitional homes as well as permanent homes and offices. Hour Children also offers affordable day-care and after-school programs, a food pantry, a community garden, thrift stores and a salon -- all of which are open to the general public.

These opportunities can mean a great deal, because women leaving prison have limited options. Reuniting with children who've been in foster care can be contingent upon the mother finding income and a stable home, but some ex-offenders aren't eligible for public housing in New York. And offenders on state work-release programs have eight weeks to find work.

"Employment and housing can be daunting because so many doors are closed to our mothers," Fitzgerald said. "We all know who they are, so they don't have to defend the fact that they have been in prison. Women without that help, going out there on their own, have a huge challenge."

Fitzgerald knew nothing about the prison population in 1985, when a fellow nun asked her to escort a young child to Rikers Island so she could visit her mother.

Witnessing the consequences of the forced separation on the child, mother and family moved Fitzgerald to rededicate her life to repairing and strengthening broken bonds. She and four other nuns began taking in children who were born behind bars and raising them until their mothers' release.

This work continues today, with children regularly placed with Hour Children community members who coordinate regular visitations with moms inside. Each visit an inmate receives offers her greater incentive to make a change.

"Little steps matter," Fitzgerald said. "They sit in prison, and they can hardly imagine how to get from here to there.

"Nothing happens in isolation. When you come out and you have a community of support that encourages you to use your time well to make little steps that turn into big steps, you see the hope there. ... They show each other they can do it."

Women applying for housing are required to enroll in the group's employment and training program. They must also be willing to comply with sober and communal living restrictions and responsibilities. They're welcome for as long as they feel they need support and continue to progress. Some have stayed for a few months, others as long as 15 years.

"We welcome people in," Fitzgerald said. "When they are here and it's clear they are not using the services and progressing, then you can say to them: 'We invited you. If you're not utilizing what we offer, you have to move on.' We hold them to their commitment."

The group functions on private donations and small grants and says that more than 60% of its staffers, including Phelan, have come through the program themselves.

Phelan runs the group's youth mentoring program. She says that thanks to Fitzgerald, she's proud of who she is today.

"I want people to admire me, and I want to help people the way she's helped me," Phelan said. "If I could know I'd change a life like she changed mine, it gives purpose to the years I ran the streets. ... It makes it all understandable then. Because God put me through it for a reason."

That's precisely the dignified spirit that Fitzgerald says carries this population forward.

"They admit to their mistakes, and I admire that because I know a lot of people on the outside who don't," she said. "But they want to move beyond the mistake. And they want to rise up almost from the ashes and say: 'Wow! Look at me. I can do it.' "

Want to get involved? Check out the Hour Children website at www.hourchildren.org and see how to help.

@highlight

For 25 years, Sister Teresa Fitzgerald has been reaching out to mothers behind bars

@highlight

Her nonprofit helps the women turn their lives around after their release

@highlight

Fitzgerald: "If you don't get the support and tools, you can't give it to your child"

@highlight

Do you know a hero? Nominations for 2012 CNN Heroes close August 31