(CNN) -- Winter travelers trek thousands of miles to the frozen north each year seeking the sky's "dancing lights," which provoke awe, excitement and, some say, sex.

CNN iReporter Bruce Barrett shot this rare red aurora in Canada's Whitehorse, Yukon.

Scientists call the natural phenomenon aurora borealis: cascading beams of greens, yellows, blues, purples or reds -- which paint a breathtaking backdrop across the wilderness and attract thousands of tourists annually.

"Usually it starts slowly as kind of a hazy greenish color -- like a mist -- building up in frequency dancing across the sky ... and to me that's religion," said photographer Dave Brosha of Yellowknife, Northwest Territories, who's seen more than 100 Canadian auroras. "It's just one of the most incredible feelings a person can have -- sitting there watching that."

To the west in Canada's Yukon province, tour operator Torsten Eder likes to tell a story about a marriage that was forged under the glowing curtains of light.  See spectacular photos of auroras »

"I had one guy from Mexico, and he wanted to surprise his girlfriend by proposing marriage with a ring under the northern lights," said Eder from his office in Whitehorse.

"We got lucky and the lights were visible ... so our guest went down on his knee and proposed to his girlfriend and she was totally blown away. The funny thing was -- she wouldn't wear gloves for the first three days -- so she could show the ring off."

The otherworldly lights also have provided inspiration for almost sacred pilgrimages, Eder said. Guests who said they were going blind or battling cancer told him they wanted to view the auroras at least once in their lives.

"It puts enormous pressure on us," said Eder. "You can't guarantee that the lights will be visible because it's a natural phenomenon." The display is generally visible at least every three days, he said.

Scientists say the northern lights are created by the sun's super hot atmosphere, which blasts particles into the protective magnetic field surrounding the Earth. The magnetic field forces the particles toward the north and south poles. About 60 to 200 miles overhead, the particles bump into the Earth's atmosphere and become electrically "excited" -- throwing off light of various colors, said Prof. Dirk Lummerzheim of the University of Alaska, Fairbanks.

"The forecast for this winter is a continued quiet sun, in general," he said. The sun is on the upswing of an 11-year cycle. "Maybe we will have a few periods once a month where the aurora can get a little bit more active."

Although the phenomenon occurs around the clock, the lights are only visible at night. The best time of year to see them is during winter, when darkness in the upper latitudes stretches up to 24 hours.  See map where northern lights can be seen »

Eder's Northern Tales tour company picks up guests at their hotels about 10 p.m. and takes them to an area about 20 minutes outside Whitehorse's city lights. There, travelers can enjoy nature's colorful show from a heated, walled tent until around 2 a.m.

"We almost take it for granted sometimes," said Brosha. "No matter how many times you've seen the aurora borealis -- when they really dance, when you get some really unique colors -- you just kind of say, 'Wow, I'm so lucky to see that.' "

A warmer way to enjoy the northern lights is a shallow, natural rock lake at Chena Hot Springs outside Fairbanks, Alaska, which allows bikini-clad guests to enjoy the lights in temperatures of 106 degrees Fahrenheit.

"I mean, honestly, it's the best way to see them," said spokeswoman Denise Ferree. "Because you're warm and toasty and you're watching the northern lights above."

Chena's owner, Bernie Karl -- who's often as colorful as the lights themselves -- said the auroras sometimes spark the libido.

"Having sex under the northern lights -- it's an awesome experience," Karl said. "Have you ever been out in nature at 35 below zero with northern lights bouncing over your head and your bare ass? Well, you need to try it."

If the hot springs aren't for you, Chena also takes guests up a nearby mountain to observe the auroras from heated Mongolian-style tents called yurts.

The resort prides itself on its environmental initiative, which has led to the generation of clean electricity from geothermal heat produced by the hot spring.

"Iceland is probably one of the best places to see the northern lights," said Reykjavik tour guide Arni Magnusson of AM Tours. That's especially true as the U.S. dollar gains value against the Icelandic krona -- offering some attractive hotel and shopping opportunities.

Guests are picked up at their hotel for a 20-minute drive outside the city to view the lights from higher elevations. "People say they feel closer to Earth and to the forces of nature," said Magnusson. "The lights totally overwhelm them."

Dan Hershman's life changed dramatically after he photographed a spectacular aurora in Washington state in 2000, which was a peak year in the solar cycle.

"These things are just dynamic and they seem just alive and organic," said Hershman, who at the time was a high school music teacher.

The photo was unique enough to attract the attention of NASA, which ran the image on its Web site, Hershman said. This spurred his interest in photography and soon, as Hershman put it, "my hobby became my profession and my profession became my hobby."

Now Hershman performs as principal bassoonist in local orchestras as a hobby -- and he teaches high school photography in Federal Way, Washington, as his profession.

The trick to photographing the auroras, Hershman said, is choosing to take the picture when the lights aren't moving as much. "Otherwise it looks like nothing but a big blob," he said.

IF YOU GO

WHITEHORSE

Activities

Yukon Brewing Company offers tours of this award-winning brewery, the home of such libations as Espresso Stout, made with local espresso from Midnight Sun Coffee Roaster.

Mac's Fireweed, an independent bookstore and a Whitehorse institution, offers a nice selection of magazines and a huge catalogue of book titles.

Northern Tales tour company picks up guests at their hotels and takes them a short distance outside Whitehorse to view the auroras from heated, walled tents.

Stay:

Just north of Whitehorse, see the northern lights from Takhini Hot Springs, which offers cabins and camping facilities. Two bed and breakfasts come recommended by Whitehorse residents: Casey's and Hawkins House, at 867-668-7638.

YELLOWKNIFE

Activities

Enjoy warm tepees as well as food and drinks while viewing the northern lights at Aurora Village, which gets up to 20 hours of darkness in the winter months.

FAIRBANKS

Stay:

Chena Hot Springs resort offers accommodations and viewing tours of the northern lights. Locals also recommend Mount Aurora Fairbanks Creek lodge for those seeking views of the spectacular lights.

ALASKA WILDERNESS

Stay:

If you're looking for a trip deeper into the wilderness, Tolovana Hot Springs offers views of the auroras about 45 miles from Fairbanks -- accessible by trail or plane only.

Northern lights tours:

Travel to the Brooks mountain range above the Arctic Circle can be arranged with Out in Alaska at 877-374-9958. Northern Alaska Tour Co. offers wilderness tours to see the auroras in Coldfoot.

ICELAND

Northern lights tours:

Visitors interested in guided views of the northern lights can contact  AM Tours at 011-354-898-6581.

Activities:

Enjoy the hot springs and spa facilities at the famous Blue Lagoon. Find general information on touring Iceland at Iceland Travel.

@highlight

Sex under northern lights is an awesome experience, says resort owner

@highlight

People diagnosed with terminal or blinding diseases seek out aurora borealis

@highlight

Brilliant green, blue "dancing lights" inspire marriage proposals, says guide

@highlight

Spectacular phenomenon occurs when solar particles hit near Earth's poles