Yangjiang, China (CNN) -- In terms of underground Chinese art, Ai Weiwei may be grabbing the headlines but he is just one artist in an expanding galaxy of edgy and sometimes provocative work that has been coming out of China's contemporary art scene for more than a decade.

There's Ou Zhihang, better known as "Naked Push-up Brother," a performance artist who disrobes at the scenes of newsworthy scandals and catastrophes and pumps out a series of press-ups.

There are the Gao Brothers, whose sculpture of a firing squad of Mao Zedong clones taking aim at a figure of Jesus put them on the wrong side of China's increasingly skittish and jumpy authorities.

And in southern China's Yangjiang -- an unprepossessing industrial city famous for producing one in 10 of the knives and scissors found in American homes -- there's the Yangjiang Group; a trio of seasoned drinkers whose work, while not overtly political, attacks one of the Chinese culture's sacred traditions -- calligraphy.

"When I was at school, my teacher used to tell me how bad my handwriting was," says Zheng Guogu, an artist in his own right outside the group, but who has worked with the other two -- Chen Zaiyan and Sun Qinglin -- for 10 years. "But then I thought, who is he to tell me that my calligraphy is bad?"

China works hard to project soft power

In China, writing is considered an artform and is so important to the meaning of the words that the lyrical power of a poem, for instance, is carried through the style of the handwriting.

The Yangjiang Group likes to throw thousands of years of culture out of the window.

"When we first started working together we used to drink and then by accident we found things that we'd written that we couldn't remember doing at the time," says Zheng.

He said the power and clarity of these calligraphic works impressed them so much that drinking became a pre-requisite for their Jackson Pollock-like art jams, sometimes binge drinking for up to three days at a time.

"When you're in this mental situation you don't remember what you've done," says Zheng. "It's exactly this distance and unfamiliarity between your state of mind and what you are doing that draws you to a higher state of art."

The results are as hilarious as they are disturbing.

Ai Weiwei places himself under home surveillance

Often taking news events or the media as their inspiration, one piece entitled "The Morning After: Masterpieces Written While Drunk, No. 1: 'I Need a New Kidney to Kill Bin Laden'" references American would-be assassin and dialysis patient Gary Brook Faulkner who launched a private mission to kill Osama bin Laden.

Another "Bloodwritten Letter on Imprisonment with the Opposite Sex" uses calligraphy to retell the shocking news story of a 16-year-old girl who, in 1996, was imprisoned for a week with two dozen male suspects who sexually abused her. Zheng writes the text over an unrelated photograph of what appear to be binge-drinking revelers.

As writing, the characters are often so sloppy that a viewer is forced to read the label to find out what the work is referring to.

The group says the authorities take no interest in what they are doing and that the works amount to little more than a personal diary. Nevertheless, their art not only challenges China's cultural heritage, it looks at the structures of power and how they work; not least within calligraphy itself which is governed by what is known as "The 10 rules."

"I can't even remember what they are," says Zheng, laughing. "All I remember is that they were in our books at school."

Chen Zaiyan says writing in China is still a source of conflict, with simplified characters -- a system introduced under Mao Zedong which drastically reduced the number of strokes and characters in a bid to lift literacy -- still unable to take complete hold in the country even after more than 50 years.

"Before the revolution people used traditional characters and for those people that left, they don't even know Chinese characters," Chen, who studied calligraphy at university, says. "These days you are forced to fill in official forms in simplified characters."

He says there's a gravitational pull towards traditional script because the characters have a deeper cultural sense which he says comes shimmering out of the characters "like a mirage."

"Most calligraphers habitually tend to write in traditional script," says Chen. "I think in 20 years or more China will return to traditional script."

Not content with doing works merely on paper, the group has extended its anarchic world to architecture, constructing a sprawling studio in urban Yangjiang that resembles an iceberg. The building, a work in progress, is constructed without plans -- rooms, stairwells and garden spaces are figured out day by day, depending on discussions with the builders.

In the countryside, their architectural projects are even more ambitious.

In a complex that draws its inspiration from the video game "Age of Empires," the group is working on a sprawling interconnected series of exhibition spaces, rooms and garden areas which requires a team of 10 full-time builders.

The group has little in the way of official permission, instead dealing with planning problems as they arise. Zheng says he even once made an exhibit of the receipts of the bribes he had to pay to various authorities to get his architectural projects through. Kick backs in China are often demanded through semi-official means, for instance overly rigorous fire safety standards and the like.

The group has a growing following in American and European galleries and says it now entirely funds its projects through its exhibitions. It is currently displaying its works in Birmingham in the United Kingdom.

Ling-Yun Tang, Assistant Professor of Sociology at the University of Hong Kong, whose work specializes in the Chinese response to contemporary art, says the international market for provocative works from China is now so large it's a growth industry the authorities are loathe to interrupt.

"At the end of the day, they are not stopping this growth and they don't want to stop it," Tang says. "There are a lot of weird loopholes that artists are very good at exploiting. It's still a bit of a cat and mouse game, but it's much more complicated than it appears from the outside.

"Ai Weiwei is probably more the exception than the rule, although he's an important exception," she adds.

In the meantime, the Yangjiang Group face more danger from themselves than from China's Communist Party censors.

Zheng says only the other two members of the group continue to drink. He gave up alcohol almost 18 months ago following a drunken car crash in which he escaped almost miraculously unscathed.

"I felt that God was sitting in the passenger seat on my right," he recalls. "I just thought if I kept on drinking like this, he may not help me a second time."

@highlight

While Ai Wei Wei struggles with the censors, China's avant garde artists remain a force in the country

@highlight

The Yangjiang Group, unlike many Chinese contemporary artists, live and work in their hometown

@highlight

The group, who specialise in Chinese calligraphy, say they do their best work when they are drunk

@highlight

The group has a growing international reputation and their provocative works go under the radar in China