Krotz Springs, Louisiana (CNN) -- Residents of towns along the swollen Mississippi River on Sunday packed up their valuables and made last-ditch efforts to place sandbags and makeshift levees outside their homes, trying to protect themselves and their homes from rising waters.

"I have never experienced anything like this in my life," said Brett Ansley, 24, as he was hitching up his trailer home in Krotz Springs, Louisiana, to move it to higher ground. "It's crazy. It's unreal."

These efforts occurred as the U.S. Army Corps of Engineers opened two additional gates Sunday morning on the Morganza spillway, located about 115 miles northwest of New Orleans. This is after opening the first two bays the previous day.

A collective gasp as Louisiana town braces for flood

The plan is to let out water from as many as one-fourth of the spillway's 125 bays to spare the Louisiana cities of Baton Rouge and New Orleans from severe flooding, Corps spokesman Ricky Boyett has said. But it maystill affect nearly 4,000 people who live along the river, as it sends water toward homes and farmland in the Atchafalaya Basin, according to Louisiana Gov. Bobby Jindal.

"At this time, we are currently monitoring the river, but it is too early to know if additional gates will be opened today," Boyett wrote in an e-mail to CNN.

Some of the spillway's gates will likely be open for weeks, and it'll be at least that long before the river falls safely below flood stage and those who have evacuated can safely return, said Col. Ed Fleming, the Corps' New Orleans district commander.

Stars talk about the flooding and response

Fleming said the decision to open the spillway, along with similar decisions made in recent weeks as the floodwaters moved southward, was done to address a historic excess of water in the Mississippi River and its tributaries. While the spillways will divert water away from Louisiana cities, low-lying central parts of the state will be flooded.

Across the South and lower Midwest, floodwaters have already covered about 3 million acres of farmland, eroding for many farmers what could have been a profitable year for corn, wheat, rice and cotton, officials said.

Authorities in St. Landry Parish issued a mandatory evacuation that affected about 2,000 people -- including about 750 people living in 240 homes in Krotz Springs. Residents in other areas were under a voluntary evacuation, with authorities encouraging but not ordering them to leave.

Don Menard, the parish's president, said Sunday afternoon that water levels in Krotz Springs appear lower than expected -- though he said he thought they'd rise considerably after midnight, and especially if and when more floodgates are opened.

NBA's Grizzlies inspired by fans in flooded Memphis

"It's the fear of the unknown," Menard said, noting estimates that the water could rise 10 to 15 feet in spots. "These are predictions, no one knows for sure what will happen."

CNN iReporter Faisal Abou-Shahla posted a video of flooded homes in St. Francisville, Louisiana, about 30 miles north of Baton Rouge. He said he shot the video on Saturday, after the first gate was opened on the spillway. Abou-Shahla said he lives in Baton Rouge and was visiting his fiancee's parents in St. Francisville.

Some city residents "were waiting until the last second to leave," he said Sunday, while others used whatever they could to try to minimize damage to their homes for when the high waters roll in.

"There were a few seemingly futile attempts to put sandbags up," said Abou-Shahla.

Following the opening of the spillway, the National Weather Service revised its flood forecasts and lowered projected cresting levels in some Louisiana towns. Forecasters also said the river may crest earlier than first thought in some areas.

"The river at Baton Rouge through New Orleans will crest sooner than upstream locations due to Morganza spillway operations," said the latest forecast, issued Saturday. "After crests, stages will remain at the same levels and New Orleans will fluctuate near flood stage while Bonnet Carre and Morganza are operated."

Authorities previously opened gates on the Bonnet Carre spillway, located upstream from Morganza.

Already on Sunday, waters in Vicksburg, Mississippi, had reached record levels of 56.2 feet , the weather service reported. This is well above the 43-foot flood stage, but still short of the forecasted crest of 57.5 feet on Thursday. Levels in Natchez, further south downriver, were two feet higher than the record set in 1937 on Sunday, but just under three feet shy of the 63-foot crest expected Saturday.

The weather service said the river was also cresting Sunday in New Orleans and Reserve, Louisiana, because of the spillway operations. At Reserve, the river was cresting at 28.2 feet, above the historic 1929 flood level of 26 feet. At New Orleans, however, the crest was 17 feet, about four feet below the historic level of 1922.

Spillways explained

Residents were counting on a levee for protection. In addition to the mainline levee along the river, starting near Vicksburg and extending northeast for more than 20 miles, a so-called backwater levee offers shelter.

The backwater levee is designed to keep water from backing into the Yazoo River delta and is designed lower than the mainline levee so that water can flow over it.

Peter Nimrod, the Mississippi Levee Board's chief engineer, said Sunday there was a "remote" chances the levees could be breached, though he expressed confidence they would hold. Even if it stays intact, the expectation is excess water will rush over them for several days.

"There will be a lot of sleepless nights, when this thing starts overtopping," Nimrod said. "It will be a very stressful time for everyone."

CNN's Ed Lavandera, Martin Savidge, Justin Lear, Jacqui Jeras and Ashley Hayes contributed to this report.

@highlight

NEW: A parish official orders evacuation, cites "the fear of the unknown"

@highlight

NEW: A Mississippi levee engineer says the next few days will be "stressful"

@highlight

The Army Corps of Engineers plans to open one-fourth of the Morganza spillway's floodgates