NEW YORK (CNN) -- Ten years ago, teen Daniel Giddings shot a man during an attempted robbery and was sentenced to six to 12 years in prison.

During his time behind bars, Giddings racked up almost 30 disciplinary infractions, was kicked out of two separate facilities for bad behavior and reportedly spent hundreds of days in the hole because of his conduct.

After serving 10 years, Giddings was released last August. According to CNN affiliate WPVI, he allegedly assaulted several police officers days later. Then, in September, he allegedly killed a Philadelphia police officer before being fatally shot by another officer.

We see classic cases of repeat offenders like this all the time. A teen is thrown into the abyss of the corrections system and comes back out no better, if not worse. If we had the right intervention for troubled teens, could we reduce their chances of becoming repeat offenders?

The fact that we constantly have to ask that question tells me America needs to change the way it fights crime. As a nation, we're very good at locking criminals up, yet we still remain one of the most violent and crime-ridden societies in the developed world.

According to the International Center for Prison Studies in London, England, the United States has the world's highest incarceration rate, with one in 100 adults behind bars. In fact, the United States accounts for less than five percent of the world's population, but almost a quarter of the world's prisoners.

Considering how much time, energy and money we spend locking people up, you'd expect to see a bigger payoff. But in the United States there are about 16,000 homicides per year, or roughly six per 100,000 people, based on Department of Justice statistics. Compare that to Canada and Britain, which don't even tally 1,000 homicides per year each.

Our current system is broken because it is too focused on tossing criminals behind bars and hoping they get the message instead of rehabilitating them. I'm not saying we need to stop punishing criminals. We just need to start peppering in prevention techniques and using creative solutions to identify red flags early.

Quietly, the pendulum is swinging in that direction. Missouri's groundbreaking juvenile justice system is the vanguard. It focuses on rehabilitation, therapeutic intervention and conflict resolution rather than force and punishment. Small groups of youths stay in dorms with a couple of adult facilitators to emphasize individual treatment. According to Harvard University's Ash Institute, the youths attend daily meetings with peers, partake in educational and volunteer programs and serve as role models for each other.

This approach appears to be bearing dividends, as the Department of Justice points out over 90 percent of Missouri youths avoid further incarceration for at least three years after graduating from the program. Thanks in part to these detention alternatives, Missouri's adult prison population decreased from 2005 to 2007 after increasing each year from 1997 to 2003, according to the Missouri Department of Corrections.

Other states are catching on to the Missouri model. The Annie E. Casey Foundation, a leading supporter of alternative juvenile justice, says there are more than 100 sites using juvenile detention alternatives in 24 states and the District of Columbia. The proliferation of these alternatives may be having nationwide effects. The national juvenile arrest rate has decreased nearly 10 percent from 2000 to 2007, according to FBI arrest statistics. Obviously the Missouri model isn't the only factor at play, but imagine the impact if we could spread those programs to the other 26 states.

So how will we get the remaining "tough against crime" politicians to implement similar systems? By showing them how it will fatten up the government's coffers. The Missouri model has been shown to reduce recidivism, meaning states will have fewer repeat offenders to incarcerate. And the best way to reduce prison costs is to reduce incarceration.

I think certain aspects of the Missouri model must be expanded beyond corrections systems. After all, why should juvenile offenders be the only ones learning conflict resolution and peer counseling? We should offer similar tools -- such as group therapy -- in public high schools to help all troubled kids before a potential descent into criminality.

In these school-based programs, no topic should be off limits. Alcohol, drugs, sex, money -- whatever is bothering these children, they should have a place to share experiences, learn to cope with adversity and simply have someone willing to listen. Such a program would also enable children to discuss issues that they are unwilling or unable to share with their parents.

As a recovering alcoholic, I know how powerful and effective therapeutic programs are. They help you dissect a problem and uncover its cause. Therapy helps millions of people with a variety of issues, yet most kids aren't exposed to these incredible tools when they need it most (unless they have rich parents to pay for therapy sessions).

It is very promising to see that America is moving toward a balance of punishment and prevention, thanks to inventive ideas like the Missouri model. No matter how many prisons we build and criminals we lock up, the fact remains the best way to fight crime is to stop it at the source. And that is exactly what these creative solutions aim to do.

The opinions expressed in this commentary are solely those of Jane Velez-Mitchell.

@highlight

Jane Velez-Mitchell: Locking up teen offenders won't solve problem of repeat crimes

@highlight

She says teens need therapy to help uncover source of their problems

@highlight

Missouri has lowered repeat crime by using innovative programs for teen offenders

@highlight

She says such efforts can not only reduce crime but also save money