Palo Alto, California (CNN) -- Early morning in a soon-to-be sun-baked cactus garden in Palo Alto, California; as most life yawns into movement, one creature is already darting between the bright red cactus flowers in a blur of electric speed.

A three-inch-long Hummingbird hovers -- bristling among cactus spines, drinking nectar -- before breaking backwards, rising effortlessly over a gust of wind, and diving down out of sight.

For the Stanford University students covertly watching, each move is executed quicker than a blinking eye. But when they take their high-speed video camera back to the lab and slow down their footage to a snail's pace, the bird's blurred motion becomes clear and the researchers get the information they came for: elusive clues to the secret of the hummingbird's flight.

Natural inspiration

Miniature flying robots have come a long way in the last few years, now mastering incredible athletic feats. But when it comes to dealing with the unpredictable world around them, our best man-made flying machines still have a long way to go to match nature's impressive creations.

And that's why, to create new flying robots that work in the world outside the lab, these pioneering researchers are looking to birds.

"I study how birds fly and I use it as an inspiration for developing new robots," says David Lentink, assistant professor of mechanical engineering at Stanford University.

"Small micro air vehicles that can fly close to buildings or in cluttered environments or through turbulence, they actually encounter the exact same problems that birds have encountered for millions of years and solved," he adds.

How to fly

To build the next generation of micro air vehicles, Lentink aims to understand how a bird powers its agile maneuvers, and why a pair of flapping wings gives a bird the power to ease through turbulent skies.

But the team is currently being held back by our lack of crucial knowledge.

"We know very little," says Eirik Ravnan, a graduate student in Stanford's Lentink Lab. "We don't know how much force they generate at what part of the wing stroke. We can't explain all of the forces they are generating and we don't know how they move their wings exactly -- so this is something we are starting to look at now."

The video of a hummingbird that Lentink's team captured in the garden was filmed at more than 2,000 frames per second, allowing it to be played back in highly detailed super slow motion. At this speed, some remarkable secrets of the bird's flight were revealed.

They observed the hummingbird hovering, reversing and diving, and documented its unique "insect-like" wing action (at 42 flaps a second). They have also seen the tiny 3-gram bird shake its body like a dog (for reasons that are still unknown) and detailed its tactic for facing down a wayward gust of wind.

"We have this one shot of a bird -- it doesn't actually do a full flap downwards -- it does half a flap and then goes back up," explains Ashley Fletcher, another graduate student in the Lab. "It is things like that that help stabilize it in the air and help it move really nimbly."

Watch: Flying robots' aerial acrobatics

It's not just cameras that are revealing the secrets of bird flight. Ravnan has been training a miniature parrot (called a parrotlet) to fly between perches. Laser systems monitor the flow of the air behind the bird -- showing a pair of swirling vortices behind the wings -- which could provide more clues to how the bird manages to be nimble as well as robust.

Building a 'robobird'

The team is putting this knowledge into practice by developing micro air vehicles powered by flapping wings. Graduate student Amanda Stowers is working on a prototype that can morph its wings while flying -- and she's confident she can get it to rival the hummingbird's 42 flaps per second.

Built from carbon fiber and mylar, the device weighs just over 20 grams and by folding its wings it can reduce its wingspan from 44 cm to about 16 cm. The aim is to build "a more maneuverable flapping-wing air vehicle, able to fly through gaps smaller than its wing span without breaking itself," Stowers explains.

The team admits it could take decades to produce a robot capable of equaling the subtleties of a real bird's swoops and dives. But for Lentink, learning more about bird flight inspires admiration of the "extraordinary" creatures.

"(A bird) is such a complicated machine," he says. "If you look at the amount of processing power in its brain, its actuation capabilities -- just all the muscles -- and the capabilities birds have to change the shape of their bodies, it is something that will take many years, tens of years, maybe 20 years to get something like that into a robot."

@highlight

Researchers studying bird flight to help build better flying robots

@highlight

Ultra slow motion footage reveals secrets of hummingbird flight

@highlight

Stanford University developing a robot that can fold its wings while flying

@highlight

Will take decades to fully mimic birds' complex flight, researchers say