(CNN) -- Few things are worse for the traveler than nasty surprises.

Yet we keep traveling.

Not simply because we like to travel or because we must travel, but because we accept that the world is an imperfect place and the travel industry an imperfect business that likes, when possible, to get by on the bare minimum.

Nevertheless, there are some fixes that could be implemented quickly and cheaply that would make travel much more pleasant for everyone.

We seek neither the impractical (first-class leather seats in coach), the implausible (teleportation), nor the unrealistic (airport concourses that demand less walking than a breast cancer fund-raiser).

Even better, none of the brainstorms below are protected by patents, licenses or other legal restrictions, so Big Travel can feel free to scoop them up and begin making our lives better right away.

1. Update hotel check-in times

In 1946, the Tote'm convenience-store chain extended its hours from 7 a.m. to 11 p.m., announcing its groundbreaking move by changing its name to 7-Eleven.

In 1974, the company now known as ACCEL/Exchange booted up the world's first 24-hour ATM network.

In 2005, England and Wales ushered in the era of never-ending beer drinking by granting licenses allowing pubs to serve liquor round-the-clock.

Yet as nonstop commerce has created a sleepless planet, hotels remain mired in conventions of the 1800s, when the steam train rolled in and out of town once each afternoon and again the following morning.

With airlines cleaving away from the hub-and-spoke system -- which once rigidly controlled arrival and departure times -- in favor of more or less continuous schedules and red-eye flights, the hotel industry needs to restructure its own arrival and departure policies to reflect modern traffic flow.

Few miseries compare to landing in a city at 6 a.m. only to while away the morning in traveler's purgatory awaiting an "early" 1 p.m. check-in that you had to grovel to get.

The major hotel chain that figures out a way to implement "anytime check-in" on a mass scale will become the new Hilton.

Unless, of course, Hilton gets to it first.

2. Invent a universal plug socket

A few years ago, tech-connected people lived in an era of many too gadgets and not enough laptop sockets, wondering why the hell devices couldn't just share the same plug-ins.

Then someone invented the USB.

The travel industry is suffering from a similar connection problem.

Two thin pins in the United States; two round pins in Europe; three chunky pins in the United Kingdom; three even chunkier pins in India, with some smaller three-pins occasionally used for really old lamps.

There are attempts to paper over this dilemma. But what if you're not lucky enough to be in a business hotel with a full 3x2 foot panel dedicated to a dozen types of plug shapes?

What if you don't want to carry around three different personal plug adaptors that might work, if you're lucky?

China has started to try to solve this problem, with some hotels employing single, all-purpose wall sockets able to accept various shapes and numbers of pins.

Isn't it time everyone started doing the same?

3. Bring us the check

Introducing the future of good service -- the coffeecheck.

Nothing spoils a meal like being held hostage to an uppity or lackadaisical waiter's notion of when you'll be allowed to leave the restaurant.

Checks should be delivered with the final course, at least for businesses lunches.

4. Abolish institutionalized taxi extortion

One of the enduring mysteries of travel is the shocking percentage of municipalities that allow the first impression of their cities to be an extortionate US$65 cab ride from the airport to downtown.

Does the Mafia run every taxi company in the world?

Is it too much to ask that visitors to major cities be spared from getting fleeced as if they've concluded a losing transaction with a neighborhood bookie as soon as they get to town?

Affordable rides into the city would eliminate a significant amount of the stress and hassle endured by visitors coming to a place for the first time.

If private enterprise can't responsibly accommodate tourists, local legislation should be employed to force them into it.

5. Offer upgrades whenever possible

Airline upgrades are the Bigfoot of the travel world.

People talk of them in hushed tones, with shrugged shoulders, their faces darkened in some corner of a rural tavern as they exchange secrets on how and where you might be able to score one.

Surely this is ridiculous.

We understand the consumer psychology behind premium-level status -- you start giving away your exclusive product and suddenly it's no longer exclusive.

But while most consumer-facing industries like to improve customer experiences whenever possible, the airline industry seems to go out of its way to keep its passengers grumpy and miserable.

The hotel industry is a little better. Taj Hotels has a policy of upgrading to the next level of room or suite if available when you check in.

But for the most part hotels avoid upgrading, too, and we suggest at some cost.

Wouldn't the word-of-mouth and social media praise be worth it from customers grateful for surprise upgrades if they occurred more often?

6. Retire the beverage cart on short flights

Responsible for more mashed toes and dislocated elbows than the UFC, these 300-pound chariots of doom present passengers in aisle seats with a constant danger, cost airlines millions and keep us from hitting the head at precisely the moment we most need to.

To shave expenses, airlines have already done away with most food. The next logical step is ending the tiresome drink service that creates more trouble than it's worth.

For flights of two hours or less, hand out bottles of water and sell beer, wine and drinks in the departure lounge. This will save the airlines money and labor and, for customers, eliminate the risk of being sideswiped every five minutes by the polyestered haunch of an exhausted flight attendant horsing a Sisyphun weight up and down the aisle taking drink requests and barking orders -- "Keep your feet in!" "Watch your knees!" -- with all the Ã©lan of the guy who sits in the booth and weighs you in at the dump.

7. Just stop talking, please

The first port of call for most vacations -- the airport -- is invariably an unending and un-ignorable procession of barely decipherable Tannoy announcements, most of which are entirely superfluous.

Noise equals stress, so airports should be minimizing it wherever possible, not adding to it.

We know by now to keep our luggage with us at all times, that airports are non-smoking areas and if you have had to call Mrs. Bawdwallah nine times to "proceed immediately to gate number 12," it's safe to say she doesn't care or she isn't able.

And while you're at it, how about upgrading those 1930s-quality public address systems in airports and on planes?

8. Eliminate the paper trail

Why do we need a tissue-thin napkin every time someone on an airplane hands us four ounces of water in a urine-sample cup?

Former American Airlines chairman Robert Crandall once famously saved his company US$40,000 a year by eliminating the olive from salads the airline once served onboard.

A small redwood forest could be recycled from the napkins airlines plow through each year.

9. Make booking more transparent

You think you've found the deal of a lifetime, till you click "checkout" and the price suddenly doubles due to the airport tax.

Or you spot an airline ad for "US$10 deals" to the other side of the world, but you have to book on exactly the right day and on the right flight to take advantage and they don't mention when that is.

A little transparency from the start would go a long way to making the booking process far better.

10. Give us our phones back

If you can get a 300-ton hunk of iron and aluminum into the sky, surely you can figure out a way for us to use our iPads without it causing a disaster?

@highlight

Listen up, Big Travel! These fixes would make travel more pleasant for us and maybe save you money.

@highlight

Do we really need a napkin every time someone hands us a drink?

@highlight

Let us check into a hotel any time of day.

@highlight

Upgrade the quality of public address systems in airports and on planes.