(CNN) -- It didn't take a rocket scientist to predict that NASA's plan to pay Russia to launch American astronauts into orbit wasn't going to turn out well.

Three years after NASA retired the space shuttle program, relations between the United States and Russia are worse than at any point since the end of the Cold War. Americans have reportedly been paying Russia $70 million a seat to send our astronauts to the International Space Station. That's three and a half times what the Russians charge private space tourists for the same ride on their 1960s-era spacecraft.

Now Russian President Vladimir Putin is reconstituting the Russian empire, and senior Russian officials have reacted to our economic sanctions by suggesting that Americans "bring their astronauts to the International Space Station using a trampoline."

NASA and our elected officials are to blame for this embarrassment.

NASA has tried to replace the shuttle on its own before resorting to the commercial industry -- programs that were canceled after ludicrous cost overruns and technical setbacks. And worse, politicians and bureaucratic backscratchers repeatedly undermined the nascent commercial space industry, where new American companies are working to do less expensively what NASA was failing to do itself: develop a spacecraft capable of carrying humans into orbit.

Instead of accelerating the creation of a thriving commercial space industry, NASA's second choice -- after its own program failed -- was to pay the Russian government rather than American companies for tickets into orbit.

But now that NASA's funding of the Russian space program has become unattractive politically, its 4-year-old program to hire American companies to send crew to the International Space Station takes on new importance.

On Tuesday, NASA announced the winners of its "commercial crew" competition.

Which of the entrants did the agency award for the biggest contract?

Was it SpaceX, a new leader in commercial spaceflight, which has gone from startup to multibillion dollar company in just over a decade, spent hundreds of millions of private investment designing and building three new rockets and a human-rated space capsule, completed more than a dozen launches and lined up dozens more for commercial customers, and proved itself more cost effective than its larger competition?

Was it Sierra Nevada, another private company that has developed a small, winged space plane that lands passengers returning to Earth comfortably on runways, rather than sending them hurdling into the ocean -- giving the design a unique commercial potential?

No. The largest contract in a program designed to boost competition within the commercial space industry went to Boeing -- the gigantic, heavily subsidized government contractor with a history of huge cost overruns. Although SpaceX did win a smaller prize of its own, the fact that the old incumbent is getting a contract to provide services to the space station is going to limit the promise of America's commercial space industry.

But worse, despite committing to purchase some of these services from Boeing and SpaceX, NASA is still reportedly at work on its own, vastly more expensive design, the Space Launch System, in which Boeing is also involved.

To anyone who isn't a NASA employee, a NASA contractor or a U.S. senator with a protected workforce in his state, this makes no sense. NASA should not be developing its own proprietary version of capabilities it could purchase commercially at much lower cost, especially when we know the agency's bureaucratic tendencies will be to view the commercial versions as competitors to kill.

Instead, Congress should kill the NASA version and require the agency to purchase basic launch services from companies such as SpaceX, Sierra Nevada, and even Boeing -- if it can make its designs cost-competitive. Commercial space advocates in Congress have been trying to do this for years, but bureaucracies -- both government agencies and their giant contractors -- are extraordinarily adept at protecting themselves and their interests.

In addition, Congress should hold hearings on why NASA selected such an expensive proposal for its commercial crew program when potentially cheaper, more innovative designs were available.

Tuesday's announcement was a modest step forward for the commercial space industry, since it will mark the first time NASA has bought tickets from American companies to send astronauts into space. But NASA will need to embrace new entrants and promote a lot more competition to make sure this one small step for NASA isn't one giant leap backward on the taxpayer dime.

@highlight

NASA missed a chance to back cheaper, more innovative design in new contract, Newt Gingrich says

@highlight

Decision to award SpaceX a contract was a modest step forward for the commercial space industry, he says

@highlight

But NASA will need to embrace new entrants and promote a lot more competition, he adds