(CNN) -- In what comes as little surprise for a conservative group of justices who have increasingly sided with corporate America's interests, the Supreme Court has just made it harder to form certain kinds of unions in America. And the ruling may lead to future challenges for other unions down the road.

The court ruled that home health care workers in Illinois do not qualify fully as public employees, so they aren't required to contribute fees for a public sector employee union. The Harris v. Quinn ruling highly criticized, but did not overturn, the precedent that many public sector workers can form unions and must pay certain union fees. But the groundwork for future challenges was laid.

Collective bargaining is at the heart of unions, the idea that instead of each employee individually negotiating for his or her wages alone â€” facing off against better-positioned and resourced managers â€” the employees join to "collectively bargain" for pay and other conditions. Employees working together can get far more information, and a group of workers has far more bargaining power than one worker alone.

We know it works. Unions raise wages of employees by roughly 20% and raise total compensation (including benefits) by 28%, even after union dues are factored into the equation. Even nonunion workers benefit: Workers in union-friendly states earn, on average, $120 more a week than workers in anti-union states. A high school graduate working in a field that is 25% unionized earns 5% more than similar workers in less unionized fields. When union density goes up, income equality goes down.

"Everyone in this country should have the freedom to join together and bargain collectively for fair wages, benefits and safe jobs," said Sarita Gupta, executive director of Jobs with Justice, in response to the ruling. "Unions are one of the last remaining checks on corporate power, so it's no surprise that corporate-backed extreme special interests are attempting to effectively end unions as we know them."

Under existing law, a workplace union is formed when a majority of the employees vote in favor. But the union is obligated to represent all workers, including the ones who voted no. In exchange for this service, a service with clear financial advantages for workers, unions are authorized to require all employees in the unit to pay their fair share of the union's costs.

In the past, the Supreme Court agreed all this is perfectly fine, provided that unions only charge nonunion employees for the costs associated with collective bargaining and other services that will directly benefit them: the "fair share" fee. Other union activity, including political lobbying and electoral work, must come from discretionary contributions.

Enter Harris v. Quinn. The case involves workers in Illinois who provide in-home care to people living with disabilities. The lead plaintiff, Pam Harris, provides essential and constant care to her disabled son, Josh. Illinois allows recipients of disability benefits to contract with anyone they choose, including family members, and have them modestly compensated for their work in providing care. And so Josh contracted with his mom to be his caregiver.

Illinois sets and pays wages for workers like Harris through Medicaid, which is why a state law considered them "public employees" for purposes of collective bargaining with the state.

The collective bargaining agreement between the unions that represent these workers, mainly SEIU and AFSCME, and the state of Illinois includes a "fair share" provision â€” so nonunion members must pay a union fee. Notably, Pam Harris is not a member of a unit that is represented by a union, but she sued over the "fair share" fee nonetheless.

As Harris told NPR's Nina Totenberg, "I object to my home being a union or workplace." Except her home isn't part of a union agreement. And as for objecting to being "a workplace," one has to wonder whether Harris objects to being paid for her work.

Facts aside, the powerful anti-union organizations and donors behind this lawsuit argue that "fair share" fees to a public sector union are by definition political because the union is negotiating with the government as employer.

In a ruling that seems narrowly tailored but carries broad implications, the court ruled in a 5-4 decision that the home health aides are only "partial public employees" and don't have to pay.

The danger here is that anti-union interests could try to pigeonhole other types of employees into this new Harris exception and start to chip away at the legal rights of other workers to form unions. This is the goal behind the Harris suit in the first place.

The ruling may not be as broad as anti-union big-business interests had hoped, but they will use any inch to advance their miles-long agenda of destroying public- and private-sector unions in America, taking away wages and protections for hardworking Americans and removing any checks and balances on the power of big business.

After all, this case really isn't about Pam Harris or the well-being of workers. If that was the case, given how much unions improve wages and working conditions for Americans, then conservatives would be strong supporters.

No, this case is about unraveling the power of public-sector and private-sector unions more broadly to stop them demanding decent wages and benefits for workers in the face of otherwise-unchecked corporate windfalls of power and money.

Corporations have a vested interest in political inequality. In an electoral system corrupted by money, unions plainly pose the biggest challenge to big-money donors on the right.

In the 2012 elections, the oil industry titans David and Charles Koch spent more than $412 million through individual contributions, PACs and shadowy outside organizations on conservative causes. They are by far the greatest financial influence in our money-driven political system.

And yet, the top 10 unions in America spent a combined $153 million in 2012, nowhere near equal to what the Koches spent. But they remain a thorn in their side, arguing for raising the minimum wage and green energy.

If union membership shrinks, the power of unions to counterbalance big corporate money in elections also shrinks. Which is why the Koch Brothers and other big right wing political donors are behind the Harris lawsuit.

The Harris case is in line with the Citizens United ruling that gave corporations the same free speech rights as individual people, and the McCutcheon ruling that eliminated the cap on overall individual political contributions.

Every day across America, firefighters and police and home health aides and nurses work hard to keep us healthy and safe. This decision is a dangerous step in the wrong direction of eroding the basic freedom of all workers to stand together to demand better wages and working conditions, which is good for their families, good for our communities and good for our economy.

The only thing unions aren't good for is big business --- which is exactly why big business has co-opted the Supreme Court to undermine unions.

@highlight

Supreme Court rules home health care workers not required to pay public sector union fees

@highlight

Sally Kohn: Unions raise wages, benefits for all employees, union and nonunion alike

@highlight

Kohn: Powerful anti-union interests could use this to chip away at unions even more

@highlight

Kohn: The freedom of employees to work together for better conditions in danger