(CNN) -- As Western leaders gather in Newport, Wales, for this week's NATO summit, the Ukrainian army is taking a pounding from Russia-supported rebel fighters in the country's east and south. The central question now confronting President Barack Obama and colleagues is whether to supply Kiev with heavy arms.

So far, Obama and German Chancellor Angela Merkel, the two key decision makers, have been reluctant. But with Ukrainian forces reeling before what many are calling an overt Russian invasion, pressure is growing on them to reconsider.

Already NATO has announced plans to strengthen the defense of its frontline members in the Baltics and Eastern Europe. The alliance is planning to create a rapid reaction force, made up of 4,000 troops, to respond within hours to any future Russian incursion.

Whether that will be enough to deter President Vladimir Putin, it will not help Ukraine, which is not a NATO member. Under fierce attack from the rebels, supported now by up to 2,000 Russian troops, the Ukrainian army has been reduced in recent days from seeking victory to merely trying to avoid defeat.

To fight back, it needs anti-tank and anti-aircraft weapons, drones, spare parts, fuel -- and, most of all, intelligence and strategic advice from Western military planners. Should NATO -- or just the U.S. -- oblige?

There are powerful arguments on both sides.

Equipping Kiev with greater firepower might well provoke an escalation from Russia, whose forces grossly outnumber those of Ukraine. To send more arms into a war zone is cynical if it will merely increase the scale of killing without any realistic prospect of ending the conflict.

Both Obama and Merkel believe their current strategy of graduated economic sanctions will bear fruit in the longer run. Unwilling to contemplate direct military involvement, they worry about getting dragged in inadvertently.

Yet to refuse the kind of military support that might enable Kiev to reclaim its eastern territories would allow Putin's violation of the principle of state sovereignty to stand, at least for now. The international order depends upon respect for borders and a rejection of territorial conquest.

The world is watching. China is surely monitoring events in Ukraine closely as it sizes up the South China Sea. Iran may take comfort from the West's divisions as it negotiates over its nuclear program. North Korea may be tempted to disregard U.S. warnings.

And if Putin perceives his Ukrainian gambit to have worked, this may embolden him to push further. The other day, he appeared to boast to European officials that he "could take Kiev in two weeks."

Four times in a row, Putin has upped the ante in the face of Western rhetorical and economic pressure. He sent special forces into Crimea, then annexed the region to Russia, then engineered the rebellion in the east, then, more recently, dramatically increased military support.

In between -- and especially whenever the West looked ready to act -- he floated "peace proposals" and "ceasefires" that have always come to nothing. A new "Seven Point Plan" revealed on Wednesday may or may not turn out to be something more serious.

With more than 750,000 active-duty forces, Moscow's military superiority over Kiev is obvious. But would Putin choose to escalate if the rebels faced a better-armed adversary? Of course, a complete defeat of Moscow's proxies would be embarrassing. But more direct Russian involvement would also carry domestic costs.

At present, Putin's ratings at home are off the charts -- 84% approved of his actions in the latest independent, Moscow-based Levada Center poll. Yet, at the same time, the surveys show the post-Crimea euphoria to be fading and doubts about military engagement growing.

Since March, the percentage of Russians who say they would "support the Russian leadership in the situation of an open military conflict between Russia and Ukraine" has fallen from 74% to 41%. That's less than the 43% who now say they would not support this. The share favoring the incorporation of eastern Ukraine into Russia has fallen from 35% in April to 21% in mid-August.

Russians remain delighted by the annexation of Crimea. But the proportion that say they are ready to bear at least some of the economic cost associated with the territory's incorporation has fallen from 59% in March to 50% today.

Fighting a disorganized and poorly equipped adversary, Putin can have it both ways. He can keep support to the separatist rebels relatively limited and covert, while denying to the public back home that Russia is involved at all.

All this is not to say that Putin would stand by if the West sent arms to Kiev. He may feel strong enough to disregard the hints of growing public anxiety. Nor is it clear that additional weapons would turn the tide.

To win the war, Ukrainian President Petro Poroshenko needs to build a more effective state, introduce economic reforms and offer potentially loyal citizens of Eastern Ukraine a comprehensive deal that recognizes their minority rights and -- while excluding the thugs and Russian agents that have streamed across the border -- gives local Ukrainians some real autonomy.

For the leaders in Newport, this will remain a tough call. But the argument for arming Kiev is stronger than it has ever been.

The opinions expressed in this commentary are solely those of Daniel Treisman.

@highlight

Daniel Treisman: Ukraine is much weaker than Russia, needs aid to hold its own

@highlight

He says there are powerful arguments on both sides about whether to send military aid

@highlight

Aid could lead to Russian escalation but doing nothing would condone Putin's actions, he says

@highlight

Treisman: Argument for arming Kiev is stronger than it has ever been