Shanghai (CNN) -- Baijiu can taste like a mix of cheap perfume and cleaning agents to the uninitiated palate.

The clear alcohol, which is distilled from sorghum, glutinous rice or even wheat, is considered a national drink of China. It is also the world's most consumed spirit by volume.

According to International Wine & Spirit Research, baijiu accounts for more than a third of all spirits consumed globally. But there remains little thirst for it outside of China.

A crackdown on Chinese officials' lavish spending has affected domestic sales of baijiu, a customary drink at banquets and a common luxury gift.

Baijiu producers concerned with the slump in sales are looking to expand the overseas market, but results remain to be seen. Meanwhile, a new English-language publication hopes to achieve the seemingly impossible: make non-Chinese fall in love with baijiu.

Debunking myths

American author Derek Sandhaus would be the first one to agree that baijiu is an acquired taste. His book "Baijiu: The Essential Guide to Chinese Spirits," released last month, began as a blog documenting Sandhaus' experiment to drink 300 shots of the stuff -- rumor has it, that is how much rookies need to drink before learning to enjoy the flavor.

About 75 shots in, Sandhaus says he already started to appreciate the drink. He's now a ready evangelist for the spirit, hoping to debunk all baijiu myths.

"Right now the understanding of baijiu, and traditional Asian alcohols in general, is extremely low," Sandhaus says.

"The biggest misconception is that the word 'baijiu' signifies a single type of spirit. Baijiu is actually a byword for all grain-based spirits produced using traditional Chinese techniques. It's a broad category that includes more than a dozen distinct liquors."

Different baijius range in strength from over 60% alcohol by volume, to a far gentler 30%. They also have distinct flavor profiles, with classifications including "light aroma," "heavy aroma," and "sauce aroma." "Rice aroma" is the class of baijiu that many non-Chinese find most palatable.

The misconception that Sandhaus says most threatens baijiu's success overseas, however, is that it is dangerous to the drinker's health. In fact, "baijiu is no more unhealthy than your average rum or whiskey."

Attempts have been made to popularize baijiu in the United States. The Houston, Texas-based distillery Byejoe USA is importing a baijiu base that is then filtered and sold in the U.S. While in Portland, Oregon, baijiu is produced at Vinn Distillery in small amounts as an artisanal product.

Sandhaus is excited about these developments: "These efforts are relatively recent and which approach will be most successful remains to be seen."

"I'm optimistic that baijiu will establish a foothold outside of China, but it won't happen overnight."

For dinner, not parties

In China, the baijiu industry faces its own challenges. In a bid to curtail lavish government spending, President Xi Jinping has reined in officials' budgets for banqueting, and has curbed a culture of gifting, popularly associated with corruption.

The measures have seen profits of luxury status-symbol brands of baijiu fall sharply. Baijiu made $81 billion last year, according to the China Alcoholic Drinks Association. The growth rate is 15.6% lower than in 2012, with a 2% drop in profits.

The setbacks have affected British liquor giant Diageo, which owns a controlling stake in the Quanxing holding company, the largest shareholder of Sichuanese baijiu brand Shui Jing Fang. Diageo CEO Ivan Meneze anticipates that the baijiu market will recover in 2015.

Younger drinkers

Questions remain, however, over the longer term future of the spirit, which is less popular among young people, and faces growing competition from foreign spirits.

Vance Yang, 39, is the owner of Yuan, a Shanghai bar celebrated for its Chinese perspective on Western cocktail making.

The bar doesn't offer straight baijiu, but does use it in several mixed drinks, including a "Dark and Smoggy," which contains 30ml of rum to only 5ml of the potent Chinese liquor.

Yang says that alcohol consumption differs greatly by region, with baijiu popular in rural areas, the north, and the southwest of China.

Regarding younger drinkers, he says, "those from baijiu consuming regions will carry on drinking it. But to the Chinese, baijiu is still consumed during meal times. Once they go out to party at night, they will switch to imported spirits."

Yang himself tends to drink baijiu at dinner or with business partners, but mostly in second or third tier cities, not in Shanghai.

Nevertheless, the bar owner is cautiously optimistic about a future for baijiu outside China. "It is difficult because it has an acquired smell and taste, similar to stinky tofu. Either you like it or hate it."

@highlight

American author Derek Sandhaus reached the 300-shot threshold to learn to love baijiu

@highlight

Biggest myth: Baijiu is dangerous

@highlight

Artisanal baijiu producers crop up in the United States

@highlight

Chinese youth choose imported spirits over traditional tipple