The U.N. Security Council on Thursday unanimously approved the creation of a United Nations peacekeeping force for the Central African Republic, where competing militias have been fighting for months.

The council approved the deployment of 11,800 peacekeepers to the country, where 6,500 African-led peacekeeping forces and about 2,000 French troops already have been operating. Additionally, the European Union is planning to deploy up to 1,000 troops.

Starting on September 15, the force will initially comprise up to 10,000 military personnel, including 240 military observers and 200 staff officers, and 1,800 police personnel, according to the resolution.

The Central African Republic, a former French colony, was plunged into chaos last year after a coalition of mostly Muslim rebels, known as Seleka, ousted President Francois Bozize. They have since been forced out of power, but Christian and Muslim militias continue to fight for control.

To counter attacks on Christian communities by Seleka groups, vigilante Christian groups known as the anti-balaka, which translates to "anti-machete," have fought back.

Thousands have died during the fighting, and 2.2 million people, about half the country's population, are in need of humanitarian aid, according to the United Nations.

More than 650,000 people are still internally displaced, and nearly 300,000 have fled to neighboring countries in search of refuge.

Ban: Heed the lessons of the past

The spiraling ethnic violence in the Central African Republic has led some observers to fear another genocide like that seen in Rwanda exactly 20 years ago.

U.N. Secretary-General Ban Ki-moon drew that parallel Saturday when he visited the Central African Republic to focus the world's attention on the crisis.

He urged the country's citizens to "heed the lessons" of nearby Rwanda and stop committing violence and atrocities against their fellow countrymen.

"Do not repeat the mistakes of the past -- heed the lessons. The fate of your country is in your hands. The people of CAR should not be killing the people of the CAR," he said, according to a U.N. news release.

Ban warned that "ethno-religious cleansing is a reality" in the country and that anarchy now rules.

"Most members of the Muslim minority have fled. Muslims and Christians have been placed in mortal danger simply because of who they are or what they believe," he said.

"People have been lynched and decapitated. Sexual violence is on the rise. Gruesome acts have been committed while others cheered on the perpetrators. There has been total impunity -- zero accountability. This must change."

Rights group: Men and boys massacred

The U.N. vote comes a week after the group Human Rights Watch called for the international community to hasten the authorization and deployment of a U.N. peacekeeping force to protect vulnerable people in remote areas.

In a report, it provided eyewitness accounts of the massacres of dozens of men and boys by militias in rural villages in the country's southwest, and said the African Union and French deployments were insufficient to safeguard the population.

Ban praised the work done by the French and African Union forces so far but acknowledged that they were "under-resourced and overwhelmed" by the sheer scale of the crisis.

Speaking Wednesday on a visit to the country, U.S. Ambassador to the United Nations Samantha Power said, "The world has not hesitated in the CAR as it did in Rwanda 20 years ago. However, it is obvious that the world has not done enough."

But, she said, the situation for civilians would be far worse if not for the presence of the existing peacekeeping forces.

U.S. support to the AU-led mission includes the donation of vehicles and radio equipment.

The U.N. resolution approved Thursday calls on the transitional authorities to step up preparations to hold "free, fair, transparent and inclusive presidential and legislative elections" no later than February 2015.

Catherine Samba-Panza, the mayor of the national capital, Bangui, was recently installed as the country's interim President but faces a daunting challenge to restore stability to the country.

Last year's coup was the latest in a series since the country gained independence in 1960.

@highlight

Council approves deployment of 11,800 peacekeepers to Central African Republic

@highlight

Citizens must heed lessons from Rwandan genocide, U.N. chief Ban Ki-moon says

@highlight

Ban: "There has been total impunity -- zero accountability. This must change"

@highlight

About 2.2 million people are in need of humanitarian aid, United Nations says