(CNN) -- Sometimes it feels like President Clinton never left the public spotlight. Although there were moments during the 2008 campaign when it seemed he was as much of a target within his own party as were the Republicans, these days Clinton is everywhere and Democrats want him by their side. Members of President Obama's campaign team say Clinton will offer them his services next year.

The re-emergence of President Clinton in Obama's circles has been gradual. It has taken time to recover from the tensions that flared during the 2008 Democratic primaries, when some Democrats accused Clinton of making racist remarks following Obama's victory over Sen. Hillary Clinton in South Carolina. But over the past year, the White House has brought him back on more and more occasions to strengthen Obama's standing.

What explains the former president's appeal -- beyond his knowing how to work the necessary magic that got him re-elected in 1996 and left booming approval ratings at the end of his presidency? His strengths offer some guidance for President Obama to improve his standing, even beyond his campaign.

The first is that President Clinton was very successful at counteracting Republicans when they attacked. One of President Obama's great frustrations has been the "messaging wars." He has frequently been frustrated by how the GOP portrays him to the public and defines his policies in unfavorable ways.

Clinton didn't let the GOP do that easily. When Republicans painted the president as left of center early in his term, he responded by aggressively highlighting his centrist credentials, lowering the deficit in 1993 and reforming welfare in 1996. Although he accepted their terms of debate, unlike when President Obama has done the same, he was able to follow through on that co-optation by strengthening his party's standing.

When House Republicans shut down the government over spending, Clinton helped convince the public that they were extremists, forcing Republicans to backtrack.

When the GOP started the process to impeach President Clinton in 1998 and 1999, he focused public attention on that process, which he said was driven purely by partisan concerns. Republicans said that the president was corrupt. The president responded that Republicans were simply using impeachment for partisan purposes. His approval ratings skyrocketed. The GOP struggled.

The second reason is that President Clinton was relentless in his focus on the economy. Clinton, who famously campaigned with "It's the economy, stupid" in 1992, never took his eye off the ball. He continued to hammer away at the recession that he inherited and didn't stop talking about the problems Americans faced. Although Clinton did turn his attention toward health care in 1993 and 1994, he continued to work on the economy, such as the Family and Medical Leave Act. He proposed enterprise zones to try and revitalize urban areas and fought against Republican proposed cuts to key domestic programs. During the rebound of the mid-1990s, Clinton was in a good position to claim credit for the improved circumstances.

President Obama has certainly worked hard to improve the economy. In more dramatic fashion than Clinton, he persuaded Congress to pass an economic stimulus bill as well as financial regulation. But too often, President Obama has seemed focused on other concerns, whether it was health care reform in his first two years as president or deficit reduction after the midterm elections. The situation has left many Democrats yearning for a president who understood that economic recovery was the top priority for many in the party.

The final reason is that President Clinton displayed a phenomenal ability to show empathy with Americans who were suffering, whether they were struggling with hard economic times or were the victims of the Oklahoma City bombing. Although empathy is much different from policy, it was clear that Clinton's ability to forge connections with voters in small groups, or even through speeches, was one of the reasons his polls remained so strong.

This has been one of the hardest challenges for the president, who often seems distant and disconnected from the problems facing the country. Obama, a skilled orator, has had trouble connecting to voters at this level.

None of this is to ignore the many Democrats who still look back to the Clinton years with a skeptical eye. After all, some Democrats argue that he helped to promote the deregulatory policies that fueled the financial meltdown and that he did little to reverse the growing economic inequality in America.

Nonetheless, many aspects of his presidency are attractive in retrospect. For all these reasons, President Clinton is back. The man who often positioned himself against the Clinton legacy is running side by side with him. Besides the campaign for reelection, President Obama should spend some time thinking about what lessons Clinton has to offer this presidency in the final months of his first term -- and in his second term, should that come to pass.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Bill Clinton has re-emerged as a political force to be cultivated

@highlight

Obama could learn how Clinton got himself re-elected, he says, won high ratings

@highlight

Zelizer: Clinton succeeded in countering GOP attacks, stayed focused on economy

@highlight

Another lesson for Obama is Clinton's empathy for struggling Americans, he writes