(CNN) -- More than two million people are dying every year from the effects of outdoor air pollution, according to a new study.

An estimated 2.1 million deaths are caused by anthropogenic increases of fine particulate matter (PM2.5) while a further 470,000 are killed annually as a result of human-caused increases in ozone pollution.

Jason West, co-author of the study published in the journal of Environmental Research Letters said: "Outdoor air pollution is an important problem and among the most important environmental risk factors for health."

East Asia is the worst affected area with researchers estimating more than a million people dying prematurely every year from PM2.5 pollution and 203,000 from ozone pollution.

India has the second highest air pollution mortality rates with an estimated 397,000 deaths from fine particulates and ozone accounting for, on average, 118,000.

Next comes Southeast Asia which has estimated average of 158,000 deaths from PM2.5 and 33,300 attributed to ozone.

Europe has fractionally less PM2.5 deaths (154,000, on average) and 32,800 premature deaths related to ozone while in North America there were an average of 43,000 deaths from fine particulates and 34,400 related to ozone.

West et al used an ensemble of global atmospheric chemistry climate models to estimate concentrations of PM2.5 and ozone pollutants.

Fine particulate matter (dust, soot, smoke and liquid droplets) is classified as less than 2.5 micrometers in diameter. It is particularly dangerous to human health because it can lodge deep in the lungs causing cancer and other respiratory disease, according to the U.S. Environmental Protection Agency.

Ground level ozone is created by chemical reactions between oxides of nitrogen and volatile organic compounds (VOC) in the presence of sunlight, say the EPA.

The study also investigated the effects of climate change on worsening air pollution, comparing climate models from the year 2000 with pre-industrial times (1850).

"Very few studies have attempted to estimate the effects of past climate change on air quality and health. We found that the effects of past climate change are likely to be a very small component of the overall effect of air pollution," said West, assistant professor in the Department of Environmental Sciences and Engineering at the University of North Carolina at Chapel Hill.

"Going forward into the future, climate change will get more severe and that could have greater effects on air pollution."

The research adds to a growing body of evidence revealing both the human and economic impacts of air pollution around the world.

A recent report published in the British medical journal, The Lancet found that the incidence of heart failure rises when air pollution is higher. The research, funded by the British Heart Foundation, concluded that a reduction of PM2.5 could reduce hospitalizations due to heart failure in the U.S. saving a third of a billion dollars per year.

Another recent study published in the Proceedings of National Academy of Sciences highlighted air pollution problems in Northern China, suggesting life expectancy could have been lowered by five-and-a-half years.

Even in the European Union, air pollution takes a sizable 8.6-month chunk off life expectancy according to the World Health Organization.

But technology to monitor air pollution is improving all the time, says Roland Leigh, an air quality scientist from the UK's University of Leicester.

"Historically, air quality is something very much we've tried to measure and manage spatially -- considering over a total city what the average air quality is. What we are getting to now is systems that let us manage the distribution of air quality with knowledge of where people are and what people are doing," Leigh told CNN.

Improved data can help manage the exposure of sensitized individuals (the young, asthma sufferers, the elderly), he says. But he concedes that the road to improved air quality might be a long one.

"We have come to terms with the fact that in the urban environment we get exposed to emissions by our transport systems. That transport system is essential and at the moment there is no economically viable way of not emitting pollution at the point of use.

"Either we have to manage those emissions and exposure more intelligently or technologies need to change in our cars."

@highlight

Air pollution responsible for more than two million premature deaths worldwide annually

@highlight

Study assesses impact of fine particulates and ozone using atmospheric climate models

@highlight

East Asia worst affected region with over a million deaths per year

@highlight

Study also found that climate change hasn't had huge impact on effects of air pollution