London (CNN) -- Lego might not seem like the sort of thing to make your blood boil.

The venerable toy is one of the most popular playthings of all time. People of all ages love it. And if previous years are anything to go by, Christmas stockings will soon be bulging with the stuff.

But the irony is that because people feel such visceral affection for the toy, they tend to fly into a rage when they believe its standards are slipping.

In fact, I'm getting a bit hot under the collar myself.

The latest furore concerns Lego's "franchise" sets, which depict scenes from movies like "Star Wars," "Lord Of the Rings," and "Marvel."

Principled Lego enthusiasts have been arguing that they undermine the whole point of the toy, as they encourage children to construct showpiece models from instruction booklets rather than building something from their own imaginations.

"Lego taught me the art of creative destruction -- the need to break something in order to make something better," wrote the blogger Chris Swan.

"Lego for me was always about creativity, remaking and improving on existing designs. Those things don't happen with the sets that are designed to build a model of a single thing.

"Good old generic Lego, with endless possibilities on offer, hasn't gone away, it's just been drowned in a sea of marketing for other brands."

Lego spokesman Roar Rude Trangbaek contested these claims. "The bricks will probably still end up in big boxes in homes and that will act as a pool for creativity," he said.

But many believe that the complex pieces contained in franchise sets make it very difficult for children to pursue their own designs (Lego now manufactures no less than 3,000 individual pieces).

This is not the only time that Lego has found itself embroiled in controversy. In 2011, when it released "Lego Friends," a range aimed at girls that included beauty parlors, cupcake bakeries and great quantities of the color pink, it was accused of crude gender stereotyping.

As one seven-year-old girl wrote in a viral letter, "all the girls did was sit at home, go to the beach, and shop, and they had no jobs, but the boys went on adventures, worked, saved people, and had jobs, even swam with sharks."

(Lego's ham-fisted attempt to address these concerns, a new set called "Research Institute" that featured female scientists, sold out within days.)

For any discerning adult, all this makes you want to weep. Whatever happened to the idea of buying big bags of Lego for your children and letting their imaginations do the rest?

It all seems a long way from the guiding principle of Lego's founder, the Danish toymaker Ole Kirk Christiansen, that "Der bedster er ikke for godt" -- "only the best is worthy." And it supports the general impression that the classic toys of previous decades are being replaced by overly commercialized, sexualized, dumbed-down bits of tat.

Let's skip Sindy and Barbie and take, for instance, Playmobil. Its new City Life range, which is aimed squarely at girls, includes scenes like "Shopping Center," "Beauty Salon," and "Clothing Boutique," all awash with sickly pink. (Because that's what girls are supposed to be into, right?)

Boys, however, are presented with the "Top Agents" range, which includes a video camera that can be attached to a remote-control car so that kids can spy remotely on people (let's not mention the ethical tension between privacy and surveillance).

This bears scant resemblance to the traditional Playmobil -- those innocent little figures with the inverted crescent smile, those skinny horses to clip them on -- which fired the imaginations of generations of children over the last few decades.

Now, we all understand that toy manufacturers are not charities. They are in it for the money, and good for them.

But play is a vitally important part of a child's development, and toy manufactures are uniquely placed to influence their lives -- for the better or for the worse. Why do we stand back while they ride roughshod over our kids' moral and spiritual well-being in the pursuit of maximum profit?

Obviously, creating multiple differentials and marketing towards them is good for business. The more the consumer -- that is, the child -- can be sold the idea that this particular product is essential for a lifestyle aspiration, the more the dollars will come rolling in.

It makes for a depressing indictment of society's view of childhood.

As Christmas approaches, millions of harassed adults will stream into toy stores all over the world in search of that special something that will make their little one's eyes light up.

In the vast majority of those stores, the toys will be divided by gender. Boys' toys will be largely action-based, while girls' toys will be centered around dolls, homemaking and the attempt to conform to a specific idea of beauty, all decked out in pink and tied with a bow.

The gifts will be selected, wrapped and presented. There will follow two days of mayhem.

The girls will instantly be wearing tacky princess dresses; the boys will be armed to the teeth and roaring. Toys that appear impressive but are actually impossible to play with will be littered in the corners of rooms.

Electronic noises will blare unneeded from every corner, and children will enter a vegetative state as they sit for hour upon hour in the dystopian glow of various screens.

Now, I'm not a Christian. But it strikes me that Christmas should be more than just an orgy of consumerism.

This Yuletide, therefore, perhaps we should consider these questions seriously. What sort of adults will today's children become? What sort of world will they create? And what are their toys actually doing to them?

@highlight

Christmas stockings will be bulging with Lego, especially sets depicting movie scenes

@highlight

Lego enthusiasts argue they undermine point of toy, to stimulate imaginations

@highlight

Play is vitally important part of a child's development, says Jake Wallis Simons

@highlight

Aspirational toys make for depressing indictment of society's view of childhood, he argues