The eruption of fighting in Iraq's Anbar Province is causing much consternation and recrimination in U.S. foreign policy circles.

Conservative hawks, including Sens. John McCain and Lindsey Graham, are especially vocal in criticizing the Obama administration's Iraq policy. They argue that the administration's fecklessness has opened Iraq to an al Qaeda offensive that now has the terrorist group's flag flying over portions of Falluja and Ramadi, two cities subdued during the Bush administration at great cost in blood and treasure.

If Obama had not foolishly withdrawn the remaining U.S. troops from Iraq at the end of 2011, hawkish critics insist, Washington would now have far greater ability to prevent the country's alarming slide into turmoil.

There are several problems with that argument. First, it was Bush, not Obama, who negotiated the original agreement with Iraqi Prime Minister Nuri al-Maliki that promised the full withdrawal of U.S. forces by the end of 2011. The Obama administration would have had either to renege on a formal agreement, thus displaying contempt for the sovereignty of a democratic Iraq that the United States helped create, or somehow induce the al-Maliki government to sign a new agreement allowing American troops to remain.

Second, Obama administration officials did try to negotiate a new "status of forces" agreement to enable a limited number of troops (perhaps 10,000 to 20,000) to stay in Iraq. However, al-Maliki insisted the only way he would even consider approving such a pact would be if Washington agreed that U.S. forces were subject to Iraqi law. The U.S. government, under both Republican and Democratic presidents, has been wary of consenting to such provisions even in stable, Western democratic countries that host American troops.

The United States has steadfastly refused to do so in countries like Iraq with shaky, corrupt political systems and dubious legal systems. One ought to ask hawks if they believe Obama should have exposed American military personnel to the tender mercies of Iraq's court system. If not, they must concede that Obama adopted the right position in refusing to make such a concession.

Third, the idea of keeping U.S. troops in Iraq was profoundly unpopular among both Iraqis and Americans. Public opinion polls taken in 2011 showed a clear majority of Americans believed the Iraq War was a mistake and did not want U.S. forces to stay in that country.

Likewise, by rather wide margins, Sunni and Shiite Arab populations (who vehemently disagreed about numerous issues) were in agreement on one point: They wanted all foreign forces out of their country. The only faction that favored a continued U.S. military presence was the Kurdish population in the north. Even then, the primary reason the Kurds wanted troops to remain was to help prevent Baghdad from trying to suppress Kurdistan's increasingly bold de facto independence. Keeping U.S. forces in Iraq would have put American personnel on the front lines of that tense, emotional confrontation.

Those troops would today also be on the front lines of an even nastier confrontation between al-Maliki's Shiite-led government and Sunni insurgents in Anbar. It is a grotesque oversimplification to assume that al Qaeda is the source of all the trouble there.

Even before the latest fighting broke out, bloodshed in Iraq was on the rise. The death toll from political (mainly Sunni-Shiite sectarian) violence in 2013 was the highest in five years. With an ostentatiously independent Kurdistan in the north, and now a direct military challenge from the Sunni heartland to al-Maliki's rule, Iraq shows signs of extreme instability, if not impending fragmentation.

Critics who blast Obama for not keeping American troops in that snake pit are badly misguided. They cling to the notion that Washington's decision to invade and occupy Iraq was a great success until Obama administration blunders undercut that achievement.

It may be a comforting delusion to hawks, but it is a delusion. We should all be grateful that Washington is no longer in a position to add new American military victims to the toll of more than 4,400 who already perished.

@highlight

Fighting in Iraq's Anbar Province causes consternation among policy leaders

@highlight

Ted Carpenter: Conservative hawks are vocal in criticizing the Obama administration

@highlight

He says critics are wrong to say that we should have kept U.S. troops in the region

@highlight

Carpenter: Let's be grateful U.S. policy is not allowing more Americans to die in Iraq