(CNN) -- Both parties have received an electoral politics wake-up call, courtesy of a diversifying America.

President Obama won re-election thanks in part to a 52-percentage-point spread among Latino voters, the nation's fastest-growing electorate, according to election eve polling.

In the America coming over the horizon, it is practically impossible to overcome such a number and win the race for president.

According to the polling by Latino Decisions, Hispanic voters nationally and across every battleground state swung heavily to Democrats.

And it wasn't even close. Nationwide, the margin was 75% to 23%. And there were remarkable spreads in the tightest of swing states: 87% to 10% in Colorado, 82% to 17% in Ohio, 66% to 31% in Virginia. (CNN's own poll showed a smaller but still significant spread nationwide -- 71% to 21% -- and in the swing states).

Even in Florida, with its large, Republican-leaning Cuban population, the Latino Decisions poll found that Latinos overall favored the president 58% to 40%.

While these trends worked to Democrats' advantage on the ground on Tuesday, that's not entirely good news: A demographically challenged Republican Party is bad for America.

As a nation, we are at our best when both parties work together to address difficult policy issues. And, in the case of immigration -- an issue of great concern to Latinos -- a bipartisan roadmap is good politics and great policy.

Bringing the country together around a common-sense immigration process is not a bridge too far. In fact, while partisan politics dominated the national debate, faith, law enforcement and business leaders have worked with immigrant leaders across the political spectrum to forge a new consensus on immigrants and America.

People who hold a Bible want change. "Christians can agree on basic values to guide our decisions and help heal our land," Luis Cortes, president of Esperanza, a Latino faith-based aid organization, said in a recent radio ad -- in which he shared air time with Richard Land, president of the Southern Baptist Convention's Ethics and Religious Liberty Commission. It's not every day that the leader of one of the nation's largest Hispanic evangelical networks stands shoulder to shoulder with a Southern Baptist and presents a unified message.

People who wear a badge also want reform. At a recent Midwest summit on immigration, Lake County, Illinois Sheriff Mark Curran said, "We don't need higher deportation levels; we need to fix the system as it exists."

And job creators, people who own businesses, are yearning for common-sense reforms too. We know we need to find a solution when Larry Wooten, president of the North Carolina Farm Bureau, says, "The longer national political leaders ignore the issue or use it as a political wedge, the more our farmers suffer because they cannot find a sufficient labor pool to harvest their crops."

Post-election talk will focus on the president's mandate. Immigration is different from other issues because the mandate for reform is clear, and it's not only because of his vote margin among Latinos.

"Immigration is the most important thing to focus on if you're concerned about America as an economic power. It's not only good policy to have more immigrants to the United States ... (and) a path forward for those people who are here; it's also good politics."

That's Grover Norquist, president of Americans for Tax Reform, who added, "Hostility to immigrants is a vote-losing, not a vote-winning, issue."

When it comes to crafting a 21st century immigration process, Bibles, badges and business are ready to work with both Democrats and Republicans to reach a consensus.

Americans are ready for a just immigration system that treats all people with dignity and respect. Our leaders in Washington -- of both parties -- can and must deliver.

As we saw Tuesday, their electability may depend on it.

The opinions expressed in this commentary are solely those of Ali Noorani.

@highlight

Ali Noorani: Both parties got electoral politics wake-up call from a diversifying U.S.

@highlight

He says Latinos heavily favored Democrats, but an out-of-touch GOP bad for America

@highlight

He says bipartisan approach on immigration is good politics and good policy

@highlight

Noorani: People across country want immigration reform; both parties must deliver