(CNN) -- Brazil's 3-0 win over Spain in the Confederations Cup final brought to an end an event that was designed as a test run for the 2014 World Cup hosts.

It was a tournament that was permeated by social unrest, with protesters partly unhappy over the degree of public money devoted to the staging of the World Cup.

CNN looks at five things we learned from the event.

1. Neymar is the real deal

Neymar has been touted as the latest in a line of Brazilian superstars that stretches all the way back to the great Pele, but outside Brazil many were beginning to believe the hype surrounding the young star was just that.

Prior to the Confederations Cup his performances for the national team had been lacklustre, particular in the 2-2 draw against Chile in April, when he was singled out for jeers by Brazil's own fans.

While most would argue that he's in no position to judge, Marseille midfielder Joey Barton's Tweet likening Neymar to Justin Bieber, and something rather unpleasant relating to cats, seemed to sum up the views of many European observers.

Following the Brazilian's $75 million transfer to Barcelona -- just before the tournament kicked off -- some were even suggesting the Catalan club had been fleeced by Brazilian side Santos.

Not any more: this was no tantalizing glimpse of what La Liga fans might be watching next season, it was incontrovertible proof of what Neymar can bring.

The 21-year-old produced a string of vibrant, flamboyant, but above all effective performances throughout the tournament, his goals and guile serving notice that he is every inch a superstar.

2. Time may be up for Buffon and company

After winning friends at Euro 2012, the Azzurri continued to show that the days of "catenaccio" are long gone, with some fast attacking football.

Italy's run in the tournament was certainly invigorating, lurching from near disaster in an extraordinary first-half capitulation against Japan, to a sublime (albeit goalless) first-half domination of Spain.

In the end they were well worth their third place, but it could and possibly should have been more.

Gianluigi Buffon is widely and justifiably regarded as one of the world's finest goalkeepers; yet his penalty saves in the third place play-off against Uruguay masked his culpability in goals conceded at key moments in the tournament.

This was not the dominant, steely-eyed Buffon of old -- particularly against Brazil, where he looked anything but solid.

Likewise, there are other old hands whose time in the famous blue shirt may be nearing its end.

Given Cesare Prandelli's reluctance to start AC Milan's exciting midfielder Stephan El Shaarawy, major surgery is unlikely.

The Italian national side has always been resistant to change, as its ageing spine suggests, but it may need to pick up the pace of its evolution.

The likes of Buffon and the peerless Andrea Pirlo may have one more big tournament in them, but Prandelli would do well to blood some fresh talent in the meantime, just in case -- especially given the physical demands next year's World Cup will present.

3. Protests are a wake-up call to FIFA and Brazil

For a country that is synonymous with football, there were times during this tournament when Brazil seemed to have fallen well and truly out of love with the game -- or at least, with FIFA and the Brazilian government's interpretation of what a World Cup should look like.

As simmering social unrest threatened to boil into something more serious, the tournament's detractors grew in volume and number.

Even former star striker Romario joined a critical chorus that cited ticket prices, infrastructure costs and a questionable legacy as reasons why the Confederations Cup, and next year's World Cup, were bad for Brazil.

In anticipation of trouble, a reported 10,000 police were on duty in Rio de Janeiro ahead of Brazil's clash with Spain, but in the end protests were relatively low-key.

Following their team's emphatic triumph over the world and European champions, crowds spilled out onto the street and into a carnival atmosphere.

Clearly this story is not over, and there is much work to do; for now, however, football's primacy has been restored.

In fact there was much cause for optimism on the pitch.

This was a well-deserved win from a team that looks to be gaining in stature, and the atmosphere inside the Maracana for the final was profoundly imposing.

Of course Brazil won the 2009 Confederations Cup before limping out in the quarterfinals in South Africa; but this time they will be at home. The World Cup will be a tougher test; but don't bet against them.

4. Spain needs a re-boot

Finally, after a seemingly interminable period of dominance, Spain's champions look to have been found out. For clues as to how, it is hard to see beyond the Germans.

Italy really should have beaten the Spaniards after playing them off the park for significant chunks of their semi-final; Brazil's 3-0 defeat of the world champions was a muscular and ruthless final execution.

Both owed much to the approaches of Bayern Munich and Borussia Dortmund in their UEFA Champions League defeats of Barcelona and Real Madrid.

Spain were hustled and hassled, with attempts to impose their intricate passing game met by fiercely committed opponents, closing them down until the Europeans simply folded.

Fernando Torres only won the golden boot because of his goals against Tahiti's part-timers. Xavi and Iniesta are still fabulously creative, but elsewhere Spain's weak links were exploited with a kind of physicality this team now seems incapable of countering.

Drained of confidence, or possibly just appetite, they looked listless and in dire need of fresh ideas.

The sight of a defender, Sergio Ramos, taking a penalty that could have brought them back into the final spoke volumes.

True Brazil had had an extra day of rest before the final, but the mask of invincibility has slipped; Spain has 12 months to work out how to set it back in place.

5. The Confederations Cup comes of age

In theory at least, the Confederations Cup is the unloved second cousin of the World Cup, the Euros and the Copa America.

Traditionally these games are seen by the cynics as little more than jumped up exhibition matches -- a mere aperitif before the main meal of the World Cup. By and large, no one really cares who wins.

This time, however, something seemed to click.

Maybe it was the location. Brazil may have some serious issues to confront, but there is something about the host country that elevated this tournament onto a different plane.

In football terms, this is about as educated as any crowd can get.

The enthusiastic way in which local fans adopted teams such as Japan, Uruguay, Tahiti and Italy conveyed atmosphere and meaning to fixtures where normally none would exist, and more than made up for the absence of traveling support.

The outcome, for the neutrals at least, was first class entertainment.

Brazil 2013 served up some of the most memorable international games of recent memory, played in front of passionate crowds in some spectacular arenas.

If Brazil 2014 can pick up where this rehearsal left off, then we are truly in for a treat.

@highlight

Brazil beat Spain 3-0 in Confederations Cup final

@highlight

Brazilian striker Neymar named as the best player of Confederations Cup

@highlight

Tournament permeated by protests over staging of 2014 World Cup in Brazil