Washington (CNN) -- It's pretty clear the House of Representatives is not going to take up immigration reform this year.

Even after President Barack Obama said he was willing to consider immigration legislation in pieces instead of one large bill -- which House Speaker John Boehner has suggested -- just a handful of workdays remain for the House this year.

Obama's concession might open the door for the House to consider the issue next year, but it's going to take more than the president's backing.

And more than his personal campaigning.

Related: Protests meet Obama at immigration event

Speaking to supporters in San Francisco Monday, Obama called on House Republicans to take up the bill already passed by the Senate. "It's long past time to fix our broken immigration system," he said.

With the growing Latino population, the national Republican Party understands it must embrace the immigration issue.

Additionally, the public supports action. Two polls released this month show an overwhelming majority of Americans -- 63% in a Public Religion Research Institute survey and 57% in a Quinnipiac poll -- support a path to citizenship for undocumented immigrants.

Related: Polls: Majority still support pathway to citizenship

But some factions within the Republican base are adamantly opposed to any legislation that includes a path to citizenship. This division creates a challenge for Republicans.

Their answer: maybe later.

GOP strategist Ana Navarro told CNN that the timing "is just not right" and that the legislation is "not ripe and not ready."

Here are some scenarios when the timing could be right:

1. When Obamacare works

As long as the Affordable Care Act is receiving negative headlines, immigration will be on the back burner.

During a discussion last week on the House floor between Majority Leader Eric Cantor, R-Virginia, and Minority Whip Steny Hoyer, D-Maryland, Cantor repeatedly pivoted away from the issue of immigration to Obamacare.

"What's going on with Obamacare right now ... I don't think we ought to be engaging in those kinds of commitments when you can't deliver," Cantor said about bringing up immigration.

Hoyer responded: "We understand ... you'd like to talk about health care without talking about anything else. I get that."

Related: Biden welcomes new Americans, slams Boehner on immigration bill

The GOP sees Obamacare as a winning issue politically. It's a major reason it won back the House in 2010, and the head of the Republican National Committee declared Republicans will run on Obamacare in 2014. Republicans are reticent to change the subject while they appear to be winning the message war.

2. 'The sweet spot'

The House can bring up immigration legislation in 2014, but controversial topics are usually swept under the rug come election time.

Navarro said that next year, particularly the summer, might be the right time.

"The sweet spot is to do it sometime so it's far enough from the election so it doesn't become a big issue," she said.

Related: Pro-immigration attack ads to target House Republicans

In other words, don't upset the parts of the base that are anti-immigration but appeal to the majority of Americans who support an overhaul of the immigration system. The former could be prove more tricky as Republicans have to take into consideration primary voters and the possibility of primary challengers.

Some factions of the Republican Party are against any bill that includes a path to citizenship or legal residency for undocumented immigrants, which they see as amnesty.

For instance, Heritage Action for America, a lobbying and campaign arm of the conservative Heritage Foundation think tank, worked to get Senate Republicans to vote against the immigration bill last spring.

Immigration is not considered a top-tier issue, but Republicans do risk backlash. Sen. Marco Rubio, R-Florida, said he regretted his vote on comprehensive immigration reform that included a path to citizenship and that passed in the Senate this year. He helped to draft the bill.

Frank Sharry, executive director of America's Voice, a pro-immigration group involved in pushing legislation through the House, said the GOP leadership is considering the stances of immigration opponents.

"Boehner and company seem a bit more concerned with tea party types ... more concerned with their conservative members who could face ouster," Sharry said.

If the House waits long enough next year to bring up immigration, it would be too late for immigration to be an issue in the primaries and, perhaps more importantly, too late for challengers to jump in the race and make it an issue.

3. Feelings must be mended

Leslie Sanchez, a Republican strategist who has worked on immigration for nearly two decades, said it is a must-pass issue for the GOP to stay a relevant political party at the national level. But she said "a hostile political environment" is the biggest factor in prohibiting immigration legislation.

Related: Shutdown threat imperils immigration reform

The recent government shutdown was perhaps a low point during an already perilous time in Washington. The trust factor between the two parties plummeted.

Rep. Michael McCaul, R-Texas, refused to attend a meeting at the White House to discuss immigration, calling it a "trap."

"The shutdown was very toxic. Right now, it's very difficult," said Navarro, the Republican strategist.

And Ali Noorani, executive director of the National Immigration Forum, said few lawmakers from opposite parties are talking to each other.

"I just think the lines of communication between the parties have really broken down," Noorani said.

4. When Republican proponents outweigh opponents

Another problem inhibiting an immigration bill is lack of incentives for Republican lawmakers to stick their necks out.

"Republicans have not gotten to yes," Sharry said. And until they do, Boehner is reluctant to bring a bill to the floor.

"I don't think they will bring it up until they can get it passed," Navarro said, highlighting that Boehner is reluctant to bring a bill to the floor that would pass with mostly Democratic support.

One immigration proposal similar to the Senate version has the support of 190 lawmakers, a handful of whom are Republicans.

Rep. Jeff Denham, a Republican from an agricultural region of California, is one of the bill's co-sponsors. He said there are at least six more Republicans who support the bill but haven't come out publicly yet.

But that's far short of a majority.

To get more on board, a coalition of "bibles, business and badges" -- representing key constituencies -- is attempting to use its influence to pressure Republicans.

Related: Zuckerberg-backed group makes new immigration push

"It's going to take a great deal of momentum and districts from across the nation," Denham said.

Now that Boehner said there will be not bill this year, Republicans have little reason to put their name on legislation that could be politically disadvantageous.

"The biggest challenge of this bill is there is not a deadline," Denham said. "That's part of the reason this continues to get pushed."

@highlight

The House will not take up immigration legislation this year

@highlight

A bill is "not ripe and not ready," a Republican strategist says

@highlight

But Republican leaders keep the door open for next year