(CNN) -- Lytro is trying to make interactive pictures happen, again.

The Silicon Valley startup made a splash three years ago with its first Lytro camera, which let users refocus an image after shooting it. Now Lytro is back with a new, higher-end and more powerful camera, the $1,600 Illum.

The Illum is hefty but slick-looking, with minimal buttons, a noninterchangable zoom lens and a matte-black finish. Visually, it has little in common with the original Lytro, a small rectangular box that didn't bear much resemblance to any traditional camera.

Inside it uses a higher-grade version of its light-field technology to snap what the company calls "living pictures" -- photographs in which you can change the focus on different subjects in the frame long after you've shot them.

The allure of these unique images is not having to worry about making sure a photo is in focus in the moment. The photos are also "interactive" for all viewers, who can tinker with the image later on a computer or mobile device, bringing one subject or an entire scene into focus with a tap or a click.

The company believes that these types of interactive photos are the next evolution in photography.

"We think that if you look at how pictures work today in the world and on the Web, we're really still tied to the legacy of print," said Lytro CEO Jason Rosenthal.

"This will really replace digital in the way that digital has replaced film."

Better than its predecessor

Lytro was founded by Stanford graduate student Ren Ng, the brains behind turning light-field technology into a commercial product. After raising $50 million in funding, Lytro released its first product, a camera for consumers, in 2011.

Its first Lytro was much-hyped but pricey at $399. While the company has been hesitant to share exact sales numbers, the lack of Lytro "living images" filling up your social media feeds or websites indicates the camera didn't quite take off. It was seen as a cool gadget with one clever trick up its sleeve, and was alternately praised as groundbreaking and dismissed as a gimmick.

The first Lytro camera also suffered from low-quality images, a subject the Lytro team eluded by insisting that Lytro photos cannot be measured in mere megapixels. The Lytro format is an entirely new type of photograph that is measured in megarays.

The original Lytro took 11-megaray photos and the Illum takes 40-megaray shots. Having four times the amount of megarays sounds cool, but what does it actually look like? Rosenthal says that if you were to export a Lytro Illum image into a traditional flat photo, it would be the equivalent of 4 to 6 megapixels. It's better, but still a long way from DSLR quality.

The company says its new camera is "professional grade" and should appeal to full-time photographers and artists. It begins shipping in July but is available for preorders immediately.

The design of the Illum includes a tilted 4-inch touchscreen inspired by the way smartphone photographers hold their phones and the old Hasselblad viewfinders, where you look down. The thick lens has a 30-250mm zoom range with a consistent f/2.0 aperture.

While composing a shot, you can hit a button on top of the camera to play with depth and focus in real time on the touchscreen. There's a color overlay that shows you what parts of the scene can be brought into focus later.

The guts of the camera are far more powerful than the original Lytro. The operating system is built on Android with a speedy Qualcomm Snapdragon processor inside. It has wireless capabilities, and the 1-inch optical format sensor is four times larger than the first Lytro sensor.

A bold strategy

One hurdle still facing the company is that the light-field image format isn't widely supported and the images are best hosted on Lytro's site and viewed in custom Lytro mobile and desktop apps. Some social networks such as Twitter, Google+ and Pinterest have added special support for Lytro images. Facebook shows them, but the originals are hosted on Lytro's site.

Gunning for the semiprofessional market is an interesting strategy for Lytro, whose original camera occupied a dying gray area in the photography industry alongside the amateur point-and-shoot. It wasn't a professional camera, and it wasn't packed inside a smartphone.

Many thought a partnership with a smartphone or camera company would have been an ideal solution for Lytro. In the beginning, Ng did try to license the technology to the big optics companies, but he didn't have any luck. So he decided to make his own hardware instead.

"Transformational tech needs a transformative product to bring the full benefits," said Ng, who is now Lytro's executive chairman.

Rosenthal also dismisses the idea of just licensing the light-field technology. He believes that's like saying Tesla in its early days was just going to be an electric battery and engine company.

Instead, Lytro insists on being a consumer-focused hardware startup. This may prove a challenge in software-driven SIlicon Valley, where billion-dollar companies are built relatively cheaply on lines of code.

But with a $40 million injection of new funding, an entirely new product for a different audience and a renewed push to make a different photo format catch on, Lytro is confident in its technology and ready to try again.

@highlight

The camera company Lytro is back with its second product, the $1,600 Illum

@highlight

Lytro cameras let you take a photo and refocus the image later on a computer

@highlight

The new Illum is more powerful than the original Lytro and aimed at a more professional market