(CNN) -- The Internet is the largest collection of humanity's knowledge. Through my work in music, I want to show people that the Internet can not only break down barriers but also redefine the limits of what is possible.

The polymaths and Renaissance men of yesteryear had to devote their lives to the pursuit of the same knowledge that we can access with one click.

I am fortunate to come from a family inclined toward the arts -- thanks to which, they are all very difficult to impress. My great-grandfather was an Eastern music scholar and multi-instrumentalist. He played instruments like the sarangi, the harmonium and the violin. He traveled throughout Pakistan and Britain to develop and refine his musical style.

Watch Usman Riaz perform at TEDGlobal with Preston Reed

My grandmother, choosing to follow in her father's footsteps, became an Eastern classical musician and a stage performer. Her brother, my great-uncle, is one of Pakistan's last remaining orators -- professional storytellers who read old stories written by famous writers of the Subcontinent. His wife is one of the country's leading Kathak dancers. Their son, my cousin, is one of the country's greatest percussion and tabla players.
My parents were also stage performers, and recognized that I had musical aptitude at an early age. I was classically trained in piano since age 6 -- which is how I fell in love with Western classical composers like Mozart and Chopin.

As I got older, I wanted to branch out and experiment with other instruments. But I felt very limited in Pakistan. Music teachers there are in great demand and tend to focus only on Western classical or Eastern classical music.

It had taken my great-grandfather his whole life to master and play his chosen instruments. Now, I had no choice but to let the Internet be my teacher.

TED.com: Kaki King rocks out to "Pink Noise"

I watched hundreds and hundreds of videos online. I would close my eyes and listen to the audio again and again, trying to decipher each note. Or I would pause the clips at just the right moment to examine the musicians' finger positions.

As time went by, it got easier for me to pick up on things from the Internet. I grew more confident, which allowed me to branch out and develop. I started playing percussion instruments, the mandolin, the harmonica and more.

Thanks to my classical training, my musical ear also improved, which enabled me to write and arrange orchestral pieces. Here's an example, 'The Waves', which I wrote when I was 17.

TED.com: Raul Midon plays "Peace on Earth"

On the Internet, I can manufacture my own philharmonic orchestra, with string sections and woodwinds playing my music from all over the world, as I did with my orchestral album "Circus in the Sky," which is a full representation of my approach to music and storytelling.

It is a concept album, each piece is a progression through the innocence and playfulness of youth, the joys and sorrows of life as one gets older, spiritual awakening and finally death.

I applied to Boston's Berklee College of Music after high school, but decided not to go to the audition for admission. I wanted to record my music professionally in a studio instead, to clear my head of all the musical ideas that were already building up in my system.

TED.com: Natalie MacMaster fiddles in real time

I try to not limit myself to music; I get involved in every creative process, such as directing and writing my own musical short films to complement my compositions and I do all the artwork that accompanies my music, such as the sleeve paintings for the "Circus in the Sky" CDs.

It was an honor to be chosen as a 2012 TED Fellow. To perform onstage with Preston Reed, one of my all-time favorite musicians, was something I will never forget for the rest of my life. And I was able to discuss learning with TED curator Chris Anderson, who has described how the Internet is encouraging people around the world to develop skills, such as the ability to learn to play musical instruments, that might have previously been out of reach.
Apart from my classical training in piano, I have learned everything I know about music by watching other people -- many of them the best in their fields -- play online. To me, that has been the best way to learn.

The opinions expressed in this commentary are solely those of Usman Riaz.

@highlight

Usman Riaz: Acquiring skill in music has long required learning from teachers

@highlight

He says the role of the teacher can now be fulfilled through online resources

@highlight

Riaz: I learned to master percussive guitar through watching others on video

@highlight

At TEDGlobal conference, Riaz played guitar with one of his heroes, Preston Reed