(CNN) -- The tragic death of much loved actor and comedian Robin Williams took the world by surprise. There has been a steady stream of news reports -- at first conveying shock and disbelief then, disappointingly, moving on to salacious speculation about the cause and method of his death.

Media coverage of mental health and suicide has come a long way over the last few years however, on this occasion; many newspapers got it badly wrong. In Britain, some journalists went too far and breached the Editors' Code, the ethical standard on press reporting that states that "when reporting suicide, care should be taken to avoid excessive detail about the method used."

Many of the tabloids and online reports gave unnecessary detail. Part of the reason is that the U.S. police spokesperson put into the public domain far more detail than would be the norm in the UK, Australia or New Zealand.

When explicit descriptions which illustrate the method used are put in the public domain we know that this can have devastating consequences and lead to acts of imitation. There have been many research studies presenting evidence for this and the tragic events in Bridgend should have been a valuable lesson for the media in the need for safe reporting.

When a media report describes clear details of unusual methods of suicide and essentially gives a "how to" guide -- the danger is it can make suicide seem like a more accessible action to take.

Opinion: Why Williams lost to depression

The media also oversimplified the reasons Williams took his own life -- for example highlighting money problems -- when we know that there is no one reason people choose to take their lives. The reasons are varied and complex.

Concerning too is the effect that wall-to-wall media coverage about a celebrity suicide can have on the public. However unintentionally, it can appear to glamorize and romanticize the incident. One of the most well documented examples of the copycat effect of a celebrity suicide was that of Marilyn Monroe. During the month of her suicide in August 1962 there were an additional 303 suicides, an increase of 12%.

Suicide is a sensitive and complicated subject which affects a huge number of people. This is why, when news of Robin Williams' death first broke, we issued a briefing to all newsdesks which provided advice on how to report suicide in a sensitive, and responsible, way.

We followed it up with a second briefing the next afternoon. We urged journalists to consult Samaritans media guidelines, this resource has been produced in conjunction with journalists and has been welcomed by editors.

While we appreciate journalists have a hugely difficult task presenting breaking news to readers quickly and concisely against increasingly tight deadlines, accuracy and sensitivity cannot take a back seat. When journalists are writing pieces they should always consider the impact that the tone, content, prominence and imagery of their story will have on their audience.

Opinion: Suicide doesn't set you free

I have been asked a lot over the last few days why certain aspects of a death by suicide should not be reported. In short it's to keep people, who may be struggling with their mental health, safe. We know that around 6,000 people take their own life every year in the UK, and thousands more will attempt suicide, seriously contemplate it and battle mental health problems.

When done correctly, media coverage can be incredibly powerful in helping people to seek support and advice. It can also contribute towards changing public attitudes towards mental health problems and reducing the stigma that sadly still exists.

We are hopeful that there is willingness in the media industry to listen and act on the concerns raised by the mental health charities, experts and their own audiences. Social media is giving readers a voice like never before and editors now know quickly when they are out of step with the public mood. We believe we can work collaboratively with the media to make mental health and suicide reporting safe.

The views expressed in this commentary are solely the author's.

@highlight

There have been many news reports on actor Robin Williams since his death this week

@highlight

Paul Farmer says reports of shock and disbelief moved on to salacious speculation

@highlight

Farmer says media in the UK gave unnecessary detail about the manner of his death

@highlight

Journalists need to take into account the impact their reporting can have, he says