Washington (CNN) -- The House of Representatives passed a bill Tuesday that would extend funding for the federal government by another two weeks -- through March 18 -- while cutting $4 billion from current spending levels.

The measure was approved in a 335-91 vote, with Republicans overwhelmingly backing it while Democrats were sharply divided.

The Senate plans to vote on the measure on Wednesday. Senators and aides from both parties said they expected it to pass and proceed to President Barack Obama for his signature to prevent a government shutdown after Friday, when the current spending resolution expires at midnight.

Also Tuesday, the Senate approved a measure that would halt paychecks for the president and Congress in the event of a government shutdown. It was unclear when the House would take up the measure.

While the bill extending government funding for two weeks was expected to clear the Republican-controlled House, some Democrats have indicated a preference for a month-long extension while legislators negotiate a more comprehensive spending plan for the rest of the fiscal year, which ends on September 30.

The White House has voiced concern that the passage of a series of short-term funding bills could create a climate of uncertainty and hamper prospects for a stronger economic recovery.

President Barack Obama called House Speaker John Boehner before Tuesday's vote to discuss the measure, according to White House Press Secretary Jay Carney.

Carney indicated the administration would be willing to back a package cutting up to $8 billion from current spending levels over a period lasting up to five weeks.  The cuts, he told reporters, would be credited toward further decreases in a future comprehensive spending plan covering the remainder of the fiscal year.

Boehner, an Ohio Republican, brushed aside questions about a longer extension, telling reporters that Democrats should have approached him earlier about that possibility.

"I think we're taking the responsible path forward," Boehner said.  "The American people want us to get our fiscal house in order, and this is a step in the right direction."

The last Democratic Congress went on a "spending spree," declared Kentucky Representative Harold Rogers, the Republican chairman of the House Appropriations Committee.  Now "we're trying to slow down and stop" it.

Democrats have repeatedly argued Republicans are exacerbating the budget crunch by refusing to allow an expiration of the Bush-era tax cuts for the wealthiest Americans.

Congress should use the two weeks provided by the bill for a "reality check," said House Minority Leader Nancy Pelosi, D-California.  "I just want to know where everyone was when the deficit grew in the eight years of the Bush administration."

Even if the two-week funding measure passes Congress and is signed into law, the White House and congressional Republicans will remain in a bitter standoff over how best to fund the government for the rest of the current fiscal year.

The House recently passed a measure that would cut $61 billion in funding for the rest of the year, largely by imposing cuts in domestic discretionary spending that Democrats insist are too severe, and Obama has threatened to veto it. At the same time, some conservative Republicans have pushed for a larger package of cuts totalling $100 billion from current spending levels.

Democrats have highlighted a report from Moody's chief economist Mark Zandi, which concludes that the proposed GOP cuts would result in the loss of 700,000 jobs by the end of next year.  Republicans, in turn, are trumpeting a new General Accounting Office report showing that billions of additional dollars could be saved by eliminating needless program duplication and overlap.

Obama told a group of governors at the White House on Monday that he is "committed to funding only those things that work."  But the domestic discretionary spending being targeted by the Republicans, he noted, accounts for only 12% of the entire budget.  New spending is required on priorities such as infrastructure modernization, he said.

The country "can't afford to kick the can down the road any longer" on festering fiscal problems relating to entitlement programs such as Medicare and Medicaid, the president warned.

Neither party has put forward a detailed proposal dealing with exploding entitlement costs.

Jim Kessler, vice president for policy and a co-founder of Third Way, a centrist Democratic think tank, told CNN he expects "there will be a greater level of cooperation than expected and a major deficit reduction plan involving entitlement spending sometime this year."

By contrast, longtime political observer Norman Ornstein thinks there could be one or two short shutdowns this year.

"You get two weeks by going for $4 billion in (easy) cuts. What do you go for now?" said Ornstein.

Ornstein, a resident scholar at the conservative American Enterprise Institute, predicted it would be hard for Senate Democrats and House Republicans to agree on specific cuts anywhere near the magnitude of what the GOP wants.

Any compromise, he noted, will be a hard sell for the 87 freshman conservatives in the House who would see a deal as a far cry from what they believe they were elected to do last November.

CNN's Tom Cohen, Jeanne Sahadi, Ted Barrett and Deirdre Walsh contributed to this report

@highlight

NEW: The Senate passes a bill to halt pay for the president and Congress in a shutdown

@highlight

The House passes a spending bill to prevent a government shutdown through March 18

@highlight

The bill cuts spending by $4 billion

@highlight

President Barack Obama calls Speaker John Boehner to discuss the spending bill