(CNN) -- "Sorry -- the sun is shining so I've gone to sleep on a hill."

When Alastair Humphreys leaves an "out of office" note, it's for real.

But these days, the Briton -- who once left his parents' house and came back four years later after cycling around the world -- is finding adventure closer to home.

"Originally I wanted to test myself, to see what I was capable of physically and mentally, and I suppose I wanted to try to make my mark for myself and on the world," he tells CNN's Human to Hero series.

"Now it's just more the curiosity of going to new places and the simplicity of life when you're out on an expedition, and the contrast of the life out in the wild to the real world back home -- the urban, busy, hectic life which I also enjoy."

So instead of trekking across India, running 150 miles through the Sahara in a week, rowing the Atlantic Ocean, or sledding through the freezing Arctic vistas of Greenland, now the 37-year-old is more likely to be leading a group of city slickers into the British wilderness -- and back in time for work on Monday morning.

"To be able to leave London on the train, travel just for 40 minutes, climb up a big hill to a beautiful woodland, be surrounded by birdsong and fresh air and silence and just enjoy being out here," he says.

"To cook on an open fire, sleep out underneath the stars, then wake up, smelling of smoke a little bit, a little disheveled perhaps, jump on the train, back into London, ready for another day at work, having had a real adventurous experience."

Humphreys, who grew up near the natural splendor of the Yorkshire Dales in northern England, was a latecomer to adventuring.

It wasn't until he got to university that the travel bug bit.

"I wasn't particularly an athletic or sporty child and I started to get into running up mountains, marathons, pushing myself harder," he says.

"That's when I came up with the idea of trying to cycle around the world. Just after I finished university, I jumped on my bike with very little experience, no sponsors and no real likelihood of success and I waved goodbye to all my friends and family."

Four years later, he'd cycled 46,000 miles through 60 countries and five continents -- on a budget of just $10,000.

Since then he's tackled more specific challenges on sand, snow and sea, all the while seeking to push his boundaries.

"I deliberately choose projects that I'm not an expert at and so everything I do, I begin quite intimidated, quite daunted, quite worried -- worried about failing, total disaster," Humphreys says.

"I don't really like finishing expeditions. Once I finish something and I know I can do it, I lose interest really and I start to think about what might be next."

Although his trips are physically grueling -- he was cycling 120 miles a day by the end of his global journey -- Humphreys says the main challenges are mental.

"Most trips I do, there's usually some point during it when I just sit down, often just burst into tears and just think, 'I can't do this.' If I just persuade myself to get up and keep going for a little bit longer, then I do it -- and I think that's the real appeal of adventure and certainly one of the addictive sides to it," he says.

"It's the realization that you're capable of more than you ever imagined. It's also a bit of a Pandora's Box -- you open up and think, "Wow, if I did that, what can I do next?" I'm not sure there's an end point."

While he loves the solitude of being alone in the great outdoors, Humphreys also appreciates being able to share the experience -- as he did with two friends when they went to Greenland in 2012.

"It's an amazing moment to stand there and watch the plane fly away and be left in total silence, no-one around for hundreds of hundreds of miles," he recalls.

"It's very cold, you're trying to operate camera equipment, temperatures minus 20, minus 30 -- really hard fiddly work, freezing cold fingers. We were putting in long days, pulling the sledge for long, long days.

"We were trying to push ourselves as hard as we could and also you're trying to build up a relationship -- you know the guys are mentally worrying, 'Am I slowing them down? Are they slowing me down?'

"The physical exhaustion of trying to do it -- it takes hours to try to melt enough water to drink for the day, so it's a grinding daily routine."

While early 20th century explorers such as Ernest Shackleton and Robert Scott were discovering uncharted territories, Humphreys concedes that modern adventures mostly provide more personal achievements.

"The phrase 'pointless but meaningful' is one that I really like to view my adventures through because in one sense, cycling around the world, or walking across a desert or skiing in some ice cap in Greenland is pointless these days -- we have technology and vehicles that do it far more efficiently," he says.

"We're not actually doing anything of 'use' in the most literal sense and yet there's definitely something that to me feels meaningful. Adventure has added so much to my life -- knowledge of the world, knowledge of myself, perspective and balance about the modern world that I live in back home."

In 2012, he was named National Geographic's Adventurer of the Year after a series of mini-expeditions around Britain, and has written extensively about his experiences.

And it's this understanding of how we fit into the world that he hopes his microadventures will give to people weary of the city rat race.

"Microadventures are my attempt to try to help normal people in the real world get the enjoyment out of adventures that I've had over many years," Humphreys explains.

"I wanted to get the essence of adventure, the wilderness, the challenge, the escape from urban life, all these things that are really important to me, and condense them down into something small and achievable for normal people with real lives.

"You can escape -- if only for one night -- and find nature, wilderness, a bit of peace and then go back to your normal life with a slightly shifted perspective."

So get working on your own "out of office" message now, there's a whole world to explore.

@highlight

Alastair Humphreys is an adventurer who cycled around the world with no experience

@highlight

He has also run across Sahara, rowed Atlantic Ocean and skied in Greenland ice cap

@highlight

The 37-year-old was National Geographic "Adventurer of the Year " in 2012

@highlight

He is now focusing on "microadventure" business closer to home in Britain