(CNN) -- Every week, Jackie Kaminer of Roswell, Georgia, buys fish for dinner at the local market. Although she knows it's full of nutrients -- including good-for-your-heart omega-3 fatty acids -- she's careful of the types of fish she brings home.

Jackie Kaminer contemplates fish choices; she  buys only "safe" fish, like salmon, haddock and tilapia.

Her concern? Mercury and the dangers it poses to her children. So, she sticks to certain varieties: salmon, cod, tilapia and haddock are "safe fish," but she stays away from swordfish, sea bass and tuna.

As a mother of three, Kaminer should be concerned. Released into the atmosphere by industrial pollution, mercury contaminates water systems (and soil) when it rains. As fish feed on one another, the mercury stores up in their bodies.

The toxic metal affects the nervous system. And although studies have shown large amounts of mercury can also affect fertility and blood pressure, and possibly cause memory loss in adults, it's particularly dangerous to young children and fetuses.

According to the American Academy of Pediatrics, during the first several years of life, a child's brain is still developing and absorbing nutrients. Prenatal and infant mercury exposure can cause poor mental development, cerebral palsy, deafness and blindness. Even in low doses, mercury may affect a child's development, delaying walking and talking, shortening attention span and causing learning disabilities.

Having mercury levels that are too high isn't someone else's problem. In a recent study from the Centers for Disease Control and Prevention, one out of 17 women of childbearing age in the United States has mercury in her blood above the level that could pose a risk to a developing fetus (5.8 micrograms per liter). So the federal government advises pregnant women and those thinking of becoming pregnant to avoid certain fish, such as shark, swordfish and fresh tuna, usually found in fish markets and sushi. Canned tuna seems to be less of a threat, but the U.S. Department of Agriculture says consumption should be limited.

Why avoid these kinds of fish? According to Andrew Heyes, a scientist with the Smithsonian Environmental Research Center, Edgewater, Maryland, the older and larger the fish, the more mercury it has stored. "As it grows older, it can't eliminate mercury as fast as it takes it in," he says. "So there's an accumulation in the fish."  Watch more on fish and mercury »

Because mercury is a growing threat to us and our environment, companies have started to take mercury out of thermometers, switches and even batteries to prevent it from entering our soil. Now, many regions, like the Chesapeake Bay states of Maryland, Virginia and Delaware, have instituted new rules to limit mercury emissions from coal-fired power plants, one of the largest sources of mercury pollution in the region.

Researcher Cindy Gilmour, also with the SERC, says that is a positive development because mercury contamination is getting out of hand. "We've opened Pandora's Box and we've let that mercury out from where it was buried underground, into the atmosphere and into our soils and waterways," she says. "All that excess mercury causes problems, not just in people."

In an effort to make sure these new regulations on mercury emissions are effective, scientists like Heyes and Gilmour are measuring levels of the toxic metal in watersheds near the bay.

Gilmour says the research is needed. "All those rules are starting to go into place, and we are starting to put those controls on our power plants. So what we want to find out here is whether those rules work and if the money we are investing in these technologies is really going to help," she says.

As they monitor mercury, scientists are also learning more about how it behaves in nature. Gilmour says mercury contaminates more than just the soil and water. "Mercury has a large impact on all kinds of animals -- loons, amphibians, songbirds, are all affected," she says.

It will be several years before researchers know if the regulations are making a difference. Until then, health experts say enjoy fish -- it's good for you -- but be like Jackie Kaminer and pick your fish wisely.

@highlight

We're told to eat fish, but some varieties contain high levels of mercury

@highlight

The bigger and older the fish, the more mercury can accumulate

@highlight

Mercury is released into air by industrial pollution: contaminates water and soil

@highlight

New rules near Chesapeake Bay limit emissions from coal-fired power plants