(CNN) -- The photo from Ferguson, Missouri, that stopped me in my tracks was taken by a local educator.

One man was on his knees, arms outstretched to prove to the police that he had no weapon. The other man was still standing, but had his hands up in the air; his shirt covered his mouth, a feeble defense against tear gas.

In the right hand of each man was a cell phone. The standing man was holding his phone so that the camera pointed toward the police. I wondered to myself, was he recording this confrontation?

The interplay between amateur media -- like this photo, taken by Liz Peinado on her phone and immediately posted to Twitter -- and professional media has been impossible to ignore in the days since 18-year-old Michael Brown was shot and killed by police in Ferguson, a suburb of St. Louis. Brown was unarmed.

A town in turmoil -- 5 things about Ferguson, Missouri

For every cool-headed account from a reporter, there's been an impassioned Facebook post or Instagram photo from a community member that illustrates, I think, strengths and weaknesses of both traditional and social media.

These days we need both.

After all, it's one thing to hear a news anchor say that police fired nonlethal rounds to disperse protesters on Monday night; it's another to see photos of the pepper balls and wooden pellets and the bloody injuries they caused.

Jon Swaine, a Guardian reporter on assignment in Ferguson, wrote on Twitter that a St. Louis police spokesperson claimed on Monday night "he didn't know what I was talking about when told protesters claimed they were shot with wooden pellets." On Tuesday morning, Swaine held some of the pellets in his hand and said they matched protesters' descriptions. The police subsequently confirmed the pellets were fired.

Peinado, the local educator who posted the photo I mentioned earlier, wrote on Twitter that she was "devastated" by the use of "tanks, tear gas, rubber bullets, hand launchers, and sheer intimidation of county police."

Peinado's photo of the two men holding cell phones was captioned, "Men armed with nothing but phones ordered to get on their knees. I witnessed tear gas thrown at them."

The same two men were also shown in a Vine video by Antonio French, a local alderman who was perhaps the most prolific citizen journalist during tense protests Sunday and Monday. French's six-second videos of tear gas in the streets of Ferguson were picked up by CNN and other news outlets -- giving audiences at home a raw, close-up view of the situation.

"For the most part, social media has helped bring home the impact of this death in the local Ferguson community in a way that traditional media probably could not have," said David Clinch, the executive editor of Storyful, a company that specializes in finding and verifying newsworthy material on the Web.

What we know about Michael Brown's shooting

There have also been online attempts to hold traditional media outlets accountable. The best example of this is the Twitter hashtag #IfTheyGunnedMeDown, which posed the rhetorical question, "If they gunned me down, what photos would the media use to portray me and my life?"

The hashtag was born after a photo of Brown circulated over the weekend. Some saw the teenager holding up a peace sign; others speculated that it was a gang sign.

Resentment and disappointment about media portrayals of African-Americans was evident in the commentary about the use of the photo.

Yesha Callahan, a writer for The Root, wrote that Brown's death "has once again shown that the narrative the media paints surrounding black people in America more often than not includes depicting us as violent thugs with gang and drug affiliations."

On Twitter, contributors to #IfTheyGunnedMeDown shared pairs of photos -- one stereotypical or unsavory, another showing the same person on graduation day or surrounded by family.

The same site, however, was also a tool for inflammatory rumor-mongering. Monday night, for instance, some Twitter users shared false claims that another citizen had been shot by police.

And, according to local reports, social media erroneously identified a police officer as the one who shot Brown.

"It is very important to be careful in stories like this, when emotions are running high, to make sure that information and content is verified," said Clinch, who formerly worked at CNN.

Clinch said he has spotted instances of people sharing images and saying they were from Ferguson, when in fact they were from years-old protests in other states.

Teen was two days away from starting college

Perhaps the best example of the interplay between amateur and professional media is also one of the rare bits of good news to come from the current unrest in Ferguson: A photo of local residents cleaning up one of the locations that was looted on Sunday night went viral on Monday:

I saw a number of complaints on Twitter along the lines of "the traditional media will never show you THIS side of the story." But the photo was originally shared on Facebook with a small group of friends -- it went viral with the help of local reporters and television stations. Some of the volunteers were subsequently interviewed by a local newspaper, the Riverfront Times, widely amplifying their act and the message therein.

"We just all put our heads down and got to work," one of the volunteers, Kathryn Banks, told the newspaper. "We'd felt hopeless and helpless watching everything unfold on the news the night before. This was a way we could give back. We felt like there was something we could do."

@highlight

Twitter, other social media light up with firsthand accounts of protests in Ferguson, Missouri

@highlight

Social media users have drawn attention to details the traditional media have missed

@highlight

However, such impassioned reporting has also spawned speculation, and major errors

@highlight

It's important to check your facts "when emotions are running high," says verification specialist