(CNN) -- We have no comprehension of what is going through the minds of 200 Nigerian girls abducted from their school on April 14. We cannot know their darkest fears or the pain and anguish they have had to endure from the Boko Haram terrorists who took them. We cannot imagine for a second what their families are feeling.

But there is one thing we do understand: A rage is gathering worldwide at extremist groups that deny young girls their right to education. And we must take action.

Wednesday, July 23, marks a tragic milestone. It is the girls' 100th day in captivity. For an adolescent with plans, dreams and ambitions, 100 days must seem an eternity.

But they are not alone. The world has not forgotten these girls. Not in 100 days. Not for one day.

On Wednesday, vigils will be staged in Africa, Asia, Latin America, Europe and the United States. Candlelit demonstrations will be held in African countries from Togo and Tunisia to Tanzania, organized by the Global March Against Child Labour, which fears the girls might be trafficked into slavery.

Schoolgirls will take to the streets in Pakistan, led by Baela Raza Jamil of Idara-e-Taleem-o-Aagahi, or ITA, the girls' rights group campaigning for what the Chibok girls have lost -- their right to an education.

In India, vigils will be led by Kailash Sakharti and the Bachpan Bachao Andolan group, which rescues children from bonded labor every day, and has common cause with girls who have been taken from their homes.

Opinion: 100 days on, Nigerians haunted by girls' kidnapping

Walk Free, the anti-slavery organization led by Australian billionaire Andrew Forrest, who has exposed the extent of child slavery in the modern world, is throwing its weight behind the campaign. And across the globe, A World at School's 500 Global Youth Ambassadors led by the U.N. Youth envoy will be marking the events, handing in petitions to embassies and consulates in the world's biggest capitals.

An online petition by A World at School calls for the safe return of the girls and all messages of support will be passed to families of the girls and Chibok community leaders. The petition supporting the president of Nigeria in all his military and diplomatic efforts to bring back the girls will also be sent to Nigerian President Goodluck Jonathan and U.N. Secretary General Ban Ki-Moon.

Coinciding with the July 23 vigil is the deployment, by the Nigerian government, to the Borno area, of helicopters and aircraft with enhanced surveillance capacity and night vision equipment, capable of identifying the captured girls.

Around the globe there is an understanding that Nigeria is simply the latest country after the United States with 9/11 in 2001 and Britain with its 7/7 in 2005 to be hit by terrorist outrages -- and that in its hour of need, Nigeria deserves the support of the world community against a terrorist sect that thinks nothing of killing and raping schoolgirls and seeks to deny them the basic right to education.

The petition is not just for the rescue of the girls but for the rebuilding of their Chibok school and the creation of safer schools throughout Nigeria, particularly in those areas where girls are not going to school for fear of terrorism.

The Safe Schools Initiative, a fund set up to pilot 500 safe schools in northern Nigeria, brings the Nigerian government and Nigerian business leaders together with the international community to ensure that all children are secure when learning. The fund total stands at $23 million.

Young people are demonstrating because they see the connection between abductions in Nigeria, the rapes and murders of young girls in India, so-called "honor killings" of Pakistan girls who marry against family wishes, genital mutilation of girls in preparation for child marriages across Africa and the ever-present reality that 7 million school age girls are working full time, often in slave labor conditions, many of them trafficked out of their home country when they should be at school.

There is a common denominator: Seventy years on, the Universal Declaration of Human Rights has failed to take girls' rights seriously. So, girls are taking action to make themselves heard.

Incensed by the realization that it could take 100 years for them to have the same right to basic education -- as guaranteed in the declaration -- as boys, girls will lead their liberation struggle. And the new divide across the world will no longer be between the educated and the uneducated but the educated and those demanding to be educated.

Slowly but surely, local embryonic civil rights movements are linking up with global leaders: Girls Not Brides, Walk Free and A World at School are now umbrella organizations, pioneering the creation of hundreds of youth ambassadors and part of the emergency coalition to achieve zero child labor, zero child marriage, zero education exclusion and zero discrimination against girls at schools.

The Emergency Coalition for Global Education Action, to get 57 million children in school, will be launched in September during U.N. General Assembly week. The coalition will call on the international community to take action.

The message every day is loud and it is clear. Girls should be able to study in a classroom, free of fear, and without the need, as they will do on Wednesday, to demonstrate on the streets.

@highlight

Vigils around the world for Nigerian girls, who have been held captive 100 days

@highlight

Rage has built against extremist groups that deny girls their right to education

@highlight

Girls are forming grass-roots groups to protest child marriage, promote education

@highlight

Coalition aims for zero child labor, zero child marriage, zero education exclusion