(CNN) -- The Australian Senate has rejected a bill that would have revived plans to process asylum seekers in offshore detention centers in a highly emotional vote following the sinking of two boats packed with people in one week.

Senators voted down the legislation by 39 votes to 29, after hours of heated debate that saw one politician break down in tears as she described the plight of one 15-year-old boy's journey from Afghanistan.

Soon after the vote, Prime Minister Julia Gillard announced that former defence force chief Angus Houston would lead "an expert group" to determine the best way forward on asylum seekers, according to the Australian Broadcasting Corporation.

"I want to be very clear about the role of this expert group," Gillard said. "This expert group will receive the facts from Government and beyond. They will be able at their option to receive briefings wherever they want to get those briefings from. They will be able to assemble all of the material to help them form their views. They will be able to consult as they see fit," the ABC reported.

The dilemma of what to do with thousands of asylum seekers who attempt the risky trip by boat to Australia each year has long divided the nation's political parties, and its people.

However, the sinking of two boats in the past week carrying more than 300 people lent the issue urgency ahead of parliament's long winter break.

More than 200 people were pulled from the sea near Christmas Island, north of Australia, after the separate accidents. It's not clear how many died because authorities don't have an accurate count of how many people were on board the vessels.

Two years ago, Mujtaba Ahmadi made a similar treacherous journey from Indonesia on a fishing boat packed with more than 70 other people seeking a new life in Australia. He was just 15 years old.

"We came direct from Jakarta to Christmas Island. There are a lot of ways, this is the short way but it's very dangerous," Ahmadi said. "There were too many people on the boat. We didn't have any space to sleep. We didn't have enough life jackets."

The teenager left Iran with his family's blessing; his father borrowed money from his friends and his mother and sister sold their jewelry to raise $11,000. Some was spent on flights, while half was paid to people smugglers for the 50-hour boat trip.

"I heard that there are a lot of human rights in Australia. That's why I decided to come to Australia," he said. "But then I arrived in a detention center, I thought no, there are no human rights in Australia."

Ahmadi spent two months in detention on Christmas Island before being transferred to a hotel in Darwin, the Asti Motel, which for a time was used as a temporary detention center. He stayed there for eight months before being granted a visa to stay.

Now 18, Ahmadi is learning English in Sydney and is following the debate among the nation's politicians as best he can, though he still can't understand why he spent so long in detention.

"We didn't do anything wrong. We are not criminals," he said.

If the bill -- the Migration Legislation Amendment (The Bali Process) Bill 2012 -- had been passed Thursday, it would have allowed Australia to send asylum seekers to Malaysia and the island of Nauru in the South Pacific for processing.

It also would have marked a revival of Gillard's controversial "Malaysia Solution," a deal agreed with the Malaysian government to send 800 asylum seekers there each year for processing in exchange for 4,000 refugees to Australia.

The deal was ruled invalid last August by the High Court on the grounds that Malaysia has no legal obligation to protect asylum seekers, something required under Australia's Migration Act.

Despite fierce opposition from the coalition and the Greens Party, the House of Parliament narrowly passed the bill late Wednesday, clearing the way for the Senate vote.

The Greens said they were pleased the government had announced a multi-party committee to look into the issue, but said more could have been done.

"The government could, today, have taken the pressure off these desperate people to get on boats by immediately resettling thousands of people waiting in Indonesia and Malaysia, properly resourcing the UNHCR and increasing search and rescue capability," Greens Senator Sarah Hanson-Young said in a statement.

The bill's defeat leaves the country without an effective response to attempts by asylum seekers to enter the country. The expert group has been asked to report back before parliament resumes in mid- August, the ABC said.

The number of boats attempting the journey rose dramatically after Labor's Kevin Rudd defeated long-term Liberal leader John Howard in a federal election in 2007.

During his time in power, Rudd unraveled Howard's policies, including the "Pacific Solution," which involved diverting asylum seekers to detention camps on remote Pacific islands.

The Howard policies were slammed by critics as inhumane, however supporters credited them with deterring large numbers of people from boarding boats to Australia.

"They were humane as they possibly could be in the circumstances," Shadow Treasurer Joe Hockey told the ABC before Thursday's Senate vote.

He said the coalition was pushing for a policy of turning back boats when possible, reopening the processing center on Nauru and granting asylum seekers temporary protection visas. The coalition would never support the Malaysia "people swap," he added.

Since replacing Rudd as Labor leader, Gillard has adopted a tougher stance on asylum seekers but has resisted calls from the opposition to return to the Howard policies.

@highlight

Australian Senate rejects vote on asylum seeker bill to resume offshore processing

@highlight

Vote follows sinking of two boats near Christmas Island carrying more than 300 people

@highlight

Thousands of people attempt to reach Australia by boat every year, many die on the way

@highlight

Numbers have risen dramatically since the Labor government reversed Liberal policies