(CNN)Each year, on average, about 60 people in the United States are reported to have measles, according to the Centers for Disease Control and Prevention.

However, this year is on track to be one of the worst for measles in more than a decade, and health officials say people who refuse to vaccinate their children are behind the increase.

The number of cases reported through August 24 is 159 -- the second-highest number of cases since 2000, when measles was declared eliminated from the United States. In 2011, there were 222 cases.

As of November, there have been 175 cases reported, according to CDC Director Dr. Thomas Frieden.

The elimination declaration means measles no longer spreads year-round in the country, the CDC says. But it is still common throughout the world.

Of this year's cases, 172 were import-associated, meaning they were brought into the country from overseas, according to a paper published Thursday in JAMA Pediatrics. The other three were likely directly imported.

U.S. measles cases in 2013 may be most in 17 years

Here are 5 things to know about measles:

Measles is caused by a virus

The measles virus normally grows in the cells lining the back of the throat and lungs, according to the CDC. It causes fever, runny nose, cough and a blotchy rash over the entire body. Other symptoms include red, watery eyes, body aches and tiny white spots with bluish-white centers found inside the mouth.

A typical case begins with mild to moderate fever, cough, runny nose, red eyes and sore throat. Two or three days after symptoms begin, the white spots may appear in the mouth, the CDC says. A red or reddish-brown body rash begins three to five days after symptoms appear. It usually begins at the hairline on the face and spreads downward. A person's fever may spike as high as 104 degrees when the rash appears.

Measles can be fatal

About one in 10 children with measles also gets an ear infection; up to one in 20 gets pneumonia; about one out of 1,000 gets encephalitis; and one or two out of 1,000 die, according to the CDC. It can also make a pregnant woman miscarry or give birth prematurely.

Measles kills an estimated 164,000 people around the world yearly, and there are an estimated 20 million cases worldwide. More than half of the deaths occur in India, according to federal health officials.

Before the measles vaccine was introduced, nearly all children got measles by the time they reached the age of 15. Each year in the United States, about 450 to 500 people died from measles; 48,000 were hospitalized; 7,000 had seizures; and about 1,000 suffered permanent brain damage or deafness, according to the CDC.

Measles is highly contagious

Measles can be spread from four days before a rash appears to four days afterward. It is so contagious, in fact, the CDC says 90% of people who are not immune and are close to someone with measles will also become infected.

The virus spreads through the air when an affected person sneezes or coughs. The droplets get into people's noses or throats through breathing or when someone puts their fingers in their mouth after touching an infected surface. The virus can live on infected surfaces for up to two hours.

If you've already had measles, you can't get it again, because your body has built up immunity to the virus, according to the Mayo Clinic.

The measles vaccine does not cause autism

The measles, mumps and rubella vaccine was licensed in 1971 to protect against all three diseases. Nearly 10 million doses of the MMR vaccine are distributed each year in the United States. The CDC recommends two doses: One at 12-15 months of age and a second at 4-6 years of age. This means that babies are not immune, and can contract the measles from unvaccinated people.

In 2010, the medical journal The Lancet retracted a controversial 1998 paper linking the MMR vaccine to autism. The study had been discredited, and its author, Dr. Andrew Wakefield, was found to have acted unethically in conducting the research.

Wakefield, in a statement at the time, denied wrongdoing.

Probe of early autism-vaccine complaints was limited, report says

There is still resistance to MMR and other vaccines

Among those who have been stricken with measles this year, 92% were not vaccinated or had unknown vaccination status. The largest outbreak was in New York, where 58 people contracted measles in a community where many refuse to be vaccinated for religious reasons.

The outbreak -- the largest since 1996, according to the CDC -- stemmed from an intentionally unvaccinated 17-year-old who returned to New York from London while infected with measles.

Vaccinations in general continue to be a hot topic, with some parents opposed for religious or other reasons.

"Anyone who is not protected against measles is at risk of getting infected when they travel internationally," the CDC says. "They can bring measles to the United States and infect others. Unvaccinated people put themselves and others at risk for measles and its serious complications."

Former staffer: Measles church counseled faith, not shots

@highlight

175 measles cases have been reported so far this year in the U.S.

@highlight

Measles continues to kill an estimated 164,000 people worldwide each year

@highlight

92% of measles victims this year were not vaccinated or had unknown vaccine status