(CNN) -- Immediately after my Christmas tree is decorated and the tree lights plugged in, I turn off all the other house lights and sit on the stairs, staring at my gleaming achievement.

I could stare for days, hypnotized by the shiny allure of the decorations. The simple, white lights I prefer for the tree sit neatly among what has become an all-out, no-holds-barred glitter explosion.

Of course, the glitter is not only on my tree. As many crafters and Christmas decor lovers will testify, if you handle glitter, it goes everywhere with you.

After a day of decorating, flakes of glitter stick in my hair and on the tops of my cheekbones, so that I notice them glinting out of the corner of my eye for hours to come.

Read more: Making unique holiday

I'm not the only glitter lover out there. We are legion and the holiday season our pinnacle. Glitter fads have come and gone, but what remains consistent is the power of the crafting supply to bring joy and wonder to any setting. What's more, it's gaining in popularity.

"Glitter has really exploded this year," said Jo Pearson of Michael's craft stores. Pearson is the manager of Where Creativity Happens for Michael's, was a judge on the television show "Craft Wars" and calls herself the "glitter queen."

A resurgence in the popularity of the product makes her heart sing.

It wasn't always this way. A decade ago, blown-glass and hand-painted ornaments ruled the retail shelves, said Pat Brill, a product manager for ornament maker Kurt Adler. But as the millennium dawned, glitter began to change, and a new breed of crafters got in touch with their inner magpie.

This is not the stuff you used in grade school -- unsophisticated and stuck to construction paper with white glue. This is glitter that crafters seek out as they become more confident in their abilities.

These days, everyone from creative kids to top designers uses glitter, Pearson said. It's on T-shirts and tote bags, in makeup and body lotion, and even in the form of interior paint. The applications are endless.

Read more: Mistletoe 101

Manufacturers offer a myriad of new glitter delivery methods as well as different sizes, colors and textures. The newest glitters, according to Brill, are made with lasers and have a more brilliant reflective quality than glitters of the past. Martha Stewart glitters, for example, now include neon colors.

Pearson's favorite new product is called Glitter It Glue. This year her crafting team used it to transform the empty, plain-glass ornaments sold in Michael's stores into glittering globes.

What's unique about this glue, Pearson said, is that it is the only one she's ever used that holds glitter to an object with a consistent thickness. None of the glitter shakes off, so there is substantially less errant glitter left behind.

"I think glitter has the innate ability to elevate ordinary things," said Marcie McGoldrick, editorial director of holiday and crafts at Martha Stewart Living. She calls it a "crafter's magic wand."

"In an economy like this, where people want things to feel special and fancy, but they don't necessarily have the resources they did in the past, or are just trying to be economical, it's such a great way to do that," she said. "And to do it yourself."

A sense of invention and experimentation with glitter also thrives among the artists who design and create the ornaments at companies such as Kurt Adler.

Read more: 5 real-life wonderlands

"Glitter has become a science," Brill said. "As a chef would use spices, artists use glitter, and they might mix different sizes in one product."

Ornament artists use glitter to create depth in the same way painters create perspective on canvas. Big chunky glitter gives off a different kind of light than finer glitter. Mica glitter, an age-old source of sparkliness, is often used to impart a snowy or vintage look, Brill said.

Glass glitter, from Germany, has been used on Christmas ornaments, but unlike plastic or mylar-based glitter options, glass glitter requires careful handling. While glass glitter has a unique look, because of the silver content, it can tarnish.

Plastic foil glitter, Brill said, was developed in the United States after World War II because German glass glitter was difficult to obtain. This is mainly what's available in stores today.

Speaking by phone from Kurt Adler's New York headquarters, Brill struggled to find the words to describe the magic that glitter adds to an object. It's a kind of fairy dust, she said from her cubicle, surrounded by Santas, angels, elves and nutcrackers.

Quiz: Curious Christmas traditions

Glitter is also used to embellish decor during the year's other holidays: Halloween, Easter, Valentine's Day and the Fourth of July. Once, for April Fools' Day, Martha Stewart glittered an entire chair.

Its appeal isn't limited only to dedicated crafters. Mariah Carey, Pink, Lady Gaga and Ke$ha sing about it. "Super Freak" singer Rick James used to put it in his hair.

But my favorite song about the power of glitter was on the "Songs From 'How the Grinch Stole Christmas' " record about a kitty who ate the tinsel on the Christmas tree. Just like me, he could not resist a glittery Christmas tree: "It shines and glows and glitters on each bough, 'cause tinsel is the holiday cat's meow," as the song goes.

Photos: Santa over the years

@highlight

Glittered holiday decor has "really exploded this year," says Jo Pearson of Michael's stores

@highlight

Glitter-loving crafters have more options for glitter application than ever before

@highlight

Glass glitter from Germany has a unique look, but it can tarnish