(CNN) -- The tragic hot air balloon crash in Luxor on Tuesday comes at a time when Egypt's tourism industry has been struggling to prove that the country is still safe to visit in the wake of the 2011 revolution.

Nineteen people died when canisters aboard the balloon exploded over Luxor, a popular destination for tourists visiting its ancient temples and tombs.

Read more: Egypt balloon explosion probe could take two weeks

International tourism has long been a mainstay of the Egyptian economy, with United Nations World Tourism Organization (UNWTO) figures showing it generated $10.1B in 2012.

"To give you an idea, international tourism generates more income to Egypt that the Suez Canal ($5.1B in 2011 as compared to $8.7B from tourism that same year)," UNWTO chief of communications Sandra Carvao said. "In terms of the impact on jobs, tourism employs directly nearly 18 million people."

In January -- two years after the start of the 2011 uprising that overthrew long-time Egyptian President Hosni Mubarak-- protests again took place in Egyptian cities. Official media reported that at least seven people were killed during clashes between anti-government protesters and those loyal to new President Mohamed Morsi.

Read more: What's behind the latest wave of violence in Egypt?

Nadejda Popova, senior travel and tourism analyst at market research company Euromonitor International, acknowledged that the ongoing political unrest -- as well as Europe's economic downturn -- had affected Egyptian tourism.

But she said Egypt remained a key Middle Eastern tourism destination and that there were indications that there had been a slight recovery in 2012. Euromonitor's preliminary figures suggested that there had been a 4% rise on 2011 to 9.4 million tourism arrivals -- as well as signs investors had not given up on Egypt's tourism market, she said.

The UNWTO's 2012 data also pointed to what Carvao described as "a clear recovery in demand", with a 17% increase in tourism arrivals, to 11.2 million.

How safe is hot air ballooning?

However, Popova said numbers were still down, with the political transition "heavily impacting" Egyptian tourism.

"It is far away from the pre-crisis levels when we had 12 million, for example, in 2010 tourist arrivals in the country," she said. "The political instability and the continuous uprising have been probably among the biggest threats to this recovery." Popova said she expected numbers to return to their pre-crisis levels by 2017.

Earlier this month Egypt's tourism minister, Hisham Zazou, told CNN that live webcams were being installed in holiday hotspots to prove that the country's tourism industry was healthy. Footage of holidaymakers "basking in the sun" would give Egypt's tourism industry more credibility, he said. "When [tourists] see it, they will come."

Read more: Egypt's tourism minister -- Webcams will prove we're safe

Popova said the Egyptian authorities were developing strategies to strengthen tourism with a focus on diversifying the market. In 2012, Russia remained one of the leading countries in terms of arrivals, alongside travelers from the UK, Germany and Italy, but the tourism ministry was trying to lure in more travelers from other markets such as Asia and Latin America, she said.

Morsi's decision to host Mahmoud Ahmadinejad-- the first Iranian president to visit Egypt in more than 30 years -- was potentially another way of diversifying the consumer segment, she said.

Read more: Shoes hurled at Iranian President Ahmadinejad during trip to Cairo

Travel journalist and senior travel editor at Britain's The Independent newspaper Simon Calder said an increase in interest from Asia was unfortunately reflected in the list of the dead from the Luxor disaster. Officials said those on board included nine tourists from Hong Kong, four from Japan, three from Britain, two from France and one from Hungary.

The last thing post-revolutionary Egypt needed was "a tragedy of this magnitude," Calder said.

"Even though -- during the entire two years to my knowledge -- not a single tourist has been harmed, it gives the impression of a state unraveling where security cannot be guaranteed," he said. It's a tremendous thing and great tribute to the people in the country that they've managed to protect their guests, however this is possibly going to create a different image."

Popova said while she did not expect the crash to have "major repercussions" for Egypt's tourism industry as a whole, it had tarnished its image.

Egypt's temporary ban on balloon flights -- introduced after the crash -- was "an indication the authorities are concerned not only about the safety of the people but also about their image and how people perceive them," she said. The disaster was a blow for an industry "trying everything in their effort to bring people back to the country," she said.

@highlight

Nineteen people --mainly foreign tourists -- died in a ballooning disaster in Luxor on Tuesday

@highlight

Egypt's international tourism industry has been negatively affected by the 2011 revolution

@highlight

Analysts say that figures for 2012 showed there had been a slight recovery in the industry

@highlight

They say the ballooning disaster is a blow to Egyptian efforts to grow tourism