(CNN)  -- Globalization washes like a flood over the world's cultures and economies. Floods can be destructive; however, they can also bring blessings, as the annual floods of the Nile did for ancient Egypt.

The world's great universities can be crucial instruments in shaping, in a positive way, humankind's reaction to globalization and the development of humankind itself.

Traditionally, universities have been defined and limited by location, creating an academic community and drawing students and scholars to that place. Eventually, some universities began to encourage students to study elsewhere for a semester; today most do. Recently, some -- even those known for their cautiousness about innovation -- have developed "branch campuses," or outposts at which graduate or undergraduate degrees are granted.

The benefits of globalization are not evenly spread, but it is unalterably part of the landscape, and it is causing the world to miniaturize. The great question is how our institutions will respond to this global miniaturization.

Will it be out of fear, feverishly attempting to cabin off themselves, or with an eye on the opportunities, and the possibility of creating a new age of cultural and intellectual ecumenism. For universities, the latter should be a far more comfortable fit.

This natural instinct of universities connects well with the emerging contours of economies in the "knowledge century": that they will be driven by ideas and creativity, and that this world network of thought and innovation will be concentrated in a small set of global "idea capitals" among which the talented and creative will circulate.

These idea capitals will be characterized not merely as centers of finance, insurance and real estate (the FIRE sector), but also as centers of intellectual, cultural, and educational activity ("ICE," as I have called it elsewhere).

The world's most enlightened leaders have accepted a crucial proposition: universities, especially research universities, will be principal incubators and drivers of the ICE sector. Great universities attract and retain the creators, innovators, and entrepreneurs who propel thought, both producing and consuming intellectual, cultural and educational activities.

How will universities shape themselves to meet this? There will be many models -- some incremental, some bold. One new university model is already proving itself at NYU: the "global network university."

In opening NYU Abu Dhabi last week, NYU has created not only a new liberal arts university campus but a new university architecture. NYU Abu Dhabi is a second "portal campus," along with our long-standing campus in New York; these are the anchors and basic hydraulics of a network that also knits together 12 other academic sites.

The global network university allows faculty and students to move seamlessly through the network  and around the world without separating themselves from the university's intellectual community and resources. It is a veritable Mobius strip of talent and thought.

Research labs continents apart can be connected, increasing their potency. Faculty in one location can be made available to students in another. Consider: A professor in New York can offer a course featuring participation by students at several sites. The professor assigns team exercises, with students from many different sites working together. That interaction will be powerful in itself, but that need be only the start: We'll likely see some or all of the students deciding to come together the following semester at one of the network sites.

By uniting portal campuses and other academic sites, the global network creates an organic circulatory system that mirrors the flow of talent and creativity that increasingly defines the world. The result is more than an internationalized university with loose connections between a central location and branches around the globe; instead, the talent and assets become fully available to enhance research and learning in every other part.

In higher education, nothing is more powerful than a good idea. And this idea has resonated strongly. In the first class of undergraduates admitted to NYU Abu Dhabi, just 2.1 percent of applicants were admitted -- fewer than 200 of over 9,000 applicants.

They hail from 39 countries, speak 43 different languages, with nearly 90 percent of them bilingual; and have SAT scores at 75th percentile -- 770 for verbal and 780 for math. These scores match the most highly selective universities in the world.

Universities tend to be hidebound, but they will need to change. I don't claim that the global network university will be the universal form for higher education's future; there are other ways to respond to academic globalization that will endure and make sense.

But to thrive, universities will need to look very different from the way they do now, and they will have to find a form well-suited to the new reality of an ever- increasing flow of human capital and talent in the knowledge century.

The opinions expressed in this commentary are solely those of John Sexton.

@highlight

John Sexton: Traditionally, universities have been defined and limited by location

@highlight

Global campuses form a network of thought, innovation, he writes

@highlight

Faculty can teach, Sexton says, students can team up in many cities at once

@highlight

Sexton: Research, scholarship can be shared and cultural ties made in "century of knowledge"