Tulsa, Oklahoma (CNN) -- They'd gone to W. Scott Harrington's dentist office in a Tulsa, Oklahoma, suburb to have a wisdom tooth pulled or perhaps have their jaw realigned.

On Saturday, scores of his patients were waiting to be checked once again -- this time not to replace missing teeth, say, but to find out whether they'd been exposed to hepatitis or HIV.

By 3 p.m. local time Saturday, one hour later than planned, some 420 people -- out of 7,000 of Harrington's patients from the past six years who health authorities reached out to -- had been screened for hepatitis B, hepatitis C and HIV at the Tulsa Health Department. They came after investigators discovered unsanitary, unprofessional conditions at Harrington's office in Owasso, 14 miles northeast of Tulsa, that one official said created a "perfect storm" for infections.

Within two weeks, those tested Saturday (and when the screenings resume starting Monday) should get the results back -- all because they'd gone to see an oral surgeon with 35 years of experience.

"How do you say you're sorry to 7,000 people that you could possibly have infected?" said Melissa Wood, whose daughter -- a patient of Harrington's -- spent part of her 18th birthday getting tested.

Harrington, 64, surrendered his dental license on March 20 after health investigators found sterilization, staffing and other infractions.

"I will tell you that when ... we left, we were just physically kind of sick," Susan Rogers, executive director of the Oklahoma Board of Dentistry, said earlier this week. "That's how bad it was, and I've seen a lot of bad stuff over the years."

The dentistry board launched its probe after one of Harrington's patients came down with hepatitis C. That patient originally tested positive for HIV, too, but a subsequent test came back negative, the Tulsa Health Department said.

While other states conduct random inspections of dentist offices with some regularity, Rogers told the Tulsa World newspaper that dentists' offices in Oklahoma are inspected only after a complaint is filed.

5 things to check at the dentist's office

Investigators raised a number of sterilization and "cross-contamination" alarms -- such as "unauthorized, unlicensed" employees using IVs to sedate patients and that needles weren't handled properly.

The outward cleanliness of the office belied the mess elsewhere, Rogers said, noting that "just basic universal precautions for blood-borne pathogens" weren't followed.

Besides being "unlocked and unattended," the drug cabinet was rife with issues -- containing, for example, a drug that expired in 1993 -- according to the official complaint filed before the state dental board. Other records showed that morphine had been used in patients throughout 2012, even though the dentist had not received a morphine delivery since 2009.

Harrington and his attorney have not returned multiple calls from CNN. And the oral surgeon wasn't home when a CNN crew went there on Saturday.

"He seems highly competent to me, just a smart guy," said Frank Dale, one of Harrington's neighbors. "I was just shocked when I heard it. And I feel badly for him. I feel badly for his patients."

A teenage patient, who asked not to be named, told CNN he had a bad experience at Harrington's office a year ago.

During a surgery to remove three molars, he awoke momentarily to see profuse bleeding. He said he became alarmed but was told to "shut up" and hold gauze in place. When he awoke a second time, he was tied up on the floor. Harrington's staff explained that he had been "combative" during the operation, he said.

Dentist's office a 'perfect storm' for HIV, hepatitis exposure

"I felt when I got out of there and went through all I went through, I felt they didn't know much of what they were doing at all," he said.

Wood's teenage daughter, Marissa, said she finds it "horrifying" that her June 2011 visit to get her wisdom teeth extracted may have put her at risk for HIV or hepatitis. She remembered thinking of Harrington as a "really nice guy" -- but that was then.

"I'm angry," she said. "I feel like he's ... let us down. I feel like he's let a lot of people down."

The U.S. Centers for Disease Control and Prevention provides national guidelines for dental offices to help prevent the spread of infections. They include cleaning and sterilizing all nondisposable items such as dental tools between patients, disinfecting surfaces and requiring staff members to wear protective masks, gloves and eye wear.

Since 1991, only three cases of dental infection in patients have been documented -- two with hepatitis B and one with HIV, according to the CDC. No cases of hepatitis C have been reported.

"This is exceedingly rare," said Dr. Matt Messina, a consumer adviser and spokesman for the American Dental Association, of the allegations levied against Harrington. "I'm just angry, because this is a case, I think, so far outside of the bounds of normal that it makes it remarkable."

The infection risks are compounded given that Harrington told investigators he had a higher-than-normal population proportionally of HIV and hepatitis patients, Rogers said.

HIV is a condition that over time destroys a body's immune system, thus its ability to fight infections. If not treated, nearly all those infected with HIV will develop AIDS, according to the National Institutes of Health. Hepatitis -- the most common types being hepatitis A, B and C -- refers to inflammation or viral infections of one's liver. Some 4.4 million Americans have chronic hepatitis, though most of them don't know it, the CDC says.

Oklahoma dentist let unlicensed staffers give IVs, state official says

CNN's Greg Botelho and Mariano Castillo contributed to this report.

@highlight

NEW: 420 people are tested for hepatitis B, hepatitis C and HIV, health department says

@highlight

Scores of W. Scott Harrington's patients undergo tests at a Tulsa government building

@highlight

7,000 patients of his patients were warned that they might have been exposed

@highlight

An investigation found unsanitary conditions and "cross-contamination" issues