In the space of just 48 hours last week, Turkey went from calling the PYD -- the Kurds defending the Syrian border town of Kobani -- a terrorist group to opening up an arms corridor from Iraq to aid its fight against ISIS.

That dramatic change in policy, along with growing collaboration between the United States and the PYD (the armed wing of the Democratic Union Party), could tip a month-long battle against ISIS militants in favor of the Kurds.

It could also, finally, pave the way for a resolution between Turkey and the Kurdish Worker's Party (PKK), which has waged a three-decade insurgency against the Turkish state. This would remove a major irritant in the coalition's strategy in Syria.

Turkish leaders in Ankara resisted domestic and international pressure to aid the PYD for a month while Kobani became the focal point of the operation against ISIS. Turkey's Kurds took to the streets to demonstrate against what they saw as the government's refusal to protect their kin next door.

In reaction to President Erdogan's indifference to the prospect of the massacre of Kurds at the hands of the Islamic State, the PKK's imprisoned leader, Abdullah Ocalan, said that if the town fell he would end the peace negotiations with Ankara that have been in progress since 2012.

With help arriving from the Iraqi Kurdish Peshmerga and the United States, the prospect of losing Kobani is no longer imminent. The Turkish government can breathe a sigh of relief, but not for long.

Washington's decision to help the PYD militarily marks the emergence of a new alliance at a time when Turkey has already been unnerved by the recent diplomatic boost the group has received in the West.

In response to the growing Islamic State threat, the PKK, the Peshmerga, and the PYD have established a united Kurdish front, with the PYD militants coming to the aid of Peshmerga fighters and halting the jihadi group's advance into the autonomous region of northern Iraq.

PYD forces helped thousands of Yazidis escape from the western part of the region as ISIS attacked, making the group the West's best hope for on-the-ground troops and winning it positive reviews in the Western media.

Since the PKK started its assault against the Islamic State in northern Iraq, there has been a lot of talk in Western capitals about removing it from the terror list. The U.S. move to openly ally with the PYD only adds to Turkey's fears.

But if Turkey's leaders manage to look beyond their long-running Kurdish phobia, they could turn the PYD-U.S. dialogue to their advantage.

The PKK, with its new international legitimacy and the alliance the United States forged with its Syrian offshoot, is unlikely to put these gains at risk by resuming violence against Turkey.

For Turkey, the Kurdish issue is more than a domestic security problem; its concern over Kurdish autonomy in northern Syria has diminished its room for maneuver and has kept it from playing an effective role both in the anti-Assad and the anti-Islamic State coalition.

Turkey has already been marginalized in regional affairs due to other foreign policy miscalculations, and it cannot afford to miss out on a seat at the table on Syria because of its reservations about the PYD.

Turkey shares a long border with Syria, hosts 1.6 million Syrian refugees, and has historical ties to Syria's ethnic and sectarian communities. Home to well-established Salafi networks, Turkey is one of the countries most vulnerable to attacks by the Islamic State. It is thus in Ankara's interest to treat the peace process with the PKK more urgently so that it can attend to these pressing matters.

Nevertheless, Turkey's policies still prioritize undercutting the Kurds over any other concern.  Its policies are largely to blame for the Syrian Kurds' failure to join the Western backed Syrian opposition, and it has been dragging its feet to join the U.S.-led coalition against the Islamic State because it views ISIS as an effective fighting force not just against the Assad regime, but also against the PYD.

A U.S.-PYD-Turkish partnership, however, could work toward the removal of the Assad regime, which Ankara says is its top priority in Syria. Turkey has criticized the U.S.-led coalition for prioritizing the removal of ISIS without addressing the root cause of the problem: the regime in Damascus. The United States, however, could engage the PYD in pursuing both objectives.

With the right push from Washington and Ankara, the Syrian Kurds, with their secular bent and effective fighting force, could become part of the ground force that the West so desperately needs in Syria.

The United States has taken a positive step in reconsidering its approach vis-à-vis the PYD.  At a time when the lingering Kurdish issue has caused Turkey to become marginalized in the fight against ISIS, both the PKK and Ankara would be well-served if they took steps to advance the stalled peace process.

Let's hope the U.S. and Turkish decisions to help the PYD are more than tactical moves.READ MORE: Meet America's newest allies, Syria's KurdsREAD MORE: Peshmerga fighters  'to enter Kobani soon'

@highlight

Turkey has switched from calling Kurdish PYD fighters terrorists to supporting them

@highlight

Move could help bring to an end the weeks-long battle for the border town of Kobani, says Tol

@highlight

"It could also pave the way for a resolution between Turkey and the Kurdish Worker's Party"

@highlight

Tol says a U.S.-PYD-Turkish alliance could work toward the removal of the Assad regime