(CNN) -- Tracey Madigan was looking forward to watching hockey games at the Olympics with her three kids this year. Now, she's scrambling to cancel their plane tickets because Sochi just doesn't seem safe.

Growing security concerns surrounding the Games, she says, made her rethink the family vacation plans she made months ago.

"We wanted to do it to be a cultural learning experience for the kids," she says, "and now that's not worth the risk."

It's a worry many people are weighing as warnings about the possibility of terrorists targeting the Sochi games grew this week.

Athletes say they're still eager to compete in the Games, which are less than three weeks away. Organizers say they're confident officials have a handle on the situation. And Russia's leaders say they've stepped up security around the area in a "Ring of Steel" that attackers won't penetrate.

But those reassurances haven't stopped serious concerns about safety among spectators, competitors and security analysts.

Warnings fuel travel fears

After decades of hearing about the Olympics from afar as her husband helped cover them for a French-Canadian television network, Madigan decided this was the year for the family to fly from Washington, D.C., to Sochi and join him.

She started worrying when she learned about last month's terrorist attacks in Volgograd, Russia, which killed more than 30 people, but she tried to tamp down her concerns.

A U.S. State Department travel alert earlier this month convinced her that the situation was serious.

The wording of the alert, which calls large-scale public events like the Olympics "an attractive target for terrorists," and mentions previous attacks in Russia was strong enough to make Madigan decide to back out.

"It's an official voice telling you that yes, your fears are right. ... OK, it's not just me. There's another voice, a voice with some gravitas saying, 'Be careful out there.'"

And the potential security threats seem to be mounting, Madigan said.

"It hasn't stopped," she said. "Over the past couple of days, it's continuing."

So while news reports surged this week about new threats to the games, a wanted terror suspect on the loose and warships readying to evacuate U.S. citizens if necessary, Madigan has been canceling plane tickets. Taking her kids to Sochi, she said, is out of the question.

"We fear not only for their safety, but also the repercussions that it would have if they were in the part of the world that experienced something horrible ... and just the logistics of getting out of there," she said.

Security concerns like Madigan's are cited by some as a reason for sluggish Olympics ticket sales -- though vendors in the United States told CNN that demand is "at expected levels" and that last-minute sales will likely surge in Russia.

Organizers in Russia said last week that around 30% of available tickets still hadn't been purchased, the Russian RIA Novosti news agency reported. If those seats remain unsold, Russian President Vladimir Putin suggested volunteers might fill the remaining spots in the stands.

'I'm definitely going to be vigilant'

Canadian Domenico Ciarallo said he has no plans to give up his tickets, but he's worried about security, too.

He was watching TV with his mother in Montreal when news broke of last month's bombing at the Volgograd train station, a transit hub 400 miles way from Sochi.

"She looked at me and she said, 'You're not going to Sochi. I lost your father, I'm not losing one of my kids.'"

But Ciarallo said he didn't cancel his trip, despite his mother's concerns. He regularly travels around the world on business trips and knows that there's no predicting danger.

"Anything can happen on a plane or train or automobile. I don't live by that," he said. "For sure, I'm worried. It's obviously a concern. But you know what, I'm definitely going to be vigilant, and keep my eyes open around me, and be aware of my surroundings."

In the meantime, he's looking forward to staying on a cruise ship docked alongside the coastal city and picking up his spectator pass so he can take in as many events as he can.

As part of the stepped up security measures for this year's games, Russia required visitors to provide photos, passport information and ticket numbers in advance to receive the passes.

That, Ciarallo said, shows how serious they are about keeping the Games safe.

"I'm probably 95% excited and nervous, and maybe 5% scared," he said. "I think once we get there, I think that kind of fear will start to recede. I think you really have to hit the ground running and see."

Coach: Athletes must 'try and fight through' fears

Tara Lipinski, who won a gold medal in figure skating in the 1998 Winter Olympics and will be attending this year's games as a commentator for NBC, said she feels safe, despite the warnings.

"You can't take this lightly. But at the same time, being at the Olympics, I have never experienced security that high. So hopefully that will put these athletes at ease," she told CNN Monday. "I'm hoping that the atmosphere is not overshadowed by this."

Boston Bruins coach Claude Julien, who will serve as assistant coach for Canada's men's hockey team, told ESPN this week that he's determined to push forward.

"There's no doubt that what's happened lately is certainly -- (terrorists are) trying to obviously shake us and probably in a lot of cases they are succeeding. But ... we have to try and fight through that," he said. "At the same time, you have to hope that the people in charge are doing the best they can. There's never any guarantees in this life and you'd like to make it as safe as possible. That's basically all I can say, because my job is to go there and help coach a team and hope that the people in charge of that are going to do the best job they can and make it a successful Olympics."

Security has also become a top concern for journalists covering the Olympics this year, said NBC Special Correspondent Meredith Vieira, who will be cohosting the network's coverage of the opening ceremony.

"We had a lot of conversations at NBC News about it and (NBC) Sports, and after a certain point, it's a bit of a leap of faith, you know," she told CNN's "Piers Morgan Live."

"You hope that the security is there. I hope that they (the Russians) share information more than they have with the U.S. Right now, that's kind of a rough point. But I'm going. And you know, they talk about that 'Ring of Steel,' and I hope it's there."

Analysts: Sochi faces unique risk

The Olympics are expected to bring 6,000 athletes from 85 countries to Sochi. And throngs of spectators are expected to watch from the stands, with nearly 40,000 security officers standing guard.

It's nothing new to worry about security at the Olympics or any major sporting event. And authorities have vowed for months that safety is a top priority.

But the situation is different in Sochi, some security experts say, particularly with recent terrorist attacks elsewhere in the country.

"The threats have been backed up with incidents, with attacks," said Carl Herron, a former crisis response agent for the FBI who was at the London and Turin Olympics. "The percentage of something happening from here on is probably high. It can happen two days before the Olympics start, or it can happen today, so that really escalates the intensity of the security apparatus."

Terror analysts say Sochi is uniquely at risk because Islamic militant hotbeds are within the country -- leaving the Olympics closer than ever to danger.

"This group does not have to fly in from the Middle East or North Africa or Asia or some remote location," former FBI assistant director Tom Fuentes said. "They are already in the neighborhood."

CNN's Phil Black and Brooke Baldwin contributed to this report.

@highlight

Warnings about terrorists targeting the Sochi Games spur worries about security

@highlight

A mother says she's canceling Olympic travel plans because she fears for her kids' safety

@highlight

Another traveler says he's worried, but plans to be vigilant when he attends the Games

@highlight

Skating analyst Tara Lipinski: "I'm hoping that the atmosphere is not overshadowed by this"