(CNN) -- Amber Easton has gone from $80,000 a year in salary to scrambling for work. At a time in her life when she should be scaling the corporate ladder, she has instead spiraled into a deep depression. She recently lost her car and now faces eviction from her apartment.

Job fairs have been on the rise amid the nation's hard economic times.

Just last week, the 35-year-old longtime working professional attended two job fairs with friends in the Detroit area. They stood in line for over three hours with hundreds of professionals of all types.

"It was a real eye-opener to see the caliber of people we were in line with -- very educated with vast skill sets," Easton said in an e-mail. "Afterwards, we went to the restaurant located in the same hotel and it was filled with unemployed professionals sharing their story, from engineers to graphic designers to marketing professionals."

Easton's saga began in July 2007 when she traded in her job as a corporate compliance officer to attend law school, what she thought would help advance her career. But after a year of law school, she decided it wasn't for her. By then, her old job was gone and the job market had shrunk.

"It's hard not to be depressed during a time like this," she wrote iReport.com. "I never imagined in a million years that I would be in such a situation at my age and at this point in my career. I am humiliated. I am praying for everyone else out there is who are facing the same problems."

She has applied to 70 different companies but gotten few leads. She recently went through a rigorous interview process for one job in another state, but to no avail. Share your economic survivor story

Every day, she searches for new job possibilities and every day results in more desperation. She estimates she's making $20,000 -- "if that" -- as a contract employee working from her home. "I just haven't made enough to keep up."

Her Detroit neighborhood a couple years ago was booming, she said, but now "it's like a ghost town around here."

"It's bad everywhere, but it's so, so bad here," she said.

Across the nation, people like Easton are feeling the pinch. Good jobs have evaporated. Former full-time employees are now working part-time contract positions just to get by.

Nearly 2.6 million jobs were lost during 2008, the highest yearly total since the end of World War II in 1945. This week alone, major corporations have announced more than 80,000 job cuts, bringing this year's total to well over 200,000.

Dr. Rosalind Dorlen is a clinical psychologist in Summit, New Jersey, an area she calls a "Wall Street ghetto" where formerly high-flying executives are out of work.

"Here, the people earn millions of dollars with bonuses that are astronomical," said Dorlen, who is also the public education coordinator in New Jersey for the American Psychological Association. "There is a demoralizing aspect to having a huge salary and a huge bonus and then having to look for a job that is going to pay much, much less."

She added, "What I'm hearing is a terrible sense of betrayal, anxiety and people experiencing lots of stress." That, in turn, can lead to an increase in unhealthy coping behaviors, such as an uptick in alcohol consumption, unhealthy eating and worse sleeping habits.

Dorlen has several tips for people out of work:

• Don't panic;

• Find a support group, even if it's just an informal group of friends;

• Seek employment counseling when available;

• Be professional in your job hunt;

• Network with other professionals;

• Take time to exercise during hard times;

• Spend valuable time with your family.

On a practical note, she said people should contact their creditors to let them know the situation. She also advises people to do volunteer work and to cultivate a "spirit of optimism."

"Bad times pass, and it's sometimes hard to see that when you're in the throes of a terrible place," she said. "I think we do need to hold onto a spirit of optimism and a sense of confidence." See Top companies: They're hiring!

"I think we're getting mired in the gloom and doom, and we need to hold on to the fact that lots of people are working."

CNN's user-generated site, iReport.com, has been flooded with messages from people out of work. One woman held up her husband's résumé and said, "Please, please, please take him off my hands." Watch woman plead case for hubby

"My husband can knock out a honey-do list like nobody's business, and he meets my great, high standards every day. Don't let my husband slip through your hands. He would be a great addition to your team," the woman said under the headline "Wife Seeking Job for Husband."

In Delaware, Manoj Philip, 24, said he had a full-time job in 2007 with Agilent Technologies making about $55,000 a year, including all the perks and benefits that came with it. But in July 2007, he quit that job to pursue a career in real estate.

"I knew it wasn't going to be easy, but I didn't think it would be this tough," he said.

By September 2008, Philip needed a second income because of the withering housing market. He picked up a full-time contracting job and continues to do real estate about 20-30 hours per week.

It was a shock, he said, to return to full-time work while putting his real estate dreams on hold. "It took a lot for me to change that mental outlook. Because before I would've thought of it as something holding me back," Philip said. "But I don't look at it like that anymore."

He's since learned the value of living within his means, budgeting and making every dollar he spends count for something. "These are really important lessons to learn. I'm glad I learned it at such a young age."

In Detroit, Easton said she knows America will bounce back at some point, but "in the meantime, people are losing everything."

"That's what scares me," she said.

@highlight

Detroit woman goes to job fair; stunned by the hundreds of professionals in line

@highlight

"I never imagined in a million years that I would be in such a situation"

@highlight

Clinical psychologist advises people not to panic, to try to remain optimistic

@highlight

"Bad times pass, and it's sometimes hard to see that," Dr. Rosalind Dorlen said