(CNN) -- Radovan Karadzic, whose Interpol charges listed "flamboyant behavior" as a distinguishing characteristic, was a practicing psychiatrist who came to be nicknamed the "Butcher of Bosnia."

Twice indicted in 1995 by the U.N. International Criminal Tribunal for the former Yugoslavia, Karadzic faces charges of genocide over the massacre of nearly 8,000 Muslim men and boys at Srebrenica, and nine other charges related to ethnic violence during the breakup of Yugoslavia in the 1990s.

He had filed a motion seeking acquittal on all 11 counts in June, but was successful on only one.

While president of the so-called Serbian Republic of Bosnia-Herzegovina, Karadzic's troops were reported to have massacred over hundreds of thousands of Muslims and Croats during a campaign of "ethnic cleansing." Early estimates of the death toll from the 3-year war ranged up to 300,000, but recent research reduced that to about 100,000.

The U.S. State Department had a $5 million reward for information leading to his capture. His arrest brings an end to more than 10 years as a fugitive.

Karadzic was born on June 19, 1945, in Petnjica, Montenegro. He studied psychiatry and medicine at the University of Sarajevo during the 1960s and took courses in psychiatry and poetry at Columbia University from 1974 to 1975.

Karadzic, a Serb-Croat, in 1990 helped found the Serbian Democratic Party (SDS), a party aimed at unifying Serbs into a common state, and became its president.

Two years later, he became president of the newly declared Serbian Republic of Bosnia and Herzegovina, later called "Republika Srpska." During the next three years, he ordered Bosnian Serb forces to seize the majority of Bosnia and Herzegovina.

He also announced, according to his U.N. indictment, six "strategic objectives" for the Serbian people. They included the establishment of state borders between the Serbs and the other two ethnic communities, Bosnian Muslims and Bosnian Croats.

Answering to him, according to the indictment, was Bosnian Serb military commander Ratko Mladic.

From May 1992, the indictment alleged, Bosnian Serb forces under Mladic's command targeted civilian areas of Sarajevo with shelling and sniping during a three-year conflict within the city.

In July 1995, according to the U.N. indictment, troops under Mladic's command executed an estimated 7,000 Bosnian Muslim male prisoners in Srebrenica, a U.N. safe area, and then participated in a comprehensive effort to conceal the killings. The massacre is considered the worst in Europe since World War II.

The indictment states that Bosnian Serb forces acted under Karadzic's direction and worked to "significantly reduce the Bosnian Muslim, Bosnian Croat and other non-Serb populations" in municipalities that were seized.

Karadzic was last seen in public in September 1996, a year after the Dayton Peace Accords brought a formal end to the conflict and banned anyone accused of war crimes, including him, from office.

He reportedly shaved his trademark bushy hair, grew a beard and donned priest's robes, moving from monastery to monastery in the mountains to avoid capture.

CNN correspondent Alessio Vinci said in 2008: "He enjoyed protection from the local population, wherever he was hiding. Legend has it he disguised himself as a priest to take part in his mother's funeral.

"In 2002, after NATO launched one of its many failed raids to try to arrest Karadzic in Bosnia, I interviewed his mother. At that time she said: 'Serbs are righteous people and I can see that they support him, and that they adore him the way he is. They would lose their lives to protect him.'"

Despite years on the run, Karadzic wrote "Miraculous Chronicles of the Night" -- 1,200 copies of which sold out at the 2004 Belgrade International Book Fair.

After his arrest was announced, Serb officials revealed the final chapter of his life on the run had seen Karadic reprise his medical role, working in a clinic in Belgrade under a false identity and heavily disguised by a white beard, long hair and spectacles.

@highlight

Radovan Karadzic faces 10 charges, including genocide over the Srebrenica massacre

@highlight

The 'Butcher of Bosnia' was the leader of the breakaway Serb Republic in Bosnia in the 1990s

@highlight

Karadzic's troops allegedly 'ethnically cleansed' thousands of Muslims and Croats