Nature's beauty seems so much closer from the seat of a saddle.

Bikes offer a more intimate connection with the people of the places you pass through.

No wonder adventure motorcycling has grown massively in the last decade.

The 2004 "Long Way Round" and 2007's "Long Way Down" TV documentary series (both featured Ewan McGregor and Charley Boorman's round the world rides) helped spark the trend.

In 2011, the Motorcycle Industry Council reported that sales of adventure touring bikes were up 14.2% across 12 major brands.

There are hundreds of scenic roads worldwide, but the greatest rides are spiced by the thrill of twisties and smooth hardtop where motorcyclists can crank open the throttle.

Here are 10 of the best rides worldwide, whether for a day out or a longer adventure.

All are in places where motorcycles can be rented or where tours are organized.

1. Ceuta to Marrakesh loop, Morocco

2,570 kilometers (1,600 miles)

Bikers on this route journey through an exotic realm of ancient kasbahs (citadels), souks (bazaars) and desert cultures.

After rolling off the ferry at Ceuta, riders switchback through the wild Rif Mountains to Fez, then traverse the Atlas Mountains (snow-capped in winter) to hit the Sahara at Erfoud.

More on CNN: 10 thing to know before visiting Morocco

Snaking west through the Todra Gorge, the route passes palm groves of Ouarzazate and the imperial city of Marrakesh.

Beyond, the Tizi n'Test Pass runs down to the Atlantic coast at Agadir.

It's two days from here along blacktop to Casablanca, then the final 321 kilometers (200 miles) via Tangiers to Ceuta.

Edelweiss Bike Travel, +43 5264 5690

2. Pyrenees Loop, France and Spain

2,410 kilometers (1,500 miles), Bilbao to Biarritz

A head turner for its sensational scenery and mind-bending hairpins, this route is a favorite among European bikers.

From Bilbao you spin east on the N260 (a legendary biking road worming into the Pyrenees), hit La Seu d'Urgell, then wind north to Andorra, dropping back to Spain at Bourg-Madame for 48 kilometers (30 miles) of twisties coiling down to Ripoli.

At Figueres you can stop at the Dalí museum before rolling along the Mediterranean coast to France.

The D117 from Perpignan threads through narrow mountain passes to Col d'Aspin, with grin-inducing bends all the way to Biarritz.

Pyrenees Motorcycle Tours, +33 (0)5 62 45 08 11

3. The Great Ocean Road, Australia

290 kilometers (180 miles)

This one-day ride from Melbourne to Petersbrough winds through shoreline rainforest, skirts sensational surfing beaches and unfurls along the rugged Shipwreck Coast, renowned for limestone pinnacles piercing the sea like witch's fingers.

More on CNN: World's 10 ultimate drives

It's a perfect northern winter ride.

Big Boyz Toyz, +61 (0)8 9244 4293

4. California and the American West

5,630 kilometers (3,500 miles), Los Angeles to San Francisco (the long way)

This undisputed champion of road trips weaves together many of the West's iconic national parks.

From Los Angeles, Route 66 traces back in time to Arizona, the Grand Canyon and mesmerizing formations of Monument Valley.

More on CNN: 10 easy ways to experience Navajo Nation

Heading north, the road takes in Natural Bridges National Park, then arcing west takes in Bryce and Zion national parks.

You can twist the throttle across the Mojave Desert to Death Valley then skirt the snow-capped Sierra Nevada northbound to Lee Vining and Yosemite National Park -- unrivaled in grandeur.

EagleRider Motorcycle Rental & Tours, +1 310 536 6777

5. Cape Town Circuit, South Africa

1,690 kilometers (1,050 miles)

Fantastic roads, amazing scenery and excellent climate -- South Africa is perfect for a one- or two-week fly-ride vacation.

From Cape Town the wild coast heads east then the road turns north over the Olifantskip Pass to Addo National Park -- a good chance to shoot big game with your camera.

A throttle-open ride across the Great Karoo to Oudtshoorn heralds dizzying switchbacks -- via Route 62 -- over the Little Karoo Mountains to sample the wines around Robertson before closing your loop in Cape Town.

Motorcycle Tours South Africa, +27 12 804 3805

6. Pacific Coast Highway, California

320 kilometers (200 miles), San Luis Obispo to San Francisco

No top 10 would be complete without this stellar ride.

Civilization disappears quickly as you dance a thrilling two-lane tango past seal-strewn beaches, redwood forests, plunging cliffs and the crashing surf of Big Sur.

Also en route -- the fishing town of Monterey, the surfing capital of Santa Cruz, and everyone's favorite city with a famous bridge, San Francisco.

EagleRider Motorcycle Rental & Tours, +1 415 647 9898

7. Dales and Moors, Yorkshire, England

440 kilometers (270 miles) from Kendal to Whitby

This one-day ride across North Yorkshire offers nonstop bends, fast straights, wild scenery and gentle vales dotted with market towns.

The A684 launches you over the Pennines to Hawes, gateway to the Yorkshire Dales National Park via Aysgarth to Leyburn.

Turn south here to Masham for Ripon and Thirsk, then over the heather-clad moors via Pickering to drop down to the peaceful fishing village of Whitby, where you can celebrate an exhilarating ride with fresh fish 'n' chips and a pint of ale.

White Rose Tours, +44 01423 770 103

8. Fjordland, Norway

450 kilometers (280 miles) Bergen to Andalsnes

The land of the Vikings is biking Nirvana. The road network takes in terrific switchbacks and awesome fjords -- some crossed by ferries.

You begin in Bergen and head for Gudvangern where a ferry takes you through Naerlandsford, the world's longest and deepest fjord.

Beyond Belstrand, you'll need to drop gears as you climb over Gaularfjell to Moskog, then Stryn and Eidsdal, where a ferry links to the Trollstigen road, zigzagging crazily to deliver you exhilarated to Andalsness.

Edelweiss Bike Tours, +43 5264 5690

9. Istanbul to Anatolia, Turkey

2,980 kilometers (1,850 miles) Istanbul to Anatolia

Istanbul provides a superb starting point for an exotic circuit, taking in Cappadocia's troglodyte houses, ancient Roman and Byzantine ruins and the beauty of the Black Sea and Taurus Mountains.

More on CNN: Best of Istanbul

A ferry across the Sea of Masmara links you to Bursa, then Safranbolu, and the eerie volcanic landscapes of Cappadocia, riddled with Christian churches.

A ride west via Konya to hit the Aegean coast -- taking in the Greco-Roman town of Ephesus -- closes the loop.

MotoDiscovery, +01 830 438 7744

10. Chasing Che, Cuba

2,000 kilometers (1,240 miles)

Chasing Che Guevara's ghost down the highway of an enigmatic Communist island nation that resembles a Hollywood stage set is a thrill in itself.

Classic American cars and creaky ox carts are companions on your clockwise loop from Havana to Baracoa, with plenty of time for salsa, cigars and rum.

More on CNN: What to do in Havana

For five decades forbidden fruit, Cuba recently opened to U.S. citizens on licensed group motorcycle tours offered by Texas-based MotoDiscovery.

MotoDiscovery, +01 830 438 7744

@highlight

Taking in France and Spain, the Pyrenees Loop is a favorite with European bikers

@highlight

Dales and Moors in north England offer nonstop bends, fast straights, wild scenery

@highlight

California's Pacific Coast Highway takes in redwood forests, ocean cliffs