(CNN) -- Nearly two centuries ago Wednesday, Massachusetts Gov. Elbridge Gerry signed an obscure redistricting law that helped his party stay in office and, more importantly, codified one of the most enduring legacies in U.S. politics: gerrymandering.

The U.S. House of Represenatives, home to many beneficiaries of gerrymandering.

Now a part of an American lexicon often heard in Washington's K Street bars and among "inside-the-beltway" crowds, the term is seen as a combination of the governor's name and the word "salamander," because of the salamander-like shape one electoral district took on after the redistricting.

Elected governor in 1810, Gerry signed the redistricting bill two years later, enabling greater and perhaps disproportionate Republican representation in the Massachusetts legislature.

The controversial move has become a favorite across the country among incumbent parties, which pack opposition voters into districts already lost in an effort to minimize the opposition's influence over the state's broader electorate.

But some political analysts cry foul.

"In the end, democracy comes out the big loser," former federal prosecutor Edward Lazarus wrote in a 2004 column for CNN.

"The effect of such partisan gerrymandering is to block new entrants into high political office and to make the result of almost every congressional election a foregone conclusion. This, in turn, effectively disenfranchises all those voters who don't support the preordained winner," he wrote.

In 2006, the Supreme Court threw out part of a Texas congressional map, but found the overall redistricting plan orchestrated by House Republicans acceptable.

The redistricting helped Republicans in Texas defeat four Democratic congressmen in the 2004 elections.

The court ruled that the redistricting plan, promoted by then-U.S. House Majority Leader Tom DeLay, unfairly weakened the voting strength of Latinos in two congressional districts.

"A state may not trade off the rights of some members of a racial group against the rights of other members of that group," wrote Justice Anthony Kennedy. "The question is therefore not whether line-drawing in the challenged area as a whole dilutes minority voting strength, but whether line-drawing dilutes the voting strength of the Latinos in [Texas'] District 23."

The court ordered that District 23 be redrawn.

States are constitutionally required to redraw congressional districts every 10 years in line with population shifts documented by the U.S. Census Bureau, a part of the Department of Commerce.

This year, controversy re-emerged when President Barack Obama announced a decision to cross party lines and nominate U.S. Sen. Judd Gregg, R-New Hampshire, to run the Commerce Department.

The move sparked criticism from leaders of minority groups concerned that the Census Bureau under Gregg, who voted to abolish the Commerce Department in 1995, might lack the resources needed to accurately count minorities.

The White House promised to work directly with bureau's director to assuage those concerns, but that response drew further criticism from House Republicans concerned about greater executive influence in the Census Bureau.

In a letter to the president, House Republicans Patrick McHenry and Darrell Issa described the White House as "circumventing the secretary of commerce" and called it "both outrageous and unprecedented," suggesting the Obama administration could affect U.S. census results and congressional districting due out in 2010.

The move, they say, could insulate Democratic congressional power.

The White House said it recognizes the importance of an accurate census count "free from politicization" and added it "has not proposed removing the census from the Department of Commerce."

"From the first days of the transition, the census has been a priority for the president, and a process he wanted to re-evaluate," it said in an earlier statement.

The method through which the Census Bureau collects data has long been a topic of partisan bickering.

Republicans have generally favored the "door-to-door" approach, which actually is done primarily by self-enumeration through the U.S. mail.

Democrats commonly prefer a statistical sampling method meant to fill in "population gaps" they say occur because some members of minority groups and homeless populations are missed by the door-to-door approach.

A 1999 Supreme Court ruling said statistical sampling could not be applied to the redistribution of congressional seats, but it did not put gerrymandering of the political landscape entirely off limits.

So, almost 200 years after Elbridge Gerry helped coin the term, gerrymandering remains a key part of American politics.

CNN's Bill Mears and Keating Holland contributed to this report.

@highlight

Term coined after Massachusetts Gov. Gerry signed redistricting law in early 1800s

@highlight

Political parties can use tactic to pack opposition voters into districts already lost

@highlight

Gerrymandering still a key part of American politics

@highlight

It's already becoming an issue with the 2010 census looming