Kiev, Ukraine (CNN) -- Russia said Saturday it's satisfied that its humanitarian convoy sent over the border without authorization from Ukraine delivered supplies to its destination.

In total, 227 vehicles were sent into eastern Ukraine on Friday, according to the Organization for Security and Co-operation in Europe, which has an observer mission at the checkpoint the convoy went through.

Russia has said the vehicles were on an essential humanitarian mission, but international powers condemned it as a violation of Ukraine's sovereignty.

A senior Ukrainian official characterized the convoy as a "direct invasion" of his nation by its mighty neighbor to the east.

Several dozen Russian aid trucks left Ukrainian territory on Saturday morning, Russia's state-run RIA Novosti news agency reported.

The Ukrainian Border Guard press office said it had seen the first of the Russian trucks go back over the border on Friday afternoon but that it could not confirm how many had returned in total.

All the vehicles were supposed to be monitored by members of the International Committee of the Red Cross. However, the Red Cross said it wasn't accompanying them due to the "volatile security situation" -- a reference to continued fighting between pro-Russian rebels and Ukrainian forces.

In the statement expressing its satisfaction, the Russian Foreign Ministry said Moscow intended to "continue to cooperate with the ICRC" in aid efforts in eastern Ukraine.

Ukraine has repeatedly accused Russia of directly and indirectly bolstering the rebel movement in the Donetsk and Luhansk regions, allegations Moscow denies.

In a statement Saturday, OSCE chairman Didier Burkhalter deplored the failure to deliver the aid according to the agreements made between Russia and Ukraine.

Appealing to all sides to cooperate in helping civilians impacted by the fighting, he urged them "to exercise maximum restraint and refrain from any actions which could contribute to the further escalation of the situation."

Amid the furor, German Chancellor Angela Merkel arrived in Kiev on Saturday for talks with Ukrainian President Petro Poroshenko.

NATO: 'So-called humanitarian convoy'

The Kiev-based government and its allies -- including the NATO alliance -- roundly condemned Russia's actions on Friday.

NATO Secretary General Anders Fogh Rasmussen warned that the "so-called humanitarian convoy ... can only deepen the crisis in the region, which Russia itself has created and has continued to fuel."

"The disregard of international humanitarian principles raises further questions about whether the true purpose of the aid convoy is to support civilians or to resupply armed separatists," Rasmussen said in a statement.

"We call this a direct invasion for the first time under cynical cover of the Red Cross," said Valentyn Nalyvaychenko, the head of Ukraine's security service.

The UK ambassador to the United Nations, Mark Lyall Grant, said that Russia had no support at a U.N. Security Council meeting Friday on the topic.

"It is an undeniable and blatant violation of Ukrainian sovereignty and clear breach of international law and the U.N. charter," Lyall Grant told reporters. "It has nothing to do with humanitarianism."

However, Russian President Vladimir Putin pointed the finger at Ukraine.

He expressed "serious concern" to German Chancellor Angela Merkel about endangered civilians and other impacts from Ukraine's "continued (military) escalation," according to the Kremlin.

He further criticized what he characterized as "Kiev's blatant attempts to hinder the delivery of Russian humanitarian aid" into southeastern Ukraine.

"Further delay would have been unacceptable," a Kremlin statement said.

Russian troops

Lithuania condemned Friday the killing of its honorary consul in the city of Luhansk, who Lithuanian Foreign Minister Linas Linkevicius said had been "kidnapped and brutally killed by terrorists."

The OSCE also called for the killers of Mykola Zelenec to be brought to justice and said his murder demonstrates the urgent need to stop the violent escalation in eastern Ukraine.

There's also growing international concern over the apparent massing of Russian troops at the border with Ukraine.

There were up to 18,000 such "combat-ready" troops on Friday, a significant increase from previous public estimates by the Pentagon, according to a U.S. defense official with direct access to the latest information.

The official described the units as being in a "fully combat-capable offensive posture."

A second U.S. official said the United States has believed for weeks that some Russian troops have crossed the border as part of the convoys of military gear and weapons moving from Russia into Ukraine.

Of particular concern is the apparent transport of long-range and advanced systems including at least two SA-22 surface-to-air missile system and a number of pieces of longer-range artillery.

The fear is that any advance of any kind could make the ongoing fighting -- sparked last year by a political crisis over whether Ukraine would seek closer ties with Europe or Russia -- even worse.

U.N. officials estimate that more than 2,000 people have died and nearly 5,000 have been wounded in eastern Ukraine since mid-April.

Journalist Victoria Butenko reported from Kiev and CNN's Laura Smith-Spark wrote in London. CNN's Greg Botelho, Christabelle Fombu and Radina Gigova contributed to this report.

@highlight

NEW: Russia says it intends to "continue to cooperate" in aid efforts to Ukraine

@highlight

NEW: German Chancellor Angela Merkel arrives in Ukraine for talks with its President

@highlight

OSCE chairman appeals to all sides not to escalate the situation

@highlight

Putin blames Ukraine for humanitarian crisis, says it'd be "unacceptable" to delay convoy