New York (CNN) -- Michelle Matson has a nagging reminder of the cycling crash that could have killed her. A year and a half later, flecks of asphalt remain lodged in her skin.

There's also the metal pole extending from her kneecap down to her ankle, along with countless screws, keeping her left leg intact.

"My body was destroyed," said Matson, an artist living in Brooklyn. "My whole life was put on hold for months, and no one seemed to care."

It happened in October, 2010, on what Matson and her boyfriend, James Paz, thought was an innocuous bike ride home from a concert.  

"I was riding in front of Michelle, about 10 feet in front of her," Paz said.  "I heard a loud scraping, scratching noise, there was a second of blackness, and then I was flying through the air."

What had lofted Paz into the air was a speeding driver who, according to witnesses, fled the scene. Paz hobbled to his feet, noted the mangled remains of his bike and scanned the area for Matson. 

When he did not see her, he panicked.

"I was screaming her name," Paz said. "Then I saw her lying in the middle of the right-hand lane of the road ... at that time I didn't know if she was alive."

No charges have been filed in the case.

Matson's story is a reminder of a growing problem in many of the nation's busy, sprawling urban landscapes: More people are using bikes for transportation amid a culture and infrastructure designed for automobiles.

Although New York police and the city's Department of Transportation report increasing bicyclists, the number of bike deaths has remained steady. In fact, overall traffic deaths have dropped by 39% since 2001, according to the NYPD.

But that statistic offers little comfort to Matson.

It's not just the facts of the incident -- or even the tiny particles of debris from the New York City street still in Matson's body -- that have left her upset. It's what Matson describes as investigative inertia by the New York City Police Department when it came to her case.

"There were no legal repercussions for the driver whatsoever, because the NYPD chose not to investigate the hit-and-run," Matson said. "It blows my mind that this is even possible ... people get in worse trouble for double-parking."

In 2010, in more than 6,000 New York City traffic accidents involving cyclists, 36 people died, according to the state Department of Motor Vehicles. Transportation Nation reported that no criminal charges were filed against the drivers involved.

One woman -- the mother of an artist named Mathieu Lefevre, who was killed on a bike -- is on a crusade to learn more about his death and to make roads safer for cyclists. There is a growing sense among the city's cycling community that to many authorities, bicyclists don't matter.

"Cyclists and pedestrians are being killed and seriously injured all over our city, once every 35 hours in fact," New York City Councilman James Vacca said at a hearing this year. "And the drivers are literally getting away with it."

CNN repeatedly contacted the NYPD for comment about Matson's hit-and-run and the department's policy about cycling accident investigations, but did not receive a response.

Cyclists who think police are biased against them are fueled by another statistic: In 2011, the NYPD issued 10,415 criminal court summonses to truck operators. During the same year, 34,813 summonses were issued to bicyclists.

"While there may be some lawbreaking among the cycling population, very few if any of those transgressions of the law are resulting in death or serious injury," said Paul Steely White, executive director of Transportation Alternatives, a bicycling advocacy group. "But when a trucker runs the red light or speeds, the consequences very often are deadly."

There are also problems, in the eyes of lawmakers and advocates alike, with how crashes are investigated.

According to statements made by the NYPD, only traffic accidents involving imminent or actual death are investigated. Those cases are handled by one of 19 members of a special unit called the Accident Investigation Squad, or AIS.

"Their role is to utilize their special training to conduct a more comprehensive investigation, employing a variety of techniques in order to establish speed, analyze skid marks and other physical characteristics of the accident scene," said John Cassidy, executive officer of the Transportation Bureau of the NYPD, at a City Council hearing in February. "In essence, reconstruct the accident so that a more definitive cause, possibly resulting in criminal charges, may be determined."

But with only 19 detectives, AIS resources are stretched, so members of the unit are not always deployed, even when death is imminent, according to activists.

"Staffing for these crashes is not what it should be," said Steve Vaccaro, an attorney with Rankin and Taylor, a law firm specializing in cases involving bicycling accidents. "This resource is not what it should be if we're going to have these investigations."

The issue has hit the blogosphere. Advocates are pushing for a law that would force police to investigate all serious bike accidents.

For Matson and Paz, virtually no investigation of their case occurred, they say. That leaves Matson, who still struggles with a debilitating injury to her left leg, with little legal recourse after her accident.

"If you lose your limbs in a [bike] crash, you don't get an investigation," said White, the bicycling advocate. "Without that investigation, it's virtually impossible to hold reckless drivers accountable when they do break traffic laws and they seriously injure pedestrians or cyclists."

Perhaps not surprisingly, a year and a half after her hit-and-run, Matson has refused to ride a bike.

@highlight

Bicyclist struggles with injury to her left leg a year and a half after hit-and-run

@highlight

Bicyclists complain that police aren't investigating enough bike traffic accidents

@highlight

New York police didn't respond to CNN requests for comment

@highlight

New York City considers requiring police to investigate all serious bike accidents