Port-au-Prince, Haiti (CNN) -- Ronide Baduel keeps a broken teacup tucked away for safekeeping.

One day, she will look at it, maybe even smile, and recall how life's rhythms shifted with the earth in January.

She was unlike many of her Haitian compatriots who were barely squeaking by. She had everything: an education, a decent job as a nurse, a three-bedroom home she rented with her teenage son, who was in school.

But when the massive earthquake struck, Baduel's house collapsed. For the first time in her life, she had nothing.

She ran through the streets clutching the hand of her injured son, following the crowd to Champs de Mars, a large plaza near the heavily damaged presidential palace.

She spent the first night sitting on a low concrete wall. In the morning light, she saw the panicked look in the faces of thousands of people and she thought the worst. "Life was done," she said. "There was going to be no tomorrow."

She was well-off. But a natural disaster had plunged her to the depths of poverty.

Earthquakes are not discriminating. Nor are the makeshift camps that sprouted all over the capital.

When CNN first met Baduel, just two weeks after the quake, she was sleeping on dirt, under a few sheets of plastic. She had managed to buy a black faux patent leather handbag in which she kept a few personal items: Shampoo. Soap. A change of clothes. And two wallet-size photos of herself and her son that she rescued from the rubble of her house.

There was nothing else in her tent.

"It was as though I had gone to hell," she said.

Baduel did not know how to live in squalor.

It was not as though she had come from Cite Soleil, Port-au-Prince's biggest slum, where many people, even before the earthquake, slept under tarps or on the streets.

"It was harder for middle-class people like me," she said. "It's more difficult for those who had something before. I spent my money on my house, and the rest I saved for the future."

Robbed of her privacy, she struggled to attain some kind of dignity.

When the private hospital where she worked, the Clinique de la Sante, reopened, she made sure to bathe there in the morning and then again before leaving for the night. There, she did not have to wash in public.

Days turned to weeks. Mornings, afternoons, nights -- they were all the same in the tent city. Nothing to do but endure.

Baduel watched the people around her. They were survivors. They lived among flies and filth, but they fed their children and cleaned their tents. They made the most of what they had left: their lives.

She understood then that there was a God. And that she, too, had to give thanks that she was not crushed in the rubble and that her son's injury was not life-threatening. She understood that life was not done.

At the end of March, after more than two months in the tent city, Baduel moved to her sister's flat when it was deemed safe.

There, Baduel began to feel halfway back to having a proper existence. She has the use of a kitchen, a bathroom. When the city's flickering electricity is on, she can even watch a bit of television.

She sleeps in a netted tent set up behind a locked gate in the front yard. It zips up tightly. Inside are fresh white linens.

In late April, when CNN caught up with her again, she could manage a smile, but anxiety still defined her face. She didn't know yet how she would regain her life.

In Haiti, she says, there is no such thing as insurance. No one will pay her a cent for the estimated $20,000 loss in personal property.

She understands why impoverished people in the camps do not want to leave. There, at least, they have access to food, water and basic goods distributed by aid agencies. The wealthy fled the country or are able to sustain themselves otherwise. But for those in the middle, the struggle is particularly hard, Baduel says.

Last November, her ex-husband died unexpectedly. He used to help pay expenses for her son. To make matters worse, even private hospitals in Port-au-Prince are suffering because people are flocking to public ones for free service. Baduel's monthly income, about $600 before the quake because she worked two jobs, has dipped to about $87, and rents are sky-high because of the demand for housing.

But she will never return to a tent and tarp encampment.

"Not me," she says with defiance. "Never."

She despised every moment at Champs de Mars but appreciates the way the experience changed her perspective on life.

"I probably spent too much money on making myself and my surroundings beautiful," she says. She wants to say something else, but the words never leave her lips.

She hates that her future is so uncertain.

If nothing else, she will leave her job and the city in which she was raised and go to live with her father in the town of Jeremie in western Haiti.

She has already sent her son to live with another sister in Fontamara, away from central Port-au-Prince. She also sent the broken teacup there.

For now, she doesn't need to look at it. She doesn't need any reminders.

@highlight

After the January Haiti quake, Ronide Baduel had nothing for the first time in her life

@highlight

She was educated and well-off, but a natural disaster plunged her to the depths of poverty

@highlight

For a while, she stayed in Port-au-Prince's biggest slum with her son

@highlight

"It's more difficult for those who had something before," she says