(CNN) -- U.S. agencies have warned some employees that reading the classified State Department documents released by WikiLeaks puts them at risk of losing their jobs. But what about students considering jobs with the federal government? Do they jeopardize their chances by reading WikiLeaks?

It's a gray area, said law professors and national security experts who spoke with CNN. The topic has been debated intensely in the past week in legal and academic circles, ever since several U.S. universities sent e-mails to students with warnings about reading leaked documents.

They say students ought to be mindful of their future careers when commenting on or distributing the documents online -- especially those planning to seek jobs in national security or the intelligence community, which require a security clearance.

"The security clearance asks whether or not you're a risk when it comes to sensitive material. This could be one indicator that, when taken together with others, creates a broader pattern that might suggest you're not a person to be hired," said Pepperdine University law professor Gregory McNeal, who specializes in national security law.

"They may very well take into account your opinion, as a job candidate, whether or not you think WikiLeaks is a good thing or bad thing for the country," he said. "It's a small issue, but one to approach with caution if I were a student seeking a job in the national security field."

E-mails went out last week to students at several schools, including Boston University's School of Law, Georgetown University's School of Foreign Service and Columbia University's School of International and Public Affairs, cautioning students against commenting on or posting links to the documents on social media sites such as Facebook or Twitter.

Each message came from the schools' offices of career services, claiming to be sent at the recommendation of an alumnus.

In the eyes of the federal government, the documents remain classified, "thus, reading them, passing them on, commenting on them may be seen as a violation of Executive Order 13526, Classified National Security Information," said Maura Kelly, Boston University law assistant dean for career development and public services, in an e-mail to students.

"Two big factors in hiring for many federal government positions are determining if the applicants have good judgment and if they know how to deal with confidential/classified information," Kelly said in the memo, which was posted on the law blog "Above The Law" last week.

A Boston University spokeswoman confirmed that the e-mail had been sent, adding that students are "free to make their own choices."

"Our Dean of Career Development and Public Service thought it prudent to alert our students to the possible ramifications of dealing with classified information, especially in light of the fact that law graduates often apply for jobs that require security clearances," Mary K. Gallagher said in an e-mail.

So, can just reading about the leaked documents in the media jeopardize your chances of getting a job with the federal government?

Probably not, said McNeal. But commenting on them online or distributing them might create a pattern of behavior that raises red flags during screening for the highest levels of security clearance, which often require polygraph tests.

"I don't think looking at them alone could hurt anyone. The problem is when you're looking and then supporting and endorsing, then you start running into trouble. That's where you run the risk of jeopardizing the security clearance on character grounds," he said.

It also serves as a reminder to be mindful of your "online and personal profile," your virtual footprint of statements, comments and shared materials stored in the web's collective consciousness, the professor said.

"When you're up against so many others for the same competitive job, you don't want to stand out for this. Prudence would dictate, don't add another possible reason for them to ding you."

Nor should the school's warnings necessarily be construed as policy endorsement, said Harvard Law School professor Jonathan Zittrain, co-founder of the school's Berkman Center for Internet & Society.

"I imagine the distribution of these warnings is less to endorse the policy and more just to say, 'Hey this is what we're hearing.' This is not like advising students to not smoke pot. It's not weighing in on a matter of policy. It's just telling them that it might affect them down the road," he said.

But to the government agency hiring you, there could be a big difference between just reading about the documents in the news and actively disseminating them or seeking them out in their full form on WikiLeaks' site.

"It's a new situation, and the documents are so ubiquitous right now that it seems weird to worry who on the margin has ever posted a link to them. But at the same time, the initial release was against the law, so I can't begrudge the government, when figuring out who to employ or trust with secrets, to ask if you helped to further spread documents that belonged to the government."

After the issue went viral last week on "Above The Law" and "the Arabist," which posted an e-mail to students at Columbia University's School of International and Public Affairs, the blogosphere lit up with comments from readers calling the practice unconstitutional and a violation of free speech rights.

Many suggested the warning was over the top and added another layer of anxiety for job-seekers in a weak job market. An unscientific survey on "Above The Law" asked readers what they thought: 55% said the warnings were needlessly scaring law students, 38% said a little over the top but a prudent thing to consider in a difficult job market and 9% said spot on, even reading the stuff could get you in trouble.

But would it be illegal for the State Department to deny anyone a job based on statements about WikiLeaks? The answer is unclear, but in the private sector, inquiries from prospective employers about your ability to handle confidential material would be considered "legitimate business concerns," labor lawyer Camille Olson said.

"The framework of the issue goes back to whether the employer has a legitimate concern about your fitness for the position," said Olson, a Chicago-based attorney who has represented large employers, including the U.S. Chamber of Commerce and The Society for Human Resource Management.

"I can understand how an employer in the federal government would believe that someone who once engaged in that kind of conduct, with the understanding that the information was confidential, how that reflects upon their potential for handling confidential info in the future."

The e-mail from Columbia University's School of International and Public Affairs told students that posting links or making comments about the documents online would "call into question your ability to deal with confidential information, which is part of most positions with the federal government."

On Monday, the school issued a follow-up, saying that said it supported students' right to "discuss and debate any information in the public arena that they deem relevant to their studies or to their roles as global citizens" without fear of consequences.

"OCS e-mailed this cautionary suggestion to students, as it has done many times with other information that could be helpful in seeking employment after graduation. We know that many students share a great deal about their lives online and that employers may use that information when evaluating their candidacy," Dean John H. Coatsworth said in a statement.

"Should the U.S. Department of State issue any guidelines relating to the WikiLeaks documents for prospective employees, SIPA will make them available immediately."

The U.S. government's position on WikiLeaks has been clear since November 28, when the site began posting anonymously leaked U.S. State Department documents. The Obama administration has condemned the disclosures, arguing that they harm U.S. diplomacy by exposing confidential communications. The site has been kicked off servers in the United States and France and lost a major revenue source on Friday when the U.S.-based PayPal cut off its account.

The White House Office of Management and Budget also sent a memo forbidding unauthorized federal government employees and contractors from accessing the classified documents on the WikiLeaks site or other websites on government or personal computers.

The memo, sent to federal workers and contractors without official federal government authorization to read the documents, said that just because the documents have been published on the internet does not change their "classified status" or "automatically result in declassification."

"Classified information, whether or not already posted on public websites or disclosed to the media, remains classified, and must be treated as such by federal employees and contractors, until it is declassified by an appropriate U.S. Government authority," the memo said.

What's less clear is the government's official position on whether potential recruits should avoid WikiLeaks. A spokeswoman for the Office of Management and Budget would not comment on the issue. But a look at the Standard Form 86 -- the questionnaire all applicants for national security positions must fill out -- sheds light on the risks the government wants to avoid.

Questions related to past associations, such as have you ever "knowingly engaged in activities designed to overthrow the U.S. Government by force" or "engaged in acts of terrorism" are intended to evaluate whether you could pose a security risk, said McNeal, the Pepperdine law professor.

The big concern for universities, which are supposed to be incubators for lively debate and the exchange of ideas, is the chilling effect the warnings may have, said Zittrain, the Harvard professor.

"I would hate to see the policy extended so broadly that you have students scared to read newspapers," Zittrain said. "What I hope no one would want to do is ask if you read an article about the documents and hold that against you. They're out there so it might be quite natural to read something about them."

@highlight

U.S. colleges warn students to not comment on, post links to WikiLeaks on social media sites

@highlight

Doing so calls into question "ability to deal with confidential information," memo says

@highlight

Experts: Statements may affect chances of getting security clearance for government jobs

@highlight

Some say schools are overreacting; others say warning is prudent advice