(CNN) -- U.S. Army Sgt. Steve Flaherty was in a tough spot and he knew it.

"If Dad calls, tell him I got close to being dead but I'm O.K.," he wrote to his mother. "I was real lucky. I'll write again soon."

Not long after that, Flaherty's luck ran out in the jungles of Vietnam. He never wrote to his mother again.

His letter to his mother, along with at least three other letters, fell into the hands of North Vietnamese soldiers when he was killed in March 1969.

Now those handwritten letters are on their way home.

Nearly four decades after the end of the Vietnam War, the United States and Vietnam have exchanged personal papers taken from the dead bodies of each others' troops for the first time, the Pentagon announced Monday.

While the letters themselves are still in Asia, their emotional impact has already hit home for members of the Flaherty family.

Martha Gibbons said Monday that recognizing her late brother-in-law's handwriting immediately and reading of the carnage he witnessed tore at her heart and reinvigorated the positive feelings she has for him.

"I've always loved Steve and admired his courage and character," she said. "And this just made me admire and respect and love him even more."

Vietnamese Defense Minister Phuong Quang Thanh gave U.S. Defense Secretary Leon Panetta, who was on a historic visit to Hanoi, the letters taken from Flaherty's body and later used in Vietnamese propaganda broadcasts.

Panetta announces new strategy with Asia

A top Vietnamese colonel, Nguyen Phu Dat, kept the letters since the war, and mentioned them last summer in an online publication about documents from the war years.

A retired Pentagon prisoner-of-war and missing-in-action expert ran across the reference a few months later, the Department of Defense said.

The Pentagon and State Department worked with counterparts in Vietnam to arrange the handover of the Flaherty letters to Panetta, who will have them returned to Flaherty's family.

In exchange, Panetta handed over a diary taken by U.S. Marine Robert Frazure from the body of Vietnamese soldier Vu Dinh Doan in 1966.

Frazure had brought them home to Walla Walla, Washington, and kept them after his discharge from the military.

He later gave them to the sister of one of his buddies killed in the war as she researched the conflict. She passed them to the PBS program "The History Detectives," who tracked down Vu Dihn Doan's family and gave the diary to American officials to hand back.

As to Steve Flaherty, he was the biological son of a Japanese mother and American father who was adopted as an adolescent from an orphanage in Japan. He soon became a proud son of the Flaherty family in South Carolina, where he was a star student, athlete and "caring, loving young man," according to the now 73-year-old Gibbons.

"Everybody who met him loved him," she recalled. "He was very smart, very athletic, very proud of his country -- just a wonderful young man."

A college student with pro baseball prospects, Flaherty joined the Army willingly "because he felt it was his obligation," his sister-in-law said.

He was eventually dispatched to Vietnam, informing his family of the perils there by mail, even as he likely shielded the worst of it from his adopted mother. Gibbons, though, said the excerpts she's read from his recovered letters gave her new appreciation for his courage, as well as sadness that he had to deal with such terror.

"I was in tears (reading the letters) thinking of how he must have felt, how afraid he must have been yet determined to do his duty, as he stood there with bullets flying around him," she said.

"I knew he was in danger, but I never knew he was in that kind of danger. I just wept for him, and I wish I could have been there to help him."

Gibbons said the family had no idea such letters existed until about six weeks ago, when she was contacted by former Defense Department official Robert Destatte, who'd translated parts of the online Vietnamese publication.

It wasn't until Sunday that she read a new message from Destatte, telling her the letters may be exchanged the following day. On Monday, Gibbons said a top aide to Panetta called her from Vietnam, setting off a whole new wave of memories and emotions.

"It is like going through the funeral all over again, with a different feeling," she said.

Himself seeing the Flaherty letters for the first time on Monday, Panetta said "a lot of blood was spilled" on both sides but he "hopes it helped in healing relations" between the two countries.

JoAnne Shirley, whose brother Maj. Bobby Jones is the only flight surgeon still missing from Vietnam, praised Panetta's efforts.

"It shows the concern that our own government has for our guys that are missing in action or killed in action," she said.

"There are certain areas of Vietnam that we have never had access to," she said. Panetta's involvement "sends a message to the Vietnamese that we do care and are interested."

Panetta announced Monday that Vietnam is opening up three new areas of the country for remains recovery operations.

Shirley, a former chairman of the board of the National League of POW/MIA Families, said it also sends an important signal to troops fighting abroad now.

"It should send a message to those who are serving today, as well, that we are not going to to leave them on foreign soil. That we do care about them," she said.

And she said the government has a responsibility to its troops.

"Thousands of Americans are still missing from World War II to the present. We have an obligation to these guys that we send into harm's way," she said.

Panetta is on a tour of Asia that includes Singapore and India. His trip aims to boost military ties in the region.

On Sunday, he visited a former U.S. Navy base in Cam Ranh Bay, marking the first trip to the base by an American defense secretary since U.S. forces pulled out of Vietnam nearly 40 years ago.

Standing on the USNS Richard E. Byrd, Panetta said the Vietnam generation "is my generation."

He called on those present to "heal the wounds of the past," saying it makes the sacrifices of those who died worthwhile and will help build a better future.

CNN's Greg Botelho contributed to this report.

@highlight

NEW: The late soldier's sister-in-law says the letters made her weep and love him even more

@highlight

Vietnam hands over letters taken from Sgt. Steve Flaherty's body after he was killed in 1969

@highlight

Defense Secretary Panetta returns a diary taken from a Vietnamese soldier's body

@highlight

It's the first exchange of its kind, decades after the war ended, the Pentagon says