(CNN) -- A federal judge signed off on BP's settlement with businesses and people hard hit by the 2010 oil spill in the Gulf of Mexico.

U.S. District Judge Carl Barbier in New Orleans issued a 125-page ruling Friday night on a class-action suit. He gave the settlement preliminary approval in May and overruled questions and criticism of the agreement in his Friday ruling.

"None of the objections, whether filed on the objections docket or elsewhere, have shown the settlement to be anything other than fair, reasonable, and adequate," the ruling said. "The low numbers of objections and opt-outs are evidence of the settlement's fairness."

BP has estimated a settlement of about $7.8 billion paid from a $20 billion trust. Thousands of businesses and individuals made claims in Louisiana, Mississippi, Alabama, some coastal counties in eastern Texas and western Florida and adjacent Gulf waters and bays.

With the exception of seafood claims, there is no cap on the amount BP will pay to those who agree to the settlement.

Feds won't do new business with BP

BP will pay $2.3 billion to commercial fishermen, seafood boat captains and crew, seafood vessel owners and oyster leaseholders.

The money represents "approximately five times the annual average industry gross revenue for 2007 to 2009 of the seafood industry in the region covered by the settlement agreement." It also "represents 19.2 times lost industry revenue in 2010," the ruling said.

The ruling notes that "the settlement program is processing claims in an "impressive fashion." By last month, 4,500 claims were processed per work.

BP said it is pleased the court approved the settlement "resolving the substantial majority of legitimate economic loss and property damage claims stemming from the Deepwater Horizon accident."

It called the decision "another important step forward for BP in meeting its commitment to economic and environmental restoration efforts in the Gulf and in eliminating legal risk facing the company."

"We believe the settlement, which avoids years of lengthy litigation, is good for the people, businesses and communities of the Gulf and is in the best interests of BP's stakeholders," it said in a statement.

Dean Blanchard, a shrimp processor in Grand Isle, Louisiana, said he opted out of the agreement. He said he wouldn't have gotten a fair amount of money and is planning his own lawsuit.

"BP is trying to make a one size fits all," he said, saying some people and businesses were hit worse than others and deserve more money. "It's not right."

Families of killed rig workers react to BP settlement

The oil spill -- one of the worst in U.S. history -- began after a rig explosion aboard the Deepwater Horizon in the Gulf. Eleven workers died.

Oil spewed into the sea for nearly three months before a cap was placed on the BP-owned Macondo well, nearly a mile beneath the surface.

The spill damaged coral reef formations, according to researchers. Scientists have previously confirmed that a plume of hydrocarbons from the well settled in the deep Gulf. The National Oceanic and Atmospheric Administration said about 59,200 barrels of oil a day flowed from the well.

Last month, Attorney General Eric Holder announced that BP will plead guilty to manslaughter charges stemming from the explosion and the spill. It agreed to pay $4.5 billion in government penalties.

Of those penalties, $4 billion will resolve criminal charges. An additional $525 million will be paid to resolve claims brought by the Securities and Exchange Commission that BP lied to investors by understating the amount of oil flowing into the Gulf.

Separate from the corporate manslaughter charges, a federal grand jury returned an indictment charging the two highest-ranking BP supervisors on board the Deepwater Horizon on the day of the explosion with 23 criminal counts.

The two men were charged with seaman's manslaughter and involuntary manslaughter for each of the 11 men killed in the blast, as well as a criminal violation of the clean water act.

The Justice Department in September also accused BP of gross negligence and a "culture of corporate recklessness" in a federal court filing, which expanded the company's liability. A major civil trial is set to take place in New Orleans in February.

The spill: How much should BP suffer?

@highlight

With the exception of seafood industry claims, there's no cap

@highlight

Settlement is fair and reasonable, despite objections, judge says

@highlight

BP estimates settlement of about $7.8 billion

@highlight

The judge issued the ruling Friday night