(CNN) -- The images are all too familiar. Young protesters, disenfranchised and frustrated, take to the streets to fight a government that is ignoring their demands. At first peaceful, the protests are met with the heavy hand of riot police. Photographs of resilient demonstrators -- some standing obstinate amid the clouds of tear gas, others covered in pepper spray -- flood the Internet. But what is surprising about this week's images is that they come from Hong Kong, one of Asia's financial hubs and a territory known for its stability.

The impetus for these pro-democracy protests, started by a student boycott of classes and joined by the group Occupy Central with Love and Peace, was the Chinese government's pronouncement that the selection of candidates in Hong Kong's election in 2017 would be limited by a pro-Beijing committee, a move that would ostensibly prevent a leader resistant to Beijing's influence from coming to power.

Such an arrangement follows the letter of the Basic Law, which codified the policy of "one country, two systems," as well as a 2007 decree by the National People's Congress that promised universal suffrage in 2017, but hardly their spirit. It is therefore no surprise that the signs have long seemed to point to an eventual clash of perspective.

Hong Kong was returned to mainland China from the British Commonwealth in 1997, its institutions grounded in Western and democratic thought. Hong Kong's economic freedoms and openness draws in companies and individuals from around the globe, further perpetuating the territory's ties to the outside world. On the other side of the coin is Beijing, well known for its opposition to the open flow of information and the Western concept of democracy.

Hong Kong protests: What you need to know

Both sides have demonstrated restraint, with the protesters remaining largely peaceful and the government pulling back riot police after a day of aggressive crowd control tactics. Moreover, it is in the interest of both parties to maintain a low level of intensity. Violent escalation by the Occupy Central movement would only justify an equally violent response, and international condemnation and domestic anger would follow hostile action by the police.

That said, in a meeting with Hong Kong's business elite, Chinese President Xi Jinping asserted that Beijing will not yield. The Chinese government is aggressively censoring posts on Weibo, a popular social media site -- censored posts reportedly increased five-fold over the weekend, and "Hong Kong" is now the most widely deleted search term on the social media site -- and Instagram was blocked for the first time in Hong Kong.

In the meantime, the Occupy Central movement has already achieved much by bringing greater attention to Hong Kong's struggle for democracy. As the removal of riot police reveals, the international presence in Hong Kong means that Beijing does not have the same freedom of action as it does on the mainland. In China, demonstrations against issues such as pollution, corruption and forced land seizures are common and under-reported, caught behind the government's Great Firewall. But it is harder for the world to ignore the comprehensive and detailed reports emanating from Hong Kong. With their actions, the Hong Kong citizens are assembling the pieces for greater civil and political participation in not only Hong Kong but also mainland China.

The possible financial ramifications of the Occupy Central movement could cause Beijing to seek a quick conclusion to the demonstrations. After all, with traffic bottlenecked by protesters, business as usual in one of Asia's financial hubs and China's financial center is in question. A number of banks reportedly temporarily closed some of their branches and asked employees to work from home. Investors, too, are waiting to see the outcome of the protests in Hong Kong before continuing projects. Should the demonstrations linger, Beijing might therefore need to reassess its tactics -- though this could result in an even more aggressive crackdown.

The road ahead will not be easy. Xi and the Communist Party are unlikely to shift from the short-term tactic of censorship and suppression. The leaders and participants of the Occupy Central movement risk arrest and censure in a territory and country that values stability above all. But they are carving out a space for civil and political participation throughout Greater China.

In the end, such participation will improve both China's governance and the lives of its people. Now if only Beijing can get out of its own way.

From umbrella protests to 'umbrella revolution'

@highlight

Hong Kong was returned to mainland China from the British Commonwealth in 1997

@highlight

William Piekos: Occupy Central brings attention to Hong Kong's struggle for democracy

@highlight

Hong Kong citizens are assembling pieces for greater civil participation, Piekos says