(CNN) -- Dennis Rodman, the former NBA star and the first American known to have met North Korean leader Kim Jong Un, was in the secretive country again this past week, purportedly to meet his "friend Kim, the Marshal" and perhaps also, to negotiate for the release of Kenneth Bae, a U.S. citizen detained since November.

Rodman's second trip to North Korea this year comes months after months of threats of nuclear annihilation from Pyongyang. His desire to help Bae is likely to be registered in the annals of diplomatic history as little more than a little diverting adventure.

But one never knows. The "Marshal," who has actually never served in the military, might choose to act in a statesmanlike manner and release Bae after another high-spirited soiree with the basketball legend. That would be good news for Bae, who is reportedly in poor health.

Other detained Americans

Such a dramatic gesture of goodwill by the reclusive leader would achieve the effect of adding insult to the United States in light of North Korea's recent cancellation of an invitation to the U.S. special envoy on North Korean human rights issues.

Rodman, of course, is not qualified to carry out negotiations with North Korea on sensitive political issues. Nor does the North Korean leadership see him as a credible conveyor of official message to Washington.

Kim's unconventional courting of Rodman is about equivalent to his enjoyment of Disney characters and scantily clad women on stage. It's all jolly and trite pleasure.

Kim's attraction to American icons such as the NBA or Hollywood does not signal a genuine overture to Washington. It does not indicate intentions of reform or opening up of the isolated totalitarian state that imprisons some 1% of its population in political concentration camps.

We should never forget that amidst the levity and bonhomie that will emanate from Pyongyang in the coming days, North Korea, throughout more than 60 years of its existence, has committed systematic and widespread attacks on its civilian population, including murder, extermination, enslavement, torture, enforced sexual slavery and disappearance of people. In short, these are crimes against humanity.

But what about the residual effects of personal warmth and brotherhood between Kim and Rodman? Will not such a "cultural encounter" between the Korean and the American lead to a "breakthrough," as "ping-pong diplomacy" between China and the U.S. in 1971 supposedly did?

In 1971, American table tennis players were invited to China for the first time. Just three months after that unprecedented "cultural exchange," U.S. national security adviser Henry Kissinger secretly visited Beijing, a diplomatic coup that was capped off by President Richard Nixon's visit to China the following February.

Lest anyone think that ping-pong diplomacy and Sino-U.S. rapprochement are married by cause and effect and hastily draw the conclusion that Rodman's latest visit has a fighting chance of bringing about a diplomatic breakthrough between Washington and Pyongyang, I'd say: Theatrics are not equal to politics.

Kenneth Bae: Please help me

The goodwill triggered by ping-pong matches between Chinese and Americans in 1971 was a mood enhancer to the secret contacts between Washington and Beijing that had been underway since September 1970. The two countries wanted to discuss geopolitical issues of mutual concern: Containing the Soviet threat, the Vietnam War, China's seat in the U.N. Security Council and Taiwan.

But theatrics are not entirely irrelevant to politics. If anything, the young North Korean leader's occasional displays of affinity for American pop culture will only irk the country's revolutionary old guards. Kim clearly lacks the gravitas of his late father. He may believe that he is exuding an affable image by being seen with an American star. But by traditional Korean standards on how a national leader should carry himself, Kim comes across as less charismatic than -- dare I say -- a lightweight.

There is no reason to believe that the North Korean military would challenge anytime soon. Kim's hold on power over the party and the military seems, for now, firm. But the prospects for a long, happy reign for whom propagandists tout as a demigod are dim.

With time, Kim will come to believe in his own infallibility if not in his omnipotence. And megalomania is particularly susceptible to mortal miscalculation, whether on matters of court intrigue or foreign policy. In other words, for Marshal Kim Jong Un, fantasy is reality. And for a ruthless dictator, that's an invitation to an early brush with mortality.

If Dennis Rodman unwittingly sows the seeds of reality in the fantastical world of the North Korean leader by nudging him toward miscalculation and deeper depths of self-absorption or planting doubt in the minds of North Koreans with access to big guns -- then his latest courting of the Marshal may rightfully come to be remembered one day, indeed, as a game-changer.

The opinions expressed in this commentary are solely those of Sung-Yoon Lee.

@highlight

Dennis Rodman was in North Korea purportedly trying to negotiate release of a U.S. detainee

@highlight

Sung-Yoon Lee: In the annals of diplomatic history, this may well be a little blip

@highlight

He says Kim Jong Un's courting of Rodman is equivalent to his enjoyment of Disney

@highlight

Lee: Despite displays of theatrics, don't forget North Korea's crimes against humanity