FINNEY COUNTY, Kansas (CNN) -- U.S. communities are changing complexion as ethnic diversity grows in the American heartland.

Going to church is a popular activity on Sundays in racially diverse Garden City, Kansas.

Though not new in California, Arizona, Texas or Florida, the change of demographics is a bit more surprising in southwest Kansas.

Finney County, Kansas, is one of six counties across the nation that became majority-minority between 2007 and 2008,  the U.S. Census Bureau recently announced. The agency defines majority-minority as a county where more than half the population is made up of a group that is not single-race, non-Hispanic white.

Nearly 10 percent (309) of the nation's 3,142 counties were majority-minority as of July 1, 2008.

"Why there?" people ask Tim Cruz, former mayor of Garden City, Kansas, the largest town in Finney County. And then, "How do you all get along?"

"It's just another melting pot you know," Cruz says. "It makes it nice to have those different cultures. And sure they're different -- we have to understand what they celebrate and why they do it."

In the last couple of decades, massive meatpacking plants in Garden City have drawn workers from Southeast Asia and Somalia.  Watch diversity in the heartland »

You can smell the major industry of Garden City before you actually reach it and the stockyards that feed the meatpacking plants have their own unmistakable odor.

After high school, Cruz worked one year in the meatpacking plant and that one year was enough for him. But he says Somalis, and many southeast Asians come to the area for the steady work, and a steady paycheck -- even if the work is tough.

"Very dangerous, long hours," he says. "I am grateful that they do that work. Now, I know why my dad said stay in school, you know."

At the Alta Brown Elementary School, the native language of about half of the 409 students is something other than English.

Cruz's wife of 26 years, Penny Cruz, teaches English as a second language there. In one class, she leads four kids in a card game of "Go Fish" to help them grasp their new language. Five-year-old Robert is from Burma and has only been in the country a few months. His grasp of English at this stage is mostly mimicry. If the teacher says, "Robert," he'll smile broadly and repeat his name.

Penny Cruz says the town is getting more and more diverse, adding, "I think we all blend together and get along. There are ups and downs but for the most part I think we're all pretty accepting of whoever comes into our community and into our classrooms."

But not all of Finney County's some 41,000 residents are thrilled by the increasing cultural diversity.

The day before public schools let out for the summer, teenagers of all colors were skateboarding, tossing a football, and kicking around a ball in Finney Park. Teacher Linda Turner admits while she's cooking hamburgers for the kids that she's heard some complaints about the area's newest residents.

"There were always whispers," she says. "Out at Wal-Mart you hear, 'Oh, look at how they're dressed ... wonder where they're from, what they're doing here?' Especially if they weren't speaking English."

But much of the United States is looking more like Garden City. New census figures show more than one-third of the people in the United States are non-white and a staggering 47 percent of the population under the age of 5 are a minority.

The latest census figures show four states as majority-minority in 2008: Hawaii (75 percent), New Mexico (58 percent), California (58 percent) and Texas (53 percent). The District of Columbia was 67 percent minority. No other state had more than a 43 percent minority population.

For more than 100 years, Hispanics have lived in Finney County. Tim Cruz's grandmother moved to Garden City in 1910. He doesn't remember the name of the Mexican town she left, but does remember that she instilled a good work ethic in him as a young child.

"She was always a hard worker, " Cruz says, "very dedicated to her work and their church. That's what I remember about my Grandma."

He also remembers as a boy being told, "Don't speak Spanish, you're in America, speak English." And now, despite trying to learn on many different occasions, Tim Cruz can't speak Spanish.

This Midwest enclave, home to hamburgers and hot dogs, is giving way to Vietnamese pho, or Mexican tacos.

Police Chief James Hawkins admits communication with some residents can be a problem for his officers. Hawkins, a 25-year veteran of the force, has nine Hispanic officers on a staff of 58. Not enough he says, but he's trying to add more diversity.

"I have an officer who achieved citizenship about five years ago," the chief says. "He came from deep down in Mexico, and said that's all he ever wanted to do is be a police officer. When he came to the United States, he learned English and has been going to school. That's what he wanted to do, become a police officer, but you have to be a citizen to do that."

For many immigrant residents, life in Kansas, even working at the meatpacking plants, is much better than where they came from. But Cruz wants the immigrants to know, in his words, that "the American dream is much greater."

"We catch them trying to tell their kids they don't need to go to college because this is a good life," Cruz says. "We have to help educate them saying, 'No, there is even a better life than doing this and your kids can get to do that.' "

Cruz seems most pleased that his sleepy small town, is just that, and not rife with racial and ethnic tension and violence.

"I have no magic words. I would just say open arms to people that come in your community because they might be the person that's going to help you when you have times of struggle," Cruz says.

"We're all here for one reason, and someday we'll be gone, and you know, what kind of mark are you going to leave -- good mark, or a bad mark. There are a lot of good people, just try to be a good person."

@highlight

U.S. Census Bureau: Six U.S. counties switch to "majority-minority"

@highlight

Whites are now the minority in Finney County, Kansas

@highlight

Meatpacking plant draws Burmese, Vietnamese and Somalis

@highlight

Former Garden City mayor: "It makes it nice to have those different cultures"