(CNN) -- It's safe to assume that most people outside West Africa had never even heard of Mali until a few weeks ago. If they had, there's a good chance it was thanks to some beautifully flowing song or instrumental by one of the country's many world-renowned musicians: Salif Keita, Tinariwen, Oumou Sangare, Toumani Diabate, Rokia Traore... the list is long.

If it wasn't music then it might have been Mali's priceless medieval manuscripts that drew their attention, or its majestic mud-built mosques, its filmmakers, poets, photographers and writers.

Like Jamaica or Ireland, Mali's music and culture are its primary asset, its shop-window to the world, its "gold and cotton" as one famous musician put it.

Certainly, very few people would have included the words "Mali" and "Islamism" in the same sentence before April last year, when Islamist militia took control of over two thirds of the country and started amputating the hands of thieves, stoning adulterers and whipping women who happened to venture out into the streets 'improperly' dressed.

With the arrival of French forces and the mass hostage seizure at the Algerian oil facility of In Amenas, Mali and Islamism are two words that now appear not only to be inextricably linked but on the front page.

Six reasons why Mali matters

Of course, the association goes back much further than April 2012.

Al Qaeda and the Islamic Maghreb (AQIM) moved south from Algeria and into Mali's remote northern deserts over a decade ago. It proceeded to amass a fortune from kidnapping, smuggling and money laundering whilst undermining the local economy, disrupting social relations and destroying the local tourist industry.

It brought along a hardcore form of Islam inspired by Wahabism and a hatred of the West that was previously almost unheard of in Mali, a country which has long contented itself with gentler and more tolerant brands of Sufism richly tinted by local pre-Islamic beliefs.

AQIM also managed to hijack a rebellion against the central government in Bamako by the nomadic Touareg people of the north that had been grinding on and off for the best part of fifty years.

This conflict, which first erupted in 1963, was always about power, influence and the self-determination of a marginalized people. It was also about preserving the Touareg's unique Berber culture. It had never been about imposing hard line Islam on anyone. But from round 2006 onwards, Touareg nationalism and Islamic terrorism became inextricably confused with each other.

Why Africa backs French in Mali

Indeed, there's a widespread theory, confirmed by the word of just a few bit-players in the drama but lacking any more conclusive evidence, that certain parties who were utterly averse to the idea of an independent Touareg state -- the Malian government, Algeria and others -- either deliberately implanted AQIM in the region, or at the very least tolerated its presence there.

It was hoped that the strategy would attract military aid and doom the Touareg nationalist project to failure. The theory might seem strange given the damage that terrorism has wrought in both Mali and Algeria but most Touareg I know accept it as gospel. We'll probably never know the whole truth.

What's certain is that the Sahara is one of the hardest places on earth for an outsider to understand. Its interlocking cogs of power and influence -- geopolitical, regional, governmental, tribal, mineral, criminal, spiritual, clan and family -- are fiendishly complex.

No foreign intervention can hope to achieve any long-term benefits if it cannot get to grips with the underlying political and social mechanism of this vast region.

2011 brought the Arab Spring and the end of Muammar Gadhafi, who had long been a stabilizing force in the Sahel, and both a promoter and a hinderer of Touareg nationalist ambitious. His weapons arsenals were opened up to armed groups of every stripe and in January 2012, the Touareg used this opportunity to reignite their rebellion in northern Mali. But it was al Qaeda in the Islamic Maghreb who eventually took control, either directly or through a network of alliances.

Now Mali's hopes lie with the French, who intervened on Friday January 11, after months of diplomatic wrangling at the U.N. and elsewhere.

France 'not a pacifist nation'

So the world has a new front on the global war on terror and France has a new battle to fight in Africa.

Within northern Mali itself, however, and throughout the Muslim world, this is not seen as a war on terror but as a cultural conflict, one that pits a group of people who feel that the future of their society will be best served by rejecting Western liberal values and returning to the core tenets of Islam against another group who believe in religious tolerance, secularism, democracy and music.

This conflict turns musicians, artists and writers into frontline soldiers.

Saudi Arabia destroyed its mausoleums and silenced its musicians decades, even centuries, ago. In the Algerian civil war of the 1990s, many musicians, writers and cultural figures were killed, prompting others to flee overseas.

In Mali they're still singing, still writing, still fighting, for the time being at least.

In this new battleground in the cultural wars of the Muslim world, a distant mirror of the religious wars that shook Europe in the 15th and 16th centuries, Malian musicians are taking a stand. That's why music matters. That's why Mali matters.

The opinions expressed in this commentary are solely those of Andy Morgan.

@highlight

Until recently, Mali was better known for its music, mosques and manuscripts than for conflict

@highlight

Andy Morgan: Music and culture are Mali's shop-window to the world, its primary asset

@highlight

Conflict turns musicians, artists and writers into frontline soldiers, says Morgan

@highlight

Morgan: In Mali they're still singing, still writing, still fighting