(CNN) -- A couple weeks after attending his first United Nations General Assembly meeting as president, Barack Obama was awarded the Nobel Peace Prize. What a difference three years makes.

Back in his first months in office, simply being Barack Obama was enough to bring cheering crowds into the street. Whether it was because he was not George Bush or because he was promising to end American policies that were widely despised or whether it was because -- as the first African-American to be elected U.S. president, he embodied an ideal of opportunity for all that was core to this country's appeal -- it hardly mattered. Convene a crowd, and they would find something to like about Barack Obama.

Back then, he seized the moment with great speeches that offered a vision for a new era in American leadership. In Cairo, he spoke of new relations with the Islamic world. In Prague, he spoke of eliminating nuclear weapons. He embraced the G-20 as a mechanism of coordinating the response to the global economic crisis. He didn't bully. He charmed.

Indeed, Obama is probably the first person ever to be awarded the Nobel Peace Prize largely for his charm. Or, alternatively, he may be the first person ever to have won the Nobel Peace Prize for the simple achievement of not having been the guy who had the job before him. (This can be an important achievement. Former U.S. Commerce Secretary Pete Peterson once said one of the secrets to job success is picking the right predecessor.)

Opinion: Why you shouldn't vote for Obama

It was a great start. But the problem with great speeches of the kind Obama delivered then is that they contain promises, and if those promises are not kept future speeches not only ring hollow, they are reminders of what has not been fulfilled. As President Obama prepared to deliver his remarks Tuesday to the U.N. General Assembly, the world that had been so supportive had turned less receptive.

The echoes of his Cairo speech seemed very faint indeed as neither Obama nor Mohammed Morsy, Egypt's new president, seemed to know how to characterize the U.S. relationship with that country, once an important ally in the region. Further, the hope for a new relationship with Islam seemed deeply damaged in the wake of recent anti-American protests and the killings in Benghazi, Libya.

The Prague speech's promise of a world without nuclear weapons was predicated on the idea that the world's two most important nuclear powers, the United States and Russia, would move to a more constructive relationship. That has not happened. The relationship is deeply strained. And the threat of proliferation of nuclear weapons to Iran was a central subject of the president's remarks. He said such a threat could not be contained and therefore the United States would not tolerate it arising. But clearly, the question mark associated with past unkept promises hung in the air over that firmly delivered assertion.

Obama was awarded the Nobel Peace Prize on the assumption that he would be the president who got the United States out of the wars in the greater Middle East that had cause so much dissent during the Bush presidency. But Obama subsequently chose to increase the U.S. troop presence in Afghanistan. He serially violated national borders with special operations missions, drones and cyber-attacks. He changed U.S. doctrine but seemed to continue to embrace a "we'll do what we choose" American exceptionalism. The notion that the Middle East is itself somehow more peaceful today than it was when he received that prize is ludicrous.

The United States has turned away from the G-20 as the primary mechanism of global economic cooperation. Indeed, the president has turned away from the United Nations for campaign purposes, stopping only for a speech and campaign press appearances, not to meet with international leaders.

It would be wrong to suggest that President Obama is solely responsible for these developments. He could no more control the Arab street than he could the behind-the-scenes machinations of a tin-pot thug like Vladimir Putin. He has racked up some considerable foreign policy achievements as well. America is out of Iraq. Bin Laden is dead. So too is Ghadafi.

The U.S. economy is slowly turning a corner. And the president has been blessed with an adversary in this campaign who responds to every potential crisis for the president with a bigger self-inflicted crisis for his own campaign. Indeed, it sometimes seems that the GOP would be better running with no candidate at all than the one they have got.

Opinion: The true difference between Obama, Romney

Speaking to the United Nations, President Obama tried to evoke the strength and promise of that first year. His language was soaring and his themes were resonant. He evoked the kind of understanding for international perspectives that were signatures of that first year in office. Of the costs to the Middle East of intolerance. Of the strength of American values like free speech and government for, by and of the people.

It was apparent once again that this was a compassionate president and a man of good values. But for every strong assertion that echoed through the hall, the echoes of three years of past speeches added a question: Are good values enough? Can this president, any president, any man or woman, deliver the results that would have warranted that premature prize Barack Obama was awarded in 2009?

Was it not so much an award to a man as it was to an idea of the leadership we have ever since needed but have yet to find? Barack Obama right now has his sights clearly set on the challenge of winning the November election. But for him, that is a far smaller hurdle than what awaits if he wins: one last chance to live up to the hope that ushered him into office, one last chance to earn the prize he has already won.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: In 2009, Obama got Nobel shortly after his first U.N. General Assembly

@highlight

He says back then, world saw him as leader to end wars, which proved too hard to do

@highlight

He says no end in sight for turmoil in Middle East, relationship with Islam damaged

@highlight

Rothkopf: Obama focused on election, but greater challenges await if he wins