(CNN) -- Politics has long mixed with golf -- from the early 20th century, when William Taft became the first U.S. president to openly admit his love for the game, to modern-day leaders such as Barack Obama and George W. Bush.

One of their colleagues, Gerald Ford, was the first honorary chairman of the Presidents Cup event, which will this week be contested by the U.S. and International teams for the ninth time.

Australian Prime Minister Julia Gillard will be the first woman to fulfill the role as 24 of the world's best non-European golfers line up in Melbourne for a series of match play contests starting on Thursday.

The Americans have dominated the biennial tournament since it was first played in 1994, with six wins and a tie. The Internationals' only win came when Royal Melbourne Golf Club also staged the 1998 competition -- and Australian PM John Howard was chairman.

Bush and his father have both served in the role, while in 2000 Bill Clinton became the first sitting United States president to be involved. South African President Thabo Mbeki (2003) and Canadian Prime Minister Stephen Harper (2007) have also accepted the honor.

Players are not paid, and tournament profits go to charity, with more than $23 million distributed to 15 countries since 1994.

While origins of its name are unclear -- the PGA Tour, which runs the event, could not give CNN a definitive answer -- the tournament's link with global leaders is undeniable.

Obama, the 2009 chairman, follows in a long line of White House incumbents to love golf. This was never more evident than on May 2 this year -- the date he announced that Al-Qaeda leader Osama Bin Laden had been killed by U.S. forces in Pakistan.

On the morning of his address to the nation, President Obama deflected any possible attention away from him by indulging in his favorite pursuit, a game of golf at the Andrews Air Force Base course in Maryland.

Although, quite understandably, he played only nine holes instead of his regular 18 that day, Obama's love for the game meant he had a perfect decoy to the dramatic events about to unfold.

He is not alone in taking to the greens while occupying the Oval Office, with 15 of the last 18 presidents said to have played the sport while in power. Here is CNN's guide to the top golfing leaders.

1. John F. Kennedy (1961-1963)

Video footage of JFK playing golf shows how talented he was, although -- unlike President Obama -- he was reluctant to associate himself with the game.

During his run for president in 1960, Kennedy did everything possible to keep his fellow Americans from discovering that he not only loved the game but was nearly as good as a club professional, with a beautiful natural swing.

Throughout Dwight Eisenhower's two terms, Kennedy had portrayed him as someone who cared more about lowering his handicap than improving the lives of ordinary Americans, so information about his own passion for the game only emerged later.

2. Dwight Eisenhower (1953-1961)

Eisenhower is recognized as probably the most dedicated to the sport, and was often criticized by Democrats for spending too much time on the golf course.

Eisenhower's solution? In 1954 he had a putting green installed at the White House, a short stroll from the Oval Office, to enable him to practice while at work. It still exists to this day.

The former five-star general was also a member at the Augusta National Golf Club, where an overhanging tree on the 17th hole proved such an obstacle to the leader that it was dubbed the "Eisenhower Tree."

3. William Taft (1909-1913)

Taft was the 27th president, but the first to openly admit to his love of golf, which had previously been depicted as a sport for the rich.

In fact, no president has done more to promote golf than Taft, who was a regular player at exhibition matches and encouraged the media to report on how he had played -- good or bad.

Despite being a large man, Taft was a good golfer, playing off a 20-handicap. However, during one of his regular public rounds at the Kebo Valley course in Maine, he managed to take a massive 27 shots at the 17th hole.

4. Woodrow Wilson (1913-1921)

Like his predecessor Taft, Wilson was mad about golf. In fact, it is widely rumored that he played a round every day of the week, apart from Sunday.

During his two terms in office, Wilson played more than 1,000 rounds. He even had a set of black balls made so he could play golf in the snow. A man of famous quotes, Wilson described golf as "a game in which one endeavors to control a ball with implements ill-adapted for the purpose."

5. Franklin D. Roosevelt (1933-1945)

Roosevelt, the longest-serving president in U.S. history, started playing golf as a 12-year-old. Such was his early addiction to playing, he cleared a patch of land on the family's four-acre estate to make room for a nine-hole course.

Sadly, illness prevented FDR from playing the game for much of his adult life, but he never lost his passion for golf and always kept a lighter in the shape of a golf ball on his desk in the Oval Office.

One of his legacies was the public works program that led to the construction of more than 300 municipal courses with federal money, making the game more accessible to ordinary Americans. There is a public course in Philadelphia named after FDR in recognition of this.

6. George W. Bush (2001-2009)

President Bush was not shy in letting people know about his interest in golf and was often accompanied by the world's media during a round.

On one such occasion, he made one of his infamous gaffes which was reported around the globe after he gave a press briefing from the course. Questioned on violence in the Middle East, Bush told reporters: "I call upon all nations to do everything they can to stop these terrorist killers. Thank you." He then paused and said: "Now watch this drive!"

7. Gerald Ford (1974-1977)

An avid golfer and sportsman in general, Ford had an unfortunate reputation of being clumsy and accident prone despite being athletic for his age.

One such occasion happened during a round of golf when his drive accidentally drifted into a crowd of spectators and struck a woman on the head. The clip was repeatedly aired on television and parodied by comedians.

8. Bill Clinton (1993-2001)

Clinton was renowned for an entourage featuring Secret Service agents, a police sniper, a man carrying U.S. nuclear codes, various aides and someone with a secure telephone so he could speak to world leaders during a typical round.

Clinton also had a reputation for awarding himself (and his playing partners) free shots, known as mulligans, on the course -- a reputation he claimed was greatly exaggerated.

9. Richard Nixon (1969-1974)

Nixon became an avid golfer during his time as vice-president to "golf nut" Eisenhower. However, as the complexities of office took hold towards the end of his tenure, he devoted less and less time to playing, despite having his own private three-hole course at his home in California.

10. Ronald Reagan (1981-1989)

Reagan came into politics late and had already perfected a decent swing by the time he took office. However, unlike many presidents before him, he actually played less and less golf during his eight years in the White House, although he did indulge in a regular New Year's Eve round in California.

On one occasion in 1983, Reagan was playing at Augusta National, the home of the Masters, when a gunman took hostages in the pro shop and demanded to speak to the former Hollywood actor.

@highlight

The ninth Presidents Cup between U.S. and International teams is in Melbourne

@highlight

Australian Prime Minister Julia Gillard is golf event's first woman honorary chairman

@highlight

Barack Obama had the role in 2009 when tournament took place in California

@highlight

President Obama is the latest in a long line of White House incumbents to play golf