Washington (CNN) -- In an election year that some pundits have predicted will be focused on jobs and the economy, social issues like same-sex marriage have stolen the spotlight a surprising number of times. But experts say don't expect those hot-button topics to be the ultimate markers of the 2012 cycle.

On Wednesday, President Barack Obama officially came out in support of the right of Americans to marry same-sex partners, ending a streak of ambiguity over his position that has long perplexed supporters of marriage equality.

"I've just concluded that for me, personally, it is important for me to go ahead and affirm that I think same-sex couples should be able to get married," Obama told ABC News.

His now-evolved statement came one day after North Carolina became the latest Southern state to pass an amendment banning same sex-marriage and domestic partnerships. Obama's campaign issued a statement last month opposing the amendment.

But pressure had grown on the White House to go further after Vice President Joe Biden said Sunday, in response to a question on a talk show, that he was "absolutely comfortable" with same sex-marriage. Obama had said only that his position was "evolving" after having once opposed same-sex marriage.

On Monday, Education Secretary Arne Duncan also showed support for same-sex marriage. Marriage-equality advocates quickly pounced on the statement, ramping up pressure on Obama to do so as well.

"Standing up for the freedom to marry is not just the right thing to do, it's the right thing politically, and it's time for the president to stand on the right side of history," said Evan Wolfson, president of Freedom to Marry, an advocacy group.

Political observers say the president was simply playing smart politics. With a Gallup poll showing the country is split over the issue -- 50% of voters support the practice, while 48% oppose -- Obama had a fine line to walk in terms of political impact.

Opinion: Obama's most courageous moment

"While this president can point to successes in advancing gay civil rights, much more than I think any other president, that final step (of endorsing same-sex marriage) would leave him open to a series of negative attacks that could really alienate swing voters," CNN political contributor John Avlon said Tuesday, before the president made his statement.

Several other states are dealing with the issue this year. Washington, Maryland, Colorado and Maine have passed or are poised to pass legislation in favor of same-sex marriage, while Minnesota will vote on a ballot initiative similar to North Carolina's.

Analysts say the move could prove to be risky for the president this fall, especially in key swing states like Indiana, North Carolina and Virginia, which have strong conservative bases and demographics that might take issue with the president's stance.

"It's going to have some political cost for him," predicted Alex Castellanos, a Republican strategist and CNN contributor. "He will lose some Reagan Democrats, the cultural blue-collar Reagan Democrats in states like Ohio and North Carolina and Pennsylvania -- important swing states."

Opinion: Support for same-sex marriage growing in GOP

But some argue the move was a bold one, which could poll well among independents looking for "conviction" in the White House.

"You'll never agree with everybody on every issue, but now he's taken the position that is clearly in his heart," Paul Begala, a senior adviser for the pro-Obama super PAC Priorities USA Action, told CNN. "People admire a 'conviction politician,' and I think he can stand proud on that."

Presumptive GOP presidential nominee Mitt Romney reiterated his position on the issue after Obama's interview on Wednesday, drawing a stark contrast with that of the president.

"My view is that marriage itself is a relationship between a man and a woman, and that's my own preference," he told reporters in Oklahoma. "I know other people have differing views."

In an interview earlier in the day, he said he supported domestic partnership benefits and hospital visitation rights for same-sex couples. However, in the past, Romney has expressed support for a federal amendment banning gay marriage and has said that he, unlike Obama, would defend the Defense of Marriage Act, which defines marriage as the union of a man and a woman.

This isn't the first time a social issue has appeared front and center this cycle. In February, the Obama administration's so-called contraception mandate sparked a wave of opposition from Republicans, who decried a requirement that institutions affiliated with religions include contraception coverage in their health care plans.

iReport: What's your take on this issue?

The outcry ultimately influenced the administration to amend its proposal so that insurance companies, not the institutions, would pay for contraception coverage.

That episode was part of a larger Democratic-led narrative that paints the GOP as waging a "war on women." As another example, Democrats point to a bill recently signed by Virginia Gov. Bob McDonnell that requires any woman desiring to undergo an abortion to first be given an ultrasound test.

Hitting back, Republicans seized on comments made by Democratic strategist Hilary Rosen, who last month criticized Ann Romney for having "never worked a day in her life" as a stay-at-home mother. The GOP argued her comments reflected a cultural bias among Democrats against Republicans.

But will same-sex marriage prove to be a key issue in the presidential election?

With a number of states voting this year on the issue, experts say it will probably make a few more headlines but will unlikely be the biggest issue of 2012.

The fact that North Carolina, a traditionally conservative state, voted to pass the amendment is no surprise and indicates little about voters' attitudes on same-sex marriage, said Professor Andrew Koppelman of Northwestern University Law School. But if social issues do play a prominent role this cycle, Obama would come out ahead in the resulting debate, said Koppelman, who has done extensive research on the legal implications of same-sex marriage.

"People who feel most strongly about same-sex marriage are either strong Democrats or strong Republicans," he said. "The people who could go either way are people who are worried about the economy. If the economy does not look like the winner for Romney, it's hard to imagine him pulling it out with this."

Koppelman said Obama's support for same-sex marriage will likely energize his base -- but he added that the statement is about all the president can do in terms of affecting the issue.

"Ultimately, it's up to the courts to decide," he said. "Really, all that he can do is try to be an opinion leader here. He hasn't got any real power."

A Pew Research Center survey in April showed same-sex marriage to be low on voters' minds, with the issue coming in dead last out of the 18 topics listed. Only 28% of voters described it as a "very important issue" this election year.

Jennifer Pizer, legal director at The Williams Institute, which studies sexual orientation, law and public policy at UCLA, said she would be surprised if the issue comes into play this fall, despite its appearance on states' ballots and the president's changed position.

"I suspect the issue might have played some role in North Carolina, which will be contested," she told CNN in an e-mail. "But with the marriage vote having happened just now, it seems unlikely to still be much on voters' minds six months from now."

She added that Obama's comments may fuel ongoing discussion among pundits and politicos, but doubts voters will view the issue as a highly important one this fall.

"The overwhelming majority of Americans already enjoy the right to marry the person they wish to marry, and are not directly affected by laws prohibiting same-sex couples from marrying," she said. "Those laws just don't affect their families, let alone their jobs, their children's schools, or whether they are able to take loved ones to the doctor."

@highlight

Experts say they don't think same-sex marriage to be a deciding issue in November

@highlight

President Obama's statement on Wednesday ends a streak of ambiguity over his position

@highlight

Obama had said that his position was "evolving"