(CNN) -- There is a one-word subtext to President Obama's trip to Africa: China.

After 9/11, the United States became embroiled in more than a decade of wars in Asia and the Middle East. As a result, U.S. engagement in Latin America and Africa largely atrophied.

Meanwhile, China saw an opportunity. China has now displaced the United States as the largest trading partners of two key Latin American countries, Brazil and Chile.

China's economic rise is particularly marked in Africa; it quietly surpassed the United States as the continent's largest trading partner four years ago.

Sino-African trade is now estimated to be $200 billion a year and is expected to rise to $325 billion in the next two years.

While the conventional view has long been that Africa is largely a motley collection of economic basket cases, in fact, according to the most recent IMF figures, five out of 10 of the world's fastest-growing economies are in Africa.

Indeed, South Sudan, Libya and Sierre Leone are the globe's top three economic hot spots with projected 2013 growth rates of 32%, 20% and 17% respectively.

As if to underline the importance that the Chinese see in Africa, within two weeks of assuming office in March 2013, the new Chinese president Xi Jinping visited two of the three African countries Obama will be visiting on his African trip, Tanzania and South Africa.

China is the largest trading partner for both of those nations.

Read this: Obama 'plays catch up' in Africa

Seemingly as a result of its substantial investments and trade in Africa, China is well liked on the continent. A 2007 Pew Research Center survey found 92% of respondents held favorable views of China in the Ivory Coast and Mali, and between 67% and 81% held favorable views in Kenya, Senegal, Ghana, Nigeria, Tanzania and Ethiopia.

Pew noted that these favorable views of China come at the expense of the United States: "China's influence is almost universally viewed as having a more beneficial impact on African countries than does that of the United States."

In other words, the United States has considerable catch up to play in Africa.

In 2012 then-Secretary of State Hillary Clinton toured Africa and made what many assumed to be a not-so-thinly veiled swipe at China, which is heavily involved in African mineral and oil extraction: "The days of having outsiders come and extract the wealth of Africa for themselves, leaving nothing or very little behind, should be over..."

Obama is likely to avoid any criticism of China but he has chosen to visit Senegal, Tanzania and South Africa, countries that are all relatively functional democracies, and he is likely to dwell on the issues of good governance and respect for human rights in his public remarks, which will serve to subtly remind Africans that these are issues that the United States puts more value on than does China.

But the real message Obama will be signaling is that America is open for business with Africa. In Tanzania, the president will have a closed meeting with some two-dozen leading American and African CEOs. And, according to Jennifer Cooke, an expert on Africa at the Center for Strategic and International Studies in Washington, "some 500 business leaders will join the president at various points in his trip to assess the opportunities for themselves."

Perhaps they may conclude, as the World Bank did last year, that "Africa could be on the brink of an economic takeoff, much like China was 30 years ago, and India 20 years ago."

And if that happens, the United States, of course, would want to be part of this story.

@highlight

President Obama is visiting Africa after years of little U.S. engagement with continent

@highlight

Peter Bergen: China took advantage of the opportunity to vastly expand trade

@highlight

He says Obama is seeking to counter China, show that U.S. is open for business

@highlight

Some African economies are growing very fast, and there are forecasts for more growth