(CNN) -- Step by step, in the soft sweet light just before dawn, we climb a knife edge of Namibian sand. We are walking up one of what are said to be the world's tallest dunes.

One dune called "Big Daddy" rises 380 meters, or about a quarter-mile, from its base, soaring above the hardscrabble scrub-brush and acacia-dotted landscape of western Namibia's Namib-Naukluft desert. This area, known as Sossusvlei, is remote, about 300 kilometers (186 miles) south-southwest of the capital, Windhoek, and an equal distance southeast from Walvis Bay. But it is worth the long desert drive. The dunes at Sossusvlei are a natural wonder of the world.

The sand beneath our feet is powdery, as soft as talcum. Weather and water have crushed it. There are no rocks and no trees on the dunes' steep slopes, just scattered patches of grass. The night winds and dry sand prevent the rest. There are only the fresh footprints of the few people leading the way up the sharp, narrow crest of the dune. The slopes fall away just a step on either side.

We have to stop to safely gaze across the barren valley at the silhouetted outlines of more towering dunes, set against the now dark but slowly lightening sky. It's difficult in the early morning to see the color. But as the sun slowly rises, for a few more minutes invisible just below the horizon, the dunes' rich deep orange-red colors begin to emerge.

Send in your shots from Namibia

The reason we, and so many others, have come here is for the moment just minutes away, when the sun will suddenly blast above the edge of the parched earth, revealing a landscape that's at once starkly beautiful, sensationally dramatic and incredibly rare.

Geologists will tell you that Namibia's dunes are built and shaped by wind and carved by water. They are believed to be 60 million to 80 million years old, made of sand pushed inland over the eons from the coast by Atlantic Ocean winds that sweep onshore 80 kilometers to the west.

Here, near the settlement of Sesriem, westerly winds from the Naukluft Mountains to the east collide with the Atlantic winds, stopping the dunes' advance. When the wind from the west meets the wind from the east, the sand is pushed upward like the ocean waves the dunes resemble. It forms almost perfectly symmetrical "star" dunes, each with several arms extending outward from the summit.

The eastern mountains don't face the entire expanse of dunes, so the wind cuts the Sossusvlei valley into a "U" shape. The result is a region of sharply defined massive sculpted sand piles surrounding a vast valley.

Water too has shaped this region, although mostly it is long gone. The ephemeral Tsauchab River flows nearby, but only during rainy periods. The water storms through the dune valley, but the dunes stop its advance. It pushes forward and gathers into small lakes at the base of the dunes but often quickly dries up.

In a few spots, the water remains, forming shallow marshlands called "vlei" (pronounced "vlay") that support trees, birds, frogs and other small wildlife. Grasses provide food for springbok, gemsbok and oryx.

Quiz: What do you know about the rest of Namibia?

In most places, though, are the remains of dried-up marshlands, barren clay and salt basins that contain the dunes' dramatic foil: the dead acacia or "camel thorn" trees. Their black, twisted, petrified remains are said to be as old as 900 years, the harsh remnants of the life that once thrived in the now-vanished lakes. Black pied crows perch in their dead branches and then suddenly take off in flocks to surf the swirling breezes around the dunes.

The most prominent dead lake is called, appropriately, Deadvlei. It is a broad basin of parched ground surrounded by dunes. It is accessible along a dirt and sand path that crosses smaller dunes on one end. As we walk over the crest, the bone-dry basin appears below.

Once, centuries ago, there was a lake here. Now, blackened petrified acacias rise hauntingly from the hard vlei floor. Jennifer Lopez once filmed a scene here for the movie "The Cell." The lunar ground crackles slightly beneath our feet as we walk out to the tree Lopez posed against. It is a perfect place for science-fiction, but it is very starkly real.

The Namib-Naukluft National Park itself is closed at night. Visitors stay at lodges and campgrounds in Sesriem, the settlement outside the park (see accommodation information below).

In the darkness before dawn, they drive the 60-kilometer (37-mile) road from Sesriem and line up at the entrance gate, then gingerly navigate the rough road about 5 more kilometers to the first dunes. One needs a high-clearance 4x4 to reach most areas of the valley, including many of the popular sites. It's easy to suddenly drive into deep sand. On one tract, we had to help a family push out their loaded-down 2x4. This is a bad place to ignore sound advice.

The most popular dune to climb is called Dune 45. It is easily accessible from the entrance road, and from its crest is where most visitors view the sunrise. From the top, the view is otherworldly. The sun rises and the dunes' color emerges, slowly changing and brightening in the desert's morning light. Ahead of us, waves of dunes twist across the basin. Behind us, sand sweeps back toward the ocean.

We sit, take photographs and play a bit in the sand, always mindful of the steep slopes around us. When it comes time to descend, there are two ways down: walk back down along the crest you climbed up or sand-ski down the slope. The second option is very steep and only for the daring. Those who choose the slope hop and zig-zag across and down, as if they're skiing. Many slightly less intrepid visitors try the slope descent sitting.

The sand is so soft and deep, and there are no obstacles to hit, but it is a long way down. Still, with just a little care, it is very hard to get hurt. It is a natural playground.
Endless exploration, hiking and dune climbing await. From one vlei, we notice tiny movements atop one of the distant dunes, the outlines of two climbers reaching a summit. But visitors must watch the time. By midday, the desert can become blazingly hot, and there is little shade.

The footprints of this morning's visitors mark the dunes they have climbed. By noon, most are leaving the park. A vast quiet returns. By nightfall, the winds will pick up again, sweeping across the sand, erasing the footprints. The dunes' slopes will quickly return to what they have been for millennia: soft, silent, unmarked -- ready to dwarf and astonish the next day's visitors.

IF YOU GO

Getting there

Sesriem is reached by mostly decent, well-marked roads from Namibia's capital, Windhoek, and from Walvis Bay on the coast. Both cities have international airports, and rental cars including 4x4s are available. The drive from either city takes about 4Â½ hours, and since the goal is to visit Sossusvlei at dawn, it is an overnight trip.

Gasoline is sporadically available en route, but the region is remote, and it is wise to fill up before leaving the city and carry some food, water and sunscreen. Many Namibian tour companies offer escorted trips from Windhoek and Walvis Bay to Sesriem/Sossusvlei. They are easily found online.

Accommodations

An increasing number of accommodations, from campgrounds to upscale lodges, await visitors in and around Sesriem. Be mindful that Sesriem is more like a settlement than a town. Gasoline and limited groceries are available in lodge and campground gift shops. The Sesriem Campsite and Sossus Dune Lodge are inside the park, enabling visitors to get to the dunes before sunrise.

Here are a few accommodation suggestions:

Sossus Dune Lodge is inside Namib-Naukluft Park and offers comfortable, eco-friendly chalet-style accommodations, with canvas walls and thatched roofs. The lodge has a restaurant, bar and swimming pool. Each chalet has an en-suite bathroom and solar-powered lights and fans. The lodge offers a variety of guided trips to the dunes and other nature excursions. Low season rates $139-177 per person; summer season rates $304-355 per person. Discount for children. reservations@nwr.com.na

Sesriem Campsite is a very popular government-owned campground, but visitors must bring their own tents or other sleeping accommodation. Campsites include a fire pit, a water spigot and electrical outlets. Communal buildings have bathrooms and showers. The campground has a swimming pool, a small bar and a gift shop that sells souvenirs, maps, a few groceries and sundries. Advance reservations are a must. About $16 per person per night. reservations@nwr.com.na

Sossusvlei Lodge is an upscale hotel very close to the park entrance. It offers canvas-roofed, air-conditioned units with patios and en-suite bathrooms. The lodge has a restaurant, a bar and beer garden, a swimming pool and an adventure center where travelers can book tours, hot air balloon rides and other activities. Low season rates $161-$254 per person; summer season rates $201-$295 per person. Discount for children.

This article was originally published on May 21, 2012 for 'Inside Africa'.

CNN's Eye On series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy

@highlight

The dunes at Sossusvlei are said to be the world's tallest

@highlight

They are believed to be 60 million to 80 million years old

@highlight

Wind and water have built and shaped them

@highlight

Sunrise, when the orange-red landscape emerges, is not to be missed