(CNN) -- The best photographs work on multiple levels, capturing what's happening on the surface while transcending two-dimensions to invite viewers to dig into whatever's pictured.

That's literally the idea behind Nick Veasey's x-ray photographs. He uses five x-ray machines to take probing photos that provide an intimate, even eerie look into everything from robots to firearms.

"Sometimes I think about [the process] as a metaphor for life," he says. "You are often attracted to people by their physical appearance, but you fall in love with them because of who they are. It's what's on the inside that counts. Same thing here."

13 of the year's best infographics

The English photographer makes most of his photos in an 800-square-foot studio with concrete walls 30 inches thick. The lead door weighs 1,250 kilos, or more than 2,700 pounds. The heavy fortification is necessary because Veasey is constantly bombarding his subjects with radiation. He says the machines he has emit a type of radiation that doesn't contaminate the object after it's been x-rayed.

His studio isn't large enough to photograph an airplane, obviously. Anything that won't fit inside is disassembled and photographed in pieces; Veasey then combines all those images into a composite using Photoshop.

How a radical new teaching method could unleash a generation of geniuses

There are other tricks involved. Instead of shooting the entire fuselage of the Boeing 777 — which is 242 feet long and has a wingspan of almost 200 feet — Veasey shot one curved section and duplicated it in Photoshop. And he shot just three rows of seats because compressing dozens of rows would have made the photo too crowded.

"I try to be as accurate as possible, but I'm also working within certain constraints," he says.

Twitter founder reveals secret formula for getting rich online

Even with these tricks, Veasey says he shot more than 1,000 pictures of the airliner to create the final image. If one of the pieces of the plane was too big for the 14 x 17-inch X-ray film he uses, he had to combine multiple exposures.

The skeletons featured in some photos were captured in one of two ways. For some of the photos, Veasey used a cadaver, preserved in a pressurized suit, borrowed from a nearby college. Others relied upon skeletal models radiology technicians use to train on.

The best map ever made of America's racial segregation

Veasey is working on several new projects at the moment. One is about famous guns like the M16 and Walther PPK. Another project looks at robots. He chose robots because they're getting more sophisticated by the day and he wants to look inside to see what makes them tick.

A third, and larger project, focuses on classic cars, including the Ford Model T, the Mercedes-Benz 300SL "Gullwing" and the iconic Mini. To get around the problem of disassembling the cars — something the owners almost certainly would frown upon — Veasey has tracked down an X-ray machine in Germany big enough to shoot them intact.

Apple's fingerprint ID may mean you can't 'take the Fifth'

He chose older cars because he's a classic car fan. But he also favors classic cars because modern vehicles are packed to the gills with technology with would muck up his shot — air bags, electronics, etc. Classic cars are simpler, more elegant and would make for far more interesting photos.

"All these cars are beautiful things in the flesh, but I also want to celebrate the engineering that went into making them," he says.

Veasey is currently looking for classic car owners who would like their cars photographed. To contact him, please send an email to nick@nickveasey.com.

Adrenaline-pumping photos from some of the world's biggest thrillseekers

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Nick Veasey uses X-ray machines to take revealing photos of large metal objects

@highlight

The British photographer has snapped guns, cars, planes and robots

@highlight

Veasey: With objects as with people, "It's what's on the inside that counts"