(CNN) -- It's a crisp November morning and Slava Polunin is paddling his way down an idyllic river -- in a floating bed.

The 63-year-old Russian isn't escaping some sort of natural disaster. Instead, the white-haired man with bulging red nose and yellow raincoat is doing what clowns do best -- making us laugh.

"The art of clowning is filled with fantasy and absurdity -- a collision of the incompatible," he says, speaking from his surreal fairytale home outside of Paris.

"It's a way to create a new world, rather than repeat the existing one. For example, rather than making your way out through the door, you would make your way out through the window, as it's closer to the tram stop."

Polunin is one of the most famous clowns working in the world today, winning an Olivier Award for his ethereal Snow Show, and performing in 50 countries across the globe in a remarkable career that began in Soviet Russia four decades ago.

Fantasy land

Stepping inside Polunin's rambling home is like walking into a dream -- staircases melt into the walls, a psychedelic caravan parked out front beckons the visitor inside, and childlike murals swirl on every surface.

Indeed, there's barely a right angle in sight in the dizzying house of rainbow, folk-inspired knick-knacks. Windows of every shape and size give a glimpse to the lush gardens outside -- not to mention the emerald river with an iron bed boat moored to its banks.

It's a place to feed Polunin's imagination, which in recent years has helped revolutionize the world of clowning -- transporting it from the big top to the theater stage.

Rather than the buffoonery of the circus, Polunin's clown is a more thoughtful, poetic character, with a minimalist style.

"At the beginning of my career, my clowning was filled with movement, like a child, when you are filled with so much energy that you think you could jump to the sky," he said.

"Today my perception of clowning is that you should be able to move just one centimeter and get a reaction from the audience as if you moved an entire mountain."

Childlike Chaplin

It was watching Charlie Chaplin film "The Kid" on TV as a seven-year-old growing up in Soviet Russia, that Polunin first decided to make a career out of clowning.

"My mom turned the TV off because it was time for me to go to bed, and I cried all night as I wanted to know what would happen next in the movie," he said.

"The next day, when I was about to leave for school, I thought: 'I have to wear something similar to Charlie Chaplin.' So I took my father's boots, hat and a cane and went to school. I made my friends laugh for the entire evening."

Read this: 'Perfectionist' Chaplin demanded 342 takes for one movie scene

Polunin was fascinated by the way movement could convey emotion, and studied dances from across the world -- everything from Japan's surreal Butoh performances, to rock 'n roll, and tango.

He even analyzed the way Disney cartoon characters held certain poses.

"In order to learn how to move as a clown, I imitate the way kids, insane people, drunkards and animals move," he said. "These movements are not limited by intellect.

"The perfect example is to see a child playing on a playground, or running around a forest -- this is how humankind used to be originally -- genuine and excited. These movements evoke a desire to follow."

Provocative performer

Polunin performed on state television throughout the 1970s and 1980s, using his wordless routines to mock the authorities without falling foul of draconian censorship.

"During Soviet times, when Brezhnev was still in power and there was no freedom of speech and expression, I came up with idea of movements without any words to express your personality," he said.

"This idea became massively popular, because I was saying important things without actually saying them."

Polunin became one of the country's best known clowns, later creating the "Academy of Fools," an international organization uniting clowns, and the "Caravan of the World," a traveling theater that meandered from Red Square in Moscow to Paris's Tuileries Gardens.

Universal language

Of course, not every country has the same sense of humor, and Polunin must alter his shows depending on where in the world he's performing.

Americans prefer a faster pace. The Spanish more passion. The French more poetry. And the British seem quite happy for him to stand still for 10 seconds or more.

"I feel very happy when I discover something new on stage," said Polunin. "For example, you perform in China and realize that everything you have done in Europe does not work with a Chinese audience.

"So you start searching, improvising and suddenly you hear a laughter. You wonder why this laughter happened, so you start to dig into those movements. Every culture has its own aspects of movement."

Polunin seems determined to explore them all.

Watch: The magic of mime

Watch: Equine star comes to life on stage

Matthew Ponsford contributed to this report.

@highlight

Meet Russian Slava Polunin, one of the world's most famous clowns

@highlight

Performer's home is a fantasy land of psychedelic architecture and furniture

@highlight

Winner of Olivier Award revolutionized clowning for a modern age

@highlight

Inspired by dancing from across the globe, including Butoh, rock 'n roll, tango