Los Angeles, California (CNN) -- I pitied the other tourists at the car rental lot at the Los Angeles airport: The sight of two Englishmen in their mid-30s sinking uncertainly into a white Mustang convertible is not pleasant.

The car was not a natural fit for us. It was very low to the ground and had a mystifying set of buttons. This meant 20 minutes of painstaking trial and error as we grappled with how to work the roof, as if trying to break the Enigma code.

But as alien as the muscle car was, it was vital to this trip to California, which was essentially to reclaim lost youth in an early midlife crisis. My companion and I had lived in Los Angeles after leaving university and were curious to see how it had changed. We then planned to drive along the coast to San Francisco, taking in some of California's wine-growing regions. This invited unkind comparisons to the movie "Sideways," which sees aging college friends on a road trip drinking wine and navigating disaster.

L.A. has some features that can deter tourists: It lacks a natural focal point, is dominated by roadways and has an abundance of depressing motels and fast-food joints. It also has Venice, a pocket of urban bohemia that has acted as a cultural center for decades.

Developed in 1905 by tobacco millionaire Abbot Kinney, the area derives its name from the canals built to drain off the marshland. It was conceived as a family beach resort but fell into neglect. As real estate prices dropped, the area began to attract an eclectic mix of people. This instilled that bohemian DNA into Venice, which served as a rallying point for the Beat generation in the 1950s and remains an important artistic center.

10 top road trip apps

Much of Venice has hardly changed. The chaotic beachfront boardwalk is alive and well: Tattoo artists, head shops and fortune-tellers hawk their wares to a stream of human traffic, even in winter. We stayed in a free-wheeling art deco style hotel that looked like it had not changed in 40 years.

Elsewhere, there are signs of inevitable gentrification.

The memory of Venice's developer is preserved in Abbot Kinney Boulevard, a mile-long artery and focal point for residents and local businesses. I walked down the palm-lined street every day when I lived in Venice and always enjoyed its offbeat charm.

It was a relief to see the hipsterish local coffee bar Abbot's Habit was still dosing the population and exhibiting local art. But around it, stylish galleries, boutiques and swanky condos now give the road a feeling of imposing wealth, resembling New York's Chelsea district -- certainly the chic end of Boho-chic.

The neighborhood has become safer and cleaner, said Joshua Woollen, owner of Urbanic Paper Boutique. Gang-related activity has dropped, and "what you have now are some of the most influential, creative, progressive and cutting-edge people living within a couple mile radius in one small beach community," Woollen said.

"When my wife and I first moved to Venice over 13 years ago, Abbot Kinney felt like a ghost town," he said.

Perhaps the most dramatic change was seeing the property where I once lived in harder times. Once a teeming human zoo of chancers and borderline personalities, the three houses have been divided and sold. The rough neighborhood is now transformed into a quiet and sunny residential street. I would happily move back.

Feeling considerably older already, we began the "Sideways" leg of the journey.

Channeling the film, the car's top was lowered and we took off along the ravishing Pacific Coast Highway. Hugging California's coastline for 655 miles, the road offers the serenity and endless vastness of the Pacific Ocean as a backdrop. The terrain changes as you head north, taking in plains, craggy headlands and lush green hills that tumble down into the sea. All our heightened expectations were met and rewarded.

An hour after leaving Los Angeles, we reached Santa Barbara County. Long overshadowed by the Napa region farther north, Santa Barbara was put on the wine tourist's map by the release of the Oscar-winning film in 2004. Its influence was immediate.

"Its timing created a tsunami of interest," says Jim Fiolek of the Santa Barbara Vintners Association. "Recognition in not only Santa Barbara County, but wine in general, more specifically, Pinot Noir, which flourishes in Santa Barbara."

With mountain ranges running horizontally across the county, Santa Barbara channels ocean air into its valleys and has a cool climate. This geographical oddity makes it a natural home for Pinot Noir grapes, which can ripen too early in warmer temperatures.

As one "Sideways" character explains in loving tones: "It's not a survivor like Cabernet, which can just grow anywhere and uh, thrive even when it's neglected. No, Pinot needs constant care and attention. You know? And in fact it can only grow in these really specific, little, tucked-away corners of the world."

At first, the region struggled to cope with the surge in interest generated by the film: Tasting rooms were hastily built on vineyards, leading to a jump in sales. By 2008, wine makers were selling directly to customers some eight times as much as they were selling in 2000.

Santa Barbara is a natural target for a day trip from Los Angeles and has the inevitable "Sideways" tour guide for visitors, which generated geekish excitement. We took in a few gems: The Day's Inn motel boasting a looming windmill and mock Tudor facade; Ostrich World, which gives you the bizarre opportunity of feeding hungry flocks; and a vineyard which features in one memorable scene.

I am far from an oracle on wine, but it's not hard to enjoy the distinctly civilized process of tasting.

Visitors to Kalyra Winery gather at a bar featured in the movie and pay $10 to taste eight wines. They can be a mix of red and white and each measure gives the drinker several sips. At the vineyard, we sampled Grenache, Pinot and a blend of Shiraz, Merlot and Cab Franc.

Tastings are also an inducement to buy bottles, which start at around $15 and provide estates with their main source of profit.

Our final destination was on a grander scale altogether: the Napa and Sonoma valleys north of San Francisco. Here, you get the idea of a real industry geared around global exports as much as local sales.

There are some 400 wineries in the region, so the visitor can feel overwhelmed on first arrival. We opted to plan our itinerary on the discerning basis of which vineyards offered two-for-one tasting deals. Most tourists are not averse to sampling wine in the morning, and our first stop took us to Buena Vista, which claims to be the oldest winery in the region. Revealingly, it has been recently taken over by a French brand.

The scenery around the valleys is reliably lovely year-round. In fall, the countryside turns a languid golden color, with neatly ordered rows of vineyards set off by the surrounding hills. Driving slowly in the late autumn sun was almost a religious obligation, despite the ensuing tailbacks.

On my return flight, I resolved to plan a series of similar midlife crises for years to come.

@highlight

Two Englishmen in their thirties hit the road in a Mustang convertible

@highlight

The pair are exploring California wine country a la "Sideways"

@highlight

The trip spans the countryside and coast from Los Angeles to San Francisco