(CNN) -- It was the best of times in 2004, when attorney Dave Dineen graduated from Boston University School of Law and landed a job at a top Massachusetts corporate firm, Foley Hoag LLP.

Attorney Dave Dineen at his new job at Greater Boston Legal Services.

By 2007, the National Association for Law Placement was reporting the most promising year in two decades. Nearly 92 percent of graduating attorneys were employed, and the median starting salary at private practices had increased by $13,000 --to a total of $108,500 a year.

But times have changed.

In the worst economic crisis since the Great Depression, the legal industry is taking an unprecedented beating from the sputtering economy and housing meltdown. Dineen, 37, lost his job as layoffs and salary freezes have spiked at law firms across the country during the past three months.

Rather than just hand out a severance package with the pink slip, Foley Hoag gave Dineen an option. He could work for Greater Boston Legal Services, a legal aid group serving people living in poverty. The firm agreed to pay Dineen about a quarter of his former salary for a year. Dineen, who needed to support his wife and a newborn daughter, accepted.

"This gave me a chance to do something different with my legal career, and help out people who generally don't  have access to public service," said Dineen, who now works on foreclosure cases helping victims of predatory lending.

Foley Hoag is among many megafirms across the country using the economic slump as an ideal time to lend a hand to cash-strapped public interest and legal aid firms. The massive corporate layoffs and program cuts could redirect thousands of young graduates and experienced attorneys from corporate firms into the public sector, legal experts say.

Once insulated, law firms are shedding young and mid-career associates at extraordinary rates. This is especially true at large corporate firms that overestimated their growth and extended too many offers to associates last fall.

White & Case LLP, a leading global firm with headquartes in New York, made a second round of cuts last week. In addition to about 70 associates laid off in November, the firm last week let go of another 400 people, including 200 attorneys. Other well-known firms such Heller Ehrman LLP and Thelen Reid & Priest LLP on the West Coast have gone bankrupt in recent months.

At least 2,149 attorneys have been laid off in 2009, bringing the total to 3,045 since January of last year, according Lawshucks.com, an industry Web site tracking the slump. Hundreds more associates set to start jobs this fall are bracing themselves for rescinded offers and deferred start dates. Some students are finding their summers wide open as law firms like Luce Forward, based in California, have canceled internship programs.

Amid all this dark news, there might be a silver lining. It could transform the legal profession.

"There is a once-in-a-lifetime opportunity coming out of a difficult situation," said Esther Lardent, president of the Pro Bono Institute in Washington D.C., who began discussions this month with at least 15 corporate firms nationwide about placing unemployed attorneys in public interest firms. The project will get under way in a few months, she said.

Other firms have already encouraged attorneys to go into the public sector. Just last week,  one of the largest firms in the country -- Morgan, Lewis & Bockius LLP, based in Philadelphia, Pennsylvania -- announced it will pay deferred associates graduating in 2009 a $5,000 monthly stipend for one year if they secure a job in the public interest field.

International law giants Latham & Watkins LLP and Orrick, Herrington & Sutcliffe LLP offered incoming associates who defer employement until October 2010 a $75,000 compensation package. While working in public service isn't mandatory for Latham & Watkins associates, the firm said there was a "sincere hope" the deferred associates would "use the intervening period to pursue a community service or other public advocacy projects of their choosing."

Such deferral plans can save the companies about $100,000 per associate, and law experts expect the list of firms enacting deferral programs to grow geometrically as the economy worsens.

"Firms are doing this to be flexible and regulate their labor force because there just isn't as much work anymore," said James G. Leipold, executive director of the National Association for Law Placement.

Corporate giants are also scrambling to find work for mid-level attorneys in the public sector. Simpson Thacher & Bartlett LLP, a major New York-based law firm, introduced a yearlong public service fellowship program this year that would pay current attorneys $60,000 a year to work in areas such as social service, community development or academia. The company hopes the program will alleviate "significant budgetary constraints."

"You aren't just throwing somebody out there," said American Bar Association President Tommy Wells, who requested funding in President Obama's stimulus package to help pay attorneys to work in the public sector. (The proposal was rejected.)

"You're meeting a real need in these tough times where you have more of a legal need and fewer resources," Wells said.

Encouraging laid-off and deferred attorneys to go into public service is filling a desperate need at public interest firms.

Public interest and legal aid firms serving the underprivileged have long been under-funded and overwhelmed with cases even in a good economy. Tightened state budgets and a decline in donations have further stretched resources for the public interest firms, forcing them to make staff cuts at a time when demand for their services is greater than ever before.

At Greater Boston Legal Services, the public interest firm where Dineen arrived in January, the effects of a sick economy are apparent. Robert Sable, the public interest firm's executive director, has already reduced staff. The agency, which handles 15,000 matters a year, expects to make more staff reductions in the coming months because of a $2 million funding shortfall.

"We're burning through our reserves right now, so it's nice to have extra help," said Sable, who is talking to another local corporate firm this week about taking in subsidized attorneys.

Some attorneys and law students worry that paying corporate attorneys to work in public interest firms may displace those who actually wanted to work in the public sector in the first place. Jocelyn E. Getgen, who works with students at Cornell Law School, said strained legal aid organizations and nonprofits will want to take in the "free" labor.

Nevertheless, there is little doubt that the economic free-fall is changing the ways current attorneys-- and a new generation of young attorneys-- view the field.

Traditionally, law students have equated best jobs with highest-paying jobs, career counselors say. Students saddled with hundreds of thousands of dollars in debt find themselves pressured to work at large firms that will pay enough to cover the bills, said Tricia McGrath, a director at Lateral Link Group LLC, a job placement agency for lawyers. Many times, going into the public sector isn't even an option, she said.

"Everyone has to rethink all the old models that we believed in, the model where you go to school and then a big firm," said McGrath, who graduated from Fordham University School of Law School in 1998, a time when law jobs were abundant.

Even students at top law schools are finding that their offers have been rescinded. At Harvard Law School, Mark Weber, assistant dean for career services, said he has been working with a handful of students whose job offers have been deferred.

"It can be a tremendous opportunity for the student to take that year and try something entirely different," Weber said. "Hopefully within a year, the economic picture will do better."

After not receiving a corporate firm job offer in the downtrodden industry, Scott Greenwood, set to graduate this spring from the University of Southern California's Gould School of Law, will instead work for the U.S. Department of Housing and Urban Development.

"I can see what it's like to work for a regulatory agency, and that's a different expertise that attorneys don't always get to have," said Greenwood, who will begin working in Washington, D.C., this August. "I've been thinking about it as a blessing in disguise."

@highlight

At least 2,149 attorneys have been laid off in 2009, according to Lawshucks.com

@highlight

Private firms are trying to place unemployed attorneys in public interest firms

@highlight

One firm will pay deferred associates $60,000 a year to work in the public sector

@highlight

Harvard Law School assistant dean: Tough times can be "tremendous opportunity"