(CNN) -- Like a put-upon hotelier trying to fix a decrepit property while simultaneously dealing with demanding guests, the decline of print and rise in peer-reviewed websites like TripAdvisor have given travel guide publishers a big headache.

"It's easier for smaller publishers (to cope with changing times)," says Stephen Mesquita, travel publishing analyst. "They're much fleeter of foot; it's not like they're an ocean liner that has to be turned around."

According to Mesquita's Nielsen BookScan Travel Publishing Yearbook, sales of printed world travel guides have declined by over 40% in the last seven years.

But building a successful brand in the travel guide business can still be achieved, although it can mean more than just providing a hit-list of must-sees.

From a company that was based on "dirty weekends" in England, Mr & Mrs Smith hotel guides have been doing their best to make a clean break from what went before.

Set up by British couple James Lohan and Tamara Heber-Percy ten years ago, the luxury guidebook has carved a niche in a crowded marketplace by appealing to a particular demographic.

"It all started after a crappy weekend in a hotel in the Lake District (in England) when I was trying to impress Tamara," says Lohan. "We realized there weren't really any guide books that were talking to a 30-something audience."

As hotels upped their game to appeal to a more stylish clientele who could afford weekends away from the weekly grind, Lohan and Heber-Percy saw an opportunity.

Remortgaging their house to produce and publish the first guide to these hip new hotels was the first challenge, but finding a receptive publisher and distributor was almost harder.

"The first book was nearly impossible, publishers didn't understand our idea and said another luxury guidebook wasn't needed," says Lohan.

"We thought naively that we could ring up Waterstones (bookshop) and turn up with the car boot open with boxes of books, saying, 'How many do you want?'

"But as soon as we got it out there, it was phenomenal. We've never really had to try too hard to get hotels on board since."

What they have had to do however is adapt to a rapidly changing travel environment, from the way people plan and book their holidays to what they want from a guide book.

"Many guides have reinvented their business models, becoming online booking services or increasingly doing business-to-business operations and looking to online advertising," says Mesquita. "The brand these days is all important."

Now with a 24-hour travel booking service, Mr & Mrs Smith has morphed into something neither Lohan or Heber-Percy -- who have visited over 1,000 hotels over the last ten years -- could have envisioned when they began.

"We're now starting to learn a new part of the travel business. The thing it get most nervous about is note expanding into other areas, but that the integrity of the business is intact."

Personality and standing out from the crowd also helped the diminutive Luxe City Guides punch above their weight and gain a foothold in the international travel guide business.

Founder Grant Thatcher champions his guides' snippy and snarky style and credits it with the guide's success.

"We're aiming at a very targeted, solvent but time poor readership, scorning the word comprehensive and going right for opinionated jugular," he says.

Rather than the internet dilute the appeal of the guide or its money-making potential, Thatcher believes it has helped niche publications like his own.

"Inevitably, the online and digital markets have and are revolutionizing all aspects of how we travel, research and respond to travel trends. The travel guide market has become much more specialized, rather than trying to appeal to the widest audience," he says.

Thatcher says that nearly 1.5 million Luxe City Guides have been sold since launch, while Lohan and Heber-Percy have no intention of doing away with their print editions, looking to China and Asia as the next places for their global expansion.

Mesquita has also seen something of a rebound in the printed travel guide market, primarily he says as some players have simply stepped out of the game leaving a larger share for those who have weather the storm.

"Don't write print off just yet. Last year many players have disappeared from the market altogether and for some of those that have stayed they've even seen some gains in sales," he says.

@highlight

Emergence of peer-review travel websites have had a negative knock-on effect on travel guides

@highlight

Sales of global travel guides have declined by over 40% in the last seven years

@highlight

Still a strong market for niche travel guides like Mr & Mrs Smith