(CNN) -- One of the world's best urban sunsets nearly happened in New York on May 29, 2014.

Unfortunately, cloud cover spoiled the first "Manhattanhenge" event of the year, the term coined by astrophysicist Neil deGrasse Tyson to describe when the sun sets in perfect alignment with the city's street grid.

He created the term based on Stone Henge in the UK, the ancient landmark that highlights the sun in similar fashion during the winter and summer solstices.

Luckily, Manhattanhenge is happening again on May 30 and July 11-12.

And if clouds spoil all all those chances to snap pics of a slowly setting sun beside the Empire State Building, console yourself with these other amazing sunset pics, taken around the world.

We'd love to hear about your own favorite sunset spots too. Tell us about them in the comments section below.

1. U Bein Bridge, Mandalay, Myanmar

When sun sets on the world's longest teak bridge, one of the world's most picturesque sunset views begins.

U Bein Bridge, named after former mayor U Bein, is a 1.2-kilometer wooden bridge across Taungthaman Lake.

The bridge, busy by day with Buddhist monks and locals, seems to relax when the sun goes down.

Daily flights connect Mandalay with other major cities in Myanmar.

MORE: An insider's tour of Myanmar

2. Maasai Mara National Reserve, Kenya

The word "magnificent" could have been invented in Maasai Mara.

At dusk, the expanse of savannah appears to be stained red; bewitching sunsets complement the land perfectly.

The best time to come is July to October, when the annual migration of zebra, Thomson's gazelle and wildebeest come to the Mara from the Serengeti.

Lodges, camps and balloon safaris are available inside the reserve.

It takes 45 minutes to fly to Maasai Mara from Nairobi and two hours from Mombasa, Diani Beach or Malindi.

For more info, visit Massai Mara National Reserve's website.

MORE: 10 things you probably didn't know you can do in Kenya

3. Uluru and Kata Tjuta, Northern Territory, Australia

The domed Uluru (aka Ayers Rock) rises 348 meters above the desert plain, extends five kilometers beneath it and has a circumference of 9.4 kilometers.

Kata Tjuta (aka The Olgas) is a range of 36 variously sized rock domes 36 kilometers to the west of Uluru.

Dominated by these giant wonders, the national park is a UNESCO World Heritage area.

The Uluru rock appears to change colors as the sun beams over the desert landscape, hitting Kata Tjuta in the background.

Daily flights to the Northern Territory are available from major cities in Australia.

MORE: How to survive in the wilds of Australia

4. Aci Trezza, Catania, Italy

Aci Trezza is a fishing village on the east coast of Sicily.

It's the town where Giovanni Verga set his 1881 novel "I Malavoglia" ("The House by the Medlar Tree").

The Islands of the Cyclops -- three column-shaped basalt rocks -- are the main attraction for visitors. According to legend, these rocks were thrown by Polyphemus at Ulysses.

The Mediterranean here sparkles with golden sunlight at dusk.

Aci Trezza is about 10 kilometers from Catania. Daily shuttle buses and trains from Catania to Aci Trezza are available.

MORE: 10 things Italy does better than anywhere else

5. Grand Canyon, Arizona

"I believe in evolution. But I also believe, when I hike the Grand Canyon and see it at sunset, that the hand of God is there also," said U.S. senator John McCain, ever the politician.

No matter their religious beliefs, millions of people visit the the 445-kilometer long, 29-kilometer-wide Grand Canyon each year to catch a sunset.

Hopi Point, where you can see layers of rock, is one of the best places to photograph it.

Daily flights, buses and trains to Grand Canyon National Park run from Phoenix, Flagstaff and Las Vegas.

MORE: Yellowstone geyser puts on surprise show

6. Dubai, U.A.E.

There's nothing like experiencing a desert sunset atop a camel in Dubai.

Sand dunes, lolloping gait and distant Dubai skyline create a classic Arabian sunset.

Failing that, you can consider a view from the thousand-meter-long Jumeirah Beach, a white sandy stretch along the Arabian Gulf with private beaches and top-notch facilities belonging to luxury hotels like The Ritz-Carlton -- it's open to the public for a small fee.

MORE: Never before seen photos of Dubai's stunning skyline

7. West Lake, Hangzhou, China

West Lake boasts an exquisite sunset scene, with Leifeng Pagoda illuminated by the final rays of the day.

The pagoda became famous with the spread of the legend of Madam White Snake, said to have been jailed in the pagoda for decades.

The original Leifeng Pagoda was built in the year 975 to celebrate the birth of the Wu Kingdom's prince. It collapsed in 1924.

The five-sided, eight-floor pagoda was rebuilt in its original lake-side location in 2002.

Daily flights and trains to Hangzhou are available from major cities in China

MORE: The oddest-looking hotel you'll see this year

8. Guanshan, Kenting, Taiwan

A Guanshan sunset is one of the great attractions of southern Taiwan.

Guanshan is a 152-meter-high mountain inside Kenting National Park -- it offers the best viewpoint from which to see the Hengchun Peninsula, a popular tourist spot in the south of the island.

The peninsula has no train or highway, making it a natural paradise. What it has is beautiful hot springs and forests.

The pavilion adjacent to Fude Temple (Gaoshanyen) on Guanshan Trail offers the best viewing point for sunsets.

Daily flights and trains to Kenting are available from major cities in Taiwan. Kenting National Park is open 11 a.m.-7 p.m. daily.

MORE: Insider Guide -- best of Taipei

9. Oia, Santorini, Greece

The hilltop town of Oia is a well-known sunset destination.

The porous volcanic rock and white and blue houses, backed by a crystal Aegean Sea, make for one of the travel world's most photographed scenes.

People flow into every restaurant, nook and cranny along the cliffs in the afternoon to wait for the majestic sunsets.

Daily flights to Santorini are available from Athens.

MORE: Greek islands consider segregated tourist zones

10. Rapa Nui (Easter Island), Chile

About 3,700 kilometers off the Chilean coast in the Pacific Ocean, on the easternmost Polynesian island, the enigmatic stone statues of the Rapa Nui culture have for centuries been seeing off the sun with ancient stoicism (their backs are turned to the sea).

Though the moai (as the statues are called) haven't been around forever -- they were erected between AD 1400 and 1600 -- taking in a sunset with them sure feels like an eternal experience.

It's an event -- and photograph -- cherished by every visitor to the island.

MORE: 5 luxury vacations in Chile

11. Phnom Bakheng, Angkor, Cambodia

Known for its "sunset on the hill," Phnom Bakheng is a popular place for a Cambodian-style sunset.

The Hindu temple built at the end of ninth century is on top of a hill, giving great views of its more famous sibling, Angkor Wat.

Take an elephant ride and you can avoid climbing those steep steps yourself.

It's best to arrive early to get a good spot. The temple closes at 6.30 p.m.

Phnom Bakheng is 1.5 kilometers from Angkor Wat.

Daily flights to Angkor Wat, Siem Reap are available from major cities, including Bangkok, Shanghai and Singapore.

MORE: Inside Cambodia's stunning new temple discoveries

12. Maui, Hawaii

You actually thought we were going to leave out Hawaii?

Just about any spot along the coast of America's 50th state makes for a poster-worthy evening photo, but the long, white sand beach, crashing waves and prominent cinder cone of Pu'u Ola'i keep sunset lovers coming back to Makena State Park on Maui.

Even if you don't catch one of the islands' famed "green flash" sunsets (Ever seen one? Leave a comment below), it's hard to feel anything but deep satisfaction when the sun sets over Maui and the tiki bars start getting crowded.

Raemin Zhang is an editorial intern for CNN. 

Story originally published August 2013, updated May 2014.

@highlight

At dusk, Maasai Mara's savannah appears to be stained red

@highlight

Millions visit the the Grand Canyon each year to catch a sunset

@highlight

Guanshan offers the best viewpoint to see the Hengchun Peninsula in southern Taiwan