An Associated Press photographer was shot to death on the eve of Afghanistan's elections in an attack that wounded the news agency's long-time reporter in the region.

Anja Niedringhaus, 48, a Pulitzer Prize-winning German photographer, died in the shooting on Friday in Afghanistan's eastern Khost province, the AP said.

The attack injured Kathy Gannon, a Canadian reporter based in Islamabad, who was in stable condition and getting medical treatment, according to the AP. Gannon, 60, has reported on Pakistan and Afghanistan since the 1980s.

"Anja and Kathy together have spent years in Afghanistan covering the conflict and the people there," said AP executive editor Kathleen Carroll, speaking in New York. "Anja was a vibrant, dynamic journalist well-loved for her insightful photographs, her warm heart and joy for life. We are heartbroken at her loss."

In a letter to AP staff Friday morning, chief executive Gary Pruitt also praised the courage and skill of Niedringhaus, describing her as "spirited, intrepid and fearless, with a raucous laugh that we will always remember."

White House comment

At the White House, spokesman Josh Earnest said Friday that the thoughts and prayers of President Barack Obama and the first lady went out to the family of Niedringhaus.

He praised the efforts of journalists from Afghanistan and around the world who risked their own safety to cover Saturday's election, the third since the fall of the Taliban in Afghanistan in 2001.

The two women were traveling in their own vehicle in a convoy of election workers delivering ballots in Khost province, protected by the Afghan National Army and Afghan police, according to the AP.

A unit commander walked up to their car at one point, yelled "Allahu akbar" -- "God is great" -- and opened fire on them in the back seat, the AP said. The attacker then surrendered to the other police present.

The reason for the attack was unclear, but police have arrested the suspected shooter and the case was under investigation, said Baryalay Rawan, a spokesman for the Khost provincial governor.

Hours later, a bomb exploded in a polling center in the province's Tanai district, about 15 kilometers (9 miles) from where the attack on the journalists occurred, Rawan said.

Two people died in the bombing, including Tanai district's deputy police chief, and three were injured, he said.

The attacks came amid heightened security for the nation's presidential and provincial elections on Saturday.

Afghanistan's election marks the first democratic handover of power in the fragile country, with current President Hamid Karzai -- who is term-limited by the constitution -- handing over the reins.

Karzai was chosen by Afghan leaders to head the country after the fall of the Taliban, and won two subsequent presidential elections in 2004 and 2009.

Taliban disruption

The Taliban have vowed to disrupt the elections and punish anyone involved in them. A series of attacks in the capital, Kabul, and elsewhere has marred the run-up to voting.

Pakistan's military said Friday that all border crossing points with Afghanistan were closed for Saturday's election. Taliban militants in the mountainous border region have launched attacks in Afghanistan.

On Wednesday, a suicide bomber blew himself up at the entrance gate to the Interior Ministry in Kabul, killing six Afghan police officers, Interior Ministry spokesman Sediq Sediqqi said. The Taliban claimed responsibility for the attack.

A day earlier, a provincial council candidate and nine of his supporters were killed by the Taliban in northern Sar-e-Pul province, said the province's deputy police chief, Sakhidad Haidari.

Last month, Sardar Ahmad, one of Afghanistan's most prominent journalists and a senior reporter for Agence France-Presse, was among nine people killed in an attack on the Serena Hotel in central Kabul.

Less than two weeks earlier, Swedish Radio correspondent Nils Horner was shot dead in broad daylight on a Kabul street.

In his letter to AP staff, Pruitt said: "As conflict spreads throughout regions of the world, journalism has become more dangerous. Where once reporters and photographers were seen as the impartial eyes and ears of crucial information, today they are often targets."

The Committee to Protect Journalists highlighted the risks faced by journalists in Afghanistan, particularly women, in a piece published in February.

Some fear those risks may increase with the planned withdrawal of NATO combat forces, including U.S. troops, by the end of the year.

Changed mission?

The NATO-led International Security Assistance Force had just over 51,000 troops, from 48 different countries, in Afghanistan as of Tuesday. The majority -- about 33,500 -- are from the United States.

Karzai has refused to sign an agreement to keep foreign security troops in the country after 2014.

But Gen. Philip Breedlove, NATO's supreme allied commander Europe, told CNN's Christiane Amanpour this week that he anticipates international forces will remain in Afghanistan after the currently scheduled withdrawal.

"I think you will see a very large ISAF combat mission changed to a smaller but continued resolute support, train, advise and assist mission at the end of the year," he said. "NATO's mission doesn't end (after 2014); NATO's combat mission ends, but our train, advise, assist mission begins, and this is very important to remember."

The three leading presidential candidates -- Abdullah Abdullah, Zalmai Rassoul and Ashraf Ghani -- have told CNN that they are in favor of signing a security agreement.

Abdullah, who was a vocal critic of the Taliban during their years in power, was a previous Karzai ally and served in his government as foreign minister.

Contenders

In later years, he has been a thorn in the side of the outgoing President. He is seen as a relatively liberal candidate and advocate of women's engagement in public life.

Rassoul is seen as the establishment candidate. A Karzai ally, he received the backing of the current President's brother, Qayum, who withdrew his candidacy and endorsed the former foreign minister. Rassoul has a reputation for honesty, despite his years in an administration plagued with accusations of graft.

The third key contender, Ghani, is a former U.S. citizen and academic who gave up his passport to run for the Afghan presidency in 2009. He is seen as a moderate, with experience in development, but his past links to the United States may lessen his chances if voters consider him an outsider.

NATO Secretary General Anders Fogh Rasmussen, speaking Wednesday in Belgium, said the latest briefings from NATO commanders show that despite the Taliban's threats, overall violence across Afghanistan "is lower now than at any time during the last two years."

Rasmussen praised the work of Afghan security forces, which have taken over many responsibilities from ISAF, saying they had "demonstrated commitment, courage and professionalism" during preparations for the elections.

@highlight

Pakistan military increases border security with Afghanistan for election

@highlight

Photographer Anja Niedringhaus died on the eve of Afghanistan's election

@highlight

Kathy Gannon, a longtime reporter in the region, was injured

@highlight

The attack on the two women journalists comes on the eve of Afghanistan's elections