Hatay, Turkey (CNN) -- Two dolphins who were rescued from a filthy pool at a Turkish tourism resort were released back into the wild this week after years in captivity.

So far, the male dolphins have exceeded their trainers' expectations: Within 48 hours, satellite transmitters showed that Tom and Misha had traveled more than 100 miles, and they were observed hunting fish as a team and interacting with other wild dolphins.

"It's unbelievable to see them travel this hard and fast," said Jeff Foster, a Seattle-based sea mammal expert who oversaw the dolphins' rehabilitation and preparation for release into the wild.

"The assumption is they're going back to the area that they were a pod in. They're definitely on a mission," Foster said.

Foster spoke to CNN by telephone from a sailboat in the Aegean Sea, where he and his team have been tracking the animals' progress with the help of transmitters attached to the dolphins' dorsal fins. Because of bad weather, the team hasn't been able to keep direct contact with the dolphins since their release Wednesday, although they are still able to track them via satellite.

Foster suspects the dolphins are racing back to the waters around the Turkish city of Izmir where they were initially believed to be captured years ago.

Tom and Misha are part of an expensive, ambitious and risky program sponsored by the UK-based Born Free Foundation, which is aiming to prove that captive dolphins can be reintroduced to the wild.

For more than a year, Foster and his team worked in a quiet cove on the Aegean, teaching the two dolphins how to catch their own food. He said the intensive training was necessary to get the dolphins ready to fend for themselves.

"It would be like taking your dog and releasing it into the woods," Foster said. "If you don't prepare your dog for that, it would never happen."

When Foster first met these dolphins more than a year ago, he said they would eat only if humans placed dead fish directly in their mouths.

"We had literally thousands of fish in the pen, and they just wouldn't look at them," Foster said. "They had just been so used to being hand-fed in a captive situation that they did not recognize fish as a food source."

Foster has prior experience with another high-profile release program that ultimately ended in failure. He worked in Iceland more than 10 years ago as part of a multimillion-dollar effort to prepare the killer whale Keiko from the movie "Free Willy" for release back into the wild.

Less than a year after his release, Keiko died off the coast of Norway. But Foster said he believes Tom and Misha stand a much better chance of survival.

"These animals haven't been in captivity as long as Keiko. Keiko was held in captivity for more than 20 years. He was held as a solitary animal for many of those years," Foster said.

Tom and Misha are each estimated to be around 12 years old, after initially being caught in the Aegean Sea five or six years ago.

"They've probably spent the majority of their life out in the wild," Foster said. "Because we're dealing with two males, you can develop competition feeding with them ... they're ideal candidates for reintroduction back into the wild."

Tom and Misha first attracted the attention of wildlife conservation activists in 2010. At the time, they were being kept at a Turkish resort where tourists paid to swim with the dolphins in a shallow, filthy swimming pool.

"The pool in Hisaronu, Turkey, where Tom and Misha had spent the summer months of 2010 had such a high bacterial count ... that it was a significant health hazard to the dolphins and for the unsuspecting tourists who paid to swim with them," wrote Shirley Galligan, a representative of the Born Free Foundation, in an e-mail to CNN. "The water was filthy with feces and dead fish and a layer of 'sludge' at the bottom."

According to Born Free, a nonprofit conservation group based in the United Kingdom, the dolphins were underweight and listless and would not have survived much longer in the pool, which "having been hastily constructed, was in danger of collapse from subsidence."

A coalition of environmental groups successfully campaigned to rescue the animals and transport them in the back of a truck to a sea pen in the Aegean.

In the final days before their release, Foster and his team attached specially designed transmitters to Tom and Misha. The tags, which are about the size of a cell phone, broadcast the dolphins' location via satellite and VHF radio.

The sponsors of the program admit there is no guarantee of success.

"There have only been a handful of reintroduction programmes with mixed results," Galligan wrote. "Returning any captive wild animal to the wild is never without risk."

One of the few successful cetacean reintroductions on record involved an orphaned female orca named Springer. Foster was a member of the team that helped rehabilitate the emaciated animal and eventually reintroduce her to a pod of related killer whales off of Canada's Pacific Coast a decade ago. She has reportedly survived and thrived in those waters ever since.

Michael Moore, a marine mammal expert at the Woods Hole Oceanographic Institution, predicted major challenges for Tom and Misha.

"Can they break the bond with humans, and can they create a bond with other [wild] dolphins?" he asked, in a phone interview with CNN. "The irony is that if these animals do get released into the wild, it's a big, bad world out there and they will have to learn how not to get entangled in fishing gear."

According to Moore, Tom and Misha's release will have virtually no impact on the world's wild dolphin population, which faces an onslaught from industrial fishing nets, decimated fish stocks and polluted seas.

But he and other dolphin experts say successful reintroduction could increase biodiversity awareness in Turkey and set an important example for the multibillion-dollar captive marine mammal entertainment industry.

There has been a rapid increase in the number of "dolphinariums" and "swim-with-dolphin" programs cropping up across Turkey over the last decade.

"Turkey, being a very popular and beautiful holiday destination, is sadly responding to the public demand for that 'dolphin experience' by providing more captive dolphin facilities than anywhere else in Europe," wrote Born Free's Galligan. "Conditions in general are very poor."

Born Free did not publicly announce the day of Tom and Misha's release in order to protect them from curious onlookers. On Wednesday, after divers peeled away the last barrier separating the dolphins from freedom, the pair initially hesitated.

"They sat in the pen for 15 to 20 minutes after we opened the gate. These guys are cautious animals," Foster said. Eventually, trainers gave them a hand cue to leave.

Underwater video filmed by scuba divers shows Tom slowly turning and leaving the sea pen. Misha then sped off after him.

Within hours, the Born Free team photographed Misha flipping large local fish called mullet out of the water. And then, they witnessed strange behavior from a dolphin rolling on the surface. It took some time to identify the animal by its dorsal fin.

"It was totally completely different dolphin!" Foster said. "A single dolphin that was interacting with Misha. Within the first four or five hours after we let them out, they were pursuing fish and interacting with wild dolphins. It was everything and more than we expected."

Despite initial encouraging behavior, Born Free is not yet celebrating.

"We must remain cautious," the organization announced on its website. "There is still a way to go before we know 100 per cent that Tom and Misha have readapted fully to life back in the wild."

@highlight

Two dolphins were returned to the wild, after 5 to 6 years in captivity

@highlight

Trainers are tracking the dolphins, and they are doing well

@highlight

Two years ago, the dolphins were the main attraction at a run-down Turkish tourist park

@highlight

Lead trainer Jeff Foster worked to help release Keiko, the orca from the 1993 movie "Free Willy"