(CNN)  -- As a child, I looked forward to nothing more than the dazzling Fourth of July laser and fireworks show in Stone Mountain Park near Atlanta, Georgia. It was family tradition to eat a hearty meal at an Indian restaurant and then watch the show on the crowded lawn of the park.

One year, as I struggled to eat my melting ice cream, a man sitting near us taunted, "What planet are y'all from?" I observed my family, attired in their extravagant Indian clothes and scarves from the restaurant party. For the first time, I wondered if we really did not belong in America, celebrating its Independence Day.

I usually hear the friendly version of this question. When my parents are asked, "Where are you from?" and answer "Georgia," it is not surprising to hear the follow-up, "I mean where are you from?" after which they will understandingly answer "originally from India."

But when the latter question is posed to me, I can only shrug helplessly and repeat, "Georgia." I used to wonder if I was being facetious in offering such a simple answer, but I honestly don't know what else to say.

The same is true when I'm occasionally told to "go back where I came from." I don't just brush these comments aside, as many immigrants to America bravely do, but really question my identity by asking myself: Where would I possibly call home except Georgia, where I was born and raised, or Massachusetts, where I have been educated?

To put it in perspective, if all of us "went back to where we came from," meaning the places of our family origin, there would be nobody in America except for Native Americans, and the rest of us would be in a predicament.

The popularized "clash of civilizations" thesis would suggest that racial and especially religious elements of my background conflict with my identity as an American. Many people genuinely believe that you have to fit a certain racial and religious archetype to be a "real American."

I am a Muslim and I am an American. My religion teaches me to treat others with dignity and respect, speak the truth, and accept one God as my creator and sustainer.

A religious loyalty to God certainly doesn't make anyone less of an American, or three of the largest religions in the United States would not belong here. But sometimes, people assume that Muslims must also have a specific loyalty to another country that precludes their patriotism to America. Contrary to this misconception, there is no such concept in Islam. A fair study of Islamic and American values would find corroboration, not contradiction.

While the 2010 U.S. Census will not ask for my religion, it will ask for my racial background. When my parents came decades ago, they were alternately identified as "Asian" and even "Caucasian," since according to United States v. Bhagat Singh Thind, South Asians are Caucasian, although not white like Europeans and Middle Easterners.

They were surprised that color was a determinant of their ethnic categorization. Racial classification has become clearer since then, and I will choose the "Asian Indian" option on the Census, an element of my identity that influences my love for rich South Asian food, clothes and literary traditions. But I would be a stranger in my parents' birthplace of India.

Ironically, it took my being an alien in foreign lands to realize just how American I was. In Britain I was told, "Nafees, you want to see everything, just like an American."

Turks discovered that my odd habit of drinking cold tea came from my Georgia origins. The Dutch guessed I was American based on the way I "carried myself."

I couldn't erase my apparently nasal American accent from my French in Paris.  Indians tell me only an American can justify four years of liberal arts, as opposed to vocational, education.

Of course, some comments were based on foreign exaggerations of what "American" means, and some I still don't really understand. But obviously, America has shaped who I am.

What was even more significant was that the speakers never saw my religion or ethnic origin in tension with my nationality. Neither do I. There are three important dimensions in my life -- my religion, my ethnicity and my country -- and they are all at peace.

@highlight

Nafees Syed and family at July 4th fireworks when a man said, "What planet are y'all from?"

@highlight

Syed says if we all "went back to where we came from," only Native Americans would be left

@highlight

People mistakenly think Muslims are loyal to another country above U.S., she says

@highlight

Born in U.S.A., Syed says it took being "in foreign lands to realize just how American I was"