As a growing number of airplanes scoured the southern Indian Ocean in the search for Malaysia Airlines Flight 370, authorities released new details that paint a different picture of what may have happened in the plane's cockpit.

Military radar tracking shows that the aircraft changed altitude after making a sharp turn over the South China Sea as it headed toward the Strait of Malacca, a source close to the investigation into the missing flight told CNN. The plane flew as low as 12,000 feet at some point before it disappeared from radar, according to the source.

The sharp turn seemed to be intentional, the source said, because executing it would have taken the Boeing 777 two minutes -- a time period during which the pilot or co-pilot could have sent an emergency signal if there had been a fire or other emergency onboard.

Authorities say the plane didn't send any emergency signals, though some analysts say it's still unclear whether the pilots tried but weren't able to communicate because of a catastrophic failure.

The official, who is not authorized to speak to the media, told CNN that the area the plane flew in after the turn is a heavily trafficked air corridor and that flying at 12,000 feet would have kept the jet well out of the way of that traffic.

Earlier Sunday, Malaysian authorities said the last transmission from the missing aircraft's reporting system showed it heading to Beijing -- a revelation that appears to undercut the theory that someone reprogrammed the plane's flight path before the co-pilot signed off with air-traffic controllers for the last time.

That reduces, but doesn't rule out, suspicions about foul play in the cockpit.

The new details give more insight about what happened on the plane, but don't explain why the plane went missing or where it could be.

Analysts are divided about what the latest information could mean. Some argue it's a sign that mechanical failure sent the plane suddenly off course. Others say there are still too many unknowns to eliminate any possibilities.

CNN aviation analyst Miles O'Brien called the fresh details about the flight a "game changer."

"Now we have no evidence the crew did anything wrong," he said. "And in fact, now, we should be operating with the primary assumption being that something bad happened to that plane shortly after they said good night."

If a crisis on board caused the plane to lose pressure, he said, pilots could have chosen to deliberately fly lower to save passengers onboard.

"You want to get down to 10,000 feet, because that is when you don't have to worry about pressurization. You have enough air in the atmosphere naturally to keep everybody alive," he said. "So part of the procedure for a rapid decompression ... it's called a high dive, and you go as quickly as you can down that to that altitude."

Military radar tracked the flight between 1:19 a.m. and 2:40 a.m. the day it went missing, the source told CNN, but it's not clear how long it took the plane to descend to 12,000 feet.

The new details about altitude are "highly significant," said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

"It explains so many pieces that didn't fit together before," she said. "Now, if we have a scenario where something happened, the plane made a dramatic turn and dropped from 35,000 feet to 12,000 feet, this scenario would fit what a pilot would do in the event of a catastrophic onboard event, such as a rapid decompression, a fire, an explosion. That's what you would have to do, descend, get down and turn around and try to get back to an airport that could accommodate an ailing plane."

If the latest information is accurate, the theory of pilots trying to save the plane fits, said Mark Weiss, a former American Airlines pilot and CNN aviation analyst.

But that's a big if, he said.

"We've had so much information come out and so much contradictory information come out, that I caution against jumping to any types of conclusions at this point," he said.

Challenging search

As speculation over what led to the flight's disappearance showed no signs of slowing, investigators appeared to be beefing up their efforts to comb the southern Indian Ocean.

Buoyed by a third set of satellite data that indicated possible debris from the plane in the water, the international team led by Australia fought bad weather as it looked for signs of the Boeing 777 and the 239 people who were aboard when the plane went missing on March 8.

The search for the missing Malaysia Airlines plane resumed Monday morning, with additional aircraft joining the operation, Australian authorities said. The Australian Maritime Safety Authority said 10 aircraft will search for possible objects in an area about 2,500 kilometers (1,550 miles) southwest of Perth.

That includes two jets from China and two from Japan, which were on the way to join the search area on Monday, authorities said.

France's Foreign Ministry said Sunday that radar data from a satellite pointed to floating debris in the Indian Ocean 2,300 kilometers (1,430 miles) from Perth, Australia. The data were immediately passed along to Malaysian authorities, and French satellite resources will home in more on the area, the ministry said.

Satellite images previously issued by Australian and Chinese authorities have also captured possible large floating objects, stoking hopes searchers may find debris from the missing plane.

But so far, searchers have turned up empty-handed after more than two weeks of scouring land and sea.

On Saturday, searchers found a wooden pallet as well as strapping belts, the Australian Maritime Safety Authority's John Young said. The use of wooden pallets is common in the airline industry.

"It's a possible lead ... but pallets are used in the shipping industry as well," he said Sunday. Authorities have said random debris is often found in the ocean.

The flying distance to and from the search area presents a big challenge for search aircraft.

"They're operating at the limits of their endurance," said Mike Barton, the authority's rescue coordination chief.

If search crews do turn up anything, they'll soon have more technology to help them.

The U.S. Navy is sending a super-sensitive hydrophone listening device to Australia to be on standby if debris from Malaysia Airlines Flight 370 is found and a search for the plane's voice and data recorders can be done, a U.S. military official said Sunday. The device is pulled behind a ship at slow speeds and is used by the Navy to locate downed aircraft to a depth of 20,000 feet.

Nothing but water, and questions

Was turn reprogrammed?

Malaysian officials, in a written update Sunday on the search, cast doubt on the theory that someone, perhaps a pilot, had reprogrammed the aircraft to make an unexpected left turn during the flight.

"The last ACARS transmission, sent at 1:07 a.m., showed nothing unusual. The 1:07 a.m. transmission showed a normal routing all the way to Beijing," it read.

The Aircraft Communications Addressing and Reporting System measures thousands of data points and sends the information via satellite to the airline, the engine manufacturer and other authorized parties, according to CNN aviation and airline correspondent Richard Quest.

Had the plane been reprogrammed to change course, the ACARS system should have reported it during its last communication at 1:07. The ACARS is supposed to report new information every 30 minutes, but it was silent at 1:37.

"It is important because it is more consistent (with an emergency). In other words, if the pilots had put in this waypoint that they were going to turn to and that they knew in advance of their last communication that they were going to turn, then everyone was (saying) that this had to be a premeditated act," Schiavo said. "Now if this information is correct, and it was not premeditated, then it does fit very closely with the scenario that, whatever happened, happened suddenly and they turned perhaps to go back to an emergency airport."

Hope, only hope

Australian Prime Minister Tony Abbott voiced hope that investigators could be closing in on an answer to questions that have dogged authorities for days: What happened to the plane, and where is it?

"We have now had a number of very credible leads, and there is increasing hope -- no more than hope, no more than hope -- that we might be on the road to discovering what did happen to this ill-fated aircraft," Abbott said at a news conference.

In one of the great aviation mysteries in history, the airliner carrying 239 people disappeared March 8 after it took off from Kuala Lumpur, Malaysia, on a flight to Beijing. An exhaustive search covering 2.97 million square miles -- nearly the size of the continental United States -- has yielded some clues but no evidence of where the Boeing 777 is or what happened to it.

Countries from central Asia to Australia are also engaged in the search along an arc drawn by authorities based on satellite pings received from the plane hours after it vanished.

One arc tracks the southern Indian Ocean zone that's the focus of current attention. The other arc tracks over parts of Cambodia, Laos, China and into Kazakhstan.

Whole world listens for slowly fading pings

Ocean search has many challenges

Clues lead to new theories

@highlight

U.S. Navy sending listening device to help find voice and data recorders if wreckage is found

@highlight

Source: Plane changed altitude, flying as low as 12,000 feet after making short turn

@highlight

Schiavo: Altitude information "explains so many pieces that didn't fit together"

@highlight

10 aircraft set to comb southern region for missing plane as search resumes Monday