(CNN) -- Hillary Clinton wants Americans to believe that she made difficult decisions as secretary of state. That's the premise of her new book, "Hard Choices."

Somehow, I suspect that if Clinton had a do-over for this week's CNN town hall, she might choose not to field a hard question from Francisco Gonzalez. A professor at the Paul H. Nitze School of Advanced International Studies at Johns Hopkins University, Gonzales asked America's former top diplomat about President Obama's record of removing the undocumented and splitting up families with such efficiency that, as Gonzales noted, many Hispanics call Obama the "deporter in chief." He asked what Clinton would do differently.

The likely 2016 presidential candidate started by declaring her support for "comprehensive immigration reform" because undocumented immigrants who are "raising families and working hard and contributing to our country deserve a path to citizenship."

So far, so good.

She went on: "I also think that we have to understand the difficulty that President Obama finds himself in because there are laws that impose certain obligations on him."

Clinton doesn't seem to understand how much discretion the executive branch has -- in immigration enforcement -- to set policy, shape priorities, and decide who stays or goes.

After arguing with immigration reform advocates from 2009 to 2011 that he was powerless to stop deportations, Obama himself -- in a gesture intended to woo Hispanic voters during the 2012 election -- flexed his executive power when he announced a change in policy by the Department of Homeland Security that allowed some young undocumented immigrants to avoid deportations and obtain work permits.

Under Obama, DHS imposed quotas for apprehensions, The Washington Post reported, and roped local police officers into enforcing immigration laws as a force multiplier. The executive branch wasn't some spectator to the deportation juggernaut; it was the driving force. Shouldn't a former member of the Cabinet know this?

Clinton also said that it was her understanding that "the numbers have been moderating in part as the Department of Homeland Security and other law enforcement officials understood that separating children from families -- I mean, the horror of a father or a mother going to work and being picked up and immediately whisked away and children coming home from school to an empty house and nobody can say where their mother or father is -- that is just not who we are as Americans."

Apparently, Clinton doesn't know many immigration lawyers. The dozen or so that I know -- who give me updates about their battles to stop clients from being deported -- would not agree that the numbers of deportations are "moderating." There are still just under 400,000 per year.

Wrapping up her answer, she went on to say: "We need to show humanity with respect to people who are working, contributing right now. And deporting them, leaving their children alone or deporting an adolescent, doing anything that is so contrary to our core values, just makes no sense."

Yet, as secretary of state, Clinton sat at the Cabinet table for four years alongside Homeland Security Secretary Janet Napolitano -- who went before Congress to brag about the number of deportations and promise to raise it. And she didn't say anything then? You know, in defense of humanity?

Right about then, Clinton strayed off message. When CNN's Christiane Amanpour asked her what she would do about the tens of thousands of unaccompanied minors from Central America who are coming across the U.S.-Mexico border, Clinton at first tried to duck the question by talking about everything from violence in Central America to the need to provide emergency care to children who cross the border.

Fortunately, Amanpour pursued an answer. After asking the question -- whether these children should stay or be sent back home -- four different times, she finally got one.

"Well," Clinton said, "they should be sent back as soon as it can be determined who responsible adults in their families are, because there are concerns whether all of them should be sent back. But I think all of them who can be should be reunited with their families."

It's not that simple. According to media reports, many of these young people came to the United States to be reunited with parents and other family members. What do we do with them? Separate more families? Didn't Clinton herself just say that this approach "makes no sense"?

Finally, having painted herself into a corner, she took a hard line.

Opinion: Does Hillary Clinton have to be so boring?

"We have to send a clear message: Just because your child gets across the border, that doesn't mean the child gets to stay," she said. "So, we don't want to send a message that is contrary to our laws or will encourage more children to make that dangerous journey."

What world is Clinton living in? When a child crosses the border, of course he or she gets to stay. That has long been the unspoken policy of U.S. immigration officials, under administrations in both parties. They can't just send these minors back across the border to be abused, assaulted, or worse. Instead, they're locked up for a couple of days and then released with a notice to appear before an immigration judge, which most of them ignore.

As for encouraging more people to come, that is precisely what conservatives predict will happen if we ever pass the kind of comprehensive immigration reform that Clinton claims to support. Is this her roundabout way of saying she agrees with them?

We already knew that Obama had flunked immigration. Clinton's comments this week suggest that she finds the subject just as challenging.

@highlight

Ruben Navarrette says Hillary Clinton doesn't seem to understand immigration issues

@highlight

He says her answer at CNN Town Hall started out OK but strayed off message

@highlight

As former Cabinet member, she should know executive branch power, he says

@highlight

Navarrette: Clinton said she's sympathetic to immigrant families, but then took hard line