(CNN) -- Events in Iraq and Syria have alarmed U.S. Attorney General Eric Holder.

Extremists from the Islamic State in Iraq and Syria control vast swaths of Iraq and Syria. Its members may be mingling with Yemeni bomb makers who have a track record of getting devices on Western planes. And thousands of Europeans have gone to Syria ready to give up their lives.

Holder has voiced "extreme concern" that the volatile mix could spread to Western shores.

"It's more frightening than anything I think I've seen as attorney general," he told ABC News.

Here are five reasons why the fight in Syria and Iraq could spill over to the West.

1. ISIS has the manpower, money and know-how to hit the West, if it decides to

The nightmare scenario is that ISIS leaders or other terrorist groups in Iraq and Syria launch attacks in the West. They are well-positioned to unleash such carnage if they choose. Many of at least 2,000 European militants who have traveled to Syria joined ISIS. That has given groups the opportunity to train them and send them back home to launch attacks. A number have crossed into Iraq.

These European fighters also could pose a threat to the United States because many Europeans do not need a visa to enter the U.S. About 100 Americans also have traveled to fight in Syria -- one carried out a suicide bombing in May.

So far, though, ISIS and its fierce rival, the Syrian al Qaeda affiliate Jabhat al-Nusra, have not seen attacking the West as anything near a priority.

Their focus instead has been on fighting the regime of Syrian President Bashar al-Assad and expanding their zone of operations in the region. The political turmoil brought about by the Arab Spring has made the ultimate dream of global jihadists -- the adoption of their kind of Islamic rule across the Arab world -- seem tantalizingly close. Attacking the West, which for al Qaeda leaders was always a means to this end, has become something of a sideshow.

ISIS -- a group previously known as al Qaeda in Iraq -- has never prioritized targeting Western soil, instead preferring to focus on fighting "infidels" at home.

In the decade since the Jordanian terrorist Abu Musab al-Zarqawi created the group, it has not been directly behind any plot on Western soil. By contrast, in the decade after the September 11 terrorist attacks, al Qaeda operatives in Pakistani tribal areas provided wave after wave of Western recruits training on how to make bombs out of chemicals and components readily available in home improvement and beauty supply stores in the West.

To date, only one suspected ISIS recruit who has returned to Europe is alleged to have built such a device.

In February, French police arrested a man they identified as Ibrahim B., a 23-year-old French-Algerian, and retrieved three soda cans filled with nearly a kilogram (about 2 pounds) of the high explosive TATP from his Cannes apartment. French police suspect that in the 18 months he fought in Syria, he learned how to make TATP, an unstable and difficult-to-transport high explosive used to build detonators in multiple al Qaeda plots against the West.

It is not clear if ISIS signed off on his alleged plot. While some Western recruits are taught how to make improvised explosive devices in Syria, there is little indication yet that the group has created a training program tailored to attacking the West. The worry is that that could change. After a decade of insurgency in Iraq, no other group has more expertise in making improvised explosive devices.

If the United States launches strikes to weaken ISIS, the group could strike back at the West, financing attacks with the tens of millions of dollars in its cash reserves. Last month, its supporters launched a Twitter campaign -- #CalamityWillBefallUS -- warning of such attacks.

But, if ISIS is able to consolidate its territorial gains, it could set up training camps to rival any run by al Qaeda in Afghanistan before 9/11.

It's a Catch-22 that worries U.S. officials.

"There's going to be a diaspora out of Syria at some point, and we are determined not to let lines be drawn from Syria today to a future 9/11," FBI Director James Comey warned in May.

2. Expert Yemeni bomb makers may be mingling with like-minded Westerners in Syria

U.S. officials worry about Yemeni bomb makers who are skilled in making explosive devices that are difficult to detect at airport security. The fear is that they are sharing their knowledge with terrorist groups in Syria with significant numbers of Western passport holders in their ranks.

Holder called it a potentially "deadly combination."

Ibrahim al Asiri, the ingenious chief bomb maker for al Qaeda in the Arabia Peninsula, a Yemeni al Qaeda affiliate, is thought to have trained a cadre of apprentices. Early this year, U.S. officials became worried that some may have traveled to Syria. Hundreds of Yemenis have traveled to fight there, and officials worry that AQAP and Jabhat al-Nusra are building ties. With ISIS dominating headlines and winning the battle for new recruits, it is possible that al Qaeda affiliates may try to restore their relevance by planning a spectacular attack.

Al Asiri built the "underwear" device that a recruit partially detonated on a plane over Detroit on Christmas Day in 2009. Since then, he has built increasingly sophisticated devices and has experimented with new designs for a shoe bomb. But AQAP has recruited relatively few Westerners into its ranks, limiting -- at least until now -- its bomb makers' ability to target Western aviation.

But there is concern that al Asiri's knowledge is spreading more widely. This month, the U.S. State Department said a Norwegian convert, Anders Dale, had received extensive instruction in explosives after joining AQAP in Yemen. It was not made clear whether this training was provided personally by al Asiri. Nor was it said where the Norwegian is now thought to be.

3. Western fighters who leave Syria could lash out back home

What most keeps European counterterrorism officials awake at night is the potential threat from hundreds of extremists who have returned home after fighting with terrorist groups in Syria. While little evidence has emerged so far that ISIS or Jabhat al-Nusra has directed them to launch attacks, their urban warfare skills would make them especially dangerous.

The first terrorist attack on Western soil linked to Syria probably followed this trajectory. In May, Mehdi Nemmouche, a French-Algerian, allegedly gunned down four people at a Jewish museum in Brussels, Belgium, after spending a year in Syria. When he was arrested, police discovered a Kalashnikov in his possession wrapped in a flag with ISIS insignia. After the attack, an ISIS fighter said on social media that he had joined the group, but ISIS itself did not claim responsibility, suggesting to investigators that he planned the attack himself.

"The threat of attacks has never been greater -- not at the time of 9/11, not after the war in Iraq -- never," a European counterterrorism official told CNN last month. He envisaged a flood of small-scale but effective and chilling attacks similar to the Brussels shooting.

European counterterrorism officials are worried the gains made by ISIS in Iraq will lead to a surge of travel to the region. In identifying who has traveled, they are often playing catch-up.

"In most cases, we know within two weeks a guy has gone to Syria. But 10 to 15 percent of the time, it can be several months before we figure it out. Inevitably, there will be some we have no idea about," one official told CNN.

But even those they know about are difficult to track. Nemmouche was on a watch list when he returned to Europe. European officials tell CNN it is impossible to conduct 24-hour surveillance on all but a small fraction of people who have returned from Syria because of the prohibitive expense.

4. Would-be jihadists could become radicalized 'lone wolves'

The Boston Marathon bombings illustrated the danger posed by extremists learning bomb-making skills over the Internet without having to travel to jihadist encampments overseas. European officials say anger about events in Syria and Iraq and excitement about the gains made by ISIS have spiked radicalization to unprecedented levels across the continent. Though the animus is not directed as squarely against the West as it was during the Iraq war, ISIS's viscerally anti-Western ideology is attracting a growing following in extremist circles in Europe.

Officials worry that anger "trigger events" such as future U.S. strikes in Iraq or the arrests of fighters returning from Syria could result in lone-wolf attacks. Anger about events in Gaza could be another.

5. Foreign fighters who go home could build terror networks of their own

Around 7,000 foreign fighters have traveled to fight in Syria, many from the Arab world. This could see "blowback" across the region as fighters return to their home countries and build up jihadist terrorist groups. Like in Afghanistan two decades ago, fighters are building personal relationships in this melting pot that will form the basis of the transnational terrorist networks of the future. For example, a battalion of hardened jihadists from eastern Libya is fighting alongside ISIS in Syria while Egyptian ISIS recruits have returned to the Sinai, bolstering militant groups there.

Now that al Qaeda has largely switched its operations from the Afghanistan-Pakistan border region to the Arab world, officials fear that its various affiliates in the region will increasingly coordinate and pool resources, creating a significant long-term security threat on the doorstep of Europe.

@highlight

U.S. attorney general: There's "extreme concern" that Mideast bloodshed could spread to West

@highlight

European militants who have traveled to Syria could go back home and launch attacks

@highlight

So far, militants in Iraq and Syria haven't seen attacking the West as a priority

@highlight

But officials also fear the conflict could create new terror ties, bomb technology, lone wolves