(CNN) -- "I have a dream this afternoon that my four little children will not come up in the same young days that I came up within, but they will be judged on the basis of the content of their character, not the color of their skin."

The Rev. Martin Luther King Jr. spoke these words in 1963, but this was not the speech that would go down as one of the most important addresses in U.S. history.

King spoke these words in Detroit, two months before he addressed a crowd of nearly 250,000 with his resounding "I Have a Dream" speech at the March on Washington for Freedom and Jobs on August 28, 1963.

Several of King's staff members actually tried to discourage him from using the same "I have a dream" refrain again.

10 signposts on America's race journey

As we all know, that didn't happen. But how this pivotal speech was crafted is just one of several interesting facts about what is one of the most important moments in the 20th century in the United States:

MLK's speech almost didn't include "I have a dream"

King had suggested the familiar "Dream" speech that he used in Detroit for his address at the march, but his adviser the Rev. Wyatt Tee Walker called it "hackneyed and trite."

So, the night before the march, King's staff crafted a new speech, "Normalcy Never Again."

King was the last speaker to address the crowd in Washington that day. As he spoke, gospel singer Mahalia Jackson called out to King, "Tell 'em about the dream, Martin."

Then he paused and said, "I still have a dream."

Walker was out in the audience. "I said, 'Oh, s---.'"

"I thought it was a mistake to use that," Walker recalled. "But how wrong I was. It had never been used on a world stage before."

The rest, of course, is history.

First page of a draft of King's "I Have a Dream" speech (PDF)

Handwritten text on back of "I Have a Dream" typed draft (PDF)

The march almost didn't include any female speakers, either

It was only after pressure from Anna Arnold Hedgeman, the only woman on the national planning committee, that a "Tribute to Negro Women Fighters for Freedom" was added to the official program.

It took further convincing to have a woman lead it.

Daisy Bates spoke in the place of Myrlie Evers, the widow of slain civil rights leader Medgar Evers. Bates, president of the Arkansas NAACP who played a key role in integrating schools in Little Rock, told the crowd: "We will walk until we are free, until we can walk to any school and take our children to any school in the United States. And we will sit-on and we will kneel-in and we will lie-in if necessary until every Negro in America can vote. This we pledge to the women of America."

Earlier, Josephine Baker, an internationally known American entertainer who had moved to France to find fame, addressed the crowd. Dressed in a military jacket draped with medals for her contribution to French resistance in World War II, she spoke in very personal terms about freedom:

"You know I have always taken the rocky path. I never took the easy one, but as I get older, and as I knew I had the power and the strength, I took that rocky path, and I tried to smooth it out a little. I wanted to make it easier for you. I want you to have a chance at what I had. But I do not want you to have to run away to get it."

Women had been central to the civil rights movement -- Diane Nash, Ella Baker, Dorothy Height and many others -- but were only included in the program that day after one woman spoke up.

Opinion: Did we really learn the lesson of the March on Washington?

The most prominent white speaker was called the "white Martin Luther King"

Walter Reuther was the head of the United Automobile Workers, which provided office space, staff and funding for the march in Detroit and the March on Washington for Jobs and Freedom. He was the seventh speaker listed on the program, and shared his remarks to the crowd.

"We will not solve education or housing or public accommodations as long as millions of Negroes are treated as second-class economic citizens and denied jobs," he said.

In 1998, Time Magazine included him in its list of Builders & Titans Of The 20th Century. Irving Bluestone, Reuther's former administrative assistant, shared this popular story to explain who Reuther was at the March on Washington: "Standing close to the podium were two elderly women. As (Reuther) was introduced, one of the women was overheard asking her friend, 'Who is Walter Reuther?' The response: 'Walter Reuther? He's the white Martin Luther King.'"

An openly gay man organized the march in less than two months

Bayard Rustin is "the most important leader of the civil rights movement you probably have never heard of," as LZ Granderson put it in his recent CNN column. Not only did he organize the march in a matter of months, Rustin is credited with teaching King about nonviolence. He also helped raise funds for the Montgomery bus boycott and helped found the Southern Christian Leadership Council.

During the time, his sexual orientation was known, and he was often in the background to prevent it from being used against the movement.

Fifty years after the march, Rustin, who died in 1987, will be honored with a posthumous Presidential Medal of Freedom by President Obama in November.

It wasn't the first planned 'March on Washington'

Labor leader and civil rights advocate A. Philip Randolph had threatened a "March for Freedom" on the National Mall in 1941 to pressure then-President Franklin Roosevelt to provide equal opportunity for defense jobs. Randolph hired Rustin to organize part of the march, which they felt was the only way to prompt action after numerous appeals.

It worked: The march was called off after Roosevelt established the Fair Employment Practices Committee, abolishing racial discrimination in hiring.

Opinion: We're closer to the American dream

The march was a Hollywood star-studded event

Popular actor and singer Harry Belafonte used his star power to help bring other celebrities to the March on Washington. Besides reaching out to the stars themselves, Belafonte went to many of the studio heads in Hollywood to get prominent actors and actresses temporarily released from their duties so they could participate.

He was successful. The Hollywood list of attendees that day read like a who's who of A-listers: Marlon Brando, Sidney Poitier, Lena Horne, Sammy Davis Jr., Charlton Heston and Burt Lancaster, who also gave a speech.

But having the Hollywood stars there wasn't just for show or for increased media attention. It also helped calm President John F. Kennedy's nerves about the march.

"I believe that their presence did a lot to assuage people who were preoccupied with the fact there could be violence," Belafonte said.

"One of the things that I said in my conversations with the Kennedys in discussing why they should be more yielding in their support of our demonstration was the fact that there would be such a presence of highly profiled artists -- that that alone would put anxiety to rest," he added.

"People would be looking at the occasion in a far more festive way."

5 faces of the March on Washington

One march worker fell asleep during MLK's speech

Back in 1963, college student Patricia Worthy took a job answering phones for the March on Washington's planning office. She had 10 phone lines to answer, and they rang from the time she walked in until she left for the day.

"I recall one day I'll never forget, I heard someone say, 'Where is this young lady who handles the phone?' And finally I looked up, and there he was -- Dr. King -- and he said, 'I want to meet this young lady. She has put me on the hold twice, and hung up on me once, and I want to know who she is.' "

Worthy said she was "so embarrassed," but then the civil rights icon gave her a hug.

By the day of the march, she was so tired, she dozed off and accidentally slept through the historic march and the "I Have a Dream" speech.

Everything worked out for her in the end: Worthy had a successful legal career and now teaches law at Howard University.

The only class MLK ever taught

Another hitchhiked all the way from Alabama only to have MLK check in on him

Robert Avery and two of his friends hitchhiked nearly 700 miles from Gadsden, Alabama, to Washington to participate in the march.

Avery, who was 15 years old at the time, was no stranger to the dark side of the civil rights movement. A few months earlier, he was struck by a cattle prod wielded by Alabama police during anti-segregation demonstrations in Gadsden.

The three youths arrived in the nation's capital a week before the march after three days of hitchhiking, and they were put to work making signs for the event.

At one point, King walked in and asked for them. He had been in Gadsden the night before, and their parents had asked the civil rights leader to check on them.

King sat down with the three and talked to them for about 20 minutes, asking them about their dreams, Avery later recalled.

'I Have a Dream' beat JFK's 'Ask not what you can do' speech

There's no doubt that King's speech was the most memorable part of the March on Washington. It's still taught in school, and memorized by children, half a century later.

But how does it compare against other pivotal speeches by 20th century leaders, such as John F. Kennedy or Franklin D. Roosevelt?

Well, a panel of more than 130 scholars got together in 1999 to rate the best speeches of the 20th century and King's speech ranked No. 1.

What else have you learned about the march? Did anything surprise you? Share in the comments section below.

@highlight

King almost didn't talk about "the dream"

@highlight

Women had to fight to be included on the speakers' platform

@highlight

Having Hollywood stars attend helped ease Kennedy fears about march