Washington (CNN) -- Shortly after Kathleen Sebelius was tapped to carry out President Barack Obama's signature health care reform effort, the head of Health and Human Services found herself in the crosshairs of Republicans determined to repeal the law.

The two-term Kansas governor-turned-Obamacare-chief-defender is resigning as health secretary. She's leaving after a problem-plagued rollout of HealthCare.gov, the federal website portal critical to the law's implementation, but with the administration taking a victory lap after unexpectedly reaching and then exceeding its sign-up target of 7 million.

Obamacare hits 7.5 million sign-ups, Sebelius says

A tweet by David Axelrod, former senior adviser to Obama, perhaps best sums up the tension Sebelius faced as she tried to navigate implementing the controversial law familiar as Obamacare.

"When all is said and done, Sebelius has lots to be proud of including the surprisingly strong finish on exchange signups after a rocky start," Axelrod wrote.

That sentiment is "a little passive aggressive," said Ryan Lizza, a CNN political commentator.

"They want the message to be: blame Sebelius with the problems with Obamacare especially as they go into a midterm election where this is going to be a big issue. I think that's a little unfair to her."

It wasn't always this way.

She once was seen as a Democratic Party rising star when she was tapped to deliver the Democratic response to President George W. Bush's final State of the Union address.

She was the Midwestern girl whose political blood ran blue but flourished in a red state. Her father was a former Democratic governor of Ohio.

She was a fan of NASCAR and college sports, running and the Rolling Stones. She ran for the governor's office with promises to improve government efficiency and create a more business-friendly climate within the state.

She navigated a judicial order to boost school spending during a time when her state was facing one of its worst budget crises since the Great Depression.

She was also able to help lead the state to an economic recovery and lower unemployment, according to the state's website at the time.

In 2008, Newsweek magazine called her "one to watch" and Time magazine dubbed her one of four "rising stars from the heartland," and put on the short list as one of the country's five best governors.

Democratic blogger Markos Moulitsas in 2006 predicted on his Daily Kos Web site that Sebelius would be on the shortlist for vice president on the party's ticket. He also gave her kudos for wooing frustrated Kansas Republicans.

She wasn't Obama's first choice to head Health and Human Services -- Sen. Tom Daschle of South Dakota was forced to withdraw over a controversy with his tax records and questions about work some considered lobbying.

It was hoped that her background as someone who worked across the aisle could help Obama as he set about the herculean task of health care reform.

Despite an initial controversy over what she called "unintentional errors" in tax returns and pushback from both pro-life and pro-choice advocates, she sailed through Senate confirmation on a 65-31 vote.

GOP senator: Sebelius the 'laughingstock of America'

As the Affordable Care Act neared implementation, she faced increasing scrutiny from Republican members of Congress who wanted to forestall Obamacare's momentum.

That pressure and criticism only increased after the mandate became law in 2010 without Republican support.

She, her agency and the administration faced blistering criticism about the law's legality -- challenges that were decided by the Supreme Court.

She was routinely grilled at congressional hearings about whether the law could be implemented on time, was financially sustainable and if the administration would hit enrollment targets. And she was hammered in hearings over the Web portal's disastrous roll out in October.

HHS chief: President didn't know of Obamacare website woes beforehand

There were calls for her resignation from a number of House Republicans and several senators amid the HealthCare.gov debacle.

Obamacare enrollment eventually exceeded its target of 7 million -- but not without a last-minute surge in the days before the deadline in March.

And senior administration officials say Sebelius told the President last month that it would reach its goal and that would be a good time for her to go.

The Obama official said Sebelius' decision to leave had little to do with the initial uproar over the website.

A White House official praised her overseeing "one of the most consequential initiatives of this administration" as well as her efforts to "improve children's health, expand mental health care, reduce racial and ethnic disparities, bring us closer to the first AIDS-free generation and promote women's health."

Republicans paid her backhanded compliments.

"She had an impossible task: nobody can make Obamacare work," House Majority Leader Eric Cantor tweeted.

Obama acknowledged the botched rollout of the enrollment website under Sebelius' watch.

"She's got bumps. I've got bumps, bruises," he said on Friday. But "the final score speaks for itself."

But some see the administration's handling of Sebelius' departure as damning with faint praise.

"I mean, this is one of those classic Washington dances where the administration praises the person but the at the same time you want the message to sort of suddenly be that we weren't so happy with what she did and this -- and we couldn't of course get rid of her when the website was a disaster, right," Lizza said.

Members of her party back in her home state told the Kansas City Star they were stunned by Sebelius' move but could well understand her motivation.

"I think she has had the toughest job in Washington over the past four years," Jim Slattery, a former congressman and U.S. Senate candidate, told the paper. "She has done a good job under the worst possible circumstances you can imagine."

Sebelius told the Star in an interview on Thursday that she always knew she would not "be here to turn out the lights in 2017."

During Friday's event, where Obama also nominated her successor, Sebelius stood next to the President.

And she described her time as health secretary as "the most meaningful work I've ever been a part of."

She leaves the job in May.

CNN's Jim Acosta, Jake Tapper and Greg Botelho contributed to this report.

@highlight

Sebelius became the face of Obamacare's rocky roll out

@highlight

Officials: Sebelius told Obama in March that she would resign

@highlight

Sebelius was a two-term governor in largely Republican Kansas

@highlight

Sebelius called her time in D.C. "the most meaningful work I've ever been a part of"