Seoul (CNN) -- They were once referred to as the "Vatican's spies." But one Christian hopes attitudes towards missionaries are changing in North Korea.

Father John Park has been a welcome and regular guest at Pyongyang's only recognized Catholic Church since 2000.

"When we first arrived at Changchung Church, North Korean followers came out ... then immediately rushed to a nun who traveled with me and jumped up and down bursting into tears," said Father Park, a South Korean priest with Missionaries of the Sacred Heart.

"These people haven't seen a nun in 50 years. That's when I realized that they are indeed followers."

North Korea is accused of widespread religious persecution and the United States claims its few state-run churches exist simply to give the appearance of religious freedom.

'Silent church'

Its Catholic Church is known as the "silent church." It has no ties with the Vatican and there is not one single residing priest in the country. There are strict controls over what is permitted -- many religious processes such as confession are out of the question. A confidential one-on-one conversation between a South Korean -- even if that person is a priest -- and a North Korean is impossible and both could be accused of espionage.

In the 1970s, Pyongyang proudly insisted that the country was "free from religious superstitions," according to South Korea's Unification Ministry. The reclusive regime is officially atheist.

Then for no apparent reason, the authorities in the North created a small number of churches and temples in the late 1980s, all of them under very strict government control. And Changchung Catholic Church was one of them.

Father Park has been holding mass annually at a church in Pyongyang for North Korean Catholic followers despite criticism that they may be "fake" believers. Over the course of 14 years traveling to the North, he said he's interacted with many of the church's congregation and believes they're genuine. He recalled one man, known only as "Mr. Cha," who died four years ago.

"Mr. Cha was a follower before the Korean War and his dream since young was to become a priest. He lived alone waiting for a chance to either go to China or Rome to become a priest."

In 1945, North Korea had an estimated 50,000 Catholics, according to the South Korean Catholic Bishops Conference of Korea (CBCK). Around 20,000 are believed to have defected to China before Japan's long occupation of the Korean peninsula was ended at the end of World War II. There was also around 300 foreign and local clergy in the North during the time, most of whom went missing, were executed or died in prison, according to the CBCK.

Aging church

Many followers at Changchung Church were baptized before the Korean War (1950-53), and many have died, Father Park said. He believes the congregation has dropped from about 150 to 100 since 2000.

"A lot of people are ailing and if followers from the older generation die, things could get difficult. There may not be too many followers in North Korea but we should open-mindedly help and support them," Father Park said. "Like a mindset of a shepherd, we should treat them with warm heart," he added.

North Korea's state-run Korean Catholic Association claims it has about 3,000 "registered Catholics," while the United Nations puts the number at 800.

Nevertheless, members of religious groups, as well as the groups themselves, are often criticized as being fake. "The North Korean government is tolerant of a small controlled religious presence within the country or is willing to fake such presence," said Andrei Lankov, an associate professor in social sciences at Kookmin University in South Korea.

"Even if some members are true believers, they are selected by the government. The police authorities, the secret police, is checking your background," he said.

North Korea's constitution does allow its people to practice religion. However, in the same constitution, it also says it won't allow it to be "used for drawing in foreign forces or for harming the State or social order."

Kenneth Bae, an American citizen who was sentenced to 15 years of hard labor in North Korea, was accused of bringing down the government through religious activities. And he is not the only missionary to be detained in the country.

"From their (North Korea's) point of view, it is a very real threat. Right now, Christianity seems to be their most dangerous ideological challenge to the existing regime," said Lankov.

@highlight

North Korea is accused of widespread religious persecution

@highlight

Father John Park has been making regular visits to a church in the North

@highlight

But many commentators say followers of the North's state-controlled church are fake