Washington (CNN) -- The Federal Aviation Administration is changing a generations-old policy banning pilots from taking antidepressants, saying the new policy will improve safety by bringing to the surface pilots who either ignore signs of depression or lie about their use of medication for fear of losing their licenses to fly.

Beginning Monday, pilots with mild to moderate depression will be allowed to fly while taking antidepressants if they can demonstrate they have been satisfactorily treated for at least 12 months.

The FAA also will begin a six-month amnesty period, during which pilots who use antidepressants can step forward without fear of penalties. The pilots will be grounded until they can demonstrate they have been stable for a year, although those who can prove a history of successful medical treatment should be able to fly "within a few months," the FAA said.

The new policy will "absolutely" improve safety, said Randy Babbitt, head of the FAA and a former airline pilot and union chief.

"The concern that we have today is we have people who are either self-medicating or not seeking a diagnosis. Either of those is unacceptable," Babbitt said. "This change ... will allow those people to get the treatment, allow us to monitor and return them to the cockpit [as] safer, better pilots."

FAA officials said that they do not know the extent of depression among pilots but that pilots are probably representative of the larger population, in which 10 percent are believed to suffer from depression.

Nor does the FAA know how many pilots have removed themselves from flying status because they suffer from depression, a condition that now bars them from flying. Nor do they know how many take antidepressants in violation of FAA policy.

Commercial pilots under the age of 40 are required to undergo a medical exam by an FAA-certified physician every year; those over 40, every six months. But the examination focuses largely on the pilots' physical health, and there is no formal assessment of the pilots' mental health.

The FAA says pilots have a regulatory duty and professional responsibility to not fly if they know they have a physical or mental condition that makes them unsafe to fly.

But the FAA concedes pilots aren't always forthcoming, especially if honesty could cost them their job.

"We know that there are people out there who are not taking antidepressants because they know they would be grounded if they are. We know there are people out there who are taking them and lying to us about that," said Dr. Fred Tilton, the FAA's federal air surgeon.

"We think it's safer to [make sure pilots are treated for depression] than to continue to drive it underground," he said.

Under the new policy, the FAA will, on a case-by-case basis, issue special medical certificates to pilots who take one of four antidepressants: fluoxetine (Prozac), sertraline (Zoloft), citalopram (Celexa) and escitalopram (Lexapro).

All four drugs can be used safely without side effects, the FAA said, and other medications will be considered as the agency gains experience and data under its new policy.

FAA officials say that they have been studying the issue for a decade, and that the change comes with improvements in medication and as the stigma of depression has diminished.

One of the concerns is the risk of suicide by airplane.

Between 1993 and 2002, there were 16 "aircraft-assisted suicides," according to a National Transportation Safety Board report, as recounted in a recent FAA medical bulletin. All involved smaller aircraft.

In addition, the NTSB ruled that in 1999, the pilot caused the crash of EgyptAir Flight 990 by forcing the plane into the Atlantic Ocean, although the board could not determine the pilot's motives and did not use the term "suicide."

The pilot's medical certificate had been renewed 10 days before the crash. All 217 on board were killed.

"Depression is a disease, and it's treatable just like any other disease. And there is a stigma out there that we want to remove. We want to make the skies safer, and we believe that this change in the policy will benefit that and achieve that," Babbitt said.

Said Tilton: "We believe it's the right thing to do. We also have support from all of the scientific organizations that understand the treatment of depression and the safety of the airspace."

The new policy is consistent with recommendations from a host of aviation and medical organizations, including the Aerospace Medical Association, the International Civil Aviation Organization, the Aircraft Owners and Pilots Association and the Air Line Pilots Association, the FAA said.

Babbitt acknowledged that pilots face some risk by stepping forward, but he said they also face risk if they don't.

"If it [unauthorized use of medication] was ever discovered, it would be the end of their license and their career, period," he said.

The FAA said the policy is being posted on the Federal Register, where the public can make comments until May 3. Officials said because it is changing a policy, and not a rule, pre-publication in the Federal Register was not necessary.

@highlight

FAA cites safety concerns, says policy applies to pilots with mild to moderate depression

@highlight

To fly while on antidepressants, pilots must have been treated for at least 12 months

@highlight

FAA says policy will expose pilots who ignore depression or lie about medication use

@highlight

For 6 months, pilots who use antidepressants will be able to step forward without penalties