San Diego, California (CNN) -- In most high schools in America, they teach Shakespeare. But at Central Falls High School in Rhode Island, they're acting out a Shakespearean drama.

Only instead of the famous line from Henry VI -- let's kill all the lawyers -- what we have is: "Let's fire all the teachers."

That's exactly what Central Falls School District Superintendent Frances Gallo did in February. In a move that was bold but also justified, Gallo fired 77 teachers at Central Falls High School in Rhode Island, along with the school's principal, three assistant principals and other administrators. In all, the district said, 93 people were let go in the purge. The school board later stood by Gallo and approved the action.

The mass firings, which take effect at the end of this school year, came after the district failed to reach an agreement with the local teachers' union on a plan that would have required teachers to spend more time with students to improve test scores -- with only a small increase in pay.

Consistent with federal guidelines designed to improve the educational system, Gallo asked teachers to work a longer school day of seven hours and tutor students weekly for one hour outside school time. She proposed teachers have lunch with students often, meet for 90 minutes every week to discuss education and set aside two weeks during summer break for paid professional development.

Think of it as asking teachers to go back and fix what they didn't do right the first time.

Central Falls High School is one of the lowest-performing schools in Rhode Island. It operates in a community where the median income is $22,000, according to census statistics. Of the school's 800 students, 65 percent are Latino and most of them consider English a second language. Half the student body is failing every subject, with 55 percent meeting requirements in reading and only 7 percent in math.

"No thanks," said the teachers. "You're fired," said Gallo.

Upon hearing this story, my first thought was how do we get this woman out of Rhode Island -- and down to Washington to clean house by demanding results from the politicians?

Apologists for the public schools and other defenders of the status quo will hear those statistics, and say: "Well, how do you expect educators to reach and teach a population like that?"

Easy. I expect teachers to do it by putting aside the excuses, setting higher expectations, adhering to better standards, giving into common sense reforms and doing their jobs in a school that serves a vulnerable population that is especially in need of a quality education -- but also, and here's the good news, in many cases, extra motivated to get one.

Forget that poor-kids-can't-learn nonsense. It wasn't true 100 years ago and it's not true now. Besides, there is no ideal student population.

Whenever I write in support of education reform -- whether proposed by Democrats or Republicans -- or, for that matter, whenever I challenge teachers in any way, I get an earful from angry and defensive educators who demand to know if I have ever been in the classroom. I interpret their comments to mean that if have never been a teacher, I ought to just pipe down and keep paying my taxes so they can grow their salaries at a respectful rate.

I will keep paying my taxes, but I will not pipe down. Not that I think it matters, but, in fact, I have been in the classroom. I taught for nearly five years at the K-12 level in Central California. I've taught the kids of poor farm workers, but I've also taught the kids of doctors and lawyers.

Now guess which group was more respectful of authority and eager to learn, and which was more likely to think of itself as entitled and privileged? In teachers' lounges, I've heard teachers complain about kids who are poor and disadvantaged. But I've also heard other teachers complain about those who are spoiled and overly advantaged.

Why? Because that's what teachers do. They complain. They can't help it. It's in their professional DNA. Everything is always someone else's fault. They never want to accept responsibility for kids who drop out of school but they're the first in line to claim credit for the kids who wind up in the Ivy League.

One minute, they're arguing that the parents have all the power over how a child performs. The next, they're denying those same parents the right to have more options and a greater say in their kids' education through charter schools and voucher programs. The contradictions are astounding.

And now thanks to the Obama administration, whose approach to education reform is, interestingly enough, an exact replica of that of the Bush administration, teachers and teachers' unions have even more to complain about.

The American Federation of Teachers, one of the nation's largest teachers' unions, even complained about President Obama after the chief executive referenced the Rhode Island firings and praised the school district for taking the action.

"Our kids get only one chance at an education and we need to get it right," Obama said in a speech this week to the U.S. Chamber of Commerce.

This, AFT president Randi Weingarten insisted, was nothing more than an attempt by Obama to "score political points by scapegoating teachers."

So, teachers' unions, how's that hope and change working out for you? It seems to be working pretty well for the country, since Obama is obviously serious about education reform.

Back in Rhode Island, Gallo said this week that she is willing to negotiate now that the local teachers' union has agreed to support the changes she proposed.

You don't say? The firings worked. Score one for accountability and common sense.

Now, Madame Superintendent, about that trip to Washington...

The opinions expressed in this commentary are solely those of Ruben Navarrette Jr.

@highlight

Teachers were fired at a poorly performing Rhode Island high school

@highlight

Ruben Navarrette says teachers like to complain about the challenges they face

@highlight

He says reforming schools requires holding teachers accountable

@highlight

Blaming poor performance on the students doesn't accomplish anything, he says