Iquitos, Peru (CNN) -- Nearly 21 years ago, Patty Webster landed her dream job as an adventure tour guide in the Peruvian Amazon. But as she shared the area's beauty and culture with tourists, she realized there was a darker side to the rainforest paradise.

"I saw how poor they were and realized that people were dying because they didn't have medical care," Webster said.

She started sharing her supplies with the locals and soon began waking up to find people waiting outside her mosquito net to ask her for medicine. At one point, Webster -- who had no medical training -- gave someone stitches, following instructions from a book.

"It was kind of scary," she recalled. "If they're depending on me for their health care ... we're all going to die."

That's when she decided to stay and do something more.

Since 1993, Webster has been bringing medical relief to some of Peru's poorest and most remote areas through her nonprofit, now known as Amazon Promise.

Webster -- described by a visiting doctor as "sort of a cross between Indiana Jones and Mother Teresa and Susan Sarandon" -- and her volunteers have provided free health care and education to more than 55,000 people.

Do you know a hero? Nominations are open for 2010 CNN Heroes

It's hardly the life one could have predicted for this Detroit, Michigan, native, but she's never followed an "ordinary" path.

The daughter of postal workers, Webster headed to New York after high school graduation and worked as a model, a Radio City usherette and an ASPCA adoption counselor before going to Peru for a wildlife internship.

When she was offered a job as an adventure tour guide, she jumped at the chance and has never looked back.

Today, she runs Amazon Promise from Iquitos, considered the most populous city in the world that can't be reached by road. It's in the northeastern corner of the country, in the middle of the rainforest, and is the capital of Peru's largest and most remote region.

Nearly half of the area's population lives in poverty, and one-third of residents lack access to basic medical care, according to Peru's National Institute for Statistics and Information Technology. Some might go their entire lives without seeing a doctor.

That's what Webster is working to change. She organizes several expeditions to these underserved areas every year. Each trip is staffed by adventure-seeking medical volunteers from the West -- often from U.S. medical schools -- and Peruvian health professionals. A traditional shaman, or healer, frequently accompanies them.

Dr. John Glick met Webster while on a trip to the slums of Belen, near Iquitos, for the Gesundheit! Institute, Dr. Patch Adams' health organization.

"She's an amazing person. She is sort of a cross between Indiana Jones and Mother Teresa and Susan Sarandon," Glick said. "She is a unique and focused individual who is serving the health needs of some of the (poorest) people in the world."

Financed largely by the volunteers' trip fees, Webster's teams travel around the region for up to four weeks at a time, holding free clinics for the local people.

Getting to these remote areas is Webster's biggest challenge. Many of the villages take days to reach, often requiring travel by bus, helicopter and boat. Large portions of these trips are made on the area's winding rivers -- no easy feat when traveling with 30 to 40 containers of medical supplies.

"Sometimes we're in dugout canoes ... and we'll encounter major rapids," Webster explained. "When that happens, you just need to get in and close your eyes."

In the villages, the volunteers provide preventive services such as prenatal checkups and general exams, but most of their time is spent treating a wide range of ailments like malaria, TB, pneumonia, diarrhea, animal or snake bites, and parasites. Teams usually see several hundred patients during each expedition.

Webster also strives to empower the local population by training village health workers and educating villagers about HIV prevention, hygiene and sanitation.

The group also works in some of the region's most destitute urban areas.

"We often see people that are even sicker right in the city than in the jungle," she said.

Webster hopes to build a permanent clinic in Belen, a slum on the outskirts of Iquitos. She envisions providing services to the city's poor, training for health workers and housing for villagers who come to the city for treatment.

The government has donated land for the project, and Webster is working to raise the funds for construction. In the meantime, the group has built a simple structure where it will hold clinics twice a month.

After 17 years, Webster still has yet to collect a salary for her work, and she lives in the group's offices in Iquitos. But while life on a shoestring budget isn't always easy, knowing that she's having an impact keeps her motivated.

"Regardless of whether it's getting to one person or 30 people or 300 people, you make a big difference," she said. "Anything I can offer them that is going to help them ... it's just a real gift."

It's a gift she plans to keep giving for as long as she can.

"I've found my purpose," she said. "It certainly wasn't what I had planned for my life, but you can't go against these forces of nature."

Want to get involved? Check out the Amazon Promise Web site and see how to help.

@highlight

Since 1993, former tour guide has brought medical relief to some of Peru's poorest areas

@highlight

Patty Webster, volunteers have provided free health care to more than 55,000 people

@highlight

Much of population lives in poverty; many lack access to basic medical care

@highlight

Do you know a hero? Nominations are open for 2010 CNN Heroes