(CNN) -- A locally-produced slapstick comedy was the runaway box office hit last year in China, but international films swept the top 10 highest-grossing films in the country.

Industry insiders say international influence is only set to grow, as Chinese censors loosen restrictions on foreign films and more fans make a habit of seeking out the latest blockbusters. Last year, the country's box office receipts increased 30% to over RMB 17 billion ($2.7 billion), making China the world's second-largest box office

On the fifth episode of CNN's monthly show "On China," host Kristie Lu Stout traveled to Hengdian World Studios to discover what strikes a chord with Chinese viewers. There, she asked Dan Mintz, CEO of DMG Entertainment Group, and acclaimed film directors Jin Yimeng (Eva) and Lu Chuan what Chinese filmgoers want to see.

On the surface, the script for success is not dissimilar to what works in the United States, they said. U.S. films, including "Titanic 3D" and "Mission: Impossible-- Ghost Protocol" comprised seven of the top 10 highest-grossing films in 2012, according to the State Administration of Radio, Film, and Television. While foreign films accounted for only a quarter of the 303 movies screened in Chinese theatres last year, they took in over half of overall ticket sales (52.4%).

Chinese moviegoers seek escapism, according to Jin, China's first female director to exceed RMB 100 million ($16 million) at the box office. She struck gold with her 2009 romantic comedy, "Sophie's Revenge," which featured international Chinese star Zhang Ziyi. Previously, Chinese romantic comedies were primarily low-budget efforts that failed to capture audiences, she said.

Indeed, the highest-grossing film in China last year (RMB 1 billion or $161 million) was "Lost in Thailand," a locally-produced lowbrow, slapstick comedy featuring two rival colleagues battling snakes and gangsters to win the favor of their boss. In contrast, Lu's "The Last Supper," a dark historical film dramatizing the transition between the Qing and Han dynasties, felt flat when it was released in late November. "People struggle for [the] whole year, they want some entertainment," he said.

It is not to say that Chinese audiences only welcome comedic fare. While it did not crack the top ten, "Looper," a futuristic sci-fi movie by U.S. writer-director Rian Johnson and starring Bruce Willis, was still a big hit both internationally and in China last year.

Its scenes in Shanghai aside, Looper's projections of the future mirrored the ongoing question of China's trajectory, said Mintz, whose company co-produced the movie. "There's never really been a film that has talked about mainland China in the future, and that I think is very, very specific to what Looper was," Mintz said. "It's obviously a powerhouse...but where is it going to be in the future?"

Easy access to theaters is also driving mainland viewers to the silver screen. China has over 12,000 movie screens and it is adding more at a rate of eight to 10 each day, Mintz said. Cinemas in major cities like Beijing and Shanghai are comparable to those in the U.S., Lu added.

But the guests said the overriding factor in increasing box office sales is a growing predilection for young Chinese to visit the cinema every week.

"I know some young people, they go into movie theatres every week and sometimes if they like [the movie], they watch [it] three times," said Jin.

China's film boom is not without its obstaclesâ€”particularly in navigating government censors.

Lu described the process as opaque and protracted. For his critically-acclaimed film "City of Life and Death" about the controversial Rape of Nanking, he said censors took nearly a year to approve the script and half a year to approve the film.

While censorship restrictions are all-encompassing on the surface, Mintz said the rules are subject to interpretation for each film, describing the system as a Chinese way of saying, "Let me say what you can't do and we'll work our way backwards."

"There's a rule that says you can't do this and there's a rule that says you can't do that," he said, adding, "If we live by those rules, we wouldn't be anywhere, we wouldn't be in this business." Case in point: Looper managed to bypass the rule against featuring time travel by making other concessions.

Restrictions are slowly easing, Mintz said, and "each new precedent will then lay the ground for the next one." While Chinese cinemas have a strict annual quota of screening 20 foreign films, the government allowed 14 extra films to be shown last year, as long as they were 3D or IMAX versions. The share of revenue for foreign film companies was also increased to 25%.

Filmmakers point out that opening up the mainland film industry is not only essential for foreign films to do well in China, but also for Chinese films to break into international markets.

There is clearly a mutual appetite between the Chinese and American film industries. Chinese Communist Party chief Xi Jinping stopped by Hollywood on a U.S. visit last year. Dreamworks and Chinese media groups are set to open a joint venture animation studio in Shanghai, as part of a new entertainment district billed as rivaling Broadway in New York.

"This is definitely the best time for the Chinese filmmakers because there are so many investors with hot money...we have so many opportunities," said Jin.

@highlight

International films swept top 10 highest-grossing films in China in 2012

@highlight

Chinese moviegoers often seek escapism in comedic fare

@highlight

Growing predilection for youth to visit cinema every week is key driver of ticket sales

@highlight

Film censorship restrictions in China slowly easing; international collaboration increasing