Imagine the delight at unwrapping your Christmas present in 2043 and discovering you've been gifted a trip around the Moon.

It may seem a little far-fetched right now but it could become a reality if space companies like Virgin Galactic realize their aspirations over the next 30 years or so.

Richard Branson and his children are due to fly in his company's spaceship on its first commercial flight currently slated for 2014. But speaking to CNN outside a space conference in the UK last week, the company's CEO George Whitesides said their ambitions extended beyond sub-orbital flights for those first customers.

"If we can make significant progress on the challenge of reusable space access then I think that opens up all kinds of opportunities in the future," he said.

"One of the directions that might open up is high-speed point-to-point travel on Earth -- so that you could go from London to Singapore in an hour or go from London to Los Angeles in a couple of hours.

"We may be able to open up the opportunity for habitats in low Earth orbit, we could make it more affordable to do longer term flights -- even trips around the Moon. I think he [Branson] has high aspirations for a lot of these different activities."

For the moment, Whitesides said the company is focused on completing the test flight program in preparation for the passenger flights that he said Virgin Galactic aims to run on a weekly basis once the service is established.

Whitesides later told delegates at the Rutherford Appleton Laboratory space conference that about 650 people had signed up for the trip, and over the next couple of years the company would double the number of people who have been into space since Yuri Gagarin's flight in 1961 which heralded the start of human exploration of space.

But Virgin is not alone in developing the space tourism business. It faces competition from other commercial enterprises trying to attract fee-paying passengers -- and many agencies now offer satellite delivery services.

Blue Origin, set up by Amazon founder Jeff Bezos, says it is developing technologies to enable human access to space. And another private company, SpaceX, has already delivered payloads to the International Space Station.

So with private companies launching services and national space agencies like India's ISRO joining the exploration of Mars and China setting off to land a probe on the Moon, is a fresh space race emerging? Whitesides suggests there is a new era dawning.

"This is a great time," he told CNN. "There's a renaissance in space access -- between us and Blue and SpaceX and all these companies -- it's so exciting.

"I think there's a very good chance that we're alive when we actually find another 'Earth' in another solar system -- how profound is that?"

Scientists may get closer to that goal if proposed missions outlined at the UK conference get off the ground.

Professor Giovanna Tinetti explained how one of the European Space Agency's candidate missions -- a space telescope called EChO -- would help analyze what exoplanet environments are like and whether they might be suitable for life.

Delegates also heard about the plan to send a new probe to the Jovian system. The JUICE mission (JUpiter ICy moons Explorer) aims to explore not only the gas giant but also its three moons Ganymede, Callisto and Europa. Space physicist Professor Michele Dougherty said they were interested in finding out if water really is trapped between icy layers on Ganymede and its implications for "watery worlds" beyond Earth.

The search for Earth-like planets is clearly something that fascinates Whitesides too. He believes we will soon be able to detect seasons on other worlds.

And he's unlikely to have to wait until 2043 for his first taste of space adventure, having signed up for a seat in his company's spaceship.

"I'm actually a customer as well," he said. "My wife and I bought two tickets in 2005.

"I think it's important that I fly because just as Richard's flight is such an important signal to our customers that he believes in the system, similarly I need to do that as well."

READ: Virgin Galactic competes second powered flight

READ: What does $250,000 ticket to space buy you?

READ: Private space travel. A new era begins?

@highlight

Space companies hope to launch regular commercial flights over next 30 years

@highlight

Virgin Galactic plans to double number of people who have been into space since 1961

@highlight

Virgin faces competition from other commercial enterprises including Blue Origin and SpaceX

@highlight

Delegates at UK conference also heard about plan to send new probe to Jovian system