(CNN) -- Radiation levels in fish caught near the Fukushima Daiichi nuclear power plant remain high long after the 2011 meltdowns there, suggesting contamination from the site might still be seeping into Pacific waters, a U.S. researcher reported Thursday.

The "vast majority" of fish caught off Japan show no sign of radioactive contamination at levels dangerous to humans, even at the tighter limits Japan imposed after the Fukushima Daiichi accident, Ken Buesseler, a marine radiochemist at the Woods Hole Oceanographic Institution in Massachusetts, wrote in this week's edition of the journal Science.

But close to the plant, an ongoing high level of the reactor byproducts cesium-134 and cesium-137 "implies that cesium is still being released to the food chain," he wrote.

Nuclear plant operator admits downplaying risk

The sources are likely to be from radioactive particles released by the plant that settled into sediment on the sea floor or from groundwater seeping into the ocean from the plant, as operators continue to pour tons of water a day into the reactors to keep them cool. Researchers can't say definitely which is the more likely source, "but we know both are happening," Buesseler told CNN.

"We can't say whether it's today's cooling water or from last April, but we continue to see cesium in the ocean, directly at the plant, is elevated," he said. But he added that those levels are "not dangerously high -- I don't think we need to be alarmist about this."

The plant is no longer venting radioactive steam into the atmosphere, as it was at the height of the disaster. And the plant's operator, the Tokyo Electric Power Company, has set up a system to absorb cesium from reactor coolant water. But not all that water is being recovered, Buesseler said.

Mutant butterflies a result of nuclear disaster

Buesseler was one of the organizers of an international research expedition three months after the disaster. He studied Japanese government reports of cesium contamination in about 8,500 fish caught at different locations off northeastern Japan for his latest findings.

The tsunami that hit Fukushima Daiichi after Japan's historic March 2011 earthquake knocked out power and coolant systems at the plant, resulting in meltdowns in three reactors. The result was the worst nuclear accident since Chernobyl, as the crippled reactors spewed enormous amounts of radioactive particles into the environment.

Most of the fallout from the plant was blown out to sea, where it was diluted in the vast Pacific. But while no deaths have been directly attributed to the accident, tens of thousands of people remain displaced from contaminated towns surrounding the plant.

Radiation readings in the contaminated fish varied widely, with bottom-dwellers typically showing the highest results, Buesseler said. That suggests that contamination has settled over the seabed, where it will persist for decades -- cesium-137 takes 30 years to lose half its radioactivity, while cesium-134 has a radioactive half-life of only two years.

Record radiation found in fish near Fukushima plant

Cesium accumulates in the muscle tissues of fish, which eventually process and excrete most of it. Since April, Japanese authorities have banned fish that show levels of both cesium isotopes higher than 100 becquerels per kilogram of wet weight.

Most fish caught beyond the shores of Fukushima Prefecture, where the plant is located, test well below that limit. But levels between 1,000 and 10,000 Bq/kg have been found in fish caught off Fukushima. In one surprising result, two greenling -- a typically bottom-dwelling, near-shore fish -- tested above 25,000 Bq/kg in August, Buesseler found.

Buesseler credited Japan's government for trying to protect the health of its people, noting, "They certainly aren't hiding these numbers."

But he added, "There's a lot of uncertainty in the Japanese public what to believe, who's telling the truth. And with radiation, there's a lot of alarmism and fear that goes with it."

Japanese nuclear plant operator admits playing down risk

The Tokyo Electric Power Company, the operator of the Fukushima plant, said it is monitoring radiation contamination in fish and has not seen any meaningful change, but has implemented a series of preventative measures as a precaution.

@highlight

U.S. scientist: Cesium levels in fish point to ongoing source of contamination

@highlight

The source could be from the seabed or from ongoing leaks from the damaged plant

@highlight

Ken Buesseler studied thousands of Japanese catch reports for his study