(CNN) -- A bill moving through Congress is intended, on its surface at least, to do something relatively simple: Crack down on the illegal pirating of movies, music and other copyrighted material.

But a major online backlash has evolved, with everyone from lawmakers to Web-freedom advocates to some of technology's biggest players calling it a greedy and dangerous overreach that could have a chilling effect on free speech and innovation.

Google, Yahoo and Facebook are among the Web heavyweights who have joined the chorus against the Stop Online Piracy Act (SOPA), which backers hope to have ready for a vote by the end of the year.

Its intent is to help put a stop to foreign websites that illegally post, and sometimes sell, intellectual property from the United States. Federal law-enforcement agencies would be empowered to shut down those sites, and cut off advertising and online payments to them.

"The Stop Online Piracy Act helps stop the flow of revenue to rogue websites and ensures that the profits from American innovations go to American innovators," Rep. Lamar Smith, a Texas Republican, chairman of the powerful House Judiciary committee and the sponsor of the plan, said when the bill was introduced last month.

"The bill prevents online thieves from selling counterfeit goods in the U.S., expands international protections for intellectual property, and protects American consumers from dangerous counterfeit products. "

Its supporters include some powerful lobbying groups, including the Motion Picture Association of America, the pharmaceutical industry and the U.S. Chamber of Commerce.

On the other side are Web-freedom advocates, who were quick to say the effort goes too far. And this week, in the wake of a Wednesday hearing on the plan, that discontent grew louder and more widespread.

"Our government is tampering with its basic structure so people will maybe buy more Hollywood movies," says an animated video by Kirby Ferguson, the New York filmmaker behind the Web video series "Everything Is a Remix," that is making the rounds online.

"But Hollywood movies don't get grassroots candidates elected. They don't overthrow corrupt regimes, and the entire entertainment industry doesn't even contribute that much to our economy. The Internet does all these and more."

Perhaps tellingly, that video was made in response to an earlier bill proposed in the Senate, which has since been put on hold by its sponsor. Ferguson has since added a message at the end of the video saying the issue has "gotten much worse."

Some critics fear that enforcement of the act is ill-defined and could allow federal authorities to go after sites that don't set out to illegally broadcast or sell content.

For example, advocates say, YouTube has housed important content, like video of political unrest in places like Egypt and Iran where government crackdowns had otherwise blocked media access. But YouTube also is home, albeit against its will, to music videos, movie clips and other content posted without the intent of its creators.

Under SOPA, they say, a fledgling YouTube could have been shut down because of those posts.

This week, a letter opposing the House and Senate bills was sent to Congress, signed off on by AOL, eBay, Facebook, Google, LinkedIn, Mozilla, Twitter, Yahoo and Zynga.

"We support the bills' stated goals -- providing additional enforcement tools to combat foreign 'rogue' websites that are dedicated to copyright infringement or counterfeiting," the letter reads. "Unfortunately, the bills as drafted would expose law-abiding U.S. Internet and technology companies to new uncertain liabilities, private rights of action and technology mandates that would require monitoring of websites.

"We are concerned that these measures pose a serious risk to our industry's continued track record of innovation and job-creation, as well as to our nation's cybersecurity."

To coincide with Wednesday's committee hearing, many websites devoted themselves to drawing attention to the debate. Blog platform Tumblr blacked out images in users' posts with a message urging users to "Stop The Law That Will Censor The Internet!" A post on Tumblr's staff blog claimed users flooded House lawmakers Wednesday with 87,834 phone calls protesting the bill.

The backlash seems to be spreading to the halls of Congress.

On Thursday, House Minority Leader Nancy Pelosi, D-California, announced her opposition to the plan on Twitter.

"Need to find a better solution than #SOPA #DontBreakTheInternet," she wrote, using hashtags that opponents have used to show their disapproval on the site.

Even Pelosi's opponents from the other side of the ideological aisle agreed with her.

Influential California Republican Rep. Darrell Issa joined other conservative lawmakers, including presidential candidates Michele Bachmann and Ron Paul, in opposing the proposed law.

"I don't believe this bill has any chance on the House floor," Issa told The Hill on Wednesday. "I think it's way too extreme, it infringes on too many areas that our leadership will know is simply too dangerous to do in its current form."

@highlight

Bill to fight online piracy being hit by huge Web-freedom backlash

@highlight

The Stop Internet Piracy Act is intended to protect U.S. intellectual property

@highlight

Web-freedom advocates say it's too broad and could be used to shut down legit sites

@highlight

Google, Facebook are among Web fixtures opposed to the plan