(Wired) -- Twitter launched a new service on Wednesday called the Twitter Political Index, or Twindex. By applying highly tuned algorithms to Twitter's fire hose of data, the service offers a real-time look at voters' moods, and scores which presidential candidate is trending up (and who is trending down) day to day.

Twindex is a joint effort between Twitter, Topsy, and two polling groups, the left-leaning Mellman Group and the more conservative NorthStar Opinion Research.

The collective goal is to dive into Twitter's deep trove of data, and pull up insights faster than Gallup and other traditional polling companies. Expect to see Twindex results referenced in all political news and commentary as we head into the presidential election.

Welcome to the age of big political data.

In 2008, Twitter co-founder Ev Williams walked into the then-tiny Twitter office's very small conference room, and saw something remarkable: a way for Twitter to track what people were saying about the upcoming presidential election in real-time.

â€¬The company had contracted Jeff Veen's Small Batch to build a site that could show how people were talking about the election. And on this day, Veen was in the office to show what he'd come up with, a subdomain on Twitter -- election.twitter.com -- that could track trending terms and follow message volumes about the various political candidates.

When Veen's technology went live a few weeks later, it gave everyone a window into the vital discussions happening on Twitter. Williams was positively giddy.

It was, Williams explained to Wired, a glimpse of what Twitter could be. This was in Twitter's salad days, literally, when the most common knock on Twitter was that it offered little more than people boasting about what they ate for lunch. "In the future, Twitter will be less personal," Williams explained. "Less about status, even. It will be more about what's happening with trends and events."

When election day rolled around in November 2008, Twitter had one of its biggest traffic days ever. Users posted some 1.8 million tweets. The mood at the company headquarters that night was ebullient.

Sure, there were plenty of happy Obama supporters present, but mostly the team was excited because its servers stayed up under the load. As results came in, cheers went up as the team announced not who won the election, but tweet volumes.

Today, both the election site and the server load seem quaint. 1.8 million tweets? Twitter now does that every six minutes. And while that early election site was fun to look at and very interesting, it wasn't truly useful for drawing insight. Twitter's sample size was simply too small. But now, four years later, all of that has changed.

Twitter is a big data company now. By its own reckoning, it has some 140 million active monthly users (outside estimates place it at 170 million) who tweet some 400 million times a day. And very, very many of them are talking politics.

Now, with help from Topsy, Mellman and NorthStar, Twitter has found a way to extract voter sentiment from those conversations, measure it, and return a daily number. These results track very closely with the Gallup approval rating polling data.

Here's how it works.

Topsy uses Twitter's high-volume fire hose of data to look at every tweet in the world, and establish a neutral baseline.

Separately, it looks at all the tweets about Barack Obama and Mitt Romney, runs a sentiment analysis on them, and compares this analysis to the baseline. It looks at three days' worth of tweets each day, weighting the newer ones higher than then older ones.

It then returns a numerical score for each candidate based on how tweets about the individual compare to all tweets as a whole. A completely neutral score would be 50. Anything above that is a net positive, while lower is a net negative.

So, for example, if Obama has a score of 38, that would mean that tweets about him are more positive than 38 percent of all other messages on Twitter.

The project began when Twitter noticed that conversations about candidates on its own feeds accurately foreshadowed voter sentiments showing up in traditional polls.

For example, during a FoxNews debate broadcast in which viewers were asked to rate candidates' responses as either "answer" or "dodge," Twitter saw a profound uptick in positive responses about Newt Gingrich. A few days days later, Gingrich was indeed moving up in the polls, but Twitter could see this shift in real-time, much, much earlier, during the debate.

Similarly, in the run-up to the Michigan and Arizona primaries, Twitter saw Mitt Romney's follower count surge, while Rick Santorum's sputtered out. When the election results came in, they confirmed what Twitter was seeing internally: Its own social media provided an inside line on what voters were thinking.

So Twitter began working with polling groups and Topsy to look into the political data buried in the din of constant online chatter -- they wanted a better way to measure the sentiment voters were expressing in real-time.

Topsy would look at every single tweet sent in the world, every day, and create a three-day average baseline.

It created an algorithm to understand which tweets skewed positive and which were negative. Together, Twitter and Topsy built a keyword engine, and via repetitive, ongoing spot checks by human observers, they found their algorithm would generate voter-accurate results 90 percent of the time.

And that was just the beginning of a refinement process. Every time they ran the data set against human curators and found differences, they were able to improve the algorithm.

What Twitter eventually built was the Twindex. It didn't rely on questions, and could be generated in real-time. And when Twitter compared the Twindex for Obama with Gallup's approval rating, the graph was remarkable.

"We pulled this up and said 'Oh, I think we're onto something,'" says Adam Sharp, Twitter's head of government news and social innovation. "At first glance, you can readily see some parallels in the data."

As it continued to refine its methods, Twitter found that it had an increasingly strong correlation with Gallup polling data. But more interesting, obviously, is where the numbers diverge.

"If the dials are pointing in different directions, people are saying one thing to pollsters, and another in conversation," explains Sharp. "That is where the Twitter index is providing a real service to journalists, because it's where we are saying we don't have a complete picture, and need to be asking better questions."

Twitter attributes some of this to the differences between ongoing conversations (Twitter) and specific responses to specific questions (traditional polling). For example, in the weeks after Osama Bin Laden was killed, there was a discrepancy in what Twitter and Gallup found.

A possible explanation of this is that voters might have answered approval rating poll questions very positively in the weeks after the raid, but in ongoing conversations with each other on Twitter, sentiment focused more on normal, day-to-day concerns about the economy.

Twitter hopes to apply the Twindex to other issues -- including, of course, analyzing sentiment around brands. But it's also hopeful that others will take its findings and run with them.

"One of the reasons why we partnered with Topsy was because a secondary goal was to boost the ecosystem around big Twitter data," says Sharp. "To demonstrate the data was big enough, and show that it was available via existing entirely publicly available data."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Twitter launches a political index, called "Twindex," on Wednesday

@highlight

Twindex shows voters' moods in real-time

@highlight

The index is a joint effort between Twitter, Topsy and polling groups

@highlight

Twitter has 140 million active monthly users who tweet some 400 million times a day