(CNN) -- It has only ever happened between two sets of sisters in the history of tennis, but Agnieszka and Urszula Radwanska could yet become the next female siblings to meet in a major final.

Way back in 1890, in only the fourth edition of what would become today's U.S. Open, Ellen Roosevelt -- a first cousin of future President Franklin D. Roosevelt -- beat her sister Grace, a feat that would be unmatched for more than a century.

When it did happen again, at the U.S. Open in 2001, it marked the first of eight grand slam finals between the Williams sisters -- with Venus beating younger sister Serena on the first occasion, but losing six of seven since.

With Urszula having risen from 109th to 31st in the rankings during the 2012 season, her trajectory suggests there is every chance that the Radwanska sisters -- both of whom won Wimbledon as juniors -- could one day meet in a grand slam final.

They have met in a grand slam before, with Urszula -- the younger at 22 -- briefly losing her usual cool en route to defeat in the first round of the 2011 U.S. Open.

"I don't ever want to play her in the first round, but in the final -- no problem," laughs 24-year-old "Aga," whose total prize money of $12 million dwarfs that of her sibling's $1 million, reflecting her higher status as world No. 4.

Almost identical

While the Poles' less powerful version of tennis will never be a match for the record-breaking Williams duo, one thing they do share with the Americans is a tight bond.

"We are best friends, we are so close," Urszula told CNN's Open Court. "We have always been together -- participating, living and traveling together -- so it is nice to have my sister on tour.

"We share things, we go shopping and we have a good time, so sometimes when I am traveling alone without her I feel so lonely."

The feeling is so mutual that precisely the same words come out of her elder sister's mouth.

"My sister and I have been traveling everywhere together for the last 18 years -- the same school, same practice," Agnieszka says. "We are best friends, we are so close."

Save for their hair color -- with Aga a brunette and Urszula a blonde -- and the 21 months that separate their dates of birth, there is little between them, says the firstborn.

"We are very similar personalities -- we like to have fun," says one of the female circuit's most popular players. "When we are on court, we like to work hard. But off the court, we try to have fun and relax, go to the cinema and forget about tennis.

"What's different about us? We like some different food! There's not much difference."

Pride of Poland

Unlike the Williams sisters, whose homeland had been previously represented by such greats as Martina Navratilova, Chris Evert and Billie-Jean King (and that's not even mentioning the men), the Radwanskas are putting their country on the tennis map.

Prior to them, just two Poles had made noteworthy contributions to international tennis.

In the late 1970s, Wojtek Fibak reached the Top 10 on the men's ATP Tour while much further back, Jadwiga Jedrejowsa reached three grand slam finals in the 1930s which -- even if she didn't win one -- is still the Polish record for the Radwanskas to beat.

Aga made her own slice of history in 2007, becoming the first Pole to win a WTA singles title when as an 18-year-old she beat Russia's Vera Dushevina in Stockholm's Nordic Light Open.

She has pressed on since, adding a further 11 WTA titles and reaching her highest ranking of No. 2 in 2012, a year when she reached her first grand slam final -- albeit beaten by (who else?) Serena Williams at Wimbledon.

Nonetheless, she was the first Pole to contest a grand slam final since the Open Era began in 1968 -- even if her defeat meant she missed out on a long-held dream.

"I was really close to being world No. 1 a few times in 2012 but unfortunately I didn't make it," she says. "Hopefully, I will have another chance in 2013. That is the goal I have been working for for so many years -- to be number one, even for one week."

After a slower start, Urszula -- currently ranked 37th -- may feel as though she is beginning to make her mark, with 2012 having proved a breakthrough year following a back problem that hindered her early progress as a professional.

She may never have progressed past the second round of any grand slam singles event, but she did break into the top 30 for the first time and reached her first WTA Tour final at the UNICEF Open in the Netherlands.

"I am very happy for her that she is doing well," says Agnieszka. "She is working really hard for that, she has been through a lot of things and I am happy that she has made the top 30 already.

"Hopefully, I'll see her in the top 10 very soon -- there's a big chance."

Fatherly guidance

Much like Serena and Venus, the Poles were first taught by their father -- although in contrast to Richard Williams, Robert Radwanska did have a coaching background prior to his daughters' births.

Those searching for differences can point to Agnieszka's birthplace of Krakow differing to Urszula's in Gronau, since her father was then working in the north-western German town as the local tennis pro.

His profession meant the girls were surrounded by tennis from birth, with early images showing the sisters in the midst of bats and balls -- and one memorable picture showing them tottering around like ballerinas, albeit with their feet squeezed into tennis ball canisters.

Their father coached Aga and Urszula from the ages of five and four respectively but he stopped traveling last year, and both are now working with Borna Bikic (Jelena Dokic's former coach) as well as Polish Fed Cup coach Tomasz Wiktorowski.

Nonetheless, Robert still trains his girls whenever they go home to Krakow.

"This is our home so we love coming back," says Urszula of Poland's second largest city. "Our family is here but it's good that I have a sister so I can always practice with her. I don't have to find a hitting partner and also our coach is our dad, so it's perfect."

The historic city is by no means perfect for the tennis professionals -- it has no hard court, for example -- but its enduring appeal for the girls more than makes up for that.

"It's always a great feeling to be here, especially since we are traveling 10 months a year," says Aga. "Even if I can only go home for two days, I will as it's always nice to just sit on my couch, watch TV and be in my kitchen. Those two days make a huge difference -- it feels like I have a normal life."

For the rest of the year, the sisters are largely on the road -- sometimes together, sometimes not -- and they always find a way of staying in contact.

"When something's happened to me, Aga is the first to know," says Urszula. "We talk to each other all the time -- on Skype, over the phone, texting. We are always in touch."

Sister act

More often than not, they are normally in the same place -- and not just playing singles, but also teaming up for doubles together.

In London last year, where Agnieska was honored to be Poland's Olympic flag bearer, they had mixed fortunes, exiting the Games in the second round before withdrawing from the third round at Wimbledon to help Aga, suffering from illness, in her singles bid.

With a WTA doubles title already to their name, at Istanbul in 2007, the next step is to join the select band of sisters to have won a grand slam doubles title -- with the Williams and Roosevelts joined only by Ukrainians Alona and Kateryna Bondarenko in the history books.

Even if they fail, one thing is for sure -- the Radwanska sisters are inspiring the next generation of Polish tennis players.

"I can clearly see that tennis in Poland is getting better. A lot of kids are trying to play right now and trying to be professionals -- so it's nice to see that -- and people are talking more about tennis so it's becoming more popular," says Urszula.

"And when I see Aga having great results, I want to be the same or even better."

@highlight

World No. 4 Agnieszka Radwanska and younger sister Urszula reveal their tight bond

@highlight

The sisters learned tennis from an early age under the guidance of father Robert

@highlight

"Aga" believes her younger sister is destined to break into the WTA's top 10

@highlight

They have raised the profile of tennis in Poland with their success on court