Hong Kong (CNN) -- Investors around the world have far more fear than hope this week judging from a major selloff of global stocks and gloomy predictions from the World Bank and PIMCO, the global bond giant.

Japan's Tokyo Nikkei led Thursday's rout across Asian stock markets, closing down 6.4% to a two-month low. The index has also lost a full 20% of its value since this year's high -- only set on May 22 -- meaning the bourse is now in bear market territory. The Shanghai Composite fell 2.8% while the Hang Seng in Hong Kong fell 2.7%.

"The fear of markets in Asia is that the strengthening of the U.S. dollar could pose risks across the entire region," says Frederic Neumann, HSBC's Co-Head of Asian Economic Research and Managing Director.

"Asian equity markets are now reacting to that reality. We're at an inflection point and (the stronger dollar) will be with us for quite some time. We think the current volatility will probably persist."

The fall in Japan's stock markets was exacerbated by central bank inaction on June 11. The Bank of Japan announced it would keep interest rates on hold, dashing investor hopes for further monetary easing and sending the Japanese yen to a two-and-a-half month high. The yen now stands at $1 to 94 yen. A stronger yen means Japanese exporters profit less from goods sold overseas.

"We anticipate the yen will go below 90," says Ben Collett, Head of Asian Equities at Sunrise Brokers in Hong Kong.

"If we look at what the Japanese stock market has done year to date we're still sitting on some decent gains. If you're a U.S. investor in Japan and sitting on 10% profits, there's nothing wrong with taking that. Would I say empty the stock account? No, but you should be reducing."

As investors sold off stocks in Asia, they also digested a new research note from PIMCO, which runs the world's largest mutual fund.

The California-based global firm predicts a 60% probability that the world will be hit with another global recession in the next three to five years.

Adding a dash more trepidation about the global economy, the World Bank lowered its 2013 global growth forecast to 2.2% this week.

In the developed world, "the challenges are especially difficult in high-income Europe, where growth is being held back by weak confidence and continued banking sector and fiscal restructuring," said the twice-yearly Global Economic Prospects report.

Bright spots do exist in the developing world however. Overall growth in emerging markets is expected to accelerate to 5.1% this year, and to 5.6% in 2014. Developing countries in East Asia and the Pacific are forecast to enjoy the highest rates of growth from now through 2015 -- upwards of 7.3%.

The world's biggest economy, the United States, is also on "more solid ground" despite the World Bank's prediction of slower global growth.

"I don't think it's anything to worry about," says HSBC's Neumann. "This is really a rotation from emerging market-led growth to an advanced market coming back."

The last time an emerging-to-developed market rotation occurred, adds Neumann, was in the late 1990's when Asian markets saw a slowdown and the U.S. rose to the top with a budget surplus and the tech boom.

"The U.S. became the world leader again. This feels like that."

@highlight

Asia, U.S. investors sell off stocks; Japan leads Asia rout Thursday with 6.4% plunge

@highlight

HSBC: U.S. dollar strength pushing fear into Asia markets; volatility to stay

@highlight

Sunrise: Japanese yen to fall below 90; investors 'should reduce' Japan equity stake

@highlight

World Bank revises down 2013 global growth; PIMCO says 60% chance of new recession