DETROIT, Michigan (CNN) -- Jeremy Burgess likes the location and layout of the three-bedroom, one-and-a-half bath home in the Grandmont neighborhood of Detroit, Michigan.

This home in Detroit, Michigan, was bought for $12,000 and sold the next week for a $5,000 profit.

The home is large for the area, around 1,600 square feet. By far the most attractive feature for Burgess is the price. While he says it may appraise at around $110,000, he bought it on March 11 for a mere $12,000.

"I'm selling it next week to an out-of-state investor for a little over $17,000," he says.

His company, Urban Detroit Wholesalers, buys, renovates, then flips or rents homes in Detroit, something that may seem foolhardy to some observers in one of the most economically depressed cities in the nation.

But Burgess, who started the company in 2007 with partner Jared Pomranky, says Detroit is a great place for real estate investment.

"Detroit to me is like the wild, wild West," he says, "You can't get cheap land in the West anymore. The cheap land is in the Midwest now."  Watch how cheap houses are pulling investors to Detroit »

Browsing through the real estate ads in Detroit can be depressing. Property owners, whether they are individuals or banks, are doing anything they can to sell unwanted homes. With so much of the local economy tied to the struggling Big Three automakers, some owners inside the city limits have resorted to offering homes for as little as a dollar, many for $50. The average is about $7,000.

Burgess says there is a reason these homes are so cheap. Most listings are in economically depressed neighborhoods where people are trying to leave, not buy.

"I have seen tons of $50 houses," Burgess says, "but the house needs $80,000 of worth of work, and you can't get an appraisal above $8,000."

He says the prices on those homes are so ridiculously low because owners just want to get rid of the tax burden and the liability of owning them. It costs more to tear down these homes than the property is worth, so it's cheaper to give them away.

"Out of [the most recent] 800 sales, 10 of them will be true sales to home owners and the rest will be distress sales," he says, pointing out the low percentage of homes sold in a normal business transaction in the city.

Pomranky says contrary to Detroit's national image, there are still clean, well-kept, middle-class areas people want to live in.

"What we do is invest in neighborhoods that people are moving to," he says.

They target mostly middle-class neighborhoods on the far northwestern and northeastern edges of the city. The homes in these neighborhoods have stayed relatively high in value. Many of the homes are foreclosures. Some properties are bought from homeowners who have lost their jobs, and a few have been donated to nonprofit organizations, which then sell them to Burgess' company.

Pomranky says the attraction is the price point and the opportunity, something often missed by local investors.

"Many investors in Michigan and especially Detroit, they are a little too close to see the opportunity," he says.

Their investors are coming from out of state, mostly the West Coast and California, and occasionally from out of the country. Many of them are looking for alternatives to investing in the stock market.

Many homes are sold to investors for around $35,000 after they have been renovated.

"Some go straight to rentals, some go to rent-to-own lease options," Pomranky says. "And some are sold to new homeowners. It's about a 60 percent rental to 40 percent homeowners."

Burgess says his company can get a 12 percent to 20 percent return on its investment and that outside investment money benefits more than just the buyers and sellers.

"All this money is spent in Detroit. I live in Detroit. Our office is in Detroit," he says. "The Home Depot where all the materials are bought is in Detroit," he says. "Everyone hired, 95 percent of them live in Detroit. So we are paying them. I would say that 90 percent of it stays inside the city of Detroit."

In 2006, Burgess was a supermarket baker in Washington state, trying to invest in local real estate. But high buy-in costs and high appreciation made success difficult.

A friend of his in Detroit was making money in investing and told him to try his luck there. "I thought he was crazy, and I am the type of person who has to prove it. The more I tried to prove him wrong about Detroit, the more I proved him right."

Burgess ended up buying around a dozen properties in Detroit before he came to Michigan. But when he finally did move to Detroit, the bottom fell out of the national housing market.

"I showed up in Detroit with about $35,000, a bunch of properties going on and a lot of financing options." He says "by October [2007] I had nothing."

That same year he met Pomranky and formed Urban Detroit Wholesalers. Together they retooled the business model and found that working with a local nonprofit and in targeted neighborhoods helped both succeed.

Burgess says because there was never a housing boom in Detroit like California, the market stayed relatively stable. But when financing dried up, prices fell. "This last drop I think is totally due to lack of financing options, and when cash is king, prices drop significantly. I see it as an artificial drop in value, and I am obviously taking advantage of it. So are my investors."

He believes that the prices will go back up when the credit market loosens up and home owners are able to secure their own financing.

Despite being in the middle of rebuilding their business, Burgess and Pomranky say they made money in 2008. But for them it wasn't just about making a quick buck. They say they knew for their continued success, Detroit had to prosper, too. So they teamed with a nonprofit organization called the Motor City Blight Busters, which provides a low-cost work force that renovates the homes for Urban Detroit Wholesalers to sell.

"It is our goal to stabilize and revitalize the neighborhoods." says John George, president of the organization. "By being able to partner with investors, it allows us to expand our capacity to do what we do.

"Acquiring the property and cleaning them out, restoring them and putting a responsible family in that home is really key to stabilizing and revitalizing," George says.

He wants to see more home ownership by local families in these neighborhoods, but he knows that may take some time.

"We always focus on home ownership. That's key," he says. "But in this market we have to invite everyone to participate."

Most of the labor force is made up of recently released convicts looking for a trade and a chance to earn a living. Some of the homes they renovate are being donated to Blight Busters, which then place families in them.

Burgess thinks teaming a for-profit business and a nonprofit is a win-win scenario.

"I think this is a perfect example of what a nonprofit and a for-profit with investors can do to solve a problem that governments are having a problem solving. While 100 or so homes we do a year is significant in Detroit, we realize that we're barely a blip on the national radar. But imagine if there were hundreds of companies like ours across the country."

@highlight

Jeremy Burgess and Jared Pomranky run Urban Detroit Wholesalers

@highlight

Some homes in Detroit, Michigan, sell for as little as $1, many for $50

@highlight

The company works with a nonprofit and flips cheaply priced homes

@highlight

Recently released convicts working for the charity help renovate the properties