Amman, Jordan (CNN) -- Forget your preconceptions. Erase your stereotypes -- or at least set them aside for a moment. The Middle East, this ancient land battered by powerful forces and mystical passions, is full of surprises.

I have traveled in and out of various countries in the Middle East over the course of decades. All too often and in too many places, aspects of life made it seem as if the clock became stuck in a different time. No longer. Here are five signs the Middle East is changing in ways you may not have expected:

1. Instead of politics and religion, try tango and salsa: It's true; politics and religion remain at the core of much that goes on here. And it is also true that Jordan has stood near the front of Arab modernity in many respects. Still, you might be surprised to find that for many, the passion for tango and salsa weigh more than ideology and sectarianism. After the sun sets over Amman, Jordan's capital, local nightclubs become thick with smoke and crowded with hip, fashionable, often apolitical young Arabs.

Harout Kiprian, 32, an Iraqi exile, is one of a large group that has become a fixture of the Amman nightlife. These clubbers greet each other with kisses on each cheek and take to the floor as skillfully as any of their counterparts in Latin America. They twirl and swing their partners to the rhythm of the music and to romantic Spanish lyrics that are probably as mysterious to them as Arabic to the songs' Latin American composers.

There is tango night at the Landmark, overlooking Amman's glinting skyline, and nightly salsa at Trader Vic's, with a live band on contract directly from Cuba. Kiprian, who casually calls himself a "Salsero," says he has no interest in politics and goes out dancing "minimum twice a week." His friends say it's much more often.

The nightclub scene, with loud music, swaying hips and lively interaction between men and women, is ostensibly apolitical, but no one would mistake it for anything but a sign of a yearning for a modern, worldly, even secular Middle East.

2. Humor has become a powerful weapon, and it is terrifying the pious and the mighty. Since the start of the Arab uprisings, the Muslim Brotherhood has won almost every major election in the region while progressive liberals have looked incapable of mounting a credible campaign.

Now, however, modernizers have discovered a new tactic: If you can't beat them, laugh at them. Satirists and comedians, with immense reach because of the Internet, are making fun of Islamist politicians, particularly in Egypt, sometimes just by quoting their own words and replaying their fiery sermons before amused young audiences. The government is clearly nervous and scrambling for a response, accusing comedians of denigrating Islam and insulting the president. But it's hard to defeat someone who is laughing at you, pointing out your hypocrisy.

Authorities are going after comedians, in the case of Egypt, dancing around its stated respect for free expression. And comedians are becoming more popular with every arrest warrant.

Bassem Youssef, arrested and released on bail a few days ago, is known to many as the Egyptian Jon Stewart. He has more than 1.2 million Twitter followers and is famous across the region. His television show has tens of millions of viewers, and his videos are watched on YouTube by millions more, who laugh at the powerful, the pretentious and the holier-than-thou. His humor goes after everyone, including liberals.

But his biggest success has been in wiping away the aura of sanctity, the claim of divine wisdom that had enveloped religious authorities. When his "sin meter" explodes, measuring a government attempt to justify economic policies on religious grounds, when he hugs and caresses a pillow with a picture of President Mohamed Morsy, he undermines Islamists more effectively than any liberal ideologue. That's why prosecutors issued an arrest warrant for him (he's out on bail). It's why satirists have been imprisoned in Iran. It's why the ultra-religious have prevented comics from performing in Tunisia. It's why one recent satirical piece on a Middle East politics and culture site declares that Egypt has decided to eradicate humor.

3. When an American president shows up, it's not that big a deal. President Barack Obama came to Amman, and most people paid little attention. There were no throngs in the streets as the motorcade zoomed across town. People in rooftop restaurants gazed out curiously, but no one would accuse the American president of bringing life to a standstill in this city. The United States is no longer seen here with the awe -- negative or positive -- that it once inspired. Conspiracy theorists accuse Washington of installing the Muslim Brotherhood in Egypt or of starting the war in Syria. Others complain that it's not doing enough to stop the Syrian slaughter, and many accuse it of being too friendly with Israel. But to anyone who has visited the Arab world over the years, it is clear the obsessive thinking about America is, at the moment, a thing of the past.

4. Fewer people buy the theory that it's all about Israel. When it comes to Israel, there is widespread and intense animosity. And yet in conversations with people here, and even in the views expressed by an Arab columnist, the old theory that all the Middle East's problems originate with the Jewish state has little currency. It was an old tactic of the dictators: to blame it all on Israel while fanning the flames of resentment.

But two years after Tahrir Square -- after the toppling of tyrants, amid raging civil wars and worsening economic crises -- people largely dismiss the idea that establishing a state for Palestinians, while desirable, or even removing Israel altogether, would repair the region's economies, improve the status of women and religious minorities, or end fighting between Shiites and Sunnis. When Islamist parties called for a Million Man March against Israel in Amman, about 300 people showed up.

5. Even kings say they want democracy: The Arab Spring did not flower quite as fragrantly as people had hoped, and that has reduced the pressure for change in places such as Jordan. But demands for reform continue. Among those calling for more democracy, of all people, are nonelected rulers, such as Jordan's King Abdullah II. Not everyone believes his pledges to democratize, but at least on the surface, the opposition and the king agree that Jordan should move toward a constitutional monarchy. Morocco's king has ushered in some reform, as have, to a lesser extent, other Arab monarchs.

The Middle East is not the same. Protests have become routine. Change is in the air, but the stereotypes and preconceptions don't do it justice -- just ask the salseros in Amman's nightclubs.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: The Middle East shows signs of change new to a frequent visitor to the region

@highlight

She says Amman, Jordan, club scene with tango, salsa shows yen for modern, secular world

@highlight

She says governments chafe at new use of political humor, and U.S. less an object of awe

@highlight

Ghitis: Israel seen less as root of region's troubles, and even kings say they want democracy