(CNN) -- President Obama said Tuesday his strategy in Afghanistan will have three objectives:  deny al Qaeda a safe haven, reverse the Taliban's momentum and strengthen Afghanistan's security forces and government.

Here is how he said he plans to achieve the goals:

• Send 30,000 additional U.S. troops

The U.S. will send 30,000 more U.S. troops to Afghanistan in the next seven months "so that they can target the insurgency and secure key population centers," Obama said in his speech.

Some of the new troops will help train Afghan security forces to "create the conditions for the United States to transfer responsibility to the Afghans," Obama said.

U.S. forces could begin to leave as security responsibilities are transferred to the Afghans. Obama said he hopes to start transferring U.S. forces out of Afghanistan in July 2011.

The U.S. troop buildup also will help secure areas that go relatively uncovered by U.S. and NATO forces now. Most of the new troops are expected to be sent around the southern part of Afghanistan, divided between Helmand and Kandahar provinces.

Kandahar's one major city, also called Kandahar, is used by Taliban fighters and its leaders to hide within the population from coalition troops. One key task will be to control the major approaches to the city.

Obama also said he is asking NATO allies to send more troops to Afghanistan. The new troop deployments would increase the total U.S. commitment to roughly 100,000 troops in Afghanistan, bolstered by more than 40,000 NATO forces.

• Pursue a more effective civilian strategy

Obama said the U.S. would work to build up programs and institutions that will benefit Afghanistan's citizens. However, alluding to the corruption that has plagued the Afghan government, the aid "must be based on performance," Obama said.

Corruption in Afghanistan has shaken international and domestic confidence in the government there. Even this year's re-election of President Hamid Karzai was mired in controversy; he was declared the winner of an August vote that was deemed tainted with ballot-stuffing.

In his inauguration speech, Karzai said he'd make the fight against corruption a top priority over the next five years. On Tuesday, Obama said that speech sent the right message, but he warned that "the days of providing a blank check are over."

"We will support Afghan ministries, governors and local leaders that combat corruption and deliver for the people. We expect those who are ineffective or corrupt to be held accountable," Obama said.

Obama said the U.S. would focus its assistance "in areas -- such as agriculture -- that can make an immediate impact in the lives of the Afghan people."

The U.S. also will support Afghanistan's efforts to reach out to Taliban fighters who want to lay down arms. Already, the U.S. has a plan to pay those fighters to quit the Taliban.

There is money in the 2010 defense appropriations bill to fund a Taliban reintegration program, which essentially pays Taliban fighters to switch sides.

The U.S. State Department says it plans to triple its civilian staff in Afghanistan to 974 members by early 2010. In a speech in New York on Monday, Secretary of State Hillary Clinton said U.S. civilian efforts are just as critical as military operations to help Afghanistan.

USAID and other U.S. government agencies also have people in Afghanistan. Clinton said experts from the U.S. Department of Agriculture are embedded with the U.S. military, and "rule of law" experts are working to extend a justice system "so that the Taliban would not offer the only form of justice in Afghanistan."

• Have a more robust partnership with Pakistan

Taliban fighters have long been operating in the mountainous region along Afghanistan's border with Pakistan, battling U.S. and Afghan government forces on one side and Pakistani troops on the other.

It is not clear whether any of the additional troops will be sent to the Pakistan border, where the U.S. tries to stop Taliban and al Qaeda forces from moving between the two countries. About 4,000 U.S. Special Forces troops are in eastern Afghanistan, hunting al Qaeda leaders.

Any plan to bolster Afghanistan must also work to help Pakistan, Obama said.

"We will strengthen Pakistan's capacity to target these groups that threaten our countries," Obama said. "America is also providing substantial resources to support Pakistan's democracy and development."

In the past, Obama said, some in Pakistan have argued that the struggle against the Taliban and other militants wasn't Pakistan's fight. But the Pakistani army recently has been attacking the Taliban stronghold of South Waziristan after a series of deadly bomb attacks across the country.

"Public opinion has turned ... and there is no doubt that the United States and Pakistan share a common enemy," Obama said.

"Going forward, the Pakistani people must know: America will remain a strong supporter of Pakistan's security and prosperity long after the guns have fallen silent, so that the great potential of its people can be unleashed," Obama said.

CNN's Mike Mount, Larry Shaughnessy, Jill Dougherty and Jason Hanna contributed to this report.

@highlight

Extra 30,000 U.S. troops to secure uncovered areas, help Afghan security forces train

@highlight

Troop buildup just one strategy to achieve goals in Afghanistan, Obama says

@highlight

U.S. also to pursue more effective civilian strategy, Obama says

@highlight

Better partnership with Pakistan also essential, Obama says