It's fairly clear the federal investigation into Penn State University won't be a duplication of the grand jury probe that led to charges of more than 50 counts of child sex abuse against Jerry Sandusky.

Instead, federal authorities seem to be stepping into areas where the state attorney general's office hasn't gone.

This time, they seem to be exploring the possibility of a cover-up at Penn State, as well as possible bribes, fraud, or misuse of federal money, according to three former federal prosecutors asked to independently review the subpoena Penn State received February  2.

And on the case is one of the most experienced and respected assistant U.S. attorneys in the region, Gordon Zubrod.

The subpoena asks for:

-- payments made by university board members to third parties.

-- records of complaints, interviews or out-of-court settlements regarding Sandusky, a former coach at the university.

-- computer hard drives.

-- correspondence with Sandusky's children's charity, The Second Mile.

"If you thought there might be a cover-up, these are the type of documents you might want to get to know, one way or another," said Laurie Levinson, a former assistant U.S. attorney and current professor at Loyola Law School in Los Angeles.

"The subpoena appears to be exploring when or whether there was any institutional awareness of Sandusky's alleged conduct at Penn State," said James W. Spertus, a Los Angeles lawyer and former federal prosecutor. "If, for example, there were private efforts by board members to settle claims before the matter became public, or there were reports to the board about the allegations, it could change the nature of the investigation."

Already, state prosecutors have charged two former Penn State officials with not doing enough when a report was brought to them in 2002 by an assistant football coach who said he'd allegedly witnessed something inappropriate in a locker room shower on campus.

The moral obligations of others have been questioned.

But those charges involve inaction, rather than an overt cover-up. This federal investigation appears to be going deeper.

"At this point, they don't have to have proof, just a theory," said Bruce E. Reinhart, another former federal prosecutor now in private law practice. "They're trying to prove or disprove the theory."

While Gov. Tom Corbett said in two recent television interviews that The Second Mile isn't under investigation by the state — although his staff says he was speaking in past tense and meant "wasn't" — the federal subpoena is specifically looking at issues related to the charity where it's alleged Sandusky met almost all of his 10 accusers.

Lanny Davis, the high-profile Washington lawyer hired to represent Penn State in the wake of the Sandusky scandal, declined to comment on where the investigation might be going.

"We don't speculate on what prosecutors might be interested in, we just cooperate," Davis said.

Each year, educational institutions such as Penn State receive million of dollars in federal money earmarked for certain areas such as defense or medical research and educational programs.

If that money was used for other purposes, that could be a federal crime, Reinhart said.

"I'm sure they get all sorts of federal funding that flows into large state university's like that," he said. "As part of that sort of grant or funding, you have to certify those funds will only be used for the certain things. That could be why they'd be looking into interactions with Second Mile and Penn State."

Fraud could be a possibility if false statements were made to an agency such as the NCAA, Reinhart said.

Something like, "We don't have any unauthorized persons using the training facilities."

Penn State has said that, as part of his retirement agreement, Sandusky kept an office and a key to the Penn State locker room. Sandusky left his coaching job as Paterno's defensive coordinator after the 1999 season. He was asked, after the 2002 incident, not to bring children with him to the facilities, but university officials testified before a grand jury that the ban was unenforceable.

If Penn State didn't disclose that to an agency who asked for such information, that could constitute fraud.

"The NCAA might say, 'We would never have allowed them to go to a bowl ... or get certain funding,'"  Reinhart said.

There's also the possibility of hush money.

"If they somehow diverted funds to keep victims, or others in the know quiet," Reinhart said, "they might be trying to figure out if that happened. ... That would explain why they'd ask if trustees have ever made payments on behalf of university."

All these things requested in the subpoenas — e-mails, complaints, payments — all point to an investigation that might have little to do with the alleged victims, Levinson said.

"That looks much more like the back end — how did the university react to what Sandusky had (allegedly) done?" she said. "Not investigating what Sandusky had done. ... This is more about the university and The Second Mile."

When contacted, several people close to the alleged victims named in the state grand jury presentments against Sandusky said they had not been contacted or interviewed by federal investigators.

Those close to the defense for former athletic director Tim Curley and vice president Gary Schultz — both charged with failing to report the 2002 incident, then lying to a state grand jury about it  — said the pair has not been subpoenaed.

Sandusky's attorney had no direct knowledge of the probe. The Second Mile charity and a lawyer for the late head coach Joe Paterno received requests for documents and are cooperating without a subpoena, sources say.

At this stage of the investigation, however, that's not unusual, the experts said.

"This is definitely the first step," Levinson said. "The first thing that happens is the prosecution sends out a subpoena for all the documents they can find and then start in on key witnesses."

The state grand jury continues to meet on the Sandusky case, a spokesman for the attorney general's office said, even after two presentments have led to multiple charges against Sandusky.

Because grand juries meet in secret, prosecutors can't talk about what topics they are exploring.

However, Corbett said publicly there is no indication The Second Mile is under investigation.

He also publicly defended his decision to accept more than $25,000 in campaign donations from current members of The Second Mile board while running for governor. That number balloons to $200,000 when former members are included.

Corbett also received about $38,000 directly from current members of the Penn State board of trustees.

@highlight

Former prosecutors review subpoena sent to Penn State

@highlight

Documents may shed light on whether there was a cover-up, they say

@highlight

Federal subpoena also looking at Sandusky's charity