(CNN) -- When Butler plays Duke for the national championship of college basketball Monday night, you can count on two things with absolute certainty:

1. The television ratings for CBS will fall somewhere within the range of really impressive to enormous.

2. You will see commercials featuring famous professional athletes, doing their best to persuade you to purchase the products they are endorsing.

Which brings us to a seldom-questioned oddity about contemporary life:

What do you think would happen if there was a highly publicized court case, and the defense lawyer asked the jury to acquit the defendant because of the emotional testimony of an eyewitness -- and the prosecutor announced that the witness had been paid a huge fee by the defense?

Would the the jury have any faith in the witness? The witness' testimony would, with good reason, be considered worthless.

Or:

How would you feel if you read an ecstatic movie review that made you want to run right down to the theater and buy a ticket -- and then it was reported that the reviewer had received a large check from the movie studio to make sure he gave the film a rave?

You'd want your money back. You'd realize that the review meant less than nothing. The reviewer's opinion of the movie was based not on genuinely admiring it, but on being paid to make you think it was good. If it turned out that the critic was taking money to say he liked certain films, his days as a reviewer would be over. And it wouldn't matter if he swore to you that he truly enjoyed the movie, and that the money had nothing to do with it.

What if a friend told you that you should go to an allegedly wonderful restaurant, and then you found out that he or she was being paid by the owner to send people there? Chances are that your enthusiasm would wane -- both for the restaurant, and for the friend.

This is all elementary. If someone accepts cash in exchange for offering a positive evaluation of something, then the evaluation must be tossed out. It's worse than meaningless.

Yet in the arena of celebrity endorsements -- most notably, endorsements by prominent athletes -- not only is the public's disbelief suspended, but people don't seem to particularly care that the recommendation is bought and paid for.

When I have tried over the years to make the case for the inherent undependability of these endorsements, people have said that yes, of course, that position is correct -- but that it doesn't matter. When celebrities are paid to say they like something, studies show, it generally translates into increased sales for the companies that hire them.

Thus, when a stellar basketball player comes out of college, there is great speculation surrounding the question of what shoe company he will sell his name to, and at what price. Bidding wars develop, and escalate; often the competition is reported in the press, and the winning shoe company celebrates like a presidential candidate who has just found out he has passed the magic number of votes in the Electoral College.

Same thing with soft-drink bottlers and energy-bar manufacturers and pain-relief purveyors. The companies know that nothing sells with the public -- and particularly the young male segment of the public -- like a smiling word of affirmation from a top-tier athlete. So one company raises its offer, to be topped by a competing company, to be topped again until there is only one company remaining.

And that is when the athlete proclaims to the skies that this is the shoe/soda pop/anti-inflammatory strip that he loves best.

You can't blame the athletes for taking the money. Who wouldn't?

But at least once in a while, the rest of us may want to step back to consider that this is the kind of recommendation we should trust the least.

And that conversely, in a sensible world, the only recommendations in which we should have any faith would be the ones for which athletes and celebrities were paid nothing at all.

Not that such an endorsement would ever happen. Try to imagine a commercial that looks like this:

An internationally renowned basketball star is shown in a perfectly framed piece of film footage. He is lighted heroically; he glides down the court, slams home a dunk, turns to the camera and says:

"I couldn't have done it without my [insert brand name of shoe or energy drink]. And the funny thing is, they told me that they couldn't pay me any money for this commercial. [Brand name of competing shoe or competing energy drink] offered me $40 million over 10 years to tell you that I like their [shoe or energy drink], but the fact is I like this [shoe or energy drink] better. That's why I'm telling you to buy it -- because I buy it, too, and with my own money."

The athlete would likely be declared clinically insane. The world doesn't work that way.

At least the sports endorsement world doesn't. Enjoy the game Monday night. And the next time you're following one of those televised trials, look at the star witness and think about just how much his testimony would be worth to someone. If only he could smash home runs or throw touchdown passes or hit three-pointers at the buzzer, he'd be in business.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Celebrity endorsements are accepted as natural

@highlight

He says people wouldn't have faith in film critics whose praise is paid for by movie studios

@highlight

Greene: Why put any credence in what a celebrity is paid millions to say?