Washington (CNN) -- At the Council on Foreign relations this week, Sen. Marco Rubio talked tough on the international hotspot of the day, Syria.

"It's time to act now. I don't want to score political points on this issue, I want to see it resolved," Rubio told Time Magazine's Rick Stengel, the event's moderator.

Rubio says he doesn't want to score political points, but like it or not -- every move he makes these days is viewed through one prism: a potential vice presidential pick for Mitt Romney.

For many Republicans, Rubio is prime running mate material -- a fresh-faced, telegenic tea party favorite from Florida, a key battleground state.

And he is, of course, Hispanic -- a fast-growing ethnic group in the United States, a group Democrats dominated in presidential elections over the past four decades.

The impact of the 'Latino vote' beyond Texas

In 2008, only 31% of Latinos voted for Sen. John McCain. Nearly 7 in 10 voted for then-Sen. Barack Obama.

The best a GOP presidential candidate has ever done with Hispanics was George W. Bush in 2004, and he got just 44% of the group's vote.

A fair number of Republican strategists say that if Romney were to pick a Latino running mate, it could bridge the huge gap.

"Republicans need about 40% of the Hispanic vote to be competitive nationally," said GOP strategist Leslie Sanchez. "To add a candidate who happens to be of Hispanic descent is incredibly important, not only because it shows the party can be inclusive, but open-minded Latino independent voters will really see this is a reason to take a second look at the Republican party."

What Latinos want from candidates? Respect

How about Martinez or Sandoval?

Two other Hispanic Republicans who are generating VP buzz are New Mexico Gov. Susanna Martinez and Nevada Gov. Brian Sandoval.

Martinez is a gun-toting conservative and the first Latina governor in U.S. history, but she has actually clashed with fellow Hispanics in New Mexico because she wants to reverse a state law allowing illegal immigrants to get drivers licenses.

"Giving licenses to people who are here illegally is wrong and overwhelmingly unpopular," Martinez has argued.

Sandoval is a budget-cutting, government-shrinking Republican, but he favors abortion rights, which could be a drawback as a GOP running mate. And though he's Latino, he doesn't speak Spanish.

Why older Latinos matter in election

Alberto Gonzales, the first Latino U.S. attorney general, says a Hispanic at the top of the ticket may help lure Latino voters, but not a No.2.

"I don't think it would make that much of a difference," Gonzales told CNN.

Alberto Gonzales: Economic policies will discourage Hispanics, not voter ID laws

Experience is key, Gonzales said. Rubio, Martinez and Sandoval all were elected to their posts a little more than 18 months ago.

"I think Governor Romney is better suited looking for someone to join him on the ticket who could be president on Day One," Gonzales said.

Still, a Romney source points out to CNN that some states may be so close on Election Day that a Latino running mate could make the difference.

It's not just states with well-known Latino populations like New Mexico, Colorado and Nevada that matter. Battleground states such as North Carolina and Virginia, where the Latino populations doubled in the past 10 years, could decide the next president.

One enormous challenge in picking a Latino running mate is that Hispanic-Americans are very diverse.

Rubio is Cuban-American. Martinez is Mexican-American. In the Latino community -- each poses risks for potential culture clashes.

Two-thirds of Hispanics in the United States are of Mexican descent, and a much smaller percentage, about 4%, are Cuban.

"It's very different. It's coming from different countries, different languages. It doesn't mean we're going to be monolithic or vote together," said Sanchez, the GOP strategist.

Some Latino politicians and strategists argue that Hispanics are a natural constituency for the GOP -- not the Democratic party. Many Latino voters tend to be fiscally and socially conservative, they say.

'Sleeping giant' Latino vote yet to awaken

The need for outreach
Sanchez, like other Republican strategists, said the source of the decades-old GOP problem among Hispanic voters is that the party historically did little to no outreach.

That has changed in recent years, but the fight has hampered efforts over immigration reform, which many Hispanic voters perceive as anti-Latino.

Romney's stance on illegal immigration during the GOP primary battle turned particularly strident, which Republican Latino strategists worry won't exactly pull voters to the GOP.

While GOP Hispanics such as Gonzales and Sanchez disagree over whether a Latino running mate would really help Romney with Latino voters, they do agree it would be, when it comes to inclusiveness, an extremely important gesture. And it may help Republicans with Latinos in the long run.

"If Governor Romney makes a decision that one of the people you mentioned should be with him on the ticket, and if Governor Romney were to win in November, I mean there would be a great deal of pride in the Hispanic community in having that person being in that position," said Gonzales.

@highlight

Beyond Marco Rubio, other Latinos could be Mitt Romney's vice presidential pick

@highlight

Govs. Susanna Martinez of New Mexico and Brian Sandoval of Nevada are possibilities

@highlight

Republican presidential candidates have historically had bad luck courting Latinos