Hong Kong (CNN) -- A Chinese spaceship blasted off Tuesday from a launch center in the Gobi Desert, carrying three astronauts on what is expected to be the Asian giant's longest crewed mission yet.

Propelled by a Long March-2F rocket, the Shenzhou 10 craft is scheduled to dock with the Tiangong-1 space module where the crew will transfer supplies to the space lab, which has been in orbit since September 2011.

China has stepped up the pace of its space program since first sending astronaut Yang Liwei into orbit in 2003. In 2012, it conducted 18 space launches, according to the Pentagon.

Tuesday's launch from the the Jiuquan Satellite Launch Center marks the start of China's fifth crewed space mission.

Footage broadcast by state broadcaster CCTV showed the craft lift off from the Gobi's flat expanse and arrow into the empty blue sky. Officials at the launch center looked on as it gained altitude, gradually shedding stages of the rocket.

During its 15 days in orbit, the crew will master the rendezvous and docking capabilities that are essential for the operation of a manned space platform.

"The functionality, performance, and coordination of all systems will be evaluated during this mission," Wu Ping, a spokesperson for China's Manned Space Program, told a news conference on Monday ahead of the launch.

She added that another main objective of the mission was to test technologies related to the construction of a space station as China seeks to establish a long-term human presence in space.

The most recent crewed mission last year carried its first female astronaut and was the first to make a manual docking with the space module. The crew for this mission will also include a woman, Wang Yaping, and two male astronauts, Nie Haisheng and Zhang Xiaoguang.

"These longer duration missions and space dockings are essential practice for any kind of long-term, more permanent presence in space or a mission to, say, the moon," said Dean Cheng, a research fellow at the Washington-based Heritage Foundation.

Growing power

China's march into space underscores the country's growing financial and military clout and has unsettled some Western observers.

A 92-page report on Chinese military development released by the Pentagon last month highlighted the advances in China's space capabilities.

"China is developing a multi-dimensional program to improve its capabilities to limit or prevent the use of space-based assets by adversaries during times of crisis or conflict," the report said.

A spokeswoman for China's manned space missions said last year the program would cost a total of almost 40 billion yuan (US$6.27 billion).

The U.S. closed its space shuttle program in 2011 and is no longer aggressively pursuing manned space exploration, leaving Russia and China as the only two countries in the world capable of independently sending humans into space.

"In some ways, they have overtaken the US, at least temporarily," says the Heritage Foundation's Cheng. "Of course, the US, and even more Russia, have more experience in manned space. China is not, at this time, capable of reaching the Moon."

"But like the tortoise and the hare, China is slowly catching up with the US."

However, Cheng says that China is not engaged in a space race with the US. Rather: "They have a long-term plan, and they are sticking to it."

Private space ambitions

Companies like Boeing, Space X and Virgin Galactic are scrambling to develop private sector spacecraft and operate in what has previously been the exclusive preserve of sovereign nations.

China is not part of the project that maintains the International Space Station (ISS), which currently orbits the Earth conducting experiments in a range of fields, from physics to astronomy.

The ISS is a joint venture between NASA, Russia's RKA space agency, Japan's Aerospace Exploration Agency, the European Space Agency and the Canadian CSA.

China views its multi-billion dollar space program as a way to raise prestige both domestically and abroad. This is the first high-profile space launch since new leader Xi Jinping assumed the presidency in March.

Public reaction to the planned mission was mixed, with some users of the Twitter-like Weibo platform wishing the astronauts well, while others said the resources were best used on the ground.

"Our country may be lagging behind in other areas, but China has great achievement in aerospace technology," said one user with the handle @Jiniaobieliulin.

"The government should spend more money to help those of lowest social status," said another user identified as @Xiaoxiaojuna.

Journalist Katie Hunt wrote and reported from Hong Kong, and CNN's Zhang Dayu reported from Beijing. CNN's Jethro Mullen in Hong Kong contributed to this report.

@highlight

This is China's fifth crewed space mission and is scheduled to last 15 days

@highlight

It is the first high-profile launch since Xi Jinping became president in March

@highlight

The mission seeks to test technology related to constructing a space station

@highlight

China's march into space underscores its growing financial and military clout