Washington (CNN) -- 'Tis the season to be wary when it comes to buying toys for children this holiday.

Toxic and dangerous toys are right now sitting on store shelves, and a public interest group is warning consumers to beware when purchasing toys for toddlers because of possible safety hazards.

The U.S. Public Interest Research Group released its 27th annual Trouble in Toyland survey Tuesday, and the progress report concluded what it has noted in previous years: toy hazards come in a variety of shapes and forms.

Children can be injured from small parts that pose choking risks, strangled by cords on pull toys, lacerated by sharp edges, and endangered by exposure to toxic chemicals.

Tents recalled for suffocation risk

Over the years, the organization said, its reports have led to more than 150 recalls and other regulatory actions.

This year's list "includes a potentially dangerous magnet toy, a bowling game that is a choking hazard and a key chain rattle that may be harmful to little ears," it said.

Researchers visited national toy stores, malls and dollar stores in September, October and November this year to look for potential toxic, choking, strangulation and noise hazards.

"We should be able to trust that the toys we buy are safe. However, until that's the case, parents need to watch out for common hazards when shopping for toys," said Nasima Hossain, public health advocate for Public Interest Research Group, in a release detailing the report.

Folding bicycles recalled

The Toy Industry Association, which represents more than 500 manufacturers in the United States, said, "Safety is our top priority all year," and a spokesman called the group's survey "another of its needlessly frightening reports."

"Its headlines cry for caution but the fine print clarifies that most of the products on their list actually comply with the strict toy safety standards that are already in place in the U.S.," said Stacy Leistner, vice president of communications for the association. "Our companies are manufacturing to current regulations."

Leistner said that with some 3 billion toys sold in the United States every year, "we have a good track record for our companies making safe products."

Among the survey's findings:

-- Lead exposure from toys remains a serious risk to the brains of young children and "can cause permanent mental and developmental impairments."

-- Magnet toys pose problems, especially if the magnets are swallowed. The Consumer Product Safety Commission has estimated there were 1,700 emergency room cases nationwide between 2009 and 2011 involving the ingestion of high-power magnets, nearly three-quarters of them in children between 4 and 12.

Magnetic Buckeyballs discontinued

-- Two toys -- a car driving wheel on a console and a toy guitar -- exceed the recommended limit for continuous exposure to noise above 65 decibels. Researchers say one in five U.S. children will have some degree of hearing loss by the time they reach the age of 12.

-- Several toys contain small parts having what the organization says is improper labeling and "might be mistakenly purchased for children under 3." Choking on small toy parts such as marbles and balloons has resulted in hundreds of deaths over the past two decades.

Consumers are urged to examine toys carefully for potential dangers before making a purchase. The U.S. Public Interest Research Group recommends the Consumer Product Safety Commission review its definition of "small part" or "small toy" to include parts and toys that are larger than the current standard but have been shown to pose a choking hazard. It also calls for "vigorous" enforcement of lead limits in toys.

Go to http://www.uspirg.org/reports/usp/trouble-toyland-2012 to read the survey report and a summary of 2012's potentially dangerous toys.

Retail employees fight Black Friday creep

@highlight

New: The Toy Industry Association says the report is "needlessly frightening"

@highlight

U.S. Public Interest Research Group releases its annual Trouble in Toyland survey

@highlight

It finds risks of choking, strangulation, lacerations and toxic exposure

@highlight

The group says the government's regulations on small toys should be expanded