While much of the world is focused on the Russian incursion into the Crimean Peninsula of Ukraine, another long-term move may allow the former Soviet navy to dominate U.S. interests to the north: the Arctic.

The rapid melting of the Arctic Ocean is quickly creating a new variety of challenges that have the potential to cause significant global damage if they remain unaddressed.

The Obama administration's policy correctly recognizes that the United States has profoundly important economic and cultural interests in the Arctic but regrettably reveals very little about what the federal government will be doing outside of the science field.

While recent U.S. policies either dance around the core issues, or worse, do not acknowledge that they exist, the Russians are taking the lead on Arctic policy. After all, the Arctic is in their backyard, too.

Moreover, Russia -- as if to highlight the value they place on their navy and renaissance as a maritime nation -- took control of the strategic Crimean Peninsula, assuring and securing warm water Russian Navy access to the global commons.

In light of these recent events, it would be wise for Washington to seriously consider the economic potential and security vulnerabilities that exist on or near the U.S. Arctic coastline.

Overwhelmingly, the U.S. Arctic policy debate echoes past concerns of the Arctic National Wildlife Refuge. Consequently, many in the policy community are pushing a heavy science and no-development agenda to preserve the pristine character of the region.

The recently issued Department of Defense Arctic Strategy is a case in point: It talks extensively about the DOD scientific mission and uses the terms "sustainable development" and preservation of the unspoiled area as important national goals.

But just saying "no" ignores the fact that the precious Arctic mineral and oil and gas resources will help assure the United States is able, over time, to achieve and then maintain its energy independence.

Science is incredibly important, as is safe and responsible development of the Arctic, but our agencies and scientists need to approach these issues with a greater sense of urgency.  Arguably, the science needs to be a component of a detailed national action, but that's only a fraction of good U.S. policy.

U.S. Arctic policy should prioritize four things:

One: Demonstrate leadership in the Arctic and develop a strategy and policy to match. The U.S. has no leadership in the high north and Russia does, which is a great concern for our allies.

Two: Invest in infrastructure, Navy and Coast Guard to support U.S. security and commercial interests in the Arctic. The key here is to develop the policy that drives those requirements so we are not "late to need."

Three: Demonstrate leadership in the maritime domain worldwide -- and not retreat as we are doing by default in the Arctic.

Four: Facilitate and further develop offshore natural resources in the high north/Alaska and the national, international, maritime and geopolitical governance structures that will underpin those enterprises.

Washington, in less than two years, will assume a leadership role when it becomes Chair for the Arctic Council. Unfortunately, the DOD policy and U.S. Navy Arctic Roadmap 2014 do not articulate what the U.S. Arctic leadership agenda will entail.

The reality is ignoring the issues and choosing not to participate in the Arctic will not make the issues go away.

Yes, budgets are challenging, but the Arctic is no different from any other international frontier or global common where the U.S. has interests. We need to protect it and demonstrate leadership in the maritime domain -- not retreat.

So, too, our policy makers need to be looking beyond our shores to Moscow, Ottawa, Oslo, Copenhagen, the Arctic Council, international oil companies and Lloyds of London for help in solving this governance challenge.

The last thing that any of the Arctic states can afford is to back into a Russian-generated crisis with no resources or a plan.

The time is now for more U.S. leadership to ensure the Arctic becomes a safe, secure and prosperous region in which to live and work.

Join us on Facebook.com/CNNOpinion.

@highlight

David Slayton, Mark E. Rosen: U.S. Arctic policy needs to look more at security issues

@highlight

Russia, they say, already holds a dominant position in the region

@highlight

Scientific exploration is important, but that should not be the solitary focus, they say