It's no secret that fertility treatments are behind the increasing numbers of twins, triplets or even quadruplets or quintuplets born in recent years.

However, scientists studying the impact of medical intervention on multiple births were in for  a surprise -- in vitro fertilization (IVF), which has anecdotally borne much of the blame for multiple births because more than one embryo is typically implanted, was not the primary cause of multiples.

Instead, fertility drugs appear to be the culprit.

By 2011, 36% of twin births and 77% of triplets, quads and quintuplets came as a result of fertility treatments including fertility drugs, according to a study published this week in the New England Journal of Medicine.

"We were surprised that non-IVF approaches were more culpable than IVF here," said Dr. Eli Adashi, a professor of medical science at the Alpert Medical School of Brown University. He and his colleagues initiated the study because they wanted to find a way to stop the multiples trend.

Why? Doctors prefer women give birth to a single baby or a "singleton" as they are called in medical lingo.  That's because even with medical advances, multiple births are still considered risky for both mother and babies.

Top misconceptions about fertility treatments

"By and large, human reproduction is designed for singletons, and the optimum outcome we hope for is a singleton birth to term," Adashi said. "When you get into a situation with multiple and higher number births, all kinds of concerns creep in. We wanted to make a deliberate course correction as opposed to flailing indiscriminately at the problem."

While doctors recognized the phenomenon was a public health issue, Adashi said, "We didn't really have the hard numbers and we certainly did not have the kind of detailed insights into what's driving the increase in the number of multiples."

Researchers arrived at these details by studying the number of times women gave birth to multiples between 1962 and 1966 -- the era before fertility treatments.

They contrasted this data with the number of multiple births between 1971 to 2011. All births are tracked by the National Center for Health Statistics. By law, all children born as a result of IVF are also tracked by a national registry. Children born as a result of some other fertility treatment, such as the use of fertility drugs, are not tracked, so researchers estimated that number.

What they found, adjusting for maternal age and the national rate of twin births, was that the number of twins increased slightly, by a factor of 1.9 between 1971 to 2009. The number of triplets and higher-order births increased by a much larger number -- they were up by a factor of 6.7 from 1971 to 1998.

Thankfully, Adashi said, that number peaked in 1998. That may in large part be due to doctors following guidelines issued that year by the Society for Assisted Reproductive Technology.

Those guidelines encouraged doctors to limit the number of embryos transferred during an IVF procedure. Doctors routinely transfer multiple embryos to increase the likelihood that at least one will result in a pregnancy.

Since these guidelines went into effect there has been a 70% reduction in the transfer of three or more embryos during IVF, according to the study. That has in part resulted in a 33% decrease in the proportion of triplet and higher-order births due to IVF.

Egg freezing changing fertility treatments

"Maybe the worst is behind us in this epidemic of multiple births, when it comes to IVF at least," Adashi said.

However, non-IVF fertility treatments such as fertility drugs still are causing a disproportionate number of multiple births. In such treatments, a woman will take drugs that will encourage her ovaries to release more than one egg a month.

The rate of non-IVF twin births has increased slightly, going from 16% in 1998 to 19% in 2011, according to the study. Non-IVF triplet births increased from 36% to 45% in the same time period.

"That's a lot and there is certainly room for improvement there," said Dr. Jennifer Kawwass, a fellow at the Emory Reproductive Center.

"Because of limited insurance coverage, we see that patients currently have a financial disincentive to go the IVF route, which means they are leaving this up to chance."

Women struggling with infertility may choose the fertility drug route first because it is cheaper. Often insurance does not cover IVF or caps reimbursement. With this new data, legislators may want to encourage more insurance companies to cover IVF treatments.  Some states do mandate coverage.

Teacher who was fired after fertility treatments sues diocese

"There are clearly ways by which these non-IVF technologies can be modified and there are more prudent approaches that result in less in the way of multiples," Adashi said. He believes education is key to help doctors and their patients understand the negative health impacts of giving birth to multiple children.

Adashi said he and others plan to continue to watch this multiple birth trend.

"Hopefully by conducting these types of analyses, we should have a good handle on what is happening in this area," he said. "We want to see if we will be gaining in success at limiting the number of multiple births or, God forbid, we are losing the battle."

@highlight

36% of twins, 77% of triplets, other multiples came from fertility treatments in 2011

@highlight

More multiples are the result of the mother taking fertility drugs rather than having IVF

@highlight

The IVF induced triplet trend peaked in 1998 due in part to new medical guidelines