His full name is Idris Ayodeji Bello, but you might just call him "Afropreneur."

That's the buzzword adopted by the young Nigerian to describe the bright, independent and tech savvy entrepreneurs using creative thinking and the power of innovation to take over Africa's economic destiny.

"Over time Africa has relied on government and big multinationals for solutions -- but they're not coming," explains Bello.

"But of recent you're seeing a new wave of young men and women who have access to all the global networks, who've studied either within the continent or outside and have this passion for change -- these are the people Africa's change is going to come from, these are the people I call 'Afropreneurs.'"

And Bello is certainly leading by example.

At just 33 years old,  he has already been involved in several tech initiatives aimed at encouraging entrepreneurship and empowering communities across Africa.

Connecting solutions to problems

Early last year, Bello co-founded the Wennovation Hub in Nigeria, a technology space enabling ambitious entrepreneurs to come together and develop their trailblazing ideas into successful businesses.

The Lagos-based hub, one of the many innovation centers that have recently mushroomed across Africa, has so far incubated the efforts of more than 100 entrepreneurs, providing them with space, support and consulting.

"Part of our own responsibility is to connect the talent to the opportunity," says Bello. "We took the "i" out of innovation and replaced it with the "we" and came up with the Wennovation Hub -- the problems of Africa are huge, they cannot be solved by one person alone, so it requires people coming together."

Access is key

Born in Nigeria to a family of academics, Bello says he learned from an early age the importance of access to information.

Growing up, he says, he was surrounded by books. "We had a mantra in our house," remembers Bello. "My dad would always say 'never get caught without a book,' so whether you had lunch or you were sleeping, you always had to have your book."

Read related: Africa's 'father of technology'

Bello went on to study computer science  in Nigeria before moving to the United States and the UK to further his academic knowledge in entrepreneurship and global health. Along the way, his entrepreneurial spirit kicked in -- he worked for multinationals such as Procter & Gamble and Chevron and also got involved in a number of startups.

But Africa was always bound to be central to Bello's work. Passionate about his continent, he quickly ventured into what he describes as "the business of technology in health and education."

'An app a day keeps the doctor away'

As a result, Bello co-founded AfyaZima, a health technology and management startup that leverages the rise of mobile phones and other low-cost technologies across Africa to provide access to vital health information.

The startup won the 2012 Dell Technology Award -- in collaboration with the Oxford Engineering World Health Group -- for Blood Pressure MCuff, a low-cost device that enables blood pressure monitoring and data transmission via mobile phones. The technology hence acts as a communication channel for doctors to remotely send treatment recommendations to their patients.

The concept is this: at the moment you put mobile phone on everybody's hands, how can it comes to that ... instead of people going to the hospital, the hospital comes to you,"Bello says.  "Growing up, they used to tell us an apple a day keeps the doctor away, now it's more like an app a day keeps the doctor away."

AfyaZima, which comes from a Swahili word for complete health, is also working to create a cloud-based service that will receive the mobile phone data and store them in an electronic health record.

'Bringing online education to an offline world'

But perhaps Bello's most daring project to date is YoKwazi: an ambitious initiative aiming to change Africa's education landscape by putting learning resources to the hands of students and teachers across the continent.

Bello explains that due to broadband constraints many young Africans are losing out in the major shift toward open education in parts of the developed world, where massive open online courses are offered for free.

"That's where I step in," he says. "I come from the developing world but I have had access to this good education and so my goal is to bridge that gap -- to knock down that barrier of broadband."

Read also: Web savvy Africans fuel growth in online shopping

Still at testing stage, YoKwazi aims to deploy OTGPlaya, an offline wireless cloud device, in key community areas to house and host online educational tools. The device, which was incubated at the Wennovation Hub, will do a one-time download, store the content and make it available for people nearby to access it through their wi-fi enabled devices.

"It's about bringing online education to an offline world," says Bello.

Legacy of 'Afropreneurs'

Multifarious and passionate, Bello says his mission as an "Afropreneur" is to enable access to information so that people can tap into their own creativity to solve their problems without having to rely on government.

"A lot of times we're focused too much on trying to solve people's problems. But people are the ones who best know their own problems but often can lack the tools they need," he says.

"When you give people access to health education, they will take better care of their health; when you give people access to education, you will see people even do greater things," adds Bello. "We enable people to access -- when they know, they will solve their problems. That my proposition."

@highlight

Nigerian Idris Ayodeji Bello describes himself as an "Afropreneur"

@highlight

He says Afro-centric entrepreneurs will bring change to the continent

@highlight

Bello has created the Wennovation Hub in Nigeria to help entrepreneurs develop their ideas

@highlight

He says his work is about enabling access to health information and education tools