(CNN) -- A wrongful death lawsuit filed in the aftermath of a July boat accident questions the safety of amphibious tour vessels, but the so-called duck boats' record indicates just two fatal accidents in more than 50 years of service.

On July 7, a 250-foot sludge barge pushed by a tugboat overran a disabled 33-foot Ride the Ducks tour boat, plunging the amphibious vessel with its 35 passengers and two crew members under the surface of the Delaware River in Philadelphia, Pennsylvania.

Two student tourists from Hungary, Dora Schwendtner, 16, and Szabolcs Prem, 20, drowned. Ten other passengers suffered minor injuries, according to a National Transportation Safety Board initial report released September 10.

Ride the Ducks has suspended its Philadelphia operation since the accident, but company President Chris Herschend said he expected tours to resume soon. The company is working out details with the U.S. Coast Guard and the city.

In a statement released to the media, Herschend pointed to the tugboat's failure to heed repeated radio calls alerting it to the disabled vessel in its path.

A lawsuit filed on behalf of the students' parents claims, among other things, that duck boats are inherently unsafe.

"There is no doubt that Dora and Szeb, on their first trip to America, thought they were safe when they boarded the duck boat. They had no idea they were on an accident waiting to happen," said Holly Ostrov Ronai, one of the attorneys who filed the suit.

But officials with the Coast Guard and Ride the Ducks say the vessels have an excellent safety record.

"Thirty-three years we've been in this business, Ride the Ducks, and we've never had so much as a wet shoelace before this tragedy," Herschend told CNN.

Since starting operations in Philadelphia in 2003 , Ride the Ducks has safely transported more than 1 million passengers on more than 42,000 tours in the Pennsylvania city, a company statement said.

Ride the Ducks is a subsidiary of Herschend Family Entertainment of Norcross, Georgia. The company owns Ride the Ducks operations in six locations, as well as the Dollywood theme park in Tennessee, Stone Mountain Park in Georgia, and other attractions.

The original duck boat, with a standard Army six-wheel truck frame and a propeller, was designed to ferry troops and materiel from warships to land during World War II.

General Motors Corp. built 21,000 of the vessels, officially called DUKWs, between 1942 and 1945, when production ceased. Most were scrapped after the war, but entrepreneurs converted a few dozen for jolly excursions across land and water for tourists.

Herschend's 90 or so boats are latter-day replicas, manufactured at a Branson, Missouri, shop and designed to look like the WWII workhorses. Today, 128 duck-style boats have certificates to remain in service with several companies, according to the U.S. Coast Guard.

Only one other fatal accident involving a DUKW has been documented. In 1999, the Miss Majestic -- owned by a now-defunct company -- sank in Lake Hamilton near Hot Springs, Arkansas; 13 passengers drowned.

The NTSB investigated the accident and recommended several changes to ducks' design and operation standards, but the Coast Guard did not concur.

Read the NTSB's preliminary report on the accident

Citing "an unacceptable level of risk to passenger safety," the NTSB recommended in May 2002 that duck operators and refurbishers "provide reserve buoyancy through passive means," such as installing watertight compartments or buoyant foam in the hull. Modern boats include such features.

The NTSB also found that several of the Miss Majestic victims were trapped under the vessel's canopy as it rapidly sank and recommended that duck canopies be removed or modified to come off easily in an emergency.

In a September 2002 response, the Coast Guard said existing regulations and standards, if followed, were sufficient to ensure passenger safety.

"When you follow the navigation rules, usually everything goes fine," Capt. Eric Christensen, chief of the Office of Vessel Activity at Coast Guard headquarters in Washington, told CNN recently. "The Coast Guard doesn't certificate inherently unsafe vessels," he said.

Robert Mongeluzzi, an attorney representing the Philadelphia victims' families, says that's not a good answer.

"If they had canopies that were retractable and foldable -- like we've had on convertible cars for about 100 years -- they wouldn't have that problem" of trapping passengers underwater, he said.

Coast Guard regulations do not require duck passengers to wear personal flotation devices (PFDs), which puts them in danger of drowning, Mongeluzzi said. But the devices could pin their wearers against the vessel's canopy, which is what happened to several victims in the Arkansas accident, according to the NTSB.

"If you keep the canopy on, then you're damned if you do and damned if you don't," said Mongeluzzi, who characterizes the canopies as "death cages." "If you put your PFD on, it's harder to get out. If you don't put your PFD on, you're more likely to drown. Passengers on a sightseeing cruise should never be faced with that life-or-death decision."

The preliminary NTSB report on the Philadelphia accident did not indicate whether passengers were wearing PFDs, but eyewitness accounts and images from the scene showed some were and some weren't when they were rescued.

Ride the Ducks' Herschend says the circumstances of the 1999 Arkansas disaster and this summer's accident in Philadelphia were completely different, but his company's focus is always on safety.

"None of us are OK with this, and none of us want to ever go through it again," he said.

The lawsuit is not likely to come to trial in the Philadelphia County Court of Common Pleas for two to three years, Mongeluzzi said.

@highlight

NTSB warned in 2002 that canopies on excursion vessels could trap passengers

@highlight

Records show only two fatal accidents involving amphibious tour boats

@highlight

2 students killed in Philadelphia crash in July; 13 drowned in 1999 sinking in Arkansas

@highlight

Coast Guard disregarded NTSB recommendations after 1999 tragedy