WASHINGTON, Illinois (CNN) -- Ty Ziegel peers from beneath his Marine Corps baseball cap, his once boyish face burned beyond recognition by a suicide bomber's attack in Iraq just three days before Christmas 2004.

Ty Ziegel, a Marine, was badly wounded in Iraq. He battled the VA over disability benefits when he returned.

He lost part of his skull in the blast and part of his brain was damaged. Half of his left arm was amputated and some of the fingers were blown off his right hand.

Ziegel, a 25-year-old Marine sergeant, knew the dangers of war when he was deployed for his second tour in Iraq.

But he didn't expect a new battle when he returned home as a wounded warrior: a fight with the Department of Veterans Affairs.

"Sometimes, you get lost in the system," he told CNN. "I feel like a Social Security number. I don't feel like Tyler Ziegel."

His story is one example of how medical advances in the battlefield have outpaced the home front. Many wounded veterans return home feeling that the VA system, specifically its 62-year-old disability ratings system, has failed them.  Watch Ziegel display his model skull »

"The VA system is not ready, and they simply don't have time to catch up," Tammy Duckworth -- herself a wounded veteran who heads up the Illinois Department of Veteran Affairs -- told the Senate Veterans Affairs Committee in March.

VA Acting Secretary Gordon Mansfield said cases like Ziegel's are rare -- that the majority of veterans are moving through the process and "being taken care of." He also said most veterans are fairly compensated.

"Any veteran with the same issue, if it's a medical disability, ... it is going to get the same exact result anywhere in our system," he said.

More than 28,500 troops have been wounded in Operation Iraqi Freedom, including about 8,500 that have needed air transport, according to the U.S. military.  See photos of these Iraq war heroes »

A recent Harvard study found that the cost of caring for those wounded over the course of their lifetime could ultimately cost more than $660 billion.

In Ziegel's case, he spent nearly two years recovering at Brooke Army Medical Center in Texas. Once he got out of the hospital, he was unable to hold a job. He anticipated receiving a monthly VA disability check sufficient to cover his small-town lifestyle in Washington, Illinois.

Instead, he got a check for far less than expected. After pressing for answers, Ziegel finally received a letter from the VA that rated his injuries: 80 percent for facial disfigurement, 60 percent for left arm amputation, a mere 10 percent for head trauma and nothing for his left lobe brain injury, right eye blindness and jaw fracture.

"I don't get too mad about too many things," he said. "But once we've been getting into this, I'm ready to beat down the White House door if I need to."

"I'm not expecting to live in the lap of luxury," he added. "But I am asking them to make it comfortable to raise a family and not have to struggle."

Within 48 hours of telling his story to CNN this summer, the Office of then-VA Secretary Jim Nicholson acted on Ziegel's case. The VA changed his head trauma injury, once rated at 10 percent, to traumatic brain injury rated at 100 percent, substantially increasing his monthly disability check.

Duckworth, the Illinois VA chief, knows exactly what Ziegel and other severely wounded vets are going through. She lost both her legs when a rocket-propelled grenade struck her Blackhawk helicopter on November 12, 2004. Her right arm was also shattered.  Watch how Duckworth's wounds changed her life »

She told CNN she received "incredible care" at Walter Reed for 13 months, but soon realized the transition to the VA wouldn't be as smooth.

"I started worrying about the fact that maybe this country won't remember in five years that there are these war wounded," Duckworth said.

Garrett Anderson with the Illinois National Guard, for example, has been fighting the VA since October 15, 2005. Shrapnel tore through his head and body after a roadside bomb blew up the truck he was driving. He lost his right arm.

The VA initially rejected his claim, saying his severe shrapnel wounds were "not service connected."  Watch Anderson describe "my arm was hanging there" »

"Who would want to tell an Iraqi or Afghanistan soldier who was blown up by an IED that his wounds were not caused by his service over there?" said Anderson's wife, Sam.

After pressure from Sen. Dick Durbin of Illinois, the VA acted on Anderson's case. He has since been awarded compensation for a traumatic brain injury.

"It upsets me that the VA system operates in a way that it takes people of power -- and who you know and what you know -- to get what you want," said Anderson, who is now retired.

When asked about Anderson's case specifically, the VA's Mansfield said such cases make him "more dedicated" to fixing the system.

In July, President Bush and a commission appointed to review the care of veterans returning from war announced the need for a complete overhaul of the disability ratings system, which dates back to World War II. The VA is now considering action on the commission's recommendations.

Ziegel eventually won his battle. Still he feels for so many others he believes are getting cheated by the system.

"We're feeding the war machine, but you never think of the war machine that comes home and needs, you know, feeding back home," he said.

His family hopes they don't have to fight the VA again. In August, Ty Ziegel's brother, 22-year-old Zach Ziegel, was deployed to Iraq.

"I want to make the VA system better because if he has to go through anything I went through, that's really going to upset me. That'll make my fuse real short and hot," Ty Ziegel said. E-mail to a friend

@highlight

Ty Ziegel lost an arm, part of his skull when he was attacked in Iraq

@highlight

VA initially rated his brain injury at 0%, meaning he got no compensation for it

@highlight

Another vet: VA rejected his claim, saying his wounds were "not service connected"

@highlight

Ziegel: "I want to make the VA system better"