(CNN) -- American higher education is in the cross hairs of a heated national debate over the value and cost of a college degree. Yet in China, our fiercest global economic competitor, the popularity of American colleges and universities might be at an all-time high.

I just returned from a trip to Beijing, where I spoke with Chinese parents about the value of American education, where we excel and where we fall short. Not surprising was the extent to which the Chinese value education, especially primary and secondary education, and yearn for their children to attend American universities, and if possible, stay in America.

When I engaged Chinese parents about their children, they would often say, "My son (or daughter) is going to Princeton (or fill in the elite American university)." I would respond, "Great! What year is your son or daughter right now?" And they would say, "Three years old."

This passion for education starting at such an early age is powerful. After meeting with Chinese teachers, parents and children, three differences were immediately clear.

First, their children are better educated than American children in the STEM fields -- science, technology, engineering and math. High standards and high expectations are the norm in China, not the exception, as is often the case in the United States.

Second, Chinese parents will sacrifice almost anything for their child's education. They realize firsthand, "History is a race between education and catastrophe," as H.G. Wells put it. In China, the disposable income of middle-class families is more likely to be spent on education than leisure or entertainment.

Third, to the Chinese people, American universities, for all their shortcomings and blemishes, are still beacons of freedom, individualism and self-improvement. To them, our universities are emblems of the highest achievement.

In Asia, they have a saying: "The protruding nail gets hammered down." In America, we give awards for protruding nails.

Our standards should be higher and our achievement better, but we still remain a land of unlimited opportunity. Each of my speeches in China began by reminding the Chinese people of the three, quintessential American values engraved, on our currency: Liberty, In God We Trust and E. Pluribus Unum.

Politically, we may be at odds with the Chinese regime, but its people desperately long for a taste of American autonomy. RISE China, the private international education company that invited me to China and for which I am a compensated senior adviser, focuses on teaching idiomatic English to Chinese students to help them get into American universities.

It also helps Chinese students develop confidence, initiative, commitment and active learning -- all qualities that are cherished by our higher institutions.

As a result, the number of Chinese undergraduate students in the U.S. has doubled in the past two years. In the 2006-07 academic year, 9,955 Chinese undergraduates enrolled in U.S. schools. The next year, that figure jumped to 16,450, and by 2010-11, 56,976 undergraduates enrolled in the U.S. China exports more of its students to the U.S. than to any other country. They are already reaping the benefits educationally and economically.

In February 2011, in a meeting with Silicon Valley's biggest entrepreneurs, President Barack Obama asked Steve Jobs of Apple what it would take to make iPhones in the U.S. rather than China. Jobs replied that those jobs aren't coming back. The New York Times reported it this way: "Apple executives believe the vast scale of overseas factories as well as the flexibility, diligence and industrial skills of foreign workers have so outpaced their American counterparts that "Made in the U.S.A." is no longer a viable option for most Apple products."

The Chinese realize the potential of American universities when engaged properly.

When a student approaches the university with a specific degree focus, applies it with diligence and finances it soundly, understanding the commitment he or she is making, the American university system is still the best in the world. American students must begin approaching their higher education just as smartly and seriously, or our academies will be filled with aspiring and inquiring minds from elsewhere.

The opinions expressed in this commentary are solely those of William Bennett.

@highlight

William Bennett: Many Chinese yearn to send their children to U.S. universities

@highlight

Bennett: Chinese students better prepared in science, math; parental expectations higher

@highlight

In China, U.S. colleges represent freedom, individualism, self-improvement, he says

@highlight

He warns that U.S. must approach education as focused as the Chinese