(CNN) -- On October 20, 2001, a concert was held in Madison Square Garden to benefit the victims of the 9/11 terrorist attacks. On stage were some of the biggest names in show business. In the audience were first responders who had been working around the clock at ground zero.

To those watching on television, the most memorable thing about the evening was not the performers on stage. It was the faces of those in the crowd. The firemen. The paramedics. The police officers. They were smiling. They were laughing. Some of them were in tears. For the first time in weeks, it seemed, they had set aside their anguish and were having a good time.

By far, though, the emotional high point of the evening came when The Who took the stage toward the end of the night. After opening with "Who Are You" and following that with "Baba O'Riley," the band played "Won't Get Fooled Again."

At that moment, a different mood seemed to take hold across the room. The anguish turned to anger and the remorse turned to resolve. And as Roger Daltrey let out a guttural scream to conclude the song, the crowd, as if one, raised their fists in the air and let out a scream of their own:

"WE WON'T GET FOOLED AGAIN!!"

At that same moment, one could almost picture President Bush watching from the residence at the White House doing the same thing. After all, he was by all accounts briefed less than two months earlier that Osama bin Laden was planning to launch an attack on the United States.

If anyone was fooled on 9/11, it was most assuredly him. And if anyone had reason to vow to never let something like this happen again, it was the one individual who took an oath to keep this nation secure.

Three years later, the Brooks and Dunn anthem "Only in America" would often be cited as the unofficial song of the 2004 Bush re-election campaign. Yet looking back on it now, one could argue that a more appropriate song for the Bush administration was the anthem The Who played that October Saturday night. The song not only defined Bush's time in office in the years following 9/11, but also provided a lens through which nearly every policy decision could be viewed.

The decision to invade Iraq is a good example. The wisdom of invading this country is still being debated, but the rationale behind the decision to do so was clear: Saddam Hussein claimed he had weapons of mass destruction, and most of the world's leading intelligence agencies claimed he had them, as well.

In light of the fact that he had ignored intelligence reports before 9/11, it is understandable that Bush did not want to make the same mistake again.

Critics say that he overreacted, and in light of the fact that WMDs were never found, they are correct. But as California Sen. Dianne Feinstein recently stated, "I'd rather, in the interest of protecting people, overreact rather than underreact." Feinstein's statement is notable not because it was aimed at President Bush, but because it was aimed at President Obama.

Specifically, it was aimed at the underwhelming response of the Obama administration to the failed attempt to blow up a U.S. passenger jet on Christmas Day. It also points to a larger problem facing the president as he begins his second year in office -- namely, the fact that the failures of 9/11 seem to have been forgotten by his administration and his allies on Capitol Hill.

First, members of the intelligence community failed to connect the dots that would have flagged the young Nigerian bomber as a potential terrorist and prevented him from getting on the plane. Then, federal law enforcement officials decided to treat the bomber as a common criminal instead of an enemy combatant, giving greater priority to finding him an attorney than getting to the bottom of this evil plot.

The administration now reports the would-be bomber is cooperating and providing useful information. That may be true. But it's also true that we are engaged in a conflict that cannot be litigated.

We are fighting a war, not fighting crime. This is why Congress and the president established a military commission process in the years following 9/11 to deal with terrorist threats of this nature. It's also why Attorney General Eric Holder, in the face of protests by Mayor Michael Bloomberg and other local officials, is backing off plans to prosecute accused 9/11 mastermind Khalid Sheikh Mohammad in a federal court in New York City.

To make matters worse, it's not just the Obama administration that is failing to heed the lessons of 9/11. The Democratic leadership on Capitol Hill also appears to have forgotten the failures of that day.

For example, one of the recommendations of the 9/11 Commission was that Congress streamline committee oversight with regard to homeland security. The reason is simple. In 2007 and 2008, officials from the Homeland Security Department appeared at more than 370 hearings and gave more than 5,000 briefings to staffers and members from 108 committees. Despite this jurisdictional nightmare, the leadership remains resistant to reform.

Hopefully, it won't take another 9/11 for the president and his allies to regain their sense of urgency and prepare for another attack. We know it's coming. According to Dennis Blair, the director of national intelligence, an attack could come in the next six months. Security is being heightened at numerous public events as a result. That includes this weekend's Super Bowl, where The Who will be performing at halftime.

President Obama will no doubt be watching the game. When The Who takes the stage, if he is watching their performance, let's hope he hears the same message first responders heard during the concert at Madison Square Garden in 2001.

Let's hope we don't get fooled again.

To view a clip of The Who's performance at Madison Square Garden on October 20, 2001, click here

The opinions expressed in this commentary are solely those of Lou Zickar.

@highlight

After 9/11, Americans were resolved not to fall victim to terrorism again, says Lou Zickar

@highlight

Zickar says a 2001 performance by The Who captured that spirit

@highlight

He says Bush administration ignored warnings before September 11

@highlight

Zickar: Obama team has not shown zeal to aggressively respond to the threat