Baghdad, Iraq (CNN) -- As violence continues to wrack Iraq, the United Nations warned Saturday of another ethnic slaughter in the making by Sunni extremists from ISIS.

ISIS fighters have besieged the ethnic Turkmen Shiite town of Amerli in the north for two months, and its fewer than 20,000 residents are without power and running out of food, water and medical supplies.

"The situation of the people in Amerli is desperate and demands immediate action to prevent the possible massacre of its citizens," said Nickolay Mladenov, the U.N. secretary-general's special representative for Iraq.

He said the suffering was "unspeakable" and demanded that the Shiite majority Iraqi government "relieve the siege" on Amerli.

The religious group's head cleric, Grand Ayatollah Ali al-Sistani, pushed the government to do the same Friday. And he called for air drops "to ease the suffering of its people, especially children and the weak."

About 5,000 families live in Amerli, which has been under siege for 70 days, according to Dr. Ali Albayati, head of the Turkmen Saving Foundation. He told CNN the town is running without electricity, is out of medicine and can only turn to wells for water.

Nearly three dozen villages surrounding Amerli are already under ISIS control, Albayati said. The people of Amerli are relying on the Iraqi government to take them out by helicopter or support them with food drops, Albayati said. In the past 10 days, he added, only one flight has delivered food.

Surrounded on four sides, the 17,400 residents have had to defend themselves with only the help of local police, said Masrwr Aswad of Iraq's Human Rights Commission. He said attempts to bring aid have been hampered by the ISIS security threat, which makes flying helicopters into the area extremely difficult and dangerous.

Their situation echoes the ordeal of Iraq's ethnic Yazidis, whose plight after they were forced to flee into the mountains to escape militants ISIS triggered U.S. aid drops and the first U.S. airstrikes against ISIS.

Iraqi Prime Minister-designate Haider al-Abadi praised the people of Amerli for their "heroic defense" in the face of the ISIS siege and called for them to be given support.

Their resistance represents "the beginning of the demise" of ISIS, he said, saying it could encourage other communities also to stand up against the militants.

ISIS has targeted Shiite, Christian and other minority communities as it has advanced across Iraq.

Yazidis braced for life in exile

Baghdad, Kirkuk and Irbil bombings

Meanwhile, a suicide bomber targeted the Interior Ministry intelligence headquarters in central Baghdad on Saturday, killing at least four people and injuring 35 others.

The attacker drove up to the complex gate and detonated the explosives, local police officials said. They warned that the casualty figures are expected to rise.

In Kirkuk, a series of three car bombs and a roadside bomb exploded in close succession in different areas of the volatile city, killing at least 20 people and wounding 113 others, Kirkuk police officials told CNN.

This follows a warning issued by ISIS on Friday promising revenge after the killing of 50 of its members in a battle in Jalawla, Iraq. ISIS specifically promised to retaliate against the Kurdish Peshmerga forces.

Two of the three car bombs appeared to target a construction site where Kurdish Pershmerga and Asayesh (Kurdish intelligence) forces were stationed at a security post.

Another car bomb detonated in Irbil, the capital of Iraq's Kurdistan region, Kurdish government officials confirmed to CNN. It was the first explosion in the city since a suicide bomber targeted the security headquarters there in September 2013.

The car bomb exploded on the outskirts of the city, on the side of a main road leading out of Irbil to Kirkuk.

Kurdish officials said at least two people were injured, and the local television network Rudaw reported from the scene that three people light injuries.

This string of incidents came as the death toll death rose to 70 from an attack on Sunni Muslims a day earlier at a mosque in northeast Iraq, when suspected Shiite militiamen opened fire on worshipers.

Friday's attack in the Musab bin Omar Mosque in the village of Bani Weis, about 50 miles northeast of Baquba, also injured at least 17 people, officials said.

It also threatened to derail efforts to form a new, inclusive government -- something world leaders have said is a must if the country hopes to defeat Islamic militants.

Iraqi authorities did not immediately identify the attackers, but Sunni politicians have put the blame on Shiite militias.

Outraged Sunni lawmakers withdrew from negotiations to form a new government, saying they would not return until those behind the attack were arrested, two party officials told CNN.

But the United States and the United Nations called on Iraq to continue its efforts to form a united government.

U.S. 'understands the threat'

U.S. President Barack Obama has authorized targeted airstrikes to protect U.S. personnel in Iraq -- including military advisers -- as well as minorities being brutalized by ISIS.

And U.S. officials have said that Washington is mulling the possibility of going after ISIS fighters in their stronghold in eastern Syria.

But Pentagon spokesman Rear Adm. John Kirby would not confirm concrete plans. "We don't telegraph our punches," he said.

"I'm not going to get ahead of planning that hasn't been done or decisions that haven't been made," Kirby said.

What will it take to beat ISIS?

ISIS vows retribution for killings

ISIS made threats over battle losses on Friday.

More than 50 of its fighters were killed while defending the large ISIS-held town of Jalawla "against the Peshmerga (Kurdish) mercenaries," it said on Twitter. A subsequent tweet said the group vowed revenge.

Iraqi and Kurdish forces surrounded Jalawla and took back several nearby villages in Diyala province, a spokesman for Kurdish forces said.

The Peshmerga and Iraqi commandos inflicted heavy losses against ISIS in those battles, military officials said.

In neighboring Salaheddin province, also north of Baghdad, Iraqi helicopters killed 30 ISIS fighters in the town of Dhuluiya, about 70 kilometers northeast of Baquba, Iraqi security officials told CNN.

More U.S. airstrikes near Mosul Dam

Meanwhile, U.S. military forces have conducted more airstrikes against the militants, primarily ISIS-driven vehicles, near Mosul Dam, the Pentagon said.

Since August 8, the U.S. military has carried out 94 airstrikes, 61 of them in support of Iraqi forces near the Mosul Dam, according to the Defense Department.

The dam is the largest in the country, and Iraqi and U.S. officials fear that a breach in the dam would threaten the lives of millions of Iraqis who live downstream in Mosul and Baghdad.

The U.S. airstrikes have continued despite a threat by ISIS to kill another American hostage.

Earlier this week, ISIS posted an online video showing the execution of American journalist James Foley. The group threatened the life of another man, identified as American journalist Steven Sotloff, if the United States didn't end airstrikes in Iraq.

Where is ISIS?

CNN's Jomana Karadsheh reported from Baghdad, Chelsea J. Carter reported and wrote from Atlanta and Laura Smith-Spark wrote in London. CNN's Anna Coren, Mohammed Tawfeeq, Ben Brumfield, Hamdi Alkhshali, Mussab Khairallah, Karzan Ziadan and Jessica Ravitz contributed to this report.

@highlight

NEW: Bombs kill 20 across Kirkuk

@highlight

Iraq's PM-designate praises "heroic defence" put up by besieged town

@highlight

U.N. calls for action to help Amerli, a Turkmen Shiite town under attack by ISIS

@highlight

Sunni lawmakers pull out of talks to form a government over a mosque attack