Approximately 7.7 million American adults age 18 and older have post-traumatic stress disorder, according to the National Institutes of Health.

While the disorder is often associated with war veterans who have been exposed to extended violence, PTSD and its treatments involve more than you might think.

Here are five things about post-traumatic stress disorder that might surprise you:

1. You can get PTSD from your ZIP code

Post-traumatic stress disorder isn't just limited to troops and victims of violence. Constant violence outside your front door, including hearing gunshots or knowing a murder victim, can keep you on high alert.

Research completed by Emory University professor of psychiatry Dr. Kerry Ressler and his colleagues provides evidence of higher rates of PTSD in some urban populations than in war veterans. Cities such as Washington, Chicago and Los Angeles in particular have seen an increase in cases, they say.

2. Ecstasy might help

We're not just talking about finding moments of joy or spiritual awareness. The illegal drug MDMA, also know as Ecstasy or Molly, has been shown to help some individuals suffering from PTSD. Combined with therapy, it can assist in processing traumatic memories and change thought patterns surrounding traumatic events.

Rachel Hope was part of one MDMA study. She estimates that 80% of her symptoms disappeared after her first MDMA-assisted therapy session.

3. Heart attack and stroke survivors are at risk

Surviving a traumatizing medical event can also trigger post-traumatic stress disorder.

Donald Edmondson, an assistant professor of behavioral medicine at the Columbia University Medical Center, and his colleagues analyzed heart attack and stroke patients in two different studies. They found that one in four stroke patients had PTSD within a year of having a stroke. And about one in eight heart attack survivors developed post-traumatic stress disorder -- plus, those that did were twice as likely to have another heart attack or die within three years after the first attack.

4. It reduces gray matter in your brain

According to the National Instituties of Health, gray matter is made up of neurons and other cells that send signals throughout your brain. Post-traumatic stress disorder can cause interference.

A study published by the Society of Biological Psychiatry found that PTSD specifically affected the gray matter networks related to emotion processing, fear extinction and emotion regulation, which can lead to distorted emotional memories and the inability to regulate fear responses.

There's some good news, however. A 2013 study found that structural damage to gray matter caused by post-traumatic stress disorder does improve over time, but the brain might not return to pre-trauma functioning.

5. How you respond immediately after a traumatic event matters

Dr. Charles Raison, CNN Health's mental health expert, explains that people who have strong emotional reactions and feelings of terror immediately following a traumatic event are more likely to develop PTSD. Disassociation and "spacing out" can also put people more at risk for the disorder. Individuals who are more calm and collected after trauma, on the other hand, tend to do better in the long run.

The NIH lists treatments such as talk therapy, exposure therapy and medications for PTSD. Contacting friends and family for support following an event is also an important step in the healing process.

@highlight

7.7 million American adults have post-traumatic stress disorder

@highlight

Your neighborhood can stress you out

@highlight

Studies show some illegal drugs can be effective treatments

@highlight

Heart attack and stroke survivors are at risk for PTSD