LONDON, England (CNN) -- You might want to go green, but how do you know what you're buying is truly ethical? Greenwash -- the ignoble art of misleading consumers about a product's true green worth -- is on the rise. But thanks to the work of increasingly vigilant regulators, some of the more curious and downright spurious claims are being weeded out.

TerraChoice's "six sins of greenwashing" include vagueness, irrelevance and outright fibbing.

TerraChoice, a Canadian environmental marketing agency, has devised a guide for consumers which they hope goes some way to eradicating greenwash. They've called it "the six sins of greenwashing."

Scott McDougall, President and CEO of TerraChoice told CNN: "The regulatory initiatives in Canada, the U.S., Australia and, I suspect, Europe are rather impenetrable bureaucratic documents, and are not very useful to the average consumer. So we developed it as a tool that would be memorable and useful to consumers."

The sins include "Vagueness" -- terms like 100 percent natural and earth-friendly which don't really mean anything, "Hidden Trade Off" -- is a product truly sustainable? And the "Lesser of Two Evils" -- trying to make consumers feel green about products that have dubious environmental benefit.

Set up in 1995 as part of the Canadian Federal Government's program against greenwash, TerraChoice examines the entire life cycle of a product and the science of environmental claims with a view to awarding Canada's environmental certification mark, the EcoLogo. "Our position is to help genuine environmental leadership win market share," McDougall said.

TerraChoice is currently completing a 20-year study of green marketing claims. They have discovered that greenwash is more prevalent when public interest in environmental issues is greater, and that there's been a gradual increase in claims over time. "It's a kind of a sawtooth curve," McDougall said.

This rise appears to be a global phenomenon. The UK Advertising Standards Authority (ASA) says that complaints about environmental claims "increased dramatically" in 2007 -- 561 compared with just 117 the previous year.

Car manufacturer Lexus ran into trouble in the UK with its "High Performance. Low Emissions. Zero Guilt" advert. The ASA ruled that "zero guilt" implied "little or no damage to the environment."

British Gas was also found to have misled the public by claiming in a television ad that its green energy was "carbon zero." The regulator agreed with complainants that the phrase implied that no carbon dioxide was produced.

In their 2007 report the ASA concluded that; "claims about carbon emissions and green tariffs were among those most likely to confuse consumers."

Australia is also clamping down on greenwash. In June 2008, the Australian Competition and Consumer Commission (ACCC) demanded that tire manufacturer Goodyear compensate consumers after claiming that their Eagle LS2000 was eco-friendly and cut carbon emissions.

The ACCC -- which is also taking Swedish car manufacturer Saab to court over inflated green claims -- has recorded a tenfold increase in complaints since October 2007.

So does McDougall think businesses are starting to get the message about greenwash?

"Those sectors under particular scrutiny are educating themselves more quickly about what legitimate green marketing is," he said. "In particular, cleaning formulations and cleaning chemistry. I think there is a great deal of movement towards greening generally."

But should products which are inherently bad for the environment be allowed to promote their improving green status? Well, Norway doesn't think so. In October 2007 they banned all green references in automobile advertising.

In TerraChoice's "six sins" many motorized forms of transport would fall into the "Lesser of Two Evils" category. McDougall thinks that this is increasingly a problem area. "It has been suggested to us that some of the claims about fuel efficiency and carbon issues are fundamentally deceiving," he said.

Inevitably, some products are going to fail the criteria needed to achieve an EcoLogo -- McDougall once had to politely reject a bid wanting organic cigarettes certified -- but he says in most cases that TerraChoice has studied there was not a malicious attempt to mislead.

With such a barrage of eco-messages slapped on products these days even McDougall concedes that "the six sins of greenwashing" might be too much for consumers to remember when out shopping. So, in a nutshell, what's his advice?

"The most essential guide I can offer consumers is; choose the product that appears to be doing its best to educate you, to offer you information and in precise language."

Do you think greenwashing is a problem? Do we need more or less regulation? Have your say in the "sound off" box below.

@highlight

Consumers increasingly becoming aware of "Greenwash" products

@highlight

Canadian marketing agency TerraChoice outlines the "six sins of greenwashing"

@highlight

TerraChoice advise people to: "choose products that appear to educate and inform"