(CNN) -- How do two convicted murderers walk out of prison?

Too easily, it appears.

Charles Walker and Joseph Jenkins were free for some time, though this fact didn't become public knowledge until this week. As Florida authorities looked for the two men, they also insisted they aren't to blame -- even if others dropped the ball or were fooled in a big, big way.

"We've had a system failure that resulted in two individuals being erroneously released," Orange County, Florida, Sheriff Jerry Demings said. "...This is very frustrating for all of us who work in the system."

The sheriff said Friday evening the two were thought to be in the Orlando area. In fact, they ended up getting caught Saturday evening about 360 miles to the northwest at a Panama City motel, the Florida Department of Law Enforcement announced.

The two fugitives, both 34, hadn't needed a Hollywood-style jailbreak or even a "Get Out Of Jail Free" card to spring themselves out of the Franklin Correctional Institution. Instead they used forged documents indicating their life sentences had been modified and they could leave.

The legal-looking documents contained bogus reproductions of several key players' signatures, including those of the Orlando-area state attorney or the assistant state attorney and Judge Belvin Perry. They bore the seal of the Orange County clerk of court's office.

The documents were processed by the state Department of Corrections and the men were released. Processing the paper work is more akin to data entry than high-level analysis or approval, noted veteran Florida criminal defense attorney Mark O'Mara.

"However it was done, it was well-planned and they know the system well enough to place it," said O'Mara, a CNN legal analyst known for representing George Zimmerman.

As well as those behind the convicts' release might have executed their scheme, some think others in authority could have done better, but the agencies involved are defending their actions.

The orders to release Walker and Jenkins looked legitimate, said Ninth Circuit State Attorney Jeffrey L. Ashton.

The county clerk of court's office didn't do anything wrong, spokeswoman Leesa Bainbridge said. It acts "like a post office," Bainbridge said, "Our role is to take orders and send them to the appropriate agency."

That last agency, the state Department of Corrections, is throwing up its hands as well.

The court passed along documentation indicating the two murderers' sentences had been changed, and "it's not our job to question what the court does," said Department of Corrections spokeswoman Misty Cash.

"The fault does not lie on us. No one is getting in trouble here for what happened," she said.

Whoever is to blame, the price is being paid. Law enforcement officials worked overtime to try to find Walker and Jenkins, with a reward of $10,000 apiece being offered for information leading to their capture. The relatives of the men's victims were angry, scared and wanted an explanation.

And while Demings said Friday he didn't know of any similar premature releases of inmates, O'Mara said that given how smoothly this plan worked, how readily available court documents are in Florida, and how seemingly simple it was to pull off, it would be naive to think this hasn't happened before, freeing other convicts well before their time was served.

"I doubt it happens very much, because this is very unusual," said O'Mara. "But this could have gone for 10 years or more."

Sentenced to life without parole, then set free

In September 1998, Joseph I. Jenkins killed Roscoe Pugh Jr. during a home-invasion robbery attempt.

Six months later, Cedric Slater was gunned down on an Orlando street corner -- shot dead, a jury determined, by Charles B. Walker.

Both killers were convicted and sentenced to life behind bars without the possibility of parole within two years of their crime. While it's not known if they knew each other, they were at the same prison in North Carrabelle, in Florida's Panhandle.

Jenkins left there on September 27, and Walker left on October 8, according to authorities. They had motions indicating the sentences had been reduced, as well as court orders granting the request. Investigators later discovered these documents were forged.

Asked how someone might replicate the documents, O'Mara noted that court filings in Florida cases are available online, so they might be mimicked by "anybody with a little common sense," access to a word processing tool and the gall to replicate signatures seen on those records.

There might have been a screw-up, but Cash said there is no "cover-up" at the Department of Corrections. That agency's chief, Michael Crews, has promised a "vigorous and thorough review" to make sure others weren't also wrongly freed.

"This will be a lesson learned for all involved. We may now look more closely at what the court sends," Cash said. "Our system is being accused, and people are being led to believe that the DOC let these guys walk out the front door, and that's just not the case."

There's good reason to question, and change, the system, O'Mara said. Whereas victims are notified before a defendant's pretrial release, there's no such notice -- even to prosecutors -- before a convict walks free, he pointed out.

In fact, the first that prosecutors got wind of what happened was after they were contacted by a member of Walker's family, Ashton said.

An October 8 letter from the Department of Corrections to Slater's mother, Evangelina Kearse, notified her a "court order and amended sentence caused (Walker's) sentence to expire."

"Please be aware that recent actions causing the release of this offender are beyond our control. Nevertheless, we apologize for the delay in this message," it said.

It doesn't have to be this way, O'Mara said. "Let not only the victim's family know well ahead of time, then send it to the state's attorney," he said, surmising prosecutors as well as victims won't let mistakes by so easily. "...That's an easy fix."

Not the first case, perhaps not the last

One irony is that Florida authorities were completely ignorant that such ruses can work.

On October 7, charging documents were filed against another inmate, Jeffrey Forbes, for allegedly trying a similar scheme in 2011.

Forbes is accused of forgery and attempted escape after a police detective who initially helped convict the man discovered he was scheduled to be released despite being sentenced to life in prison for the attempted first-degree murder of a law enforcement officer, according to Ashton's statement.

The investigation revealed that someone had forged Ashton's name on a bogus court order reducing the sentence and a circuit court judge's name on the order reducing Forbes' life sentence, the statement said.

Nonetheless, Walker was freed thanks to his own forged documents the very next day -- October 8.

Both he and Jenkins appeared to play by the rules afterward. They both went to the Orange County jail to register as felons -- Jenkins on September 30, Walker on October 11 -- an audacious "and really smart move" by both men, because it bought them time before authorities were tipped off anything was awry, O'Mara said.

While their releases may have initially seemed legitimate and innocuous, the two convicts had been classified as escapees by this week.

One of the officials whose signature was forged said he wouldn't be surprised if something like this happens again. It may not work exactly the same way, but it would be unwise to assume criminals won't try whatever they can to get out of prison, said Judge Perry.

"People, particularly people with criminal minds, come up with ingenious ways to beat the system," Perry said. "They have nothing but time on their hands to think of things."

CNN's Joseph Netto, Chelsea J. Carter, Eliot McLaughlin, Kevin Conlon, John Zarrella and Kim Segal contributed to this report.

@highlight

NEW: The 2 fugitives are arrested in a Panama City motel, state agency says

@highlight

Authorities: Forged documents helped free murderers Charles Walker, Joseph Jenkins

@highlight

"We've had a system failure," says Florida sheriff leading hunt for 2 fugitives

@highlight

Their release raises questions that others may used illicit documents to get out of prison