(CNN) -- In 1980, in the pre-Internet, pre-download days when R.E.M. formed in Athens, Georgia, there was no alternative. There was no Americana. There was no grunge.

If you listened to pop music, there were essentially three divisions: Top 40 of the type you heard on the rapidly fading AM radio, the corporate rock of album-oriented FM and what was then called college radio -- a catch-all for the punk, new wave, electronic, low-fi and oddball music that almost never crossed over to the mainstream.

R.E.M. helped to change all that.

They weren't the only ones -- the New York art-punks of the late '70s, notably Talking Heads and Blondie, had hit the Top 40, and fellow Athens scenesters the B-52's had established a national following with their party-down rave-ups.

But it was R.E.M. that, in the words of Allmusic.com's Stephen Thomas Erlewine, "transformed the American underground." If, in the '60s, teenagers gathered in their parents' garages in the hopes of being the next Beatles, in the '80s young adults knocked around dormitories in hopes of being the next R.E.M.: melodic, guitar-based and determined not to sell out to the corporate-music crowd.

R.E.M. was the great hope of fame-fantasizing, used-record-store clerks everywhere.

"They did this grass-roots thing that nobody had ever done," said Angie Carlson, a former member of the band Let's Active, which toured with R.E.M. in the mid-'80s. "They sort of bypassed big marketing, and were at the clubs networking with the cool fellow record-store people."

In R.E.M.'s wake came a breadth of artists who turned college radio into a home for guitar-based rock and power-pop: the Replacements, Jason and the Scorchers and the Del Fuegos, among many others. Years later, Nirvana emerged and the whole world broke open. Kurt Cobain, in fact, was a big R.E.M. fan.

Now R.E.M. has come to an end.

"To our Fans and Friends: As R.E.M., and as lifelong friends and co-conspirators, we have decided to call it a day as a band," read a message posted on the group's website Wednesday. "We walk away with a great sense of gratitude, of finality, and of astonishment at all we have accomplished. To anyone who ever felt touched by our music, our deepest thanks for listening."

The band didn't easily fit labels. Its early sound, led by Peter Buck's ringing guitar arpeggios, might best be described as folk-rock, equal parts Byrds-ian harmony and punk snarl. Alongside was lead singer Michael Stipe's reedy vocals and, more distinctively, his resonant, nonsensical lyrics, full of phrases such as "Cages under cage" and "Hear the howl of the rope." (Pre-Internet, a popular music-geek parlor game involved deciphering R.E.M. lyrics.)

And underneath Buck and Stipe was the rock-solid rhythm section of bassist Mike Mills and drummer Bill Berry, filling spaces with melodic bass lines and powerhouse percussion. R.E.M. may have had its artsy flourishes, but the band also -- in "American Bandstand" parlance -- "had a good beat you could dance to."

The band formed at a time when "underground" really meant something, said Carlson, now of Figure Eight Publicity.

"You couldn't trade (music) on the Internet. You had to know somebody or you had to go the club," she said. "And that's the other reason a band like that was able to thrive -- people went to see live music.

"And they had such a cool vibe in person. They were smart, they were funny, they were charismatic. All of that played into it."

Moreover, the band worked hard, providing a model for others to follow. In the '80s, starting with the 1982 EP "Chronic Town," there was a new record almost every year, each one followed by a never-ending tour of theaters and clubs.

"Nobody wanted to play the kinds of bars we played," Berry recalled in "Party Out of Bounds," Rodger Lyle Brown's chronicle of the Athens music scene. "Just by being an out-of-town band that played this new kind of music, we were stars."

They had a personal connection with their fans; after all, Buck was a record-store clerk once, too, and had a deep appreciation of music history. Decades on, they have maintained their ties to Athens. Their management office is still in town.

With each album the band's sound grew deeper and wider, developing the basics on "Murmur" -- Rolling Stone's 1983 album of the year -- and "Reckoning," exploring folk on "Fables of the Reconstruction," and getting back to their roots in 1986's "Lifes Rich Pageant."

R.E.M. finally broke through to mainstream success with 1987's "Document," which contained the band's first Top 10 hit, "The One I Love," as well as the radio favorite "It's the End of the World as We Know It (And I Feel Fine)."

"Document" changed things, for the band and its audience. With its success came a major-label deal with Warner Bros. and a change in venue from theaters to arenas.

"It's weird being a media figure, to be recognized everywhere by somebody," Stipe told Rolling Stone in 1992.

The members of R.E.M. always seemed aware of their status and took pains to remain true to their muse.

"That would be my worst fear, that we would turn into one of those dumb bands who go into their second decade and don't know how bad they are and don't know when to give it up," Stipe told Rolling Stone.

Despite the concerns of many fans -- who, as a 2003 Slate article observed, have been claiming the band's decline since 1984 -- the early-'90s albums included some of R.E.M.'s best work. "Out of Time" (1991) featured one of the band's best songs, "Losing My Religion"; famed indie DJ Vin Scelsa was so taken with the song that he played it repeatedly during one radio show.

Perhaps the best of the run -- and, to some, the band's best album, period -- was 1992's elegiac "Automatic for the People," which hit all the right notes: somber ("Drive"), humorous ("The Sidewinder Sleeps Tonight"), angry ("Ignoreland") and hopeful ("Everybody Hurts"). The band even managed to work in the F-word in "Star Me Kitten," their knockoff of 10cc's "I'm Not in Love."

But the rest of the '90s proved difficult. With the million-selling albums and gigantic tours, they risked becoming what fans had feared: a corporate behemoth. More dramatically, drummer Berry suffered a life-threatening brain aneurysm while on tour in 1995. He left the group in 1997, becoming a gentleman farmer in Watkinsville, Georgia, south of Athens.

The band continued, but it wasn't the same. The albums, such as "Up" (1998) and "Reveal" (2001), were a mixed bag.

"Not as bad as it first sounds, but also not as good as they thought when they released it," critic Robert Christgau said of "Reveal."

They toured, on and off. Buck hung out with pal Scott McCaughey's band, the Minus 5. The buzz moved on.

Hopes were raised with the band's most recent release, "Collapse Into Now."

"Song for song, the best thing we've ever done," Buck told Rolling Stone earlier this year.

"We surprised ourselves with this record. We're all really thrilled with it," said Stipe in a June CNN interview.

But the album was also the end of something -- the final record in their current Warner Bros. deal. It was time for the circle to close.

"We realized that these songs seemed to draw a natural line under the last 31 years of our working together," Stipe told CNN.

Perhaps that's enough. "You can talk to any band. They owe a debt to them, somehow," Carlson said.

After all, as the band sang in "Talk About the Passion," "Not everyone can carry the weight of the world."

@highlight

R.E.M. helped lead the way for generation of American bands

@highlight

Group was formed in 1980 in Athens, Georgia

@highlight

"They did this grass-roots thing that nobody had ever done," says fellow musician

@highlight

Group stayed true to muse, even after becoming million sellers