(CNN) -- A man suspected of flying with tuberculosis tested negative for the disease, according to Maricopa County health officials, meaning there was never a risk to other passengers on his flight.

The man was held in Phoenix from Saturday until Monday night, when he was released from the hospital. He is free to travel as he is no longer on the Centers for Disease Control and Prevention's "Do Not Board" list, health officials said.

Passengers aboard US Airways Flight 2846 were waiting on the tarmac at Phoenix's Sky Harbor Airport on Friday when their pilot came on the intercom.

"We've been notified about a health emergency aboard the aircraft," passenger Dean Davidson heard.

A few minutes later, Davidson saw a flight attendant walk toward another passenger sitting a few rows ahead of him. The flight attendant handed the slender middle-aged man a medical mask.

Emergency personnel boarded the plane a short time later and removed the man, Davidson said. A firefighter then came on the intercom and announced that the passenger had active tuberculosis and was contagious and that other passengers on the flight had been exposed. He advised them to contact their physicians immediately, Davidson said.

The Phoenix Fire Department was operating under the assumption that the CDC only puts a passenger on its "Do Not Board" list if the passenger has a confirmed infectious disease, said Dr. John Gallagher, the fire department's chief medical officer. Gallagher and battalion chief John Mure instructed Captain Ron Horne on what to say to passengers aboard the plane.

Arizona health officials did not recommend passengers on Flight 2846 seek medical care because even if the passenger had tuberculosis, their risk of being infected was "very, very low," said Dr. Rebecca Sunshine, disease control director for Maricopa County Public Health.

"To put this in perspective... We're much more concerned that the passengers on this flight contracted influenza than that they contracted TB," she said Monday.

The US Airways flight took off from Austin, Texas, according to airline spokesman Bill McGlashen. It landed in Phoenix approximately two hours later on a layover before it was scheduled to fly to Los Angeles. There was no warning or flag on the passenger's record when he was going through security or when he boarded the plane, McGlashen said.

After the plane took off, the Centers for Disease Control and Prevention notified the Transportation Security Administration of a possible risk. The TSA then notified US Airways, McGlashen said.

Fast facts about tuberculosis

Tuberculosis is caused by a bacterium called Mycobacterium tuberculosis, which mainly affects the lungs. It can also infect other parts of the body including the kidneys, spine and brain. There are two types of TB: latent TB infection, which is not contagious, and TB disease, which is contagious.

A person infected with latent TB shows no sign of symptoms and may not feel sick. Someone with TB disease usually feels ill; they may be coughing up blood and may have a fever, night sweats and/or chest pain.

TB spreads through the air when a person with an active TB infection coughs, sneezes or speaks. Germs can stay in the air for hours. People who contract TB must take several medications for six to nine months to combat the infection, according to the CDC.

Some varieties of the TB bacterium have developed a resistance to common antibiotics and may be more difficult to treat. People with weakened immune systems, such as those with HIV, are particularly susceptible to the disease.

The number of TB cases in the United States has been declining since 1992, according to the CDC. In 2010, the most recent CDC data available, there were 569 deaths from TB.

In January 2010, a person infected with an active case of tuberculosis flew from Philadelphia to San Francisco on US Airways despite being on the CDC's "Do Not Board" list, which is different from the TSA's "No Fly" list.

The Do Not Board list was created in 2007 after Atlanta lawyer Andrew Speaker traveled abroad with a drug-resistant case of tuberculosis, setting off an international health scare. Speaker insisted that he had not been told he was contagious; public health officials disagreed.

The CDC manages the Do Not Board list in coordination with the Department of Homeland Security. The list is authorized under the Aviation and Transportation Security Act of 2001, according to the CDC. Local and state health officials can contact the CDC to request that someone be placed on the list.

"To include someone on the list, CDC must determine that the person 1) likely is contagious with a communicable disease that would constitute a serious public health threat should the person be permitted to board a flight; 2) is unaware of or likely to be nonadherent with public health recommendations, including treatment; and 3) likely will attempt to board a commercial aircraft," the CDC website states.

"Once a person is placed on the list, airlines are instructed not to issue a boarding pass to the person for any commercial domestic flight or for any commercial international flight arriving in or departing from the United States."

The Do Not Board list does not apply to other methods of transportation. The CDC reviews the records of every person on the list every two weeks to see whether they are eligible to fly again.

In general, airline passengers are not legally obligated to tell an airline when they are sick, said Jeff Ment, an attorney who specializes in travel law. Unlike cruise lines, which require you to disclose illnesses leading up to the cruise, he said, airlines do not include any language in the ticket purchasing process that would prevent you from traveling.

"If you have some disease and its contagious, where's the threshold?" he asked. "If you have the flu? If you have a really bad cold? I think that once you establish some rule that there has to be notification, it becomes a slippery slope."

As a "common carrier," Ment said, airlines are legally required to do as much as possible to ensure the safety of their passengers.

If a passenger appears too ill to survive the flight without medical assistance, an airline could prevent him from flying, he said. Or if the airline knew that a passenger had a contagious disease, employees could require her to wear a mask during the flight to prevent germs from spreading.

In this kind of situation, any legal troubles would more likely stem from a civil lawsuit. After the 2007 incident, Speaker was sued by eight of his fellow passengers in a Canadian court.

Ment said plaintiffs would have to show that the infected passenger knew that he had the disease and was extremely careless around his fellow travelers.

"The line is crossed when the person knows they're sick and intentionally tries to do something (to infect others) or acts with callous disregard for your well-being," Ment said.

CNN's Jacque Wilson, Chuck Johnston, Matt Sloane, Casey Wian and Miriam Falco contributed to this story.

@highlight

NEW: Passenger pulled from US Airways Flight 2846 has tested negative for TB

@highlight

Health officials are not recommending other passengers seek medical care

@highlight

Man was removed in Phoenix after CDC added him to Do Not Board list