(CNN) -- Imagine if a streetlamp knew you were coming. It could announce your arrival from a distance. If you were on a date, it could help set the mood. It could ring in the new year with dazzling effects, change color at will, even announce days in advance when its bulb was set to blow.

In fact, there is nothing future-tense about this fantastical vision; in a handful of municipalities in Europe, streetlights have become downright chatty.

The system is called Tvilight. It was invented by Dutch designer Chintan Shah while a student at Delft University of Technology in the Netherlands. When flying overseas, he noticed streetlamps lighting streets that, in the middle of the night, were empty and desolate.

"I started researching," he says. "I wondered, why are they burning? How much does it cost? Is this a problem? I discovered some amazing numbers."

Read more: 12 amazing designs from the past 100 years

Shah found that Europe pays over â‚¬10 billion ($13 billion) a year powering streetlights, which accounts for more than 40% of government energy bills.

This translates into 40 million tons of CO2 emissions annually -- enough to power 20 million cars. His solution was to create an intelligent, "on-demand" lighting system using wireless sensors. Streetlights only light up in the presence of a person, bicycle or car, and remain dim the rest of the time.

Shah has also developed the technology to distinguish between people and smaller animals, like cats and mice, so it would avoid lighting up unnecessarily.

"I thought, why should each citizen pay for street lights that aren't being used? We now have a solution for that."

Spurred on by his professors, Shah entered the concept in a campus competition and won. Delft handed over their facilities and gave him the financial backing to create a demonstration on campus. Since then, Tvilight has been implemented in four municipalities in Holland and one in Ireland, with many more to come.

"We have enquiries from Israel, Turkey, the United States, Australia, India and Japan. The problem is not a lack of enquiries, it's the team's capacity to deliver the solution worldwide," he says.

Read more: Technology of tomorrow

Shaw reckons the system will slash energy costs and CO2 emissions by 80%, and maintenance by another 50%, thanks to the integrated wireless sensor that allows lamps to alert a central control center when it's time to be serviced.

Tvilight's primary purpose is to conserve energy. But when CNN invited Dutch artist Daan Roosegaarde to offer advice as a mentor for Shah, he pointed to the technology's more artistic potential.

"How can we use the technology to make environments more human? More sustainable? More natural?" asks Roosegaarde. "We want to make it like it's your friend, or it's an animal, or it does things you don't know about. It's not just a machine with a feedback loop, but something that has its own intelligence and is willing to negotiate, to hack you in the same way you hack it."

So, for example, an ambulance or fire truck could communicate with the lamps to make them flicker red before they drive through.

Read more: The bright world of electric paint

"It could save the ambulance two minutes because the light could tell everyone it's coming, and they could move aside more quickly because we control the streets, we control the lamps," says Shah. "It could save a life."

Roosegaarde suggests the uses could be "pragmatic or super poetic."

"Imagine I can write a piece of software, so when I take my girlfriend out for a walk, it does something special, and wow, you have this boulevard of interactive lights," he adds.

It is the type of thinking that garners endless scenarios. Depending on the occasion, streetlamps can flicker and change color to create any number of designs. Shah envisions that during a live sporting event, a street could even spell out the score.

"This is not just about saving electricity, it's not just about the medium, it's about the message, and what you want it to generate," says Roosegaarde.

@highlight

Tvilight is a streetlamp system that brightens in the presence of people, cars and bicycles

@highlight

New system could slash energy bills by 80% in cities around the world

@highlight

Europe spends $13 billion annually on fueling street lights

@highlight

Artist: "Imagine ... you have this boulevard of interactive lights"