(CNN) -- It came closer ... closer ... and then it started heading away. But you may not have noticed at all.

An asteroid passed relatively close to Earth around 2:24 p.m. ET Friday. As scientists had been predicting all week, it did not hit.

An unrelated meteor entered the atmosphere over Russia on Friday, hours before the much larger asteroid's fly-by, injuring about 1,000 people. Scientists say that incident was a pure coincidence.

The larger asteroid, called 2012 DA14, never got closer than 17,100 miles to our planet's surface.

Stargazers in Australia, Asia and Eastern Europe could see the asteroid with the aid of a telescope or binoculars. At the Gingin Observatory in Australia, the asteroid appeared as a bright white streak as viewers watched a live NASA video feed.

Scientists are studying this asteroid so extensively that they can already predict its path for most of the 21st century, said Paul Chodas of NASA's Near Earth Object team.

But it is only one of thousands of objects that are destined to one day enter our neighborhood in space.

"There are lots of asteroids that we're watching that we haven't yet ruled out an Earth impact (for), but all of them have an impact probability that is very, very low," Don Yeomans, manager of the Near-Earth Object Program Office at NASA's Jet Propulsion Laboratory, said at a press briefing.

5 things to know about meteors and asteroids

The long and short of it

The asteroid is thought to be 45 meters -- about half a football field -- long. Current estimates suggest that the Russian meteor -- which was a tiny asteroid before it hit the Earth's atmosphere -- was only 15 meters wide, making it much harder to detect.

An object the size of asteroid 2012 DA14 appears to hit Earth about once every 1,200 years, Yeomans said.

"There really hasn't been a close approach that we know about for an object of this size," he added.

The Science Seat: Yeomans talks about his work

On its close approach to Earth, it was predicted the asteroid would be traveling at 7.8 kilometers per second, roughly eight times the speed of a bullet from a high-speed rifle, he said.

If it had hit our planet -- which was impossible -- it would have done so with the energy of 2.4 megatons of TNT, Yeomans said. This is comparable to the event in Tunguska, Russia, in 1908. That asteroid entered the atmosphere and exploded, leveling trees over an area of 820 square miles -- about two-thirds the size of Rhode Island. Like that rock, 2012 DA14 would likely not have left a crater.

What else is out there?

So, we knew that this particular asteroid wasn't going to hit us, but how about all of those other giant rocks floating nearby beyond our atmosphere?

NASA says 9,697 objects have been classified as near-Earth objects, or NEOs, as of February 12. Near-Earth objects are comets or asteroids in orbits that allow them to enter Earth's neighborhood.

There's an important distinction between these two types of objects: Comets are mostly water, ice and dust, while asteroids are mostly rock or metal. Both comets and asteroids have hit Earth in the past.

What would happen if the asteroid hit

More than 1,300 near-Earth objects have been classified as potentially hazardous to Earth, meaning that someday they may come close or hit our home planet. NASA is monitoring these objects and updating their locations as new information comes in. Right now, scientists aren't warning of any imminent threats.

Yeomans and colleagues are using telescopes on the ground and in space to nail down the precise orbit of objects that might threaten Earth and predict whether the planet could be hit.

Observatories around the world send their findings to the NASA-funded Minor Planet Center, which keeps a database of all known asteroids and comets in our solar system.

NASA also has a space probe tracking asteroids to learn more about them. The Dawn probe was launched in 2007 and has already sent back dramatic pictures from the giant asteroid Vesta.

The spacecraft is now heading to the dwarf planet Ceres. Vesta and Ceres are the two most massive objects in the main asteroid belt.

Although scientists know a lot about the path of 2012 DA14, there are many undiscovered near-Earth objects still out there. It's possible that a flash of light and shaking of the ground would be the first indications that something happened. With the Russian meteor, for example, there was no warning.

Many teams of astronomers are using electronic cameras to find these near-Earth objects, but according to NASA, the entire effort consists of fewer than 100 people.

New asteroid adventure in 2016

A mission that's scheduled to launch in 2016 will teach scientists even more about asteroids.

OSIRIS-REx will visit an asteroid called 1999 RQ36, take a sample of at least 2.1 ounces and bring it back to Earth.

"This is going to be the largest sample of an extraterrestrial object returned to Earth since end of the Apollo missions over 40 years ago," said Edward Beshore, deputy principal investigator for the mission, who is based at the University of Arizona, Tucson.

The probe will arrive at the asteroid in 2018, study it, and then bring back the sample in 2023.

1999 RQ36 is made of materials "almost identical to those that were present when the solar system was formed about 4.5 billion years ago," Beshore said. That means studying this asteroid could yield greater understanding about the sources of organic molecules and water that gave rise to life.

Because the asteroid is among those cataloged as a near-Earth object, the mission would further clarify the threat that this particular object poses, and better predict the orbits of other near-Earth asteroids, Beshore said.

Scientists at the University of Arizona are collaborating with NASA and Lockheed Martin Space Systems on this mission.

To better predict the orbits of hazardous objects, the group is looking at the Yarkovsky effect, a force created when the asteroid absorbs sunlight and re-radiates it as heat.

The effect is, at first glance, quite small -- Beshore cited his colleague Steven Chesley's comparison of this effect to the force a person feels when holding grapes in a hand. But over time, it's an important consideration when trying to understand where an asteroid is headed.

"That force, applied over millions of years, can literally move mountains of rock around," Beshore said.

But -- and we can't say this enough: Don't panic over it.

More space and science news on CNN's Light Years blog

CNN's Amanda Barnett and Ben Brumfield contributed to this story

@highlight

An asteroid flies by Earth in the closest recorded approach of an object of its size

@highlight

NASA: 9,697 objects have been classified as near-Earth objects

@highlight

The OSIRIS-REx mission will take a sample from a different asteroid and bring it back