(CNN) -- Both President Obama and Mitt Romney flubbed the big question on jobs at Tuesday night's debate.

Moderator Candy Crowley noted that Apple makes its iPhones and iPads in China and asked, "How do you convince a great American company to bring that manufacturing back here?"

Romney talked about reducing corporate taxes, getting tough with China by making it "play by the rules," and stopping its currency manipulation.

Obama said that some jobs are just never going to come back because the labor wages abroad are so much lower than in America. What the president wants to do is to double U.S. exports and create new high-wage jobs to replace the low-wage jobs that have been sent offshore.

Obviously, neither debater knows the details of how the dynamics of trade and globalization work.

Why Apple will never bring manufacturing jobs back to the U.S.

For starters, the iPhones and iPads are not really made in China. They are only assembled there. According to the Asian Development Bank, the assembly accounts for $6.50 of the final $178.96 wholesale cost of an iPhone. Researchers at the Personal Computing Industry Center estimate the assembly value of a $500 iPad at about $12.

The major value of these devices is in the semiconductors, electronic displays and other key components. These high-technology and high-capital components are largely made in Japan, South Korea, Taiwan, and to a lesser extent Germany. A few are even made in America. None of these are low-wage countries. Japan and Germany, in fact, are high-wage countries. The labor component of making these parts is quite small.

What about taxes? Japan's 39.5% corporate income tax rate topped the 39.2% of the United States until it was dropped to 38.01% earlier this year. So it's not exactly a tax haven or low tax jurisdiction. Nevertheless, Japan's computer chip and electronic display makers are major suppliers of components to the iPhone and iPad as well as to the whole range of competing phones, tablets and computers. Furthermore, Apple and many global electronics companies are already paying less taxes by dint of elaborate accounting schemes that funnel revenue to tax havens like Singapore, the Cayman Islands, Bermuda and Liechtenstein.

As for China's practice of currency manipulation, it has been an irritant, but not an insurmountable one. Technically at odds with international trade and monetary rules, the Chinese government has intervened frequently in currency markets to keep the dollar strong and the yuan weak by buying dollars. More recently, China has allowed the yuan to rise closer to market rates, although many analysts believe it is still undervalued because present rates do not fully reflect increases in Chinese productivity. Romney may thus be justified in his critique.

The risks of doing business in China must also be taken into consideration. In the past two weeks, we have seen Japanese factories in China trashed by mobs in the wake of a dispute between Japan and China over who owns a few specks of rocky islets in the East China Sea. Even if Chinese labor is cheap, incidents like these can be costly.

The real reason that these kinds of jobs aren't coming back is that U.S. producers no longer know how to produce many of these product components. There is no significant U.S. producer of flat panel electronic displays. And U.S. semiconductor makers have continually been losing to competitors like South Korea's Samsung and Taiwan's TSMC.

The jobs involved in the production of these components are exactly the high-wage, high-benefit jobs Obama said he wants to create. The only way to get them back is for the U.S. to regain the strong position it once occupied in making things.

Obama seems to be edging in this direction with his call for spurring manufacturing. But a U.S. production renaissance will require a lot more than the president's piecemeal approach so far. It means we need a comprehensive competitiveness strategy similar to those now pursued by South Korea, Germany, Taiwan, Japan, Singapore, China and others. It is not written that America must suffer a drain of ever more highly skilled jobs to overseas locations. To halt this dynamic, we must fight fire with fire.

The opinions expressed in this commentary are solely those of Clyde Prestowitz.

@highlight

Clyde Prestowitz: Debate shows neither candidate understands details of global trade dynamics

@highlight

Prestowitz: The major value of iPhones is in the semiconductors and other key parts

@highlight

He says U.S. producers don't know how to make these key components anymore

@highlight

Prestowitz: If we want high-wage jobs in the U.S., we need a competitive strategy