(CNN) -- "What's with all the mixologists these days?

"Why aren't bartenders content just to be called bartenders anymore?"

I frowned as my editor griped about the sanctimonious self-regard of a class of workers once regarded as anonymous service minions (his words), then suggested I do a story on this outrageous barroom development.

For a person whose alcohol taste buds aren't refined enough to detect the difference between Cointreau and Grand Marnier, the term slung about by high-minded marketers seems like just another way to suggest 1) intimidating cocktail menus and 2) staggering prices.

It might not even be a real word.

Type "mixologist" into your laptop and you'll see that red squiggly snake beneath it, suggesting that the word doesn't even officially exist.

My initial attempt to get to the bottom of the mixologist/bartender question only confuses things further.

At The Landmark Mandarin Oriental, Hong Kong's annual Masters of Mixology event, I speak with three talented international bartenders.

Despite the name of the event they're a part of, each dismisses the term mixologist like it's stale beer.

"I feel very strongly to refer to myself as a bartender," says New Yorker Natasha David.

From dive bars to nightclubs to high-end bars, David has been pouring drinks for 11 years. In addition to helming Nitecap in New York, she runs a cocktail consulting business, crafting creative cocktail menus for bars.

"I don't think mixologist is a bad term and it does say something nice about creating recipes, but it's more important, relatively, to be welcoming and fun with your guests than to be technically perfect," she tells me.

"Bartender trumps mixologist"

In Asia, experienced bartenders tend to consider "mixologist" a gimmicky title employed by green bartenders.

"In Korea, bartenders are the ones who make tasty cocktails while mixologists make beautiful ones," says Dohwan Eom, owner of Le Chamber in Seoul.

Eom was the Diageo World Class Bartender of the Year Runner-up for 2010 for his work at the Ritz Bar at the Ritz-Carlton, Seoul; he's known for infusing food ingredients into his cocktails.

"Bartender trumps mixologist," he insists.

"Younger bartenders like to call themselves mixologists nowadays, trying to make their work sound magical," adds Takumi Watanabe, a 20-year veteran of the trade, award-winning bartender at the elegant Sailing Bar in Nara, Japan, and considered one of the top bartenders in the country.

"In Japan, people are respected for being in one job for many years, so calling yourself a mixologist doesn't make your customers believe in you."

Watanabe's remarks suggest a generational divide, but it turns out the term "bartender" doesn't have to equate to old-fashioned tapster.

Watanabe makes me an unforgettable Takumi's Margarita using ume-shu and shiso powder.

It's impossible not to trust someone who "sees making cocktails as a ceremony."

So far everything I've found makes the case for mixologist being a dirty word.

That might bring a smug smile to my editor's face.

But I know there are plenty of people out there who use the term in a serious and meaningful way.

Mixologist actually a classic term

Somebody has to have a kind word for mixologists.

I keep digging, pestering every drink pourer I can find.

Michael Callahan and Raj Nagra both refer to themselves as "bartender before a mixologist," but neither considers mixologist a snobbish term.

"The term dates as far back as the 1850s, so I think to dismiss it entirely would be forsaking the rich history of our craft," says Callahan, founding bartender at 28 HongKong Street in Singapore and former vice president of the Northern California Chapter of the United States Bartenders' Guild (he relocated from San Francisco to Singapore).

Callahan's 28 HongKong Street ranked 10th on the World's 50 Best Bars list in 2013 and is nominated as a finalist this year.

"Mixologist has sprung up again over the last decade more aggressively," says Nagra, a Global Bombay Sapphire Ambassador and veteran bartender in New York.

"Many aspiring bartenders in this modern age have used the title to gain more press and assist in transforming the consumer idea of what a bartender was and perhaps now might be.

"The media absolutely love the term and use it more than bartenders these days to educate their readership on the evolution of the cocktail industry," says Nagra.

"It's become a hype generator, its greatest proponent being marketers.

"In recent years, the term has been abused just as 'punk rock' became a commodity in the '90s. A 'mixologist' is just a person with a whole lot of passion for what they do," says Callahan.

Well, that sounded like a familiar refrain -- blame the media!

Maybe my professional brethren are sometimes suckers for the hype machine, but surely the entire media can't shoulder the blame for the proliferation of mixologists?

Where did the term come from before media and marketers went nuts for it?

"Dale DeGroff," says Nagra.

The man who started it all

"I'm afraid I have to take the rap for reviving the 19th-century term mixologist," says Dale DeGroff, after I reach out for a so-it's-you conversation.

Founder of the Museum of the American Cocktail in New Orleans and creator of his own bitters, it was 1987 when DeGroff slipped the term into the cocktail menu at the Rainbow Room in New York.

This was at a time when the bar was creating a storm by employing classic recipes and making drinks with real ingredients and fresh juice.

"It was clear that we were doing something no one else was doing and something that hadn't been done for many years," says DeGroff. "I wanted to shine a light on what we were doing at Rainbow ... so I decided to call myself a master mixologist to the press."

A dead word in modern dictionary, he came across the term in a 19th-century bar manual while doing cocktail research.

"It's understandable why 'mixologist' has become a popular moniker; it helps to differentiate the average beer/shot/Flaming Lamborghini bartender from ones who spend their time furthering their knowledge of flavor compounds and the obscure history of the craft," says Callahan.

"For me, the term mixologist lends to the idea of crafting creative cocktails, with a heightened understanding of the ingredients within, as potentially opposed to otherwise," says Nagra.

Ultimately, argue its proponents, the title doesn't have to denote extravagance.

"The idea of creating great drinks is not reserved for anyone in particular and can be presented by way of relatively modest pricing," says Nagra, citing the populist cocktail scene in New York as an example.

"One of the things I love most about NYC cocktail bars is that many are operated by amazingly talented people who are modest and happy to educate their customers."

Final verdict

Although most bartenders I speak with don't despise the term itself -- rather they wince at the abuse of it -- I think it's best to leave the verdict to the man who resurrected the noble mixologist.

After working as a driver for Zsa Zsa Gabor and pursuing an acting career, DeGroff first landed a job as a waiter and a bartender in the early 1960s.

Now 65, DeGroff recalls the moment he rediscovered the now-infamous term and says he saw the rise of its popularity coming.

"Joe Baum, my mentor and the man who many believe was one of the movers in the early days of the culinary, wine, and, through me, the cocktail revolution of the last 40 years, shared his vision with me," says DeGroff.

"So yes, I did know we were onto something that would change the scene for decades to come.

"Those decades I spoke of above are just beginning.

"Now that beverage is on a more equal footing with the culinary side of the business, the two will become inseparable -- and I am not just speaking about wine."

DeGroff doesn't mind the flood of self-proclaimed "mixologists" in the market, and reminds me of the positive influence the term and the movement have had on the business of bartending.

"The question really is not too much or too little, but good or bad.

"Of course there are a few out there calling themselves 'master mixologists' who don't have the chops to perform at that level, but the market will sort that out quickly," says DeGroff.

That's a final word on mixologists even my grouchy editor might drink to.

Le Chamber, 42 Dosan-daero, 55-gil, Gangnam-gu, Seoul

The Landmark Mandarin Oriental, Hong Kong, The Landmark, 15 Queen's Road Central, Hong Kong

Nitecap, 120 Rivington St., New York

The Sailing Bar, SHR Building, 564-3, Kibi, Sakurai City, Nara, Japan

28 HongKong Street, 28 Hong Kong St., Singapore

What do you think? Are mixologists rank pretenders? Or cocktail gurus deserving of the high title? Leave a comment.

@highlight

For some, the term "mixologist" suggests pretension and expensive drinks

@highlight

Dating to the 1850s, the term was resurrected by New York bartender Dale DeGroff in the 1980s

@highlight

DeGroff and others say the term helps differentiate beer slingers from barkeeps who study the craft of cocktail making