(CNN) -- If the 21st century belongs to China, as some have argued, then it is worth asking what the defining Chinese idea will be.

It is unsurprising that this very issue has ginned up ferocious debate within China, as the country's might grows but its voice remains meek on the global stage.

Economic success alone has yet to evince a self-assured China that it can offer a set of compelling values and ideas to the world. As a country that prides itself on the continuity of its great civilization and cultural force, China seems to grow increasingly dissatisfied with punching below its weight in the world of ideas.

Indeed, much of the 20th century was defined by the rise of the United States and the dominance of the American idea: It was essentially an articulation of what modernity means.

To be modern meant widespread economic prosperity, a healthy middle class, and technological superiority, combined with values that emphasized individual rights and freedoms to pursue whatever lives, liberties, and happiness that one sought. It was a manifestation of the ideals that were enshrined in the Declaration of Independence, a document that, at the young nation's inception, defined what kind of country the United States ought to strive for.

In many ways, the country was born out of a few central ideas because its existence could not be predicated on strong ethnic kinships, bloodlines, or the old monarchical order. It was not the "Old World" but a new nation that was moving toward collective ideals. The belief in the very idea of America was the strongest glue that could bind together a diverse, continental nation.

That cohesive idea has anchored the "American Dream" and provided ballast for themes that are readily found in Hollywood and other popular culture products that pervade the global market. Whether by design or accidental, the genius of the American idea is that it is simply an open source template, or a "default setting," that can be easily replicated and customized in different cultural and institutional environments.

Its power and universalizing appeal is apparent. Little wonder that the American idea gained immense market share and is still widely equated with the general aspiration of obtaining a high living standard and human dignity.

China, in contrast, is both of the old world and a young republic -- or as scholar Lucian Pye once rendered it, "a civilization pretending to be a nation-state." And its transition into a modern state has been anything but smooth.

The modern Chinese state was forged from a nasty civil war, and its recent history since 1949 has been plagued by a series of highly disruptive discontinuities. It has had no continuous narrative from which to draw inspiration and to define the soul of a nation.

In fact, the People's Republic under Mao Zedong primarily defined itself as what it is not -- that is, it wasn't feudal or traditional. For the next six decades, the country lurched from devastating revolution to hyper materialism, breaking with whatever ideological milieu that had existed at the time. When Deng Xiaoping took power in 1978, the only "ism" that mattered was pragmatism, as the country went to work on nation building and zeroed in on material prosperity.

Thirty-five years and several trillions worth of GDP later, an entire generation of Chinese is waking up to the fact that it still has little idea of what kind of nation to strive for.

All this relentless work has built a dynamic middle-income economy, yet cumulative wealth is no substitute for the richness of a nation, especially for a China that believes it has much to offer the world. After all, this is a country that once brought the world paper, gunpowder, and the compass. Virtually every Chinese school child knows that.

But few Chinese know or agree on what China should stand for in the 21st century. It is clearly a global economic power, but unlike the United States, China seems to have little desire to stake out social and political values that others might adopt.

The Chinese government, which tightly controls historical narratives, simply cannot look into its recent past to seek out those values because even communism is derived from a Western political philosophy appropriated for Chinese conditions. And politically, it could be potentially disastrous if the government owned up to all the dark chapters in its recent past.

It seems that China has little choice but to look to its distant past in search of a continuous narrative and an indigenous idea that can carry the nation forward in the 21st Century.

The new leadership of the Communist Party, particularly President Xi Jinping, has prioritized this effort because it understands that a major source of its political power is derived from ideological legitimacy. To keep a continental nation together, China, too, needs a ruling party to govern around a set of ideas so that its people can imagine what the country can and should become.

And so the "great rejuvenation" of the Chinese nation has become the new ideological offering -- an explicit effort to connect today's China to the glories of a former empire that sat at the center of the world. It revives the traditional ideas of wealth and power that have defined the country through much of its history.

The Chinese leadership is leaving little doubt that China will once again be a global force that garners respect.

Yet it is far from clear what a rejuvenated China means or how that force might be employed. Reestablishing "national greatness" may win over some of the Chinese public, but it hardly serves as an idea or value proposition that can extend beyond Chinese borders.

Each nation is entitled to deem itself unique, exceptional, and "great" -- the United States certainly does. But some nations also use their wealth and power to articulate a vision of how to shape the world and aspire to address common challenges. The tagline for a U.S. Navy advertisement, for example, is "a global force for good."

China, at least so far, has exhibited little interest in becoming a charge d'affaires with world-shaping responsibilities, even as outside pressures mount for it to assume them. Indeed, it may simply be comfortable with being just China -- an idea that the rest of the world may have to get used to.

Read more: Xi Jinping's 2014 challenge: Resolving an identity crisis?

China marks muted 120th anniversary of Mao Zedong

Mind the gap: China's great education divide

The opinions expressed in this commentary are solely those of Damien Ma.

@highlight

Damien Ma looks for an indigenous idea to carry China forward in the 21st Century

@highlight

And its transition into a modern state has been anything but smooth, he writes

@highlight

He says few Chinese know or agree on what China should stand for in the 21st Century