(CNN) -- If you're overweight, slimming down will make you feel great, right? For John Janetzko, embracing his own body took more than just weight loss.

The 24-year-old chemistry Ph.D. candidate at Harvard is just under 6 feet tall, and struggled with his body image for years. Even after losing 125 pounds, he still felt fat, and pushed himself in unhealthy ways in terms of diet and fitness.

These days, at a lean 165 pounds, Janetzko feels more confident and generally better about himself.

"I feel more generically attractive in terms of what society's views are," he said. "But I guess I also feel like that was something I thought would be very quick, and would sort of happen right away."

Getting motivated

In childhood, Janetzko heard from his pediatrician that his weight wasn't healthy so many times that he became desensitized to it. But as his father remembers it, he wasn't ever really fat.

Intense studying and bad eating habits piled on pounds during college. By the fall of junior year, Janetzko weighed about 290 pounds.

"I would always be sort of afraid of how I thought people would think of me," he said. "I always expected my girlfriend at the time would find someone better."

The first stage of Janetzko's weight loss came when he lived at home in Toronto during college. A friend encouraged Janetzko to go to the gym with him, even offering to buy him running shoes. Janetzko started going to the gym often, focusing on jogging and light weights.

Instead of greasy takeout meals from food stands, Janetzko started picking up leaner options such as grilled chicken and broccoli, and cooked more on weekends. His father helped cook when Janetzko was busy.

"I started with the idea that being very strict with my diet was the solution," he said.

During his senior year, with graduate school applications and his father becoming ill, Janetzko slipped, forgoing the gym because there weren't enough hours in the day. His weight fluctuated, never quite bouncing back as high as it was, but still reversing some of the progress he had made.

The move from Toronto to Cambridge, Massachusetts, and a breakup from a long relationship also distracted him from healthy eating. He was about 240 pounds when he entered Harvard.

Graduate school jump-started his motivation again. He told himself: "I've had so many changes, and it's really time to have an absolute fresh start."

How he did it

During the summer of 2011, Janetzko went to the gym consistently and cooked at least four nights a week. He had in his head a "running clock" of calorie and protein limits for meal times, aiming for about 2,000 calories a day.

Breakfast was usually a protein shake. Lunch would be salad, sandwich or burrito. Dinner would be around 1,000 calories.

By the end of autumn of his first year at Harvard, he was closer to 200 pounds. On a visit home to Toronto, he ran his first 5K race, which motivated him to keep working on his fitness.

Janetzko also encouraged his roommates to go with him to exercise, and helped friends with their workouts and stretches.

"I guess that was a point where I was sort of feeling happy," he said.

Focused on fitness, he competed in volleyball leagues, swam, and played squash and soccer.

By mid-2012, he was down to 170 pounds. Losing those last 60 to 70 pounds in Massachusetts brought about the most substantial physical changes in his fitness journey.

"I said, 'What happened to you? Are they not feeding you?' " his father, Rainer Janetzko, remembers telling his son when he first visited after the weight loss.

Generally, though, Janetzko's new physique looks good, his father said. "Now when he puts a suit on, he looks better."

Going too far

Slim and athletic as he was, Janetzko still didn't feel good about how he looked in May 2012. It was an awkward time he calls the "transition" -- when he had lost a lot of weight, but his new body didn't register in his mind as a positive image.

"I would wake up in the morning, look in the mirror and feel like 'Oh God, I'm fat and ugly and this is terrible,' " he said.

At the same time, others told him he had gotten too skinny and didn't need to get thinner. Objectively, he had reached his goal -- but he couldn't see that in his reflection. He thought his mirror image still needed to lose 10 or 20 more pounds.

Focused on weight loss and fitness, Janetzko didn't pay close attention to his body's signals that it was being pushed too hard. As he ate less and started running farther and faster, Janetzko noticed he would start to get dizzy or even fall. Last semester he collapsed outside of a laboratory.

"That was a scary time for a lot of people -- my lab mates, my advisor and myself included," he said. "If you don't balance your diet properly (you) can't go and work yourself really hard."

His aversion to overeating had gone too far -- his appetite for some foods had diminished. Friends even wondered if he had an eating disorder.

"There were days when I could barely finish half a sandwich," he said. "I felt full but I clearly had not taken in all of the calories I need as a functioning person."

He has since gone to nutritionists for help. He isn't as rigid about what he eats anymore, and is more flexible about his workouts. He still minimizes fried foods but tries to be more varied with meals.

The Cut: What no one tells you about losing lots of weight

Embracing a new self

Body image disturbance isn't unusual when people lose weight, said Emily Sandoz, assistant professor of psychology at the University of Louisiana at Lafayette. Often people have huge expectations about the life changes that will result from a weight loss that don't actually happen.

"Their experience of themselves as fat extends far beyond their actual body," she said. "People have to learn how to be in their skin in a new way."

Sandoz's approach to helping people with body image problems is to shift the focus to other areas of their lives that they care about, such as work or parenting. Mindfulness -- the idea of being present and in the moment -- is incorporated in her approach to helping clients be more accepting of their bodies.

Can mindfulness help manage pain and mental illness?

Over time, Janetzko has been able to reconcile his weight with his body image -- but there was no one moment where it suddenly clicked. Positive reinforcement from others and self-assurance have helped him feel better about himself.

His message to others

Many of Janetzko's old friends who see his recent photos on Facebook have contacted him to ask: "How did you do it?"

Janetzko's bottom line is that he was intensely motivated.

"If you count your calories and you're like, 'I want to lose weight,' you're going to be stuck in that forever," he said. "But I think if you can make changes in your lifestyle that you actually want to be doing, and then you'll do those no matter what -- you enjoy them -- then you never have to feel like you're trapped in a routine."

@highlight

John Janetzko weighed 290 pounds in college

@highlight

He overhauled his diet and fitness to lose weight

@highlight

Even at 170 pounds he wasn't feeling great about his body image

@highlight

It took time and positive reinforcement to accept himself