(CNN) -- What the title of J.K. Rowling's first adult novel, "A Casual Vacancy," brings to mind is pleasure: that a writer with such standing (in certain circles) has the derring-do and moxie to turn her back on the audience that first brought her fame, some years ago, and meet them again, those same people. Only it's years later, and now they're grownups. Holding their own credit cards, at the ready for this new book.

There is never a vacancy in the world of writers of books for the grownup market or the preteen mob. There is a surfeit of writers working hard, thanklessly. And when a John Updike or a Maurice Sendak dies, such quieter and under-appreciated writers note that geniuses leave a permanent loss, not a casual vacancy to be filled.

So while I have not yet read Rowling's book. I admire that she has decided to try her hand at wooing world-weary grownups. She needn't have, of course. She could have stood and blown 100-pound notes (in British sterling) out her bagpipe in that castle in Scotland from now till her dying day and never noticed the difference.

She must be writing because she needs to write.

Now, truth to tell, it's far more common in the UK for writers to shift audiences, adults to children or vice versa. Graham Greene wrote a few picture books. Salman Rushdie has written fantasies for children. C.S. Lewis was a scholar and popular theologian long before he mapped out Narnia and Tolkien, famously, a philologist and medievalist before he discovered the common hobbit.

J.K. Rowling shows why muggles obsessed with class

But in the U.S., writers for children tend to do little else. When someone not primarily driven to write for children does venture into the field from the great beyond, he or she is usually slumming, dallying from the field of entertainment or sometimes politics, which is another kind of entertainment, just less funny.

Most often, these books aren't very good.

In the U.S., adults who begin writing for children and then turn to writing for adults -- successfully -- are few and far between. (I am one of them; I think that because "Wicked" was based on a children's classic, it allowed me to slip the ropes of convention.)

Such a conversion to being a writer for adults after a novitiate as a writer for children is more common in England. Think of Penelope Lively, who first won the Carnegie Medal for a children's book and a few years later was shortlisted for the Booker Prize for an adult novel. Think Jane Gardam, Jill Paton Walsh. They move back and forth between the audiences with ease.

There's no reason to think J.K. Rowling can't do the same. By and large, the British don't sentimentalize childhood the way Americans tend to -- at least, not since the Blitz brought an end to Peter Pan and Mary Poppins and other British nationals who no longer could fly over central London with impunity and song.

So Rowling, from a tradition of starch and stiff-upper-lip, should have every advantage. England made her keen, and the world made her rich. She's too smart to be self-adoring or self-indulgent, so she won't fall into that trap. We'll find out soon enough whether her new effort will be a memorable book -- but it won't be a weak one, I bet, for it's been prompted by nothing more urgent than a need to write or die.

J.K. Rowling's 'The Casual Vacancy' -- snobbery, sex and scheming

Final thought, though: No one who really gets the density and elegance and mystery of childhood is unprepared to write for adults. By comparison, the adult audience is easier to satisfy than the child audience. Adults have picked up the habit of patience. They understand the concept of delayed gratification and so can be tricked into investment in page after page, waiting for the payoff.

For their part, children are by nature fickle, distractible, alert, compulsive. If they aren't wooed and won early on, they toss the book Grandma gave them right into the rubbish bin and sally out the door.

Writing for children -- succeeding at writing for children -- is much harder than writing for adults, and an excellent internship besides.

The opinions expressed in this commentary are solely those of Gregory Maguire.

@highlight

Gregory Maguire: J.K. Rowling has moxie, derring-do to reunite with her readers as adults

@highlight

He says she doesn't need the money, she's written her new novel out of a need to write

@highlight

Toggling between adult and youth writing more common in UK, less so in U.S., he says

@highlight

Maguire: Writing for children is excellent way to start; they are a more demanding audience