Atlanta, Georgia (CNN)  -- As Christmas season went into full swing this year, Glen Fullmer's 7-year-old son came home from school with an assignment: Make a poster illustrating his family holiday traditions.

The boy wasn't sure how to proceed because he and his family are Baha'is, not Christians, and they have no holidays during the Christmas season.

Thus, Fullmer encountered the "December Dilemma" -- the term used for the quandaries and anxieties non-Christians and interfaith couples face during Christmas season.

Fullmer, a Baha'i faith spokesman who lives in Evanston, Illinois, said he saw the poster assignment as a "teachable moment" for his 4-, 7- and 10-year-old sons who associated holiday traditions with Christmas.

He reminded his boys that Baha'is have a gift-giving and charity period in February called Ayyam-i-Ha, a stretch of time not unlike the Christmas season.

And he helped his son design the poster about that holiday, which precedes a fasting period and then the Baha'i New Year in March.

"His classmates asked him questions about the holiday, and one of his friends came up to him and wants to celebrate that holiday," Fullmer said, pleased that his son's peers helped him reaffirm his identity.

Navigating the Christmas season can be a challenge for the millions of people who don't celebrate the holiday. Many acknowledge and sometime embrace the season's customs, such as gift-giving and sending out greeting cards, while at the same time they are conscious of maintaining their own religious identities.

"They strongly try to maintain their own integrity, but they really want to find bridges across holidays," said the Rev. Dr. Paul Numrich, a professor at the Theological Consortium of Greater Columbus in Ohio. "I think that's the majority."

L.S. Narasimhan, chairman of the Georgia Indo-American Chamber of Commerce, is a Hindu and doesn't celebrate Christmas. But he said he admires the Christian celebrations of his friends and has attended Christmas Eve services at several churches.

"Hindus are typically more open-minded and tolerant. Hinduism is very comfortable in accommodating a diversity of ideas," he said.

"It is very common for Hindu families to have Christmas trees at their homes, purely as a fun thing to do for their children. When they visit shopping malls, Hindu parents in general are comfortable with a photo-op for their little kids with Santa."

But at the same time, there are pressures about the encroachment of Christianity on Hindu life.

"Television commercials, good selection of merchandise and great sale prices persuade Hindu-Americans to take advantage of the shopping spree," Narasimhan said. "Several Hindu temples have risen up to the challenge and added some special Hindu prayers and ceremonies to engage Hindus who are on winter holidays but not on overseas vacations."

Dr. Shefali Chheda, an Atlanta-area pediatrician, is a Jain -- practicing a religion with Indian roots. Growing up in Houston, Texas, she said her parents "felt comfortable letting us celebrate Christmas," perhaps to help fit into American society and maintain a sense of normalcy.

"The spirit and meaning of Christmas, of helping others and of giving, are nice messages. Therefore, it is hard to consciously object to it," Chheda said.

"Jains, as a whole, are a minority in India. Many Jains celebrate Hindu holidays, so celebrating Christmas with Santa and a tree and presents is no different. Since Jains wholeheartedly believe in 'ahimsa' -- peace toward all living beings in thought, word and action -- the Christmas spirit is a very Jain-like philosophy."

The religious aspect of Christmas -- believing Jesus is the savior and that December 25 is his birthday -- is not celebrated in Jainism, but the customs and symbols are interwoven into daily life, she said.

"Now that I have toddlers in the house, they come home with stories about Christmas. They sing songs about Rudolph and Santa, and Kwanzaa, and Hanukkah. But it's Santa that everyone talks about, so they talk about him as well," Chheda said.

"I use Santa as a behavioral modification tool. 'Santa's watching you, so you better be good' works infinitely better than timeout. My kids will be living in this country; they will have a hard enough time anyway with their names and food and other cultural traditions; Christmas -- and the Christmas spirit -- is not one tradition that I want to take away from them."

Jesus plays a role in the theology of other religions, such as the Baha'i faith and Islam, even though those faiths don't observe Christmas as a religious holiday.

The Christmas season presented a struggle for Haris Tarin, director of the Washington office of the Muslim Public Affairs Committee. He grew up in Los Angeles, California, area schools, where he sang the ever-present Christmas carols and made the gingerbread houses in schools but didn't have a tree in his home.

"We definitely had a little bit of anxiety in childhood," Tarin said. But that changed as he grew up and refined his American Muslim persona amid the American atmosphere of diversity and tolerance.

Now, where he and his family live in northern Virginia, "we don't celebrate Christmas. We celebrate our holidays" -- pointing, for example, to Eid al-Fitr after Ramadan and Eid al-Adha after the hajj pilgrimage. But he welcomes the goodwill of the season -- the gift-exchanges with non-Muslim neighbors and the requests from schoolteachers to talk about Muslim holidays.

"There's definitely going to be a level of discomfort, especially for those who aren't used to that diverse culture that we belong to," he said. But the unease spawns discussion, presenting a useful opportunity to help young people and newcomers, he said.

For Jews, the eight-day holiday of Hanukkah happens to fall during the Christmas season. Hanukkah is wildly popular and observed, with its special foods, gift-giving and candle lighting, and with its symbols such as the menorah -- a candelabrum -- and the dreidel, a toy that spins like a top.

Compared with other non-Christians, many Jews have drawn a sharper line in the sand when it comes to observing Christmas, a stance informed by historic, theological and self-preservation reasons. That attitude emerged recently during a young professionals' get-together at an Indian restaurant outside Atlanta sponsored by the American Jewish Committee and Young Indian Professionals.

People there indicated that attending Christmas-themed holiday parties, exchanging greeting cards and wishing Christian friends "Merry Christmas" are surely not uncommon or unacceptable among Jews. But some practices are widely shunned -- such as plunking one's child on Santa's lap at the mall, and deplored -- such as assigning kids in public schools to write a letter to Santa Claus.

"It's a beautiful season. It brings out a joy," said Hannah Vahaba, who organized the Jewish-Indian event. "But I'm not going to celebrate it."

Interfaith couples celebrate their diversity during the Christmas season. Jeff Silver, a certified public accountant who is Jewish, and Shweta Gupta, a dentist who is Hindu, are planning their marriage next year. They will have an interfaith household and said they hope to raise children to understand both of their traditions. At their home in Atlanta, they've set up a holiday tree decorated with Hindu and Jewish ornaments.

Non-religious Americans embrace a December "secular holiday" called HumanLight.

Patrick Colucci, vice chair of the HumanLight Committee and member of the New Jersey Humanist Network, said the holiday can uplift "atheist, humanist and nonreligious" people who feel left out and isolated during Christmas.

It was a perfect fit for him when it came along, he said, because "it corresponds with my humanity-based ethics and values, without any supernatural or theistic beliefs. My 'holiday season' is HumanLight and New Year's Eve -- that's what I celebrate."

"The only dilemma, in my experience is, if Christmas is part of the larger family tradition, and then some family members reject us for not believing in it anymore. We're not out to take Christmas away from anyone who wants to celebrate it -- there is no 'war on Christmas,' " Colucci said.

How do Christians themselves see the presence and practices of non-Christians during Christmas? While many would like to see non-Christians convert to Christianity, they also recognize that the United States is a "diverse society" and that conversion "is not even on their radar screen," said Numrich, the theology professor.

"There's a deep American virtue in respecting religious differences," he said.

@highlight

Non-Christians and interfaith couples often face quandaries and anxieties during holidays

@highlight

Many acknowledge and sometime embrace customs of the Christmas season

@highlight

Others remain conscious of maintaining their own religious identities