Washington (CNN) -- The question of same-sex marriage went before the U.S. Supreme Court on Tuesday in the first of two oral arguments this week on separate appeals.

The opening public session was devoted to a California ban approved by voters. In a swirl of analysis after the event, the question was whether the justices would issue a sweeping decision this year on whether states can say who can or can't get married. Or would they leave the current patchwork of state laws in place, choosing to let state legislatures and courts sort it all out?

Here are five things we learned from arguments in this case.

1. Buyer's remorse

Many of the nine justices wondered why they were deciding whether states can or should ban same sex marriage.

Opponents of Proposition 8, the voter-approved measure prohibiting the practice, want the court to say that gay and lesbian couples have an "equal protection" right to wed.

That is the constitutional issue the court agreed to decide when it accepted an appeal from the referendum's supporters. But a cautious court seemed to pull back in the 80-minute public session.

Justices appear hesitant as they hear arguments

"The problem with the case is that you're really asking, particularly because of the sociological evidence you cite, for us to go into uncharted waters," said Justice Anthony Kennedy, viewed by many as the one to watch on the closely divided court. "I just wonder if the case was properly granted" for review.

The court could easily say private citizens who put the measure before the voters in 2008 do not have "standing" or jurisdiction to now appeal the case.

That would hand gay rights supporters a narrow victory, confined only to California. It would foreclose a broader ruling that might apply to all 50 states, or even those nine states like California that have civil union laws, that stop just short of marriage for homosexual couples.

2. Kennedy's control

If there was any doubt, Tuesday arguments showed this is Kennedy's court. The 76-year-old jurist is likely to be the controlling or "swing" vote for however the court decides the tricky issues.

Four more liberal justices appeared at least open to the idea that same-sex marriage should be allowed in California. Three more conservative justices seemed to take a more "traditional" view: that marriage is between one man and one woman. Justice Clarence Thomas, who does not speak at oral arguments, seems likely to agree.

That leaves the moderate-conservative Kennedy possibly in the middle and perhaps ready to offer a more nuanced, compromise view.

The arguments from competing lawyers appeared to be especially targeted at Kennedy's concerns.

Those who have worked with him have said he often agonizes openly in tough, hot-button cases. Deciding these issues for him is not an easy intellectual exercise.

That uncertainly was expressed in one remark on Tuesday during arguments when he summarized the competing legal positions and perhaps his own internal dilemma.

Key questions answered

"I think there's substance to the point that sociological information is new" on the effect of same-sex marriage, he said. "We have five years of information to weigh against 2,000 years of history or more. On the other hand, there is an immediate legal injury ... and that's the voice of these children. There are some 40,000 children in California, according to (a brief in the case in opposition to Proposition 8), that live with same-sex parents. And they want their parents to have full recognition and full status. The voice of those children is important in this case, don't you think?"

3. Scalia being Scalia

A good Supreme Court argument would not be complete if there was not some rousing rhetoric from the senior associate justice. Antonin Scalia did not disappoint, and he clearly was not buying the argument same-sex marriage was a constitutional right.

Consider this exchange where Scalia, the father of nine and grandfather of three dozen more, questioned his old friend Theodore Olson, the attorney opposing Proposition 8.

"I'm curious, when did it become unconstitutional to exclude homosexual couples from marriage?" he asked. "1791? 1868, when the Fourteenth Amendment was adopted?"

Olson: "When did it become unconstitutional to prohibit interracial marriages?" which the court overturned in 1967.

Scalia: "Don't give me a question to my question." That brought laughter to the courtroom.

Liberal blogs had a field day with his remarks, openly questioning whether Scalia could give fair-minded consideration of the views expressed by gay rights supporters.

Five things to watch

4. Subdued liberals

The two newest justices, Barack Obama appointees Sonia Sotomayor and Elena Kagan, have shown to be no-nonsense, aggressive questioners. They questioned both sides in the argument, but neither matched the rhetorical firepower of Scalia or Chief Justice John Roberts.

Kagan and Scalia got into a debate over an argument made by "traditional" marriage supporters -- that it promotes "socially responsible" procreation among a married man and woman. Scalia suggested there was considerable disagreement over the effects on children of single-sex adoption.

Kagan: "Suppose a state said 'because we think that the focus of marriage really should be on procreation, we are not going to give marriage licenses anymore to any couple where both people are over the age of 55.' Would that be constitutional?"

Charles Cooper, attorney supporting Proposition 8: "No, your honor, it would not be constitutional."

Kagan: "Because that's the same state interest, I would think, you know. If you are over the age of 55, you don't help us serve the government's interest in regulating procreation through marriage. So why is that different" than denying homosexuals from marrying?

Kagan: "I can just assure you, if both the woman and the man are over the age of 55, there are not a lot of children coming out of that marriage."

Scalia, matching humor with humor: "I suppose we could have a questionnaire at the marriage desk when people come in to get the marriage -- you know, Are you fertile, or are you not fertile?" Laughter in the courtroom. "I suspect this court would hold that to be an unconstitutional invasion of privacy, don't you think?"

Find out which states match your values with CNN's LGBT rights calculator

Kagan's questioning was sharp and focused and put the lawyer on the spot. But it was delivered in a methodical, even low-key fashion. She wanted an answer but was not especially eager to score points with the audience or the public at large.

Contrast that with Scalia, who seems to gleefully play to the crowd. He topped Kagan's funny remark with another of his own, determined it seemed to get the last laugh.

Among the justices themselves, being either an aggressive questioner or a thoughtful, more subdued questioner does not earn you points either way when it comes to voting on the merits. Each has a personal style. But public perception does count, and many progressive legal activists have lamented the fact that none of the four more liberal justices, who include Ruth Bader Ginsburg and Stephen Breyer, have the personality or inclination to be a swashbuckler in public court sessions -- giving a full-throated voice to their views.

5. Courtroom flavor

The Supreme Court has a distinct aura when big cases are argued. The audience of several hundred spectators is juiced, the justices seem more energetic and engaged in their questioning.

That was true on Tuesday.

Celebrities like actor/director Rob Reiner (an original legal opponent of Proposition 8) added to the flavor. The competing rallies outside the court, and the several hundred people waiting in line in the cold for a precious court seat, completed the drama.

More arguments are scheduled for Wednesday on a challenge to a federal law known as the Defense of Marriage Act. That 1996 legislation denies a range of financial and other benefits to legally married same-sex couples.

After that, the court will quiet down once more.

The justices will sit down this week in private session -- just the nine of them -- and secretly vote at least preliminarily on these cases. Opinion-writing will be assigned, and then the task of crafting a ruling acceptable to a majority will commence.

The outcome will probably not be known until late June.

By the numbers: Same-sex marriage

@highlight

Supreme Court heard first of two arguments this week on same-sex marriage

@highlight

Court could rule broadly on constitutional issues or let states and lower courts sort it out

@highlight

Justices seemed cautious about the issue and the specific case before them: the California ban

@highlight

Justice Anthony Kennedy could emerge as the swing vote in any narrow decision