Birmingham, Alabama (CNN) -- Severe weather tore across the Southeast early Monday, killing at least two people, injuring more than 100 and spreading damage through several states, emergency officials said.

The two fatalities reported were near Birmingham, Alabama, according to Sgt. Jack Self of the Jefferson County Sheriff's Office.

One was a 16-year-old in Clay, northeast of the city, and the second was an 83-year-old man in the Oak Grove community west of Birmingham, Self said. The two were identified as Christina Heichelbech and Bobby Sims.

The teenager was a female, Self said, although the fatality was initially reported as a male. Authorities believe the same storm, which struck about 3:30 a.m., was responsible for both deaths, he said.

At least 100 injuries were reported, from cuts and bruises to broken bones, Self said.

And at least 211 homes were destroyed and 218 suffered major damage in Jefferson County, according to Alabama Red Cross spokesman Chris Olson. That number is expected to rise.

Did you witness the damage? Please share images and footage, if it's safe to do so

Emergency crews were working to locate people who may be trapped or injured and to clear roads, several of which were impassable, the sheriff's office said.

Video from the Center Point area, also northeast of Birmingham near Clay, showed numerous downed trees, some on top of homes. People had to step over trees as they made their way down a residential street.

An EF-3 tornado struck the town of Clay, the National Weather Service confirmed late Monday. Wind speeds from the twister were estimated at 150 miles per hour.

"The whole house just shook," Mary Mann told CNN affiliate WVTM. "We were all in the back bedroom praying to God to put his angels around us. We made it out, but ... the devastation."

One resident told WVTM he and his family had sought shelter in his home's basement when the house's front door came "flying by us. We made it just in the nick of time."

The man, who was not identified, grew emotional as he told the station, "We've lost our house, but at least ... we've got our family, and that's all that matters right now."

A photo from one Clay subdivision showed a number of homes heavily damaged or destroyed, with debris strewn across the neighborhood and trees snapped in half.

Several organizations, including the Salvation Army and the Red Cross, said on Twitter they were sending teams to aid storm victims. Several shelters were open in Jefferson County, the sheriff's office said.

Terri Nichols spoke to CNN in Clay, where she was helping neighbors sort through the debris.

"As bad as it looks, they're fortunate that they have their lives," she said, standing amid piles of wood that had once been homes.

Damage was also reported in Perry and Chilton counties, south of Birmingham in the central part of the state. Some 14 homes were destroyed and 38 homes damaged in the Chilton County town of Maplesville, the county's emergency management agency said, but no one was injured.

Art Faulkner, director of the Alabama Emergency Management Agency, told CNN officials are focused on several areas, including Center Point, Oak Grove and the town of Trussville, also northeast of Birmingham, as well as Maplesville. Search and rescue operations were ongoing, he said.

Alabama Gov. Robert Bentley declared a state of emergency for all of Alabama's 67 counties, meaning state resources can be called upon to assist local officials, Faulkner said.

Seven Alabama counties reported storm damage, with the majority in Jefferson and Chilton counties, said Yasamie August of the Alabama Emergency Management Agency.

By Monday evening, 12,300 customers statewide were without power -- the majority in Jefferson County -- Alabama Power said on Twitter.

The outages peaked about 5 a.m. at 45,400, Alabama Power spokeswoman Hallie Bradley said. Utility poles and power lines were reported down.

Several school systems closed for the day, according to officials and affiliate reports.

Damage was also reported near Tuscaloosa -- which was devastated by a tornado nine months ago -- as well as south of Birmingham, officials said.

Three reports of "minor structural damage" were received, said David Hartin of the Tuscaloosa County emergency management agency. The majority of reports concerned downed trees and power lines, and the damage reports were north of Tuscaloosa, he said. Hartin said he was not aware of any injuries.

Tuscaloosa was ravaged by an EF-5 tornado in April 2011. An EF-5 is at the extreme end of the tornado classification scale, with winds of more than 200 mph. The twister was part of a record-breaking tornado outbreak -- 178 tornadoes over April 27-28, the largest recorded tornado outbreak in U.S. history.

In Tuscaloosa and Birmingham, 61 people died in the tornado on April 27. At least 243 people were killed by twisters statewide, and 39 of Alabama's 67 counties were designated for disaster assistance.

"The one thing that we can say is thank goodness we're not looking at what happened in this state last year in April," Faulkner said. "We do not have that kind of catastrophic damage. However, any loss of life or destruction of property is a bad thing, and we will be there to make sure we're able to assist our citizens with any cleanup that may need to be done after the search and rescue is over."

Asked whether the new storms posed a setback to rebuilding efforts, Hartin said he did not believe so. "There's a lot of building going on," he said.

Bentley told CNN the state has made a "rapid recovery" from the April storms. He said he had planned to announce a commission Monday set up to provide recommendations on improving the response to severe weather, but the event was canceled with the report of Monday's storms.

The Oak Grove community was hit hard by a tornado in April 1998. Thirty-two people were killed in Jefferson County and two more in St. Clair County in that storm, according to the National Weather Service.

The storms were moving eastward into Georgia, but were decreasing in intensity because of a stable air mass in place over Georgia, CNN meteorologist Rob Marciano said.

In Arkansas, an EF-2 tornado touched down on the northern edge of Fordyce, in the south-central part of the state, the National Weather Service confirmed Monday afternoon. An EF-2 tornado has winds of up to 135 mph.

The twister caused "significant damage" to homes northwest of Fordyce, along with a country club and a set of transmission towers, the weather service said.

One person who sustained minor injuries was treated and released at a hospital, said Jim Johnson of the Dallas County, Arkansas, Emergency Management Office. Another woman was trapped in her home briefly, but she was not hurt, he said.

About 40 homes were damaged, with 10 of those destroyed, said Tommy Jackson, spokesman for the Arkansas Department of Emergency management. A shelter was set up at a Fordyce hotel, he said.

"As we assess the damage this morning, it looks like we dodged a pretty good bullet when you look at places like Alabama," Jackson said.

Power outages, which peaked at 3,700, were down to about 1,300 just before daybreak, Johnson said. Crews were doing their best, he said, but "so many of the wires are twisted in the treetops."

Possible tornadoes were also reported in Mississippi and Tennessee, according to the National Weather Service.

The Mississippi Emergency Management Agency said one person was reported injured in Bolivar County. Several homes were reported damaged in Bolivar and Quitman counties, and several farm buildings were damaged in Coahoma County. Trees and power lines were reported downed in all three counties, the agency said.

"Our sympathies go out to those whose homes were damaged and those who were injured," said Robert Latham, agency director, in a statement. "But while the damages were not catastrophic in our state, we only have to look at the destruction in Alabama from the same storm system to realize we were very fortunate.

"I hope many of our residents took time to prepare their families and homes prior to the storms reaching them," Latham said. "The next time we may not be as lucky."

CNN's Ashley Hayes, Leslie Tripp, Devon Sayers, Chandler Friedman, Carma Hassan, Sean Morris and Dave Alsup contributed to this report.

@highlight

National Weather Service confirms tornadoes in Arkansas, Alabama

@highlight

12,300 customers remain without power statewide, Alabama Power says

@highlight

Mississippi and Arkansas each report one injury

@highlight

Alabama EMA director: Damage not as bad as that seen last year