Hong Kong (CNN)Australia's transport safety chief has always described himself as a pessimist.

But Martin Dolan, Chief Commissioner of the Australian Transport Safety Bureau, says that as search teams scour the depths of the Indian Ocean for any sign of Malaysia Airlines Flight MH370, he is confident they will find the plane, if the aircraft is in the areas where they are looking.

"If anything, I'm slightly more optimistic than six months ago, because we have more confidence in the data, and we have proven the search equipment and techniques work to the necessary standards," Dolan said.

But as the first anniversary of MH370's disappearance approaches, with no trace of the missing plane found, not everyone shares his outlook.

That includes many of the relatives of the 239 passengers and crew on board, who say not a single day goes by without wondering what happened to their loved ones.

And for many, the decision in late January by Malaysia to officially declare MH370 an accident, enabling the insurance payout process to begin in accordance with international protocol, was painfully premature.

"How can they say that, when there is no proof that the plane has crashed?" asked Wen Wang Cheng, whose son Wen Yung Sheng was one of 153 Chinese nationals on board.  "We have to get the facts," Wen said.

What families have been told, they say, simply isn't good enough.  Anger, frustration, and distrust pushed some relatives, including Wen, to fly from China to Kuala Lumpur last month, to demand more.

But when families submitted a letter to Malaysia Airlines asking for authorities to explain the declaration and status of the investigation, a written response from the company's CEO revealed little that hadn't already been said.

At 12:41 a.m. local time on March 8, 2014, Malaysia Airlines MH370 took off from Kuala Lumpur International Airport, en route to Beijing.

Less than an hour later, the Boeing 777-200ER was flying over the South China Sea. Air traffic controllers in Malaysia radioed the crew to contact controllers in Ho Chi Minh City for its onward journey through Vietnamese airspace.

The crew acknowledged the request, thanking Kuala Lumpur controllers with a routine reply: "Good night, Malaysian Three-Seven-Zero."  Minutes later, the plane disappeared from radar.

Malaysian authorities revealed days later that military radar had tracked the plane as it turned back to the west, flew across the Malay Peninsula, and up the Strait of Malacca, before flying out of radar range and vanishing once again.

The search area widened, then shifted off the coast of Western Australia, when it was determined through careful analysis of a series of messages or "handshakes" between the plane and an Inmarsat telecommunications satellite, that MH370 eventually turned south, and flew for hours into the Indian Ocean.

Roughly a week's sail from the coast of Western Australia, ships with specialists and equipment capable of searching depths that regularly exceed 4,000 meters (13,123 feet), work around the clock, methodically ticking off sections of sea floor.

In early February a new ship, the Fugro Supporter, joined the search carrying the HUGIN 4500, a programmable unmanned submarine, now scanning areas that other equipment couldn't safely cover, including steep mountain slopes.

The ship joins the Discovery and Fugro Equator, both operated by a Dutch survey firm, along with the Malaysian-contracted GO Phoenix.

"I asked specifically to come on this job, because it's a very exciting opportunity to do something that will potentially help a lot of people," James Hancock, a surveyor who usually works in the oil industry in the North Sea, told CNN's Anna Coren, as he prepared to embark on a trip on the Fugro Discovery that could last up to six weeks.

Since October, more than 24,000 square kilometers -- roughly 40% of what the ATSB calls the "priority search area" -- has been scanned, with the remainder of the work scheduled to be finished by May before weather conditions worsen as the southern winter approaches.

For now, teams are searching mostly using devices called towfish, which are dragged close to the ocean floor on cables up to 10 kilometers long.

It's tough work, even when conditions are perfect.  A number of cyclones, producing waves of up to 16 meters, put the brakes on the search in early February.

Dolan is careful to point out search efforts are meeting or exceeding expectations, dismissing concerns over stormy weather or delays in installing equipment as "part of the deal."

The current search area is the result of months of analysis and reexamination of satellite data by an international team of experts, combined with aircraft performance factors such as fuel range, speed, and altitude.

Search ships are focused along the so-called 7th arc, or "partial handshake," where international investigators believe the plane ran out of fuel.

"The thing that really impresses me most about this investigation was how much information we were able to gain through mathematics and science," said CNN Safety Analyst David Soucie.

But Soucie, a former FAA accident investigator, is not optimistic that the deep-sea search teams will find what they're looking for.  "I know that they've searched in the most probable areas where it would have been, and it's not there," he said.

Jeff Wise, a science journalist and author of "The Plane That Wasn't There," took that skepticism a step further, saying it's time to reexamine all the clues.  His latest theory contends that investigators may have misinterpreted a key component of the Inmarsat satellite data, and that MH370 may have instead flown north toward Kazakhstan.

"This is not a normal investigation.  They need to throw out the book," said Wise. "This is unlike anything that's happened in aviation."

But Michael Exner, an engineer with decades of experience in the mobile satellite communications industry, says the data "accurately and unambiguously" shows MH370 went down near the 7th arc.

"The current ATSB search strategy remains the best search strategy," Exner said.

"They are looking exactly where I expect the plane to be found."

The ATSB's Dolan cautioned that search teams have placed equal priority on all areas within the 60,000 square kilometer search zone.  "We haven't given up.  Quite the opposite," he said.

If search teams succeed in locating the wreckage of MH370, Australia, which has been leading the search at Malaysia's request, will also lead salvage and recovery efforts, according to the ATSB Chief Commissioner.

But Malaysia, Australia, and China, which had the majority of the passengers on board the flight, have not yet made a decision on whether a recovery will occur, Dolan said.

It is unclear what will happen if search teams complete their current mission without finding any sign of the plane.

Australia has allocated roughly $48 million to the current phase of the search, with Malaysia promising to contribute equally to the cost.  In January, the Malaysian government said it is committed "to continue all reasonable efforts to bring closure to this unfortunate tragedy."

One possibility is that the deep-sea search could be extended outside the boundaries of the current priority area, north or south along the 7th arc.

The ATSB would not comment on the likelihood of expanding the search, saying that it was a "decision for governments."

Malaysia also plans to release an interim statement detailing the progress of the investigation into MH370 around March 8 -- though some experts believe it will not contain any information investigators do not already have.

Aviation experts say there is a key reason the search should continue until MH370 is found.

"Without knowing what caused it, you can't fix it, you can't make sure it doesn't happen again," said Soucie.  "And I think that's really the biggest tragedy of this, if they don't find the airplane."

For the families of the 239 passengers and crew on board, who have had nothing but hope and prayers to carry them through the past year, it's about finding answers.

"It's very difficult to hear the world closure, when there is no closure," Jacquita Gonzales, the wife of lead steward Patrick Gomes, told CNN's Andrew Stevens.

And while Gonzales says she holds out hope her husband could return home alive, she is prepared for a difficult discovery.

"If it's there and there's debris, we can have closure and we can lay him at peace. Because I don't think he's at peace right now."

The search for MH370 continues.

CNN's Andrew Stevens, Anna Coren, Tim Schwarz, Felicia Wong, Chieu Luu, and Judy Kwon contributed to this report.

@highlight

Ahead of one year anniversary, search chief says he's confident Malaysia Airlines Flight 370 will eventually be found

@highlight

Not all share Martin Dolan's optimism

@highlight

Families angry at the lack of information concerning their loved ones lost on board