(CNN) -- It is widely recognized that the signing of the Armistice in 1918 did not put an end to the drama that began in 1914. Traditional geopolitical rivalries continued but now overlapped with competing ideologies of fascism and Stalinism to foster a climate of permanent war. That is why many observers at the time described the period 1914-1945 as a modern version of the Thirty Years War. Yet this second Thirty Years War soon gave way to the four decades-long Cold War.

For a very brief moment the demise of the Cold War appeared to bring to an end the conflicts unleashed on the battlefields in 1914. But this "End of History" moment was brief. Today we are in the midst of a conflict originally designated as a "War on Terror" but which has been rebranded by the American government as the "Long War" and more recently as "Overseas Contingency Operation."

The conflicts unleashed in 1914 were not confined to the military sphere. They were also a battle of ideas and a clash of cultures. The story that began in 1914 was influenced by a crisis of meaning that afflicted the political and cultural elites of western societies. A powerful mood of estrangement and disorientation dominated cultural life.

In this moment of confusion even artists and intellectual sought meaning through fighting for a cause -- even a military one. Some of the most enthusiastic supporters of the war were motivated by a disposition to react against what they took to be the soulless world of capitalist modernity.

Stefan Zweig, the renowned Austrian novelist, playwright and well-known pacifist lived to see two world wars. When the Great War broke out in 1914, he along with almost all European intellectuals, supported his nation's war effort. Later, with a hint of embarrassment he recalled the sense of excitement and celebration that the news of the impending conflict provoked among people. "And to be truthful, I must acknowledge that there was a majestic, rapturous, and even seductive something in this first outbreak of the people from which one could escape only with difficulty," he recalled.

World War I would be the last time that a significant body of intellectuals and artists would seek existential meaning on the battlefield. But conflicts over norms and values, which were crystallized through their quest for meaning continues to this day. Indeed on hindsight it is evident that the Great War was a catalyst for eroding the prevailing system of meaning and helped intensify a clash of values. That is why the origins of what is currently described as the Culture Wars can be situated at some time around August 1914.

Culture became politicized and geopolitical ambitions were framed through appeals to a "way of life." Today, very few respectable intellectuals would be caught waving the flag. Instead of the flag, competing groups flaunt their identity and instead of celebrating their way of life they acclaim their lifestyle.

With the demise of old ideologies the politicization of culture has acquired an increasingly unrestrained character. It is worth noting that most of the high-profile divisive issues -- family life, gay marriage, abortion, assisted suicide, multiculturalism -- express conflicts over cultural values. These symbolic struggles over the constitution of legitimate lifestyles continually exacerbate the fragmentation of social life.

What's more disturbing is that such struggles increasingly extend into global affairs. The current conflict between Russia and its Western opponents is almost entirely conducted through the medium of culture. The denunciation of Putin as an authoritarian homophobe is self-consciously countered by the claim that Russia stands firm as the bastion of traditional values.

Like Putin, many Muslims also take their stand on hallow grounds of tradition. Young Western Muslims self-consciously reject the values of the communities where they grew up and embrace a call to arms for a war of cultures. Jihadist videos often communicate a simple message -- which is that the Jihad provides quest for meaning. As I write, the war drums are again beating. Abu Bakr al Baghdadi, the head of ISIS, has declared the establishment of a new caliphate in the Middle East. His object is to abolish one legacy of World War I, the border between Syria and Iraq. There is still no end in sight to the Great War.

@highlight

The period 1914-1945 was once described as a modern version of the Thirty Years War

@highlight

This second Thirty Years War gave way to four decades-long Cold War, says Frank Furedi

@highlight

Furedi: Origins of "Culture Wars" can be situated at some time around August 1914

@highlight

Young Muslims embrace a call to arms for a war of cultures, he adds