(CNN) -- The Saudi Arabian government is objecting to a number of proposed new Internet address endings, including .gay, .bar, .baby and .islam.

The country claims the .gay domain would promote homosexuality and would be offensive to "many societies and cultures." Saudi Arabia's Communication and Information Technology Commission (CITC) filed objections to 31 domain extensions, primarily on cultural and religious grounds.

The suffixes are some of the 1,927 top-level domain names currently being considered by the Internet Corporation for Assigned Names and Numbers (ICANN), the organization in charge of managing Internet naming standards. If approved, the dot-extensions would be available for new URLs, joining familiar extensions .com and .org, and country extensions such as .uk.

New top-level domains would greatly expand the number of possible website addresses around the world, but getting the world to agree on common terms, trademarks and topics is a complicated undertaking.

ICANN opened up the application process to the public, charging $185,000 for each nomination, and announced the list of candidates in June. As part of the open-consideration process, third-parties are allowed to file public comments of opposition or support at no cost for these top-level domains, as well as formal objections which cost around $2,500 to file.

So far, the group has received no formal objections, but 6,185 public comments from individuals, organizations, companies and governments, including 166 from the Saudi Arabian government.

"We are very enthusiastic to promote the objection processes so that everyone is aware of them," ICANN chief executive Akram Atallah told CNN. "That's a very powerful tool, that any individual can comment on an application and potentially stop the delegation process."

ICANN officials won't comment on individual applications or complaints, but encourages objections like those made by Saudi Arabia as a key part of the vetting process.

"Many societies and cultures consider homosexuality to be contrary to their culture, morality or religion," says the CITC in its complaint. The group regulates information technology in Saudi Arabia. The objections filed by Saudi Arabia highlight the cultural issues at play for many of the more controversial domains, including anything having to do with sex, gambling, drinking and religion.

When Johnson & Johnson applied for the .baby name, it was likely thinking it was a great way to promote its line of well-known baby products. However, in its complaint, the Saudi Arabian government says the name could be used to host pornographic websites, and that "pornography undermines gender equality and threatens public morals." The government uses the same reason in objections to various sex-related top-level domains, including .porn, .sexy, .adult, .hot, .sex, .dating and .virgin.

The country is objecting to .islam because the applicant is a private company that "cannot represent the whole or even a majority of the worldwide Muslim community." It argues that all religious communities should have a say in any approval of any related domain extensions, or they should be banned altogether. It also filed complaints for .catholic and .bible.

Saudi Arabia isn't the only government filing complaints with ICANN. American clothing retailer Patagonia has applied for .patagonia, riling up the government of Argentina where the Patagonia region,Â named by Magellan in 1520, is located. The Royal Australian Navy is objecting to the .oldnavy and .navy extensions due to an Australian law that prohibits anyone not in the navy from using the word without permission. Â 

International trademark disputes are also common, a company name trademarked in one country may belong to an entirely different corporation someplace else, as is the issue with .abc (used by the American Broadcasting Company and the Australian Broadcasting Corporation) and .merck.Â 

ICANN has set up a detailed system for handling issues for each disputed top-level domain, which includes four types of objection processes, review panels and third-party arbitrators. The full process and resulting applicant guidebook has taken about five years to develop and includes various advisory committees to help represent third-party interests, such as the the Governmental Advisory Committee (GAC), which advises ICANN on international and local laws. Saudi Arabia does not currently have a representative on the GAC.

ICANN estimates the dispute resolution process will take up to 11 months and will include criminal and financial background checks on applicants to ensure they have the knowledge and resources to support the registry. The organization hopes to roll out new names at a pace of 40 a week, according to Atallah, though the exact timing is still to be determined.

Companies have a lot of money at stake in this Internet land grab, both brands that want their own vanity domains and the Internet registries that will profit by selling the new URLs. General names are the most sought after, including .app, .inc and .music.

The public can submit comments until September 26 and formal complaints though January 2013.

@highlight

Government of Saudi Arabia files objection to .gay domain extension

@highlight

Also troubled by other potential domains related to sex, alcohol, gambling and religion

@highlight

ICANN considering 1,930 potential new top-level domains