(CNN) -- A head-banging parrot who became a YouTube sensation has demonstrated that an ability to appreciate music and keep a rhythm is not unique to humans, scientists say.

Alex, an African grey parrot, was one of 14 birds which displayed an ability to keep time with a tune.

Snowball the cockatoo, who appears to bop his head, tap his claws and squawk enthusiastically to the Back Street Boys' "Everybody" is one of several birds apparently capable of dancing to a beat, according to two studies published in the latest edition of the journal Current Biology.

In a study lead by Adena Schachner of Harvard University, researchers examined more than 1,000 YouTube videos of dancing animals and found 14 types of parrot species and one elephant genuinely capable of keeping time.

The video of Snowball has been viewed more than two million times since it was posted in 2007. Another video of Snowball shows him dancing to Queen's "Another One Bites the Dust." Watch Snowball the dancing parrot »

Schachner analyzed the videos frame-by-frame, comparing the animals' movements with the speed of the music and the alignment of individual beats. The group also studied another bird, Alex, an African grey parrot, which had exhibited similar abilities to Snowball, nodding its head appreciatively to a series of drum tracks.

"Our analyses showed that these birds' movements were more lined up with the musical beat than we'd expect by chance," says Schachner. "We found strong evidence that they were synchronizing with the beat, something that has not been seen before in other species."

Aniruddh Patel of The Neurosciences Institute in San Diego, who led another study of Snowball's performance, said that the bird had demonstrated an ability to adjust the tempo of his dancing to stay synchronized to the beat.

Scientists had previously thought that "moving to a musical beat might be a uniquely human ability because animals are not commonly seen moving rhythmically in the wild," Patel said.

Schachner said there was no evidence to suggest that animals such as apes, dogs or cats could recognize music, despite their extensive experience of humans.

That leads researchers to believe that an ability to process musical sounds may be linked to an ability to mimic sounds -- something that each of the parrots studied by researchers was able to do excellently, she said.

Other "vocal-learning species" include dolphins, elephants, seals and walruses.

"A natural question about these results is whether they generalize to other parrots, or more broadly, to other vocal-learning species," Schachner said.

Researchers believe a possible link between vocal mimicry and an ability to hear music may explain the development of music in human societies.

"The question of why music is found in every known human culture is a longstanding puzzle. Many argue that it is an adaptive behaviour that helped our species to evolve. But equally plausible is the possibility that it emerged as a by-product of other abilities -- such as vocal learning," music psychologist Lauren Stewart of Goldsmiths, University of London told CNN.

"Parrots and humans both have the ability to imitate sounds that they hear, unlike our closer simian relatives. Once a species has the neural machinery in place for coupling the perception and production of vocal sounds, it may be only a small step to use the same circuits for synchronizing movements to a beat."

@highlight

Scientists: Dancing parrots prove ability to recognize music not unique to humans

@highlight

YouTube hit Snowball the cockatoo dances to Back Street Boys, Queen

@highlight

Ability to keep time apparently linked to vocal mimicry, scientists believe

@highlight

Other animals capable of mimicry include dolphins, elephants, seals, walruses