A nurse's release Tuesday from an Atlanta hospital leaves a single person in the United States now battling Ebola, though she and others -- including President Barack Obama -- stressed the fight against the deadly virus isn't over.

"While this is a day for celebration and gratitude, I ask that we not lose focus on the thousands of families who continue to labor under the burden of this disease in West Africa," said 29-year-old Amber Vinson.

About two weeks ago, Vinson became the second nurse from Texas Health Presbyterian Hospital Dallas to get the virus while caring for Thomas Eric Duncan, a Liberian man who began showing Ebola symptoms after arriving in Texas and died of it there. She and Nina Pham -- the other Dallas nurse who was discharged from a National Institutes of Health facility in Maryland on Friday -- are differ from the handful of other U.S. Ebola cases in the United States because they caught the disease in America, rather than contracting it in West Africa.

Vinson's diagnosis came amid a wave of national concern about the prospect Ebola could spread in the United States, especially after it became known she'd flown on two commercial flights after treating Duncan.

Yet there was no such alarm Tuesday. Instead, Emory University Hospital's Dr. Bruce Ribner declared Vinson "has recovered from her infection with Ebola virus, and she can return to ... her community and to her life" without any concerns about infecting anyone.

Ebola outbreak: Get up to speed

Standing behind a lectern in a gray suit, Vinson thanked God as well as those at the Atlanta hospital, where she arrived October 15. She also voiced appreciation for Dr. Kent Brantly and Nancy Writebol, two Americans who got Ebola in Africa and were treated at Emory, for their contributions of plasma for people in the United States struggling with the disease.

Dr. Craig Spencer is now the only person in the United States being treated for Ebola. The 33-year-old was admitted to Bellevue Hospital in New York City after developing a fever on Thursday, six days after returning to the United States and over a week after leaving Guinea, where he worked for Doctors Without Borders.

Timeline of Spencer's activities after returning home

Even without more cases, Ebola remains a hot topic of conversation around the country. That includes a debate about whether anyone should be allowed into the United States from Guinea, Liberia and Sierra Leone, or at least whether health care volunteers and others coming from those Ebola-ravaged nations should be quarantined for three weeks upon arrival.

President Barack Obama said Tuesday that "monitoring and movement guidance" for those returning from the region should be "sensible," so long as it is based on  science and doesn't unnecessarily prove an obstacle to those who risk their lives and livelihoods to head overseas to help those in need.

"We don't want to discourage our health workers from going to the front lines and dealing with this in an effective way," Obama said. "..."We don't just react based on our fears. We react based on facts."

Obama: We can't react 'based on our fears'

U.S. focused on West Africa

Ribner, from Emory, said that his hospital has learned "a great deal" from treating four Ebola patients. That includes lessons on things such as fluid and electrolyte management and that physicians can successfully treat Ebola patients who need dialysis.

Still, while sharing such information with other U.S. health care professionals could be helpful, it won't end the threat.

"The thing that we really have to keep in mind is that the only way that we are truly to be able to make our citizens safe is that we control the outbreak in Africa," said Ribner.

This is a point Obama has made repeatedly, including again on Tuesday.

He insists "no other nation is doing as much to make sure" we contain Ebola at its source, from the medical experts on the ground to approximately 1,000 U.S. troops (with 3,000 more to come) involved in helping local officials with everything from logistics to building treatment centers. Some American service members are now in quarantine at an Army base in Vicenza, Italy, after returning from West Africa, according to Maj. Gen. Darryl Williams, the commander of U.S. Army forces in Africa who is among those isolated.

Williams talks to CNN from quarantine

Washington even dispatched a top diplomat, Ambassador to the United Nations Samantha Power, who arrived Tuesday in the Liberian capital of Monrovia. She told reporters her visit aims "to show solidarity with the people of the region so that you know that you are not alone as you face this terrible epidemic," as well as to help Liberia emerge from the crisis "stronger and more resilient."

After speaking Tuesday to members of a multiagency Disaster Assistance Response Team, who have been in West Africa since August, the President offered a hint of optimism.

"The good news is that it's starting to have an impact," Obama said of such U.S. efforts. "They are starting to see some progress in Liberia, and the infrastructure is beginning to get built out."

Still, progress doesn't equate to victory.

According to the World Health Organization, there are more than 10,000 confirmed or suspected cases of Ebola -- almost all in Guinea, Liberia and Sierra Leone -- and nearly 5,000 deaths.

And those are only the ones that authorities have been able to count, in a region where health care access and record-keeping is limited. The WHO, the United Nations' health authority, has said that the mortality rate from the current outbreak, starting with the first death in December, is about 70%.

Complete coverage on Ebola

@highlight

Discharged nurse asks that we don't "lose focus" on those suffering in West Africa

@highlight

U.S. cannot "react based on our fears," President Obama says

@highlight

U.S. diplomat arrives in Liberia to show "solidarity"

@highlight

There's now only one person, a doctor in New York, with Ebola in the United States