The first leader in Egypt's history to win a democratic election is a study in contrasts: a strict Islamist educated in southern California, who vowed to stand for women's rights yet argued for banning them from the presidency.

Mohamed Morsi, 60, was declared president Sunday after he took 52% of the vote to 48% for former Hosni Mubarak official Ahmed Shafik.

During the historic campaign for president, Morsi said he would support democracy, women's rights and peaceful relations with Israel if he won.

But has also argued called Israeli leaders "vampires" and "killers." One analyst describes him as an "icon" of those seeking an "extreme agenda."

Morsi's biggest challenges

He was arrested several times under President Hosni Mubarak's regime for protesting "repressive measures and oppressive practices," as well as "rigged elections," his party said during the campaign.

At one point, he spent seven months in jail.

Thousands of people gathered in stifling hot temperatures in Cairo's Tahrir Square erupted in cheers following the announcement that he had won.

Are you there? Share your images.

Morsi leads the Freedom and Justice Party, the political wing of the Muslim Brotherhood.

Egypt's oldest and best-organized political movement, the Brotherhood won the largest share of seats in parliamentary elections earlier this year.

But Egypt's highest court dissolved the legislature on June 14.

Morsi focused his campaign on appealing to the broadest possible audience.

But he "represents the older, more conservative wing of the Brotherhood and openly endorses a strict Islamic vision," Isobel Coleman of the Council on Foreign Relations wrote in a column for CNN.com.

A slogan associated with his campaign, "Islam is the solution," sparked concerns that Morsi could introduce a fundamentalist Islamic theocracy.

He told CNN during the campaign that he had no such plans. His party seeks "an executive branch that represents the people's true will and implements their public interests," Morsi told CNN's Christiane Amanpour.

Photos: Political turmoil in Egypt

"There is no such thing called an Islamic democracy. There is democracy only. ... The people are the source of authority," he said.

Asked about the role of women, he vowed that "women's rights are equal to men."

And asked whether he would maintain Egypt's 1979 accord with Israel, Morsi answered, "Yes, of course I will. I will respect it provided the other side keep it up and respect it."

Morsi was not originally his party's pick for the country's top post. He was called on to step in after the first choice was disqualified. Khairat al-Shater was among three candidates who were told they did not meet candidacy requirements.

The Muslim Brotherhood had originally pledged not to seek the presidency, but the group reversed its decision as the election approached.

Morsi has served as a central behind-the-scenes player for much of the past decade, Eric Trager of the Washington Institute for Near East Policy wrote in a column for The New Republic.

He was the Brotherhood's primary point man for state security -- "the repressive domestic security apparatus through which the Mubarak regime monitored and infiltrated opposition groups," Trager writes.

"Indeed, Brotherhood leaders trusted Morsi because they viewed him as ideologically rigid, and therefore unlikely to concede too much to the regime during negotiations."

Morsi was also "an icon of the extremists in the Muslim Brotherhood," pushing for an "extreme agenda," Trager wrote.

Morsi's official biography on the Freedom and Justice Party website describes him as "one of the most prominent political leadership figures of the Brotherhood, the organization that led the struggle against the ousted repressive regime in its last decade."

He led the Brotherhood's parliamentary bloc from 2000 to 2005 in addition to serving as president of the Department of Materials Science, Faculty of Engineering at Zagazig University.

Morsi was arrested several times "due to his constantly firm stance against the repressive measures and oppressive practices of the overthrown regime," the party said.

"After the 2005 elections were rigged, Dr. Mohamed Morsi led demonstrations in support for judges demanding independence, refusing referral of some judges to the Competence Commission to punish them for their outspoken views against blatant elections fraud."

The following May, he was among 500 members of the Brotherhood arrested, the party said. Morsi spent seven months behind bars.

"He was arrested, yet again, on the morning of the 'Friday of Anger' on January 28, 2011, during the revolution of January 25 along with a large number of Brotherhood leaders across Egypt. ... When several prisons were destroyed during the revolution, and many prisoners escaped, Dr. Morsi refused to leave his prison cell. Instead, he contacted satellite TV channels and news agencies demanding the judicial authorities visit the prison and check the legal position of jailed Muslim Brotherhood leaders, to clarify if there were indeed any legal reasons for their arrest," the party website says.

Morsi declared Egypt's new president

@highlight

Thousands in Cairo's Tahrir Square erupt in cheers as Mohamed Morsi is named president

@highlight

Educated in the United States, Morsi has long been a behind-the-scenes party figure

@highlight

He has argued for barring women from the presidency and called Israeli leaders "vampires"

@highlight

Morsi leads the Freedom and Justice Party, political wing of Muslim Brotherhood