(CNN) -- Avoiding the fiscal cliff can be a moment of truth for Congress as an institution. The ability of Congress to reach a deal on its own, rather than relying on tax hikes and spending cuts by default, would be a powerful push back against the loud chorus of critics who for almost a decade have been decrying dysfunction on Capitol Hill.

According to a recent Gallup poll, Americans consider legislators to be some of the least trusted professionals in the nation. Car salespeople ranked only slightly lower.

This is not the first time that Americans have felt this way. During the early 1960s, Congress was widely derided as a broken branch of government. A bipartisan alliance of Southern Democrats and Republicans used the committee process to bottle up legislation for years. "The sapless branch," Sen. Joseph Clark called Congress in an outburst of frustration with his colleagues. But this period of gridlock was followed by a huge burst of legislation that resulted in tax cuts, voting rights, civil rights, Medicare and Medicaid, education policy, a War on Poverty and much more.

iReport: How will the 'fiscal cliff' affect you?

Though it would be far short of a New Deal or Great Society, a budget deal would allow Congress to prove that the critics are off. Most important, Congress could show that it can make unpopular decisions with little or no political payoff.

The thing about this budget deal is that nobody would be happy with the outcome. If Democrats win, they walk away by raising some people's taxes. If Republicans win, they will cut deep into the spending of programs that are enormously popular throughout large parts of the electorate. The willingness of representatives and senators to take unpopular action is the best sign that the institution can fix national problems and not simply reward constituents.

A budget deal could also show that bipartisanship is not impossible in our current era of polarization. The inability to achieve bipartisan legislation has been one of the biggest failings of Congress. When there has been bipartisan agreement in recent years on domestic policy, it has usually meant that two or three people come on board from the other side of the aisle.

The era when Republican Senate Minority Leader Everett Dirksen could bring over 20 or more colleagues for legislation proposed by a Democratic president, back in the 1960s, seems long gone.

The virtue of bipartisan deals is that they create bills that are more durable over time and have the imprint of a broader portion of the American public. Bipartisan votes on legislation demonstrate that support for a bill is not red or blue, but red, white and blue.

Americans already making big decisions over cliff

A budget deal could show that it is possible to have responsible partisanship. In recent decades, public debate has revolved around whether it is better to have a partisan divide, where Democrats and Republicans offer voters clear alternatives, or bipartisanship, where both sides find areas of agreement.

The alternate path is responsible partisanship, whereby the parties are willing to sign onto bills where each loses something significant. They must abide by Senator Dirksen's maxim: "I am a man of fixed and unbending principles, the first of which is to be flexible at all times." Responsible partisanship would offer voters the best of both worlds -- a partisan system with the capacity for governance.

So the budget deal can be a big deal, not only for the nation but also for restoring public trust in Congress. If Congress fails to reach a deal on its own, or if it tries to kick the issue down the road by extending the deadline, the chances are that the terrible perceptions of the legislative branch will only get worse.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Avoiding the fiscal cliff could be a moment of truth for Congress, says Julian Zelizer

@highlight

It's an opportunity to restore public trust in a maligned institution, he says

@highlight

Zelizer: Congress's inability to achieve bipartisan legislation is one of its biggest failings

@highlight

A budget deal could show it's possible to have responsible partisanship, he says