Washington (CNN) -- A federal advisory board's recommendation that women in their 40s should avoid routine mammograms is not government policy and has caused "a great deal of confusion," Health and Human Services Secretary Kathleen Sebelius said Wednesday.

"My message to women is simple. Mammograms have always been an important life-saving tool in the fight against breast cancer, and they still are today," Sebelius said in a statement.

"Keep doing what you have been doing for years: talk to your doctor about your individual history, ask questions and make the decision that is right for you."

With her statement, Sebelius waded into the controversy over Monday's announcement by the U.S. Preventive Services Task Force that women in their 40s should not get routine mammograms for early detection of breast cancer.

Sebelius' statement is aimed at "making it clear these recommendations are not ours," a White House source said.

The report "shouldn't be dismissed," Sebelius said on CNN's "The Situation Room." But she added, "There are other groups who have disagreed with this information." The task force is "making recommendations, not coverage decisions, not payment decisions."

Government health programs such as Medicaid will continue to cover routine mammograms, she said.

"We will continue to recommend it, and the health plans have indicated that they will do the same," Sebelius said. "If the health care provider recommends a mammogram for a patient, they intend to cover that payment."

Though the Preventive Services Task Force is independent, the Department of Health and Human Services' Web site calls the panel's recommendations the "gold standard," and insurance companies look to the panel for guidance on which preventive care practices they should cover.

With the Obama administration fighting to push a sweeping overhaul of U.S. health insurance through Congress, Republicans quickly jumped at the chance to attack the mammography report.

"This is how rationing begins," said Rep. Marsha Blackburn, R-Tennessee. "This is the little toe in the edge of the water. And this is where you start getting a bureaucrat between you and your physician."

The White House disputes that, saying the recommendations "cannot be used to deny treatment" on their own. Sebelius said the task force won't make coverage decisions.

"Mammograms have been a huge step forward for millions of American women, but we still have about 21 million women and girls in America who don't have a doctor, who don't receive any kind of mammogram screening on any kind of basis regardless of their age," she said. "The health reform debate is about closing that gap."

Criticism of the recommendation has come from quarters other than opponents of the Democratic health care bills. The American Cancer Society said it disagrees with the findings of the task force and continues to recommend annual screening, including mammograms, for all women beginning 40 and over.

"With its new recommendations, the [task force] is essentially telling women that mammography at age 40 to 49 saves lives, just not enough of them," said Dr. Otis Brawley, the group's chief medical officer.

And Rep. Debbie Wasserman-Schultz, D-Florida, who was diagnosed with early stage breast cancer at 41, called the panel's recommendations "really disturbing" and "absolutely irresponsible."

"It's a very patronizing attitude that these scientists have taken," she said. "It's pretty outrageous to suggest that women couldn't handle more information."

Rep. Frank Pallone Jr., chairman of the House Energy and Commerce's Subcommittee on Health, has announced that he will lead hearings into the advisory board's recommendations.

Wasserman-Schultz said those hearings "will help us reach the appropriate policy conclusion, which I believe is that these recommendations should be set aside."

Breast cancer is the most common cancer for U.S. women, with nearly 200,000 women expected to be diagnosed with the invasive form of the disease this year, according to the American Cancer Society.

For women 50 to 74, it recommended routine mammography screenings every two years. Risks and benefits for women age 75 and older are unknown, it said.

While roughly 15 percent of women in their 40s detect breast cancer through mammography, data show that many other women experience false positives, anxiety, and unnecessary biopsies as a result of the test, according to the task force.

The Preventive Services Task Force reviews medical data and bases recommendations on effectiveness and risks involved. It is composed of 16 health care experts, none of whom are oncologists, though a team of cancer experts presented its findings to the group.

CNN's Danielle Dellorto and Gloria Borger contributed to this report.

@highlight

Secretary Kathleen Sebelius says findings aren't part of government policy

@highlight

GOP criticizes health care "rationing"; White House disputes claim

@highlight

Advisory board has said women in 40s shouldn't get routine mammograms

@highlight

Health secretary: Government will continue to recommend mammograms