JAKARTA, Indonesia (CNN) -- Islamic parties in Indonesia will not get enough votes in the coming election to nominate a presidential candidate, according to polls, analysts and an Islamic party official.

Supporters of Indonesia's Democratic Party of Struggle take part in a campaign event in Jakarta on March 24.

Nevertheless, the influence of Islam on politics in Indonesia -- the world's most populous Muslim country -- has many nationalist parties changing their strategy.

The April 9 national elections will determine the makeup of Indonesia's 550-seat parliament, as well as its regional representation council, provincial, county and city assemblies. More than 38 parties are vying for these seats, but very few are expected to get the 20 percent of parliamentary seats needed to nominate a presidential candidate in the July election.

In fact, the only party expected to meet the 20 percent threshold is President Susilo Bambang Yudyohono's Democratic Party. Other parties will have to join alliances to nominate a president.

Yudyohono's "charming" personality, and his government's ability to weather the current worldwide financial downturn, have kept him on top of the polls, according to James Castle, who analyzes Indonesian politics and economy.

Castle said despite the influence of Islam on Indonesian politics, voters are more concerned about economic issues. "Like everywhere in the world, economics is the key factor," he said. "It's quite clear from all these surveys, when inflation was high, the president's popularity is low. Now that inflation has come down, the president's popularity is high, and he and his party are doing very well in the polls coming into the election."

So far, Indonesia has not felt the impact of the global recession, partly because its economy is more isolated than other countries'. But the government has taken steps to protect the currency and the economy from the downturn, Castle said.

"This will probably just be a speed bump for Indonesia," he said.

Although financial issues are the main concern for voters in Indonesia -- where poverty is rampant -- Yudyohono's Democratic Party has recently had to bow to pressure from Islamic groups.

Andi Mallarangang, a spokesman for the president, acknowledged that the party's support for an anti-pornography bill -- which was passed in October -- was a "symbolic gesture" to the Islamic groups that had called for the measure.

"During the process of legislation, (the government) made sure we do not support pornography," Mallarangang said. "But there should be no limitation on freedom of arts and expression"

He noted that the final law was not as strong as the initially proposed bill.

Another issue that has made headlines in the Indonesian media is the government's position on Ahmadiyah, a Muslim sect that does not believe Mohammad is the last prophet. The government recently restricted the freedoms of the group, but has so far refused to ban the group.

"In Indonesia, one group of Islamic radicals would like the government to ban Ahmadiyah ... so the government's using the middle approach in which we will not ban Ahmadiyah because they have a right," Mallarangang said. "But there are certain things that are sensitive to (their) operation that are regulated by government."

One of those groups that has been outspoken in its rejection of Ahmadiyah is Indonesia's Ulama Council. The chairman of the council, Amidhan, disputed media reports that the council has given Yudyohono's government a deadline to ban the sect or it will issue an edict against voting for Yudyohono.

Amidhan -- who goes by one name -- said the council's fatwa against Ahmadiyah was first issued in 1980, but it had to reissue the edict last year because of complaints that the sect was trying to convert other Muslims.

"We agree Ahmadiyah must be a new religion, not part of Islam," Amidhan said.

The council is an independent organization, but remains very influential. In January, it issued several new fatwas -- including bans on smoking for children and pregnant women, and chanting during yoga. A fatwa is a legal pronouncement for Muslims, but the council said it has no authority to enforce them.

Indonesia's Islamic parties are also adopting more moderate positions to attract more voters, which has caused internal divisions -- particularly for PKS, translated as the Prosperous Justice Party.

PKS legislator Zulkieflimansyah, known as Bang Zul, said the party "is between a rock and a hard place."

"We have to behave like a political party and also an Islamic movement," he said. That has led to a split between the hard-liners and the moderates in the PKS.

"We are using the elections as a test," Bang Zul said. "Hopefully, if we are able to convince the public, PKS will continue to be a significant player in politics."

Another Islamic party, the National Awakening Party, or PKB, said it intends to use the 2009 election to position itself for the next election in five years.

"All parties want to reach the 20 percent threshold (to nominate a presidential candidate), PKB included," said the party's vice secretary-general, Helmy Faishal Zaini. "But realistically almost no party will be able to nominate on its own."

That does not mean that a small party like PKB cannot succeed, he said.

Zaini said PKB hopes it can put forward a vice presidential candidate who could possibly run for the top spot in the 2014 election.

"We need to build a foundation now," he said. "So one way to do this is to join one of the senior people (politicians) with a junior person this time. ...

"2009 could be the beginning of the new generation" of politicians.

@highlight

April 9 elections will determine the makeup of Indonesia's 550-seat parliament

@highlight

Few of over 38 parties expected to get enough seats for a candidate in July election

@highlight

Analysts: Islamic parties won't get enough votes to nominate a presidential candidate

@highlight

Influence of Islam on politics has many nationalist parties changing their strategy