Istanbul, Turkey (CNN) -- Turkey's use of F-16 warplanes to force a Syrian airliner to land and be searched on Wednesday demonstrated a blunt warning to Damascus a week after five Turkish civilians were killed by cross-border artillery fire from Syria.

On Thursday, a day after the Syrian passenger plane was forced to land at Ankara's airport, Turkey's Prime Minister Recep Tayyip Erdogan announced at a news conference that cargo confiscated from the aircraft included "items ... traveling from Russia's agency that exports weapons munitions and military supplies to Syria's defense ministry."

Turkish officials said the use of F-16's to intercept the plane as it flew from Moscow to Damascus was a show of force, to illustrate Turkey would not tolerate the use of its airspace for weapons shipments to Syria.

"We wanted to show that we are serious," said a Turkish foreign ministry official who spoke on the condition of anonymity. Ankara delivered a diplomatic note to Damascus denouncing the alleged use of civilian aircraft to carry military equipment, the Turkish diplomat.

Turkish officials have still not confirmed exactly what the plane was carrying. Just hours after the plane was forced land, however, Foreign Minister Ahmet Davutoglu said that the passenger plane's cargo violated international civilian aviation regulations.

The Syrian Ministry of Information released a statement that said Turkey's claim "has no truth in it," and Erdogan "needs to show those equipments and ammunition in order to prove that he is truthful at least before his own people."

Turkish officials have still not confirmed exactly what the plane was carrying. Just hours after the plane was forced land, however, Foreign Minister Ahmet Davutoglu said that the passenger plane's cargo violated international civilian aviation regulations.

"This is a matter of principle," he said on Turkish broadcaster TGRT. "We are determined to stem the flow of arms to the regime in Syria which so cruelly kills its own people. It is not acceptable that such a thing can be done by using our airspace."

Turkey previously has intercepted Iranian shipments of arms headed to Syria through Turkish territory and airspace over the past year. In those cases, the government remained similarly silent about the exact nature of those shipments, perhaps to avoid embarrassing Iran, a major Turkish trading partner and neighbor.

On Wednesday, Turkey's foreign ministry announced the Syrian plane received a radio message while it was still outside of Turkish airspace, warning that it was suspected of carrying illegal cargo. But the plane's pilot did not turn back, the Turkish statement continued, and F-16 warplanes escorted it until it landed at Ankara Esenboga Airport at 5:15 local time. The Turkish diplomat said cargo boxes addressed to the Syrian Defense Ministry were found on board, inspected and confiscated.

"This is a clear message from Turkey that it will make it hard for Syria to import arms from outside. If the borders and the airspace are being controlled this tightly we can also assume that the sea lanes, the Mediterranean ports might also be kept an eye on by the Turkish navy," said Murat Yetkin, editor in chief of the Hurriyet Daily News.

Syrian officials accused Turkish security forces of mishandling crew members during the plane's stay in Ankara. Transportation Minister Mahmoud Said went one step further, calling the forced landing a "Turkish piracy operation."

"They raided the plane carrying weapons, they handcuffed us, took us out of the plane and threw us at the ground," crew member Heitham Kassir told Syrian state TV, showing bruises on an arm.

Russian officials also expressed concern over the treatment of the Russian nationals, and alleged that embassy officials were not given information about the situation. According to a Russian Foreign Ministry statement, Russian diplomats and doctors dispatched to the airport in Ankara were denied access to the 17 Russians among the 35 passengers.

Turkey's foreign ministry responded in a statement Thursday, claiming Turkish authorities learned there were Russians on board the plane only shortly before it was allowed to take off and that Russian Embassy officials were then apprised of the situation.

"All the necessary precautions were taken to ensure the safety of the passengers," said the Turkish statement.

Analysts say one of the reasons Ankara has not been forthcoming with what was found on the plane -- although there were initial Turkish media reports that the shipment may have contained missile parts or military-grade communication equipment -- is that neither Turkey nor Russia is looking to weaken their strong bilateral trade relations.

"The Turkish and Russians have agreed to disagree on the Syrian issue and seem to have reached the conclusion that Syrian affairs should not effect Turkish-Russian relations," Hurriyet Daily editor Yetkin said.

The Russian ambassador to Turkey was invited to meetings at the Turkish Foreign Ministry discuss the issue, a Turkish government spokesman told CNN.

Once-strong social and trade relations between Turkey and Syria have grown tense over the past year after the Syrian government began a bloody crackdown on anti-government protestors. Ankara backs the anti-government rebels and has called on Syrian President Bashar al-Assad to step down.

More recently, the neighboring countries exchanged artillery fire following the death of five civilians killed by a Syrian shell that fell into a Turkish border village.

Cave becomes classroom for Syrian kids

Other developments in Syria:

An explosion occurred near the Syrian Ministry of Education, according to state-run TV network SANA. The Syrian Observatory for Human Rights, a London-based opposition group, said the explosive was aimed at a military judiciary headquarters. There were no initial reports of casualties.

At least 210 people were killed by Syrian security forces across the country Thursday, including 47 in Idlib, according to the Local Coordination Committees for Syria, a network of opposition activists.

CNN can't confirm reports of violence or casualty counts as access to the country by international journalists has been severely restricted.

For a third day, al-Assad's forces shelled the city of Homs in western Syria early Thursday, the Syrian Observatory for Human Rights reported.

Government troops and rebels have battled on and off for control of the city since the start of the conflict. Twenty people were found dead in Homs on Wednesday, the LCC reported.

North of Homs, in the city of Saraqib, rebels tried to take over government-held positions. Three rebels and a number of government soldiers were killed, the Syrian Observatory said.

Fighting between rebels and regime forces continued in and around the town of Maaret al-Numan in Idlib province, said Abu Abdul Rahaman, who works with an opposition network that documents what the rebels are doing. He spoke to CNN via Skype.

The town is strategically important because it's on an international highway that the government uses to send supplies to Damascus, Idlib, Hama, Homs and Aleppo.

Opinion: Syria conflict threatens regional stability

U.S. observers to Jordan

The United States deployed troops to Jordan to help monitor Syria's stockpile of chemical weapons and determine what efforts to take if violence spreads to neighboring nations, the U.S. defense chief said.

The announcement follows recent news that al-Assad's forces moved some of the weapons for security reasons. Reports have emerged that rebels are focusing their efforts on capturing some of the storage sites.

"We continue to be concerned about security at those sites," U.S. Secretary of Defense Leon Panetta said Wednesday after a meeting of NATO ministers in Brussels, Belgium.

"We want to ensure that security is maintained and we want to be very sure that those (weapons) do not fall into the wrong hands."

Roughly 150 U.S. Army special operations soldiers have been working with Jordanian forces to monitor the chemical and biological weapons sites in Syria while trying to determine how to respond should an issue arise, according to the defense chief.

CNN reported in June that U.S. Special Operations Forces were training and advising Jordanian troops on a range of specific military tasks they might need to undertake if unrest in Syria spills into Jordan or poses a threat to that country. That information came from Defense Department officials who did not want to be named.

Panetta now has publicly acknowledged the troop deployment.

"We have a group of our forces there, working to help them build a headquarters and to ensure that we make the relationship between the United States and Jordan a strong one so we can deal with all of the possible consequences," he said.

A senior Jordanian military official denied Panetta's claims, according to the state-run Petra news agency.

The American troops are in the country for an annual training exercise, the official from the Jordanian armed forces general command told the news agency.

The United States also has been working with Turkey as part of its effort to monitor the weapons sites.

Syria is believed to have one of the "largest and most advanced chemical warfare" programs in the Arab world, said Michael Eisenstadt, director of the military and security studies program at the Washington Institute for Near East Policy.

CNN's Ivan Watson, Yousuf Basil, Talia Kayali, Alla Eshchenko and Hamdi Alkhshali contributed to this report.

@highlight

NEW: Turkey's PM says his country is 'determined to stem the flow of arms' into Syria

@highlight

Syria says Turkey is lying about military cargo on the commercial airliner

@highlight

The U.S. defense chief says 150 troops are in Jordan; Jordan denies a U.S. presence

@highlight

210 people across Syria have been killed Thursday, according to rebels