Mumbai, India (CNN) -- Indian authorities received no warnings about the three deadly blasts that rocked Mumbai Wednesday -- the first major assault in India's largest city since the 2008 siege -- and so far, no group has been singled out for blame, the home minister said Thursday.

The attacks at the height of the evening rush hour killed 18 people and injured 131, Minister P. Chidambaram said. Earlier, authorities had placed the death toll at 21. Chidambaram did not explain the reason for the discrepancy.

Though suspicion fell on a homegrown organization known as the Indian Mujahideen, no one has claimed responsibility, the minister said. The government has been careful not to finger Pakistani militants, who were blamed in the 2008 siege in the same city that left 164 dead.

"All groups hostile to India are under radar," he said. "We are not ruling out anything. We're not ruling in anything. We're looking at everyone and we will find out who is behind these attacks."

He refused to accept a lack of intelligence about the attacks as failure despite widespread anger of Mumbaikars who have witnessed carnage in their city too many times.

"Whoever perpetrated these attacks has worked in a very, very clandestine manner," Chidambaram said. "It's not a failure of intelligence."

Some security experts, however, disagreed.

"I believe behind every successful attack, there's always intelligence failure and failure of physical security," said B. Raman, who formerly worked for India's external secret service.

Unlike other countries in the West that suffered terror raids, India has not strengthened its systems to prevent recurrence of such incidents, Raman said.

"This shows there is weakness in intelligence and security systems," he said.

Mumbai residents were quick to blame New Delhi.

"The government has failed," said Vinay Dhadda, a Mumabi diamond merchant.

"Security systems do not inspire confidence," said textiles trader Puneet Kumar. "Our governments should have learned lessons from the past attacks, but they haven't, unfortunately."

The three blasts Wednesday evening occurred within minutes of each other in the areas of Opera House, Zaveri Bazaar and Dadar, all busy commercial hubs teeming with people. Forensic evidence collected from the scenes suggested that the attackers used ammonium nitrate with a timing device for the detonations, Chidambaram said.

"The fact that the three blasts took place within minutes of each other, separated by perhaps about 8 to 10 minutes, shows that it was a coordinated terror attack," he said.

The bombings Wednesday brought back haunting memories in a city that has suffered from terrorism before, including the massive assault by Pakistani gunmen in November 2008.

"I want to tell you we live in a most troubled neighborhood in the world," Chidambaram said. He called the Pakistan-Afghanistan region "the epicenter of terror."

"We're neighbors," he said. "Living in the most troubled neighborhood, every part of India is vulnerable."

For its part, Pakistan issued a statement condemning Wednesday's attack and expressing "distress on the loss of lives and injuries."

Chidambaram said the attack was aimed squarely at India.

"When an incident like this happens, let me assure you it is not targeted to any foreigners. The target is India's unity, integrity and prosperity," he said. "There are elements hostile to India and do not wish India to grow and prosper."

After the blast, forensic experts and security forces using sniffer dogs pored over the bloody scenes, hunting for evidence. Police hosed down burning debris in the streets. People tried to comfort traumatized survivors.

The area in Dadar is near a train station used by millions of commuters. On July 11, 2006, a series of seven explosions killed at least 174 people on crowded Mumbai commuter trains and stations.

"The sound was absolutely deafening," said Hemant Mehta who was in the Opera House area, near a diamond market that serves as a small epicenter of the city's economy. "People ran and panicked. Words are insufficient to describe (the scene)."

Zaveri Bazaar is near a well-known Hindu temple, in which some people were injured, Mumbai police representative Nisar Tamboli told CNN-IBN. Zaveri Bazaar was one of the scenes of a twin bombing in 2003 that killed 54 people and it also came under attack in the 1993 bombings that left 257 dead.

Wednesday's attack was the first since the 2008 terrorist siege on the city's main train station, two luxury hotels and a Jewish cultural center. Mumbaikars said the targeting of such congested areas meant that the blasts were intended to inflict high casualties.

Thursday morning, as authorities tried to piece together the latest tragedy, daily life in Mumbai's unaffected areas resumed as usual -- millions of people rushing to schools, jobs, train stations. The city remained under a high security alert.

CNN's Harmeet Shah Singh contributed to this report.

@highlight

NEW: An expert blames Indian security failures

@highlight

The home minister says India had no prior intelligence about the attacks

@highlight

No group has claimed responsibility

@highlight

18 people died and another 131 were injured