More than a century before Johnny Depp wore a terrifying crow headpiece in new Disney film "The Lone Ranger," another hero of the Wild West was carefully arranging his own remarkable disguise.

Sometimes he dressed as a preacher, at other times a tramp, and occasionally even a woman.

But beneath the elaborate costumes was always Bass Reeves -- a 19th-century Arkansas slave who became a legendary deputy U.S. marshal, capturing more than 3,000 criminals with his flamboyant detective skills, super strength and supreme horsemanship.

'Texas in Queens': The story of New York City's black cowboys

Sound familiar? As one historian argues, Reeves could have been the real-life inspiration behind one of America's most beloved fictional characters -- the Lone Ranger.

"Many of Reeves' personal attributes and techniques in catching desperadoes were similar to the Lone Ranger," says Art Burton, author of "Black Gun, Silver Star: The Life and Legend of Frontier Marshal Bass Reeves."

"He was bigger than the Lone Ranger -- he was a combination of the Lone Ranger, Sherlock Holmes and Superman," Burton told CNN. "But because he was a black man his story has been buried. He never got the recognition he deserved."

Legendary Lone Ranger

It's a world apart from the fictional Lone Ranger, who remains one of most the iconic Wild West heroes of the 20th century.

First appearing on a Detroit radio station in 1933, the masked man on a white stallion who brought bad guys to justice was hugely successful, with the series running for over two decades. It spawned novels, comic books and an eight-year TV show starring the most iconic Lone Ranger of all -- actor Clayton Moore.

Indeed, Disney's new film -- featuring Armie Hammer as the Lone Ranger and Johnny Depp as his trusty native American Indian sidekick Tonto -- is just the latest in a long line of films depicting the legendary lawman.

So what's that got to do with Bass Reeves -- one of the country's first African American marshals, who was born almost 100 years before the Lone Ranger made his radio debut?

Hi-Ho Silver!

Quite a lot, argues Burton, pointing to similarities such as their gray horses, penchant for disguises, use of American Indian trackers, and unusual calling cards -- Reeves gave folks a silver dollar to remember him by, while the Lone Ranger left silver bullets.

As for the iconic black mask, the link is more symbolic. "Blacks at that time wore an invisible mask in a world that largely ignored them -- so in that societal sense, Reeves also wore a mask," said Burton, a lecturer at South Suburban College in Illinois.

"When the Lone Ranger first started appearing in comic books he wore a black mask that covered his entire face. Why would they do that? There was deep physiological connection going on."

Then there's the Detroit link. Many of the thousands of criminals captured by Reeves were sent to the House of Corrections in Detroit  -- the same city where the Lone Ranger character was created by George Trendle and Fran Striker.

"It's not beyond belief that all those felons were talking about a black man who had these attributes and the stories got out," said Burton. "I haven't been able to prove conclusively that Reeves was the inspiration for the Lone Ranger, but he was the closest person in real life who had these characteristics."

Real life superhero

In fact, if the newspaper clippings, federal documents, and handed-down stories are anything to go by, Reeves wasn't just a lawman -- he was a 6 foot 2 inch moustachioed muscleman who was so honorable he even arrested his own son.

Born a slave in Arkansas in 1838, Reeves headed to the Civil War front line in the 1860s, working as a servant for his master in the Confederate Army.

While there, he managed to escape to the Indian Territory -- now the state of Oklahoma -- living with native American Indians and learning their languages and tracking skills.

So renowned were the father-of-10's shooting skills and horsemanship, that in 1875 he was appointed deputy U.S. marshal.

"He was a big guy for his time," said Burton. "If you got in a fight with Reeves it was the worst decision you could make in your life -- it accounted to suicide.

"He was also an excellent horseman -- the Indians taught him how to make himself appear smaller in the saddle, helping him with disguises."

Such was the skilled rider's love of horses, he even bred them on his farm. Indeed, many of the first U.S. jockeys were African American slaves who had originally worked in their master's stables.

Lost legacy?

In his 32-year career, Reeves became a Wild West celebrity, with folk songs springing up about the marshal with almost mythical strength.

He died in 1910, at the impressive age of 71, just as segregation laws were starting to take effect in his home state.

Last year, a 23-foot (7-meter) bronze statue of Reeves, in all his gun-slinging glory atop a horse, was unveiled in Fort Smith, Arkansas.

"He's one of America's most important heroes and it's sad his story isn't known more than it is," said Burton. "But unfortunately, the majority of black history has been buried.

"Even today, nobody knows where Reeves is buried -- I like to tell people he's still in disguise."

@highlight

Disney releases latest Lone Ranger film, but who was the real-life inspiration?

@highlight

Historian believes it could be African American U.S. Deputy Marshal, Bass Reeves

@highlight

The 19th-century Arkansas slave became legendary lawman in what is now Oklahoma

@highlight

They have many similarities, such as a gray horse, silver calling cards and disguises