(CNN) -- The Baghdad talks over Iran's nuclear program concluded inconclusively with a decision to continue negotiating in Moscow next month. How could they have ended otherwise? Too much suspicion, mistrust and too many complex issues to imagine an early breakthrough. At the same time, the uncertainties reflect something else too.

Let me make a prediction. There will be no war with Iran in 2012 and no comprehensive deal on the nuclear issue either. Sanctions have forced the Iranians to alter the pace of its nuclear program but not to abandon it.

Right now it's in everyone's interest to defuse tensions, and to paraphrase Winston Churchill, to jaw-jaw rather than wah-wah. Unless Iran is prepared to give up its quest for nukes (and it isn't), we've averted war but not eliminated the threat. Think 2013.

For the past six months, the relationship between Iran and the West has been defined by covert war and much talk of an overt one. For the next six, the trope will be "let's make a deal."

The reasons aren't hard to divine. First, sanctions are taking their toll and are on the verge of getting tougher. In early July, the Europeans will impose additional oil sanctions. Second, the position of Supreme Leader Ayatollah Ali Khamenei has been strengthened as a result of parliamentary elections and mullah maneuvering. If he were inclined to show flexibility, the decider-in-chief is in a better position to do it now. And third, let's face it, nobody -- not the Iranians, the Europeans, the Obama administration, not even the Israelis, particularly if they have to do it alone -- wants a war.

All of these factors have combined to create an opening for that almighty and much-revered diplomatic deus ex machina: the process. To be kind, that's just another word for describing how to manage a problem you can't resolve today. The desire to shift from talk of war to actual talk and negotiations is both logical and understandable. In fact, given the limited options right now, a process is much better than the alternative.

The hope is that negotiations can create an opening for a small deal on the nuclear issue in which Iran would agree to enrich uranium at much reduced levels, agree to inspections and perhaps even export its stockpile of weapons-grade material out of the country in return for an easing of some of the less onerous sanctions.

This incremental approach, tiny steps for tiny feet, would buy time and space to enhance confidence and create trust. It might even pave the way for broader discussions on other key issues that divide Iran and the West. Maybe even a grander bargain might follow.

The only problem with this approach is that its chances of success are dubious. In coming weeks and months, the negotiating process may well produce limited understandings. But it's hard to see how these will turn into a sustainable deal that can convince the West, let alone the Israelis, that Iran has given up its quest for nukes. Three major realities will make it all the harder:

Iran wants a nuclear capacity. Outside of the five permanent members of the U.N. Security Council, four nations possess nukes: Israel, India, Pakistan and North Korea. All are fundamentally insecure and perceive nukes as a core advantage in their security and foreign policy theology.

Iran is insecure, but it believes it is profoundly entitled. This mix of vulnerability and grandiosity is a bad combination. The Iranian regime wants the bomb, not primarily to have the option of attacking Israel, a possible fringe benefit, but as a hedge against regime change and as a prestige weapon in its quest for regional power and influence. Had the Shah not been turned out by the 1979 revolution, Iran would already have nukes.

Iran fashions itself a great power, and great powers believe they need the ultimate weapon. Iran's nuclear program is too advanced, too entrenched, too redundant and too secretive to be stopped permanently, even by military attack. To do so, you'd need to change the regime.

The U.S.-Iranian Cold War. The nuclear issue needs to be seen in the context of the broader dysfunction in the relationship between Washington and Tehran.

Truth is, the regime is right. America wants an end to its repression and brutality, freedom for the Iranian people and Iran's regional ambitions curtailed.

There's almost no issue on which Washington and Tehran agree, from support for Hamas and Hezbollah, to backing the Assads, to Iranian terrorism, to support for Shia insurgents, to Iraq and to Israel and the Palestinians. Given the level of suspicion and mistrust, the odds of finding a sustainable modus vivendi soon, particularly against the backdrop of the regime change issue, are slim to none.

As long as the regime is convinced that America wants it replaced and Iran's regional ambitions muzzled, Iran will continue its quest for nukes. Indeed, the nuclear issue can't be separated from the issue of regime insecurity. It's emblematic of Iran's hopes and fears.

Israeli hopes and fears factor centrally into the equation too. We wouldn't have the tough sanctions we do if it weren't for President Obama's and the Europeans' fear of an Israeli strike. Paradoxically, Obama fears an Israeli strike more than the mullahs do. On one hand, you might argue that the Israeli threats have increased the chances of a diplomatic resolution. That would be true, but only if Iran actually feared an Israeli attack or if it weren't determined to continue its quest for nukes.

But the Iranian regime won't stop, and will inch closer to a breakout capacity to produce a weapon. And the Israelis will then have to decide whether to launch a military strike or bring enough pressure on the Obama administration to do so, even if it only means a setback of a year or two. Only one country can stop Iran from acquiring a military nuclear capacity -- that's Iran, should it judge the costs of acquisition too high.

Now process, diplomacy and negotiations are king. But without some fundamental breakthrough in the talks or some other unpredictable event that changes Iranian calculations, we'll be drifting again toward war and the prospective disasters and calamities it will bring.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller predicts no war with Iran in 2012

@highlight

Miller says no firm deal will emerge; Iran wants to be nuclear power too much

@highlight

Miller: The regime distrusts the U.S. and won't give up

@highlight

Israeli strike is still possible, he says. Only big breakthrough will stop Iran's quest