(CNN) -- MetroPCS, the fifth-largest U.S. wireless carrier, appears to be moving to bring more smartphones to lower-income consumers -- and also to capitalize on the FCC's new "open internet" rules which exempt wireless carriers from key net neutrality requirements.

This mixed news could set a precedent that might eventually constrict the kind of mobile internet options available to all U.S. mobile users.

Specifically, on January 3 MetroPCS announced three tiers of plans for its new 4G LTE network. Here's how The Washington Post summarized these flat-rate-per-month offerings:

• $40 "for unlimited talk, text, 4G Web browsing with unlimited YouTube access;"

• $50 "for unlimited talk, text, 4G Web services and unlimited YouTube; also international and premium text messaging, navigation, mobile instant messaging, corporate e-mail and 1 GB of additional data access. With Wi-Fi, customers also get audio capabilities to listen and download music and access to preview and trial video content;"

• $60 "for the same premium features as the $50 plan, plus unlimited data access and MetroSTUDIO premium content such as 18 video-on-demand channels and audio downloads."

On the bright side, these MetroPCS plans cost considerably less than most smartphone plans currently offered by Verizon, AT&T, T-Mobile, and Sprint -- which tend to cost at least $90 per month, with a two-year contract and high early termination fees. Plus, the fact that these are no-contract plans means that customers have more flexibility to switch phones, plans or carriers at will to suit fluctuating budgets.

Such benefits might significantly influence the phone choices of many U.S. mobile users.

But on January 10, a coalition of public interest groups -- including Free Press, Media Access Project, and the Center for Media Justice -- sent a letter to the FCC asking the agency to investigate whether the MetroPCS plans violate the few substantial net neutrality provisions which do apply to wireless carriers.

Under the new rules, mobile providers are forbidden to block access to lawful sites, as well as applications and online services that compete with the carrier's voice or video telephony services. Wireless carriers are permitted to slow delivery of certain content for the purposes of network management. However, they are required to be transparent with the FCC, consumers, and others about how they make these decisions -- and such transparency is so far lacking from the new MetroPCS plans.

In the big picture, the MetroPCS plans might deepen the mobile digital divide by normalizing the practice of charging users more to get full mobile access to a free choice of internet services and content. This would disproportionately affect lower-income mobile users and people of color, who are more likely to rely more heavily on mobile devices for internet access.

As the coalition explained: "Being forced to pay an additional monthly fee for access to new or competing services creates barriers to consumer choice and experimentation, and jeopardizes the social and economic benefits associated with the Internet."

MetroPCS denies that its new plans will limit users' online access. In a statement to The Washington Post, CEO Roger Lindquist wrote:

"The complaints about our new, pro-consumer, pro-competitive 4G LTE rate plans are erroneous. We continue to offer consumers a full service, unlimited data plan. We increased consumer choice by adding two new rate plans that are less expensive and enable consumers to select the service and content they want at a price point they can afford. These new rate plans comply with the FCC's new rules on open mobile Internet."

This year, I expect to see this mobile drama play out on the streets of my own city, Oakland, California.

My recent survey of Oakland mobile users indicated that MetroPCS is the most popular carrier in this economically challenged city -- used by nearly half of those surveyed. Only 30% of respondents used smartphones (a figure that reflects the national average), yet 80% of respondents reported accessing the Web from their phones daily or most days. This indicates a strong drive for mobile internet access.

Just under 40% of those surveyed reported paying less than $50 per month for their phone. (The MetroPCS "$40/everything" plan is especially popular around here.) And according to recently released U.S. Census data, Oakland has a lower median per-household income than the national average. Also, 17.5% of Oakland residents are officially living in poverty.

Internet access connects people to much more than YouTube, LOL Cats, and Skype. It's a portal to opportunity, learning, and much-needed services -- and these days it's necessary in order to apply for many jobs or to interact with social service agencies.

Last December, MetroPCS launched its 4G network in the San Francisco metro area -- and it's reportedly live in Oakland now. I suspect that if the smartphones that go along with the new MetroPCS plans cost less than about $80, many Oaklanders will upgrade -- probably unaware of the limitations carefully built into these plans.

The opinions expressed in this column are solely those of Amy Gahran.

@highlight

MetroPCS is the fifth-largest US wireless carrier

@highlight

MetroPCS appears to be moving to bring smartphones to lower-income consumers

@highlight

It could set a precedent constricting the mobile internet options available to U.S. users