(CNN) -- With all the scary stuff happening in the world -- ISIS, Ebola, take your pick -- it wouldn't be surprising if audiences steered clear of horror.

But in fact, they're doing just the opposite. Two of the most popular TV premieres in October were in the horror genre -- "The Walking Dead" and "American Horror Story," to be exact -- and one of those premieres rivaled the biggest comedy on TV. (That premiere was the season 5 start of "The Walking Dead," to no one's surprise, and it was right behind the viewership for the fall premiere of CBS' "The Big Bang Theory.")

And the list of horror successes could go on. So what's behind our bloody fascination? There are a few theories.

For one, the genre is an excellent antidote to boredom. It's obvious that the first thing viewers are looking for is "enjoyment of thrill," said Mary Beth Oliver, a Penn State professor of media and psychology.

Watching a show in which your favorite character's survival is far from guaranteed can bring about anxiety, she says, but that's also part of the fun.

"In a lot of horror films, the beloved protagonist ultimately gets away, if only for that particular episode or that particular movie in a series," Oliver said. "The anxiety we feel when we're watching the show is palpable, (and) when that protagonist escapes, even by only a hair, then that (anxiety) feeds into our joy at this person's survival. So we don't feel a little bit happy, we feel really happy. It's like watching a close sporting event; it's a lot more thrilling if your team wins after a really close game than after a landslide."

And what if we're feeling anxious before we even sit down to watch a show? Something that's resonated with "Walking Dead" executive producer David Alpert is Chuck Klosterman's idea that zombies are a lot like email: "You kill one, and it's going to draw two more in its place," Alpert said.

"I can work on my email all day, and at the end of the day, I might have more emails than I had when I started. ... You get this looming sense of dread that despite however hard you work, that it's only going to make more work for yourself. Ultimately, you're forced to rethink the way in which you live your life," he continued, not unlike one would have to if faced with a zombie apocalypse.

"I say that kind of sarcastically, but it also has real resonance with me," Alpert said. "When my dad came home from work as a kid, he was done. Unless his office was on fire, no one was calling him. There was no email; no one expected you to respond. Technology has put us in a state where we're constantly reachable, which is great if you're looking to hook up or communicate, but the idea that you're constantly available leads people to expect you to constantly respond, and I think that leads to a heightened state of anxiety. Whether you want to call it globalization and economic fears coming off the economic collapse a few years back, I think we're looking at this situation where people have ... this real sense of unease."

If that's the case, one could imagine that would make that payoff Oliver talks about even greater.

Another part of it, says horror disciple and "Hannibal" showrunner Bryan Fuller, is that the genre lends itself well to a communal experience.

"At the movies, part of the fun is going and sitting with the crowd and jumping in unison and hearing other people as frightened as you are and finding safety in collective fright," Fuller pointed out.

Translate that experience to TV, especially in the era of social media, and watching a series that has a few jump scares, tension and "OMG" moments can make you feel like you're part of a massive viewing collective, even if you're the only one in front of the screen.

It helps, too, that in horror, "the stakes are as high as they get," Fuller added. "It's life and death."

The stakes were also pretty high for networks to air horror shows before series like "The Walking Dead" and "American Horror Story" proved to be audience magnets.

Yet this current captivation with horror isn't just about scares and thrills. (And, it should go without saying, it's far from the first time we've had some great horror concepts on TV.) What the latest wave of genre-inspired series has been able to do is tap into the classic material in a fresh way and reimagine the methods for telling horror on TV.

"When you talk about horror, often people think about the gore, the gross-outs, the jump-scares and the tension, and we have those," Alpert said. "But I don't think people stay for that. It gives you those great moments where you reach over to the other person sitting next to you on the couch and you have that (shocked) reaction, but the reason why you go back is because you care about what happens to the character."

FX realized the appetite for horror shows when it took a chance on "American Horror Story" in 2011, the network's first foray into the genre.

"Having a great concept and having Ryan Murphy's execution on that concept made us feel confident about it," said Eric Schrier, the president of original programming for FX Networks and FX Productions. "I don't think we ever thought it would be the hit that is; the show's huge now, and it's grown over the years. It took a little bit of getting used to for audiences, but once they caught on, they became enamored with it."

That adoration opened the door for Guillermo del Toro's gruesome vampire saga "The Strain" and, according to Fuller, for shows like his own "Hannibal."

"I don't think NBC would have rolled the dice on 'Hannibal' if it weren't for the successes of 'The Walking Dead' and 'American Horror Story,' where they thought, OK, let's try our own brand of horror, which is different from those two but still in the same trough," the showrunner said. "As with any sort of pioneering show, it just takes one to ... expose the audience to the quality of horror storytelling."

NBC isn't the only network eyeing horror; MTV just added an adaptation of the 1996 slasher "Scream" to its 2015 roster. But thankfully, instead of getting 12 "Walking Deads," we got the "Psycho"-inspired "Bates Motel" on A&E; "Sleepy Hollow" on Fox; "Penny Dreadful" on Showtime; and "Hannibal," an elegant but deadly psychological thriller that's amassed a rabid following.

"Horror films have been one of the earliest staples of cinematic storytelling ... so it's been around as long as cinema has been around. All of those things have been in our vocabulary," Fuller said. Now, "all those classic tropes of genre that some would argue are too tired or too stale" are being given "fresh blood for a new audience, and really reinvigorating our taste."

@highlight

Horror on television is drawing monster ratings

@highlight

The current wave is being credited with elevating the genre

@highlight

Shows like "The Walking Dead" and "American Horror Story" paved the way