(CNN) -- Her name was Alice Guy-Blache, and you've probably never heard of her.

That's understandable. Her heyday was a century ago. She was French and spent only a few years in the United States. Her work -- what little of it has survived -- generally lives on in museum collections.

But perhaps you should find out who she is. For Guy-Blache, who died in 1968, was a pioneer in the film industry. She was the first female director. She was perhaps the first to create a narrative film. She was an innovator in storytelling and in business.

Pamela Green is trying to raise her profile.

Green and Jarik van Sluijs, her colleague at the Los Angeles design firm PIC, have created a Kickstarter campaign to secure funding for a documentary on Guy-Blache. The work-in-progress, called "Be Natural" -- after a common Guy-Blache acting instruction -- is attempting to raise $200,000.

Green was inspired by a special about female pioneers in cinema, which also included Mary Pickford and Lois Weber.

"Alice stuck with me," says Green. "And when it was over, I was surprised that I didn't hear (more) about her."

Given her contributions to motion pictures, you'd think Guy-Blache would have attracted more notice.

She was present practically at the creation of the industry, joining French businessman Leon Gaumont -- whose company was one of the first movie producers -- as a secretary in 1894. Two years later, when she was just 23, she helmed a one-reel short, "La Fee aux Choux" ("The Cabbage Fairy").

She started her own company, Solax Films, in 1910, and set up a state-of-the-art studio in Fort Lee, New Jersey, two years later -- the first woman to own a studio. She oversaw more than 1,000 films, many noted for their pioneering use of light, composition and even synchronized sound.

"She had a very important place in film history," says Thomas J. Slater, a film scholar at Indiana University of Pennsylvania who specializes in the silent era. "She was more than just a filmmaker -- she also knew how to organize a production company and get her work out there."

Slater suspects that a combination of factors caused Guy-Blache to fall into anonymity. The business moved to Hollywood; Guy-Blache never really made the move. At the same time, her husband, Herbert Blache, took control of Solax, and she eventually returned to France and divorced him.

And there was also the matter of her sex. Even 100 years later, women struggle for positions of power in Hollywood -- particularly behind the camera. It was big news three years ago when Kathryn Bigelow won best director for "The Hurt Locker," only the fourth woman to even be nominated in that category.

It was a different atmosphere in the teens and early '20s, says Slater. At the time a number of women were screenwriters and directors. But once the business started consolidating, women's creative positions "dropped off drastically," he says. Even Weber, one of the most accomplished directors of the teens, was largely forgotten.

Indeed, from the beginning of the sound era in 1927 until the 1970s, about the only female directors of note in Hollywood were Dorothy Arzner and Ida Lupino.

In the case of Guy-Blache, says Green, "maybe her experience and her accomplishments were something that worked a little bit against her. They didn't want people who knew too much. She kind of encompassed that."

Though the film will make use of old stills and Guy-Blache's work, Green and van Sluijs want it to have a modern look, where -- thanks to computer effects -- the viewer will practically feel inside the frame. The two have the experience: as established creative directors, they've produced sequences for such films as "The Cabin in the Woods," "42" and "The Muppets." The trailer for "Be Natural" invites you into another time.

A number of film luminaries have gotten behind "Be Natural's" Kickstarter campaign, including Robert Redford and Jodie Foster, but the campaign is still well short of its financial goal. (An FAQ explains that despite some stars' participation, "this is not the type of project that gets traditional Hollywood funding, nor is it the type of film that qualifies for educational grants.")

Green is hopeful they'll make it across the finish line. After all, just because she's little known doesn't mean that Alice Guy-Blache is any less inspirational, says Green.

"There's an Alice in all of us," she says. "This is a piece of history, but that's not the story. The story is about a woman who saw the opportunity in a time where she had nothing but obstacles, and she went and did it. The message is, if you have a dream, and you visualize it, you can do it."

@highlight

Alice Guy-Blache was pioneering female director

@highlight

Guy-Blache had her own studio in silent era, directed hundreds of films

@highlight

She's now the subject of a Kickstarter campaign to tell her story