Washington (CNN) -- It's been true since the Wright Brothers first took flight: Bad plane accidents can lead to good safety improvements.

A deadly fire on an Air Canada flight in 1983, for instance, led to lavatory smoke detectors.

And the in-flight rupture of an Aloha Airlines fuselage five years later led to increased scrutiny of aging aircraft.

But what will be the legacy of Asiana Airlines Flight 214, which crashed one year ago this weekend?

CNN talked to safety experts and combed National Transportation Safety Board records for lessons learned in the Asiana crash.

Man vs. Machine

In pilot lounges and aviation blogs, the verdict is in: Asiana's pilots screwed up. The crew over-relied on automation, unintentionally disabled the plane's auto-throttle, did not pay attention to the plane's slowing speed, and failed at basic piloting skills.

That opinion is shared by the NTSB. Last month, the board concluded that the Asiana 214 crash resulted from the "crew's mismanagement of the airplane's descent" into San Francisco International Airport. It outlined a series of mistakes that led to the crash, which killed three teenage girls and seriously injured 49 of the 307 people aboard.

In layman's language, Asiana 214 was caused by pilot error.

But to blame the accident solely on pilot error is to miss the real lesson of Flight 214, past and present NTSB leaders say.

The "one change that I would like to see: Improving the human-machine interface," said former NTSB chairman Deborah A.P. Hersman, who oversaw the crash investigation.

"The Asiana crash involved an inherently safe aircraft that performed as designed and a very experienced crew," Hersman said.

"But it demonstrated that commercial pilots are trained to rely heavily on sophisticated automation, which can become a trap if they don't understand what the system is doing behind the control panel."

At a December hearing, the safety board heard evidence that the Asiana pilots were confused by autopilot modes, believing the auto-throttle would maintain the plane's speed.

"Automation has unquestionably made aviation safer and more efficient. But the more complex automation becomes, the more challenging it is to ensure that the pilots adequately understand it," current safety board acting chairman Christopher Hart said last month.

"In this instance, the flight crew over-relied on automated systems that they did not fully understand. As a result, they flew the aircraft too low and too slow and collided with the seawall at the end of the runway."

The NTSB ruled that "complexities of the auto-throttle and autopilot" systems contributed to the accident.

It recommended that Boeing revise the B-777's operating manual to prevent confusion about the auto-pilot modes.

Boeing says it's faultless

"Boeing respectfully disagrees with the NTSB's statement that the 777's auto-flight system contributed to this accident," it said in a statement. "The auto-flight system has been used successfully for over 200 million flight hours across several airplane models, and for more than 55 million safe landings," it said. "All the airplane's systems performed as designed."

Boeing said it will review the NTSB's recommendations.

MIT aeronautics Professor R. John Hansman Jr. said the most likely outcome of the Asiana 214 crash: "an increased focus on pilot training to maintain basic piloting skills and not become too dependent on automation."

Emergency response

Experts say first responders performed heroically in racing to the damaged aircraft and removing trapped occupants. But about half of the NTSB's recommendations involve suggestions to improve emergency responses.

Improvement is needed in coordination and communications, said Jeff Price, professor of aviation at aerospace at Metropolitan State University of Denver. "I kind of relate it to putting a lot of all-stars on the field, but not have a common game plan."

During the Asiana 214 response, an incident commander placed an officer who had not received aircraft firefighting training in charge, the NTSB said. No injuries could be attributed to the officer, it noted.

The airport fire department also had two vehicles equipped with turrets that could pierce a plane's fuselage. But while the Federal Aviation Administration had given guidance on how to pierce a fuselage, it had not given guidance on when to pierce a plane, the NTSB said.

And two emergency medical buses failed to arrive at the scene, the NTSB said. The buses were not physically deployed during monthly drills, the board said, likely playing a role in the failure to use them during the crash.

"It's those types of things you need to exercise, so that when it's game time, you understand the realities of what you have to do," Price said. "I think it's up to the FAA to raise the standards for airports," he said.

The safety board said the airport initially deployed seven vehicles to the crash, exceeding the FAA-required minimum of three vehicles. And some 23 rescuers were initially deployed, though the FAA has no minimum staffing level. That means victims of crashes at smaller airports "may not be afforded the same level of protection that the passengers of flight 214 had," the board said.

What went right

Experts say the crash could have been much worse; passengers benefited from safety improvements.

"I've watched that (crash) video time and again," Price said. "The structural integrity of that plane remained amazingly intact for what it went through. It was extraordinary. It protected the occupants very well."

"If there's anything good to be had from all the accidents in the past and all the lives lost, it's made for amazing changes in the design of an aircraft," Price said.

The main landing gear sheared away from the wings, by design. Passenger seats withstood the brutal g-forces. Luggage bins did not fall on the passengers or block their evacuation. The jet fuel did not erupt on impact.

And when a fire finally broke out -- the result of leaking oil from the plane's right engine, which came to rest next to the fuselage -- it did not spread quickly. Fifteen minutes passed before black smoke was seen pouring from the plane's left door.

Authorities note that 99% of the plane's occupants survived -- a rate that would have seemed impossible only a decade or two ago.

Indeed, two of the three deaths may have been avoidable, the NTSB said. Two girls ejected from the plane had not buckled their seatbelts, investigators said, and likely would have survived if they had. A fire truck rolled over one of the ejected girls in the chaos of the crash scene.

The third girl had on a seatbelt, but died at the hospital six days later of injuries suffered in the crash.

A year later, survivors recall Asiana Flight 214 crash

Pilots blamed for Asiana crash

@highlight

In pilot lounges and aviation blogs, the verdict is in: Asiana's pilots screwed up

@highlight

The crew over-relied on automation

@highlight

It also did not pay attention to the plane's slowing speed