Honolulu, Hawaii (CNN) -- In her own right, Ann Dunham, the mother of U.S. President Barack Obama, lived an accomplished, international life that began in white-bread Kansas, weaved through Asia-light Hawaii and wound up in Indonesia.

Now an exhibition celebrating her life in the world's most populous Muslim nation is opening in Hawaii featuring her personal art and artifact collection.

Across the east-west palette, Dunham's family and friends paint her as an ardent anthropologist, early maven of microfinance and a cultured, curious explorer.

Her daughter, Maya Soetoro-Ng, proudly wrote of her mother's anthropological work in Surviving Against the Odds: Village Industry in Indonesia, a book based on Dunham's original dissertation from the early 1990s.

"She had so much respect for the communities where she conducted her research. Always logical and rigorous, our mother's scholarship was made truly meaningful by the fact that she loved the people she wrote about and hoped others would hear their song."

Alice Dewey was one of Dunham's first mentors to help compose that tune. Now Professor Emeritus at the University of Hawaii Manoa, she served as Dunham's anthropology adviser in the 1970s. She remembers their connection as an instant match.

"I want her!" recalls Dewey after seeing Dunham's resume on her work in Indonesia.

As it turned out, the pair shared a distinct passion for local Indonesian markets and wares on the central island of Java. As a student herself, Dewey had studied local Javanese markets in the 1950s. Dunham would later extend those studies from the markets to the makers of woven bamboo baskets, tie-dyed batiks and open-fired iron blades.

In a testament to her topical thirst, Dunham pitched Dewey a very broad research plan.

"When she submitted her research proposal to me she wanted to focus on not just one -- but five -- areas of Indonesian trade: batik, bamboo, ceramics, shadow puppetry and blacksmithing."

Dewey forced her to choose one. Dunham settled on blacksmithing, the craft of firing and bending hot iron into such things as knives and cooking utensils.

"But she got us back with a 1,000-page dissertation. The norm was about 300 to 500."

Bron Solyom describes her friendship with Dunham as a bond forged through blacksmithing. Now curator of special collections at the University of Hawaii Library, she and Dunham met as fellow graduate student in the 1970s.

"We had this common, strong interest. Ann saw blacksmithing from an economic aspect -- in how people made a non-agrarian living. And she built up this body of knowledge that was really remarkable."

And Dunham's desire to learn seemed to be unflappable -- even in the face of danger.

Solyom recounted the story of when the two were working in Bali in the early 1990s. After checking in to one hotel, Dunham "was gone for ages" while Solyom waited in the lobby.

When Dunham finally emerged she apologized saying she had had to evict a green -- and likely poisonous -- snake from her room. But before she did that, she had done a photo shoot as the serpent swayed to itself in the mirror.

"She was just calm about things -- and forever curious," remembered Solyom.

That insatiable curiosity also led to copious note-taking -- some of which is just being found.

Dewey recently opened up an old trunk in her home and saw the name "Dunham" written inside. Daunted at the thought of poring over more work from her former student, she says she quickly shut the lid and has not opened it since.

According to her daughter, most of Dunham's notes and other personal effects -- those known and those rediscovered -- will find a final home in the archives of the Smithsonian in Washington, D.C. by next year.

Besides the obvious field notes Dunham left behind, Soetoro-Ng adds that something more intangible is something she thinks of often.

"I do think about her delight. In one photo, her eyes are shut and she's just really letting go with some of her staff and colleagues. That was overlooked at times and in the years since she passed away I've been burdened with the sadness of missing her -- and she died so young. And even though she didn't succeed in marriage and longevity there are many ways her life is a model of success that we can aspire to."

In 1995, just before her 53rd birthday, Ann Dunham died after a short battle with ovarian cancer. In traditional Hawaiian fashion, her ashes were scattered into the waters of the islands. A pre-presidential Obama and his sister Maya Soetoro-Ng performed the honors.

Dewey says Dunham's life poetically concluded the way she lived it "traveling forever around the world," a fitting final journey for an explorer who lived between the east and west for much of her life.

Through Her Eyes: S. Ann Dunham's Fieldwork in Indonesia runs through January 8, 2012 at the East-West Center Gallery, University of Hawaii Manoa. It includes photographs taken during Ann Dunham's years of field research in Indonesia as well as personal artifacts which include examples of metal smithing, jewelry and basketry made in the villages of Indonesia. Dunham's personal art and artifact collection has been augmented by recent purchases to give wider context to her work in Indonesia.

@highlight

Dunham's family and friends paint her as ardent anthropologist and explorer

@highlight

Insatiable curiosity led to copious note-taking -- some of which is just being found

@highlight

Most of Dunham's personal effects will find final home in Smithsonian

@highlight

In traditional Hawaiian fashion, her ashes were scattered into waters of islands