It's a region of crises next door.

A brutal civil war in Syria has spawned an equally, if not more, ruthless crusade in Iraq. Libya is at risk of becoming a failed state. And even Israel -- a relative oasis of calm -- is in the midst of a campaign in Gaza, where people are being killed nearly every day.

What's going on?

A casual observer could be forgiven for being lost. The region, rich in history, is as complex as it can be confusing.

With so many conflicts, on so many fronts, here's a quick look at what's happening:

Iraq

Who's fighting?

The Iraqi government and security forces are battling ISIS, which calls itself the Islamic State. Since spilling into Iraq from Syria, the group has captured city after city, including the country's second-largest city, Mosul.

The United States is supporting the Iraqi military in its effort, by bombing ISIS positions and making humanitarian airdrops.

Why?

ISIS is clear about what it wants: To create a caliphate, or Islamic state, spanning Iraq and Syria.

Its Sunni Muslim fighters have been targeting Iraq's Christians and other minority groups, as well as Shiite Muslims.

"Those people are not people; they are monsters," said a student, 22, who spoke to CNN in the Iraqi city of Irbil, after fleeing his home. "Not monsters; monsters are better."

What's the latest?

The situation on the ground is in constant flux. U.S. airstrikes are ongoing.

More than two years after President Barack Obama brought home forces from the country, officials have ruled out getting involved in a combat role.

But, "when we have the unique capabilities to help avert a massacre, then I believe the United States of America cannot turn a blind eye," the President said.

Will anyone stop ISIS?

Syria

Who's fighting?

What started as a popular protest against Syrian President Bashar al-Assad has swelled into a civil war of more than three years and counting.

The armed opposition is made up of various groups, including the Free Syrian Army. The government says it is fighting terrorists.

Why?

Rebels want an end to the rule of al-Assad, whose government is determined to keep power.

The United Nations says more than 150,000 people have been killed in the past three years.

"No one is winning; no one can win," U.N. Secretary-General Ban Ki-moon said. "Even if one side were to prevail in the short term, the devastating toll will have sown the seeds of future conflict."

What's the latest?

ISIS, also known as the Islamic State of Iraq and Syria or the Islamic State of Iraq and the Levant, is using the opportunity of war to carve a swath of territory deep inside Syria. It has consolidated control over several towns along the Euphrates River in the east.

"ISIL is no longer simply a terrorist organization. It is now a full-blown army," said Brett McGurk, with the U.S. State Department.

Terror havens in Syria and Iraq: Five reasons the West should worry

Israel and Gaza

Who's fighting?

Israel is faced off against the Palestinian side, which includes Hamas, Islamic Jihad and the Palestine Liberation Organization.

Counties in the region, and outside, also have a stake in the outcome. Egypt is attempting to help broker a peace, with the United States playing a supporting role in talks.

"It's a proxy war for control or dominance in the Middle East," said CNN's Fareed Zakaria.

Why?

Israel is calling for Hamas, the militant Islamic group that runs Gaza, to disarm.

Hamas, meanwhile, wants an end to the Israeli blockade of Gaza, a measure Israel says is necessary to stop weapons being smuggled in.

It's a decades-old conflict, with potentially new complications.

Gaza: Why it's different this time

What's the latest?

A brief period of calm was shattered Friday.

The Israeli military said it carried out strikes on militant targets in Gaza in response to a barrage of rocket fire after a three-day truce came to an end without a longer-term agreement.

Renewed hostilities mean more misery for the people of Gaza.

Close to 1,900 people have been killed there so far, including hundreds of children, according to Palestinian health authorities.

The United Nations estimates at least 70% of the dead were civilians.

Israeli officials have said 64 Israeli soldiers and three civilians in Israel died. Israel's Iron Dome missile defense system intercepts many of the rockets fired at populated areas of the country.

What is Hamas' endgame in Gaza?

What is Israel's endgame in Gaza?

Libya

Who's fighting?

Nearly three years after Libyan rebels overthrew a longtime dictator, the country is no closer to a lasting peace. In fact, the fighting is the worst it has been since the revolution.

The civil war that culminated in Moammar Gadhafi's 2011 death has given way to warring militias, which outnumber and outgun the country's security forces.

Why?

The overthrow of Gadhafi created a power vacuum.

Many inside Libya are desperate to get out while others are moving in to take advantage of the increased instability.

"These people do not recognize borders. For them, if there's an opportunity for them to act, they act," Libyan Foreign Minister Mohamed Abdelaziz said about extremists. "And we should not give the opportunity to them."

What's the latest?

Witnesses reported heavy shelling and fighting last month around the international airport in Tripoli, which has been under attack by an alliance of powerful militias from the city of Misrata and Islamist groups.

The fighters are trying to take the airport from militias from the city of Zintan, which have controlled it since the 2011 revolution.

With Tripoli under siege, Libya's newly elected parliament met in far-away Tobruk. It called for an immediate cease-fire under U.N. supervision.

"I must really underline the fact that all the factors at the moment are leading in the direction of a failed state," Abdelaziz said.

July: U.S. Embassy in Libya evacuates personnel

@highlight

The Iraqi government and security forces are battling ISIS

@highlight

A three-year civil war is raging in Syria

@highlight

"No one is winning; no one can win," says  U.N. secretary-general

@highlight

Official warns Libya is at risk of becoming a failed state