(CNN) -- Libya celebrated wildly Thursday with the news of longtime dictator Moammar Gadhafi's death.

But in the aftermath of that party, the country's new leaders will awaken Friday morning to the nation-building equivalent of a huge pile of dirty and broken dishes in the kitchen, not to mention a few bitter guests who aren't quite ready to leave, experts say.

Although Gadhafi's death will probably end the possibility of an insurgency that could have sapped the new government's time and energy, it will do little to heal the myriad divisions within the country, said Fawaz Gerges, director of the Middle East Centre at the London School of Economics.

"The challenges are much greater than basically the celebration we are seeing today in western capitals," he said. "And I think the morning after, we will wake up to a Libya that has changed very little in terms of really mending the rifts inside the country itself."

Libyans celebrate death of longtime dictator

Those rifts include sharp divisions among rebel groups, such as leaders in the western city of Misrata who have refused to recognize the eastern-based National Transitional Council as the country's new government, Gerges said.

And with Gadhafi dead, the primary unifying force that held the rebels together is gone, according to Stratfor analyst Kamran Bokhari.

"The one thing that held all the rebels together was the presence of Moammar Gadhafi, even though the rebels had taken the capital and the focus was to essentially put down any form of pro-Gadhafi resistance wherever it may be, especially in his hometown, Sirte," Bokhari said.

With that accomplished, the question for the rebels becomes whether they will be able to stick together and not "descend into a situation of chaos and civil war," he said.

As for what could happen to Libya after Gadhafi, Gerges said, look no farther than Egypt. The world celebrated with that nation's people in February when intense demonstrations against the rule of longtime leader Hosni Mubarak forced him to relinquish power.

Several months later, the country is ruled by a military council, and fierce political struggles dominate.

"The same thing applies to Libya," Gerges said. "In fact, Libya is much more divided than Egypt or even Yemen," another Arab state that has witnessed protests against its leaders' rule.

The National Transitional Council has achieved remarkable progress since taking power, said Daniel Serwer, a senior fellow at the Center for Transatlantic Relations at the Johns Hopkins School of Advanced International Studies.

"It got the electricity and water flowing; they've got the (financial) markets open. They've got police on the street and even garbagemen collecting the garbage," Serwer said. "That is brilliant."

But many challenges remain.

Figuring out how to create a sense of national reconciliation in a country where few civil institutions survived Gadhafi's rule is but one urgent task for the country's new government, experts said.

It must also deal with armed militias, restore basic services nationwide, make sure things such as Gadhafi's chemical weapons stores are secured and tackle the mammoth tasks of creating a new constitution and government and scheduling elections.

Leaders also have to figure out how to deal with the trials of Gadhafi regime members suspected of being involved in war crimes and address concerns of international human rights groups who fear that former rebels are mistreating and torturing prisoners.

The National Transitional Council has put off dealing with many of those issues since toppling Gadhafi's regime, said Fadel Laman, president of the American-Libyan Council.

But with the former ruler dead and the last city loyal to him under government control, the nation's new leaders can no longer use war to explain any lack of progress to the Libyan people, Laman said.

"There is no Gadhafi for them to use as a crutch," he said.

CNN's Melissa Gray contributed to this report.

@highlight

With Moammar Gadhafi gone, Libya's new leaders must tackle rebuilding, analysts say

@highlight

Gadhafi's death reduces the risk of a crippling insurgency, a Libya expert says

@highlight

But it also removes the primary unifying force that has held the rebellious groups together

@highlight

Numerous urgent issues await the new government