Washington (CNN) -- Most Americans think Supreme Court justices base their rulings on personal political views rather than legal interpretation, polls show, and Thursday's ruling on the politically charged health care reform law will probably reinforce that.

By the narrowest of margins, the high court upheld almost all of President Barack Obama's signature legislative achievement: the 2010 Affordable Care Act despised by conservatives as an expansion of government.

The 5-4 decision prompted immediate criticism from the political right and the dissenting justices that it was an improper judicial overreach.

Meanwhile, the reaction on the left was jubilant, with the Democratic National Committee executive director tweeting in exuberance: "it's constitutional. Bitches."

Republicans have new rallying point

With justices clearly identified as conservative or liberal, based on their rulings and the party affiliation of the presidents who nominated them, any decision on a high-profile, emotional issue such as health care reform seemed certain to exacerbate the perception of politics motivating the ruling.

A recent CBS News/New York Times poll found that 55% of respondents believed Supreme Court justices would decide the health care cases based on personal or political views, compared with 32% who said the rulings would be based on legal analysis.

The same poll found only 13% of respondents believed that justices generally base their decisions on legal analysis, while 76% believed they were sometimes influenced by personal views.

At the same time, polls show public approval of the nation's highest court dipping near or below 50%, which is on the low side of a rating that has exceeded 70% in the past but is historically volatile.

For example, a CNN/ORC International poll in April showed that 50% of respondents approved of how the Supreme Court handled its job, with 41% disapproving and 9% offering no opinion.

Ruling cements Obama's political legacy

To Nan Aron, president of the left-leaning Alliance for Justice, the Supreme Court's role in the 2000 presidential election through the Bush v. Gore case cemented the perception that the justices were guided by political ideology.

"Clearly the public sees the courts as similar to Congress -- the branch where politics trumps everything else," Aron told CNN before the health care ruling was handed down.

Now-retired Justice John Paul Stevens warned of that very eventuality in his dissent in the Bush v. Gore ruling, writing that although the nation may never be completely certain of who won the 2000 election, the identity of the loser was "perfectly clear."

"It is the nation's confidence in the judges as an impartial guardian of the rule of law," Stevens wrote.

Such a dynamic may seem inevitable in an era of stark partisan divide in the country, but court watchers said it shouldn't be that way.

"Precisely because everything is so polarized, there should be one branch of government that people on both sides of the aisle can view as deciding on the basis of law rather than politics, because these issues are so contested," said Jeffrey Rosen, the legal affairs editor for The New Republic, in a recent interview on NPR.

Opinion: Ruling a Frankenstein's Monster

Connie Severino, chief counsel and policy director for the right-leaning Judicial Crisis Network, said on the same NPR program that the Supreme Court "has always maintained a position of being the most revered branch of government."

"What you've seen is a general decrease of public perception of government, and the court has kind of been dragged down along with it," Severino added.

In one way, Thursday's ruling altered a perception in recent years that a conservative majority on the court led by Chief Justice John Roberts held sway.

This time, Roberts joined the court's liberal wing in the health care ruling and wrote the majority opinion, which Scotusblog.com founder Tom Goldstein predicted would change the public view of the court.

Roberts' role in the decision "insulates the court and by extension him from criticism for the next 10 years that it's just a partisan place that's looking for political outcomes," Goldstein told Bloomberg Law.

Had Roberts sided Thursday with the other four conservatives -- Samuel Alito, Clarence Thomas, Antonin Scalia and Anthony Kennedy -- the liberal reaction would surely have been as heated as the anger on the political right.

"This is truly a turning point in American history. We'll never be the same way again," complained Republican Rep. Michele Bachmann of Minnesota, a leading tea party voice against the health care law. She called the ruling "a more far-reaching decision than anyone had expected or imagined."

Gergen: Are voters ready to move on?

Scalia added to the perception of politicized justices this week in his dissent of a Monday case on Arizona's immigration law in which he, Alito and Thomas opposed the majority, which included Roberts and Kennedy.

In the dissent, Scalia criticized the Obama administration's recent policy shift to halt deportations of some young illegal immigrants and complained that the government failed to enforce immigration laws, leaving border states unprotected.

A Washington Post editorial Thursday said Scalia's "lapses of judicial temperament" hurt the dignity of his office and endangered "not only his jurisprudential legacy but the legitimacy of the high court."

In recent years, 5-4 decisions reflected the conservative majority in some high-profile cases such as Citizens United v. Federal Election Commission of 2010, which opened the electoral process to unlimited private funding without full disclosure.

Roberts sided with his fellow conservatives in those cases, while four justices considered to the left -- Stephen Breyer, Ruth Bader Ginsburg, Sonia Sotomayor and the now-retired Stevens -- supported the politically liberal stance.

Since then, Elena Kagan, another perceived liberal, succeeded Stevens on the high court.

The party affiliation of the president who nominated the justices matches the political affiliation now associated with each. Roberts, Alito, Thomas, Scalia and Kennedy all were put forward by Republicans, while Breyer, Ginsburg, Sotomayor and Kagan were nominated by Democrats.

"The court is agreeing to hear many more controversial cases and rendering 5-4 rulings in these cases, which have the effect of politicizing its decision-making," Aron said, adding that "with Citizens United, the inside game has become much more apparent now to many more Americans."

What the ruling means to you

Asked if Bush v. Gore had instigated the shift in public perception that the high court was politically motivated, Aron responded: "I think that's right."

Severino, however, rejected the argument that a single ruling or set of rulings showed any particular political leaning by justices. Harsh reactions follow rulings in any high-profile case, she said, noting the continued public division over the Roe v. Wade decision in 1973 that legalized abortion.

"The fact that a decision like Roe v. Wade was 7-2, something none of us would consider a close case ... and yet has continued to be possibly the most divisive case certainly in this last century by the court, I think that shows that it's not all about just the vote count," she said on the NPR program. "It's about the public perception of whether the court is really being political or is actually deciding based on the law."

An even more one-sided ruling, the 9-0 decision on Brown v. Board of Education that ended school segregation in 1954, also prompted a public outcry, including calls to impeach then-Chief Justice Earl Warren, Aron noted.

The desegregation ruling "galvanized a base of people particularly in the South who were very opposed to that," she said. She added that Roe v. Wade led to further right-wing dissatisfaction with the high court that manifested itself in the nominations of conservative justices by Republican Presidents Ronald Reagan and George H.W. Bush in the 1980s.

Opinion: The Supreme Court punts

More recently, major rulings have followed the 5-4 breakdown, including the Parents v. Seattle School District and Meredith v. Jefferson Co. Board of Education affirmative action cases in 2007, the District of Columbia v. Heller gun control case in 2008 and the Citizens United case.

Shortly after the Citizens United ruling, Obama added to the politicizing of Supreme Court issues by challenging the decision in his State of the Union address as six of the nine justices sat nearby in the packed Congress chamber.

"With all due deference to separation of powers, last week the Supreme Court reversed a century of law that I believe will open the floodgates for special interests --- including foreign corporations --- to spend without limit in our elections," he said to applause. "I don't think American elections should be bankrolled by America's most powerful interests, or worse, by foreign entities."

As Obama spoke, Alito appeared to mouth the words "not true."

Severino, speaking to CNN before the health care rulings, questioned Obama's public criticism of the justices back then, saying the court's role is to decide if "a law is within the constitutional authority of the Congress" and nothing more.

"We don't have a Supreme Court to gauge which way the country's going," Severino said. "We have an elected legislature for that."

Rosen, however, said in the NPR interview that "if it's really a novel argument, and reasonable people can disagree, courts are supposed to defer to the political process and not second-guess it."

CNN's Keating Holland and Bill Mears contributed to this report.

@highlight

Thursday's health care ruling angers the political right

@highlight

Recent poll says public thinks justices base rulings on personal views, rather than the law

@highlight

Analyst: The Supreme Court gets dragged down by party politics in Washington

@highlight

Bush v. Gore case increased the perception of a politicized high court, analyst says