(CNN) -- The six countries in the Gulf Cooperation Council will close their Syrian embassies, the council said Thursday, calling on the international community "to stop what is going on in Syria."

The action, the council said, "confirms its position rejecting the Syrian regime's persistence in killing unarmed Syrian people and ignoring all efforts to resolve the current tragic situation in Syria."

Abdullatif Al-Zayani, the council's secretary-general, "also called on the international community to take urgent and firm actions to stop what is going on in Syria including killing, torturing and flagrant violations of the human rights of the Syrian people."

Council members include the United Arab Emirates, Bahrain, Saudi Arabia, Oman, Qatar and Kuwait.

Nations including the United States and France previously have closed their embassies in Damascus, while Italy, Britain and Spain are among countries that have suspended embassy activities.

The Syrian conflict is entering its second year, with President Bashar al-Assad's fierce crackdown against anti-government enclaves showing no signs of ending. More than 8,000 civilians have been killed during the conflict, the United Nations says, but opposition activists said the overall toll is more than 9,000, mostly civilians.

The numbers have exceeded 9,700 and are "fast approaching 10,000," said Rafif Jouejati, spokeswoman for the Local Coordination Committees of Syria, an opposition activist network.

International officials in a Syrian-led mission will attempt to gauge humanitarian conditions across the turbulent nation this weekend as world powers push for open entree to provide much-needed relief.

Valerie Amos, U.N. under-secretary-general for humanitarian affairs, said Thursday the government will lead a mission to the provinces of Homs, Hama, Tartous, Latakia, Aleppo, Deir Ezzor, Rif Damashq and Daraa. U.N. and Organization of Islamic Cooperation officials will accompany the mission, she said.

"It is increasingly vital that humanitarian organizations have unhindered access to identify urgent needs and provide emergency care and basic supplies," she said in a written statement. "There is no time to waste."

The United States is providing over $12 million in humanitarian assistance through the U.N. and other humanitarian organizations for relief, including $5.5 million to the U.N. refugee agency, $3 million to the International Committee of the Red Cross, $3 million to the World Food Program and $1 million to non-governmental organizations, the State Department said.

Iran, an ally of Syria, said it sent medicine and medical equipment to Syria, Iranian media reported. A plane carrying 40 tons of aid arrived in Damascus. Iranian Ambassador to Syria Mohammad Reza Raouf Sheibani said Iran would send more relief, such as food, ambulances, tents and blankets, "to Syria's crisis-hit areas."

Iran's Red Crescent Society said Wednesday that the supplies were sent in response to a call by the Syrian Red Crescent Society.

The unrest continued on the first anniversary of the Syrian uprising, the widespread grass-roots resistance to the policies and rule of al-Assad. Similar uprisings across the Arab world, from Tunisia to Yemen, and the populace's grinding political and economic grievances inspired the protests.

"One year ago today, Syrians emboldened by the changing tide of history in their region stood up in the streets of Damascus to appeal for their universal rights and freedoms," U.N. Secretary-General Ban Ki-moon said in a statement on Thursday.

A few days later, security forces cracked down on hundreds who turned out in the southern city of Daraa, angry about the mistreatment of local children who were jailed for painting anti-government graffiti. The violence in Daraa sparked the regime crackdown and catalyzed the uprising, which spread to many cities across the country.

"The Syrian authorities responded with brutal repression, which has continued unabated. Its consequences are tragically unfolding before the world's eyes," Ban said.

Along with the thousands of deaths this year, countless other people are missing, thousands are injured and thousands have been displaced. And as the international community ponders a solution, the daily carnage seems endless.

"It is urgent to break the cycle of violence, stop military operations against civilians and prevent a further militarization of the conflict in Syria," Ban said.

The embattled regime pressed on Thursday in its assault across Idlib province, where there is strong opposition sentiment.

According to the state-run Syrian Arab News Agency (SANA), government security forces, which have been bombarding the city of Idlib, cleared it of "terrorist" elements, confiscated explosives and weapons and battled "armed terrorist groups" in the surrounding countryside.

At least 23 people were found dead Thursday morning near a farm west of Idlib, said the Syrian Observatory for Human Rights, a London-based opposition group. The bodies, which bore clear signs of torture, were found blindfolded, bound and shot, the activist group said.

At least 37 people in Idlib were among the 46 who died in Syria Thursday, the LCC said.

Government forces with large-caliber machine-guns, tanks and mortars fired "indiscriminately at buildings and people in the street. After they entered Idlib, government forces detained people in house-to-house searches, looted buildings, and burned down houses," Human Rights Watch said, citing witness accounts.

Residents in and around Idlib are fleeing to Turkey, according to a Turkish diplomatic source, with 1,000 Syrians crossing into the country over the previous 24 hours. Syria is trying to plant mines along the border and deploy a large number of soldiers to the area, the source said.

"This is the reason that prevents a mass influx of Syrians into Turkey. Otherwise it would be tens of thousands, not just thousands," the source said.

At present, there are 14,000 Syrian refugees in Turkey, and the government is working to set up new camps.

Two Turkish journalists who had gone missing during a visit to Idlib province have been seized by regime supporters in the village of el-Fua and handed over to the Syrian secret service, Turkey's Anadolu Ajansi news agency reported. There was no immediate comment from Turkey's Foreign Ministry. It is not known where they been taken.

Aside from the deaths in Idlib, the LCC reported other deaths in Hama, Daraa, Homs and Aleppo.

The opposition Free Syrian Army struck a security force vehicle in the Daraa province town of Tafas and killed the passengers inside. Security forces entered the town and clashes were reported between soldiers and the FSA -- the resistance force led and made up of military defectors.

"The regime's tanks have deployed in Tafas and are firing indiscriminately leading to several martyrs," the LCC said.

Al-Assad's regime routinely insists "armed terrorist groups" are behind the bloodshed in Syria. It says it has popular support for its actions, and Thursday, government news outlets reported thousands of Syrians gathering in city squares to show their "love" and loyalty" for their homeland.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

But most reports from inside the country indicate the regime is slaughtering civilians to wipe out dissidents seeking al-Assad's ouster. The al-Assad family has ruled Syria for more than four decades.

World powers have slammed the al-Assad regime. The Netherlands and Bahrain are the latest countries to close their Damascus embassies. Kofi Annan, the U.N.-Arab League special envoy on Syria, will brief the U.N. Security Council on the situation in a closed teleconference Friday.

Annan, who met last weekend with al-Assad in Damascus, has been trying to get responses from Syrian authorities to proposals laid out over the weekend for ending the bloodshed.

SANA reported Thursday that the Syrian Foreign and Expatriates Ministry "welcomed the visit of the technical team, formed by the U.N. Special Envoy to Syria Kofi Annan, to discuss some issues related to his mission in Syria. The ministry added the step comes in the framework of the efforts exerted by Syria to make Annan's mission a success."

"City after city, town after town, Syria's security forces are using their scorched earth methods while the (U.N.) Security Council's hands remain tied by Russia and China," said Sarah Leah Whitson, Middle East director at Human Rights Watch. "One year on, the Security Council should finally stand together and send a clear message to (al-Assad) that these attacks should end."

Russia and China have balked at supporting tough U.N. Security Council action against Syria.

Human Rights Watch said a resolution should also "provide for targeted sanctions against officials involved in the abuse and an embargo on arms delivery to the Syrian government, and refer the situation in Syria to the International Criminal Court."

CNN's Nic Robertson, Kareem Khadder, Amir Ahmed, Ivan Watson, Joe Sterling, Ashley Hayes and journalist Anna Ozbek contributed to this report.

@highlight

NEW: The six Gulf Cooperation Council countries close their Syrian embassies

@highlight

An assessment mission will start this weekend, a U.N. official says

@highlight

The death toll is "fast approaching 10,000," an activist says

@highlight

U.N.-Arab League envoy Kofi Annan will brief the U.N. Security Council on Friday