(CNN) -- Almost 70 years after the U.S. military dropped an atomic bomb on the Japanese city of Hiroshima, effectively ending World War II, the site of the devastation remains one of the most popular tourist attractions in the country.

And it appears to be getting more popular.

According to a recent report in The Japan Times, visits to the Hiroshima Peace Memorial Museum by foreign tourists hit a record high of 200,086 in 2013.

Local officials confirm that the memorial site is attracting an increasing number of tourists to study the burnt wreckage, painful witness testimonies and human shadows left permanently visible after the atomic bomb explosion's incandescent destruction.

A number of factors lay behind the site's continuing hold on travelers.

Some people describe Hiroshima as a gripping, educational and emotional example of "dark tourism," "grief tourism" or "battlefield tourism," which includes Nazi concentration camps in Europe, Cambodia's torture prison and killing fields, West African slave ports and Manhattan's 9/11 crater.

Most tourists gaze in mute awe at Hiroshima's Atomic Bomb Genbaku Dome, which became a UNESCO World Heritage Site in 1996.

The now-iconic structure, designed in 1915 by a Czech architect, was the city's Industrial Promotion Hall.

When the United States dropped the bomb on August 6, 1945, it exploded just above the building, but didn't totally destroy it because the immediate blast and heat buffered the air at ground zero.

TripAdvisor calls Peace Memorial a top Japan attraction

About 363,000 tourists visited Hiroshima City during 2012, according the most recent statistics.

Americans comprise the largest number, followed by Australians and Chinese, according to statistics for the city and surrounding prefecture.

Countless Japanese also visit.

"The name 'Hiroshima' has been well-known among foreign countries from its history, and recently word-of-mouth effect from visitors adds more reality to it," Hiroshima Convention and Visitors Bureau representative Taeko Abe told CNN in an e-mail. "In recent years, word-of-mouth information from Internet and so on also has a strong influence.

"For example, the Hiroshima Peace Memorial Museum ranked number one ... for the ranking of 'the most popular tourist spots in Japan for foreign tourists' at the travel website TripAdvisor two years in a row."

The Hiroshima Peace Memorial Museum and A-Bomb Dome appeared at the top of a 2012 TripAdvisor list of Top 20 Travel Destinations for Foreign Visitors in Japan.

The Peace Memorial Museum ranks number-two (behind the "shrine island" of Miyajima, also in Hiroshima Prefecture) on the site's current list of Top 20 Must-see Attractions in Japan Awarded by Inbound Travelers.

Nightmarish displays

The atomic bomb was dropped over Hiroshima from an American B-29 bomber.

The explosion obliterated nearly everything within 10-square kilometers (six square miles) in the downtown area, killing 60,000 to 80,000 people.

Radiation poisoning eventually sickened others, resulting in an estimated final total death toll of 135,000 people.

Across the Motoyasu River, which flows in front of the A-Bomb Dome, the Hiroshima Peace Memorial Museum displays evocative exhibits, including a blistered and fused tricycle that a four-year-old boy was riding during the blast that burned him to death.

Photos and documentary films, nightmarish drawings by survivors, scientific explanations of the explosion, plus other artifacts including melted glass and charred clothing, hint at the unimaginable.

"This museum was established by the city of Hiroshima to convey the reality of the atomic bombing to the world, and contribute to the total abolition of nuclear weapons, and realization of lasting world peace," Hiroshima Peace Memorial Museum director Kenji Shiga told CNN in an e-mail.

The museum's growing popularity among tourists is due in part to "the weaker yen and various tourism-promoting activities conducted by the national and local government," Shiga said.

"We also consider the high reputation of TripAdvisor, which attracts a lot of foreign visitors, as one of the biggest reasons" that more travelers arrive each year, he said.

From devastation to hope

The concept of "peace" is one of Hiroshima's biggest attractions.

"Hiroshima City has achieved a remarkable recovery from that devastation, although the first atomic bomb in history was dropped on Hiroshima in 1945, and has pursued everlasting world peace for mankind," said Abe of the Hiroshima Convention and Visitors Bureau.

"Visitors say they feel its most powerful message, that of hope, and appreciate anew the importance of peace," he said.

"The impression of Hiroshima that visitors take away seems to be affected by whether they have had the opportunity to meet and communicate with local people," Abe said.

Bruce Bottomley, 45, an English instructor from Canada, has visited the Memorial Museum, A-Bomb Dome and related sites during repeat trips to Hiroshima.

"My strongest memory is of the watches that stopped at the moment the bomb detonated," he said. "The burnt metal lunch boxes of the young students with the petrified rice still inside is a quiet, jaw-dropping sight.

"I don't know what it is, but I can feel and sense it when I am there. The tales of survivors with photographs are striking and even shocking to a degree.

"I couldn't help think of my grandfather and what he would have been doing in Canada at the same time there was such tragic destruction," said Bottomley, who has also visited the second atomic bomb blast memorial in Nagasaki.

Making the bombing 'real' for new generations

"I visited Hiroshima in July 1998, during my first visit to Japan," said Evan Hayden, 34, an American graphic designer who teaches English in Nagasaki.

"My student group went to the Memorial Museum, the Peace Memorial and the Peace Memorial Park. We saw the [origami] paper cranes while there.

"It made the bombing more of a reality for me and my fellow high school students. Only reading about it in textbooks, and seeing footage on TV, made the event seem abstract and remote.

"It was profound to see artifacts such as a mangled, charred tricycle, as well as people's shadows burned into concrete from the blast," Hayden said.

Difficult history

Debate about whether or not the United States should have dropped the bombs on Hiroshima and Nagasaki continues to swirl.

"I'm against the fact that Japan was bombed, of course, but at the same time, the war kept going in a nasty direction and neither Japan nor the U.S.A. was backing down," said Hayden. "A tragic story."

Hiroshima's memorial is "not a fun thing to do on one's vacation, obviously, but it is an important experience that people can learn a lot from," he added.

Some remain reluctant to visit the site.

"If I do have the chance, I don't know if I will make a visit or not," said Maki Hakui, 43, a Tokyo-based Japanese publisher and translator.

"I should go as a Japanese citizen, taking my daughter with me. Honestly speaking, I feel very reluctant to go, as I know that it will be a tough experience for me," she said.

Today, Japan's National Tourism Organization describes Hiroshima's atomic bomb site simply as, "Negative cultural heritage that tells of the mistakes humanity has made."

Hiroshima Peace Memorial Museum, 1-2 Nakajimacho, Naka Ward, Hiroshima; +81 82 241 4004

Richard S. Ehrlich is a freelance writer from San Francisco. He's reported for international media from Asia since 1978, based in Hong Kong, New Delhi and now Bangkok.

CNN Travel's series often carries sponsorship originating from the countries and regions we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

The Hiroshima Peace Memorial Museum is one of TripAdvisor's top Japan travel sites

@highlight

The museum attracted a record number of foreign tourists in 2013

@highlight

Hiroshima Peace Memorial Museum features photos, films, scientific explanations of the explosion