Editor's note: Jennifer Klein is professor of history at Yale University and the author of "For All These Rights: Business, Labor, and the Shaping of America's Public-Private Welfare State." Her forthcoming book, "Caring For America," co-authored with Eileen Boris, will be published by Oxford University Press next year.

Jennifer Klein says government has played a key role in gaining health care security for workers.

NEW HAVEN, Connecticut (CNN) -- "We worked hard to get it and we're going to keep it," said Nancy Snyder, one of the protesters attending this summer's health care town meetings.

Nancy and her husband Robert, retirees from Philipsburg, Pennsylvania, showed up at a town hall held by Sen. Arlen Specter, in State College, Pennsylvania, with signs condemning socialist takeover of their health care, and she was interviewed by Michel Martin on National Public Radio's "Tell Me More."

When asked how she had insurance coverage, Nancy explained that because her husband was a retired coal miner, they received insurance and care through the United Mine Workers. She attended the town hall because she said she had "had enough of the government interfering with our lives, after working hard all of our lives, especially to get the health care."

The historical reality, however, is that there would be no UMW health and retirement plan without the federal government. Our inability to acknowledge the real role of government plays right into the hands of private companies that have never solved the challenges of health security.

In April 1946, John L. Lewis, leader of the UMW, led the coal miners out on strike around a pioneering demand: employer contributions to a union health and welfare fund. Miners had long suffered debilitating health problems and notorious medical neglect in camps and towns run by authoritarian mine companies. For Lewis, changing the balance of power between workers and owners necessitated independent and guaranteed health security, but the mine owners had no intention of settling.

Facing a strike that could choke the economy, President Harry Truman intervened through the War Labor Disputes Act. With the mines officially under federal jurisdiction, Truman was ready to make a deal. The mine owners however were not as eager.

Truman pressured mine owners into signing a contract in which they would pay for a union Welfare and Retirement Fund -- hospital, medical, and retirement plans -- all financed by a royalty assessed on the amount of coal extracted by union workers.

The Social Security Administration provided technical assistance in designing the union-run welfare program. The settlement was industry-wide, regardless of company, thus equalizing the sharing of risk and the benefits of "social" insurance.

The Social Security Administration and the Public Health Service recruited staff for the UMW program. Physicians, public health experts, and industrial health experts came from the Public Health Service and the Farm Security Administration. The FSA had successfully run rural medical programs during the 1930s and World War II. Through the fund, UMW built a network of well equipped, modern hospitals, bringing about a major improvement in living standards.

Over the next two decades, federal subsidy became more direct. Social Security disability benefits and federal rehabilitation programs aided thousands of disabled miners, many of whom had been bedridden for years. By picking up the tab for rehabilitation and disability support, the federal government also kept the UMW program financially sustainable.

As employment declined and mining families struggled in the 1960s, mineworkers launched widespread protest demonstrations and traveled to Washington to lobby for federal support of UMW hospitals. Presidents Kennedy and Johnson responded with the Area Redevelopment Administration, the 1964 Economic Opportunity Act, the Appalachian Redevelopment Act, and of course, Medicare.

Government stabilized and expanded the miners' health system. Miners were proud beneficiaries of Johnson's Great Society -- today so much maligned by the conservative talk show hosts. Miners continued their pressure, leading to the Occupational Safety and Health Administration, marshalling public force to protect their health in the private workplace.

If Nancy Snyder "did not pay one penny"  for her husband's cancer treatment or her surgeries, it's because government subsidized that care since Robert's early days as a miner.

While she and her husband undoubtedly worked hard for what they have, these were by no means individual or private achievements. They represent shared social projects that were fought for and won collectively. The entire system of employee health insurance emerged because of direct federal support for unions and collective bargaining during the formative decades of the 1940s, 50s, and 60s.

The thousands of people who poured into the Remote Area Medical care emergency clinic on one August weekend in Virginia have no health insurance. They are suffering like the miners of 80 years ago. Who will tip the balance of power again in their favor?

Health care reform will derail once more if we can't learn to talk honestly about public benefits and public goods -- how they protect us from the insecurities and inequities of the market and promote genuine economic security in the face of real imbalances of economic power and resources.

The only moments when health security has been achieved in America are those founded on a partnership between empowered citizens and the federal government.

It's been the American way all along.

The opinions expressed in this commentary are solely those of Jennifer Klein.

@highlight

Jennifer Klein: Town hall protesters opposed changes to health care system

@highlight

She says some argued against government role in health care

@highlight

She says history shows government helped secure benefits for workers

@highlight

Klein: Government role crucial to providing workers with health security