LONDON, England (CNN) -- The view will be one unlike any other.

Climbing up through the clouds at a rate faster than the speed of sound, the sky will darken to a deep blue and then to black. Below, entire mountain ranges, coastlines and cities will shift into focus as the horizon bends around the curvature of the Earth - the thin veil of its atmosphere shimmering against a backdrop of stars.

An emerging space tourism industry may give thousands of travelers a new view of Earth.

And then, of course, there will be the feeling of weightlessness.

"It is just life changing," said Col. Richard Searfoss, a retired NASA shuttle commander."To be outside the atmosphere and see the curvature of the Earth and see so much land area at once, it gives you a sense of separateness but connectedness."

The view of Earth from outer space is a sight that in the history of mankind only a few hundred people have ever seen. But that could soon change as what was once an almost nonexistent space tourism industry slowly matures into what some analysts predict could be a billion dollar enterprise with thousands of passengers by the end of the next decade.

"This is just the beginning of the golden age of space flight," said Peter Diamandis, chairman of the X Prize Foundation, which awarded the $10 million Ansari X Prize in 2004 for the first privately funded human flight to the edge of space."Looking back a thousand years from now, this will be the period of time when the human race irrevocably moved off the planet."

Look back roughly ten years, though, and the idea of sending tourists into space seemed more like science fiction than a viable business plan, said John Gedmark, executive director of the Personal Spaceflight Federation, a trade association representing the space travel industry.

"No one ever thought this was real at all," said Gedmark."It was just completely unthinkable."

But that perception began to change in 2001 when American multimillionaire Dennis Tito became the world's first so-called space tourist, traveling aboard a Russian Soyuz capsule to the International Space Station for a price of around $20 million. Four more tourists have since made the trip.

Another major milestone for the industry has been a growing interest and investment from entrepreneurs like Microsoft co-founder Paul Allen, who financed the development of SpaceShipOne, winner of the Ansari X Prize, and British billionaire Richard Branson, founder of the space tourism company, Virgin Galactic.

"Since then the activity has been more evenly spread and steadier and more consistent and more determined," said Gedmark. "Now you have a number of companies working on multiple fronts to get people into space."

There are now at least a dozen space tourism endeavors worldwide, offering experiences that range from a flight to the fringe of space to astronaut training on a tropical island.

While the companies make up a varied landscape of technological know-how, financial wherewithal and enterprising ideas, they all share one common goal: The desire to conquer what is widely considered to be the final frontier of mankind -- the universe.

"The human species is about evolution and is about moving forward," said Eric Anderson, president of Space Adventures Ltd., the Virginia-based company responsible for arranging civilian trips to the space station on the Soyuz. "Space is filled with infinite resources that can make our lives better."

This October, Richard Garriott, a computer-game developer and son of former NASA astronaut Owen Garriott, is scheduled to become Space Adventures' sixth client to leave the planet followed by a seventh yet-to-be identified passenger next April.

Space Adventures is also planning to build commercial spaceports near Dubai and in Singapore. But Anderson said the next big step involves something slightly further afield - a trip to the Moon.

With a price tag of $100 million per seat, two tourists and a pilot would spend around two weeks board a modified Russian spacecraft with the chance to see an Earth rise from lunar orbit and cruise around the far side of the Moon. The excursion will launch when contracts are finalized with travelers, Space Adventures said.

Suborbital space tourism is also set to take off soon.

For $200,000, Virgin Galactic passengers will undergo several days of training before taking a two-hour flight to the fringe of space - 70 miles above sea level.  From there, the company says, passengers will experience the feeling of weightlessness and see a view of the Earth that spans a 1,000 miles in any direction.

Will Whitehorn, president of Virgin Galactic, said the company has collected $35 million in deposits from 250 would-be space tourists. Another 80,000 have registered interest with the company, he said.

"That figure has been growing month by month the past year, especially as we get finished building the technology," said Whitehorn.

Virgin will begin testing WhiteKnightTwo this summer, said Whitehorn.  The carrier vehicle will ferry suborbital craft SpaceShipTwo, modeled after Ansari X Prize winner SpaceShipOne, 50,000 feet in the sky before releasing it.

"Once we have tested that sufficiently, we will put the spaceship underneath it," said Whitehorn.

Other companies are also jumping in the suborbital space race.

In March, California-based XCOR Aerospace announced plans to build the Lynx, a two-seater rocketship that will carry passengers up into the atmosphere for about $100,000. The vehicle will be the size of a small business jet, capable of making several flights a day, the company said.

And last year, European aerospace giant EADS announced plans for its Astrium space division to develop a line of suborbital jets to satisfy a space tourism market that it predicts could grow to as many as 15,000 passengers a year by 2020.

"The market is there," said Robert Laine, chief technical officer of EADS Astrium."The question is how to build the planes that can satisfy that market and to understand what profits at the end we can make out of it."

.......................

Would you want to take a holiday in space? Is it worth the cost? Leave your views and comments in the Sound Off box below.

@highlight

Space tourism projected to be billion dollar industry by end of next decade

@highlight

More than a dozen commercial space ventures operating worldwide

@highlight

European aerospace company EADS projects 15,000 space travelers by 2021