GREENSBURG, Kansas (CNN) -- There are still piles of bricks and rubble on countless streets in Greensburg, Kansas, a year after a tornado demolished more than 90 percent of the town.

On May 4, 2007, a ferocious twister blasted Greensburg, Kansas, killing 11 people in the town of 1,400.

Yet what is happening in the city's rebuilding process may not only re-invent Greensburg but provide a model for "green" building everywhere.

Just a week after the deadly tornado hit May 4, 2007, a similar idea sparked in the mayor, a representative from the governor's office and a nonprofit expert from a nearby town.

The concept: If the whole town had to be rebuilt anyway, why not be bold and build it as a global example of conservation, energy efficiency and creativity?

Daniel Wallach, the nonprofit specialist, soon got the green light to help residents and businesses start over in a project known as Greensburg GreenTown.

"Kansas is known for being very conservative," Wallach said.  Watch how the town went green »

"My first order of business was to listen. What I heard were a lot of concerns about politicization and being associated with 'tree huggers.' I helped frame it with the people here in such a way they saw, this is their movement," he said.

Fifth-generation Greensburg resident Anita Hohl joined the staff of Greensburg GreenTown as a Web specialist.

"I was pretty green to begin with. I used to get teased about being a tree hugger. Now it's 'the thing!' This has really brought us so much closer together. What you can accomplish when just a few people are working toward the same goal is amazing," she said.

Her farming grandparents instilled the virtue of being energy-efficient.

"My grandma always put her clothes on the line, did her own gardening and re-used everything," Hohl said.

Hohl and her husband, a daughter, a son, four cats, a dog and two birds are among the Greensburg residents in "FEMAville," a cluster of mobile homes set up as temporary housing. The family hopes to break ground soon for their new house and move in by Thanksgiving. Although they have made the best of the cramped quarters, she says, there are some challenges.

"It sort of feels like living in a cheap motel! But it's a lot better than it could be. It's nice to have a place to be," she said.

From the start, the GreenTown staff knew that getting the business community on board with the green plan was vital.

And in rural America, there is no business that's more of a bedrock than the John Deere dealership.

In Greensburg, that dealership has been in the Estes family for four generations. Their facility was wiped out by the twister.

"The building was a total loss. And we saved only 13 pieces of machinery out of 220 on the lot," Kelly Estes said.

"The FEMA guy said he had never seen anything like it. Steel twisted into brick, and then the miles per hour needed to pick up combines that weigh 25,000 pounds and move them half a mile in the air," he said.

Kelly and his brother Mike decided to rebuild in town to the highest green-building standard.

The U.S. Green Building Council establishes a rating system for efficient buildings called LEED, or Leadership in Energy and Environmental Design. The Greensburg facility is aiming for LEED platinum, the most demanding standard.

There is one wind turbine on their new property, a 100-foot structure designed to generate 5 kilowatts of electricity. It is providing power for the construction site.

Although "green" may be viewed as trendy and new by some, Mike Estes knows that it is not for show.

"We're looking at saving money here; truthfully, we are. We're running a business. If we can't make this make sense, why would we do it?" he asked.

And he says the non-political approach of the city in encouraging energy efficiency has helped.

"I don't think it's red or blue to be green; I think green is green, and green makes sense. And green saves you green!" he said with a laugh.

Being a model for the world in energy efficiency is a major goal of Greensburg GreenTown.

But there is another even more urgent aim: keeping this rural town from disappearing. The lack of jobs in many small towns means that after teenagers graduate from high school, they have to leave to find other opportunities.

"The average age of people living in rural communities is in their 50s," Wallach said. "There are very few folks in the communities under that age, because there are just no jobs. Families have been split up for decades."

So in addition to the long-term goal of Greensburg's pre-tornado businesses from leaving, people hope to attract new green trade as well. The city wants to open a biodiesel facility as one of its first green newcomers.

Another long-term goal is to have 100 percent renewable energy. It is probable that the greatest contribution would come from large wind turbines.

"The timing of all this is, in some ways, almost spooky," Wallach said. "It's like the world was ready for this to happen, for a town to be completely re-imagined. The tragedy was terrible. But the folks here know that it also provided an incredible opportunity." E-mail to a friend

@highlight

Greensburg rebuilds "green" after tornado demolished 90 percent of the town

@highlight

Long-term goal is to have 100 percent renewable energy

@highlight

The city hopes to open a biodiesel facility as one of its first green newcomers

@highlight

Nonprofit expert says terrible tragedy "also provided an incredible opportunity"