(CNN) -- The leaders of Turkey and the United States are huddling in Washington on Thursday over how to handle the Syrian civil war, the raging conflict that has left an estimated 80,000 people dead and a few million displaced -- despite more than two years of diplomacy to halt the bloodshed.

President Barack Obama and Prime Minister Recep Tayyip Erdogan, meeting in Washington, discussed how to strengthen the Syrian opposition, help the many people displaced by the war, and mobilize the international community to put more pressure on Syrian President Bashar al-Assad and forge a political transition.

They spoke as the warfare in Syria raged Thursday. The opposition Local Coordination Committees in Syria said at least 63 people were killed, including 45 in Damascus and its suburbs.

"We're going to keep increasing the pressure on the Assad regime, and working with the Syrian opposition," Obama said. "The prime minister has been on the forefront of the international effort to push for a transition to a democratic Syria without Bashar Assad. And Turkey is going to play an important role as we bring representatives of the regime and opposition together in the coming weeks."

Obama said he and Erdogan agree that al-Assad needs to transfer power.

"That is the only way we're going to resolve this crisis. And we're going to keep working for a Syria that is free from Assad's tyranny, that is intact and inclusive of all ethnic and religious groups, and that's a source of stability, not extremism, because it's in the profound interest of all our nations, especially Turkey."

Turkey has been a major player in the effort to push for change in Syria, which sits on its southern border. At one time, Erdogan and al-Assad had close ties, but the war has made them antagonists. Turkey has long harbored many Syrian refugees and hosted opposition entities.

"I've made it clear again today that the United States is going to keep on helping countries in the region, including Turkey, shoulder this burden, doing our part as a major donor of humanitarian aid to the Syrian people, including those refugees in Turkey. And we're going to keep working with our Turkish partners to deliver the food, shelter and medicine that's needed to save lives."

Erdogan said ending the war and meeting the people's demands for a new government "are two areas where we are in full agreement with the United States. Supporting the opposition and Assad leaving are important issues. "

"We also agree that we have to prevent Syria from becoming an area for terrorist organizations. We also agreed that chemical weapons should not be used and all minorities and their rights should be secured. These are all priority areas for all of us," he said.

Obama said that solid evidence of chemical weaponry would constitute a red line in the conflict and produce major consequences.

"I've said in the past, we have seen evidence of the use of chemical weapons inside of Syria. It is important for us to make sure that we're able to get more specific information about what exactly is happening there," he said.

"But separate and apart from the chemical weapons, we know that tens of thousands of people are being killed with artillery and mortars and that the humanitarian crisis and the slaughter that's taking place by itself is sufficient to prompt strong international action."

He cited a "whole range of options that the United States is already engaged in" and said he preserved "the options of taking additional steps, both diplomatic and military, because those chemical weapons inside of Syria also threaten our security over the long term as well as our allies and friends and neighbors."

"This is also an international problem, and it's very much my hope to continue to work with all the various parties involved, including Turkey, to find a solution that brings peace to Syria, stabilizes the region, stabilizes those chemical weapons, but it's not gonna be something that the United States does by itself, and I don't think anybody in the region, including the prime minister, would think that U.S. unilateral actions in and of themselves would bring about a better outcome inside -- inside of Syria."

Diplomatic moves

On Wednesday, the United Nations General Assembly adopted a resolution calling for a political transition in Syria.

The resolution, which passed by a 107-12 vote, with 59 abstentions, also condemned the government's increased use of heavy weapons and ongoing "widespread and systematic gross violations of human rights and fundamental freedoms," said a U.N. statement.

It was the fifth resolution on Syria voted by the body since 2011.

"If we are unable to do anything to stop this tragedy, then how can we sustain the moral credibility of this organization?" Assembly President Vuk Jeremic said before the vote, according to the statement.

Meanwhile, in Sweden, U.S. Secretary of State John Kerry and Russian Foreign Minister Sergey Lavrov discussed the revival of a peace initiative based on last year's Geneva conference.

That conference, brokered by Russia and the United States, outlined how a transitional government could be formed in Syria.

"I think it's fair to say that both of us are confident about the direction that we're moving in and very, very hopeful that within a short period of time, the pieces will have come together fully so that the world, hopefully, will have an opportunity to be given an alternative to the violence and destruction that is taking place in Syria at this moment," Kerry said.

Lavrov cited the Russian-American proposal to convene a conference to start implementing the Geneva communique last June.

"It's self-explanatory, and what we need now is to mobilize support for this initiative on the basis of what was, I believe, in Geneva and what was proposed by Washington and Moscow: to mobilize support, first of all, by all the Syrian groups, the regime and all opposition groups; and second, by those outside actors who have influence on either one or the other Syrian group," Lavrov said.

Obama and Erdogan addressed the Geneva initiative.

"I do think that the prospect of talks in Geneva involving the Russians and representatives about a serious political transition that all parties can buy into may yield results," Obama said.

Erdogan said that "we will continue to explore what we can do together, what we can consider as part of a road map looking at Geneva and beyond."

READ MORE: Obama cautious on Syria, Britain ups urgency for peace

READ MORE: Heart-eating video raises pressure to end Syrian war

READ MORE: Chemical weapons in Syria? Why Obama still needs convincing

@highlight

President Barack Obama, Prime Minister Recep Tayyip Erdogan talk to the media in Washington

@highlight

The unrest in Syria has persisted for more than two years, despite diplomatic efforts

@highlight

Opposition group says fighting killed at least 63 people Thursday

@highlight

Obama says the Geneva initiative looks promising