(CNN) -- More than 20,000 confidential Boy Scout documents will be released Thursday identifying more than 1,000 leaders and volunteers banned from the group after being accused of sexual or inappropriate conduct with boys.

The public release of the Scouts' 1,247 "ineligible volunteer files" from 1965 to 1985 will not contain the identities of the boy victims and witnesses. The national files are being distributed with the approval of the Oregon Supreme Court by a law firm that won an $18.5 million judgment in 2010 against the Boy Scouts in a case where a Scoutmaster sexually abused a boy.

Wayne Perry, president of Boy Scouts of America, said the group is deeply committed to youth protection, but he acknowledged that in some cases, the organization's response to allegations of abuse by volunteers "were plainly insufficient, inappropriate or wrong."

"Where those involved in Scouting failed to protect, or worse, inflicted harm on children, we extend our deepest and sincere apologies to victims and their families," Perry said in a statement issued Wednesday evening. "While it is difficult to understand or explain individuals' actions from many decades ago, today Scouting is a leader among youth-serving organizations in preventing child abuse."

Police: Couple hosted strip club, abused kids

The Boy Scouts opposed the release of the internal records and said their confidentiality has encouraged prompt reporting of questionable behavior and privacy for victimized boys and their families.

"While we respect the court, we are still concerned that the release of two decades' worth of confidential files into public view, even with the redactions indicated, may still negatively impact victims' privacy and have a chilling effect on the reporting of abuse," the organization said.

The Scouts also released a September report from a University of Virginia psychiatry professor, Janet Warren, who concluded that the system "has functioned well in keeping many unfit adults out of Scouting."

But the attorneys representing victims in several lawsuits against the Scouts say the group hid evidence from the public and police and that the so-called "perversion files" offer insight into what they deem a serious problem in the organization.

The secrecy protected more than 1,000 suspected child molesters, said the attorneys, who will publicly release the documents during a news conference in a downtown Portland hotel. The attorneys are also seeking the release of post-1985 files from the Boy Scouts.

Victim to Sandusky: 'Because of you, I trust no one'

The files will show that the expelled Scout leaders and volunteers -- all men -- "are sociopathic geniuses," said attorney Kelly Clark of Portland, who has reviewed the 20,000 pages and is among the attorneys releasing the papers Thursday.

"They fool everybody," he said. "And then they are able to coerce, convince or threaten these kids to stay silent. And you see that play out over and over again in the files."

Clark said he represents more than 100 men who as children were in the Boy Scouts, and he estimates that more than 50% of his clients have drug or alcohol problems. At least three of them have committed suicide, he said.

Tim Kosnoff, an attorney in Seattle, said the abuse allegedly inflicted on the men as boys "has a corrosive effect" in which trust, relationship and sexuality issues develop with adulthood.

One former Boy Scout represented by Kosnoff, Keith Early, joined the group at 12, recruited by an assistant Scoutmaster who was a married firefighter with three children and led Scout meetings in a church in Washington state.

Early, now 18, was sexually abused by the Scout leader while helping build a Boy Scout camp on his 42-acre ranch, he said in an interview with CNN. The assistant Scoutmaster was convicted of abusing Early and another boy and is now serving a prison sentence of 10 years to life.

"I felt like I was all alone," Early said. "Just thinking about it makes me angry ... because how could you do that to somebody? How could you bring yourself to do that to somebody who is so innocent and has done nothing wrong?"

Ex-Peace Corps volunteer gets 15 years for abuse

The number of files started each year ranged from 25 to 75 at a time when about 5 million Scouts and volunteers were active, according to Warren's report. In most cases, "police, courts and public were aware of the information in the files," and 58% "included information known to the public."

There were "a small number of files where an alleged offender was allowed back into Scouting after offending," often after psychiatric treatment, "those cases were extraordinarily rare," wrote Warren, who was an expert witness for the Boy Scouts during the court case.

Tim Hale, a Santa Barbara, California, attorney who's representing allegedly abused Scouts who are now adults, said the released documents could provide information about possible pedophiles.

"We're talking about hundreds, if not thousands, of unidentified men who should be registered sex offenders who are roaming free in society, free to volunteer with other youth organizations, to work at schools and that sort of thing," Hale said.

The Boy Scouts disputes that characterization of their files.

In a September 20 statement released by the Boy Scouts, Warren rebutted the characterization that the documents were "secret files of hidden abuse" by pedophiles.

"The files show a significant amount of public knowledge of the offenders and their unlawful acts. For example, over 60% of the files being made available to the public include some kind of public information. These public domain sources included newspaper articles, police reports, criminal justice records, and records of civil litigation. The majority of men in the files were arrested at some point in their lives for a sex crime," Warren wrote.

Scouts study says kids safer with them than at home

The files are also "very limited in their ability to answer important research questions about sexual abuse," she said.

"While some have attempted to categorize these files as a 'treasure trove' of information about pedophiles and their actions, that simply is not the case," Warren said. "These files tell us precisely what researchers already knew, and have known for many years: some small number of men will use a position of trust and access to young people to pursue illegal sexual gratification. This is a sad reality that has been with us throughout human history."

The Boy Scouts say they have improved their youth protection policies the past decade and have initiated such practices as third-party, computerized background checks on all new adult volunteers. Also, at least two adults are present at all scouting activities, the group said.

The Scouts, founded by congressional charter in 1910, instituted character reference checks for Scoutmasters in 1911 and, by the 1920s, began using an ineligible volunteers list deemed not having "the moral, emotional or character values for membership," the group said.

Opinion: What Scout abuse scandal teaches us

In June, the Oregon Supreme Court upheld a lower-court decision to release the documents as requested by media outlets.

"The court had discretion to order, on good cause shown, the release of those documents subject to the redaction of names set out in the exhibits to protect victims of child sexual abuse and reporters of child sexual abuse from embarrassment, retaliation or other harm," the state Supreme Court said in its order. "The court in this case properly exercised that authority."

The media companies seeking the release of the files were the Associated Press, The Oregonian newspaper in Portland, Oregon Public Broadcasting, KGW (a CNN affiliate), The New York Times and Courthouse News Service.

Those media outlets intervened in a 2010 lawsuit in Oregon that resulted in the largest judgment against the Scouts in a molestation case.

That year, an Oregon jury found the Boy Scouts liable for the sexual abuse of a 12-year-old boy more than 25 years earlier, returning a verdict of $18.5 million in punitive damages.

Catholic bishop convicted of shielding abuser

The plaintiff, Kerry Lewis, then 38, allowed his name to be used publicly during the trial, according to his attorneys. He was among six men suing the Boy Scouts over allegations of sexual abuse.

Lewis' attorney, Clark, produced documents during the six-week trial that he said were part of an archive of previously secret Boy Scout files chronicling decades of abuse of boys.

Clark said that when his clients were boys during the 1980s, the Boy Scouts knew that at least one of them had been abused by a former assistant Scoutmaster. At the time of the 2010 trial, that former assistant Scoutmaster was a 53-year-old convicted sex offender released from prison in 2005 and paroled until 2013.

Clark also alleged that though the Scout leader was removed, he was allowed to stay on as a volunteer and the abuse continued. In 1983, the assistant Scoutmaster told troop leaders he abused 17 Scouts, according to plaintiff's attorneys.

In its verdict, the jury held the Boy Scouts of America 60% negligent; the Cascade Pacific Council, which oversees Scouting activities in the region, 15% negligent; and the Church of Jesus Christ of Latter-day Saints 25% negligent.

The church has sponsored a number of Boy Scout troops, including the one to which the plaintiff belonged. A lawyer representing the church said then that the verdict had no impact on the church, because it settled the case out of court more than a year earlier.

Sandusky sentenced to 30 to 60 years

Late BBC presenter accused of abuse

CNN's Chuck Conder contributed to this report.

@highlight

NEW: Boy Scouts president offers "deepest and sincere apologies" for victims

@highlight

NEW: Most files contained public information such as police reports, professor says

@highlight

Attorneys representing victims will release 1,247 Boy Scouts files on "ineligible volunteers"

@highlight

The files will show the names of Scoutmasters banned from the group for "perversion"