(CNN)Rescue workers are trying to find eight people still missing from the TransAsia Airways plane that crashed into a river in Taiwan on Wednesday, amid concerns that some of them might have been swept away by currents.

Thirty-five people have been confirmed dead from the crash of TransAsia Airways Flight GE235, and 15 people survived, many of them with injuries, according to Taiwan's official news agency, CNA. Two people on the ground were also hurt.

Searchers continued to recover bodies of victims Friday, CNA reported, citing Taiwan's Civil Aeronautics Administration. Pieces of wreckage from the ATR 72 twin-engine turboprop aircraft have been hauled out of the Keelung River in Taipei,  the Taiwanese capital.

Rescuers fear those people still unaccounted for may have drifted downstream toward the larger Tamsui River. Divers have put up a net about 5 kilometers (3 miles) from the crash site to try to catch the missing bodies, authorities said.

Taiwan's President Ma Ying-jeou visited the injured in the hospital on Thursday and also went to a funeral parlor to express his condolences, his office said.

Some of the survivors have begun to give their accounts of the disaster in which the aircraft veered out of control shortly after taking off en route to Kinmen, a group of islands near the coast of the Chinese province of Fujian, then clipped a bridge before plunging into the river.

And a recording from the cockpit of the plane captured someone making a mayday call because of an engine problem shortly before the crash.

Huang Chin-shun, a 72-year-old survivor, told CNN affiliate ETTV from his hospital bed that he sensed something was amiss soon after takeoff.

"I thought something's wrong with the engine because I always take this flight," he said.

"There was a girl beside me, and I told her to quickly release her safety belt, hold on tight to the chair in front, and cover her head with clothes," Huang told the broadcaster. "It was not long after I told her this that the plane went down."

After the crash, he said, he helped pull several people out of the submerged wreckage, injuring himself in the process.

The plane's flight data recorder and cockpit voice recorder have been recovered and their contents downloaded, said Wang Hsing-chung, the managing director of Taiwan's Aviation Safety Council.

Investigators are analyzing the data from the so-called black boxes and may release key parts of the information Friday, Wang said. But the full analysis is expected to take months.

In the meantime, bits and pieces of information have come out that shed light on the aircraft's final moments.

They include a male voice on a recording of radio conversations between air traffic control and Flight GE235 who says, "GE235. Mayday, mayday. Engine flameout."

The recording was verified by LiveATC.net, which records air traffic control feeds around the world. It is unclear whether the man was a pilot. The plane's cockpit crew were among those confirmed dead, authorities said.

A pilot who once flew ATRs for American Airlines said it looked like the plane was gliding when dash-cam video from several angles captured the moments of the crash.

Stephen Fredrick pointed to the position of the nose, slightly down, and the wings, level.

"As it gets closer to the highway, there's a change in the pitch attitude (position of the plane) and it appears the aircraft (left) wing stalls, or loses lift. That's what causes the dramatic turn to the left," Fredrick told CNN's "The Situation Room with Wolf Blitzer." "It's what causes the aircraft to come down more forcefully and crash."

The plane was 3 miles (5 kilometers) from the airport, Fredrick said, at a point where the pilots should have been able to continue with the flight even if one engine failed. The distance indicated to him that the engine problem occurred well after takeoff.

"It appears that it could have had a single-engine flameout, it could have had a dual-engine flameout," he said. "Those are things we're going to learn."

The left propeller was also set to a position for flight, rather than to a position for an inoperable engine, he said.

That could have caused drag and prompted the left wing to stall, CNN aviation analyst David Soucie said. Pilots normally before a flight will turn on a system that automatically adjusts the position of the propellers, the experts said.

A dash-cam video captured the moment the plane hurtled out of control above the city's Nanhu Bridge before crashing into the river, just after 11 a.m. local time (10 p.m. ET).

CNA reported that the pilot appeared to try to control the aircraft as it descended, but the aircraft's wing grazed the overpass, clipping a passing taxi.

Taipei Mayor Ko Wen-je said that after reading a report on Flight GE235's route, he was grateful to the plane's captain, who he said made efforts until the last moment to reduce casualties and damage.

Ko said the situation could have been worse if the plane had crashed on the highway or hit nearby high-voltage electricity lines, according to a statement from the city government.

"He did his best," Ko was quoted as saying.

Taiwan's Civil Aeronautics Administration said it had ordered local airlines to carry out inspections on all their ATR 72s before they can fly again. The special checks will look at various aspects of the engine system, including fuel and propeller control.

TransAsia has to inspect 10 planes, while another carrier, Uni Air, has to examine 12 aircraft, according to the agency.

The plane that crashed was less than a year old and had last completed a safety check on January 26, it said.

President Ma said the government must "think things through and make improvements."

"The government must strengthen aviation safety in the country and not let the same thing happen again," the statement from his office said.

Hours after the crash, TransAsia Airways CEO Chen Xinde extended a "deep apology to the victims and our crew."

He said 31 of the passengers aboard the flight were Chinese tourists, including three children. Twenty-two passengers were from Taiwan, including one child.

The airline had sent the passenger manifest to authorities, and families were confirming the identities of the deceased, he said.

TransAsia said Thursday that it has started to give families emergency condolence money of 200,000 Taiwanese dollars ($6,360) per victim. It said it would also give extra funds for funeral arrangements of 1.2 million Taiwanese dollars ($38,160) to families identifying bodies.

The TransAsia crash is the latest in a number of plane disasters involving Asian carriers.

AirAsia Flight QZ8501 crashed on December 28 as it flew from the Indonesian city of Surabaya toward Singapore. There were 162 people on board.

In July, Malaysia Airlines Flight 17 was shot down over eastern Ukraine, killing all 298 people aboard.

TransAsia was involved in another deadly disaster in July of last year. Forty-eight people died on TransAsia Airways Flight 222, another ATR 72 aircraft, as it was attempting to land in the Taiwanese Penghu Islands during bad weather.

TransAsia had lost two other ATR 72s previously -- one that crashed in the mountains in 1995, killing the four crew members on board, and one that crashed into the sea in 2002, killing the two pilots, according to CNA.

The biggest recent mystery has been the disappearance of Malaysia Airlines Flight MH370. It disappeared on March 8, 2014, and has not been found.

CNN's Elizabeth Joseph, David Molko and Katie Hunt, as well as journalist Andy Lee, contributed to this report.

@highlight

At least 35 people were killed in the plane crash, Taiwan's official news agency says

@highlight

Divers put up a net to try to catch bodies that may have been swept downstream

@highlight

"I thought something's wrong with the engine," a survivor says from his hospital bed