(CNN)In the movie "Field of Dreams," Kevin Costner plays Ray Kinsella, a man who listens to a voice inside his head. The voice tells Ray to plow under his sole source of income -- his Iowa cornfield -- and build a baseball diamond for the ghosts of long dead Chicago Black Sox stars to come play in. The voice in his head says don't test out the idea, don't talk to anyone to see if it'll work, just build it, and they will come. Kinsella builds the field, the ghosts of the players arrive, and he's vindicated. That's how it works in the movies.

In reality, of course, it doesn't work that way. Just because you can build something doesn't mean you should. Even if you cook up something cool and new and make it available, real people may still not want it.

Google seems to have stumbled on that simple fact last week. The tech world was surprised by an announcement that on January 19, Google Glass will be withdrawn from the marketplace. Sales didn't catch fire. Apparently, people didn't have much use for it.  Google may have needed to stop and listen to the needs and emotions of people in the everyday world of consumers.

Good things certainly flowed from Google Glass. A mainstream conversation started about wearable tech, taking it out of the lab and thrusting it into the clutches of consumers. By pushing its agenda into this area, Google will help open the floodgates of products that deliver the promise of the Internet of Things.

Google Glass is a demonstration of what gives American business an edge. This kind of applied technology, that creates leaps into a whole new category of products and economic territory, is the essence of American competitiveness.

But Google's fast retreat exposes the most fundamental sin that companies make with the "build it and they will come" approach. It's a process that tech companies rely on, referred to as public beta testing. But, in one sense, it treats consumers like guinea pigs: a company such as Google invents a test product such as Google Glass, throws it into the marketplace and asks people to actually pay (in Google Glass' case: $1,500) for the privilege of beta testing their unfinished brainstorm. Companies are so focused on the mousetrap, like Google Glass, they tend to lose touch with the emotions and needs of the people they actually work for: consumers.

Astro Teller, head of Google Glass development at Google X research labs, admitted as much. The team looked inside Google to the technology they could produce, to make Google Glass, and they didn't fully understand what value Google Glass would play in people's lives.  There are other clues that Google had little advance interest in their consumers' real feelings about the value of smart eyeglass technology.

Before launch, Google didn't anticipate that few would want to pay (or could afford) $1,500 to parade in public with a device slung around their eyes that others might perceive as either a threat to others' privacy or a pretentious geeky gadget.

Google designated early adopters as "Explorers," but the outside world didn't quite see them that way. "Glasshole" was the word people invented to describe Google Glass wearers. They were thrown out of bars and banned from movie theaters because of privacy and intellectual property concerns. Google Glass showed, yet again, that Silicon Valley's idea of fashion has precious little to do with the tastes of the rest of the world.

Google execs were taken aback: they'd never anticipated rejection.  Sebastian Thurn, a key exec on the Google Glass team,  was shocked by the Glasshole label and surprised that for his officemates, wife and family, "it was much less desirable for me to wear it than I initially thought."

Is that tone deaf? Maybe. But more than anything, Google spent its time looking inward, at how to make a product that would fit their business agenda of capturing more personal data, rather than looking outward. That was a critical mistake. Feelings and emotions that consumers bring to a product are the pistons of the consumer demand engine -- the "demand drivers" of why someone wants a product to begin with.

Those drivers were there to be discovered and applied to the Google Glass product development process -- and none of those are connected to the company's ultimate goal of having people hand over yet more data to Google. Privacy, for example, is known as a big issue in wearable tech. Consumer confidence in the security of digital channels is low. There is not one mode through which a majority of Americans are "very secure" sharing private information.

How Google protects information through product design helps determine whether a person will be interested in buying their product.  Google, more than any company, is familiar with this tricky relationship between technology and privacy. Yet it designed a product that raised but didn't acknowledge and address these concerns.

Google seems to have also missed that fashion is personal -- and that is no less true in wearable tech.  Any wearable tech that typecasts the wearer or, worse, threatens others -- as Google Glass did -- is likely to find limited demand.

Google is moving to fix the basic issues that dogged Google Glass by making product improvements, utilizing eyewear expertise, including a leader with fashion  experience, and taking advantage of a big gun for strategic guidance -- Tony Fadell -- who brought the iPod and Nest to market. We'll find out if the new team grasps the core reason Google Glass failed: the company wasn't accountable to its consumers.

One can hope that in the next Google Glass round, and for other Google "moon shots" still incubating in the Google X lab (driverless cars, wifi balloons and glucose-sensitive contact lenses to name a few), the company's engineers will gaze outside their lab to build a field of dreams for the people intended to play there.

@highlight

Google is pulling controversial Google Glass from the marketplace, rethinking it

@highlight

Martha Pease: It was a mistake to put it in the market without more thorough testing