Paris (CNN) -- It can sometimes take a lot to stir passions in France, but a shocking Facebook page and the stream of insults that followed have roused the French to a heated public debate about racism.

The Facebook page belonged to a local candidate from the far-right National Front political party, and compared justice minister Christiane Taubira, who is black, to a monkey.

The candidate was suspended but there were more, similar insults that followed -- including on the front page of a right-wing newspaper which featured the headline "Clever as a monkey" alongside a photo of Taubira.

The attacks on such a high-profile figure eventually led lawmakers across the political divide to rise up in support of Taubira -- but they have also led to a great deal of soul-searching over the extent of racism in France.

Those who study the question, like historian Pap N'Diaye, whose father was from Senegal, says there is no question racism is growing.

"Racist attacks are on the rise in France," says N'Diaye."And racist slurs that used to be absolutely uncommon are becoming more and more common, if not more accepted, in growing parts of French society. So there is a lot to worry about when looking at the situation."

In a country that takes pride and expends considerable energy to ensure that the principle of "egalite" (equality) is strictly adhered to, there are some racial references practically embedded in the language and culture here.

"Negre" is the N-word in France, and it is used in ways that would raise eyebrows elsewhere. A "negre," for example, is a ghostwriter in French, "tete de negre" is the name for a chocolate pastry, and "petit negre" is the way one refers to poor or pidgin French.

Opinion: Is France racist? Abuse shocks nation

But the recent rise of intolerance goes far beyond throwbacks to France's colonial past.

At Netino, a private company that moderates and deletes racial and other objectionable postings on internet forums, websites and social pages, CEO Jeremie Mani has watched a steadily growing hardening of language. Part of it, he believes, relates to the increasing license people feel to express on the web sentiments they might hold privately but would never bring up in direct conversation.

But he also thinks part of it is due to growing racism among his countrymen: When the Taubira affair came along, Mani says he saw a 10% spike in the number of racial slurs his company had to delete.

Many here link more hostile attitudes toward immigration with the racism issue. But the far right National Front party is trying to separate the two.

National Front Vice President Florian Philippot, who denies that his party is racist, says: "Racism is not growing in France." But in nearly the same breath he states flatly what analysts believe is the party's major selling point: "We need to end immigration."

The National Front's anti-immigration platform has at least partly contributed to its growing popularity. The party was practically banished from political discourse at one point, but according to one recent poll, 42% of those questioned said they would consider voting for a National Front candidate in the coming municipal elections.

That news comes at the same time as the attacks on the justice minister -- and other recent incidents where racial slurs were hurled in public (on France's football field, for example) -- have been enough to mobilize mainstream leaders and cultural figures here. There have been several rallies against racism and more are planned.

Whether anti-racism demonstrations will be enough to change attitudes in France in the short term is another matter. Many like Pap N'Diaye believe a significant factor in the growing racism is the poor economy, as people try to find scapegoats responsible for the hard times. Until the economy improves, it seems doubtful that even widespread public chest-beating over the issue will have much effect.

Opinion: Is France racist? Abuse shocks nation

@highlight

Spate of high-profile incidents raise racism fears in France

@highlight

Black justice minister Christiane Taubira subjected to monkey taunts online and in person

@highlight

France proud of notion of "egalite" (equality) but experts say racism is on the rise