(CNN) -- The revelation from Steven Kazmierczak's girlfriend that he had stopped taking an antidepressant a few weeks before his rampage at Northern Illinois University has reopened debate about whether the drug can cause violent behavior.

Jessica Baty told CNN that she had seen no hint during their two-year courtship that the 27-year-old might be capable of killing five people and injuring 17 before committing suicide.

Kazmierczak had stopped taking Prozac three weeks before his shooting spree on February 14 and had been taking two other medications, she said.

Experts differ on whether Prozac and other similar antidepressants might be linked to violence.

"There's very little likelihood that withdrawal from Prozac could, by itself, cause someone to become violent, said Dr. Nada Stotland, professor of psychiatry at Rush Medical College and president-elect of the American Psychiatric Association.

If people with other psychiatric illnesses had a propensity to violence, then discontinuing drug use "could make them irritable, and that could be one trigger," said Stotland, who has accepted speaking fees from the drug industry, but not in recent years.

But, she said, "discontinuation syndrome" does not cause someone to become violent.

"We understand that tragic and frightening events make people desperate for explanations," she said in an e-mail. "The explanations are seldom simple or straightforward, and, especially when attempts to understand would intrude on the confidentiality of medical records, we seldom know enough about perpetrators' lives and minds to determine just what caused their behaviors."

She added, "We have much, much more to fear from untreated psychiatric illnesses than from the effects of psychiatric medication."

Dr. Fred Goodwin, research professor of psychiatry at the George Washington University, agreed.

"In general, there is no evidence at all of these drugs producing increases in violence," he told CNN. "If anything, it was a withdrawal effect."

Goodwin, the former director of the National Institute of Mental Health and host of National Public Radio's "The Infinite Mind," said he tells his medical residents "until I'm blue in the face" to change doses gradually rather than abruptly. "You taper up, you taper down," he said.

Health Canada -- the Canadians' version of the U.S. Food and Drug Administration -- changed its labeling in 2004 for the class of antidepressants to warn that "patients of all ages taking these drugs may experience behavioral and/or emotional changes that may put them at increased risk of self-harm or harm to others."

And a medication guide approved by the FDA warns of the possibility that users could act "aggressive, being angry, or violent."

The labeling also cites concern over "thoughts of suicide" and "anxiety, agitation, panic attacks, difficulty sleeping, irritability, hostility, aggressiveness, impulsivity, restlessness, or extreme hyperactivity."

Labeling in both countries warns patients not to stop taking the medication abruptly.

Baty did not say whether Kazmierczak stopped taking Prozac abruptly or whether he consulted with his psychiatrist prior to doing so.

An increased risk of violence occurs around the time of dose transition, according to the FDA.

Dose transition is when a person who begins taking an antidepressant changes dose or stops taking it, said Dr. David Healy of the North Wales Department of Psychological Medicine at Cardiff University.

Prozac, which has been available in the United States for more than 20 years, is one of a class of drugs called selective serotonin re-uptake inhibitors. They increase the accumulation in the brain of the chemical messenger serotonin, which is linked to feelings of well-being.

Though researchers have compiled the most data about Paxil, another antidepressant in the same class of medications, there is "no reason to think Prozac is any different," since all the drugs in that class work the same way, said the British psychiatrist and author of "Let Them Eat Prozac.

"In the case of Prozac, because of its long half-life, the problems are likely to come several weeks after the last dose," said Healy, who has been critical of the drugs and has testified as an expert witness on both sides of the matter.

Though millions of people take antidepressants, researchers have had a hard time disentangling the many variables that affect behavior to determine whether the drugs are associated with episodes of violence.

But that alone doesn't explain the scant data. A study published last month in the New England Journal of Medicine and carried out by researchers at the Oregon Health & Science University found that the results of almost a third of antidepressant studies were never published, and nearly all of those had concluded that the drug did not work.

"Not only were positive results more likely to be published, but studies that were not positive, in our opinion, were often published in a way that conveyed a positive outcome," concluded the authors, led by OHSU's Dr. Erick Turner.

"By altering the apparent risk-benefit ratio of drugs, selective publication can lead doctors to make inappropriate prescribing decisions that may not be in the best interest of their patients and, thus, the public health," they concluded.

Healy himself wrote one study that did get published, in PLoS Medicine in September 2006. It tallied the overall risk of violence among more than 9,000 antidepressant users at 0.65 percent, more than twice the 0.31 percent seen among people who were taking placebo.

But Healy cautioned against concluding that there was indeed a causal relationship between the drug and Kazmierczak's outburst.

"While the data shows the drugs can pose a real risk, in each individual case you still have to look closely for alternate explanations and definitely not assume too quickly that it has been the drug," he said.

See a professor talk about Kazmierczak's demeanor leading up to the shooting »

Baty's assertion to CNN that Kazmierczak was also taking Xanax, an anti-anxiety agent, and Ambien, a sleep aid, before the NIU shootings, make establishing a causal relationship even more difficult, said psychiatrist Stotland.

It is not unusual for doctors to prescribe anti-anxiety agents and sleep medication along with antidepressants, since they can cause anxiety and interfere with sleep, she said.

But, she added, "The more things you add, the more unpredictable things can get."

Dr. Joseph Glenmullen, a clinical instructor in psychiatry at Harvard Medical School who has given expert testimony in cases against the pharmaceutical industry, raised concerns about the drug combination Baty said her boyfriend was taking.

Prozac withdrawal can make a person irritable and aggressive, and Ambien and Xanax each can cause a person to shed inhibitions, according to the FDA's drug labeling. The result "could be a pretty deadly combination," said Glenmullen, author of "The Antidepressant Solution - A Step-by-Step Guide to Safely Overcoming Withdrawal, Dependence, and 'Addiction."

He called for "some governmental organization" to investigate whether anecdotal reports of violence linked to the drugs are backed up by hard data.

A spokesman for Prozac drug maker Eli Lilly and Co. said the cause of the killing spree may remain elusive.

"There is much information that is still unknown about his life and medical history and therefore it may never be known as to why he ultimately chose to take the lives of others as well as himself," said spokesman Charles McAtee, in an e-mail.

"Because the authorities have not confirmed at this time any use of a specific medication by this young man, it is not appropriate for us to speculate on the matter. It's important that patients should not stop taking any medication without first talking with their doctor." E-mail to a friend

@highlight

Girlfriend: Kazmierczak stopped taking Prozac three weeks before NIU shooting

@highlight

Most experts say there is little data to provide link between drugs, violence

@highlight

FDA: Prozac withdrawal can make a person irritable and aggressive

@highlight

Other drug interactions make it difficult to conclude whether a link exists