Jerusalem (CNN) -- Palestinian leaders privately agreed to accept a very limited return of the 6 million Palestinian refugees and their descendants to previous homes in what is now Israel, leaked documents showed Tuesday.

The leaked documents dealing with the sensitive issue of the "right of return" for Palestinian refugees comes a day after the Arab news network Al-Jazeera began releasing documents revealing details of Israeli-Palestinian peace negotiations. The leaks have prompted protests and outrage in the West Bank and Gaza.

According to the minutes of a meeting in January 2010 Palestinian Chief Negotiator Saeb Erakat told U.S. State department official David Hale that the Palestinians had accepted a "symbolic number" of refugees returning to Israel.

In minutes from a meeting the year before with his own negotiating team Erakat said that the former Israeli Prime Minister Ehud Olmert had accepted the return of a 1,000 refugees annually for a period of ten years.

Speaking to negotiators in 2009 Palestinian Authority President Mahmoud Abbas said, "On numbers of refugees it is illogical to ask Israel to take 5 million or indeed 1 million -- that would mean the end of Israel."

The "right of return" is a highly sensitive topic for both Palestinians and Israelis and remains one of the core sticking points in achieving a peace deal. Any concession on the issue of refugees by either side poses huge difficulties with their political constituencies.

For most Palestinians the eventual return to their former homes in what is now Israel remains a fundamental requirement while Israelis argue that the large-scale return of refugees would spell the end of the Jewish majority state.

Complicating matters for the Palestinian Authority in dealing with the issue of refugees return are comments attributed to Erakat from the minutes of a 2007 meeting with the Belgian Foreign Minister Karel De Gucht in which the chief Palestinian negotiator suggested that refugees would not have the right to vote on a peace deal.

"I never said the Diaspora will vote. It's not going to happen. The referendum will be for Palestinians in Gaza, the West Bank and East Jerusalem. Can't do it in Lebanon. Can't do it in Jordan."

In a statement Monday, Erakat said that "a number of reports have surfaced regarding our positions in our negotiations with Israel, many of which have misrepresented our positions, taking statements and facts out of context. Other allegations circulated in the media have been patently false."

He added, "Our position has been the same for the past 19 years of negotiations: We seek to establish a sovereign and independent Palestinian state along the 1967 borders with East Jerusalem as its capital and to reach a just solution to the refugee issue based on their international legal rights", adding any proposed agreement "would have to gain popular support through a national referendum."

Other revelations from the second day of leaked document include:

-- The suggestion by then Secretary of State Condoleezza Rice in a 2008 tri-lateral meeting with Israeli and Palestinian officials that refugees could be sent to outside countries such as Chile and Argentina;

-- the suggestion in 2008 meetings by then Israeli Foreign Minister Tzipi Livni that future land swaps should include Israeli Arab villages;

-- the refusal of the Obama White House to accept a Bush administration decision to use 1967 borders as a baseline for negotiations between Israeli and Palestinians about any proposed land swap agreement.

On Sunday Al-Jazeera began its release of over 1,600 documents dubbed "The Palestine Papers." The first release of papers suggested that Palestinian negotiators offered to give up large swaths of East Jerusalem to Israel during negotiations dating back to 2008 and that they had been willing to offer much larger concessions in private than they were acknowledging public.

The leaked papers brought a furious reaction form Palestinian Authority officials with President Abbas calling the release "shameful."

"The report aired by Al-Jazeera is an intentional mixing between the many Israeli proposals and the Palestinian positions," Abbas said in Cairo, Egypt, in comments published by the Palestinian news agency Wafa.

Yasser Abed Rabbo, a senior Abbas adviser went further, accusing Al-Jazeera of a "smear campaign."

"What happened is a manipulation of the documents and a misrepresentation of the facts and a true distortion, just for mockery and defiance," Abed Rabbo told reporters.

Contacted by CNN, al-Jazeera declined to comment on the criticisms from the Palestinian Authority.

Dozens of Palestinians gathered Monday in central Ramallah, burning banners for Al-Jazeera and holding posters comparing the channel to Israel. Several demonstrators also attempted to storm the offices of the al-Jazeera office but were turned back by Palestinian police personnel.

U.S. State department spokesman P.J. Crowley refused to comment on any of the specific documents, but told reporters that their release complicated the efforts to get Israelis and Palestinians back to the negotiating table.

"We don't deny that this release will, at least for a time, make the situation more difficult than it already was," Crowley said. "We continue to believe that a framework agreement is both possible and necessary."

The papers, some of which were posted on the Al-Jazeera network's website, shed new light on the details of the Israeli-Palestinian conflict from 1999 through last year. CNN could not immediately verifiy the documents.

@highlight

New documents show Palestinian leaders agreed to accept a "symbolic" return of Palestinian refugees to Israel

@highlight

The "right of return" is a very sensitive issue for Palestinians

@highlight

The leaked documents, which have prompted outrage, cover negotiations over a number of years