(CNN) -- "Mittens don't clap," is how California-based cowbell importer Elisabeth Halvorson explains it.

And if you are the proud owner of a cowbell in North America, chances are it passed through her hands en-route to the U.S.

"Bells have been used, especially in downhill skiing, for a long time. It started in Switzerland, where in summer the cows all walk around the mountains with bells on," added Halvorson.

"But in winter they are in barns, and the bells are hung up. All the farmers were also the ski racers in the old days, so their families went in the barns and grabbed the bells.

"Olympians have told me that when they're at the bottom of the hill, they can hear a little shouting but they can really hear the cowbells."

Winter Olympic icon

Watch any ski race on television and you will hear the same dull, persistent background clanging.

Turn up in person and dull is the wrong word: stand in the right (wrong?) place and it's more a cacophony.

Already steeped in Alpine history, cowbells have become a global success and Winter Olympic icon over the last two decades.

Halvorson got into the business ahead of the Salt Lake City Winter Games of 2002, where the golden, oblong bells became a sought-after souvenir.

"It's really a European cultural thing that, in the past 15 years or so, has grown here in the States," she told CNN.

"If the Swiss are coming to an event they'll bring really big bells, a foot high or more. Belarus has some good bells too, and they come with sheepskins on.

"How many do we sell? I quit counting when we reached 70 tons -- and that was before the 2002 Games."

Halvorson imports bells manufactured in Norway by a small family business Moen Bjøllefabrikk, based in a factory south-west of Oslo.

"My grandfather started it in 1922," says head of the company Lena Alette Moen Grude. "He began producing bells for his neighbors' domestic animals and sheep."

The company has changed with the times -- it now makes GPS tracking devices for livestock -- but when a Winter Olympics is within sight, cowbells become their hottest commodity by far.

"We produce approximately 30,000 bells each year," says Moen Grude. "For us, it started before the Winter Olympics in Lillehammer in 1994. The fans saw it as the only souvenir that let them take the spirit of the Olympics back home.

"For the Salt Lake City Olympics, we produced 68,000 bells -- more than two years' production -- in two months. When there is a Winter Olympics, it dominates our company.

"I remember producing the bells for Salt Lake City, working late at night and listening to the Games on the radio. I could hear the bells being rung in America as I was engraving them in Norway. That was special."

Changing fabric

Like brass bands, or singing at football matches, the ting-a-ling sensation of a cowbell feels warm and traditional -- part of the very fabric of sport.

But that fabric is changing.

Where once making noise at events was the responsibility of the fans, clubs and venues increasingly see the atmosphere as theirs to generate, maintain -- and police.

Go to most major sporting events in 2013 and the ambiance will be provided by vast, booming speaker systems.

In a world of YouTube, endless TV channels and bewildering freedom of entertainment choice, sports reach out and grab their audience by the ears.

So is the cowbell a relic of an age when fans were left to their own devices?

"Sport now sells music and music sells sport," says academic Anthony Bateman, who researches the relationship between the two at England's De Montfort University in Leicester.

"The links are getting stronger and stronger and that is partly commercial.

"Music is pumped out to encourage chanting and singing and there is a sense that, for example, football clubs are intruding into what was once a fairly spontaneous part of fan culture."

Records of chanting at football matches go back to the 19th Century, with famous songs such as Portsmouth's "Pompey Chimes" and Norwich's "On The Ball City" dating to the late 1800s.

A century earlier, says Bateman, early books on cricket described a "rambunctious crowd culture, a little like the (present-day England supporters') Barmy Army".

Contrast that with an example from 2004, he says.

"The Premier League actually paid someone (Birmingham City fan Jonny Hurst) $16,000 to write chants for different clubs.

"People said that typified the sterile, corporate atmosphere -- supporters are not trusted to come up with their own songs any more. It was an organic relationship in the past, and now things seem terribly forced."

Indoor sports arenas, in particular, now batter occupants with wall-to-wall music during stoppages in play.

Extreme outdoor pursuits emerged hand-in-hand with a youth culture of music and video, while football teams have been known to play recordings of chants to get a crowd going as sports establish which techniques work, and which simply alienate their fanbase.

"Sound is one way by which sports are now constantly reinventing themselves," concludes Bateman.

Cowbell in vogue

Yet diehard ski race fans still stand on a slope and ring bells from a small Norwegian factory, in the tradition of Alpine farmers.

And that tradition spreads by the month.

Moen Grude recently packed off a shipment of bells with Norwegian fans heading to the European Handball Championships. Cycling and triathlon are increasingly the domain of the cowbell. Tennis racket manufacturers gave away branded versions at the U.S. Open.

Halvorson denies any suggestion this last example is a sign that even the cowbell can go corporate.

"What's happening is they're becoming collectible. A guy once called me, saying: 'My wife and I just got divorced. The wife got the cowbells. Do you happen to have this one? This one? How about this one?'

"They didn't make a cowbell for Nagano but they did one for the Nagano Paralympics, then for Lillehammer, Salt Lake, Torino and Vancouver. The Vancouver one is very hard to find.

"But what we sell is fun. That's what we sell. A cowbell is simply an interaction between athlete and spectator."

@highlight

Cowbells represent a defiant clanging in a world of corporate glitz

@highlight

World Cup skiing season brings with it sound of bells on slopes of Europe and North America

@highlight

Noise has become part of global entertainment industry that is 21st century sport

@highlight

It grew from Alpine traditions where farmers would take bells along for winter ski racing