(CNN)Everybody knows Southern California has a water problem.

Andy Lipkis thinks he can help fix it.

Lipkis, the founder of the California-based conservation group TreePeople, isn't planning to seed clouds or change Pacific weather patterns. He has a simpler solution: conservation combined with a little old-fashioned technology, like rain barrels, trees and permeable surfaces.

"People think we're crazy when I say we're working on building a new water supply that produces as much as half of L.A.'s water from local rainfall. They say, 'that's great, but it doesn't rain here,' " he said.

But even during 2013, one of the driest years in Los Angeles history, it rained 3.6 inches -- and that meant billions of gallons were washed away and wasted, he says.

Lipkis' organization estimates that the city lost 28 billion gallons of water that year, or 6,500 gallons per L.A. resident. According to the Los Angeles Department of Water and Power, the average single-family residential unit uses about 387 gallons per day, or about 130 per person. So that was about seven weeks' worth, gone.

And that was a dry year. (Despite recent rains, 2014 was also fairly dry.) In an average year, Los Angeles receives close to 15 inches. What if more of that water could be harvested instead of washed out to the Pacific?

Along with other organizations, including city and state entities, TreePeople is trying to do just that.

Lipkis, who is fond of holding up a glass of water and announcing that he's drinking "dinosaur pee," likes to emphasize that water resources are finite and that nature is water's best recycler.

Several groups have combined on a project that captures rainwater in gutters and lets the overflow get sifted through permeable surfaces, allowing nature to cleanse the runoff. For the Sun Valley Watershed, a part of the San Fernando Valley that routinely floods, the groups retrofitted parts of the area with collection devices, trees and landscaping. For one project, Elmer Avenue, the result was enough water saved yearly to supply 30 households.

The city, through its LA Stormwater agency and other departments, is now expanding such initiatives. And along the way it's become an unlikely model for conservation; Los Angeles now uses less water than it did in 1970, despite a surge in population.

Other municipalities are following suit. Nearby Orange County has installed a Groundwater Replenishment System that relies on reverse osmosis and microfiltration. In parched Wichita Falls, Texas, authorities have turned to recycling wastewater. Even Seattle -- not known for its dryness -- has adopted a number of conservation practices, says Lipkis.

Education and implementation are still a work in progress, he says. There are political and financial considerations at work, he observes, and getting everybody on the same page is a formidable challenge in its own right.

But Lipkis believes the payoff is huge, including jobs to create the infrastructure and more long-term water for everyone.

"In the big picture, the state, the regional water boards, the county -- everybody is saying we need multiple approaches to solve the problem," he said. "(But) the change is well under way. A lot of the fundamentals have been put in place."

And that's as refreshing as a tall glass of ... you know.

@highlight

Los Angeles has become an unlikely model for water conservation

@highlight

Despite huge population growth, the city uses less water now than it did in 1970

@highlight

One group is trying to harness the city's rainfall instead of letting it wash out to sea