(CNN)Earlier this month, Shahindokht Molaverdi, Iran's Vice President for Women and Family Affairs, led an official delegation to the United Nations in New York to attend the 59th session of the Commission on the Status of Women. In her March 11 speech to the commission, Molaverdi said that "the Islamic Republic of Iran has always had the empowerment of women and improving their status...on its agenda."

Molaverdi described the significant progress Iranian women have made in education and science, citing unilateral economic sanctions and violence against women as factors that have impeded the full realization of women's rights. There was little in her speech to suggest that domestic factors -- including Iran's laws and policies -- play a significant role in depriving Iranian women of real gender equality and empowerment.

Unfortunately, Molaverdi's comments stood in sharp contrast to reality. On the day she delivered her speech, Amnesty International released a report raising concerns about the possible passage of two bills before Iran's parliament that would further restrict women's rights. One would prohibit voluntary sterilization as part of the country's efforts to boost population growth and strengthen the place of what are deemed "traditional" families in society. The other would "further entrench gender-based discrimination, particularly against women who choose not to or are unable to marry or have children," Amnesty said.

A day later, the U.N. special rapporteur on the situation of human rights in Iran, Ahmed Shaheed, released his fourth report to the U.N. Human Rights Council describing the dire state of human rights in the country. His report cited the concerns about gender discrimination that Human Rights Watch and others had raised during Iran's 2014 Universal Periodic Review, a review of every U.N. state's human rights record every four years by the Human Rights Council.

The sobering reality, all too familiar to Molaverdi, is that Iranian women face discrimination in many aspects of their lives, ranging from issues related to marriage, divorce, inheritance and child custody, to restrictions on dress and even access to sports stadiums as spectators. The proposed passage of more restrictive legislation in the name of protecting the family is just the latest step in the rollback on women's rights in recent years.

To many, the discrepancy between what Molaverdi said in her speech, and what women face in Iran, smacked of diplomatic subterfuge. Activists and journalists rightly responded by highlighting the many violations of women's rights in Iran, and called out Molaverdi for failing to present an accurate and complete picture of the challenges that Iranian women face. Yet there was little acknowledgment by critics of the behind-the-scenes struggle that Molaverdi, who is often an outspoken critic of regressive measures restricting women's rights at home, and many others are waging every day as they try to carve out much-needed space for Iran's beleaguered rights activists.

Just two days before the U.N. session, Iran's conservative Kayhan daily, thought to be close to the Office of Supreme Leader Ayatollah Khamenei, published an article that showed just what Iran's women's rights activists are up against. The author questioned the wisdom of allowing an official delegation to attend events such as the U.N. commission, describing its notion of "gender equality" as "unacceptable to the Islamic Republic." The article accused Molaverdi of "negligence" for participating in events that could damage Iran's reputation and interests, and accused the 150 or so people who attended the session as representatives of Iranian groups of doing so without full and proper vetting by Iran's security and intelligence agencies.

What's striking about Kayhan's attack is that Iran's powerful security and intelligence apparatus has for years acted to repress independent groups, including women's rights activists. Groups like the One Million Signatures Campaign, a grassroots effort designed to operate within the law to collect signatures supporting the repeal of laws that discriminate against women, were targeted as security officials detained their members on spurious "national security" grounds. But those hostile to women's rights in Iran remain unrelenting. Anyone who fails, willingly or unknowingly, to heed their threats may face reprisals, as several activists who attempted to attend similar U.N. events in previous years found out.

Yet Kayhan's attack also reflects the resilience and adaptability of women's groups in Iran as they continue to challenge the state's monopoly on the women's rights narrative. While Iranian women lost some important legal rights after the 1979 revolution, their social and economic stature increased on average as they gained wider access to education, health care, and birth control. The image of the compromised and submissive woman engendered by Iran's discriminatory legal system bears little resemblance to the private and public lives of many Iranian women today.

So while we rightfully condemn the disconnect between what Molaverdi said at the United Nations, and what Iranian women face, let us not lose sight of another reality: the paradox that exists in Iran between the state's regressive laws and policies against women, and the tireless and undaunted drive for change and equality by those who will not be denied. That effort, at the very least, deserves our respect.

@highlight

Faraz Sanei : Women's groups in Iran have remained adaptable

@highlight

Those hostile to women's rights in Iran remain unrelenting, she says