Kim Duplantier's three-story colonial plantation-style home survived Hurricane Katrina, albeit with 3 feet of unwelcome water on the bottom floor.

But Isaac, still a hurricane when it made landfall in Louisiana, had something more in mind.

The slow-moving storm presented an insidious calling card after heavy rains "overtopped" a levee in the town of Braithwaite in Plaquemines Parish.

At 4:30 a.m. Wednesday, Duplantier said, a couple of inches of water were evident in her redbrick home and in her parents' residence nearby.

At 6 a.m., there was 4 feet of water.

By 7 a.m., her bedroom, an antique grand piano, a grandfather clock and a whole lot more were inundated by 9 feet of water.

How to help

"We were very prepared," said Duplantier, who had evacuated Monday with her children to New Orleans while her husband and parents stayed behind.

The family was coping with the latest weather disaster in Plaquemines Parish, where dozens of people were rescued Wednesday and as many as 800 homes suffered significant water damage. The parish is just southeast of New Orleans.

Quoting her 17-year-old son, Duplantier said, "Katrina took away the shock value."

Plaquemines Parish, split into the East Bank and West Bank by the Mississippi River, appeared to be the epicenter of Isaac's wrath.

The Duplantiers live on the East Bank. It was the back levee, one of two, that overtopped Wednesday.

Officials were considering intentionally breaching the levee, a second line of flood defense, to allow some of the floodwater to flow back out of the inundated area, Gov. Bobby Jindal said.

According to The Times-Picayune, the digging might begin Thursday. Garret Graves, chair of the Coastal Protection and Restoration Authority, told the paper that the state had agreed to the plan to start digging as soon as conditions allow.

Parish president Billy Nungesser said Wednesday evening that crews will travel to the area Thursday morning by air boat to study the situation.

"We have to wait for the water to be out enough to see the levee," he said.

If the decision is made to cut the levee, it likely won't happen before Saturday, according to Nungesser.

The receding water would flow back into the marsh and would not affect other communities, Nungesser said.

Meanwhile, about 3,000 parish residents remained in one area close to an 8-foot tall West Bank levee that waters were threatening Wednesday evening, according to Jindal's office.

A mandatory evacuation was ordered south of Belle Chasse because models show the water will reach 8 feet.

The National Guard, meanwhile, evacuated 112 residents from the Riverbend nursing home in Belle Chasse, officials said.

Nungesser said at least four levees were overtopped, creating a kind of flooding the parish did not see even during Hurricane Katrina, which hit seven years ago Wednesday.

"This storm kept pumping that water for days up against the levees," said Nungesser. "Something had to give."

The waterlogged parish is asking for President Barack Obama to declare a local federal disaster, making it eligible for assistance. "That is going to be so needed," said Nungesser.

More than 150 calls came in to 911 from people wanting to be rescued, said Terry Rutherford, commander of authorities in Plaquemines Parish, after the levee on the East Bank overtopped.

By mid-morning, 75 people had been rescued from flooded homes and rooftops in Braithwaite, CNN affiliate WWL reported.

The levee is maintained by the parish and has not been part of the federal hurricane protection levee system, according to officials. Katrina breached the levee in two places, the Army Corps of Engineers said.

A mandatory evacuation was ordered at noon Monday on the East Bank.

"It's very unfortunate that people did not heed the warnings," said Sen. Mary Landrieu, adding, "our hearts go out" to them.

The New Orleans levee system was rebuilt and reinforced at a cost of $14 billion after it failed when Katrina struck in 2005.

Landrieu said she was among some officials who had pushed for Plaquemines Parish to be included in the federally funded projects, but the corps follows a formula "based on economic impact" that leaves out some rural or sparsely populated areas.

"It's heartbreaking to watch people climb out of their attics and onto their roofs in search of safety," she said. "Hurricane Isaac has reinforced for us once again just how vulnerable these critical areas are. We must re-engage the Corps of Engineers on this."

However, Jindal said the levee has been under construction for about a year. Federal dollars have been appropriated for the levee since Katrina, according to a statement.

According to the U.S. Army Corps of Engineers, the nonfederal levees are slated for improvements and incorporation into the federal system. A cost-share agreement was signed in June.

Isaac "delivered more of a punch than originally thought," said Nungesser. "We have reports of people on their roofs, in attics, in 12 to 14 feet of water."

Parish resident Gene Oddo told WWL that he was in his attic with his wife and 18-month-old baby girl.

"The water came up so quick, it looks like we lost everything," he said. He and his wife have drinking water, baby food and other necessities, he said.

According to Jindal's office, vehicles and boats were assisting in rescues along the East Bank near Braithwaite. There were unconfirmed reports that up to 40 people still needed assistance.

Kim Duplantier's mother took photos of the flooding in Braithwaite before she and Duplantier's father were evacuated by boat Wednesday afternoon.

Duplantier's husband, a veterinarian, had a power generator and was staying Wednesday on the second floor of their home.

In what must have been a rather surreal scene, at least one of the family's horses could be seen on a levee. Their goats were likely perched on it, too, Duplantier said.

Nungesser said he couldn't get to his house, unlike the various animals that have taken refuge at the property.

CNN iReporter Kayla Robin, who took photos of the Braithwaite flooding and rescue arrivals, said the experience was horrific.

"When they got in, you can tell they were in shock and weren't expecting this," she said.

Robin, 20, lives in Caernarvon in St. Bernard Parish, right next to Braithwaite. She lives to the east of a floodgate that protected St. Bernard from the floodwaters.

Robin said there was no water in her home, although there was calf-high water in the streets.

"It was traumatic going to the wall and seeing both sides at one time," said Robin of the contrasting situations. "Thankfully, we have everything -- but these people (on the other side) are reliving Katrina seven years later."

Hurricane safety: When the lights go out

@highlight

iReporter recalls vivid scenes from "safe" side of floodgate

@highlight

Officials expected to blow relief hole in one levee

@highlight

Some residents rescued from rooftops

@highlight

"Katrina took away the shock value," says one resident