(CNN) -- President Barack Obama unveiled Thursday a new military strategy. It calls for "pivoting" from the Middle East to the Far East, focusing partly on the military buildup of China.

Without a major public debate of the kind we have about raising taxes, or a congressional vote, the U.S. government is moving slowly but surely toward characterizing China as an aggressive superpower and is preparing for war, should it become necessary.

James Clapper, retired lieutenant general and current director of national intelligence, characterized China, "growing in its military capabilities," as a "mortal threat" to the United States. Ileana Ros-Lehtinen, chairman of the House Committee on Foreign Affairs, said, "The Chinese military openly regards the United States as an enemy. We should not undermine our own security by thinking we can make friends with self-proclaimed adversaries with hospitality and open arms."

China's leaders tend to stress that they do not seek a confrontation. Foreign Ministry spokesman Hong Lei stated that "China from beginning to end pursues a defensive national defense policy, and sticks to the path of peaceful development."

Still, one can readily find belligerent voices from China. Gen. Zhu Chenghu expressed willingness to abandon China's "no first use" nuclear weapons poloicy, to defend its claim over Taiwan and argued that China should use nuclear weapons against the United States should its military interfere. A 2011 editorial in the Global Times (an English edition of the Communist Party of China's official newspaper) warned that countries involved in sea disputes with China "need to prepare for the sounds of cannons."

Moreover, there were several incidents in which China exhibited provocative, troubling behavior. In 2009, the Pentagon reported that five Chinese vessels "shadowed and aggressively maneuvered in dangerously close proximity to USNS Impeccable, in an apparent coordinated effort to harass the U.S. ocean surveillance ship." In 2011, Chinese patrol boats cut a Vietnamese survey ship's cables.

American hawks hold that the U.S. must build up its military, given China's rapid military buildup. However, American doves point out that China's defense spending is rather small. Chinese government-released figures say they spent $70 billion on defense in 2009, though U.S. DoD estimates place it somewhere between $122.5 billion and $175 billion. For comparison, the U.S. defense budget for fiscal year 2009 was about $687 billion.

While China launched its first aircraft carrier in August 2011, the U.S. Navy has 11. As China's economic growth slows and the cost of its social and environmental problems rises, it is likely to curb the increases in its defense spending -- unless spurred on by American moves.

The same doves point out that China's military modernization began from a low baseline. China's highly bureaucratic and inefficient military-industrial complex lags behind even its own nonmilitary and non-state-owned counterparts. Its nuclear submarines are poorly designed. It has few military communications satellites. China's nuclear-armed bomber fleet is woefully obsolete, and its military is reported to face major problems in its command-and-control systems.

All but the most ardent Western hawks see no significant Chinese military threat to core U.S. interests in the near or even intermediate future. Robert Ross finds that "the transformation of the PLA [People's Liberation Army] into a region-wide strategic power will require many decades ... The transformation of the PLA into a global strategic power is an even more distant prospect." And Kenneth Lieberthal contends, "There is no serious military man in China or in the United States who thinks that China has any prayer of dominating the U.S. militarily in the coming three or four decades."

Hence, the U.S. can safely continue to seek to turn China into a partner before concluding that a course of confrontation is unavoidable.

The U.S. could work with China to secure pathways for energy and raw materials that are very important to China, and should not bother us. The U.S. could agree with China to settle in an international court or through negotiations differences about claims over the South China Sea; and stop calling on China's neighboring countries to get together to oppose China's legitimate interests.

The opinions expressed in this commentary are solely those of Amitai Etzioni.

@highlight

President Barack Obama unveiled U.S. military strategy which will focus more on Asia

@highlight

Amitai Etzioni says many voices in U.S. policy assume we should see China as potential enemy

@highlight

China has made provocative moves, but its forces are dwarfed by the U.S. military

@highlight

Etzioni: Rather than prepare for war, U.S. should reach out to improve relations with China