(CNN) -- On October 16, 1962, President John F. Kennedy confirmed the presence of Soviet nuclear missiles in Cuba, thus beginning one of the most dangerous moments in modern history -- the Cuban missile crisis. For the next 13 days, the United States and the Soviet Union would come frighteningly close to all-out nuclear war.

Fifty years later, a new interactive multimedia documentary provides viewers with an unflinching look inside the critical event.

"Clouds Over Cuba" gives audiences a front-row seat to what could have been a catastrophe. Working closely with the John F. Kennedy Library, filmmakers were given unprecedented access to letters, memos, documents and imagery, which viewers can engage with as the documentary plays. Additionally, special real-time alerts can be set up to notify a viewer's mobile devices to mirror the critical events of the 13-day crisis. And, perhaps its boldest feature, the site also offers a terrifying companion film which imagines what might have been, had the worst not been avoided half a century ago.

In an interview with CNN, actor Matthew Modine, who narrates the film, explains his involvement with the project, talks about his admiration for Kennedy, and shares what a successful 30-year marriage can teach a man about the delicate art of diplomacy and negotiation.

CNN: Let's talk about "Clouds Over Cuba."

Matthew Modine: OK, so this is an important documentary, because it enlightens a contemporary audience about the events that took place in the White House on the brink of a nuclear disaster between two superpowers. There's information that so many millions of Americans are not aware of that took place between President Kennedy and (Soviet Premier Nikita) Khrushchev. It's incredible to think how close we came to a nuclear holocaust.

CNN:  It gives me chills to think about. Now, 50 years later, I understand you and the filmmakers were given unprecedented access by the JFK Library to make this documentary. Is that right?

Modine: It is. A few years ago, I had the pleasure of reading a book about President Kennedy and his experiences as the captain of the PT-109 during the Second World War. And even if half the stuff in the book was an exaggeration, the 50% that's remaining makes me think that John Fitzgerald Kennedy was an absolute stud. And so now I have the honor of participating in this new John F. Kennedy documentary about the Cuban missile crisis. And intelligence and courage that he demonstrated against all odds is amazing. All of his advisers wanted him to engage Russia in a nuclear war, and he refused to take that route. He wanted to keep an open door policy and a conversation, a dialogue, with Khrushchev to avoid our two nations from going to war. It was through intelligence and negotiation that war was avoided. It just makes me love him and admire him all the more.

CNN: In addition to the documentary and interactive materials like presidential memos, photos and expert testimony, tell me about this "what if" scenario people can check out.

Modine: Yeah, absolutely. It's just terrifying. They hired actors to play the parts from the "what if" scenario, and when I first sat down to watch that part of the story, I was thinking, "Jeez, I don't remember reading about that. I don't remember Americans getting hit by a nuclear bomb from Cuba. I don't remember the nuclear bomb being dropped on Cuba." It's so well-performed and written and filmed that you'll think that you missed something about history.

CNN: Is there a plan for giving this to schools?

Modine: The JFK Library wants to share it with as many people as possible, not just at the library, but online and on television. So, it depends on who becomes the next president of the United States. If Mitt Romney gets his way, there won't be any more public broadcasting. And this is an example of why PBS is important -- because it can bring these kinds of stories to the American people, to help educate us and help us learn why peaceful negotiation is more beneficial than hawkish behavior.

CNN: You've been married since 1980. I bet you know a few tricks about peaceful negotiation.

Modine: I think I could teach John F. Kennedy a thing or two about the art of negotiation! (laughter) Love and marriage are complicated things. Fortunately, I was very good friends with my wife before I fell in love with her. Love is something that is forever changing and metamorphosing. And what you hope, and occasionally get lucky, is you have a partner who you can grow with and not grow apart from. I've been very fortunate that the journey I've been on with Cari Modine has been beautiful.

CNN: That's very nice to hear. I know a lot of your "Full Metal Jacket" fans would love to hear that they are breathing new life into that film. Is there any chance of a remake or new chapter?

Modine: No, Stanley Kubrick wouldn't have it. Stanley Kubrick is no longer with us, but the fortunate thing is that you don't need to remake the film. The unfortunate thing is that "Full Metal Jacket" is timeless, because we're still solving our differences with military might, rather that the lessons we learned from men like John F. Kennedy and the art of peaceful negotiations and diplomacy.

@highlight

A new documentary provides viewers with a look at the Cuban missile crisis

@highlight

Actor Matthew Modine narrates "Clouds Over Cuba"

@highlight

Modine: Documentary is important "because it enlightens a contemporary audience"