WASHINGTON (CNN) -- Throughout her career, singer-songwriter Cyndi Lauper has promoted gay and lesbian rights. She has a personal connection to this cause -- her sister is a lesbian -- but she also believes it's a matter of fairness.

Cyndi Lauper worked with Cathy Nelson of the Human Rights Campaign to raise awareness of LGBT issues.

"It's always wrong to discriminate," the Grammy Award winner said. "I grew up in the civil rights movement. It was wrong then, and it is wrong now."

With her 2007 and 2008 "True Colors" tours, Lauper has helped raise awareness about lesbian, gay, bisexual and transgender rights around the country. She said fellow LGBT activist Cathy Nelson especially motivates her.

Nelson worked at the Human Rights Campaign (HRC), a national LGBT civil rights organization, and her dedication to those issues runs deep. Fighting for fairness and equality, she said, drives her.

"I'm a lesbian, and I see the issues very personally," Nelson said. "When it deep-down resonates that you don't have the same rights and responsibilities, or people don't view you the same, it can be demoralizing and empowering at the same time."

Nelson's passion for the cause has enabled her to inspire thousands of people across the country to get involved.

When she was growing up in rural Illinois, Nelson said, she hadn't imagined following this path.

She trained to be a teacher, but on a whim, became a flight attendant with Eastern Airlines to fulfill her "intense desire to travel."

In the 1980s, she became involved with labor issues through her flight attendant union. That led to working on women's issues with the National Organization of Women in Washington.

In 1989, she started working for the HRC. Since then, she has helped bring LGBT rights out of the closet and onto the national stage.

Hired to increase the group's membership, Nelson built a strong volunteer network in communities across the nation. HRC had just 12,000 members when Nelson started. Today it has more than 725,000, making it the largest gay and lesbian rights organization in the country.

"Part of my job is getting people to be vocal," Nelson said. "It's important that everyone has an understanding that discrimination is happening every single day against a certain segment of society. And that's just wrong."

In 2007, when Lauper worked with HRC for the "True Colors" tour, she and Nelson teamed up to bring gay and straight audiences together on fairness and equality issues.

Nelson realized it was also an opportunity to shine the spotlight on an issue she'd worked on for almost a decade -- the passage of a hate crimes bill that would make attacks based on sexual orientation, disability, or gender a federal crime.

For Nelson, crimes against LGBT people -- such as the murder of Matthew Shepard -- represent the darkest side of ignorance on these issues.

In 2006, more than one in six hate crimes were committed against LGBT individuals, an 18 percent rise over the previous year, according to the FBI.

"I learned from Cathy that hate crimes send fear through a community," Lauper said. "You could die just because of who you are."  Watch Lauper and Nelson talk about the "True Colors" tour to raise awareness »

At every concert, Lauper spoke passionately about the need to pass the bill, and her song, "True Colors," was used in a public service announcement about the legislation.

HRC volunteers distributed information at each venue and had postcards on hand for people to send to their legislators.

In the end, more than 15,000 people signed postcards, and both houses of Congress passed the bill by wide margins.

Although President Bush never signed the bill, Nelson and Lauper have high hopes for it to soon become law. For Nelson, getting so many people engaged was a key achievement.

"The biggest reward for me is when I've played some part in empowering someone to get involved," she said.

Lauper knows first-hand how convincing Nelson can be.

"The fact that you can actually succeed and help people -- you really get that from her," she said. "People like Cathy get all of us motivated."

@highlight

Lauper and Cathy Nelson campaigned together for gay and lesbian rights

@highlight

Nelson helped the Human Rights Campaign go from 12,000 members to 725,000

@highlight

Lauper and Nelson lobbied to expand federal hate crimes laws