London (CNN) -- Around the world, hot air balloons are used to give tourists a spectacular view of the landscape, as well as for sport and private recreation. But, with 19 people dead after a hot air balloon crash in Luxor, Egypt, just how safe are they?

What are the basics of ballooning?

Essentially a balloon is a nylon bag -- known as an envelope -- filled with hot air, which is created by burning liquid propane in a steel burner. More heat makes the balloon rise, less makes it descend. Balloons fly in the direction of the wind. Dunnington described hot air ballooning as "man's first form of flight." The French invented it in 1793 and since then it has been developed for sport and tourist rides. Balloons have also been used by the military.

How safe is hot air ballooning?

Until Tuesday's incident, the deadliest accident in recent memory happened in 1989, when 13 people were killed as two hot air balloons collided in Australia.

CNN iReport: After tragedy, vacationers recall glorious balloon rides in Egypt

Weber said while every activity had its risks, ballooning was "one of the safest means of flying in existence."

"You are floating in the air like a feather. You put some heat into the envelope to get you up and then you float with the atmosphere, there is no speed involved."

If the fuel ran out, a balloon could still be landed safely, he said. "It's not like an airline crash. It's like a huge parachute. If you do it [descend] wisely and if you do it in a controlled way you can come down with cold air in the envelope but it's still inflated -- it's still a big balloon."

Weber added that a fire on board was the most dangerous situation for a pilot because the only way to escape it was by jumping overboard. "If passengers are jumping the balloon is getting lighter -- it's climbing again. It's getting in a more dangerous situation because the higher you go the more dangerous it is to jump out."

Dunnington also said fire resulting from contact with power lines was probably the biggest risk for hot air balloonists. "If you've hit a power line there isn't a fire extinguisher made that can put that out."

He pointed to a 2012 accident in New Zealand, in which 11 people died.

"New Zealand was a wire contact and it had fatal results and that's certainly the balloonist's biggest worry," he said.

So what was the cause of the crash in Egypt?

State-run EgyNews reported that a gas explosion caused the crash but Egypt's government said a committee from the Ministry of Civil Aviation would investigate.

The government said the balloon was "flying at 300m [about 900feet] when it caught fire and exploded."

How safe is hot air ballooning in Egypt?

The last hot air balloon accident in Luxor happened in 2009, when 16 foreign tourists were injured after a balloon struck a cell phone transmission tower.

Dunnington described Egypt as having "a rather chequered history" when it came to ballooning. The country had probably had more accidents than some others, he said, but on the other hand probably made more flights.

"They've probably had half a dozen serious accidents in the last five years. If that had happened in the UK there would be a big hoo-ha about it."

But Weber said Egyptian operators carried a lot of passengers and flew on a daily basis and the Luxor crash was "quite exceptional."

How is hot air ballooning regulated?

There is no body dealing with air ballooning regulations globally. Around the world, 191 countries are members of the International Civil Aviation Organization (ICAO), the United Nations body that issues advice on aviation standards and regulations.

But Dunnington said there was no legal obligation to comply with the ICAO's Standards and Recommended Practices (SARPS).

The ICAO's recommendations were "sufficiently broad to always need local interpretation," he said, adding that this was where "things get difficult."

"The regulations are pretty similar in every country. The question in each different country is to what extent are those regulations enforced," Dunnington said. "The Egyptian civil aviation authority is in ultimate charge of what goes on in anything to do with civil aviation in Egypt."

Dunnington said in Britain, for example, pilots had to sit regular medical tests and assessments and balloons were checked after every 100 hours of flight. He said Egypt had a similar system but that it was "somewhat less independently supervised."

How have Egyptian authorities reacted to the crash?

Egypt's Civil Aviation Agency has stopped all ballooning in the country since Tuesday's accident. But Dunnington said a blanket ban didn't solve the problem.

"That kind of knee jerk reaction is symptomatic of the way such problems are approached," he said. In Britain, he added, the authorities would look at a particular set of circumstances rather than shutting down everything.

Luxor balloon disaster 'blow' for Egyptian tourism

@highlight

Hot air ballooning began in France, in 1793

@highlight

Nineteen people were killed in a hot air balloon crash in Luxor, Egypt, Tuesday

@highlight

There is no global body to regulate commercial hot air balloon operations

@highlight

Countries regulate hot air ballooning through their own civil aviation authorities