Athens, Greece (CNN) -- Greece's cabinet voted Wednesday to support Prime Minister George Papandreou's call to hold a referendum as soon as possible about the latest bailout plan, ministers coming out of the meeting told a CNN affiliate.

The vote was unanimous, though some of the ministers expressed criticism prior to casting their votes, CNN affiliate Mega Channel reported.

The cabinet vote came hours before German Chancellor Angela Merkel, French President Nicolas Sarkozy and senior figures from the International Monetary Fund and European Union were to meet Wednesday with Greek officials at an emergency meeting in Cannes, France, ahead of the G-20 summit.

Their meeting comes a day after U.S. and European stock markets tumbled after Papandreou's call for the referendum on international aid for his country.

A "no" vote could theoretically force Greece to crash out of the euro and send shock waves through the global financial system.

Papandreou is seeking public backing from the Greek people for last week's bailout deal, which took months to reach.

But the move created turmoil in domestic politics, with Papandreou forced to hold an emergency Cabinet meeting late Tuesday, and angered his European counterparts.

Sarkozy and Merkel issued a terse statement on Tuesday saying they were "determined to ensure the full implementation, without delay, of decisions adopted by the summit, which are necessary now more than ever."

White House spokesman Jay Carney struck a similar note, saying Papandreou's move reinforced the need for Europe "to elaborate further and implement rapidly the decisions they made last week."

German and French markets closed down about 5% Tuesday, while London's FTSE fell 2.4% and the Dow Jones Industrial Average index closed down nearly 300 points.

Greece's former deputy finance minister, Petros Doukas, a member of the opposition New Democracy Party who is not currently in office, told CNN he doubted the referendum would take place.

Papandreou is under enormous pressure from Europe, the markets and opposition forces within Greece to backtrack on the proposal, Doukas said.

He described Papandreou's actions as a political gamble that had gone wrong, with the prime minister having tried to make the opposition parties share the pain of unpopular reforms. He suggested Papandreou would have to call elections or stand down as leader, as Greece was "not governable" with him as prime minister.

The announcement of the referendum rattled Papandreou's hold on power, as a lawmaker defected from his party, leaving him with a majority of only two in Parliament.

Milena Apostolaki announced her resignation from the PASOK party, saying the call for a referendum was "a deeply divisive procedure."

The deal reached last week would see the country's sky-high debts cut in half, but it comes with strings attached, which have led to angry demonstrations in the streets of Greece.

Reflecting that anger, Greece's opposition leader, Antonis Samaras, called Tuesday for a snap election, but it is unlikely he has the votes to force one.

Papandreou has called for a vote of confidence Friday, separate from his call for a referendum on the international bailout.

Elena Panaritis, a fellow PASOK lawmaker who advises Papandreou on economics, said she would support the confidence vote, saying the prime minister had been under heavy political pressure from inside and outside his party.

International lenders are demanding that Athens raise taxes, sell off state-owned companies and slash government spending, which would mean firing tens of thousands of state workers.

The Institute of International Finance, a global association representing many of the world's biggest banks, reaffirmed its commitment Tuesday to the bailout agreement reached last week, saying it would work closely with all parties to implement it.

The European debt crisis claimed its first American victim shortly before Papandreou announced the referendum on Monday, as MF Global filed for bankruptcy protection, leaving top Wall Street creditors holding more than $2 billion in debt. The commodities and derivatives brokerage was run by ex-Sen. Jon Corzine, a former head of Goldman Sachs.

Constantine Michalos, chairman of the Athens Chamber of Commerce, said Papandreou's referendum move had taken everyone by surprise.

As a consequence, he said, "Greece is facing a credibility gap as a result of the problems that have been created both on a political level and on a financial market level."

Michalos also said he saw little point in Papandreou holding a confidence vote this week if the bailout deal, which was reached after top-level negotiations in Europe, could be overturned by the Greek people just a few weeks later.

One expert called the surprise plan for a referendum "a political gamble, which adds further uncertainty to the European debt crisis."

"The prime minister will be hoping for a vote in favor to strengthen his mandate, but if the Greek population votes against, it will leave the IMF and Greece's European partners in a very difficult situation," said Gary Jenkins of Evolution Securities.

The planned referendum casts a shadow on the hard-fought deal that would allow Greece to write off as much as 50% of its debts to banks.

The deal would wipe out 100 billion euros in Greek debt, half of what it owes to private creditors, and comes with a promise of 30 billion euros from the public sector to help pay off some of the remaining debts, making the whole deal worth 130 billion euros ($178 billion).

No date has been set on the vote, although local news reports say the referendum could come in January. A "no" vote threatens to unravel the deal, which was greeted last week with fanfare as a way to keep debt woes in Greece and other European nations from spilling across other borders, threatening the 17 nations united under the euro currency.

A weekend survey in Greece found nearly 60% opposed the debt deal reached last week in Brussels.

But other surveys have shown a more complicated picture.

A survey carried out last week by Kappa Research for the Greek daily newspaper To Vima showed a majority of Greeks wanted a referendum on the international rescue plan, and that more would oppose it than accept it.

But in the same survey, 70% of Greeks wanted to stay in the euro, according to RBS European Economics -- a result that may not be possible if they vote "no" on the referendum.

"(It) clearly opens a can of worms because the referendum vote could go one of two ways," said Frederic Neumann, a senior economist for HSBC.

"If approved, a vote of confidence in the government's handling of the situation ... if calmer heads prevail and it can rationally be explained to the public, I wouldn't discount the measure being approved."

But, until the referendum is passed, there is added uncertainty, he said, adding, "That's just an added headache."

Besides the Greek debt-reduction plan, last week's European Union deal pledged to quadruple the EU's bailout fund to about $1.38 trillion and to raise the capital required to help cushion the region's banks from financial shocks.

CNN's Bobby Afshar, Irene Chapple, Catherine Tymkiw, Christine Theodorou, Saskya Vandoorne and Kevin Voigt contributed to this report.

@highlight

NEW: Vote was unanimous, ministers tell CNN affiliate

@highlight

Vote followed tumultuous day in the markets, with Dow Jones down 300 points

@highlight

Europe needs to push ahead with the deal, White House spokesman says

@highlight

A rejection of the deal could send Greece crashing out of the euro