For 67 years, the Virgin Mary Church has been a peaceful refuge for Shenouda El Sayeh, much like the Giza province village of Kafr Hakim where it rests and where he has lived all those years.

But, as he swept its floors on Thursday, it was painfully obvious things had changed.

The night before, a mob -- chanting against Coptic Christians such as El Sayeh and calling for Egypt to become an "Islamic state" -- had torched and looted the Virgin Mary Church.

"I didn't expect this to happen," El Sayeh said.

He's not alone. Christians all around Egypt are cleaning up in the aftermath of a spate of attacks, which came on the country's deadliest day since the 2011 revolution that overthrew longtime President Hosni Mubarak.

Bishop Angaelos, the Cairo-born head of the Coptic Orthodox Church in the United Kingdom, said he was told by colleagues in Egypt that 52 churches were attacked in a 24-hour span that started Wednesday, as well as numerous Christians' homes and businesses.

Ishak Ibrahim, a researcher with the Egyptian Initiative for Personal Rights, told CNN he had confirmed attacks on at least 30 churches so far, in addition to the targeting of church-related facilities, including schools and cultural centers.

Those churches reportedly set ablaze Wednesday included St. George Church in Sohag, a city south of Cairo on the Nile River.

And the new day brought new attacks. Prince Tadros Church in Fayoum, which is southwest of Cairo, was stormed and burned Thursday night, according to the official Middle East News Agency.

This and other attacks have been blamed by some on supporters of the Muslim Brotherhood, the Islamist movement which backs recently deposed President Mohamed Morsy. Government efforts to clear the group's Cairo protest camps resulted in gruesome scenes in the capital: Egypt's health ministry says that at least 580 people were killed and more than 4,000 injured amid clashes involving security forces and Morsy supporters.

Against this backdrop, it may be some time before it's established what group, if any, is behind the church attacks, and how coordinated this violence has been.

Until then, Christians in Egypt are left to try to put things back together, as well as to attempt to make sense of what's transpired.

As Dalia Ziada of the Ibn Khaldun Center for Development Studies, told CNN: "This is horrible to happen in only one day."

'A very dangerous game to play'

Egypt will have much to deal with if, and when, things do settle down. Once that happens, Angaelos says that a proper investigation of the church attacks should follow -- especially since, he feels, the sheer scale of incidents suggests they were orchestrated, rather than a byproduct of chaotic unrest.

"We would want the people who have done it to be brought to justice because I think they are trying to do something which is much more dangerous," he said.

"It's not just about burning churches, it's about burning churches to initiate a response that then spirals into even greater violence -- and that is a very, very dangerous game to play."

The targeting of churches and Christian properties was not unexpected, Angaelos said, given the tensions in Cairo and elsewhere and in light of escalating attacks on Coptic Christians in recent weeks.

The growing threat led him last week to issue a statement warning of "a very real risk upon the life of every Christian." Pope Tawadros II, the church's leader in Egypt, also suspended weekly public events for fear of attacks on Christian congregations.

But the warnings didn't prevent the violence, nor did security efforts to protect churches and Christian communities, according to Ibrahim.

Said Angaelos, "The ferocity and the speed with which it all happened ... was quite surprising."

Burning of books

A Bible Society of Egypt statement posted online Wednesday reported the "complete burning and destruction" of its bookshops in the cities of Assiut and Minia, in southern Egypt.

"Fortunately we were closed today, fearing such an attack, so none of our staff were injured," wrote Ramez Atallah, the society's general director. "The attackers demolished the metal doors protecting the bookshops, broke the store windows behind them and set the bookshops on fire."

Other stores and parked cars on those streets were also destroyed, he said.

"It is important to underline that -- while some Christian properties have been the victim of this violence -- they are by no means the only ones targeted," Atallah said.

"This is an attack against the state by a violent minority in an attempt to destabilize the nation."

CNN iReporter Amir Beshay, from Cairo, helped draw up a list of Christian churches and properties reportedly targeted.

On it are sites in Alexandria, Arish, Assiut, Beni Suef, Cairo, Fayoum, Gharbiya, Giza, Minya, Qena, Sohag and Suez. They include churches and schools, as well as homes and businesses belonging to Coptic Christians. CNN has not been able independently to verify the reports.

Asked about the attacks on churches Wednesday, U.S. State Department Spokeswoman Marie Harf said the United States was deeply concerned. "We will continue speaking out against this and continue talking to all parties and all sides about renouncing this violence, about moving forward with a democratic process."

Daniel Sinclair, director of communications at Christian Solidarity Worldwide, said the group was "deeply concerned at the unwarranted and continuing targeting of the Coptic community. We urge the government to ensure comprehensive security to all Egyptians, regardless of their religion."

Long history in Egypt

Egypt's Christian minority has been the target of a number of attacks in recent years. The bombing of a major church in Alexandria in January 2011 killed 21 people and sparked worldwide condemnation.

The situation has only become worse since Egypt's popular revolution overthrew former President Hosni Mubarak in 2011, said Angaelos.

"In the past two-and-a-half years, we've had more deaths of people just because they are Christians than in the last 20 years," he said, adding that this had not triggered violent retaliation.

He hopes for forgiveness and reconciliation among all Egyptians going forward, to help build a unified country.

Christians have been in Egypt since the 1st century and were, for centuries, the majority. Some 90% of Coptic Christians still live in the country, he said, making up the largest Christian community in the Middle East.

Angaelos puts the proportion of Christians in Egypt at 15 to 20% of the population. The CIA World Factbook says 10% of Egypt's population is Christian, while the Pew Research Center, which says firm numbers are hard to come by, puts the figure at about 5%.

Back in Kafr Hakim, Atia Ghattas told CNN his family's houses were attacked on the same night the church was looted. There was incitement against the Coptic community through the mosques in the area, he said.

Father Boktor Saad, of Kafr Hakim's Virgin Mary Church, said he believes that a small group of extremists were responsible for inciting groups to attack his church.

But, he and other church staff said, not everyone participated, and some non-Christians prevented the situation in that village from getting worse.

They credited moderate Muslims with putting out the fire at Virgin Mary, and halting further attacks on Coptic Christians' homes and shops.

@highlight

A Christian church southwest of Cairo is attacked, state news says

@highlight

Moderate Muslims put out fire at one church, halted other attacks, church staff say

@highlight

A Coptic Orthodox Church leader says 52 churches have been attacked in 24 hours

@highlight

Bishop: "It's about burning churches to initiate a response that spirals into greater violence"