Emma Coleman Jordan is a professor of law at Georgetown University Law Center. She was a White House fellow in 1980-81, serving as special assistant to the attorney general and working on the nomination process of Sandra Day O'Connor, the first female Supreme Court justice. She was also counsel to Professor Anita Hill during the Clarence Thomas confirmation hearings in 1992.

Emma Coleman Jordan says Sonia Sotomayor's 350 judicial opinions are largely uncontroversial.

(ESSENCE)  -- As Judge Sonia Sotomayor prepares to become the next U.S. Supreme Court justice, her lifetime of diligence and speed reading will now be crucial to help her navigate the next phase of her nomination.

From here on out, she will be silent. We will not hear her voice again until she sits before the members of the Senate Judiciary Committee.

In the spring of 1981, I was this African-American progressive Democrat, a female law professor chosen to work as a White House fellow assigned to Republican Attorney General William French Smith.

I was one of three special assistants working directly on the search for the replacement to Justice Potter Stewart, which led to Justice Sandra Day O'Connor's nomination. I was responsible for preparing briefing books for Attorney General Smith's chief of staff, Kenneth Starr, before the O'Connor nomination was announced, so I know precisely what Judge Sotomayor will experience in the next 60 days. ESSENCE: Obama's Sotomayor decision

The judge will be working feverishly with a team of lawyers from the Office of the White House Counsel, Gregory Craig, the Office of the Vice President, and the Justice Department.

After her press conference with the president last week, more than likely she went straight to a briefing session in which she was given several thick briefing books, filled with memos that identify the most difficult questions of constitutional law that the members of the Senate Judiciary Committee are likely to ask during her confirmation hearing. ESSENCE: Obama's mentor weighs in on nomination

The list of issues she will address will certainly include, but will not be limited to, questions about presidential power. The intense recent debate on the limits of presidential authorization for "enhanced interrogation techniques," closing Guantanamo Bay, military commissions, and domestic wiretapping will surely produce a slew of questions.

The lines of attack by outside interest groups are already beginning to take shape, but Sotomayor's 350 judicial opinions are largely uncontroversial.

So those who oppose her nomination will likely be forced to create a fusion between her personal story of educational mobility through affirmative action and her judicial views.

They will try to take the president's selection criterion of "empathy" and turn it against Sotomayor as a sword to accuse her of being a race- and identity-sensitive ideologue.

It helps considerably that her nomination comes at the beginning of the first term of a popular, media-savvy president. In this way, she is in the same position as Sandra Day O'Connor was when her nomination was announced in July 1981, at the beginning of President Reagan's first term.

When I first saw O'Connor's résumé, before the nomination became public, I thought, there are too many gaps here. What did she do right after law school? Why had she never practiced law with a major law firm? Why had she chosen to be an elected politician?

The missing elements I was looking for were things that cannot be captured in a résumé, like the fact that this brilliant woman was once prohibited from entering the practice of law, even though she graduated third in her class at Stanford Law School. Watch more What Matters content

Her résumé did not include information on her own experience of exclusion and discrimination -- life experiences she would later call upon when it was time for her to cast the deciding vote against ending affirmative action in higher education in 2003.

Selecting a Supreme Court justice is an art, not a science. This isn't just about checking a box. It's a judgment call the president has made based on many things, including those personal experiences and a sense of chemistry between the president and the nominee. ESSENCE: Blacks in the White House

The Sotomayor hearings may give us a peek into her personal background. But the likelihood is that we won't really learn how her own experiences will have an impact on her legal reasoning as a justice.

For now, we can only count on her diligent preparation to face partisan interest groups who will try to distort her identity and her record. Prepare to see the future justice-in-the-making.

The opinions expressed in this commentary are solely those of Emma Coleman Jordan.

@highlight

Emma Coleman Jordan is professor of law at Georgetown University

@highlight

Coleman Jordan worked on nomination process of Justice Sandra Day O'Connor

@highlight

Sonia Sotomayor faces tough Senate hearings, Coleman Jordan writes

@highlight

"We can only count on her diligent preparation to face partisan interest," she says