(CNN)  -- The United States must resolve what I call the Great American Conundrum by clarifying its policy toward Muslims. It cannot treat its Muslim citizens as second-class citizens at home and hope to win them over abroad.

American Muslims complain of their second-class status by pointing out that their religion and houses of worship can be attacked with near impunity. When they do object, they are told that this kind of abuse is a small price to pay for living in a free society. Yet it is blatantly clear that only Islam is being attacked in such a crass fashion. It is virtually unimaginable to hear of any other ethnic or religious group being so targeted without an uproar.

The conundrum came into being on 9/11. That day, we saw how 19 men could plunge two world civilizations into world confrontation. They succeeded in creating conflict between America and the Muslim world, and almost 10 years later, nothing but a big black hole remains where the World Trade Center once stood. Muslims have not fully understood how deeply symbolic 9/11 has become for Americans. They have neither forgotten nor have many forgiven.

Now a plan to create an Islamic center near the site of the World Trade Center has exacerbated tensions between Muslims and non-Muslims. The imam behind the center is a well-meaning and scholarly man who did not clearly think of the consequences of his actions. Most Americans see the befuddled actions of the imam as rubbing salt in their raw wounds. Non-Muslims are already threatening to blow up the center as soon as it is constructed.

Once again, we are reminded how easy it is for individuals to drag their respective civilizations into conflict. Across the land, stories are emerging of other mosques under pressure or attack.

When traveling throughout the United States for my project, "Journey into America," to study the American Muslim community, we visited about 100 mosques. We saw some with windows smashed and others destroyed. The mosque in Columbia, Tennessee, had been firebombed. Graffiti with Nazi slogans appeared on the walls still standing. When told to go "home," the Muslim worshippers, especially the young, were puzzled. "We are home," they said.

In the midst of this crisis there was light. The heroic  Rev. Bill Williamson approached Muslims and offered them the keys to his Presbyterian church, even suggesting he would remove anything they found offensive when they said their prayers there.

Ramadan, the month of fasting, will start in the next day or two. Most Muslims who fast tend to spend more time than usual in mosques. Many young men dress in traditional clothes to worship late into the night. Sensibilities are heightened and worshippers are in a state of high spiritual excitement. The stage is almost set for those non-Muslims looking for a fight.

As if the situation around mosques was not already tense enough, the Rev. Terry Jones of "Dove World Outreach" in Florida has declared September 11 "Burn a Quran Day." This is as provocative for ordinary Muslims as an imam promoting the burning of the Bible would be for Americans.

All this would be headache enough for those who want peace and harmony within communities, but there is an international dimension to it.

Gen. David Petraeus, the head of American forces in Afghanistan, has repeatedly expressed the need for winning the "hearts and minds" of local people by treating them with dignity and respect. This way, he hopes to marginalize or weaken support for the Taliban.

Those Americans who believe they are being patriotic when they attack mosques or burn the Quran need to ask how Petraeus would respond to their actions. Will it help American troops in Afghanistan and Pakistan, both deeply conservative and religious societies ready to fight for Islam? Or would it make their task more difficult?

No one -- least of all prominent American figures like Sarah Palin and Newt Gingrich, who have jumped so blithely into the discussion and condemned the New York center -- must underestimate the danger.

We are sitting on a tinderbox. A serious attack on a mosque in which people die could trigger a revenge attack, which would in turn create further attacks against Muslims. Because everything happening in America is seen in the Muslim world, murder and mayhem would follow globally.

I believe those who chose the site for the Islamic center (to be called Park51) should have been more culturally sensitive. But now that plans are developed, there are ways to calm the situation.

Considering the seriousness of the situation, I suggest the following steps be taken seriously and urgently.

For a start, the imam in New York should ensure that the cultural center -- which he has clarified is not simply a mosque -- invites Christians and Jews to include a church and a synagogue so that the building is truly a symbol of interfaith worship. That is the American way. Also, the center must include a special memorial to those who died on 9/11, as proposed, so that people of different faiths can pray for their souls and thus begin to heal the wounds.

President Obama should deliver a strong call to the nation, on the onset of Ramadan, for religious tolerance, and make it clear that no violation of this law of the land will be allowed. It is time he walked the walk, and not just talked the talk, to live up to the promise of his speech to the Muslim world in Cairo, Egypt.

Bishops, rabbis and imams must work vigorously to bring the temperature down. Interfaith conferences in churches, synagogues and mosques should be conducted. Muslim leaders should organize iftar parties at the opening of the fast to invite non-Muslims, to create good will for the community.

The media has too often played a negative role by associating Islam with violence and terror. It is time for media to play a more responsible role. TV news shows, for example, should encourage more Muslim guests to participate, so that Americans can finally begin to see Muslims as normal people and not members of a threatening alien species.

Given the situation in America, both Muslims and non-Muslims need to be much more culturally sensitive to each other. Muslim leaders need to be more active in explaining Islam to non-Muslims, and non-Muslims need to appreciate Muslims as citizens and fellow countrymen. These steps will help resolve the Great American Conundrum.

The opinions expressed in this commentary are solely those of Akbar Ahmed.

@highlight

Akbar Ahmed: U.S. can't treat Muslims badly and win "hearts and minds" abroad

@highlight

If proposed Islamic center ever attacked, Ahmed says, global violence will ensue

@highlight

Islamic center should also include church, synagogue and 9/11 memorial, he writes

@highlight

Ahmed: Bishops, rabbis and imams must work together; Obama must call for peace