LONDON, England (CNN) -- These are tense times for the English Premier League.

Going sponsorless: The 2008/2009 football season has seen numerous issues with shirt sponsors.

The cause of the tension isn't the battle between the leading title contenders on the pitch; instead it's the waiting to see what impact the international financial crisis will have off the field.

Outside of television rights packages, one of the major strands of income for football clubs is various sponsorship deals; and as big companies hit by the financial crisis have either folded or slashed spending budgets -- these agreements have come under serious threat.

Tell us whether you think football's massive salaries will survive the financial crisis in the Sound Off box below.

Barclays, the bank which has been the naming sponsor of the Premier League since 2001, is currently reviewing its sponsorship deals -- a process which includes considering its £66 million ($100m) three-year deal in England.

And like many other banks, financial institutions and major businesses, Barclays has been hit hard by the recent economic climate, so a new deal is certainly not a done deal.

But it's not just the English game that faces sponsorship uncertainty.

Last month FIFA President Sepp Blatter acknowledged that broadcasting and sponsorship revenues are decreasing across the global game, following a year tarnished by the credit crunch.

In December, the third Channel One Cup in Israel was cancelled after Roman Abramovich's National Academy Fund (NAF) pulled sponsorship for the event.

In September, English Premier League side West Ham United lost their shirt-sponsor in a high-profile collapse which left the team wearing temporary covers on the front of their playing kits. Fellow Premiership side West Bromwich Albion does not have a shirt sponsor.

Several further sponsorship deals have been affected for various reasons in recent months. The nationalization of Dutch-Belgian bank Fortis resulted in both Feyenoord and Anderlecht having the bank removed from their shirts; Manchester United needs a new shirt sponsor after its £14m ($21m) per year shirt sponsor -- the troubled U.S. financial institution AIG chose not to renew its contract; Philips pulled out as PSV Eindhoven's shirt sponsor; and David Beckham and Pepsi brought their decade-long £2m ($3m) per year deal to an end.

Despite these mounting examples of sponsor uncertainty, sports business experts believe the game of football will survive the international financial crisis.

Head of the Sports Business Group at Deloitte, Dan Jones, told CNN there were reasons to be optimistic that sponsorship levels would not decline significantly.

"I think sponsorship is one of the areas people will look at closely in the current environment ...but, that said, sport sponsorship is one of the areas that has grown very significantly.

"Yes it's a difficult time but sports have done well in increasing their sponsors and I think they have delivered on that," he said.

Jones told CNN shirt sponsorships are not major sources of income for most football clubs, and some, like Spain's Barcelona, had chosen to use the shirt space to promote a charity (UNICEF) rather than seek sponsorship money.

Jones said that big brands like Manchester United and Real Madrid would perform better than their lesser known counterparts in coming years, but he said it wasn't all bad for the smaller clubs.

"It's more a case of the richer getting richer and the poor getting richer, but not as fast."

In Europe, countries such as Germany were more heavily dependant on sponsorship money, so competitions like the Bundesliga could be the hardest hit by a drop in sponsor revenue, he said.

Sports columnist at The Guardian, David Conn, said it was likely revenue from advertising and corporate hospitality would also increasingly feel the impact of the financial crisis.

Conn said corporate hospitality, which generated a large portion of match-day takings, could be one of the worst hit areas.

"It doesn't affect them (football clubs) in a catastrophic way, but all of it put together can have quite an impact."

Conn believed teams at the bottom reaches of England's Premier League and below would be the worst hit clubs, and agreed with Jones that the larger clubs would survive the crisis.

Despite the worries, Jones said there was no need for global alarm.

He said the football market is not immune to recession but it is "reasonably resistant".

"There are a lot worse places to be trying to run in the current economic climate than a large sports business," he said.

@highlight

International financial crisis means big sponsors are reviewing their activities

@highlight

Barclays bank is set to review its sponsorship of the English Premier League

@highlight

West Ham was a high-profile victim of the crisis when it lost short sponsor XL

@highlight

Sports business experts say that football clubs will survive the financial crisis