Jerusalem (CNN) -- Indirect talks between Palestinians and Israelis, aimed at ending the hostilities in Gaza, have resumed in Cairo, Egyptian state-run EgyNews reported Monday.

The talks are taking place amid a three-day cease-fire brokered by Egypt.

Israel wants Hamas, the militant Islamic group that runs Gaza, to disarm as part of a demilitarization of the territory. The Palestinian delegation's demands include the withdrawal of Israeli forces from Gaza; a commitment to the 2012 memorandum of understanding, which called for an end to Israel's blockade on Gaza; an extension of fishing rights off the coast; and the reopening of air and seaports.

Israeli authorities restrict the movement of goods and people in and out of Gaza, saying they need to prevent weapons being imported.

Israeli government spokesman Mark Regev told CNN on Monday that "if nonviolence is maintained," the talks could be ongoing.

Israel would be willing to ease sanctions "if all aggression from Gaza stops," he said on CNN's "New Day."

"I believe if the Palestinians -- if Hamas -- ceases violence, ceases to target Israeli citizens, then anything is possible," Regev said. "We see nonviolence and demilitarization as the keys as we move forward now."

The Palestinian delegation includes representatives from several factions, including Hamas, Islamic Jihad and Fatah, the group that governs the West Bank.

Senior Hamas official Izzat Risheq told CNN that this would be the last time Palestinians would be willing to participate in negotiations.

Before the latest truce was announced, Hamas officials had threatened to walk away from the talks.

"We will not stay long in the absence of serious negotiations," Mousa Abu Marzouk, a senior Hamas official in Cairo, said in a statement Sunday. "The coming 24 hours will determine the fate of the negotiations as a whole."

Humanitarian aid

The latest truce also helps humanitarian aid reach some of the victims of the Gaza conflict, which has been raging for more than a month.

"The humanitarian needs are very, very big right now" in Gaza, said Erika Tovar, a spokeswoman for the International Committee of the Red Cross. "Now we are able to move around better because of the cease-fire."

A spokeswoman for Israel's Coordination and Liaison Administration for Gaza, which coordinates the crossings from Israel into Gaza, said the Kerem Shalom and Erez crossings were open Monday.

"Today, 369 truckloads of goods were scheduled to be sent into Gaza, including 212 truckloads of food, 33 of animal feed, and 25 of medical supplies," 2nd Lt. Adina Horesh said Monday. "There have not been any particular issues today that have hindered the operation of the crossing."

A previous cease-fire ended Friday when militant groups in Gaza resumed rocket attacks on Israel, provoking renewed airstrikes from the Israeli military.

The return to violence stalled the Egyptian-mediated negotiations between the two sides in Cairo, with Israeli officials leaving the city.

On Sunday, Israeli Defense Minister Moshe Ya'alon said the delegation would not return until the rocket fire from Gaza stopped. "We will not negotiate under fire," he said.

The Israeli military said Monday morning that no rocket fire had been reported since the truce came into effect just after midnight local time (Sunday at 9 p.m. GMT and 5 p.m. ET), and a senior Egyptian official later told CNN that an Israeli delegation had arrived in Cairo for talks.

'The operation will continue'

The Israeli military pulled its ground forces out of Gaza last week, saying it had achieved the goal of destroying Hamas' network of tunnels, some of which ran under the border and were used by militants to launch attacks.

But Israeli Prime Minister Benjamin Netanyahu said Sunday that the broader operation is still under way.

"At no stage did we announce its end," he said. "The operation will continue until we complete its aims -- the return of quiet for a continuous period of time."

On Sunday, before the new truce began, militants had kept firing rockets into Israel, and airstrikes continued to pound Gaza, killing a number of Palestinians.

The United Nations said Sunday that 1,948 Palestinians had been killed during the conflict, estimating that around 72% of them were civilians.

The fighting has wounded thousands of people and displaced hundreds of thousands. Many Gaza residents are struggling to get access to basic necessities like shelter, water and power.

Aid workers are taking advantage of the lull to try to address some of those issues.

"We can get disposable items to the hospitals, more health practitioners to the hospitals," said Tovar of the Red Cross. "We are bringing more technicians to repair the power lines, and we can go farther to assess the needs of people who have been displaced."

Israeli officials say 64 Israeli soldiers have been killed in the conflict, and three civilians were killed in Israel.

Man killed in the West Bank

In the West Bank, where the Gaza conflict has raised tensions, Israeli security forces killed a Palestinian man early Monday, the Israeli military said in a statement.

The man, who was wanted for questioning over a shooting incident against Israeli forces two weeks ago, barricaded himself in a building in the town of Qabalan, the Israel Defense Forces said. He refused repeated calls to turn himself in and fired a gun, it said.

The official Palestinian news agency WAFA reported that the Israeli forces targeted the 24-year-old man in his home and that eight other people were injured.

The IDF said it wasn't aware if anyone else was injured in the clash. It said further searches revealed weapons at the scene.

On Sunday, a 10-year-old Palestinian boy was shot and killed in front of his house in the West Bank city of Hebron during clashes between Palestinian youths and Israeli soldiers, Palestinian medical officials said.

The Israeli military said it was looking into the reports of the boy's death.

CNN's Saima Mohsin reported from Jerusalem, and Jethro Mullen reported and wrote from Hong Kong. CNN's Samira Said, Ashley Fantz, Ali Younes, Salma Abdelaziz, Martin Savidge, Claudia Rebaza and Tal Heinrich also contributed to this report.

@highlight

Indirect talks between Israelis and Palestinians resume, Egyptian news service says

@highlight

The talks are taking place amid a three-day cease-fire brokered by Egypt

@highlight

Humanitarian needs in Gaza are "very, very big right now," Red Cross official says

@highlight

Hamas warns it won't stay long "in the absence of serious negotiations"