Egyptian voters this month ratified a new constitution that enshrines the military, police and intelligence in positions of unprecedented power. Filmgoers elsewhere could watch "The Square," Jehane Noujaim's documentary about resilient revolutionaries -- youth, intellectuals and Muslim Brotherhood -- fighting  for dignity, social justice, economic empowerment and freedom.

Which is the true Egypt? Both, but the second has been ignored by the Obama administration and much of the media.

In Washington as in Egypt, there are two narratives: 1) The army has brought back stability, and the revolution is over; 2) Egyptians have banished fear, if not the regime, and many who led and joined the revolution continue to fight for the same aspirations, while soberly acknowledging the challenges ahead.

The second narrative comes to life in "The Square," the Oscar-nominated documentary that tracks Egypt's uprisings from the inspiring 18 days that began three years ago on January 25, when protesters crossed Tahrir Square, to the crackdown on the Brotherhood camps last August. (Full disclosure: I donated $90 to the Kickstarter campaign that supported the film, and I know director Jehane Noujaim and producer Karim Amer personally.)

Through the eyes of three revolutionaries who meet in Tahrir Square during the first protests in 2011-- Ahmed Hassan, a young street vendor who emerges as a charismatic leader in Tahrir; Khalid Abdalla, a third-generation activist and actor (star of "The Kite Runner," and founder of the post-revolution media collective Mosireen); and Magdy Ashour, a member of the Muslim Brotherhood -- we see the events of the last three years unfold in fits and starts of optimism, betrayal, and disappointment.

This is the Egypt that the Obama administration has forgotten. This is the Egypt that took Washington by surprise three years ago. True, the initial promise of those utopian 18 days when the country overcame economic and ethnic barriers to find common cause, has not been redeemed. No surprise. After decades of U.S.- backed authoritarian rule, Egyptians have no reliable independent institutions, only the ability to take to the streets in protest. And now the new military-backed constitution takes that away.

Ahmed, Khalid, Magdy, and their compatriots in "The Square" -- such as Ramy, who is brutally beaten by the security forces for the crime of leading Tahrir in song -- demonstrate that this Egypt is resilient. They may not have learned to organize political parties and to take power in three years, a failing that left first the Brotherhood and then the military to fill that vacuum, but they also are not abandoning the struggle for their rights.

Egyptian activists behind bars on uprising's anniversary

Given the film's portrayal of the military's repeated attacks on protesters, beginning in March 2011, it is difficult to understand the infatuation with Gen. Abdel Fattah el-Sisi and the army, a sentiment that extends to liberals such as author Alaa al-Aswany. Recently returned from Cairo, "The Square" producer Karim Amer said in a talkback session, "People are beginning to wake up and recognize what the regime is doing to divide Egyptians."

In a tragic postscript to the film, Magdy Ashour currently is confined to his home -- a common fate for Brotherhood members -- unable to work for fear of arrest under the military's condemnation of  the Muslim Brotherhood as a terrorist organization. This is ironic, since Magdy sided with the revolutionaries against Egypt's deposed president, Mohammed Morsy. The current Egyptian regime's policy of outlawing a movement with millions of Egyptian supporters, one that supplied essential social services to the poor, cannot end well.

And where is the United States? As usual, it has no impact. Having consistently abandoned those fighting for the goals of the revolution, the U.S. has steadily weakened its position of influence.

Now the U.S. speaks to the military to no avail. While Defense Secretary Chuck Hagel dials el-Sisi to discourage growing repression, gaining nothing from their conversations, the U.S. is vilified in the Egyptian media.

"The Square" should be a painful reminder for the White House, Congress, and State Department of the nature of the military regime the U.S. continues to back,

Egyptians, who already know this well enough, do not have the opportunity to see the film: It languishes in the state censorship authority. And no wonder. The military-backed regime surely does not want Egyptians to see the juxtaposition of army leaders promising "not to harm a single Egyptian" with the brutal beatings inflicted on protesters.

The Oscars have done what the White House has failed to do: Recognize the ongoing narrative of Egypt's revolution.

Now the Egyptian authorities must allow their countrymen to see their own history.  There are encouraging signs that the Oscar nomination has prompted them to review the film's status. The Jumbotrons screening "The Square" in the Square cannot come a moment too soon.

@highlight

"The Square" is filmmaker Jehane Noujaim's documentary about Egypt's revolutionaries

@highlight

It's told through the eyes of three revolutionaries who meet in during the first protests

@highlight

This is the Egypt the Obama administration has forgotten, says Cynthia Schneider

@highlight

Schneider: Film should be a painful reminder to the U.S. of the military regime it backs