(CNN) -- Critics say that President Barack Obama's foreign policy is "feckless," "mushy" or "too cautious" and above all, that it lacks a clear overarching doctrine.

But Obama's foreign policy is very clear insofar as it clearly reflects the unclear role of America at a time of national and global transition and is responsive to this moment in history. Call it the "Transition Doctrine."

Whether one agrees with his decisions or not, it's ridiculous to suggest the President is a weak leader. Just ask Osama bin Laden. Or consider that Obama is bombing ISIS, pressing Iraq to fix its broken government, working with NATO to force Russian President Vladimir Putin to back down and making real progress in curbing Iran's nuclear ambitions. And then there are the drone strikes, including one that killed the leader of the militant Islamist group Al-Shabaab in Somalia. Feckless? Hardly.

The criticisms aimed at the President reveal more about those doing the criticizing, most of whom have never met a war they didn't like and have been so wrong so often on foreign policy it's shocking they're still deemed remotely credible at all (ahem, Sens. John McCain and Lindsey Graham).

America tried "Cowboy Adventurism" as a foreign policy strategy. We didn't like it. We're not trying it again. No matter how much Dick Cheney goads us. Even though the actions of ISIS are atrocious, and public support for military action has increased, most Americans are reluctant to rush into war and repeat the mistakes of the previous Republican leadership.

For instance, even though fear of a terrorist attack has increased, according to a recent CNN/ORC International poll, six in 10 American voters still oppose sending ground troops to fight ISIS. Obama is echoing America's fatigue with the hawkish aggressions of the past by insisting he will not use ground troops.

Yet to characterize Obama's foreign policy strategy as merely a reaction to Bush-era truculence misses something else -- that the very nature of the world, and America's role within it, is changing. Of course, Obama's foreign policy could use more clarity -- because the world could use more clarity. Whether bombing ISIS is the right strategy or not (and I think it's not), Republicans who support military action relentlessly dinged the President for not acting -- and then dinged him for not acting sooner.

That sort of political point-scoring overlooks the complexity of the situation. The entire region has been changed not only by the American war in Iraq but also by the Arab Spring, which has altered the local geopolitics. Amid the civil war in Syria and the volatility of Iraq, the brutal ISIS found a way to wreak havoc. No responsible military analysts believe the solution to ISIS is simple. Bullheaded clarity in the face of such complexity would be naive.

In a 1999 essay for Foreign Policy, Samuel Huntington described the early contours of global power that prevailed in the post-Cold War era. Huntington wrote that international politics was a "uni-multipolar system with one superpower and several major powers" and that the "settlement of key international issues requires action by the single superpower but always with some combination of other major states; the single superpower can, however, veto action on key issues by combinations of other states."

That was then. Today, the power of the United States has contracted, in part because our economic supremacy has been undermined by domestic challenges as well as by the rise of other global powers. There is less appetite for military spending abroad after George W. Bush's expensive adventures.

Obama is not the only one who's unambitious in flexing America's muscles or preferring to settle for singles and doubles in the game of global influence. His sentiment reflects the sentiment of American voters who are responding to the changing terrain of international politics. As our footprint of power around the globe is reduced, the practical expectations for stomping that foot -- let alone singularly squashing any enemies with it -- are also reduced.

A true multipolar world, where not just one country leads and dominates but many countries lead, has never quite existed in our modern time. It's no wonder we can't yet realize our role within it.

We're watching the President of the United States in real time leading our country and grappling with the future -- it's a process that, just like change itself, is neither clean nor tidy. It will take time to find our new formula for balancing force and restraint, diplomacy and aggression -- between being a superpower versus not being the world's police force.

Those calling for the aggressive, big military, pro-intervention-no-matter-what policies not only ignore how that failed us in the past but also that the past is no longer our present. The "Transition Doctrine" is based on a clear-eyed assessment of the world as it is today and the necessity for a new, responsible and effective American posture for the future.

@highlight

Sally Kohn: Critics say President Obama's foreign policy is too cautious or lacks clarity

@highlight

She says it's absurd to suggest Obama is a weak leader; just ask Osama bin Laden

@highlight

Kohn: Actually, Obama's policy -- the "Transition Doctrine" -- reflects complexity of our time

@highlight

Those who want aggressive military intervention should look at failures of past, she says