Editor's note: Actress and producer Didi Conn played Frenchy in the films "Grease" and "Grease 2" and is a celebrity spokesperson for the advocacy organization Autism Speaks. April 2 is World Autism Awareness Day.

Didi Conn says she struggled to come to terms with her son Danny's autism.

(CNN) -- When anything is wrong with your child, your first instinct is to make it better. Diagnose the situation, find the answer to the problem and take your child's pain away. But with autism, that takes quite a lot of doing.

Right after our son Danny celebrated his second birthday, he started to have increasingly lengthy and violent tantrums, usually initiated by his extraordinary sensitivity to sound. At the slightest provocation -- telephone ring, doorbell, a blow dryer, blender -- he would begin to scream, hold his ears and throw himself down on the ground.

We went right to our pediatrician, who was not alarmed, gave him a routine hearing test, and basically said, "He's 2, you've heard of the "terrible 2s." This was 1994, and the classic signs of autism were not as publicized, and therefore as recognizable, as they are today.

Then, a few months later, Danny began to wake up screaming two or three times a night. It would go on for hours, and there was nothing my husband or I could do. Since Danny was so sensitive to sound, he began to stop responding to us as a way of protecting himself from the pain.

Feeling helpless and exhausted, we brought him to Dr. Isabelle Rapin, the head of pediatric neurology at the Albert Einstein School of Medicine. The diagnosis was PDDNOS: Pervasive Development Disorder Not Otherwise Specified. We learned that "autism" is an umbrella term for five spectrum disorders.

After three more visits with  Rapin, Danny was diagnosed as a high-functioning child on the autistic spectrum, and she recommended we take him to The Therapeutic Nursery at the Jewish Community Center on the Palisades in Tenafly, New Jersey. The school was run by Rapin's colleague, Dr. Doris Allen.

When a child is out of control, he or she needs you, the parent, to make them feel safe. So we were taught to sit behind Danny and hold him close with legs and arms wrapped around him, to become his backbone until the tantrum ran its course. When a child throws a tantrum, he throws himself on Mother Earth. I wanted Danny to throw himself on me and let me take care of him. But it was not to play out that way.

I became the Queen of Denial. I wouldn't believe there was something "wrong" with my son. Can you imagine waking up two three times a night, every night, with your child for 12 years?

I knew I had to change myself, become somehow bigger, larger, stronger, able to envelop him, subdue him, keep him safe; but, instead I went in the opposite direction. The shock of his diagnosis found me shrinking, hiding, disappearing, guilty and overprotective. I would not take any jobs. I would never leave him alone. What if he set the house on fire?

I took Danny to try every therapy known at the time: excising sugar, wheat or gluten from his diet, acupuncture, massage, psychic healers, trips to Toronto, Canada, to The Listening Centre for auditory integration. I was told to see what interested him and develop those interests as a way in.

For a few years, he obsessively loved daisies; so we planted daisies everywhere. Later, his most obsessive interest became pets, especially dogs. Now it seems like we've been to every pet store in every state and country and we have a bird, two cats, two dogs, five fish and a tortoise.

I learned that early intervention with the appropriate therapy and a supportive family and a loving community will help your child reach his or her potential -- and that is the most important thing. We all want our children to be the best they can be; and one of the blessings of having an autistic child is that you notice every little achievement, and it becomes cause for celebration.

In our case, there was yet another special reward from having an autistic child. Five years ago, I was approached by a television executive to develop an animated musical series for children.

We have recently finished the pilot for Didi Lightful, and it centers around a little girl of that name who loves pets of all kinds and lives in a house full of them (her father is a vet). Of course, the prime inspiration for her character and adventures was and is Danny. Not only that, among Didi Lightful's neighborhood friends is the first autistic child in a fictional series of this kind.

One day, as I was speaking to another mother of a disabled child, I said our secret weapon against this disease is to do all we can without any expectation of results. MUMS the word! MUMS: Mothers Unite for Miracles!

And I do have so many miracles to report and so many miracle workers who made them happen. They include his relatives, doctors, therapists and teachers. This includes his Applied Behavior Analysis Hebrew teacher, Eve Rosenstock.

For two years, she prepared Danny for his bar mitzvah -- yes, his full bar mitzvah for 100 people in a big temple.

Thanks also go to two schools that have helped him greatly: Devereux Millwood Learning Center and his current program at Tappan Zee High School.

Since decision-making is difficult for Danny, choosing "what to be" on Halloween is always an exasperating time and high on the IT (Inciting Tantrum) list. This year, for the first time, Danny was positive he wanted to be a pirate. We went to the Party Store and picked out a perfect pirate costume, eye patch and attachable parrot included.

Danny was excited and I held my breath as we waited on a long line to check out, hoping that he wouldn't change his mind. And he didn't! That is, until we got into the car and he blurted out, "I don't want to be a pirate! I hate pirates! Pirates are stupid! I want to be a witch!"

My mind races: Did I force this choice on him?

I pull the car over. I take several deep breaths. I say, "Danny look at me. I had a happy face all day and now look at me. Do I look happy?" He turns his head in my direction and glances over to me. "No, no," he says. "That's right, you are upsetting me, Danny." Then he says, "Upsetting is a bad word for U!" And then in a flash, I say, "What is a good word for U?" Before I can come up with one, Danny says, "United, United is a good word for U!"

This is a miracle.

"Yes!" I say, "United is a perfect word for U!"

I burst out in tears. The spell is broken! Two miracles just occurred:

There was no tantrum, and Danny saw I was unhappy and realized the cause of it was his behavior.

Yes, Danny! The opposite of Upset is United! We are United!

Last summer, Danny and I went to visit our angel and his long-time therapist, Terese, at her home in Maine. It was raining as we drove down a dirt road on our way to a friend's farm. Danny was looking intently out the window at the fields and pastures we were passing, and he said quietly, "I can see all of God's paintings. Thank you God for all the blessings I like."

And I thank you too, God, for the blessing of my beautiful, innocent son.

The opinions expressed in this commentary are solely those of Didi Conn.

@highlight

Didi Conn says she tried to deny the seriousness of her son's struggle with autism

@highlight

She says her son went through many different kinds of therapies

@highlight

Eventually they found caring people who helped him progress, she says