Adults who were exposed to large amounts of secondhand smoke during childhood have lungs that look different on CT scans from those of people who grew up in a smoke-free environment, a new study suggests.

The harmful short-term effects of secondhand smoke are well known; the long-term consequences aren't as clear.

Specifically, their lungs have slightly more, and larger, emphysema-like "holes" than those with less smoke exposure, says Gina Lovasi, M.P.H., Ph.D., of Columbia University, and her colleagues. Although breathing tests showed that the smoke-exposed lungs were functioning just fine, Lovasi said the changes could signal an increased vulnerability to developing emphysema and other lung problems down the road. Health.com: Should smoking around kids be illegal?

Emphysema is a progressive lung disease characterized by shortness of breath, coughing, fatigue, and weight loss. About 24 million people in the United States have emphysema and/or chronic bronchitis, which together are known as chronic obstructive pulmonary disease (COPD); however about half of those people don't realize they have COPD.

The lung condition is the fourth-leading cause of death in the United States, and smoking is a major cause of COPD. Health.com: I'm a nonsmoker, but I have emphysema due to a rare genetic condition

"The interesting part about this is that we don't know a lot about how the lungs change over time and whether they heal completely after being exposed to tobacco," says Lovasi, who is scheduled to present her findings on Tuesday at the American Thoracic Society's 105th International Conference in San Diego. "We can still see a difference even decades later."

The harmful short-term effects of breathing other people's cigarette smoke are well known, but the long-term consequences aren't as clear. To investigate, Lovasi and her team looked at CT scans of the lungs of 1,781 nonsmoking 45- to 84-year-olds taking part in the Multi-Ethnic Study of Atherosclerosis (MESA) trial. Health.com: 5 celebrities who had -- or are at risk of -- the lung disease COPD

About half of the study participants said that no one with whom they lived  during childhood smoked cigarettes at home, 31 percent lived with one person who smoked at home, and 17 percent lived with two or more smokers.

Lovasi and her team checked the lung CT scans for large areas where the density was similar to air (lung tissue is naturally denser than air), and also calculated what percentage of their lungs was made up of these "holes." Health.com: My smoker's cough turned out to be emphysema

"The lungs are supposed to have air in them, but it's important that the air is interspersed with blood vessels so that we can get the oxygen out of the air," she says. "Small holes can expand over time and merge to form larger holes."

For people who hadn't grown up with smokers, 17 percent of their lung tissue had this air-like density, while "holes" made up 20 percent of the lung area of people who had lived with at least two smokers during childhood. The more heavily smoke-exposed study participants also had more relatively large holes in their lungs. In comparison, "someone with emphysema would typically have between 30 percent and 60 percent of the lungs classified as air-like (or emphysema-like) using the threshold we used for our study," says Lovasi. Health.com: 1 in 3 smokers would kick habit to protect pet

Lovasi says she and her colleagues will be following the MESA participants over time to see how their lungs change, and whether people with more early smoke exposure are indeed more vulnerable to lung problems later on.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Lungs of adults who had grown up with secondhand smoke had more "holes"

@highlight

Many "holes" --less dense areas of lung-- are characteristic of emphysema

@highlight

Even though smoke-exposed lungs functioned fine, there's concern for future health

@highlight

About 24 million people in the United States have emphysema, chronic bronchitis