LONDON, England -- A new tool that allows doctors to use laser surgery in complex operations has been hailed as a breakthrough in minimally invasive laser technology.

This fiber optic tool is made from the perfect mirror, making it possible to reflect CO2 lasers for the first time.

Originally designed as a military tool for the United States Department of Defense (DOD), the fiber-optic invention is revolutionizing the ways surgeons carry out brain surgeries.

The "Omni directional dielectric mirror" was created by Professor Yoel Fink, a then-29-year-old student in Material Science at the Massachusetts Institute of Technology (MIT) in 1995.

"I was asked to participate in a project funded by the DOD to create the perfect mirror," Fink told CNN.

"The perfect mirror reflects light from all angles and does not absorb any of it. It could have been used, for example, to reflect back enemy laser beams," he continued

DARPA, the Defense Advanced Research Projects Agency, a subsection of the DOD, specialize in technologies they believe are about 25 years away from being realized and try to make them happen in five years' time.

But they didn't have a long wait before they found their perfect mirror.

"To my own surprise, I found the answer during the very first meeting. I thought everyone would laugh at my suggestion, so I waited until the last two minutes to talk and after I did, the room just fell silent," Fink, a former commander in the Israeli army, told CNN.

He found that by taking two materials with different optical properties (one being a semi-conducting glass and one being a polymer) and stacking these two up in very tight and ultra thin layers, around 1 micron each (1/1000 of a millimeter), they create an omni-reflector.

The most important part of his discovery, however, was that by changing only the thickness and distance of the layers, the "perfect mirror" could reflect any type of electromagnetic energy in any wavelength.

This meant Fink's invention was useful not only in the military and telecommunications field, but could also be used in minimally invasive laser surgery -- the use of lasers rather than scalpels to operate on everything from tumors, deafness and spine injuries.

This type of surgery is known to reduce recovery time, the likelihood of complications and incision size. In many cases, patients also spend less time "under the knife."

Fink then set about creating a pen-shaped fiber-optic tool that could allow surgeons to easily manipulate the laser and bend it to reach almost any tissue in the body.

The results, according to some surgeons who have used it, are astonishing.

Dr. Stanley Shapshay, a renowned American Ear Nose and Throat surgeon and former president of the Triological Society told CNN: "When Yoel first called me to show me his fiber-optic tool made out of this perfect mirror, I was very skeptical as I had seen many unsuccessful trials."

"But as soon as we did the first tests, I was simply blown away," he added.

Dr. Shapshay has now performed over 100 operations with the "perfect mirror laser" and says he finds it almost easier to use than a scalpel.

Dr. Bendok, a senior neurosurgeon at Northwestern University in the United States, along with his partner, otolaryngologist Dr Andrew Fishman, also rave about the benefit of the fiber optic tool in minimally invasive surgery.

In a recent case, Dr. Bendok's patient had a tumor at the base of the brain, a tumor that could have been more difficult and dangerous to remove without Fink's device.

"Using the scalpel could have caused a stroke," Dr. Fishman told CNN. "Instead we used CO2 laser to melt the tumor and then shave it off."

The whole operation took less than an hour and the patient recovered in only three days.

According to Dr. Shapshay, the perfect mirror is also an important development because, for years, doctors were able to treat patients with lasers in only limited circumstances and with many complications.

Until the "perfect mirror" came along there were no fibers that could transport the safer CO2 lasers. Surgeons had to shoot the laser beam directly from its large generator and could do so only at a straight angle, rendering it impossible to reach deeper tissues.

"At the time, CO2 lasers were like the perfect weapon for soldiers, but one that also happened to weigh five tons. They were very cumbersome," says Dr. Shapshay.

The surgeons believe laser technology will now become more widespread with the avenue of this tool that is "easy and intuitive to use."

Next on Fink's to-do list is to take his fibers worldwide, especially in Europe, the Middle East and Asia. His company, Omni Guide, aims to expand the tool globally: most clinics using it are currently in the United States.

"I hope it can help patients around the world," he said.

@highlight

Perfect Mirror is used to simplify and expand use of minimally invasive laser surgery

@highlight

Some surgeons say new tool is easier to use than a scalpel and safer for patients

@highlight

Senior neurosurgeon saw patient with brain tumor recover in three days

@highlight

Company plans to market fiber optic tool beyond the U.S. to Europe and Asia