(CNN) -- Russia's top diplomat chided the United Nations on Tuesday for rescinding an invitation to Iran to participate in talks aimed at ending the Syrian civil war, a move that raised questions about whether any agreement could be reached at the peace conference.

Foreign Minister Sergey Lavrov put the blame squarely on U.N. members calling for Syrian President Bashar al-Assad to step down, saying those nations had forced the United Nations to un-invite Iran -- a leading Syrian ally -- to the talks in Switzerland.

Lavrov called it a mistake, but "not a catastrophe," adding that Russia and others will push for balanced talks between those representing al-Assad and the rebels.

He pointed out that U.S. Secretary of State John Kerry, among others, recognized publicly that Iran is an important player in resolving the Syrian conflict.

Could Syria 'torture photos' be a game-changer for peace talks?

The topic was key in one-on-one talks between Lavrov and Kerry on Tuesday. The two met behind closed doors at the Fairmont Le Montreux Palace on the shores of Lake Geneva.

That meeting was followed by another that included Kerry, Lavrov, U.N. Secretary-General Ban Ki-moon and the U.N. special envoy to Syria, Lakhdar Brahimi. They all agreed on the significance of having representatives of the regime and the rebels at the negotiating table, according to a senior State Department official, who spoke on the condition of anonymity.

The four also agreed on the importance of "beginning the long process of negotiating a transitional governing body by mutual consent," said the official, who was not authorized to speak publicly on the issue.

Kerry also briefly joined a meeting between senior U.S. officials and representatives of the Syrian opposition coalition, according to the official.

The peace talks also were front and center in a telephone call between U.S. President Barack Obama and Russian President Vladimir Putin on Tuesday. The two discussed preparations for the talks, according to a statement released by the White House.

A preliminary international session is scheduled for Wednesday in Montreux, with talks between the Syrian government and opposition delegations slated to begin Friday in Geneva.

According to breaking news banners on Syrian state-run television, the plane transporting the Syrian government delegation to the peace talks was prevented from refueling at Athens International Airport in Greece after landing there Tuesday, despite having the necessary permits.

Later, state TV said the government's delegation had landed in Geneva.

Gruesome Syria photos may prove torture by Assad regime

'Lack of courage'

The last-minute invitation to Iran had threatened to derail the talks after the main Syrian opposition group and the United States opposed it.

Louay Safi, a spokesman for the Syrian National Coalition, said Iran's attendance would have been "a deal breaker." He told CNN that Ban "did the right thing" by withdrawing Iran's invitation.

Iran, meanwhile, had already announced that it wouldn't be attending the peace conference because it would not tolerate any preconditions for joining the talks -- including acceptance of the framework laid out in a previous conference which foresees a transitional government.

Russian Prime Minister Dmitry Medvedev told CNN's Christiane Amanpour that the talks cannot be taken seriously without Iran.

"The thing that has happened with the withdrawal of the invitation to Iran, I believe that's unacceptable," Medvedev said in an exclusive interview to air Wednesday on CNN's Amanpour. "Can someone think the Syrian problem can be seriously discussed without the Iranian factor and their account of it?"

Lavrov said Monday that Iran's absence from the list of countries invited to the talks would make the conference "resemble something profane," according to Russia's state-run RIA Novosti news agency. Moscow has been a longstanding ally of the Syrian government.

And Iranian Foreign Minister Mohammad Javad Zarif told Iran's state-run Fars News agency that he considered the situation to be unworthy of Ban.

"What disappoints us most is the lack of courage to state the real reason for the withdrawal of the invitation," he is quoted as saying, adding that the United Nations laid the fault at the door of Iranian officials.

"It is obvious that the United States and certain other groups who have the blood of the Syrian people on their hands have put pressure on Mr. Ban Ki-moon and forced him into doing this, and he had to justify his action."

Zarif said Ban had consulted with him several times and that Iran had made clear it would not accept any preconditions for the talks, and that it would "consider any statement to the contrary by the Secretary-General as being false."

Iran out of peace conference on Syria

'Deeply disappointed'

Ban arrived in Switzerland on Tuesday.

His spokesman, Martin Nesirky, told reporters Monday that Ban, who issued the invitation Sunday, believed he had Iran's assurance that it accepted the original Geneva declaration.

"The secretary-general is deeply disappointed by Iranian public statements today that are not at all consistent with that stated commitment," Nesirky said. The declaration "remains the internationally agreed framework for ending the crisis," he said -- and without Iran's acceptance of it, this week's conference "will proceed without Iran's participation," he added.

4 things to know about Syria

The goal of the talks is to set up a transitional government to help end the violence that has wracked the country.

The United Nations says more than 100,000 people have been killed in Syria since the revolt against al-Assad's government began in 2011. The first round of peace talks -- known as the Geneva I communiquÃ© -- calls for a transitional government and eventual free elections as part of a political settlement to end the war.

Al-Assad has called for the conference to include a focus on "fighting terrorism" in Syria. Throughout the civil war, Syria has blamed violence on "terrorists."

In a meeting with Syria's delegates to the talks, al-Assad directed them to preserve their nation's sovereignty by "preventing and rejecting any foreign interference no matter its form and context," Syria's state-run news agency, SANA, reported Monday.

Al-Assad also said no political solution could be reached without the agreement of the Syrian people and "first and foremost the complete cessation of terrorism" and its support by other countries, the news agency said.

Syrian opposition votes to attend Geneva 2 peace talks

Outside backing

Western intelligence officials believe Iran has provided fighters, intelligence and communications to support al-Assad.

In addition, fighters from the Iran-backed Lebanese Shiite militia Hezbollah have seen combat in Syria on the side of the government.

Most outside support for rebel forces has come from the Persian Gulf monarchies of Saudi Arabia and Qatar.

U.S. aid has been limited largely to nonlethal assistance such as communications gear and medical equipment, and American officials have struggled with how to back opposition groups without providing weapons to those linked to Islamic militants.

How Syria talks were derailed before they started

CNN's Chelsea J. Carter, Shirzad Bozorgmehr, Christine Theodorou, Saad Abedine, Samira Said, Nick Paton Walsh and Matt Smith contributed to this report.

@highlight

NEW: Having the regime and rebels at the table is key, top diplomats say

@highlight

Talks can't be taken seriously without Iran, Dmitry Medvedev says on CNN's Amanpour

@highlight

Russian foreign minister says it was a mistake for the U.N. to rescind Iran's invitation

@highlight

Iran had already announced that it was not coming to the talks in Switzerland