(CNN) -- At first, Kip Scheidler said he felt the ground tremble.

Then the roof began to shake. Tiles tumbled from the ceiling as people bolted from their chairs to escape. When Scheidler tried to follow them, he could barely keep his balance as the ground wobbled.

"The weird thing is that afterward you will swear that it lasted 20 minutes but it really lasted 60 seconds," Scheidler said of the earthquake tremors. "But at the moment, it seems like it will never stop, and it keeps getting stronger."

That's how Scheidler remembers one of the most horrific moments in his life -- the 1986 earthquake in El Salvador that killed 1,500 people. All those memories came flooding back recently when Scheidler turned on CNN and saw images from this week's earthquake in Haiti, which may have killed at least 100,000 people, according to initial estimates.

"I was sickened by the news," said Scheidler, now the senior director for global disaster response for Habitat for Humanity International, an international relief agency.

"I was there [El Salvador] as family members identified the bodies of family members pulled from the rubble. It's something that you can never forget. I can't imagine hundreds of thousands of people going through that now."

For people like Scheidler, the news from Haiti isn't abstract. It's personal. They are people who have either survived natural disasters or respond to them. The Haitian earthquake has forced some of them to think again about the survival lessons they learned, and what Haitians face in the days ahead.

How disaster brings out best, worst in human nature

Several say disasters can reveal the worst in human nature.

Patrick Johns traveled to Indonesia in the immediate aftermath of the 2004 Tsunami. He's also traveled to Ethiopia to aid in famine relief and Rwanda after the country was decimated by genocide.

Johns, who is now the director of emergency response for Catholic Relief Services, said it is critical to immediately establish security right in Haiti.

"Crime is a problem in Haiti even in the best of times," Johns said. "With this kind of situation, it's going to go from bad to worse."

Security can make the difference between life and death, Johns said. It's not enough to deliver the right supplies to Haitians. Someone has to guard the good Samaritans.

"You could get stopped on the road, your driver could be thrown in the ditch and you lose everything," Johns said.

People responding to the disasters often have to make excruciating choices, Johns said.

In the past, aid workers would help some needy people but turn down others when they ran out of supplies.

How an aid workers makes that decision can cause a riot, Johns said. It's better to talk to people beforehand to warn them that not everyone will get help immediately, but eventually all will be helped, he said.

"If you can only build 30 ramshackle shelters, who are the 30 who get them and what's going to be the reaction of people who don't get help," Johns said. "It can be nightmarish."

See other places hit by historic natural disasters and their recovery

Another disaster lesson: Don't wait for the authorities to help, several disaster experts said.

Tad Agoglia is the founder of the the First Response Team. Since May 2007, he and his crew have aided thousands of victims at disaster sites across the United States, free of charge, he said.

Agoglia said disaster survivors become energized when they stop waiting for the cavalry and start doing what they can within the first ten hours of the disaster.

When people act, they shake off their stupor, he said.

"Things start moving. Roads are opened up. Order comes to chaos and people start to speak to each other," Agoglia said. "People began to have hope. They say, 'It's not going to last like this forever. We can begin again.' ''

Impact Your World: How you can help

One of the most important needs for Haitians right now isn't just food, water and medicine but something else: heavy moving equipment, Agoglia said.

Agoglia's company has three cranes as well as infrared cameras that can spot body heat under rubble and lighting towers that illuminate the darkness. It might not be as obvious as delivering water, but it's vital, he said.

"Bringing in food and water and those kind of things are great, but there's only so much you can do with human hands," Agoglia said.

Disasters also require leadership -- not from so far-off entity but from ordinary Haitians in the hardest-hit areas, some said.

During disasters, community leaders become critical, said Eddie Argenal, director of humanitarian assistance for CHF International, a relief agency based in Silver Spring, Maryland.

Community leaders can quickly take an estimate of the damage done, their community's needs, and start clean-up efforts. They give their communities a head-start, Argenal said.

"Humanitarian assistance can take time to arrive, so the community plays a hugely important role in their own recovery," Argenal said. "The more proactive a community is, the better they will do in the short and long term."

How communities rebuild after disaster

History gives Haitians a reason to hope. Virtually every major city that's been demolished since 1800 has been rebuilt -- no matter how poor the city was or where it was located, said Lawrence J. Vale, co-author of "The Resilient City: How Modern Cities Recover from Disaster."

Vale said people have such a fierce attachment to where they live that they will go to extraordinary lengths to rebuild their homes.

Vale said he remembers seeing pictures of residents in New Orleans mowing their lawns in front of their destroyed homes after Hurricane Katrina struck.

He also saw a picture of Japanese schoolchildren in Hiroshima, Japan, holding their lessons outdoors in 1946, a year after an atomic bomb had vaporized their city.

"They're attempting got have some semblance of normalcy in this totally surreal, devastating landscape," Vale said. "It's an extraordinary testament to the effort of people to go on."

Scheidler, the survivor of the El Salvador earthquake, has seen the same resiliency.

After the initial quake, there is a surge of adrenalin, he said. People spread out and rush to their homes to check on relatives. People are nervous, trying to put the pieces together. Then they start to rally around one another.

Scheidler said he visited a neighborhood in El Salvador that had been buried by a mudslide after the earthquake struck. Nobody waited for the authorities.

"People who had construction equipment starting showing up and afterward everybody was grabbing everything they could, whether it was a shovel or a gardening tool, to help dig through the dirt," Scheidler said.

Scheidler said the buildings in one community had been flattened, including its church. But the community searched and found the church bell.

What they did with the church bell is seared in his memory today just as much as the scenes of tragedy he witnessed, he said.

"They rallied around the church bell, and put it in a tree so they could call everybody together," he said. "What I saw in people in El Salvador was not every man for himself; but everybody pitching in."

@highlight

Disaster witnesses reflect on painful lessons learned

@highlight

Destruction on vast scale brings out the best and worst in human nature

@highlight

Leadership from inside the community is essential in recovery

@highlight

Man who survived El Salvador earthquake recalls examples of human resiliency