Cairo, Egypt (CNN) -- Egypt's vice president, Omar Suleiman, met with representatives of key opposition groups Sunday and offered concessions -- including some that, if enacted, could bring dramatic change to the country.

Among the ideas agreed to by the two sides at the meeting, according to a report on state-run television, was a future end to the military emergency law that has been in place since President Hosni Mubarak came to power in 1981.

The two sides also discussed steps to ensure free media and communication and plans to form a series of committees that would oversee changes aimed at bringing about a representative government.

The opposition leaders who met with Suleiman do not represent all the demonstrators who have held mass protests over the past two weeks. One of the groups represented in the meeting was the Muslim Brotherhood -- a group that, days ago, had said it would not negotiate until Mubarak left office. Members of the liberal parties Wafd and Ahrar have also engaged in talks with the newly appointed Suleiman.

After the meeting, Suleiman sat down with six young people who, according to state-run TV, were representing the "January 25" movement, named after the date the protests began.

But in Tahrir Square, some protesters slammed the idea that anyone representing them would meet with Suleiman. "This is an insult to people like us, activists. Who are they to speak on behalf of the revolution?" asked Gigi Ibrahim.

"I did not hear of any January 25 group when the revolution started," added protester Wael Abbas. "Only now I am hearing these rumors. But I don't know who they are because they definitely do not represent us."

Some opposition figures also questioned the government's sincerity in Sunday's meeting, saying the talks and suggestions of possible agreement might be tricks intended to end the demonstrations with Mubarak still in power and security forces situated to prevent them from restarting.

Mohamed ElBaradei, the former head of the International Atomic Energy Agency who has returned as a major opposition figure, told CNN there was "a huge question of credibility" involving the government.

"Mubarak is a symbol of an outgoing regime and people have no credibility," ElBaradei said. "If he doesn't leave, you know, the regime would retrench and then come back, you know, with vengeance."

Mohammed Mursi and Mohamed Saad Al Katatni, both with the Muslim Brotherhood -- an opposition Islamist umbrella group that is officially banned but tolerated in Egypt -- said their party insisted that the closing memo after the meeting note that the two sides agreed to the importance of a peaceful transition by dissolving parliament and what the Muslim Brotherhood calls the parliament's "fraudulent" representation.

The group also insisted on an investigation into the deadly clashes in Tahrir Square last week, and that those responsible be brought to justice in Egyptian courts, the Muslim Brotherhood officials said.

Based on the meeting, the Muslim Brotherhood expects that on March 1, the two sides will take the next steps toward amendments in the constitution and reforming of the parliament, Mursi and Al Katatni said.

U.S. President Barack Obama expressed his belief Sunday that Egypt can have an orderly transition and a representative government. He also downplayed the prospect of the Muslim Brotherhood, which has voiced opposition to the United States, ascending to power in Egypt once its president, Hosni Mubarak, leaves office.

"They don't have majority support in Egypt, but they are well organized," Obama told Fox News' Bill O'Reilly. "(But) there are a whole bunch of secular folks in Egypt, there are a whole bunch of educators and civil society in Egypt that want to come to the fore as well."

The statement on state-run TV said the two sides agreed to form a national committee to work on constitutional changes within a month. They also agreed to reject any foreign interference in Egypt and form a committee from the legal authority and political groups that would work together to suggest needed changes, according to the statement.

If the emergency laws in place for 30 years were to come to an end, it "would be a very significant move," Sameh Shoukry, Egypt's ambassador to the United States, told ABC's "This Week" on Sunday. "It has been a longstanding demand of most of the opposition and many segments of Egyptian society to guarantee that all political activity is undertaken under normal law and in the confines of the normal judiciary. So it would be a significant step and an indication of confidence that the political process is moving forward."

Many protesters are calling for Mubarak's immediate ouster and for him to stand trial. His announcement last week that he planned to stay in office through September's elections infuriated thousands and spurred further protests. But he also has vociferous supporters, who have clashed at times with anti-government demonstrators in recent days.

The demonstrations Sunday generally seemed peaceful, often taking on a festive atmosphere. Among those taking part were members of Egypt's Christian minority, who held a Mass in Tahrir Square paying tribute to those killed during clashes.

Egypt's population is 10% Christian, a minority mostly made up of Coptic Christians.

Warning shots were fired in Tahrir Square on Sunday evening, as had happened other days, but the crowds stayed put.

On the streets of Cairo, there were increasing signs of normalcy returning. Some shops reopened, traffic increased, and some banks opened for the first time since January 27.

The nation's central bank imposed restrictions on withdrawals by individuals, but not by companies, said Ahmed Ismail, manager of the Abu Dhabi National Bank.

The justice minister announced that courts would reopen Sunday and the government eased its daily curfew, making the hours 7 p.m. to 6 a.m.

Egyptian Prime Minister Ahmed Shafiq told CNN conditions Sunday were "extremely better than yesterday." He added, "Hopefully tomorrow will get better."

Shafiq also said authorities have been told "not to bother" human rights activists and journalists, and that if there have been such problems, they are "not intended."

He reportedly called state-run Nile TV to say that a Google executive missing for more than a week will be released Monday. There was no explanation as to the whereabouts or condition of Wael Ghonim, the executive.

Mubarak will stay through September, Shafiq said. "A lot of points must be covered before he leaves," he said, adding that the months ahead will make it easier for the government to "fulfill the mission" of preparing for new leadership.

U.S. Secretary of State Hillary Clinton spoke with Shafiq Saturday night, according to a statement from her department, which is urging all U.S. citizens to make every effort to leave the North African country.

During that meeting, she stressed that a "broad cross-section of political actors and civil society" should be part of the government's transformation process, while also saying that harassment and detention of activists, journalists and others "must stop," the statement said.

Sunday's developments followed an announcement Saturday that key members of the ruling National Democratic Party resigned from leadership positions, in the strongest gesture yet to placate angry Egyptians.

Mubarak's son, Gamal, was among those who resigned from party posts, meaning that he is no longer eligible to take over from his father. His decision effectively put to rest a widespread belief that the embattled president was preparing for a dynastic handover.

The United States has been mounting pressure on Mubarak to step aside. On Saturday, Clinton, speaking at a security conference in Germany, said it is "important to follow the transition process announced by the Egyptian government, actually headed by Vice President Omar Suleiman."

Obama, in phone calls with foreign leaders Saturday, emphasized the importance of an "orderly, peaceful transition" to a government that is "responsive to the aspirations of the Egyptian people."

The diplomatic official who delivered a message from the Obama administration to Egypt's leadership this week, however, said Mubarak "remains utterly critical in the days ahead as we sort our way toward the future" and must stay in office.

Changes are needed in Egypt to pave the way for a smooth transition, and "the president must stay in office in order to steer those changes through," said Frank Wisner, a former ambassador to Egypt. "It's his opportunity to write his own legacy."

U.S. officials emphasized that Wisner was speaking for himself, as an expert on the region, and not for the Obama administration.

CNN's Amir Ahmed, Frederik Pleitgen, Nic Robertson, Ivan Watson and Tommy Evans contributed to this report

@highlight

NEW: U.S. President Barack Obama says he wants a representative government in Egypt

@highlight

ElBaradei: If Mubarak doesn't leave, his "regime would retrench"

@highlight

Ideas discussed include a possible end to emergency laws after 30 years

@highlight

Some protesters say the representatives meeting with Suleiman don't represent them