(CNN) -- Journalism sometimes has a bit of a short-term memory problem. If something didn't happen, or wasn't written, this day, this hour, this minute, then it's easy for us Internet writers to pretend it didn't happen. Or to forget about it and move on to the next post.

The problem with this myopia, of course, is that history is a wise teacher, and all good reporting should build on a thoughtful understanding of the past and the present.

That's why I'm asking for your help in creating a list of "must-reads" on the subject of income inequality. That topic, which you voted for me to cover as part of the Change the List project, has been examined thoughtfully by countless writers, philosophers, historians, politicians, journalists, Web designers and documentarians. As I embark on a series about inequality in the United States, it makes sense to survey the smart, exciting works already out there. Why not make the creation of this must-read list a collective, public experiment? Hopefully, we all can benefit from the process, and the list will be public so others can learn from it, too.

Submit your top picks via these Facebook or Google+ posts -- and make the case for why your favorite book, doc or website should be included. You can also leave a comment at the bottom of the page here if you prefer.

My plan is to compile a list of 99 (or so) must-reads from your submissions.* I'm using the term "must-read" loosely. I think the list should include books and articles as well as thoughtful websites, charts, videos or documentaries.

To get things started, here are 10 of my picks, in no particular order:

1. "Inequality.Is" - This website from the Economic Policy Institute is the best online primer I've found. It explains why inequality is a problem, how it was created and what might fix it.

2. "A Theory of Justice" - The 1971 book by the late John Rawls is often cited as the philosophical basis for opposing income inequality. It's a dense book, but thought-provoking.

3. "Park Avenue" - A documentary by Oscar winner Alex Gibney. It uses the famous New York avenue as a metaphor for American inequality; Park Avenue is home to both extreme wealth, in Manhattan, and extreme poverty, in the Bronx.

4. "The Great Divergence" - Journalist Timothy Noah argues, as his book's description says, that growing inequality "may be the most important change in this country during our lifetimes -- a drastic, elemental change in the character of American society, and not at all for the better."

5. "Wealth Inequality in America" - Chances are you're one of the 6.8 million people who has viewed this YouTube video. It's based on the work of Harvard's Mike Norton.

6. "Inequality and New York's Subway" - A New Yorker interactive, which maps median income levels by subway stops in New York. The power is in its minimalism. Take a look at the 2 train map. It passes through neighborhoods with median incomes of $205,192 and $13,750.

7. "Nickel and Dimed" - A first-person journey by writer Barbara Ehrenreich, who agreed to try to make a living doing jobs that required no higher education or specialized skills.

8. "Born Rich" - Jamie Johnson, from the wealthy Johnson & Johnson family, directed this documentary about his own life and the lives of his super-rich friends and acquaintances. It reveals a fascinating and complicated picture of wealth in modern America.

9. [Untitled letter] - In March 2013, 90 "economists, academics and development experts" sent a letter to a panel tasked by the United Nations with creating a post-2015 development agenda. The experts argue income inequality should be a global priority, in part, because "inequalities threaten our ability to pursue fair and sustainable development as much as they threaten eradication of extreme poverty."

10. "The Spirit Level" - Written by two epidemiologists, Richard Wilkinson and Kate Pickett, this book makes a strong, statistics-based argument that ugly social problems -- from obesity to incarceration rates -- are associated with unequal societies. Better health and well-being would follow, they argue, if our societies were made to be more equal.

This quickly thrown-together list has plenty of limitations. It focuses almost entirely on the United States, particularly New York. All these works were published in 1971 or later, which is a huge weakness of my list. Most of them presuppose inequality is a problem, or set out to prove that it is. So, conservatives, skeptics, historians, literary types and international readers: Help me get some diversity going here!

I look forward to your submissions, and thanks in advance for the help with this project.

*Readers of The Atlantic may notice that this concept of a crowdsourced must-read list is based on Alexis Madrigal's "Tech Canon," which he compiled in a similar manner in 2010.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

John Sutter is covering income inequality for the Change the List project

@highlight

Help him compile a list of 99 "must-reads" on income inequality

@highlight

Submit your top picks on Facebook, Google+ or in the comments below

@highlight

Readers voted for Sutter to cover this topic as part of Change the List