Statins did not help protect against Alzheimer's disease in a study released in 2008.

Cholesterol-lowering drugs called statins are often hailed as "wonder drugs." But a study published in the January 2008 issue of the journal Neurology says they don't protect the brain against Alzheimer's disease.

What is Alzheimer's?

Dr. Sanjay Gupta, CNN chief medical correspondent: Alzheimer's disease is a progressive, neurodegenerative disease characterized in the brain by abnormal clumps (amyloid plaques) and tangled bundles of fibers (neurofibrillary tangles) made up of misplaced proteins. These plaques and tangles destroy cognition, personality and the ability to function. Sometimes forgetfulness and loss of concentration are confused with normal aging, the single biggest risk factor for Alzheimer's disease. But an autopsy is always going to give you a definitive measure of the disease.

How was the study done?

Gupta: Fairly large observational study looked at some 900 members of the clergy -- priests and nuns. Some were taking statins, some not.

Not only did patients undergo cognitive tests for 12 years, but they also agreed to a brain autopsy when they died. The conclusion here, supported by these autopsies, is that statins did not help protect against Alzheimer's disease, a finding somewhat contrary to the prevailing wisdom in this area of Alzheimer's research.

We spoke to the head of Alzheimer's research at Mayo Clinic. He said that first, this is a population of nuns and priests -- would it be different in folks who take statins but also smoke and drink? Maybe. He also said, when you get right down to it, the numbers of folks in the study that both took statins and had autopsies is pretty small. Still, he said he knows these researchers well and they are good, just not the last word.

And of course, there's the compelling question: Why would statins affect Alzheimer's disease? There are a few schools of thought about the mechanism: Some think statins cross the blood-brain barrier, decreasing cholesterol levels and amyloid levels. Others think they work by lowering overall inflammation in the body.

What about other benefits of statins? Does this undermine their "wonder drug" status?

While this study clearly questions the neuroprotective effects against dementia and Alzheimer's disease, scientists believe they are just beginning to uncover potential new benefits of statins. The most immediately promising benefit of statins appears to be their anti-inflammatory properties, which help stabilize the lining of blood vessels.

This has potentially far-reaching effects, from the brain and heart to blood vessels and organs throughout the body. Other benefits of statins may include prevention of arthritis and bone fractures, prevention of colon cancer and protection of the kidneys. But we should note, while tolerated well by most people, they do have side effects, including two potentially serious ones:

• Liver damage: Occasionally, statin use causes an increase in liver enzymes and may cause liver damage.

• Muscle problems: Statins may cause muscle pain and tenderness (statin myopathy).

Also, there are some gastrointestinal issues, including nausea, diarrhea and constipation.

Are there ways other than statins to lower cholesterol?

The simple B vitamin niacin raises good cholesterol, but there's an interesting side effect: Some forms of niacin, especially in high doses -- 1,000 milligrams or more -- do cause temporary flushing of the skin. While annoying, flushing is not harmful. Aspirin can counteract this flushing effect. Versions of niacin with reduced flushing effects also are available by prescription. Also, studies have shown exercise in general, especially in overweight people, can improve HDL levels.

There is some evidence that strength-training exercises that build muscle mass can also improve HDL. Of course, diet. Saturated fats are one of the biggest contributors to cholesterol in the body. A diet high in saturated fat raises bad cholesterol and lowers good cholesterol -- so knock that off!

@highlight

Bottom Line: Experts at the Mayo Clinic say this study is not the last word on the subject.