In an old office building at NASA's Ames Research Center in Mountain View, California, there's a room stacked high with plastic containers of synthetic urine. Researchers dip small white paddles into the liquid, wait for a grid of squares to change colors, and snap a photo with a custom smartphone app.

It's all part of a futuristic self-diagnosis kit from startup Scanadu, which is competing to be the future of DIY health care.

Scanadu is one of 10 teams taking part in the Qualcomm Tricorder X Prize contest to create an affordable, handheld device that consumers can use to diagnose their medical conditions at home. The goal is to make a working version of "Star Trek's" tricorder, the television show's fictional diagnostic device. In the series, the ship's doctor would wave the portable black box over a patent's body and immediately know if a person had broken bones, a disease or if they were going to die.

The real-life tricorder must weigh less than 5 pounds, monitor five vital signs and detect 15 medical conditions. It should let people measure their own blood pressure, heart rate, temperature, oxygen saturation and respiratory rate. Each system will be able to diagnose common health conditions including diabetes, anemia, sleep apnea and pneumonia.

"We're asking teams to put together an aggregation of technologies that's never been done before," said Dr. Erik Viirre, the technical and medical director for the Tricorder X Prize. "We're spurring things to market faster, better and cheaper."

The multiyear contest is run by X Prize, a nonprofit organization that attempts to accelerate major technological advances. Last week, the judges narrowed down the field of 41 teams to 10, which now have until April to create working prototypes for consumer tests. The three groups that make the most successful tricorders will split a $10 million prize.

In 2005, Walter De Brouwer's 5-year-old son jumped out of a window and fell 36 feet to the ground. After a year in emergency rooms, operating rooms and the ICU, De Brouwer had a whole new perspective on hospitals. He saw firsthand how powerless patients often were. Inspired by the less invasive medical devices from science fiction, he moved to Silicon Valley and started Scanadu.

" 'Star Trek' was not TV, it was a business plan," said 57-year-old De Brouwer.

Scanadu is already close to having working prototypes of its tricorder system. In addition to the Scanaflo (a single-use urine test) the company has created the Scanadu Scout, a palm-sized disc you press to your forehead or temple for 10 seconds to take vital signs, including blood pressure, temperature, heart and respiratory rate.

The readings are imported to a smartphone, analyzed and tracked over time. De Brouwer's vision is to have a constant collection of data that creates a baseline for each user. That information will allow the Scanadu app to detect issues early, even before there are noticeable symptoms.

These types of devices are not meant to replace doctors, but to fill in when in-person medical care is not available, affordable or necessary.

Every day, Dr. Basil Harris sees patients who have waited too long to seek treatment, often because they lack insurance or a primary care giver. There's a steady stream of them at the Chicago emergency room where he works, showing up days after the first symptoms of serious illnesses.

Harris, who also has a Ph.D. in engineering, leads the Tricorder X Prize finalist team Final Frontier Medical Devices. His tricorder combines a regular tablet computer with a separate Bluetooth gadget that takes vitals and runs other tests. The companion tablet app walks the patient through the same types of questions Harris asks every patient who comes into his ER.

"It does everything you would expect a normal physician to do," said Harris. "What an ER doctor does is make diagnoses. Doing that is somewhat an art and somewhat science."

His team is also working on a novel approach to a neurological exam. Using the tablet, they can test users' vision, picking up on subtle defects caused by illness. For example, if a person has suffered from a hemorrhagic stroke, they might lose some vision on just one side. The tests could detect the issue and tell the person to seek medical help immediately, cutting down on the chance of permanent disability.

Inventing a new medical device is only the first step to getting it into the hands of real people. Perhaps even more useful than the money is how the X Prize is working with the Food and Drug Administration. Getting regulatory compliance for a new product is notoriously difficult and expensive, and it requires clinical trials. But the FDA is working closely with the X Prize organization.

The X Prize will also manage the vigorous final tests that determine which devices will win. Each team must produce 30 working prototypes of their tricorders for consumer testers. They'll be used and reviewed by people who have one of the conditions the tricorders are required to detect.

The final teams hail from six countries. They include doctors, engineers, undergrads, entrepreneurs and researchers, and all have unique approaches to the technology. Many, like Scanadu, Final Frontier and Slovenian team MESI Simplifying Diagnostics, are creating small gadgets that work with existing mobile devices. Some are taking a more traditional approach with things like blood pressure cuffs and finger pricks. The Danvantri team from India is working on a low-cost device worn around the neck specifically for developing countries.

One thing they all agree on is that this technology's time is now.

"This device, whether it's mine or someone else's, is coming," said Harris. "It puts the information in the hands of the consumer where they can make actionable decisions. It really levels the playing field."

@highlight

Contest seeks a real tricorder that can measure vital signs and detect illnesses

@highlight

They are part of the $10 million Tricorder X Prize challenge

@highlight

Many use smartphones, tablets to create mobile self-diagnostic devices for consumers

@highlight

The gadgets could give people more control over their own health care