(CNN) -- Labor Day isn't only a commemoration of American workers -- it's also a reminder of the often oppressive power of employers backed by the law and muscle of the U.S. government.

The history of the Labor Day tells the tale. On May 1, 1886, tens of thousands of workers protested in cities all across the United States to demand an eight-hour workday. At the time, most American laborers worked 18- or even 20-hour workdays. But police responded aggressively to the peaceful protests. Two days later, while workers were meeting to plan further protests in Chicago, police showed up and beat and shot at the group at random.

Six unarmed workers were killed by the police. The next day, outraged Chicagoans attended what was initially a peaceful protest in Haymarket Square. The peace fell apart near the end, when police advanced on the crowd. Someone who was never identified exploded a bomb and killed a police officer. The cops responded by opening fire on the protesters. In the darkness, about a dozen workers and police were killed.

The event influenced the history of labor in America and internationally for years to come. Martial law was declared across the country. The police blamed workers for the violence and, in particular, some Socialist Party labor organizers involved in the protests. Several were tried for murder and convicted. That fall, one man died in his cell and four were executed.

In response, all around the world, workers movements adopted May 1 to commemorate the Haymarket Massacre and to symbolize the ongoing fight for worker rights and worker justice. So why doesn't the United States celebrate Labor Day on May 1 as well?

On May 11, 1894, again in Chicago, workers at the Pullman Palace Car Co. called for a strike to protest wage cuts and the killing of a worker. In solidarity, the American Railroad Union called for a boycott on working in all Pullman railway cars. Within a matter of days, train traffic west of Detroit ground to a halt. In response, President Grover Cleveland called in the Army to suppress the strikes. Protests broke out. At least 26 people were killed. The government collusion with big business, both in the court system and in the deployment of the military, was unprecedented and severe. The labor community was enraged.

And so, the story goes, President Cleveland, realizing he had to do something quick to appease the labor movement, pressed for Labor Day to become a national holiday. But Cleveland worried that tying the holiday to May 1 would encourage Haymarket-like protests and tacitly strengthen communist and socialist movements that had backed the May 1 commemoration around the globe. And so through a twist of choices and coincidences, the first Monday of September was chosen to be the official "Labor Day" in the United States.

Labor Day, then, shouldn't just serve as a commemoration of the hard work of American laborers and all they have contributed to America's history, infrastructure and prosperity. Labor Day should also serve as a reminder of not only how companies can undervalue and undermine their workers but how our government provide dangerous or even deadly levels of support to bad employers.

Even today, we know what it takes to improve the lives and prosperity of America's workers. Unions raise the wages of workers by roughly 20% and raise total compensation --including wages and benefits after union dues are deducted -- by 28%.  Raising the minimum wage helps low wage workers while pumping more spending power into the economy as a whole. And strengthening worker safety laws and other protections is good for workers and for a productive and safe economy.

But when some in government, especially Republicans, undermine the ability of workers to form a union or erode wage and safety laws, they're doing the dirty work for big business at the expense of American workers.

It's certainly less severe than calling in the Army to defend the profit interests of big corporations, but the effect is the same: Republicans taking the side of CEOs and wealthy shareholders and standing against ordinary working Americans.  Study after study after study -- not to mention the entire history of our economy -- shows what policies are good for ordinary, hardworking Americans. But Republicans, who rhetorically say they support ordinary Americans, consistently stand against these measures and stand for anything that would give more power and leeway to big businesses.

When we celebrate Labor Day, we should remember that government isn't always on the side of the American people -- no matter that we have a federal holiday that was created to distract us.

@highlight

Sally Kohn: Labor Day reminds us of the power of employers, government over workers

@highlight

Kohn: Milestones, Haymarket Square and Pullman Car Co. galvanized movement

@highlight

Kohn: President Cleveland created Labor Day to appease workers

@highlight

Kohn: Workers are still fighting for hikes in minimum wage and better safety laws