(CNN) -- Check in to any nice hotel, and the concierge will be more than happy to recommend or reserve a tour of the area. But in some cases, you don't even have to leave the property to take in the sights, because what's right there under your nose is worth further exploration.

Here are a handful of hotels around the globe that offer guided tours of some of their more unique and fascinating features.

CUISINART GOLF RESORT & SPA
Anguilla

This Caribbean gem isn't just home to five-star accommodations and amenities, it's also the site of the world's first resort-based hydroponic farm, which sources the vast majority of herbs, vegetables and edible flowers used in all five of the resort's restaurants, as well as its spa.

Tours of the farm are held three times each week and are led by Dr. Howard M. Resh, a noted hydroponics researcher and author, who educates guests about the unique process of cultivating plants in water rather than soil. So when you sign up for a treatment at the Venus Spa that utilizes ingredients like lavender or aloe, or when you munch on the fresh cherry tomatoes that show up in your room upon arrival, you'll know exactly where and how they were grown. Tours are free; open to all. www.cuisinartresort.com

JW MARRIOTT DESERT SPRINGS RESORT & SPA
Palm Desert, California

More than 25 species of exotic birds make their home of the grounds of this 450-acre resort 13 miles southeast of Palm Springs. On daily tours, Linda Whittington, the property's full-time animal care specialist and aviary expert, introduces visitors to the flock of feathered residents, like the African grey parrots and Australian black swans, while explaining about their origins and their eating habits and even letting tourgoers feed the flamingoes. Tours are free; open to all. www.desertspringsresort.com

America's most charming inns

SANDPEARL RESORT & SPA 
Clearwater Beach, Florida

You may notice this plush beachfront property's award-winning environmental efforts when you take a lap in the chlorine-free pool or sleep on the sheets washed using an ozone process rather than harsh chemicals. But every Tuesday and Thursday morning, Brian Grant, the hotel's director of engineering, takes you behind the scenes to really delve into all of the green initiatives Sandpearl has undertaken to achieve its coveted silver LEED certification.

Tourgoers visit the mechanical plant, laundry facility, garage, back of the house and other areas as Grant explains their clean-air practices and recycling efforts, their use of compostable and biodegradable products and even how, through partnership with Clean the World, discarded guestroom amenities are reprocessed and distributed to other countries to help stop the spread of disease. Tours are free; open to all. www.sandpearl.com

7 beauties of the British Isles

DOG BARK PARK INN
Cottonwood, Idaho

This kitschy B&B may be slightly off the beaten path, but then, considering that it's in the shape of a 30-foot-tall beagle, it's also slightly out of the ordinary. The one-room creation, nicknamed Sweet Willy, is the brainchild of owners Frances Conklin and Dennis Sullivan, who are both chainsaw artists.

In fact, they have a studio on-site and give interested guests a tour of the space, as well as a peek at some of their works in progress and a demonstration of what goes into creating the folk-art-style canine carvings they've been crafting for the past 25 years. Tours are free; open to all. www.dogbarkparkinn.com

THE INN AT PERRY CABIN
St. Michaels, Maryland

Joanne Effinger has been the head gardener at this Orient-Express lodging on Maryland's eastern shore for 16 years now, and she can name every flower, bulb and bush on the property. She does just that on the weekly horticultural tour of the lush grounds and gardens that are such an important part of the Inn at Perry Cabin's rich history, including a 210-year-old holly tree that clocks in as the state's oldest.

Just be sure to bring your camera along so you can capture all of the colorful hydrangeas, vitexes, hellebores, snowdrops and other seasonal and perennial blooms gracing the elegant estate. Tours are free; for guests only. www.perrycabin.com

Hotel rooms to avoid

RITZ-CARLTON, MILLENIA SINGAPORE
Singapore

The Ritz-Carlton, Millenia has a lot to show for its five stars, like the spacious rooms with spectacular views of either the Singapore skyline or Marina Bay, but the feature that really makes it stand out is its museum-quality art collection, numbering more than 300 pieces and valued at $4 million.

Guests are treated to a guided tour of the collection via a podcast showcasing works by artists such as David Hockney, Frank Stella, Dale Chihuly and Andy Warhol, 90% of which were commissioned specifically for the hotel. Don't have your own iPod to download the podcast onto? You can borrow one from the concierge. Tours are free; for guests only. www.ritzcarlton.com/singapore

5 hideaways that aren't the Hamptons

STANLEY HOTEL
Estes Park, Colorado

If you like things that go bump in the night, you'll love this legendary hotel's regularly scheduled ghost tours. Guests and non-guests alike have several options to choose from, each of them exploring the supposed paranormal activity that goes on at the century-old property, from the mysterious piano playing in the music room to the children who have long since checked out roaming the halls on the fourth floor.

Also noted is the fact that the Overlook, the haunted hotel in Stephen King's chilling novel "The Shining," was inspired by a stay at the Stanley. $10-$60, depending on tour; open to all. www.stanleyhotel.com

SOFITEL LEGEND METROPOLE HANOI
Hanoi, Vietnam

During a renovation at this 111-year-old hotel in August 2011, engineers chipped away at more than 6 feet of earth and concrete to discover an underground bunker dating to the Vietnam War.

The 130-square-foot shelter is now part of the Path of History tour, which retraces the Metropole's origins from one of Asia's most opulent accommodations, attracting a long list of celebrities such as Somerset Maugham and Charlie Chaplin, to a stint as a government-run wartime guesthouse to its current incarnation as a luxury retreat for business and leisure travelers alike.

The guides who lead the daily tours were instructed by none other than Andreas Augustin, who wrote a book on the history of the iconic property for his Most Famous Hotels in the World series. Tours are free; open to all (maximum 10 people per tour). www.sofitel.com

@highlight

Some hotels provide interesting attractions right on the grounds

@highlight

In Idaho, the Dog Park Bark Inn's unique beagle architecture is worth a stop

@highlight

Take a bird tour at the J.W. Marriott in Palm Desert, California