Washington (CNN) -- Big tech firms and private prisons represent two industries vigorously lobbying to influence the scope of legislation aimed at overhauling U.S. immigration policy, a political priority in Washington.

Microsoft, Facebook, and Intel want lawmakers to support increasing the number of visas available to highly skilled workers, according to an analysis by the Center for Responsive Politics, which tracks the influence of money in politics.

Others, like Corrections Corporation of America, which builds detention facilities to house illegal immigrants, have contributed heavily to the campaigns of lawmakers who take tough stances on the issue.

In all, 359 lobbying clients pressed their positions on immigration reform to officials at nearly every level of government, including the White House, Congress and the Homeland Security Department, according to the analysis for 2012. The figure is up from the 317 clients lobbying on immigration from the previous year.

It is difficult to track exactly how much each spends on lobbying an issue, campaign finance experts say. However, tracking the number of times something specific is mentioned on disclosure reports indicates its importance to a company or industry.

"They're not spending this money just willy-nilly. They have a goal and they're trying to achieve that goal legislatively," said Steve Ellis, vice president of Taxpayers for Common Sense, a watchdog group.

"You have to be sure they're writing the legislation for the right reasons and not just trying to benefit one particular company," Ellis said.

President Barack Obama underscored the need for comprehensive immigration reform earlier this year stressing the need to better enforce related laws, provide a path to citizenship for the more than 11 million undocumented workers already in the country and reform the legal immigration system.

The so-called "Gang of Eight" in the Senate and a similar bipartisan group in the House are working on crafting a reform framework leading up to what could be one of the year's biggest legislative showdowns.

What's in Senate immigration plan?

"The reason immigration is on the table now is the outcome of the last election," said Judith Gans, manager of the immigration policy program at the University of Arizona. "No political party likes to lose and the Republican party realized that their unfriendly stance toward immigrants was creating a coalition in the Democratic Party."

The upcoming legislative battle will create winners and losers, and businesses are doing everything they can to ensure they can influence the outcome.

"We will see Congress make it easier for that high-skilled, cutting-edged talent to come to the U.S. But if they don't address the channels for low skilled workers to come to the U.S., illegal immigration will continue," Gans said.

The nation's tech sector, which has come to rely strongly on highly trained and science-savvy foreign workers, has long had a vested interest in immigration policy.

When Congress failed to take action on the issue, big business and their lobbyists turned their attention to agencies and lawmakers for support in increasing the number of H-1B visas.

Those are used by companies to temporarily employ foreign workers with special skills.

But H-1B visas are capped at 65,000 annually for those with undergraduate or professional degrees. Another 20,000 are reserved for candidates with graduate-level credentials. The competition is fierce for slots and available caps are often exhausted quickly.

Microsoft spent $8 million last year in broader lobbying efforts and filed 33 disclosure reports dealing with immigration â€” twice the number of lobbying reports of companies like Intel.

Microsoft, which contributed $814,645 to President Barack Obama's re-election campaign, submitted four reports showing that some of its lobbying efforts were directed at the executive office of the president.

The company also lobbied Congress and 22 other federal agencies and offices on issues like corporate tax reform and antitrust law.

But the second-highest number of lobbying reports filed by the company dealt with immigration.

Other tech companies also lobbied heavily.

Intel spent $3.7 million in overall lobbying and filed 16 reports. Facebook spent $3.9 million in overall lobbying and filed eight reports, including those for lobbying the executive office of the president and the White House.

"The reality is that in the United States, we are creating unfilled jobs faster than we are creating new filled positions," Brad Smith, Microsoft's executive vice president and general counsel, said during a speech at the nonpartisan Brookings Institution last year about his industry's need for more highly-skilled workers.

Tech companies say they look for qualified U.S. workers first, but are having a tough time finding college graduates with the needed skills to work in science and technology fields.

A significant portion of these corporate workforces are comprised of well educated, highly-skilled foreign nationals who are highly sought after and can only go to work for an American company if they are extended an H1-B visa.

Intel says it is encouraged by legislative changes in the works.

Several proposals to expand the available number of visas are working their way through Congress. These include a bipartisan measure sponsored in part by Republican Florida Sen. Marco Rubio, considered a potential 2016 presidential candidate.

The lawmaker is also part of the "Gang of Eight" working on comprehensive immigration reform, which both parties view as a priority for capturing support from Hispanics, whose influence politically is growing.

Politicians also are weighing the impact on business and how attracting the best workers helps innovation, product development and productivity.

"Immigration reform is critical issue for Intel," said company spokeswoman, Lisa Malloy. "In the last year, we have seen growing bipartisan support for high-skilled, employment-based visa reform. This is very encouraging to Intel."

Another "Gang of Eight" member, Sen. John McCain has changed his views on immigration over the years. For instance, the Arizona Republican first supported and later opposed a path to citizenship for illegal immigrants.

He is also the fourth-highest recipient of campaign donations from Corrections Corporation of America.

House Appropriations Committee Chairman Hal Rogers and Senate Minority Leader Mitch McConnell, both Kentucky Republicans, are other notable recipients of that company's campaign donations, according to Center for Responsive Politics data.

"The private prison industry is responsible for 16% of federal prisoners in the U.S. and makes a substantial portion of its profits from detention centers for illegal immigrants," the group said.

"Illegal immigration creates a pool of potential prisoners and there's some incentive to them wanting to have input on those policies," Gans said.

In one case last year, lobbyists representing CCA were paid $60,000 to monitor "issues pertaining to the construction and management of private prisons and detention facilities," according a federal lobbying disclosure report.

Corrections Corporation of America spent $970,000 last year to lobby Congress and the U.S. Marshals Service on a variety of issues.

It says it supports a bipartisan group of lawmakers who support or are "open minded to the merits of public-private partnership and the related services we provide."

The company says its lobbying effort has been aimed at ensuring it understands reforms related to new civil detention facilities being pursued by Immigration and Customs Enforcement.

"Not a single firm hired by CCA lobbies on our behalf for or against immigration enforcement or detention policies. Every firm we engage with is contractually bound to adhering to this strict policy. The primary focus of our lobbying efforts is education on the merits and benefits of public-private partnership in corrections and detention generally, and the relevant services CCA provides," said company spokesman Steven Owen.

Construction, agricultural, leisure and hospitality were among other industries also lobbying Congress and federal agencies heavily last year on such issues as changing the nation's guest worker program.

Whether spending on immigration lobbying will have any impact remains to be seen, policy and lobbying experts say.

"Lobbying on immigration reform is like lobbying on any complicated legislation in DC: messy and unpredictable. Just as with tax reform and health care reform, every affected constituency in the immigration debate is pushing their own agenda," said Stephen Yale-Loehr, a veteran immigration attorney.

"Sometimes the stars align and a bill gets passed," Yale-Loehr said. "Often, however, the effort fails, despite or because of everyone's efforts."

@highlight

Companies push immigration reform lobbying blitz for different reasons

@highlight

Microsoft, Intel, Facebook want more visas for highly-skilled workers

@highlight

Private prisons want tough immigration laws to help keep detention facilities filled

@highlight

Lobbying efforts could help craft immigration reform legislation