Washington (CNN) -- President Barack Obama said Wednesday he was unaware of any disclosure of classified information from the scandal engulfing former CIA Director David Petraeus and Gen. John Allen, the top U.S. commander in Afghanistan, that could damage national security.

"I have no evidence at this point from what I've seen that classified information was disclosed that in any way would have had a negative impact on our national security," Obama said in his first post-election news conference.

Obama, addressing the ongoing controversy for the first time publicly, said Petraeus tendered his resignation because his actions "did not meet the standards he felt were necessary as the director of the CIA."

The former four-star general admitted last Friday that he had had an extramarital affair with a woman who was later identified as a co-author of his biography.

The FBI is also investigating Allen over his contacts with another woman whose complaints about anonymous, harassing e-mails led to the discovery of the Petraeus affair.

When asked if he should have known about the investigation into his former CIA chief earlier, the president said he is "withholding judgment" because all of the information is not yet available.

"I'm going to wait and see ... how this whole process unfolded," Obama added.

The scandal has threatened to complicate Obama's focus on critical negotiations with Congress over spending cuts and taxes.

It has also raised questions surrounding the CIA's response to congressional inquiries into the September terror attack on the U.S. diplomatic mission in Benghazi, Libya, that killed four Americans, including Ambassador Christopher Stevens.

On that matter, Obama offered a fierce defense of U.N. Ambassador Susan Rice, who has come under scrutiny for public comments in the days following the attack in which she placed blame for it on a mob enraged by an anti-Muslim video.

The president said Rice was speaking with the information provided by the intelligence community and has acted with "skill, professionalism, toughness and grace."

In response to statements Wednesday from Sen. John McCain and Sen. Lindsey Graham, who said they would block a potential Rice nomination for a Cabinet position, Obama said if the lawmakers want to "go after somebody, they should go after me. I'm happy to have that discussion with them."

"For them to go after the U.N. ambassador, who had nothing to do with Benghazi and was simply making a presentation based on intelligence that she had received, and besmirch her reputation is outrageous," he said.

On another pressing foreign policy issue, Obama said he was not ready to arm the Syrian opposition movement, saying that the nation needed to avoid indirectly providing weapons to groups or people who would seek to harm Americans or Israelis.

The United States is supporting a new coalition of Syrian dissidents and is seeking to accelerate assistance in their effort to force Syrian President Bashar al-Assad to leave office.

On budget matters at home, Obama opened the door to compromise regarding the impending fiscal cliff of tax increases and spending cuts.

The president said he was encouraged by recent comments from members of the Republican Party surrounding the need for more revenue from the wealthiest Americans as part of a plan to reduce the deficit.

"Both parties voted to set this deadline, and I believe both parties can make these decisions together ... in a balanced and responsible way," Obama said.

Obama stood by his previous statements about tax rates. He called on House Republicans to agree to Senate-passed proposals that would extend current tax rates for those making $250,000 a year while allowing rates to return to higher levels for those making over that amount and insisted he would not accept a lower tax rate for the wealthiest 2% of Americans.

His comments should not come as a surprise, he said, given his statements during the election.

"I've got one mandate to help middle class families and families working hard to get into the middle class," Obama said.

He specifically referenced a letter he received from a man in Tennessee who said he did not vote for Obama.

The voter said he was watching Obama's comments recently on CNN about the fiscal cliff and said his hope "is that we can make progress in light of personal and party principles, special interest groups, and years of business as usual. We've got to work together and put our differences aside."

After reading from the letter, Obama added: "I couldn't say it better myself. That's precisely what I intend to do."

The president is often criticized for not forging relationships with Congress, to the detriment of his agenda. On Wednesday he acknowledged that history and said he can "always do better."

His relationships haven't "always manifested itself in the kind of agreement I'd like to see between Democrats and Republicans," he said.

Obama is set meet with major CEOs following his news conference, some of whom flexed their political muscle to defeat Democrats in elections last week.

He is expected to find backing for some of the administration's positions ahead of negotiations with Congress on avoiding the fiscal cliff. Leaders of the largest companies have indicated they are holding back hiring and spending because they are worried about Washington gridlock over the fiscal cliff.

The president sat down Tuesday with labor leaders and the heads of six independent groups involved in organizing grassroots support for progressive causes and told them that he intended to allow the Bush-era tax cuts for the wealthiest Americans while preserving them for middle-income earners, according to several people at that meeting.

"The president was very strong on saying there's going to be an end to the Bush tax cuts one way or another," said one participant who requested anonymity to discuss the off-the-record meeting.

Obama is to meet with Senate Majority Leader Harry Reid, Minority Leader Mitch McConnell, House Speaker John Boehner and Minority Leader Nancy Pelosi at the White House on Friday.

The president took on two other issues that he has said he will address during his second term: immigration and climate change.

An increase in the Hispanic vote that helped him win battleground states, created an opening, Obama said, to pass comprehensive immigration reform, something he and members of Congress failed to pass during his first term.

He expects a bill to be introduced soon after his inauguration in January, adding an agreement should address border security and pathways to citizenship for thousands of illegal immigrants if they go to college or serve in the military.

Obama also reaffirmed his belief that "climate change is real" and is "impacted by human behavior and carbon emissions." He said it could be tackled if members of both political parties are prepared to make some "tough political" decisions.

The last time Obama held a full-blown news conference at the White House, his first campaign rally was two months away and former Pennsylvania Sen. Rick Santorum looked to have the upper hand over Mitt Romney in the GOP presidential primaries.

To be sure, in some ways the political landscape has changed dramatically since Obama fielded questions from the White House press corps on March 6: He is now assured of four more years in the Oval Office and can claim fresh leverage in his dealings with Republicans over reaching a budget deal.

But in many ways, the political environment closely mirrors what it looked like eight months ago: Republicans remain in control of the House of Representatives, the GOP leadership maintains it is opposed to any measure that will raise tax rates on the nation's top earners and the president's approval rating remains stubbornly stuck around a less-than impressive 50%.

Moreover, with election-year politics having largely rendered Congress unproductive over the past year, many of the same issues remain at the forefront as they did the last time the president held a formal news conference -- namely the ballooning national debt, the tepid economic recovery, unrest in the Middle East and the specter of a nuclear Iran.

To be fair, Obama has taken the national media's questions in other forums since his March news conference, most recently in late August when he made an unannounced stop at the regular White House briefing in the midst of the heated campaign and a week before the start of the Republican National Convention.

But he only took four questions that day and the entire session lasted less than 30 minutes.

Moreover, the president ran for re-election while largely ignoring White House reporters in favor of local outlets and entertainment shows.

Pressed on why he wasn't taking more questions from national media outlets, Obama campaign aides said the president could reach more battleground voters via local news than through network television programs or national publications.

Fiscal cliff headache for middle class

Those interviews were largely filled with predictable softball questions, though it should be noted that one Colorado news anchor drew wide praise for aggressively questioning the president over conflicting White House accounts in the aftermath of the Benghazi attack.

The president also showed a preference for more light-hearted forms of media during the course of the campaign, granting interviews with comedians Jon Stewart and Jay Leno, daytime talk show "The View," and MTV's Sway Calloway.

Again, Obama aides stressed the president was likely to reach more undecided voters through these programs than traditional news shows. But critics, including some who are part of the very press corps Obama appeared to be ignoring, questioned whether the president was attempting to dodge more hard-edged questions.

Indeed, White House press secretary Jay Carney was asked last week if the president's more or less avoidance of the White House press corps over the last eight months showed a "certain amount of disdain" for them.

"Absolutely not," Carney replied. "Absolutely not. The president was out there campaigning for re-election and giving interviews daily to reporters ... from news organizations across the country, from regional newspapers and television stations, and answered a lot of tough questions."

Poll: Public concern over effects of the 'fiscal cliff'

Alex Mooney and Tom Cohen contributed to this report.

@highlight

NEW: President Obama expects immigration bill to be introduced after inauguration

@highlight

Obama offered fierce defense of U.N. Ambassador Susan Rice over Benghazi comments

@highlight

Obama said unaware of any disclosure from Petraeus scandal that could harm national security

@highlight

President opened door to compromise regarding the impending fiscal cliff