(CNN) -- I'm obviously not the only one disappointed in Barack Obama.

I thought he would be another Reagan in at least one respect: He'd be a great communicator. Listening to his speeches in 2008, I thought that this man could connect. He had energy and vision, hope and strength.

So what happened?

Somewhere along the way, disturbingly early in his first term, he fizzled as a communicator.

It's not that he didn't do good things. He brought the American economy back from the brink of another Great Depression, and (by comparison with our counterparts in Europe) we are doing extremely well. Jobs are back, with unemployment steadily falling, and the stock market has soared, thus underpinning the retirement hopes of millions who rely on equity portfolios to sustain them in their old age.

We have discontinued pursuing "wars of choice," although it may take generations to recover from the mistake of invading Iraq, which will cost the American taxpayers two trillion bucks -- with health care for veterans taxing our children and grandchildren for years to come.

Obama withdrew somewhat precipitously from Iraq, putting too much faith in the Shia-led government in Baghdad and giving ISIS an opening. He may have done this in part out of frustration over the Shia-led government's inability to provide legal protections for American troops that would have remained.

But in truth, he handled the situation pretty well in the end, as ISIS is sputtering out, slowly but surely. Indeed, ISIS was always a ragtag (if singularly vicious) group surrounded by natural and powerful enemies, including Turkey, Saudi Arabia, Iran, and Hezbollah in Lebanon. They were a flash in the pan, though a painful one.

As for Ebola, this seems now under broad control, with the number of cases declining. Ebola was always a greatly exaggerated fear, though obviously a cause for concern that requires vigilance.

But this was the ISIS and Ebola election, with panic at high levels on both fronts around the country. And it was widely perceived that Obama was not reacting in a strong way to these threats, even though -- in my view -- he was actually doing quite a lot on both fronts behind the scenes.

His mantra has famously been "don't do stupid stuff," and this has largely been a good and rare thing, even if critics pounce on this as a sign of his being a wimp. George W. Bush was no wimp, but look where that got us! He made the worst foreign policy decision in recent history when he invaded Iraq, setting in motion waves of instability that it will take a generation to quell and subsidize.

Health care has, of course, been the main focus of "hope and change" for Obama, and yet he was also defeated in this midterm election by Obamacare; denouncing it became a mantra for his political enemies. Yet apart from its initial rollout problems, Obamacare has been a measured success, allowing large numbers of previously uninsured American to have access to health care.

The rollout problem was not just the result of too much interest in the program, though there certainly was that. It was a flawed website that couldn't handle the demand, and it was a management failure not to have sufficiently tested the system before it went online. But the state-run insurance exchanges have largely been a success: Even Mitch McConnell has been forced to support the way the exchange has worked in Kentucky, although he doesn't support the benefits of this program for people in other states!

One would have thought the considerable positive effects of Obamacare, including the widely reported reduction in health care costs, would have helped Democrats. But that didn't happen.

Let's face it, Obama did a lousy job of making the success of his health care program understandable to the wider public. He also did a lousy job of consulting with Republicans about this program before it was passed, and he seems curiously disinterested in actually talking with the American people about his successes, although he will occasionally give a speech and, in what seems like a bored way, recite his accomplishments.

The problem is, I suspect, that he doesn't believe in himself. He isn't willing to buy his own story.

There must be many reasons for this. Richard Falk, in a good article in Foreign Policy last summer, notes that, in fact, Obama has never felt confident in separating from the macho rhetoric of Bush. He has spoken repeatedly about America's right to act on its own in the world, saying (for instance) in one speech at West Point: "I believe in American exceptionalism with every fiber of my being." What he offers is, according to Falk, a "watered down neoconservertive global agenda"-- but doesn't really seem to believe what he's saying, as he walks every assertion like one this back in due course.

It's clear enough from his actions in Iraq and Afghanistan that he actually wants the U.S. to exert less, not more, military presence abroad, and to work with coalitions and within the confines of international law, like any other civilized nation. We are not the only country in the world, however much we like to imagine we are.

It's crucial that we work in partnership with other countries. What better time to do this than now, when much of the industrialized world seems very much anti-authoritarian and democratic? We should consider Europe and Japan, India, Israel, and most countries in Latin America our natural allies in the movement toward a peaceable world, where economic stability and human rights are respected.

I will dare to hope that, in the waning years of his presidency, Barack Obama might actually begin to communicate with the American people about his real dreams for a better world.

Not doing stupid stuff is fine. But it's not everything. And he knows that already.

@highlight

Jay Parini: Many impressed by Obama in 2008 let down. What changed about him?

@highlight

He's done much: Brought down unemployment, saved economy, brought health care reform

@highlight

But he doesn't communicate this. Why? Perhaps he doesn't believe in himself, he says

@highlight

Parini: Especially on foreign policy, my hope is he'll better spell out his hopes for the world