Istanbul (CNN) -- Thousands of people of all ages gathered Wednesday evening in Ugur Mumcu square in Antakya, a picturesque town in the Hatay province of Turkey.

They chanted "Tayyip istifa!" or "Tayyip resign," demanding that Prime Minister Recep Tayyip Erdogan leave office. On nearly every street, CNN journalists heard pots and pans banging and saw security forces.

The authorities, who have violently clashed with protesters across Turkey, seemed to be avoiding the demonstrators.

Though it was mostly quiet around 10 p.m. local time in Antakya, it seemed that the situation nationally was only getting worse.

In a move likely to inflame the anger of Turkish protesters, authorities earlier arrested two dozen social media users on accusations of spreading false information about demonstrations sweeping the nation.

Police detained 25 people and were searching for 13 more on accusations of using social media networks such as Twitter to spread false details about the anti-government protests and police reaction to them, according to the semiofficial Anadolu Agency news service.

Read more: Is Turkey on the verge of a meltdown?

The government response to the protests -- tear gas, pepper spray and water cannons -- has drawn condemnation from protesters and rights groups.

Worldwide, headlines and social media have spread photos of a young woman in a red dress, apparently unarmed, being pepper sprayed by police in Istanbul. She carried only a white satchel and was walking past demonstrators when an officer lunged and sprayed her.

Even as she tried to turn away, photos show he continued spraying her, hitting the back of her neck. There have been tweets of support for the woman and the protesters. The woman, however, has said she doesn't want the attention.

On Wednesday, an official at the police station in Izmir confirmed to CNN that some of those accused of spreading false information on social media were brought in Tuesday night and remained in custody. But the official, who declined to give his name, refused Wednesday to provide additional details.

CNN Explains: What's driving unrest in Turkey?

The mother of one suspect told CNN that police with the Smuggling and Organized Crime Unit showed up in force looking for her daughter -- a high school senior -- but she refused to hand her over without assurances that she would not languish in custody.

"I'm not giving my daughter up," teenage suspect Begum Ozpaklar's mother said. "I spoke to our lawyer, who spoke with the police, and I'm not handing my daughter to them until I know that they will take her statement immediately."

"Those kids are being held behind bars, no sunlight. It's not healthy," she said.

Twitter 'menace'

It wasn't immediately clear what those arrested had posted to draw the attention of authorities, but the Turkish Interior Ministry said Wednesday that false information shared over social media had "misguided the youth" and led to protests that "threatened the security of life and property of people," according to Anadolu.

Erdogan, who has been the target of protesters' ire over what they call his dismissive and authoritarian style, on Sunday described Twitter as society's "main menace," saying it is full of exaggerations and lies.

Turkey's Erdogan: Successful leader or 'dictator'?

Social networking services such as Twitter have become a mainstay for activists around the world to share information and organize protests and have been widely credited with aiding popular uprisings in Egypt, Libya and other countries.

Protests have spread across Turkey in recent days amid dissatisfaction with Erdogan and anger about what protesters and international critics have described as a heavy-handed crackdown on protesters by security forces.

The demonstrations began more than a week ago over plans to replace an Istanbul park with a new development but quickly morphed into broader protests against Erdogan's rule and exploded after protesters complained that police had used unnecessarily harsh tactics in an effort to break up the rallies.

Authorities have used tear gas and water cannons on protesters, sparking violent clashes that medical officials say have injured at least 4,355 people, according to the Turkish Medical Association.

Two people have been killed; one person in Istanbul and one in Hatay. Three remain in critical condition with 10 suffering head trauma. At least 10 people have lost an eye, the association told CNN Wednesday.

On Tuesday, the group complained of "unprecedented and abusive use of force by police officers against protestors" and demanded immediate steps to stop it.

Istanbul's Taksim Square -- where the protests began -- was filled with protesters Wednesday but was calm. The presence of organized labor unions was noticeable on the second day of a general strike called by a coalition of unions.

Ankara also was calm Wednesday, a day after riot police in armored vehicles topped with water cannons made a show of force in the city's central Kizilay Square, the site of earlier violent clashes between protesters and security forces.

At the home of Abdullah Comert, who died in the protests, friends and family placed blame squarely at Erdogan's feet.

"Erdogan is like Assad, he is a dictator," a woman mourning at the house Wednesday said, referring to Syrian President Bashar al-Assad, whose government has battled rebellion for two years in a conflict that has left tens of thousands dead.

'Aggression' acknowledged

Erdogan's governing Justice and Development Party showed some acknowledgment of the protesters' initial grievances Tuesday.

Deputy Prime Minister Bulent Arinc apologized "for the police aggression against our citizens who were involved in the initial protests and acted with environmental concern," Anadolu reported. He said security forces had been ordered to only use gas in self-defense.

"They are doing a hard job. When they are executing their jobs, they may sometimes use extraordinary, even excessive, use of force. But they wait in a passive mode unless something comes from the other side," Arinc said.

And he added, "I don't think we owe an apology to those who caused destruction on the streets and who interfered with people's freedom."

A channel for frustrations

The protests began as a small sit-in over plans were made to raze Gezi Park -- the last green space in central Istanbul -- and replace it with a replica of 19th-century Ottoman barracks containing a shopping mall.

After riot police moved in to break up the demonstration with tear gas and pepper spray, protesters set up barricades and hurled bottles at police.

Analysts say the protests have provided a channel for Turks who feel alienated and frustrated by Erdogan's government. Opposition parties are weak and divided, observers say, and have failed to convincingly challenge the governing party during its decade in power.

Under Erdogan, the Turkish economy has grown strongly and his party has been rewarded with comfortable victories at the ballot box.

But many secular Turks complain that the Islamist-rooted government is intolerant of criticism and diverse lifestyles, as evidenced by the recent enactment of tight restrictions on the sale of alcohol, Fadi Hakura, manager of the Turkey Project at the London-based think tank Chatham House, said in a CNN.com column.

Critics also complain about rapid urbanization and its effects on the environment, an issue that helped spark the initial protests in Gezi Park.

Michael Pearson reported and wrote from Atlanta; Gul Tuysuz reported from Istanbul; and CNN's Ben Wedeman, Ivan Watson, Nick Paton Walsh, Talia Kayali, Jethro Mullen and Josh Levs also contributed to this report.

@highlight

NEW: Worldwide, headlines and social media abuzz with photos of pepper-sprayed woman

@highlight

Police arrest social media users for spreading allegedly false information

@highlight

NEW: In Hatay Province, protesters shouted "Tayyip istifa!" calling for prime minister's resignation

@highlight

Authorities have blamed social media for inciting violent protests