London (CNN) -- The once-taboo topic of Greece's exit from the common currency is now being openly discussed. Two years of pushing cash into the country have barely kept it afloat and the collapse of political talks this week injected a new urgency into the situation.

The potential for a run on the banks increased with the admission by the country's president Karolos Papoulias that up to â‚¬800 million ($900 million), was pulled out of the banks Monday. It is a tiny slice of total deposits but a trend, Papoulias noted, that could create "fear that could develop into panic."

Greece, which is facing its fifth year of recession, will go to a second election June 17 after its May 6 voting left no single party with more than 20% support and negotiations to create a unity government failed. An interim government has now been sworn in.

An unplanned exit from the eurozone could cost up to $1 trillion, according to Doug McWilliams, of the Centre for Economics and Business Research. McWilliams noted: "The end of the euro in its current form is a certainty. A currency with the name euro may survive but even if it does it will be radically transformed."

Negotiations between Greece and its lenders might seem a game of chicken, and analysts remains skeptical the end-game is near. But the odds are increasing -- gaming house Ladbrokes even stopped taking bets on a Greek exit from the eurozone -- despite the legal, financial and political difficulties. CNN explains how it could happen.

Legal hurdles

Greece could be forced to exit the European Union, rather than just the common currency itself, because one comes hand in hand with the other. The European Central Bank has the exclusive right to issue euro notes, for example, so any move by Greece to print its own currency would immediately put it in breach of the treaty. Changing the treaty would take some time, so a more likely maneuver is an agreement between euro nations on when and how they would boot Greece out of the bloc.

According to Charles Proctor, partner at Edwards Wildman Palmer, "the dam has burst, because so many people are now talking about [an exit]. It is not a possibility that can be ignored."

However the legal difficulties mean "any solution would have to take place effectively outside this document." A withdrawal from the eurozone by Greece "would be breach of the treaty without any question," Proctor added. "But these things happen."

Getting back the small change

Greece could revert to the drachma -- the currency it had before entering the euro in 2001 -- but there is also speculation it could operate with a Greece-specific euro until a full switch can take place.

If Argentina is used as a guide, this could be announced over a weekend. The banks could then remain shut for a fortnight while the currency transition is bedded in.

At this point capital controls would need to be in place to ensure money in the country stays there. This could be done in co-ordination with other euro countries, or unilaterally.

According to a Bank of America/Merrill Lynch note, Greek banks have lost 30% of their private sector deposits since their peak in late 2009. Such capital flight is likely to be increasing and the fear -- as articulated by Papoulias -- is that an emotional response to the crisis will create even greater problems.

As UBS's Paul Donovan, notes, "talk of firewalls and guarantees disappears in a puff of smoke if the challenge for banks is not liquidity, nor solvency, but an existential crisis."

The new currency would be worth significantly less -- estimates put it at perhaps 50% -- than the euro. According Bank of America/Merrill Lynch, the country could then issue IOUs to pay salaries and recapitalize the banks. This, however, would risk the creation of a "shadow currency." The note adds: "How long Greece could be within the euro and live with its own internal currency is an open debate."

Once the new currency is in place, mortgages to Greek banks would likely be repaid in drachma, while repayments of mortgages to foreign banks may have to be renegotiated.

The biggest issue could be foreign banks' loans to major Greek businesses. Debt which was previously due to be repaid in euros would have be renegotiated in drachma. Legal disputes are likely to ensue as creditors battle to get back as much money as they can.

Payback time

Creditors attempting to squeeze their money out of Greece could be out of luck. The International Monetary Fund and European Central Bank are the country's most senior creditors and defaulting on these debts would be politically unpalatable. But there are precedents: Sudan, Zimbabwe and Somalia, for example, remain in arrears to the IMF.

Private creditors have already taken 50% losses on their investments in Greek debt but are likely to face further reductions in repayments. Money owed to Greece's eurozone peers, via the bailout fund, would likely be up for some ferocious negotiation.

The flow-on effect

The so-called "contagion effect" remains the greatest fear. Allowing one country to exit the euro opens the floodgates for others to follow. This risk will push up the premium attached to buying sovereign debt of troubled eurozone economies -- such as that of Spain and Italy, whose ten year bonds are nudging toward the "danger zone" of 7% yield -- on the back of the uncertainty.

According to Michala Marcussen, of Societe Generale, the direct costs of Greek euro exit would be huge for Greece, but manageable for the rest of the bloc. "Our concern is contagion," she wrote in a note. The note said a forceful policy response would be needed in the case of a Greek exit, such as further strengthening of the bloc's bailout fund.

A Greek exit could also trigger shifts in geo-political influence, as countries such as Russia may step up with financial assistance. According to James Nixon, of Societe Generale: "The risk is we may lose Greece from the Western sphere of influence."

Is Greece actually going to exit the euro?

The next few weeks will be vital for Greece, and the future of the eurozone. Much depends on the results of the new election.

Greece's Syriza party -- which wants to remain in the eurozone but does not support the bailout program -- has thus far reaped the benefits of voter frustration with the austerity measures. It bumped out mainstream party PASOK to come second in the May 6 election, with almost 17%. Opinion polls indicate it could come first in the next election.

New Democracy, which supports the program, narrowly won the May 6 election with almost 19% support. It could get a boost if sentiment shifts and fear of a euro exit drives Greeks back to the mainstream parties. If this happens, the crisis could ease.

Economists remain unconvinced an exit is the next step. Nixon believes the "huge poker game" between Greece and its creditors is set to continue. "There is still some distance to the last chance saloon," he says.

If it did, the consequences could be dire, Donovan notes. He points to the bankruptcy of Creditanstalt, Austria's largest bank, in 1931. "That was the main cause for the Great Depression. And this is the same sort of thing," he says.

Economic shakedown

A new currency would take some time to find its true value, as markets adjust to Greece being outside the eurozone bloc.

In Argentina's case, its break with the U.S. dollar peg in 2002 -- which devalued the peso by 30% -- sank its economy, with 60% of Argentines under the poverty line, according to the CIA Factbook. However, the economy then rebounded around 8.5% annually for six years.

If Greece unshackles its currency it will become a more competitive exporter and an attractively cheap tourist destination. But Greeks, who have suffered rising unemployment, brutal austerity measures and protests which have claimed lives, will be forced to pay higher prices for imported goods. The country's economy -- which accounts for just 5% of the European Union's economic output and relies on agriculture and tourism -- would likely take years to recover.

Nina dos Santos, Katy Byron and Tim Lister contributed to this report

@highlight

Once-taboo topic of Greece's exit from the common currency is now openly discussed

@highlight

Greece, which is facing its fifth year of recession, will go to a second election June 17

@highlight

Support for anti-austerity package parties could push Greece toward a euro exit

@highlight

One estimate puts the cost of an unplanned exit from the eurozone at up to $1trn