(CNN) -- The earthquake in Sichuan, southwestern China, last May left around 69,000 people dead and 15 million people displaced. Now ecologists have assessed the earthquake's impact on biodiversity and the habitat for some of the last existing wild giant pandas.

Giant pandas are more endangered than ever since the 2008 Sichuan earthquake.

According to the report published in "Frontiers in Ecology and the Environment", 23 percent of the pandas' habitat in the study area was destroyed, and fragmentation of the remaining habitat could hinder panda reproduction.

The Sichuan region is designated as a global hotspot for biodiversity, according to Conservation International. Home to more than 12,000 species of plants and 1,122 species of vertebrates, the area includes more than half of the habitat for the Earth's wild giant panda population, said study lead author Weihua Xu of the Chinese Academy of Sciences in Beijing.

"We estimate that above 60 percent of the wild giant panda population was affected to some extent by the earthquake," said Xu in the report.

In an effort to develop conservation strategies for the panda's remaining habitat, Xu and his colleagues used satellite imagery to determine the pandas' habitat loss and fragmentation in the South Minshan region, which is adjacent to the earthquake's epicenter.

Since forests are the main vegetation type used by the pandas, the authors compared forested areas in satellite images from September 2007, before the earthquake, to images after the earthquake and its aftershocks, in July 2008.

The authors then combined results based on these satellite data with criteria that make forests suitable for pandas, including elevation, slope incline and presence of bamboo. Their analyses revealed that more than 354 square kilometers, or about 23 percent, of the pandas' habitat was converted to bare land.

Of the remaining habitat, the researchers found that large habitat areas had been fragmented into smaller, disconnected patches, which Xu says can be just as harmful as habitat destruction.

"It is probable that habitat fragmentation has separated the giant panda population inhabiting this region, which could be as low as 35 individuals," said Xu.

"This kind of isolation increases their risk of extinction in the wild, due in part to a higher likelihood of inbreeding."

Xu and his colleagues proposed a plan to encourage pandas to move between patches using specially protected corridors. They also recommend areas to be protected outside of nature reserves and that post-earthquake relocation of affected towns takes panda habitat into consideration.

"It is vital to the survival of this species that measures are taken to protect panda habitat outside nature reserves," said Xu.

"Giant pandas in this region are more vulnerable than ever to human disturbance, including post-earthquake reconstruction and tourism. When coupled with these increasing human activities, natural disasters create unprecedented challenges for biodiversity conservation."

@highlight

New report on affect of 2008 Sichuan earthquake on wild giant panda population

@highlight

Report: 23 percent of habitat has disappeared; 60 percent of giant pandas affected

@highlight

Estimates that wild panda population in affected region could be as low as 35