Tyenna Valley, Tasmania (CNN) -- Like many I have been anxiously waiting the outcome of the Tasmanian "forest peace talks."

But unlike most, I have done so 200 feet (60 meters) above the ground, perched at the top of an old growth tree whose fate depends upon them. A tree I climbed 10 months ago and vowed not to leave until the forests were protected.

And then on Saturday the news hit -- the talks had collapsed.

The two years of talks between environment groups, unions and industry representatives failed to find the resolution to bring the industry out of crisis and protect Tasmania's high conservation value forests. No deal means clear-felling of old growth forests is set to continue.

The tree that has been my home since December 14 last year is a part of 572,000 hectares at the center of the debate. Verified by scientific experts to be of world heritage value, it should have have been on its way to formal protection. And I should have been on my way out of this tree and into a long hot bath!

Unfortunately the forestry industry had other ideas, digging in its heels when it came to final crunch.

Neither the science nor the economics seem to have won out. The Tasmanian forestry industry is in crisis and being propped up by tax payer funds. There are some who may want to put their heads in the sand, but we cannot go on ignoring today's market realities of a worldwide trend towards environmentally friendly products.

From my tree top platform, I have Skyped my way around the globe, speaking to thousands of people. And the message is clear, people don't want to buy furniture and flooring made from the destruction of endangered species habitat, community water catchments or globally significant carbon sinks.

The failure of the talks has created uncertainty for the future of the forests here. And with it, uncertainty for me. With no end in sight, who knows how long it will be before I set foot on the ground again?

I have already become the Australian record holder for the longest time spent in a tree, after I reached 209 days back in July this year. I hope, for the sake of the forests, that I will not need to break the world record held by Julia Butterfly Hill, who sat for two years in a Californian Redwood.

'Himalayan Viagra' takes its toll on Nepal's environment

In the upper branches of this 400-year-old tree I have endured high wind, snow, hail and extreme conditions. It's been a tough winter, that's for sure. And the weather isn't the only challenge.

Living on a three meter platform suspended in the tree tops adds difficulty to every daily task that I once took for granted. No turning on the tap for hot water or going to the shops if you run out of milk! I have to bathe in a small bucket. And I haul up everything I need on a long rope, relying on support from the community for donations of food and supplies.

Luckily support has flooded in, from all walks of life, locally and internationally. The many people who visit the base of the tree to say thank you have been overwhelmingly inspirational. And it has helped me get through what is the hardest part of this experience -- the loneliness of being separated from my loved ones.

Yet, no matter how challenging, there are constantly moments when I am awe-struck by the beauty of this forest. The coating of snow across the forest in winter, the star speckled skies of summer nights or watching endangered wedge-tailed eagles soar in the skies above.

I have watched the seasons come and go. And with it, new life in the forest. Conservationists placed hidden cameras in the forest below, capturing footage of a mother Tasmanian Devil, the day before logging began. This iconic Australian species is listed as endangered in both federal and state legislation.

Luckily, the media spotlight from my action had the loggers packing up and leaving after a week, giving these young devils a chance of survival. In February 2012, to our delight, footage was taken of the juvenile devils exploring the world. Sadly, with the collapse of the talks, logging of their habitat could begin again any day now.

Autumn color around the world

Many people ask my why I am willing to sacrifice everything in my life, give up my chance to spend time with family and friends, and put my career as a high school teacher on hold, in order to sit in a tree.

But when I look around me at this unique and irreplaceable ecosystem the answer is simple: I sit in this tree because from here I believe it is possible to save this forest once and for all.

Of course, it takes more than one woman perched 60 meters above the ground; it takes an international community. And I have been able to share my story with the world, powered by solar panels and blogging about my tree top life.

I hope my action will be a catalyst, inspiring others to say no to wood products that come from unsustainable forestry practices. And say yes to the protection of the world's globally significant forests.

Despite the cloud of uncertainty that now looms over the future of these forests, I am one hundred percent committed to staying in this tree for as long as it takes to see this forest receive the protection it deserves.

Join us on Facebook/CNNOpinion

The opinions expressed in this commentary are solely those of Miranda Gibson.

@highlight

Activist Miranda Gibson wants to protect 572,000 hectares of old-growth forest

@highlight

Talks between environmentalists and loggers have broken down

@highlight

Vows to live in the 400-year-old tree until a deal is reached