(CNN) -- When Andrew Bynum walks into a room, people step aside.

At 7 feet tall and 285 pounds, Bynum is the starting center for the NBA champion Los Angeles Lakers. He hurls his Mack-Truck-like shoulders against some of the biggest and baddest men on the planet every game night.

Bynum recently came across a book that was as ruthless as anyone he's encountered in the NBA. "At first, I was shocked," he says. "I thought it was cutthroat."

Bynum started reading "The 48 Laws of Power." The best-selling book offers a collection of 48 laws that show people how to gain power, preserve it, and defend themselves against those powerful people who make their lives miserable.

Unlike most self-help books, "The 48 Laws" offers advice that the author freely admits is, at times, cunning and amoral. It includes lessons like "Law 1: Never outshine the master" and "Law 14: Pose as a friend, work as a spy."

The lessons are distilled from colorful anecdotes lifted from 4,000 years of history. They include insights into the scheming of powerful people such as Al Capone, P.T. Barnum and Henry Kissinger.

The book has proved to be so popular that it has spawned several sequels, one recently co-authored by the popular rapper 50 Cent, called "The 50th Law."

Meet the man behind the laws of power

Robert Greene, author of "The 48 Laws," says our fascination with power is rooted in our DNA.

"We want to believe we're descended from angels when we're descended from primates," Greene says. "This is part of our nature and there's nothing to be ashamed of."

Greene says the struggle for power affects even the most benign human relationships. Think of how babies threaten, badger and scheme to get their way, he says.

"Children can be incredibly manipulative," Greene says.

Greene, whose laid-back, soft-spoken demeanor seems at odds with his books, has long been fascinated with power. At first, his interest was restricted to sports. Then he earned a degree in classical studies and saw how power shaped history.

Greene says he received his next lesson in power when he began working as a writer in Hollywood. Every transaction -- business or personal -- revolved around someone grasping for more power, he says.

Greene realized that Hollywood's power elite didn't act all that differently from the ancient Athenians and Chinese emperors he encountered in his classical studies.

He decided to share his insights in a book.

"I wanted to show that what was going on was not new," Greene says. "No one wanted to talk about how these incredible manipulative games had been going on for thousands of years."

One of Greene's central claims is that everyone must learn the rules of power. He describes the world as a "giant scheming court," and says we're all courtiers, whether we like it or not.

"There is no use in trying to opt out of the game," he writes in the introduction to the book. "... Instead of struggling against the inevitable, instead of arguing and whining and feeling guilty, it is far better to excel at power."

Practicing the laws of power

That's the lesson that Bynum, the Los Angeles Lakers' center, says he's learned.

Bynum likes Law 18: "Do not build fortresses to protect yourself -- isolation is dangerous."

It tells the story of Shih Huang Ti, the first emperor of China. The emperor was so paranoid about his enemies that he slept in a different room each night and never let any of his subjects see him. The result: He lost power because he lost touch.

Greene's lesson: Isolation exposes you more than it protects you. Circulate among people, build allies and learn to spot your enemies.

"That was cool," says Bynum, who says he has to be leery of people who try to take advantage of his celebrity. "It's good to be out there, to visit and to see your enemies and even be in the same room with them."

Adam Ishaeik made Greene's book required reading for a business management class he taught at Michigan State University. His students loved it, he says, because it was more practical than most business or self-help books.

Ishaeik's favorite law: Law 10: "Avoid the unhappy and unlucky." That law says that one should avoid people who always attract misfortune. They can "infect" others with their pathology.

The law's solution for dealing with a master of misfortune: Don't help or argue with an "infector" or you will become "enmeshed" in their problems. Flee them. Don't return the call.

Ishaeik says he once became involved with some "infector" relationships that resulted in his living out of his car for five months while becoming deeply depressed. When he cut those people out of his life, he says, his life took off. He is now the CEO of  a company that secures government contracts for small businesses.

"If someone is always unlucky and things are always happening to them, deep down inside, there's something that's attracting it," Ishaeik says. "You don't want to be around them."

Dov Charney, founder and CEO of American Apparel, is also a fan of Greene's laws of power. He calls them laws of nature.

"Every single human interaction involves this power exchange," he says. "But it doesn't mean that power can't be generous or philanthropic."

The book, though, has its critics.

Jeffrey Pfeffer is a Stanford University professor and management guru. People like lists, he says, but 48 laws are too much.

"If you give people a list of 48 things, they're certainly not going to remember them in a situation when they need to use them," says Pfeffer, author of the forthcoming book "Power: Why Some People Have it and Others Don't."

Pfeffer says Greene's laws are flawed because they are based on isolated historical examples. Why not build laws around solid research, like a study or experiments?

"If you go to a doctor and the doctor says you have a disease, and we know the treatment because we tried it on one person and it worked -- wouldn't you love to have the treatment based on a long-term study?" Pfeffer asks.

Criticism doesn't seem to rattle Greene. He says he had some tough times in his early career when he violated the first law of power in his book ("Never outshine the master"). But learning the laws of power has given him tranquility.

"It just brings a sense of calmness and detachment because things don't bother me," he says. "I observe everyone else's power games. It's a beautiful position to be in."

@highlight

Book's ruthless guide to power has won fans

@highlight

"The 48 Laws of Power" fans include CEOs, rappers and an NBA star

@highlight

The rapper, 50 Cent, liked the book so much that he co-wrote a sequel

@highlight

Book's author: "There is no use in trying to opt out" of the game of power