(CNN) -- President Barack Obama confidently declared that his administration will get things done in Washington despite an atmosphere he described as divided and politically dysfunctional.

Speaking at a press conference 100 days into his second term, Obama fielded a range of questions on topics including Syria and the Boston Marathon attack, and he defended his administration's actions and positions.

Noting that lawmakers have blocked initiatives like averting forced budget cuts and expanding gun control, one questioner asked if Obama still had "the juice" to get his agenda through Congress.

"I think it's a little, as Mark Twain said, you know, 'Rumors of my demise may be a little exaggerated at this point," Obama said at the White House.

"We understand that we're a divided government right now. Republicans control the House of Representatives. In the Senate, this habit of requiring 60 votes for even the most modest piece of legislation has gummed up the works there. And I think it comes to no surprise, not even to the American people, but even members of Congress themselves that right now things are pretty dysfunctional up on Capitol Hill," Obama said.

The president said he is confident that a range of priorities will get done, like immigration reform. He praised the bipartisan work on that bill.

"That's going to be historic achievement," Obama said. "I've been very complimentary of the efforts of both Republicans and Democrats in those efforts."

Overhauling immigration policy

Obama said an immigration reform bill proposed by the so-called "Gang of Eight" senators meets criteria that he believes is necessary. This includes more effective border security, a crackdown on employers "gaming the system," making the legal immigration system work more effectively, and making sure there is a pathway to citizenship for immigrants already in the country.

Obama said he hasn't seen what House members are proposing and promised to be open-minded about whether they can address the issue better. But, he added, "the bottom line is they still have to meet those basic criteria."

Forced budget cuts

As for the sweeping $85 billion in forced spending cuts that took effect in March due to congressional inaction on deficit reduction, Obama said the austerity is "damaging our economy" and "hurting our people."

He said lifting them will require compromise.

"I've had some good conversations with Republican senators so far. Those conversations are continuing. I think there's a genuine desire on many of their parts to move past not only sequester, but Washington dysfunction. Whether we can get it done or not, you know, we'll see."

FAA suspends furloughs

Obama said short-term fixes, such as legislation heading for his desk aimed at ending sequester-related air traffic control furloughs blamed for widespread flight delays last week, aren't enough.

He said that if "they are seriously concerned about passenger convenience and safety, they should not just be thinking about tomorrow. ... They should be thinking about five years form now, 10 years from now, 20 years from now."

Obama said both parties must "sit down" and commit themselves to reduce "our deficit sensibly" and ensure investment in infrastructure, education and basic research that will help the economy and the country grow.

"That's what the American people want," he said.

Budget-cut layoffs deal a blow to investigations of gun-related crimes

Partisan politics

Obama said he believes lawmakers understand the need for compromise and "common sense solutions." But he noted that it's a challenge to get Republicans to embrace them.

"I can urge them to. I can put pressure on them. I can, you know, rally the American people around those -- you know, those commonsense solutions. But ultimately they, themselves, are going to have to say we want to do the right thing," he said.

"I think there are members, certainly in the Senate right now, and I suspect members in the House as well who -- who understand that deep down. But they're worried about their politics. It's tough. Their base thinks that compromise with me is somehow a betrayal. They're worried about primaries. And I understand all that."

Closing Guantanamo

Asked about the hunger strikes at the Guantanamo Bay, Cuba, detention facility, Obama said he continues to believe it should be closed, repeating a stance he took when he became president in 2009.

"I think it is critical for us to understand that Guantanamo is not necessary to keep America safe. It is expensive. It is inefficient. It hurts us, in terms of our international standing. It lessens cooperation with our allies on counter-terrorism efforts. It is a recruitment tool for extremists. It needs to be closed," he said.

For the past decade, the Guantanamo detention center has held people captured outside the United States in counterterrorism operations. There are about 166 detainees at the facility, according to the latest figures, with half participating in hunger strikes over complaints about their treatment.

Obama said Congress would not allow the facility to be closed but he promised to press the issue again.

"Despite the fact that there are a number of the folks who are currently in Guantanamo, who the courts have said could be returned to their country of origin or potentially a third country, I'm gonna go back at this. I've asked my team to review everything that's currently being done in Guantanamo, everything that we can do administratively, and I'm gonna reengage with Congress to try to make the case that this is not something that's in the best interest of the American people," he said.

Proud of NBA's Jason Collins

Obama also said he spoke to Jason Collins, the NBA player who on Monday became the first member of a major American pro-sports team to come out as gay.

"I told him I couldn't be prouder. You know, one of the extraordinary measures of progress that we've seen in this country has been the recognition that the LGBT community deserves full equality, not just partial equality, not just tolerance, but a recognition that they're fully a part of the American family," he said.

"And, you know, given the importance of sports in our society for an individual who -- who's excelled at the highest levels in one of the major sports go ahead and say, 'This is who I am.' I'm proud of it. I'm still a great competitor. I'm still seven-foot tall and can bang with Shaq."

"And," he said, "deliver a hard foul."

@highlight

Obama took a wide range of questions from reporters

@highlight

"Rumors of my demise may be a little exaggerated at this point"

@highlight

President still wants Guantanamo closed, says will reengage Congress

@highlight

NBA's Jason Collins gets presidential a high-five