After an in-person briefing from the staff at the Centers for Disease Control and Prevention in Atlanta, President Barack Obama on Tuesday announced a "major increase" in the U.S. response to the Ebola outbreak in West Africa.

The United States will send troops, material to build field hospitals, additional health care workers, community care kits and badly needed medical supplies.

Countless taxis filled with families worried they've become infected with Ebola currently crisscross Monrovia in search of help.

They scour the Liberian capital, but not one clinic can take them in for treatment.

"Today, there is not one single bed available for the treatment of an Ebola patient in the entire country of Liberia," said Margaret Chan, the World Health Organization's director-general.

"As soon as a new Ebola treatment facility is opened, it immediately fills to overflowing with patients," the WHO said.

Hospitals and clinics in Guinea, Liberia and Sierra Leone -- the countries hit hardest by the outbreak -- are overwhelmed by what the WHO is calling the deadliest Ebola outbreak in history.

Ebola Fast Facts: Everything you need to know

The virus has killed at least 2,400 people, and thousands more are infected. And there are now cases in Nigeria and Senegal.

"The number of new cases is increasing exponentially," the WHO said, calling the situation a "dire emergency with ... unprecedented dimensions of human suffering."

"Men and women and children are just sitting, waiting to die right now," Obama said.

"This is a daunting task, but here's what gives us hope. The world knows how to fight this disease. It's not a mystery. We know the science. We know how to prevent it from spreading. We know how to care for those who contract it. We know that if we take the proper steps, we can save lives. But we have to act fast," Obama said.

"We can't dawdle on this one. We have to move with force and make sure that we are catching this as best we can, given that it has already broken out in ways that we have not seen before."

The CDC already has hundreds of professionals on the ground in what the President described as the "largest international response in the history of the CDC."

Maj. Gen. Darryl Williams, commander of the U.S. Army Africa, arrived in Liberia on Tuesday.  Liberian leadership asked that the U.S. military step in to help support civilian efforts there.

Williams will coordinate the military's efforts to improve logistics, to build additional field hospitals and to create what the President called an "air bridge" to bring in additional supplies and health care workers. The effort will be called Operation United Assistance.

The new treatment centers may house up to 1,700 additional beds.  American military personnel in the region could increase by 3,000, administration officials said.

The U.S. will also create a new training facility to help prepare thousands more health care workers to handle sick patients.  U.S. medics will train up to 500 health care workers per week to identify and care for people with Ebola.

USAID will give 400,000 treatment kits with sanitizer and other protective items like gloves to families to help them protect their own safety as they care for sick relatives.

The President also called on Congress to approve additional funding his administration requested to carry on these critical efforts to stop the virus.

Obama added that "faced with this outbreak, the world is looking to" the United States to lead international efforts to combat the virus. He said the United States is ready to take on that leadership role.

"Here's the hard truth. In West Africa, Ebola is now an epidemic of the likes that we have not seen before. It's spiraling out of control," Obama said. "If the outbreak is not stopped now, we could be looking at hundreds of thousands of people infected with profound political and economic and security implications for all of us."

Washington has already committed more than $100 million to combat Ebola, according to the U.S. Agency for International Development.

Last week, USAID said it would spend $75 million to build treatment facilities and supply them with medical equipment. The Pentagon says it's working to shift $500 million of not yet obligated funds toward the Ebola effort.

Airborne Ebola? A nightmare that could happen

Public health campaigns will be broadcast through existing networks in Liberia, Sierra Leone and Guinea.

'Hundreds turn into thousands'

The President's visit to the CDC comes amid escalating criticism from health experts of the global response to the outbreak in West Africa.

U.S. officials hope a more coordinated response on the ground, put in place by the United States, will encourage other nations to step up their efforts.

"This is a global threat and demands a global response," Obama said. He added that the international community needs to move faster.

Next week, the U.S. will chair an emergency meeting of the U.N. Security Council to maximize the response to the Ebola crisis.  The White House will also bring more countries together to talk about future health threats.

Tuesday, WHO announced that China dispatched a mobile laboratory team to Sierra Leone to help test for the virus.  The team of 59 from the Chinese Center for Disease Control includes epidemiologists, clinicians and nurses. This team will join 115 Chinese medical staff already on the ground in Sierra Leone.

Opinion: How not to handle Ebola

Nongovernmental organizations that have been fighting this outbreak since its start reacted positively to Obama's announcement.

"The multifaceted response to the Ebola crisis announced today by President Obama is what we have been hoping for and what is needed in Liberia and West Africa," said Bruce Johnson, president of SIM USA.

Two of the three American workers who contracted Ebola in Liberia and were evacuated to the United States for treatment work for SIM.

SIM and other organizations such as Doctors Without Borders that have been working on the Ebola outbreak since the beginning have been asking for additional international help for months.

"Three things are vital right now: More beds and equipment, more trained medical professionals, and more training of Liberians and West Africans," Johnson said. "This current plan addresses these desperate needs."

One of the doctors who had been working with SIM's clinic in Liberia when he became infected with the virus testified Tuesday in front of a joint hearing in Congress to look at ways to stop Ebola.

Dr. Kent Brantly urged Congress to provide the extra funds to fight the  outbreak.  Earlier in the day he met with President Obama, who told him about the expanded U.S. efforts.

Brantly said he thanked the President, and urged Congress to back this plan up with "immediate action."

Ebola survivor donates blood to infected American

"As a survivor, it is not only my privilege, but it is my duty to speak out on behalf of the people of West Africa who continue to face unspeakable devastation because of this horrific disease," Brantly said.

He told the story about a patient named Francis who he believes may have been saved had the world acted sooner.

The patient became infected after carrying a neighbor sick with Ebola to a taxi to get him to a hospital.

"If someone had gone alongside Francis and given him a little education and given him the equipment he needed, his family would have a father," Brantly said. Instead his patient died and the world lost "this good Samaritan."

Brantly went on to respond to the analogy some have used to describe Ebola as a fire burning out of control.

He warned, it is a "fire. It is a fire straight from the pit of hell."

"We cannot fool ourselves into thinking that the vast Atlantic Ocean will protect us from the flames of this fire," Brantly said.

Move quickly, he urged, as it is "the only way to keep entire nations from being reduced to ashes."

Could the virus mutate?

There is also a concern about the possibility that the virus could mutate into an even more dangerous form.

Ebola currently transmits only though contact with bodily fluids; a mutation that allows the virus to spread through the air would pose a catastrophic threat to people worldwide, health experts say.

White House press secretary Josh Earnest said Monday that there was still a "very low" likelihood the Ebola virus could mutate in a way that threatens the United States.

Can Sierra Leone's economy survive Ebola?

"Right now, the risk of an Ebola outbreak in the United States is very low," he said, "but that risk would only increase if there were not a robust response on the part of the United States."

The President noted a number of precautionary steps that are being taken in the United States to prevent the disease from spreading here.

The government has stepped up screening at West African airports. It has increased education for flight crews to teach them what to watch for with people who may be sick. It has worked with hospitals and health care workers to prepare them in case there is a domestic Ebola problem.

Will it be enough?

Ebola is more than a health threat to West Africa; it could become a "major humanitarian crisis," according to United Nations Under-Secretary-General Valerie Amos, if it is not stopped soon enough.

The United Nations said that many millions more will be needed to fight the outbreak.  U.N. leaders estimate they need $1 billion to fight the epidemic, with about half needed for the worst-hit country, Liberia.

Political systems and infrastructure are fragile in the countries where the virus is concentrated. Liberia, Sierra Leone and Guinea  are still rebuilding their economies after suffering through years of civil wars.

"Now their capacity to deliver the necessities of daily life for their people is on the brink of collapse," Amos said. "The Ebola outbreak poses a serious threat to their post-conflict recovery."

More people are believed to have died in these countries from secondary diseases like malaria and tuberculosis and from chronic illnesses and pregnancies with complications than from Ebola because the health care systems are so strained.

Heavy rain adds to the risk of waterborne diseases like malaria.

Food security has also become a problem. Quarantines keep workers from their jobs and have slowed the delivery of food to certain areas, according to the U.N.

"We must act now if we want to avoid greater humanitarian consequences in future," Amos said.

@highlight

Doctor who survived Ebola says: "It is a fire straight from the pit of hell"

@highlight

Obama says "the world is looking to" the U.S. for leadership on Ebola

@highlight

U.S. personnel in West Africa could increase by 3,000

@highlight

Obama to call on Congress to approve $88 million more