(CNN) -- Since the disappearance of Amelia Earhart, no aviation search has garnered more attention than the loss of Malaysia Airlines Flight 370. The disappearance has become the mystery of the century. It is baffling both to the public and to aviation experts alike, myself included.

First, let's not forget to find compassion for the families and friends of the passengers on board this flight. Accident investigations are aimed at finding them an answer, at discovering the cause of such tragedies and at preventing them from ever happening again.

Rather than delve into the numerous sabotage/terrorist theories, I'd like to focus on mechanical malfunction. Considering all the facts, or the accepted assumption of facts, a malfunction that overwhelmed the crew may still be a viable explanation. This makes the most sense to me, as a 30-year airline veteran.

Opinion: Flight 370''s resting place is best clue

Piecing together all the current information as of March 24, I'll describe a chronological scenario. The scenario is pure speculation on my part, and I have included commentary at various points.

0. The captain utilizes a PC-based flight simulator and deletes some files. So what? My take: This is a hobby. The captain is passionate about flying. Did he fly only the 777 in the simulator? He could well have flown other types of aircraft in the simulator, for his own purposes. Regardless, he wouldn't require this device to execute a nefarious plot. An 18,000-hour captain already has all the resources, i.e. charts and manuals, including his own experience.

1. The captain completes a cell phone call prior to takeoff. Judging by the distance from the main terminal to the runway, this cell phone call was most likely made after pushback from the gate at Kuala Lumpur. Yes, this was a violation of the sterile period (during which extraneous activity outside of aircraft operations should not occur) and not quite up to professional standards but not a big deal. Most likely, the captain made the call while the airplane had been safely stopped on a taxiway. It does not imply malicious intent. As of this writing, information has not been released regarding the details of the phone call.

2. At 12:36 a.m., Malaysia 370 contacts the Kuala Lumpur tower and receives a clearance to hold short of Runway 32R at the departure end, my translation from a non-verified transcript.

3. At 12:40 a.m., Malaysia 370 receives clearance to take off.

4. At 12:42 a.m., Malaysia 370 receives a clearance to climb to 18,000 feet and is directed to the IGARI waypoint, approximately 300 miles away, the entry point into Vietnam's airspace.

5. Although the transcript timeline seems abridged, having eliminated communication with other aircraft that had to be on the frequency, it appears that the co-pilot reported the altitude level at 35,000 feet on three occasions. Apparently, this repeated report has caused concern. My colleagues will agree that the most diplomatic method to remind an air-traffic controller that you had requested a higher altitude would be to state your current altitude. It's a subtle hint in air-traffic control parlance. Maybe the original clearance was filed for a higher flight level than 35,000 feet.

6. At 1:07, ACARS (the Automatic Communication and Reporting System) gives what turns out to be its final report. Also at this time, it was alleged that an additional waypoint not on the original flight plan had been entered into the flight management computer. The implication is that someone in the cockpit had intent to veer off-course for nefarious purposes. I believe that if indeed a waypoint was entered -- and it seems difficult to verify with the ACARS no longer reporting -- it was entered as a means to identify an equal-time point. Such a point is a position on the route that indicates the flight is equal in time to two or more diversionary airports. It is a required dispatch calculation prior to departure but an optional entry on the flight management computer.

7. At 1:19, a Kuala Lumpur Center air-traffic controller instructs Malaysia 370 to contact Ho Chi Minh Center (Vietnam radar) on frequency 120.9. The co-pilot responds with the now-famous "All right, good night." Although the correct response would have been to repeat the frequency, the co-pilot was informal. Not a big deal. Crews that have flown that route know that the frequency doesn't change. It is printed on the en route chart.

8. At 1:21, the transponder ceases to send out its coded discrete signal that identifies the flight. Perhaps the beginning of a malfunction in the electronics and engineering compartment?

9. At 1:37, the automatic ACARS transmission does not give its 30-minute report. Had the problem become a full-blown emergency?

10. An undocumented report that a Narita, Japan-bound flight is asked by Ho Chi Minh Center to attempt contact with Malaysia 370. The Narita flight is approximately 30 minutes ahead but is unable to establish contact with Malaysia 370. This attempted "relay" would have been a typical procedure used by air-traffic control. Ho Chi Minh Center would have first attempted contact on the assigned frequency and then used the emergency frequency that all controllers and airlines monitor. There is cause for concern but no reason just yet to sound the alarm.

11. At 2:15, Malaysian military radar (disclosed one week after the disappearance) claims to have observed a primary target on the west side of the Malaysian peninsula, indicating that the flight flew a westerly course at some point after the last verbal transmission.

In my view, the above timeline only includes what appears to be the most credible assertions. Subsequent to this timeline, reports of satellite "pings" and engine data being transmitted indicate that the airplane may have remained airborne for an additional five to seven hours. Without verification and true understanding regarding the implications of these reports, it is difficult to speculate.

Coming together: Flight 370 search unites global community

In addition, raw data from another radar site indicated that the 777 may have climbed to an altitude above the airplane's certified ceiling and then quickly descended and climbed again. And now the most recent assertion has the airplane descending to 12,000 feet. If in fact the airplane descended to 12,000 feet, its fuel consumption would have been almost double that at the higher altitudes. In that regard, how did the airplane fly so far south into the Indian Ocean, as has now been announced emphatically by the Malaysian Prime Minister?

Assuming the airplane did indeed continue to fly, here is a hypothetical scenario:

A smoldering fire began to affect the components in the electronics and engineering compartment. The fire was insidious, producing smoke at a slowly increasing rate. As components began to fail, the crew followed appropriate checklists until it was determined that the primary concern was to land the airplane. The captain entered the waypoint identifier for a diversionary airport into the flight management computer. The autopilot turned the airplane toward the diversionary airport, a southwesterly direction.

In the meantime, the crew attempted to control an airplane that may have been losing portions of its electronic flight control systems. Primary flight displays on the instrument panel may have begun to shut down, making it difficult to interpret airplane attitude and airspeed. The crew donned their oxygen masks with the integral goggles, but toxic fumes, low visibility etc. eventually overcame them when the oxygen bottled was depleted due to the pilots both breathing rapidly in a high-stress environment and the mask switch most likely being selected to 100% at high pressure.

A degraded autopilot continued to steer the airplane toward the diversion airport at an altitude selected by the crew. When the airplane reached the last waypoint -- the diversionary airport -- the flight management computer functioned as designed and kept the airplane on its last heading. Fuel exhaustion caused the engines to flame out one at a time. Operating on one engine for a brief period may have caused a turn due to the differential power that couldn't be compensated by a degraded automatic system.

When the autopilot could no longer maintain the airplane at the selected altitude, it disconnected. The airplane would have begun a slow, erratic descent. When the last engine shut down, the ram air turbine would have deployed, providing both limited hydraulic power and limited electric power. Eventually, the airplane would have descended and crashed into the ocean.

A lot of focus has been on the fact that the crew did not communicate the problem. Maybe they did attempt to declare a "mayday." Had the primary radios been destroyed by fire? Or more likely, the communication went unheard because the airspace where the malfunction occurred was just out of the range of normal VHF communications, in addition to being just outside Ho Chi Minh Center's radar.

It is all pure speculation until the airplane is located. I'd like to keep an open mind. Regardless, perhaps I've explained some of the unexplainable.

The opinions expressed in this commentary are solely those of Les Abend.

@highlight

Pilot Les Abend: Evidence on Flight 370 is consistent with a mechanical concern

@highlight

He says the plane might have been flying on autopilot in its final hours

@highlight

All explanations are speculative until the plane's components are found, Abend says