(CNN) -- Former Liberian President Charles Taylor should receive an 80-year sentence for his conviction for aiding and abetting war crimes in neighboring Sierra Leone's civil war, the chief prosecutor in the international court case recommended Thursday.

"Should the trial chamber decide to impose a global sentence, 80 years' imprisonment would be appropriate," said a signed statement by Brenda Hollis, chief prosecutor for the Special Court for Sierra Leone, according to the court's press and outreach officer.

"The recommended sentence is appropriate to reflect the essential role that Mr. Taylor played in crimes of such extreme scope and gravity," said the prosecutor's report. "It also reflects the critical and unique contributions Mr. Taylor made to the crimes. But for Charles Taylor's criminal conduct, thousands of people would not have had limbs amputated, would not have been raped, would not have been killed. Further, the recommended sentence provides fair and adequate response to the outrage these crimes caused in victims, their families and relatives, the Sierra Leonean people and the world at large."

Last week's landmark ruling by the international tribunal was the first war crimes conviction of a former head of state by an international court since the Nuremberg trials of Nazi leaders after World War II.

Prosecutors, however, failed to prove that Taylor had direct command over the rebels who committed the atrocities, said Justice Richard Lussick of the Special Court for Sierra Leone.

A three-judge panel issued a unanimous decision that Taylor, 64, was guilty on all 11 counts of the indictment against him. The judges found him guilty of aiding and abetting rebel forces in a campaign of terror that involved murder, rape, sexual slavery, conscripting children younger than 15 and mining diamonds to pay for guns.

There is no death penalty in international criminal law, and Taylor would serve out any sentence in a British prison.

Taylor's lawyer, Courtenay Griffiths, suggested the trial was politically motivated. He claimed his client's conviction was "obtained on tainted and corrupted evidence" based on the testimony of witnesses from Sierra Leone who were paid to appear in court.

Griffiths portrayed Taylor as a legitimate leader who aided rebels in a neighboring nation. Those rebels, not Taylor, should be held accountable for their actions, the lawyer contended.

U.N. human rights chief Navi Pillay noted that Taylor can appeal the verdict, and it could be overturned. That said, she called his conviction "immensely significant," saying it sends out a message that even the most powerful are not above the law.

"This is undoubtedly a historic moment in the development of international justice," she said. "A former president, who once wielded immense influence in a neighboring country where tens of thousands of people were killed, mutilated, raped, robbed and repeatedly displaced for years on end, has been arrested, tried in a fair and thorough international procedure."

Taylor has been a pivotal figure in Liberian politics for decades after he overthrew the regime of Samuel Doe in 1989, plunging the country into a bloody civil war that left 200,000 dead over the next 14 years.

After he was forced out of office under international pressure in 2003, he lived in exile in Nigeria, where border guards arrested him in 2006 as he was attempting to cross into Chad amid international pressure.

That culminated in his trial, which began in 2007 at the special court for Sierra Leone in The Hague, Netherlands. U.N. officials and the Sierra Leone government jointly set up the tribunal to try those who played the biggest role in the atrocities.

The court was moved from Sierra Leone, where emotions about the civil war still run high.

Prosecutors accused Taylor of financing and giving orders to Revolutionary United Front rebels in Sierra Leone's civil war that ultimately left 50,000 dead or missing. His support for the rebels fueled the bloody war, prosecutors said.

Fighters included teenagers forced to kill, rape and plunder placed under the influence of drugs to provoke violent behavior.

Witnesses testified about grisly violence by the rebels during the conflict, including shooting and disemboweling pregnant women and children. Sometimes, rebels asked people if they wanted long sleeves or short sleeves. The former meant hacking off hands; the latter, forearms.

Taylor becomes the first former head of state since Adm. Karl Doenitz, who became president of Germany briefly after Adolf Hitler's suicide, to be convicted of war crimes or crimes against humanity by an international tribunal.

Former Yugoslav President Slobodan Milosevic was tried by an international tribunal but died before a judgment was issued.

The International Criminal Court has charged Laurent Gbagbo, the former Ivory Coast president, with crimes against humanity. It also has a warrant out for Sudanese President Omar al-Bashir, who, so far, has been able to elude arrest.

CNN's Bill Mears contributed to this report.

@highlight

NEW: Thousands would have been spared but for Charles Taylor's role, prosecutor says

@highlight

The former Liberian president was convicted last week of war crimes charges

@highlight

There is no death penalty in the case; Taylor would serve time in a British prison

@highlight

Taylor aided fighters in a civil war in neighboring Sierra Leone