(CNN) -- Maj. Gen. Gordon Granger of the Union Army announced to the assembled crowd at Ashton Villa in Galveston, Texas, "In accordance with a proclamation from the Executive of the United States, all slaves are free."

It was June 19, 1865.

Never mind that President Abraham Lincoln's Emancipation Proclamation had been written and read more than two years earlier. Juneteenth, named for the June 19 declaration, started as a celebration of emancipation day in Texas and eventually spread to other states. With celebrations dating back to 1866, Juneteenth now commemorates the end of slavery in the United States.

"America cannot understand its own history unless the African-American experience is embraced as a central factor in shaping who we are and what we have become as Americans," writes Lonnie G. Bunch, founding director of the Smithsonian National Museum of African-American History and Culture in Washington.

By the numbers: Juneteenth

Set to open in 2015, the museum will be the only national museum devoted exclusively to the documentation of African-American life, art and culture.

In honor of Juneteenth, the museum helped CNN.com choose six destinations that will enlighten and educate visitors about a complicated period of American history, the road to emancipation.

Cumberland Island National Seashore, Georgia. The National Park Service started "Lands and Legacies" tours of this protected area in 2011, taking visitors on a rugged full-day tour via motorized vehicles on a single-track dirt road to sites related to African-American life on Cumberland Island.

The former plantation on the island belonged to Robert Stafford, who by the 1850s had some 400 enslaved people tending his land and working in his house. The final tour stop is the settlement at the north end of the island built by freed individuals from the Stafford plantation whose descendants remained on the island through the 1960s.

In the region: Ossabaw Island, the first Georgia State Heritage Preserve, has a strong African-American history connection, particularly in the three cabins dating between 1820 and 1840 â€” built from shells, sand, lime and water to house enslaved people. The cabin area is now a historic preservation and archaeological dig site.

Rare LIFE photos document segregation in the South

Germantown, Pennsylvania. Philadelphia, a birthplace of American independence, was also a city of slave-holders. The 1780 census reported that 6% of Pennsylvania's population was enslaved and most of them were living and working in Philadelphia. Although laws abolishing slavery were passed in Pennsylvania that year, their enactment was so gradual that some people were not freed for another 40 years.

Cliveden, the 18th-century home of the Chew family, immerses visitors in this part of America's past in the Philadelphia area of Germantown. Its unusual two-story slave dwelling has been restored and is open to visitors, as is the main house. Cliveden also holds a large archive of Chew family documents that includes household inventories of property (enslaved individuals are among the "items" listed) and even the measurements of enslaved individuals' feet for a local shoemaker hired to make their shoes.

In the area: The unassuming colonial Johnson House was owned by an abolitionist Quaker family, who made it a "station" on the Underground Railroad in the 1800s. Today it's a stop on the "Quest for Freedom" self-guided driving tours developed by the Pennsylvania Tourism Department.

Nicodemus, Kansas. In the years immediately following emancipation, Kansas wanted settlers, and newly freed people in Kentucky wanted a home where they could raise their children in peace and safety. It seemed like the perfect match, but when groups from Kentucky relocated to Graham County, Kansas, in the 1870s, they were stunned by what they found there.

"My husband pointed out various smokes coming out of the ground and said, 'That is Nicodemus.' The families lived in dugouts. ...The scenery was not at all inviting, and I began to cry," 30-year-old Willina Hickman wrote in 1878.

What those newly freed people made of the place is the focus of the Nicodemus National Historic Site. The town, incorporated in 1877 and named for an escaped slave, never had a huge population, but it is the oldest surviving African-American town west of the Mississippi. Park ranger tours take in five historic buildings and cover the well-documented history of the town and its people, including Willina Hickman and her husband, Daniel.

St. Helena Island, South Carolina. The heart of Gullah culture, this island near Beaufort, South Carolina, is home to the Penn Center, a school, job training facility and a safe haven for freed people as early as 1862 after the Sea Islands were occupied and liberated by Union troops.

The strength, unity and continuity of the community, most of whom trace their heritage directly to west Africa, has long been an inspiration, so much so that the Rev. Martin Luther King Jr. is thought to have drafted his "I have a dream" speech while visiting there.

Wander through the town of Frogmore, visit studios and shops selling the work of local artists and craftspeople, and sample the lowcountry cooking, derived from traditional African dishes, that has sustained the region for generations.

Charleston, South Carolina. "Charleston looks the way it does because of African-American hands," notes Deborah L. Mack, associate director for community and constituent services at the National Museum of African American History and Culture.

From the silhouettes of the buildings to the characteristic ornamental ironwork that adorns them, African-Americans, both enslaved and free, literally built the city, and their descendants comprise much of Charleston's population today. "These are families who have been there for 300 years, and they're grounded in the community," Mack says.

One neighborhood of interest is Harleston Village, where you'll find 1820s houses built by Richard Holloway and Morris Brown, free black men who owned the homes as investment properties. Look for the ironwork of master blacksmith Philip Simmons, who learned from master blacksmiths in the early 20th century and carried on Charleston's ironwork tradition into the 21st century.

Charleston is also an excellent place to explore urban Gullah Geechee culture that grew within the communities of enslaved people from west and central Africa â€” developing and refining its own language and traditions -- and that is very much alive today.

Allensworth, California. Westward migration of freed people from the South eventually led to towns such as Allensworth, chartered in 1908 in rural Tulare County. Town founder Col. Allen Allensworth was born enslaved in Kentucky in 1842 and became a military chaplain after the Civil War. What drove him was a desire to nurture self-reliance and security among communities of freed people.

The town flourished until the Great Depression, and by the 1970s, only a few residents remained. California designated it a state historic park in 1976, preserving and restoring the buildings, including Allensworth's home, Frank Milner's barbershop, the First Baptist Church and the very first branch of the Tulare County Free Library.

@highlight

African-Americans, both enslaved and free, built the city of Charleston

@highlight

Nicodemus, Kansas, is oldest surviving African-American town west of the Mississippi

@highlight

St. Helena Island, in South Carolina, was a safe haven for freed people as early as 1862