Washington (CNN) -- President Barack Obama says he won't act on immigration reform until after the November congressional elections.

The news angered Latino groups pushing him to make good on past promises to halt or substantially reduce deportations of immigrants living illegally in the country.

It also prompted criticism from some Democrats, who have called for Obama to act unilaterally in the face of Republican obstruction of immigration legislation.

Even Republicans who oppose Obama's intended reforms found a way to attack the President for not doing something they don't want.

Here are five reasons why the unfolding Washington drama is all about politics and the upcoming elections:

1) Waiting until after the November election keeps the focus on the voting

The election is for all 435 House seats and about a third of the Senate, not the White House.

Betting money now says Republicans hold their House majority and perhaps gain control of the Senate.

By putting off his move until after the election, Obama prevents diverting attention from historically low public approval for Congress. A Washington Post-ABC poll in early August showed that for the first time, a majority of Americans disapproved of their own representatives.

An anti-incumbent atmosphere may be the Democrats' only hope for preventing Republicans from holding majorities in both chambers.

"For the Democrats, they want to make this election season about each individual candidate, about their gaffes, about their personalities," Manu Raju of Politico told CNN on Sunday. "They don't want to make this an issue-based election."

Republicans know that, which is why they criticized Obama even though they oppose his planned unilateral moves.

"It's sad, but not surprising, that President Obama continues to play politics with such a serious and important issue, but for this White House politics seems to dictate everything," said Republican National Committee spokeswoman Ruth Guerra.

2) It avoids providing further fodder to GOP attack line of imperial Obama

According to reform advocates involved in conversations with the White House, Obama has looked at expanding a program that allows immigrants brought to America illegally as children to avoid deportation. The White House also could protect undocumented immigrants in industries such as farming.

Republicans, particularly conservatives, routinely accuse Obama of exceeding the bounds of his powers through executive actions. They consider immigration reforms -- like a Senate-passed bill or the steps Obama contemplates -- to amount to an amnesty for lawbreakers.

The GOP-led House already has authorized a lawsuit against Obama for allegedly unconstitutional steps in implementing his signature health care reforms.

Proceeding with executive actions now on immigration would strengthen a central conservative campaign issue for November.

Democrats saw "some very scary polling out of some of these red states, particularly among independent voters, where the idea of executive action in particular was not looking good for some of these Democrats who were hanging on for dear life as it is," Molly Ball of The Atlantic told CNN on Sunday.

3) Democrats don't have to defend a move made less popular by the child immigrant crisis

Always a volatile political issue, immigration reform became even more inflammatory due to the influx of children from Central America across the Texas border this year.

The tens of thousands of unaccompanied minors have overwhelmed U.S. border and immigration services, creating further backlogs in a system already known for long delays and lack of follow-up in processing cases.

On June 30, Obama said at the White House he would act on his own on immigration, after GOP House Speaker John Boehner made clear the chamber would not take up a Senate reform bill that passed with bipartisan support.

The President said then he expected recommendations from his Cabinet on what steps he could take before the end of summer, and that he intended to "adopt those recommendations without further delay."

However, the child immigrant influx hardened positions and raised new concerns about lax border controls, causing Obama to change his message in an interview with NBC broadcast Sunday.

"This problem with unaccompanied children that we saw a couple weeks ago -- where you had from Central America a surge of kids who were showing up at the border -- got a lot of attention, and a lot of Americans started thinking, 'We've got this immigration crisis on our hands, '" Obama said, adding later that "the truth of the matter is that the politics did shift midsummer because of that problem."

Now, he said, "I want to spend some time, even as we're getting all our ducks in a row for the executive action, I also want to make sure that the public understands why we're doing this, why it's the right thing for the American people, why it's the right thing for the American economy."

White House spokesman Josh Earnest said Monday that Obama "has not in any way altered his commitment or interest in taking executive action, again, within the confines of the law, to act where Congress hasn't and more specifically, to act where congressional Republicans have blocked congressional action."

"And the President's commitment to acting on this before the end of the year has not changed," Earnest added.

4) It keeps pressure on House Republicans for not voting on the Senate plan

By not acting now, Obama allows his administration and congressional Democrats to keep blaming Republicans for a lack of progress.

Every chance he gets, Obama notes how the Senate immigration bill had support from both parties as well as a broad public coalition including business, labor, religious and law enforcement groups backing it, but won't pass because House Republicans oppose it.

Earnest said that "injecting an executive action in the midst of this hyperpartisan, hyperpolitical environment" shortly before the November election could have "a negative impact on the broader public support and on the sustainability of immigration reform."

Conservatives respond that the Senate reforms let immigrant lawbreakers off the hook and would increase competition for jobs as the economy continues growing at a slower-than-desired pace.

Keeping the focus on the broader immigration debate, rather than specifics of any unilateral steps the President might take, allows congressional Democrats -- especially vulnerable Senate incumbents -- to depict House Republicans as blocking progress.

"You have Democrats now who knew they always had an outside shot, but the President is not putting them under the gun and putting them on the spot," Robert Costa of the Washington Post told CNN on Sunday. "They think they can go to some other issues and have some strengths."

5) It responds to the political middle more than left-leaning immigrant communities

The news of no executive action on immigration until after the November election angered Latino groups and others, who back reforms and who helped Obama get strong support from Hispanic voters in his two presidential elections.

"When candidate Obama asked our community for support in 2008 and 2012, he urged us all to vote based on our hopes, not our fears," said Janet MurguÃ­a, president and CEO of the National Council of La Raza, a leading Hispanic advocacy group. "Today, President Obama gave in to the fears of Democratic political operatives, crushing the hopes of millions of hard-working people living under the constant threat of deportation and family separation."

Or as CNN contributor Ruben Navarrette put it: "Some on the left are finally getting the message that Obama is not their amigo."

"For Obama, the question is never what he can do for the immigration issue, but what the immigration issue can do for him," Navarette wrote in an opinion piece published Monday.

In this case, Obama decided that angering his traditional political allies made more short-term sense than putting vulnerable Democrats -- especially incumbent Democrats in the Senate -- at greater risk of a backlash against unilateral immigration moves from independent voters who will decide close races in November.

CNN chief national correspondent John King noted Sunday that most of the vulnerable Senate Democrats come from states that don't have big Latino populations.

Democrats blame GOP for Obama immigration delay

Obama: Waiting will make immigration executive action 'more sustainable'

CNN's Leigh Ann Caldwell contributed to this report.

@highlight

NEW: The White House says Obama will act on immigration this year

@highlight

President Obama changes his timing on unilateral immigration steps

@highlight

Holding off now can help Democrats in November elections

@highlight

Obama says the summer child immigrant influx changed the politics