Dali, Guizhou (CNN) -- Wandering through this remote village nestled among ancient forests and bamboo groves in China's poorest province, it's easy to imagine that life here has changed little over the centuries.

Along narrow pathways shaded by the tiled eaves of wooden houses, men deftly balance bamboo carrying poles laden with chillies grown in fields nearby, while women wearing traditional indigo shirts pound dirty laundry in the river.

But change is coming to Dali, a village of 300 households in the southwestern Chinese province of Guizhou.

In January, the village, along with 20 others in the region, was added to a list of sites that China's leaders believe should qualify for world heritage status -- a step that could put the tiny settlement on a par with The Great Wall or Egypt's pyramids and transform it from a sleepy backwater to a tourist magnet.

It's a big opportunity for villagers like Shi Tao, a 25-year-old migrant worker, who is home for the birth of his first child. He'd like to open a guesthouse to cater for the expected visitors.

"We'll make more money if tourists come," he says, cradling his sleeping newborn.

But for now he must leave his family and head back to the southern Chinese factory town where he makes electronic components for 3,000 yuan (US$490) a month.

Untouched charm

As rapid urbanization threatens much of China's rural heritage, tourists will no doubt fall for Dali's untouched charm. At its core is a pagoda-like structure known as a drum tower sitting in a square where villagers dry their crops on rectangles of tarpaulin.

The river that winds through the village is crisscrossed by covered wooden bridges where village elders gather to smoke pipes and enjoy the breeze. The river also feeds an ancient water system with separate pools for washing vegetables and laundering clothes.

Its poverty and far flung location mean that the three story houses are built from local timber, unaltered by modern construction materials, and in a traditional style unique to the region.

"It's a classic example of mountain village architecture," said Wang Hongguan, the director of the Guizhou Provincial Bureau of Cultural Heritage that is behind the world heritage bid. "They warrant proper protection so I hope they can be inscribed as world heritage sites as soon as possible."

A final decision is made by UNESCO, a U.N. body, which has to decide whether the site is of outstanding universal value.

According to the state-run People's Daily, in 2005 China had about 5,000 ancient villages like Dali but by June 2102 this number has decreased to less than 3,000, swallowed up by China's rapidly expanding cities or emptied as villagers leave in search of better prospects.

It's a trend that's likely to continue as China's leaders push urbanization as a solution to slowing economic growth.

Tourism costs

Despite their enthusiasm, few of the villagers grasp what attaining world heritage status might involve given the advent of mass tourism in China.

Tang Shoucheng, the village chief of Xijiang, a picturesque village four hours' drive away, is well qualified to chronicle its highs and lows.

Since the village was earmarked for tourist development in 2008, incomes have surged, with 10,000 visitors a day clogging the narrow streets each day during peak season.

Residents receive an 18% share of the 100 yuan (US$16) ticket fee to enter the village and the arrival of tourists has created new business opportunities that have enticed people back from factory jobs in more affluent regions.

But Tang says that the economic benefits have been uneven. Villagers like him, who live on the hilltop away from the main commercial street, complain they make less money than those who have shop fronts and live closer to the main commercial street.

Development has also taken its toll on traditional village life. Once the most important man in the village, Tang says the villagers don't respect traditional relationships anymore.

"Now people only recognize money," he says. "In the past, if you were from the same village, you would always help each other out."

It's a problem not unique to Xijiang. Chinese world heritage sites in Lijiang in the neighboring province of Yunnan and Pingyao in northern Shanxi province have seen locals move out and karaoke bars move in.

"Over-commercialization is a valid concern," said Wang, who decided to remove Xijiang from China's tentative world heritage list because of the unbridled tourist development.

"The reason why these places failed is because of the desire for economic development -- culture has become a commodity and people approach it in a degrading way."

Balance

It's no easy task to balance a desire for economic development and heritage preservation, says Han Li, China director of the Global Heritage Fund, a U.S. NGO.

It has partnered with the bureau of cultural heritage to evaluate Dali and come up with a management plan for the village that, if successful, would be adopted elsewhere in the province.

The organization jumped at the opportunity to undertake planning and conservation work in Dali before tourists arrive in any significant numbers.

Tourism at some of GHF's other projects in China, where the organization was brought on board after the sites were awarded UNESCO status, was not well controlled, said Li.

She is encouraged by the attitudes of local officials, who appear keen to make sure Dali does not turn into a tourist trap.

"Heritage sites can bring income and development. Our challenge is to find a way to manage this process in a way that doesn't jeopardize the heritage and the traditional way of life," says Li.

At a meeting in Dali's schoolhouse, village elders, some wearing the faded Mao suits of China's past, welcome the early plans for the village's future -- a wider road, a commercial area for hotels and a museum, plus upgrades to their homes.

Snacking on watermelon, few expressed doubts about the pending changes. "We want to preserve our way of life but progress is important too," said Yang Zhou, who wants to find a way for his two children to grow up and stay in the village.

@highlight

Remote village earmarked to become world heritage site

@highlight

Locals welcome opportunity to improve livelihood

@highlight

Rapid urbanization threatens much of China's rural heritage

@highlight

Fears traditional village life won't survive onslaught of mass tourism