San Francisco (CNN) -- Sunday's debut of the Nintendo 3DS, a hand-held game system with a 3-D display that doesn't require special glasses, isn't just the culmination of several years of research and development for one product.

It could be a milestone for a company that's spent decades refining three-dimensional technology, only to be met with resistance from consumers.

Playing games in 3-D "is something that we've been continually testing and working on at Nintendo," said Hideki Konno, who has directed or produced some of Nintendo's most prized franchises and was a key person in the 3DS's development, through an interpreter.

"We've never actually stopped looking at 3-D as a viable product," Konno said. "And it just so happens that the technology in the marketplace now coincides with what we wanted to do. So actually, it was just very fortuitous timing."

Nintendo projects that it will sell 4 million 3DS units this month, and many analysts agree. The system was released in Japan last month and in parts of Europe on Friday. Nintendo sold 47 million units of the DS line of systems, which all have two screens, with one being a touchscreen.

Even before the U.S. launch, the 3DS is off to the most promising start of any game system in at least a decade, according to pre-sale observations from Amazon.com. Without a doubt, it's Nintendo's strongest foray into the third dimension.

And there have been many.

The first commercially available 3-D product from Nintendo came in the 1980s. The Kyoto, Japan, company manufactured 3-D goggles and a companion disc player that could be connected to the Family Computer, called the Nintendo Entertainment System in the U.S. The project flopped and never made its way outside Japan.

Then in 1995, Nintendo tried again with the Virtual Boy. Players would peer through stationary goggles and manipulate monochromatic red characters that popped out from the screen using a wired controller.

The system was designed by the team that thought up the Game Boy, but the machine was barely portable. It had a battery, but imagine setting up this ridiculous hunk of plastic to play on the train, said Konno, who can joke about the defeat now.

The Virtual Boy disappeared from shelves less than a year after appearing in stores.

"When we launched Virtual Boy, we thought it would work," Konno said. "It's trial and error. We made mistakes. And we build on mistakes."

Despite failures, Nintendo's trials continued -- but in secret so that errors weren't subjected to public humiliation.

For example, Nintendo internally developed hardware that would allow players to enable 3-D on the GameCube, which was the home console that preceded the Wii. That project never made it out of the laboratory.

"It would have required consumers to buy a special LCD screen to attach to the GameCube to actually play," Konno recalled. "We didn't think it was worth that investment for consumers, so it never came out."

Nintendo has taken a string of commercial risks in the past decade, racking up an impressive track record.

The company released a touchscreen gadget called the DS in 2004, three years before Apple would ignite the mobile market with the iPhone. In 2006, the Wii became an instant hit, and competitors in the game-console industry scrambled to make motion-detection systems of their own.

Now, 15 years since the company's last 3-D system vanished from stores, Nintendo's next bet is on an old horse that has never made it far out of the stable.

Fortunately for Nintendo, the technology has a number of high-profile backers, including Hollywood. Users will be able to purchase 3-D movies to watch on the device's 3.5-inch screen -- larger than most previous DS systems and about the size of the iPhone's -- or stream video from Netflix.

"This is an entertainment device; make no mistake," Nintendo of America President Reggie Fils-Aime said. "It's not purely a gaming device."

In addition to entertainment features, the 3DS has a pedometer to appeal to the health-conscious crowd that the Wii Fit tapped, as well as a variety of internet and wireless communication applications. Nintendo also plans to add a Web browser. A pair of cameras on the back can snap 3-D pictures, and Nintendo hints that 3-D video recording may come.

But above all, what Nintendo has learned from its research over the past few decades -- and what television makers and rival game companies like Sony Computer Entertainment are learning -- is that 3-D plus glasses is a losing formula, Nintendo executives said.

"I think at Nintendo, we realize that any sort of goggle-type 3-D technology was not going to work," Konno said. "In order to make 3-D technology viable with video games, we thought we needed to have glasses-free 3-D."

Nintendo's aversion to glasses could also rule out 3-D coming to its home console systems. On television screens, 3-D is difficult to achieve without glasses because people watch from many different angles.

"Glasses-free is a big deal," Fils-Aime said. "We've not said publicly what the next thing for us will be in the home console space, but based on what we've learned on 3-D, likely, that won't be it."

@highlight

Nintendo has spent decades developing 3-D technologies

@highlight

That work culminates with the 3DS, a glasses-free 3-D game system that launches Sunday

@highlight

But the 3DS comes after a string of failures for Nintendo in the 3-D space