(CNN) -- Missionaries from Samaritan's Purse had hoped they wouldn't have to become involved in the clinical care of Ebola patients in West Africa. But by June, they realized they had no choice, says Ken Isaacs, vice president of international programs and government relations for Samaritan's Purse.

The deadly Ebola virus had spread from Guinea to Liberia and Sierra Leone. At the time, nearly 400 cases and more than 200 deaths had been reported.

Now there are more than 1,711 suspected and confirmed Ebola cases in the region, including 932 deaths, according to the World Health Organization, and the epidemic has spread to Nigeria.

Samaritan's Purse believes these numbers represent fewer than half of the real number of cases, Isaacs said Thursday at an emergency congressional hearing on the Ebola outbreak.

"The Ebola crisis we are now facing is not a surprise to us at Samaritan's Purse, but it took two Americans getting the disease in order for the international community and the United States to take serious notice of the largest outbreak of the disease in history," Isaacs said.

He characterized the initial international response to the Ebola outbreak as a "failure" because the virus spread outside the country where the outbreak originated. He said that a broader coordinated intervention is the only thing that will slow the size and speed of this disease.

"The ministries of health in Guinea, Liberia and Sierra Leone do not have the capacity to handle these crises in their countries," Isaacs said. If the international community does not get involved, "the world will be relegating the containment of this disease that threatens Africa and other countries to three of the poorest nations in the world."

Centers for Disease Control and Prevention Director Dr. Tom Frieden agrees that the number of people who have been infected with Ebola is likely undercounted. That's in large part, he said at the hearing, because there are a limited number of lab facilities there to confirm the cases accurately.

Ebola virus: Nine things to know about the killer disease

That's why developing a better lab system is so important, he said. The CDC is working with international partners, the U.S. Defense Department and the National Institutes of Health to bulk up the lab infrastructure in West Africa and to develop a better way to transport blood samples to those labs.

What's most important, Frieden said, is that people understand that there is a clear way to stop this outbreak -- and that's at the source in Africa. This, he said, is the only way to get it under control.

"It's laborious. It's hard. It requires local knowledge and local action."

The roots of our Ebola fears

Stopping the epidemic will be particularly challenging since the local health system is so weak, he said. While the CDC will send at least 50 staff in the next week or two, the health system has to be beefed up to stop and prevent future outbreaks.

Frieden said that someone once told him the CDC is the world's 911 system. While he appreciated the compliment, he wants to make sure that every country or region has its own 911.

Ebola is here: 5 reasons not to panic

Dr. Ariel Pablos-MÃ©ndez, the assistant administrator for the U.S. Agency for International Development's Bureau for Global Health, said that USAID is providing funding to help with the response to this outbreak.

They are coordinating a response with local health workers and have provided 35,000 sets of protective equipment, supplies, soap and water. Many health care workers are still laboring in the region without protective gear, which is why these workers make up a large portion of Ebola cases.

There was a sense of optimism at the hearing.

"We are confident we can contain and stop the virus," said Bisa Williams, the State Department's deputy assistant secretary for the Bureau of African Affairs.

The State Department is working closely with the governments of all the countries impacted by the outbreak. They are trying to help health care providers gain access to affected areas. They are also giving technical and financial assistance to treatment centers.

Williams said an international response will be essential.

What is the risk of catching Ebola on a plane?

9 questions about this new Ebola drug

Experimental drug likely saved Ebola patients

@highlight

Samaritan's Purse leader: Initial response to Ebola outbreak was a "failure"

@highlight

Affected African countries don't have ability to contain the virus alone, he says

@highlight

CDC director says number of Ebola cases likely undercounted