A mob of people have surrounded a group of animal rights activists protesting in the busiest open market in town. It's the eve of Yulin's annual dog meat festival, a tradition that dates back generations to celebrate the summer solstice.

Arguments ensue among those living in the city and the people who condemn the tradition. "Don't you eat beef? If you stop eating beef, then we'll stop eating dog meat," yells one man frustrated with the intense media scrutiny in the Dong Kou open market, where an array of birds, snakes, cats and livestock are sold as daily fresh fare.

Dozens of journalists, filmmakers and photographers have come to the city in China's southeast Guangxi province to document an event that lies at the center of a battle between deeply-ingrained tradition and the encroachment of the modern world. Activists say dogs are part of the daily diet here, with an estimated 10,000 dogs killed for the festival alone.

Ask a local when the tradition of eating dog meat began and you'll likely be met with a dumbfounded expression -- it is akin to asking someone when people started eating beef. For many in the city, eating dog meat is a hard habit to break, despite changing attitudes about the treatment of animals in China.

Rising prices

Another man at the market criticizes the media attention for increasing the price of dog meat, which has doubled since 2011 and now goes for $6 a kilogram.

In one stall, a butcher places a gutted and skinned dog on a wired sheath and uses a blow torch to cook a delicacy known to locals as "crispy skin dog meat." As the shop owner butchers a another piece of dog, flecks of flesh flick onto her face. She tells CNN she's been in the trade for over 10 years.

"This is our tradition and we are used to eating dog. It's our culture and we won't change ... It's tasty! But we won't kill our pet," she says, referring to her own dog who is cowering in the other side of the shop. Her dog tucks his head under a freezer, shielding his eyes from the carcasses of the dogs and cats hanging from hooks.

Signs around the market adorned with pictures of labradors and golden retrievers advertise raw dog meat for sale, despite new government regulations that restrict this practice.

Du Yufeng, a 58-year-old animal rights activists from Sichuan in southwest China, has made it her mission to stop dog meat consumption across China. Her protest in 2011 successfully ended the dog meat festival in Jinhua, in Zhejiang province -- and she has now turned her attention to Yulin. It's her fourth year protesting at the festival, and while dog meat continues to be a tourist attraction for the city, Du feels that there is growing awareness of animal rights in this city of six million people.

"I feel like we've had a lot of improvement in public awareness. The first time we came here in 2011 all you could hear were dogs wailing as soon as you entered into the city," Du says, as she picks off ticks from the scruff of a black dog she rescued that morning.

"The biggest change is that the word dog on street signs have to be covered. This means the government has become aware that this needs to be canceled. Many people also realize that eating dog is not an honorable thing," adds Du.

Boycott

Du is one of over 20 volunteers who have descended upon the city from the far reaches of China, to boycott the festival. Many run dog and cat shelters in their hometowns and have spent their life savings to rescue abandoned and diseased animals. But canceling the annual Yulin festival is now their main objective.

Another activist, Zhao Yangsu, said this is her first year protesting against the Yulin dog meat festival. The soft spoken 59-year old, who came to the city from Chongqing, says she's spent her retirement money, roughly $1,000, to save dogs -- a fact she's reluctant to share with her children. She and another volunteer operate from makeshift shelter on the corner of a street in Yulin, only a block from where live dogs are traded on a daily basis.

Though she has come here to fight for the rights of these animals, she's pessimistic about any meaningful change here.

"I have no hope that these people will change and our ability to make change is not significant enough," Zhao says. "We have to go through the government to create some laws to protect these animals, but there are no laws and our ability to do anything is insignificant."

Yang Yuhua, a 64-year-old retired steel worker, has also spent her life savings protecting street dogs and cats in Chongqing, and now she says she doesn't even have money to charge her phone. Yang was cradling a dead puppy when CNN arrived at the makeshift shelter. She says the puppy was born after they had rescued a pregnant dog and this one did not make it. Almost all the dogs appeared injured, disfigured and diseased.

"What we need the most now is medicine, but it's the most expensive thing," Yang says as as she tears up. Many of the dogs in her care are in desperate need of antibiotics to fight off infection, but the volunteers don't know where to find them in the city.

Together, the activists say they've saved more than 400 dogs this year alone in Yulin -- yet this number will be dwarfed by the number of animals likely to be slaughtered for food at the festival. Asked what makes this different from eating beef or pork, Du Yunfeng's answer is unequivocal.

"You cannot categorically say that all animals should either be eaten or not eaten," she says.

"Every animal has their its own value and worth. For example, grass-eating animals are meant to be supplied to humans. But these companion animals, such as dogs and cats, they are meant to contribute to human production -- such as drug-sniffing dogs or watch dogs,

"So eating these animals compared to eating pork and lamb are two different things. Their value is not the same."

Smugglers drive Thailand's grim trade in dog meat

In 2011: Animal rights group rescues 800 dogs from China meat trade

@highlight

Yulin's annual dog meat festival draws controversy

@highlight

Animal rights advocates want people to stop eating dog meat

@highlight

Defenders say eating dog meat is like eating beef