(CNN) -- Japan deployed missile-defense systems at three sites around Tokyo early Tuesday ahead of a possible missile launch by North Korea, Chief Cabinet Secretary Yoshihide Suga said.

The Patriot missile batteries were set up in the central district of Ichigaya and in the suburbs of Asaka and Narashino, Suga told reporters Tuesday. The deployments come as U.S. and South Korean officials warn Pyongyang could be preparing for another provocative move after weeks of belligerent rhetoric.

Suga had said Monday that the Japanese government would not publicize any missile-defense deployment, saying "It would show our strategy to North Korea."

The comments came a day after North Korea said it would pull out all its workers and temporarily suspend operations at the industrial complex it jointly operates with the South, the latest sign of deteriorating relations on the Korean Peninsula.

The North said it would also consider permanently closing down the Kaesong Industrial Complex, a shared manufacturing zone that is the last major symbol of cooperation between the two countries.

On Tuesday morning, the South Korean Unification Ministry said North Korean workers hadn't so far reported for work.

The deteriorating situation in Kaesong came after the South Korean government had briefly caused concern about the prospect of a new North Korean nuclear test.

South Korea's Unification Minister Ryoo Kihl-jae's office clarified his earlier statements in the day about North Korea's nuclear test plans by saying the North had been "continuously preparing" for another nuclear test since February, and that there hadn't been any new signs.

There was some confusion that earlier comments may have suggested new information indicating the North's nuclear test plans -- something that could have ratcheted up tensions with North Korea. The minister's office made clear that this was not his intended meaning.

Opinion: An accident, then war with North Korea?

But the crisis at the joint industrial complex provided a tangible sign of the North's provocative stance.

In a statement carried by the official North Korean news agency, Kim Yang Gon, secretary of the Central Committee of the Workers' Party of Korea, accused the South of seeking "to turn the zone into a hotbed of war" against the North.

Pyongyang was already preventing South Korean workers and managers from entering the complex, which sits on the North's side of the militarily fortified border, and threatened to shut it down entirely amid its recent stream of verbal broadsides against Seoul and Washington.

The South Korean Unification Ministry wasn't immediately able to confirm whether the North had actually begun withdrawing its more than 50,000 workers from Kaesong yet.

If Pyongyang follows through on its declaration, the move could be financially costly, since Kaesong is considered to be an important source of hard currency for Kim Jong Un's isolated regime.

The ban on the entry into the zone of new workers and trucks was already putting a strain on personnel and supplies for the scores of South Korean companies operating there, prompting more than 10 of them to cease production.

Does North Korea think U.S. going soft?

A torrent of threats

North Korea has issued a catalog of alarming threats against the South and the United States in the past several weeks, sharpening its rhetoric after the U.N. Security Council imposed stricter sanctions for Pyongyang's latest underground nuclear test, which took place it February.

The strong words have put the region on edge.

Seoul said Sunday that it believed Pyongyang could conduct a missile test this week after recently moving the necessary components to the coast.

Analysts had said at the time of the February nuclear test that the North might follow up with another detonation soon afterward as it tries to push forward its nuclear program that it says it needs as a deterrent to protect it from the United States.

Explore more on North Korea

A delicate situation

The North rattled the region last week by saying it would restart a shuttered nuclear reactor and block South Koreans from entering the Kaesong complex.

Reports then emerged late in the week suggesting the North had loaded as many as two medium-range missiles onto mobile launchers on the east coast ahead of a possible test firing. And the South Korean president's office said Sunday it believed a missile launch could happen around Wednesday.

The North frayed nerves further by warning foreign diplomats inside the country that if war breaks out, it cannot guarantee their safety.

The string of troubling announcements from Pyongyang followed weeks of menacing rhetoric, which included the threat of a nuclear strike on South Korea and the United States.

Observers say they believe North Korea is still years away from having an operational nuclear missile, but they note it does have conventional weapons that pose a threat to countries in the region like South Korea and Japan, both of which are home to thousands of U.S. troops.

North Korea: Who's in the crosshairs?

Sanctions and drills

The escalation in verbal threats from the North coincided with the tougher U.N. sanctions last month and the annual joint military exercises in South Korea by U.S. and South Korean forces, drills that have aggravated Pyongyang in previous years.

The United States initially responded to the North's invective by publicly drawing attention to its shows of military force in the training exercises, including the flight of nuclear-capable B-2 stealth bombers over South Korea.

But when those moves appeared to further infuriate rather than intimidate Pyongyang, raising worries that they increased the risk of a miscalculation in the crisis, Washington dialed back the displays of strength.

On Saturday, a senior U.S. Department of Defense official said a long-planned missile test in California, scheduled for Tuesday, was being delayed to avoid any misperceptions by North Korea.

And in a sign of the delicate situation in the region, Gen. James Thurman, the top U.S. commander in South Korea, canceled a trip to Washington this week "as a prudent measure," a U.S. military spokesman said Sunday.

Thurman was due to testify before the Senate Armed Services Committee and the House Armed Services Committee.

Possible explanations

Analysts have attempted to explain the North's unnerving behavior by suggesting it may be an effort by Kim, who inherited power from his father less than a year and a half ago, to shore up domestic support, particularly with the military.

Another theory is that Pyongyang is trying to secure direct negotiations with Washington, something the United States has long shunned in favor of multilateral talks.

The North Korean regime's recent words and actions appear to be increasingly troubling its key ally, China.

The new Chinese President Xi Jinping, appeared to make an unusual veiled rebuke of North Korea on Sunday.

"Countries, whether big or small, strong or weak, rich or poor, should all contribute their share in maintaining and enhancing peace," Xi said at an international conference, the Chinese state-run news agency Xinhua reported.

No one should be allowed to throw a region into chaos for selfish gains, he said, according to Xinhua.

U.S. Secretary of State John Kerry, who will visit Asia this week, is expected to discuss potential diplomatic incentives for North Korea once it stops its threatening rhetoric, senior administration officials told CNN on condition of anonymity.

"Secretary Kerry agrees that we have to have a robust deterrent because we really don't know what these guys will do," said one senior official, who was not authorized to speak on the issue.

"But he also knows that the North Koreans need a diplomatic off-ramp and that they have to be able to see it."

CNN's Yoko Wakatsuki, Tim Schwarz, K.J. Kwon, Judy Kwon, Ben Brumfield, Josh Levs, Chris Lawrence, Barbara Starr, Kyung Lah and Jim Clancy contributed to this report.

@highlight

NEW: Japan deploys Patriot missile batteries around Tokyo

@highlight

Seoul said Sunday it believes a missile test could happen this week

@highlight

North Korea says it will halt activity at the Kaesong Industrial Complex

@highlight

South Korean Unification Ministry says no new signs of nuclear test preparations