(CNN) -- Rivers are the arteries of our infrastructure. Flowing from highlands to the sea, they breathe life into ecosystems and communities.

A levee breach in the Sacramento-San Joaquin River System could have dire effects, a new report says.

But many rivers in the United States are in trouble.

Rivers in Alaska, California and the South are among the 10 most endangered, according to a report released Tuesday by American Rivers, a leading river conservation group.

The annual report uses data from thousands of rivers groups, local governments, environmental organizations and citizen watchdogs to identify waterways under imminent threat by dams, industry or development.  "Our nation is at a transformational moment when it comes to rivers and clean water," said Rebecca Wodder, president of American Rivers. "Water is life, yet our nation's water infrastructure is so outdated that our clean drinking water, flood protection and river health face unprecedented threats."

American Rivers has released its annual endangered rivers report since 1986. The report is not a list of the nation's most polluted waterways, but highlights 10 rivers facing decisions in the coming year that could determine their future.

Here is American Rivers' Most Endangered Rivers list for 2009:

1) Sacramento-San Joaquin River System

Location: California

Outdated water and flood management puts California's largest watershed at the top of America's most endangered rivers list for 2009. A recent breach in the delta's 1,100-mile levee system could have dire effects on surrounding ecosystems, farming and agriculture, commercial fishing and California's civil infrastructure. State and federal authorities are looking at alternative water-management strategies for the river system, which serves 25 million Californians and more than 5 million acres of farmland.

2) Flint River

Location: Georgia

The Flint is one of 40 rivers nationwide that still flow undammed for more than 200 miles. Conservationists say that dams proposed by Georgia lawmakers would bury more than 50 river miles, destroy fishing and boating opportunities and cost taxpayers millions of dollars. The American Rivers group believes that fixing the state's leaky pipes, using water meters and minimizing water waste would be a cheaper and more cost-effective alternative.

3) Lower Snake River

Location: Idaho, Washington, Oregon

The U.S. Army Corps of Engineers has built four dams to irrigate and generate energy for the Northwest, but these dams also prevent salmon and steelhead trout from reaching their spawning areas. Every year, those dams kill as many as 90 percent of juvenile salmon and steelhead trout that migrate downstream to the ocean. Conservationists say that removing the dams would eliminate a growing flood threat in Lewiston, Idaho, and create an opportunity to modernize the region's transportation and energy systems.

4) Mattawoman Creek

Location: Maryland

A highway development project here jeopardizes one of the Chesapeake Bay's few remaining healthy streams. The project threatens clean water sources, thousands of acres of forests and wetlands, and an internationally-renowned, multimillion-dollar largemouth bass fishery.

5) North Fork of the Flathead River

Location: Montana

A proposed coal-mining project across the Canadian border puts Montana's North Fork of the Flathead River in jeopardy. An estimated 50,000 acres of the Flathead headwaters could be transformed into an industrial gas field. The projects threaten the river's clean water, local agriculture, fish and wildlife and recreational industries such as rafting, camping, fishing and boating. American Rivers and its partners have called on local Canadian governments and the U.S. State Department to work together to halt these projects.

6) Saluda River

Location: South Carolina

Excess levels of sewage waste threaten the drinking water of more than 500,000 South Carolina residents, conservationists say. Sewage in the river increases phosphorous and algae levels, depletes oxygen, and kills fish and other aquatic life. American Rivers is asking the South Carolina Department of Health and Environmental Control to improve sewage-treatment standards and ensure the river reduces its phosphorous levels by 25 to 50 percent.

7) Laurel Hill Creek

Location: Pennsylvania

Known for its fishing, swimming and kayaking, this popular vacation spot faces threats from a bottling plant and tourism-related development. Without adequate planning and safeguards, withdrawals will continue to exceed the creek's reasonable capacity, putting recreation, the local water supply, and fish and wildlife in jeopardy.

8) Beaver Creek

Location: Alaska

One of the nation's last wild rivers faces extinction if an oil- and gas-development project constructs 600 miles of roads and pipelines, airstrips, drilling pads, and gravel mines along the creek. Alaska native communities depend on the area for subsistence hunting and fishing. It's also a popular destination for anglers, boaters, skiers and hunters.

9) Pascagoula River

Location: Mississippi

The U.S. Department of Energy wants to hollow out natural salt domes 30 miles northwest of the Pascagoula to create a storage area for up to 160 million barrels of oil. A pipeline 330 miles in length would be constructed to withdraw water from the Pascagoula to dissolve the salt domes and distribute oil to and from the site. The DOE predicts 18 oil spills and 75 spills of salty, polluted water during the construction and initial fill of the hollowed domes, damaging rivers, streams, and wetlands in the basin, conservationists say.

10) Lower St. Croix National Scenic Riverway

Location: Minnesota, Wisconsin

Rezoning of a 26-mile stretch of the river's state-protected section would allow for the construction of a major development on the riverfront. American Rivers believes the development could lead to land erosion along the river and more storm run-off while harming the region's biodiversity.

"Being named as one of America's most endangered rivers is not an end for the river, but rather a beginning," said Wodder.

Through the collaborative efforts of citizens and local, state and national governments, a number of waterways from past American Rivers' endangered lists have been preserved.

"With the listing comes a national spotlight and action from thousands of citizens across the country," Wodder said. "These 10 rivers have a chance to be reborn and to serve as models for other rivers all across America."

@highlight

Report: Rivers in Alaska, California and Georgia are among the 10 most endangered

@highlight

Report released Tuesday by American Rivers, a leading river-conservation group

@highlight

Waterways from past American Rivers' endangered lists have been preserved