(CNN) -- President Obama built his push for a sweeping overhaul of the health care system on the premise that reform is essential for economic recovery.

President Obama has said overhauling health care is a key part of economic recovery.

But with some economists saying the recession shows signs of ending, will that weaken Obama's argument?

"If the economy is picking up, then more people are going to get jobs and more people are going to have health insurance, and so they are going to be less concerned with health care reform because they will figure, 'I'm taken care of,' " said Michael Cannon, director of health policy studies at the Cato Institute, a libertarian think tank.

But Julian Epstein, a Democratic strategist, said a recovering economy will help Obama's push for health care legislation because "it will be a huge shot in the arm for Obama's political capital."

"It lessens people's anxieties that are being stirred up by the opponents of health care reform. It gives credibility to the argument that government has an appropriate role to play in solving the nation's problems," Epstein said.

Obama ran on a campaign to fix the health care system, and since taking office, the president repeatedly has tried to show how this overhaul fits into his broader economic strategy.

In a speech in June before the American Medical Association, Obama warned that inaction could have dire consequences.

"Make no mistake: The cost of our health care is a threat to our economy. It is an escalating burden on our families and businesses. It is a ticking time bomb for the federal budget. And it is unsustainable for the United States of America," he said.

While the president has said health care is his top domestic priority this year, the public seems to disagree.

Eighty-three percent of people are satisfied with their current health care, and 74 percent are satisfied with their health insurance, according to a CNN/Opinion Research Corp. poll released last week.

"Health care reform has not been the top priority for voters. No. 1 is jobs. No. 2 is the deficit and government spending. Health care is third," said Bill Schneider, CNN's senior political analyst.

But Diana Owen, an associate professor of political science and director of American studies at Georgetown University, said the public isn't as concerned about the economics-driven case to overhaul health care.

"I personally think that the vast majority of the public doesn't get that connection between the economy and health care. I think they're seeing it more as a personal issue -- something that could affect them, their families, their friends," she said, noting that because people have an emotional involvement in the debate, the public is not likely to let it drop.

That personal anxiety has manifested itself at town hall meetings across the country, where, angry protesters and other citizens have showed up to voice their doubts to their lawmakers. Voters have asked their lawmakers what reform means for them -- and how they can be assured that Obama's proposals are good ideas.

The August congressional recess, however, could end up being a blessing in disguise for Democrats, Epstein said.

"It may persuade enough of them that they do need to be more moderate and incremental in the approach, and they may actually come up with a package that is even more popular than what would have otherwise been, had they tried to get the bill through before August," he said.

If the economy recovers, plenty of Republicans and even a few Democrats will remind voters that Obama was wrong about the importance of reform to economic recovery, Schneider said. "What will Obama say? That the recovery cannot be sustained over the long term without health care reform."

Obama sent a similar message in his radio address last weekend, citing the slightly better than expected job numbers as "a sign that we've begun to put the brakes on this recession and that the worst may be behind us."

"But we must do more than rescue our economy from this immediate crisis; we must rebuild it stronger than before. We must lay a new foundation for future growth and prosperity, and a key pillar of a new foundation is health insurance reform -- reform that we are now closer to achieving than ever before," he said.

But even if the effort does take on a lower profile, it could still have real consequences for Democrats, as it did 15 years ago, Schneider said.

President Clinton's push to overhaul health care failed, and the issue faded from the agenda as the economy recovered, but the ramifications were felt in the next election cycle.

"Clinton had to scale back his agenda. His big ideas for health care reform turned into protecting 'the safety net.' And, of course, the Democrats lost control of Congress in 1994 for the first time in 40 years, and it took them another 12 years to get it back," Schneider said.

@highlight

President Obama says health care overhaul, economic recovery go hand in hand

@highlight

Economists point to some signs economy is recovering

@highlight

Better economy may ease push to overhaul health care, some observers say

@highlight

Health care failed under President Clinton in '90s, took back burner on the agenda