(CNN) -- The arrest of 19 protesters at a rancorous school board meeting Tuesday brings the issue of busing and diversity in education into the national spotlight.

The North Carolina State Conference of the NAACP and local African Methodist Episcopal Zion Churches held a mass mobilization march Tuesday in Raleigh, North Carolina, to protest the recent decision by the Wake County Board of Education to end a 10-year-old socioeconomic diversity plan for public schools. The school board voted 5-4 on March 23 to end "forced busing," a method initiated in the 1970s to promote diversity in public schools.

Nearly 1000 people, including members of local church, community and advocacy groups, gathered at the Raleigh Convention Center and marched to the state capitol, according to local police and other officials.

The Rev. William Barber II, president of the North Carolina state conference of the NAACP, said the groups rallied to raise awareness about the importance of diversity in public schools.

"It's time that the Wake County school board officials wake up and realize how a model for resegregation will damage not only our state, but the basic principles of our nation," Barber said. "It's time to say no to resegregation and say yes to diversity and school excellence."

19 arrested at school board meeting

The Wake County Public School System, which includes Raleigh, is the 18th largest school district in the nation.

In the 1950s, the U.S. Supreme Court ruled that separate and unequal school systems were unconstitutional.

North Carolina schools have been a national model for education since the Swann vs. Charlotte-Mecklenburg School Board case in 1971. The Charlotte-Mecklenburg school district became the first district ordered by the U.S. Supreme Court to implement busing as a way to desegregate classrooms.

In 1999, the U.S. Court of Appeals for the Fourth Circuit ruled the Charlotte-Mecklenburg district had achieved a healthy level of racial integration, and race-based busing was no longer required.

"The federal courts eliminated their oversight of the Charlotte busing system because the schools had achieved" an equal balance in terms of race, said Mark Dorosin, senior managing attorney for the University of North Carolina's Center for Civil Rights. "Since that time, the state has gone backwards and now several counties are as segregated as they were before [busing]."

As other counties ended busing and returned to neighborhood schools, the Wake County Public School System transformed the legislation in 1999, moving away from the traditional race-based integration policy and replacing it with a socioeconomic diversity program.

This plan attempted to balance the proportion of wealthy and poor students at county schools by moving students around, with a busing system based on the percentage of children that received subsidized lunches. To foster this diversity, some students traveled an hour from their homes to school, and some suburban students were bused to inner-city schools.

Parents frustrated by long drives and bus routes elected a school board that opposed the 1999 policy and imposed a new plan for neighborhood-based schools.

The new plan requires students to go to schools in their communities, often leaving black students in underachieving schools and white students in higher quality schools, Dorosin said.

Now some fear that the county that was once a desegregation model for the nation will bring back segregation that will spread throughout the state.

"This is not just a local issue, but a national one," said Benita Jones, UNC education fellow and attorney. "Other school districts are on the edge of their seats, waiting to see what Wake County plans, before they make decisions on whether socioeconomic diversity should be reconsidered."

The rally on Tuesday was a call for attention to an issue that could spread like cancer, Barber said. "We want a real community -- one community, where every child is cared for," he said. "We know what resegregation looks like. And the last place we want it is in the South again."

Some concerned citizens of Wake County fully support the plan for community-based schools. Donna Williams, president of the Northern Wake Republican Club, which helped elect the majority members on the school board, believes that the outrage over community schools is unfounded.

"This has absolutely nothing to do with race, nothing to do with resegregation. It has to do with fixing what is not working," Williams said.

She says minority students are graduating at a rate much lower than average in the current busing system.

Only 51 percent of Hispanics and 63 percent of African-Americans graduated from schools in Wake County, compared to an overall graduation rate of 78 percent, according to the Wake County Public School System.

"When people get emotional, they get scared and afraid and believe whatever people are filling in their heads. What we need to do is come together to figure out what is best for our kids," Williams said.

According to Wake County school board officials, the decision to stop busing is based purely on population dynamics and educational improvement -- not race.

"The extensive growth over the past two decades" has resulted in the need for "numerous adjustments" and created "challenges to meet demand and efficiency," the board said in a statement.

Community-based assignments, they said, would not only ensure equity in each school zone, but would also provide "all students at all schools with an equal opportunity to a sound, basic education," a fundamental right under North Carolina state law.

Barber said the school board's decision is not constitutional and is a practice that will lead to educational failure. "Neighborhood-schools [policy] not only separates bodies, it separates the budget, the buildings, the teachers -- basically, all the building blocks of education," he said. "What you end up with is a district that's high in poverty, high in turnover, and high in underachievement."

Wake County school board officials will develop school assignments based on community zones within the next 9 to 15 months.

@highlight

Activists arrested protesting new education policy in North Carolina

@highlight

Wake County School Board recently voted to end busing

@highlight

Busing had been used to promote diversity in North Carolina schools

@highlight

The newly elected school board is in favor of community-based schools