HELSTON, England (CNN)  -- A huge cyclone struck Myanmar in May 2008. It was the largest recorded disaster in that country, killing more than 130,000 people and leaving millions homeless.

Since 2001, Tom Henderson's organization, ShelterBox, has supplied aid to more than 600,000 people.

"We were one of the first aid agencies into the country, delivering our ShelterBoxes," says Tom Henderson, whose relief package and organization of the same name has aided more than 600,000 victims of disasters of all scales worldwide since 2001.

Designed to help an extended family survive for a minimum of six months, the lightweight, weatherproof box contains items such as a 10-person tent, blankets, basic tools, water-purification tablets and containers, a multi-fuel or wood-burning stove, mosquito nets and other items tailored to the particular region in crisis.

The "ShelterBox is designed to be small enough so two people can carry it -- but it has to be large enough to get equipment in for 10 people," Henderson explains.

"It's a simple package of aid delivered to the most needy people in the shortest amount of time."

The ex-Royal Navy search-and-rescue diver says the idea behind the ShelterBox came to him "literally in a heartbeat" while watching the news in 1999. Henderson was struck by the footage he saw of relief workers dropping food on the ground to victims of a disaster.

"I decided there and then that I would try to make a difference in a more sensible and dignified way," he recalls. "I went to my study and I got a piece of paper out, and I wrote down 'shelter,' 'warm,' 'comfort,' and 'dignity.' And that's where it started."

Though Henderson says people thought he was crazy, he searched around the world for the products he knew would work. In 2000, he brought his idea to the local Helston-Lizard Rotary Club, where members adopted the cause. In January 2001, the first 143 ShelterBoxes were flown to earthquake-ravaged Gujarat, India. Since then, the ShelterBox organization has responded to more than 70 disasters in 46 countries.

"If people have lost everything why should they lose their dignity as well?" asks Henderson. "So we were very keen, as well as delivering aid, to give people back their dignity, put them back in control."  Watch how ShelterBox helps victims of disasters around the world »

The secret of its success is two-fold, explains Henderson. ShelterBox is nonpolitical, accepting no funding from government agencies, and is a worldwide network with communication hubs near every potential disaster site via Rotary International. This allows ShelterBox to respond within 72 hours of a disaster anywhere in the world, subject to customs and local political barriers.

According to ShelterBox, each box costs £490 in the United Kingdom and $1,000 in the United States, including all materials, packing, storage and distribution to recipients around the world. Donations from the British public and money raised from Rotary Clubs worldwide help fund the boxes. Watch Henderson reveal the items in a typical ShelterBox »

"Nobody can buy our boxes, they are only available for free," says Henderson.

Although Henderson does not travel to drop off boxes or choose where they go, he says he remains motivated by the thought of the millions of people that need help every day, and that if ShelterBox stops delivering aid, people might not survive. Watch Henderson tell the story of a mother and her baby in a ShelterBox »

"The goal for me was these people," he says. "I had pictures in my mind's eye... [like] children dying in the snow after a disaster. We want this to last for years to come, not just to get them through this disaster, [but] as a springboard for moving forward."

Stories that Henderson hears from the field remind him that ShelterBox is doing just that. Recently, a woman in Kenya gave birth to a baby girl in a ShelterBox tent.

"The ShelterBox became a crib for the baby. And the blankets became blankets for the baby," says Henderson. "It's a huge feeling of pride and satisfaction when these sorts of things happen."

@highlight

Tom Henderson's organization, ShelterBox, helps disaster victims worldwide

@highlight

It provides free ShelterBoxes, containing items such as blankets, tools and tents

@highlight

The organization has aided more than 600,000 victims of disasters since 2001