(CNN)The $4 trillion budget President Barack Obama sent Congress on Monday is his blueprint for reviving "middle class opportunity." Liberals are thrilled by the redistributive thrust of the president's budget -- it would hit affluent Americans with a battery of new tax hikes, totaling $2 trillion over the next decade, and use the proceeds to finance substantial tax cuts for low and middle income families.

However, this has, of course, scandalized tax-averse congressional Republicans, who echo House Ways and Means Chairman Paul Ryan in denouncing the Obama budget as an exercise in "envy economics."

Given the partisan stalemate in Washington, many pundits therefore view the White House budget as a purely political statement intended to frame the 2016 presidential debate. Next, the GOP Congress will produce a conservative alternative, and each side will spend the next two years accusing the other of waging class warfare.

Except that the federal government actually does need a budget, especially one that reinforces the economy's gathering momentum. The one thing both parties seem to agree on is that reversing middle class stagnation is the nation's top priority. What America needs more than anything else is a long stretch of robust economic growth, something we have not seen since the 1990s, when both the growth and unemployment rates averaged about 4 percent a year.

It's true that stronger growth alone ultimately may not suffice to restore mass upward mobility. In the absence of real wealth creation, however, a politics of redistribution can only sustain a fleeting illusion of shared prosperity.

Although it doesn't go far enough in this direction, the Obama budget does contain some important growth-enhancing features. For example, it proposes to spend $478 billion to repair and modernize America's aging roads, airports and other infrastructure over the next six years. This initiative would be funded by a one-time, 14% tax on offshore profits, which the White House considers more likely to attract GOP support than raising the gas tax.

The Obama budget also calls for a 6% increase in federal R&D funding, especially for biomedical research. Public investment that replenishes America's depleted stock of physical and knowledge capital is crucial to putting the U.S. economy back on a high-growth path.

In addition, the president wants funding for seven more manufacturing institutes that enlist companies, governments and universities to put America in the vanguard of advanced manufacturing, including 3-D printing. There's also more money for career training and on-the-job apprenticeships, as well as an intriguing Upward Mobility Project aimed at spurring enterprise in impoverished communities.

Also good for the economy is Obama's call to ease the sequester's suffocating grip on discretionary spending. His budget would raise next year's spending cap by $74 billion, to be divided equally between defense and domestic spending. This would reduce the fiscal drag produced by deep cutbacks in current spending -- an untimely dose of austerity that the Congressional Budget Office says shaved more than a point off the economy's growth rate. It would also pit penny pinching Republicans against U.S. military leaders and GOP hawks, led by Senate Armed Services Chairman John McCain, who warns that the caps are weakening the nation's defense.

The controversial centerpiece of the president's budget is a grab bag of big tax changes that take from the rich to give to, well, everyone else. These include a minimum tax on millionaires; a higher capital gains tax (including on inherited wealth); and limits on the value of itemized deductions claimed by the wealthy. There's also a new tax on the nation's 100 largest banks.

Surging revenues would pay for an array of costly tax breaks for families with modest incomes, including a tax credit for second earners, an expansion of the Earned Income Tax Credit for workers without children and a tripling of the child tax credit. But while there's no doubt the overall effect would be to make federal taxes more progressive, it would also make the code even more insanely complicated.

Unfortunately, Obama's budget stops short of a comprehensive tax reform that would close loopholes for both individuals and corporations and use the added revenues to reduce rates for all taxpayers. Most economists believe that junking, or at least limiting, a host of special preferences and tax breaks would reduce economic distortions, promote more efficient use of capital, and generally make federal taxes fairer and simpler.

Nonetheless, the president's proposals for reforming business taxes could be more appealing to Republicans. The budget proposes to cut the top corporate rate from 35% to 28%, which would help U.S. businesses compete globally. President Obama also calls for a new 19% minimum tax on global profits, which would reduce the risk that U.S. companies would have to pay tax twice on those profits.

Finally, the Obama budget does disappointingly little to reorient U.S. fiscal policy around investment and growth. As Gene Steuerle, a veteran fiscal analyst writes in his invaluable book, "Dead Men Ruling," decisions made by dead or retired politicians have radically constrained contemporary lawmakers' freedom of action. For most of U.S. history, politicians could spend or cut taxes confident in the knowledge that economic growth would make budget deficits temporary and create fiscal space for new initiatives. But now, says Steuerle, the cost of maintaining the government's cumulative commitments exceeds expected revenues.

Congress, in short, is wearing fiscal handcuffs. Lawmakers can't launch fresh initiatives to tackle contemporary problems without either piling on new debt or reneging on old commitments (to spend more, or tax less). What's more, as the nation ages, more of our resources are channeled into automatic, formula-driven spending on current consumption -- mainly through Medicare, Medicaid and Social Security -- leaving fewer dollars to invest in children and families or future economic growth.

No one expects President Obama to solve this problem unilaterally, especially with a Republican Party so addled by anti-government populism that it can't distinguish between consumption spending and genuine economic and social investment. But neither can America afford a federal budget so paralyzed by old promises and interest group gridlock that it is essentially a blueprint for national decline.

That's why progressives need a strategy for reclaiming their fiscal freedom -- and the ability to invest in America's future.

@highlight

President Obama this week announced new budget proposal

@highlight

Will Marshall: Progressives need strategy for reclaiming freedom to invest