(CNN)News that a jury has ordered Robin Thicke and Pharrell Williams to fork out $7.4 million in damages and profits for allegedly drawing on Marvin Gaye's 1977 hit "Got to Give It Up" in their song "Blurred Lines" has thrust the issue of music copyright into the headlines. But it's by no means the first time.

Recently, it was reported that Tom Petty and Jeff Lynne would be given songwriting credits for Sam Smith's hit song "Stay With Me." But the really interesting part was that this only happened after Petty's team noticed a likeness between Smith's song and Petty's 1989 hit "I Won't Back Down."

Astonishingly, this means Smith, and somehow every single person at every stage of the production process of "Stay With Me," were all -- to a person -- apparently not familiar with the 1989 Petty/Lynne tune.

It makes this old-timer think: Wait, how did anyone release that song and not think it sounded like Petty's "Won't Back Down"? I assumed it was a collaboration! The only plausible explanation is that every executive, every studio employee and every human involved in that decision was under 30 and had never heard of Tom Petty. Or MTV. Or iTunes. Or the music industry.

"Won't Back Down" doesn't get a lot of play time now, but in 1989, you could not have avoided this song. MTV played videos pretty much nonstop back then, and this one accounted for about 20% of the content on MTV -- or at least it felt that way. To this author, and amateur music infringement sleuth, the songs are almost identical.

But, it turns out music -- and music similarity -- is almost entirely in the eye of the beholder (or "be-hearer").

Other songs that have 'Blurred Lines'

In a music plagiarism case, one musician claims that another composer has "stolen" his pre-existing song. The plaintiff has the burden of proving that the challenged composition (1) is substantially similar, and, further, (2) that this similarity is due to copying. The challenge is that even if the plaintiff can prove song similarity, the plaintiff usually has no evidence that the accused composer actually heard the song in advance.

So, music infringement presents a tricky question: Should a court find that the defendant infringed the plaintiff's song just upon a showing that the songs are similar or identical -- despite the plaintiff's inability to show that the defendant ever actually heard the song?

Instead, plaintiffs generally prove this element by showing that the person who composed the defendant's work had "access." Examples of "access" are where a plaintiff's song has been widely disseminated, either by public broadcasts, widespread distribution and even the publication of sheet music.

If a composer and his work are not famous, naturally it's harder to prove access to a musical composition that has largely been distributed no further than a dog-eared notebook in mom's basement. It's hard to hold a defendant liable for infringement solely because the piece is similar, and courts are reluctant to do so.

At the same time, "access" today is much easier to prove than it was before the Internet. If someone has five fans on his aspiring-rapper Facebook page, and he posts songs recorded right onto his MacBook, can it be said that a Sam Smith had "access" to that music when he records a nearly identical tune? After all, technically, it was only a click away on the Internet, just not a click that anyone was likely to make. The advent of the Internet means artists now have "access" to everything, at any time.

Surprisingly, courts have held that in cases of the unknown, un-famous plaintiff, the "access" may be inferred where the plaintiff proves the similarity between the songs is both substantial and striking, and also that the similarities could only have come from copying, and not coincidence.

So, in an era where every song ever composed is online, at our fingertips, it all boils down to a collective smell test. And if you have ever seen Vanilla Ice defend his accused theft in "Ice Ice Baby" of David Bowie and Queen's classic sound in "Pressure," you know that there really is not much difference between "Da-Da-Da Da-Da Da-Da" and "Da-DA Da-Da Da-Da-Da Da." (Here's the link to that piece of tape, for no other reason than it's a fantastic example of self-delusion.)

The fascinating thing is that the music business is full of these alleged song robberies. Since music is so personal, whether the listener hears the old song in the new depends heavily on the individual's music preferences and knowledge. If you are proficient in the art of blues or rock chord progression, for example, you may recognize that the famous Baroque canon by Pachelbel, is almost identical chord-wise to Blues Traveler's '90s hit "Hook." This, even though no one would confuse the feel or genre of "Hook" with Pachelbel's wedding classic.

On the other hand, if (like my Grandpa Vito) you think all rap music sounds like "pots and pans clanging together," then you may not have the palate for differentiating between rap, hip-hop, house or trance. The point is, music theory may be a hard science, but music appreciation is anything but. As a result, music comparison is all over the map.

For example, in 1971, former Beatle George Harrison was sued for supposedly pilfering the Chiffons song "He's So Fine" for his hit song "My Sweet Lord." YouTube "He's So Fine" right now and listen. Now YouTube "My Sweet Lord." Identical or different? The chords are substantially similar in both verse and chorus. The fact that the songs are from different "eras" is either a minor distinction to you, or dispositive of any claims.

The reality is that once you start playing these songs for different people, you find that because we all perceive music differently, there may be no objective way ultimately to determine if any song ever infringes another. After all, isn't all music inspired by something that came before it?

Sure, each side can call experts in music theory at trial to testify about the circle of fifths, and tonal harmony this and arpeggio that. But those experts would still be explaining it to a lay judge, jury and even lawyers. These laypeople are all individuals, all experiencing music differently.

And in the case of the Chiffons' song and Harrison's "My Sweet Lord"? The court ultimately determined that Harrison's use of parts of the Chiffons' song, in the same order, sequence and harmonies, meant Harrison subconsciously misappropriated "He's So Fine." Is that how you would have called it? Play it for your spouse or kids and see what they say. You may find they disagree with you.

This kind of dispute appears whimsical, but it actually has serious economic implications. Music is protected by copyright, which, along with trademarks and patents comprise an area of law known as intellectual property. A copyright is just an expression of an idea in a fixed, tangible medium, which means a song, a painting and even software code is entitled to copyright protection.

The most paradoxical thing about intellectual property law is that it incentivizes creativity and invention by rewarding creators with a limited monopoly ... and nothing destroys ingenuity more than monopoly. The line must be carefully drawn, because the loser in a copyright case may be out some major damages in the form of royalties.

In the case of Sam Smith's use of the Tom Petty work, to Smith's credit, his team reportedly listened to the two songs and acknowledged the similarity. And in a rare moment in music infringement history the parties actually settled the matter amicably.

Of course, for me, the key lesson in all this is that knowing Petty's music now seems to mean that I am officially old. Which means it's time to retire my acid-wash jean jacket with the Whitesnake patch. Even worse, though -- if potential litigants such as Smith and Petty are going to start resolving disputes without hiring us lawyers, then I might have to retire my law license along with the denim jackets.

@highlight

Jury has found that 'Blurred Lines' drew on Marvin Gaye's 'Got to Give It Up'

@highlight

Danny Cevallos : Music infringement presents a tricky question