Editor's note: Joseph E. Stiglitz, professor at Columbia University, was awarded the Nobel Prize in Economics in 2001 for his work on the economics of information and was on the climate change panel that shared the Nobel Peace Prize in 2008. Stiglitz, a supporter of Barack Obama, was a member and later chairman of the Council of Economic Advisers during the Clinton administration before joining the World Bank as chief economist and senior vice president. He is the co-author with Linda Bilmes of the "Three Trillion Dollar War: The True Costs of the Iraq Conflict."

Economist Joseph Stiglitz says federal regulators and executives helped create the Wall Street crisis.

NEW YORK (CNN) -- Many seem taken aback by the depth and severity of the current financial turmoil. I was among several economists who saw it coming and warned about the risks.

There is ample blame to be shared; but the purpose of parsing out blame is to figure out how to make a recurrence less likely.

President Bush famously said, a little while ago, that the problem is simple: Too many houses were built. Yes, but the answer is too simplistic: Why did that happen?

One can say the Fed failed twice, both as a regulator and in the conduct of monetary policy. Its flood of liquidity (money made available to borrow at low interest rates) and lax regulations led to a housing bubble. When the bubble broke, the excessively leveraged loans made on the basis of overvalued assets went sour.

For all the new-fangled financial instruments, this was just another one of those financial crises based on excess leverage, or borrowing, and a pyramid scheme.

The new "innovations" simply hid the extent of systemic leverage and made the risks less transparent; it is these innovations that have made this collapse so much more dramatic than earlier financial crises. But one needs to push further: Why did the Fed fail?

First, key regulators like Alan Greenspan didn't really believe in regulation; when the excesses of the financial system were noted, they called for self-regulation -- an oxymoron.

Second, the macro-economy was in bad shape with the collapse of the tech bubble. The tax cut of 2001 was not designed to stimulate the economy but to give a largesse to the wealthy -- the group that had been doing so well over the last quarter-century.

The coup d'grace was the Iraq War, which contributed to soaring oil prices. Money that used to be spent on American goods now got diverted abroad. The Fed took seriously its responsibility to keep the economy going.

It did this by replacing the tech bubble with a new bubble, a housing bubble. Household savings plummeted to zero, to the lowest level since the Great Depression. It managed to sustain the economy, but the way it did it was shortsighted: America was living on borrowed money and borrowed time.

Finally, at the center of blame must be the financial institutions themselves. They -- and even more their executives -- had incentives that were not well aligned with the needs of our economy and our society.

They were amply rewarded, presumably for managing risk and allocating capital, which was supposed to improve the efficiency of the economy so much that it justified their generous compensation. But they misallocated capital; they mismanaged risk -- they created risk.

They did what their incentive structures were designed to do: focusing on short-term profits and encouraging excessive risk-taking.

This is not the first crisis in our financial system, not the first time that those who believe in free and unregulated markets have come running to the government for bail-outs. There is a pattern here, one that suggests deep systemic problems -- and a variety of solutions:

1. We need first to correct incentives for executives, reducing the scope for conflicts of interest and improving shareholder information about dilution in share value as a result of stock options. We should mitigate the incentives for excessive risk-taking and the short-term focus that has so long prevailed, for instance, by requiring bonuses to be paid on the basis of, say, five-year returns, rather than annual returns.

2. Secondly, we need to create a financial product safety commission, to make sure that products bought and sold by banks, pension funds, etc. are safe for "human consumption." Consenting adults should be given great freedom to do whatever they want, but that does not mean they should gamble with other people's money. Some may worry that this may stifle innovation. But that may be a good thing considering the kind of innovation we had -- attempting to subvert accounting and regulations. What we need is more innovation addressing the needs of ordinary Americans, so they can stay in their homes when economic conditions change.

3. We need to create a financial systems stability commission to take an overview of the entire financial system, recognizing the interrelations among the various parts, and to prevent the excessive systemic leveraging that we have just experienced.

4. We need to impose other regulations to improve the safety and soundness of our financial system, such as "speed bumps" to limit borrowing. Historically, rapid expansion of lending has been responsible for a large fraction of crises and this crisis is no exception.

5. We need better consumer protection laws, including laws that prevent predatory lending.

6. We need better competition laws. The financial institutions have been able to prey on consumers through credit cards partly because of the absence of competition. But even more importantly, we should not be in situations where a firm is "too big to fail." If it is that big, it should be broken up.

These reforms will not guarantee that we will not have another crisis. The ingenuity of those in the financial markets is impressive. Eventually, they will figure out how to circumvent whatever regulations are imposed. But these reforms will make another crisis of this kind less likely, and, should it occur, make it less severe than it otherwise would be.

The opinions expressed in this commentary are solely those of the writer.

@highlight

Joseph Stiglitz: Fed pumped too much money, aiding housing bubble

@highlight

New-fangled instruments hid overuse of borrowing, Stiglitz says

@highlight

Executives followed short-term interests and magnified risks, he says

@highlight

Stiglitz: Widespread changes needed to prevent future crises