(CNN) -- Just imagine. What if the Rev. Martin Luther King Jr.'s spirit could appear and whisper his counsel to President Obama?

The visit's timing could not be more opportune. Today, we face the country's worst economic crisis since the Depression, poverty continues to grow at home and abroad, and wars across the globe are leaving a wake of death and destruction for generations to come.

Notwithstanding America's racial progress -- most viscerally witnessed by Obama himself -- King's dream remains far from realized.

King spoke some of the most mellifluous speeches of his era. So does Obama. But King could advise Obama on transforming that uplifting rhetoric into a long-term grassroots effort.

Beyond King's great speeches was a decades-long movement that was complex, sophisticated, forward-looking and greater than the man himself.

When we forget King's coalition -- both in the breadth of change it demanded and in the thousands of faces and hearts dedicated to the cause -- we reduce the civil rights movement, from which we still have much to learn, into a warm and fuzzy version of the King mythology.

King's spirit, no doubt, would advise Obama to press for the public option in the health care bill. "Of all the forms of inequality, injustice in health care is the most shocking and inhumane," King declared in 1966.

The public option sharply reduces injustices in health care by offering millions of the beleaguered and the downtrodden a more transparent, accountable and affordable coverage option than the abusive, helter-skelter and often monopolistic practices rampant in the private market.

Two years after King's remarks, the year he was assassinated, he launched his Poor People's Campaign, "a multiracial army of the poor," that marched on Washington to demand an Economic Bill of Rights from Congress.

King's Economic Bill of Rights called for effective government jobs programs to rebuild America's cities. He saw a crying need to confront a Congress that had demonstrated its "hostility to the poor," appropriating "military funds with alacrity and generosity" but providing "poverty funds with miserliness."

His vision was for change that was more revolutionary than mere reform: a "reconstruction of society itself" to redress the deep-rooted problems of racism, poverty and military conflict.

This is the moment to realize that vision.

Americans are at a crucial juncture when we are fundamentally redefining our country's future at home and abroad.

King would counsel Obama on how to minimize economic inequality, to boost the employment prospects of those living in marginalized communities, to increase citizens' savings, to encourage asset building and even to resolve peacefully our two wars.

The enormity and uncertainty haunting this recession raises important questions that King's spirit could address. What is the impact on unemployed and low-income Americans? Will the fear of projected budget deficits force government spending choices that worsen poverty or that are racially loaded, in their stinginess toward cities?

Like King, Obama recognizes that government isn't the principal solution to unemployment and poverty, but rather a buffer from hardship and a catalyst for opportunity.

Here, the spirit and his pupil would evidently agree. But they could further discuss what role private business must play to help rectify this mess.

The failures of Enron, Lehman Brothers, AIG and Merrill Lynch -- in addition to the Wall Street bailout -- illustrate the devastation that a culture of greed, corruption and governmental negligence can exact on ordinary Americans.

What specific incentives and penalties can force the private sector to act more responsibly? Unchecked free market capitalism, King maintained, cannot guarantee the basic conditions necessary for ordinary people to earn a living, to acquire health care or to build wealth.

Although private industry has a forceful influence on the underpinnings of American life, that power should not dictate our political and economic well-being. In other words, King to Obama: Society should lead capital, not vice versa.

This week, America gets to pat itself on the back for living on the right side of history, racially speaking.

Obama's presidency is a glorious manifestation of King's spirit.  We are not in a post-racial era, but Obama's cool judgment smoothly blunts the pessimism and ill will -- from those on the left and right -- who thrive on racial conflict.

To his credit, our brilliant, cunning president truly understands that multiracial America needs more unflinching self-examination and less empty racial bickering.

This week's special school lesson plans, newscasts and public ceremonies honoring the slain civil rights hero, and the 44th president's first anniversary in office, will be full of praise and rhetoric.

But if only the ghost of King could glide into the Oval Office and urge Obama to take decisive, bold action, and to dodge the status quo behavior favored by power brokers in Washington and on Wall Street.

If only the ghost of King could coax Obama to join the ranks of historically transformative leaders, including Franklin D. Roosevelt, who galvanized movements, who put pressure on themselves, Congress and the public to improve our politics and economy profoundly for decades to come.

The opinions expressed in this commentary are solely those of Rich Benjamin.

@highlight

Rich Benjamin: King would urge President Obama to transform rhetoric into grassroots action

@highlight

Benjamin: King's great speeches led a forward-looking movement that still affects society

@highlight

King's spirit would urge Obama to rid U.S. of racism, poverty and military conflict, Benjamin says

@highlight

Benjamin: King would coax Obama to become a historically transformative leader