(CNN) -- Storyteller Mark Twain ignited an American love affair with the Mississippi River in the late 1800s with his vivid descriptions in "The Adventures of Huckleberry Finn" and "Life on the Mississippi." Twain described river towns as "pleasing to the eye and cheering to the spirit" and called the Mississippi Valley "as reposeful as a dreamland ... nothing to hang a fret or a worry upon."

More than a century later, the romance of the mighty Mississippi, along with a number of other U.S. waterways, continues to attract those seeking an authentic slice of Americana, and a number of cruise lines cater to travelers looking for such a floating escape. Onboard today's passenger vessels you're likely to find a library with a book or two by Twain -- along with fine dining, live entertainment, expert lecturers and multiple options for relaxing, or maintaining a fitness regime.

Trips gone wrong: Movie moments

U.S. river cruising has been growing in popularity for many reasons: These journeys have a European feel with no passport required, they work for multiple generations traveling together, and the logistics make it a breeze compared with getting on a plane or even sailing with the bigger cruise lines. Traditionally filled with a more mature travel crowd, they aren't cheap. But those who take one river cruise tend to take more; one popular outfit, American Cruise Lines, reports a repeat guest rate of 40% on average.

Here are eight ways to explore the United States via river cruise:

Memphis to New Orleans: Lower Mississippi River

You'll still hear the traditional notes of the calliope as you board the historic Queen of the Mississippi, but 21st-century technology also brings this American Cruise Lines paddlewheel riverboat to a new level of comfort and convenience. Eight-day voyages cruise from Memphis, Tennessee; New Orleans; St. Louis; or St. Paul, Minnesota, on the iconic Mississippi River.

The cruise between Memphis and New Orleans highlights the music, cuisine and culture of these two vibrant cities but allows plenty of time to soak up the setting that Twain called "reposeful as a dreamland," with stops at sprawling Southern plantation homes and Civil War battlefields. Also onboard: a putting green and a workout area. Rates begin at $4,195 per person.

St. Paul to St. Louis: Upper Mississippi River

Every autumn, when the riverbanks are drenched in shades of red and gold, the elegant flagship vessel of the American Queen Steamboat Co. travels the Upper Mississippi River, with stops that include a glimpse of Amish country in La Crosse, Wisconsin, and a tribute to the agricultural accomplishments of John Deer in Davenport, Iowa. Twain's boyhood home of Hannibal, Missouri, is also on the itinerary.

Other themed sailings on the American Queen honor everything from baseball legends to Route 66, and longer itineraries sail on multiple rivers. Rates begin at $2,495 per person for the nine-day journey, $4,495 for a 14-day trip on the Ohio and Mississippi.

World's 15 best rivers for travelers

Pacific Northwest: Columbia and Snake rivers

Set your sights on spring and the inaugural season of the opulent American Empress, the newest addition to the American Queen Steamboat Co. line. Seven-day voyages will travel between Portland, Oregon, and Clarkston, Washington, with stops to visit the natural wonders and historic landmarks of the region such as Mount Hood and the Lewis and Clark Interpretive Center. Native American history, a number of wineries and the opportunity to zip-line above Oregon are additional highlights.

With five decks and accommodations for 223 guests, it is one of the larger vessels plying U.S. rivers, and American Queen Steamboat President Ted Sykes cites a "rebirth of U.S. river cruising" as one reason for the company's expansion. Rates start at $3,795 per person.

Alaska: Waterways near Juneau

Small ships can mean big adventure in the 49th state. Think grizzlies and glaciers when you drift through straits and fjords on the Island Spirit, a 32-passenger, all-inclusive boat that leaves Alaska's capital city to explore small towns and coastal cities between wildlife sightings. Onboard naturalists are part of this nine-day journey that can also involve kayaking, hiking and trekking across icy blue glaciers. Inuit culture also is weaved into the itinerary. Book through USA River Cruises; rates start at $3,995 per person.

Travel photos we wish we'd taken

New York's Hudson River Valley

If you're game for some extraordinary leaf-peeping along the river that Henry Hudson explored in 1609, American Cruise Lines offers an eight-day trip leaving from New York City that whisks passengers into the world of millionaire mansions, art centers, maritime museums and two capital cities -- the state's second capital, Poughkeepsie, and the current one, Albany.

Set your bags in your cabin and get to the deck; you won't want to miss a minute of daylight with the sun lighting up the Hudson River Valley scenery. You'll pass by the historic Saugerties Lighthouse and have time to tour the U.S. Military Academy at West Point. This itinerary begins and ends in the Big Apple so travelers can start or cap their trip with some big-city fun. Rates begin at $3,245 per person.

Charleston, South Carolina, to Jacksonville, Florida

It's hard to leave the palmetto palms of Charleston, but with this Blount Small Ship Adventure, you'll discover the Lowcountry, get a lesson in Southern history and find proof that Southern hospitality is flourishing along the waterways of the antebellum South.

The eight-day trip navigates a handful of rivers and intracoastal waterways, with stops that include Beaufort, South Carolina; Savannah, Georgia; and St. Augustine, Florida. You'll fill your digital camera disc with sunsets, Spanish moss-covered live oaks and idyllic scenes from Jekyll and Amelia islands. Rates start at $2,399 per person.

The Great Lakes region: Toronto to Duluth, Minnesota

OK, so you'll need your passport for this cruise that dips into Canada. The journey takes you through all five of the Great Lakes, from Lake Ontario to Lake Superior. The 138-passenger Yorktown passes through busy locks and canals on this 11-day trip filled with Great Lake lore as well as excursion options to Niagara Falls, Michigan's pristine Presque Isle and the Victorian-era island of Mackinac.

Travelers yearning for still more Americana should head for the Henry Ford Museum and Greenfield Village when the ship docks in Detroit for a day. USA River Cruises handles Yorktown bookings, and every cabin has a water view; rates for the Great Lakes trip start at $5,595 per person.

The islands of New England

Classic New England is the focus on this tranquil seven-day journey run by Blount Small Ship Adventures. Vessels depart from and return to Warren, Rhode Island, carrying fewer than 100 passengers per trip into the realm of serene beaches, rugged bluffs and unique towns such as Cuttyhunk, Massachusetts, where the tides seem to have washed away any sign of 21st-century stress.

Whale watching and birding are priorities as you island hop between Nantucket Island and Martha's Vineyard in Massachusetts and Rhode Island's Block Island, marveling at gorgeous seaside homes and quaint beach cottages decorated in buoys and other nautical relics. Get a taste of New England during shore excursions with lobster lunches, locally crafted beers and freshly made saltwater taffy. Round trip from Warren. Rates start at $1,999 per person.

@highlight

For a European feel with no passport required, consider a river cruise in the U.S.

@highlight

Board a paddlewheel riverboat that travels between Memphis, Tennessee, and New Orleans

@highlight

Or explore the Pacific Northwest aboard the new American Empress