(CNN) -- Robin Beaton found out last June she had an aggressive form of breast cancer and needed surgery -- immediately.

Robin Beaton, 59, found out just days before her mastectomy that her insurance provider would not cover the procedure.

Her insurance carrier precertified her for a double mastectomy and hospital stay. But three days before the operation, the insurance company called and told her they had red-flagged her chart and she would not be able to have her surgery.

The reason? In May 2008, Beaton had visited a dermatologist for acne. A word written on her chart was interpreted to mean precancerous, so the insurance company decided to launch an investigation into her medical history.

Beaton's dermatologist begged her insurance provider to go ahead with the surgery.

"He said, 'This is a misunderstanding. This is not precancerous. All she has is acne.' ... He said ,'Please don't hold up her cancer surgery for this,' " Beaton, 59, said as she testified at a House subcommittee hearing on the terminations of individual health policies by insurance companies.

Still, the insurance carrier decided to rescind her coverage. The company said it had reviewed her medical records and found out that she had misinformed them about some of her medical history.

Beaton had listed her weight incorrectly. She also didn't disclose medication she had taken for a pre-existing heart condition -- medicine she wasn't taking when she originally applied for coverage.

"I didn't know what to do. The hospital wanted a $30,000 deposit. I was by myself. I didn't have that kind of money," Beaton said through tears. "Can you imagine, having to walk around with cancer growing in your body? With no insurance. It's the most terrifying thing in the world to not have anybody to turn to or anywhere to go."

Beaton, who worked as a registered nurse for three decades, charged that the insurance company "searched high and low" to pull out anything on her so that they would not have to pay for her surgery.

Beaton turned to Texas Rep. Joe Barton for help. Barton said his staff went to work, but the insurance company, he said, was "unyielding." Barton appealed to the company's president, who promised to investigate personally. The president called Barton back within four hours and said the coverage would be reinstated.

Beaton underwent surgery in October, but by then her tumor had grown from two to three centimeters to seven. She had to have all the lymph nodes removed in her arm.

Beaton is one of more than 16 million Americans who have individual health insurance policies. She and two others testified Tuesday about their experiences with insurance rescission.

The witnesses charged that insurance applications are purposely long and confusing, and that companies look for any discrepancy to avoid covering expensive treatments.

The hearing, which was a result of a yearlong congressional investigation in the individual insurance market, examined "post-claims underwriting," a process by which insurance carriers cancel an individual's policy after providers submit claims for medical services they received.

"Overall, what we found is that the market for individual health insurance in the United States is fundamentally flawed," said Rep. Henry Waxman, the chairman of the House Committee on Energy and Commerce.

One of the witnesses, Wittney Horton, said her coverage was canceled after her carrier said she did not disclose that she had taken a drug prescribed for weight loss and because of her irregular menstrual cycle. Her carrier sent her a letter saying they would not have accepted her had they known she had "polycystic ovaries," a condition she did not know she had.

Peggy Raddatz testified on behalf of her brother, who was diagnosed with stage four non-Hodgkin's type lymphoma. In the midst of his chemotherapy treatment, his coverage was rescinded and he was not able to receive the stem cell transplant needed to save his life.

Raddatz's brother was told his coverage was canceled for failing to disclose that, unknown to him, a doctor had once noted in his file that a CT scan showed a small aneurysm and some insignificant gallstones.

Peggy Raddatz worked with the Illinois attorney general's office and eventually was able, after two appeals, to get her brother's coverage reinstated.

Insurance companies argue rescissions are relatively rare, but Waxman said the practice saved the companies $300 million over the past five years. Waxman said he and the insurers agree the solution to the rescission problem is to pass comprehensive health reform legislation.

The CEOs of Assurant Health, UnitedHealth Groups' Golden Rule Insurance Co. and WellPoint's Consumer Business also testified at the hearing.

Don Hamm, the CEO of Assurant Health, said his company regrets the "necessity of even a single rescission."

He said the company has a fair rescission investigation process: When the company becomes aware of a pre-existing condition that was not disclosed on a person's application, a senior underwriter reviews the information to determine if the omission was "material" to the underwriting decision.

A manager verifies the analysis. If the omission was not material, the review is complete, but if it was, the application goes to a review panel, which includes a physician. The panel evaluates the information and makes a decision. The amount of the claim is not revealed to the panel, Hamm said.

There also are multiple opportunities for a person to appeal -- including by means of an independent review panel, he said.

Richard Collins, the CEO of Golden Rule, noted that rescission "has long been recognized by the laws of virtually every state."

"Rescission is uncommon, but unfortunate, and a necessary recourse in the event of material, and at times intentional or fraudulent, misstatement or omission on an insurance application," he said.

Less than one-half of 1 percent of individual insurance policies were terminated or rescinded, he said.

Brian Sassi, president and CEO of Consumer Business, said WellPoint is proposing a set of rescission regulations with new consumer protections.

"In addition, the health insurance industry has proposed a set of comprehensive and interrelated reforms to the individual health insurance market as a whole. The centerpiece of this proposal is the elimination of medical underwriting, combined with an effective and enforceable personal coverage requirement," he said.

Members of the subcommittee grilled the CEOs on their rescission policies -- including the fact that some companies will not take on clients who have had insurance rescinded in the past -- but the companies maintained that rescission is not about cost.

Asked if they would commit to never rescinding a policy unless it was intentionally fraudulent, all of the CEOs said no, noting that a commitment like that does not coincide with the state laws and regulations they follow.

"Doesn't it bother you that people are going to die because you insist on reviewing a policy that somebody took out in good faith and forgot to tell you that they were being treated for acne?" Barton asked the panel of CEOs.

"Yes sir, it does, and we regret the necessity that that has to occur even a single time, and we've made suggestions that would reform the system such that that would no longer be needed," Hamm replied.

CNN's Kristi Keck contributed to this report.

@highlight

Robin Beaton's insurance rescinded her policy days before her mastectomy

@highlight

Hearing focusing on "post-claims underwriting" in individual insurance market

@highlight

Subcommittee grills CEOs on their rescission policies

@highlight

Insurance companies insist rescission is rare and people can appeal