(CNN) -- Recently, University of Illinois Chancellor Phyllis Wise, who is Asian-American, was bombarded with harassing tweets when she decided not to cancel classes at the Urbana-Champaign campus during January's severe weather.

Upset over the decision, some students attacked her with racial and gender slurs. The harsh hashtag-- #f---phyllis -- reinforced notions that the sexual domination and objectification of women are still major problems in our society and on our campuses.

Would the students have engaged in attacks on gender and race had the chancellor been a white man? Somehow, I don't think so.

There was no respect for Wise's position, nor her credentials -- but her high-visibility job made her stand out.

The duality of being hypervisible and simultaneously invisible is the latest identity quagmire that some highly accomplished women must navigate. They are hypervisible because they are often the only one of a few in their position -- thus, they stand out.

Yet because of their gender, and sometimes their race, their presence is not the norm, and others are not used to seeing them in these roles. Those same women who worked hard to climb the ladder to success sometimes find that they are out of place and unwelcome, rendering them invisible in certain situations.

It's almost as if they're saying, "I see you, but I don't respect you and therefore I'm not going to acknowledge you as a human being."

While women have moved into positions of power, they have not moved with ease.

It's perplexing, given women's accomplishments over the decades, that it continues to happen 50 years after the 1964 Civil Rights Act, which banned employment discrimination.

But it is also not new. Pioneering journalist Ida B. Wells was threatened with murder after speaking out publicly in the 1890s. She became hypervisible after she criticized the lynching of black men. When whites ransacked her newspaper office with the intent to kill her, she only escaped the attempt on her life because she was out of town.

Today, powerful, public women are not usually threatened with murder. But their opinions are often discounted, disregarded and dismissed -- or they are personally attacked.

#CNNWomen Tweetchat: Join the conversation on Friday March 7 at 5pm ET/10pm GMT

In my research on the experiences of black women television news managers, I discovered this same dichotomy. On the one hand, these executives are highly recruited for their production and management skills.

On the other hand, a little more than one-third of the 40 women interviewed described feeling invisible in editorial meetings where their ideas were not always given full credit until they came from someone else, usually a white man.

This rendering of women's ideas and personhood as invisible has consequences.

Psychologist Derald Wing Sue calls these subtle and not-so-subtle snubs "microaggressions" and says they can lead to higher stress levels and more illness.

As highly accomplished women move into spaces previously reserved for men, they might face more of these microagressions, which are often magnified in a social media, Internet age.

As college classrooms become increasingly female with more students of color, how can we teach that hard work and persistence will get them noticed, when the truth is, it might simultaneously render them invisible?

How do we stop the disrespect?

First, we must acknowledge it and say it's wrong. Silence is not an option. This is what Phyllis Wise did when she wrote an essay addressing the hateful tweets. "What was most disturbing was witnessing social media drive a discussion quickly into the abyss of hateful comments and even threats of violence," Wise wrote in Inside Higher Ed.

Secondly, we must continuously teach that the disrespect of women online or in person will not be tolerated. The University of Illinois example reminds us that if cyberharassment can happen to a woman as highly accomplished as Wise, all women are vulnerable. There is an urgent need to educate.

Lastly, we must continue to see ourselves as leaders, regardless of whether others are used to seeing us in that role.

Only when women in positions of power become the norm will they be able to fully exercise that power.

The opinions expressed in this commentary are solely those of Ava Thompson Greenwell.

@highlight

A recent attack on a university leader shows how public women are personally attacked

@highlight

Ava Thompson Greenwell writes that women haven't made easy moves into power

@highlight

Greenwell: Women in power have a dual existence, hypervisible and often unseen

@highlight

Disrespect can be stopped by not remaining silent, Greenwell writes