Cairo (CNN) -- The legitimacy of Egypt's military-backed government is being put to the test as the country voted on a new constitution after years of political turmoil and deadly violence.

The result of the referendum won't be announced for another few days. But there's little doubt it will be approved by a landslide, since opposition has largely been silenced through intimidation and arrests.

After two days of voting, polls closed at 9 p.m. (2 p.m. ET) Wednesday, state TV reported, showing images of clear plastic bins being sealed with zip-ties.

The question is whether the voter turnout will be high enough to bolster the government that took power after the military ousted former Muslim Brotherhood leader Mohamed Morsy from the presidency last year.

A strong participation would translate into support for Gen. Abdel Fattah el-Sisi, the military chief behind the coup and interim government.

If the draft constitution is passed, elections are expected to follow. Some predict el-Sisi will run for president.

Observers are watching to see if participation is above 33%. That's the percentage of voters who turned out for the former Islamist-backed constitution.

Military rule popular with Egyptians, study finds

Violence on Day 1

Egyptian security forces arrested 125 people on the second day of voting, the official news agency MENA reported. They were arrested for rioting and trying to obstruct the electoral process, MENA said.

The first day of polling was already marred by outbreaks of unrest. The Ministry of Health said nine people died Tuesday in violence related to the referendum.

Clashes were reported in several provinces. At least four were killed in Sohag and one in Beni Seouif in clashes between supporters of the Muslim Brotherhood and security.

Violations reported by rights groups monitoring the vote ranged between campaigning for "yes" votes inside or near polling stations and preventing Christian voters from reaching polling stations in parts of Upper Egypt, which has a history of sectarian strife and is known for the strong presence of Islamist groups.

Tuesday's deaths were the latest twist in three years of political upheaval marked by two presidential departures and hundreds of deaths.

Deep political divide

The referendum is the first national vote since the ouster of the democratically elected President Mohamed Morsy. The proposed text would change the constitution to ban religious parties and give more power to the military.

A deep political divide is evident between supporters of the interim military government and defenders of Morsy.

Plenty of people voting at polling stations Tuesday expressed support for el-Sisi and the draft constitution.

"Egyptians' vote today shows that they are completely against the former regime and they welcome the road map," said Riham Emam.

But others say that voices of dissent have been muzzled.

"The scary part is that opposition is no longer tolerated, even for political parties," said Khaled Dawoud, a spokesman for the liberal Constitution Party.

Authorities have cracked down on the Muslim Brotherhood since Morsy's ouster, rounding up the movements leaders and making membership illegal.

Opinion: Is Egypt back where it was in 2011?

Constitutional changes

Egyptians voted on the last constitution in December 2012, while Morsy was still in power. But that constitution was suspended after the military deposed him in July.

The latest proposal differs from the last constitution in several ways.

Some say the draft constitution would mean improved human rights and freedom of expression. The new version explicitly states that women are equal to men and allows them to hold official and judicial posts, Al-Ahram said.

The new articles would also give parliament the right to impeach the President in the event of a breach of the provisions of the constitution, Al-Ahram said. Other new articles would criminalize torture, discrimination and arbitrary forced displacement.

Critics say the latest draft would give too much power to the military without any civilian oversight. For example, the draft gives tremendous leeway to the army to try civilians in military courts -- something many Egyptians have opposed for years.

Morsy's opponents said he was a tyrant trying to impose conservative values, but Morsy's supporters say that the military has now returned to the authoritarian practices of longtime ruler Hosni Mubarak, who was deposed in a popular uprising in 2011.

Hundreds died in clashes between Egyptian security forces and Morsy supporters in the weeks that followed his ouster.

Morsy has been in detention since July and faces charges of inciting the murders of at least three protesters outside the presidential palace in 2012. The protests were over the constitution that Morsy shepherded into effect.

Ian Lee reported from Cairo, and Jethro Mullen wrote from Hong Kong. Reza Sayah, Tom Watkins, Saad Abedine, Salma Abdelaziz, Holly Yan, Sarah Sirgany, Richard Allen Greene, Laura Smith-Spark and Marie-Louise Gumuchian contributed to this report.

@highlight

NEW: Polls close after two days of voting on a draft constitution

@highlight

Security forces arrest 125 people on second day of vote, first day marred by violence

@highlight

The draft constitution would put more power in the hands of the military

@highlight

Hundreds have died amid political turmoil in Egypt over the past three years