(CNN) -- What if, instead of picking up a smartphone or touching a mouse, you could just say, "Remind me to buy shampoo," "Play some bluegrass music," or "How many moons does Saturn have?" in the middle of your living room?

Last week, Amazon unveiled an unusual product, Echo. It's a $199 stand-alone smart speaker with a splash of Siri and no screen. It has a far-field microphone that can hear a voice clearly from across a room. Utter the keyword "Alexa," and the speaker's virtual assistant springs to life, ready to answer questions, provide news updates and set personal reminders.

It takes the intelligence and voice-recognition of Siri and puts it someplace unexpected, inside a smart home device. Even when it's alseep, Echo is still listening for the trigger phrase that will turn it on and start streaming your voice to the cloud.

If a music speaker can listen and reply to your voice, why not a connected thermostat like Nest? In a few years, we will fill our homes with "smart" clocks, refrigerators, TVs and security systems. Together, they'll help voice assistants break out of single devices to be available anywhere in your house, car or workplace.

The biggest tech companies are betting that these voice-activated interfaces will be the next major way we interact with our computers. Amazon's Alexa joins Apple's Siri, Microsoft's Cortana and Google's, well, Google in a race to be the dominant speech assistant.

Apple's Siri has an optional always-listening mode called "Hey Siri" but it only works when the device is plugged in. The Moto X and Kinect for Xbox 360 also offer perpetual listening for their voice controls.

"Over the past decades, there has been a series of 'battles' to gain market share at the point where users interface with computers," said Adam Cheyer, the co-founder of Siri.

It started with operating systems, then search engines and most recently app stores. Now those same companies, and some new players like Amazon, are looking ahead to voice interfaces that can communicate in natural sounding language.

"I think the major companies have to get into this game or risk not having direct interaction with a user," said Cheyer.

Amazon's attempt at building a phone failed, but the company is determined to be an entry point for the Internet. The Echo isn't available yet, but Cheyer thinks the company has the resources and experience to create a solid voice-activated assistant. It has also been quietly buying relevant companies like Evi, Yap and Ivona.

"Building a high-quality voice assistant with broad capabilities is not trivial and typically requires the expertise and resources of big companies like Apple, Google, Microsoft, with many Ph.D.s and machines and technologies," said Cheyer.

Most small smart-device manufacturers wouldn't be able to make their own interface, but down the line they might be able to license existing assistants. Cheyer's new company, Viv Labs, is working on an intelligent assistant that will be open to third-party developers.

Computers that understand regular spoken language and can follow instructions, even chat back, are big in science fiction, most famously Star Trek's "Computer," Hal 9000 and the recent film "Her." The computers of the future aren't just highly intelligent, they all seem to have fantastic, ubiquitous, invisible microphones.

We are still a long way from artificially intelligent assistants. But as voice-activated interfaces show up in more products like Echo, every corner of every room has the potential to be quietly listening for our next command.

@highlight

Amazon's new speaker Echo has a Siri-like smart assistant that is always listening

@highlight

More smart devices like thermostats and speakers are connecting to the Internet

@highlight

In the future you could walk into a room and give commands without touching anything