Princeton, New Jersey (CNN) -- Seen from the perspective of 2012, the stunning Broadway revival of "Death of a Salesman" offers a powerful reminder that economic policy and family values go hand-in-hand.

Although many current politicians like to separate these two issues, the economic foundation of the family is central to its long-term health.
In this classic play by Arthur Miller, premiered in 1949 to mesmerized audiences that had lived through the Great Depression, the protagonist is salesman Willy Loman, who is mentally broken down from his constant travel and struggle to make ends meet.

"A small man can be just as exhausted as a great man," says Loman's wife, Linda. Loman's son Biff is unable to find a job and fulfill his father's hopes. Biff and his brother, Happy, are worried about their father's mental health, which is rapidly deteriorating.

When Willy tries to find a job where he can stay in town to take better care of himself and his family, he ends up losing his job. The story disintegrates from there, culminating with Willy tragically committing suicide with the hope that Biff will use the life insurance money to start his own business.

Too often, politicians ignore the kinds of strains that economic problems cause for families.

As the historian Matt Lassiter argued in an essay in "Rightward Bound," a book I co-edited, the rhetoric about family values is rooted in conservative politics in the 1970s when political activists on the right and popular culture blamed sexuality and feminism, rather than unemployment and inflation, for problems at home.

The rhetoric from the 1970s has stuck.

Many conservative Republicans such as former U.S. Sen. Rick Santorum still define "family values" as having to do with matters of popular culture, abortion or sexuality. When the Republican primaries were still being actively contested, it was common to hear pundits argue that Mitt Romney represented the "economic conservative" in the contest and Santorum was the champion of "family values."

Indeed Republicans often attack Democrats as having little interest in family values while many Democrats shy away from too much talk about the family for fear of looking as if they are trying to appease the right.

But as Willy Loman's story makes clear, family values are as much about economics as culture.

Today, we're living with economic problems that have a direct correlation on our ability to nurture strong families. The first and most obvious is job growth.

The current sluggish recovery has left more than 8% of the work force without jobs, and millions of other Americans feeling that their futures are not secure.

When the men and women who run households don't feel that their jobs are stable, or they don't have jobs, tensions quickly mount over basic issues such as paying the rent or mortgage and buying food. According to a Rasmussen poll in 2011, 67% of Americans said that the economy was causing strains on their family.

The second economic source of instability comes from taking care of the old. Many Americans are struggling to deal with the generational squeeze of taking care of their younger children while helping their elderly parents as well.

These pressures are greatly affected by the health of Social Security and Medicare, two programs that play a vital role for middle-class families. While these policies are often discussed as programs for the "elderly," they have always been conceived as programs to help working families by providing them some relief from the basic costs faced by older members of their families.

In coming years, there will be a very big debate over the costs of these programs and the need for reform. It will be essential that policymakers in both parties do what is necessary to protect and strengthen the programs.

The third source of economic strain on the family comes from health care. Health insurance premiums and out-of-pocket costs have been a continually rising burden on family income that few people talk about.

If President Barack Obama's health care reform stands, then it will be essential that policymakers figure out how to make it successful. Central will be the need for the states to set up strong and functional health exchange systems and to make sure that the regulatory provisions in the bill are containing costs. If the program is deemed unconstitutional, policymakers in both parties need to go back to the drawing board to figure out how to improve the system.

Finally, there is education. Families are been run ragged by the challenges of higher education. The costs continue to rise even as income stagnates. Millions of Americans feel that the costs of higher education make college degrees impossible to earn. In this economy, a college education is vital to economic success.

Public policy most keep the interest rates on student loans at a reasonable level to make sure that families are not crushed by the pressures to finance college costs. The federal government must also make sure that states are financially healthy enough to support state colleges and universities.

Americans who are in their 20s and 30s struggling to pay off massive college loans are at a major disadvantage when it comes to setting up their own households. This is one area where Obama and Mitt Romney seem to be in agreement, with both parties promising that they won't allow the rates on student loans to increase on July 1.

During the 1930s, President Franklin Roosevelt always understood that family security could only result from economic security. This was a central theme of his presidency. As Roosevelt said upon signing Social Security in 1935: "We have tried to frame a law which will give some measure of protection to the average citizen and to his family against the loss of a job and against poverty-ridden old age."

But over the past few decades, we've lost sight of Roosevelt's words. It's time to rethink the notion of family values and remember, as the story of Willy Loman reminds us, that a strong family starts with a strong economy.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Too often family values are viewed as separate from economics

@highlight

He says 'Death of a Salesman' shows how families can be undermined by money woes

@highlight

Some politicians argue that family values are about sexuality and pop culture, Zelizer says

@highlight

He says government must preserve programs that support families