(CNN) -- There are many ways to lose or ruin your smartphone. Forgetfulness, crime, gravity, anger, intoxication, acts of God.

The devices are increasingly tied into our lives, and being without them can be a huge loss. They're also not cheap, especially if you're not eligible for a carrier-subsidized upgrade.

But between theft, water damage and our own clumsiness, accidents happen. Here are some stories of smartphone woes. Share your own in the comments.

Thieving

Smartphones are easy to spot, steal and resell, making them a popular target for thieves. Mobile apps have been created specifically for tracking down misplaced or stolen mobile devices, and police are learning to handle the cases.

The year 2008 was a different time -- there was not yet a Find My iPhone app to aid vigilante justice. That's the year Jessica Jenkins, a 5-foot-1 broke grad student, splurged on and was quickly separated from an iPhone 3G.

While riding the 6 train in New York City late one night, Jenkins took out her new phone and started playing a maze game.

"Normally I was careful to keep the phone out of sight while traveling, but it was late and I was bored and, like a little kid with a Gameboy, excited to play all these new games," said Jenkins.

Suddenly, a teenage boy about twice her size ran past, grabbed the phone out of her hands and dashed through the train door. Jenkins chased the thief full-speed and managed to grab him by the shoulder, but he got away with her phone.

When Jenkins called the NYPD, officers were more concerned about her physical well-being than the fate of her smartphone. Angry but unhurt, Jenkins took the subway home where she still had an old Nokia bar phone. She immediately reactivated and dropped $5 on Tetris for the "dumb" phone. ("I am really, really good at cell phone Tetris.")

Jenkins stuck with feature phones until 2011, after her heart and wallet had time to mend, but she's still incredibly cautious in public.

Now she lives in the Bay Area, where she works as an immigration lawyer. She never takes the iPhone out on San Francisco public transit, except for Caltrain, which ferries many workers to and from their jobs in Silicon Valley, because it "somehow seems safer since it looks like an Apple commercial on there during rush hour."

Drowning

Smartphones and water do not mix. But 70% of our planet's surface is covered with the stuff, so statistically they're bound to meet.

Photo producer Amber saw not one but two of her iPhones die watery deaths, one glamorous and one in a toilet.

While working on a photo shoot in Bordeaux, France, she was (playfully) pushed into a pool with a smartphone still in her pocket. The phone was her primary way of communicating with everyone working on the shoot. She took it to the Apple store in Paris, but they couldn't revive the phone. She ended up borrowing an older iPhone 3G to use the rest of the trip.

Cut to two years later, when Amber's adventurous 1-year-old daughter decided to toss mom's iPhone 4 in the toilet. She somehow firmly lodged it into the drain, where it became stuck.

"I'm trying to pull it out before the phone is 100% damaged, trying every tool known to man as fast as possible. The 1-year-old is jumping all excited at the show, screaming because she wants to play with me in the toilet," recalls Amber.

It didn't work. The phone stayed stuck until her husband came home eight hours later. Photos of the wee phone-destroyer's first birthday party were all lost.

Amber wasn't eligible for a new phone yet, so she had to pay full price for a new device. She also sprung for Apple Care and a $90 waterproof case.

Though it didn't work with Amber's phones, sometimes a device can be revived after getting wet. One common remedy is to make sure the phone is off and submerge it in uncooked rice overnight, which will draw out the moisture.

Breaking

We've all seem them, the people with cracked screens who still use their smartphones. Usually the cracks just create a little web over the screen, and the phones are still perfectly usable. But not all the time.

CNN iReporter Terry Balmer, a 20-year-old college student, was hanging out on his roof with friends when he placed his phone down in what he thought was a secure spot. He did not consider the dangers of receiving a text while the phone was on vibrate. Yes, a few minutes later he watched his phone slide down the rooftop and plummet to the ground.

"Hearing the phone hit the cement below was one of the most gut-wrenching sounds I had ever heard, and I don't think anyone has ever climbed down from a rooftop as fast as I did that night," Balmer told iReport.

The damage wasn't fatal. The phone still worked, but the glass was cracked and all but one section of the screen had gone black. Even black, the touch screen still worked. Amazingly, Balmer found a way to make the phone usable.

To read a text message, he would take a screenshot, go into the Photo Roll, and move the image around to read what it said. Unable to see the keyboard, he typed from memory. To make a call, he had to have a person's number memorized. And to listen to music, he learned to navigate through his collection by memory.

He even uses it as a camera, explaining, "I just have to kinda guess what I'm taking it of but it usually works out and they all turn out normal on my laptop."

It's been seven months, and Balmer is still using his iPhone. At first he didn't replace it because he was broke, but now he's grown attached to it.

"Over time this phone has become almost a part of me (as weird as that sounds). I just can't believe that it has survived this long so I feel bad just pulling the plug on it."

Repairing

Balmer's experience is not unusual. Oftentimes smartphones are, in the words of Miracle Max, "only mostly dead." You can learn to cope with your hobbled device, you can drop money on having it fixed by a professional or you can attempt to fix it yourself.

While attempting to grapple with a screaming child and a car seat, Brian Buizer dropped his month-old Evo 4g smartphone, and its screen shattered. (If there is a theme here, it is that children are bad for the health of smartphones). The company wanted to charge Buizer $150 to replace the screen on his $200 phone.

He decided to replace the cracked screen himself using instructional videos on the Internet, a $20 replacement screen and a set of small drivers and pry tools. The surgery took just over an hour, but there was a small crack in the frame that held the glass. Over the past year and half, a fine white dust found its way into the phone through that crack, settling between the glass and touch pad, accumulating in the center of the screen where he scrolls most.

"I am guessing this is from static build up. Whatever causes it, I now have a hazy white spot directly in the center of my screen, said Buizer. "Needless to say, I can't wait for my new iPhone to arrive."

Tinkering

Finally, there are the people who bring on the damage themselves. The tinkerers, the geeks, the dreamers.

Designer Eliza Wee likes to mess with her devices, but admits she doesn't always know exactly what she's doing. The first time she tinkered under the hood of a smartphone, everything worked out just peachy.

She decided to root her Evo phone (rooting is a way of getting total control of the operating system, bypassing pesky safeguards and limitations put in place by the company that made the phone). She also put a custom ROM -- a standalone, customized version of the Android operating system -- onto the phone. She got the phone to work on a different carrier and was quite pleased with the results.

Her next phone was a Motorola Triumph. It was on Virgin Mobile, since she was on a mission to try out all the low-end phone carriers. She rooted the phone successfully again, but when she put on a custom ROM, something went horribly wrong. The external hard drive was no longer accessible and her phone was bricked.

"Genius that I am, I did all that two days before a work trip," said Wee. "I went to the Sprint store, and signed my life away for two years, after being license-free for years."

iPhone 5 users complain about purple photos

@highlight

Forgetfulness, gravity and clumsiness are just a few ways to lose or ruin a phone

@highlight

Here are some sad stories of smartphone woes

@highlight

One woman had her new phone snatched on the New York subway

@highlight

A man placed his phone on a roof and watched in horror as it slid off