(CNN) -- The Syrian cab driver tolerated beatings, arrests and daily indignities during the country's 16 months of turmoil.

But after a rocket struck his house in the Daraa province city of Herak last week, the man and his family finally had enough.

The 29-year-old Sunni man, his wife, two young daughters and other relations left their homes on July 16 and embarked on a journey at night to the nearby Jordanian border.

He was among the more than 120,000 people who've fled to the neighboring countries -- Turkey, Iraq, Lebanon and Jordan -- to escape the warring in Syria.

Syrian military stretched amid defection, fighting

The U.N. High Commissioner for Refugees, Antonio Guterres, on Friday expressed his growing concern for the dramatic flight.

"With the spread of deadly violence, I am gravely concerned for the thousands of Syrian civilians and refugees who have been forced to flee their homes," Guterres said.

The driver's story punctuates the misery across the restive nation, engulfed in what is now regarded as a civil war between Syrian President Bashar al-Assad's government and its foes.

The cabbie is one of millions who have had to wrestle with whether they should brave staying or resort to leaving. The man, who answered questions from CNN via translators at the Bashabsheh resettlement camp in Jordan, didn't want his name used. But he cited many factors that led to what was a spontaneous trip to the border.

"It had been increasingly difficult to work as a driver due to stricter and more frequent road checkpoints and fear of random arrests and imprisonment," he said. "Everybody in Daraa is being targeted by Syrian security because the revolution started there."

The miseries of daily life hit home, he said. "Shopping for milk for the children was risky. Medical care became inaccessible."

He had been apprehended twice, once in June 2011 when he was arrested in his taxi at a checkpoint and beaten up while taking a man to visit his wife, in labor at a hospital. Two months later, he was arrested while waiting in his taxi for three men in a money-exchange shop. Security officers accused the three of arranging a demonstration. They arrested the men and the taxi driver. The driver was beaten up.

Tide fleeing Syria swells

He was scared about the psychological well-being of his daughter, growing anxious over the sounds of gunfire and war. He thinks that his participation in peaceful demonstrations may have put him at great risk. He and his family, along with two of his sisters and their children, went to an assembly where the Free Syrian Army helps fleeing Syrians.

Women and children traveled to the border in vehicles and the men walked as the Jordanian army waited for them to arrive.

The cab driver said he and the other refugees regularly commiserate about life.

"The greatest difficulties are leaving houses, their country and their life. It is difficult to accept, but there is no choice because of the children," the driver said. "Seeking asylum is the worst thing in life."

U.N. refugee officials, neighboring governments and non-governmental agencies have been working to help refugees, and the United Nations recently launched a drive for $193 million to help refugees. The plan has received about a quarter of the amount needed.

Syrians have been trickling out of the country during the conflict but those numbers have tripled since April, the U.N. refugee agency said.

The latest U.N. number is that as of Wednesday, 120,000 have sought protection but the refugee agency says the local governments count many more.

Time to drop the Annan plan

The number of Syrians now in camps in Turkey has surpassed 43,000, disaster and emergency officials from that country said.

The U.N. refugee agency said recently it has registered well over 30,000 in both Lebanon and Jordan. But the flight is fluid. There are reports of 8,500 to 30,000 people crossing into Lebanon in a two-day period. More than 8,000 have crossed the border into Iraq.

"I am extremely grateful Jordan, Lebanon, Iraq and Turkey have maintained open borders," Guterres said.

One irony is that Iraqis who had fled to Syria because of war and instability have been touched by the unrest. Some, for example, have had to flee the Damascus suburb of Seida Zeinab, and an Iraqi family was found dead in Damascus.

"I fear for the civilians caught up in the violence in Damascus, including the large Iraqi refugee population residing there," Guterres said.

Iraqi Prime Minister Nuri al-Maliki deplored the attack against Iraqis and urged his fellow citizens to return. He said on Friday those who don't "have blood on their hands" will be forgiven, a reference to violence during the war.

"We appeal to the United Nations to intervene promptly and in cooperation with the Syrian authorities to protect Iraqis and help them and to facilitate the process of return to Iraq," he said.

U.N. officials say they think the flight inside the country is greater than the flight across its borders. Maybe as many as a million have fled, but it is impossible to determine an accurate figure of internally displaced people, the U.N. refugee agency said.

As for the refugees, Panos Moumtzis, Syria regional refugee coordinator for the United Nations, said many cross through unofficial border points during the night.

About 75 percent of those registered by the United Nations are women and children, and most of them are Sunnis, who make up the majority of Syrians and a bulk of the opposition to al-Assad's regime.

Moumtzis said the sprawling and restive Homs province has been the top place of refugee origin. People have fled Damascus and its suburbs as well as Daraa in recent days as fighting persists.

People leave simply because they no longer feel safe. Many are destitute or have depleted savings and arrive with only the "clothes on their back."

Moumtzis said there's a "direct correlation between fighting and a wave of refugees."

"People escaped from areas where there's been heavy shelling," he said. "... They arrive quite traumatized and in an emotional fragile state."

They are relying entirely on humanitarian assistance, even though there are some employment opportunities, such as farm work in Jordan, he said.

The governments, the United Nations and non-government groups are providing food, schooling, and health care, and are steering refugees to or providing them with accommodations, either in camps or apartments.

Each country where people seek refuge poses different conditions and challenges. The security situation in Lebanon is extremely fragile, officials and observers say. There has been fighting in Tripoli between pro-Assad and anti-Assad groups.

Moumtzis said Turkey has well-organized refugee camps and the country has served as a passage for traveling to other nations. Cyprus is gearing up for third-country nationals as it did during the Israeli-Hezbollah war last decade.

Many of the refugees to Iraq are young Syrian Kurdish men who want to avoid military service. That group tends to go to Iraq's Kurdish region.

Some refugees are living with friends are families and don't register with the United Nations. Some fear Syrian government retribution if they sign up with the United Nations, creating a paper trail.

A 38-year-old salesman in the town of Dael, in Daraa province, left Syria with his wife and five children after the impact of a missile hurt her and another missile killed a neighbor. They immediately decided to flee Syria before their children were killed.

Living there had been an ordeal, as an environment once harmonious had become replete with attacks and funerals.

"Syrians used to live together -- Kurds, Christians and all Arabs without discrimination," but Assad is "planting discrimination," he said.

The Muslim call to prayer, he said, has been changed from "Allah Akbar" to "Assad Akbar."

He said pro-government Shabiha militia members once violently coaxed him to pray to al-Assad instead of God. He said "I love Assad" to cooperate, but wouldn't pray to him, even with a gun to his head.

The salesman followed his brothers' examples. One escaped to Lebanon and another to Saudi Arabia. But he worries that his married sisters are remaining in Syria and his parents refuse to leave.

"He would go back to Syria today if it were safe, but the reality is dangerous," the translator who spoke to the salesman said.

"Therefore, for now, he does not know where he will live; the problem is financial. A sponsor will not provide everything. He does not know about the cost of rent, cooking, etc. He does not know if he can support his family."

Why Syria could get even uglier

@highlight

There's a "direct correlation" between fighting and refugee flight

@highlight

Children's safety is a top factor in deciding to leave the country

@highlight

Iraq's PM asks Iraqi refugees in Syria to return home