An onslaught of fast-falling snow, whipping winds and bitter cold socked parts of the Northeast on Thursday, spurring a slew of travel woes, highway closures and worries that the headaches will only get worse as temperatures fall further.

This kind of weather, this time of year, in this region is nothing new: Connecticut's governor, for instance, noted the snow totals won't come close to the 40 inches that buried parts of his state last February.

At the same time, by Thursday night, it was already causing a mess -- whether you were waiting at an airport, had skidded off a road or were stuck at home hoping that your lights and perhaps your heat wouldn't suddenly stop working.

"Mother Nature has come to wish us happy new year," New York Gov. Andrew Cuomo said.

The nor'easter, forming off the East Coast of the United States, prompted blizzard warnings from Thursday into Friday for New York's Long Island, Cape Cod, Massachusetts' South and North Shores, plus communities along Maine's coast. Boston, for example, was already getting buried by snow late Thursday afternoon.

About one-third of the nation, approximately 100 million people in 22 states, was in the path of the storm, which was expected to be at its fiercest between 8 p.m. Thursday and 10 a.m. Friday, according to CNN meteorologist Dave Hennen.

Track the storm: Radar, temperatures

The complicated storm system "will raise havoc" this week, dumping a foot of snow and spreading subzero wind chills across parts of the region, the National Weather Service warned.

"Falling and blowing snow with strong winds and poor visibilities are likely," the Weather Service said. "This will lead to whiteout conditions making travel extremely dangerous. Do not travel."

Across the country, the nasty weather has snarled travel plans for many.

More than 2,200 U.S. flights had been canceled as of 10:45 p.m. Thursday, reported FlightAware.com, which tracks cancellations due to weather and mechanical problems. It's not like things will suddenly clear up: the same website reports that some 1,000 flights already have been canceled in advance for Friday.

Thursday's most affected airport was Chicago's O'Hare, with more than 650 cancellations in and out and about the same number of delays. Newark's Liberty International Airport, New York's LaGuardia and Cleveland's Hopkins also were affected.

Many airlines are allowing passengers to make fee-free itinerary changes for destinations expected to be affected by winter storms. Delta, American, US Airways, United, Southwest/AirTran and JetBlue have all posted weather advisories on their websites.

Inside some airports, would-have-been travelers scrambled to rearrange flights or find a place to stay knowing that some things were out of their control.

"The warning has been coming for a couple of days, so we expected it," a man from South Carolina said from Boston's Logan Airport, as he headed with his family to a hotel and, hopefully, a Boston Bruins game knowing they couldn't fly, reported CNN affiliate WCVB. "We are stuck, we'll make the best of it."

Brenda Kopytko is luckily home in South Windsor, Connecticut, having ventured out into the snow earlier. A New England winter veteran, she's taking it in stride -- "This is nothing" -- if not the possibility of strong winds and power outages, particularly after being in the dark for nine days after last winter's storm.

"Once the winds start going and the branches start snapping, then I get a little nervous," Kopytko said.

Here's a breakdown of what to expect where:

New York and Long Island

As of Thursday night, New York City was under a winter storm warning, as were many other densely populated areas in seven other states.

The city of 8 million people could get 9 inches of snow, subzero wind chills and turbulent winds, forecasters said.

New York City is expecting to see 6 to 12 inches of snow overnight, with more possible on Long Island, where Nassau and Suffolk counties will be under a blizzard warning until 1 p.m. Friday, with predictions of 8 to 10 inches of snow, wind chills as low as 10 below zero and sustained winds of at least 35 mph.

Bitter cold will follow, with temperatures in the single digits by Saturday morning.

Upstate, the capital city of Albany could get buried under 14 inches of snow, with wind chills of 15 to 25 below zero, the National Weather Service said.

Cuomo declared a state of emergency for all of New York shortly after 3:45 p.m. Thursday, one of several steps taken to try to minimize the wild wintry weather's toll.

Among them is shutting down parts of Interstate 84, an east-west highway that goes from Connecticut to Pennsylvania, to commercial vehicles late Thursday afternoon, with nearby I-87 south of Albany closing at midnight.

That's the same time the Long Island Expressway -- in a different part of the state -- will close to traffic at the border between Nassau County and the Queens borough of New York. The hope is to reopen all these roads around 5 a.m., though that timing is very much subject to change.

"We'll make sure no one is in a state of danger on those roads," said Cuomo.

Massachusetts

By Friday night, Boston is expected to be covered by 10 to 18 inches of snow, about twice the amount forecast just one day ago, and shivering in temperatures as low as 6 degrees below zero.

Citing likely "near blizzard" conditions Thursday night into late Friday morning, the state's emergency management agency warned that some areas could be hit hard -- including up to two feet of snow on parts of the North Shore and South Shore, as well as Cape Cod.

The forecast was so bad for Boston that the city canceled school for Friday two days in advance, with scores of other school districts quickly following suit.

"I guess Mother Nature wanted to give me one more gift," Mayor Thomas Menino told reporters Thursday in one of his last days in the job he has held since 1993.

"Take precautions and take public transportation and take care of one another," he urged. But, he added, the city was doing its part, with 700 pieces of equipment on city streets. "Our team is ready," he said.

The combination of extreme cold, snow and strong winds had officials at homeless shelters preparing.

"Our main emphasis is getting people inside, where it is safer and warmer," said Jennifer Harris, a spokeswoman for the Pine Street Inn shelter system in Boston, where a snow emergency has been declared. "Pine Street Inn is making sure to have extra staff and food and water. We are geared up to provide to a greater number of people."

Blizzard warnings haven't been issued for Boston itself, but are in effect for parts of nearby Essex and Plymouth counties -- including the communities of Gloucester, Brockton and Plymouth -- as well as the Cape.

Because of the storm, the state Emergency Management Agency warned that the midnight and Friday midday high tides could produce "significant flooding" along the coast. To this point, the towns of Scituate and Duxbury requested voluntary evacuations for residents of certain low-lying areas.

Connecticut

Wind chills in parts of Connecticut are expected to range from -5 to -20 degrees Thursday night and Friday; the National Weather Service issued winter storm warnings for most of the state through Friday morning.

Connecticut Gov. Dannel P. Malloy urged residents to take it slow and give themselves extra time for their commutes Thursday and Friday. He said he expects there will be delays, but not cancellations, in public transit.

Addressing reporters, Malloy said the worst time for the state would be overnight -- between 10 p.m. and 2 a.m., when there could be blizzard conditions. Still, the storm's impact could linger well beyond that if roads are blocked or the electricity goes out.

He acknowledged that this kind of weather is hardly unprecedented in Connecticut this time of year. Still, the governor added, what sets this system apart is the frigid temperatures forecast for the coming days.

That's a big concern throughout the region, especially for the homeless and people stranded -- whether along a road or inside without adequate heat or power -- by the bad weather.

"(This) is not a big New England storm, but it is a particularly cold New England storm," Malloy said.

Chicago and points beyond

Seven to 11 inches of snow were possible Thursday in Chicago, according to the National Weather Service. Windy City residents will feel frigid temps -- wind chills during the day Friday will creep down to minus 12 -- and emergency director Gary Schenkel said more snow is possible later in the week.

Though snow in Chicago in the winter is a common event, it "can still wreak havoc on daily routines," he noted.

Next week could be no better for some U.S. residents.

A new shot of colder air will start to move into the northern Midwest by Saturday and will dive south Monday and Tuesday, carrying zero-degree cold as far south as Nashville. "That's the coldest air we've seen that far south in several years," said Hennen, the CNN meteorologist.

The cold air will kick off a new storm Sunday into Monday that could affect a number of high-profile NFL playoff games this weekend.

In Wisconsin, the Green Bay Packers will give a cold welcome to the San Francisco 49ers on Sunday, when temperatures could bottom out at -17.

But it will be relatively balmy Sunday in Cincinnati, where snow and rain are possible when the city's Bengals host the San Diego Chargers in another NFL playoff matchup.

Of course, while the players might not have a choice, fans don't have to brave the cold for either game. The big worries are for those who travel in the coming days. Authorities in New York, for example, said they may shut the Long Island Expressway if whiteout conditions make driving along the east-west highway too perilous.

Kevin Willims isn't taking any chances, nor is he predicting a world-ending storm. The New Yorker said he plans to sit tight and let Mother Nature do her thing.

"There's not much you can do," Willims said. "When it's snowing and these streets lock up, there's really nowhere you can go, so it's best to just stay in."

That sentiment was echoed by James Montford, who told CNN Boston affiliate WHDH that he is looking forward to creating some art in the comforts of home.

"This a great day to kind of hunker down," Montford said.

@highlight

Midnight, Friday's midday high tides could produce coastal flooding in Massachusetts

@highlight

Website: Over 2,200 U.S. flights are canceled Thursday; about 1,000 so far Friday

@highlight

Parts of New York, Massachusetts and Maine are under blizzard warnings

@highlight

In addition to the snow and wind, frigid temperatures are a major concern