(CNN) -- European delegates got an unusual reprieve at the United Nations General Assembly on Wednesday when the Iranian President offered them no reason to get up and walk out, a move that has become a bit of tradition for western delegations.

Mahmoud Ahmadinejad has a history of controversial statements, but in his eighth and final appearance in front of the assembly's iconic green marble podium his tone seemed to shift from blustery to almost conciliatory.

He said Iran was committed to peace, though he also accused world powers of double standards in pursuing an arms race.

Ahmadinejad then told delegates that Iran has a "global vision and welcomes any effort intended to provide and promote peace, stability and tranquility" in the world.

Bill Clinton not persuaded by Iran on nuclear weapons

The world is at a "historic juncture" now that Marxist systems are virtually gone and "capitalism is bogged down in a self-made quagmire," he said, which could allow for other nations to "play a more active role" in global decision making.

However, the seats set aside for the U.S. delegation were empty as he spoke. The Canadian delegation also did not attend the speech, and Israel's representatives were absent in observance of Yom Kippur.

"Over the past couple of days, we've seen Mr. Ahmadinejad once again use his trip to the U.N. not to address the legitimate aspirations of the Iranian people, but to instead spout paranoid theories and repulsive slurs against Israel," said Erin Pelton, a spokeswoman for the U.S. Mission to the United Nations.

Earlier this week, the Iranian leader stoked controversy at the session when he declared that Israel has "no roots" in the Middle East.

But on Wednesday he offered a more subdued discourse, after being widely expected to serve up a rebuttal to a series of sharp jabs from Western leaders, who accused him of fostering instability in the region by backing international militants, supporting Syria's embattled president and forging ahead with its nuclear program.

Though Iran says its program is for peaceful purposes, Western leaders believe Tehran wants to build a nuclear weapon. U.N. inspectors have also expressed doubts about the program's aims.

Iran's president talks Israel, slams homosexuality

Still, Ahmadinejad managed to draw American ire with generalized comments about its election spending as well as with comments about inequality of U.N. leadership.

He also told delegates that the body should be restructured, noting that many global issues are the result of poor management, and that "self-proclaimed centers of power ... have entrusted themselves to the devil."

An "arms race and intimidation by nuclear weapons and weapons of mass destruction by the hegemonic powers have become prevalent," he added, noting that Iran has now found itself under threat.

"Continued threat by the uncivilized Zionists to resort to military action against our great nation is a clear example of this bitter reality," he said. "A state of mistrust has cast its shadow on the international relations, while there is no trusted or just authority to help resolve world conflicts."

Though Ahmadinejad's speech was not as provocative as some had predicted, his presence in New York nonetheless drew demonstrations outside the United Nations, with Gotham's former Mayor Rudy Giuliani among the speakers.

"I'm here to oppose Ahmadinejad and (Syrian President) Bashar al-Assad," said Ahmad Tawfik, an 18-year-old protester from Ottawa. "I lost a friend last week, and he was killed by Assad's regime with Ahmadinejad's weapons."

President Barack Obama, who's campaigning for re-election, blasted the Iranian president the previous day, suggesting that Iran and Syria are on the losing end of a sweeping tide of democracy in the region.

A viewer's guide to the assembly

The United States "will do what we must to prevent Iran from obtaining a nuclear weapon," Obama said Tuesday, reminding other leaders in attendance that a "nuclear-armed Iran is not a challenge that can be contained."

World leaders this week continue to discuss a range of issues, including poverty, global warming, women's empowerment and the prospect of renewed conflicts in sub-Saharan Africa.

But Syria's 18-month civil war and renewed violence in the Middle East and North Africa are expected to continue to dominate the session.

British Prime Minister David Cameron joined the chorus of voices at the U.N. Wednesday who oppose turning a "deaf ear to the voices of suffering" in Syria.

A range of other global issues were also raised over the course of the day.

Japanese Prime Minister Yoshihiko Noda made an indirect reference to his country's ongoing territorial disputes, which include a tense standoff with China over a set of islands in the East China Sea.

States have a responsibility to guarantee peace, ensure the safety of their people and protect their sovereignty on land and at sea, Noda said in his speech to the assembly.

Japan will "fulfill such responsibility in accordance with international law," he said, calling for greater adherence to the "rule of law" by other nations. Noda noted that there are "a number of territorial and maritime disputes in many parts of the world."

His speech didn't specifically mention Tokyo's island quarrel with Beijing, which has provoked violent anti-Japanese protests in China and soured diplomatic and economic ties between the two nations.

Meanwhile, U.N. Secretary-General Ban Ki-moon sought to keep world attention focused on the worsening crisis in North Africa's Sahel region, which has been plagued by a deadly mix of drought, famine and Islamic militancy.

"The Sahel is at a critical juncture," he said Tuesday. "Political turmoil, extreme climatic conditions and fragile economies are combining to create a perfect storm of vulnerability."

"The people and governments of the region need urgent international support," he added.

Mali's prime minister said Wednesday at the U.N. that his country has requested the adoption of a U.N. Security Council resolution authorizing military force to help retake the northern part of his country.

Following a military coup in the capital in March, Islamists seized control of roughly two-thirds of the Texas-sized nation.

Mali, seen as a stable democracy and an example for other less stable countries in the region, was thrown into chaos.

Obama stresses use of diplomacy, humanity during speeches in N.Y.

Earlier Wednesday, Yemeni President Abdu Rabu Mansour Hadi took the podium, reaffirming his nation's commitment to the fight against Islamic militants. But he also offered to talk with extremist groups, including al Qaeda, provided they put down their weapons and repent.

President Mohamed Morsy of Egypt also addressed the assembly Wednesday, marking what is regarded as an important foreign policy speech for a nation still reeling from the effects of a popular revolution that brought down Hosni Mubarak, a longtime U.S. ally.

Morsy used the opportunity to draw attention to the issue of Palestinian statehood, calling for "measures to put an end to colonization, occupation, settlement and the alteration in the identity of occupied Jerusalem."

He also sought to contextualize recent violence in the region after an anti-Islam film spawned protests and attacks against U.S. diplomatic facilities across the Middle East and North Africa.

Egypt will work to strengthen "mutual understanding between Islamic countries and the rest of the world," he said, and get rid of the "causes of misunderstanding used by fanatics on both sides to wrongly prove that differences between us are great."

Five big issues at the U.N. General Assembly

CNN's Laura Smith-Spark, Richard Roth, Joe Vaccarello and Kiran Khalid contributed to this report.

@highlight

NEW: Japan will protect its sovereignty on land and at sea, Prime Minister Noda says

@highlight

Mali PM says his country is seeking a U.N. Security Council resolution to quell uprising

@highlight

U.S., Canadian, Israeli seats empty during Mahmoud Ahmadinejad's speech

@highlight

Ahmadinejad stirred controversy at the session when he said Israel has "no roots" in Middle East