(CNN) -- A leading humanitarian group says Sunni and Shiite militias in Iraq are pulling displaced people into their movements because governments and international entities are failing to adequately address their plight.

Two Shiite militiamen take up combat positions during recent clashes with Iraq security forces.

Refugees International underscored that development in a report issued Tuesday titled "Uprooted and Unstable: Meeting Urgent Humanitarian Needs in Iraq."

The report says the United States, the government of Iraq and the international community aren't doing enough to address the daily problems faced by the 2.7 million internally displaced Iraqis, who have fled homes in war-torn regions to other places in Iraq. Those people find themselves unemployed in their new locations and many times unable to access food and health care.

"As a result of the vacuum created by the failure of both the Iraqi government and the international community to act in a timely and adequate manner, non-state actors play a major role in providing assistance to vulnerable Iraqis," the report says.

Social services are being provided by "militias of all denominations" that want to build their groups, with Muqtada al-Sadr's political movement using a Hezbollah model to set itself up "as the main service provider in the country." Hezbollah, the Lebanese Shiite militant group labeled a terrorist group by the United States, has built a large base of support with its social service network.

"Similarly, other Shiite and Sunni groups are gaining ground and support through the delivery of food, oil, electricity, clothes and money to the civilians living in their fiefdoms.

"Not only do these militias now have a quasi-monopoly in the large-scale provision of assistance in Iraq, they are also recruiting an increasing number of civilians to their militias -- including displaced Iraqis," the report said.

The report says al-Sadr's militia, the Mehdi Army, has resettled displaced Iraqis "free of charge in homes that belonged to Sunnis."

"It provides stipends, food, heating oil, cooking oil and other non-food items to supplement the Public Distribution System rations which are still virtually impossible to transfer after displaced Iraqis have moved to a new neighborhood, though it is easier for Shiites to do so," the report says.

Refugees International visited a Sadrist office in Baghdad's Ur district and observed residents providing "clothing, milk, oil, rice, sugar, clothes and fuel for heating and cooking when supplies are available." The Sadrists also adjudicate legal disputes among citizens and give stipends to families of displaced people and slain or jailed Mehdi Army fighters.

The report says Sunni militias also play a similar role in helping needy and displaced Sunnis, though there is less organized help.

"Sunni militias also handle the distribution of key items such as heating gas. As Sunnis in Baghdad get virtually no electricity or other services from the government, they rely on local militias and warlords to secure their areas and manage what services they can obtain."

The displaced have joined "awakening" groups -- the "U.S.-backed militias" dominated by Sunnis. Those groups provide security duties, such as guarding checkpoints, and many of them have been getting paychecks from the United States.

The U.N. refugee agency says the displacement crisis caused by the war in Iraq is the most significant in the Middle East since the population changes that occurred during the 1948 creation of Israel. Along with the 2.7 million internally displaced people, there are more than 2 million Iraqi refugees -- mostly in Syria and Jordan.

The report slams the government of Iraq as being "unwilling" and "unable" to address such humanitarian issues -- "lacking both the capacity and the political will to use its important resources to address humanitarian needs."

"The little assistance provided by the government is perceived by most as being biased in favor of the Shiite population, especially when it comes to the delivery of government services such as electricity or food ration cards from the Public Distribution System," the report says.

The report adds that the "international community has largely been in denial" about the dire humanitarian situation in Iraq.

"Only recently has the United Nations issued a common humanitarian appeal for Iraq, recognizing the nature of the situation and the need for all agencies to step up and address humanitarian needs." E-mail to a friend

@highlight

Humanitarian group says Shiite, Sunni militias recruiting displaced Iraqis

@highlight

Muqtada al-Sadr's group using Hezbollah as model, report claims

@highlight

United States, Iraq, global community not doing enough for displaced, report adds