Washington (CNN) -- No science or religion can accurately predict what will happen in Congress.

But looking plainly at the political chess board and listening to sources on Capitol Hill, there is plenty of reason to think that a shutdown of the federal government won't happen, at least not next week.

Here's why:

Politics. And blame. And 1996.

"Let's put it this way," Sen. Orrin Hatch, R-Utah, told CNN. "I'm not about to shut down the government and have Republicans take the blame for it. It's just that simple."

Bluntly, many Republicans fear they will be blamed for a shutdown, just months before a big congressional election year. This makes them highly motivated to find a way to keep government running. A CNN/ORC poll in mid-September showed 51% of people would hold Republicans in Congress responsible for a shutdown versus 40% for President Barack Obama.

House Speaker John Boehner, R-Ohio, might already be in this camp. He initially proposed a spending bill that would have avoided a standoff. Conservatives forced him to go to war with a different version fully defunding Obamacare, but Boehner's opening move was an important signal that he wants to sidestep a shutdown.

Main Street fed up over Beltway shutdown battle

There may be some learned behavior from history here, too. "I saw this movie before, I saw what happened before," said Sen. John McCain, R-Arizona, talking about the sting Republicans felt after the shutdowns in 1995 and 1996. "That's what happened the last time we tried this," he concluded.

Bottom line: Ideal or not, Congress runs on political currency. And multiple House GOP aides tell CNN that the majority of the Republicans in their conference fear a shutdown would cost them with voters.

The next fights

Republicans are divided over how far to take the Obamacare battle right now. And GOP leaders also are preparing a second Obamacare fight during the upcoming debt ceiling debate. So, they have the option of dropping the anti-Obamacare push from the shutdown debate now and instead including it in the debt ceiling fight coming up.

At the same time, Democrats are eager to get past the shutdown debate so they can move on to the debt ceiling and start to deal with yet another fight: budget cuts slated to hit in January at the latest.

The numbers

Republicans have 233 members in the House, 16 votes more than a majority. Those 233 are divided over how far to take the Obamacare fight, over whether to ultimately shut down government in the name of defunding the health care law.

This year, funding measures repeatedly have passed the House of Representatives with a bipartisan coalition. Take a look at the Superstorm Sandy funding vote. Or the last debt ceiling increase. Or the March vote to avoid a government shutdown. Sure, every vote is different. But a bipartisan safety net has magically rolled out during the last funding standoffs.

Deadline pressure

Something happens in the day or two before a potential shutdown. Whatever the atmosphere and seemingly-firm positioning now, things will ramp up fast if Congress gets closer to a shutdown, especially a shutdown that would go in place during a work week.

Workers ask if they will be sent home without pay. Troops (and their families) worry if their paychecks will be delayed. Families may start to cancel vacations. That is the moment when incredible political pressure against a shutdown builds.

The deadline itself

Finally, we come to a public secret. The government does not necessarily have to shut down at the end of the day on September 30. Yes, at midnight, funding officially runs out for most programs. But if lawmakers are close to a deal, the president can order agencies to keep running for a few hours or perhaps even a day or two for Congress to pass the legislation.

CNN Fact Checks: Obamacare

This has happened before. Recently.

At midnight at the end of April 8, 2011, the funding for most agencies officially ran out. But Democrats and Republicans had struck a funding deal a few hours before, it just had not passed through Congress yet. So the Obama administration told agencies to hold off with any shutdown plans because a spending bill was likely to become law soon. In that case, it waived just a few hours of shutdown, but sources in both parties at the Capitol have confirmed that the president can do this for a longer period if a deal is emerging.

Again, Congress works best on deadlines, and the shutdown deadline is not quite as firm as people might think.

Why a shutdown (still) might happen

All this said, you cannot underestimate the swirling, unpredictable dynamics in Congress at the moment and Republicans' gut-level objections to Obamacare.

Once the Senate passes its version of a spending bill, House Republicans are considering attaching another item to it. That could be a one-year delay in the individual insurance mandate in Obamacare, a repeal of a medical device tax, a change in how the government handles congressional employee health plans or possibly something in support of the Keystone pipeline.

How this affects you

A spending bill with something Republicans want and Democrats don't would set up a late game of chicken between the House, Senate and president. If no one blinks, which is possible, this would lead to a shutdown. It's unclear whether House Republicans will do this. It is also unclear how Democrats would react.

But this scenario is the reason there is still a chance a shutdown could happen.

@highlight

The federal government is facing a possible shutdown next week

@highlight

The government has been here before in 1995 and 1996

@highlight

History may give Congress pause before embarking on another shutdown