Copenhagen, Denmark (CNN) -- The United States and China have not offered to go far enough to combat climate change, a top European Union official said as a major international summit on the subject opened Monday.

Final negotiations at the conference "will be mostly about what will be delivered from the United States and from China," said Andreas Carlgren, the environment minister of Sweden, whose country currently holds the rotating presidency of the European Union.

The two countries "together cover half of the world's emissions," Carlgren said. "It will be absolutely decisive what they can deliver."

He pressed U.S. President Barack Obama to deliver more than he promised in a statement in the run-up to the conference.

"It would be somewhat astonishing if Obama would come here and deliver ... just what was promised in last week's press release," Carlgren said.

What is at stake in Copenhagen?

Obama had been planning to attend the early stages of the Copenhagen summit that could lay the groundwork for reductions in greenhouse gas emissions well into the century.

But the White House announced last week that he would come at the end instead.

Jonathan Pershing, U.S. deputy special envoy for climate change, defended Obama's late attendance, saying the country's goals extended beyond the summit.

"The president has put a remarkable amount on the table," he told a news conference in Copenhagen.

"What the president has put on the table is a commitment for the United States to move forward: a commitment on emissions, a commitment on financing, a commitment on engagement -- what we need to now do is see how these negotiations proceed."

Pershing rejected EU criticism saying U.S. goals for reducing emission went far beyond those offered by the European bloc.

He added: "What the United States has put on the table is a trajectory that is not only consistent with, but meets the criteria of a robust scientific outcome.

"We don't just have a 2020 number, or a 2025 number, or a 2030, although we have all of those, we're moving towards a 2050 number and a trajectory with information in every single intervening year, and we're moving towards an 80 percent reduction which is what the science is calling for.

"We look to the EU for a similar kind of long term trajectory."

Obama's initial plan to attend only the beginning of the conference was criticized by some, including the environmental group Greenpeace, which said it is more important that he be there at week's end.

"President Obama needs to be there at the same time as all the other world leaders -- December 18," said Mike Townsley, a Greenpeace spokesman. "This is when he is needed to get the right agreement."

The stakes could not be higher, the head of the conference said as it opened.

"Within two weeks from Monday, governments must give their adequate response to the urgent challenge of climate change," said Yvo de Boer, executive secretary of the U.N. Climate Change Conference. "Negotiators now have the clearest signal ever from world leaders to craft solid proposals to implement rapid action."

China announced last month that Premier Wen Jiabao would attend to "fully demonstrate the great importance the Chinese government attaches to this issue, as well as the political will of the Chinese government to cooperate with the international community," spokesman Qin Gang said in November.

China's State Council has announced plans "to reduce the intensity of carbon dioxide emissions per unit" of gross domestic product in 2020 by 40 percent to 45 percent, compared with its 2005 level, state-run media reported last month.

Obama is prepared to offer a goal of the United States reducing emissions to 17 percent below 2005 levels by 2020, the White House has said. The White House also reiterated his goal of reducing U.S. emissions by 83 percent by 2050.

In a statement Sunday, De Boer laid out the three layers of action on which he would like governments to agree during the summit: immediate action on climate change, ambitious commitments to cut and limit emissions, and "a long-term shared vision on a low-emissions future for all."

Obama has discussed the status of climate change negotiations with the leaders of Australia, Britain, France and Germany, the White House said Friday.

"There appears to be an emerging consensus that a core element of the Copenhagen accord should be to mobilize $10 billion a year by 2012 to support adaptation and mitigation in developing countries, particularly the most vulnerable and least developed countries that could be destabilized by the impacts of climate change," it said.

The climate talks aim to strike a deal on a successor agreement to the Kyoto Protocol, the 1997 pact that has legally binding targets for reducing greenhouse gas emissions. The United States never ratified it, though more than 200 nations did.

CNN's Hilary Whiteman contributed to this story.

@highlight

U.S. and China have not offered to go far enough to combat climate change, a top EU official says

@highlight

15th meeting of the Conference of Parties begins Monday in Copenhagen

@highlight

Summit aim to strike deal on successor to 1997 Kyoto Protocol

@highlight

A look at the scientific debate on global warming on tonight's Campbell Brown, CNN 8 p.m. ET