(CNN) -- Nearly one out of every five NATO soldiers killed in Afghanistan this year were killed by Afghan police or army forces. Nine of the 16 victims were U.S. soldiers.

This pattern of attacks raises a fundamental problem for the plans of the United States and other NATO countries to draw down their forces over the next two years. That plan is, in part, predicated on the idea that as Afghan forces take the lead in security operations, they will be supported by small numbers of U.S./NATO advisers embedded in Afghan army and police units. Those advisers will be quite vulnerable to attack.

This problem was underlined earlier this week when an Afghan Local Police (ALP) officer on Monday shot and killed a U.S. soldier in the eastern province of Paktika, and the same day an Afghan soldier murdered two British soldiers at a NATO base in Lashkar Gah, the capital city of Helmand Province.

Monday's shootings were the latest in a wave of attacks on international troops by Afghan security forces, prompting concerns over the stepped up frequency of what NATO terms "green-on-blue" incidents.

Incidents of green-on-blue violence were rare in the first few years of the Afghan War, averaging no more than one a year through 2008.

With the "surge" of 33,000 U.S. troops in 2009, though, the number of attacks jumped to 4, likely due to the increased exposure of Afghan forces to international troops.

Instead of tapering off, this upward trend continued to a peak of 12 incidents in 2011. And there have already been nine such attacks this year.

In January, an Afghan soldier fired on a group of French troops during a training exercise, killing four and wounding 16. The deadly attack prompted French President Nicolas Sarkozy to temporarily suspend French training programs in Afghanistan and threaten the early withdrawal of French troops.

NATO officials usually characterize these incidents as "isolated," and not indicative of the overall relationship between coalition forces and their Afghan partners.

But the trust that might have once existed between international forces and their Afghan counterparts has been seriously undermined by three recent incidents.

-- In January a video surfaced on YouTube showing U.S. Marines urinating on the bodies of suspected Taliban insurgents.

-- This month U.S. Staff Sgt. Robert Bales was accused of going on a murderous rampage a mile from his base in Kandahar, killing 16 Afghan civilians.

-- The accidental burning of Qurans by U.S. soldiers at Bagram Airfield on February 21 sparked massive protests across Afghanistan. During one such protest outside a military base in Nangarhar Province, a man wearing an Afghan army uniform turned his gun on NATO troops, killing two U.S. servicemen. Two days later, Afghans wearing police uniforms shot and killed two U.S. officers in one of the most secure areas of the Interior Ministry.

The Taliban quickly claimed responsibility for the murders inside the Interior Ministry, saying they were in retaliation for the Quran burnings. However, the insurgent group's involvement in planning most of the green-on-blue attacks is doubtful.

A few perpetrators have found safe-haven with the Taliban following their attacks, such as the Afghan army soldier, Mohammed Roozi, who appeared in a Taliban video in February boasting about his attack on Australian troops, but rarely have the Taliban declared that the Afghan soldiers and police who have turned their guns on U.S. and NATO troops were working for them.

With American forces making up almost 70% of the NATO troops on the ground in Afghanistan, it is not surprising that almost half of the attacks involved the death or injury of U.S. troops, but as the bar chart on the left shows, many other NATO countries have also been the target of insider attacks by Afghan security forces. Sixteen British soldiers, for instance, have been killed in such attacks.

NATO's withdrawal strategy requires a high degree of trust between small numbers of military advisors embedded with much larger units of Afghan troops in order to succeed.

This trust has now been eroded to a dangerous degree. Does NATO have a Plan B?

@highlight

Peter Bergen: NATO troops falling victim to shooting by Afghan forces

@highlight

He says the trust that once existed between NATO, Afghans has been eroded

@highlight

Plans for drawing down U.S., NATO troops assume handover of duties to Afghans

@highlight

Bergen: Does NATO have a Plan B?