Augusta, Maine (CNN)When Bill Stokes visits a cafe near the state Capitol, he admires one man behind the counter. To him, Chuck Petrucelly represents a life saved.

Stokes headed the Maine attorney general's criminal division when his office accepted Petrucelly's insanity plea in the 2008 killing of his brother.

"I take some measure of satisfaction from the fact he's a young man who has a future," Stokes says. "We had an opportunity to save him. Unfortunately, the wheels of justice kicked in after a horrific tragedy.

"There's no punishment I can give Chuck that's worse than the punishment he gives himself whenever he thinks about his brother."

The former prosecutor and one-time Augusta mayor was recently appointed a Superior Court judge. He sees Petrucelly's recovery from multiple viewpoints. As a citizen, civic leader, head prosecutor and judge.

Petrucelly is one of 90 mentally ill people in Maine designated as not criminally responsible -- known as NCR patients -- because they were determined to be insane at the time of the crimes. Nineteen had faced murder charges. The rest were charged with an array of offenses, including aggravated assault, arson, stalking and sexual misconduct.

"As a prosecutor, you can't be so rigid you reject the idea that there really are people who are truly insane," Stokes says. "The people I'm worried about are not the forensics patients, because they're getting the best treatment you can imagine. The people I'm worried about are the people who are severely mentally ill not getting treatment. They're the next case that I don't want to see."

Petrucelly was sent to the state psychiatric hospital with the goal of rehabilitation. He remained there for 4½ years and moved out of the hospital more than a year ago. Now 29, he lives alone in a supervised apartment in downtown Augusta.

He tries not to dwell on the past. His brother was a year older; the two had been inseparable growing up. They played Nintendo, lifted weights and shared that indescribable bond of brotherhood.

"There's just a connection I had with him that I just don't have with anybody else, and nothing can replace it," Petrucelly says. "Mike really was my best friend. That might be hard to believe with what happened.

"The past is very hard to work through."

The biggest aid in his recovery, he says, was the forgiveness of his six other siblings and his mother, who remains his greatest advocate.

"You don't give up on one of your sons," says Rosanne Towle, his mother. "Losing Mike was devastating and still is. Part of me is broken. But Chuck is here and he still needs us. So our focus is on him."

Focus on rehabilitation

Maine's NCR statute says that a defendant is not criminally responsible by reason of insanity "if, at the time of the criminal conduct, as a result of mental disease or defect, the defendant lacked substantial capacity to appreciate the wrongfulness of the criminal conduct." Each defendant undergoes rigorous psychiatric assessment.

About 5% of the state's cases result in a person being found not criminally responsible. "Once that decision is made, the focus shifts from punishment to rehabilitation, treatment and public safety," Stokes says.

The length of a stay depends on how a patient responds to treatment. That can range from a couple of years to decades. Typically, the younger the patient is on arrival, officials say, the better likelihood of a quicker recovery.

The program has been in place for more than 50 years, but was revamped after an NCR patient on a four-hour leave in 1985 killed a teenage girl. Stricter laws govern today's treatment program. That case also led to creation of the State Forensic Service, which conducts psychiatric and psychological evaluations for the court system.

In the three decades since, state officials say, no NCR patient has committed a violent felony upon return to the community.

"The history of the experience speaks volumes," says Mary Mayhew, commissioner of Maine's Department of Health and Human Services. "We don't have an experience of recidivism. ... We're focused on recovery and the evidence-based standards of care. It's slow. It's thorough. The assessments and progress are comprehensive and are consistently being evaluated."

Patients who once refused treatment, who could hardly utter a coherent sentence, begin to surrender to therapy, start taking medication and over time become functional. The treatment plan is based on incremental freedoms and stringent rules.

As they progress, they can petition the court to move into a group home after years of therapy, then to a supervised apartment. Eventually, they can seek full release, as happened recently with a mother who starved her 5-year-old daughter to death in 1993.

Other states have similar programs, but the approach and aggressiveness of the releases vary. While Maine has shown success in rehabilitating its patients, other states haven't fared so well.

Dr. Fuller Torrey, a research psychiatrist, best-selling author and founder of the Treatment Advocacy Center, has been tracking patients who killed again upon their release into the community. "There is no shortage of them," he says.

Once patients have undergone treatment, Torrey says, "it is imperative to then guarantee to the community, as well as to the person, that this individual will remain on medication indefinitely. And that's the issue."

States have an incentive to move patients into the community and out of the hospital quickly, Torrey says, because the federal government picks up the cost when patients live in the community. And that, Torrey says, has resulted with patients being let go too soon and with drastic consequences.

Ann LeBlanc, director of Maine's State Forensic Service, says authorities work extremely hard to make sure that doesn't happen. "What we know from years of research," she says, "if people make that transition too soon, they tend to have multiple offenses, dangerous behavior. So we go very slowly through that process."

She often faces heated questions, even among friends and family, about why the state allows mentally ill patients, especially those who have killed, back into the community. She tells them: "That mental illness is treated and stable, and that they've had years to work hard and demonstrate that stability."

"It's a slow, stepwise process," LeBlanc says. "We keep an eye out for the safety of the community, and the hospital makes proposals based on what the patient wants or needs. The judge decides."

Since 2001, when Stokes took over the Maine attorney general's criminal division, 12 people have been deemed not criminally responsible in murder cases. Most killed a family member or somebody close to them. Five others who sought NCR status were rejected at trial and sentenced to prison.

"There's always that concern that someone is gaming the system -- that someone is pretending to be insane when they're not in order to avoid criminal responsibility," Stokes says. "We're very conscious of that."

Yet officials acknowledge there is no crystal ball, no way to predict how a patient will react upon release. The question they face most from an astonished public is: How do you know they won't kill again?

"There are no guarantees," says LeBlanc, "and oftentimes I think the community is looking for a guarantee when we can't provide that about anybody.

"What we can say is these people that are under the commissioner's custody get the best care; they get the care that they need; they get the supervision they need so they can have a life."

Petrucelly has begun his new life, but there are hitches. Every time he seeks more freedom, he must appear before court. That results in a local headline like: "Central Maine man who fatally stabbed brother can move to apartment, judge says."

He says local reporters never ask to speak with him, never seek his side of the story. His mom wishes they'd stop running his arraignment photograph in which he was 150 pounds, in psychosis and looks totally out of it. If they'd just ask to take a new photo, his mother would be happy.

"It sets up people to be afraid of me," Petrucelly says.

The cafe where he works has accepted him and remains supportive. Making Reuben sandwiches isn't his ultimate goal. With a hulking 220-pound frame, Petrucelly hopes to become a fitness instructor one day. He can bench-press 425 pounds.

Residents have no reason to fear him, he says.

"The people who have had treatment, like myself, are not the ones that they need to worry about. Myself specifically, I'm aware of my illness," he says. "I'm aware of the fact that I need to take meds to remain stable or I need to watch how I'm thinking and manage my thoughts."

He's determined to make his late brother proud of his recovery. "Part of the reason I don't give up on myself," he says, "is I know that my brother wouldn't want that. I know he'd want me to honor his memory in whatever way I can. Every day that I live and get up, I don't take it for granted because I know he doesn't have that now."

@highlight

Maine program aims to rehabilitate those deemed insane, not criminally responsible

@highlight

Chuck Petrucelly now lives in the community after killing his brother in 2008

@highlight

"We had an opportunity to save him," ex-head prosecutor says

@highlight

Maine health commissioner:  "We don't have an experience of recidivism"