(CNN) -- Known as the cradle of the Renaissance, Florence is a culture-rich city in the heart of Tuscany, Italy.

Over the centuries, it has been home to Renaissance masters Leonardo da Vinci, Giotto, Michelangelo, Dante and Brunelleschi, who have left their legacy in a trove of art and architecture that is world renowned.

It is this rich legacy that inspires art-lovers to visit, and in summer the city is crammed with tourists determined to make the most of the city's treasures.

While small, Florence contains a quarter of the planet's UNESCO world heritage sites, which can be overwhelming for first-time visitors.

With this ratio of classics-per-square-meter, it's impossible to see everything in one visit -- but here is a selection of CNN's cultural highlights.

A good starting point is Florence's cathedral, The Duomo (Piazza del Duomo), whose teracotta-and-white dome dominates the city's skyline. The building's ornate facade is decorated in pink, white and green marble. Inside, however, the cathedral is refreshingly simple.

The 700-step climb up the inside of the dome -- architect Brunelleschi's 15th-century feat of engineering -- is not for the faint-hearted, but the views from the cupola are well worth it.

Also in the cathedral square is Giotto's Campanile, a belltower that soars into the Tuscan sky. With its magnificent statues, rich relief carvings and strong design, it exemplifies Renaissance architecture. If heights don't make you dizzy, iyou'll also get a great view of the city from the top.

One of the oldest art museums in the Western world, the Uffizi Gallery is unmissable. Come here for a who's who of Renaissance art: As well as da Vinci's "Annunciation" and "The Adoration of the Magi," the gallery houses "The Baptism of Christ," attributed to Verrocchio and da Vinci, as well as numerous works by Giotto, Botticelli, Michelangelo, Rafael, Titian and Tintoretto -- truly a visual feast.

Some believe that the Palazzo Vecchio conceals a hidden treasure. It is thought that da Vinci's "The Battle of Anghiari" could lie hidden behind one of Vasari's frescoes, not least because Vasari, who greatly admired da Vinci's work, has included the words "Seek and you shall find" in one of his paintings. Forensic art historian Maurizio Seracicin is using infra-red rays to see if it's there.

Michelangelo's sculpture "David" takes pride of place at the Accademia Gallery, where you can also find Botticelli's "Madonna and Child." For more sculpture, head to the Bargello National Museum, where you'll find an impressive array of works by Donatello, Luca della Robbia, Verrocchio, Michelangelo and Cellini.

At the Museum of Leonardo da Vinci, visitors flock to see life-size models of the artist's ideas and inventions, from a glider to a tank, all carved from wood. It's a great place to appreciate the range of Leonardo's creativity.

If you're footsore and feeling overwhelmed after racing around the key cultural sights, it might be time to head away from the crowds.

Over the Roman Ponte Vecchio Bridge, famously lined by jewelry shops, is the Pitti Palace, seat of the Dukes of Tuscany, and rising up behind it are the exquisite Boboli Gardens. Take a picnic and climb up to the top, then congratulate yourself on escaping the crush and admire the view.

Alternatively, take a trip back to the Middle Ages by listening to San Miniato's Benedictine monks sing Gregorian chants during vespers at Florence's oldest church, dating back to the 11th century. It's another spot that affords great views, as it sits at one of the highest points in Florence.

Florence is also strongly associated with Italian fashion. Gucci, Pucci and Cavalli were founded here, as was Ferragamo, while Prada, Chanel, Armani and others retain a strong presence in the city. The glossy boutiques can be found on Via Tornabuoni -- or you can follow the fashionistas and pick up some cut-price designer treats at the thriving designer outlets on the outskirts of Florence.

And if you are looking for something more offbeat, try the Museo La Specola, a zoology museum where you can find eerily accurate wax models of corpses, a multitude of stuffed animals and other Victorian museum curiosities.

@highlight

The cradle of the Renaissance, Florence has produced some of Italy's greatest artists

@highlight

Despite its small size, the city boasts a quarter of the globe's UNESCO world heritage sites

@highlight

Florence is home to treasures from famed artists such as da Vinci, Michelangelo and Botticelli