(CNN) -- It turns out going to the moon is a tough act to follow.

Astronaut Buzz Aldrin walks on the moon during the Apollo 11 mission in 1969.

For all their Buck Rogers, "Right Stuff," history-making achievements, the question for many of the 12 astronauts who walked on the lunar surface starting four decades ago ultimately became "one giant leap to where, exactly?"

"You have your peak experience at 38 or 39," says space historian Andrew Chaiken, summing up their collective experience, "and [they] have a hard time coming up with something to do for an encore."

Apollo 11 lifted off from Cape Canaveral, Florida, on July 16, 1969. Four days later, the first two humans walked on the lunar surface; 10 more Americans followed by the end of 1972.

In the 40 years since the Apollo program first took humans to the moon, the astronauts' lives have taken diverse paths.

Almost all had been military test pilots before joining NASA; in later life, they found themselves ministers, politicians and conspiracy buffs. Some struggled with common issues: Many of their marriages fell apart and alcoholism affected at least one.

In possibly the most extreme case of post-Apollo readjustment, Buzz Aldrin -- the second human being to set foot on the moon -- became a car salesman in Texas.

"Not very successfully," the 79-year old Aldrin quickly acknowledges.

The Apollo 11 lunar module pilot's post-flight battles against depression and alcoholism have been well-documented, most recently in his own memoir, "Magnificent Desolation."

As for a brief stint hawking Cadillacs in the late 1970s, Aldrin told CNN Radio, "Most people who have received a degree of public recognition find themselves financially pretty well off. Doesn't happen to be the case with astronauts."

Others took more existential, even spiritual, approaches to dealing with their lunar experiences.

Apollo 15 Lunar Module Pilot Jim Irwin left NASA and became a Baptist minister. Apollo 14 crewman Edgar Mitchell spent years investigating possible extraterrestrial life; in April, he went public with claims of a government cover-up.

Apollo 12 moonwalker Alan Bean, now 77, has spent the intervening decades since his 1969 landing putting his impressions of the lunar experience on canvas. "That's How It Felt To Walk on the Moon" is the title of one his paintings, which now fetch starting-prices of $20,000.

"These paintings are the only paintings in history from anywhere else but this Earth," Bean told CNN.

Not all the Apollo astronauts' post-flight journeys have been so ethereal.

America's first man in space, Alan Shepard, who later walked on the moon in 1971's Apollo 14 mission, became a millionaire businessman.

Apollo 17's Harrison Schmitt -- a geologist at the time, and the only scientist to make the lunar journey -- served a term as U.S. senator from New Mexico, but was defeated in a run for re-election in 1982.

Apollo 11 command module pilot Michael Collins served as a top official at the Smithsonian Institution and its National Air and Space Museum.

And the first man to leave footprints in the lunar dust, Apollo 11 Commander Neil Armstrong -- aside from geologist Schmitt, the only other civilian in the collection of moonwalkers -- later sat on several corporate boards and the presidential commission that investigated the 1986 Challenger space shuttle disaster.

Armstrong is also known for a series of disputes over autographs, which he long ago stopped signing because he discovered his signature was being sold for profit.

He also sued Hallmark in 1994 for featuring his famous "One small step" quote in a space-themed Christmas ornament. News reports say the suit was settled out of court for an undisclosed amount.

Armstrong's haircuts also became famous. In 2005, he threatened legal action after learning his longtime barber had sold a lock of his hair for $3,000.

All part of the territory, says Chaiken.

His book "Voices From the Moon" is based upon interviews with the surviving Apollo astronauts, and he concludes there's no "lunar syndrome" that's sent the moonwalkers down paths odder than any dozen former colleagues in other lines of work.

"I think the whole subject of the effects of going to the moon is something that gets overstated," Chaiken says.

If there is a common emotion among the astronauts, four decades after the Apollo achievement, it may be simple disappointment over space exploration -- or the lack of it.

"It's all fallen apart," Aldrin says, talking about what may prove a half-century gap between American lunar landings. "We have just taken the wrong pathway."

Chaiken agrees this is a near-universal astronaut refrain.

"They really have never expected that it would be this long. That here we would be -- 40 years after the first moon landing -- still wondering when humans will return to the moon. I think they're all frustrated by that."

CNN's John Zarrella contributed to this report.

@highlight

A dozen men walked on the moon, and each later followed a different path

@highlight

Historian says they have a "hard time coming up with something to do for an encore"

@highlight

Buzz Aldrin briefly worked as a car salesman in Texas

@highlight

Neil Armstrong sued Hallmark over its use of his "one small step" quote