(CNN) -- More than 1,000 miles away from the jungle where rebels allegedly kidnapped and killed his father, Antonio Caballero is seeking justice.

He filed a lawsuit in a Florida court this month, 13 years after the bullet-riddled body of his father -- a former senator and U.N. ambassador -- was found on a dirt road in northern Colombia.

In the civil complaint, Caballero -- who now lives in Florida after receiving political asylum in the United States -- says he was forced to flee his home country, abandoning property and businesses, and he wants those responsible to pay.

The defendants are two guerrilla groups that have been at war with the Colombian government for decades: the Revolutionary Armed Forces of Colombia (FARC) and the National Liberation Army (ELN).

Caballero "has suffered and continues to suffer emotional, psychological and economic damages" since rebel forces kidnapped, tortured and killed his father, the lawsuit says.

He alleges that their actions violated Florida racketeering statutes and U.S. federal laws, and that Colombian laws hold the rebel groups liable for wrongful death.

He aims to get "tens of millions of dollars" in damages, the law firm representing him said in a statement.

But the money is only part of the battle, attorney Joseph Zumpano said.

"There is a record that needs to be made. ... People should not forget the horrific acts of brutality," he said. "They took a person who was one of the most prominent people in the nation and discarded his body on a dirt road."

Antonio Caballero's father, Carlos Caballero, was a former Colombian senator, political party leader and ambassador to the United Nations.

He was 76 years old when he was taken hostage in February 1999, according to the complaint.

The politician was found dead more than six months later, the complaint says, after rebels had demanded a ransom of $6 million for his release. During the 184 days that they held him hostage, rebel forces tortured him daily, forcing him to walk through the jungle for hours and depriving him of food and water, according to the complaint.

Records from the Colombian government's human rights observatory also blame rebels for the death.

According to the lawsuit, Carlos Caballero was targeted because of his political positions against the rebel groups and because property he owned could be used to facilitate drug production and transport.

Although the killing occurred in Colombia, the lawsuit argues that U.S. federal laws -- including the Alien Tort Statute and the Racketeer Influenced and Corrupt Organizations Act -- give American courts jurisdiction in the case.

The lawsuit was filed in Florida's Miami-Dade County Circuit Court because of the groups' alleged drug trafficking activities in the state, and because Antonio Caballero lives there now and returning to Colombia to file a claim "would place his life in extreme peril," the complaint says.

"He's under an ongoing threat that forces him to work within our system," Zumpano said.

There has been no comment on the case published on websites that the rebel groups typically use to release information.

This isn't the first time Colombian rebels have been tied to lawsuits in the United States.

Other lawsuits have been filed against the FARC in federal court, records show -- including a pending 2009 case seeking damages filed by three American contractors who were held hostage by the guerrilla group. That case seeks garnishment of millions of dollars in frozen assets from U.S. bank accounts connected to the FARC.

The United States has designated both the FARC and the ELN as foreign terrorist organizations.

"These groups foster violence and instability...in an attempt to advance their political agendas, and largely finance their operations through the illicit drug trade," Rodney Benson, chief of intelligence for the U.S. Drug Enforcement Administration, said in congressional testimony last year.

The U.S. National Couterterrorism Center describes the FARC as "Latin America's oldest, largest, most capable, and best-equipped insurgency of Marxist origin" and notes that it has "well-documented ties to a range of drug trafficking activities" Tactics include "bombings, murder, mortar attacks, kidnapping, extortion, and hijacking, as well as guerrilla and conventional military action against Colombian political, military, and economic targets," the center says.

Caballero's lawsuit comes amid renewed peace talks between the Colombian government and FARC rebels, who have been meeting in Havana, Cuba.

Zumpano said Tuesday that the case's goal "is not to interject itself in the negotiations," but he hopes the lawsuit will bring the group's tactics to light.

"Terrorism isn't just something in the Middle East," he said. "It's alive and well in the Americas as well, and it cost this man his life."

@highlight

Son of a former Colombian senator and U.N. ambassador is seeking millions of dollars in damages

@highlight

In a Florida civil case, he is suing Colombian rebel groups he says kidnapped and killed his father

@highlight

Attorney: "People should not forget the horrific acts of brutality"