Imagine being so desperate that you decide to entrust your child to a paid smuggler to help him or her cross the border into the United States. You can't know if your child will survive the dangerous journey through the desert, mountains or across the river. And you don't know if he or she will be abused or deprived of air, food or water by handlers along the way.

So what would make a parent take the enormous and terrifying risks anyway, and pay huge sums of money in the process?

One look at the appalling and unsafe environments these children hail from makes it clear why parents will risk so much for a better life for their children. And it is not just about the poverty. Many children, for example, haven't been able to go to school because they have been threatened by the "mara," or gangs. A child will be told that if he doesn't cooperate, he or she will be killed.  The threats are not hypothetical: They are very real, and will have been underscored by the death of friends or family members in their town.

These are the horrifying dynamics that make up the plight of some of these vulnerable children, some as young as 4, who have been crossing the border into the United States without a parent or guardian.

When I joined the board of Kids In Need of Defense, or KIND, a nonprofit organization that seeks to provide pro-bono lawyers to represent unaccompanied minors navigating our immigration system, I didn't know that we were on the verge of a massive humanitarian crisis.  There were no front-page articles about the thousands of children crossing the border.  It wasn't the lead story on cable news. They weren't trending on Twitter.

So, I had questions about how we should respond, including the moral hazard risk of encouraging ever growing numbers of children to attempt the perilous journey if we said all were welcome. But I also knew we could not treat these vulnerable children as criminals undeserving of compassion.  Which is why I decided to learn more about their plight and our nation's legal and social response.

As part of this determination to find out more, I recently spent two afternoons at a local shelter in New York doing art projects with a group of boys from El Salvador, Guatemala and Honduras.

Art is a universal language and a great nonverbal way to express emotions and experiences. The boys all introduced themselves, some with a shy smile and eye contact, others more warily. The caseworkers told me how grateful and polite the boys had been once they realized they were going to be treated with kindness.

After arriving at Newark airport in shackles and with only the shirts on their backs, the boys received showers, food, a bed, bandages for leg and foot wounds and a change of clothes.  They still didn't know where they would be going or what would happen to them, but for the moment they were safe and appreciative.  One boy had been making paper flowers with hidden messages of gratitude in the petals.  "God bless you for having such big hearts," one petal said.

On my second visit, I heard about some of the family reunifications that had occurred in the interim, with boys either being picked up by or delivered to a parent whom some had not seen in years.  They described a mix of excitement, anxiety and joy, with many tears shed by the caseworkers who witnessed the reunions.  But half that group of boys was still there, and more were due to arrive the next day.

The boys made collages depicting their journeys through the desert: the snakes, the coyotes, the dirty river, the truck, and the train commonly referred to as "La Bestia" (The Beast) because of its many dangers. They worked in silence and with intense focus.  After finishing, one boy decided to add a layer of ribbons over the journey picture and explained that they were now "Feliz," which, even with my limited Spanish, I knew meant "happy" or "fortunate."

The Spanish-speaking caseworker later explained that while one of the boys had fled his town because he had been constantly attacked with rocks and was sexually abused because he was gay, most had left to escape deadly gang violence in their towns.

There are many aspects of this problem that may divide us, including all kinds of fears, funding limitations and the debate about the demand for illegal drugs that gives oxygen to gangs. But it is the human piece to the puzzle that might be the one best able to unite us.

The fact is that if we look at our family trees, most Americans are the sons and daughters, the grandchildren and great-grandchildren of immigrants.  Each of our forebears had their own compelling reasons to make their dangerous journey to America. The cornerstone of the Statue of Liberty reminds us, in poet Emma Lazarus' words:  "Give me your tired, your poor, your huddled masses yearning to breathe free."

Even though the surge has abated somewhat, there are still tens of thousands of children in need of a safe place to call home.  Each of these vulnerable children would benefit from having a volunteer lawyer present their case so our immigration court judges can assess whether they need refugee status, asylum, or if they can be safely returned home. These children deserve our compassion and a chance at a safe future, not our kicks and turned backs.

"Our need for compassion is profound and basic," psychologist Martha Straus once said. "From the beginning of time, this is what's made us human." The boys I met in the shelter are no exception.

@highlight

Carole Geithner looks at why parents smuggle children to United States

@highlight

She says pressure on children to join gangs is one reason

@highlight

Children need fair immigration hearings to decide their fate, she says