When Shakespeare wrote of Richard III as a "bunchback'd toad," he didn't have the benefit of actually seeing the king, who had died in the previous century.

Now we know the playwright was probably wrong about Richard's physical features.

Scientists have analyzed the bones of the British monarch and determined that he was not actually a hunchback. In fact, he had a significant spinal curve that we would call scoliosis. Researchers published their latest results Thursday in the Lancet.

"It's a twist rather than a forward bend," said study co-author Piers Mitchell of the Department of Archaeology and Anthropology at the University of Cambridge.

"We were expecting him to have a hunchback deformity the way Shakespeare described," he added.

Richard III reigned over England from 1483 to 1485 and died during the two-hour Battle of Bosworth against the forces of Henry Tudor.

The king's remains were discovered in 2012 under a parking lot. Archaeologists determined at that time that Richard III had scoliosis, a condition characterized by a curvature of the spine.

Researchers wanted to make sure Richard was like that in life, not just as a result of his bones having been buried for centuries. Just by looking at his skeleton, they had clues.

"A lot of the bones around the maximum part of the curve of his scoliosis were asymmetric. One side was different from the other, which shows that the deformity was a genuine thing during life."

Using computerized tomography, researchers created a three-dimensional reconstruction of Richard's spine. They also made a model of the spine using a 3-D printer. This let them examine the bones more closely than when the spine was in the ground.

The spine appeared to have a twist indicative of scoliosis. Researchers measured the angle of curve and used medical research to understand what Richard's life might have been like.

The diagnosis of scoliosis means Richard III had a physical health condition in common with about 2% to 3% of the American population, according to the American Association of Neurological Surgeons. "Buffy" actress Sarah Michelle Gellar, top golfer Stacy Lewis and Judy Blume's character Deenie all have it, too.

Richard's scoliosis was probably not inherited, and it probably began sometime after he was 10, researchers said.

Conditions such as cerebral palsy and muscular dystrophy might cause scoliosis, but those are rare explanations, according to the Mayo Clinic.

In up to 85% of people with scoliosis, including Richard III, there is no known cause, according to the National Institutes of Health. Doctors call this "idiopathic." Normally in scoliosis, the spine takes on a shape that resembles the letter "S" or "C."

Children may be prescribed a brace to prevent further curving. The NIH says patients who are still growing and have curves of more than 25 to 30 degrees, or a curve between 20 to 29 degrees that is getting worse, will be advised to wear a brace.

Richard's spine has a curvature of 70 to 80 degrees. Anything over 50 degrees is a candidate for surgery, Mitchell said; the NIH puts this figure at 45 degrees.

Research has not proved that chiropractic manipulation, electrical stimulation, nutritional supplementation or exercise stop curves that are worsening, although exercise has other benefits for general well-being.

The spinal curve probably wouldn't have reduced Richard's lung capacity such that he couldn't exercise, researchers said.

There are other discrepancies between Shakespeare's descriptions and the skeleton besides the back problem, Mitchell said.

The real Richard does not appear to have had a limp or a withered arm, as Shakespeare had described. His trunk and abdomen would have appeared short compared with his arms and legs, Mitchell said. His right shoulder would have been slightly higher than the left.

His curved spine and these other asymmetries would have been more obvious when the king was unclothed than clothed.

"However, a good tailor and custom-made armour could have minimized the visual impact of this," the study's authors wrote.

@highlight

Scientists made 3-D model of Richard III's spine

@highlight

He had scoliosis with a curve of about 70 to 80 degrees

@highlight

Today, he would have been a candidate for spine surgery