Baghdad, Iraq (CNN) -- Even in the darkest, deadliest days of Iraq's war, you'd find people still hopeful it would all work out. That the killings would stop, the bad guys would be routed and a stability of some sort would return. That the Americans would leave with their Humvees and their private security companies and the country would -- perhaps -- get on with the freedom the U.S. promised upon Saddam Hussein's removal.

Prime Minister Nouri al-Maliki promised as much, and pledged an inclusive system for all. Power-sharing politics and making all Iraqis -- Sunni, Shia, Christian -- feel they shared national values. Now, there a plenty of Iraqis who believe he had his fingers crossed when he said such things.

Just over two years ago, I watched as the last of 110 or so U.S. military vehicles crossed the border from Iraq and into Kuwait -- the same border crossing I'd gone through in at the start of the war in 2003 with a U.S. Marine convoy headed to the Iraqi capital.

I've had nearly a dozen trips in between and now here I am, back in Baghdad. The city feels much the same as it did during some of those other trips -- and that's not a good thing. Actually, it feels worse.

READ MORE: Are things worse than ever in Iraq?

The U.S. departure may have ended the war for Americans, but for Iraqis, the violence, the bombs, the shootings and the torrents of blood barely skipped a beat. A lull here and there, periods of what might (for Iraq) pass for stability, but really, the deaths never stopped. More than 8,000 people were killed here last year, mostly innocent civilians, according to the U.N.

The feeling in Baghdad today is one of dread -- dreading the next car bomb or suicide attack or assassination. The city isn't lacking a security presence -- it is awash in it. Two years ago there were checkpoints, but nowhere near the number we've seen these past days, nor were those manning those checkpoints as, let's say, fastidious as they are now.

Just moving around the city is an exercise in moving from one checkpoint to the next, each manned by young men who themselves, one imagines, fear the next car could be the last one they ever inspect.

Getting around the city is as difficult as ever. Traffic jams are a way of life here, but they seem worse because of the security presence. Check points and police posts are everywhere, but they can't stop every attack -- eight bombs have gone off in Baghdad in the past two days as I write this.

READ MORE: 26 killed in bombings in northern Iraq

People have to get on with life, and do the best they can. One target of the terrorists is marketplaces, where locals put their lives on the line just to shop for dinner.

Many buildings damaged during the war sit unrepaired, but there are signs of construction too. There's even a mall of sorts being built not far from where we're staying. Many parts of the city retain a tattered feel, like it's a tired city, weary of the tribulations of the last decade.

Public services are a problem -- electricity can still be patchy, there's no shortage of roads needing repair, unemployment is high, sewage systems are in desperate need of repair. Iraq's to-do list, despite growing oil revenues, is a long one.

In the "bad old days" of, say, 2005-2007, barely a day went by when, sitting in our bureau, we would not hear a boom or gunshots, some dulled by distance, others rattling our windows. One day, a stray bullet pierced one of those windows.

Those booms are back.

Plenty has been reported about the violence in Ramadi and Fallujah and the resurgence of al-Qaeda linked radicals, but the killing is widespread -- from Mosul in the north to Baghdad to the south of the country.

Dr. Ayad Allawi was Iraq's first post-Saddam head of government, serving as interim Prime Minister in 2004 and 2005. Tough as nails, but a committed secularist, he looks at his country today with more than a dose of pessimism.

"Unfortunately the country is moving on a sectarian road now," he tells me as we sit in his office, hidden behind blast walls and protected by government and private security.

"It was very dangerous to start with, and I warned leaders in the region. (Now) Iraq has started a civil war -- it hasn't reached the point of no return, but if it does then the whole region will burn up."

He points the finger of blame in many directions, from Syria to the U.S. to Iran, but mainly at the man who now holds his old job -- Prime Minister al-Maliki.

"He doesn't believe in power sharing, he doesn't believe in reconciliation," Allawi says. "He promised to do these things once he became Prime Minister, but in effect he talks against this -- accusing everyone else of being a terrorist, or corrupt, or extremist and so on.

"Authoritarian regimes don't work in this country -- we tried this before and it didn't work. No one sect can rule, no one party can rule, no one man can rule -- we want a democratic country but this is not, unfortunately, what this government wants."

READ MORE: Zakaria on why Iraq is in turmoil

There is no shortage of those who also point to al-Maliki, a Shia Muslim, and his sectarian brand of governing and say his alienation of Sunnis is why al Qaeda-linked fighters could reappear so easily to once again wreak havoc. Extremists thrive on disaffection, and there is plenty of that in Anbar and Mosul and other places.

Allawi is also unhappy with the U.S., saying they have made a "huge mistake" by supporting al-Maliki without also turning the screws on him to engage Sunni leaders and include them in a meaningful way in the running of the country.

"They can support al-Maliki -- that's up to them," he says. "But they should clarify to him that their support is conditional on inclusivity of the political process and respecting the constitution and respecting human rights."

I suggest to him that the Americans have of late been applying some of that pressure, but he disagrees. "Of course the Americans are not doing this," he says. "I don't know if they are pushing, frankly speaking -- I do believe they may pay lip service, but they don't fully use the influence they have as friends of Mr. al-Maliki."

Over the course of more than a dozen trips to Iraq since the war began, I've always encountered angry Iraqis -- angry at the American troops, angry at the lack of services, angry at the insurgents and the sectarian bloodletting.

But on this visit, I've found a hardening of attitudes right down the sectarian line -- Shias who feel Sunnis are al Qaeda-supporting extremists, and Sunnis who tell terrible tales of persecution, exclusion and fear of being detained based on their religion alone.

The moderates who wish to embrace their fellow Iraqi, regardless of sect, are becoming harder to find.

@highlight

CNN's Michael Holmes returns to Iraq for first time in 2 years

@highlight

Holmes: Mood in Baghdad is one of dread over where next bomb will go off

@highlight

Public services are spotty and deadly bombings are daily occurrence across country

@highlight

Former Prime Minister tells CNN Iraq seems stuck on path to sectarian war