(CNN) -- As a group of tourists was passing through the villages of Lesna and Zabrody in the north east of Poland last month, they caught glimpse of something that immediately sent them reaching for their cameras.

Strolling through the meadows near the densely forested Bialowieza National Park were three magnificent European bison, standing up to two meters high and weighing up to 1,000 kilograms each.

It was a doubly gratifying sight for Rafal Kowalczyk, a conservationist and the Director of the Mammal Research Institute at the Polish Academy of Sciences, who enjoyed seeing the tourists as much as the bison.

Europe's largest land mammal had been declared extinct in the wild at the end of the 1920s, but after spirited and careful re-introduction efforts throughout the past 60 years, descendants of a small captive herd have gradually reassumed their position among Poland's vibrant indigenous fauna.

The tourists, meanwhile, were training only their lenses on the animals and not the viewfinders of a shotgun, proving to Kowalczyk that the creatures could bring visitors to Poland for reasons other than to hunt them.

"It really increases the touristic attraction of the area," said Kowalczyk, who co-ordinated one of several bison conservation programs between 2006 and 2010.

"This is a unique animal, a kind of relic of the past because most of these large herbivores have become extinct. There are fewer European bison than the black rhino in Africa, for example."

Back from the brink

European bison, also known as "wisent", roamed freely across the continent until the early 20th century, when a combination of factors including a shrinking habitat and poaching left only 54 individuals in captivity, according to a recent report commissioned by the Rewilding Europe initiative.

But since 1959 small populations have been introduced in Belarus, Russia, Ukraine, Lithuania, Romania and Slovakia, but most successfully in Poland where there are now 1,299 closely monitored, free-roaming individuals in small herds.

The European bison spent several years classified as "endangered" on the Red List of Threatened Species published by the International Union of the Conservation of Nature. But recent population trends have increased annually by around 15%, earning the bison an upgrade to "vulnerable".

The animal is far from out of the woods yet, but there is reason for cautious optimism.

Conservationists regard bison as a so-called "umbrella species", whose well-being also tends to ensure a positive habitat for many other treasured creatures including moose, wolf and lynx, plus various bird and insect species.

READ MORE: Poland's little-known heritage sites

In attempts to broaden the genetic diversity among bison --all of Poland's bison descend from those 54 captive animals that survived "extinction" -- scientists have created migration channels to facilitate the interbreeding of herds.

Locals residents have also been educated about the animals habits and the perceived damage caused by the bison to young trees, or when they stray into agricultural land.

The principal concerns now are centered on controlling the bison population, ensuring herds do not become too large for the areas of land they occupy.

Natural mortality among bison is low and the space they demand vast; five bison per 1,000 hectares of land is deemed the optimal density.

Some culling of old, sick or unusually aggressive creatures has therefore become necessary, but the process is controversial, particularly since the Polish Ministry of the Environment has recently allowed commercial hunters to take part.

Hunting as a conservation measure?

Bison is not a game animal in Poland, meaning specific permission must be sought in order to kill one. But a small number of permits are now being issued annually to commercial agencies, providing the chance for hunters from anywhere in the world to add this rare beast to their trophy collections at a cost of up to $30,000 per animal.

"Rather than have him (a bison selected to be culled) killed in a fight or smashed through a fence and injured, they simply allow him to be hunted," said Bob Kern, President and Founder of the Hunting Consortium, who arranges overseas trips for hunters from the company headquarters in Virginia.

"That brings money into the reserve and into the conservation system and it prevents wanton waste."

Kern added: "About 70% of money that goes into wildlife conservation nowadays comes from the sustainable use community. That means hunters and fishermen."

Dr Wanda Olech-Piasecka, of the Warsaw University of Life Sciences, is a member of a commission -- alongside veterinarians, ecologists and scientists -- that discusses the number of hunting permits to issue each year and decides on the individual bison to be removed.

She said that the process is strictly regulated, with a hunter being escorted by a forest ranger, pointed to the one animal he is allowed to shoot and only permitted to fire when it is alone.

"Everything is organized," said Olech-Piasecka. "This kind of hunting involves 20, maybe 25 animals per year in Poland."

But Kowalczyk does not believe that the animals are plentiful enough in Poland for even this carefully regulated hunting to take place.

"This culling or hunting is occurring in some populations that number below 100 individuals," he said.

He suggests that the bison might be better suited to life on the plains and out of the forests, which would not place an artificial limit on population numbers.

"There is huge potential for bison increase in many areas and I'm quite sure that culling or hunting is not a good way to mitigate conflicts."

@highlight

European bison have been successfully reintroduced to Poland

@highlight

Animal was declared extinct in the country in the 1920s

@highlight

Around 1,200 animals are closely monitored by conservation groups

@highlight

Controlling population is now an issue with hunting a controversial proposal