Athens (CNN) -- Having to skip cancer therapy twice in the last two months due to a lack of drugs normally available through Greece's national health system, 45-year-old Morfo Karadona says a new fear has entered her life.

"I have been battling cancer for the last six years. Now I can't find the drugs I need. Ensuring I get my treatment every two weeks is a matter of life and death for me."

Karadona is one of thousands of Greeks trapped in a vicious circle involving a cash-strapped government unable to pay its bills.

She spoke as some international pharmaceutical companies have limited supplies to Greece, and increased fears of a parallel export trade as wholesalers and pharmacies look for cash.

Diagnosed as the sick man of Europe, Greece is in its sixth year of recession and hugely in debt, struggling to put its finances in order.

While servicing a massive bailout loan to its lenders, the European Union, the European Central Bank and the International Monetary Fund, the state owes pharmaceutical companies and pharmacies around 2 billion euros ($2.6 billion) through accumulated debt, Health Minister Andreas Lykouretzos admits.

The president of Greece's Association of Pharmaceutical Companies, Konstantinos Frouzis, who is also the vice president of Novartis Greece, warns that "companies are heading towards a dead end. It is impossible to run a business when there is no cash flow to plan ahead."

There are legal limitations to ensure that drugs cannot be treated like any other commodity: Pharmaceutical companies are legally bound to continue to supply hospitals with so called "critical medicines," which include those dealing with life-threatening diseases such as HIV.

But patients and NGOs, including Alma Zois, which supports women with breast cancer, said they receive calls on their helplines from panic-stricken people who can't get hold of the medicines they need.

What really went wrong in Greece?

Under the current Greek system, customers can buy some critical medicines from pharmacies and are later reimbursed by the state. At state pharmacies and hospitals they can get the medicines directly.

This means poorer customers are "guaranteed" immediate access to "critical" drugs, but if there are shortages at state pharmacies and hospitals then this excludes access for people who can't pay upfront.

Thirteen companies have been investigated, with eight of those found to have reduced supplies, according to the national drug regulator's president Ioannis Toundas.

The firms involved have yet to be identified, but the list is understood to include large multinational corporations; they are expected to face heavy fines, Toundas said.

Toundas estimates shortages of 200 medicines out of a total of 12,500 available in Greece. An export ban on 60 drugs has been issued to ensure a sufficient supply in the internal market.

Roche spokesperson Daniel Grotsky said the company is withholding some non-critical drugs until it is paid the 200 million euros it is owed by the Greek state.

"We are insisting that the public hospitals fulfill their contracts and this is something we do in any country," he said. "We are withholding medicines until they meet their obligations."

Greece has among the cheapest medicines in the European Union and has just announced further price drops. This makes drugs more affordable at a time when a rising number of unemployed Greeks have lost their health-care coverage but it comes with side-effects: supply problems, and an increase in "parallel export trade."

After years of mismanagement and overspending the health ministry is under pressure to make cuts to the social funds which cover the cost of most drugs.

Dimitris Karageorgiou, general secretary of the Panhellenic Pharmaceutical Association, described the new price list as "infuriating."

"Some prices are artificially low to show expenditure cuts to Greece's lenders," Karagiorgou said. "The move could push pharmaceuticals to further reduce supplies to Greece because of low profits. The companies only care about money, not people."

"The low prices mean that it is about three times cheaper to buy a box of aspirin in Greece than it is in Germany", said chemist Marios Kamberis, "but it increases parallel trade."

Wholesalers are legally allowed to sell medicines to other European countries, including at higher prices, as long as they can guarantee sufficient supply for the Greek market for three months. But increasingly wholesalers, and sometimes pharmacies, break the rules and sell larger quantities than they are allowed to other EU markets in search of a quick profit. As cash becomes scarcer in Greece, more and more people turn to this kind of trade.

"The state is so late with our payments so we keep delaying payments to wholesalers," says Kamberis. "But increasingly they no longer accept credit. And we do the same. All transactions of goods are now upfront, so people have to look outside Greece because there is no money here."

Deputy Health Minister Marios Salmas said the current shortage of medicines in the Greek market is artificial. Salmas blamed wholesalers and pharmacies for exporting large quantities of drugs destined for Greeks to wealthier EU countries to increase profit.

This parallel trade has long been an issue. It is a fundamental problem of any free trade area, such as the EU, where movement of goods is not only legal but encouraged. Greece is a poorer country, and medicines there have always cost less so wholesalers have always sold them for more outside the country. This is also the case with Spain and generally the countries of the south.

And what is happening in the health sector is indicative of what is happening in all facets of Greek life. The country is turning into a cash economy. With no money to go around Greeks now face shortages and despair.

Paying for the drugs herself, even in cases of emergency, is not a viable option for patients like Karadona, who works in education in the public sector. With her cancer treatment costing 2,500 euros a month -- but a gross monthly salary of just under half of that -- it is impossible for her to cover her medical bills.

"My husband and I also have two children to support. His business as a fishmonger has also dropped because of the financial crisis as people eat less fresh fish to save money."

In the center of Athens, in one of a handful of state pharmacies, people are looking for prescription drugs that hospitals no longer have in stock.

Number 371, later introduced as 75-year-old Marina Kambaki, gets up from her orange plastic chair to reach the counter only to be told that her diabetes medicine is no available, and she should come back in a few days.

"But I must take it today. This is not something that can wait," she says.

This is the third of the five such authorized pharmacies in Athens that she has traveled to that day, desperate to find her much-needed medication.

"I used to be a social worker. I have paid my contributions all my life and now that I am old my pension has been slashed to almost half and my country is leaving me to rot."

Many of those waiting in line offer similar accounts, echoing the frustration over what they see as the breach of a social contract.

A team of officials representing Greece's creditors is currently in Athens, assessing progress and planning ahead. The pharmaceutical budget is on the agenda after being severely slashed last year.

Austerity has been applied as the main treatment for Greece's many ailments and further cuts may be ahead as forecasts show that the country's economy is expected to contract by a further 4 to 4.5% this year.

But without growth Greece remains on life support, dependent on its creditors.

The government is optimistic that growth is around the corner, and that recovery will be visible within the year, with investors and depositors regaining confidence as talk of an exit from the eurozone has subsided. The much anticipated bank recapitalization, expected to be completed in spring, will be a first, much needed, boost.

It will take some time before the effects of cash injections become visible to ordinary Greek people like Karadona, who wake every day to the fear of not being able to find life-saving drugs. Until then they will carry on tasting the bitter medicine of austerity that opinion polls suggest most believe has been applied in such strong doses as to kill the patient.

@highlight

Some international pharmaceutical companies have limited supplies to Greece

@highlight

Thousands of Greeks are now unable to obtain supplies of life-saving drugs

@highlight

Greece in sixth year of recession, struggling to put finances in order

@highlight

Pharmaceutical firms say they are limiting supplies to Greece over unpaid debts