LONDON, England (CNN) -- Tino Schaedler is an architect-turned-digital design artist whose groundbreaking work has been seen in "Charlie and the Chocolate Factory" and "Harry Potter and the Order of the Phoenix."

Tino Schaedler, Jean-Lucien Gay and Michael J. Brown talk about design, virtuality and the future

Schaedler's next film project is "Prince of Persia: The Sands of Time," a fantasy epic starring Jake Gyllenhaal and due in 2010.

In 2007 he joined with Michael J. Brown and Jean-Lucien Gay to found NAU, a cross-disciplinary design collective positioned between architecture and film.

CNN talked to Schaedler and his NAU colleagues, as well as collaborator Ken Leung, a graphic designer.

CNN: You have said that graphic design is very powerful. Can you explain why?

TS: I think graphic design, for us, is very important as it helps to break down very complex information into digestible, easy-to-understand buttons or whatever. In the world we're living in, we're flooded with information and need someone to almost kind of channel it and create signs that we can read. That's why I think graphic design becomes more important, the more complex our world becomes.

CNN: Can you explain the work that NAU does?

TS: NAU is a company that I founded with Michael and Jean-Lucien, friends from the architect firm I worked at. I guess we all wanted to collaborate, and me being interested in drifting back from the world of architecture to the world of film, I guess Michael and Jean-Lucien had something to offer. They usually take over the architectural side of things and I can be more free and visionary. I push them further with the kind of ideas I come up with and at the same time they make my ideas real.

JLG: The idea was really to create a label, a structure that could cope with all the different locations that we're working from. It's also about the idea of remote collaboration.

CNN: How important is it for you to collaborate with people?

TS: For me, working with Ken has been like adding a whole new layer to the 3D worlds that I'm designing. I always liked the combination of high-end 3D graphics and subtle 2D graphics.

I think for me, collaboration is also about creating situations that we'll both profit from. Also there are new tools we use that are a combination of Skype, video conferencing and Photoshop which allow you to do a video conference, which allow me to use a sketchpad that the other person can see.

We can sketch correspondingly with each other and create something although we are not sitting in the same office.

KL: Working with Tino, I've seen my work transformed into 3D. My background is print and magazines, so in this sense, things come alive, they move, it makes it real.

CNN: How does architecture tie in with digital or 3D design?

TS: You need two images and through the images you can interpolate the architectural spatial design which creates a 3D model... that technique also comes into film because it is photogrammetry, (a way of measuring 2D or 3D objects from photo-grammes or photographs as well as electronic imagery.)

CNN: Didn't the makers of "The Matrix" use similar technology?

TS: They basically just have the actress [Carrie-Ann Moss] up in the air and they take a photograph each at the same time so that's why she's in that movement... the camera moves around her but she doesn't move because its all different shots so you stretch the whole experience in two or three seconds. We're doing something similar on [the film] "Prince of Persia" that I've just finished. We record some action with five cameras... from these five images they recreate the actors as 3D objects and then project according to which angle. It's fascinating what kind of technology is out there.

CNN: Can you define the relationship between working as architects and still working on a project like the Cocoon?

MB: For us, it's less about the physical infrastructure that you are creating and more about the spaces and the experiences that you have there. In that sense I see a development of designers who are working across many media.

CNN: Let's talk more about the Cocoon. What is it?

TS: I actually had the idea for the Cocoon when I was walking down Oxford Street on a Saturday afternoon. We know how manic it can be when everyone is shopping. I thought it would be brilliant to have something like a telephone booth that could help me disappear from the madness and allow me to relax or walk through the Amazon or let me sleep under a starry sky or whatever. You also have to see it like a retreat, it's to chill out.

MB: I think the important elements for us were to be able to ask, "Can I communicate with this piece through physical actions that are not so much tied to moving my fingers across the keyboard, but are much more about how I walk down the street, how I wave to people." How can I break down the barrier which is typically this sort of 2D screen between me and this digital world?

CNN: Will we end up wired to computers and never see each other?

KL: It's very different from gaming in the 80s. Then, you'd go to a computer game parlor and sit in a car for example. This is kind of taking it one step further, you're a bit more enclosed and the graphics are a lot better. I wouldn't be so daunted going into it.

TS: For me, the true potential evolves more once the virtual information is completely freed from any medium that displays it. That's actually not far from the Cocoon because the next big step is the interface - if I can interact with something that's in front of me, I'm also using my body and that's also what the Cocoon is establishing. I see virtuality, once it's fully unfolded, as contributing to the slowing process that puts us back in tune with ourselves.

CNN: What appeals to you most about the Cocoon project?

KL: It's almost like being in your own virtual world. You see people with their iPods. They want to be in their own worlds, this is taking it one step further. But the good thing is you're using your whole body and almost becoming part of it.

TS: I think [the Cocoon] frees virtuality from the computer. I've been dealing with this concept for probably ten years, because it was a big theme in architecture in the 90s. Everyone was afraid that architecture would disappear and be completely replaced by virtuality. I think it's got such amazing potential to make the world so much more exciting. When we think about our childhoods or watching "Star Trek" - seeing people being beamed - there's so much cool stuff and ideas... the future is now.

CNN: Is the world ready for it?

TS: I think it always takes some time to invent something, then for people to adapt it. I think with technology accelerating we also accelerate in the way that we adapt it so I think it's always no problem to get used to that and to enjoy it as well.

CNN: What role do you see the Cocoon playing in the real world?

TS: While working on the project, I read an article which talked about how in the future we would be much more limited in the way that we can physically travel. It will be a luxury to have a car or travel across countries and continents. It also mentioned that virtuality and Internet communication will be much more enhanced and will be even more importance. I think with the Cocoon and the technology that we propose in there, to travel to places, to work remotely, to have enhanced communication for remote shopping, will be even more important.

Michael: For us the Cocoon is, I hope, the first step in trying to bring people a little bit more freedom from how they work and how they communicate.

CNN: Do you think we're getting better at it?

KL: I do. Personally, I loved the modernism of the 60s and 70s; everything was boiled down and focused on central points. Now we've got so many tricks with computers that we tend to go overboard, but I think the ideas are lacking and that people need to focus on the ideas first.

I think we kind of share the same visual sensibility as well. Tino will send back a brief and I will send three options and we'll narrow it down from there. We work together quite well.

CNN: Is it weird being together?

TS: You know something like this always evolves. You start a project with certain expectations and I've had other collaborations that don't work that well and some where there's kind of a chemistry where things kind of create a synergy and something evolves that you would not be able to do yourself.

CNN: Ken, where do you see the future of entertainment from your perspective, from print and magazines as entertainment, what's the future?

KL: Well I think there is a future in magazines, I think people still want to have time and space from all the rush of the world. To me, when I'm on a plane, I'm happy because I'm not going to be interrupted by anyone and that's kind of the same with the Cocoon. I think its kind of getting away from reality; it's just the need to get your thoughts together.

@highlight

Tino Schaedler, colleagues talk about NAU, a remote collaboration project

@highlight

They discuss the concept of virtual reality, 3D design and the Internet

@highlight

Cocoon project is about being entertained in our own virtual world