WASHINGTON (CNN) -- U.S. troops routinely face the threat of roadside bombs while fighting insurgencies in Afghanistan. They need the most protective clothing the market can bear, and they're getting it -- for now.

North Carolina State University College of Textiles tests the flammability of different materials at this facility.

Back home, a battle is brewing in Congress over the next lucrative contract for military uniforms. The issue boils down to the raw fiber used in their construction.

Current uniforms are made in the United States, in Georgia, using a fabric called Defender M made by the TenCate company. It is favored by the military for its fire-resistant and breathable properties.

But the fabric is made with a type of rayon imported from Austria, which normally would violate the military's buy-American requirement.

This specific rayon cannot be produced in the United States for environmental reasons, so Congress passed an amendment allowing it to be temporarily imported. The extension expires, or "sunsets," in 2013, but that year's defense budget is being determined now. The idea of the sunset is to give U.S. manufacturers time to come up with a comparable product.

At stake: a defense contract worth hundreds of millions of dollars.

American competitors have submitted alternatives, but after independent testing at North Carolina State University College of Textiles, the Defense Department concluded that TenCate's Defender M -- with its foreign-made fibers -- is the most flame-resistant.

Dr. Roger Barker, who specializes in clothing flammability at the College of Textiles, conducted a demonstration for CNN. Based on his testing, the Army says Defender M resists fire the longest of other fabrics.

"What the new heat-resistant materials are able to do is add seconds of protection, so that seconds of protection can be the difference between a severe burn or a survival burn," Barker said.

"Life and death," echoes Sen. Johnny Isakson, R-Georgia, regarding those extra seconds of fire protection. He asked the Senate to extend the waiver.

"So long as it's the best available in the world to protect our soldiers, we absolutely ought to maximize the use," Isakson told CNN.

"There is no American competitor that can meet or exceed it," Isakson said on the Senate floor. "Obviously if there were, then that waiver would go away."

The U.S. Army's uniform procurer says soldiers prefer TenCate's product.

"They have consistently exceeded our expectations. This has proven to be a valuable fabric and well-received by our soldiers," Jeff Myhre told CNN.

In a letter to CNN, a top military official said the ability to procure the foreign rayon "a valuable authority."

"Our periodic review of rayon requirements within the Military Services and testing of alternative items that are available domestically continue to support the determination that satisfactory quality and sufficient quantity of rayon yarn conforming to the domestic source requirements cannot be procured as needed," wrote Ashton Carter, undersecretary of defense for acquisition, technology & logistics.

Sen. Lindsey Graham, R-South Carolina, opposed Isakson's amendment, debating on the Senate floor that it "permanently extends this waiver and will end all efforts to produce a domestic material to make military uniforms."

Sen. Jim Webb, D-Virginia, agrees with Graham that U.S. companies won't have an incentive to invest in research and development. He says the exception was supposed to be temporary, and "favors foreign suppliers of rayon over our own American companies."

He argued on the Senate floor that in due time, U.S. companies would be able to demonstrate an ability to manufacture materials that meet Army requirements. He's also worried about jobs.

"Some companies, like DuPont, for example, have already lost hundreds of jobs owing to their inability to compete for Army contracts," he said.

The Senate voted, and the nays had it. No extension, no more imports of this fabric as of 2013.

What next? The House of Representatives is expected to take up the bill when members return from the August recess.

Isakson is confident his argument will prevail.

"Facts are stubborn things. I think when the facts get out they'll understand it's the right thing to do. Our armed forces want it and it's the best thing for our soldiers," he said.

Pentagon Correspondent Chris Lawrence contributed to this report.

@highlight

Uniforms made in Georgia by TenCate company, using a fabric called Defender M

@highlight

It is favored by the military for its fire-resistant and breathable properties

@highlight

Fabric uses rayon from Austria, which normally violates buy-American requirement

@highlight

Amendment at issue would continue to allow special rayon to be imported