Poznan, Poland (CNN) -- At the top of a flight of stairs with no elevator in sight, registered nurse Katarzyna Kaseja leans over the rickety metal bars of a crib. Her 4-year-old patient, a ventilator tube fastened to his throat, reaches out to take her hand.

"It's hard to work as a nurse in Poland," said Kaseja, 25. Since she began her career at the Specialized Hospital for Mother and Child in the western Poland city of Poznan, little funding and outdated machinery have only been part of the problem.

"There are not enough nurses, and you have to do everything," she said. "And there is little money and low prestige."

Meager salaries and demanding hours for nurses, however, are not purely a Polish problem. Throughout Europe, the nursing profession is rapidly losing its appeal. An aging workforce and dwindling student enrollment in nursing schools are precipitating a looming nursing crisis.

Add to that an economic recession and more seniors requiring long-term care, and Europe may be facing a shortage of 1 million health professionals by 2020, according to a European Union Joint Action on Health Workforce Planning estimate.

"People are leaving the profession because they can't stand the difficult work anymore," said Paul De Raeve, secretary general of the European Federation of Nurses Associations, which represents the interests of nurses in 27 European countries. "The young generation thinks you must be a fool to go into nursing."

It's actually bad all over: America, too, may have 1.2 million job openings for nurses, due to job growth and replacements, by 2020, according to the U.S. Bureau of Labor Statistics.

However, De Raeve believes the United States can serve as an example for Europe, as President Barack Obama's administration has committed to improving working conditions.

When the Affordable Care Act takes full effect in 2014, nursing may soon become a more attractive career option in the United States. As part of the ACA, in addition to loan forgiveness programs, nurses will receive increased financial support for pursuing training programs and obtaining advanced certification.

Your health care is covered, but who's going to treat you?

But in Europe, a clear-cut solution to the nursing crisis may prove to be elusive, as governments and international organizations have very different approaches to dealing with the problem.

In countries such as the United Kingdom, which expects a nursing shortage within the next five years, the focus is on disease prevention and public health to reduce the overall number of patients.

According to Peter Sharp, chief executive at the United Kingdom's Centre for Workforce Intelligence, an organization providing research and advice on workforce planning, recruiters should encourage nurses who left the job market due to family commitments to return to the workforce. Another plan is to train experienced nurses to take on greater responsibilities.

"A doctor costs more than four times a nurse," Sharp said. "If you don't spend as much on doctors, you can spend more on nursing."

In other countries, such as Germany, the shortage is particularly acute, and the immigration of health care workers from poorer economies even outside of Europe is becoming part of the solution.

"We expect a tremendous nursing shortage of about 500,000 people by 2030," said Professor Stefan Goerres, managing director of the Institute for Public Health and Health Care Research at the University of Bremen. "Even if the profession were more attractive, there just aren't enough young people due to declining birth rates."

In an attempt to alleviate the shortage, the Arbeitgeberverband Pflege, a health employer's union in Berlin, has come up with an idea -- enlisting nurses from China. In cooperation with the German Federal Employment Agency, an experimental project has recruited an initial 150 nurses from China to work in hospitals and nursing homes beginning in early 2014.

This month, at the Shandong International Nurse Training Center in Weihai, China, the nurses selected for the program are beginning their eight-month training in German life, culture, and language.

"The nurses learn international standards for caring, washing the elderly, and physical therapy," said Kevin Ji, marketing executive of the government-sanctioned nursing center. The training center, which opened in 2001, has more than 400 students a year and has sent its graduates to countries such as Singapore, South Korea and Saudi Arabia.

As part of the curriculum, the nurses destined for Germany have begun absorbing the tenets of German culture to ensure a smooth transition into Western society. "Recently, we had a lecture on garbage and recycling," Ji said. "It's very complicated in Germany."

To create a more unified response to the nursing crisis on a European level, the Joint Action on Health Workforce Planning, funded in part by the European Commission, recently launched a project to foster international cooperation. Beginning this month, its agenda will also focus on the increasing mobility of nurses throughout Europe and its potential social and economic impact.

As the member states of the Joint Action begin to meet, some have expressed concern that the migration of nurses within Europe may have unintended consequences.

"Hungary and Poland are worried that their workforce is being poached by richer countries," said Sharp, who attended the first Joint Action session in Brussels in April.

While weaker economies fear losing their best and brightest workers, wealthier countries worry about a potential influx of job seekers in a time when Europe is still in the throes of a recession. This scenario could become a reality in January 2014, when the Eastern European countries of Romania and Bulgaria gain unrestricted access to the EU.

The migration of nurses is further exacerbated by a significant wage disparity within Europe. While a nurse in the U.K. can expect a salary of about $2,800 a month, according to National Health Service estimates, a nurse in Romania can earn less than $200.

Back in Poland, about 500 nurses have requested official certificates to seek employment abroad over the past decade, said Teresa Kruczkowska, head of the self-governing Regional Parliament of Nurses in Poznan. In an area of only 3.5 million inhabitants, this would be enough to staff two large hospitals.

Kaseja, the nurse at the children's intensive care unit in Poznan, said she loves working with children. But would she consider moving to a better-paying country?

She hesitates. In the small ward -- its walls painted a cheerful green -- her young patients lay motionless beneath the bulky, dated ventilator machines.

"Maybe," she says.

@highlight

Low salaries, little prestige and meager funding contribute to European nursing shortage

@highlight

The looming crisis is comparable to that in the United States

@highlight

But officials say the Obama administration is targeting the problem

@highlight

In Europe, no clear-cut solution appears forthcoming