(CNN) -- Hurtling across the Milky Way like an eternal explorer -- the Voyager 1 spacecraft continues to nonchalantly reveal the mysteries of the solar system to a captivated Earthbound audience.

Active volcanoes, methane rain, icy geysers and intricate details about Saturn's rings -- the list of revelations attributed to the mission reads like fantastical sci-fi novel but it has revolutionized planetary astronomy.

Thirty-seven years after it launched, Voyager 1 is still out in the vast expanse of space, periodically relaying new data back home. But in 2013, NASA made the groundbreaking announcement that Voyager 1 had left the heliosphere -- a magnetic boundary "bubble," if you will, which scientists use to explain the separation of our solar system from the rest of the galaxy.

"That means Voyager has traveled outside the bubble of our sun," explains Voyager project manager Suzy Dodd. "The data Voyager 1 sends us now is data from other stars and from super nova eruptions and the remnant of stars that have exploded over the course of history."

It's an incredible achievement for a probe built for an initial five-year mission. But now, not for the first time since the extraordinary statement, doubts have been cast on whether the craft has actually made the historic crossing.

While measurements allowed NASA to feel confident enough to confirm Voyager 1 had entered interstellar space, two University of Michigan scientists who have worked on the Voyager missions remain skeptical.

"This controversy will continue until it is resolved by measurements," said George Gloeckler, a University of Michigan professor of atmospheric, oceanic and space sciences, and lead author of a new study, in an American Geophysical Union press release.

SEE: Moon maps through the ages

To that end, Gloeckler and fellow University of Michigan professor and study co-author Len Fisk, predict that when Voyager does cross the threshold into interstellar space, the probe will identify a reversal in the magnetic field, which will be relayed back to scientists on Earth, conclusively determining the spacecraft's location. They expect this magnetic field shift to occur in the next two years, and if it doesn't, this would confirm that Voyager 1 has already left the heliosphere.

But while we may not know the exact location of Voyager 1, we do know that it's one of the most successful spacecraft of all time.

'The little spacecraft that could'

Launched individually in the summer of 1977, Voyager was a twin-spacecraft primary mission developed by NASA to explore Jupiter and Saturn and their larger moons.

Following successful completion of the Voyager mission's primary objectives, a rare planetary alignment offered up remarkable opportunities for the two craft to continue space exploration.

"Voyager took advantage of alignment of the outer planets, which are Jupiter, Saturn, Uranus and Neptune, to be able to go by all four of those planets in a 12-year period. That alignment of planets only happens every 176 years," says Dodd -- who has described Voyager 1 as "the little spacecraft that could."

So in 1980 the Voyager mission was officially extended and renamed the Interstellar mission. The probes were now participating in an exploratory odyssey to the farthest reaches of the heliosphere ... and beyond.

Through remote-control reprogramming -- a technological advancement unavailable at launch -- using Saturn's gravitational field, the Voyager 1 probe was fired like a slingshot on a trajectory that would take it onwards into interstellar space.

Meanwhile Voyager 2 was redirected onto a new flight path, taking in the sights of Neptune and Uranus, before it will eventually follow its counterpart out of the heliosphere. To this day, it remains the only man-made object to have visited Neptune and Uranus.

Not bad for vintage technology that has just 70 kilobytes of memory on board; a 16 gigabyte iPhone 5 has more than 240,000 times that amount.

Voyager 1 is now so far from Earth that commands take more than 17 hours to reach it. But it will be a little while before the spacecraft will encounter any more planets.

"It is going to take us 40,000 years to come within three light years of the next nearest sun or the next nearest star," says Dodd. "And that is a long, long time."

SEE: Moon maps through the ages

SEE: Best selfies ... from space

WATCH: Stunning solar flares

@highlight

Launched in 1977, Voyager 1 was part of a twin-spacecraft mission on a multi-planet tour

@highlight

A rare planetary alignment let the mission travel past Jupiter, Saturn, Uranus, Neptune

@highlight

The two Voyagers have provided unparalleled insight into our solar system

@highlight

NASA announced Voyager 1 had left heliosphere last year, but some dispute that