Washington (CNN)North Carolina might be going rogue.

The state is on a collision course with the Republican National Committee over when to hold its presidential primary next year.

National Republicans -- intent on fashioning an orderly nominating process after several chaotic cycles -- are threatening trigger-happy primary and caucus states with drastic penalties if they attempt to leapfrog the voting line and disrupt the carefully plotted primary calendar.

But a handful of North Carolina GOP legislators are vowing to defend a recently passed law that places their state's primary fifth-in-line, in late February 2016, right after Iowa, New Hampshire, Nevada and South Carolina raise the curtain on the Republican and Democratic nomination battles.

"North Carolina is the biggest threat to the calendar now because there is an uncertainty around the primary here that does not exist elsewhere," said Josh Putnam, a professor at Appalachian State University in Boone, North Carolina, who runs the web site "Frontloading HQ," which covers the presidential primary system in obsessive detail.

Backers of the early Tar Heel primary sound a lot like the mischief-making Tallahassee lawmakers who pushed for Florida to hold an earlier-than-expected primary in 2008 and 2012, despite penalties from the national party committees that stripped them of delegates to the national convention.

"We deserve a voice as much as any other state," said Bob Rucho, a conservative state senator from the Charlotte area who is championing the new primary date. "Any state that chooses to should be able to have their citizens be involved in the process of choosing the candidate. The other system has made selections from Dole to McCain to Romney, and each of them did not succeed in winning the presidency. We just feel there is a better way of doing this."

If North Carolina goes early and holds its primary before March 1, the RNC would chop its sizeable delegation of 72 delegates down to 12, making the state a dubious prize for candidates on hunt for convention delegates.

Rucho said the penalty would "disenfranchise Republican voters."

"We have won a governorship, two U.S. senators and the General Assembly," he said. "North Carolina has been one of the leading states in strengthening the Republican Party, and we feel that any sanctions against us would be against a group of people who have made great strides in helping the Republican Party in the Southeast and in the rest of the country."

The law in question, signed by Gov. Pat McCrory in late 2013 as part of an election overhaul package that included strict new voter identification regulations, dictates that the North Carolina primary, for both Democrats and Republicans, must occur on the Tuesday after South Carolina's 2016 presidential primary.

The first four "carve out" states that kick off the primary process are the only ones allowed to hold contests in February. The exact dates have not been set. But South Carolina, the first-in-the-South primary that can make or break a candidate riding high out of Iowa or New Hampshire, holds its contest on a Saturday.

That means North Carolina would hold its primary on a Tuesday in late February, just three days after South Carolina, if the law remains in place. That's a quick turnaround that might water down South Carolina's prized relevance.

"The North Carolina legislature needs to come to its senses on choosing a primary date," said South Carolina GOP Chairman Matt Moore. "Holding their primary in February would be disastrous for the state party and activists."

Democrats have almost no power in the GOP-controlled North Carolina legislature, and their presidential primary at this point looks more like a Hillary Clinton coronation than an election. But the new date also violates Democratic National Committee rules and would result in steep penalties for the state's Democratic convention delegates.

Besides the early burst of national attention, Rucho said one reason to hold the North Carolina primary in February, rather than its traditional slot in May, is that candidates will already be spending their money and time in South Carolina.

So, he asked, why not make it easier for candidates to compete in a contest next door, when they've already unleashed their money on television ads in media markets such as Charlotte, Asheville and Wilmington that bleed into into northern swaths of South Carolina?

"The logic behind it is that a good number of a people in the southern portion of the state, the media markets there, will already be engaged," Rucho said. "Since they are here already, it would be smart for us to move forward and have it a week after South Carolina. It's efficiency and reducing the costs of campaign expenses. They will have been here already, the money will have been spent."

That flies in the face of carefully laid plans by the RNC, which vowed to crack down on rogue states after an unruly 2012 nomination fight that saw several states jump the line, forcing Iowa and New Hampshire to move their contests into the frozen early days of January.

So far, the 2016 primary order seems to be holding, with other states such as Michigan passing laws to comply with RNC rules after their dates conflicted with the calendar. For the first time since 1996, the Iowa caucuses are on pace to happen in February, sparing voters, campaign staffers and reporters from another holiday season in last-minute campaign mode.

But North Carolina remains a wild card, drawing scrutiny from national party leaders.

RNC Chairman Reince Priebus called McCrory last week to discuss the situation, one GOP source told CNN, and Thom Tillis, the state's junior senator, "supports holding North Carolina's primary on a date consistent with RNC rules," a spokesman for the senator said.

Richard Burr, the state's senior senator who is up for re-election in 2016, declined to comment on the situation through a spokeswoman.

North Carolina GOP Chairman Claude Pope Jr., who has a fraught relationship with Rucho, published an op-ed in The Charlotte Observer calling on the legislature to move the primary to March 1, where it would join seven other Southern states banding together for a multistate "SEC Primary" day.

"Our legislature had good intentions when it established a February primary date, assuming that the world would beat a path to our door -- bringing national media exposure, money, and an economic boom-let to North Carolina," Pope wrote. "But the crowded field of presidential wannabes will not step foot in our state. They will not visit the fire stations or Rotary Clubs. They won't ride in the parades, eat barbecue, kiss babies or spend their millions fighting over just 12 delegates -- it simply isn't worth the money."

Several Republicans close to the process told CNN that the North Carolina House of Representatives is willing to pass legislation changing the primary date before the legislative sessions concludes this summer. One of the RNC's national committeeman from North Carolina, David Lewis, is a member of the General Assembly and likely to drive the discussions.

The hold up appears to be in the state Senate, where Rucho, state Sen. Andrew Brock and their vocal conservative allies are adamant about keeping the February date.

"We have had this on the books for almost a year and a half," Rucho said.

It's not yet clear whether the opinions of Rucho and his allies are shared by most members of the GOP caucus. But state Senate President Phil Berger, who would bring legislation on the primary to the floor, "rarely does anything to go against their wishes," one Republican familiar with Senate politics told CNN.

"Berger doesn't want to cross these guys too many times," the source said. "He is kind of indifferent to all this."

Senior Republicans in Washington and North Carolina are confident the state will ultimately move its primary.

But if it fails to do so, and North Carolina loses its delegates, presidential campaigns will have to weigh the costs of campaigning in the ninth most populous state and the pricey media markets that come with it.

"It's an extremely expensive state," said one political consultant working with a likely Republican presidential candidate. "Spending millions to compete for 12 delegate votes would be malpractice."

@highlight

Some GOP legislators vow to defend a law that places North Carolina's primary fifth-in-line

@highlight

Political professor: "North Carolina is the biggest threat to the calendar now"

@highlight

If North Carolina holds its primary before March 1, the RNC says it will chop its delegation down to 12