LONDON, England (CNN) -- You might have thought that recycling is limited to paper, plastics and glass. Well, think again. A Californian company is developing a new technique for recycling carbon dioxide, or CO2, and turning it back into fuel.

Carbon Sciences are developing a "breakthrough technology" to make fuel out of waste CO2.

Carbon Sciences believe they have made a breakthrough with their technology, which they say can transform CO2 back into basic fuel building blocks efficiently.

Their biocatalytic process converts CO2 into basic hydrocarbons - C1 (methane) C2 (ethane) and C3 (propane) -- which can then be utilized to make higher-grade fuels like gasoline and jet fuel.

"We are very excited by what we've seen in the lab. We've had some promising results," Derek McLeish, President and CEO of the Santa Barbara-based company, told CNN.

By employing biocatalysis -- using natural catalysts to perform chemical reactions -- Carbon Sciences hope to bypass the problem of inefficient energy ratios which can render many CO2 recycling projects pointless.

"We don't use high temperatures or high pressures, which is a huge advantage in terms of scaling the project up," McLeish said.

In the future, McLeish envisages Carbon Sciences setting up shop next door to large CO2 emitters -- coal, gas-fired plants and oil refineries -- recycling concentrated streams of CO2 discharged from fossil fuel plants. Trying to take CO2 out of natural air just wouldn't be worth it.

"The beauty of this system is the whole infrastructure to distribute, to market and to use it is already in place," he said.

The recycling process has five main stages. After rudimentary purification and regeneration of the biocatalysts, the CO2 is transferred to a Biocatalytic Reactor Matrix where mass quantities of biocatalysts function in a matrix of liquid reaction chambers breaking down CO2 and turning it into hydrocarbons.

Liquids are then filtered and gases are extracted through condensers ready for conversion to higher grade fuel.

Carbon Sciences are just one of many companies all over the world who are beavering away trying to find effective methods of renewing CO2. The science is well known, but practical energy effective devices are in short supply.

Scientists at Sandia National Laboratories in New Mexico are exploring the idea of using concentrated solar energy to turn CO2 into fuel. The Sunshine to Petrol project is testing a prototype device called the Counter Rotating Ring Receiver Reactor Recuperator (called CR5 for short) which turns CO2 into carbon monoxide which could then form part of a liquid fuel.

Others, like Michael North, Professor of Organic Chemistry at Newcastle University in the UK, are looking at transforming CO2 into useful chemical compounds called cyclic carbonates for industrial use.

Professor North says recycling CO2 may be more vital for the chemical industries than for fuel production.

"People don't seem to realize that ten percent of everything that comes out of an oil well doesn't go to the fuel industry, it drives the chemical industry. So not only are we facing a fuel crisis but the entire chemical industry is likely to cease to exist. So we desperately need to find ways of making basic chemical materials out of CO2 to keep the chemical industries ticking over.

Professor North and his team are currently in discussions with some potential investors. He believes that Carbon Sciences' program sounds feasible.

"They will need to address issues about how long the biocatalysts are active for before they need replacing. If they only work for a day then you are going to be getting through tons and tons of biocatalyst for each ton of CO2.

"Biocatalyst life span and poisoning -- by things like nitrous oxide, sulfur dioxide and other impurities - will be the issues determining how feasible it is and how cost effective it is," he said.

While McLeish doesn't envisage his biocatalytic technology being able to service the fuel needs of all motorists, he is confident that it can perform profitably on a smaller scale.

"Transportation uses transportable fuels. We need renewables -- wind, tidal -- but these are not useable in the transport sector. One of the challenges in the future will be transportation," he said. "The grand vision here is to take waste, build it into a portable fuel and make it useful."

McLeish recently presented his ideas to a climate conference at Cambridge University in the UK where they were warmly received. And if all goes to plan the company will start a pilot project in 2009.

The conference also gave him the opportunity to promote another Carbon Sciences venture: turning CO2 into precipitated calcium carbonate. Like Professor North, his target is the industrial sector; in particular the paper, plastics and pharmaceutical manufacturers.

Another potential benefit of recycling CO2 will be the reduction of large scale geosequestration.

The problem of rising CO2 emissions was highlighted again recently with the publication of the Global Carbon Project's Carbon Budget 2007. Concentrations of atmospheric CO2 have risen to 383 parts per million. A rise of 2.2 ppm on 2006 figures.

Of 28 billion metric tons of CO2 released into the atmosphere, fossil fuel emissions accounted for almost a third.

Although some climate critics might scoff at the idea of recycling CO2 arguing that we should be emitting less rather than recycling a pollutant, reusing it may well prove effective in kick-starting a new carbon market, as well as helping clean up our increasingly polluted planet.

@highlight

Californian company testing a revolutionary new method of recycling CO2 into fuel

@highlight

Carbon Sciences using biocatalyst technology to transform CO2 into fuel efficiently

@highlight

Technology could reduce the millions of tons of CO2 emitted by the energy sector