(CNN)  -- Last year, the bus in which a young Congolese woman we met named Mary was riding was stopped by a militia. "They wanted to all have me, to rape me," she related haltingly to us. "I told them no, and then they took off my shirt and beat me. I have terrible marks now."

Mary's story is similar to hundreds of thousands of women's experiences in the eastern Democratic Republic of the Congo, where rape is routinely "deployed" as a weapon of war by the armed groups fighting over a nation that has some of the richest nonpetroleum natural resource deposits in the world.

Congo holds the numbing distinction of being home to the deadliest war in the world since World War II -- with more than 5.4 million people killed during the past 15 years.

"This war is caused by the minerals," Mary told us. "Those [armed groups] control the minerals. I hear that they are used in mobile phones. ... If you talk to Obama or the phone companies, tell them what happens here."

Armed groups in eastern Congo that control minerals, mines and trading routes generate an estimated $180 million each year by trading four main minerals: tin, tantalum, tungsten, and gold.

This money enables the armed groups to purchase large numbers of weapons and continue their campaign of brutal violence against civilians. Conflict minerals are key components in the manufacture of cell phones, laptops, digital cameras, video games and portable music players.

Because of increasing awareness of the links between electronics products and the worst sexual violence in the world, change is afoot.

During U.S. Secretary of State Hillary Clinton's visit to eastern Congo in August, she said: "With respect to companies that are responsible for what are now being called conflict minerals, I think the international community must start looking at steps we can take to try to prevent the mineral wealth from the DRC ending up in the hands of those who fund the violence here."

The U.S. Congress has also initiated a strong bipartisan effort to curb the conflict minerals trade. Senate and House bills on this issue represent a significant step toward having conflict-free cell phones and laptops by setting up a system of audits and minerals-tracing mechanisms.

This would reveal which phones and laptops contain conflict minerals and which ones do not.

Introduced by Sens. Sam Brownback (R-Kansas), Russ Feingold (D-Wisconsin) and Dick Durbin (D-Illinois) on the Senate side, and Reps. Jim McDermott (D-Washington), Frank Wolf (R-Virginia), Barney Frank (D-Massachusetts) and Donald Payne (D-New Jersey) on the House side, the bills already have the support of powerful committee chairmen but still must be moved through committee.

With the Obama administration and Congress taking a strong interest in this issue, and activist campaigning building some momentum, companies have begun to react.

The tin industry has gone the furthest by introducing an initiative to increase due diligence and trace minerals on the ground in Congo. Electronics companies also have a project under way to map out supply chains. And Intel, HP, Dell, and Motorola are hosting a meeting with activists on conflict minerals in San Francisco, California, this month. But it is not enough.

Campus activists -- from New York; to Knoxville, Tennessee; to Nevada -- are taking up this issue with increased vigor, along with major faith-based groups, from the U.S. Conference of Catholic Bishops to Jewish World Watch.

Are the government and company actions taken to date enough to stop the conflict minerals trade from continuing? The answer is no.

Electronics companies must invest in a system to certify that the minerals used in their products are verifiably conflict-free. They must work with their suppliers to trace the minerals back to their mines of origin and have independent audits conducted of these supply chains so that we know with verified proof that none has passed through the hands of armed groups.

The Obama administration should help companies develop a certification process for conflict minerals, built on the lessons of the Kimberley Process for blood diamonds.

The administration can also help devise a public-private partnership to work with companies, the Congolese government and other key donor countries to help miners in eastern Congo and improve mining inspection and tracing on the ground.

Companies and the government can take steps today. For a start, electronics companies should have audits conducted of their supply chains for the minerals. And Congress should pass the conflict minerals legislation, to get tracing started.

If you have a cell phone, you can also have an impact.

Ask your senator and representative to sign the Congo Conflict Minerals Act (S. 891) and Conflict Minerals Trade Act (H.R. 4128), and find a creative way to reach your cell phone manufacturer to tell it you want a conflict-free cell phone.

The minerals supply chain involves multiple companies, and the war in Congo will not be resolved overnight.

But if companies and consumers take a stand and say "Give us conflict-free products," we can stop this deadly trade and put real pressure on the armed groups that rape women on a mass scale in eastern Congo. Let Mary's request not be forgotten.

The opinions expressed in this commentary are solely those of Sasha Lezhnev and John Prendergast.

@highlight

Lezhnev, Prendergast: Congo "conflict minerals" fund deadly war in which rape is routine

@highlight

Authors: Gunmen sell minerals used in cell phones, laptops, games to buy weapons

@highlight

Victim: "If you talk to Obama or the phone companies, tell them what happens here"

@highlight

They say electronics firms must certify minerals are conflict-free, Congress must pass bills