LONDON, England (CNN) -- James Bond would be lost without them -- those madcap gadgets merging two technologies that help him beat the bad guys and save the planet. The underwater watch with a built-in Geiger counter, for example; or the car that doubles as a submarine; or the exploding bagpipes and missile-launching wheelchair.

An artist's impression of what a Flying Electric Generator might look like

Now a U.S. company has taken a leaf out of 007's book and developed a similarly unlikely "combination" technology.

The "villain" in this case is not a psychotic, cat-stroking megalomaniac, but something both more prosaic and, potentially, more threatening -- global warming: in particular, how to meet the world's energy needs without swamping the planet with clouds of atmosphere-clogging pollutants.

And the madcap gadget that might just provide a solution? A helicopter that doubles as a wind turbine. Or, to give it its technical name, a FEG (Flying Electric Generator).

The brainchild of Australian engineering specialist Professor Bryan Roberts, the FEG is being developed by San Diego-based company SkyWindPower.

Code-cracker turned turbine enthusiast

The latter is headed by David Shepard, who started his career cracking Japanese military ciphers during World War Two, and went on to create the Farrington B numeric font that appears on credit cards around the world.

Shepard has long been convinced of the need for a new global energy source to reduce reliance on carbon-emitting fossil fuels.

For the last two decades his attention has focused on the electricity-generating potential of high-altitude winds, and when he learnt of Professor Roberts' prototype "gyromill" -- a flying wind turbine that the Australian had been developing since 1979 -- he decided it offered the best model for realizing that potential.

The two men started working together in 2002, and the FEG is the result.

High-altitude winds

The guiding principle of the FEG is that wind speed and constancy are far greater at high altitude than they are on the ground, especially in the two major jet streams - the Sub-Tropical Jet and the Polar Front Jet - that exist in each hemisphere (at around 30 degrees and 60 degrees latitude respectively).

A turbine at great height, so the theory goes, can generate far more power than a similar turbine at or near ground level. It has been estimated that capturing just one percent of the available energy of these high altitude winds would meet the electricity needs of the entire planet.

"The winds a few miles above the mid latitudes of the Northern and Southern Hemispheres are far stronger and more persistent than the winds just above us," Shepard told CNN.

"This results in potentially being able to generate electricity for over eighty percent of the time, as opposed to thirty percent of the time at ground-based wind turbine sites.

"The largest ground-based wind turbines currently produce about five megawatts each. We expect typical FEGs to produce about 20 megawatts each."

Helicopter technology

But how do we get a working turbine up to the necessary height -- at least 15,000 ft (4600 meters) above the earth's surface? That's where helicopter technology comes in.

Taking the form of a giant H-shaped frame, the prototype FEG has four huge blades at the four points of the H, each blade 10.7 meters (35 feet) in diameter. These act like the rotors of a helicopter, lifting the FEG to the required height.

Once in place, the blades not only keep the FEG air-born, providing lift like the surface area of a kite, but also act as turbines, turning dynamos within the platform that generate electricity, which is transmitted back to earth through a vast aluminum tethering cable.

An in-built GPS (Global Positioning System) uses satellite technology to ensure that the FEG always remains in the same place, both vertically and horizontally.

According to Shepard, development is already at an advanced stage.

"Professor Roberts demonstrated a FEG in Australia at an altitude of sixty feet over a decade ago," he told CNN.

U.S. demonstration in three years

"We expect to make a demonstration in the U.S. less than three years from now at high altitude in normal high altitude winds. In four years I would expect this sort of technology to be in active use."

As with ground-based wind farms, Shepard envisages whole "sky-farms" of FEGs hovering above the earth in restricted airspace.

Forty-three such FEG "arrays" -- each comprising 600 FEGs -- would, he estimates, generate sufficient electricity to power the whole of the U.S.

"Our calculations show that by reserving less than one four-hundredth of U.S. air space, located at relatively remote locations not on airway routes, all of America's electrical energy needs could be met," he says.

"That is considerably less airspace than is already restricted for other purposes, primarily military."

Not only would the FEGs provide clean energy -- the feedback from environmental groups, according to Shepard, has been overwhelmingly positive -- but at less cost than conventional electricity generation.

While each FEG would cost an estimated $2,260,000 to build, maintain and support, arrays of FEGS would, in the long term, prove extremely cost effective, generating electricity at about 2 cents per kilowatt hour, as opposed to the 3-5 cents of conventional generating methods.

There are risks, of course. Even in restricted airspace there is the possibility of collision with aircraft that unwittingly -- or illegally -- stray into that airspace.

Likewise, despite numerous design features aimed at ensuring the stability of the air-born FEG, the possibility of the structure malfunctioning and plummeting to earth cannot be excluded.

Crashes "inevitable"

"Inevitably crashes will occur," the SkyWindPower Web site acknowledges, "Just as airplane crashes occur.

"Statistically, however, FEGs should be just as reliable as commercial airliners, whose safety records are incredibly good.

"And FEGs don't take off or land at airports teeming with people in and around them."

Shepard and Roberts are not the only people to have considered harnessing the power of high-altitude winds.

Magenn Power, a Canadian company, have been developing a helium-filled, medium altitude wind generator, while in the Netherlands Laddermill has been exploring similar ground using kite technology.

SkyWindPower's FEG, however, is at the forefront of the field, with the U.S. government showing considerable interest in the prototype helicopter-cum-wind-turbine.

Whether it will provide a definitive solution to the world's ever-increasing energy needs remains to be seen.

With the effects of global warming and climate change becoming increasingly acute, however, a technology that might once have been dismissed as no more than a James Bond fantasy now looks as if it could have a serious role to play.

They might not be quite as sexy as your average Bond adventure, but flying wind turbines could end up generating a lot more heat than 007 and Pussy Galore ever did.

.......................................

Are Flying Electric Generators a crackpot idea? Or could they help save the planet? Share your views and read others' thoughts in the Just Imagine forum.

@highlight

U.S. company develops "flying" wind turbine

@highlight

Wind energy far greater at high altitude

@highlight

FEG (Flying Electric Generator) would hover at 15,000 feet

@highlight

Massive air-born wind farms envisaged