(CNN) -- Woody Allen famously said that 80% of success in life is about just showing up. He's wrong. Success in life -- as in diplomacy -- is about showing up at the right time. So Is John Kerry coming to the Israeli-Hamas crisis too early, too late or just at the right time?

The secretary of state has been eager to get into the middle of this almost since it started. He considered going last weekend from Vienna, Austria, where he had joined five other world powers in negotiations with Iran on the nuclear deal. But he smartly decided -- or was discouraged by the Egyptians who were in the middle of their own cease-fire mediation -- not to go.

Still, the rising number of deaths primarily on the Palestinian side and the real danger of escalation of a ground incursion left him little choice. Regardless of the outcome, after Syria and Iraq, both President Barack Obama and Kerry realized that the United States couldn't sit on the sidelines like a potted plant.

Kerry arrives in Israel

Moreover, Kerry's hot mic comments showing his irritation at Israel's supposed "pinpoint" airstrikes in Gaza revealed a good deal more frustration than simply a desire to collect more frequent flier miles. Kerry is an activist and simply couldn't abide the fact that people were dying and the United States wasn't at least trying to stop it.

But desire and passion won't produce a deal. Kerry proved that in his nine-month effort to negotiate an agreed framework for peace between Israeli Prime Minister Benjamin Netanyahu and Palestinian Authority President Mahmoud Abbas.

So what will it take to negotiate a cease-fire, and is Kerry the guy to do it?

A key question is whether the combatants now believe it is urgent to reach a cease-fire: You would think that with more than 600 Palestinians dead, thousands wounded and displaced, and Israel soldiers' casualties rising, the conflict would have created an imperative for de-escalation. And it may eventually bring both Hamas and Israel to the point that a cease-fire is a top priority.

At the same time, Israel's successful Iron Dome missile defense system has insulated the government to a degree from popular pressure to stand down, and the United States generally has been supportive of Israel's right to defend itself.

But Palestinian civilian casualties have increased international pressure. And Tuesday's Federal Aviation Administration decision to stop flights to and from Israel temporarily will remind Israelis about the costs of the continuing confrontation.

As for Hamas, it's not easy to read its calculations, in part because it's not clear whether the military or political wing is in charge. But it is evident that having entered this conflict financially strapped and politically weak, Hamas leaders believe they need to show something tangible for the death and destruction their missiles have produced in Gaza. And, by infiltrating Israel through tunnels and confrontation with Israelis in Gaza, they have inflicted more fatalities on the Israel Defense Forces than they did in the entire three-week war of 2008/9.

Indeed, Hamas seems convinced this fight could continue for a while longer. Bottom line: Both sides may be reaching a tipping point when pain outweighs gain. But they just may not be there quite yet.

A second key question is who is in a position to mediate the deal. Kerry's formidable energy and talent notwithstanding, he cannot do this deal on his own. Washington has plenty of influence with Israel under the right circumstances but none with Hamas. And that means relying on regional partners who do. But that poses a variety of complications.

Egypt wants to maintain the key role here while keeping Qatar and Turkey at bay to limit their pro-Hamas leanings. Still the deal will likely require payment of Hamas employee salaries and the Qataris may be the banker on that one. Egypt and Hamas will also need to work out some new arrangement to ease crossings from Rafah -- the largest pedestrian crossing from Gaza to Egypt.

Israel also wants to limit the gains Hamas makes. It wants a clean cease-fire first and only then arrangements that might satisfy some of what Hamas is seeking.

In the middle of this is a secretary of state who's very much improvising in an effort to determine who has the most influence with Hamas and how best to go about using it.

At the end of the day, it's no coincidence that Kerry stopped in Egypt first. Cairo will remain the fulcrum of this process.

The final question is what kind of deal could be achieved. The simplest way to conclude this round would be quiet for quiet: no more Hamas rockets and no more Israeli military action. But it's probably too late for that kind of a cease-fire, and it would likely only be a temporary respite.

At the other extreme are a variety of proposals from demilitarization to reoccupation of Gaza by Israel to eliminating Hamas as an organization. But none of these are realistic. The best that can be hoped for is a kind of stability for stability in which a long-term cease-fire would be followed by a number of arrangements to open up Gaza economically in exchange for Hamas' commitment to stand down and ensure that there would be no attacks against Israel via tunnels and rockets. Indeed Israel may well demand the border with Gaza be supervised to prevent reconstruction and reuse of Hamas' terror tunnels.

In exchange, a number of parties would be asked to deliver on certain commitments: Qatar would pay promised salaries for Hamas employees under the Fatah-Hamas unity accord; Egypt would allow the Rafah crossing to be opened under terms to be negotiated; Israel would agree to open its crossings with Gaza, perhaps with the return -- even in a symbolic manner -- of Palestinian Authority officials in some role in Gaza.

Egypt would continue to crack down on military contraband, slowing Hamas' capacity to rearm. And the United Nations -- together with international donors -- would work to deal with the humanitarian costs of the current crisis.

Sooner or later, something along these lines will be put together. And Kerry can work to assemble part of it. But it will be Egypt that will drive the train, not just because of its desire to be the key actor, but also to limit the outside influences of others.

And of all the potential mediators, including the United States, Israel would likely prefer Cairo, which shares its objective of limiting Hamas gains. None of this will provide a long-term solution to an Israel-Hamas rivalry, let alone to the broader question of how to reach a two-state solution of the Israeli-Palestinian problem. But it will bring to an end another costly round of Israeli-Palestinian violence. And the time for that is long overdue.

@highlight

Secretary of State John Kerry went to the Middle East to try to end the Gaza battle

@highlight

Aaron Miller: Need for peace is urgent, but do Hamas and Israel feel time is right for deal?

@highlight

U.S. is not in a position to mediate a solution by itself but can work with others, he says

@highlight

Miller: It's too late to end crisis with just a cease-fire; a broader deal is needed