(CNN) -- With all of the recent deadly storms in the news, it may seem has though this year as been more active than a normal year. Since September 1 we have seen eight tropical cyclones, five of which became typhoons, two reaching Super Typhoon status, the strongest classification of tropical cyclones in the Western Pacific.

A Philippines scientist points to a screen monitoring Tropical Storm Parma and Typhoon Melor.

But when we look at the numbers, 2009 has actually been slightly below average.

So far we have seen 19 tropical storms in the Western Pacific, which is slightly behind the pace needed to reach the yearly average of 27.

Named storms, however, are a notoriously poor metric for measuring the ferocity of tropical seasons.

Take this year in the North Atlantic for instance. Yesterday, Tropical Storm Henri became the eighth named storm, coming only a week after the National Hurricane Center would normally name the eighth storm on an average year.

So while 2009 may contain an average number of storms, no one will argue that 2009 has so far been a dud of a hurricane season in the Atlantic. This is largely due to the fact a majority of the storms so far this season have been weak, short-lived, and not made landfall (Tropical Storm Grace did not even last one day).

A better way to measure hurricane and typhoon seasons is with Accumulated Cyclone Energy (ACE), a surprisingly simple mathematic calculation. The National Oceanic and Atmospheric Administration, a U.S. scientific agency that studies oceans and the atmosphere, uses ACE to approximate the energy contained in each cyclone.

ACE is continuously monitored all around the globe by Ryan Maue, a doctoral student at Florida State University, and according to Maue's numbers the West Pacific is 20 percent below average for the season. For comparison, the North Atlantic is 50 percent below average for the year. Go here to see Maue's research

Despite the fact that 2009 has been below average for the season, the past month has been remarkable, with five of the eight storms making direct landfall in Asia.

Typhoon Melor made landfall in central Japan early Thursday. In the Philippines, people are still recovering after two typhoons hit the nation in less than two weeks. Typhoon Parma made landfall last weekend, killing at least 16. Filipinos were still recovering from Typhoon Ketsana, which hit the country in late September. Hundreds of people were killed from that storm, primarily in the Philippines and Vietnam.

Earlier in the summer, more than 600 people died in Taiwan after Typhoon Morakot struck in August. Also in August, Typhoon Etau killed more than a dozen in Taiwan after it brought flash floods and landslides.

What is behind this recent uptick in activity and why are all the storms seemingly coming at once, and late in the season?

The answer may be El Nino, which refers to a periodic change in the atmosphere and ocean in the Pacific. During El Nino, the waters in the central and eastern Pacific are warmer than normal, and the effects on global weather can be drastic and far-reaching.

According to Maue, we see more cyclones later in the season during El Nino years in the Western Pacific, and they tend to form farther east. With the warmer sea surface temperatures during an El Nino event, this would allow these storms more time over open water to grow into large and powerful typhoons.

In fact, we tend to see more "Super Typhoons" during El Nino years, and this is true again this year, as Choi-Wan and Melor both reached Super Typhoon status.

El Nino also is a likely culprit for the inactivity in the North Atlantic, since El Nino can cause more wind shear in the upper atmosphere, a condition that limits the ability of Tropical Cyclones to survive.

@highlight

Spate of deadly storms have hit East Asia in recent weeks

@highlight

Statistics show number of storms in Western Pacific in 2009 is below average

@highlight

El Nino phenomenon likely culprit behind recent spate of Asia-Pacific storms