(CNN) -- President Barack Obama has nominated his top counterterrorism adviser, John Brennan, to be the next director of the CIA.

If there is an emerging Obama doctrine to deal with the threat from al Qaeda and its allies, it is clearly a rejection of the use of conventional military forces and a growing reliance instead on the use of drones and U.S. Special Operations Forces -- and Brennan has been central to Obama's policy.

In an April 30 speech at the Woodrow Wilson Center in Washington, Brennan laid out the rationale for the drone policy in more detail than any administration official had done publicly hitherto. He asserted that the drone strikes are legal both under the Authorization for Use of Military Force passed by Congress after the September 11 attacks and because, "There is nothing in international law that bans the use of remotely piloted aircraft for this purpose or that prohibits us from using lethal force against our enemies outside of an active battlefield, at least when the country involved consents or is unable or unwilling to take action against the threat."

This does not appear to be the view of Ben Emmerson, U.N. special rapporteur on counterterrorism and human rights, who announced plans at Harvard Law School in October to launch an investigation into U.S. drone attacks and the extent to which they cause civilian casualties.

Politics: Compared to Hagel, reaction to Brennan nomination muted

One of Brennan's most significant legacies in the four years he has been the president's principal adviser on terrorism is the U.S. drone campaign against al Qaeda and its allies in countries such as Pakistan and Yemen -- one that has shifted focus significantly in the past year or so.

On Thursday, a CIA drone strike in the South Waziristan tribal region of Pakistan killed Mullah Nazir, a leading Taliban commander. That strike garnered considerable coverage in media outlets around the world and by U.S.-based news organizations such as The New York Times and CNN.

The same day a CIA drone killed three suspected Al Qaeda in the Arabian Peninsula militants near the town of Rada'a in Yemen. There was scant media coverage of this attack.

Yet Thursday's dueling strikes in Pakistan and Yemen are emblematic of a quiet and largely unheralded shift in the way that the CIA conducts its operations.

The accompanying bar chart (click on it to enlarge) does a good job of representing this shift. The red bars are U.S. strikes in Pakistan, and the gold bars are U.S. strikes in Yemen based on data collected from reliable news reports by the New America Foundation.

(Due to the difficulty of distinguishing between what may be a U.S. drone strike or an airstrike by the Yemeni air force, the true number of American drone attacks in Yemen could be even higher than is shown in this chart.)

One possible reason for the decline of drone strikes in Pakistan is that the CIA is simply running out of targets; at least 36 militant leaders have been reported killed by drones in Pakistan since Obama took office, according to the New America Foundation data.

The growing criticism of the drone program in Pakistan has also surely had some role in the Obama administration's decision to scale back the intensity of the drone campaign there. In April the Pakistani Parliament formally voted for the first time to end any kind of approval for the CIA drone program.

Opinion: When are drone killings illegal?

Unlike in Pakistan where political leaders have almost universally -- at least in public -- condemned the strikes, Yemeni President Abed Rabbo Mansour Hadi said in September during an interview with the Washington Post that he personally signs off on all U.S. drone strikes in Yemen, and that they hit their targets accurately, asserting, "The drone technologically is more advanced than the human brain."

The steadily increasing rate of drone strikes in Yemen over the past two years shows that the CIA's drone war -- rather than declining -- is shifting from one part of the world to another.

Brennan has been the key architect of this policy. The Arabic-speaking Brennan, who was once CIA station chief in Saudi Arabia, in a sense became the "case officer" for the Yemen "account," traveling to Yemen seven times since al Qaeda in the Arabian Peninsula sent the so-called underwear bomber to try and bring down Northwest Flight 235 over Detroit on Christmas Day 2009.

Read more: Who's in, who's out of cabinet

How effective has the subsequent U.S. campaign against this group been? Al Qaeda in the Arabian Peninsula has not tried to launch an attack on a target in the West since its abortive attempt to bring down cargo planes bound for the United States more than two years ago, so the campaign does appear to have suppressed the group's abilities to attack overseas.

According to a count by New America, at least 28 of the group's leading members have been killed in drone strikes, including the notorious American-born cleric Anwar al-Awlaki, who played an operational role in Al Qaeda in the Arabian Peninsula, for instance, offering instruction to the underwear bomber.

Balanced, against this is the fact that some of the popular resentment against the U.S, drone campaign that has long been the case in Pakistan is beginning to emerge in Yemen. On Friday, dozens of armed tribesmen took to the streets of Rada'a protesting the drone strike that had taken place a day earlier. One of the tribesman told Reuters that seven civilians had been killed in that drone strike.

And the drone program in Yemen is also stirring some of the same controversy internationally that the strikes in Pakistan have done for many years. Human rights groups in the United States are particularly aggrieved by the targeted killing of al-Awlaki, an American citizen who was killed by a drone along with his teenage son.

Gregory Johnsen, who has written an authoritative book about Al Qaeda in the Arabian Peninsula, "The Last Refuge: Yemen, al-Qaeda, and America's War in Arabia," says the group has grown from around 200 fighters to more than 1,000 and that the drone campaign has helped it to recruit these new fighters.

Christopher Swift, a Georgetown University academic, conducted interviews of tribal leaders in Yemen in June 2012. Swift found that it wasn't the drone campaign that had swelled the ranks of Al Qaeda in the Arabian Peninsula but rather because the group was able to offer jobs to desperately poor young men. Yemen is the poorest country in the Arab world.

And drone strikes are now reportedly being considered by the Obama administration in the West African nation of Mali, where an al Qaeda affiliate has largely taken control of the north of the country, an area the size of France.

Brennan has been at the center of the decisions about the use of drones in Pakistan and Yemen and their possible use in Mali, and all of this surely will be a matter of discussion during his forthcoming nomination hearings.

A road map to what Brennan will likely say about drones in his nomination hearing is provided by his April speech at the Woodrow Wilson Center in which he explained that drone strikes are "ethical" because of "the unprecedented ability of remotely piloted aircraft to precisely target a military objective while minimizing collateral damage; one could argue that never before has there been a weapon that allows us to distinguish more effectively between an al Qaeda terrorist and innocent civilians."

Read a version of this story in Arabic.

@highlight

President Barack Obama is nominating John Brennan to lead the CIA

@highlight

Peter Bergen: Brennan has been key in use of drones in Yemen

@highlight

Drone war in Pakistan winding down as it intensifies in Yemen

@highlight

Bergen: Controversy on drones is beginning in Yemen, as in Pakistan