(CNN) -- The federal lawsuit filed by Pennsylvania Gov. Tom Corbett on behalf of the state against the NCAA is politically smart. It is never a bad thing for a state lawmaker to stand behind the flagship university, especially when the lawmaker himself is under investigation for his alleged complicity in protracting the official inquiry of Jerry Sandusky. But legally, the lawsuit makes no sense.

Recall the events: Penn State University, in the midst of the national scandal stemming from the crimes of Sandusky, agreed to settle any claims that the NCAA might have against it for failure to supervise its football program. The settlement was undeniably harsh, including a fine of $60 million, loss of scholarships and bowl eligibility for four years, and the easing of rules to allow student-athletes to transfer out of Penn State's football program. (Meanwhile, outside of the settlement, the criminal trials of key university administrators for perjury and failure to report abuse are proceeding.)

Like most plea bargains, the perpetrator got something from the deal, too.

By settling early, the university avoided the prolonged NCAA infractions process. Proceeding by the infractions process would have kept Penn State's name, Sandusky's crimes and Joe Paterno's dubious legacy in the news longer than usual. More alarmingly, the infractions committee could have imposed the dreaded "death penalty" -- a complete termination of the football program for years, the cost of which would have undoubtedly dwarfed the measures imposed.

Notably, Penn State agreed in accepting the deal that it would not challenge the NCAA's authority in court.

Corbett described the sanctions as "overreaching and unlawful" while other lawmakers object to the fines being used to fund programs in other states. Since the Commonwealth of Pennsylvania was not limited by the Penn State-NCAA agreement, it can sue to overturn it. Yet it is that very fact -- that Pennsylvania is a stranger to the agreement -- that dooms its litigation.

The lawsuit asks the court to grant an injunction so that NCAA can be refrained from imposing the sanctions. Injunctions look to the future and are designed to prevent damages. Typically, an injunction plaintiff claims that something bad is about to happen and asks the court to stop it.

What bad thing will happen to Pennsylvania?

It partially funds Penn State. Therefore, according to the complaint, future NCAA sanctions that come out of the Penn State treasury will, by derivation, also be taken from Pennsylvania's treasury, or at least the part of it that the state chooses to share with the university.

In other words, Pennsylvania is claiming that it will be injured by its decision to contribute money to the university. If it is so keen to prevent itself from being harmed, why doesn't the state simply refuse to give money to the school until the sanctions period has expired? Pennsylvania will not be injured by the NCAA's sanctions; it will be injured by its own decision to fund the university. No federal judge is going to find otherwise.

I strongly suspect Pennsylvania's lawyers are well aware of the fundamental absurdity of their lawsuit. That is why the complaint repeatedly alludes to the losses that other people and parties will suffer from the NCAA sanctions; those others include local businesses, other students and sports teams at the university, season-ticket holders and the numerous merchandise vendors who profit from the financial success of this greatest-of-all revenue sports.

Yet none of those other people would likely have standing to sue, so their inclusion only underscores the state's untenable litigation position. At times, the complaint filed by the state reads less like a legal document and more like a press release, extolling the fine virtues of a Penn State education amidst the hard-working townsfolk of central Pennsylvania.

The complaint also strangely paints the NCAA in starkly negative hues, as if associating the organization with greed and its leadership with conspiracy will somehow make a difference. It goes so far as to smear the NCAA president for his handsome salary, noting that it constitutes a substantial raise over that of his predecessor.

This lawsuit will probably not get past the motion to dismiss. The high point of the suit in Pennsylvania's eyes is now; get your shots in while you can.

But imagine that Pennsylvania actually litigates to a successful conclusion and has the consent decree between Penn State and the NCAA overturned. What then?

The NCAA can simply reopen the case and refer the matter to the infractions process, with the penalty of death the likely outcome for Penn State's Nittany Lions.

If Joe were still here, he would tell you: Sometimes it's smarter to punt.

The opinions expressed in this commentary are solely those of Jeffrey Standen.

@highlight

Gov. Tom Corbett filed a lawsuit against NCAA over sanctions on Penn State

@highlight

Jeffrey Standen: The lawsuit is smart politically, but makes no sense legally

@highlight

He says complaint reads less like a legal document, more like a press release

@highlight

Standen: Even if lawsuit were successful, NCAA can reopen the case