(CNN) -- Hotel guests across the continent are not happy. At least that's the conclusion from a survey released Wednesday by J.D. Power and Associates.

Right down the line, the 2012 North America Hotel Guest Satisfaction Index Study ticks off a laundry list of items that are dragging the industry to its lowest satisfaction level since 2006: check-in/check-out, food and beverage, hotel services and facilities.

One item in particular -- Internet costs and fees -- is pressing some guests' buttons, churning up "resentment, frustration and anger," says Stuart Greif, a J.D. Power vice president. "At the luxury level, where they're paying for a lot more, there's a feeling you should be giving more freebies, like Internet Wi-Fi, which many lower priced hotels offer for free."

The anger is rooted in this cultural shift: We're at a tipping point where hotel guests value Internet access as they would a bed and hot water, says Greif. "You can't live without it."

10 budget all-inclusive resorts

To hammer the point home, let's state the obvious: Hotels are not going to be charging a fee to have a bed included in your room.

"It matters to me," says Neil Glick, a Washington, D.C.-based real estate agent who says he always looks for hotel Wi-Fi, especially when vacationing overseas. It's not as important in the States, he says, because he can surf on his phone. But, "internationally it gets real expensive real fast to use 3G."

For the data heads, here are the stats: J.D. Power gathered information from thousands of consumers about their overall satisfaction about hotel costs and fees. The rating plunged 76 points this year: 16 points lower than last year's survey. Power blames it on hotel Internet charges. Fifty-five percent of hotel guests use the Internet during their hotel stay, the study says, up from 20% in 2006. Of those, 87% connect by Wi-Fi. Eleven percent of guests who use the Internet said they paid an additional fee to connect.

Rules and rates for luxury hotel Internet access are far from universal. Some luxury hotels offer Internet access for members of loyalty programs, like Ritz-Carlton's Club Level, although some Ritz-Carltons provide free Internet access in hotel lobbies.

Wiring a hotel for Wi-Fi can be pricier than one might expect. A line capable of delivering 100 megabits of data per second can cost in the range of $3,000 to $4,000 per month, says Don O'Neal, a veteran hotel consultant for Internet infrastructure. He says an upscale New York hotel he's familiar with has two 20 megabit connections with a monthly cost between $700 to $800 each.

"It is expensive," says Joe McInerney of the American Hotel & Lodging Association. "And somebody has to pay for it." He says high-end hotels aren't able to add another $15 or $20 to their room rates, which is why they charge the fees. "If you're not going to use it, then why should you pay for it?"

Competition at budget and moderately priced hotels is more intense because consumers often make their hotel choices based solely on price. They expect rates with amenities rolled in. Wi-Fi is like breakfast. At a luxury hotel, breakfast will cost you. Budget hotels are likely to throw in coffee and a bagel.

Confessions of a hotel mystery shopper

What really gets guests' goat, according to the survey, is when hotels charge for Internet via so-called "resort fees." Nickel and diming fuels resentment, Greif says, because guests feel like they're being charged extra for something they give away down the street at the neighborhood coffee shop.

Industry experts see increased use of a tiered system of Web access, perhaps offering basic Internet free and then charging for higher data access for things like watching video or playing online games. Not only do hotel guests want more bandwidth, they also want to use more devices in their rooms -- cell phones, laptops and tablets. Many hotels seem to be behind the tech curve.

"It's part of the whole catch-up," says Greif. "Hotels are still trying to run on the lower cost structure from the economic downturn." Consumer demands are bouncing back with the economy, he says, but hotels aren't catching up quickly enough. "Internet access is a big part of that."

The cost and fees data is part of a larger survey of more than 61,000 hotel guests from the United States and Canada.

Overall, the survey has a 1,000-point scale. This year's overall score is 757, which is down seven points from last year, measured across seven types of hotels, from economy/budget to extended stay to luxury. The Ritz-Carlton topped the survey in the luxury category with 864 points. In the economy/budget bracket, Jameson Inn received 751. Other top hotels in their categories included Omni Hotels & Resorts, Homewood Suites, Drury Hotels, Hilton Garden Inn and Holiday Inn.

Customer satisfaction with guest rooms in the survey has dropped within a point of its lowest level in the past seven years.

A new part of the annual survey examines opinions of hotel staff. Fifty-six percent of respondents said they had a high opinion of hotel staff, 34% said average and 10% said their opinion was low. Experts suggested that hotels were slow to respond to rising consumer expectations as the nation's economy improves.

Do you pay for Wi-Fi at hotels? Is paying an Internet fee a deal breaker?

@highlight

Study suggests luxury hotel guests angry about paying for Wi-Fi

@highlight

Hotel industry: It's expensive and somebody has to pay for it

@highlight

Satisfaction survey: Hotels playing "catch-up" after economic slump

@highlight

Check-in/check-out, food/beverage, services/facilities at 6-year low