(CNN) -- Food prices in Indonesia rise during the holy month of Ramadan, but that hasn't stopped Ghazmawati Akmalzen from stocking her shelves to celebrate next week's end of daylight fasting.

"It's not possible to cut down on food and ingredients because we're going to have friends and family over," she said.

The spending power of Akmalzen and 242 million other Indonesians shows why this secular Muslim nation is a bright spot in a darkening global economy. Thanks to strong economic demand, this emerging market was able to shake off sagging exports due to eurozone troubles and slowing demand from China. The latest figures Monday from Southeast Asia's largest economy showed Indonesia's gross domestic product (GDP) grew 6.4% year-on-year last quarter.

"The second quarter numbers beat market expectations and showed the resilience of the Indonesian economy - that was very much because of the strength of investment which grew 12% year-on-year and also the strength of consumer demand," said Rajiv Biswas, chief Asia economist for IHS Global Insight. "Domestic demand was the key factor here."

More foreign companies are looking to profit from growth in the world's most populous Muslim nation. When Nissan Motor Company resurrected the Datsun brand, CEO Carlos Ghosn made the March announcement in Indonesia, where the Japanese automaker plans to build and sell the new car in 2014, to take advantage of the nation's both rising manufacturing prowess and growing middle class. Late last year, Boeing made its largest single aviation sale - 230 planes totaling $21.7 billion - to Lion Air, a domestic airline virtually unknown outside of this archipelago nation of 6,000 inhabited islands.

Tony Fernandes, CEO of regional low-cost carrier Air Asia and chairman of the Queens Park Rangers football club, caused headlines recently by announcing his move from his native Malaysia to Indonesia.

"Jakarta has the potential to be the biggest market for Air Asia," Fernandes told CNN Tuesday at the launch of Air Asia ASEAN in Jakarta. "It's also home for ASEAN. So it's a statement we want to accelerate change in ASEAN and we've made the bold move of physically relocating ourselves here.

"We believe there is a massive market potential that's untouched here -- that's what we're after," he said.

Global Insight, an economics consulting firm, predicts the Indonesian economy will grow five-fold by 2030 to become a $4.5 trillion economy - roughly the size of Germany's economy today.

"That's very important -- not only does it mean Indonesia's GDP and per capita income are going to rise very substantially ... but also it's very important for the rest of ASEAN (Association of Southeast Asian Nations), because Indonesia is going to act as a growth driver for other ASEAN economies and for Asia regionally," Biswas said.

Experts also talk about spurring more equitable growth that reaches Indonesia's poorest.

In June, food staples tofu and soybean curd all but disappeared from markets for three days. The prolonged U.S. drought jacked up soybean prices to record highs, prompting local producers to go on strike.

"People look for tofu and soybean curd because that's what they eat. So for the poor, it's very difficult. If the prices are too high, who suffers? It's the poor," tofu vendor Haji Siti told CNN.

Consumer prices were up 4.5% percent last quarter from a year earlier. Despite the country's growing investment, its infrastructure lags behind other developing economies such as China.

"I'm very bullish but that doesn't mean that you shouldn't introduce policies that would both accelerate growth further and improve the quality of growth," said Milan Zavadjil, senior representative for the International Monetary Fund in Indonesia.

"Particularly more investment in infrastructure is absolutely essential to get rid of some of the current (traffic) bottlenecks, more investment in education to improve human skills and allow industry and other sectors to move up the value chain," Zavadjil said.

CNN's Kathy Quiano and John Defterios contributed to this report

@highlight

Despite the slowdown in China and Europe, Indonesia's economy beat expectations

@highlight

Multinational companies like Air Asia and Nissan are expanding in the Southeast Asian nation

@highlight

Global Insight predicts the Indonesian economy will grow five-fold by 2030

@highlight

Inflation and problems with the nation's infrastructure remain a challenge