New Orleans, Louisiana (CNN) -- Interior Secretary Ken Salazar on Tuesday called a six-month halt on deepwater drilling "needed, appropriate and within our authorities" in announcing he will issue a new order on a moratorium just hours after a federal judge blocked such a mandate.

"We see clear evidence every day, as oil spills from BP's well, of the need for a pause on deepwater drilling," Salazar said in a statement. "That evidence mounts as BP continues to be unable to stop its blowout, notwithstanding the huge efforts and help from the federal scientific team and most major oil companies operating in the Gulf of Mexico."

Salazar's statement did not give an exact date for when the new order would be imposed, saying only "in the coming days."

He promised that the new order will include evidence that "eliminates any doubt that a moratorium is needed, appropriate, and within our authorities."

U.S. District Judge Martin Feldman in New Orleans, Louisiana issued a preliminary injunction Tuesday against the ban, which halted all drilling in more than 500 feet of water and prevented new permits from being issued. The White House said it would appeal the ruling.

President Barack Obama ordered the moratorium after the April 20 explosion of the Deepwater Horizon, an oil rig off Louisiana. Eleven people died in the blast, which triggered an underwater oil gusher.

Brian Collins, an attorney for the Justice Department, insisted Monday that the suspension is necessary while officials conduct a safety review.

But a group of companies that provides boats and equipment to the offshore drilling industry filed a lawsuit claiming the government has no evidence that existing operations pose a threat to the Gulf of Mexico and asked the court to declare the moratorium invalid and unenforceable.

Feldman agreed, writing in his ruling, "an invalid agency decision to suspend drilling of wells in depths of over 500

feet simply cannot justify the immeasurable effect on the plaintiffs, the local economy, the Gulf region, and the critical present-day aspect of the availability of domestic energy in this country."

White House spokesman Robert Gibbs said the government will immediately appeal the ruling to the 5th Circuit U.S. Court of Appeals.

"The president strongly believes, as the Department of Interior and Department of Justice argued yesterday, that continuing to drill at these depths without knowing what happened does not make any sense," Gibbs said. Such drilling "puts the safety of those involved, potentially puts safety of those on the rigs and the safety of the environment and the Gulf at a danger that the president does not believe we can afford right now."

In issuing the ruling, Feldman said, "the court is unable to divine or fathom a relationship between the findings (of the government) and the immense scope of the moratorium. The plaintiffs assert that they have suffered and will continue to suffer irreparable harm as a result of the moratorium. The court agrees."

Transocean President Steve Newman, whose company owned the Deepwater Horizon, said Tuesday that he supported ending the moratorium, and the office of Louisiana Gov. Bobby Jindal filed a brief in support of blocking the moratorium.

Jindal and Sen. Mary Landrieu, D-Louisiana, were among those asking the Obama administration Tuesday not to appeal the ruling.

"I'm going to strongly urge the administration not to appeal this ruling, but to try to find a way forward that would achieve the president's goals for safety and responsibility, but at the same time would not jeopardize and threaten a very vibrant and necessary industry for decades," Landrieu told reporters during a conference call.

iReport: In the Gulf? Share your experience with BP

Legendary Texas oil and gas executive T. Boone Pickens also said such a ban is not needed.

"The accident that BP has had could be likened to qualified pilots in an airliner and they have pilot error," he told CNN's "Campbell Brown" program Tuesday night. "(An) airliner crashes, starts a 50,000-acre forest fire and we shut down all flying? No more airlines until we have six months to see what happened?"

Ken Wells, the president of the Offshore Marine Service Association, said Tuesday that while the ruling is positive for his group -- which represents many of the ships that service oil rigs -- the decision is "tempered by the realization this is a big, strong government. And if they want to keep fighting on this, they will keep fighting."

Wells told CNN that many of the small business owners and workers who support the rigs felt "like innocent bystanders in all this," adding that many of them are losing their jobs left and right. He said Feldman's decision "may help our industry survive."

Government estimates indicate as much as 60,000 barrels (2.5 million gallons) of oil may be flowing into the Gulf every day, and the gusher has already taken a serious toll on tourism and the fishing industry in Gulf Coast states.

BP said Tuesday it had collected 25,830 barrels -- 1.08 million gallons -- of oil from the gushing undersea well over the past 24 hours. The amount is the most ever collected; the previous record was set Thursday when 25,290 barrels were collected.

The company announced Tuesday that it will donate net revenues it receives from the sale of oil recovered from the spill to the National Fish and Wildlife Federation.

Also Tuesday, protesters in London, England, briefly disrupted an oil conference that BP CEO Tony Hayward pulled out of a day earlier.

Just before the welcoming speech by BP chief of staff Steve Westwell, who was standing in for Hayward at the World National Oil Companies Congress, a woman got on stage and started shouting. Security quickly removed her.

The woman was Greenpeace campaigner Emma Gibson, who told the crowd that "because BP is incapable of telling you the truth, I'm going to tell you what you need to know."

Hayward decided not to attend the conference because of his "commitment to the Gulf of Mexico relief effort," a BP spokesman said Monday.

Westwell started his speech by apologizing on Hayward's behalf for him not being at the conference. He said the past few weeks have been "extremely difficult for BP."

"It has been hugely shocking for us, for America, and for the rest of the world," Westwell said. "Everyone at BP is devastated, and we deeply regret what's happened. Our hearts go out to those who have lost loved ones. And we are profoundly aware of our responsibilities to those people whose livelihoods and neighborhoods have suffered."

Kenneth Feinberg, who is overseeing BP's $20 billion escrow claims fund, met with Alabama Gov. Bob Riley on Tuesday in what Riley described as a "very, very productive meeting" to discuss ways to accelerate the claims payment process.

"I will be back quickly to spend as much time as it takes to make sure that this program is designed and implemented in an expeditious manner," Feinberg said.

BP said in a statement Monday that costs from the disaster now total about $2 billion, including the cost of the response, containment, relief well drilling, grants to Gulf states, claims paid and federal costs. To date, more than 65,000 claims have been submitted and more than 32,000 payments totaling more than $105 million have been made, the company said.

Elsewhere, a spokesman for Iran's foreign ministry said the Islamic republic, which has chilly relations with the United States, would consider helping America with the oil spill if asked, according to the Iranian Labour News Agency.

"The difficult solution of an oil spill, from the standpoint that it's a humanitarian problem, persuades all countries to offer help," ILNA quoted Foreign Ministry spokesman Ramin Mehmanparast as saying.

CNN's Anderson Cooper, Eric Marrapodi, Chris Lawrence, Alan Silverleib, Matthew Chance, Vivian Kuo and Ethan Harp contributed to this report.

@highlight

NEW: Salazar says ban is "needed" and "appropriate"

@highlight

Judge blocks government's temporary ban on deepwater drilling

@highlight

White House says it will appeal decision

@highlight

Louisiana governor, senator, urge administration not to appeal