(CNN) -- A New York Times front-page article Monday detailed a new phenomenon in news coverage of the presidential campaign: candidates insisting on "quote approval," telling reporters what they can and cannot use in some stories. And, stunningly, reporters agreeing to it.

This, folks, is news. Any way you look at it, this is a jaw-dropping turn in journalism, and it raises a lot of questions. Among them: Can you trust the reporters and news organizations who do this? Is it ever justified on the candidate's side or on the reporter's side? Where is this leading us?

As someone who's been covering presidential campaigns since the 1950s, I have no delusions about political reporting. Candidates bargaining access to get the kind of news coverage they want is nothing new. The thicket of attribution and disclosure deals is a deep maze reporters have been picking their way through even before my time. But this latest tactic by candidates revealed by the Times gives me, to say the least, great pause. It should give every citizen pause.

Essentially, what the Times described was the rapid rise of "quote approval" -- a strategy deployed by campaigns requiring reporters to send quotations they intend to use to candidates' press officers, to be sliced, diced, edited and drained of color or unwanted consequences, and reporters going along, fearing that if they don't, they won't get access.

A look at media coverage of Romney's Bain pain

Here's how it works: Let's say a reporter is granted an interview with a senior strategist of the Obama or Romney campaign. A condition for the interview would be that before the reporter could send the story to the editor, he or she would have to agree to submit for approval every quote intended to be used to the campaign press staff.

Let us mark well this Faustian bargain. It is for the benefit of the politicians, at the expense of readers, listeners and viewers. It is not in the public interest; it is designed to further the candidates' interests.

Political operatives cannot be blamed for wanting this. We, the press, should be held accountable for letting them have it.

Thomas Jefferson said: "The only security of all is in a free press." A free and truly independent press -- fiercely independent when necessary -- is the red beating heart of freedom and democracy. One of the most important roles of our journalists is to be watchdogs. Submitting to these new tactics puts us more in the category of lapdogs.

For many years, it has been typical journalistic practice for high-ranking officials on the campaign or in the White House to demand that interviews be conducted "on background" -- meaning reporters agree to not use direct quotes or identify the person by name. Hence, conventions such as "As one campaign official said ..." This, in many cases, is defensible.

Diane Sawyer's "Hot" Newscast

But the practice described in the Times is something new and different. This is the officials or candidates regularly insisting that reporters essentially become an operative arm of the
administration or campaign they are covering.

"Quote approval" nullifies, or at least seriously dilutes, reporters' ability and duty to be honest brokers of information. When the quotes are sanitized, then delivered intact with full attribution, the public has no way of knowing what the concealed deal was.

Please know that there is no joy in calling attention to these things. I respect and empathize with reporters and editors who must compete in today's environment. And I know full well that when I've been covering campaigns, which I still do, I've made my mistakes and have been far from perfect.

About all of us doing this line of work, I'm often reminded of a sign in an old Wild West cow town saloon that said, "Please don't shoot the piano player, he's doing the best he can."

But we journalists can do better. We must.

Media Blitz Batters Romney

Dean Baquet, the excellent managing editor for news at the Times, said in Monday's story, referring to quote approval: "We don't like the practice. We encourage our reporters to push back. Unfortunately, this practice is becoming increasingly common, and maybe we have to push back harder."

Yes. The Times, Washington Post, Wall Street Journal and a few other newspapers, along with the major networks, are among the few news outlets that have the leverage to push back -- soon and hard. It's action worthy of us. And it's important. It matters.

The opinions expressed in this commentary are solely those of Dan Rather.

@highlight

Reporters are agreeing to let candidates vet their quotes before they appear in stories

@highlight

Dan Rather: Allowing candidates to edit their quotes makes reports fraudulent

@highlight

By making this "bargain" for access, he says, reporters essentially become PR agents

@highlight

Rather: Newspapers and media outlets must push back on "quote approval"