BOGOTA, Colombia (CNN) -- Colombian President Alvaro Uribe admitted Wednesday that the symbol of the neutral Red Cross organization was used in a hostage rescue mission that freed 15 people from leftist rebels two weeks ago.

What seems to be part of a red cross is seen on a bib worn by a man involved in the rescue in this official image.

Uribe made the admission after CNN reported on unpublished photographs and videos that clearly showed a man wearing a Red Cross bib. Wrongly using the Red Cross logo is prohibited by the Geneva Conventions.

The man was a member of the Colombian military intelligence team involved in the daring rescue, Uribe said in an address carried on national TV and radio.

The president said that as the constitutional head of the armed forces, he takes full political responsibility for what he described as a slip-up.

"This officer, upon confessing his mistake to his superiors, said when the [rescue] helicopter was about to land ... he saw so many guerrillas that he went into a state of angst," Uribe said.

"He feared for his life and put on the Red Cross bib over his jacket."

However, the confidential military source who showed CNN the photographs that included the man wearing the bib said they were taken moments before the mission took off.

Uribe said he was sorry for the mistake and has apologized to ICRC officials. There will be no official sanction against the man wearing the bib, he indicated.

Such a use of the Red Cross emblem could constitute a "war crime" under the Geneva Conventions and international humanitarian law and could endanger humanitarian workers in the future, according to international legal expert Mark Ellis, executive director of the International Bar Association.

The ICRC mission in Bogota said in a written statement that it "noted" Uribe's announcement.

The ICRC mission in Bogota said in a written statement: "As guardian of international humanitarian law, the ICRC reminds that the use of the Red Cross emblem is specifically regulated by the Geneva Conventions and its additional protocols.

"The Red Cross emblem has to be respected in all circumstances and cannot be used in an abusive manner.

"The ICRC as neutral and impartial must have the confidence of all the sides in the conflict in order to carry out its humanitarian work."

Colombian military intelligence used the Red Cross emblem in a rescue operation in which leftist guerrillas were duped into handing over 15 hostages, including former presidential candidate Ingrid Betancourt.

Photographs of the Colombian military intelligence-led team that spearheaded the rescue, shown to CNN by a confidential military source, show one man wearing a bib with the Red Cross symbol. The military source said the three photos were taken moments before the mission took off to persuade the Revolutionary Armed Forces of Colombia (FARC) rebels to release the hostages to a supposed international aid group for transport to another rebel area.

Ellis said the conventions were "very strict" regarding use of the symbol because of what it represented: impartiality, neutrality. Watch possible misuse of emblem »

"If you use the emblem in a deceitful way, generally the conventions say it would be a breach. [Based on the information as explained to me,] the way that the images show the Red Cross emblem being used could be distinguished as a war crime, " Ellis added.

The unpublished video and photos of the mission, hailed internationally as a daring success, were shown to CNN by a military source looking to sell the material. CNN declined to buy the material at the price being asked; it was therefore unable to verify the authenticity of the images.

Uribe and his top generals had categorically denied that international humanitarian symbols were used in the July 2 rescue mission that freed the prized hostages.

The hostages had endured years of harsh captivity and deprivation in jungle camps since being captured or kidnapped. Some were held for as long as 10 years.

The rescue ruse also included bogus communications, sent electronically and by human couriers, to convince FARC rebels that superiors were ordering them to hand over hostages to the group posing as aid workers for transfer to another rebel camp.

Misuse of the Red Cross emblem is governed by articles 37, 38 and 85 of Additional Protocol One to the Geneva Conventions, the international rules of war. The articles prohibit "feigning of protected status by the use of ... emblems" of neutral parties and say that such misuses are considered breaches of international humanitarian law that qualify as a "war crime."

Colombia signed the Geneva Conventions in 1949.

That prohibition was put in place to protect the neutrality of the International Committee of the Red Cross and the United Nations in an armed conflict and to guarantee their access to all sides. Use of those emblems by one side of a conflict, for example, could endanger aid workers because those on another side might no longer trust that symbols they see really represent those humanitarian organizations.

Among the photos shown to CNN are some bearing a date stamp of July 2, taken at an unidentified landing site in the jungle alongside a farm house.

In one of those photographs, about 15 members of a Colombian military intelligence-led team pose for a photo alongside a helicopter. One of the members, dressed in a dark red T-shirt or polo shirt, khaki cargo pants and a black-and-white Arab-style scarf, also wears a bib of the type worn by Red Cross workers.

The bib bears the Red Cross symbol in the center of two black circles on a white background. In the space between the two black circles appear in capital letters the French words "Comite International Geneve" (International Committee Geneva).

The same man is standing in the doorway of the helicopter, a Russian-made MI-17 painted white and orange, in another photo. In a third photo, he is pictured walking near the helicopter still wearing the bib.

The same man pictured in the photos can be seen fleetingly in a heavily edited video of the rescue mission issued to the media by the Defense Ministry two days after the hostages were freed. In one frame, part of what appears to be the Red Cross bib is visible as the man wearing it stands in a jungle clearing alongside guerrilla commanders Gerardo Antonio Aguilar, alias Cesar, and Alexander Farfan, known as Enrique Gafas, who were captured in the operation.

The red blur of a Red Cross can be seen and part of the two black circles of the emblem and the capital letters "EVE". Those are also the last three letters of word Geneve (Geneva), which appears on the official ICRC emblem and bib.

In two other frames of the officially released video, the same man, dressed in the same clothes as in the pre-departure photos, can be seen still wearing the predominantly white bib tied at the sides. In those shots the ICRC logo is not visible.

The unpublished video also reveals an emblem that bears the Spanish words "Mision Internacional Humanitaria" (International Humanitarian Mission) and a stylized red bird made up of wavy red lines above two curved branches of blue leaves. In the 3½-minute video of the operation issued by the military, emblems pasted on the side of the rescue helicopter cannot be seen. But in the unpublished video and photos shown to CNN, emblems measuring about one square meter (one square yard) are pasted onto the outside of the chopper.

The same emblem appears on the Web site for Mision Internacional Humanitaria, which describes itself as a non-governmental organization based in Barcelona, Spain, that "works to improve the processes of development to guarantee equality of opportunity for individuals and peoples."

Although the site says the group is registered with the Spanish Interior Ministry and the regional Department of Justice, the site is littered with misspellings, and the telephone number that's listed is 000000000. CNN was unable to contact the group to verify its existence.

The group's Web site could not be accessed early Tuesday.

Additional video clips show how the emblems on the side of the helicopter were stripped off and burned once the rescue mission had been completed. The fate of the bib is not clear from the clips.

@highlight

NEW:

@highlight

President Alvaro Uribe says one Red Cross symbol was used in hostage rescue

@highlight

Photos from military source show man wearing bib with Red Cross logo

@highlight

Such misuse of symbol could be violation of Geneva Conventions