A mob, wielding baseball bats, broken bottles and knives, swarms a Paris synagogue. Violence erupts at a pro-Israel rally in Los Angeles after a demonstrator reportedly stomps on a Palestinian flag. Phone calls and text messages threaten a Palestinian-American who organized a protest in Atlanta. A trending Twitter hashtag says Hitler was right.

As missiles and rockets fly in the Middle East, tensions are boiling over around the world between activists at demonstrations on both sides of the Israeli-Palestinian conflict. Plenty of protests have been peaceful, but not all of them.

On Monday, the Anti-Defamation League warned Jewish institutions to step up security in light of violence and anti-Semitic expressions at what it described as anti-Israel rallies across the United States and around the world. An ADL website tracking recent protests listed events in New York; Washington; Dallas; Portland; and Tempe, Arizona.

"The tenor at some of the anti-Israel rallies has been extreme," the ADL said, "with protesters chanting 'Death to Israel' and other hateful messages and slogans."

In France, where anti-Semitism has flared up in recent years, some warn that hostilities have entered a different realm.

"The level of danger is very new," said Serge Benhaim, who was trapped for hours inside a Paris synagogue on Sunday. "Today and tomorrow for the Jewish people in France is fully different from what it was yesterday."

In the United States, too, Aysha Abdullatif says she's sensed something is changing.

After organizing a pro-Palestinian protest in Atlanta this month, Abdullatif said she started getting threatening phone calls, text messages and social media posts accusing her of supporting terrorism. It's the first time she's felt personally targeted after years of activism.

"People are getting really fanatical. ... I've never seen it get this ugly," Abdullatif said.

How did this happen? Iraq, Syria, Gaza and Libya all in flames

'It looked like a war'

A 17-year-old Jewish girl reported that she was grabbed by the jaw and pepper-sprayed in the face on a Paris street the day Israel launched its latest operation in Gaza. She told police her attacker called her a "Dirty Jew," and said, "Insha'Allah, you will die," according to the National Bureau of Vigilance against Anti-Semitism, a French watchdog organization.

A local chapter of the Jewish Defense League, a far-right Jewish group, bragged on social media the next day about fighting with anti-Israel demonstrators.

"We were 30 facing 200 supporters of Hamas. And yet all will remember our visit ... especially the 6 wounded on their side," the group posted on Twitter.

A French watchdog organization, meantime, has since reported telephone death threats against Jewish merchants. Synagogue-goers in the Belleville neighborhood of Paris were recently greeted by demonstrators who screamed "Death to the Jews," and a firebomb was tossed at the entrance of another synagogue in the northeastern suburb of Aulnay-sous-Bois, the National Bureau of Vigilance against Anti-Semitism reported.

And then, on Sunday evening, a perfect storm brewed. Just as a community gathered in Paris' Don Isaac Abravanel Synagogue to pray for peace, thousands of demonstrators marching in support of Palestinians finished up nearby, Benhaim, the synagogue's president, said. A fraction of those demonstrators broke off with other plans.

Aline Le Bail-Kremer, 36, lives across the street from the synagogue and said she saw -- and heard -- them coming.

"From my windows, I saw two groups (around 100 persons), from the two sides of the street, converging [at] the synagogue," she wrote in an e-mail to CNN late Monday.

They carried baseball bats, she said. They threw chairs and tables, taken from nearby cafes, and headed toward the entrance gate. And then, she said she heard them scream, "Death to the Jews."

From inside, where he'd gathered with about 400 others, Benhaim said he saw men outside brandishing broken bottles and knives. The synagogue president, who CNN spoke to Monday night, also said he heard cries of "Jews to the oven" and "Allahu akbar!"

A small band of security guards managed to block entry, Benhaim said. Young Jews, some affiliated with the Jewish Defense League, also stepped into the fray -- spewing their own vitriol, Le Bail-Kremer said.

The Jewish Telegraphic Agency, a wire service for global Jewish news, reported that "at least three Jews were taken to the hospital as a result of the clashes." This chaos went on for about 40 minutes, Le Bail-Kremer said, before police arrived in droves.

"The scene was very violent, with terrifying and anti-Semitic slogans," said Le Bail-Kremer, who happens to be involved with SOS Racisme, a French anti-racism organization. "I was very, very anxious and shocked. It looked like a war."

Trying to 'turn the other cheek'

As she stepped forward to make closing remarks at a pro-Gaza demonstration she organized over the weekend in Atlanta, Abdullatif said she saw the crowd turn the other way.

Across the street, she said, there were two men with Israeli flags who discharged pepper spray toward the crowd.

"I kept telling everybody, just keep your backs facing them, don't give them any attention," said Abdullatif, a Palestinian-American who helped found the Atlanta-based Movement to End Israeli Apartheid-Georgia.

But on the fringes of the crowd, she said, pro-Palestinian demonstrators started shouting back.

"I said, 'Stop talking to them. This is only fueling a lot of this. Ignore them. Turn the other cheek,' " she said. "But easier said than done."

Eventually, things simmered down, but hours after the protest, Abdullatif said her phone rang with a surprising message.

A man on the other end, she said, threatened to report her to the Georgia Bureau of Investigation, accusing her of aiding terrorism. He said he was happy about recent bombings in Gaza, "that everybody deserves to be killed, and that I should be careful, my name is out there," Abdullatif said.

Abdullatif told him that she did nothing wrong. But she said the conversation, which was followed by days of text messages and Facebook posts in the same vein, rattled her.

"I've never seen an opposing side go to that extreme," she said.

What if they found where she lived or targeted her family?

"My biggest concern is if we have another demonstration, I don't want anything like this to happen," Abdullatif said. "This is the exact stuff we're protesting against. I don't want to be connected to people fighting people over anything."

But that doesn't mean she'll stop speaking out. She sent photos of the weekend protest to her uncle in Gaza City, whose neighborhood was recently destroyed in a bombing. She hopes the photos will let him know that the world is watching.

"It's just such a sad situation. It's 2014. We should have figured out by now that barbaric acts of violence don't accomplish anything from any side of it," she said. "We live in a modern society. We know that this is never a way to create a solution."

'I saw my flag on the ground'

On Sunday, a peaceful pro-Israel rally in Los Angeles turned ugly after demonstrators came face-to-face with counterprotesters in a pickup who were waving Palestinian flags.

What exactly happened, however, depends on who you ask.

Four people were arrested on suspicion of assault with a deadly weapon, accused of driving up to the protest in a truck and hitting pro-Israel demonstrators with handheld flagpoles, CNN affiliate KTLA reported, citing police.

This, however, came after a demonstrator reportedly snatched one of the Palestinian flags from the truck and stomped on it.

"I saw my flag on the ground," Hany Reai, a Palestinian supporter, told CNN affiliate KCAL, "and I saw a man step on it. I'm not here to fight. I just need my flag, and I ran to take it."

But one witness told the Los Angeles Times the clashes were deliberately provoked by the men in the truck with Palestinian flags.

"They were looking for a fight," Judy Friedman told the newspaper. They were "taunting and threatening" people, thrusting their sticks toward demonstrators on the sidewalk.

A video purportedly recorded by a student at the protest and published on the website of the Jewish Journal of Greater Los Angeles shows insults flying in both directions.

The Federal Protective Service called for an ambulance to treat a woman allegedly hurt by the men, who were later picked up and booked on suspicion of assault with a deadly weapon. They've since been released on bail, deny the charges and say they were "falsely arrested," the Los Angeles Times reported.

And as if this ruckus wasn't already heated enough, as the pickup drove off, an officer with FPS -- who was trying to stop the men from leaving -- fired his weapon. No one was hurt. That officer has been placed on paid administrative leave while the incident is investigated, officials said.

From clicks to clashes

As the rocket attacks from Gaza and Israeli airstrikes show no signs of slowing, hostilities are flaring online as much as they are in the streets.

Over the weekend, #HitlerWasRight trended on Twitter, part of what the ADL described as an "online outpouring of anti-Semitism."

The group said Wednesday that a surge in Hitler-related hashtags might be fueling hatred at rallies as well.

Anti-Arab statements have also run rampant online.

A now-discontinued Facebook page called "The People of Israel Demand Vengance," racked up thousands of likes earlier this month, the Times of Israel reported.

On the page, according to the newspaper, users posted photos with captions like "death to the whole Arab nation" and "Hating Arabs is not racism; it's morality."

@highlight

While missiles fly in Mideast, tensions soar outside the region

@highlight

Hatred, even violence, erupts at demonstrations in France and United States

@highlight

People on both sides of the issue talk of death threats

@highlight

The battle is also being waged in venomous words on social media