(CNN) -- President Barack Obama has endorsed same-sex marriage. Will it make any difference to the battle for marriage equality? The news coming out of North Carolina suggests not. The Tar Heelers on Tuesday voted 61% to 39% to amend their constitution to outlaw same-sex marriage. Actually, they've gone much further. The new amendment prohibits any kind of same-sex unions, including the relatively innocuous option of civil partnership.

So radical is the measure that gay rights groups hoped this vote might prove to be a replay of last year's surprise result in Mississippi, when voters rejected an amendment banning abortions because its language and consequences were considered too extreme. But now we know the limits of the South's social liberalism: yes to abortions, no to same-sex weddings.

There's a popular myth that social liberalism is unstoppable. But the tide of progress is a myth. Societies have often taken a step forward only to stand perfectly still or even take a couple of steps back. In hindsight, the journey of black civil rights looks like a brisk jog in a straight line, but it was really a winding stumble. The ecstasy of emancipation was followed by the misery of segregation. And although legal segregation was defeated, some would argue that it still continues.

The story of women's rights demonstrates that sometimes social liberalism can politically overreach itself. In the 1970s, feminists seemed to win every battle they fought on abortion, hiring practices or school sports. They believed that ultimate victory would be secured with passage of the Equal Rights Amendment, which would amend the Constitution to outlaw discrimination with regard to sex. Victory seemed assured. The ERA sailed through Congress in 1972 and was endorsed by President Richard Nixon. It required the ratification of 38 states to pass, and by the end of 1973 it had 30.

But then the ERA faced the same problem that same-sex marriage faces today: the sustained assault of America's social conservatives. The right saw the ERA as an assault on the traditional family. They feared it would force women to work in heavy labor or fight in the Army, and many worried that it could even lead to same-sex marriage. As conservatives poured dollars into stopping ratification, more and more states either refused to ratify or rescinded. The ERA hit a geographic boundary in the South and could go no further. Failing to reach its 38 ratifications, it faded away.

News: Obama supports same-sex marriage

It wasn't just the money that killed the ERA; supporters often outspent opponents. The amendment failed because the right turned it into a "line in the sand" issue, a matter on which Americans could say that they were happy for society to progress this far but no further.

The same goes for same-sex marriage. It's true that growing numbers of Americans say they support marriage equality, but then everyone lies to police officers, priests and pollsters. In every state that has held a popular vote on same-sex marriage, it has been defeated (that even includes Maine). Take a look at a map of where it has been passed by state legislatures and you'll see that it's limited to the bits of the country that overwhelmingly vote Democratic.

Crucially, while America is trending Democratic in demographic terms -- as the nonwhite proportion of the population increases -- this doesn't translate into growing support for gay rights. On the contrary, the energy behind the amendment in North Carolina came from African-American churches, many of them deeply offended by the comparison between the struggle for emancipation and the campaign for same-sex marriage. Likewise, Obama's victory in 2008 drew to the polls the same African-Americans and Latinos who simultaneously voted for Proposition 8 in California, outlawing same-sex marriage in the state.

Opinion: In GOP, support for same-sex marriage is growing

Increasingly, gay rights isn't a partisan issue; the battle lines are drawn by class rather than political allegiance. For middle-class whites, supporting same-sex marriage is a test of tolerance that, coincidentally, distances them from the fundamentalist rabble who live down the street. For many African-Americans, Latinos and poor whites, it's a matter of faith vs. Hollywood values.

Given how controversial it is, same-sex marriage could go the way of the ERA -- a reform too far, joining the long list of Democratic, election-time promises that no one ever expects to see realized. And given that he offers no new policies on the subject (he can't: It's a classic states rights issue), Obama's endorsement is little more than kind words. They are brave words in that seven out of the nine swing states he's contesting in November have constitutional amendments outlawing same-sex marriage -- most of them passed by popular referenda. "The folks," as Bill O'Reilly calls middle America, don't like it.

Does the futility of Obama's gesture, or the problems faced by same-sex marriage, mean it's game over for gay rights? Not at all. The failure of the ERA did not retard women's rights in any significant way. While the failure of same-sex marriage might have legal consequences for couples, it doesn't mean that the Westboro Baptist Church has won.

On the contrary, Vice President Joe Biden accidentally got something right on Sunday when he said that American attitudes toward sexuality had been forever altered by the TV sitcom "Will and Grace." On a cultural level, homosexuality is now a fact of life in modern America. People work with gays and lesbians, have them in their family, sit next to them in church, and, most importantly of all, see them on television. That degree of acculturation can never be undone, even by the ballot box.

The opinions expressed in this commentary are solely those of Timothy Stanley

@highlight

Tim Stanley: The N.C. vote to ban same-sex marriage goes far, includes civil partnerships

@highlight

He says socially liberal initiatives often move slowly -- the Equal Rights Amendment, for example

@highlight

He says ERA became a line in the sand for the right; too few states ended up supporting it

@highlight

Stanley: Black, Latino opposition doesn't help the same-sex marriage issue