New Delhi (CNN) -- He hasn't even been sworn in, yet India's next Prime Minister has already changed the world's biggest democracy. Narendra Modi's stunning, crushing victory at the polls this week reverses a trend that was beginning to define India -- the localization of politics.

Since independence in 1947, with each passing year there have been new and increasingly influential regional parties catering to local interests, cultures, languages, beliefs, castes, religions. The result has been a steady dilution of power: in three decades, no single party has been able to form a national government on its own. Instead, New Delhi witnessed the formation of a series of coalitions, sometimes beholden to the whims of fringe members.

That trend has now been destroyed. Indians -- be they Bihari or Gujarati, urban or rural, young or old -- have channeled their yearnings for a better-run country into one vision, one man, and one party. Narendra Modi's Bharatiya Janata Party (BJP) now has a resounding mandate to make clear, single-minded decisions. There are indeed hurdles to legislation -- for example, the BJP is not well-represented in the country's upper house of parliament -- but such is the force of the Modi wave right now, few would want to get in the way.

READ MORE: Who is Narendra Modi?

In recent years, the India story has soured; as I've written previously, Indians have bought into Modi's rhetoric of being someone who can turn things around. So, what are the big issues Modi's team need to deliver on?

Here are three ways the new Prime Minister can address the things holding back India Inc.

Bring the nation's infrastructure into the 21st century: Given India's ambitions, and all the talk of India as a global power, consider where the country actually stands. According to the World Economic Forum's Annual Report on Competitiveness, India ranks 85th in the world for basic infrastructure like roads and public services. On technological readiness, India -- the world's so-called I.T. back-office -- ranks 98th.

On softer infrastructural issues like education and health, India ranks 102nd in the world. Indians have cast their votes this year demanding to see tangible improvements. For example, India has world-class ports; but its roads are so poor that transporting goods becomes prohibitively expensive. Or consider food: One-third of all food produced in India is spoiled and rendered useless before it reaches a consumer. India's supply-chain mechanisms are blighted by a lack of infrastructure and a system of middle men who delay delivery and force up prices.

Modi will need to use a lot of political capital to clean up these systems. Some of these could be done quickly; some will take decades. Modi will need clear visions for short and long-term goals, perhaps involving the private sector to find solutions.

Make it easier to do business in India: Ask any investor anywhere in the world about working in India and you'll hear a familiar sigh. Few countries impose as many restrictions and hurdles, and almost none require as many permits, permissions, and bribes to start a business. As I wrote earlier this week, the World Bank ranks India 134th in the world for ease of doing business.

It's a shocking label to carry, especially for a nation of India's lofty aspirations. One of Modi's greatest selling points has been his track record and energy in processing requests for new ventures; he has flung open his home state's doors to big business. Modi will be expected to do the same on a national scale. It seems like a logical progression, but adapting to the scale and diversity of this country will be a challenge.

In Gujarat he kept some of the most important portfolios all to himself: home, industry, information, ports, general administration, science and technology, and climate change. Put simply, he hoarded power. This will be next to impossible to do at the national level, at least not to the same extent.

OPINION: Does Narendra Modi threaten secular and liberal India?

Modi will need to pick his deputies well, and learn to delegate. He will need to quickly appreciate the diversity of opinion in India -- even though its people were unified enough to give him an absolute majority. Most of all, he will need to find ways and inducements to bring powerful state leaders on board -- without them, he too will find out why so many businessmen have begun to give up on India Inc.

Clamp down on corruption: The writer Gurcharan Das says that in India one encounters "birth-to-death" corruption: you pay a bribe to get a birth certificate, and you pay another bribe to get a death certificate. Along the way, life becomes a long series of bribe-taking and bribe-giving -- everyone is complicit.

Quite simply, Modi will need to clamp down brutally on corruption, even if it means outing a few skeletons in his own party's closets. Momentum is key here. Modi could probably derive some inspiration from China under President Xi Jinping, which has been on a ruthless drive to out corrupt leaders. But the impacts of corruption in India permeate far deeper than they do in China.

It is said that India's "informal" sector generates half of the nation's GDP, and accounts for nine-tenths of its jobs. What this means is that much of India's real income is not properly accounted for.

For all his rhetoric about small government, Modi will need to find a way to expand the government's coffers if he wants to fund big infrastructural projects. Consider this: only 3% of Indians are eligible to pay income taxes. Of the ones who are eligible, many find loopholes to exploit. This will be a difficult culture to change.

Part of Modi's challenge will be to make a case for why his decisions will be beneficial in the long term, even if they cause pain right now. Certain subsidies -- such as those for diesel and kerosene -- will need to be slashed. The BJP's supporters will balk. Modi will need to find the courage to stay the course.

One could go on about the many big-ticket issues Modi will need to tackle: health care, foreign policy -- not least relations with the United States -- education, jobs, defense, but the ones I elaborate on above are the ones Modi has been talking about the most -- and those are the ones he will be judged on in his first 100 days in office.

One caveat: Checks and balances may seem like hindrances, but overall, they are vital to the security of people. Even with his undisputed mandate, Modi will encounter all kinds of checks -- on religious freedoms, on the judiciary, on constitutional rights, on human rights.

On all these issues he will need to display patience and appreciation of the system, and a compassion and deftness of touch he has often failed to display in his home state. Perhaps that will be his biggest internal challenge: to be strong, and yet be willing to appreciate the importance of dissent in a healthy democracy. Indians will give him a lot of time to adjust -- but not forever.

READ MORE: Modi emerges victorious, prepares for transition

@highlight

New Indian Prime Minister Narendra Modi enters office with a big mandate for change

@highlight

Ravi Agrawal says Modi will need to move quickly to carry out his economic program

@highlight

He should focus on making India more competitive, an easier place to do business

@highlight

Agrawal: India's infrastructure is lacking; "birth to death" corruption must be addressed