(CNN) -- A bill that requires cruise ships to tighten security measures and report alleged crimes is awaiting President Obama's approval.

The Senate on Wednesday passed the Cruise Vessel Security and Safety Act, after it received broad bipartisan support in the House with a vote of 416-4 last year.

Peepholes on cabin doors, rails no lower than 42 inches and information packets on how to report crimes are some of the changes commercial cruise passengers can expect to see after the legislation takes effect. Ships built after the legislation's passage also must be equipped with security latched and time-sensitive key technology.

The bill, authored by Rep. Doris Matsui, D-California, and Sen. John Kerry, D-Massachusetts, applies to all ships that dock in U.S. ports. Those ships will also be required to immediately report incidents to the FBI or the U.S. Coast Guard, whether the incident occurs on the high seas or at port.

"Current law doesn't pass the test of providing common-sense security measures to the traveling public or to help protect them from crimes committed aboard ships," Matsui said in a statement Wednesday. "Moreover, current law does not provide the support victims and their families need in the event of a disaster. This legislation is critical to providing the security and safety measures that all Americans need and deserve."

The legislation originated with a letter from one of Matsui's constituents, who said she was raped during a Royal Caribbean cruise by a crew member in February 2006.

Laurie Dishman, who has gone public with her story before Congress, claims representatives of the cruise line made her collect sheets and clothing from her room and put them in a plastic bag. They did nothing more to help her, she said, and the FBI later told her that it would not investigate further because without proper evidence, it was simply a "he said/she said" case, according to her testimonial on the internationalcruisevictims.org.

Since then, a number of high-profile alleged assaults, disappearances and homicides have helped earn support for the legislation, Matsui spokeswoman Mara Lee said. Last year, a Los Angeles-area man was charged in July with murder in the death of his wife while on a cruise along the Mexican coast, and an Alabama woman celebrating her 50th birthday disappeared from a Carnival Holiday cruise ship.

Among the provisions in the bill related to sexual assaults: Ships are required to carry rape kits and a supply of medications to prevent STDs, along with medical staff trained to deal with assaults. The legislation also requires cruise ships to provide passengers with free, confidential access to 24-hour sexual assault hot lines.

Vessels also must keep a log of incidents and contact the nearest FBI field office "as soon as possible" after a homicide, kidnapping, assault or disappearance of a U.S. national is reported.

"Safety protections in this bill will significantly reduce passengers' risk of sexual assault and expand the rights of those sexually assaulted on board," said Scott Berkowitz, president and founder of the Rape, Abuse & Incest National Network. "By connecting cruise passengers with the support services available through the National Sexual Assault Hotline and Online Hotline, this legislation provides a vital lifeline for victims on cruise ships."

Matsui's office worked with the cruise ship industry in crafting the legislation, spokeswoman Lee said.

"Having a law that's not going to be carried through wouldn't make sense, so we've worked with them to make very common-sense requirements that they can put in place," she said.

Many of the requirements have already been implemented by the cruise ship industry, which has been working for years to improve passenger safety, said Oivind Mathisen, editor and co-publisher of the trade publication Cruise Industry News.

"This basically means that procedures that they have been implementing for the last several years have been formalized," he said. "The industry supports it because it's in its best interest that procedures are set down, so in case something happens, everybody knows what to do and there are no gray areas."

Mathisen said negative backlash against the industry generated by the disappearances of newlyweds and young revelers is undeserved at times, considering that anywhere from 12 million to 15 million people board commercial cruises each year.

"If you look at the total numbers, relatively few people are lost at sea. In the big picture, the numbers are small. But we understand that when you lose a loved one, there's not enough the industry can do to prevent it from happening again."

@highlight

Cruise Vessel Security and Safety Act calls for peepholes on cabin doors, higher ship rails

@highlight

Ships must carry rape kits, STD medications, medical staff to treat sex assault victims

@highlight

Bill also requires cruise ships to quickly report incidents to FBI, keep detailed logs

@highlight

Legislation applies to all commercial cruise ships that dock in United States