London (CNN) -- The horrifying video of a Syrian rebel leader apparently eating the heart of a dead government soldier, which has been circulating this week on the internet, has caused a storm of instantaneous outrage and disgust on social media such as YouTube, Twitter and Facebook.

But the video, which human rights monitors say appears to be genuine and not a regime propaganda "plant," may also inflict long-term political damage on the already challenged reputation and credibility of the Syrian opposition, despite earnest condemnation of the alleged atrocity by the umbrella rebel organization, the Syrian National Coalition.

Human Rights Watch said this week the video "appears to show" a commander of a rebel Syrian brigade called the Independent Omar al-Farouq brigade mutilating the corpse of a regime opponent. "The figure in the video cuts the heart and liver out of the body and uses sectarian language to insult Alawites," a HRW statement said, adding: "At the end of the video [the man] is filmed putting the corpse's heart into his mouth, as if he is taking a bite out of it."

The HRW statement said: "It is not known whether the Independent Omar al-Farouq brigade operates within the command structure of the Free Syrian Army. But the opposition Syrian National Coalition and the Free Syrian Army leadership should take all possible steps to hold those responsible for war crimes accountable and prevent such abuses by anyone under their command ... Any party with the power to do so should do all it can to keep weapons from reaching the brigade."

The last sentence is particularly pointed, given the accelerating debate in the U.S. and Britain on whether to arm the rebels. The past two weeks has seen a concerted effort by U.S. Secretary of State John Kerry to rally support for an international summit on Syria to discuss a peace agreement and a transition of power from the regime led by President Bashar al-Assad to a new opposition-led government.

When David Cameron travelled to Washington and New York this week, he was pushing a similar agenda. In White House talks with Barack Obama, the British prime minister stressed the urgent need for a diplomatic settlement, but also reiterated that Britain (like France) was considering supplying weapons to the rebels after the EU arms embargo expires at the end of this month.

Pentagon officials have meanwhile indicated that the U.S. is moving closer to providing weapons and other lethal assistance to the rebels. Up until now, it has not done so, although the CIA has reportedly been involved in routing weapons supplied by Gulf state sympathizers to the rebels.

Cameron also pressed his case in Russia, during a Black Sea meeting with Russian President Vladimir Putin. Like Kerry and Obama, the British see Moscow's support for al-Assad as the key obstacle to ending the Syrian civil war. But Putin continues to suspect that the western nations are pursuing regime change in Syria, and that they are looking for an excuse to intervene, as Nato did in Libya two years ago. He has refused to join calls for al-Assad to step down.

Upping the ante, Cameron subsequently announced that Britain would double its non-lethal aid to the opposition over the next year and that it was looking at ways to provide more technical assistance to the rebels. The new humanitarian support of Â£30 million ($46 million) takes the UK's total contribution to the Syria humanitarian crisis to Â£170 million, according to Downing Street.

All these well-laid diplomatic stratagems in Washington and London could be set at nought if alleged rebel atrocities, such as this week's video, and other misdeeds turn international public opinion against the opposition.

The rebels were already facing an uphill battle for support. Republican members of the U.S. Congress and right-wing commentators have long warned that elements of the rebel forces are linked to al Qaeda, and that arming or otherwise supporting them would be to repeat the same mistake the U.S. made when it armed the Afghan mujahedeen in the 1980s (when Afghanistan was occupied by the Soviet Union).

The mujahedeen mutated into the modern-day Taliban, formed an alliance with the late Osama bin Laden in the 1990s, and have since turned the expertise they attained in defeating the Red Army against Nato forces which entered the country after the 9/11 attacks.

What leads a human being up to a grotesque act

Putin has voiced similar fears in September 2012, suggesting the West could be creating a monster in backing Sunni Muslim groups against the Alawite-led regime. Moscow argues, in effect, that better the devil you know (al-Assad) than the devil you don't (an extremist Sunni successor regime).

Oddly, perhaps, these western voices of caution find themselves in de facto coalition with Iran and Hezbollah in Lebanon, Shia Muslim allies of the Assad regime. Meanwhile, a senior U.N. official suggested recently that the rebels were guilty of using chemical weapons (which they deny).

On top of all this, the opposition faces another question, bigger than all the others: can it win? According to the U.N., the Syrian civil war has claimed an estimated 80,000 lives so far, with millions more displaced or forced into foreign exile. The rebels control large tracts of territory, but they have failed to seize and hold major cities, and the balance of battlefield fortunes swings back and forward inconclusively.

The regime has proved tenacious, resourceful and stubborn. Al-Assad and his allies have nowhere to run. For them it is a fight to the death. The rebels, meanwhile, comprising myriad local groups and leaders, continue to lack strong central direction or agreement on what a post-Assad future might look like.

It may be that a compromise deal on a new government including existing members of the regime and some rebel elements will ultimately prove the only way to end the war. This week's video horror increases pressure to halt the bloodshed as quickly as possible -- even if that means some kind of patched-up deal, unpalatable, unsatisfactory and impermanent though it will undoubtedly be.

OPINION: Why a man eats another man's heart

READ MORE: Obama cautious on Syria, Britain ups urgency for peace

READ MORE: Turkey may be Obama's key to solving Syria crisis

The opinions expressed in this commentary are solely those of Simon Tisdall.

@highlight

A video showing a Syrian rebel eating the heart of a dead soldier circulated the internet

@highlight

Simon Tisdall: The video may "inflict long-term damage" on the Syrian opposition's reputation

@highlight

Human Rights Watch says war criminals should be punished and such abuses prevented

@highlight

The U.S. and Britain continue to debate whether to arm the rebels