(CNN) -- Sonia, a single mother with HIV in Brazil, travels four hours to reach a government-run health facility that provides her with free drug treatment.

Brazil's response to the HIV/AIDS fight has been widely praised and adopted as a model around the world.

The journey is long, she told CNN, but it's a small price to pay for the government-provided drugs that have helped keep her out of the hospital for the past 11 years.

Sonia is just one of the many Brazilians who have benefited from the country's novel approach to fighting the HIV/AIDS epidemic.

Brazil jolted the global health community in 1996 when it began guaranteeing free anti-retroviral treatment to HIV/AIDS patients.

For Sonia, government-funded treatment comes in the form of 20 pills. Taken daily, the anti-retroviral medicine has helped keep her HIV at bay.

Coupled with government-supported prevention efforts and aggressive public awareness campaigns, the so-called Brazilian response has been hailed as a model for developing countries.

Watch a report on Brazil's pioneering response to HIV/AIDS »

Prevention campaigns, which often take the forms of candid public awareness ads with slogans like "Be good in bed, use a condom," have resulted in widespread knowledge of HIV.

According to a recent study conducted by the country's Ministry of Health, Brazil boasts one of the highest rates of knowledge globally when it comes to HIV avoidance and transmittal.

Brazil was "the first country to realize there is no separation between prevention and treatment," Mauro Schechter, professor of infectious diseases at the Federal University of Rio de Janeiro, told CNN.

Schechter, who has studied the HIV/AIDS epidemic since 1989, said it took the rest of the global health community some 15 years to realize that the two go hand-in-hand.

Other countries that have adopted the Brazilian model »

The comprehensive response has extended the lives of tens of thousands of Brazilians and saved the government billions, researchers estimate.

A recent study published by researchers from Brown University and the Harvard School of Public Health said that Brazil has saved $1 billion alone by producing its own generic versions of HIV/AIDS medicines and negotiating discounts for imported drugs.

Those drug savings come on top of the estimated $2 billion the program has saved Brazil in hospital costs between 1996 and 2004.

Brazil's efforts to reverse the tide of the AIDS epidemic have become the object of admiration in the global health community, but the trailblazer is encountering new challenges.

When Brazil decided to guarantee free anti-retrovirals, there were 10,000 people being treated and it was organized as a program to treat a small amount of people for a limited amount of time, according to Schechter.

Patients are living longer and oftentimes able to get their disease under control, thanks to combination therapies, better known as drug cocktails. But that means they also require drug treatment for a longer period of time.

Furthermore, as HIV has evolved from an acute illness into a chronic disease, patients have also become vulnerable to other health risks and medical conditions.

Valdileia Veloso is the director of the Institute of Clinical Research at the Oswaldo Cruz Foundation, a public health research institution in Rio de Janeiro.

She told CNN patients are presenting with complications of chronic HIV and AIDS, which requires new treatment. "It's a new challenge for us," she said.

Heart disease is one of the big problems that doctors are encountering. While there's a system in place to prevent people from dying from HIV, preventable causes like heart conditions are causing deaths.

"These people are dying from preventable causes," Schechter told CNN.

While Brazil has shown that providing universal access to treatment can be achieved, it needs to modify its approach to treat the evolving disease, he said. "If the epidemic changes face, you need to adapt."

@highlight

Brazil has been hailed as a leader in the fight against the HIV/AIDS epidemic

@highlight

Government started offering free anti-retroviral treatment to its citizens in 1996

@highlight

As more people live longer with HIV/AIDS, Brazil faces new challenges

@highlight

Patients of the chronic illness susceptible to new health risks, doctors say