Washington (CNN) -- Rep. Paul Ryan of Wisconsin, chairman of the House Budget Committee, is known to glide through the hallways of Capitol Hill with headphones in his ears. It's a tactic he employs to avoid pesky reporters. But the Republican faced down a flurry of questions on Wednesday at a Christian Science Monitor breakfast with journalists.

The potential White House contender offered up his views on a range of topics, like climate change, immigration reform, and his newly-released plan to overhaul federal poverty programs.

He bristled at political questions, particularly one about his 2016 thinking. He opted to focus on policy matters and pepper his answers with the kind of opaque beltway jargon â€” terms like "pay-fors" and "scoring" â€” that betray his Washington pedigree.

Ryan, a known fitness buff, ordered a pile of eggs and a side of fruit, declining the sausages and potatoes typically served at the Monitor breakfasts, a Washington political ritual.

Here's some of what he said:

On impeaching President Barack Obama: "I see this as sort of a ridiculous gambit by the President and his political team to try and change the narrative, raise money and turn out their base and raise money for an election that isn't going to go their way. And I will just leave it at that."

On the House Republican lawsuit against Obama: "What John (Boehner) is doing is expressing frustration that we are not using the power of the purse. All he is trying to do is stand up for congressional prerogatives. And that is why the lawsuit has intellectual merit, because we want to show that we are not going to take this sitting down."

"The President is issuing executive orders and regulations that exceed the parameters of the statutes that give the authority in the first place. It's important to make that distinction. That's why I will vote for it. Because I stand with the speaker in thinking that the President has exceeded his authority. Let's make sure that we don't serve the temptation that the Supreme Court is the final arbiter, is the superior branch of government on all things constitutional. That's not necessarily the case."

So why not impeach?: "This does not rise to the high crimes and misdemeanor level. This is a huge difference of opinion which can be litigated in the court of public opinion through elections, which should be litigated through Congress through appropriations and the power of the purse, and there are other routes that are being pursued. But in this case, I think the President has exceeded the statutory boundaries that are written into the laws. There are executive orders that are within the boundaries of statutes to implement and execute laws. But when you do things, regulations and executive orders, that exceed the statutes, the clear letter of the law, that is lawmaking. And the lawmaking occurs in the legislative branch, not the executive branch."

On opposing reauthorization of the Export-Import Bank: "I do believe that the Ex-Im Bank is representational of some of the crony capitalism that we have in Washington: Big government and big business joining in a common cause to hand out preferences. I believe that we as Republicans should be pro-market, not necessarily pro-business. And that means pro-market is fighting for equal access to opportunity, the rule of law, self-government and fairness."

"With the Ex-Im Bank, when most of the money goes to a handful of really large connected companies, and a lot of it just goes to one company, that to me isn't quality under the law. That to me isn't free enterprise. ... Could the thing be reformed? Of course. Is that better than the status quo? Yes. But at the end of the day, I really do believe there are so many more things we should be dedicating taxpayer resources to than handing it out to select companies."

On what government can do to fight climate change: "Climate change occurs no matter what. The question is, can and should the federal government do something about it? And I would argue the federal government, with all its tax and regulatory schemes, can't. And all it will do is end up hurting our country, our people, and especially low income individuals."

On whether House Republicans will support some kind of immigration reform before the next presidential election: "It's hard to see in this climate, it really is. I think we need to deal narrowly with the border crisis. But because of the demonstrated distrust of the President in enforcing the laws, it is very hard to see how Republicans can come together with a solution that we expect the president to enforce."

"You know that I am a fan of immigration reform. I have been in favor of immigration reform for many, many years. We have a broken system that needs fixing, for the rule of law, for national security, for economic security. But having said all of that, there is just no confidence or faith that the President will faithfully discharge his duties in executes and implementing the laws as written by Congress at this time."

On his draft proposal to restructure federal poverty programs: "In many cases, the federal government, in its war on poverty, has inadvertently displaced civil society, prodded out good things that are happening in our communities, when it should be supporting them. It should be manning supply lines, not dictating the front lines."

"And the other point, it has given the notion in our society that this isn't your problem. Pay your taxes. The government will fix this. The government fixes poverty. That's not true. We need to break those notions that so that everybody gets involved and does something in whatever way they can to make a difference in this area. And that is one of the messages we need to pound over and over and over if we are going to be successful in reintegrating the poor and getting them from where the are to where they want to be."

On whether he would support the restoration of voting rights for felons: "I think that's something that we should look at. It's something we need to definitely consider. The way I look at this is, we want to encourage the notion that people should be able to earn and deserve a second chance in life. That is how you get people from where they are to the better life that they aspire for themselves. And that should be is something that we should champion in society. And I think this is among the issues that ought to be considered."

Is that a theme the GOP must do a better job of championing? "I don't want to comment on that."

On his thinking about a possible presidential bid in 2016: "There really aren't deliberations. I am just doing my job, focusing on the here and now, on 2014, on the problems that are facing our country that I see in front of me right now."

"I consciously decided not to think about my personal ambitions or personal career moves, or how I can think about something after 2014. In 2015, at the appropriate time, Janna and I will sit down and have the proper deliberations and conversations that are necessary for that. But right now, I am focused on what I can in my job today. I think that's just a better use of my time, and it's more faithful to the people I represent to be focusing on what's in front of us at this time."

Boehner: Impeachment talk a Dem 'scam' to raise money

@highlight

Ryan says Obama impeachment talk is a "ridiculous gambit by the President"

@highlight

GOP lawsuit against Obama is to show "we are not going to take this sitting down"

@highlight

Republicans have no confidence in Obama for immigration reform

@highlight

Ryan says notion must be broken that government can fix everything