(CNN) -- Deep down on the bottom of the Baltic Sea, Swedish treasure hunters think they have made the find of a lifetime.

The problem is, they're not exactly sure what it is they've uncovered.

Out searching for shipwrecks at a secret location between Sweden and Finland, the deep-sea salvage company Ocean Explorer captured an incredible image more than 80 meters below the water's surface.

At first glance, team leader and commercial diver Peter Lindberg joked that his crew had just discovered an unidentified flying object, or UFO.

"I have been doing this for nearly 20 years so I have a seen a few objects on the bottom, but nothing like this," said Lindberg.

"We had been out for nine days and we were quite tired and we were on our way home, but we made a final run with a sonar fish and suddenly this thing turned up," he continued.

Using side-scan sonar, the team found a 60-meter diameter cylinder-shaped object, with a rigid tail 400 meters long.

The imaging technique involves pulling a sonar "towfish" -- that essentially looks sideways underwater - behind a boat, where it creates sound echoes to map the sea floor below.

On another pass over the object, the sonar showed a second disc-like shape 200 meters away.

See also: Quest for Sir Francis Drake's remains

Lindberg's team believe they are too big to have fallen off a ship or be part of a wreck, but it's anyone's guess what could be down there.

"We've heard lots of different kinds of explanations, from George Lucas's spaceship -- the Millennium Falcon -- to 'it's some kind of plug to the inner world,' like it should be hell down there or something.

"But we won't know until we have been down there," said Lindberg.

The Head of Archaeology at Sweden's Maritime Museums, Andreas Olsson, admits he's intrigued by the picture, but remains sceptical about what it could be.

The reliability of one-side scan sonar images is one of his main concerns, making it difficult to determine if the object is a natural geological formation or something different altogether.

"It all depends on the circumstances when you actually tow the [sonar] fish after the boat," he said.

See also: World's oldest warship gets facelift

"What are the temperature conditions, the wave conditions, how deep is your fish in relation to the sea bed etcetera and all those parameters also affects what kind of image you have in the end," he explained.

Even Lindberg agrees the image "isn't the best it could be." But his crew are still planning to return to the site in the calmer waters of spring to investigate their find.

It's a risky and expensive business, and not one that always pays off.

British maritime historian, Professor Andrew Lambert, says the costs of recovery are now too high for most.

"If you want to stand in a cold shower tearing up Â£50 notes, go shipwreck hunting," he said. "Most shipwrecks are rotting away, or carrying dull things -- all the romance has been taken out of it."

It's a problem Lindberg and his team are aware of.

"It's a very difficult industry to be in -- it's money all the time," he confessed. "The best thing it could be, would be 60 meters of gold -- then I would be very happy."

"This thing is very far out, it's really off-shore, so first of all we need a bigger ship... more equipment.. and we have to do bottom sampling, water sampling, to see if it is something poisonous."

But even if the mystery object doesn't contain retrievable treasure the site could still prove to be a gold mine for the Ocean Explorer team, with tourists and private investors paying to see it up-close, in a submarine.

See also: How to survive a shipwreck

"The object itself is maybe not valuable in the sense of money it can be very interesting whatever it is, historical or a natural anomaly," said Lindberg.

In the North Atlantic, one American salvage company is also hoping to beat the odds.

Odyssey Marine Exploration -- a company made up of researchers, scientists, technicians and archaeologists -- have at least 6,300 shipwrecks in their database that they are looking to find.

Their latest discoveries include two British war-time shipwrecks off the coast of Ireland that could be laden with hundreds of tonnes of silver.

Mark Gordon, president of Odyssey, says at least 100 ships on their watch-list are known to have values in excess of $50 million dollars.

"When you think about the fact until the mid 20th century, the only way to transport wealth was on the oceans and a lot of ships were lost, it adds up to a formula where we have billions of dollars worth of interesting and valuable things on the sea floor," he said.

The lure of treasure has lead to an increasing number of discoveries in recent years. But one which doesn't come without its dangers, warns Olsson.

"I think recently we're entering a time of a lot of discoveries," he said of the technological advancements in finding shipwrecks.

"The professional shipwreck discoverers are doing a great effort for cultural heritage management in the long run... what we don't support is the action of actually taking up items and selling them," he said.

@highlight

Swedish treasure hunters have captured images of a mysterious object in the Baltic Sea

@highlight

It's estimated around 100,000 objects, mostly shipwrecks, are littered throughout the Baltic

@highlight

Deep-sea salvage company Ocean Explorer uses sonar imaging to search for wrecks