London (CNN)  -- A group of elderly Kenyans who say they were tortured under British colonial rule are seeking compensation at London's High Court in a case that could expose the UK to thousands of claims from across its former territories.

Four Kenyans, aged in their 70s and 80s, have traveled from their homes in rural Kenya to press their claim that Britain is liable for the abuse they suffered during the Mau Mau uprising -- during which hundreds of ordinary Kenyans, including Barack Obama's grandfather, were arrested.

Lawyers for the four say they suffered extreme acts of torture -- including castration and sexual assault -- at the hands of British administration officials in detainment camps during the uprising between 1952 and 1961.

But Britain's Foreign and Commonwealth Office denies all liability and wants the judge to throw out the case on the grounds that all liability transferred to the Kenyan Republic when the country gained independence in 1963.

The case, which could set a precedent allowing thousands of former British subjects to claim compensation, has thrown new light on the country's colonial past after a huge cache of secret files relating to British administration in 37 colonies was uncovered.

The Foreign Office has been ordered to produce all evidence relevant to the Kenya case, including hundreds of boxes of files, secretly smuggled out of the country ahead of independence.

These are said to contain graphic accounts of prisoner abuse. CNN's Nima Elbagir, reporting from the High Court, said the files contained "pretty horrific detail."

Despite the British government's efforts to derail the case, Wambugu Wa Nyingi, one of the victims pursuing the claim, said he expected a ruling that would allow him to find closure.

"I am confident the British government has elders who believe in justice and doing the right thing, they will listen to us and give us something that will help us in the remaining part of our lives," he told CNN.

During the uprising, as many as 150,000 Kenyans were incarcerated in what was then British East Africa, accused of being members of the resistance movement started by marginalized tribes. Among them were many ordinary citizens, including U.S. President Obama's grandfather.

Obama referred to his grandfather's incarceration in his memoir "Dreams from My Father," writing that Hussein Onyango Obama, who fought with the British Army during World War II, was held for six months but found innocent.

Nyingi, who is 83 this year, says he was detained without charge for nine years, beaten with sticks and forced into labor. He says he survived a massacre at one British-run camp after which he lay unconscious for three days alongside 11 people who were killed.

"I suffered physical violence on my head, on my legs, I still have the scars today because of the beatings from the colonial administrators," he told AFP.

"I am here to get justice for the many of my colleagues who have since died, and others who are still alive but living in abject poverty because of the injustices that were committed by the British colonial government.

"It's their responsibility to own up and pay us back now, compensate us, so that when I die, I do not have to keep telling my grandchildren of the injustices that were done."

In a statement, the Foreign Office said it welcomed debate Kenya's colonial past, but it intended to defend the case.

"We understand the strong feelings that the Mau Mau issue still creates in Kenya and elsewhere. It remains a deeply divisive issue within Kenya and one on which historians continue to debate," it said.

@highlight

Four elderly Kenyans are seeking compensation for torture experienced during the Mau Mau uprising

@highlight

Case has exposed secret files covering Britain's rule of 47 colonies

@highlight

Mau Mau rebellion led to arrest of thousands of Kenyans including Barack Obama's grandfather