Just in case you thought you had time to catch your breath from the culture wars, the issue of marriage for gay couples is back at the  ballot box this year. On Tuesday, North Carolinians voted 61% to 39% to ban all forms of relationship recognition for same-sex couples.

That's right, this amendment doesn't just prohibit gay marriage, it prevents the existence of civil unions and domestic partnerships under North Carolina's Constitution.

Shockingly, the state's Republican House speaker, Thom Tillis, who was largely responsible for putting the measure on the ballot, called the anti-gay marriage initiative a generational issue and predicted that while the initiative would probably pass, it would also be repealed within 20 years.

Even for most of the GOP's old-school legislators, there is dawning understanding that opposition to freedom to marry is on the wrong side of history and damaging to the long-term, and increasingly the short-term, prospects of the GOP, especially among independent-minded younger voters. Indeed, according to Gallup, 70% of people between the ages of 18 and 34 believe that same-sex marriage should be legal.

Vote means uncertainty for North Carolina's same sex couples

In November, residents of four more states -- Maine, Maryland, Minnesota and Washington -- will voice their views on same-sex marriage at the ballot box. Voters in Minnesota will consider a constitutional amendment to ban same-sex marriage, and in Maryland and Washington, they will probably face measures to undo new laws legalizing same-sex marriage passed by state legislatures.

Maine will, for the first time in history, have the chance to vote "yes" for a freedom to marry law. Unlike in previous years, polling shows that advocates of the freedom to marry stand a good chance to win some of these battles -- and the potential losses they would face are by much smaller margins than Americans witnessed even five years ago.

While the reigning stereotype is that Republicans are opposed to gay rights, growing Republican support in state-by-state fights belies this perception. Indeed, in New Hampshire and New York, Republicans were critical to recent marriage freedom victories. And Republicans will play key supportive roles in November at the ballot box.

There are tectonic shifts happening just beneath the surface within the Republican Party that haven't percolated to the national dialogue on gay rights. Efforts to support gay rights by GOP state legislators in several states are real and indicative of an increasing realization that expanding equal opportunity and freedom to gay Americans shouldn't be a partisan issue.

Most recently, a stunning victory occurred in New Hampshire, where anti-gay forces sought to roll back the freedom to marry.  After Republicans gained three-quarters supermajorities in both chambers in the 2010 elections, the National Organization for Marriage, the chief organization opposing same-sex marriage, proclaimed it was "confident of victory" and would show "that history is not unidirectional" on the issue.

Unfortunately for them, New Hampshire Republicans who believed in the state's "live free or die" motto were quick to build a powerful campaign and harness the two-thirds of the public who opposed taking freedoms away and downgrading people's families.  They mobilized hundreds of civic and business leaders and thousands of citizens to make their voices heard.

Not only did the Republican-controlled New Hampshire House defeat the repeal bill, it did so by a lopsided 211-116 margin. The most overlooked fact: A substantial group of Republican legislators, 109 to be exact, voted to preserve the freedom to marry in the Granite State. Despite the best efforts of the National Organization for Marriage, history is unidirectional on the issue, and the freedom to marry is a settled issue in New Hampshire. The trend toward greater acceptance is clear, irrefutable and happening on both sides of the aisle.

To date, 197 Republican state legislators across the nation have stood up for the freedom to marry -- and have lived to tell the tale.  Republicans put the bill on the New York state Senate floor and provided the votes needed to make same-sex marriage a reality, making it the first GOP-controlled legislative chamber in America to do so.

The state senators who courageously voted for marriage risked primary opposition from anti-marriage forces but are now garnering wide support. They are well-positioned to fight single-issue attacks while running campaigns and building records of public service that respond to the core priorities of their constituents: less government, lower taxes, individual autonomy and personal responsibility. (In the interest of full disclosure, as a New York resident, I personally advocated for the passage of freedom to marry in Albany last summer.)

A few years ago profiles in courage like these seemed to come in ones and twos. Today, they are occurring frequently.  A growing number of Republican legislators are choosing to stand on the side of freedom because they have gay and lesbian people in their lives who they care about.

They've done so because the politics has shifted dramatically, taking the peril out of following one's conscience.  They've done so because they believe, like so many of us, that marriage is the most powerful social institution on Earth, integral to strengthening our society because it is rooted in the traditional values that strengthen our families and communities: the values of love, commitment and sacrifice.

To be sure, there's a long way to go before the Republican Party fully embraces these values and is consistent about being the party of individual freedom, but I'm glad to see more and more of my fellow Republicans on the right side of history.

@highlight

North Carolina approved measure banning same-sex marriage, domestic unions

@highlight

Margaret Hoover says there's significant and growing GOP support for gay marriage

@highlight

Voters in other states will confront the issue this fall

@highlight

Hoover: Many Republicans helped preserve same-sex marriage law in New Hampshire