(CNN) -- "When a man is tired of London, he is tired of life," memorably proclaimed Samuel Johnson.

Whereupon that man -- presumably -- is buried in London.

Lucky him (or her).

The city has some of the best, most atmospheric, cemeteries in the world.

Luminaries from Karl Marx (Highgate Cemetery) to the suffragette Emmeline Pankhurst (Brompton Cemetery) to Johnson himself (Westminster Abbey, which is really not your everyday resting place) are buried here.

Being famous, though, doesn't guarantee an interesting gravestone.

Some of the best tombs belong to the largely forgotten, people who nonetheless seemed to have had big plans for the hereafter.

Tom Sayers: The big sleep

Highgate is the most famous of London's great Victorian cemeteries, bursting with big names and bombastic memorials.

Yet in choosing her favorite gravestone, Catharine Arnold, author of "Necropolis -- London and its Dead," picks someone removed from the worlds of literature and the arts, with which Highgate is normally associated.

Tom Sayers' tomb, guarded by his "immortal dog ... faithful to the last [is] a great example of Victorian animal memorial art," she says.

Sayers was a bare-knuckle boxer, whose final fight is considered to have been in effect the first boxing world championship.

It ended in chaos, but won him an army of fans.

An estimated 100,000 people turned up to his funeral in 1865, with his dog, Lion, as chief mourner.

Highgate Cemetery, Swain's Lane, Highgate. Tours Monday-Friday, 1:45 p.m., Saturday and Sunday, 11 a.m.-4 p.m; Â£12.00 adults, Â£6 children; +44 208 340 1834

Andrew Ducrow: Colossus of tombstones

Kensal Green is among the most formal of great London cemeteries, but it still has tombs wacky enough to get the deads' net curtains twitching -- or so you imagine.

The flamboyant Victorian circus owner Andrew Ducrow -- the so-called "Colossus of Equestrians" -- couldn't decide which classical theme he wanted on the family tomb, so he went for them all.

Egyptian sphinxes jostle with Greek capitals and Roman tablets lean against Gothic angels in what Catharine Arnold describes as a "suitably OTT monument to a larger than life showman."

The Builder magazine merely calls it "ponderous coxcombery."

Kensal Green Cemetery, Harrow Road, Kensal Green; +44 208 969 0152

William and Agnes Loudon: Six feet above

The immaculate graveyard of St. John the Baptist church in the London neighborhood of Pinner, a former hamlet, has its fair share of carved skulls and weathered inscriptions to once-cherished octogenarians -- and one very odd memorial.

The legend holds that William Loudon and his wife, Agnes, inherited some money, but the bequest would end when they were buried.

The obvious solution was to stick their coffin in an enormous stone wedge, making it practically impossible to bury -- and also quite difficult to look at.

It was erected in 1809 by their son, John Loudon, later an influential voice in the cemetery-preservation movement.

Pinner Parish Church, Church Lane, Pinner, Middlesex

Sir Richard Burton: Kama Sutra forever

Sir Richard Burton is best known for his saucy translations of "The One Thousand and One Nights" and for publishing "The Kama Sutra" in English.

Although his wife, Isabel, a devout Catholic, claimed to be mortified by his interests, she appeared to celebrate them on his death by erecting a mausoleum in the shape of an Arabian tent in the incongruous surroundings of a suburban churchyard.

Throughout the rest of her life, Isabel would take afternoon tea and hold the odd sÃ©ance inside the tomb before joining her husband in there on her own demise.

Nosy visitors can peer through a window in the roof at two dusty coffins surrounded by lanterns, camel bells and murals of the night sky.

St Mary Magdalen Church, 61 North Worple Way, Mortlake; + 44 208 876 1326

Frank Bostock: Guarded by London's loveliest lion

Many London cemeteries have a lion -- animals of all stripes are well represented in its graveyards -- but perhaps the most elegant has since 1912 slept in the jungle that is overgrown Abney Park in Stoke Newington.

The beautiful stone-carved creature commemorates menagerist Frank Bostock, who traveled the world with big cats, occasionally branching out to camels and hyenas.

"People stroke the Abney Park lion's left paw for luck -- the marble is bright and shiny as a result," says Catharine Arnold.

Abney Park Cemetery, Stoke Newington High Street, Stoke Newington; +44 207 275 7557

Thomas Hardy: The tree of death

Acclaimed author Thomas Hardy's first job, in the 1860s, was at St. Pancras Old Church, where he helped to exhume thousands of skeletons from the cemetery in the way of the new Midland Railway line.

The bones were reburied, but Hardy was left with the gravestones.

He got rid of some by stacking them around a young ash tree.

Whether or not he meant the solution to be permanent, roots and stone are today completely fused.

The ancient churchyard, once a haunt of grave robbers, is now one of the most peaceful places in busy St. Pancras.

St Pancras Old Church, Pancras Road, London

Hannah Courtoy: The spinster's 'time machine'

"It looks like Dr. Who's TARDIS as designed by the architects of the Death Star," says author and publisher Mark Pilkington, who's been investigating time machine claims about the mysterious last resting place of three Victorian spinsters.

Like so many 19th-century British tombs, this one in Brompton Cemetery is Egyptian in style. What distinguishes it are the strange hieroglyphic carvings and a twisted monogram on the door.

Built in 1852 for unmarried Hannah Courtoy and her daughters, no plans for the tomb have been found and it's the only monument in Brompton Cemetery for which no key can be found.

The time machine story supposedly dates to a mischievous 1998 press release.

Brompton Cemetery, Fulham Road; +44 207 352 1201

Douglas Adams: Bare bones

You couldn't find a stronger or more stylish contrast to the dominant grandiose tendency in gravestone design than the plain monument to the bestselling comic sci-fi author Douglas Adams.

Located in the newer, eastern part of Highgate Cemetery, the tomb belonging to the author of "The Hitchhiker's Guide to the Galaxy" has merely his name, the year of his death (2001) and a description: "Writer."

Highgate Cemetery details above.

@highlight

The best tombs in London belong to the famous and lesser known alike

@highlight

Explorer Richard Burton rests in extravagant digs

@highlight

One coffin hangs permanently in the air

@highlight

Author Douglas Adams wastes few words on his headstone