London (CNN) -- UK newspaper and magazine publishers lost a High Court bid Wednesday to block the progress of a government-backed royal charter on press regulation.

The royal charter, which has cross-party backing, was due to go before the Privy Council on Wednesday for approval after the High Court ruling.

The industry groups that brought the unsuccessful legal challenge said they were "deeply disappointed" by the decision and would try to overturn it on appeal.

"This is a vital constitutional issue and we will be taking our case for judicial review -- of the Privy Council's decisions on both the industry Charter and the cross-party Charter -- to the Court of Appeal," they said.

The legal challenge was brought to the High Court by the Press Standards Board of Finance (Pressbof), which is the industry body that funds the current press watchdog, the Press Complaints Commission.

It sought permission to seek a judicial review of the politician-backed royal charter on the grounds that the industry's own proposed royal charter was not properly considered and that the process was "startlingly unfair."

The industry's draft royal charter was rejected by the Privy Council, a body made up of government ministers, earlier this year.

But the High Court ruled against the legal challenge.

The cross-party royal charter follows months of talks between the industry and lawmakers on how to establish a system of independent press self-regulation, following an inquiry last year into press ethics led by Lord Justice Leveson.

The inquiry was set up after outrage over claims of widespread phone hacking and other abuses by elements of the UK press. A number of criminal prosecutions are being brought in relation to those claims.

Critics say the government-backed royal charter risks weakening the freedom of the press by allowing political interference, while supporters argue that the newspaper industry has failed to regulate itself effectively so far.

'Proper complaints system'

The Department for Culture, Media and Sport earlier welcomed the High Court ruling.

"Both the industry and the government agree self-regulation of the press is the way forward and we both agree that a Royal Charter is the best framework for that," it said in a statement.

"We are clear the process for considering the industry royal charter was robust and fair and the courts have agreed. We can now get on with implementing the cross-party charter.

"A royal charter will protect freedom of the press whilst offering real redress when mistakes are made. Importantly, it is the best way of resisting full statutory regulation that others have tried to impose."

Labour Party deputy leader Harriet Harman also voiced her support for the ruling.

"Now is the time for a proper complaints system which is effective and independent of press and politicians which does not infringe the freedom of the press," she said.

"We need a press which is robust and free, which holds those in power to account, but which does not abuse its own power by wreaking havoc on the lives of innocent people."

'Good for journalism'

Campaign group Hacked Off, which has called for tougher regulation of the press, has backed the royal charter opposed by the newspaper industry.

"The big newspaper companies like the Mail and the Murdoch press have been in denial ever since the Leveson inquiry report condemned the way they treated ordinary people and said they needed to change," executive director Brian Cathcart said in a statement.

"The inquiry judge has told them this. Their own readers -- the public -- have told them. Their past victims have told them. Every single party in Parliament has told them. Now the courts have thrown out their latest manoeuvre."

Cathcart said the royal charter was "good for journalism, good for freedom of speech, and -- vitally -- good for the public."

Government interference?

The Pressbof challenge was made "in the context of a wholly unfair and irrational process leading to a recommendation and decision that has the potential profoundly to affect the nature of press regulation in this country," according to a statement filed with the court.

The newspaper publishers argued that they were not properly consulted about the rival royal charter, which has cross-party political support.

They also argued that the government-backed royal charter does not guarantee freedom of the press from political interference, since it can be amended with the agreement of a two-thirds majority in Parliament.

Both versions of the royal charter envisage the establishment of a "recognition panel" to oversee a self-regulatory committee that would consider complaints against the press and would have the power to impose fines of up to 1 million pounds ($1.6 million) against newspapers for wrongdoing.

Their differences hinge on how that panel is made up and on how changes can be made to the charter. The rejected Pressbof charter proposed that it be amended after agreement by the industry itself, while the government-backed version would be subject to a vote in Parliament.

Protecting a free press

The Privy Council rejected the industry's draft charter on the grounds that under its terms, the recognition panel would not be sufficiently independent and that it would not have sufficient powers to ensure proper redress.

But Pressbof argues that its version of the royal charter is more likely to meet Leveson's aim of "a genuinely independent and effective system of self-regulation," free from government interference.

Culture Secretary Maria Miller told lawmakers this month that the government "must protect our free press whilst striking the right balance between independence and redress for individuals."

The independent Leveson inquiry was set up by Prime Minister David Cameron to make recommendations on journalistic ethics and examine the relationship of the press with the public, police and politicians.

@highlight

NEW: UK newspapers to appeal after losing legal challenge to a government-backed plan

@highlight

Campaign group Hacked Off welcomes ruling on cross-party royal charter

@highlight

"Charter will protect freedom of the press" and offer real redress, government says

@highlight

Newspaper chiefs fear the proposed royal charter may allow interference by politicians