Iranian cooking can be seen as a metaphor for the country itself: It's tart, sweet, fragrant and vastly complex.

It's one of the world's oldest, yet largely obscure, culinary landscapes, with roots dating back to the Persian Empire.

In homes in Tehran, pots bubble for hours to braise tough cuts of meat in khoreshes, or stews, with all manner of local fruits like pomegranates and dried apricots and nuts like pistachios and walnuts.

In the bazaars, there's hot and fresh sangak, a staple oblong flatbread, and trays of sweet pastries perfumed with rose and orange blossom water.

Any visitor would be remiss to not try the chelo (chelow) kabab, as it's king here; juicy skewers of meat and minced meat are served on heaping plates of rice steamed with saffron, the most expensive spice in the world, and grilled tomatoes.

Here's a recipe to get started with even if Iran isn't on your travel itinerary.

Skewered Ground Lamb Kabab (Kabab-e kubideh)

(Serves 6)

Reprinted with permission by Mage Publishers from "Food of Life: Ancient Persian and Modern Iranian Cooking and Ceremonies" by Najmieh Batmanglij.

For the kabab:

2 pounds twice-ground lamb shoulder or beef (85%)

2 teaspoons sea salt

2 teaspoons fresh ground black pepper

¼ teaspoon ground saffron dissolved in 1 tablespoon rose water, or ¼ teaspoon turmeric

2 tablespoons sumac powder

½ teaspoon baking soda

2 medium yellow onions, finely grated

2 cloves garlic, peeled and grated

Zest of 1 lime

For basting:

½ cup salted butter or olive oil

1 teaspoon fresh lime juice

For cooking and garnish:

14 flat 3/4-inch skewers

1 package (12 ounces) lavash bread

½ cup sumac powder

2 limes, cut in half, and Persian basil

1. To make the meat paste, in a warm, wide skillet, combine all the kabab ingredients. Knead with your hands for about 5 minutes. Cover the paste and let stand for at least 30 minutes and up to 24 hours in the refrigerator.

2. Start charcoal at least 30 minutes before you want to cook, and let it burn until the coals are glowing evenly. For this kabab, you want the coals to be as high as possible, close to the meat and at their hottest. Do not spread the charcoal thin. If you are using an indoor grill, make sure it is preheated and very hot.

3. Using damp hands (keep a bowl of water next to you), divide the meat paste into equal lumps about the size of small oranges. Shape each into a 5-inch-long sausage and mold it firmly around a flat, sword-like skewer. Pinch the two ends to firmly attach meat to skewer. Arrange on a baking sheet, separated from each other. Cover and keep in a cool place.

4. For the baste, melt the butter in a small saucepan and add the lime juice. Keep warm. Spread lavash bread on a serving platter.

5. Arrange the skewers on the fire 3 inches above the coals (bricks on either side make good platforms; keep in mind that the ground meat should not touch the grill). After a few seconds, turn the meat gently to help it attach to the skewers and to prevent it from falling off (these first few seconds are important for cooking skewered ground kabab).

6. Grill the meat for 3 to 5 minutes, turning frequently. Baste just before removing from the fire. Avoid overcooking. The meat should be seared on the outside, juicy and tender on the inside.

7. Place all the kabab skewers on the lavash bread platter. Keep on skewers until ready to serve and cover with lavash bread to keep warm. Loosen the meat from each skewer and slide the meat off using a piece of bread. Sprinkle with sumac and lime juice to taste. Serve with fresh basil and yogurt and cucumber dip. Nush-e Jan!

For a ground chicken variation: In a food processor, place 2 pounds chicken thighs, 1 small onion (peeled and chopped), 3 cloves garlic (peeled), zest of 2 limes, 2 teaspoons fine-grind sea salt, 1 teaspoon freshly ground black pepper, ¼ teaspoon ground saffron dissolved in 1 tablespoon rose water, and 1 tablespoon olive oil. Pulse for a few minutes until you have a thick paste. Do not over mix. Transfer to a glass container. Cover and allow to rest in the refrigerator for 30 minutes. Continue with step 2.

@highlight

Chelo kabab is considered the national dish of Iran

@highlight

Saffron, the world's most expensive spice, is prevalent in Iranian cooking

@highlight

The culinary traditions of Iran date back centuries to the Persian empire