Washington (CNN) -- Long before people posted their thoughts and feelings on social networking sites like Twitter and Facebook, millions of people were doing just that on a different sort of wall.

It might have been something as simple as a baseball, a playing card or a walking stick. Or perhaps a more personal item, like a poem, photograph or diploma.

And then there's the occasional letter, like the one dated November 18, 1989, that began:

Dear Sir,

For twenty two years, I have carried your picture in my wallet. I was only eighteen years old that day that we faced each other on that trail in Chu Lai, Vietnam. Why you did not take my life, I will never know. ...

These are among the more than 100,000 objects that have been left at the Vietnam Veterans Memorial on the National Mall.

Since its dedication in 1982, nearly 4 million people a year have visited the memorial's polished black granite wall, many to leave a personal item or note in memory of the more than 58,000 people whose names are engraved there.

No one is sure who started the custom of leaving items at the wall, curator Duery Felton said.

The first items began showing up even before construction on the memorial was complete. A park ranger started collecting the items, thinking people might come back for them someday.

By 1986, as the objects continued to pile up, the National Park Service decided to establish an official collection. Thus was born the Vietnam Veterans Memorial Collection.

The items are catalogued 12 miles away at the Museum and Archaeological Regional Storage facility in Maryland. Though it's not open to the public, traveling collections are often on display at museums both in the United States and abroad, Felton said.

"You had, for the first time that we've been able to ascertain, people coming to a public site for a protracted period and leaving unsolicited objects," Felton said.

There is seemingly no limit to the types of artifacts that are part of the collection, from G.I. Joe action figures to crutches, dog tags, combat boots -- even a motorcycle.

On any given day, the wall might be adorned with artwork, prayers, a diploma marking a missed milestone or a picture of a young child born too late for a loved one to meet.

Occasionally, a note accompanies an item, but most times an object's meaning is left to interpretation.

Felton, a Vietnam veteran himself, says he's wary of making assumptions about an item's meaning. Many may seem like ordinary objects, but often they hold deeper significance to either the donor or one being remembered.

Felton likes to use a bag of M&Ms to make his point.

The candy, which gained popularity among World War II soldiers looking for a chocolate treat that wouldn't melt, may have been left at the wall because it was a loved one's favorite, he says.

More likely, though, it had something to do with the little-known fact that military doctors used M&Ms as placebos for injured soldiers when no aspirin was available.

"I look at us as being voyeurs in many ways, because we don't know the full story," he said. "Outside of donor information, I can't tell you why [an] item was left."

On a more comprehensive scale, the collection serves as a record of social history, he said. The egalitarian nature of the memorial and the unprecedented public outrage that resulted from the controversial war are not unrelated, Felton said.

"This is a study. This is tangible evidence of a major epoch on the psyche of the American public," Felton said. "For all intents and purposes, this collection is being curated by the public. ... It's uncensored."

And as Vietnam veterans age, it even more important to preserve these artifacts for future generations, he said.

"Almost 60 percent of today's population was not alive during Vietnam," he said. "You can't tell where you are until you understand where you've been. ... We're preserving the past for the future."

@highlight

More than 100,000 objects have been left at Vietnam Veterans Memorial

@highlight

As objects piled up, National Park Service established official collection

@highlight

Traveling collections often on display at museums in U.S. and abroad