(CNN) -- If there is one thing that Africa can learn from the global financial crisis it's that the West doesn't always get it right, Nobel Peace Laureate Wangari Maathai told CNN.

Two young boys plow their dry cornfield in Kwale, Kenya which has been blighted by drought.

"It sends a message that anyone can make a mistake. Nobody has a blueprint and nobody is a know-it-all," she said of the current turmoil engulfing the global banking system.

"I can tell you I never would have thought we could experience what we're experiencing in America now," she added.

"Because for one we never would have thought that the Americans could be caught 'asleep,' not monitoring their financial system and therefore waking up one day and finding out that their most respected institutions are collapsing right and left."

The International Monetary Fund (IMF) has warned the global financial crisis will have a "major impact," on low-income countries.

In a recent report, "The Implications of the Global Financial Crisis for Low-Income Countries," the Fund singled out sub-Saharan Africa as particularly vulnerable to the crisis, as lower global growth reduces export demand and depresses commodity prices.

And last month, anti-poverty campaign group ActionAid forecast Africa's income would drop by $49 billion dollars between 2007 and the end of this year.

Most of that, it said, would be due to a fall in export earnings, aid and income from rich countries now in recession.

"Although developing countries didn't make this crisis, it has become all too clear that they are in the firing line when it comes to suffering its worst effects," Claire Melamed, Head of Policy at ActionAid said in a statement accompanying the report.

"There is a real risk that development will start to go backwards in many countries as the money dries up and that the recession will lead to worsening poverty and terrible consequences for the men, women and children caught in its grip," she added.

Wangari Maathai said many Africans had become so accustomed to their daily struggles that they assumed life could not get any worse.

"Some of the impact that the western banks or the Western people are experiencing we've been experiencing for decades," Maathai said.

"We've been raising and educating children who cannot get any employment. Long ago our hospitals collapsed, our infrastructure collapsed, our education system collapsed.

"That's why people are saying it can't get any worse, but you and I know it can get worse," she said.

Now 69, Wangari Maathai has long campaigned for human rights and the empowerment of Africa's most impoverished people.  Watch Revealed: Wangari Maathai »

More than thirty years ago she founded the Green Belt Movement, a tree-planting campaign to simultaneously mitigate deforestation and to give locals, especially women and girls, new purpose. They have since planted more than 40 million trees.

In 2004, she was awarded the Nobel Peace Prize for her efforts to promote sustainable development, democracy and peace, and has recently repeated calls for Africans to 'rise up' and demand greater accountability from their governments.  See photos of Maathai receiving the Nobel Peace Prize »

"What Africa needs to know is that now that the world has its own crisis in its own hand, if they don't take care of themselves and place themselves in a position where they can be assisted, they will suffer, the people will suffer," Maathai told CNN.

Earlier this month, the group of 20 industrialized nations agreed an unprecedented rescue package worth $1.1 trillion to tackle the global economic crisis.

It included $750 billion dollars for the International Monetary Fund (IMF), three times the Fund's previous lending capacity, as well "special drawing rights" to an additional $250 billion.

Of the commitment, Maathai said: "I'm glad that the G20 identified that they must help the poor people, but the biggest problem for the poor developing countries in Africa is that they are already facing so many challenges."

@highlight

Nobel Peace Laureate says Africans need to take responsibility for future

@highlight

Wangari Maathai says global economic crisis shows West is fallible

@highlight

Maathai of the West: "Nobody has a blueprint and nobody is a know-it-all"