If you thought you were going to be reincarnated as a horse -- you'd probably want to be born here.

That was the madcap idea which prompted an 18th-century French prince, Louis-Henri de Bourbon, to build the most spectacular horse stables in the world.

Legend has it that the wealthy royal commissioned the luxurious Grand Stables in northern France because he believed he would be born again as a horse -- and not just any old royal box would do.

At more than 180 meters long -- roughly the same size as two soccer fields -- the stables at Chantilly are not only a spectacular feat of architecture, they're also home to a famous collection of equine artworks and the rarest ponies on the planet.

This weekend the Grand Stables -- and its adjoining Museum of the Horse -- will again be unveiled to the world as part of a $3.3 million makeover led by the fourth Aga Khan, both a business magnate and the spiritual leader of 20 million Nizari Ismaili Muslims.

"It will be one of the few museums in the world totally dedicated to the horse, in all aspects of life," His Highness Prince Karim told CNN of his grand project.

Rescued relic

Built almost 300 years ago, in 1719, the Grand Stables was one of the most breathtaking buildings in the world, housing a whopping 250 horses and 300 hunting dogs on the manicured lawns and lakes of the opulent Chantilly Estate.

In the evenings, Prince Louis-Henri would hold sumptuous dinners under the building's monumental dome, which soars 28 meters high.

But by the turn of the 21st century, the stables and museum had become a dusty shadow of their former glory.

"It was the most stunning building built for horses in the world," Benoit Junod, director for museums and exhibitions at the Aga Khan Development Network, told CNN. "The prince was a cousin of the king and I think he wanted to create something which would rival the Palaces of Versaille.

"But in recent years it was falling into disrepair -- there were problems with water seepage from the lake, the roof needed to be repaired."

That was until Prince Karim -- a renowned horse owner and breeder, perhaps most notably of Shergar -- invested his fortune in an ambitious project to transform the sad old relic into a world-leading equine exhibition.

"The mayor came to me and said, 'Would you join us in financing the saving of Chantilly's race course?' said the Aga Khan, who has had an office in the area for "many many" years.

"And I said, 'But I'm not interested in only saving the race course. I'd like to widen the spectrum to the whole of Chantilly.'"

Treasure trove

Venture inside the elegant museum and you'll discover a remarkable collection of hundreds of paintings, sculptures, and curios, depicting everything from mythical horses to racing thoroughbreds.

The building's 17 garages, which originally housed elegant carriages in the 1700s, have been converted into gallery rooms and a café.

"We have a crazy mixture of everything from British artist Norman Thelwell's cartoons to major works of art by 15th-century renaissance painters," said Junod.

"You have a lot of horse museums around the world which deal with certain aspects -- such as racing or equipment. But nothing which has the ambition to tackle the extraordinary history and beauty of the horse in full."

But it's not just rare artworks attracting 160,000 visitors a year. Also referred to as the "Live Horse Museum," the lush green estate is home to more than 30 breeds of horses -- including the only one of its kind in Europe.

Among the cantering thoroughbreds and Shetland ponies is 10-year-old Dilraj -- the first and only Marwari horse to step foot on the continent.

The Marwari are descendants of horses used by ancient Indian warriors, known for the courage in battle and distinctive inward-curving ears

Race to the top

Drifting in to the gallery rooms this weekend will also be the roar from the crowd at France's second biggest horse race -- the Prix de Diane, which is for three-year-old fillies.

Sunday's prestigious race takes place on the pretty Chantilly course, nestled in front of the towering Grand Stables.

It is a special day for the Aga Khan, who has had seven winning thoroughbreds in the competition -- the most of any horse racing owner.

"This year we don't have a runner -- I was hoping we would have but the filly's last race was not what we wanted," he said.

"Every time I've won it has been with a home-bred filly. The goal of my farm is to breed winners. I don't buy racing stock, the results are dependent on my breeding."

As Junod says, part of the appeal of the museum isn't just its multimillion-dollar setting -- it's also man's enduring fascination with these four-legged beasts.

"The horse has always been a strong, independent animal -- a friend of man, not a slave of man. And I think that's part of the reason why it still captures our imaginations today."

@highlight

Welcome to Chantilly's Grand Stables, world's most beautiful horse homes

@highlight

Built in 1719 by a French prince, the stables had become dilapidated

@highlight

Five years ago Islamic spiritual leader Aga Khan invested in building makeover

@highlight

This weekend the revamped  $3.3 million horse museum will open to public