Washington (CNN) -- If all the recent wrangling over the fiscal cliff has revealed anything, it's how tense and strained President Obama's relationship is with Republicans in Congress.

Borger: Fiscal cliff was bound to collapse

And Obama's relationship with Congress reached yet another low Thursday when House Speaker John Boehner confirmed to CNN that he has told House Republicans he will no longer negotiate legislative deals with the president.

And in an opinion piece on Thursday, Sen. John Cornyn of Texas faulted the president for all the fiscal brinksmanship since 2010. The new No. 2 Senate Republican also suggested that "[i]t may be necessary to partially shut down the government in order to secure the long-term fiscal well being of our country."

Low bar for new Congress

In the White House's relationship with Capitol Hill, "the real negative is clearly that the relationship with House Republicans is as bad as ever," CNN contributor and Princeton University historian Julian Zelizer said, adding that the House GOP refuses to acknowledge any mandate from Obama after November's election.

"They are going to fight the president tooth and nail," Zelizer said, a problem made worse by the fact that Boehner "is not in control" of House Republicans, particularly the contingent of fiscal conservatives brought to Washington by support from the tea party movement.

Zelizer: GOP faces choice -- leadership or gridlock?

CNN contributor Ruben Navarrette Jr. said Obama's strained relationship with congressional Republicans dates back to the contentious debate over Obama's signature health care legislation, where the president showed his willingness to push through major proposals and major legislation without consulting them.

"He is so good at the business of politics that he's really outmaneuvered them," Navarrette observed about Obama's relationship with Republicans over the past four years.

Navarrette: The real issue is runaway spending

The already difficult relationship isn't helped by unique issues on each side.

The GOP has been struggling to define itself and its message in tough economic times amidst twin concerns about government spending and income inequality.

Zelizer: What the tea party cost the GOP

And buoyed by his electoral success in 2008, legislative successes in the first half of his first term and by winning a second term, Obama adopted a take-it-or-leave-it attitude with Republicans, even as the nation teetered on the edge of the fiscal cliff.

"My preference would have been to solve these problems in the context of a larger agreement, a bigger deal, a grand bargain. But with this Congress, that was obviously a little too much to hope for at this time," Obama said Monday afternoon at a White House event that at moments seemed like a campaign gathering.

At the same event, Obama also warned the GOP about expected battles over spending cuts in the coming months.

"Now, if Republicans think that I will finish the job of deficit reduction through spending cuts alone," Obama said, "[I]f they think that's going to be the formula for how we solve this thing, then they've got another thing coming. That's not how it's going to work." Rather, Obama declared "it's going to have to be a matter of shared sacrifice, at least as long as I'm president. And I'm going to be president for the next four years."

Obama's recent post-election trash talking directed at Congress is "defiance politics" that misunderstands what it means to win an election, Navarrette said.

The president's recent comments are like "an end zone dance, a celebration" or, in the world of mixed martial arts competition, like "putting your foot on the other guy's neck and holding your hand up in the air," after you've felled your opponent, according to Navarrette.

Instead of taking every opportunity to remind Republicans that he won (and they lost) last November, Obama needs to realize that "with winning elections comes the responsibility to lead," Navarrette said. As the person in whom the public has placed its trust and confidence, "your burdens are much greater (than your losing opponent's)."

Democrats counter that Obama hasn't had anyone to make a deal with.

"When John Boehner comes to the table and he can't even bring his deputy or his third in command to vote for the deal that he is agreeing to, I think you've got a real crisis of leadership in the House," former White House press secretary Bill Burton said.

Debt Ceiling: Welcome to Fight Club

"And so the president showed that even in that case, he can get a deal that moves the ball forward for the country, but going forward, you just wonder, how much control does Boehner have over the folks in the House and what kind of deals are we going to be able to get?"

For all his recent public swagger when it comes to Congress, Obama "really does compromise a lot," said Zelizer. For example, Zelizer pointed out that during recent negotiations over the fiscal cliff, the president changed his position substantially on the income threshold for eliminating the Bush tax cuts.

While he says he doesn't think there's much more Obama can do publicly to smooth over the differences with House Republicans, Zelizer said that Obama can't let stand Boehner's declaration that he's abandoning any more legislative deal-making with the White House. The president would be wise to try to work behind the scenes to keep Boehner "in the fold and maintain some sort of relationship" with the speaker.

And Zelizer noted an encouraging pattern in the recent fiscal brinksmanship between Congress and the president.

After negotiations between Boehner and Obama broke down, "(Senate Minority Leader Mitch) McConnell stepped up and put the deal together," observed Zelizer, who added the Senate could take the lead again in working out agreements on things like handling automatic spending cuts put off by this week's fiscal cliff deal and likely upcoming battles over the debt ceiling and funding the federal government.

Zelizer noted that after McConnell negotiated a deal with Vice President Joe Biden, Boehner allowed House Republicans to entertain an alternative that would have included more spending cuts, an alternative which never made it to a vote because fiscal conservatives couldn't muster a majority in the House GOP to support its passage.

Ultimately, Boehner kept his pledge to Democratic leaders in Congress to put the Senate's deal up for a House vote. By making the pledge before the terms of the Senate deal were even set, Zelizer said, Boehner sent a signal to House Republicans that they were going to lose the battle over the fiscal cliff even if they didn't like the Senate deal.

The maneuvers by McConnell and Boehner suggest a path forward if repeated, according to Zelizer, because if GOP leaders continue not to obstruct Democrats as they try to move forward with legislation, that could help bring around tea party Republicans in the House.

Tea party calls for consequences after fiscal cliff vote

In order to improve their relationship with the White House, Navarette said Republicans "have to fix what's broken in their own party, they have to heal the divisions in their own party . . . and define what the GOP is about."

Boehner re-elected speaker in midst of public defections

Calling it "a miracle" that Boehner was re-elected as speaker, Navarette said the GOP must also decide which role it wants to play in Obama's second term. Will they try to be accommodating and try to work with the president to find solutions to problems, including some problems Republican donors and the Republican establishment wants fixed? Or will they play the proverbial loyal opposition?

Both are "not terribly attractive options" for the GOP, Navarette said, especially up against a masterful political strategist like Obama.

And Navarrette suggests that the sports-loving and competitive Obama invite top Republicans over to the White House for his annual Super Bowl watching party in order to build personal relationships across the aisle in Congress.

For Obama, moderating his triumphal, defiant approach when it comes to Republicans and Congress is also important because, Navarette points out, gun control and immigration reform are both high on Obama's second term agenda. And there are strong feelings on the part of conservatives and Obama's liberal base on both issues.

Politics in 2013: 5 things to watch for

Obama talks about 'worst day of my presidency,' goals for next term

On the fiscal issues where Obama has repeatedly clashed with Capitol Hill Republicans in the past two years, Zelizer warns that recent events could repeat themselves.

"It's going to be rough, going to be tough, we're going to see this issue recur again and again over the years," the historian said.

Indeed, both Obama and McConnell, the GOP's new lead fiscal negotiator, already seem to be playing out a familiar script.

3 more fiscal cliffs loom

The last fiscal battle barely over, Obama wasted no time late Tuesday night staking out his position in the battles to come.

After saying "I am very open to compromise," the president went on to fire a shot over Congress' bow in the likely fight in February over raising the debt ceiling. "[W]hile I will negotiate over many things, I will not have another debate with this Congress over whether or not they should pay the bills that they've already racked up through the laws that they passed," Obama declared, "Let me repeat: We can't not pay bills that we've already incurred."

McConnell quickly fired back.

"The president may not want to have a fight about government spending over the next few months, but it's the fight he is going to have, because it's a debate the country needs," McConnell wrote in a Yahoo op-ed published Wednesday night, adding that Obama "must show up" and deliver a serious plan for slashing federal spending.

"That's the debate the American people really want. It's a debate Republicans are ready to have. And it's the debate that starts today, whether the president wants it or not," McConnell wrote.

Although he has sworn off direct negotiations with Obama, Boehner echoed McConnell's remarks on Friday.

"With the cliff behind us, the focus turns to spending," Boehner told House Republicans.

CNN's Jim Acosta, Jessica Yellin, Dana Bash, Deidre Walsh, Ted Barrett, Paul Steinhauser, Gabriella Schwarz, Halimah Abdullah, Ben Brumfield, Steve Almasy and CNNMoney's Rich Barbieri contributed to this report.

@highlight

House Speaker John Boehner says he won't negotiate legislation with the president

@highlight

Zelizer: House GOP won't acknowledge Obama's mandate, Boehner not in control of caucus

@highlight

Navarrette: Obama needs to stop practicing "defiance politics," needs to lead

@highlight

Senate Minority Leader Mitch McConnell could be instrumental in upcoming battles