Long Beach, California (CNN) -- Gasoline at $4 a gallon is no worry for T. Boone Pickens, the billionaire energy investor from Texas. He drives from his home to his office in a car that runs on fuel costing less than $1 a gallon.

His method: He has a device that fuels his Honda Civic GX with natural gas from the pipes that serve his home. And he thinks there's a lesson there for America's energy woes.

Pickens, who is speaking Wednesday at the TED2012 Conference in Long Beach, California, said America needs to make natural gas a building block of a plan for ending oil imports from the Organization of Petroleum Exporting Countries.

Natural gas is "cheaper, it's cleaner, it's abundant and it's ours, and we're fools not to use it," Pickens said in an interview with CNN.

Pickens, an 83-year-old trained geologist who has been working in the energy field since 1951, said the United States could use domestic resources to replace the 5 million barrels of oil imported daily from OPEC, which makes up a quarter of America's daily use of oil. The U.S. natural gas reserves amount to the equivalent of three times the oil reserves possessed by Saudi Arabia, he said.

"All you need now is leadership," he said, lamenting that America "has no plan, we've gone 40 years with no energy plan. We're the largest user of oil in the world."

Pickens' plan is encapsulated in the Natural Gas Act, a bill with Democratic and Republican sponsors, that would provide tax credits to replace diesel-fuel burning truck engines with natural gas-powered engines; users of natural gas as a transportation fuel would pay fees that would make up for the lost government revenue.

His firm, BP Capital, has a vested interest in energy policy since it invests in energy futures and the shares of firms in a variety of parts of the industry.

He said the worry over increasing fuel prices in the United States rests in part on a lack of understanding of the energy market. Energy prices in America are by far the cheapest in the world, with Europeans paying more than double to fuel their cars and with natural gas costing four or five times as much in Europe and China.

Promises of much lower fuel prices are a fantasy, Pickens said, since the world's demand for oil is roughly equal to the amount that is being produced.

Pickens said the media should challenge GOP presidential candidate Newt Gingrich on his claim that if elected he can lower gasoline prices to $2.50 a gallon.

"You've got Donald Trump saying don't pay OPEC $100 for the oil. Just tell 'em you'll give them $50.

"Really? I go into Trump's hotel, it's $1,000 for a suite and I say I'm not going to give you that, I'll give you $200. I'm on the street looking for another place to sleep. You can't tell 'em I'll give you $50 when the world market is $100. It just doesn't work that way."

He said he still favors wind energy, which was a key part of the "Pickens Plan" he put forth in 2008, but the price of natural gas is now so low that wind projects can't compete economically, Pickens said.

With 70% of everyday oil use going to transportation fuel, he said the impact of putting a much cheaper fuel such as natural gas into the market will be to bring the price of gasoline and diesel down.

His current plan is focused on moving trucks to natural gas, but he said President Barack Obama could also urge consumers to commit that their next car will run on a domestically produced fuel, whether it's natural gas or a plug-in electric vehicle.

A Wall Street Journal editorial Tuesday, headlined "Boone-Doggle," called Pickens' plan "the hottest energy fad in Washington" and criticized it for proposing subsidies for a natural gas industry that should compete on its own.

The start-up costs of relying on natural gas for transportation aren't cheap. The cost of replacing truck engines is roughly $35,000 apiece, Pickens said. His own natural gas car costs thousands more than a gasoline-powered Honda Civic, and then there is the cost, which he said was $2,000, to install the natural gas fueling device for the car.

And U.S. consumers have only that one natural gas model from which to choose. In France, he said, there are 62 models that use natural gas. Pickens said American carmakers do produce such vehicles for overseas markets but have not seen a viable market in this country.

One of the concerns is that there isn't a widespread network of service stations that could refuel a natural gas-powered car. Pickens said natural gas is available in pipes that go down every street and alley, so it could eventually be more accessible for refueling.

"Somebody says you couldn't get in that car and drive to Chicago, well, you could -- you'd have to do a little work to see where the stations are, but I'm not going to drive that car to Chicago, I'm going to drive that car from my house to my office."

And if he is going on a trip to Chicago? "I'm going to get in my wife's car. She has a bigger car. Women always have bigger cars than men do."

@highlight

Energy investor T. Boone Pickens: America needs leadership on energy

@highlight

He says vast reserves of cheaper, cleaner natural gas could displace OPEC oil

@highlight

Pickens: U.S. could have a more secure energy system and help control gas prices

@highlight

He commutes in a natural gas-powered car whose fuel is less than $1 a gallon