Atlanta (CNN) -- Soldiers who just returned from Iraq are among several thousand being ordered to Afghanistan in six months as part of a mission designed to beef up Afghan forces ahead of a planned 2014 U.S. military withdrawal, officials said.

News of the pending Afghanistan deployments came as families at bases across the country were celebrating the return in recent days of troops who turned off the lights at a number of U.S. bases ahead of an end-of-the-year deadline to leave Iraq.

U.S. general brings Baghdad standard home

"We are glad that we have brought all soldiers back home in time for Christmas to spend with loved ones. We do have to put information out about an upcoming mission, though," the 4th Brigade Combat Team, 1st Armored Division, said Tuesday on its Facebook Page.

In the posting, the brigade said it was one of four selected to "support a Security Force Assistance Mission to Afghanistan in early summer."

"We just received initial planning orders so lots of details are unknown," it said. "...The mission is part of the transition from combat operations to advisory mission as we did in Iraq and is a sign of progress."

Analysts: Questions remain as U.S. troops leave Iraq

Maj. Carla Thomas, a brigade spokeswoman, confirmed the validity of the Facebook announcement.

The new mission is part of an overall U.S. military exit strategy from Afghanistan that moves troops from a combat role to advise-and-assist positions that commanders and analysts say will significantly scale back operations ahead of President Barack Obama's self-imposed deadline to leave the country.

Earlier this year, the United States outlined its plan to withdraw its troops, beginning by pulling 33,000 "surge" troops deployed to help quell the violence by the end of 2012. The remaining 68,000 troops would be withdrawn by the end of 2014.

News of the deployments comes as the Obama administration pushes to accelerate the withdrawal of troops from Afghanistan, a plan that many military commanders have said is unreasonable in a country still trying to gain its security footing.

"I don't think we are going to turn around guys who spent time in Iraq and put them on planes to Afghanistan ... without there being a clear indication that the Obama administration wants to continue the acceleration of the withdrawal," said Bill Roggio, Editor of The Long War Journal & Senior Fellow at The Foundation for Defense of Democracies.

"U.S. commanders want to stop with the withdrawal of the 33,000 (surge troops.) They want to halt it."

Marine Corps Gen. John Allen, commander of the International Security Assistance Force, has said he would like to keep a U.S. "military presence" in Afghanistan beyond 2014 when NATO is scheduled to withdraw its forces. Allen suggested the presence could last as long as 2016 when the Afghan Air Force is completed.

Allen told reporters last week there is "no daylight" between him and the White House on this idea. Allen said he wants to shift the U.S. presence to an advisory capacity in the coming months and then continue to do that mission after 2014.

Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, has asked Allen to review the counterinsurgency strategy and determine what changes are needed. Allen said he has to complete the review before he can decide on the rate of drawdown of current U.S. force levels.

The new mission in Afghanistan somewhat mirrors the U.S. exit strategy in Iraq, which used advise and assist teams to improve counterterrorism operations and train security forces.

Just like in Iraq, small teams of American troops will work and live among security forces, and will help coordinate military operations, according to comments Allen made to reporters last week.

In its Facebook posting, the 4th Brigade Combat Team said those who would be deployed in advise-and-assist roles would be senior enlisted personnel, ranging from master sergeants to colonels.

The deployment was expected to last nine months, though it was unclear how many members of the brigade will deploy.

Also being deployed are troops from the 2nd Brigade Combat Team, 3rd Infantry Division from Fort Stewart, Georgia; the 3rd Brigade Combat Team, 4th Infantry Division from Fort Carson, Colorado; and the 2nd Brigade Combat Team, 101st Airborne Division at Fort Campbell, Kentucky.

The brigade deployments were first reported this week by Stars and Stripes, a newspaper that caters to military personnel.

Under an Army policy, troops are given one month of dwell time for every month they are deployed. In the case of 1st Armored Division's brigade, which returned in December after less than six months in Iraq, its soldiers could be sent to Afghanistan as early as May.

The Pentagon did not immediately respond to a CNN request for comment. Messages left early Wednesday by CNN at public affairs offices at the 3rd Infantry Division, the 4th Infantry Division and the 101st Airborne Division were not immediately returned.

Reactions at Fort Bliss were mixed with some soldiers and families telling CNN by telephone that they were resigned to the specter of an Afghanistan deployment, while others said they were surprised elements of the brigade would be deployed so soon after returning from Iraq.

None of the soldiers or their family members were willing to be quoted, citing possible repercussions over speaking to the media without prior approval.

Responses to the brigade's Facebook post, though, revealed the feelings of spouses and family members.

"All we can do is enjoy the time we have with them," one person wrote.

Another wrote: "Not even home a week. How sad."

Questions remain about the stability of Afghan forces, with some questioning whether an Iraq-style exit strategy can work in Afghanistan.

"Given that we are 10 years into this, my confidence level is pretty low that we can turn the Afghan forces around," Roggio said.

Taliban must have clear representative for peace talks, Karzai says

The U.S.-led war in Afghanistan began October 7, 2001, with an air campaign that was followed within weeks by a ground invasion. President Barack Obama has called it "the longest-running war in the nation's history".

As the United States turned its attention toward Iraq, insurgent violence in Afghanistan flared against Afghan civilians and security forces as well as the U.S. and its coalition partners.

In 2009, President Obama authorized a surge of 33,000 U.S. troops to Afghanistan to combat the violence.

Earlier this year, the president announced a plan to withdraw its troops. The move was followed by withdrawal announcements by most of the NATO nations.

CNN's Barbara Starr contributed to this report.

@highlight

Some soldiers just back from Iraq are heading to Afghanistan, the military says

@highlight

The deployments are part of an overall U.S. exit strategy from Afghanistan

@highlight

Lots of details are unknown, one brigade tells its soldiers

@highlight

Family members of those soldiers just back from Iraq have mixed feelings