(CNN)Seeing a rainbow often fills people with a sense of joy, regardless of whether it is their first or 19th time witnessing the colorful creation.

Rainbow Gatherings -- annual events that take place throughout the world -- encompass a vibrant mixture of the environment and people to produce a similar feeling of excitement.

Photographer Matjaz Krivic's "Somewhere Under the Rainbow" series was shot over 19 years at Rainbow Gatherings in various countries. According to Krivic, the meaning behind the name of the events originates from an ancient Hopi Native American prophecy about "Rainbow Warriors."

Rainbow Gatherings involve a temporary community of people who meet to share their similar ideals -- peace, harmony, freedom and respect. Those participating in the gatherings collectively refer to themselves as a "Rainbow Family."

The community, which welcomes a wide spectrum of ages, comes together to embrace nature and establish an alternative space away from society's popular culture of consumerism, materialism and mass media.

Those who attend are not required to pay any form of money, not even for food, and the gatherings do not have rigid structures of dominance nor one specific leader. Instead, Rainbow Gatherings are essentially idealistic movements driven by the convergence of its community's beliefs in a more equitable society and its people's love and tolerance for one another.

"The magic hat goes around and you put money if you have or if you want," Krivic said. "(But) nobody needs to pay for the food. Everybody is welcome to go and eat there."

Krivic says that Rainbow Gatherings also tend to take place in regions of the world that "need to be healed" after having experienced devastating conflicts. Past gatherings include those held in Serbia, Bosnia and Ukraine.

"I really don't like what's going on in this world. ... There's just so much stuff happening," Krivic said. "You can always go to (Rainbow Gatherings) and stay there and have a nice time, and you don't even have to pay for it. It will be a nice time, nice energy, not aggressive."

One of the most enjoyable aspects about Rainbow Gatherings is the many workshops and activities that are available, where people engage in and learn about everything from yoga and tai chi to meditation and healing techniques.

Another significant part of Rainbow Gatherings is the all-encompassing sound.

"I like the music, I'm an audiophile. I like all sorts of music, but when I go there it's live, it's there," Krivic said. "It's like two guys playing and eventually it's like 50 people playing and the music is just so beautiful."

The first Rainbow Gathering took place in Colorado in 1972, and it is believed to have been organized by youth counterculture "tribes" from Northern California and the Pacific Northwest. Since then, the gatherings have extended to other areas in the United States as well as a number of different countries.

The international gatherings generally take place during the summer, before August's full moon. According to Krivic, the exact locations of some of the Rainbow Gatherings are revealed through hand-drawn maps and presented to those who have attended a gathering in the past.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

Krivic has had a diverse range of experiences at Rainbow Gatherings, and maintaining a consistent photographic process over the years has enabled him to witness firsthand the growth of his photography. Ever since his first Rainbow Gathering, Krivic has been using the same two film cameras and lenses.

"The gatherings didn't change," Krivic said, "but my photography did change -- a lot. ... I consider photography differently now."

Krivic says a key consideration when taking photos was the use of film cameras as opposed to digital, which he believes do not fit in with the atmosphere of the gatherings. He also had to carefully decide who to photograph.

"I had some friends and I could take photos of them, and then eventually when I was going on and on, it just became like a family," he said. "It's like people that you know for 20 years and you see them every year."

Just as every person sees a rainbow in their own unique way, "Somewhere Under the Rainbow" enables viewers to let their vision roam freely around every corner of the photos, leaving them to cultivate their own perspectives and ripen their imaginations.

In one photo, Krivic takes viewers to Pakistan in 1998, where a man mesmerizes viewers as he stands in pristine blue water holding a mango in his hands.

It's then 2003 in France. Light rays power through colossal trees, illuminating tents and tepees and dosing the atmosphere with warmth.

Viewers later discover a delicate morning hug between a man and woman at last year's Rainbow Gathering in Hungary, with a sunflower softly blooming out of a ukulele.

As for Krivic, he feels that "Somewhere Under the Rainbow" is not finished and will never be.

"I will never complete it. I will always go because I like it," he said. "I will take photos again of friends, and just go on with it."

Matjaz Krivic is a photographer based in Slovenia. You can follow him on Facebook, Twitter and Instagram.

@highlight

Photographer Matjaz Krivic's "Somewhere Under the Rainbow" series was shot over 19 years

@highlight

Rainbow Gatherings celebrate the ideals of peace, harmony, freedom and respect