(CNN) -- Last week, Beijing's leading English-language newspaper, China Daily, begun publishing a weekly Africa edition, focusing on financial news and targeting Africa's growing middle class.

Earlier this year, China's international broadcaster, CCTV, launched an impressive media operation in Africa, producing one hour a day of content from the continent as well as feature programs on African affairs, through a newsroom of more than 40 Chinese and 70 African staff members.

Both initiatives add to the more established activities of China's news agency, Xinhua, which in recent years has deepened its partnerships with African media outlets and provides them with news from across the world as well as from the dozens of African countries where it has correspondents.

The lightning growth of Chinese media is part of the dramatic expansion of the presence of Chinese diplomats, peacekeepers, commercial actors (state-owned or private) and ordinary citizens that has been transforming the African continent in the last 10-15 years

From Angola's oilfields and Dakar's markets to Congo's mines and Nairobi newsrooms, supply and demand centers are being reconfigured, cultural encounters are shaking social networks and alternative political alliances are emerging. The new developments in the media offer an interesting lens to highlight the trade-offs and learning curves that define the increasingly complex China-Africa story.

Read related: Chinese media make inroads into Africa

In a context of Africa's growing importance to the global economy, Chinese media present a radical challenge to Western style journalism.

As was highlighted at a recent conference at Oxford University, Chinese news media are seeking to compete with players such as CNN and Al Jazeera, but they are rolling out what they claim is a different approach to journalism. What Chinese media are offering to Africa is "positive reporting," a style of journalism that focuses on collective achievements rather than divisive issues like political crises or sensational negative news like famines.

Their message is that Africa, similarly to China, has received too much negative publicity in the Western-dominated global media. In this view, Chinese and African voices are finally finding ways to tell their own stories which offer a healthy correction to stereotypes of Africa as the "hopeless continent," with endless wars, HIV and hunger.

The Africa of today, while still consumed by many intractable problems, is no longer the Africa of the 1990s: Millions of Africans are seizing on unprecedented opportunities to build new lives.

This optimistic message about Africa turning a corner has faced criticism on different fronts. One of the most pertinent charges is that "positive reporting" fails to deliver on one of the main mandates of journalism: acting as a watchdog and keeping those in power in check, rather than praising them for their successes.

The tight controls on the media landscape that dominate public debates in China are being mirrored in coverage of Africa, which does not question Beijing's ties with unsavory regimes like Mugabe's Zimbabwe or Dos Santos's Angola, and which does little of the important investigative journalism that is required to ensure Africa's real economic growth does not just accrue to the top 1% in society.

Read related: Is the West losing out to China in Africa?

Yet however justified the questioning of uncritical positive reporting about African economies and their political regulators is, the main risk of reporting Africa is not simply on the tone of the reporting: rather, it is the ability to shed clichÃ©s and use the resources available to promote a better knowledge of the continent.

A major potential pitfall is that an equally stereotypical positive image will substitute a stereotypical negative image of Africa. There is a crowd of self-appointed experts of the continent who are reinventing clichÃ©s to stress Africa's untapped potential, when just a few years ago they were the propagators of a relentless Afro-pessimism.

This is unhelpful in terms of understanding what is happening in dynamic but confusing countries like Ethiopia, Nigeria or Mozambique. Nor can it be considered empowering for ordinary Africans who will continue to feel that media coverage ignores the complex dilemmas, challenges and opportunities they face as the continent tries to reinvent itself.

Read related: The Africans looking to make it in China

A second major danger lies in a creeping ideologization of the debate: An opportunity to bring new energy to the debate on how to produce good journalism risks being wasted by entrenchment of old positions and repetition of sterile debates.

The Cold War world witnessed a battle between positive and negative reporting that did not do much good to journalism. Western-style journalism risks being complacent and stressing its moral superiority in supporting "investigative work" while not realizing that uncovering corruption in Africa and not having the resources to follow up on that story will produce little or no results, apart from praise to the brave (probably white, middle aged) journalist who reported it.

Similarly, Chinese journalists may feel too attached to their idea of telling upbeat stories that they will miss many opportunities to learn about the complexities of the continent. That is a shame, because Chinese media would gain enormous international respect -- and a strong bond with African media consumers -- if they were able to expose corruption cases in which Chinese companies and individuals are involved.

We believe that in today's rapidly changing Africa, there is great room for experimentation and mutual learning: the continent could be at the forefront of an overdue exercise in soul searching by the international media, whether Asian, Arab, African or Western.

Above all, we expect that China will not just continue to reshape Africa in the coming years, but that Africa itself will force the likes of CCTV and Xinhua to participate in more intensive internal and external discussions about freedom of expression, the links between media, human rights and development, and the commercial durability of an artificial good news show.

As China engages Africa through the media, it is also in turn engaged and forced to think critically about itself: the greatest geopolitical force for change on the continent could find itself more changed than it originally signed up for.

The opinions expressed in this commentary are solely those of Harry Verhoeven and Iginio Gagliardone.

@highlight

New "Africa edition" of China Daily part of Chinese media influence on the continent

@highlight

It offers "positive reporting" on Africa, say Harry Verhoeven and Iginio Gagliardone

@highlight

Chinese media must avoid mistakes of Western press, they argue