Boston, Massachussetts (CNN) -- Our government is utterly broke. There are signs everywhere one looks. Social Security can no longer afford to send us our annual benefit statements. The House can no longer afford its congressional pages. The Pentagon can no longer afford the pension and health care benefits of retired service members. NASA is no longer planning a manned mission to Mars.

We're broke for a reason. We've spent six decades accumulating a huge official debt (U.S. Treasury bills and bonds) and vastly larger unofficial debts to pay for Social Security, Medicare, and Medicaid benefits to today's and tomorrow's 100 million-plus retirees.

The government's total indebtedness -- its fiscal gap -- now stands at $211 trillion, by my arithmetic. The fiscal gap is the difference, measured in present value, between all projected future spending obligations -- including our huge defense expenditures and massive entitlement programs, as well as making interest and principal payments on the official debt -- and all projected future taxes.

The data underlying this figure come straight from the horse's mouth -- the Congressional Budget Office. The CBO's June 22 Alternative Fiscal Scenario presents nothing less than a Greek tragedy. It's actually worse than the Greek tragedy now playing in Athens. Our fiscal gap is 14 times our GDP. Greece's fiscal gap is 12 times its GDP, according to Professor Bernd RaffelhÃ¼schen of the University of Freiburg.

In other words, the U.S. is in worse long-term fiscal shape than Greece. The financial sharks are circling Greece because Greece is small and defenseless, but they'll soon be swimming our way.

To grasp the magnitude of our nation's insolvency, consider what tax hikes or spending cuts are needed to eliminate our fiscal gap. The answer is an immediate and permanent 64% increase in all federal revenues or an immediate and permanent 40% cut in all federal noninterest spending.

Such adjustments go miles beyond anything Congress and the president are considering. No wonder. They are focused on limiting growth in the official debt, while ignoring what's happening to the unofficial debt. To understand the thickness of their blinders, note that the fiscal gap, after inflation, grew by $6 trillion last year, whereas the official debt grew by only $1 trillion. Hence, our leaders are looking at one-sixth of the problem.

The August budget ceiling crisis deal calls for $2.5 trillion in budgetary savings over the next ten years. President Obama is unveiling plans Monday to cut the debt by $3 trillion. Both of these are peanuts compared to what's needed to start eliminating the fiscal gap.

There is a way forward to deal with both our fiscal mess and the economy, which is lying on the operating table in desperate need of open-heart surgery. Such surgeries are called radical because they require radical intervention. But they are also extremely safe compared with the alternative -- administering Band-Aids and letting the patient die.

At www.thepurpleplans.org, I provide five radical, but absolutely essential plans to fix taxes, health care, Social Security, the financial system, and energy policy. Collectively, they would more than eliminate the fiscal gap and get our economy out of the emergency room and onto the racetrack.

The plans are called purple because they should appeal to blue Democrats and red Republicans. If neither party adopts them, I guarantee that a third-party candidate running via www.americanselect.org will.

The Purple Tax Plan is of particular relevance now, given Obama's decision to push for a repeal of the Bush tax cuts for the rich and to levy a new tax on the super rich -- those with incomes above $1 million.

The president wants to raise taxes. Can't argue with that. We desperately need much higher revenues along with much lower expenditures. Federal revenues measured as share of GDP are at a postwar low. And the president wants the rich to bear a bigger share of the tax burden. It's hard to disagree with this either. The rich have been getting off far too easy for far too long.

But the Republicans want to ensure that more taxes don't mean more spending or smaller spending cuts than would otherwise arise. They also worry about high tax rates discouraging work, saving, and job creation by entrepreneurs.

Most of us agree with both the president and the Republicans, which is possible because they're both talking past each other. But what we really want is a tax system that's simple, transparent, fair, and efficient. Neither the personal income tax, the corporate income tax, nor the estate and gift tax meet these criteria. Each is a bigger nightmare than the next.

The Purple Tax Plan entails radical surgery. It eliminates the personal income tax, the corporate income tax, and the estate and gift tax. In their place it substitutes a highly progressive 17.5% federal retail sales tax plus a demogrant -- a monthly payment to each household, large enough that it reimburses the poor for the sales tax they've paid. (The 17.5% rate is the tax's nominal rate. Its effective rate is 15%, since 15 cents of every dollar spent goes to taxes and 85 cents to goods and services, with 15 divided by 85 equaling the 17.5% nominal rate.)

If you're a Democrat, a sales tax, apart from the demogrant, probably sounds highly regressive. But nothing could be further from the truth. Taxing consumption is mathematically identical to taxing what's used to buy consumption, namely one's wealth and one's wages. Warren Buffett would effectively pay 15% on his wages, but also 15% on the principal of all his wealth, which is not now being taxed.

The day the Purple Tax is implemented, Buffett will have the same number of dollars in wealth, but the purchasing power of his wealth will fall by 15%, thanks to the 17.5% higher costs of goods and services. And whether he spends his wealth on himself or gives it to his kids to spend, his wealth, plus any accumulated asset income, will buy 15% less in goods and services.

The Purple Tax also makes the payroll tax highly progressive by eliminating its ceiling and exempting the first $40,000 in wages from the employee portion of the tax. Finally, the Purple Tax includes a 15% inheritance tax on inheritances and gifts received in excess of $1 million.

Since the payroll tax is levied at close to a 15% rate, and the sales tax has an effective rate of 15%, and the inheritance tax rate is 15%, the Purple Tax plan imposes a single tax rate. This is very important for budgetary discipline. Under the Purple Tax, everyone will know that if Congress spends more on anything, the 15% effective tax rate will need to go up.

The ongoing food fight between Obama and the Republicans is hiding the real game -- spending ever-larger sums on ourselves and leaving ever-larger bills for our kids. This fiscal child abuse must stop. The Purple plans would let both sides claim victory, save our kids, and get our economy back in the race.

The opinions expressed in this commentary are solely those of Laurence J. Kotlikoff.

@highlight

Laurence Kotlikoff: America's real fiscal gap is enormous

@highlight

He says gap is 14 times GDP, worse than that of Greece

@highlight

Obama's debt reduction plan is too small to cure problem, he says

@highlight

Kotlikoff: U.S. needs radical tax reform to turn around economy