(CNN) -- Nearly a month has passed since a joint Honduran-U.S. drug raid fired upon a riverboat that survivors say was carrying civilians, not traffickers.

Four were killed, including two pregnant women.

The mission -- carried out aboard helicopters owned by the U.S. State Department and with support of Drug Enforcement Administration agents -- laid bare the reach of U.S. involvement in Honduran security missions, as well as its associated risks.

The apparent error stirred some local outrage, but the sentiment did not spread to the capital. The Honduran government, publicly at least, has not reprimanded the United States for any role it may have had, or said anything about reconsidering its cooperation arrangement.

It contrasts what is seen when civilians are killed in Pakistan, for instance, where tensions between the two nations are inflamed.

Or, closer to home, imagine if Mexican security forces killed civilians in an operation with any level of U.S. support, said Christopher Sabatini, senior director of policy at the Americas Society/Council of the Americas. There would be people in the streets protesting and visible outrage, he said.

The relatively muted reaction in Honduras to the May 11 incident in the country's Mosquitia region, reveals much about the Central American country's relationship with the United States and the dire security situation it faces, experts said.

Honduras has the highest per capita homicide rate in the world; it was 82.1 per 100,000 residents in 2011. It is also becoming a hotspot for drug trafficking, as Mexican cartels push their operations south of their own border because of increased enforcement in their country. The boat shooting was part of the response to these problems.

Hilda Lezama, the owner of the boat that was attacked, says she was transporting 13 passengers before dawn on the morning of May 11 on a river near the town of Ahuas, when the helicopters appeared overhead.

Her boat was nearing the landing, and she had never had problems on this route in 26 years, so she didn't think anything when the dark was broken by lights from the choppers.

In an instant, gunfire erupted and she jumped into the water. Her legs were hit.

"I don't know how to swim, but somehow I made it to shore," she recalled in a teleconference with reporters this week. "I was swimming with God."

She held onto a branch in the water for three hours before help arrived, she said. The next thing she remembered she was in the hospital.

The State Department this week said a preliminary investigation by Honduran authorities found that their security forces were justified in firing in self-defense.

There was anger from the local population after the shooting, but it did not manifest itself at the national or international level. The New York Times detailed how, instead, local residents burned down four houses believed to belong to local drug traffickers.

"My sense is that Hondurans are finding themselves in a desperate situation and they really want U.S. cooperation, and that gives the U.S. some margin to make mistakes," said Michael Shifter, president of the Inter-American Dialogue.

Despite how worrying it is that an enforcement operation may have killed innocent civilians, the fact remains that Honduras is confronting a very violent time, he said.

That said, even the Hondurans have their limits, and the incident should serve a warning to the United States.

"I think the U.S. will be well-advised to be very careful. This should be an alarm," Shifter said.

serious review and accountability needed "There has to be a much greater sense of accountability."

Thus far, the U.S. government has downplayed its role in the shooting.

The DEA was involved, but only in a supporting role, agency spokeswoman Dawn Dearden said.

State Department spokeswoman Victoria Nuland emphasized that the agents did not use force.

"No U.S. personnel fired any weapons. We were involved purely supporting and advising," she said.

Still, the type of cooperation between the U.S. and Honduras is unprecedented in some ways.

Unlike other U.S. anti-drug aid, like Plan Colombia, there does not appear to be the same strict limits on the role of American agents, Sabatini said.

Honduras has "always been a strong security partner of the United States, and a willing one," he said.

The soft reaction to the Ahuas shooting boils down to a contradiction of Hondurans' situation, said Eduardo Gamarra, professor of politics and international relations at Florida International University.

Militarizing the war on drugs raises the possibility of civilians being killed, but at the same time, citizens wants security above all, he said.

"There is a very, very high possibility that errors will occur, mistakes are going to happen, and we will kill civilians," he said. But, "what average citizens in Honduras want is to be safe."

It's a contradiction that he sees across the region.

"People distrust the police, but they want more police," he said.

@highlight

Witnesses say a joint Honduran-US drug raid killed civilians

@highlight

Reaction to the incident has not caused tensions between countries

@highlight

Honduras counts on US help to combat violence