New Orleans, Louisiana (CNN) -- The federal agency responsible for overseeing the oil industry has been renamed amid a massive reform effort following the BP oil disaster in the Gulf of Mexico, the Department of the Interior announced Monday.

The Minerals Management Service will be called the Bureau of Ocean Energy Management, Regulation and Enforcement, according to an order signed by Interior Secretary Ken Salazar requesting the name change.

The announcement coincided with the swearing-in of the bureau's new head, former Justice Department Inspector-General Michael Bromwich, who is tasked with overhauling the troubled government agency. Critics, including President Barack Obama, have said the MMS has too often catered to the interests of the industry it is responsible for policing.

A 2008 report from the Interior Department's inspector-general found MMS employees received improper gifts from energy industry representatives and engaged in illegal drug use and inappropriate sexual relations with them.

The agency has been thrust into the spotlight since the April 20 explosion of the drill rig Deepwater Horizon that triggered the worst oil spill in U.S. history.

As much as 60,000 barrels (2.5 million gallons) of oil may be gushing into the Gulf every day, government estimates found last week. Approximately 23,290 barrels of oil -- slightly more than 978,000 gallons -- were collected from the ruptured well in the 24-hour period ending at midnight Sunday, Coast Guard Adm. Thad Allen said Monday.

"The BP oil spill has underscored the need for stronger oversight of offshore oil and gas operations, more tools and resources for aggressive enforcement, and a more effective structure for the agency that holds companies accountable," Bromwich said in a statement Monday. "We will move quickly and responsibly on our reforms."

Also Monday, a federal judge in New Orleans said he is set to rule within the next two days on whether to lift the Interior Department-ordered moratorium on deepwater drilling.

U.S. District Court Judge Martin Feldman said he will issue his decision between early Tuesday and Wednesday afternoon on whether to issue a preliminary injunction against the temporary ban.

The six-month moratorium, instituted by the government last month, halts all drilling in more than 500 feet of water and prevents new permits from being issued. Backers say it is necessary while a safety review is conducted after the Deepwater Horizon explosion. Opponents dispute its necessity and call it economically devastating in a region that is already reeling.

Hornbeck Offshore Services LLC, a company that provides boats and equipment to the offshore drilling industry, says in the lawsuit that the government has no evidence that existing operations pose a threat to the Gulf of Mexico.

Hornbeck and other oil service companies named as plaintiffs in the case say they want a court to declare the moratorium invalid and unenforceable. The office of Louisiana Gov. Bobby Jindal has filed a friend of the court brief in support of the plaintiffs.

Carl Rosenblum, an attorney for the plaintiffs, said Monday that the moratorium is "an unprecedented industry-wide shutdown with the stroke of a pen."

"This is about industry survival for deepwater drilling in the Gulf," he said.

Rosenblum said the airline industry was grounded for only three days after the terrorist attacks of September 11, 2001.

Henry Dart, an attorney for the state of Louisiana, complained that Louisiana officials had not been consulted before the moratorium was enacted.

"This is environmental disaster. Let's not make an economic disaster," he said.

Brian Collins, an attorney for the Justice Department, insisted the suspension was necessary because it "assures the public time to evaluate safety measures."

BP has agreed to set aside $100 million to compensate oil workers idled by the moratorium, company chairman Carl-Henric Svanberg said last week.

A senior administration official told CNN on Monday the White House pushed for that compensation fund.

"We believed we had legal means to push them on funds for workers affected by the moratorium, and they ultimately agreed to set $100 million aside," the official said.

BP said in a statement Monday that costs from the disaster now total about $2 billion, including the cost of the response, containment, relief well drilling, grants to Gulf states, claims paid and federal costs. To date, more than 65,000 claims have been submitted and more than 32,000 payments totaling more than $105 million have been made, the company said.

However, the man overseeing a $20 billion claims fund told CNN on Monday that he wants the claims payment process accelerated and its transparency increased.

"We've got to get the claims out quicker, we've got to get them out with more transparency so claimants understand the status of their claim, and we've got to ease the burden on these folks in the Gulf," Kenneth Feinberg said during an interview with John Roberts on CNN's "American Morning."

Emergency payments, he said, need to go out "with less corroboration than you would if you're giving a lump-sum payment that is the total compensation. For the emergency payments, we've got to err on the side of the plaintiff."

Critics of the Obama administration have questioned Feinberg's independence, saying he is on the White House payroll as executive compensation czar. That is wrong, Feinberg said: "I'm not on the payroll. I'm doing the White House pay czar role pro bono, without compensation. ... I don't think anybody will ultimately question the independence of this program."

BP, meanwhile, continues to struggle with its public relations efforts after the Gulf spill. Company CEO Tony Hayward, who was grilled during an appearance before Congress last week and then strongly criticized for attending a yacht race over the weekend, will not attend Tuesday's World National Oil Companies Congress in London, according to a BP spokesman.

The spokesman cited Hayward's "commitment to the Gulf of Mexico relief effort" as the reason for his decision not to attend the meeting.

CNN's Eric Marrapodi and Alan Silverleib contributed to this report

@highlight

NEW: Minerals Management Service now called Bureau of Ocean Energy Management

@highlight

NEW: Agency's new head sworn in Monday

@highlight

NEW: Reform comes amid criticism of group's cozy relationship with energy representatives

@highlight

Federal judge set to rule on deepwater drilling moratorium