(CNN) -- Rachel Hope was 33 years old when she received a painful reminder: She couldn't outrun the past.

Hope was trying to help a new assistant at her Maui rental property business, but it wasn't going smoothly. Part of it was Hope herself.

"I had this startle reflex," she explained. "The phone would ring, and I'm literally three feet off the floor, screaming.

"My new assistant said, 'You're driving me crazy!' And I would say, 'I'm really sorry, just please try to ignore it. It's embarrassing, but let's keep working.' "

But the young man, a teacher on break, wasn't pushed off easily. Soon after, Hope said, "he walked over to my desk and dropped a stack of papers two inches thick. It was every single PTSD study that was online, and he just said, 'pick one.' "

A few days later, Hope was dialing the number of South Carolina psychiatrist Dr. Michael Mithoefer. Her plan: to see whether she could free herself of a lifetime of torment by taking a drug he was testing -- a drug most people know as Ecstasy.

A teetotaler, Hope wasn't looking for a thrill. She'd been born to a young hippie mother who couldn't stand the thought of parking their VW bus in one spot. After seeing psychedelic casualties all along the road, to Hope, drugs signified a lack of control. That was the last thing she needed. It was hard enough to hold things together stone sober.

Truth be told, Hope didn't need her new assistant to tell her what the problem was. She just didn't know how to fix it. She'd been diagnosed with post-traumatic stress disorder, traced to a period of sexual abuse as a child and a life-threatening car accident.

She'd been hospitalized four times for the debilitating symptoms, and stress had caused bleeding ulcers bad enough to send her to the emergency room twice more.

Along the way, she tried cognitive behavioral therapy, hypnosis and acupuncture. She tried an established therapy called eye movement desensitization and reprocessing, where a therapist used physical stimuli -- light tapping and guided eye movements -- to try to retrain her brain. It made her eyeballs feel like they would burst out of her head. She tried gestalt therapy, screaming out her rage.

"Nothing worked," she says. "I got to the point where I just said, 'I'm handicapped. I'm just going to have to live my life like this.' It was pretty horrible."

A formal plan

More than 7 million Americans suffer from PTSD, and by most estimates, only half of them -- at best -- are ever cured. A decade ago, the widely acknowledged need for better treatments opened the door to Mithoefer and his unconventional approach.

By the time he took Hope's call in February 2005, the soft-spoken, ponytailed Mithoefer had managed to convince the Drug Enforcement Administration to green-light a study of Ecstasy as an adjunct to psychotherapy.

Of course, he wasn't calling it Ecstasy. Neither were the scientists from the Food and Drug Administration and certainly not the DEA agents who had picked over Mithoefer's bungalow in Charleston, South Carolina, making sure it was "secure" in case drug-hunting criminals tried to break in and grab the stash.

He'd gotten the 3,4-methylenedioxy-methylamphetamine (MDMA) -- the chemical name for pure Ecstasy -- from Rick Doblin, the founder of a MAPS, the Multidisciplinary Association for Psychedelic Studies. The group's stated purpose is to develop "medical, legal and cultural contexts for people to benefit from the careful uses of psychedelics and marijuana." It wants to turn mind-altering drugs like Ecstasy into prescription medicine.

The advocacy unsettles some people, but this was no Timothy Leary operation. Doblin says he was determined to do things the right way.

"Doing science that gets reported, that's an idea we can sort of leverage," Doblin said. To win broader acceptance for MDMA -- and for cousins like LSD and psilocybin, the mind-altering compound in so-called magic mushrooms -- "the medical route was the only route. Everything else was blocked."

That meant a formal plan for drug development: study protocols, institutional review boards and the rest. Mithoefer, a University of Virginia-trained clinician who specializes in trauma and had a long-running interest in MDMA, was the perfect partner.

When Mithoefer enrolled the first patient in the new study in 2004, U.S. troops were in Iraq fighting the longest-running war in American history. They just didn't know it yet. Even then, there were men and women jumping out of their shoes at the sound of a car horn and waking up in the middle of the night drenched in sweat from another nightmare. But most troops hadn't come home yet. America wasn't ready.

A sense of crisis was years away, but Mithoefer -- and other specialists in psychological trauma -- were bracing for a wave of tortured souls. Before taking Hope's call, the doctor had spent nearly three years navigating the federal bureaucracy to win approval for his small experiment, designed to test a simple question: Is MDMA, used in a clinical setting, safe?

The point is sometimes lost, but even today, civilians make up the vast majority of people struggling with PTSD.

As Mithoefer launched his research, he wouldn't be working with veterans. He'd be working with civilians, mostly female survivors of sexual assault. All had tried conventional treatments -- either therapy or medication -- without success. On average, they had suffered their debilitating symptoms for 19 years. Hope was patient No. 7.

'It just wouldn't stop'

Hope was used to putting on a front. To a casual visitor, she seemed fine. Her rental property business in Hawaii earned a steady living, and she and a close friend were happily raising a 13-year-old son through an unconventional co-parenting arrangement. She was restless on Maui, but after a bumpy childhood, it seemed she'd found a kind of peace.

But you didn't have to look hard to see a dark side. "I was argumentative and defensive, and I was very angry," she recalled. "I was having panic attacks and anxiety attacks and all the physical problems that come with it. I had irritable bowel syndrome, and I couldn't sleep."

To survive, she pushed people away. "It makes intimate relationships very difficult," she said. "Some part of me was on guard, and it just wouldn't stop."

To be continued in Sunday's story

@highlight

Rachel Hope suffered from post-traumatic stress disorder for years

@highlight

In 2005, she investigated an experimental new treatment: Ecstasy

@highlight

Dr. Michael Mithoefer convinced the DEA to green-light a study of the treatment

@highlight

More than 7 million Americans suffer from PTSD