(CNN) -- It's grown from selling clothes to a handful of friends inside a small dorm room to a popular fashion website featuring more than 1,000 stylish items.

Admittedly, it's been quite a journey for Serah Kanyua, the co-founder of Closet49, an online marketplace that links buyers of clothes and accessories to sellers across Kenya.

Launched just over a year ago, the growing website features a mix of new and used fashion items -- from custom-made pieces by young designers and boutique stores to well-preserved clothes from women looking to de-clutter their closets.

"We simply merged the idea to sell affordable fashion to people who just didn't want to pay too much," says Kanyua. "And also give people an opportunity to sell off clothes they don't want anymore in their closet but are still in good condition -- and you can be able to get extra cash," she adds.

Kanyua first began selling clothes to her friends back in 2008 while studying at the University of Nairobi. "They would tell me, 'well, where did you get this dress from?'" she recalls. "I said, 'if I see something that you like then I will get it for you.' And then it suddenly became a bi-weekly thing, where they would stop by my room and select what they liked -- so that really kick-started it off."

After graduating with a marketing degree, Kanyua then decided to expand her small venture, going into business with her high school friend Irene Abagi. Using Kanyua's living room as their base, the two business partners called their shop Closet49.

"When we met the first time to try to exchange clothes and buy from each other as friends, we had, like, 49 items so we picked 49," says Kanyua.

While the two entrepreneurs still use Kanyua's living room as a physical store twice a week, they see the biggest opportunities for growth online, where buyers can connect to sellers 24 hours a day, seven days a week. Kanyua says they started with about 10 customers a month and they're now getting about 100, while last year there were some 2,500 fashion items sold through the website.

"There is huge potential in this market," says Kanyua. "It is quite competitive but at same time there is huge opportunity," she adds.

Global connections

Kenya has experienced a major IT boom over the past few years, spurred by a rapid increase in the usage of mobile phones. According to the latest data by the Communications Commission of Kenya, the number of mobile phone subscribers rose to 31.2 million in September 2013, while internet users stood at 19.1 million.

The growth has the potential to revolutionize the east African country's retail sector. In recent years, several web-based marketplaces have proliferated as more and more mobile phone users turn online to buy or sell goods and services. Indeed, the widespread adoption of mobile money platforms like M-Pesa has turned Kenya into "a global leader in mobile money transfer service," according to Freedom House, a U.S.-based think tank.

But while websites such as Closet49 connect users and buyers within Kenya, other online marketplaces such as Soko enable small-scale artisans and producers sell their handcrafted creations not only locally but also across the world.

Soko, which means marketplace in Swahili, allows jewelry makers and craftspeople to participate in the international trade. It helps them link directly with buyers from around the world, even if they don't have access to a computer or a bank account.

Using a simple mobile phone, artisans can create virtual storefronts by posting their products on Soko's e-commerce website. Consumers then can buy directly from the designers, with Soko facilitating shipment and payment to the vendor.

Catherine Mahugu, the Kenyan co-founder of Soko, says the site receives tens of thousands of hits per month and has helped artisans to sell thousands of products to consumers from places such as the United States, Canada, Europe and Australia.

"Soko transforms the ubiquitous mobile phone into a tool for trade that expands access to economic opportunity for developing world producers of handmade goods, giving them a greater share of the profits of the global creative goods industry," says Mahugu.

Looking ahead, the Soko team has big plans for the future. Mahugu says the e-commerce marketplace will be looking to expand its geographical footprint, scaling across East Africa and West Africa as well as piloting in India and Latin America.

Back in Kanyua's home, the young entrepreneur says she hopes Closet49's annual profits will make them a million Kenyan shillings in the next two to three years -- a goal of about $12,000 in profit a year.

"It's working, you can see the growth," she says. "So it's really exciting when you see all that working out," adds Kanyua. "I am not denying there are no ups and downs for anyone out there who wants to start but It's really, at the end of the day, very satisfying that you are building something that you are proud of, that you are working, that you like, and then still be able to pay your bills."

READ THIS: 'Nigerian iTunes' dances to mobile beat

READ THIS: Orphans launch Rwandan Craigslist

@highlight

E-commerce platforms like Closet49 and Soko have proliferated in Kenya

@highlight

More and more mobile phone users are turning online to buy and sell goods

@highlight

Closet49 is an online marketplace linking buyers of clothes to sellers in the country

@highlight

Soko links artisans directly to online global consumers using a simple mobile phone