(CNN) -- We've all heard the dictum: Don't text and drive. Now a New Jersey state appeals court has an addendum: Don't knowingly text a driver -- or you could be held liable if he causes a crash.

Kyle Best was behind the wheel of his pickup in September 2009 driving down a rural highway when Shannon Colonna sent him a text.

The two were teens at the time. He was 18; she was 17, and they were dating. They sent each other 62 texts that day, according to court documents.

In the opposing lane of traffic, David Kubert was cruising along on a big, blue touring motorcycle with his wife, Linda, along for the ride. They approached Best at exactly the wrong time.

Can you really be liable for texting a driver?

The texts

A court summary of the times of texts and calls to and from Best's cell phone reflect what happened next:

The teens were having a text chat, volleying each other messages every few moments.

Seventeen seconds after Best sent a text, he was calling a 911 operator.

His truck had drifted across the double center line and hit the Kuberts head-on.

The scene Best described to the emergency operator was most certainly gruesome.

"The collision severed, or nearly severed David's left leg. It shattered Linda's left leg, leaving her fractured thighbone protruding out of the skin as she lay injured in the road," the court document said.

Best hung up. Colonna texted him two more times.

The court did not publish the contents of their messages.

Film legend Herzog takes on texting and driving

The lawsuit

The Kuberts both lost their legs. They sued.

But they didn't just go after Best. They included Colonna in the lawsuit.

In their minds, she was distracting him and was also responsible for their pain and loss.

They settled with Best and lost against Colonna, but they appealed that decision.

The plaintiffs' attorney, Stephen Weinstein, argued that the text sender was electronically in the car with the driver receiving the text and should be treated like someone sitting next to him willfully causing a distraction, legal analyst Marc Saperstein told CNN affiliate WPIX-TV.

The argument seemed to work.

The ruling

On Tuesday, three appeals court judges agreed with it -- in principle.

They ruled that if the sender of text messages knows that the recipient is driving and texting at the same time, a court may hold the sender responsible for distraction and hold him or her liable for the accident.

"We hold that the sender of a text message can potentially be liable if an accident is caused by texting, but only if the sender knew or had special reason to know that the recipient would view the text while driving and thus be distracted," the court said.

Explainer: Can you really be liable for texting a driver?

But the judges let Colonna off the hook.

She had a habit of sending more than 100 texts a day and was oblivious to whether recipients were driving or not.

"I'm a young teenager. That's what we do," she said in her deposition before the original trial.

Since she was unaware that Best was texting while driving, she bore no responsibility, the court decided.

"In this appeal, we must also decide whether plaintiffs have shown sufficient evidence to defeat summary judgment in favor of the remote texter. We conclude they have not," it said.

Survey: Adults text more than teens while driving

The reaction

During the trial, Colonna, now 21, found it "weird" that the plaintiffs tried to nail down whether she knew Best was texting behind the wheel, the court document said.

The judges' decision has elicited a similar response from the state's governor, Chris Christie.

The driver is ultimately responsible, he said. Not someone sending him a text.

"You have the obligation to keep your eyes on the road, your hands on the wheel and pay attention to what you're doing," he told radio station New Jersey 101.5.

Other New Jerseyites agreed.

"That's completely absurd, just because you know you're driving doesn't mean, it really doesn't mean they know you're looking at it," Joe Applegate told WPIX.

"Even talking to the driver can distract them, so they are going to arrest for someone who simply talked to someone who is driving?" Louise McKellip asked.

The future

New Jersey has been cracking down hard on texting and driving in recent years, implementing new laws and regulations that treat it in a similar manner as drunken driving if it involves an injury accident.

The state passed a law last year based on the fate of the Kuberts and others who had been killed or maimed by texting motorists.

The "Kulesh, Kubert and Bolish's Law" makes distracted driving a crime if the driver causes an accident. Fines for bodily injury run as high as $150,000, and the driver can go to jail for up to 10 years.

And new legislation proposed by state Sen. James Holzapfel would let police thumb through cellphones if they have "reasonable grounds" to believe the driver was talking or texting when the wreck occurred.

The bill has set off alarm bells with the American Civil Liberties Union of New Jersey.

Judge rules using smartphone maps while driving illegal

CNN's Dave Alsup and Julie Cannold contributed to this report.

@highlight

Kyle Best was behind the wheel of his pickup, texting his friend

@highlight

He swerved into the opposing lane and hit a couple on a motorcycle

@highlight

The couple sued him -- and the girl who was texting him

@highlight

Court: People texting drivers can be liable for wrecks if they know recipient is behind wheel