(CNN) -- Mickey Mouse, Donald Duck and the Seven Dwarves are not the U.S.-friendly images usually associated with Iran.

But in a small corner of Tehran, a surprising display of unofficial Disney diplomacy seems to fly in the face of official anti-American rhetoric.

Visitors to Eram Park, in the west of the capital, are greeted with numerous images of Disney characters, as well as other familiar American cartoon characters such as Shrek.

Elsewhere, outside of the city, is another unexpected sight: A club dedicated to the U.S.-invented Segway people transporters.

For roller coaster obsessive and self-styled "Theme Park Guy" Stefan Zwanzger, who toured Tehran's funfairs last month, the presence of these American icons offered more thrills than the rides on offer.

"You see badly-copied Mickeys and Donald Ducks all over the world, for example in copycat theme parks in rural China, but I didn't expect to see Shrek and Segways in Iran," Zwanzger told CNN.

A German citizen now living in Stockholm, Sweden, Zwanzger, 32, could be forgiven for having preconceptions when visiting Iran.

Nuclear ambitions, major protests after President Mahmoud Ahmedinejad's disputed 2009 election victory and frequent reports of repression have all done little for the country's global reputation.

But, says Zwanzger -- whose four-year quest to visit all the world's major theme parks has so far taken him to 150 on five continents -- the Iran he encountered seemed a world away from the grim headlines.

He says the Iranians he encountered were "open-minded, unprejudiced, hospitable, warm and cultured," sharing views that appeared to contrast with those expressed by the country's leaders.

"What surprised me is that I didn't even get the slightest cultural shock. The Iranians I met made me feel like I was in Europe," he said.

His views reflect a 2008 WorldPublicOpinion.org survey that claims ordinary Iranian people are largely open to contacts with Westerners. Nevertheless, countries such as Britain and the U.S., which has no diplomatic relations with Tehran, caution against travel there. International sanctions in place against Iran also mean western companies cannot operate easily in the country.

Whereas on the streets of Tehran, U.S. icons such as the Statue of Liberty are used to create striking anti-American graffiti, Zwanzger witnessed Mickey Mouse and his pals being pressed into far less sinister tasks.

At Eram Park, Mickey simply welcomes people to the funfair, while the Dwarves urge people to enjoy themselves. Shrek offers tickets to ride and Donald Duck helpfully points to the exit.

As with his other experiences of places including North Korea, Zwanzger says Iran's theme parks offer a glimpse of the country's citizens as they relax and forget their day-to-day concerns, even if the rides struggle to merit the low admission fees.

"I highly recommend Iran as a place to visit. It's a beautiful country with fantastic people. The local amusement parks provide great opportunity to mingle with locals."

Sadly, with their rusting roller coasters and "drainingly dull" side shows, not even the presence of Mickey, Shrek and the Dwarves could save Iran's theme parks from rating badly on Zwanzger's score card.

He says one ride, in which visitors are squeezed into a car shaped like a soda can before being hurtled around a cramped roller coaster circuit, could be world-beatingly bad.

"The yellow soda can-shaped roller coaster in Eram Park -- I'm still trying to find out who the manufacturer was, even my specialist friends don't know -- was maybe the worst I have ever experienced.

"I was scared. The loop is the tightest I have ever seen and the vehicle's headrests are too low to keep your head stable. You can hear the riders' joyful screams rise when the coaster plunges into the loop and vanish within a second once they enter the murderous brain-turner itself.

"It was genuinely unpleasant and leaves you with some neck pain to remember."

@highlight

Disney characters make unexpected appearances all over Tehran's amusement parks

@highlight

Theme park expert Stefan Zwanzger says Iran is home to one of the world's worst roller coasters

@highlight

Zwanzger has visited 150 theme parks on five continents