When Max Wallack was 6, his great-grandmother Gertrude Finkelstein -- Great Grams as he called her -- was diagnosed with Alzheimer's disease. His parents were open with him, explaining in easy-to-understand terms that the illness would have a significant impact on her memory.

Wallack and his great-grandmother had always been close, but the debilitating disease took its toll on their relationship. She had cared for him when he was young; now he was one of her primary caregivers.

Wallack spent a large part his childhood watching over Great Grams, who was in and out of nursing homes until she moved in with his family. Despite his age, Wallack often held the responsibility of taking care of his great-grandmother alone when his parents could not.

He called it "bubby-sitting."

Alzheimer's affects 5.2 million Americans and millions more who are caregivers devoting their lives to helping affected loved ones. Caring for someone with Alzheimer's is no simple task. Symptoms include memory loss, difficulty in performing everyday tasks and not recognizing close family members.

"There were some hard times," says Wallack, now 17. He recalls a vacation to Hawaii when Great Grams grew fearful of the family, even though they were only looking out for her.

Young caregivers put life on hold

Great Grams passed away when Wallack was 10. Her last few years inspired him to devote his life to studying Alzheimer's and dementia.

Wallack is a junior studying neuroscience at Boston University. After graduation, he wants to attend medical school and continue pursuing Alzheimer's research.

His resume already showcases his passion: He performs research at the Laboratory of Molecular Psychiatry in Aging at Boston University's Alzheimer's Disease Center. He also founded the nonprofit organization Puzzles to Remember, which distributes puzzles to patients in nursing homes with Alzheimer's and dementia.

Wallack did not achieve all this without persistence -- or intelligence. He took university courses while still in high school and began lab work when he was 15.

Wallack's ultimate goal? To find a cure or treatment for Alzheimer's. But attacking the illness from a medical standpoint alone is not his only course of action.

"You have to combat it in many different ways," he says. He decided to focus part of his advocacy on an experience with which he was very familiar: being a young caregiver for someone with Alzheimer's.

The 10 warning signs of Alzheimer's

This summer, Wallack released a children's book, "Why Did Grandma Put Her Underwear in the Refrigerator?" The title is meant to be funny, but Wallack says children who have loved ones with Alzheimer's will relate to the serious side as well.

The book aims to teach children about Alzheimer's. While Wallack's parents were open with him when they explained Alzheimer's, others tiptoe around the topic to avoid scaring children, he says. By providing ways to cope, relatable experiences and even a bit of humor, the book aims to make this conversation easier.

Wallack wrote the book with the help of Carolyn Given, his English teacher from fourth through eighth grades. When he reached out to Given last winter, he had already been planning the book for years.

"I would love to help him out," Given recalls saying. "As soon as I said that -- within a week -- he had his entire manuscript."

The two have crafted a lighthearted, educational book that made it to the Amazon Top 100 Best-Sellers for Large Print shortly after its release.

The book is filled with stories and ways to help children learn about Alzheimer's -- some from Wallack's childhood as well as others from children he has met. One part describes how a person with Alzheimer's might be afraid of a pet cat because it looks like a lion. Another part teaches children about serving food to people with Alzheimer's on red plates -- a proven caregiving strategy that makes food stand out on plates, causing them to eat more.

Families from all over have reached out to thank Wallack for sharing this story, praising it for quelling children's fears about Alzheimer's.

"This is the kind of reaction I had hoped for," Wallack told CNN in an e-mail. "I find stories like that very fulfilling."

Help for a 'hidden population' of caregiving kids

@highlight

Alzheimer's affects 5.2 million Americans and millions more who are caregivers

@highlight

Symptoms include memory loss, difficulty in performing everyday tasks

@highlight

Max Wallack, 17, co-wrote a children's book and founded nonprofit group