Washington (CNN) -- It's called "plucking the bird," a strategy based on the analogy of pulling one feather at a time so the bird doesn't notice until it realizes it can't fly.

That appears to be how the National Rifle Association and its allies in Congress are trying to overcome what would seem to be overwhelming public support for stronger gun legislation in the aftermath of the Newtown school massacre.

A sophisticated campaign led by the influential gun lobby shifts the focus of the battle among various provisions, raises new arguments to old issues and proposes solutions that would expand weapons use and training instead of increasing regulation.

"The NRA's modus operandi has always been to try and weaken and take down as many of these laws as possible," noted Lanae Erickson Hatalsky of Third Way, a moderate Democratic think tank that proposes policy compromises on major issues.

To NRA officials, its efforts are all in defense of constitutional rights intended to preserve personal freedom against any kind of government encroachment, especially laws they say will hinder and harass gun owners.

"If you aren't free to protect yourself -- when government puts its thumb on that freedom -- then you aren't free at all,'' the group's CEO and executive vice president, Wayne LaPierre, said last month.

The NRA exerts its political clout through a rating system that identifies friends and foes of its positions in Congress, as well as substantial contributions to political campaigns it favors or opponents of candidates it dislikes.

On the other side, President Barack Obama has been waging a public pressure campaign for tougher gun laws, an effort he continued Wednesday in Colorado, the site of two of the nation's most notorious mass shootings.

Obama on background checks: 'Practical progress' on gun violence

Legislators in the state, where guns and hunting are popular, recently passed stricter firearms laws similar to what Obama seeks at the federal level.

"There doesn't have to be a conflict between protecting our citizens and protecting our Second Amendment rights," Obama said, calling Colorado a model for that kind of solution.

Obama didn't refer to the NRA by name, but he noted that opponents of tougher gun laws were "well-organized" and "well-connected." He called for an honest debate, saying "we've got to get past some of the rhetoric that gets perpetuated that breaks down trust."

The president will make a similar appearance on Monday in Connecticut, less than four months after the Newtown attack by a lone gunman firing a semi-automatic rifle that would be prohibited under legislation under consideration in the U.S. Senate.

Polls show the American public backs the president's position. A new survey Wednesday by MSNBC's "Morning Joe" and Marist College found that 60% of respondents want stricter laws governing the sale of firearms.

In particular, it showed 87% of respondents support expanded background checks, with strong backing from Democrats, independents and Republicans.

Obama complained in his speech that Senate opponents who are certain to filibuster any legislation will do "everything they can to avoid even allowing a vote on a proposal the overwhelming majority of the American people support."

"They're saying your opinion doesn't matter," Obama said.

It remained unclear whether a package of new gun laws recently passed by the Senate Judiciary Committee can overcome a certain filibuster by Senate Republicans that would block it from debate and a floor vote.

The package includes expanding background checks to all firearms sales, tougher laws against gun trafficking and straw purchases, and studying ways to improve school safety.

A fourth proposal that would reinstate a ban on semi-automatic firearms modeled after military assault rifles already has been dropped due to opposition by the NRA, all Republicans and some Democrats, though Senate Majority Leader Harry Reid promises a floor vote on it as an amendment.

Background checks opposed

Now the push for expanded background checks also could fall under assault from the NRA, which once backed the change. The proposal would add most private firearms sales to the current system in which licensed gun sellers check if a potential buyer has a criminal record or other prohibiting factor.

The NRA contends record-keeping as part of an expanded background check system would serve as the first step toward a national gun registry that it considers a violation of the Second Amendment right to bear arms.

Gun vote unlikely to happen next week

It also says the change would fail to prevent criminals from obtaining firearms while imposing new burdens on law-abiding gun owners by including private weapons sales at gun shows and between friends in the background check system, from which they are currently exempt.

"This idea of private individuals transferring their weapons and having to go through a background check makes no sense," conservative Sen. Lindsey Graham, R-South Carolina, said on CNN's "State of the Union" on Sunday. Instead, Graham and the NRA advocate adding more information on people who are mentally ill to the existing system to prevent them from obtaining firearms.

Supporters of tougher gun laws deny that expanded background checks would lead to a national gun registry, and they argue that the current law's exemption of private sales amounts to a loophole for straw purchasers obtaining guns for others ineligible to buy them on their own, including the mentally ill.

"We're not proposing gun registration; we're proposing background checks for criminals," Obama declared Wednesday.

While Reid said he wanted a vote on the gun law package next week when the Senate returns from its spring break, two Democratic sources said that was unlikely because of the hangup over background checks.

Erickson Hatalsky of Third Way said negotiations under way between Republican Sen. Tom Coburn of Oklahoma and Democratic Sen. Chuck Schumer of New York would determine if a compromise on the background check provision was possible.

If so, the backing of Coburn, who gets an "A" rating from the NRA for his record on gun rights, would cause enough other Senate Republicans to join him in voting with Democrats to overcome a filibuster, she said. A compromise backed by Senate Republicans also would have more traction in the GOP-led House.

Straw purchases provision challenged

The NRA and Republicans also are challenging another provision of the Senate legislation intended to crack down on straw purchases, arguing the current language is too broad and could penalize the original seller of a weapon that passes through several hands.

Proposed by Senate Judiciary Committee Chairman Pat Leahy, D-Vermont, the measure was the one in the bill that had been given the best chance of winning eventual congressional approval.

The NRA's influence was on display Tuesday when former GOP Rep. Asa Hutchinson indicated to CNN that he differed with the NRA, then later clarified that he joined the organization in opposing the kind of expansion proposed by the Senate legislation.

"I'm open to expanding background checks," Hutchinson said initially in an interview about a panel he headed that was set up by the NRA to examine school safety following the Newtown attack.

Such expanded checks must be done "in a way that does not infringe upon an individual and make it hard for an individual to transfer to a friend or a neighbor or somebody," he added.

After the remarks, an NRA spokesman told CNN that Hutchinson was "not speaking" for the group.

Hutchinson later affirmed that he was not speaking for the NRA, and put his remarks in line with the group's position of including only more information on people with mental illness in the existing National Instant Check System.

"I have been focused on school safety and the interview surprised me by almost exclusively asking about the ongoing gun control debate," Hutchinson said in an e-mail to CNN. "On background checks, my recollection is that I noted there is insufficient data in the NICS and that needs to be fixed and expanded. I am certainly 'open' to legislation that addresses expansion of data in the NICS."

Hutchinson's task force called Tuesday for training and arming adults in schools to reduce the response time in the event of an attack like the one in Newtown.

Connecticut assembly to vote on gun law overhaul

"Our mandate was to deal with the issue of inside the four walls of the classroom, the school property, for safety, because you can have your background checks, you can have all kinds of side issues or gun control," Hutchinson said. But those "will not make a difference for the safety in the classroom because you've always got vulnerability there."

CNN's Jessica Yellin, Gregory Wallace, Jim Acosta, Paul Steinhauser and Kevin Liptak contributed to this report.

@highlight

NEW: President Obama calls for an honest debate on gun laws

@highlight

The major provisions of Senate gun proposals are in jeopardy

@highlight

A proposed ban on semi-automatic weapons appears dead

@highlight

Senators negotiate a possible compromise on expanded background checks