The investigation into Malaysia Airlines Flight 370 is now classified as a criminal investigation, The Wall Street Journal reported, citing the Malaysian police chief.

Inspector General of Police Khalid Abu Bakar said authorities have already recorded more than 170 statements and will interview more people for the Flight 370 probe, the Journal said.

But Bakar cautioned that what happened with Flight 370 might still be unknown after the investigation.

He added that the investigation into the flight simulator in the pilot's house is still inconclusive. Authorities are awaiting an expert's report on the simulator, he said.

After three and a half weeks, the search for the missing plane has come down to this: a lot of floating rubbish, hundreds of heartbroken relatives and, now, quibbling over words all acknowledge offer no clues into what happened to the doomed plane.

Malaysian authorities on Tuesday released the transcript of radio chatter between air traffic controllers and the plane in the hour or so before it vanished while flying from Kuala Lumpur, Malaysia, to Beijing on March 8 with 239 people on board.

The transcript shows the last voice transmission from the doomed plane was "Good night Malaysian three-seven-zero" -- not the "All right, good night" transmission authorities had previously used.

The comments are "exactly what you'd expect" in a cockpit, airline safety expert John Gadzinski told CNN's "The Lead." Still, even if this new transcript offers no clues about the plane's mysterious disappearance, the discrepancy has provided fresh fodder for critics of Malaysia's handling of the investigation.

Read the cockpit transcript

That authorities gave one version and let it stand uncorrected for weeks undermines confidence in the investigation, air accident investigation experts told CNN.

"High criticism is in order at this point," said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

And Michael Goldfarb, a former chief of staff at the Federal Aviation Administration, added that people following the investigation "haven't had a straight, clear word that we can have a lot of fidelity in."

"We have the tragedy of the crash, we have the tragedy of an investigation gone awry and then we have questions about where we go from here," he said.

Malaysian officials have defended their work, with acting Transport Minister Hishammuddin Hussein recently saying, "History will judge us well."

Regardless of one's assessment of Malaysia's response, that doesn't change the immense challenge it faces -- especially given the few apparent details on altitude, speed and, of course, location.

"They are looking in a vast area in very deep waters, ... and we really have no idea where it went in," Bill Schofield, an Australian scientist who helped create flight data recorders that could be key in determining what happened, told CNN. "... A needle in a haystack would be much easier to find."

Inside the flight simulator

Search 'could drag on'

After refocusing their search Friday to a new patch of Indian Ocean hundreds of miles from where they had been looking, authorities still haven't found anything definitively linked to Flight 370.

Ten aircraft and nine ships crisscrossed a 46,000-square-mile (120,000-square-kilometer) search zone on Tuesday. With so many planes in the skies over the search zone, Australia sent an airborne air traffic control plane to guard against accidents.

The search zone for Wednesday shifted eastward toward the Australian coast from what it had the day before, according to the Australian Maritime Safety Authority. While this means new territory will be covered, officials caution against expecting an imminent breakthrough.

"It will take time," retired Air Chief Marshal Angus Houston, the head of the Australia's new Joint Agency Coordination Centre, said Tuesday. "It's not something that's necessarily going to be resolved in the next two weeks."

The plane disappeared over the waters between Malaysia and Vietnam, after signing off with Malaysian controllers, but before checking in with their counterparts in Vietnam.

Authorities don't know what happened on board after that, but radar and satellite data show the plane turned off course and flew back across Malaysia before turning south over the Indian Ocean.

Based on sophisticated analysis of satellite data, investigators believe it went down in the southern Indian Ocean, but they can't pinpoint a location.

A Malaysian government source told CNN on Monday that the airliner's turn off course is being considered a "criminal act," either by one of the pilots or someone else.

In a background briefing given to CNN, Malaysian investigators said they believed the plane was "flown by someone with good flying knowledge of the aircraft."

A senior Malaysian government official last week told CNN law enforcement analyst Tom Fuentes that authorities have found nothing in days of investigating the two pilots that leads them to any motive, be it political, suicidal or extremist.

"It's one of the great mysteries of our time," Australian Prime Minister Tony Abbott said in a radio interview Wednesday from Perth, where he'll host his Malaysian counterpart Najib Razak later in the day. "...We owe it to the world, we owe it to those families to do whatever we reasonably can do get to the bottom of this."

More help on the way

Chinese relatives of passengers got a chance Wednesday to learn how the search is unfolding and how it's been concluded that the flight ended in the Indian Ocean.

Malaysia Airlines and Malaysia's Department of Civil Aviation led a closed-door briefing with the Chinese kin in Kuala Lumpur, the Malaysian government said. Technical experts from Malaysia, China and Australia were also expected to participate, as was the Chinese ambassador to Malaysia.

Meanwhile, even more assets are contributing to the search.

Hishammuddin tweeted the HMS Tireless, a British nuclear submarine, will take part. It'll be joined by an Australian ship with a pinger locator designed to listen for locator beacons attached to the plane's flight data recorder plus a submersible capable of canvassing the ocean floor for wreckage. Both pieces of technology come from the U.S. Navy.

The equipment won't be of any use, however, until searchers are able to find wreckage from the plane to help narrow the search zone.

That's because neither the pinger locator nor the submersible can quickly scan the enormous area being searched.

Under the best of sea conditions, the pingers can be heard 2 nautical miles away. But high seas, background noise, wreckage or silt can all make pingers harder to detect.

It will take the ship, the Ocean Shield, two more days just to get to the search zone, leaving precious little time to locate the flight data recorders before the batteries on its locator beacon run out.

Time is running out: The batteries are designed to last 30 days. Wednesday is the 26th day that authorities have been looking for the plane.

There's no guarantee it will be found anytime soon. For all the expertise and technology, there's still more unknown about Flight 370 than is known about it -- including its altitude, precise speed and, especially, its final resting place.

As CNN aviation analyst Miles O'Brien said: "We're seeing what amounts to a big guess."

Families of newlyweds still waiting

Ocean Shield: A mission of hope in search for Flight 370

Mystery of Malaysia Airlines Flight 370 surfaces pain of 1977 tragedy

@highlight

WSJ: Police have recorded 170 statements and will interview more people

@highlight

Search area for new day shifts eastward

@highlight

Malaysian authorities revise language used in last radio communications

@highlight

Wednesday is the 26th day authorities have been searching for Flight 370