Washington (CNN) -- The Pentagon moved closer Wednesday to its next military trial on the U.S. Navy base at Guantanamo Bay, Cuba, for the suspected ringleader of the deadly bombing of the USS Cole.

Saudi-born former millionaire Abd al Rahim al-Nashiri is charged with the 2000 bombing in the Yemeni port of Aden that killed 17 sailors, wounded dozens and crippled the warship.

The "referral of charges" by the Defense Department Military Commissions unit sets in motion a chain of events that will lead to the appointment of a military officer as the trial judge in the case and a meeting of the judge, prosecutors and defense lawyers in coming weeks. The arraignment will take place within 30 days.

A statement from the Defense Department said the charges against al-Nashiri allege that he was in charge of planning the attack, which took place October 12, 2000.

"The convening authority referred the charges to a capital military commission, meaning that if convicted, al-Nashiri could be sentenced to death," the Defense Department statement said.

The news release also mentions charges against al-Nashiri related to an attempted attack on the USS The Sullivans in Yemen in January 2000 and an attack on a French tanker in 2002 that resulted in the death of one crew member.

One of al-Nashiri's civilian defense lawyers said his legal team was disappointed in the government action.

"We are disappointed the United States will now descend further down the path of expedient and secret justice that military commissions have come to represent," Rick Kammen said in an e-mail.

"We're not talking about a constitutionally adequate trial, and we are disappointed that the U. S. government will use the constitutionally inadequate military commissions process to seek the death penalty against Mr. al-Nashiri," Kammen wrote. He added that the decision to move forward with the case "regrettably confirms to the world that the United States intends to render second-class justice to the men imprisoned in Guantanamo."

Earlier, lawyers for al-Nashiri argued that his waterboarding and other mistreatment while in U.S. custody and delays in his case should have forced the government to drop any plans for a military trial that could end in a death sentence.

"By torturing Mr. al-Nashiri and subjecting him to cruel, inhumane and degrading treatment, the United States has forfeited its right to try him and certainly to kill him," the brief said. "Through the infliction of physical and psychological abuse, the government has essentially already killed the man it seized almost 10 years ago."

Al-Nashiri's legal team, comprising military and civilian lawyers, made the arguments to the "convening authority" of the military court, retired Vice Adm. Bruce MacDonald. The commission was brought into existence by President George W. Bush and overhauled by President Barack Obama.

In legal papers obtained by CNN, al-Nashiri's lawyers presented details of their client's treatment, saying that, in addition to subjecting their client to waterboarding, his questioners revved a power drill by his ear and chambered a round in a handgun, all while he was naked and hooded.

"The government has admitted to waterboarding Mr. al-Nashiri and subjecting him to verbal and physical threats to his life and threats to the safety of his family," the brief says. "Both set of acts constitute torture."

If it goes to trial, the case will be the first full prosecution under the military commission system. It is seen as the latest fine-tuning of the system before the military commission moves ahead with prosecution of other terrorist suspects, especially the four men accused of plotting the September 11 attacks.

The American Civil Liberties Union issued a news release restating its "concerns about the inherent unfairness of the military commissions."

"Unlike federal courts, military commissions have unfairly lax rules for allowing evidence, except when it comes to torture -- the commissions may admit coerced testimony, while evidence of the torture that produced it can be censored," said Denny LeBoeuf, director of the ACLU Capital Punishment Project.

This latest step for the Guantanamo detainee comes as the new chief prosecutor for military commissions, Army Brig. Gen. Mark Martins, is taking over.

Martins was first in his class at West Point, was a Rhodes Scholar at Oxford and graduated magna cum laude from Harvard Law. He will have the chance to put his stamp on the job amid renewed scrutiny of both the military trials and the Guantanamo Navy Base detention facilities.

In a recent Weekly Standard profile, Martins is portrayed as the man the administration hopes will bring new credibility and legitimacy to the system. He has powerful friends, including his former commander, Gen. David Petraeus, now CIA director.

Petraeus gave Martins the job of cleaning up the military detention and interrogation system in Afghanistan, and Martins delivered.

In an effort to polish the reputation of the military commission system, both inside the United States and internationally, Martins may push for greater transparency of the process. He could roll out a plan the Pentagon has been working on for months to provide closed-circuit television transmissions of the military proceedings to victims, families and journalists in the United States.

There would be a "kill" switch in the control room to wipe out the audio in case any national security secrets were blurted out in the courtroom.

Al-Nashiri is one of 171 detainees remaining at Guantanamo.

@highlight

The man suspect of being behind the attack on the USS Cole will go on trial

@highlight

The formal "referral of charges" is the first step in the military commission process

@highlight

His attorneys and the ACLU criticize the decision to use a military commission