(CNN) -- President Barack Obama headed to the Czech Republic on Wednesday night to meet with Russian President Dmitry Medvedev and sign an arms control agreement that reduces the nuclear stockpiles of both nations.

The new Strategic Arms Reduction Treaty (START) to be signed Thursday by the two leaders builds on a previous agreement that expired in December.

Obama has called the treaty the "the most comprehensive arms control agreement in nearly two decades" and said it would cut the nuclear weapons of the United States and Russia by about a third.

After meeting with Medvedev and attending the signing ceremony in Prague, the Czech Republic capital, Obama will have dinner with heads of government from 11 countries -- Bulgaria, Croatia, Czech Republic, Estonia, Hungary, Latvia, Lithuania, Poland, Romania, Slovakia and Slovenia.

The highlight of the two-day trip is the new treaty with Russia, which is another step in nuclear arms relations between the former Cold War adversaries. Its signing comes two days after the Obama administration announced a new U.S. nuclear weapons policy and four days before Obama convenes a summit of 47 nations on nuclear security issues.

"It significantly reduces missiles and launchers," Obama said of the new treaty, which lasts for 10 years. "It puts in place a strong and effective verification regime. And it maintains the flexibility that we need to protect and advance our national security, and to guarantee our unwavering commitment to the security of our allies."

Obama has made nuclear non-proliferation a major priority of his presidency, prompting criticism from conservatives who fear the president will weaken the U.S. nuclear deterrent against possible attack.

"We believe that preventing nuclear terrorism and nuclear proliferation should begin by directly confronting the two leading proliferators and supporters of terrorism, Iran and North Korea," according to a statement issued Tuesday by Arizona's two Republican U.S. senators, John McCain and Jon Kyl. "The Obama Administration's policies, thus far, have failed to do that and this failure has sent exactly the wrong message to other would be proliferators and supporters of terrorism."

According to information released by the White House, the new treaty limits both nations to "significantly fewer strategic arms within seven years" of its signing. One of the limits: 1,550 warheads.

"Warheads on deployed ICBMs (Intercontinental ballistic missiles) and deployed SLBMs (submarine-launched ballistic missiles) count toward this limit and each deployed heavy bomber equipped for nuclear armaments counts as one warhead toward this limit," the White House said.

There also are limits on launchers.

The treaty also lays out a "verification regime" that includes on-site inspections, data exchanges and notifications, the White House said.

"The treaty does not contain any constraints on testing, development or deployment of current or planned U.S. missile defense programs or current or planned United States long-range conventional strike capabilities," according to the White House.

Obama said the agreement is part of the U.S. effort to "reset" the U.S. relationship with Russia.

"With this agreement, the United States and Russia -- the two largest nuclear powers in the world -- also send a clear signal that we intend to lead," the president said. "By upholding our own commitments under the Nuclear Non-Proliferation Treaty, we strengthen our global efforts to stop the spread of these weapons, and to ensure that other nations meet their own responsibilities."

Negotiators have been working since April 2009 to wrap up the "follow-on" to the 1991 START agreement. Talks were difficult, with disagreements over verification, including on-site inspection of missiles that carry nuclear warheads.

A U.S. official with knowledge of the talks earlier said that negotiators had found "innovative" ways to verify what each side has. Verification will be a top issue politically because the U.S. Senate and the Russian parliament will each have to ratify any agreement.

Russian officials at one point objected to the Obama administration's plans to build a missile-defense system in Eastern Europe. Specifically, they were angered by news leaks from Romania that it had agreed to allow missile interceptors to be installed in that country.

The issue, according to arms control experts, was resolved by including non-binding language in the START treaty's preamble stating that there is a relationship between offensive and defensive weapons; however, the treaty itself deals only with limits on offensive weapons systems. This resolution could help placate U.S. critics who want no link in the treaty between offensive and defensive weapons, arguing that it might be used to try to limit a U.S. missile-defense plan.

The new treaty would be the first pact related to arms control since the end of the Cold War, experts have said, setting the stage for further arms reductions that will tackle thorny issues such as what to do with non-deployed warheads that are kept in storage, tactical nuclear weapons and further cuts in missiles and launch vehicles.

Some of those issues are expected to come up at the nuclear security summit in Washington on April 12-13.

@highlight

Obama: "Most comprehensive arms control agreement in nearly two decades"

@highlight

President will also have dinner with heads of government from 11 countries during trip

@highlight

Treaty limits both nations to "significantly fewer strategic arms"