(CNN) -- On a walk through Central Park about a decade ago, Bob Staake noticed a bird swooping from branch to branch, as if to follow a group of kids walking below.

Maybe it was a trick of the eye, something people see and forget. Staake, a writer and illustrator, couldn't shake it.

"I thought, 'Boy, that's a good story,'" he said.

It was fully formed in his mind: It could be a children's book. The place would be New York, with flashes of Columbus Circle, Central Park, even the World Trade Center towers. The illustrations would be almost monochromatic, all blues and grays. The story would be wordless, "of course." It would follow a lonely boy and his bluebird friend through joy and wonder, then fear and loss at the hands of bullies.

For years, the idea went nowhere. Staake had other projects and obligations -- books to write, New Yorker covers to draw -- and besides, he was sure nobody would publish it.

"Let me get this straight," he knew any editor would ask, "the bird dies?"

Early drafts of the art drew attention on Facebook, including the eyes of an editor at Schwartz & Wade Books, an imprint of Random House Children's Books.

"Bluebird" hit bookstore shelves this spring. Since then, Staake has been on the road, "reading" the book to kids and adults -- describing the images, and letting listeners come to their own conclusions about what happens to the bird, boy and bullies.

Wordless picture books have had a big few years. Several won the Caldecott Medal for picture book artwork, including "A Ball for Daisy" in 2012, "The Lion and the Mouse" in 2010 and "Flotsam" in 2007. Even Staake, who wrote and illustrated children's books "The Donut Chef" and "The First Pup," was surprised by the details kids spotted in his drawings -- and the variety of ways people interpreted his story.

"Kids are far more intelligent than we give them credit for," he said from his studio in Cape Cod. "Whether you're a child or an adult, it's so universal, it resonates with everyone."

Between work on magazine covers, newspaper illustrations and a new picture book about a child who has a book for a pet, here's what Staake had to say about "Bluebird."

CNN: You said "of couse" the story would be wordless -- why?

Bob Staake: Never in the history of children's literature has a 5-year-old walked into a bookstore and laid down $18 for a picture book. These are precious items that are passed down from an adult that has a wallet in his or her pants. You have to find a way to resonate with the adult.

But beyond that, kids look. They don't read a book. They look at a book. It's as worthwhile to look at pictures as it is to read words.

(As a kid), I would pull books out of the library, I'd look at National Geographic and dream about those incredible places. I didn't necessarily read the words. You can tell his broad story page to page to page by simply having a child inferring. It's a magical thing. We should all be so lucky to have a book that's so open-ended that it's ripe for interpretations all over the place.

CNN: What do you think of all the ways people have interpreted the book and its ending?

Staake: When I read it, I describe what's occurring on every page. (Kids) just go slack-jawed when they see the bird hit by the stick thrown by the bully. I say the little bird flies off and disappears by the cloud and you decide what happens.

"Does the bird die? Does the bird fly away? Does the bird go to heaven? What happens to the boy in the sky? Does he fly up with his friend?" Getting a kid to read a book and ask questions, that's where we want all these books to be. That's an awesome thing.

I'm an agnostic. I don't know what happens at the end of the book, but that doesn't matter. If people want to see it as a story about God, that's great. Heaven, great. I view it as a story about loss. I feel like the book could help families who are dealing with real, painful loss.

The vast majority of people look at it and they do have their own interpretation, their own personal relationship with it. You determine how that book ends.

CNN: Even if you see hope in the book, it still tackles pretty heavy themes for a picture book.

Staake: If you've got your eyes wide open, you remember those less-than-beautiful moments in your childhood, when you were faced with these eye-opening lessons: People can be completely ridiculously obnoxious. It can be painful stuff.

If I was bullied by a kid, they found out I could draw and all of a sudden, I was drawing cartoon characters for them. In a lot of ways, people might say "You let them get their way." I let them see what was beyond. They could appreciate that I had something that was really unique.

Crazy, here I am a 55-year-old author, I constantly have to think back to 5, to Redondo Beach, California, those lessons I learned as a kid.

CNN: What was it like to create the bullies and show how they changed after they hurt the bluebird?

Staake: It's a tough thing to pull off. The bullies could not believe what they did. You infer that through the expressions. Those kids will never, ever bully again -- that's the way I view it. Those were really difficult scenes. I had to make sure they were remorseful. They know they pushed it too far, and they will never do it again. They run off in complete shame. Kids get it.

CNN: How did you know kids would get it?

Staake: They completely get it. I don't care if I talk to kindergartners or prekindergarten. Everything that happens in "Bluebird" I went through as a kid. Every kid does. There's no kid who isn't bullied, no kid who doesn't encounter kids who are completely irrational, gang mentality, no kid who doesn't look in the world, who doesn't have these moments of A-W-E awe.

The best children's books come from the heart of the author. It sounds so trite and ridiculous, but if I can't go ahead and pull out from the depths of my childhood that experience that little Bobby Staake had, it doesn't have soul.

@highlight

"Bluebird" is writer and illustrator Bob Staake's new wordless children's book

@highlight

The book follows a lonely boy and his bluebird friend, even as bullies threaten them

@highlight

Staake: "Kids are far more intelligent than we give them credit for"