New York (CNN) -- Enjoy hypocrisy? This past weekend you could glut the appetite.

On Monday, Israeli ships stopped a flotilla carrying materials that could be used for war, including cement that Israel maintained could be used to build bunkers, to Hamas-ruled Gaza. The crew of one boat resisted violently, triggering a firefight in which nine people were killed, most of them Turkish nationals.

Turkey is protesting vigorously. But, question: Turkey is a NATO ally, an applicant to the European Union. What is it doing allowing its nationals to smuggle cement that could build bunkers? Especially when those nationals belong to a group, the Turkish IHH (Insani Yardim Vakfi) that Israel has designated a terrorist organization?

The flotilla departed from Turkish-occupied northern Cyprus. Turkey's occupation of half of Cyprus is deemed illegal by the European Union and the United Nations. If the government of Turkey feels so strongly about ending disputed occupations, why does it not start with the disputed occupation it is operating itself?

The flotilla followed a breathtaking Friday at the United Nations. The 189 signatories of the Nuclear Proliferation Treaty agreed on a final list of resolutions for a safer world. The nuclear threat from Iran? Unmentioned. Instead, the NPT resolution targeted -- what a surprise -- Israel.

Shamefully, the Friday resolution was joined by the United States. Yes, the Obama administration issued a statement at the same time that "deplores the decision to single out Israel" and also "the failure of the resolution to mention Iran." The administration deplored -- but it signed.

The Obama administration's signature marks an abrupt departure from previous U.S. policy. Since the 1960s, the United States has accepted Israel's nuclear arsenal on condition that Israel not threaten its neighbors. Israel has more than met that condition. In 1973, Egypt outright invaded Israel, in full confidence that Israel would not go nuclear so long as Egypt stopped short of attacking Israel's cities.

It's important to understand that Israel (like India and Pakistan) has never signed the Nuclear Non-Proliferation Treaty. So Israel's nuclear force violates no commitments or pledges: unlike, say, the nuclear programs of Syria, Libya, Iraq and Iran, to name just four of the Middle Eastern countries that have been caught violating the NPT.

Iran by contrast is violating the NPT. Iran is the world's leading state sponsor of terrorism. And Iranian leaders have threatened to use the nuclear weapons they are seeking to annihilate Israel.

On Monday, the International Atomic Energy Agency reported that Iran has accumulated enough nuclear material for two bombs, when fully enriched. And the latest round of U.N. sanctions will do nothing to stop that bomb, because they omit the most crucial measures:

• A ban on exports of gasoline to Iran (Iran now imports half its gasoline)

• Measures to sever Iran's central bank from the global payments system

The measures adopted by the Security Council last week are not only toothless, but they even contain a loophole legalizing the sale of Russian air defenses to Iran, the better to protect nuclear facilities from action by the United States or Israel.

OK, so maybe it is not news that the U.N. system is hypocritical and useless. What is news is this: The Obama administration has broken with 40 years of precedent and has affixed its signature to a document suggesting that it is Israel's weapons -- not Iran's -- that ought to be priority No. 1 in the Middle East.

And now, post-flotilla, the Obama administration stands in danger of being drawn into the attempt to open Hamas-ruled Gaza to military-capable imports, and to force Israel to engage in some kind of negotiation with Hamas.

Former Ambassador to Israel Martin Indyk, who is close to Obama administration thinking, outlined in the New York Times Monday the contours of just such a deal:

"The administration needs to work on a package deal in which Hamas commits to preventing attacks from, and all smuggling into, Gaza. In return, Israel would drop the blockade and allow trade in and out."

It's a pretty thought. Pro-Hamas groups did not go to the trouble of organizing a flotilla of supplies that could be used for war in order to end smuggling of war material into Gaza.

Nor are pro-Hamas groups seeking to ship the material into Gaza in order to thwart future attacks on Israel. Rebuilding Hamas' bunkers is not a step toward peace.

But as with the Obama administration's joining the anti-Israel resolution at the United Nations on Friday, followed by after-the-fact explanations that Israel had nothing to fear, so the Obama administration is now being drawn into another anti-Israel action, again cushioned by assurances that, "This is for your own good."

Monday morning, ABC'S Jake Tapper reported an unnamed administration official promising "no daylight" between the United States and Israel.

But the same administration official who promised "no daylight" also told Tapper: "The president has always said that it will be much easier for Israel to make peace if it feels secure." Meaning: first we soothe you, then we squeeze you?

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says Gaza flotilla was carrying war materials

@highlight

Turkey's criticism of Israel ignores Turkey's occupation of northern Cyprus, he says

@highlight

New U.N. non-proliferation resolution targets Israel but ignores Iran threat, Frum says