As far as bodies of water go, lakes are easily the most overlooked.

Even hot tubs get more press.

Maybe it's the large shadows cast by the mountain peaks that often surround them, or that needy ocean always crashing about and waving for attention, but lakes don't get the rave reviews they deserve.

Lakes, of course, are cool with not being the center of attention.

They're content to sit placidly, waiting to welcome the kinds of guests that truly appreciate the quiet lure of their wild surroundings and the luxury lodges often found upon their shores.

The lodges below do a particularly good job of showing why lakes deserve to be in the discussion of great vacation retreats.

Casa Palopo (Lake Atitlan, Guatemala)

Unsung, unspoiled and with room for only a handful of guests, Casa Palopo overlooks Guatemala's volcano-embellished Lake Atitlan.

Villa interiors match the vivid colors associated with Guatemalan culture, with handwoven textiles and brightly painted walls throughout.

Guests are served a traditional Guatemalan breakfast of black beans, eggs and plantains on the villas' private terraces, which offer prime views of the lake's three volcanoes -- Toliman, Atitlan and San Pedro.

There are no TVs here -- all you can hear are the breeze and the birds -- but Wi-Fi is available to facilitate the endless Instagrammable moments.

Guests can take a boat from the Casa's private dock to visit the lakeside town of San Juan, where Mayan women dye and weave traditional textiles.

Prime perk: The hotel's helipad is available if you want to fly in via chopper, allowing you to get stunning views of the rolling landscape.

Casa Palopo, Carretera a San Antonio Palopo, km 6.8, San Antonio Palopo, Guatemala; +502 7762 2270; from $140 per night

Lake Timara Lodge (Marlborough, New Zealand)

For intimacy it's hard to beat the four-room Lake Timara Lodge, located in New Zealand's premier wine region.

Country-style rooms with 1920s decor overlook the lake, Richmond Range mountains or 25-acre gardens -- you can pick your preferred vista.

A short walk away, nine varieties of grapes are waiting to be tasted at the 400-acre Spy Valley Winery.

The region's sauvignon blanc is particularly famous.

The chef's menu includes fresh fish from the Marlborough Sounds, lobster, lamb and herbs from the lodge's garden.

Rowboats are available for a lap around the lake and there's a tennis court on the grounds.

Prime perk: Four-course garden-to-table meals are paired with wine from Timara's backyard winery or local vintages from its sizable cellar.

Lake Timara Lodge, Dog Point Road, RD 2, Marlborough, New Zealand; +64 3 572 8276; from $550 per person per night

Moraine Lake Lodge (Banff National Park, Canada)

In-room TVs and phones are a no-go at the Moraine Lake Lodge in Canada's Rocky Mountains, so if you're ready to disconnect and bask in the beauty of Banff, this is the place.

Cabin-chic premier rooms come with jetted Jacuzzi tubs, wood-burning fireplaces and private balconies overlooking the piercing glacial blue of Moraine Lake.

Lodge staff leave wood and kindling refills outside your door.

The dining room is known for being one of Banff National Park's top spots for gourmet food, offering dishes like fresh elk or buffalo carpaccio with roasted pine nuts.

Prime perk: Rates include a lake view breakfast buffet, canoeing and guided hikes with a resident naturalist -- the Banff Upper Hot Springs are within easy reach for a soak.

Moraine Lake Lodge, Moraine Lake Road, Alberta, Canada; +1 403 522 3733; Open June 1-September 30; from $500 per night

Mirror Lake Inn (Lake Placid, New York)

You can tell a lot about a property by the way it greets its guests.

At the 125-year-old Mirror Lake Inn -- which housed Olympic athletes who came to the Adirondack area for the Winter Games in both 1932 and 1980 -- house-made chocolate chip cookies come with your room key.

Guests enjoy lake views through floor-to-ceiling windows from private balconies, where the scent of fresh wood smoke hangs in the air.

Dining is as first-rate as the views.

The Mirror Lake Inn brings in bacon cured at local farms and herbs are picked from the backyard garden.

In summer, canoes, kayaks, paddleboats and rowboats are available from the inn.

In winter, staff can set up a biathlon range (cross-country skiing plus target shooting) lesson for you.

Prime perk: Former Olympic runs are open for winter guests who want to take a slide down the bobsled or luge tracks, or ski Whiteface Mountain.

Mirror Lake Inn, 77 Mirror Lake Drive; +1 518 523 2544; from $239 per night

Hotel Royal Victoria (Lake Como, Italy)

If it feels like Hotel Royal Victoria is fit for a queen, that's because it is -- Queen Victoria slept in the property's Varenna villa in 1838 and the place was renamed in her honor.

Rooms have been modernized to accommodate today's regal traveler, offering perks like a two-person chromotherapy shower, Wi-Fi and minibar, but the hotel's 19th-century soul remains.

Lakefront suites feature a lounge area, fireplace and balcony with cafe-style table and chairs.

Nearby, Varenna's Castello di Vizio is a medieval castle turned falcon sanctuary.

You can also wander the nearby tiered terrace garden at Villa Cipressi.

Hotel Royal Victoria is also a stop on the Walking Italian Lakes Tour organized by VBT Bicycling and Walking Vacations, which will take you to a Coiromonte farm to savor fresh cheese and to Sacro Monte di Varese, a gorgeous 17th-century church.

Prime perk: The hotel offers full-day wine excursions to Valtellina, where you can taste wines made from dried Nebbiolo grapes.

Hotel Royal Victoria, Piazza S. Giorgio, 2, Varenna, Italy; +39 0341 815111; from $112 per night

Explora Patagonia (Chile)

If Patagonia is the leader in lakefront landscapes, then Explora in Chile's portion of the Andes is its crown jewel.

Located in the heart of Torres del Paine National Park, rooms at the all-inclusive Explora lodge overlook the shores of Lake Pehoe and open up to vistas of the Cordillera del Paine mountain ridge, or the famed Salto Chico waterfall.

Designed for silence and simplicity, rooms come with Wi-Fi and expansive windows that sub in for TVs.

The lodge's Ona Bathhouses have four open-air Jacuzzis offering views of the lake and mountain peaks.

Meals at the lodge are five-star and fixed to personal tastes, including Chilean wine pairings with meals.

Staff will help you pick from more than 50 day trips and send you out trekking, hiking or horseback riding with trained guides through ancient forests, gaucho territory or the Southern Ice Fields.

Prime perk: There's a heated, covered pool -- swims can be followed with an essential oil massage.

Explora Patagonia, Salto Chico, Chile; + 56 2 2395 2800; from $3,000 for four nights

Vila Bled (Lake Bled, Slovenia)

Once home to former Yugoslavian leader Marshal Josip Tito, Vila Bled is now a lakeside hideaway offering some of the best views around Slovenia's iconic Lake Bled.

The Presidential Suite (Tito's former apartment) is on the top floor of the villa and has two bedrooms, a living room and a study, plus two bathrooms and a massage tub.

Classic rooms also have balconies overlooking the lake and 17th-century church on Lake Bled Island.

The villa's restaurant offers Slovenian and international cuisine.

For lighter fare -- like custard cream cake kremna rezina -- there's Belvedere Cafe, where Tito used to throw tea parties.

Vila Bled has its own private boathouse and lakeside lido for soaking up the sun.

Guests can go canoeing, rafting or mountaineering in the Julian Alps, or hop in a hot air balloon for a more panoramic perspective.

Prime perk: With the hotel's "Tell Us How to Pamper You" button, guests can quickly have their needs answered to.

Vila Bled, Cesta svobode 26, Bled, Slovenia; +386 (0) 4 575 37 10; from $219 per night

@highlight

Televisions and phones? You won't find them in the rooms at Moraine Lake Lodge in Banff

@highlight

Visitors can take a helicopter in and out of Casa Palopo on Lake Atitlan, Guatemala

@highlight

The Olympic ski runs near Mirror Lake Inn at Lake Placid, New York, are open to guests during winter

@highlight

Vila Bled in Slovenia has a "tell us how to pamper you" button that you can use to submit requests