Berlin (CNN) -- The peak of a cloud of volcanic ash that forced the cancellation of hundreds of flights has passed, Iceland's prime minister said Wednesday.

"The worst is over," Prime Minister Johanna Siguroardottir said. "And now the clean-up can begin. Our geoscientists say that the eruption is waning day by day and that the problems arising in our neighboring countries as a result of volcanic ash should be resolved quickly."

According to the Icelandic Meteorological Office, the eruption of the Grimsvotn volcano "paused" at 2:40 a.m. Wednesday (10:40 p.m. Tuesday ET), meaning it was not erupting at the moment. The agency warned, however, that it could begin again, and that only after three months with no eruptions will the volcano be considered dormant.

Meanwhile, some German airports were reopened Wednesday after cancellations due to the cloud of volcanic ash.

Bremen has reopened and Hamburg is allowing takeoffs and landings, according to Deutsche Flugsicherung, the German aviation safety agency.

Airports in Berlin will resume flights at 2 p.m. local time ( 8 a.m. ET).

The closures affected at least 600 flights in Germany, authorities said.

Poland could be affected later in the day, the European air traffic control agency Eurocontrol said. PrzemysBaw Przybylski, the spokesman for the Chopin airport in Warsaw, said as of Wednesday afternoon flights into Warsaw were still being accepted.

But the ash cloud is dissipating and much of the rest of European air travel is expected to be running normally Wednesday, the agency said.

A portion of the ash from Saturday's eruption in Iceland had spread over Britain by Tuesday afternoon, with the cloud reaching London's Heathrow airport around lunchtime, a computer model indicated.

Eurocontrol reported about 500 flights in British airspace were canceled Tuesday.

Heathrow alone normally operates about 1,300 flights a day, and Europe as a whole has about 29,000 daily, according to Eurocontrol.

The Grimsvotn eruption came about 13 months after Iceland's Eyjafjallajokull volcano belched smoke and ash into the skies over the continent, forcing the cancellation of thousands of flights per day at the peak of the problem.

The ash can be a serious hazard to aircraft, reducing visibility, damaging flight controls and ultimately causing jet engines to fail.

Grimsvotn's eruption was more than 10 times larger and put more ash into the air in 36 hours than last year's burst did in a month, University of Iceland geophysicist Magnus Tumi Gudmundsson told CNN Tuesday -- but the main eruption is now over, he said.

Disruptions from the larger eruption are likely to be smaller than they were in 2010, said Gillian Foulger, a geophysicist at Britain's Durham University.

Most of the ash is blowing northwest, toward sparsely populated Greenland, and the European aviation industry collected valuable safety data during last year's event.

"It's much better able to set the safety thresholds accurately, so I think things are probably going to turn out very well for us," Foulger said.

Airlines have been making the case that it is safe to fly through ash clouds of medium density, Britain's Civil Aviation Authority said Tuesday.

Carriers including British Airways, Virgin and EasyJet are now free to fly through clouds of up to 4,000 micrograms per cubic meter if they feel it is safe to do so, Richard Taylor of the CAA told CNN.

Grimsvotn lies beneath Iceland's Vatnajokull glacier, a sheet of ice more than three times the size of the U.S. state of Rhode Island -- larger than any on mainland Europe.

Grimsvotn is the country's most active volcano and last erupted in 2004, according to the Icelandic Meteorological Office.

"If history is any guide, we expect the next eruption to be in five to six years," said the agency's Jakobsdottir on Wednesday.

In 1783, a 16.7-mile fissure system from the volcano produced the world's largest known historical lava flow over a seven-month period, damaging crops and livestock, according to the Smithsonian National Museum of Natural History. A resulting famine led to the death of one-fifth of Iceland's population, according to the museum.

CNN's Frederik Pleitgen, Ayesha Durgahee and Adam Reiss contributed to this report.

@highlight

NEW: Grimsvotn's eruption has "paused," the Icelandic Meteorological Office says

@highlight

Poland could be affected later Wednesday

@highlight

A cloud of volcanic ash from Iceland is affecting European air travel

@highlight

It is dissipating and most flights should go as planned, Eurocontrol says