(CNN) -- Latino voters went into the midterm election Tuesday feeling like bystanders in an American political process that is broken. An election eve poll of 5,000 Latinos who said they already had voted, or intended to vote, Tuesday was particularly telling -- more than half reported that no one had contacted them to ask for their vote.

That's right, no one -- not a political campaign, not a candidate, not a community organization. Perhaps partly as a result, their motivation for voting was deeply personal, with more than a third saying they were voting to show their support for the Latino community rather than for a Democratic or Republican candidate.

Such views are consistent with the research we have conducted at the NALEO Educational Fund over the past four years, among "The Great Unengaged" -- Latino U.S. citizens who are unlikely to vote because they believe the political system does not work for them and their families, and that political promises are made and easily broken. When they are engaged and asked to vote, they do so not for themselves, but for their families and community.

This lack of engagement with the two parties did not stop NALEO Educational Fund projecting that 7.8 million Latinos would vote in this election, up from the 6.6 million who voted in 2010. And although it is too early to know if we hit that mark, we do know this much -- Latino voters are as angry about Washington paralysis as other Americans. (The lack of movement on immigration reform, an issue that for the second consecutive national election ranked as the No. 1 issue for Latino voters, was simply Exhibit A in a list of reasons why the community is frustrated).

Yet the failure of lawmakers to address the key issues of interest for Latino voters is particularly perplexing when we look at what happens when politicians do take these voters into account. Colorado, one of the few states with both a large Latino electorate and a competitive Senate race, underscored how it is possible for candidates to reinvent themselves and win an election by softening their approach and addressing the issues of key importance to the Latino community.

Cory Gardner, who had opposed immigration reform, was able to transform himself as a candidate by addressing the issues and focusing on compromise. Perhaps this helps explain why incumbent Mark Udall, who largely ignored the issue of immigration in hopes of not alienating non-Latinos, lost -- despite 71% of Latino voters polled in Colorado having said they would vote for him. Many likely felt disinclined to vote for Udall, reflecting the reality that Latino voters are not monolithic, and their vote is up for grabs if parties and candidates speak to their issues.

Looking ahead to 2016, the campaign for the White House begins today, and a presidential election has a completely different dynamic than a mid-term election. As each of the past four presidential elections has demonstrated, the road to the White House goes through the Latino community, and amassing the required Electoral College votes requires victory in states where Latino voters make the difference.

This was true in George W. Bush's successful elections in 2000 and 2004, just as it was for Barack Obama's campaigns in 2008 and 2012.

What happens next in Washington on immigration reform, and the other top issues for Latino voters -- jobs and the economy, education and health care -- will set the stage for the next election. With this in mind, the next would-be president must not only reach out and directly connect with Latino voters on the issues that most matter to them, but also show that he, or she, is from a party that is able to deliver action as well.

@highlight

Motivation for voting in midterms was deeply personal, says Arturo Vargas

@highlight

Many Latinos reported voting for community rather than for party candidate, he says

@highlight

Vargas: Race for Colorado Senate seat showed Latino votes are up for grabs