Beijing (CNN) -- Following a day of talks, U.S. Secretary of State John Kerry and Chinese leaders said their two nations would work together to press North Korea to tone down its provocations, amid soaring regional tensions.

Speaking to reporters in Beijing, Kerry said both the United States and China are calling on North Korea to refrain from any provocative steps -- including any missile launches.

But, he said, both nations want to focus on a peaceful solution, not "threat for threat or confrontational language. There's been enough of that."

No option was left off the table in his talks with Chinese leaders, he said. Among those he met with Saturday were Chinese President Xi Jinping, Premier Li Keqiang and State Councilor Yang.

Kerry said there was no question that China was very serious about upholding international standards.

As he met with Chinese President Xi Jinping, Kerry said, "Mr. president, this is obviously a critical time with some very challenging issues -- issues on the Korean peninsula, the challenge of Iran and nuclear weapons, Syria and the Middle East, and economies around the world that are in need of a boost."

Kerry in Japan amid heightened Korean tensions

In a joint statement before dinner, Kerry and Yang reaffirmed their intention to work together toward the peaceful denuclearization of North Korea.

"We agreed that this is critically important for the stability of the region and indeed for the world and for all our nonproliferation efforts," said Kerry.

"We are committed to taking actions in order to make good on that goal and we are committed to make that goal a reality."

China's position is "consistent and clear cut," Yang said. "China is firmly committed to upholding peace and stability and advancing the denuclearization process on the peninsula."

Beijing will work with its international partners to help restart the stalled six-party talks on North Korea's nuclear program and hold it accountable to its international agreements, he said.

Opinion: Why I fled North Korea

'Mutual respect'

Meeting earlier with China's Foreign Minister Wang Yi, Kerry said there were "enormously challenging issues" in front of the two nations.

"I look forward to having that conversation with you today ... (to) define for both of us what the model relationship should be and how two great powers, China and the United States, can work effectively to solve problems," he said.

Wang said he hoped the two nations could work together to handle sensitive issues with "mutual respect."

Kerry landed in Beijing after leaving Seoul, South Korea, where he pledged unbending U.S. military support against any attack from the North.

Washington wants Beijing to "stop the money trail into North Korea" and give Pyongyang a strong message that China wants the Korean Peninsula free of nuclear weapons, two U.S. administration officials said.

U.S. officials said China has recently expressed frustrations over Pyongyang's actions.

"We hear a growing tone of frustration ... in official statements from the Chinese," an administration official said. "China is increasingly concerned about the downstream effects of North Korea's reckless pursuit of a nuclear missile capability and complications for China's foreign strategic environment."

Kerry will seek to define the areas of common interest with China.

"We have a common interest in putting an end to North Korean proliferation," a senior administration official said. "In stopping the highly destabilizing behavior and the provocative actions of the North Koreans."

Kerry is also expected to address computer hacking coming from state-sponsored sources inside China.

Should the U.S. shoot down a missile?

Support for Seoul

During his visit to Seoul on Friday, Kerry said the United States would talk to North Korea, but only if the country gets serious about negotiating the end of its nuclear weapons program.

"North Korea will not be accepted as a nuclear power," Kerry said in Seoul.

His trip to South Korea came a day after a Pentagon intelligence assessment surfaced suggesting North Korea may have developed the ability to fire a nuclear-tipped missile at its foes.

Disclosed first by a congressman at a hearing Thursday, and then confirmed to CNN by the Defense Department, the Defense Intelligence Agency assessment is the clearest acknowledgment yet by the United States about potential advances in North Korea's nuclear program.

U.S. officials think North Korea could test-launch a mobile ballistic missile at any time in what would be seen by the international community as a highly provocative move.

But a senior administration official said there's no indication that any such missiles are armed with nuclear material.

Pentagon spokesman George Little said that "it would be inaccurate to suggest that the North Korean regime has fully tested, developed or demonstrated the kinds of nuclear capabilities referenced" in the DIA study.

The DIA has been wrong in the past, producing an assessment in 2002 that formed the basis for arguments that Iraq had nuclear weapons -- a view later found to be incorrect.

Nevertheless, Kerry said any launch by North Korea would be a "huge mistake."

North Korea's propaganda machine grips defector 11 years on

Bellicose North

Despite weeks of bellicose rhetoric from Pyongyang threatening nuclear attacks on the United States, South Korea and their allies, U.S. officials have characterized the North's saber rattling as largely bluster.

South Korean Foreign Minister Yun Byung-se, speaking with Kerry on Friday, urged North Korea to open talks.

"We urge North Korea to cease its reckless behavior and to stop issuing threats," he said.

A joint statement issued by South Korea and the United States before Kerry's departure emphasized Washington's commitment to defending Seoul "in the wake of recent unacceptable provocations" by the North.

Before departing for Beijing, Kerry attended a meet and greet, where he called the children of diplomats to join him on stage. He told the group that their work was about making the world a safer place for the children.

"This is one of the most important places on earth," he said, referring to the divided Korean Peninsula. It shows what life is like when people are presented with no choices."

North Korea issued a scathing warning to Japan on Friday, saying via its state news agency, KCNA , that Tokyo should "stop recklessly working for staging a comeback on Korea, depending on its American master."

Japanese foreign minister spokesman Masaru Sato said such remarks only hurt North Korea.

"Japan would not be pushed around by rhetoric of North Korea," he said.

Japan's Transport Ministry has issued a notice requiring its airplanes to report to the U.S. military if they fly near the U.S. military's Kadena base in Okinawa prefecture, the Kyodo News Agency said.

The notice, made at the request of the U.S. military in Japan, is believed to be part of precautions taken against possible North Korean missile launches.

Five things we still don't know about North Korea's nukes

CNN's Jill Dougherty reported from Beijing, Jethro Mullen reported from Hong Kong and Laura Smith-Spark wrote in London. CNN's Barbara Starr, K.J. Kwon, Tim Schwarz, Kyung Lah, Judy Kwon, Chris Lawrence, Elise Labott, Adam Levine and Michael Pearson contributed to this report.

@highlight

NEW: Kerry: Both China and the U.S. call on Pyongyang to refrain from provocative steps

@highlight

The U.S. Secretary of State meets with China's President Xi Jinping in Beijing

@highlight

Both nations voice commitment to peaceful denuclearization of Korean peninsula

@highlight

The U.S. will talk to North Korea, but Pyongyang has to talk giving up nukes, Kerry says