(CNN) -- It's well known that the secret to Apple's meteoric success in the world of consumer technology was the vision, leadership and creativity of Steve Jobs, the company's celebrity founder.

"Steve built a company and culture that is unlike any other in the world and we are going to stay true to that -- it is in our DNA," Tim Cook, Jobs' successor, wrote in a staff memo after Jobs resigned from his post as Apple's CEO in August.

What's less talked about is what drove Jobs, who died Wednesday at 56.

As with anyone, Jobs' values were shaped by his upbringing and life experiences. He was born in 1955 in San Francisco and grew up amid the rise of hippie counterculture. Bob Dylan and the Beatles were his two favorite musical acts, and he shared their political leanings, antiestablishment views and, reportedly, youthful experimentation with psychedelic drug usage.

The name of Jobs' company is said to be inspired by the Beatles' Apple Corps, which repeatedly sued the electronics maker for trademark infringement until signing an exclusive digital distribution deal with iTunes. Like the Beatles, Jobs took a spiritual retreat to India and regularly walked around his neighborhood and the office barefoot.

Traversing India sparked Jobs' conversion to Buddhism. Kobun Chino, a monk, presided over his wedding to Laurene Powell, a Stanford University MBA.

'Life is an intelligent thing'

Rebirth is a precept of Buddhism, and Apple experienced rebirth of sorts when Jobs returned, after he was fired, to remake a company that had fallen the verge of bankruptcy.

"I believe life is an intelligent thing, that things aren't random," Jobs said in a 1997 interview with Time, providing a glimpse into his complicated belief system that extends well beyond the Buddhist teachings.

Karma is another principle of the religion, but it didn't appear to be a system Jobs lived by. If he feared karma coming back to bite him, the sentiment wasn't evident in his public statements about competitors and former colleagues, calling them "bozos" lacking taste. Those who worked for Jobs described him as a tyrant they feared meeting in an elevator.

"You'd be surprised how hard people work around here," Jobs said in a 2004 interview with Businessweek. "They work nights and weekends, sometimes not seeing their families for a while. Sometimes people work through Christmas to make sure the tooling is just right at some factory in some corner of the world so our product comes out the best it can be."

Some engineers who worked tirelessly on the original Mac emerged from the project estranged from their spouses and children. Jobs' relentless work ethic may have been shaped by some of his dysfunctional family affairs as well.

'I've done things I'm not proud of'

Jobs was adopted by Clara and Paul Jobs, who promised his birth mother, Joanne Simpson (whom Jobs later tracked down with the help of a private investigator), that they would send him to a university. He dropped out of Reed College after one semester, and he reportedly never was willing to talk to his birth father.

Jobs had a daughter, Lisa, out of wedlock with Chrisann Brennan. He denied paternity for many years, swearing in a court document that he was sterile. Later, he had three more kids with Laurene Powell.

"I've done a lot of things I'm not proud of, such as getting my girlfriend pregnant when I was 23 and the way I handled that," Jobs said in a statement in 2011 to promote his authorized biography.

That youthful indiscretion came before Jobs turned to Buddhism and karma.

'The core values are the same'

The Buddhist scriptures, according to tradition, were transmitted in secret, as were many of Apple's business dealings and Jobs' personal struggles. Like the paranoid secrecy that surrounded product development at Apple, Jobs spurned most reporters' interview requests, misled them in statements he did give, refused to disclose details of his cancer to investors until undergoing an operation and became shrouded in a scandal involving backdating stock options.

By all accounts, he played by his own rules.

Those who disclosed his secrets or whispered about his company were punished or threatened. Apple sued, and eventually settled with, the anonymous young blogger behind Think Secret, which accurately reported on Apple rumors in the early 2000s.

And then there's the story of a lost iPhone 4 prototype, which was purchased and publicized by the blog Gizmodo.

"When this whole thing with Gizmodo happened, I got a lot of advice from people that said, 'You've got to just let it slide,' " Jobs said onstage at a technology convention in 2010. "I thought deeply about this, and I ended up concluding that the worst thing that could possibly happen as we get big and we get a little more influence in the world is if we change our core values and start letting it slide. I can't do that. I'd rather quit."

That stance was repeated this year, with Jobs still as CEO though on medical leave, when another employee left a prototype iPhone 5 in a bar. Apple enlisted the help of San Francisco police to investigate.

"We have the same values now as we had then," Jobs said at the AllThingsD conference. "We're a little more experienced, certainly beat-up, but the core values are the same."

'We're here to put a dent in the universe'

Perhaps the most salient of those values is, simply, to make an outsize impact on society. Or, as Jobs put it, "We're here to put a dent in the universe." However, Apple and Jobs didn't make much of a dent with philanthropy.

"We do things where we feel we can make a significant contribution," Jobs told Businessweek in 2004. "And our primary goal here is ... not to be the biggest or the richest."

To achieve that goal, Jobs was an obsessive micromanager. Part of the reason Jobs' DNA is so ingrained in Apple is because he forced his hand onto so many parts of it. He personally fielded some customer-service requests sent to him via e-mail; he was active in product design, co-authoring more than 300 patents; and he had a hand in the marketing efforts, including the famous Think Different and Mac vs. PC campaigns.

"What is Apple, after all?" Jobs mused to Time. "Apple is about people who think 'outside the box,' people who want to use computers to help them change the world, to help them create things that make a difference, and not just to get a job done."

'Focus and simplicity'

Jobs famously lured John Sculley, the PepsiCo president, to run Apple by saying: "Do you want to spend the rest of your life selling sugared water, or do you want a chance to change the world?" (They had a permanent falling out when Jobs was booted from Apple.)

"What makes Steve's methodology different from everyone else's is that he always believed the most important decisions you make are not the things you do, but the things you decide not to do," Sculley said in a 2010 interview with Businessweek. "He's a minimalist. I remember going into Steve's house, and he had almost no furniture in it. He just had a picture of Einstein, whom he admired greatly, and he had a Tiffany lamp and a chair and a bed. He just didn't believe in having lots of things around, but he was incredibly careful in what he selected."

Restraint, at least in gadget design and interior decorating, was a primary principle for Jobs. Shortly after his return to Apple, he shuttered several divisions and turned his attention to a few key initiatives. Even today, Apple's product lines and revenue are zeroed in on just a few industries in which the company can dominate.

"That's been one of my mantras: focus and simplicity," Jobs told Businessweek in 1998. "Simple can be harder than complex: You have to work hard to get your thinking clean to make it simple. But it's worth it in the end because once you get there, you can move mountains."

He elaborated in the interview with the publication six years later: "It comes from saying no to 1,000 things to make sure we don't get on the wrong track or try to do too much. We're always thinking about new markets we could enter, but it's only by saying no that you can concentrate on the things that are really important."

'Stay hungry. Stay foolish.'

Apple's management team members have each adopted parts of this code.

Jonathan Ive, the industrial-design executive, echoes Jobs' simplicity ethic.

Scott Forstall, the mobile software lead, has apparently inherited some of Jobs' enthusiasm and showmanship.

And Cook, the former operations chief and, by some accounts, current workaholic micromanager, runs the company like he manages his private life: shrouded in secrecy.

However, Cook comes out of his shell in order to impart the ethical standards onto new recruits. He, along with other execs, teaches at Apple University.

Apple University ensures that employees are thoroughly educated on the company's principles and that Jobs' ideals live on. Jobs believed people never stop learning and should voraciously open their minds to new ideas.

Put another way, like in his closing statement to Stanford's graduating class in 2005, "Stay hungry. Stay foolish."

@highlight

Steve Jobs' values were shaped by his upbringing and life experiences

@highlight

"That's been one of my mantras: focus and simplicity," Jobs said in 1998

@highlight

Traversing India sparked Apple co-founder's conversion to Buddhism

@highlight

Jobs on his goals: "We're here to put a dent in the universe"