Washington (CNN)When Supreme Court justices opened the current term in October by declining to take up several gay marriage cases, it seemed they might avoid the blockbuster docket of the past few years.

How things have changed.

By November, the Court accepted yet another challenge to the Affordable Care Act—the signature legislative achievement of the Obama administration. In a matter of weeks, the justices heard arguments concerning pregnancy discrimination in the workplace and the First Amendment implications of threats made on Facebook.

In January, they decided to take up a challenge to gay marriage, and for good measure, also agreed to hear a case regarding Oklahoma's lethal injection protocol.

"The term went from being one of the more uneventful terms in recent years to potentially one of the biggest ones in a generation" says Supreme Court expert Amy Howe who is the Editor of Scotusblog.com.

Here's a glimpse of some of what has been decided, what has been heard and what is to come:

WHAT HAS BEEN DECIDED

Religious freedom in prison: A unanimous Court ruled in favor of the religious freedom claims of Gregory Holt, an Arkansas inmate who wanted to grow a beard in accordance with his Muslim faith, but was blocked by the Department of Corrections' policy that forbid beards except for diagnosed dermatological problems. Justice Samuel Alito wrote the opinion holding that the prison policy violated a federal law designed to protect the religious exercise of prisoners. The Becket Fund for Religious Freedom proclaimed the decision a "huge win for religious freedom" for all Americans. But in a very brief concurring opinion, Justice Ruth Bader Ginsburg, joined by Justice Sonia Sotomayor, distanced the case from last year's Hobby Lobby decision.

WHAT HAS BEEN HEARD

Separation of powers: A 12 year old American boy, born in Jerusalem, is caught in the middle of a significant dispute between Congress and the executive branch. The disagreement began in 2002 when the parents of Menachem Zivotofsky sought to have "Israel" recorded in his passport as the place of his birth pursuant to a federal law passed in 2002.  Sounds simple right? Not according to the State Department, which refuses to implement the law. The executive branch says that because Israeli and Palestinian leaders have long been engaged in a dispute over the status of Jerusalem, it avoids any official act that might be perceived as taking sides. The current policy is to list "Jerusalem" as the place of birth instead of "Israel." The Zivotofskys seek to compel the State Department to follow the law. They argue that Congress has broad power over passports, and that this case is about the identify of a passport holder. A lower court disagreed holding that the law "impermissibly intrudes" on the president's authority to decide whether and on what terms to recognize foreign nations.

Race and redistricting: Recently, conservative Republicans have accused Democrats of using racial considerations improperly in the drawing of legislative maps. Not in this case. Democrats are challenging plans drawn by a Republican-led legislature. The Democrats say the plans packed too many blacks into too few districts. Experts like Richard Hasen of University of California Irvine, say the opinion could offer clues of how much the Court is willing to tolerate race-conscious districting under the Voting Rights Act  "consistent with a belief that all race conscious efforts are subject to close scrutiny."

Facebook and the First Amendment: "There's one way to love you but a thousand ways to kill you." That's one of the messages Anthony D. Elonis posted on his Facebook account after his wife left him. Other postings were so violent that his former wife sought protection and Elonis was ultimately convicted under a federal threat statute. But he's seeking to overturn his conviction. He argues he was devastated after his wife left him and that he turned to rap lyrics as therapy. He says much of what he wrote was similar to the work of his idol Eminem. The case offers the justices an opportunity to clarify the scope of the "true threats" exception of the First Amendment in the relatively new world of social media.

Pregnancy discrimination:  Almost 40 years after the passage of the Pregnancy Discrimination Act, pro-choice and pro-life groups have come together asking the justices to clarify the reach of the law. Peggy Young was working for the United Parcel Service in 2006 when she got pregnant and was told by her doctor not to lift anything heavier than 20 pounds for the first 20 weeks of her pregnancy. She asked her supervisor for a temporary accommodation but was told that UPS did not give light duty for pregnancy. She sued, citing the language of the Pregnancy Discrimination Act (PDA) that says that employers must treat pregnant employees the same as "other persons not so affected but similar in their ability or inability to work." Young said that UPS offered light duty for a category of workers and that she should have been included. UPS argued that it treated Young the same way it treated other employees "with similar lifting restrictions resulting from an off-the job injury or condition" and did not discriminate on account of her pregnancy.

WHAT'S COMING UP

Obamacare: On March 4, the Court will hear a challenge to a section of the Affordable Care Act concerning the subsidies available to individuals who purchase competitively priced insurance from the American Health Benefit Exchanges. As things stand now, 16 states and the District of Columbia have established their own exchanges, while 34 states have opted to have federally-facilitated Exchanges. At issue: who qualifies for the subsidies? The federal government say that ALL qualifying individuals are eligible. But challengers say that the law is clear: only those living in states with state-run exchanges can receive the subsidies. If the Court agrees with the challengers, the ruling could impact more than 5 million people and severely destabilize the entire law. Members of Congress who crafted the law say in a friend of the court brief that  it was "widely understood that the tax credits would be available to all Americans who satisfied the statute's income criteria regardless of where they lived."

Gay marriage: Sometime in late April, the Court will take up whether states can ban gay marriage. Attorney General Eric Holder has vowed to file a brief and urge the justices "to make marriage equality a reality for all Americans." The justices will be reviewing the only recent appellate court decision that upheld state bans. The lower court said in part that the decision should be left to the democratic process. "The people don't get to decide what the Constitution safeguards," says Jon W. Davidson Legal Director of Lambda Legal, "They don't get to vote to violate the Constitution."

Lethal injection: Three inmates are challenging Oklahoma's lethal injection protocol, after the botched execution of Clayton Lockett last April. At issue is the first drug—midazolam-- used in the three drug protocol that critics say violates the Constitution's prohibition on cruel and unusual punishment. Lawyers for the inmates say the drug fails to maintain unconsciousness. In 2008, the Supreme Court found that Kentucky's lethal injection protocol was constitutional, but since then states have struggled to obtain drugs and frequently changed their protocols.

@highlight

Supreme Court term opened by deflecting big cases

@highlight

But that quickly as the Court is poised to decide major issues