(CNN) -- Hillary Clinton answered her critics. North Korea threatened theirs.

As the week comes to an end, here's a look back at these stories and other international news that developed, including a surprising election in Israel and a growing humanitarian crisis in Syria.

Clinton in Benghazi hot seat

At times angry and choked with emotion, Secretary of State Hillary Clinton appeared before two congressional committees Wednesday and answered questions about her department's handling of the attack that killed four Americans, including a U.S. ambassador, in Benghazi, Libya, last year.

While Clinton was mostly calm and composed during the two hearings, which lasted more than five hours in all, she became visibly frustrated when Sen. Ron Johnson, a tea-party backed Wisconsin Republican, said the American public was deliberately misled.

"With all due respect, the fact is we had four dead Americans," Clinton said, banging her hand on the table. "Was it because of a protest or was it because of guys out for a walk one night decided they'd go kill some Americans? What difference, at this point, does it make? It is our job to figure out what happened and do everything we can to prevent it from ever happening."

What did we learn from Wednesday's testimony? Here are five of the key themes, including what Clinton did on the day of the attack.

Clinton also warned of a growing security threat in North Africa, saying there was "no doubt" that weapons from Libya were used in last week's attack on an Algerian natural gas plant.

Which leads to ...

The future of terrorism?

There are still outstanding questions over the Algerian standoff, which resulted in the deaths of at least 37 hostages.

Al Qaeda in the Islamic Maghreb, the North African branch of al Qaeda, has claimed responsibility for the attack. Algeria said the attack was retaliation for letting France use its airspace in its offensive against Islamist militants in Mali.

The question now is whether this was an isolated act of revenge or, as Clinton alluded to, an ominous sign of things to come in the region, where Islamist militants are quickly gaining traction.

One expert believes we might be seeing the future of terrorism.

"Europe has become a difficult environment to conduct large-scale terrorist incidents, and America even more so," said Raffaello Pantucci, a senior fellow at the Royal United Services Institute, a British-based think tank that specializes in defense and security issues. "But at the same time, groups desire to attack Western targets both for ideological reasons and to attract attention to their cause has not diminished. The net result is that they will aim to target Westerners where they can find and reach them."

North Korea's defiant threat

The U.N. Security Council adopted a resolution Tuesday condemning North Korea's recent rocket launch and expanding sanctions against the country.

But North Korea remains defiant, saying it plans to carry out more long-range rocket launches and another nuclear test. It also vowed an "upcoming all-out action" to target the United States, which it called "the sworn enemy of the Korean people." By Friday, South Korea had been threatened as well.

The U.S. envoy to North Korea responded by saying the U.S. would ultimately judge North Korea by its actions, not by its words. Some experts say the U.S. should give up on negotiation altogether and take a tougher stance.

North Korea has conducted two previous nuclear tests -- one in 2006 and one in 2009 -- but analysts say it does not have the technology to mount a nuclear warhead on a missile.

Israel's surprising election

As many expected, Israeli Prime Minister Benjamin Netanyahu and his right-wing party received the most votes in Tuesday's national elections.

But the surprising second-place finish of the centrist Yesh Atid party -- led by Israeli TV personality Yair Lapid -- might convince Netanyahu to form a more moderate government coalition rather than a hard-right bloc. (In Israel's Knesset, coalitions must be built because no single party ever wins a majority of seats.)

"The pundits did not understand what Israeli society was thinking and feeling," said Marcus Sheff, executive director of the Israel Project, an advocacy group. "Instead of the far right, they went to the center. ... They were saying, 'Let's go to those values, the values Israel was established on, liberal Israel, secular Israel, moderate Israel -- an Israel where peace with our neighbors is important but security is also important.' "

The high voter turnout also confounded critics as the Israeli public "turned out to be far more engaged than many had imagined," wrote Josh Block, CEO and president of the nonpartisan Israel Project.

Syria's humanitarian crisis

As many as 20,000 Syrian refugees flooded Jordan this week, according to the nation's foreign minister and refugee officials.

There are now nearly 700,000 people who have fled Syria for neighboring countries, straining resources in places like Jordan, Lebanon and Turkey.

CNN's Ivan Watson visited a refugee camp in Turkey where a U.S. delegation arrived Thursday. He had an exclusive interview with the U.S. ambassador to Syria, who described how the U.S. has given $210 million in humanitarian aid and $35 million to help the Syrian political opposition.

"The assistance is going in," Ambassador Robert Ford said. "It's things like tents, it's things like blankets, it's things like medical equipment, but it doesn't come in big boxes with an American flag on it because we don't want the people who are delivering it to be targeted by the Syrian regime."

Ford said the needs are gigantic and that much more aid is needed, but he stressed that even with help from the U.S. and other countries, "it has to be Syrians who find their way forward."

Other notable stories from this past week:

-- Britain's Prince Harry reveals that he killed Taliban militants during his tour in Afghanistan. He also spoke out for the first time about his notorious Las Vegas trip and the nude photographs that surfaced.

-- People from northern Mali share harrowing stories about the cruel punishments now being inflicted by Islamist militants there.

-- A journalist embedded with U.S. troops in Afghanistan describes how the troops are using a "tough love" approach, stepping back so that their Afghan counterparts have no choice but to assume more responsibility and take over the fight.

-- A 56-year-old British woman caught carrying more than 10 pounds of cocaine in her suitcase has been sentenced to death in Indonesia.

@highlight

This week, Secretary of State Hillary Clinton was grilled on the Benghazi terrorist attack

@highlight

North Korea responded to expanded U.N. sanctions by issuing more threats

@highlight

Israel's election results weren't exactly what the experts were predicting

@highlight

Syria's civil war has prompted nearly 700,000 people to flee to neighboring countries