(CNN) -- After churning through the Caribbean and chugging up the Gulf of Mexico, Hurricane Isaac made landfall over southeastern Louisiana on Tuesday night -- bringing with it sustained winds of 80 mph and torrential, stinging rains.

According to the National Hurricane Center, the storm's center moved over land in Plaquemines Parish at 6:45 p.m. (7:45 p.m. ET) -- one day before the seventh anniversary of Hurricane Katrina, which left nearly 1,800 dead and caused billions of dollars worth of damage along the Gulf Coast.

Isaac's eye then "wobbled westward" and moved back over Gulf waters, and by 10 p.m. CT was centered about 75 miles southeast of Houma, Louisiana -- all while keeping its strength as it lashed those onshore.

Throughout the night, the hurricane center issued advisories indicating that steady hurricane-force winds of 74 mph and stronger were being felt 60 miles out, mostly to the east and northeast of Isaac's eye. Sporadic gusts were even stronger, including a 106 mph wind reading from high up on an oil rig off the southeast Louisiana coast and 85 mph in Grand Isle, Louisiana.

While Isaac is expected to eventually lose steam, that might not happen immediately because much of the sprawling storm will be over water for several more hours.

How to prepare for a storm

Even with more dangerous conditions likely yet to come, the storm already has caused significant surges and flooding in a number of locales, and not just those directly in Isaac's path. Storm surges of 10.3 feet have been reported in Shell Beach just outside New Orleans, and 6.7 feet in Waveland, Mississippi, according to the hurricane center.

These surges likely will get worse, with forecasters predicting water levels to rise between 6 to 12 feet on the coast in Mississippi and southeastern Louisiana alone.

Mississippi state authorities have noted that waters have gone up around the state faster than expected, something Jim Yelverton noticed as he surveyed the Tchoutacabouffa River in Biloxi. He estimated Tuesday afternoon that this river was 6 to 8 feet higher than normal, and at low tide, expressing concerns about even more flooding during high tide Wednesday morning.

"The fact that we haven't had any rain and that we've got six to eight hours before the real fun begins ... makes me nervous," echoed Jon McDougal, another CNN iReporter who documented flooding in nearby Gulfport.

A large swath of the northern Gulf Coast on Tuesday night was experiencing tropical storm conditions, with winds in excess of 39 mph, including parts of Mississippi and Alabama, the hurricane center reported.

Intense rains alone could cause major headaches, and flooding, given Isaac's slow progression.

Having at one point swept through the Caribbean at 21 mph, Isaac's movement slowed Tuesday to 8 mph. It continued creeping northwest at this speed through Tuesday night.

Because Isaac is moving at such a slow clip, CNN meteorologist Chad Myers estimated some residents could experience hurricane or tropical storm conditions for between 24 and 36 hours before the storm finally moves on.

While residents had been feeling its effects for hours, the storm's eye was still 75 miles south-southeast of New Orleans at 10 p.m. Tuesday.

By then, heavy rain had already contributed to significant flooding, including "deceptively deep" water under Interstate 610 at Elysian Fields. But due to the strong winds, barriers aimed at keeping drivers away flailed in the wind.

"Please help us spread word: I610 Underpass at Elysian Fields is flooded. We cannot keep up barricades b/c of wind. Do NOT try to cross," the city said via Twitter.

Mayor Mitch Landrieu said he expected the worst of the storm to hit his city Wednesday morning, bringing with it hurricane-force winds and between 10 and 16 inches of rain. The mayor wrote on Twitter that about 1,000 National Guard troops and more than 2,900 law enforcement officers are in the city ready to address issues related to the storm.

"We're in a hunker down phase now, because this storm could be over us for a while with a lot of wind and rain," Landrieu said in a statement. "Hunker down means hunker down and prepare to ride it out."

Keep a hurricane preparation checklist

Like Landrieu and other local and state authorities, President Barack Obama on Tuesday had urged those in Isaac's path to listen to authorities and stay safe.

"Now's not the time to tempt fate," he said from Washington, after signing an emergency declaration for the state of Mississippi like he had for Louisiana a day earlier. "Now's not the time to dismiss official warnings. You need to take this seriously."

Besides strong winds, Isaac could bring 14 inches of total rainfall in many places, and isolated parts of southeast Louisiana, southern Mississippi, southern Alabama and the Florida Panhandle could get as much as 20 inches, the hurricane center said.

Entering Tuesday, Gulf Coast residents braced for the worst from a storm that has already caused considerable devastation as it headed north from the Caribbean. Haiti's civil protection agency reported at least 19 people in that country died due to Isaac, which after hitting that impoverished nation went on to lash Cuba and the Florida Keys.

Weathering the storm: Links, tips and resources

Trish Powers, a CNN iReporter from Fort Pierce on Florida's east coast, reported that floodwater there is "almost waist deep at some ... points."

"All we can do is wait for the water to recede," she said.

The hurricane's "increasing winds and seas" disrupted a search for a missing man on Tuesday, Coast Guard spokesman Timothy Williams said.

The Coast Guard had been looking off the coast of Pensacola, Florida, for a "missing jet skier" whose wife reported him missing Monday night. Williams said that rescue crews would "temporarily suspend their search efforts until the storm passes and weather conditions become safe enough."

Hurricane Isaac: State by state

Isaac's impact has been felt, and seen, in other ways as well -- including bending trees, drenching roads and knocking down power lines.

Entergy Louisiana, one of many utilities affected by the storm, reported around 222,000 customers without power statewide at 10:12 p.m. CT.

Isaac earlier prompted three airports to close -- in New Orleans; Gulfport-Biloxi, Mississippi; and Mobile, Alabama -- and cancellations of around 1,500 flights systemwide, according to airline and airport officials. In addition, the U.S. Coast Guard announced it has closed major ports along the Gulf Coast and the Mississippi River from Baton Rouge to its mouth because of the storm.

Business in many of the most affected areas came to a standstill because of Isaac. For example, 52 Walmart and Sam's Club stores in Louisiana and nine in Mississippi had shut down by 5:30 p.m. Tuesday, their parent company said.

Amtrak suspended its train service to and from New Orleans on Tuesday and Wednesday because of Isaac. And residents of Plaquemines Parish, located along the Gulf, are subject to a "dusk-to-dawn curfew" because of Isaac, parish officials said.

In and around New Orleans, authorities closed a number of flood protection structures. These included the West Closure Complex -- one of the world's largest pump stations, capable of pumping stormwater at 20,000 cubic feet per second -- said the Army Corps of Engineers.

"There is no evidence of any (water) overtopping (canals)," Landrieu said Tuesday evening. "We have full confidence the levees will hold."

In Mississippi, more than 1,800 evacuees were staying in 33 shelters located in 16 counties as of 9 p.m. Tuesday, according to the state's emergency management agency. More than 80,000 sandbags were given out earlier in the day, and several popular Biloxi casinos closed temporarily.

Disaster dining: Stay safe and stay fed

Shrimpers in Bayou Le Batre, Alabama, were among those who heeded official warnings and hunkered down.

"All the boats are coming. We're anchoring them down and getting ready for this blow, hoping it's not too bad," Dominick Ficarino, the owner of Dominick's Seafood, told CNN affiliate WPMI-TV in Bayou Le Batre.

The Nuclear Regulatory Commission on Tuesday said it was sending additional inspectors to two Louisiana nuclear plants in the storm's path, as power company Entergy planned a "controlled shutdown" of one of them starting Tuesday afternoon.

Isaac is not expected to be as strong as Katrina, which made landfall as a Category 3 storm with 125 mph winds. Even so, the head of FEMA stressed Tuesday that wind speed isn't the only factor to consider when assessing how much damage a storm might cause.

"I know there are a lot of jaded folks on the coast that have been through Camille and then Katrina and think, well, this is just a Category 1 hurricane," said FEMA director Craig Fugate from Mississippi. "The tendency to look at the category of the wind speed doesn't always tell the story of what the impacts will be."

iReporters share Hurricane Isaac photos, videos

Gulf Coast authorities and residents are praying there will be no repeat of the devastation the 2005 hurricane caused after protective levees around New Orleans failed and flooded the city.

Col. Ed Fleming of the Army Corps of Engineers vowed that the system now in place "is the best ... the greater New Orleans area has ever seen."

Jackie Grosch, for one, trusts that the levees will hold this time. The St. Bernard Parish, Louisiana, resident, who rebuilt her home after Katrina, said her family will wait Isaac out -- though they have a generator and life jackets, "just in case."

"I don't know if it's going to be a true test, because they're saying it's not going to be that bad," Grosch said. "But you never know what bad is. We didn't think Katrina was going to be bad either."

Share your photos and videos of Isaac on CNN iReport

CNN's Josh Levs, Greg Botelho, Phil Gast, Ed Lavandera, Anika Chin, Mike Ahlers, Aaron Cooper, Ed Payne, Mariano Castillo, Matt Smith, Dave Alsup and Chelsea J. Carter contributed to this report.

@highlight

NEW: Storm surges of over 10 feet are reported in Shell Beach, Louisiana

@highlight

NEW: Isaac's eye is 75 miles from New Orleans, but the city has been impacted already

@highlight

Around 220,000 Entergy Louisiana customers don't have power

@highlight

The storm may get even stronger as it moves inland, the hurricane center says