Al Qaeda in the Islamic Maghreb may have some leadership vacancies. The reported deaths of two of its most effective, wealthy and ruthless commanders within just a few days would be a major blow to the group that has invested heavily in establishing a stronghold in Mali, beyond the reach of that country's weak government and army.

On Saturday, Chad said its troops deployed in the remote Adrar des Ifoghas mountains in north-eastern Mali had destroyed a jihadist base and killed a number of terrorists, including their leader Moctar Belmoktar. Two days earlier another prominent jihadist -- Abdelhamid Abou Zeid -- was reported killed in the same area.

The Chadian President Idriss Deby and a U.S. official subsequently confirmed his death, but the French have not.  So far only the Chadians have reported the death of Belmoktar. But French officials confirm heavy fighting continues in the area where he was reported killed, and have disclosed that a French soldier has been killed in the operation.

If both Abou Zeid and Belmoktar have been killed "it would be big news," according to Andrew Lebovich, a Senegal-based analyst who recently spent time in Mali, and has long followed the evolution of AQIM.

"It would mean the removal of two very experienced senior commanders," he told CNN.

The Ifoghas are an impenetrable range of peaks, ravines and caves with virtually no human presence beyond the nomadic Kel people -- a Tuareg tribe that raises goats, camels and sheep.

Belmoktar and Zeid, while frequently bitter rivals, had both established camps in the Ifoghas as a precaution against international efforts to rid northern Mali of Islamic militants.

Last week, French military spokesman  Col. Thierry Burkhard said the militants were  "sustained in a region they know very well. They have set up defensive underground positions,  that their members can move between, and they have prepositioned weapons and food depots," he said.

A year in control

A year ago, as the Malian army and government collapsed in the face of a revolt in the north led by Tuareg separatists, the al Qaeda affiliate and other militant groups had moved into the major towns of the north - effectively splitting Mali in two.

Abou Zeid had established himself in  the fabled city of Timbuktu, introducing Sharia law, banning music and forcing women to wear the full veil in public. Belmoktar was seen in and around the town of Gao further east. Both men are -- or were -- Algerians, but had seized new opportunities in northern Mali, enriching themselves with smuggling and kidnapping operations, and taking advantage of their intimate knowledge of the desolate geography of the region.

Abou Zeid's group is thought to be still holding four French hostages kidnapped from a uranium mine in neighboring Niger in 2010.

Belmoktar had reportedly made millions of dollars from smuggling between Mali, Algeria and Libya -- as well as ransoming westerners his group had captured. He was also behind the attack on the In Amenas gas plant in southern Algeria in January, in which more than thirty foreign workers were killed.

The French military intervention in Mali began days before that attack, and was subsequently supported by troops from several west African states. As French forces pushed north and jihadist bases were bombed from the air, hundreds of militants retreated into the desert and mountains. And in the weeks since, much of the military action -- including airstrikes by the French and joint Franco-Chadian deployments on the ground -- has been in and around the Ifoghas.

Some 1,200 French and 800 Chadian soldiers have been sent to the area, gradually tightening the noose on jihadist fighters who had not disarmed and melted into the general population.

Chadian special forces, under the command of the President's son, have proved themselves  effective in the difficult terrain -- no doubt helped by plenty of practice against rebels in remote parts of their own country. (Chadian militia also dealt Libyan forces a resounding defeat in the 1986 after Moammar Gadhafi tried to seize a border area.)

One French official told CNN last month that the Chadians were regarded as the most useful of the west African contingents, which number some 3,000 troops.

But Chad's forces have also taken heavy losses in the Ifoghas campaign. On Friday, the bodies of 26 Chadian soldiers were returned to the capital in a ceremony attended by President Deby.

Leadership vacuum

Neither Belmoktar nor Abou Zeid sat at the top of AQIM's hierarchy in North Africa but they became the two most powerful al Qaeda figures in the sub-Sahara.

Both commanded potent  "Katiba" or brigades of fighters intensely loyal to them. Abu Zeid was promoted to a deputy leadership position in the Sahara several years ago by AQIM's Emir Abdelmalek Droukdel out of concern that Belmoktar was growing too strong.

The Sahel countries of Mali, Mauretania and Niger became the new center of gravity for  AQIM as Algerian security forces degraded the group in its traditional heartland. Droukdel - isolated and marginalized - struggled to exert control over his southern commanders.

In an effort to restore his influence, Droukdel  appointed  a loyalist -- Jemal Oukacha (also known as Yahya Abou el-Hammam)  -- as the overall commander of AQIM in the Sahara last autumn.  He also sent an envoy to northern Mali to announce that Belmoktar had been relieved of his command.

But although El Hammam was a ten year veteran of jihad, he is from the north of Algeria and according to analysts has wielded nothing like the influence of Belmoktar or Abou Zeid, who counted criminal kingpins, corrupt politicians and military officers among their contacts.

El Hammam was designated as a terrorist leader by the U.S. State Department two weeks ago. It said that previous to his appointment as the Saharan emir "Hammam led another AQIM element whose members operated in Northern Mali. In that capacity, he participated in several attacks launched on behalf of AQIM in Mauritania."

"As of late 2011, El Hammam reportedly had possession of multiple European hostages," the designation added.

Belmokar responded to his effective "firing" by Droukdel by setting up a new commando unit called "We Sign with Blood."  One of his close associates said he was setting up his own franchise of al Qaeda which would report directly to al Qaeda leader Ayman al Zawahiri. He vowed attacks against Western interests if the international community moved against jihadists in northern Mali.

Before the bloody conclusion of the siege at In Amenas, he recorded a tape demanding the release of two prominent Jihadists from U.S. prisons.   It appeared to be a calculated bid to raise his profile and popularity amongst jihadists worldwide -- and a shot across the bows of Droukdel.

The operation was not without cost for Belmoktar. Several of his most experienced deputies were killed in the attack. Analysts tell CNN he either felt strong enough to risk losing them or the stakes were such that the operation was a necessity.

Teh hostage attack was launched across from Libya. Both Belmoktar and Abou Zeid made trips to Libya after the fall of Gadhafi and established a network of contacts there. If they have been killed, analysts say it will set back Al Qaeda's ambitions in Libya.

Lebovich told CNN that if both senior commanders have been killed it will likely set back efforts by jihadists to wage a campaign of guerrilla warfare against the French and their allies.

But recognizing the scale of the mission to restore Mali's territorial integrity, French officials have indicated that some troops would stay in the country at least until July. France had been hoping to withdraw the majority this month.

And it's clear that Islamists groups are far from raising the white flag in parts of northern Mali. Another faction - the Movement for Unity and Jihad in West Africa or MUJAO - remains active around Gao, where there have been several suicide bombings. The local government headquarters was seized by militants for several hours on February 21st, provoking a long gun battle with French and Malian troops. The fighting virtually destroyed the town's market.

MUJAO appears to have had close ties to Belmoktar.

And Tuareg Islamist leader Iyad ag Ghali -- leader of the group Ansar Dine -- also remains at large.

If Belmokar and Abo Zeid are gone, there may be one compensation for AQIM.  Droukdel  and his deputy al-Hammam may be able to wrestle back control of al Qaeda operations in the Sahara.

In a letter Droukdel wrote last year and which was found by the Associated Press in Timbuktu last month, AQIM's leader criticized his subordinates in northern Mali for trying to introduce Islamic law too quickly in the  region and for imposing harsh punishments which he said jeopardized their whole project. "Your officials need to control themselves," he wrote.

"It is very probable, perhaps certain, that a military intervention will occur ... which in the end will either force us to retreat to our rear bases or will provoke the people against us," he wrote.

His prediction was accurate. Now he has to deal with the consequences of AQIM's over-reach in Mali.

@highlight

If both Abou Zeid and Belmoktar have been killed "it would be big news," analyst says

@highlight

They became the two most powerful al Qaeda figures in the sub-Sahara

@highlight

If confirmed, their deaths would likely set back efforts by jihadists to wage a campaign of guerrilla warfare against the French