(CNN) -- Starting February 25, more than 65,000 people are expected to descend on Barcelona, Spain for Mobile World Congress (MWC): a trade show for the mobile industry to show off its latest phones, tablets, apps and services.

It's the biggest show for mobile technology, and as mobile is so hot right now, it's arguably the most important show in tech overall. Most companies use it as the platform to set out their agenda for the year and give us a taste of the innovations we can expect to see, but there's a more practical reason why this show matters so much to the companies exhibiting there.

There is a brutal war going on right now for new smartphone and tablet customers, with Samsung and Apple winning. According to research firm IDC, Apple and Samsung now have more than half the worldwide smartphone market between them. That makes it vital for all the other major hardware players to have a good MWC, or risk irrelevance.

Here's what I'm expecting to see:

Better camera phones

Photography will be a big theme of Nokia and HTC's launches. Nokia generated the biggest buzz at last year's MWC with its PureView camera phone, a model with an unbelievably high 42-megapixel camera sensor. CNET reviewed it after the show was finished, and we loved the camera, but found the Symbian operating system it ran lacking.

This year, Nokia watchers are hoping it will put the same camera technology on a Windows phone, which should make it a much more compelling product. The Windows phone platform could certainly do with that sort of boost -- so far, sales haven't exactly set the world alight.

HTC also really needs a hit right now, and it's taking no chances by holding its MWC press conference a week before the show actually starts to make sure someone else's shiny gadget doesn't blast it off the news agenda. To tease its announcement on Tuesday 19, the company has released an infographic called "a brief history of photography". It doesn't give much away, but the inference is that phone manufacturers have been focusing on increasing the number of megapixels in camera phones, rather than picture quality. We'll know more very shortly.

Bigger screens

Large screens are set to dominate: if leaked pictures of various handsets are to be believed, many vendors will be showing off phones with 5-inch screens with a 1080p resolution -- the same number of pixels you get on a high-definition TV.

Even a 5-inch screen isn't enough for some people. Samsung single-handedly created a new product category, the "phablet," in 2011 with its Galaxy Note. This phone/tablet hybrid combines a near 6-inch screen with a pen and has sold in the millions. Everyone is going to want a piece of this action at MWC.

A game-changing tablet?

One product area I'm hoping will see some development at MWC is tablets. No one has made the perfect tablet yet: the iPad is a great product, but it's limited and I find myself having to use a computer to perform certain tasks. Windows 8 tablets are interesting and experimental, but no one has nailed it.

The field is still wide open for a company to create a single product that can replace a traditional laptop and an iPad-style tablet. Nokia is working on one, although I doubt it will reveal it at MWC. Samsung used last year's show to show off tablets operated with a pen, so we'll probably see some more of those. But I'm keeping my fingers crossed for a smaller player, perhaps a company like Asus, to show the rest of the world how it should be done.

Mozilla's mobile OS

Speaking of smaller players, Mozilla, makers of the Firefox web browser, is creating a mobile phone operating system and is expected to show off the hardware it will run on at its press conference.

I'm not sure the world needs another mobile operating system: if Microsoft is struggling to get traction with Windows Phone against the might of Apple's iOS and Google's Android, what chance does Mozilla have? But for gadget fans like me, it's always good to have something new to talk about.

On the services side, I'm going to be looking for anything that takes advantage of the 4G internet connections that are slowly being rolled out across Europe. The promise of the speed 4G offers is that our phones will be able to do many more things. But so far, companies have had difficulty saying what they actually will be, beyond faster web browsing and downloading video.

A couple of things we won't see: Samsung won't unveil a successor to its wildly popular Galaxy S3 at MWC. That will come at its own dedicated event later in the year so it can maximize the chatter around it. And although we will hear a lot about apps for Apple's iPhone, Apple itself won't exhibit.

Here comes Huawei

My final tip is to watch out for Huawei. You might not see them much in phone shops, but the Chinese mega-corp wants to dominate the Western market. IDC put Huawei as the number three in the world in terms of smartphone shipments.

At CNET, we've seen interest in the brand increase by over 800% in a year, based on our internal data, as it released a series of cheap Android phones that were actually rather good. MWC will see it try and build on that success and expand into the high end. It might just work.

The opinions in this commentary are solely those of Jason Jenkins.

@highlight

Mobile World Congress (MWC) is the year's biggest trade show for the mobile industry

@highlight

Most companies use it as the platform to set out their agenda for the year

@highlight

There is a brutal war going on for new smartphone and tablet customers

@highlight

Jenkins: Major hardware players must have a good MWC or risk irrelevance