Washington (CNN) -- Jack Germond, the cantankerous political journalist whose brand of shoe-leather reporting made him a legend of the form, died on Wednesday.

He was 85.

Germond died "peacefully and quickly," having just completed a novel, his wife, Alice, wrote in a note to friends.

"He lived a marvelous, full and well loved life," she wrote, adding: "To his many friends, he appreciated the great company, story, scoop, competition and laughter. He fit his life and times so very well. I love him and it's been great."

Germond was a fixture on the national political scene in print and broadcast, including for CNN, as a political analyst beginning in the 1990s.

A longtime newspaperman, the Boston native began covering national politics with the 1960 presidential election that saw John F. Kennedy enter the White House.

He spent 20 years with Gannett Newspapers, the final four as Washington bureau chief.

He came to embody the persona of a grizzled, ink-stained campaign reporter, and was one of the "Boys on the Bus" featured in Timothy Crouse's 1973 book detailing life on the presidential campaign trail.

In interviews, Germond fondly recalled covering politicians and candidates from the ground - including getting to know the subjects he was following over dinner and drinks.

"In the old days, journalists got to know politicians better than they do now," he told People Magazine in 2001, describing a bygone era of occasionally meeting candidates over steak dinners, vodka martinis and late night poker games.

"Jack's appetite was legendary -- for news, for stories, for food, and for washing it down," CNN Chief National Correspondent John King remembered on Wednesday.

Germond came to embrace the hard-charging reputation, as well as the girth that lifestyle produced, in memoirs with the titles "Fat Man in a Middle Seat: Forty Years of Covering Politics" and "Fat Man Fed Up: How American Politics Went Bad."

"I think he was a great reporter. I know he was a hearty eater, and the good conversation as important as the food," his wife wrote in her note. "And yes, he enjoyed extending an evening. He had a bold journalistic ethic, and that matters."

He worked for eight years with The Washington Star and, after the Star folded in 1981, moved on to the Washington bureau of The Baltimore Sun.

With Jules Witcover, he wrote the syndicated "Politics Today" column for more than two decades, and he was a regular on the political panel TV show "The McLaughlin Group" in the 1980s and 1990s.

"For Jack Germond, covering politics was a calling, a passion, a profession and a full-time pastime," said Ken Bode, a former national political correspondent for NBC News and a former senior correspondent at CNN.

"On the road, he was the best company -- a couple of pops, a steak and an evening of swapping stories. Jack had an extra political gene that enabled him to recognize the rogues of the political world, but he had just as much fun covering the rascals as he did the serious people," he said.

But as technology assumed a larger role for journalists - and campaigns began to restrict access to candidates - Germond grew less and less enthusiastic about the national political scene.

"Journalism was a great way to make a living," he told People. "It was fun. Nowadays, reporters drink white wine and eat salads. They go to their rooms, transcribe their notes and go to the gym. We never did that."

King recalled that Germond had a "visceral disdain for cell phones and Blackberries and reporters who spent more time with their 'toys' than wandering the back rooms of events talking and listening."

Yet Germond was also known for encouraging new journalists as they joined the pack of political reporters following candidates.

He gave CNN Chief Political Analyst Gloria Borger her first job in journalism at The Washington Star, where he was managing editor.

"On the campaign trail, he always took newbie reporters under his wing, and traveling with him on campaigns was a joyous way to learn American politics," Borger said. "He loved his job and elections and reporting, and it showed in every column he wrote and every TV appearance he made."

King also described a man willing to encourage a new generation of campaign reporters, describing an evening at the bar of the Sheraton Wayfarer in New Hampshire while covering the state's first-in-the-nation presidential primary.

"I was 24, my first presidential campaign, and had spent the night in awe listening to Jack and (fellow reporter) Walter Mears tell old stories of Kennedy and McGovern and Reagan," King said. "'You're going to do OK kid,' he said as he shuffled off to his room -- the inference being if you can close the bar with that crew you had made the right career choice."

Candy Crowley, now CNN's chief political correspondent, said she first saw Germond "in a temporary White House press room in a hotel somewhere."

"I called a friend and said, 'I can't believe it. I'm in the same room as Jack Germond,'" Crowley said. "He was already a legend. I was new to everything and it seemed to me that Jack knew everything."

"I saw him many times after that in press rooms or in Iowa or New Hampshire," she continued. "So many people describe him as a curmudgeon, a tough journalist with no patience for BS, particularly from politicians. He was all that, but the Jack I knew had a twinkle in his eye and was consistently sweet and kind to me. I was in awe. I still am."

People we've lost in 2013

CNN's Kevin Liptak contributed to this report.

@highlight

Germond's wife says he died peacefully Wednesday

@highlight

The legendary reporter covered politics for more than 50 years

@highlight

Among his books was "Fat Man Fed Up"