Sudlersville, Maryland (CNN) -- When the wind blows the wheat and the corn stalks glisten in the bright sun, it is easy to see why the Schmidt family has farmed Maryland fields for nearly a century.

Hans Schmidt is a third-generation farmer. Ever since he can remember, he has gotten cash payments from the federal government to help manage the risk of farming.

"My grandfather emigrated here from Germany, so that's when the farm started. We started with one farm, and as the years grew, my dad and uncle expanded the operation, and now today my brother and I are running the operation," Schmidt said, standing between the house he grew up in and the fields where he played as a child.

He calculates that the checks he gets from Uncle Sam average about $35,000 a year for his 2,000 acre farm, even in good times when he doesn't need it.

But for Schmidt and more than 1 million farmers across the country, that could soon come to a screeching halt.

Farm bill is set to reduce U.S. deficit. Does it add up?

The Senate is debating a farm bill that would end those payments, which have been in place in one form or another since the Great Depression.

The legislation was put together by Senate Agriculture Chairwoman Debbie Stabenow, a Democrat, and Sen. Pat Roberts, the top Republican on the committee.

They sat down at the committee table and worked together -- a rare act of real bipartisanship in otherwise polarized times.

"We have developed, I think, a wonderful working relationship, friendship, respect for each other. Pat came to Michigan; I went to Kansas," said Stabenow, sitting with Roberts at the table where they negotiated the bill.

"We had a chance to meet growers, great university researchers in both of our states to see the individual challenges of our states. And when you can get past all the, you know, just all the potshots and the partisanship and really listen to each other and talk to each other, that's how you get things done," Stabenow said.

"People say back home all the time whether it's Michigan, Kansas, any state, 'Why can't you folks get along back there and do something instead of spinning your wheels and pointing fingers,'" Roberts said.

The result of the bipartisanship: deficit reduction.

According to the Congressional Budget Office, the farm bill will cut $23.6 billion in spending over 10 years.

"$23.6 billion to the deficit. Now some people think that's not enough. Some people think that's too much. But we voluntarily came forward. The super committee didn't do that. No other authorizing committee has done that," Roberts said.

How did they do it?

First, they went through the massive farm bill and cut out some antiquated and duplicative programs -- the kind of government waste that makes voters go berserk.

For example, the federal government pays some farmers for crops they haven't grown in decades.

"If you had cotton 20 years ago or wheat 20 years ago, you could still get a payment for that today. So we're not going to pay for things you don't grow anymore," Stabenow said.

And the senators say they would save $15 billion and fundamentally change farm policy in the United States by doing away with direct payments to farmers, replacing them with taxpayer subsidized crop insurance.

"We eliminated four different agriculture subsidies and instead have moved to risk management so we'll support farmers and ranchers when there's a loss, where there's a weather loss, it's a price loss, through crop insurance, through other things where the farmer has some skin in the game," Stabenow said.

Stabenow and her Republican partner have their critics.

"Unfortunately, it seems that Congress' idea of farm bill reform is to eliminate one subsidy program only to invent a new one to take its place," Sen. John McCain said on the Senate floor Friday.

Watchdog groups warn the savings may not last because the crop insurance has no caps, and in bad crop years, the cost to taxpayers could explode.

The authors scoff at that.

"It is cut. It is a deficit-reduction cut. Now it is true we all have a stake in making sure that farmers during bad weather -- we have had a horrible situation in Michigan now, where cherries and apples and grapes and peaches have been hit because of weather situations. We want to make sure they don't lose the farm," Stabenow said.

Roberts added that in times of drought, flood or other forces of nature that hurt farmers, Congress generally passes disaster relief bills that cost billions and are bureaucratic nightmares. He argues that crop insurance would avoid that.

"You would have to pay far more in these disaster programs, as opposed to a crop insurance program where a farmer can depend on it and a lender can depend on it, and it's over the long term," Roberts said.

Leslie Paige from Citizens Against Government Waste also criticizes the senators for not cutting more from the nearly trillion-dollar farm bill.

"I find Stabenow's mantra of huge savings laughable. That is a pittance. We could easily take $100 billion out of all these programs and not impact anyone negatively," Paige said.

Back at the Schmidt farm, Hans Schmidt says he is all right with losing checks from the government he doesn't always need.

"I'd be happy to give up those subsidies if it's going to help our country get its fiscal responsibilities back in order," he said.

But he calls new subsidies for his crop insurance critical, since farming is so unpredictable.

Last year, for example, he produced 35 bushels per acre, far below the 150 bushel goal.

"If we didn't have the crop insurance, then it's going to take, it takes three, four, five years of good years to make up for that one loss," Schmidt said.

Even now, a good year, there are always problems brought by Mother Nature beyond the farmers' control.

"If we sell it at high moisture, then they deduct the price because of the cost of drying it down," Schmidt said.

Critics of the farm bill also say it has too much pork, but not the kind you think of when you think farming. This is the government waste kind of pork -- mostly in the form of popcorn.

Popcorn growers slipped in a provision making sure they, too, get government help with crop insurance.

"The price of popcorn has risen 40% in recent years," McCain said on the Senate floor in front of pictures of popcorn buckets.

"There isn't a kernel of evidence that they need this subsidy," he said, appearing to enjoy his pun.

Stabenow and Roberts offered no apologies.

"I guess I would call it a specialty crop. And there is demand for it; just go to the movies or any place at home," Roberts said.

Any bipartisan effort will invite criticism from both sides of the aisle, and this one is no different.

Some Democrats, the party in charge in the Senate, are livid because they say cuts go too deep for people who need it most.

Of the savings, $4.5 billion comes from cuts to the food stamp program.

"These kinds of cuts, they hurt children, they hurt families," Sen. Kirsten Gillibrand said earlier this week on the Senate floor.

Stabenow responded that they're only cutting waste and fraud. For example, more than a dozen states use federal food stamp subsidies to give a dollar home heating credit for people who do not have a utility bill.

"That's where we're saving dollars, and we've done it in a very cautious and strategic way that brings integrity and accountability to the system but does not in any way affect the benefit structure," Stabenow said.

Still some ask why farmers need any government help at all, especially since lately agriculture is one of the few sectors of the economy making huge profits.
"We all have to eat, and when you look at it, agriculture's one of the largest to trade surpluses we have and we can grow safe, affordable food here in this country. And I don't think we can jeopardize that," Schmidt said.

@highlight

Democratic and Republican senators say trimming subsidies could save $23.6 billion

@highlight

Feds pay some farmers subsidies for crops they haven't grown in years

@highlight

Critics say proposal could end up costing more than current system

@highlight

Others say food stamp cuts in bill would hurt those who need help most