(CNN)  -- The U.S. Supreme Court has upheld an incontestable verdict on the conduct of the major cigarette companies over four decades: They are racketeers who carried out a conspiracy to deceive the public and target children with their deadly and addictive products.

The court on Monday declined to accept appeals from either side in the massive case that began when the Department of Justice filed suit against the tobacco companies in 1999.

Although the Obama administration and public health groups failed to persuade the justices to reconsider earlier rulings that limited the financial penalties and remedial measures the trial court ordered, the Supreme Court left intact the trial court's damning judgment: The tobacco industry has illegally profited from selling products that cause disease and death.

The Supreme Court's decision puts the responsibility squarely on elected officials to eliminate the tobacco industry's harmful influence and take effective action to protect the nation's health.

Congress and the Obama administration should fund a national public education and stop-smoking campaign, and the Food and Drug Administration must effectively exercise its new authority to regulate tobacco products.

State officials must redouble efforts to implement proven tobacco-control measures, including higher tobacco taxes, comprehensive smoke-free workplace laws and well-funded prevention programs.

The case stemmed from U.S. District Court Judge Gladys Kessler's landmark 2006 decision that found the cigarette makers guilty of violating civil provisions of the Racketeer Influenced and Corrupt Organizations Act (RICO).

Kessler found that they had acted illegally when they "lied, misrepresented and deceived the American public, including smokers and the young people they avidly sought as 'replacement' smokers, about the devastating health effects of smoking and environmental tobacco smoke."

The companies, Kessler concluded, "have marketed and sold their lethal products with zeal, with deception, with a single-minded focus on their financial success, and without regard for the human tragedy or social costs that success exacted."

In short, they perpetrated the deadliest consumer fraud in history. And, Kessler found, they continue their deceptions to this day. The tobacco industry spends nearly $13 billion annually -- $35 million every single day -- to market its deadly and addictive products, often in ways that appeal to kids.

As smoking rates have declined and restrictions on smoking have multiplied, the industry has introduced new smokeless tobacco products and significantly increased marketing for them. Some of these products look like candy, are flavored like candy and have colorful packaging like candy. They are easily concealed in settings such as classrooms.

Even as the FDA begins to exercise its new authority over tobacco products, the industry concocts new schemes to thwart the regulations.

Tobacco companies have sought to evade the new ban on deceptive "light" and "low-tar" labels by introducing lighter-colored packaging for light brands and switching to terms such as "gold" and "silver" to replace "light" and "ultra-light." The color-coded packs seek to perpetuate the falsehood that some cigarette brands are less harmful than others.

Each time state and local governments consider smoke-free workplace laws, the tobacco industry recycles baseless arguments against these measures, which are proved to protect health.

Every time states consider raising tobacco taxes -- a proven way to reduce smoking, especially among teenagers -- the industry seeks to manipulate public opinion with bogus claims and calculated alliances with less controversial political groups.

For example, in Georgia this year, Philip Morris promoted a rally that ostensibly was organized by anti-tax organizations. Big Tobacco's role was exposed when the Atlanta Journal-Constitution discovered this fine print at the bottom of a rally invitation: "Paid for by Altria Client Services on behalf of Philip Morris USA."

These continuing actions make it urgent for the trial court to impose the remedies first ordered in 2006.

They include requiring the tobacco companies to make corrective statements about the health risks of smoking and secondhand smoke and their deceptive practices. These statements must appear in newspaper and television advertising, on the companies' Web sites and on cigarette packaging.

The trial court also ordered the tobacco companies to report marketing data annually to the government, demanded public disclosure of more internal documents and prohibited the companies from committing acts of racketeering or making false, misleading or deceptive statements about cigarettes and their health risks.

Tobacco use is the nation's leading cause of preventable death, claiming more than 400,000 lives and costing $96 billion in health-care expenditures each year. Elected leaders can no longer stand idly by while the tobacco companies continue to engage in unlawful activity and harm public health.

The opinions in this commentary are solely those of Matthew Myers.

@highlight

Matthew Myers: High Court upholds racketeering ruling on Big Tobacco, which lied to public

@highlight

Myers says it's time to fund education and stop-smoking campaigns

@highlight

Tobacco industry spends $35 million daily to market its deadly products, Myers writes

@highlight

Big Tobacco undermines laws to control it, he says, so it's urgent to impose remedies