(CNN) -- While officials have provided few details about the U.S. Army soldier accused of killing 16 Afghan men, women and children in a house-to-house shooting rampage in two villages, one psychiatrist speculated the incident may have stemmed from mental illness, but not necessarily post-traumatic stress disorder.

"Post-traumatic stress disorder has a cluster of symptoms, and violence, or violence against, others is not usually considered part of that diagnosis," said Paul Newhouse, a professor of psychiatry at Vanderbilt University and a former Army psychiatrist. "So I think it's more likely that we're going to discover that there was some either psychotic illness or delusional condition or some evidence that this person was more seriously deranged or impaired than we would typically see in PTSD."

An Afghan soldier at the combat outpost spotted the staff sergeant leaving about 3 a.m. Sunday and notified American commanders, said Gen. John Allen, commander of NATO's International Security Assistance Force. A head count verified the solder was missing, and a search party was assembled, but "it was as that search party was forming that we began to have indications of the outcome of his departure."

Afghans approached the gate to the outpost, saying there had been a shooting and carrying their wounded, according to a senior Defense Department official. The death toll included nine children, three women and four men.

Officials have not identified the suspect or provided many details about him.

The suspect "basically turned himself in and told individuals what had happened," Defense Secretary Leon Panetta said Monday. However, the Defense Department official said the suspect has invoked his right to remain silent and has given no indication of his motive.

The soldier was assigned to the 3rd Stryker Brigade Combat Team, 2nd Infantry Division, stationed at Joint Base Lewis-McChord near Tacoma, Washington, according to a congressional source not authorized to speak publicly.

He is in his mid-30s, with a wife and children, officials said. An infantry sniper, he was trained to hit to kill at about 800 meters, according to the defense official.

He was assigned to an outpost near the southern Afghan city of Kandahar to support a Special Forces unit, according to a military official who asked not to be named because of the pending investigation.

He served three tours in Iraq, but this was his first deployment to Afghanistan, Allen said. A U.S. military official said he arrived in Afghanistan in January.

During his last deployment in Iraq, in 2010, he was riding in a vehicle that overturned in a crash, and was diagnosed with a traumatic brain injury, according to the defense official. However, after treatment he was determined to be fit for duty.

Newhouse discounted the possibility that the injury could have played a role in the incident.

"I think that his injury was probably not very significant and thus he was judged to be fit for duty," he said. "I think we're going to learn over the next few weeks or months that this was probably unrelated to this incident."

He also deemed it unlikely that the soldier suffers from a personality disorder.

"A sociopath or a psychopath is somebody who isn't going to fit into the rules of something like the U.S. military, and that kind of person would have been likely drummed out or released from the military many years ago," he said. "I understand this individual was, had been, in the Army for quite some time, so I think a better likelihood is that this person suffered from some severe illness or mental illness that may have come on more recently and perhaps is linked to this terrible incident."

The soldier was put in pretrial confinement in the southern Afghan city of Kandahar, about 15 miles from the outpost where he was stationed, said the congressional source. He has not been charged, but Panetta said he could face the death penalty.

Military officials have said evidence indicates the suspect acted alone.

After the shooting, the suspect's family was moved onto Joint Base Lewis-McChord for their safety, the defense official said.

The soldier's medical history will be part of the investigation, which is being handled by U.S. military authorities, Allen said.

Newhouse compared the shootings to mass killings seen in the United States, at Virginia Tech and in Tucson, Arizona. Individuals accused in those incidents "turn out to have given off a lot of signals of mental illness or severe disturbance before the incident, and I think that's where I would be starting my investigation or my inquiry," he said.

"I think we are in a new situation for the U.S. Army over the last few years, because we are now having a professional army with multiple deployments, multiple tours in the combat zones, and this is something the Army has really not had a lot of experience with until the last decade or so," Newhouse said.

In previous engagements, soldiers typically had a single deployment, he said, adding that military officials are attempting to figure out appropriate mental health services for troops after multiple deployments.

A handful of soldiers from Joint Base Lewis-McChord have been involved in violent incidents in the past few years, including four soldiers convicted of killing Afghan civilians in 2010 as part of a "kill squad."

The forensic psychiatric review process at the base's Madigan Army Medical Center is being reviewed. Western Regional Medical Command said last week that some 285 soldiers who were evaluated at Madigan since 2007 will be asked to undergo a second evaluation.

In December 2010, the Stars and Stripes military newspaper said Lewis-McChord had gained a reputation as "the most troubled base in the military." It also reported that year that multiple investigations were under way into the conduct of troops at the base and the adequacy of the mental health and medical care soldiers were receiving upon their return home.

CNN's Barbara Starr and Deirdre Walsh contributed to this report.

@highlight

Officials say the suspect was on his fourth deployment

@highlight

He suffered a traumatic brain injury in 2010 in Iraq but was cleared for duty

@highlight

Psychiatrist: It's unlikely the solder was suffering from post-traumatic stress disorder