(CNN) -- Maria Isabel Garcia doesn't get as many angry reactions to her work as she used to. For over ten years she has been one of the Philippines only science writers in a national newspaper, and during that time received her fair share of disparaging comments from readers in the devoutly Catholic country.

Yet as the curator of The Mind Museum, the Philippines first modern, purpose-built science museum, her work now is a lot more palpable and potentially contentious than her newspaper column.

"So far I've had a few individuals with their own personal opinions on why we're not showing God at the same time we're showing the atom or beginning of the universe," she said.

"We explain that would be illogical in a science museum and they kind of concede and understand. Or at least I think they do."

After five years of planning, the 8,000 square meter purpose-built museum opened last month in an upscale, redeveloped area of Manila that would not look out of place in Singapore or San Francisco.

Divided into five interlinked galleries, from "The Atom" all the way to "The Universe" and everything in between (described by Garcia as "nature in scale"), the aim is to make science more accessible and inspiring to a new generation.

Around 60% of children in the Philippines enroll in high school, but just 1% of those in their final year receive qualifications in math and physics, according to a 2008 report from the International Association for the Evaluation of Educational Achievement.

"It's not secret, the Filipino public largely perceive science as very cold and should be left in labs, but science is too important to leave to scientists alone," said Garcia.

"In terms of concepts I made sure they are very fundamental. If we show nano-tech right away without telling the public that everything is made up of atoms they won't really get it."

Garcia's concepts were turned into 250 exhibits made by local artists in consultation with scientists. The fusion of art and science came with its own unique dynamic.

"I always told the artists making the exhibits 'You have to be correct first before you can be beautiful.'"

One artist wanted to move Hydrogen to the other side of the Periodic Table because he thought it looked lonely, while the hominids were made through email correspondence with a paleoanthropologist in France; the world's three recognized makers of cavemen were too expensive to bring in.

The result is a lively, interactive museum with touches of Garcia's humor. Regularly displayed around the museum's open-plan two-floor interior are signs reminding visitors to read the signs: "Reading is what makes humans unique. Please help us prove this every day."

Stuffy-sounding museum guides have been rebranded as "Mind Movers" ("the coolest geeks in town," says Garcia) whose job is to explain exhibits like the hominids and answer questions from the public.

"What surprised me was the surprise of the public that evolution makes sense," said Garcia.

"When our Mind Movers tell visitors about evolution they do understand and will say, 'That's it?' It is a big challenge, but it's not that our people are so unaccepting."

Send in your images and video from the Philippines

Raising money for a shiny new science museum in a country where over 30% of the population lives below the poverty line was another challenge. With no government funding, the not-for-profit operation enlisted the support of foundations and backing from businesses to raise the 1 billion pesos ($23.5 million) for the cost of the project.

"We were so new to fund-raising and that we didn't really realize we were asking for such huge amounts," said Manny Blas, the Mind Museum's director.

Together Blas and Garcia make up the odd couple of popular science -- "I make the money, she spends it," quips the laconic Blas -- and while Garcia has devoted her life to science, Blas is as well-versed in the gospels as he is corporate life. He holds a masters degree in theology and was the Southeast Asia president of U.S. food corporation Sara Lee for Southeast Asia until 2000.

Compared to Garcia, he takes a more charitable view of the teaching of science in the Philippines but realizes more needs to be done to inspire the next Philippine Faraday.

"(Philippine students) don't score that well in sciences, we are one of the lowest internationally, and while we don't think the science museum will help solve that problem we think it's a step in the right direction.

"We do want to make an impact and show that science isn't something that should threaten you but should excite you and hopefully inspire Filipinos to take up science, engineering, technology and be an inventor in the future."

@highlight

The Mind Museum is the first modern science museum in the Philippines

@highlight

Houses 250 interactive exhibits made by local artists and scientists

@highlight

Challenge to popularize science and scientific ideas in devoutly Catholic country

@highlight

Only 1% of high school students in the Philippines graduate with math and physics