ATLANTA, Georgia (CNN)  -- I'm the mother of two daughters, a teen and a tween. So every day, I tiptoe through hormonally laced minefields hoping to avoid emotional carnage in response to any of my random comments or actions.

The cervical cancer vaccine, approved in 2006, is recommended for girls around 11 or 12.

As I tiptoe, I sometimes stumble, as any mother of girls that age knows. No adult woman in her right mind would knowingly, willingly utter comments that result in young people hissing, hurling verbal grenades such as, "Thanks, Mom, for calling me fat, AGAIN." Or "Are you EVEN listening to me?" Or any version of the very popular, "I hate YOU," "I hate you SO much," "I hate this family," or just plain "AAAARRRRGGGHHHHH!" followed by stomping feet and slamming doors.

So given this background, you might understand why, when I chose to broach the subject of the latest vaccine for young girls, I was braced for a fight. Oddly enough, for once, the battle didn't come.

I told my teenage daughter I wanted her to get the HPV (human papillomavirus) vaccine the next time she went to see her doctor.

"I don't want to."

"Well, sorry. You have to."

"I heard it hurts."

"Well, that's too bad. But it might prevent you from getting cancer later in life."

"Oh. (pause) OK."

If you were keeping score, you might chalk that one up as a Mom win.

The only problem with that is after winning over my daughter, I now had to convince myself. This drug has its own emotional battlefields.

The HPV vaccine has been available to the public for almost two years. When Merck launched it in 2006 under the name Gardasil, many people enthusiastically embraced it as a wonder drug. Dr. Kevin Ault, associate professor of gynecology and obstetrics at Emory University's School of Medicine, says the vaccine helps women avoid an assortment of ailments, some not too serious, but others that are potentially deadly.

"There are about 100 different types of human papillomavirus," he said. "Some of them are pretty common and not dangerous, like plantar warts or warts on your hand. About 30 of them infect the genital tract, and about a dozen of them are associated with cancer."  Health for Her: Watch more the HPV vaccine and girls »

In this case, the cancer Ault is talking about is cervical cancer.

The National Cancer Institute estimates that in 2008, there will be over 11,000 new cases of cervical cancer diagnosed and almost 4,000 women will die from it in the United States. The U.S. Food and Drug Administration says that at least 50 percent of people who have had sex will have one type of HPV at some time in their lives.

Given those stats, this vaccine would seem like a pretty good thing, right?

The hitch is that the vaccine is suggested for adolescent girls, but the viruses in question are sexually transmitted. And that is one of the big reasons the HPV vaccine has divided parents in the question of "to give or not to give."

Let's face it. Parents don't like thinking about their daughters having sex at all. Ever. Now a new drug comes along, and not only are parents told they should embrace this new vaccine for their young daughters, but it's also part of the set of routine vaccines that doctors are strongly encouraged to give their patients.

Merck says the drug has been safely tested for girls and women between the ages of 9 and 26. The U.S. Centers for Disease Control and Prevention recommends that girls get the vaccine at age 11 or 12.

Ault explains why youth is key. Human papillomavirus is sexually transmitted, "so one of the advantages of giving it to adolescents is that they are unlikely to have been sexually active, so they will not have been exposed to the virus before getting the vaccine." Another reason to do this early, Ault points out, is that "our immune system is a lot better when we are 11 than when we are, say, at 22."

Ault also suggests that parents could use this experience to teach their children about sex and, even more important, about the realities of life, such as sexually transmitted diseases and unwanted pregnancies.

These arguments aren't convincing to some parents, the ones that are choosing not to have their daughters vaccinated. There are several reasons for doing this, including religious beliefs. Some faith-based groups feel the vaccine is inviting their young daughters to become sexually active.

Others believe the drug is just too risky. CDC spokesman Curtis Allen says the vaccine is constantly being monitored by a joint CDC /FDA hotline. Parents, patients and physicians can call the Vaccine Adverse Event Reporting System, or VAERS, to report any adverse reaction to the vaccine.

Through a Freedom of Information Act petition, the conservative watchdog group Judicial Watch  got records from VAERS that showed three deaths in girls who'd had the vaccine in March-April 2007 and over 1,600 adverse reactions reported from June 2006 to April 2007. All said the response came after getting the HPV vaccine.

Allen cautions restraint in considering the reports. "Most of these reactions were minor," he said, and the deaths "were linked to circumstances not related to the vaccine." The CDC and the FDA are constantly monitoring the VAERS hotline and won't hesitate to act should they see any dangerous trends due to the HPV vaccine, he said.

The vaccine does have some known side effects. Ault has seen his share. "I certainly hear from women who get the vaccine that it's painful, and I think some dizziness has been reported."

In fact, fainting has been added to the list of potential side effects to watch for. Allen says doctors are now recommending that girls stay in their doctor's office for a short period after they get the injection for just that reason.

Three injections are necessary to get the full benefit of the vaccine. The shots need to be administered over a six-month period and at this stage are guaranteed to work for at least five years.

All of this information leaves me confused. Frankly, I'm not really sure I have won myself over when it comes to the "shot or no shot" decision for my daughters. However, in the back of my mind, I hear the words a father spoke when he thought about not giving the vaccine to his still-young daughter.

He said, "How am I going to be able to turn to my daughter when she's older and tell her, 'When you were younger, I had the chance of making sure you never got a certain type of cancer, and I decided not to do it' ?"

That's an emotional minefield I truly don't think I'm emotionally equipped to walk through. E-mail to a friend

@highlight

Human papillomavirus, or HPV, can cause cervical cancer

@highlight

Gardasil, a vaccine against HPV, was approved for U.S. use in 2006

@highlight

CDC: Girls 11-12 should get the vaccine, before they're sexually active

@highlight

Reported side effects causing some parents to reconsider vaccination