(CNN) -- 2012 has been a tumultuous year in American politics. With the presidential election capping off the year, Americans have witnessed a series of bitter domestic battles and turbulent events overseas. As the year closes out, it is worth thinking about some of the most important lessons that politicians and voters can learn from this year as they prepare for 2013.

Here are six:

The Republican brand name is in trouble: The GOP took a drubbing in 2012. To be sure, Mitt Romney ran a problematic campaign. His inability to connect with voters and a number of embarrassing gaffes hurt the chances for Republicans to succeed.

Just as important to the outcome was the party that Romney represented. Voters are not happy with the GOP. Public approval for the party has been extremely low. Congressional Republicans have helped to bring down the party name with their inability to compromise.

Recent polls show that if the nation goes off the fiscal cliff, the Republicans would be blamed. According to a survey by NBC and the Wall Street Journal, 65 percent of people asked for a short word or phrase to describe the GOP came up with something negative. The Republican Party was also the lowest-rated political institution.

The exit polls in November showed that the GOP is out of step with the electorate on a number of big issues, including immigration and gay marriage. If Republicans don't undertake some serious reforms and offer fresh voices, all the new messaging in the world won't help them as the competition starts for 2016.

Opinion: Madness in the air in Washington

America has grown more liberal on cultural and social issues: The election results confirmed what polls have been showing for some time. If the 1960s was a battle over conservative "traditional family values" and liberal ideals of social relations, liberals eventually won. Throughout the year, polls showed, for example, that the public was becoming more tolerant of gay marriage and civil unions. Americans support the view that gay sex should be legal by a margin of 2-1, compared to 1977 when the public was split.

In the election, same-sex marriage was approved in three states, voters in Wisconsin sent to office the first openly gay senator, and two states approved of referendums to legalize the recreational use of marijuana. Americans are accepting of social diversity, and expect that the pluralism of the electorate will be reflected by the composition of elected officials in Washington.

While there are some conservative voices who lament these changes and warn of a nation that is veering toward Sodom, a majority are more than comfortable that some of the taboos and social restrictions of earlier eras are fading and that we live in a nation which is more tolerant than ever before. These social and cultural changes will certainly raise more questions about restrictive practices and policies that remain in place while creating pressure for new kinds of leaders who are responsive to these changes.

The Middle East remains a tinderbox: In the years that followed Barack Obama's election, there was some hope that the Middle East could become a calmer region. When revolutions brought down some of the most notorious dictators in the region, many Americans cheered as the fervor for democracy seemed to be riding high.

But events in 2012 threw some cold water on those hopes. The Muslim Brotherhood won control of the Egyptian government. In Syria, the government brutally cracked down on opponents, reaching the point in December where Obama's administration has started to talk about the possibility of the al-Assad regime using chemical weapons, though the severity of the threat is unclear. The battles between Palestinians and Israel raged with rockets being fired into Tel Aviv and Israelis bombing targets in Gaza.

Although national attention is focused on domestic policy, it is clear that the Middle East has the capacity to command national attention at any moment and remains as explosive as ever.

Our infrastructure needs repair: Hurricane Sandy devastated the Northeast in November, leaving millions of Americans on the East Coast without power and with damaged property. Soon after the hurricane hit, New York Gov. Andrew Cuomo made an important point. The infrastructure of our cities is outdated and needs to be revamped so that it can withstand current weather patterns. Speaking of the need for levees in New York, Cuomo said: "It is something we're going to have to start thinking about ... The construction of this city did not anticipate these kinds of situations."

Regardless of whether Congress takes action on the issue of climate change, in the short term cities and suburbs must do more work to curtail the kind of damage wreaked by these storms and to mitigate the costs of recovery -- building underground power lines, increasing resources for emergency responders, building state-of-the-art water systems, and constructing effective barriers to block water from flooding.

The new immigrants are a powerful political and social force: As was the case in the turn of the twentieth century when Eastern and Southern Europeans came into this county, massive waves of immigration are remaking the social fabric of the nation. Latino-Americans, Asian-Americans and other new portions of the electorate who have been coming into the country since the reform of immigration laws in 1965 are coming to represent a bigger and bigger portion of the electorate.

Not only are their numbers growing as a voting bloc, but they are more organized and active than ever before, both on election day as well as in policy making.

Soon after the election, The New York Times reported that 600 members of United We Dream, a network of younger immigrants who don't have their papers, met for three days to plan how to lobby for a bill that would enable 11 million illegal immigrants to become legal. One of the leaders, Christina Jimenez, explained: "We have an unprecedented opportunity to engage our parents, our cousins, our abuelitos in this fight." They have both parties scrambling as Democrats are working to fulfill the promises that brought these voters to their side in November, while some Republicans are desperate to dampen the influence of hardline anti-immigration activists in their party.

We need to do something about guns. The year ended with a horrific shooting at an elementary school in Connecticut. When a 20-year-old went on a rampage apparently using guns that had been legally purchased by his mother, the world watched with horror. Several prominent conservative advocates of gun rights, including former congressman and television host Joseph Scarborough as well as Sen. Joe Manchin, made statements indicating that the time has come to impose stricter controls and regulations on the purchase of weapons. "I don't know anybody in the sporting or hunting arena that goes out with an assault file," Manchin said.

Over the next few weeks, there will certainly be a big debate about what caused this shooting. People from different perspectives will highlight different issues but making it more difficult for people to get their hands on certain kinds of weapons, while not a cure-all, can only diminish the chances of this happening again.

There are many more lessons but these six stand out. After the trauma of the past week, let's hope the new year starts off with better days.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: 2012 was a year of bitter domestic battles, turbulence overseas

@highlight

He says the weakness of GOP, renewed strength of liberalism were apparent

@highlight

Zelizer says the year also highlighted the influence of new immigrants in America

@highlight

Zelizer: Year ended with a tragic reminder about need to act on gun control