(CNN) -- As President Barack Obama vowed Wednesday to help fight the influx of extremists vying for control in Syria's three-year civil war, anti-government fighters reported that jihadists in an eastern village methodically set fire to the homes and farms of those who openly opposed a hardline al Qaeda offshoot.

The act of retaliation is the latest in an offensive by the rogue Islamic State of Iraq and Syria to capture rebel-held territory in the oil-rich Deir Ezzour area along the Iraqi border.

If ISIS successfully wrests control of the border province, the extremist group notorious for its extreme interpretation of Sharia law is set to feed a comeback campaign across the country by establishing a supply route connecting its bastion in the western Syrian city of Raqqah with its home base in Iraq.

Obama outlines foreign policy vision of 'might and right'

"ISIS intends to resurge everywhere," Valerie A. Szybala, a Syria analyst at the Institute for the Study of War, tells CNN.

"Deir Ezzour is just the first on the list of priorities because it is rich in oil and because of its strategic importance as a transit between Iraq and Syria."

Other rebel groups unite

To combat the push by ISIS, 12 rebel battalions including al-Nusra Front, a powerful al Qaeda affiliate in Syria, formed the Mujahideen Shura Council in eastern Deir Ezzour, earlier this week.

"We found the only solution is for us to unite against ISIS. So all the battalions that were fighting them united financially, militarily and administratively and now work out of the same operation room," Jassem Alkraty, a media activist linked to anti-ISIS insurgent groups, told CNN via Skype from eastern Deir Ezzour.

The birth of the alliance followed weeks of brutal clashes between ISIS and al-Nusra Front fighters backed by Islamist insurgents. The fighting forced at least 60,000 civilians to flee, according to the Syrian Observatory for Human Rights, a London-based monitoring group.

This is not the first time strained rebel fighters have diverted resources away from their primary objective of overthrowing President Bashar al-Assad to repel ISIS aggression.

Early this year, a coordinated rebel offensive forced ISIS to either withdraw or tactically secede from much of the country's north.

"At the direct insistence of foreign backers and the West, rebels fought ISIS expecting a lot more support from their allies. The fact that this support did not come through is part of the reason for their return," Szybala tells CNN.

"My hope is we can right those wrongs. A lot of the people fighting on the ground have shown they have the will and the desire to stand up against ISIS, but they need resources."

The Obama administration says it's moving closer to finalizing a plan to expand military training and equip moderate Syrian rebels, according to U.S. officials.

But with the al Qaeda linked al-Nusra Front leading the fight against ISIS, Syria's allies will face challenges isolating nonextremists from increasingly radicalized opposition factions.

'We are at a critical juncture in our fight against violent extremism and hope that the UK and U.S. can shrug off their fear of supporting us," Brig. Gen. Abdulellah al-Basheer, chief of staff of the Supreme Military Council, said in a letter to The Times this week adding, "A failure to actively support the FSA now will lead to ISIS' successes internationally."

Infighting creates humanitarian crisis

Violence erupted last month when ISIS launched a surprise attack on the border town of Al-Bukamal, then stormed into the Deir Ezzour countryside. ISIS set off car bombs and executed rebel fighters in a terrifying campaign that left dozens dead, according to the Syrian Observatory for Human Rights.

"The warfare is never-ending and the towns nearby are facing a serious humanitarian crisis and are very afraid. Rumors spread like wildfire and families are constantly scared their village will be the target of the next massacre," Alkraty tells CNN.

ISIS has pushed through much of the east and set up checkpoints along the Euphrates River across from the provincial capital of Deir Ezzour. The city remains under the control of anti-ISIS militias but is vulnerable to attacks from Syrian troop positions to the north.

"Residents are very afraid of ISIS and scared of the horrible stories about them," Khalid al-Taha, a spokesperson for the opposition-run local committee in Deir Ezzour, said. "Plus we have near daily shelling from the regime, so life is very, very hard."

Rebels claim the fate of Deir Ezzour might soon parallel the ISIS-controlled city of Raqqah, where human rights groups report public executions, the forced disappearance and torture of opponents and even mock crucifixions, but Szybala says the ultraextremists do not have the resources to rule another population center.

Al Qaeda central recognizes and supports al Nusra Front's fight against the government in Syria, but in an unprecedented move earlier this year, the group's general command disowned ISIS and blamed it for intrarebel fighting that has killed more than 3,300 people, a number reported by SOHR in April.

"We started this revolution for freedom," al-Taha says, "so we cannot accept any another organization coming and imposing its rules on us."

Islamic militants claim American carried out suicide attack

@highlight

The rogue Islamic State of Iraq and Syria has alienated even other al Qaeda groups

@highlight

It's feared that ISIS could wrest control of a key border province with Iraq

@highlight

More moderate rebels say they are trapped between ISIS and the Assad regime

@highlight

They plead with the U.S. and the West to give them more aid