(CNN) -- You might think of black holes as indiscriminate eaters, hungrily gobbling up everything in their vicinity.

But the black hole at the center of our Milky Way galaxy, Sagittarius A*, is not exactly like this, new research suggests. Instead, this black hole -- and likely other black holes in the centers of galaxies -- must spit out a lot in order to swallow a little.

It's been a mystery why black holes at the centers of galaxies in the present universe appear so much dimmer than quasars, extremely bright objects from the early universe that have black holes at their centers, too.

As Albert Einstein noted in his famous formula E=mcÂ², energy is equivalent to mass times the speed of light squared. In a black hole, crushed mass gets converted into energy. Black holes in quasars eat a lot, creating the spectacular brightness associated with them. But we don't find as much radiation emanating from Sagittarius A*, or other black holes in the centers of galaxies in the present universe.

So what's going on? Is the hot gas that Sagittarius A* is eating just not radiating as much as the colder gas that quasars capture?

To find out, researchers used NASA's Chandra X-ray Observatory to take X-ray images and capture other signature of energy. The study is published in the journal Science, and led by Q. Daniel Wang, astrophysicist at the University of Massachusetts at Amherst.

Sagittarius A* has about 4 million times the mass of the sun. It is located 26,000 light years from Earth. That's still super far, as one light year is about 5.9 trillion miles, but it's close enough that human technology can help us see what's happening to the matter around it.

The gas swirling around this black hole has a temperature of millions of degrees.

Based on these new observations, researchers suggest less than 1% of the material that the black hole's gravity pulls near actually gets sucked in to the "point of no return," which is called the event horizon. Instead, a lot of it gets spat back out. That's why the X-ray emission from the black hole is faint; in theory, the radiation output would be stronger if the black hole were swallowing more.

"Less than 1% of matter will be actually sacrificed for the freedom of 99% of gas," Wang said. "So, 99% of gas can escape from the capture of the black hole."

Why is that the case?

It appears that in order to be gobbled for good by the black hole, material must lose heat and angular momentum, which is a measurement of how an object or system rotates around a particular axis.

The temperature is important because hotter material is harder to pin down, even for a black hole. Wang uses the analogy of a sink: You can pour cold water in and watch it spiral down a drain, but if it's steam, far less will actually go in; the water particles are more diffuse and energetic.

According to Wang and colleagues, the black hole needs to throw out more than 99% of the material in order to accomplish this. That ejected 99%, in turn, heats up the environment around it, which affects the evolution of the galaxy as a whole.

Cold and dense gas goes down easier into the black hole, though, and a black hole may sometimes capture a lot of it. This is the gas that tends to form a disk, called an accretion disk, around the black hole. In the accretion disk, the gas's energy and angular momentum dissipate, so more of it is swallowed up by the black hole.

There was more cold and dense gas in the early universe, so black holes at that time were better at accumulating material this way. That's why we find quasars in the early universe that are so much brighter than Sagittarius A*.

Quasar -- galactic beauty, deadly beast -- discovered 50 years ago

The research is important because a galaxy such as ours is intimately linked with the black hole at its center. The more massive the black hole, the more massive the surrounding galaxy is, scientists have found.

"Understanding how the black hole grows with time and how the black hole ejects matter and energy back into the galaxy has strong implications for understanding how galaxies form and evolve," Wang said. "That, of course, directly affects how stars form and evolve."

Dieters, take note: Our galaxy may have gotten to be the way it is by consuming small portions.

Follow Elizabeth Landau on Twitter at @lizlandau

@highlight

Black hole at center of Milky Way ejects more than 99% of material for the 1% it captures

@highlight

This has to do with temperature and angular momentum of gas in its surroundings

@highlight

In the early universe, there was a greater abundance of cold, dense gas