Jahi McMath is no longer inside the hospital where doctors declared her brain-dead after tonsil surgery last month.

But family members won't reveal where they took the 13-year-old after Children's Hospital & Research Center Oakland released her Sunday night.

"We're very relieved that she got safely to where she needed to be, because we were all very afraid, given the fragile condition as she wasted away at Children's, that she might not make it," attorney Chris Dolan told reporters Monday.

The move ends one chapter of a weeks-long struggle between the hospital, which sought to remove Jahi from a ventilator after doctors and a judge concluded she was brain-dead, and her relatives, who fought in court to keep her on the ventilator and contended she showed signs of life.

Why brain dead means really dead

"As a family, we are definitely relieved that she's no longer at Children's Hospital, but we're all emotionally drained," Omari Sealey, the girl's uncle, told CNN's Piers Morgan Live on Monday night. "This has been an incredible roller-coaster ride of emotions."

He said so long as his niece's heart is beating, Jahi is alive.

"She's moving a lot more. She responds to audio and touch, and more compelling evidence is the fact that she can move her head and neck," Sealey said.

The hospital released Jahi on Sunday to the Alameda County coroner, who then released her to her mother's custody, said Dr. David Durand, the hospital's chief of pediatrics. The hospital had previously said it needed the coroner's consent for the transfer because Jahi was legally dead.

Jahi -- who was declared brain-dead December 12 after post-surgery complications that her family says included severe bleeding and cardiac arrest -- was moved from the hospital Sunday accompanied by a critical-care team. She was attached to a ventilator, but with no feeding tube in place.

On Monday, Dolan said Jahi was being given antibiotics to fight infections and nutritional support.

"They're giving her everything that a person who would have a chance to live would be getting," he said.

He declined to provide details about the type of facility, citing privacy and security concerns.

"She's where she's going to be for a while," he said. "She needs to be medically stabilized, medically treated."

On Sunday, the president of a rehabilitation center in New York told CNN that the facility would gladly accept Jahi. But Dolan said the family has no plans to give more details about her location.

"We've had people make threats from around the country. It's sad that people act that way," Dolan said. "So for Jahi's safety and those around her, we will not be saying where she went or where she is."

At least five different facilities that originally offered to care for Jahi fell through, he said. But ultimately, the family chose from a number of offers.

"There were other facilities that still had their hand extended," he said. "But we took the first one that we knew would pull us in."

Let parents decide if teen is dead

The surgery

Jahi's case drew national attention and fueled debate as a fierce court battle unfolded between devastated family members fighting to keep her on a ventilator and doctors arguing she'd already died.

Family members say the eighth-grader was alert and talking after doctors removed her tonsils, adenoids and extra sinus tissue in a surgery at the Oakland hospital on December 9.

Doctors had recommended the surgery to treat pediatric obstructive sleep apnea, a condition which made her stop breathing in her sleep and caused other medical problems.

Before the surgery, Jahi said she was worried that she would never wake up, according to her uncle. She seemed fine after the surgery, but asked for a Popsicle because her throat hurt.

Not long afterward, something went terribly wrong. In an intensive care unit, the girl began bleeding profusely, the family said.

According to family members, Jahi went into cardiac arrest. Days later, she was declared brain-dead.

Hospital officials have said privacy laws prevent them from discussing details of the case.

The court battle and the medical debate

The family and the hospital disagreed over whether to disconnect her from a ventilator, and the issue wound up in Alameda Superior Court.

In court documents and public comments, the hospital maintained that there's no doubt that McMath is brain-dead, describing the condition as irreversible.

"No amount of prayer, no amount of hope, no amount of any type of medical procedure will bring her back," Children's Hospital Oakland spokesman Sam Singer said last month. "The medical situation here in this case is that Jahi McMath died several weeks ago."

A judge on December 23 appointed Dr. Paul Fisher, chief of pediatric neurology at Stanford Children's Hospital, to evaluate Jahi.

Fisher concluded the next day that she met the criteria for brain death. According to a court filing, Fisher found that the girl's pupils were fully dilated and unresponsive to light and that she did not respond to a variety of intense stimuli.

His report also says Jahi showed no sign of breathing on her own when a ventilator was removed: "Patient failed apnea test." The report says her heart was beating only because of the mechanical ventilator.

In addition, an imaging test showed no blood flow to Jahi's brain, while another showed no sign of electrical activity.

Fisher's conclusion: "Overall, unfortunate circumstances in 13-year-old with known, irreversible brain injury and now complete absence of cerebral function and complete absence of brainstem function, child meets all criteria for brain death, by professional societies and state of California."

After seeing Fisher's report, Alameda Superior Court Judge Evelio Grillo concluded on December 24 that Jahi was brain dead. But Grillo twice ruled that the hospital had to hold off on disconnecting Jahi from life support, ultimately giving the family and the facility until January 7 to come to a resolution.

The Alameda County coroner issued a death certificate for Jahi on Friday, listing December 12 as the date of death. The certificate still needed to be accepted by the health department to become official.

Medical ethicists, meanwhile, say the high-profile case fuels a misperception: that "brain death" is somehow not as final as cardiac death, even though, by definition, it is. The case is "giving the impression that dead people can come back to life," Arthur Caplan, director of the Division of Medical Ethics at NYU Langone Medical Center, told CNN last month.

Family members say they've seen reason for hope

Jahi's family members maintain that they're hoping for a miracle.

Her mother told CNN last month that she'd seen improvements, including indications from a hospital monitor that she said suggest her daughter was trying to breathe on her own.

The girl's uncle, Sealey, told reporters last week that a pediatrician has seen Jahi and has sworn she is not dead.

Hawaii girl, 3, dies after dental procedure

When asked about the girl's possible movement, Singer, the hospital spokesman, said he would not comment directly on any claims the family makes, citing privacy laws. However, Singer said it is "quite common" for the muscles of brain dead patients to move, stressing it's "not a sign of life."

So far the family has raised more than $50,000 on GoFundMe.com to move her. According to the site, more than 1,300 people have donated money in 10 days.

"We're very grateful, very proud," said Sealey. "We want to thank everyone that supported us, everyone that stood in our corner, everyone that prayed for us, everyone that helped donate to make this possible. Without you guys, none of this would be possible."

He didn't rule out the possibility that the family could eventually file a lawsuit against the hospital. But he dismissed concerns that details about what happened during and after Jahi's surgery could be lost if she remains on a ventilator.

"That's pretty much saying that she's evidence and she's a body, and we don't look at it that way," Sealey said. "We're not worried about accountability. We're worried about survival."

In releasing Jahi, the hospital said: "Our hearts go out to the family as they grieve for this sad situation and we wish them closure and peace."

When routine surgeries go wrong

@highlight

Jahi McMath is on a ventilator and has been declared brain-dead by doctors

@highlight

Her family has moved her to a new facility, but won't say where

@highlight

Attorney: "We're very relieved that she got safely to where she needed to be"

@highlight

McMath is now receiving antibiotics and nutritional support, he says