FARGO, North Dakota (CNN) -- Fifteen helicopters from the U.S. Northern Command along with active-duty military personnel are being sent to Fargo, North Dakota, to assist the state as it prepares for record flooding, a U.S. military official told CNN.

Valley Water Rescue volunteers patrol the Fargo area in search of people who need help evacuating Friday.

The military personnel being sent to Fargo are from a "contingency response force" made up of active-duty troops, the official said.

Above-freezing temperatures, followed by heavy rains this week, caused the Red River to swell and surpass its 1897 record of 40.1 feet early Friday morning.

The swollen river threatened to rise further as the city's mayor vowed to "go down swinging.

"Right now, we think the river is beginning to crest," said Fargo Mayor Dennis Walaker. "As long as we stay under 42 feet, I think we got a chance; if we go over 42, there's going to be some more evacuations."

As of 8:15 p.m., the river churned at 40.78 feet, nearly 22 feet above flood stage and almost a foot above the previous record of 40.1 feet, set in 1897.  Watch Fargo's mayor explain why disaster could be averted »

Sandbagging operations, which have churned furiously throughout the week, continued Friday, drawing praise from local and state officials, including North Dakota Gov. John Hoeven.

"North Dakotans have come together in a big, big way. Our volunteers are doing a magnificent job building this flood protection and we want to say thank you to them," he said. "There's a sense of perseverance and resolve and determination."

Buses and evacuation staging areas have been staged west of Fargo, Hoeven said, and hundreds of people already have evacuated Fargo neighborhoods, hospitals and a nursing home.  Watch how volunteers are battling the rising water »

Fargo Deputy Mayor Tim Mahoney said authorities were evacuating the city's "vulnerable populations" and were asking for voluntary evacuations in sites near retaining dikes.

The National Weather Service predicted the river would reach 42 feet Saturday, and forecasts indicated it would remain there into next week. But the weather service warned the river might reach 43 feet -- the height to which most of the city's dikes have been raised -- if warmer temperatures expected in the middle of next week melt the record snowfall.  Watch Fargo residents fight back »

"What's going on here really is an inspiration for the country," said Sen. Kent Conrad, D-North Dakota. "The eyes of America are on Fargo, North Dakota, and they're getting a very good impression of what the people of North Dakota are like."

Authorities would not try to raise the city's dikes above 43 feet, Walaker said. Sandbags are used to bolster dikes in residential areas around the city, while the city dikes are reinforced with clay.

"We have most of the south side of Fargo, and along the river, good to 43, so we're not going to proceed with trying to get it to 44," he said at a news conference Friday morning. "Now is that a gamble? We don't think so."  See map of affected area »

National Weather Service spokesman Patrick Slattery in Kansas City, Missouri, said the river's level means uncertainty for officials and volunteers who are scrambling to mitigate the flooding in the area.

Emergency responders can extrapolate the effects of the rising river, he said, but they cannot know for sure how accurate the predictions are because they have never seen the river so high.

"At some point, especially when you're dealing with record levels, you reach a point when there's nothing else you can do," Slattery said. "Start alerting people to be ready to get out of there."

Lt. Gen. Russel Honore, who led the military response to hurricanes Katrina and Rita in 2007, warned that sandbags can only buy time.

"You cannot depend on a sandbag dike to save your life; you put it up to try to save your property," he said. "Once you put it up, you need to leave, because that sandbag dike could break at any given time."

Sandbags also are less effective against cold water, Honore said. Read the full interview with Honore

Water began seeping Friday under a dike that runs across a partially submerged athletic field, prompting officials to ask volunteer sandbaggers to come help.

About 150 people showed up as the water on the other side of the dike continued to rise.

"We're going to be OK. We're going to be fine," Melanie Engel Unger said as she passed 40-pound sandbags from her left to her right.

Daryl Braham said he was confident the volunteers would be able to maintain the dike's integrity. He was hopeful the cold weather -- temperatures were well below freezing Friday -- remained.

"It's kind of a blessing in disguise because it's slowing things down," he said.

Fargo officials early Friday evacuated a neighborhood of about 150 homes after they found cracks in a levee, according to a city news release. Capt. Tod Dahle said the residents were evacuated because the neighborhood lies between a primary and contingency levee.

About 100 people were evacuated Thursday from a nursing home, as were 40 others from a nearby neighborhood. No one was in immediate danger, officials said.  See photos of flooding »

"We were disappointed yesterday and early this morning about the two areas that we had to evacuate," Walaker said. "Is that going to be it [for evacuations]? We don't know. We don't have any real crystal ball to look into."

MeritCare Hospital and MeritCare South University had evacuated 177 patients as of Friday, MeritCare Health System spokeswoman Carrie Haug said. Some were taken to hospitals elsewhere in North Dakota; others were taken across the river to Minnesota, she said.

Monday, the health system canceled elective procedures to reduce its patient numbers ahead of the evacuations, Haug said.

Across the Red River from Fargo, a U.S. senator said some homes had been lost in Moorhead, Minnesota.

Emphasizing that there are two states dealing with the river's rise, Sen. Amy Klobuchar, D-Minnesota, said, "This is a time at which the forces of nature, of the Red River, will meet the forces of the human spirit."

Clay County emergency center spokesman Dan Olson said some residents in Moorhead were being asked to evacuate.

He called it a "directed evacuation," rather than a mandatory one. It also applied to large parts of nearby Oakport Township, he said. The emergency center is setting up a call center where evacuees can register to be tracked.

A spokeswoman at the city's emergency call center said she would put the number of evacuees in the "high hundreds."

"We know our highways are pretty congested" with people leaving, Kasey Cummings said.

Minnesota State University at Moorhead and Concordia College had voluntarily closed, she said.

To the west, about 1,500 people who evacuated North Dakota's capital, Bismarck, on Wednesday were able to return home Thursday, after the Missouri River dropped more than 3 feet, the North Dakota Department of Emergency Services said.

CNN's Barbara Starr, Chris Welch, Kara Devlin, Nicole Saidi, Greg Morrison, Susan Roesgen and Eliott C. McLaughlin contributed to this report.

@highlight

NEW: Gov. John Hoeven praises volunteers for perseverance, resolve, determination

@highlight

Helicopters, active-duty military sent to help prepare for possible flooding

@highlight

National Weather Service data says river will reach 42 feet on Saturday

@highlight

Fargo neighborhood evacuated after cracks found in levee