The U.N. Security Council unanimously passed tougher sanctions against North Korea Thursday targeting the secretive nation's nuclear program hours after Pyongyang threatened a possible "preemptive nuclear attack."

"These sanctions will bite, and bite hard," U.S. Ambassador to the United Nations Susan Rice said after the vote.

China, North Korea's key ally, could have used its veto power to block the sanctions.  Instead, after weeks of negotiating, it signed on to the final draft.

"China is a country of principle," China's U.N. Ambassador Li Baodong said. "We are firmly committed to safeguarding peace and stability on the Korean peninsula."

Leading up to the vote, Pyongyang ratcheted up its bellicose rhetoric.

A spokesman for the North Korean foreign ministry suggested the United States "is set to light a fuse for a nuclear war."

As a result, North Korea "will exercise the right to a preemptive nuclear attack to destroy the strongholds of the aggressors and to defend the supreme interests of the country," the country said in a statement carried by the state-run Korean Central News Agency.

Despite the strong language, analysts say North Korea is years away from having the technology necessary to mount a nuclear warhead on a missile and aim it accurately at a target.  And, analysts say, North Korea is unlikely to seek a direct military conflict with the United States, preferring instead to try to gain traction through threats and the buildup of its military deterrent.

But the threat came amid increased concern over Pyongyang's dogged efforts to advance its nuclear and missile technology after a recent long-range rocket launch and underground atomic blast.

On Tuesday, North Korea said it planned to scrap the armistice that stopped the Korean War in 1953 and warned it could carry out strikes against the United States and South Korea.

Analysts: 'Boxed in' North Korea's bluster 'particularly dangerous'

The rhetoric came not only in advance of the U.N. vote, but also as military drills take place on either side of the heavily armed border that divides the two Koreas.

This week, the United States and South Korean began two months of joint exercises, known as Foal Eagle.  North Korea has called the annual training exercises "an open declaration of a war," but South Korea says it notified Pyongyang that the drills "are defensive in nature."

North Korea's nuclear threat Thursday "may suggest that Pyongyang feels even more boxed in than usual," said Michael Mazza of the American Enterprise Institute.

And while a nuclear attack itself is not an immediate palpable threat, "This surge in provocative rhetoric is particularly dangerous," added Michael Auslin, also with the institute.  "South Korea's new president (Park Geun Hye) can't be seen to back down in the face of the North's threats, while (new North Korean leader) Kim Jong Un may feel that his successful missile and nuclear tests give him the ability to keep pressuring Seoul. The two may wind up talking themselves into conflict."

South Korea's U.N. Ambassador Kim Sook said Thursday the new resolution "reflects the will of the international community," which "will never tolerate North Korea's repeated violations and North Korea's nuclear and ballistic missile program."

"Each violation will be met by stronger responses and measures," he added.

Will the new sanctions work?

The goal of the new sanctions is to stymie the activities of North Korean banks and cash couriers who might be funneling money to the secretive regime's nuclear and missile programs.

It will be tougher for the regime to move large sums of cash stuffed into suitcases, Rice said.

The U.N. resolution also outlines measures to step up scrutiny of suspicious sea shipments and air cargo. And it expands restrictions to encompass several institutions and senior officials in the North's weapons industry, as well as a range of materials and technology known to be used in uranium enrichment.

It also blocks the sale of luxury goods -- such as yachts and certain high-end jewelry -- to North Korea.

"As a result, North Korea's ruling elite, who have been living large while impoverishing their people, will pay a price" for the ongoing nuclear activities, Rice said.

Some doubt whether the new measures will make much difference.

Sanctions imposed after previous nuclear tests and rocket launches have failed to deter Pyongyang.

China will go a long way toward determining whether the new sanctions really do have "bite," analysts say.

"As long as China allows North Korea to operate, as long as China provides food, energy assistance, and investment, the sanctions really don't matter," said Doug Bandow of the Cato Institute.

North Korea notoriously allows many of its people to live in malnutrition and starvation.  Still, the country needs a functioning economy, partly to finance its military, Bandow explained.

"Kim Jong Un is now paying the price for going ahead with a nuclear test despite Chinese warnings not to create trouble during the political transition that has been under way in Beijing the past year," Mark Fitzpatrick, director of the Non-Proliferation and Disarmament Programme at the UK-based International Institute for Strategic Studies, said this week.

Future levels of Chinese grain sales to North Korea are a possible indicator of Beijing's commitment to putting meaningful pressure on Pyongyang, he said.

Ken Gause, an analyst with CNA, said the new sanctions won't deter North Korea from building up its nuclear program.

"North Korea last year inserted language into its constitution that the country is a nuclear power. To walk back from this, especially under pressure from the outside world, would undermine Kim Jong Un's legitimacy and make him vulnerable. He will not do this," said Gause.

North Korea casts U.N. sanctions as part of an aggressive, U.S.-led conspiracy against it.

Simmering tensions

North Korea said the underground nuclear blast it conducted February 12 was more powerful than its two previous detonations and used a smaller, lighter device, suggesting advances in its weapons program.

It was the first nuclear test the isolated state has carried out since Kim inherited power in December 2011 after the death of his father, Kim Jong Il, who made building up North Korea's military strength the focus of his 17-year rule.

The test followed the North's long-range rocket launch in December that succeeded in putting an object in orbit. Pyongyang insisted the launch had peaceful aims, but it was widely viewed as a test of its ballistic missile technology.

Long history

North and South Korea have technically been at war for decades. The 1950-53 civil war ended in a truce rather than a peace treaty.

China supported the North with materiel and troops in the Korean War. The United States backed the South in the conflict, with soldiers from the two countries fighting side by side. About 28,500 U.S. soldiers are currently stationed in South Korea.

@highlight

U.S. Ambassador Rice: The sanctions will "bite hard"

@highlight

China is "firmly committed" to peace on the Korean peninsula, ambassador to U.N. says

@highlight

The resolution will clamp down on North Korea's officials, banks and cargo

@highlight

Analysts say China is a key to determining whether the sanctions deter North Korea