Washington (CNN) -- President Barack Obama on Wednesday proposed a package of measures intended to reduce gun violence in the wake of the Newtown school massacre last month.

Some of the steps have been tried before and others are expansions of laws and policies already in place. Some face high hurdles in Congress.

Will they work? Here's a look at some of the key measures:

Ban on assault weapons

The Federal Assault Weapons ban, a provision of anti-crime legislation President Bill Clinton signed into law in 1994, outlawed military style semiautomatic weapons that fire one round per trigger pull and automatically eject the shell casing and reload the chamber.

In addition to these weapons, the ban also limited semiautomatic rifles, semiautomatic pistols and semiautomatic shotguns that can accept a detachable magazine and have at least two military style features.

Congress allowed the prohibition to expire in 2004.

Sen. Dianne Feinstein said in December that she would introduce a bill to ban assault weapons.

Did it work?: Two studies point to too little evidence or too little time having passed to calculate the impact of the ban.

A provision in the 1994 law required the attorney general to deliver a report to Congress within 30 months of the ban evaluating its effects.

The summary of that report, conducted by the National Institute of Justice, said that "the public safety benefits of the 1994 ban have not been demonstrated."

The authors of the study suggested further tests of enforcement techniques, including "strategic crackdowns on 'hotspots' for gun crime and strategic crackdowns on perpetrators of gun violence. The authors suggested these techniques might be "more immediately effective, and certainly less controversial, than regulatory approaches alone."

A June 2004 University of Pennsylvania study found that the ban succeeded in reducing crimes involving assault weapons. But the benefits at the time were outweighed by increased use of non-semiautomatic weapons, which the study said were used more frequently in crime. The researchers could not credit the ban with a drop in overall gun violence over the same period.

The study did point out that since assault weapons were used no more than "8% of gun crimes, even before the ban," its impact was likely too small to reliably measure.

Obama-backed gun bills considered a long shot in Congress

High-capacity magazines

The same 1994 anti-crime bill also banned magazines that held more than 10 rounds of ammunition. But it, too, expired after 10 years.

Following a 2011 attack in Arizona that killed six people and seriously wounded former Rep. Gabrielle Giffords, congressional leaders called for a ban on high-capacity magazines. The shooter in that attack used a semi-automatic pistol with a 33-round magazine.

Sen. Frank Lautenberg, D-New Jersey, announced a proposal to limit high-capacity magazines. No legislation was enacted.

After the Sandy Hook Elementary School shooting in Newtown, Lautenberg announced plans to re-introduce legislation to ban high-capacity magazines. Other legislators are pursuing requirements for background checks on the purchase of ammunition as well as seeking to ban the online sale of ammunition.

California Rep. Mike Thompson told CNN on Tuesday that a ban on high-capacity magazines could garner Republican support, but a full-scale prohibition on assault weapons would be difficult to get through the GOP-controlled House.

Did it work?: The 2004 University of Pennsylvania study noted that guns with high-capacity magazines were used in up to 25% of gun crimes, but it was not clear how often the outcome of the attack depended on the capacity of the magazine.

The study did note that since the rate of a shooter hitting intended victims is low in gun crimes, the ability to fire more shots more quickly increases the likelihood of a target being hit.

A Washington Post analysis also found that during the10-year ban on high-capacity magazines, those seized by police in Virginia dropped during that span. When the ban was lifted in 2004, the seizures rose "sharply."

Researchers interviewed by the Post note that the ban could have helped limit the availability of the magazines. But the Post analysis also notes that the impact of the ban is "hard to measure."

A look at U.S. gun laws

Universal background checks

Sen. Charles Schumer, the chief supporter of legislation to impose universal background checks, calls them the "sweet spot" for curbing gun violence and the likelihood of getting legislation passed.

U.S. law requires that any time someone buys a gun from a federally licensed gun dealer, the dealer is required to run a check on the potential buyer for possible criminal and mental issues. Records are kept by state and federal agencies.

Convicted felons, people convicted of violent domestic crimes and those determined by courts to be dangerously mentally ill are prohibited by federal law from buying firearms.

However, federal law does not require background checks for what are considered private transactions.

And there are gaps in the existing system -- many states don't report the names of people who have been labeled dangerously mentally ill. And there are huge gaps in the database. For instance, the Virginia Tech shooter who killed 33 people in 2007 passed two background checks when buying guns because Virginia didn't submit his mentally ill status to the database.

Would they work: Achieving this goal will take a combination of the executive action the president took on Wednesday and legislation to change existing laws on the requirement of background checks.

Obama said Wednesday that he has taken action to address legal barriers to states sharing relevant information to the database and other measures like ensuring that physicians can ask patients about guns in their homes.

The legislation Schumer is considering would encourage states to comply with sharing relevant information to the database by withholding federal funds for their law enforcement initiatives -- the federal government can't require the states to comply, but it can make it worth their while.

It would also make it a crime for someone to sell a firearm without taking the buyer to a place where a background check can be performed. Enforcement would be an issue though -- it could be difficult to prove whether a firearm already on the market was sold before or after the requirement was implemented.

Across the country, more than a million people failed background checks to buy guns during the past 14 years because of criminal records, drug use or mental health issues, according to FBI figures. That figure, however, is a small fraction of overall gun sales.

Mental illness measures

Four of the 23 executive actions that Obama announced on Wednesday address access to mental health care through Medicare and Obamacare.

Medicare is the largest provider of mental health care in the country and the Affordable Care Act opens access to millions of other Americans covered by the federal government.

Another executive action was to open a national dialogue on mental health led by Health Secretary Kathleen Sibelius and Education Secretary Arne Duncan.

Obama also clarified that a provision in Obamacare does not prohibit doctors from asking their patients about guns in their homes.

A number of mass shootings have been committed by people known to have struggled with mental illness which has renewed calls to address mental illness in a more comprehensive manner.

Federal legislation restricting access to guns for the mentally ill was firs enacted in 1968.

Would it help?: A number of mental health advocacy groups came out in support of the president's announcement.

The National Alliance on Mental Illness released a statement applauding the initiatives put forth from Vice President Joe Biden's task force, calling it the chance to fix the broken health care system, "an opportunity that comes only once in a generation."

The group also supported that the president "correctly noted" that many of the mentally ill were not violent.

NAMI expressed its hope that the attention could help fill gaps in the mental health system.

FBI statistics showed about 1 percent of applicants who failed a background check were turned down for reasons related to mental health.

Read Obama's proposals

@highlight

A federal assault weapons ban and ban on high-capacity magazines expired in 2004

@highlight

Research looking at the impact of the assault weapons ban is inconclusive

@highlight

A 2007 law strengthened background checks for the mentally ill

@highlight

Universal background checks would close loopholes but could be difficult to enforce