(CNN) -- An old meatpacking plant on Chicago's South Side is being transformed into an eco farm, which its founders says will produce food sustainably, while creating zero waste.

American entrepreneur John Edel is the founder of "The Plant," a vertical-farm initiative that he hopes will show people the ease of adapting to green food production in urban living environments.

A vertical farm is an urban agriculture concept whereby food is grown in and on top of buildings in city areas. In order for this process to work, urban farmers use a variety of techniques, including hydroponics -- cultivating plants in water -- and aquaponics, which uses by-products from fish farming to assist hydroponic growth.

With the world's population surpassing seven billion people and the rapid pace of urbanization, finding space to grow food is becoming an increasing challenge -- one that Edel and his team of volunteers at The Plant are rising to.

Watch: A farm on every roof top

In 2010 Edel began repurposing the meatpacking plant and two years on it has opened its doors to both the public, and business opportunities.

Edel says of The Plant's ethos: "It started out minimal (waste) because that's how I've always operated ... Using as little resource as possible to do things. At a certain point I realized if we built an anaerobic digester, we could get our waste down to zero."

The Plant's anaerobic digester uses bacteria to break down organic waste into biogas -- comprised of methane and carbon dioxide -- and material that can be used as fertilizer. A "combined heat and power system" will convert the methane into energy, which Edel says will take The Plant completely off grid and allow it to produce large quantities of food with zero waste output.

Despite still being under construction The Plant currently has five tenants, including aquaponic farms, a hydroponic farm, bakers, tilapia fish breeders, a mushroom garden and a kombucha tea brewer (a type of tea said to have health benefits). Their products are sold to local restaurants, cafes and markets, as well as used to produce more food within the farm itself.

Read more: Futuristic farm shop grows food in synthetic veg patch

Recycling is also a big part of the inner workings of The Plant and tenants work with each other to use their waste output in their food production and farming techniques.

For example, the tilapia fish produce ammonia-based waste, which is sent through a biofilter before the nitrates are fed to plants growing in hydroponic beds. The plants absorb the nitrates, cleaning the water, which is then returned to the fish in an example of a "completed loop cycle."

Edel says: "The key to this farm is the closing of loops: energy loops; resource loops; money loops -- by keeping jobs local. If you can close the loops, you can make things more sustainable."

Supported by $1.5 million in grant money from the Illinois Department of Commerce and Economic Opportunity, The Plant operates under a social-enterprise model, with a non-profit side and a for-profit side. It provides tours of the facility for interested members of the public and conduct lectures, outreach programs and demonstrations for the local community to show them how to grow food in various urban environments.

Edel hopes to have the farm fully operational by 2014 and says that the facility will create 125 new local jobs.

@highlight

John Edel is building a zero waste veritcal farm on Chicago's South Side

@highlight

It has bakers, fish farmer, tea brewer and other farms working with each other to use waste

@highlight

Edel hopes this will show other businesses the ease of adapting to green initiatives