WASHINGTON (CNN)  -- The swine flu virus that has sparked fear and precautions worldwide appears to be no more dangerous than the regular flu virus that makes its rounds each year, U.S. officials said Monday.

Homeland Security Secretary Janet Napolitano said swine flu is no more danerous than the regular flu virus.

"What the epidemiologists are seeing now with this particular strain of U.N. is that the severity of the disease, the severity of the flu -- how sick you get -- is not stronger than regular seasonal flu," Homeland Security Secretary Janet Napolitano said Monday as the worldwide number of confirmed cases of swine flu -- technically known as 2009 H1N1 virus -- topped 1,080.

The flu has been blamed for 26 deaths: 25 in Mexico and one in the United States, according to the World Health Organization.

Still, Napolitano noted, the seasonal flu results in "hundreds of thousands of hospitalizations" and roughly 35,000 fatalities each year in the United States. There are still concerns that the virus could return in the fall, in the typical flu season, as a stronger strain.

"We are cautiously optimistic that this particular strain will not be more severe than a normal seasonal flu outbreak," Napolitano said.  Watch Napolitano assess the swine flu risk »

Napolitano acknowledged claims by health officials in Mexico, the epicenter of the H1N1 outbreak, who believe their cases have peaked and said, "I have no reason to think that is inaccurate."

The WHO said there were no immediate plans to raise its alert to the highest level, Phase 6. That designation would mean "that we are seeing continued spread of the virus to countries outside of one region," Assistant Director-General Keiji Fukuda said.

"If you are seeing community outbreaks occur in multiple regions of the world, it really tells us if the virus has established itself and that we can expect to see disease in most countries in the world."

In the United States, the CDC on Monday reported confirmed 279 cases across 36 states -- 60 more than were confirmed the day before. Several states, including New York and Massachusetts, confirmed dozens more cases Monday that were not immediately added to the CDC tally.  See where the H1N1 virus has spread across the world »

Earlier, Louisiana Gov. Bobby Jindal said the CDC "erroneously" doubled the cases in his state. Jindal confirmed his state's total is seven, and the CDC dropped its nationwide count from 286 to 279.

Many of the cases are among children; the median age is 16, said Dr. Richard Besser, acting director of the CDC. The youngest confirmed case is a 3-month-old, he said.

There are also more than 700 probable cases across 44 states, Besser said.

"This likely represents an underestimation of the total number of cases across the country," he said, because not everyone with flu-like symptoms goes to the doctor and gets tested.

The numbers are expected to increase. Dr. Anne Schuchat, the CDC's interim deputy director for public health, said Sunday, "We believe we're just on the upswing here."

But in Mexico, where the first cases were reported, illnesses may have peaked for now.

Mexico City will reopen government offices and restaurants Wednesday, and museums, libraries and churches Thursday as officials cited improvements in the battle against swine flu.

Officials said university and secondary students can return to class Thursday while younger students will wait until May 11.

In another sign of improving conditions with the H1N1 virus, federal officials lowered the nation's health alert level Monday from red, or "high," to orange, or "elevated."

"The measures we have taken, and above all the public's reaction, have led to an improvement," Mexico City Mayor Marcelo Ebrard said at a news conference.

"But I insist that the virus is still present, that we need to remain on alert, and the resumption of activities will be little by little, not all at once."

The Mexican and Chinese government sent chartered flights to each other's countries Tuesday to pick up their respective nationals stranded or quarantined because of the global swine flu outbreak.

An Aeromexico flight was making several stops throughout China to collect nearly 70 citizens who were being held in quarantine across the communist nation as part of its strict swine flu-control measures.

The flight will make stops in Beijing, Shanghai and the southern city of Guangzhou.

Meanwhile, a U.S. Embassy official said four Americans are or were quarantined in China: two in Beijing; two in the southern Guangdong province.

The official could not say whether the two in Guangdong had been released, nor did she provide additional details.

In the U.S., residents gripped by concerns about the swine flu, also had a hopeful sign Monday. The St. Francis Preparatory School in Queens, New York -- which had the first confirmed U.S. cases of swine flu -- reopened Monday.

More than 100 St. Francis students had come down with flu symptoms two weeks ago. Some were tested and found to have the H1N1 virus.  Learn more about the H1N1 influenza virus »

New York City Mayor Michael Bloomberg was on hand to welcome them back  to a school that had undergone an intense scrub-down.

"The school has been completely sanitized," St. Francis Principal Leonard Conway said in a letter to students and their parents.

The U.S. Department of Education said that 533 schools were shut Monday, about 100 more than Friday and about half of 1 percent of all schools in the United States. The closures affect about 330,000 students in 24 states.

New cases of swine flu were leaving soldiers isolated in California.

A spokeswoman for the U.S. Marine Base at Twentynine Palms, north of Palm Springs, California, said two new cases of the flu were confirmed by the CDC. The two Marines show no symptoms but are being kept in isolation, spokeswoman Jennie Haskamp said. Previously, one other case was confirmed at the base.

The U.S. Defense Department also reported that a crew member stationed aboard the USS Dubuque in San Diego, California, was confirmed to have swine flu and is currently ashore. The department said there were 13 other "probable" cases among Dubuque personnel.

And California officials were looking into a suspected case at Centinela State Prison in Imperial County. Authorities suspended visitation and other "non-essential activities" at the prison pending confirmation.

Even as health officials worldwide worked to battle the outbreak, intense efforts were under way to develop a vaccine -- with lessons from history in mind.

"In 1918, the Spanish flu showed a surge in the spring and then disappeared in the summer months, only to return in the autumn of 1918 with a vengeance," WHO spokesman Gregory Hartl said Sunday. "And we know that that eventually killed 40 million to 50 million people."

Health officials are not making such dire predictions in this case. And they can't know for certain whether the swine flu will make a big return later in the year.

Still, they're taking no chances.

In that effort, health officials have a tool unlike anything they've had before.

"This is the best surveillance we've ever had," Fukuda said Monday. "You know, we're really monitoring and able to see a situation unfold in a way we have never been able to do in history before."

In Hong Kong, about 200 hotel guests and 100 staff members at the Metropark Hotel remain under quarantine until Friday after health officials determined that a guest there had contracted the H1N1 virus.  Watch how a British citizen has been quarantined in Hong Kong »

"We go down to the lobby for food and then back to the room to eat your food," said Leslie Carr, a British man who is one of the 300 stuck at the hotel. "Not many people are downstairs hanging around to talk or discuss anything."

Hong Kong, in particular, is extra careful after a SARS outbreak in 2003 killed almost 300 people.

"In view of the lack of data ... we have to be very cautious," said Yuen Kwok-Yung of Hong Kong University. "I believe that as time goes by, we can change our strategy."

CNN's Karl Penhaul in Mexico City, John Vause in Beijing, Diana Magnay in Geneva and Pauline Choo in Hong Kong contributed to this report.

@highlight

Janet Napolitano: Epidemiologists note severity of swine flu same as regular flu

@highlight

Mexico City will reopen government offices and restaurants Wednesday

@highlight

WHO has no plans to raise alert level to 6

@highlight

Centers for Disease Control: 286 confirmed cases across 36 states in U.S.