Menachem Bodner is a soft-spoken 73-year-old, who thinks carefully before he describes his first memory as a three-year old child.

"I remember my mother. What she was wearing. A green skirt with white flowers and a white blouse," he says in Hebrew.  "On the left, there was a bed and my brother was sleeping. I remember I had a brother."

That memory is crucial. Until a few months ago, Bodner had no evidence his brother even existed.

Bodner is a survivor of Auschwitz. He was four-and-a-half when the camp was liberated in January 1945. In the chaos and confusion, he doesn't remember how he came to be separated from his brother, but he sought a way out.

"I was in the camp. A man came in who was looking for his wife and daughter," he recalls. "I stood before him and asked if he would be my father. He picked me up in his hands and took me out of the camp."

His adopted father named him Bodner and took him to Israel where he now lives.

Over the years, his father searched for his adopted son's birth family. At first, there were some positive responses, but after a number of false hopes, Bodner gave up the painful process of trying to find his family, and began to wonder if his memories were simply dreams.

Then last year, urged by his grandchildren, he tried again, posting the only clues he had on the internet:  A photo of himself, aged five, and another that he believed was a family photo.

Genealogist Ayana KimRon responded to his post. She took one look at that family photo and knew it was not his.

"I said that's not your family.  He said, 'Yes, that's me, I'm the baby.' I said, 'No, if that's you where is your brother? Where is the other baby?' I could see he was shocked at that."

Bodner has no memory of how he obtained the photo, only that it was in his pocket the day Auschwitz was liberated.

At first, he was crushed. One of the few clues he had was a false start.

But KimRon reminded him that he had another lead,  one he would never forget, because it is tattooed on his arm.

The blue ink is faded and stretched, but Bodner quietly reads the Auschwitz ID number that will never be erased: A 7733.

Now he is looking for A 7734: The number of his identical twin brother.

KimRon checked the numbers against official Auschwitz records now archived at the Yad Vashem Holocaust Memorial in Jerusalem.

She discovered Bodner was born Eli Gottesman, in Ukraine. He had an identical twin named Jeno, who was last seen by Allied doctors in Auschwitz.

"We know that he was declared healthy on February 9, 1945, by medical staff," KimRon says. "That is really the last factual reference that I have."

KimRon also found other, more disturbing records, showing that the twins were subjected to experiments by Josef Mengele, the Nazi doctor dubbed the "Angel of Death" for his gruesome experiments on humans, particularly twins.

Perhaps thankfully, Bodner has no memory of that.

KimRon has not ventured further into the Nazi historical archives in Berlin to find out more about what happened to Bodner in the camp, and he insists he does not want to know -- but he does want to trace his brother.

Now, the pair have turned to social media for help, setting up a Facebook page, A 7734, which has been viewed more than a million times.

Each time the page is shared, KimRon hopes it brings them one step closer to finding Jeno. Several nurses have contacted her after seeing what might be the matching tattoo.

"It's like a thread," KimRon explains. "There's three types: One that leads to nowhere. One you think will go somewhere, and you reach a deadlock.  And then there's one that takes you to your destination."

Bodner's grandchildren tease him that he has become an internet celebrity, even learning some of the lingo.

"I'm like a virus!" he tells KimRon, as she explains the meaning of "going viral."

KimRon has also discovered more surprises about Bodner's family, including the fact that he had a baby brother, Josef, who died in Auschwitz.

Bodner's birth father also died there but his mother, Roza Gottesman-Berger, not only survived several Nazi concentration camps, but returned to her home village of Stroino on the Ukraine-Hungary border, hoping to find her children.

"I saw her signature on the document registering her acceptance of war aid, and the hair stood up on the back of my neck," KimRon recalls.

"I am not a graphologist, but you could see, or I think anyway, she had character, strength despite all that had happened. And she listed the names of her sons too. It was as if she was saying: 'I am here. I am still here.'"

That document is the last evidence of Ruth Gottesman-Berger. KimRon doesn't know exactly what happened to her, though stories from extended family members and villagers say that shortly after her return, she was rounded up with other returning Jewish refugees and shot dead by Nazi-sympathizers.

KimRon says she has no way of confirming that.

The thought of his mother returning to their home village in search of her children makes Bodner both sad and proud.

"I am proud of this woman who did not lose hope and continued to look for us," he tells CNN. "It was a difficult journey in terrible conditions. I would not believe someone could survive all that.

"I think I am also a survivor. Maybe it's in the genes. Maybe it's in my brother's genes as well. We just keep going."

Last year, Bodner returned to the village where he was born for a visit. He met neighbours who described his family as happy, his father a well-regarded doctor and his mother a talented seamstress. They told him they remembered the boisterous blonde twins who played near the house.

"I closed a circle," he says. "It was just good to know that what I was dreaming was real and not my imagination."

Bodner knows only too well that even if he finds Jeno, it may be too late.

Asked what he would say to his brother, his answer is stoic.

"I'm sorry that I did not start looking for him sooner," he says quietly. "There were so many years that I was afraid of even touching the subject."

The search for Jeno is a source of both joy and pain for Bodner, but he is committed to finishing it.

There is one more discovery that has surprised him: His birthday. Until now, he had always celebrated January 27, 1945, the day he left Auschwitz, as his birthday, instead of his real date of birth. So, which day does he choose to celebrate now?

"Both, of course!" he says with a smile. "There is a lot to celebrate."

@highlight

Menachem Bodner, born Eli Gottesman, survived Auschwitz as a child and was later adopted

@highlight

Now aged 73, he is trying to trace his twin, Jeno, who he last saw at the concentration camp

@highlight

He hopes social media, including Facebook, will help him find his long-lost brother

@highlight

The pair, originally from Ukraine, have "matching" camp ID tattoos: A 7733 and A 7734