U.S. President Obama opened his appearance at the G20 summit of world leaders in Australia with a speech that had to make Beijing think.

He also took a shot at Russian President Vladimir Putin in his speech and later, after a Sunday meeting, Obama and the leaders of Japan and Australia made a point of criticizing Russia's annexation of Crimea and called for the prosecution of those responsible for the downing of Flight MH17 in eastern Ukraine.

The United States is a big part of the power balance in Asia and plans to throw more of its weight onto the scale, the president told a crowd at the University of Queensland in Brisbane on Saturday.

"We will continue to deepen our engagement using every element of American power -- diplomacy, military, economic, development, the power of our values and ideals," he said.

And the United States will band together with nations in the region. It will work toward giving them more heft -- so that big nations do not "bully the small," Obama said.

That has been a common phrase used in reference to territorial disputes between China and other southeast Asian nations.

China's relations with Vietnam and the Philippines have soured over maritime tensions. But China's bitterest dispute has been with Japan.

Military boats and planes have hummed around small, uninhabited islands that both countries lay claim to, heating up rhetoric and defense posturing between Tokyo and Beijing.

In many of the disputes, access to underwater oil has been at stake.

Calling out China

ASEAN stands for the Association of Southeast Asian Nations, and it is made up of 10 smaller Southeast Asian nations, most of them developing economies. China, Japan and South Korea are not members.

Obama singled out China, saying it would have to play by the same rules as its neighbors.

"We'll support ASEAN's effort to reach a code of conduct with China that reinforces international law in the South China Sea," he said.

And the United States will reinforce its diplomacy with a balance of military might.

"By the end this decade, a majority of our navy and air force fleets will be based out of the Pacific, because the United States is and always will be a Pacific power," Obama said.

Washington plans to share oceangoing prowess with other countries, to find common ground in military interests with Vietnam and beef up its maritime capabilities.

And Obama would like to see another large nation in the region step up as well.

"We support a greater role in the Asia-Pacific for India, which is the world's largest democracy," he said.

"Together, we can improve maritime security, upholding the freedom of navigation, and encouraging territorial disputes are resolved peacefully."

He also pledged to help make partners economically competitive and avoid development laden with pollution.

The president repeated that the United States was contributing $3 billion to the Green Climate Fund to help poorer nations meet climate goals.

He also had a message for China. "The United States welcomes the continued rise of a China that is peaceful and prosperous and stable and that plays a responsible role in world affairs," he said.

Criticizing Russia

The metaphor of big nations bullying the small has also been applied to Russia's annexation of Crimea and its involvement in the armed conflict in eastern Ukraine.

As a result, the Group of Eight nations booted Russia from its ranks. Putin received a frosty reception when he touched down for the Group of Twenty summit, though he did interact with several Western leaders on the event's first full day.

That includes meeting with British Prime Minister David Cameron, French President Francois Hollande and Italian Prime Minister Matteo Renzi, according to the Kremlin.

This comes against the backdrop of Moscow's actions in Ukraine and elsewhere, responding to international criticism and sanctions not by backing down but instead by threatening to flex its military might. Case in point: Russia Defense Minister Sergey Shoigu's announcement Wednesday that his country plans to send long-range bombers to the Gulf of Mexico.

That has raised Washington's hackles, which says no present security concerns warrant such maneuvers.

Obama, who focused almost solely on Asia, also threw out a new line of criticism to Moscow in his speech, saying the United States was leading the efforts "opposing Russia's aggression against Ukraine, which is a threat to the world, which we saw in the appalling shoot-down of MH17."

The joint press release issued Sunday after the Australia-Japan-United States Trilateral Leaders also took note of the Crimean annexation and MH17.

Australian Prime Minister Tony Abbott has taken Putin to task over the downing of the plane over Ukraine's pro-Russian breakaway region bordering on Russia, saying Moscow owns some of the responsibility.

In the leadup to the G20, Moscow deployed four naval warships near Australia, semiofficial Russian news agency RIA Novosti reported. One of the ships, the Varyag, was once named "Red Ukraine."

The agency said it was not uncommon for Russian warships to accompany the country's leaders on foreign trips.

@highlight

Obama and leaders of Japan, Australia criticize Russian President Vladimir Putin

@highlight

Putin meets with the leaders of Britain, France, Italy

@highlight

Washington plans to shift naval and air force power to the Pacific, Obama says

@highlight

President wants to beef up Asian nations to avoid "bullying" by big nations