(CNN) -- The Supreme Court on Wednesday reinforced the nation's belief in freedom and its constitutional traditions with a ruling that upheld my challenge to a section of the federal election campaign law that restricted citizens' rights to express their views.

That outcome, I believe, will become part of a successful attack on the numbing political status quo in Washington and encourage activists across the nation who have fresh ideas to improve how our government operates.

I am grass-roots proof that citizens retain some influence and—with determination—can achieve positive change. I hardly suspected such an outcome in late 2011 when I launched my legal challenge.

My target was the overall limits on an individual's fully disclosed contributions to federal candidates, national political parties and political action committees. I did not challenge the specific contribution limits in each category.

This case is not about limits on the amount of money you may contribute to an individual candidate. It is about your right to contribute that amount to as many candidates as you choose. Allowing individuals to donate to as many candidates as they wish would draw contributions away from PACs and bring money directly to candidates, giving underdog candidates a fair chance in the political arena.

Like most Americans, I had little knowledge of these campaign laws—including how the Washington insiders passed them, interpreted them and enforced them. I have spent my adult life as an electrical engineer in the Birmingham, Alabama, area where I grew up and eventually created a small business that has fewer than two dozen employees. I was too busy for politics until five years ago, at age 42, when I joined many other Americans who were disenchanted by what they saw in Washington and decided to take action.

Sally Kohn: With ruling, money talks even louder in politics

The core belief that has driven my political activity and my legal challenge has been my full embrace of the First Amendment's guarantee of free speech. During my political science course as a freshman at Georgia Tech University, I learned about the Supreme Court's landmark 1976 decision that political activity was entitled to that protection. All the sitting justices joined, at least in part, that Buckley vs. Valeo ruling, which found that free and open debate—including unlimited campaign expenditures—is "integral to the operation of the system of government established by our Constitution."

This week's ruling by Chief Justice John Roberts restated many of those vital national values. Excessive campaign finance restrictions, he wrote, impermissibly inject the government "into the debate over who should govern." He pointedly added, "And those who govern should be the last people to help decide who should govern."

It doesn't take a political scientist to conclude that congressional incumbents have been the chief beneficiaries of these restrictions. Even with the overwhelming public unhappiness with Congress, they typically have re-election rates of roughly 95%.

A key factor is that the current system makes it much more difficult for challengers to raise money. In most cases, they simply lack the incumbents' access to tap into Washington's deep-pocketed special interests.

This status quo, which has been created chiefly by the so-called political reformers, has had the perverse—but seemingly intended—effect of protecting incumbents in both parties, except for infrequent waves of voter disgust. My objective is to assist challengers in raising funds, and to encourage smarter political ideas.

I clearly am not one of those special interests, nor am I one of the billionaires who have become political targets. Friends call me "your neighbor Shaun." With other activists, I believe that we can change our politics and draw it closer to our communities.

Having become part of public life, I have learned that political conflict and rhetoric sometimes can be hard-ball. But I have made a point of fully respecting other players, even if they criticize me.

My support of the First Amendment in this case helps extend those rights to everybody. With the Supreme Court's encouragement, I hope the nation is prepared for a robust and wide-open public debate to address our problems.

@highlight

Shaun McCutcheon sues to remove overall contribution limit for individuals

@highlight

Court strikes down contribution limit, saying donations are form of free speech

@highlight

McCutcheon: Limits had the effect of protecting incumbents, empowering special interests

@highlight

He says he wants to make it easier for challengers to raise funds and create change