London (CNN) -- After a fourth consecutive night of violence that convulsed much of London and spread elsewhere in Britain, the scene before dawn Wednesday was largely calm, a tentative calm enforced by thousands of police.

Hours before, police reported outbreaks of violence in Wolverhampton and West Bromwich, about 100 miles north of London, and in the northwestern city of Manchester. There, a library and supermarket were ablaze, said Jeff Gill from the Greater Manchester Fire and Rescue.

In West Midlands, 80 people were arrested and 19 of them were charged, said Sara Astbury, a spokeswoman for the West Midlands Police Department.

In Nottinghamshire, 30 arrests were made as hundreds of police sought to handle more than 1,000 reports of incidents -- most of them related to rowdy behavior by roaming bands of youths -- throughout the city and in Canning, Clifton, Basford and Radford, police said Tuesday in a statement.

Eight people were arrested in connection with the firebombing of Canning Circus police station, it added.

Nottinghamshire Assistant Chief Constable Paul Scarrott, who led the police operation, described the events in the town more than 100 miles north of London as "gratuitous, senseless and wholly unjustified acts of wanton criminality."

Cameron, who cut short his vacation in Italy to hold an emergency meeting Tuesday, recalled lawmakers from their summer break. He is to hold a meeting of his crisis-response committee at 9 a.m. (4 a.m. ET) Wednesday. Parliament is to meet Thursday.

London Mayor Boris Johnson, who cut short his holiday in North America, called the violence "utterly appalling."

The riots were sparked by the shooting death on Thursday of 29-year-old Mark Duggan, a black man.

Officers from Operation Trident -- the Metropolitan Police unit that deals with gun crime in London's black communities -- stopped the cab in the working-class, predominantly Afro-Caribbean district of Tottenham during an attempted arrest, the Independent Police Complaints Commission (IPCC) said. Soon after, shots were fired and Duggan, a father of four, was killed. Shooting deaths are rare in England.

The IPCC said Tuesday an illegal firearm had been found at the scene, with a "bulleted cartridge" in the magazine, but there was "no evidence" it was fired during the incident.

A bullet that lodged in a radio carried by an officer was police issue, the IPCC said.

"A post-mortem examination concluded that Mr. Duggan was killed by a single gunshot wound to the chest. He also received a second gunshot wound to his right bicep," the IPCC said, without saying who fired the bullets nor why police had stopped the cab.

The man's family and friends, who blamed police for the death, had gathered peacefully Saturday outside the Tottenham police station to protest.

The protest soon devolved into violence as demonstrators -- whose numbers included whites and blacks -- tossed petrol bombs, looted stores and burned police cars.

Violence continued in isolated pockets on Sunday, spread Monday to other parts of the nation and continued Tuesday.

Metropolitan Police and Duggan's family have appealed for calm. Police said they were stretched thin as they tried to respond to emergency calls -- which were up nearly 400% Tuesday.

British Prime Minister David Cameron's vow of action to quell rioting in Britain's cities was backed up by an increased police presence -- about 16,000 officers were set to be on London's streets Tuesday night -- twice the number on Monday night.

"People should be in no doubt that we will do everything necessary to restore order to Britain's streets and make them safe for the law-abiding," said Cameron, who called the events "criminality, pure and simple."

The trouble -- described by police as "'copycat criminal activity" -- takes place against a backdrop of austerity measures and budget cuts that have led to high rates of unemployment, particularly among the nation's youth.

Some 685 people have been arrested in London since the violence began, police said late Tuesday. With Metropolitan Police detention cells full, authorities were taking those they arrested to facilities belonging to surrounding police forces.

Of those arrested, 111 have been charged. Most of the charges relate to burglary, with other offenses ranging from assault on a police officer to possession of an offensive weapon and handling stolen goods.

In all, 111 police officers and five police dogs have been reported injured, according to a police statement Tuesday afternoon.

"Many officers are still undergoing hospital treatment, some requiring surgery," it said. "Injuries range from fractured bones, serious head injuries, concussion, cuts and sprains, even injured eyes from smashed and thrown glass."

Apparently, some people are not depending on police for their security. Amazon UK reported that sales of aluminum baseball bats had skyrocketed since the violence broke out.

In Hackney, where Monday's disturbances first broke out, Graciela Watson, a mother of two, watched aghast from her home as hooligans, known as "yobs" in Britain, barricaded a normally quiet residential street with burning trash cans and clashed repeatedly with police for more than an hour.

"It seemed like a war zone," she said. "There were youths grabbing bricks from our front wall and hurling them at police."

A resident of Clapham Junction in southwest London, who did not wish to be identified for fear of reprisals, told CNN he had seen groups make repeated trips overnight to his street to fill their cars with looted goods, including televisions and clothes.

The resident said this went on for several hours until police used armored vehicles to disperse them.

"At first I was just, 'OK, it's a bunch of kids letting off steam.' But once they started heavy, heavy looting, and it started getting out of hand, I started getting a bit concerned," he said. "This is not something that's typical of our neighborhood by any stretch of the imagination."

Sociology professor Paul Bagguley told CNN that a disproportionate number of young people appeared to be involved in the unrest and that the looters appeared to be motivated by greed.

But people who have spoken to local ethnic minorities also talked of a sense that tension had been building over months, he said, with some upset by police "stop-and-search" tactics.

A community cleanup effort began Tuesday morning in London, with organizers using Twitter to get volunteers together in their local areas, using the hashtag #riotcleanup.

Organizer Dan Thompson, who runs a network aiding small businesses on the south coast, said many thousands of people were supporting efforts to help shopkeepers.

"I thought the quickest, best thing was just to help them get cleaned up this morning, get trading again," he said. "It's a city people love, and to see it destroyed in the way it has been is shocking stuff."

Questions have been raised about what the disturbances may mean for security during next year's Olympic Games, which London is preparing to host.

A spokeswoman for the London 2012 organizing committee told CNN: "A lot of detailed work has taken place regarding security plans for the Games, and we will continue to review them together with the Met Police and the Home Office over the coming year."

Tottenham has been the site of riots before. In 1985, Floyd Jarrett, who was of Afro-Caribbean origin, was stopped by police near the Broadwater Farm estate in Tottenham on suspicion of driving with a forged tax disc, a document all British vehicles must carry.

A few hours later, officers raided the nearby home of his mother, who collapsed and died during the raid. Rioting erupted shortly afterward, and a police officer, Constable Keith Blakelock, was killed. Like the current violence, a protest outside Tottenham Police Station sparked the 1985 conflict.

CNN's Laura Smith-Spark, Carol Jordan, Barry Neild, Dan Rivers, Yoko Wakatsuki, Annabel Archer, Phil Black, David Wilkinson, Atika Shubert, Bryony Jones, Erin McLaughlin, Bharati Naik, Aliza Kassim and David Wilkinson contributed to this report.

@highlight

"Tens of millions of pounds" of property damage is estimated

@highlight

8 are arrested in connection with firebombing of a police station

@highlight

111 officers have suffered injuries in three days of unrest, police say

@highlight

Pockets of disorder break out in West Bromwich, Wolverhampton and Manchester