(CNN) -- As a veteran of combat in Vietnam, I am often asked about current wars. Recently I have been asked about soldiers posing with corpses or urinating on corpses in Afghanistan. The "patriotic" media wants us to understand what it is like to be a soldier in war, not to condone the conduct but to ask "who are we to judge?" They want to know about rules of war: "Are there rules about taking pictures with dead bodies?"

When I see these pictures, I am not shocked. I have similar pictures from Vietnam. And I'm in them. Such pictures are part of our warrior culture. Not everyone takes them, but they are not in any way unusual.

Look at the famous photos from Abu Ghraib prison in Iraq. The U.S. soldiers aren't looking over their shoulders. None of them appears worried about being caught doing something wrong. They all look comfortable, often smiling for the camera. This tells me that the behavior captured in the photographs was S.O.P. (standard operating procedure).

What I find most disconcerting is all this attention to what is done to these dead bodies and absolutely no question or curiosity about why they are dead in the first place. No questions about why U.S. troops are still in Afghanistan at all.

The idea of having "rules of war" assumes that there is a proper and civilized way to conduct warfare. I find the idea ludicrous. We teach our children to solve their problems without fighting, not by fighting according to rules. For the most part we practice what we preach.

The county I live in sued a city that wanted to build a cement plant. The county didn't want the pollution. A court ruled in favor of the city, and the county lived by the ruling. The county didn't send the sheriff's department in to kill some city residents.

Florida is suing Georgia for diverting too much water to Atlanta. Neither state is likely to call out the National Guard if it loses the case.

So why is it that when nations have disputes, we must accept that they will murder and maim each other's citizens? The conduct of soldiers in war is made up of violent behavior that is criminal behavior outside of war. War is when we allow our loved ones to murder and destroy and then wonder that they are so traumatized.

Misconduct hurts morale, Panetta warns troops

In Vietnam, I lost my first friend at a place known as Alpha North. It was my third week; it changed who I was forever. I realized then and there that my life and the lives of my friends were really at risk. We were in a place where it was the job of the people who lived there to kill us. There was no second chance, no time out. This was for real.

As was typical of our troops, I lost all empathy for the Vietnamese. They all looked the same, and I couldn't tell the ones who liked us from the ones that wanted us dead. As is also typical in such situations, I chose to err on the side of safety. "F*** the Vietnamese!" was my attitude. We all knew (or thought we knew) that the life of one Marine was worth more than the lives of all of the Vietnamese put together.

If we are going to talk about rules of war, it doesn't make sense to start with the soldiers and Marines who have been put into that situation. They will all tell you that the first rule is to stay alive. Most people, when asked to choose between obeying the rules, if they believe that harm or death will come to them and their loved ones, or breaking the rules, if they believe it will keep them and their loved ones safe, choose to break the rules. The question is hypothetical to most people, but not to a soldier in combat.

Instead, if we're going to talk about rules of war, we have to start with the powerful people who chose to put those soldiers there. The No.1 war crime is starting a war, because all other war crimes emanate from that first crime.

I have not been to Afghanistan, but there are some evident similarities between the war there and the war in Vietnam. Call it Vietghanistan. Both are wars of occupation. The people of both countries looked different from us, resulting in racial profiling. They are all suspects, a word that carries a suggestion of guilt.

Neither war has had an actual plan for winning.

When people ask me if we could have won the war in Vietnam, I say that I was taught that the duty of a Marine is to destroy the will of the enemy to resist the authority of the United States of America. The way a Marine performs that duty is to make the price of that resistance more than the enemy can afford.

Opinion: Don't demonize our troops

In Vietnam "Body Count" was the measure of success. I was told that if we killed 10 Vietnamese for every American, we would win. We more than met that goal without, of course, winning. But our rule was "might makes right" -- a philosophy that my father had taught me the United States had defeated in World War II. It seems to be alive and well.

In Afghanistan, the United States supposedly invaded to arrest one man. Last year we were told he'd been executed in Pakistan. What is the mission now?

My mental wounds are more painful than my physical wounds. The cream of my generation was wasted in the rice paddies of Vietnam. All of the sacrifices we made bought nothing but a black marble wall in Washington. It pains me greatly that my country did not learn from Vietnam that it should never again to waste its children on wars of choice, but instead use civilized nonviolent methods of conflict resolution.

Today my country perpetrates the same crimes against my children's generation. This is unbelievably hard for me to take.

Do we really believe that having rules on how we can murder each other in war makes the murdering clean, acceptable, and civilized behavior? If we developed rules for rape or slavery, would they be acceptable too? Should we bring back dueling and regulate individual murder? Why is murder on a large scale treated so differently from other outrages?

I am told that killing people in war isn't murder, because it is sanctioned by the government. This reminds me of former president Richard Nixon saying "when the president does it, that means that it is not illegal." In warfare, the overwhelming majority of those who suffer and are killed are civilians? Does calling them collateral damage really mitigate those losses and make them acceptable? Not to me.

What about the laws on our books that forbid war? The Kellogg-Briand Pact bans all war. The United Nations Charter legalizes two types of wars, neither of which matches most of our current wars. Our wars are neither defensive nor authorized by the U.N. Security Council. And the U.S. Constitution forbids wars not declared by Congress, which has not declared a war since 1941.

As long as we are willing to accept war as a legitimate means of conflict resolution, we must be willing to accept the facts that go with war. Mothers, fathers, aunts and uncles, grandparents and children will die and be maimed both physically and mentally. Some of them will be in uniform, but the majority of them will just be "collateral damage." Our family members will come home with physical, psychological, and behavioral problems.

We will continue to have military and VA hospitals with waiting lines.

Preparing for these wars means continuing to train our children to hurt and kill other humans. This involves a process of dehumanization that is in conflict with the training required to produce good citizens in a democratic society.

In my training at Parris Island, the citizen was taken out of me and I was rebuilt as a Marine. We had a prayer that we recited every night when we hit the rack:

"Another day in the Corps, Sir, for every day is a holiday and every meal is a feast. Pray for war. Pray for war. God bless the Marine Corps. Pray for war. God bless the Commandant. Pray for war. God bless the drill instructors of 353. Pray for war."

Are we really willing to continue to accept all of this?

My organization, Veterans For Peace, believes that our stories are our strength. We believe that by educating the public by relating our personal experiences, we can reveal the hard, ugly truth about war. Our collective experience has taught us that war is futile and immoral. We believe that it is abhorrent to think of human beings as "collateral damage," and we refuse to be silent as our government continues to pursue illegal, immoral wars of aggression. We believe that if the public really saw and understood the truth of war as we do -- they would end it.

As long as we continue to accept war as an acceptable means of conflict resolution, things will remain the same.

Work for peace.

The opinions expressed in this commentary are solely those of Scott Camil.

@highlight

Scott Camil: Horror over soldiers defiling corpses avoids issue of our involvement in war

@highlight

He says we teach kids to work out conflict, then teach soldiers to use violence in conflict

@highlight

He says he too lost empathy in Vietnam; soldiers not to blame, warmongering leaders are

@highlight

Camil: "Rules of war" a ridiculous notion. Why are we still in "Vietghanistan?"