(CNN) -- The first day of 2014 was a day to celebrate in our history -- it was the first time that all Americans could buy health insurance regardless of pre-existing medical conditions, thanks to the Affordable Care Act.

But despite the good news, criticism of the ACA continues. Some Republicans have eagerly identified individuals who are not happy with the ACA.

Sanjay Gupta: Better health not about Obamacare, it's about you

As 2014—a midterm election year—dawns, it is time to ask: What does the GOP offer other than negativism? What is the GOP alternative to the ACA, who would it help and who would it hurt?

Until now, the Republican war cry has been repeal, for which they have voted repeatedly. But ACA repeal is neither realistic, responsible, nor perhaps, even possible. The 10 titles of the ACA contain hundreds of provisions that reform Medicare payment, combat fraud and abuse, and improve health care quality. Many are already in place. Total repeal of the ACA would rip many threads already woven into the fabric of our health care system.

Opinion: When will we get the verdict on Obamacare?

A targeted repeal of the less popular provisions of the ACA, the individual and employer mandates and some ACA taxes and fees, might be more feasible. But revoking the mandates would disrupt insurance markets and repealing the taxes will increase the deficit.

Does the GOP have anything constructive to offer? The answer, sadly, is not really.

House Republicans have put forward two proposals -- the American Health Care Reform Act, sponsored by a majority of House Republicans, and Rep. Tom Price's Empowering Patients First Act. Both are lengthy bills that largely recycle longstanding Republican panaceas.

The American Health Care Reform Act would replace the ACA's income-based tax credits with flat dollar tax deductions. Tax deductions are valuable to high-income Americans with high tax rates, but offer little or nothing to the low-income Americans helped by the ACA.

The Empowering Patients First Act offers flat dollar tax credits that do not vary by age, geography, or health status—all of which could influence health insurance premiums. These tax credits might almost fully cover the health insurance premium of a young healthy male, but would be essentially useless to an older, low-income family, which would be left thousands of dollars short of the cost of basic coverage.

The American Health Care Reform Act touts health savings accounts as the solution to every problem, but tax-subsidized health savings accounts are also primarily of value to higher-income Americans and useless to Americans whose income is too low to be taxed and who lack discretionary income to invest in health savings accounts.

As the media spotlight high cost sharing under ACA plans in the coming months, it should ask how much higher cost sharing would be under the GOP plans. Conservatives, such as John Goodman, champion very high deductible policies, and Republican proposals, unlike the ACA, do not limit cost sharing.

By repealing the ACA, Republicans would reinstate pre-existing condition exclusions for many of the uninsured. The primary relief they offer to the uninsured with health problems are state high-risk pools. High-risk pools, however, are very expensive, and without massive federal support would be unaffordable to many Americans.

Exclusion of Americans from insurance coverage would also likely increase under Republican proposals to permit interstate health insurance sales, which could drive a race to the bottom in state insurance regulation. Association health plans have a history of undermining state reforms aimed at covering individuals and groups with pre-existing conditions.

Opinion: Why I signed up for Obamacare

One cannot imagine a GOP health care proposal that did not promise to place more barriers in the way of Americans injured by medical negligence who seek compensation. Although our medical litigation system could certainly use reform, proposals for change would reduce health care costs by only a small amount: half a percent, according to the Congressional Budget Office, including defensive medicine. Republican malpractice "reform" proposals may be politically popular, but do not address our health care system's real problems.

The GOP does not promise that if you like your insurance plan you can keep it, and with good reason. The vast majority of privately insured Americans are covered through their work. The American Health Care Reform Act would abolish current deductions and exclusions for employer-sponsored health insurance. This would not only be one of the largest middle class tax increases in American history, but could result in millions of Americans losing employer-sponsored insurance.

Whatever disruptions the ACA may cause in coming months, it moves us toward more comprehensive and affordable coverage for low- and middle-income and sicker Americans.

The alternatives proposed by House Republicans would be very disruptive, and unsurprisingly, benefit the healthy and wealthy. Americans must ask themselves: Who offers the most needed reforms for our health care system?

The opinions expressed in this commentary are solely those of Timothy Jost.

@highlight

Timothy Jost: The first day of 2014 was a day to celebrate in our history

@highlight

Jost: Despite promises of Obamacare, Republicans are critical or call for repeal

@highlight

He says alternative proposals offered by House Republicans help the rich and healthy

@highlight

Jost: As high cost sharing under Obamacare will be discussed, just look at GOP plans