(CNN) -- With his push for health care reform on the line, the president delivered a message of urgency to the public:

President Bill Clinton, pictured in 1994, greets members of a crowd following a speech on his health care reform plan.

"Don't let the fearmongers, don't let the dividers, don't let the people who disseminate false information frighten the United States Congress into walking away from the opportunity of a lifetime. Tell the members of Congress you will support them. This is not partisan politics," the president said.

The date was August 1, 1994, and the voice behind the 11th-hour battle cry was then-President Clinton. Within weeks, that battle cry was reduced to a whimper of defeat as Congress tabled plans to vote on his legislation.

As President Obama ratchets up the pressure on Congress to pass health care reform this year, he's following in the footsteps of the 42nd president. From his prime time push to his town hall meetings, Obama is taking the same path as Clinton, but hoping for a different ending.

Clinton and Obama faced similar climates. Both made health care their signature issue, even though most people were happy with their coverage and were more concerned with fixing the economy. Clinton presented Congress with a plan, whereas Obama instead presented broad guidelines and asked the lawmakers to come up with a bill.

"Much of the complaint about the Clinton-era attempt at this was how complicated it was," said Candy Crowley, CNN's senior political correspondent. "That has not been a complaint this time. But in the overview, there was no doubt that the steady drumbeat of criticism started out at a fairly low level and just has come to this deafening roar, and that's very much like it was in the resistance to the Clinton plan."

Like Clinton, Obama's been accused of waffling on his proposals and failing to reach across the aisle. Following weeks of contentious town hall meetings, Obama this weekend appeared more flexible than ever on the idea of a government-sponsored, public health insurance option. Liberal Democrats have demanded a public option, but some conservatives call such a proposal a deal breaker.

Obama has voiced his support for the public option but stopped short of calling it a necessity. At a town hall in Colorado this weekend, however, he called it "just one sliver" of reform. "The public option, whether we have it or we don't have it, is not the entirety of health care reform," he said.

The White House was quick to insist that the administration's stance has not changed, and sent talking points to congressional Democrats trying to ease concern about the public option. The administration has been "boringly consistent" on the issue, White House Press Secretary Robert Gibbs said Tuesday.  Watch: Is the White House changing its message? »

Clinton was accused of backtracking after he seemed to back down from his stated goal of universal coverage at a 1994 National Governors' Association conference. Democrats protested and the White House insisted that the president's words were misinterpreted.

But those reading the tea leaves knew the effort was losing steam. Some Democrats distanced themselves from the president as the 1994 midterm elections neared. Clinton and other key Democrats tried to compromise with a scaled-down version of the president's original plan, but the effort unraveled and eventually faded from the agenda.

"It's the art of dealmaking, and it's not surprising that they would both face this. In the face of huge outcry, presidents or politicians look for a compromise," Crowley said. "When you see the possibility that it could go down in flames, you look for ways to appease the critics of it, and both Clinton, and now it appears Obama, are trying to do that -- to find some way to pass something."

When Congress reconvenes after the August recess, lawmakers will return to a different climate on Capitol Hill, kindled by the protests of those who have been questioning Obama's proposals.

Sen. Jim DeMint, R-South Carolina, said last month that if Republicans can stop Obama on health care, "it will be his Waterloo." Clinton's agenda was bruised following his health care defeat, but it was his party that was dealt the hardest hits. The Democrats lost control of Congress in 1994 for the first time in 40 years. It took another 12 years to get it back.

Mary Matalin, a Republican strategist and CNN contributor, predicted a repeat of history for Obama, should health care fail. "What is right about conventional wisdom is, he'll be fine, but the Democrats in Congress won't," she said on CNN's "State of the Union."

"And you are already hearing Democrats in Congress saying, 'This is deja vu. This is what happened with Bill Clinton. He makes us walk the plank, then we lose,' as they did," she said.

Clinton acknowledged the political importance of a health care win in his speech before the Netroots Nation convention last week.

Passing comprehensive health care legislation, he said, "is not only the morally right thing to do. It is politically imperative for the Democrats to pass a health care bill now, because one thing we know and that I have lived through is that if you get out there and then you don't prevail, the victors get to rewrite history."

Democratic strategist and CNN contributor James Carville said that since it's clear that Senate Democrats don't have the 60 votes needed to get a full Senate vote, they should instead force Republicans to filibuster the bill.

"Then, you say, 'They're the people that stopped it. We had a majority of Democrats. We had a good bill. They stopped it,' " said Carville, a former adviser to Clinton.

Republicans under the Clinton administration threatened to filibuster, but the warnings proved inconsequential, as the bill never got that far.

As health care reaches a turning point for Obama, "timing is everything," Crowley said.

"It's not an election year -- yet. To me, that works on Obama's side, where it didn't with Clinton because the minute it becomes an election year, it's just different, because congressmen, senators are looking at what their constituents are saying back home, and their jobs are on the line," Crowley said.

But that safety net won't hold for long, and Obama has only a few more months to show whether history will repeat itself or be rewritten.

"I think the time is critical for President Obama because at the end of the year, Congress goes off and takes a recess ... and so you end up having a pretty narrow time frame, and then when they come back in January -- guess what, it's an election year," Crowley said.

@highlight

Bill Clinton, Obama both made health care their signature issue

@highlight

Both accused of backtracking from their original goals

@highlight

Obama at an advantage because lawmakers aren't facing re-election -- yet

@highlight

Clinton says it's "politically imperative" for Dems to pass a bill now