(CNN) -- Chris Pirillo is many things: a self-proclaimed geek, a blogger, an entrepreneur -- and according to him, an average gamer.

The 38-year-old founder of blogging network Lockergnome loves the casual game. The pick-it-up, put-it-down, stress-free app.

Pirillo has played his share of games like "Cube Runner" and "A Monster Ate My Homework." He even jumped on the "Words with Friends" bandwagon, but found the Scrabble-like game to be a little too much work.

"The problem with games is they're usually so overly complex. If I can't figure it out within a minute, I move on," said the Seattle resident, who is an occasional CNN.com contributor. "And you know, there are lot more people like me than people who would take a lot of time to get into a game."

Then came "Draw Something." Pirillo came across the game -- a digital variation on Pictionary, with a dash of Hangman -- recently while browsing the latest apps on his iPad. He downloaded it, connected to Facebook and started playing.

He was instantly hooked. Now Pirillo easily blows through a couple of hours a night playing the game.

"What draws people is the drawing," Pirillo said with a laugh. "Everyone likes to doodle. Who doesn't like to doodle? It's fun, it's easy, it doesn't take any thinking. Not any, but just a little."

The app, created and released by gaming developer OMGPop, has enjoyed unbelievable success in its short life. It has attracted more than 35 million users in the two months since its release -- a remarkable amount for a game that has no clear-cut winners, losers or "Angry Birds"-like levels of achievement.

"Draw Something" spent weeks as the No. 1 free app on the iPad and iPhone, and OMGPop was snapped up last month by Zynga, the king of the social-gaming industry, for about $200 million.

How it works

Playing the game is simple once you scan your social-network contacts for someone to play with. The app gives you three choices of things to draw; you pick a word and then draw it with your finger on the touchscreen, using the basic colors provided in the app. Your friend hopefully deciphers your picture and guesses it correctly, then draws a picture for you in return.

The back and forth continues in an addictive cycle. There's no winner; instead, players work together to build streaks of correctly guessed drawings.

Dan Porter, former CEO of OMGPop turned a vice president of Zynga, said they were inspired to create something that was close to a party game -- targeted at everyone and not too competitive.

"We wanted to be that game that was on the phone of the people who had no other games on their phone," Porter said. "We thought it would do well. But we were shocked that it did this well."

The point system complements the easygoing nature of the game. Players have the ability to pick from a list of three words, which range in difficulty. Harder words are worth more virtual coins, which can be cashed in for features or hints within the game.

What's interesting is how these points work. The person drawing gets coins if the other player guesses it correctly. The person guessing is given the same number of coins for guessing it.

Pirillo thinks this system is very intelligent.

"It's not a competition, it's about collaboration," he said. "You owe it to the other person as a player to get what's in your head."

This may be a factor of why the game is thriving in more than 80 countries, in the hands of people of all ages.

Porter thinks Zynga's support and infrastructure will enable them to make significant improvements to the game -- such as incorporating a chat feature or letting players save their drawings within the app. Currently, players must use the screen-grab function on their phone or tablet to save images of their drawings.

A game of leisure

Varsha Swamy, a 50-year-old mother of two and the manager of Studio One Eighty Nine in Mumbai, India, was invited to play the game on her iPad by her daughters in the United States.

She says the main appeal of "Draw Something" is that it's a game of leisure, as opposed to a game like "Scramble with Friends" where you are working against the clock.

"You're relaxed, you're playing it at your own time and pace, you erase it, then you draw it again," she said with a laugh.

Players say being able to draw a word at their own pace, in whatever style they choose, opens new windows of creativity and self-expression.

To Swamy, it's also a window into your partner's mind.

"When you're drawing, you're illustrating what you're thinking," she explained.

This thought process is visible in full when playing the game, which shows your drawing being created, line by line, as your partner tries to guess what it is. Once a line is off your fingertip and onto the digital canvas, there is no retracting it -- you can erase and start over, although the entire process, including all your mistakes, will be recreated for your partner as well.

This is unnerving to a number of people, especially if they feel their artistic skills are not up to par. Swamy admits that she didn't like the game at first because she doesn't consider herself to be a great artist.

"I think what inhibits people from maybe playing a lot of this game is their drawing skills," she said. But that didn't stop her from trying. "Once I got used to it and figured out all the colors and the thickness of the pen and stuff, I realized I could do a lot of things."

Users agree that, like Pictionary, success at "Draw Something" is not about artistic talent but about providing the right clues for the other person.

"I think anybody who can draw a face -- not a proper face, but two dots and a nose and a smile, can play," said Swamy, who has hit a streak of 80 correctly guessed drawings in one of her games.

Lost in translation?

Words and celebrities from present-day popular culture -- say, Twitter, or Rihanna -- make the game refreshing for some players. For others, they're more of a hurdle.

Even Pirillo, some years younger than Swamy, said he has trouble guessing words like "Lil' Wayne," the rapper. He also wouldn't play the word "Android" for his mother.

"I don't know if she would have the same cultural language everyone else has," Pirillo said.

The game's American-centric cultural references also throw some international players off.

To Swamy, "football" does not mean the same thing in Europe or India as it does in America, and the word "Tebowing" results in a mental blank.

Twenty-one-year-old Rodrigo Llorente of Madrid faces similar cultural and lingual battles daily on "Draw Something."

"Some of [the words] are weird," the Icade University student said. "But you can check them in the dictionary."

That doesn't discourage Llorente from playing. In fact, he finds it a great learning experience.

"This is helpful for learning more English, which is very good in my opinion," he said. "Enjoyment plus knowledge is great."

Zynga's Porter addressed some of these issues when speaking with CNN.

"I would love to do more stuff that is relevant for an international audience," he said. "We are about to put a slew of famous footballers in the game for the Euro Cup, for example."

A new way to connect

Meanwhile, "Draw Something" players continue to share their scribbled masterpieces, their private doodles and their sometimes embarrassing trains of thought.

Players say that while you can play with strangers, the game is a unique and intimate way to communicate with parents, significant others and kids.

Swamy loves playing with her daughter, and even her daughter's boyfriend, in the United States. For her, it's a new way of keeping in touch with loved ones who are far away. Pirillo, who has hit round 79 with his wife, sees "Draw Something" as a different way of connecting to someone you know so well.

"I am not much of an artist, but I am learning more how to make people laugh in the game," Porter said. "I also like to play with my sons Miles and Joshua, as it gives me a window into how they think."

Porter saves and cherishes many of their drawings.

@highlight

"Draw Something," a hit mobile game, lets players take turns drawing, guessing objects

@highlight

It's been the No. 1 free app on the iPad, iPhone and has attracted 35 million users

@highlight

Player on the game's appeal: "It's not a competition, it's about collaboration"