(CNN) -- There are several definitions of where the Northwest Passage begins and ends, but using the Arctic Circle is certainly the most encompassing, so we've been holding our breath until we crossed this line.

The crew has negotiated some stunning and treacherous waters to sail the Northwest Passage.

The Arctic Circle (66 30N) marks the lowest latitude at which the midnight sun is ever seen. We've had some stormy weather along the Baffin Island coast.

We had waves up to 8m high and winds over 40 knots. Silent Sound was being tossed around a lot, and I was thrown clear across the cabin on one occasion, suffering a minor concussion that kept me in my bunk for several days.

Now that we're out of the Arctic Archipelago and into the open sea, we are seeing more icebergs, instead of ice floes. Ice floes are frozen seawater while icebergs are chunks of ice broken off glaciers in the High Arctic. Bergs begin as snow falling on land, which is then compressed into ice.

Even though the icebergs we see are easily 20 or 30 meters high, most of their volume is below water. Only about one third of their entire volume is visible above water. This means you have to stay well clear of them because they may spread out under water, like an upside down mushroom.

We've also started thinking about what we've experienced and learned this summer.

By far the most impressive feature of the Arctic has been its people. In every town we visited we met complete strangers who offered us help, welcomed us into their homes and provided us with hot showers and food.

So many people showed genuine interest in our journey and generously told us about their lives, and we left nearly every town with a few fish or other wild game in our fridge.

Our mission when we left Victoria, British Columbia in June was to find out how climate change is impacting Arctic communities. We saw and heard about the impacts, from slumping land due to the melting of permafrost to hunter stories about the northward migration of species and the challenge that early ice break up poses for transportation.

But more importantly, I'm leaving the Arctic with a sense that its communities are at a crossroads. They underwent a rapid change in the 1950s and 60s when people moved off the land and into settlements.

Now, those settlements are bracing themselves for unprecedented change due to resource exploration, economic development, political wrangling and an influx of new wealth, people and social forces. They're all tied to climate change in one way or another, and they leave Arctic community leaders with a big job ahead of them.

Climate change is turning the spotlight on the Arctic, and hopefully that will mean federal government help where it is needed to aid the Inuit in making wise choices for their future. I've been struck by how although the Arctic is very different place than the urban habitat most of us occupy, it is not in a different time.

To maintain a romantic notion of the Arctic as a place time has forgotten where life is simple and basic would be an insult to the people that call it home and be a mistake. Many of the challenges brought to the Arctic by climate change and economic development are the same as those faced around the world. It's just a little colder, and a little more remote.

While we've begun mulling over our experiences this summer, it's too soon for the crew of Silent Sound to relax. We are still about three weeks from our final port. And the sailing is getting cold and tiring.

The nights are very dark at sea, and temperatures are hovering just above zero degrees Celsius. On many days we are sailing in snow, rain and sleet. Our onboard heater has broken down, so we have to wear extra layers in our sleeping bags to keep warm. This also means that the condensation builds up in the boat and it gets pretty damp, making it hard to dry our socks and gloves.

But Halifax is in sight, and we can get some comfort from our accomplishment of completing the Northwest Passage.

@highlight

Crew of Silent Sound complete the Northwest Passage, heading for Halifax

@highlight

Crew have faced dangerous ice bergs and waves up to 8 meters high

@highlight

Arctic communities at a crossroads, directly and indirectly from climate change