(CNN) -- The press has turned on President Obama with a vengeance.

Suddenly, the White House briefing room is filled with confrontational questions. Suddenly, the news pages are ablaze with scandal, and the commentators -- even some of the president's usual defenders -- are bemoaning his shortcomings. Suddenly, Obama isn't getting the benefit of the doubt.

According to Obama's longtime detractors, the denizens of the fourth estate are finally climbing out of a tank in which they have been immersed since roughly 2007. But the reality is a bit more nuanced than that.

There are a number of unsavory allegations swirling around Washington, but do not underestimate the importance of the Justice Department seizing two months of Associated Press phone records without so much as a heads-up. This not only seems like a case of prosecutorial overreach, even in a case involving national security, it strikes at the heart of what journalists do -- and has fostered feelings of betrayal. Does the administration not understand the chilling effect on reporters and their sources, they wonder, or simply not care?

It's easy to say that news organizations recoiled from Obama only when their own special interests were threatened, and maybe there's some truth to that. But the media also have a deep, abiding love for scandal, and beyond the AP phone records story, the administration is lately providing that scandal in spades.

The battle over Benghazi has mostly divided along partisan lines, with conservatives seeing a sustained coverup and liberals perceiving a partisan attack on what was a bungled operation and confused aftermath. But the report by ABC's Jonathan Karl alleging the scrubbing of the Susan Rice talking points (following a less-noticed report by Stephen Hayes of the Weekly Standard) transformed the tone of the coverage in a single stroke.

The Karl report turned out to be based on an inaccurate, misleading characterization of an email, but for the first time, many journalists came to believe the administration had something to hideâ€”and that they had been personally misled in press briefings. That is guaranteed to get the blood flowing.

The disclosure that the IRS selectively targeted conservative groups for review brought immediate condemnation from many across the media spectrum, including Carl Bernstein, who investigated the Nixonian abuses, of which this story carries an unmistakable echo. And it is the trifecta of these scandalous sagas that will dominate coverage for months as media outlets feast on the cycle of investigations, hearings, subpoenas, resignations and denials.

Any doubt that scandal trumps ideology in the media firmament can be dispelled with a glance back at Bill Clinton's tenure, when what he called the "knee-jerk liberal press" investigated Monica Lewinsky, Whitewater and other allegations with a fervor that eventually put it on a virtual war footing against the White House.

More troubling for the current crew is that news outlets are starting to pivot to broader questions about whether Obama is competent at the business of government or a passive bystander in his own administration. That impression, if it takes hold, cannot be Etch-a-Sketched away.

To be sure, some of Obama's antagonists will overreach by framing every scandal as the next Watergate and each revelation as an impeachable offense. That may trigger a counter-reaction in which some of the president's liberal allies shift their focus from the administration's missteps to the opposition's overkill.

Some in the media rolled over for Barack Obama in the 2008 campaign, though the record was decidedly more mixed once he took office. But personal feelings toward this president who has never courted the press no longer matter; nor do personal predilections on gun control and immigration reform. The scandal machinery has kicked into high gear, and its sheer noise may drown out everything else.

The opinions expressed in this commentary are solely those of Howard Kurtz.

@highlight

Howard Kurtz: AP phone records search, other stories have turned press on Obama

@highlight

He says attention isn't just out of press self-interest; Obama's stuck in number of scandals

@highlight

He says that for the first time, press started to think Obama misled them

@highlight

Kurtz: GOP may overreach to damage Obama; still, scandal could drown out governing