(CNN) -- The first anniversary of the Egyptian revolution is today. Egyptian society and the forces in Egypt are in a state of anticipation. World media has its cameras and correspondents in Cairo and major cities around the country. But many Egyptians wonder if the revolution amounted to nothing more than a military coup.

It has been a year since the eruption of the first Egyptian revolution that stunned the world and ended 30 years of authoritarian, oppressive and corrupt rule by Hosni Mubarak, Egypt's last pharaoh. Mubarak ended up in jail along with his sons and his regime's major figures, with stories of their unimaginable corruption, brutality and looting surfacing ever since.

But since then, most Egyptians have become angry and frustrated with the performance of the Military Council -- comprising more than a dozen elderly generals -- that has taken control. Egyptians, political forces and revolutionaries accuse the Military Council of being accomplices with the remnants of the Mubarak regime and of refusing to enact real reform, to the point of actually waging a counter-revolution.

Egyptians have been enraged by the brutal suppression of peaceful demonstrations that followed the revolution, and in the arrests, humiliations and even killings of protesters. The Military Council is still controlling the state media and the political scene. Western governments and human rights organizations are expressing their dismay, with Human Rights Watch reporting killings and brutal attacks, some of them sexual, on protesters.

The council is the Old Guard, desperately trying to preserve the military's long-standing privileges and special status. The military has been running Egypt since 1952 -- with rulers such as Gen. Mohammed Naguib, Gamal Abdel Nasser, Anwar Sadat, Mubarak and Marshal Tantawy coming from its ranks. The military has dominated Egypt's modern political scene, with members serving as presidents, prime ministers, Cabinet ministers, governors, party elites, heads of the security services, ambassadors, heads of many companies, and even ministers of culture and the media -- in a true Orwellian fashion.

The military institution in Egypt consumes more than 25% of the government expenditure and owns about 30% of the national economy. The United States has given Egypt a hefty military aid package of billions of dollars for nearly three decades. Egyptians respect their armed forces, but are desperate for a civil state where human rights, rights of minorities, and accountability and transparency are guaranteed. They do not want another pharaoh-like president coming from that institution.

Egyptians have been asked to commemorate the special occasion of the revolution's first anniversary by taking to the streets Wednesday, wearing black in mourning of the deaths of hundreds of the revolution's martyrs. But some political forces refuse to call it a celebration -- they say the revolution is not finished and their demands have not been met.

Demonstrators have already started to pour into Tahrir Square. Activists are calling for the immediate transition of power from the Military Council to a civilian council, or even an interim caretaker. Now, after bringing down the Mubarak regime and his notorious State Security apparatus, Egyptians have broken the fear barrier and believe there is no turning back. Will they stun the world again, with Egyptian Revolution, Part II?

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Aladdin Elaasar.

@highlight

Wednesday marks one year since the revolution ending 30 years of Mubarak regime

@highlight

Aladdin Elaasar: Egyptians are bitter about Military Council's own oppressive rule since then

@highlight

Military has brutally repressed demonstrations, he writes; arrested, even killed protesters

@highlight

Elaasar: Activists now want the immediate transfer of power to a civilian council