(CNN) -- Most people are yet to learn about the progress most countries have made in recent decades. The reason media and schools have failed to communicate a fact-based world view is probably due to the continuous use of the outdated concept of a "Developing World." A mindset upgrade with a division of countries into more than two groups is long overdue.

In the 1960s it was very relevant to divide the countries of the world into two distinct groups. These two groups of countries were labeled "developed" and "developing," or the two were just referred to as "the Western World" and "the Developing World". The two groups of countries differed in almost every way.

Western countries were rich and people had long education, long lives and small families. Developing countries were poor and the people had meager or no education, short lives and large families.

The population in the West was stable whereas the population in the developing world was growing fast. Almost the whole world economy was in the West.

The poor developing countries were expected to gradually get out of misery with the help of development aid and family planning. And no major countries were found in the middle -- in the wide gap between the West and the rest. The only exceptions were a few small island nation states like Singapore, Hong Kong and also Cuba.

Well there was of course a third group, the Soviet dominated "Communist Countries"; but they lived separate and enclosed lives outside the world economy. They were, however, included in one alternative division of countries, in which the West was called the First, the Communist the Second and the rest of the countries the Third World.

Read more: Take Gapminder's 'ignorance test' and see how up-to-date your knowledge is

More than two decades after the disappearance of the Soviet group, we are in urgent need of a new system to group and label countries. Two groups are not enough. The World Bank did a promising attempt by creating four country groups by using cut-offs in Gross National Income per capita at $1,000, $4,000 and $12,000. The cut-offs defined low-income, lower middle income, upper middle income and high income countries.

However, this division into four groups did not change many mindsets. The concept of a developing world ranging from Turkey and Brazil all the way to Somalia and Afghanistan still forms the mindset used by most people to sort information about the world.

The world keeps changing, while mindsets remain surprisingly intact. Now the countries of the world defy all attempts to sort in only two groups. Most of the formerly "developing" countries fill the once empty middle, and form socioeconomic and demographic continuum.

On the top of the health and wealth league, Norway and Singapore, at the bottom the poorest nations torn by civil war, like Congo and Somalia. So the disparity between the richest and the poorest is as wide as ever, yet the big change is that the gap in the middle has been filled.

Most countries and most people now live in the middle of the new socioeconomic continuum, in middle-income countries like Brazil, Mexico, China, Turkey and Indonesia. Half of the world's economy -- and most of the economic growth -- now lies in these middle income countries, outside the old West, Western Europe and North America.

Future population growth

In spite of dramatic economic shifts, the change in demography is even more pronounced. Fifty years ago the women in the world on average had five babies, an average composed by six in the developing world and 2.5 in the developed world. Now the world average has dropped to 2.5 babies born per woman, an unprecedented shift.

This has happened across religions and cultures, and especially in Asia the fall in fertility took place at a lower economic level than ever before in human history. In most Asian countries the fertility drop happened before the economic growth took off. In the world as a whole the main reason for future population growth is that the young generations grow up causing an inevitable fill-up of the adult population.

The consequences are amazing. In the last decade the total number of children aged 0-14 in the world has started to level off at around two billion. The U.N. population experts predict that it most probably is going to stay that way throughout this century.

Age of 'Peak Child'

That's right: the amount of children in the world today is probably the most there will be! We are entering into the age of Peak Child! This is in spite of the increase of the number of children in Africa, where women in many countries still have five babies and are in desperate need of access to contraceptives.

Yet the increase of children in Africa is foreseen to match the decrease in the number of children in Asia and Europe. A decrease caused by women in more and more countries having on average less than two babies.

So almost 80% of mankind now lives in societies where the two child families are most common and 80% of adults in the world can read and write, and 80% of the one-year-olds have been vaccinated and the life expectancy of the world population as a whole is 70 years.

The percentage living in extreme poverty fell to half in the last 20 years, from 40% to 20%. So yet in this new and better world 1-2 billion still live in extreme poverty, cannot send all children to primary school, and are not sure to have enough food to eat. They live in rural areas in low income and lower middle income countries. That means mainly in countries in Sub-Saharan Africa and South Asia with less than $4000 in Gross National Income per capita.

So in short, the world is better than ever, yet very far from good!

The opinions expressed in this commentary are solely those of Hans Rosling.

@highlight

In the 1960s, the world was divided into "developed -- or Western" and "developing"

@highlight

Hans Rosling says the division was relevant in terms of wealth, education and life expectancy

@highlight

But he says since then, there has been a shift -- with most countries in the middle

@highlight

The old mindset has not kept up with the new reality and needs changing, Rosling says