(CNN) -- If you are already in college or headed there, sit down. If you're the parent or friend of a student, listen up.

One in five college women will be raped, or experience an attempted rape, before graduation. Less than 5 percent will report these crimes to officials on or off campus, and, when they do, there's a good chance the system will let them down.

A handful of former students who spoke out and reported rapes at their schools told CNN they didn't feel protected by their universities. They were initially interviewed as part of an investigative series by the Center for Public Integrity, a Washington-based nonprofit that says it seeks to make institutions more transparent and accountable.

The women welcomed the chance to share their experiences and offer advice to students today.

"I was too young, still in too much shock and too emotionally gone to make decisions on my own," said a woman who, as a freshman, reported a rape in 2001. "I needed an adult I trusted. The school did not provide such a person."

The shocking statistics of rape and attempted rape on campus came to light in a study conducted by the U.S. Department of Justice  nine years ago. But the recently released series published by the Washington center shows that while federal law requires schools to act on sexual assault allegations and look out for the rights of victims, many higher-education institutions aren't making the grade.

"Schools are aware it's a problem, a big problem," said Kristen Lombardi, the center's lead reporter for Sexual Assault on Campus: A Frustrating Search for Justice. She pointed to a "culture of silence" and said critics say, "The biggest sin is one of omission. They're just not dealing with this issue head-on in a public manner with their student bodies."

Over the course of nine months, Lombardi and her colleagues spoke to 33 women who'd reported rapes, interviewed about 50 experts and surveyed more than 150 crisis clinics and programs on or near campuses. They also reviewed cases and combed through 10 years of complaints against institutions that had been filed with the Department of Education.

The alleged rape victims and others shared stories of secretive hearings, administrators who encouraged students to drop complaints and failures to sufficiently pursue the accusations and seek punishments when warranted. Others spoke of gag orders, confidential mediations where women sat across from their attackers and feelings of being revictimized at the institutions they thought would help them.

Many said administrators appeared more concerned with protecting their employer, or the school's reputation, than they were with protecting students. A number of women ended up leaving their universities. One student in the investigative series was written about posthumously, after killing herself.

Part of the problem stems from ignorance, said S. Daniel Carter, the director of public policy for Security on Campus, a national organization committed to advancing safety for students.

For one, he said acquaintance rapes, which dominate campus assaults, are often wrongly dismissed as "misunderstandings." And lack of coordination when it comes to responses isn't helped by the fact that too few school officials are trained to understand the impact of sexual assaults.

"People are going to do the best they can, but they only have limited knowledge based on their profession," said Connie Kirkland of George Mason University in Virginia, a school that's emerged as a model for others.

Kirkland, the school's director of sexual assault services, has held this position since the office was established in 1993, making it among the first of its kind. She said the university jumped to action soon after then-Gov. Douglas Wilder issued in 1992 recommendations regarding campus sexual assaults. And while other Virginia schools made efforts early on, Kirkland said that when Wilder left office in 1994, most schools folded their programs.

Meantime, budgetary woes at schools across the country mean the programs that do exist often come and go, she added.

Kirkland said nothing serves victims better than having a clear point of contact on campus, an office and professionals who are trained -- and can train others -- to understand all aspects of these sexual assault crimes, including legal options, the psychological toll and health concerns.

A compassionate and well-meaning professor, administrator or residential adviser, for example, may listen, but they can't be expected to provide full-fledged therapy or tell a student what it means to file a police report or go to court, she said. And a therapist can't offer legal navigation any better than a law enforcement officer can be responsible for emotional processing.

The women who spoke to CNN described what they would have done differently if they'd known then what they know now. In general practice, CNN does not name sexual assault victims. Here, in their own words, is their advice:

Feeling invincible, an age of denial and disbelief

"I wish I'd been less trusting of my surroundings," said a woman who said she was assaulted as a sophomore in 2007. "In college, you feel as if you are invincible, when in reality, trouble could be hiding behind the façade of a casual get-together or a party where you feel completely safe. Always keep control of yourself and your surroundings, and keep a close eye out for your friends as well.

"And if you are a friend of a person who has been assaulted, all I can say is that though it might be hard, please listen and support that person," continued the former student, who said she was "met with a response that I never expected -- laughter and disbelief. Because of that, I kept silent until my attacker assaulted a friend of mine almost a year later."

Said another rape victim: "Do not binge drink or leave drinks unattended."

Reaching out elsewhere, protecting your interests

"I wish I'd told my parents sooner," said a woman who reported a campus rape that happened in her dorm room in 2003. "My parents now know about it, but when it initially happened, they did not. I was just so ashamed.

"You're too inhibited to make rational decisions, to understand emotionally what's going on," she added. "Whether it's outside counsel, law enforcement, a friend or a parent, do not rely on the university to serve your best interests. And don't sign anything."

Seeking out professionals who understand

"Get help from a professional as soon as possible. I spoke with a counselor at Victim's Assistance a few days after my assault, and that was crucial in helping me overcome this. There are a lot of different emotions after you are assaulted, and speaking with someone who really understands sexual assault is imperative," said a woman who reported a gang rape by athletes in 2001 when she was a sophomore.

Furthermore, she said, "Family members and friends are also victims when this happens to someone they care about. The technical term is 'secondary survivors.' Sometimes it is difficult for them to deal with their own emotions and still be supportive to the primary survivor. Secondary survivors should not be afraid to get professional help, or to speak with a counselor about their own feelings. That way, they are not projecting their emotions onto the primary survivor. Seeking professional help also gives you options, and it is important to know all of your options after you are assaulted so you can choose how to overcome this."

@highlight

Study: 1 in 5 college women victim of a rape or an attempt, but only 5 percent report crimes

@highlight

A Center for Public Integrity investigation shows schools often fail victims

@highlight

Problem is lack of coordination and understanding of sexual assaults, experts say

@highlight

Trust less and, if assaulted, find adult to protect your interests, former victims say