New York (CNN) -- In this age of bitter partisanship, it is not surprising that congressional approval ratings are at an all-time low. But how did our national legislature get to the point where only 10% of Americans approve of its actions?

The answer: Congress no longer represents the will of the people, and it hasn't for a very long time. The House of Representatives has become another U.S. Senate where a rarefied few supposedly represent the needs of the many. And that's the main reason that hyper-partisanship and special interests seem to control the legislative agenda. We have all been disenfranchised.

A quick trip back to fifth grade history class reminds us that the House of Representatives was established as the lower house, intended to be "of the people," according to James Madison. It was to ensure that individual citizens had a voice in federal legislation while the Senate was meant to be more deliberative and represent the interest of the states.

But population growth has cut the ties between representatives and those they represent. A seat in the House of Representatives has gone from representing 33,000 people to more than 700,000 today. America basically has two upper houses of Congress with less and less representation of the people.

The reason is as cynical as you might imagine: Self-interest and power. It is in the interest of individual members of Congress and the two political parties to maintain this status quo.

With each member of Congress representing a very large number of people, representatives receive tremendous attention from special interests. It is relatively easy for these groups to buy the support of the 218 members it takes to pass a bill, and congressional seats have increased in value as the economy and government have grown. It's not surprising that running for Congress has become a multimillion-dollar fundraising challenge in many districts around the country. And, it is also not surprising that many members become millionaires once they leave Congress -- if they are the rare ones who weren't rich to begin with.

The real resistance to congressional reform is Congress itself. The Democratic and Republican parties enjoy a duopoly: No third party, or even a faction within the parties, can disrupt their stranglehold, especially when redistricting and gerrymandering have created solidly Democratic and Republican seats.

The result is that members and even candidates continue to reflect the more partisan positions of the party, regardless of the will of the people. Although roughly 40% of Americans describe themselves as independent, Washington continues to be driven by the right- and left-wing believers who form the base of each of the parties, resulting in acrimony and stalemate.

The solution is relatively simple. For the first 140 years of the republic, the House increased in size with the population in varying degrees, going from 65 members originally to 435. A Republican Congress and president enacted the Reapportionment Act of 1929, which arbitrarily capped the number at 435 members. Although the U.S. population has more than doubled since 1929, the individual's voice in the federal government has diminished. Now is the time to re-establish that voice with a Congress that is closer to the level of representation envisioned by the founders.

If we use the original ratio (1 member per 33,000), we would have a House with nearly 10,000 members, which seems extreme and more like direct, as opposed to representative, democracy. However, staying at 435 also seems arbitrary and extreme.

The founders envisioned population growth and proposed a maximum ratio of 1 per 50,000, which today would produce a Congress of slightly more than 6,000 members.

Let's assume they were off by 100%, and we might envision a Congress with 1 member per 100,000 people or 3,000 members. As points of comparison, a constituency in the U.K. House of Commons is roughly 90,000 people, and the Iraqi government that the U.S. helped establish is at 100,000 people per representative. Yes, that's right: today Iraq's legislature is seven times more representative than our federal government.

The idea of 3,000 or more members of Congress, constituting a Washington-based power elite, would scare people if we continue to apply the 1780s approach to governing. But our government needs to evolve to reflect the world we live in. What if members of Congress went to Washington quarterly for two week conventions? The rest of the time they could live in their districts, using widely adopted technologies to collaborate and vote online. It is ridiculous that a member must be "present" to cast a vote in Congress in 2012.

The role of a member of a much larger Congress should be part-time, making it more attractive for people of varying backgrounds to run. Most importantly, in most districts it would no longer require millions of dollars to get elected, so members would be less likely to be corrupted.

Many might argue that such a large number would lead to gridlock based on sheer numbers. Really? More unproductive than where we are today? Properly used technology can enable large numbers of people to collaborate effectively, as they do in some leading corporations. For example, Amazon.com operates a disparate group of businesses around the world with very few physical meetings in headquarters.

Most Americans are not ideologues. They want government to work efficiently, represent them well, provide some collective services and solve problems.

Congressional reform is gathering some momentum. But those in power will cling to the status quo. We need to fight for the right of representation envisioned by the founding fathers.

It's time for: "House 3000: The Congressional Reformation Act of 2012". Who's in?

The opinions expressed in this commentary are solely those of Brian Flynn.

@highlight

Congress' approval rating hit an all-time low of 10%

@highlight

Brian Flynn says a growing population has left Congress much less representative

@highlight

Size of the House has been frozen at 435 since 1929

@highlight

Flynn: Shrink districts, expand the House and make seats in Congress part-time