(CNN) -- About 150 U.S. Marines are poised to enter turbulent South Sudan to help evacuate Americans and provide security for the U.S. Embassy, if ordered to do so, two U.S. military officials said Monday.

The troops are moving from Moron, Spain, to the Navy's Camp Lemonnier in Djibouti.

An estimated 100 U.S. citizens are believed to be in South Sudan, where steady violence is stoking fears of an all-out civil war in the world's newest country.

"By positioning these forces forward, we are able to more quickly respond to crisis in the region, if required," read a statement from U.S. Africa Command.

It cited the example of Benghazi, where an attack last year killed U.S. Ambassador Christopher Stevens and three other Americans.

"One of the lessons learned from the tragic events in Benghazi was that we needed to be better postured, in order to respond to developing or crisis situations, if needed. These precautionary movements will allow us to do just that," the statement read.

According to a senior administration official, 380 American citizens and about another 300 third-country nationals have been evacuated.

"Based on registration, there are American citizens in other towns and areas throughout South Sudan. We are trying to track down how many may still be there. Many may have gotten out on their own. We are trying to track that down," the official said.

On Sunday, all Americans who presented themselves at a U.N camp in the flashpoint town of Bor were evacuated safely, the State Department said.

A State Department official said about 15 Americans were flown out Sunday. U.S. personnel have been working to confirm that no other U.S. citizens remained in Bor in need of evacuation.

U.N. civilian staff were moved from a compound in Bor to Juba, the capital, on Saturday, the same day a U.S. mission to airlift Americans out was aborted when the aircraft came under fire.

Four U.S. troops were wounded in the attack in Bor and were to be moved to the U.S. military hospital at Landstuhl, Germany, a senior U.S. official told CNN on Sunday.

One of the injured "went through some pretty serious surgery" after being taken to Nairobi, Kenya, with wounds from gunshots fired at the aircraft. All four have been able to speak to their families.

"The United States and the United Nations, which has the lead for securing Bor airport in South Sudan, took steps to ensure fighting factions were aware these flights were a humanitarian mission," State Department spokeswoman Jen Psaki said in a statement.

"The U.S. government is doing everything possible to ensure the safety and security of United States citizens in South Sudan. We are working with our allies around the world to connect with and evacuate U.S. citizens as quickly and safely as possible."

Rebel seizure

Earlier, government officials reported rebels have seized the capital of a key oil-producing state in South Sudan.

Military spokesman Phillip Aguer told CNN that Bentiu is no longer under government control after falling to troops loyal to former Vice President Riek Machar, who was ousted from his post in the summer.

On its Twitter feed, the South Sudanese government wrote: "Bentiu is not currently in our hands. It is in the hands of a commander who has declared support for Machar."

Bentiu is the capital of Unity state, the source of oil -- crucial to impoverished South Sudan's economy -- that flows through pipelines north into Sudan for export.

Aguer said troops of the Sudan People's Liberation Army were on their way to retake rebel-held towns -- namely Bentiu and Bor, also north of Juba.

He said the army had not asked regional powers to assist, saying it was equipped to handle the situation. He would not specify the number of troops being sent in but estimated about 1,500 rebels were in both Bor and Bentiu.

President Salva Kiir, from South Sudan's Dinka ethnic group, has accused troops loyal to Machar, from the Nuer community, of trying to launch a coup. The two men have long been political rivals, and Kiir dismissed Machar, along with the Cabinet, in July.

The U.S. special envoy to South Sudan, Ambassador Donald Booth, said Monday that Kiir told him he is ready to begin talks with Machar, without preconditions as soon his counterpart is willing, to try to stop the violence.

South Sudan formally split from Sudan in 2011 after a referendum following decades of conflict. Armed groups remain active in the oil-rich country.

Machar: 'There was no coup'

The former vice president said Monday that he and his supporters have no intention of taking power through military means.

"There was no coup. It was a sheer lie, fabrication," Machar told CNN's Max Foster.

"There is an uprising in South Sudan, as you well know. The people are uprising. It is because of the security forces that are stamping down on the popular feeling of people. The people of South Sudan are fed up with what Salva Kiir has been doing all this time."

He said he was happy to start talks with the President, but only if Kiir first releases political detainees.

"These are the only people who can dialogue. The army releases them, then the dialogue can start soon, and hopefully we will get a peaceful settlement," Machar told CNN.

United Nations responds

Up to 40,000 civilians have taken refuge in U.N. bases in the country, the world body says. It estimates some 62,000 people have been displaced, with violence affecting five of South Sudan's 10 states.

"The U.N. stood with you on your road to independence," U.N. Secretary-General Ban Ki-moon said Monday in a message to the people of South Sudan. "We will stay with you now. I know that the current situation is causing great and growing fear. You are seeing people leave the country amid increasing chaos. The U.N. will stay with you."

He called for reinforcing the U.N. peacekeeping force, which currently has more than 6,800 troops and police in the landlocked country. In a letter, Ban asked the Security Council to boost the force by 5,500 personnel.

The United Nations has moved noncritical staff out of Juba across the border into Uganda. The violence, which began in the capital, has spread farther north in one week, killing hundreds of people and displacing tens of thousands.

According to the senior U.S. administration official, the United Nations is working up a list of requests for assistance.

"Washington is now in the process of looking at these requests and evaluating how we can be helpful and how we can do that as quickly as possible," the official said.

Doctors Without Borders 'deeply concerned'

Medecins Sans Frontieres said it was "deeply concerned" for the safety of those caught up in the violence.

The group, also known as Doctors Without Borders, said fighting had broken out Sunday in Nasir in the Upper Nile state, and a hospital in the town had received 24 patients with gunshot wounds.

The group is also providing assistance in Bentiu and Juba.

"Yesterday while setting up the mobile clinic for the displaced in Juba, there was still a queue of people arriving carrying all their belongings, with their children in tow. With the ongoing conflict in the country, people are unsure of how the situation will evolve and are scared to return home," Forbes Sharp, the humanitarian group's emergency coordinator, said in a statement.

"The situation is evolving fast in South Sudan and we are reacting as best we can to the changing landscape of the violence."

CNN's Jennifer Rizzo contributed to this report.

@highlight

NEW: U.N. Secretary-General Ban Ki-moon calls for boosting peacekeeping force

@highlight

"There was no coup," former Vice President Riek Machar tells CNN

@highlight

U.S. special envoy says South Sudan's president is ready to begin talks with rival

@highlight

About 150 Marines are headed to South Sudan to help with evacuations, security