Cairo (CNN) -- Two distinctive Egyptian presidential candidates, one representing resurgent Islamists and the other a weathered veteran of the country's old guard, have begun maneuvering for wider political support ahead of an expected runoff next month.

Muslim Brotherhood candidate Mohamed Morsi huddled with politicians Saturday to stave off what his campaign sees as a return to the policies of longtime President Hosni Mubarak, toppled last year in the country's historic uprising.

"We face desperate attempts to replicate the old system of governance in new attire that might fool some, but the masses of our people and the enlightened revolutionary forces will not give these the opportunity," the Morsi campaign said in a statement. "We must, together, seek out ways to save the blessed revolution."

Yet his opponent, former Prime Minister Ahmed Shafik, distanced himself from Egypt's deposed leader as he briefed reporters, saying there's "no going back" to the Mubarak years.

"We hear talks about deals, compromises that some are trying to make. I assure to you that the only deal that we need to make at this moment is with the Egyptian people," Shafik said.

"To all Egyptians from all parties and to all the independents, to the children of April 6 movement, your revolution has been hijacked from you, the revolution that you have started. Therefore, I pledge to you that I will do my best to restore its glory back to you and that you will be in the front lines of this new phase."

There were 13 candidates on the first-round presidential ballot, although two withdrew from the race after ballots were printed. If no candidate gets a majority of the vote in the first round, the top two will progress to a runoff to be held June 16-17.

The winner of the landmark vote will become Egypt's first freely elected president.

A runoff between Morsi and Shafik appears likely, according to unofficial results reported by Egyptian newspaper Al Ahram Online. Egyptian elections officials said the results being published by the media were "not inaccurate."

The unofficial Al Ahram count gave Morsi 25% of the vote with results in from all 27 provinces, with Shafik close behind with 24% of the vote. In third at 22% is leftist Hamdeen Sabahy.

Morsi is an American-educated engineer who vows to stand for democracy, women's rights and peaceful relations with Israel if he wins the Egyptian presidency. Still, he's an Islamist figure who has argued for barring women from the Egyptian presidency and called Israeli leaders "vampires" and "killers."

Shafik, also a former air force officer with close ties to Egypt's powerful military, is seen as representing the interests of the old guard -- those who lost out when President Mubarak was ousted.

On Saturday, Sabahy stressed to reporters that the final results have not yet been announced and said his campaign has filed appeals.

"With the will of the people, we will succeed. The Egyptian administration is looking at evidence of fraud," he said, according to his Twitter page.

"All of the evidence proves that we acquired most of the votes and I thank the people for their valuable trust," Sabahy said.

Al Ahram's count put Abdelmonen Abol Fotoh, a moderate Islamist running as an independent, and Amre Moussa, who previously served as foreign minister and headed the Arab League, in fourth and fifth places, respectively.

Former U.S. President Jimmy Carter, who led a delegation observing the voting, told reporters in Cairo he couldn't say "the entire process has been proper" because of some restraints on observers. But the group found the election period to be peaceful, with citizens accepting the voting process as "quite successful."

"There were many violations, and I think each violation is serious. But I think collectively they did not affect the basic integrity of the election," he said.

Carter said there were no apparent patterns in election procedures that "favored a particular candidate."

Adel Saeed, official spokesman for Egypt's prosecutor-general, said his office is working with the country's election officials to investigate voter "irregularities." Most of them are from the Morsi, Shafik and Moussa campaigns.

"This matter will be taken very seriously before the announcement of official results," Saeed said.

The Presidential Elections Committee has finished its collection and examination of the first-round votes, having "confirmed and validated (their) safety and accuracy," according to a report Saturday from the state-run Egypt News Agency.

A meeting will take place Sunday afternoon to discuss appeals, as well as to set the date when the official results will be announced, the report said.

"A lot of Egyptians will feel like this is the worst choice that they would have to make because if it really is between Morsi and Shafik, then these are the two most polarizing candidates," Khaled Elgindy, a visiting fellow at the Brookings Institution in Washington who is currently in Egypt.

If the first-round results in a runoff between Morsi and Shafik, many Egyptians -- particularly liberals and "revolutionaries" -- will be very disappointed, Elgindy said

Sabahy has had the backing of many who supported the Cairo's Tahrir Square uprising last year to protest Mubarak's rule. Sabahy is a proponent of late and revered Egyptian leader Gamal Abdel Nasser, who ruled the country in the '50s and '60s.

Elgindy said it is hard to predict where the votes of liberals and revolutionaries will go if they do participate, but the Muslim Brotherhood will have to work hard if it wants to win them over, having alienated many in the past. Many people may opt to stay at home rather than make a "very difficult choice" in the runoff, Elgindy said.

There is also a chance of further protests and even violence regardless of who wins, Elgindy said, as revolutionary elements become increasingly marginalized and radicalized.

Mubarak led the North African nation for 30 years before being forced out last year amid a popular outcry.

The voting is a monumental achievement for those who worked to topple Mubarak in one of the seminal developments of the Arab Spring. And it could reverberate far beyond the country's borders, since Egypt is in many ways the center of gravity of the Arab world.

Distrust and anger in Egypt, particularly against the military's power in governmental affairs, have inspired continued protests, some of which have been marked by deadly clashes. Many protesters are upset about what they see as the slow pace of reform since Mubarak's ouster. Some are also concerned that the country's military leadership is delaying the transition to civilian rule.

Worries about the powerful military possibly swaying this week's vote persist despite the insistence of the Supreme Council of the Armed Forces that it will hand over power to an elected civilian government.

The military leaders put armored personnel carriers on the streets with loudspeakers broadcasting a message that they will relinquish power, but that did not convince doubters.

In January, two Islamist parties -- the Freedom and Justice Party with 235 seats and the conservative Al Nour party with 121 seats -- won about 70% of the seats in the lower house of parliament in the first elections for an elected governing body in the post-Mubarak era. The rest of the assembly's 498 seats were divided among other parties.

CNN's Salma Abdelaziz and Ingrid Formanek, and journalists Ian Lee and Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Former President Jimmy Carter says integrity of the election is intact

@highlight

NEW: A meeting will be held Sunday for appeals and to set a date to declare results

@highlight

Polls show Mohamed Morsi, the Muslim Brotherhood candidate, in first

@highlight

He is followed by Ahmed Shafik, Hosni Mubarak's last prime minister